private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "MIPS"
	condition:
		true
}

rule file_0_0_0 {
	meta:
		name = "_dvasprintf_cdnopuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdnopuxX"
		altNames = "_dvasprintf"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_788_1_4 {
	meta:
		name = "_Cnd_destroy"
		size = 28
		refs = "0008 pthread_cond_destroy"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_166_0_4 {
	meta:
		name = "_Exit"
		size = 16
		refs = "0008 _exit"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_616_0_4 {
	meta:
		name = "_LDscale"
		size = 28
		refs = "0008 _Dscale"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_360_0_4 {
	meta:
		name = "_LDtest"
		size = 28
		refs = "0008 _Dtest"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_522_0_4 {
	meta:
		name = "_LDunscale"
		size = 28
		refs = "0008 _Dunscale"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_174_9_4 {
	meta:
		name = "_Thrd_current"
		size = 28
		refs = "0008 pthread_self"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_174_4_4 {
	meta:
		name = "_Thrd_exit"
		size = 16
		refs = "0008 pthread_exit"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_174_6_4 {
	meta:
		name = "_Thrd_yield"
		size = 28
		refs = "0008 sched_yield"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_400_0_4 {
	meta:
		name = "_Tss_create"
		size = 28
		refs = "0008 pthread_key_create"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_400_1_4 {
	meta:
		name = "_Tss_delete"
		size = 28
		refs = "0008 pthread_key_delete"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_400_3_4 {
	meta:
		name = "_Tss_get"
		size = 28
		refs = "0008 pthread_getspecific"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_400_2_4 {
	meta:
		name = "_Tss_set"
		size = 28
		refs = "0008 pthread_setspecific"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_7_4 {
	meta:
		name = "_ZNKSt11logic_error8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_8_4 {
	meta:
		name = "_ZNKSt12length_error8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_6_4 {
	meta:
		name = "_ZNKSt12out_of_range8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_48_4 {
	meta:
		name = "_ZNKSt12system_error8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_3_4 {
	meta:
		name = "_ZNKSt13runtime_error8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_5_4 {
	meta:
		name = "_ZNKSt14overflow_error8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_9_4 {
	meta:
		name = "_ZNKSt16invalid_argument8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_52_4 {
	meta:
		name = "_ZNKSt8ios_base7failure8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_82_16_4 {
	meta:
		name = "_ZNKSt9bad_alloc8_DoraiseEv"
		size = 28
		refs = "0008 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_156_1_4 {
	meta:
		name = "_ZNSt3tr114_Random_deviceEv"
		size = 28
		refs = "0008 rand"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_486_10_4 {
	meta:
		name = "_ZNSt6locale16_GetgloballocaleEv"
		size = 28
		refs = "0008 _Getgloballocale"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_486_11_4 {
	meta:
		name = "_ZNSt6locale16_SetgloballocaleEPv"
		size = 28
		refs = "0008 _Setgloballocale"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_38_0_4 {
	meta:
		name = "_ZStL8do_abortv"
		size = 28
		refs = "0008 abort"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_79_0_4 {
	meta:
		name = "_ZdaPv"
		size = 28
		refs = "0008 _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_270_0_4 {
	meta:
		name = "_ZdaPvRKSt9nothrow_t"
		size = 28
		refs = "0008 _ZdlPvRKSt9nothrow_t"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_464_0_4 {
	meta:
		name = "_ZdlPvRKSt9nothrow_t"
		size = 28
		refs = "0008 _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_428_0_4 {
	meta:
		name = "_Znam"
		size = 28
		refs = "0008 _Znwm"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_118_0_4 {
	meta:
		name = "_ZnamRKSt9nothrow_t"
		size = 28
		refs = "0008 _ZnwmRKSt9nothrow_t"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_892_1_0 {
	meta:
		name = "_dstrtod"
		size = 28
		refs = "0008 __strtod"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1125_0_0 {
	meta:
		name = "_dvasprintf_cdeEfFgGnopsuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_192_0_0 {
	meta:
		name = "_dvasprintf_cdeEfFgGnopuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_551_0_0 {
	meta:
		name = "_dvasprintf_cdeEfFnopsuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_598_0_0 {
	meta:
		name = "_dvasprintf_cdeEfFnopuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdeEfFnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_664_0_0 {
	meta:
		name = "_dvasprintf_cdeEgGnopsuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_382_0_0 {
	meta:
		name = "_dvasprintf_cdeEgGnopuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdeEgGnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_796_0_0 {
	meta:
		name = "_dvasprintf_cdeEnopsuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdeEnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_902_0_0 {
	meta:
		name = "_dvasprintf_cdeEnopuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdeEnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_505_0_0 {
	meta:
		name = "_dvasprintf_cdfFgGnopsuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_485_0_0 {
	meta:
		name = "_dvasprintf_cdfFgGnopuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdfFgGnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_436_0_0 {
	meta:
		name = "_dvasprintf_cdfFnopsuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdfFnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_352_0_0 {
	meta:
		name = "_dvasprintf_cdfFnopuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdfFnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_756_0_0 {
	meta:
		name = "_dvasprintf_cdgGnopsuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdgGnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1164_0_0 {
	meta:
		name = "_dvasprintf_cdgGnopuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdgGnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "_dvasprintf_cdnopsuxX"
		size = 28
		refs = "0008 _d__vasprintf_cdnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_997_0_0 {
	meta:
		name = "_dvasprintf_eE"
		size = 28
		refs = "0008 _d__vasprintf_eE"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1192_0_0 {
	meta:
		name = "_dvasprintf_eEfF"
		size = 28
		refs = "0008 _d__vasprintf_eEfF"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_827_0_0 {
	meta:
		name = "_dvasprintf_eEfFgG"
		size = 28
		refs = "0008 _d__vasprintf_eEfFgG"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_28_0_0 {
	meta:
		name = "_dvasprintf_eEfFgGs"
		size = 28
		refs = "0008 _d__vasprintf_eEfFgGs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_845_0_0 {
	meta:
		name = "_dvasprintf_eEfFs"
		size = 28
		refs = "0008 _d__vasprintf_eEfFs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_416_0_0 {
	meta:
		name = "_dvasprintf_eEgG"
		size = 28
		refs = "0008 _d__vasprintf_eEgG"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_513_0_0 {
	meta:
		name = "_dvasprintf_eEgGs"
		size = 28
		refs = "0008 _d__vasprintf_eEgGs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1171_0_0 {
	meta:
		name = "_dvasprintf_eEs"
		size = 28
		refs = "0008 _d__vasprintf_eEs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_785_0_0 {
	meta:
		name = "_dvasprintf_fF"
		size = 28
		refs = "0008 _d__vasprintf_fF"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_778_0_0 {
	meta:
		name = "_dvasprintf_fFgG"
		size = 28
		refs = "0008 _d__vasprintf_fFgG"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_50_0_0 {
	meta:
		name = "_dvasprintf_fFgGs"
		size = 28
		refs = "0008 _d__vasprintf_fFgGs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1078_0_0 {
	meta:
		name = "_dvasprintf_fFs"
		size = 28
		refs = "0008 _d__vasprintf_fFs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_210_0_0 {
	meta:
		name = "_dvasprintf_gG"
		size = 28
		refs = "0008 _d__vasprintf_gG"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_488_0_0 {
	meta:
		name = "_dvasprintf_gGs"
		size = 28
		refs = "0008 _d__vasprintf_gGs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_431_0_0 {
	meta:
		name = "_dvasprintf_s"
		size = 28
		refs = "0008 _d__vasprintf_s"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1189_0_0 {
	meta:
		name = "_ivasprintf"
		size = 28
		refs = "0008 _i__vasprintf"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_880_0_0 {
	meta:
		name = "_vasprintf"
		size = 28
		refs = "0008 ___vasprintf"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_105_0_0 {
	meta:
		name = "_vasprintf_cdeEfFgGnopsuxX"
		size = 28
		refs = "0008 ___vasprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_665_0_0 {
	meta:
		name = "_vasprintf_cdeEfFgGnopuxX"
		size = 28
		refs = "0008 ___vasprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_190_0_0 {
	meta:
		name = "_vasprintf_cdeEfFnopsuxX"
		size = 28
		refs = "0008 ___vasprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1091_0_0 {
	meta:
		name = "_vasprintf_cdeEfFnopuxX"
		size = 28
		refs = "0008 ___vasprintf_cdeEfFnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_546_0_0 {
	meta:
		name = "_vasprintf_cdeEgGnopsuxX"
		size = 28
		refs = "0008 ___vasprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1116_0_0 {
	meta:
		name = "_vasprintf_cdeEgGnopuxX"
		size = 28
		refs = "0008 ___vasprintf_cdeEgGnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_119_0_0 {
	meta:
		name = "_vasprintf_cdeEnopsuxX"
		size = 28
		refs = "0008 ___vasprintf_cdeEnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_707_0_0 {
	meta:
		name = "_vasprintf_cdeEnopuxX"
		size = 28
		refs = "0008 ___vasprintf_cdeEnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_583_0_0 {
	meta:
		name = "_vasprintf_cdfFgGnopsuxX"
		size = 28
		refs = "0008 ___vasprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_932_0_0 {
	meta:
		name = "_vasprintf_cdfFgGnopuxX"
		size = 28
		refs = "0008 ___vasprintf_cdfFgGnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_767_0_0 {
	meta:
		name = "_vasprintf_cdfFnopsuxX"
		size = 28
		refs = "0008 ___vasprintf_cdfFnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_825_0_0 {
	meta:
		name = "_vasprintf_cdfFnopuxX"
		size = 28
		refs = "0008 ___vasprintf_cdfFnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_8_0_0 {
	meta:
		name = "_vasprintf_cdgGnopsuxX"
		size = 28
		refs = "0008 ___vasprintf_cdgGnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_853_0_0 {
	meta:
		name = "_vasprintf_cdgGnopuxX"
		size = 28
		refs = "0008 ___vasprintf_cdgGnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_516_0_0 {
	meta:
		name = "_vasprintf_cdnopsuxX"
		size = 28
		refs = "0008 ___vasprintf_cdnopsuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_959_0_0 {
	meta:
		name = "_vasprintf_cdnopuxX"
		size = 28
		refs = "0008 ___vasprintf_cdnopuxX"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_85_0_0 {
	meta:
		name = "_vasprintf_eE"
		size = 28
		refs = "0008 ___vasprintf_eE"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1059_0_0 {
	meta:
		name = "_vasprintf_eEfF"
		size = 28
		refs = "0008 ___vasprintf_eEfF"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_662_0_0 {
	meta:
		name = "_vasprintf_eEfFgG"
		size = 28
		refs = "0008 ___vasprintf_eEfFgG"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_159_0_0 {
	meta:
		name = "_vasprintf_eEfFgGs"
		size = 28
		refs = "0008 ___vasprintf_eEfFgGs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_476_0_0 {
	meta:
		name = "_vasprintf_eEfFs"
		size = 28
		refs = "0008 ___vasprintf_eEfFs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_325_0_0 {
	meta:
		name = "_vasprintf_eEgG"
		size = 28
		refs = "0008 ___vasprintf_eEgG"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_511_0_0 {
	meta:
		name = "_vasprintf_eEgGs"
		size = 28
		refs = "0008 ___vasprintf_eEgGs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_521_0_0 {
	meta:
		name = "_vasprintf_eEs"
		size = 28
		refs = "0008 ___vasprintf_eEs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_834_0_0 {
	meta:
		name = "_vasprintf_fF"
		size = 28
		refs = "0008 ___vasprintf_fF"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_556_0_0 {
	meta:
		name = "_vasprintf_fFgG"
		size = 28
		refs = "0008 ___vasprintf_fFgG"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1047_0_0 {
	meta:
		name = "_vasprintf_fFgGs"
		size = 28
		refs = "0008 ___vasprintf_fFgGs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_305_0_0 {
	meta:
		name = "_vasprintf_fFs"
		size = 28
		refs = "0008 ___vasprintf_fFs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_504_0_0 {
	meta:
		name = "_vasprintf_gG"
		size = 28
		refs = "0008 ___vasprintf_gG"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_442_0_0 {
	meta:
		name = "_vasprintf_gGs"
		size = 28
		refs = "0008 ___vasprintf_gGs"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1073_0_0 {
	meta:
		name = "_vasprintf_s"
		size = 28
		refs = "0008 ___vasprintf_s"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_705_0_4 {
	meta:
		name = "btowc"
		size = 28
		refs = "0008 _Btowc"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_804_0_4 {
	meta:
		name = "fgetpos"
		size = 28
		refs = "0008 _Fgpos"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_789_0_4 {
	meta:
		name = "getc"
		size = 28
		refs = "0008 fgetc"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_80_0_4 {
	meta:
		name = "getwc"
		size = 28
		refs = "0008 fgetwc"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_203_0_4 {
	meta:
		name = "iswctype"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_111_0_4 {
	meta:
		name = "nextafterl"
		size = 28
		refs = "0008 nexttowardl"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_432_0_4 {
	meta:
		name = "putc"
		size = 28
		refs = "0008 fputc"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1_0_4 {
	meta:
		name = "putwc"
		size = 28
		refs = "0008 fputwc"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_767_0_4 {
	meta:
		name = "rand_s"
		size = 28
		refs = "0008 rand"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_64_0_2 {
	meta:
		name = "sqrtf"
		size = 28
		refs = "0008 __sqrtsf2"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_604_1_0 {
	meta:
		name = "strtodf"
		size = 28
		refs = "0008 __strtof"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_604_0_0 {
	meta:
		name = "strtof"
		size = 28
		refs = "0008 __strtof"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_420_0_4 {
	meta:
		name = "strtoimax"
		size = 28
		refs = "0008 _Stoll"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_684_0_4 {
	meta:
		name = "strtoll"
		size = 28
		refs = "0008 _Stoll"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_412_0_4 {
	meta:
		name = "strtoul"
		size = 28
		refs = "0008 _Stoul"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_421_0_4 {
	meta:
		name = "strtoull"
		size = 28
		refs = "0008 _Stoull"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_377_0_4 {
	meta:
		name = "strtoumax"
		size = 28
		refs = "0008 _Stoull"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_188_0_4 {
	meta:
		name = "towctrans"
		size = 28
		refs = "0008 _Towctrans"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_82_0_0 {
	meta:
		name = "vasprintf"
		size = 28
		refs = "0008 __vasprintf"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_348_0_4 {
	meta:
		name = "wcstoimax"
		size = 28
		refs = "0008 _WStoll"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_356_0_4 {
	meta:
		name = "wcstoll"
		size = 28
		refs = "0008 _WStoll"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_98_0_4 {
	meta:
		name = "wcstoul"
		size = 28
		refs = "0008 _WStoul"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_454_0_4 {
	meta:
		name = "wcstoull"
		size = 28
		refs = "0008 _WStoull"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_255_0_4 {
	meta:
		name = "wcstoumax"
		size = 28
		refs = "0008 _WStoull"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_312_0_4 {
	meta:
		name = "wctob"
		size = 28
		refs = "0008 _Wctob"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1_0_0 {
	meta:
		name = "_dvsprintf_eEgGs"
		size = 84
		refs = "002c _dvfprintf_eEgGs"
		altNames = "_dvsprintf _dvsprintf_eE _dvsprintf_eEgG"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_378_0_0 {
	meta:
		name = "_dvsprintf_cdeEfFgGnopsuxX"
		size = 84
		refs = "002c _dvfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_685_0_0 {
	meta:
		name = "_dvsprintf_cdeEfFgGnopuxX"
		size = 84
		refs = "002c _dvfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_542_0_0 {
	meta:
		name = "_dvsprintf_cdeEfFnopsuxX"
		size = 84
		refs = "002c _dvfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1106_0_0 {
	meta:
		name = "_dvsprintf_cdeEfFnopuxX"
		size = 84
		refs = "002c _dvfprintf_cdeEfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_219_0_0 {
	meta:
		name = "_dvsprintf_cdeEgGnopsuxX"
		size = 84
		refs = "002c _dvfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_721_0_0 {
	meta:
		name = "_dvsprintf_cdeEgGnopuxX"
		size = 84
		refs = "002c _dvfprintf_cdeEgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_859_0_0 {
	meta:
		name = "_dvsprintf_cdeEnopsuxX"
		size = 84
		refs = "002c _dvfprintf_cdeEnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_958_0_0 {
	meta:
		name = "_dvsprintf_cdeEnopuxX"
		size = 84
		refs = "002c _dvfprintf_cdeEnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_905_0_0 {
	meta:
		name = "_dvsprintf_cdfFgGnopsuxX"
		size = 84
		refs = "002c _dvfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_386_0_0 {
	meta:
		name = "_dvsprintf_cdfFgGnopuxX"
		size = 84
		refs = "002c _dvfprintf_cdfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1161_0_0 {
	meta:
		name = "_dvsprintf_cdfFnopsuxX"
		size = 84
		refs = "002c _dvfprintf_cdfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_816_0_0 {
	meta:
		name = "_dvsprintf_cdfFnopuxX"
		size = 84
		refs = "002c _dvfprintf_cdfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_833_0_0 {
	meta:
		name = "_dvsprintf_cdgGnopsuxX"
		size = 84
		refs = "002c _dvfprintf_cdgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_949_0_0 {
	meta:
		name = "_dvsprintf_cdgGnopuxX"
		size = 84
		refs = "002c _dvfprintf_cdgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_688_0_0 {
	meta:
		name = "_dvsprintf_cdnopsuxX"
		size = 84
		refs = "002c _dvfprintf_cdnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_187_0_0 {
	meta:
		name = "_dvsprintf_cdnopuxX"
		size = 84
		refs = "002c _dvfprintf_cdnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_998_0_0 {
	meta:
		name = "_dvsprintf_eEfF"
		size = 84
		refs = "002c _dvfprintf_eEfF"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_84_0_0 {
	meta:
		name = "_dvsprintf_eEfFgG"
		size = 84
		refs = "002c _dvfprintf_eEfFgG"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_205_0_0 {
	meta:
		name = "_dvsprintf_eEfFgGs"
		size = 84
		refs = "002c _dvfprintf_eEfFgGs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1017_0_0 {
	meta:
		name = "_dvsprintf_eEfFs"
		size = 84
		refs = "002c _dvfprintf_eEfFs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1062_0_0 {
	meta:
		name = "_dvsprintf_eEs"
		size = 84
		refs = "002c _dvfprintf_eEs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_78_0_0 {
	meta:
		name = "_dvsprintf_fF"
		size = 84
		refs = "002c _dvfprintf_fF"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_822_0_0 {
	meta:
		name = "_dvsprintf_fFgG"
		size = 84
		refs = "002c _dvfprintf_fFgG"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_440_0_0 {
	meta:
		name = "_dvsprintf_fFgGs"
		size = 84
		refs = "002c _dvfprintf_fFgGs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1061_0_0 {
	meta:
		name = "_dvsprintf_fFs"
		size = 84
		refs = "002c _dvfprintf_fFs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_317_0_0 {
	meta:
		name = "_dvsprintf_gG"
		size = 84
		refs = "002c _dvfprintf_gG"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_68_0_0 {
	meta:
		name = "_dvsprintf_gGs"
		size = 84
		refs = "002c _dvfprintf_gGs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1172_0_0 {
	meta:
		name = "_dvsprintf_s"
		size = 84
		refs = "002c _dvfprintf_s"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "_ivsprintf"
		size = 84
		refs = "002c _ivfprintf"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_342_0_0 {
	meta:
		name = "_vsprintf"
		size = 84
		refs = "002c _vfprintf"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_133_0_0 {
	meta:
		name = "_vsprintf_cdeEfFgGnopsuxX"
		size = 84
		refs = "002c _vfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_753_0_0 {
	meta:
		name = "_vsprintf_cdeEfFgGnopuxX"
		size = 84
		refs = "002c _vfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_364_0_0 {
	meta:
		name = "_vsprintf_cdeEfFnopsuxX"
		size = 84
		refs = "002c _vfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_615_0_0 {
	meta:
		name = "_vsprintf_cdeEfFnopuxX"
		size = 84
		refs = "002c _vfprintf_cdeEfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_650_0_0 {
	meta:
		name = "_vsprintf_cdeEgGnopsuxX"
		size = 84
		refs = "002c _vfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1165_0_0 {
	meta:
		name = "_vsprintf_cdeEgGnopuxX"
		size = 84
		refs = "002c _vfprintf_cdeEgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_727_0_0 {
	meta:
		name = "_vsprintf_cdeEnopsuxX"
		size = 84
		refs = "002c _vfprintf_cdeEnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1050_0_0 {
	meta:
		name = "_vsprintf_cdeEnopuxX"
		size = 84
		refs = "002c _vfprintf_cdeEnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_415_0_0 {
	meta:
		name = "_vsprintf_cdfFgGnopsuxX"
		size = 84
		refs = "002c _vfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_906_0_0 {
	meta:
		name = "_vsprintf_cdfFgGnopuxX"
		size = 84
		refs = "002c _vfprintf_cdfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_110_0_0 {
	meta:
		name = "_vsprintf_cdfFnopsuxX"
		size = 84
		refs = "002c _vfprintf_cdfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_20_0_0 {
	meta:
		name = "_vsprintf_cdfFnopuxX"
		size = 84
		refs = "002c _vfprintf_cdfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_430_0_0 {
	meta:
		name = "_vsprintf_cdgGnopsuxX"
		size = 84
		refs = "002c _vfprintf_cdgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_51_0_0 {
	meta:
		name = "_vsprintf_cdgGnopuxX"
		size = 84
		refs = "002c _vfprintf_cdgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_863_0_0 {
	meta:
		name = "_vsprintf_cdnopsuxX"
		size = 84
		refs = "002c _vfprintf_cdnopsuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_316_0_0 {
	meta:
		name = "_vsprintf_cdnopuxX"
		size = 84
		refs = "002c _vfprintf_cdnopuxX"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_757_0_0 {
	meta:
		name = "_vsprintf_eE"
		size = 84
		refs = "002c _vfprintf_eE"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_687_0_0 {
	meta:
		name = "_vsprintf_eEfF"
		size = 84
		refs = "002c _vfprintf_eEfF"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_780_0_0 {
	meta:
		name = "_vsprintf_eEfFgG"
		size = 84
		refs = "002c _vfprintf_eEfFgG"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_145_0_0 {
	meta:
		name = "_vsprintf_eEfFgGs"
		size = 84
		refs = "002c _vfprintf_eEfFgGs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_70_0_0 {
	meta:
		name = "_vsprintf_eEfFs"
		size = 84
		refs = "002c _vfprintf_eEfFs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_746_0_0 {
	meta:
		name = "_vsprintf_eEgG"
		size = 84
		refs = "002c _vfprintf_eEgG"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_544_0_0 {
	meta:
		name = "_vsprintf_eEgGs"
		size = 84
		refs = "002c _vfprintf_eEgGs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_39_0_0 {
	meta:
		name = "_vsprintf_eEs"
		size = 84
		refs = "002c _vfprintf_eEs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_601_0_0 {
	meta:
		name = "_vsprintf_fF"
		size = 84
		refs = "002c _vfprintf_fF"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_737_0_0 {
	meta:
		name = "_vsprintf_fFgG"
		size = 84
		refs = "002c _vfprintf_fFgG"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1144_0_0 {
	meta:
		name = "_vsprintf_fFgGs"
		size = 84
		refs = "002c _vfprintf_fFgGs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_805_0_0 {
	meta:
		name = "_vsprintf_fFs"
		size = 84
		refs = "002c _vfprintf_fFs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_49_0_0 {
	meta:
		name = "_vsprintf_gG"
		size = 84
		refs = "002c _vfprintf_gG"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1213_0_0 {
	meta:
		name = "_vsprintf_gGs"
		size = 84
		refs = "002c _vfprintf_gGs"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_641_0_0 {
	meta:
		name = "_vsprintf_s"
		size = 84
		refs = "002c _vfprintf_s"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_173_0_0 {
	meta:
		name = "vsprintf"
		size = 84
		refs = "002c vfprintf"
	strings:
		$1 = { D0 FF BD 27 FF 7F 02 24 28 00 B0 AF 20 00 A2 AF 21 80 80 00 C2 00 02 24 10 00 A4 27 2C 00 BF AF 10 00 B0 AF 18 00 B0 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A2 8F 00 00 40 A0 10 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_2_0_0 {
	meta:
		name = "_vprintf_fFs"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_fFs"
		altNames = "_vprintf _vprintf_fF"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_821_0_0 {
	meta:
		name = "_dvprintf"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1060_0_0 {
	meta:
		name = "_dvprintf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_625_0_0 {
	meta:
		name = "_dvprintf_cdeEfFgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1216_0_0 {
	meta:
		name = "_dvprintf_cdeEfFnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_860_0_0 {
	meta:
		name = "_dvprintf_cdeEfFnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdeEfFnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1139_0_0 {
	meta:
		name = "_dvprintf_cdeEgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1071_0_0 {
	meta:
		name = "_dvprintf_cdeEgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdeEgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1175_0_0 {
	meta:
		name = "_dvprintf_cdeEnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdeEnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_338_0_0 {
	meta:
		name = "_dvprintf_cdeEnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdeEnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_828_0_0 {
	meta:
		name = "_dvprintf_cdfFgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_152_0_0 {
	meta:
		name = "_dvprintf_cdfFgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdfFgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_75_0_0 {
	meta:
		name = "_dvprintf_cdfFnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdfFnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_974_0_0 {
	meta:
		name = "_dvprintf_cdfFnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdfFnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_847_0_0 {
	meta:
		name = "_dvprintf_cdgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1206_0_0 {
	meta:
		name = "_dvprintf_cdgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_587_0_0 {
	meta:
		name = "_dvprintf_cdnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_919_0_0 {
	meta:
		name = "_dvprintf_cdnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_cdnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1183_0_0 {
	meta:
		name = "_dvprintf_eE"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_eE"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_455_0_0 {
	meta:
		name = "_dvprintf_eEfF"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_eEfF"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_10_0_0 {
	meta:
		name = "_dvprintf_eEfFgG"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_eEfFgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_277_0_0 {
	meta:
		name = "_dvprintf_eEfFgGs"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_eEfFgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1043_0_0 {
	meta:
		name = "_dvprintf_eEfFs"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_eEfFs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_146_0_0 {
	meta:
		name = "_dvprintf_eEgG"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_eEgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_144_0_0 {
	meta:
		name = "_dvprintf_eEgGs"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_eEgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_960_0_0 {
	meta:
		name = "_dvprintf_eEs"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_eEs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_887_0_0 {
	meta:
		name = "_dvprintf_fF"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_fF"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_520_0_0 {
	meta:
		name = "_dvprintf_fFgG"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_fFgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_770_0_0 {
	meta:
		name = "_dvprintf_fFgGs"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_fFgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1057_0_0 {
	meta:
		name = "_dvprintf_fFs"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_fFs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1082_0_0 {
	meta:
		name = "_dvprintf_gG"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_gG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_897_0_0 {
	meta:
		name = "_dvprintf_gGs"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_gGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_886_0_0 {
	meta:
		name = "_dvprintf_s"
		size = 44
		refs = "0004 _iob 0018 _dvfprintf_s"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_281_0_0 {
	meta:
		name = "_dvscanf"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_373_0_0 {
	meta:
		name = "_dvscanf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_901_0_0 {
	meta:
		name = "_dvscanf_cdeEfFgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_814_0_0 {
	meta:
		name = "_dvscanf_cdeEfFnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_992_0_0 {
	meta:
		name = "_dvscanf_cdeEfFnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdeEfFnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1088_0_0 {
	meta:
		name = "_dvscanf_cdeEgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_189_0_0 {
	meta:
		name = "_dvscanf_cdeEgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdeEgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_553_0_0 {
	meta:
		name = "_dvscanf_cdeEnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdeEnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_321_0_0 {
	meta:
		name = "_dvscanf_cdeEnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdeEnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_783_0_0 {
	meta:
		name = "_dvscanf_cdfFgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_720_0_0 {
	meta:
		name = "_dvscanf_cdfFgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdfFgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_866_0_0 {
	meta:
		name = "_dvscanf_cdfFnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdfFnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_725_0_0 {
	meta:
		name = "_dvscanf_cdfFnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdfFnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1093_0_0 {
	meta:
		name = "_dvscanf_cdgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_571_0_0 {
	meta:
		name = "_dvscanf_cdgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_283_0_0 {
	meta:
		name = "_dvscanf_cdnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_228_0_0 {
	meta:
		name = "_dvscanf_cdnopuxX"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_cdnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_166_0_0 {
	meta:
		name = "_dvscanf_eE"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_eE"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_306_0_0 {
	meta:
		name = "_dvscanf_eEfF"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_eEfF"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_333_0_0 {
	meta:
		name = "_dvscanf_eEfFgG"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_eEfFgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1029_0_0 {
	meta:
		name = "_dvscanf_eEfFgGs"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_eEfFgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_580_0_0 {
	meta:
		name = "_dvscanf_eEfFs"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_eEfFs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_895_0_0 {
	meta:
		name = "_dvscanf_eEgG"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_eEgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_668_0_0 {
	meta:
		name = "_dvscanf_eEgGs"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_eEgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_248_0_0 {
	meta:
		name = "_dvscanf_eEs"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_eEs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_875_0_0 {
	meta:
		name = "_dvscanf_fF"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_fF"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1075_0_0 {
	meta:
		name = "_dvscanf_fFgG"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_fFgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1137_0_0 {
	meta:
		name = "_dvscanf_fFgGs"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_fFgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_139_0_0 {
	meta:
		name = "_dvscanf_fFs"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_fFs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_116_0_0 {
	meta:
		name = "_dvscanf_gG"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_gG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_245_0_0 {
	meta:
		name = "_dvscanf_gGs"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_gGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_855_0_0 {
	meta:
		name = "_dvscanf_s"
		size = 44
		refs = "0004 _iob 0018 _dvfscanf_s"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_97_0_0 {
	meta:
		name = "_ivprintf"
		size = 44
		refs = "0004 _iob 0018 _ivfprintf"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_484_0_0 {
	meta:
		name = "_ivscanf"
		size = 44
		refs = "0004 _iob 0018 _ivfscanf"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_933_0_0 {
	meta:
		name = "_vprintf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_719_0_0 {
	meta:
		name = "_vprintf_cdeEfFgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1209_0_0 {
	meta:
		name = "_vprintf_cdeEfFnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_121_0_0 {
	meta:
		name = "_vprintf_cdeEfFnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdeEfFnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1094_0_0 {
	meta:
		name = "_vprintf_cdeEgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_126_0_0 {
	meta:
		name = "_vprintf_cdeEgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdeEgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_710_0_0 {
	meta:
		name = "_vprintf_cdeEnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdeEnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1127_0_0 {
	meta:
		name = "_vprintf_cdeEnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdeEnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1208_0_0 {
	meta:
		name = "_vprintf_cdfFgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_197_0_0 {
	meta:
		name = "_vprintf_cdfFgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdfFgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_91_0_0 {
	meta:
		name = "_vprintf_cdfFnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdfFnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_810_0_0 {
	meta:
		name = "_vprintf_cdfFnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdfFnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_832_0_0 {
	meta:
		name = "_vprintf_cdgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1019_0_0 {
	meta:
		name = "_vprintf_cdgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_908_0_0 {
	meta:
		name = "_vprintf_cdnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_362_0_0 {
	meta:
		name = "_vprintf_cdnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_cdnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_792_0_0 {
	meta:
		name = "_vprintf_eE"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_eE"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_945_0_0 {
	meta:
		name = "_vprintf_eEfF"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_eEfF"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_3_0_0 {
	meta:
		name = "_vprintf_eEfFgG"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_eEfFgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_337_0_0 {
	meta:
		name = "_vprintf_eEfFgGs"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_eEfFgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_230_0_0 {
	meta:
		name = "_vprintf_eEfFs"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_eEfFs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_297_0_0 {
	meta:
		name = "_vprintf_eEgG"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_eEgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_519_0_0 {
	meta:
		name = "_vprintf_eEgGs"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_eEgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_76_0_0 {
	meta:
		name = "_vprintf_eEs"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_eEs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1191_0_0 {
	meta:
		name = "_vprintf_fFgG"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_fFgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_981_0_0 {
	meta:
		name = "_vprintf_fFgGs"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_fFgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_257_0_0 {
	meta:
		name = "_vprintf_gG"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_gG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1114_0_0 {
	meta:
		name = "_vprintf_gGs"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_gGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_298_0_0 {
	meta:
		name = "_vprintf_s"
		size = 44
		refs = "0004 _iob 0018 _vfprintf_s"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_131_0_0 {
	meta:
		name = "_vscanf"
		size = 44
		refs = "0004 _iob 0018 _vfscanf"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_191_0_0 {
	meta:
		name = "_vscanf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_138_0_0 {
	meta:
		name = "_vscanf_cdeEfFgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1031_0_0 {
	meta:
		name = "_vscanf_cdeEfFnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_759_0_0 {
	meta:
		name = "_vscanf_cdeEfFnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdeEfFnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_658_0_0 {
	meta:
		name = "_vscanf_cdeEgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_388_0_0 {
	meta:
		name = "_vscanf_cdeEgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdeEgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_673_0_0 {
	meta:
		name = "_vscanf_cdeEnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdeEnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1051_0_0 {
	meta:
		name = "_vscanf_cdeEnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdeEnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_840_0_0 {
	meta:
		name = "_vscanf_cdfFgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_924_0_0 {
	meta:
		name = "_vscanf_cdfFgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdfFgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_811_0_0 {
	meta:
		name = "_vscanf_cdfFnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdfFnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_472_0_0 {
	meta:
		name = "_vscanf_cdfFnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdfFnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_619_0_0 {
	meta:
		name = "_vscanf_cdgGnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdgGnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_637_0_0 {
	meta:
		name = "_vscanf_cdgGnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdgGnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_470_0_0 {
	meta:
		name = "_vscanf_cdnopsuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdnopsuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_413_0_0 {
	meta:
		name = "_vscanf_cdnopuxX"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_cdnopuxX"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_134_0_0 {
	meta:
		name = "_vscanf_eE"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_eE"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1030_0_0 {
	meta:
		name = "_vscanf_eEfF"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_eEfF"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_89_0_0 {
	meta:
		name = "_vscanf_eEfFgG"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_eEfFgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_410_0_0 {
	meta:
		name = "_vscanf_eEfFgGs"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_eEfFgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_125_0_0 {
	meta:
		name = "_vscanf_eEfFs"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_eEfFs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1150_0_0 {
	meta:
		name = "_vscanf_eEgG"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_eEgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_731_0_0 {
	meta:
		name = "_vscanf_eEgGs"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_eEgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_196_0_0 {
	meta:
		name = "_vscanf_eEs"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_eEs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_784_0_0 {
	meta:
		name = "_vscanf_fF"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_fF"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_968_0_0 {
	meta:
		name = "_vscanf_fFgG"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_fFgG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_694_0_0 {
	meta:
		name = "_vscanf_fFgGs"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_fFgGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_128_0_0 {
	meta:
		name = "_vscanf_fFs"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_fFs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_215_0_0 {
	meta:
		name = "_vscanf_gG"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_gG"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1104_0_0 {
	meta:
		name = "_vscanf_gGs"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_gGs"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_611_0_0 {
	meta:
		name = "_vscanf_s"
		size = 44
		refs = "0004 _iob 0018 _vfscanf_s"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_659_0_0 {
	meta:
		name = "vprintf"
		size = 44
		refs = "0004 _iob 0018 vfprintf"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1012_0_0 {
	meta:
		name = "vscanf"
		size = 44
		refs = "0004 _iob 0018 vfscanf"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C E8 FF BD 27 21 30 A0 00 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_4_0_0 {
	meta:
		name = "_scanf_eEfFs"
		size = 64
		refs = "000c _iob 002c _vfscanf_eEfFs"
		altNames = "_scanf _scanf_eE _scanf_eEfF"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1007_0_0 {
	meta:
		name = "_dprintf"
		size = 64
		refs = "000c _iob 002c _dvfprintf"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_666_0_0 {
	meta:
		name = "_dprintf_cdeEfFgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_287_0_0 {
	meta:
		name = "_dprintf_cdeEfFgGnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1103_0_0 {
	meta:
		name = "_dprintf_cdeEfFnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_734_0_0 {
	meta:
		name = "_dprintf_cdeEfFnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_308_0_0 {
	meta:
		name = "_dprintf_cdeEgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_510_0_0 {
	meta:
		name = "_dprintf_cdeEgGnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_532_0_0 {
	meta:
		name = "_dprintf_cdeEnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_804_0_0 {
	meta:
		name = "_dprintf_cdeEnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_401_0_0 {
	meta:
		name = "_dprintf_cdfFgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_291_0_0 {
	meta:
		name = "_dprintf_cdfFgGnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_330_0_0 {
	meta:
		name = "_dprintf_cdfFnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1156_0_0 {
	meta:
		name = "_dprintf_cdfFnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_621_0_0 {
	meta:
		name = "_dprintf_cdgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_90_0_0 {
	meta:
		name = "_dprintf_cdgGnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_132_0_0 {
	meta:
		name = "_dprintf_cdnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1025_0_0 {
	meta:
		name = "_dprintf_cdnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfprintf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_940_0_0 {
	meta:
		name = "_dprintf_eE"
		size = 64
		refs = "000c _iob 002c _dvfprintf_eE"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "_dprintf_eEfF"
		size = 64
		refs = "000c _iob 002c _dvfprintf_eEfF"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_435_0_0 {
	meta:
		name = "_dprintf_eEfFgG"
		size = 64
		refs = "000c _iob 002c _dvfprintf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1084_0_0 {
	meta:
		name = "_dprintf_eEfFgGs"
		size = 64
		refs = "000c _iob 002c _dvfprintf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_589_0_0 {
	meta:
		name = "_dprintf_eEfFs"
		size = 64
		refs = "000c _iob 002c _dvfprintf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1101_0_0 {
	meta:
		name = "_dprintf_eEgG"
		size = 64
		refs = "000c _iob 002c _dvfprintf_eEgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1217_0_0 {
	meta:
		name = "_dprintf_eEgGs"
		size = 64
		refs = "000c _iob 002c _dvfprintf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_44_0_0 {
	meta:
		name = "_dprintf_eEs"
		size = 64
		refs = "000c _iob 002c _dvfprintf_eEs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_240_0_0 {
	meta:
		name = "_dprintf_fF"
		size = 64
		refs = "000c _iob 002c _dvfprintf_fF"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1095_0_0 {
	meta:
		name = "_dprintf_fFgG"
		size = 64
		refs = "000c _iob 002c _dvfprintf_fFgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1210_0_0 {
	meta:
		name = "_dprintf_fFgGs"
		size = 64
		refs = "000c _iob 002c _dvfprintf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_339_0_0 {
	meta:
		name = "_dprintf_fFs"
		size = 64
		refs = "000c _iob 002c _dvfprintf_fFs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_653_0_0 {
	meta:
		name = "_dprintf_gG"
		size = 64
		refs = "000c _iob 002c _dvfprintf_gG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_24_0_0 {
	meta:
		name = "_dprintf_gGs"
		size = 64
		refs = "000c _iob 002c _dvfprintf_gGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_225_0_0 {
	meta:
		name = "_dprintf_s"
		size = 64
		refs = "000c _iob 002c _dvfprintf_s"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_396_0_0 {
	meta:
		name = "_dscanf"
		size = 64
		refs = "000c _iob 002c _dvfscanf"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_928_0_0 {
	meta:
		name = "_dscanf_cdeEfFgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_486_0_0 {
	meta:
		name = "_dscanf_cdeEfFgGnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_232_0_0 {
	meta:
		name = "_dscanf_cdeEfFnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_573_0_0 {
	meta:
		name = "_dscanf_cdeEfFnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_633_0_0 {
	meta:
		name = "_dscanf_cdeEgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_925_0_0 {
	meta:
		name = "_dscanf_cdeEgGnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1079_0_0 {
	meta:
		name = "_dscanf_cdeEnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_371_0_0 {
	meta:
		name = "_dscanf_cdeEnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_563_0_0 {
	meta:
		name = "_dscanf_cdfFgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1111_0_0 {
	meta:
		name = "_dscanf_cdfFgGnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_584_0_0 {
	meta:
		name = "_dscanf_cdfFnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_255_0_0 {
	meta:
		name = "_dscanf_cdfFnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_302_0_0 {
	meta:
		name = "_dscanf_cdgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_941_0_0 {
	meta:
		name = "_dscanf_cdgGnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_489_0_0 {
	meta:
		name = "_dscanf_cdnopsuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1197_0_0 {
	meta:
		name = "_dscanf_cdnopuxX"
		size = 64
		refs = "000c _iob 002c _dvfscanf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_267_0_0 {
	meta:
		name = "_dscanf_eE"
		size = 64
		refs = "000c _iob 002c _dvfscanf_eE"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1148_0_0 {
	meta:
		name = "_dscanf_eEfF"
		size = 64
		refs = "000c _iob 002c _dvfscanf_eEfF"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_269_0_0 {
	meta:
		name = "_dscanf_eEfFgG"
		size = 64
		refs = "000c _iob 002c _dvfscanf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_177_0_0 {
	meta:
		name = "_dscanf_eEfFgGs"
		size = 64
		refs = "000c _iob 002c _dvfscanf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1074_0_0 {
	meta:
		name = "_dscanf_eEfFs"
		size = 64
		refs = "000c _iob 002c _dvfscanf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_237_0_0 {
	meta:
		name = "_dscanf_eEgG"
		size = 64
		refs = "000c _iob 002c _dvfscanf_eEgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_358_0_0 {
	meta:
		name = "_dscanf_eEgGs"
		size = 64
		refs = "000c _iob 002c _dvfscanf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_889_0_0 {
	meta:
		name = "_dscanf_eEs"
		size = 64
		refs = "000c _iob 002c _dvfscanf_eEs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_715_0_0 {
	meta:
		name = "_dscanf_fF"
		size = 64
		refs = "000c _iob 002c _dvfscanf_fF"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "_dscanf_fFgG"
		size = 64
		refs = "000c _iob 002c _dvfscanf_fFgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_672_0_0 {
	meta:
		name = "_dscanf_fFgGs"
		size = 64
		refs = "000c _iob 002c _dvfscanf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_244_0_0 {
	meta:
		name = "_dscanf_fFs"
		size = 64
		refs = "000c _iob 002c _dvfscanf_fFs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_813_0_0 {
	meta:
		name = "_dscanf_gG"
		size = 64
		refs = "000c _iob 002c _dvfscanf_gG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_263_0_0 {
	meta:
		name = "_dscanf_gGs"
		size = 64
		refs = "000c _iob 002c _dvfscanf_gGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_671_0_0 {
	meta:
		name = "_dscanf_s"
		size = 64
		refs = "000c _iob 002c _dvfscanf_s"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_490_0_0 {
	meta:
		name = "_iprintf"
		size = 64
		refs = "000c _iob 002c _ivfprintf"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_368_0_0 {
	meta:
		name = "_iscanf"
		size = 64
		refs = "000c _iob 002c _ivfscanf"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_479_0_0 {
	meta:
		name = "_printf"
		size = 64
		refs = "000c _iob 002c _vfprintf"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_428_0_0 {
	meta:
		name = "_printf_cdeEfFgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_167_0_0 {
	meta:
		name = "_printf_cdeEfFgGnopuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_954_0_0 {
	meta:
		name = "_printf_cdeEfFnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_71_0_0 {
	meta:
		name = "_printf_cdeEfFnopuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_487_0_0 {
	meta:
		name = "_printf_cdeEgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_475_0_0 {
	meta:
		name = "_printf_cdeEgGnopuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "_printf_cdeEnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1086_0_0 {
	meta:
		name = "_printf_cdeEnopuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_400_0_0 {
	meta:
		name = "_printf_cdfFgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_286_0_0 {
	meta:
		name = "_printf_cdfFgGnopuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1166_0_0 {
	meta:
		name = "_printf_cdfFnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1010_0_0 {
	meta:
		name = "_printf_cdfFnopuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_403_0_0 {
	meta:
		name = "_printf_cdgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_23_0_0 {
	meta:
		name = "_printf_cdgGnopuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_603_0_0 {
	meta:
		name = "_printf_cdnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_212_0_0 {
	meta:
		name = "_printf_cdnopuxX"
		size = 64
		refs = "000c _iob 002c _vfprintf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_185_0_0 {
	meta:
		name = "_printf_eE"
		size = 64
		refs = "000c _iob 002c _vfprintf_eE"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1080_0_0 {
	meta:
		name = "_printf_eEfF"
		size = 64
		refs = "000c _iob 002c _vfprintf_eEfF"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1000_0_0 {
	meta:
		name = "_printf_eEfFgG"
		size = 64
		refs = "000c _iob 002c _vfprintf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_392_0_0 {
	meta:
		name = "_printf_eEfFgGs"
		size = 64
		refs = "000c _iob 002c _vfprintf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_690_0_0 {
	meta:
		name = "_printf_eEfFs"
		size = 64
		refs = "000c _iob 002c _vfprintf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_714_0_0 {
	meta:
		name = "_printf_eEgG"
		size = 64
		refs = "000c _iob 002c _vfprintf_eEgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_773_0_0 {
	meta:
		name = "_printf_eEgGs"
		size = 64
		refs = "000c _iob 002c _vfprintf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_750_0_0 {
	meta:
		name = "_printf_eEs"
		size = 64
		refs = "000c _iob 002c _vfprintf_eEs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_170_0_0 {
	meta:
		name = "_printf_fF"
		size = 64
		refs = "000c _iob 002c _vfprintf_fF"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1058_0_0 {
	meta:
		name = "_printf_fFgG"
		size = 64
		refs = "000c _iob 002c _vfprintf_fFgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_443_0_0 {
	meta:
		name = "_printf_fFgGs"
		size = 64
		refs = "000c _iob 002c _vfprintf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_222_0_0 {
	meta:
		name = "_printf_fFs"
		size = 64
		refs = "000c _iob 002c _vfprintf_fFs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1097_0_0 {
	meta:
		name = "_printf_gG"
		size = 64
		refs = "000c _iob 002c _vfprintf_gG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_761_0_0 {
	meta:
		name = "_printf_gGs"
		size = 64
		refs = "000c _iob 002c _vfprintf_gGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_517_0_0 {
	meta:
		name = "_printf_s"
		size = 64
		refs = "000c _iob 002c _vfprintf_s"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_502_0_0 {
	meta:
		name = "_scanf_cdeEfFgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_409_0_0 {
	meta:
		name = "_scanf_cdeEfFgGnopuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_935_0_0 {
	meta:
		name = "_scanf_cdeEfFnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1109_0_0 {
	meta:
		name = "_scanf_cdeEfFnopuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_841_0_0 {
	meta:
		name = "_scanf_cdeEgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_438_0_0 {
	meta:
		name = "_scanf_cdeEgGnopuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_920_0_0 {
	meta:
		name = "_scanf_cdeEnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_934_0_0 {
	meta:
		name = "_scanf_cdeEnopuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_922_0_0 {
	meta:
		name = "_scanf_cdfFgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_6_0_0 {
	meta:
		name = "_scanf_cdfFgGnopuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_524_0_0 {
	meta:
		name = "_scanf_cdfFnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_836_0_0 {
	meta:
		name = "_scanf_cdfFnopuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1170_0_0 {
	meta:
		name = "_scanf_cdgGnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_632_0_0 {
	meta:
		name = "_scanf_cdgGnopuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_808_0_0 {
	meta:
		name = "_scanf_cdnopsuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_747_0_0 {
	meta:
		name = "_scanf_cdnopuxX"
		size = 64
		refs = "000c _iob 002c _vfscanf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1153_0_0 {
	meta:
		name = "_scanf_eEfFgG"
		size = 64
		refs = "000c _iob 002c _vfscanf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1034_0_0 {
	meta:
		name = "_scanf_eEfFgGs"
		size = 64
		refs = "000c _iob 002c _vfscanf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_771_0_0 {
	meta:
		name = "_scanf_eEgG"
		size = 64
		refs = "000c _iob 002c _vfscanf_eEgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_492_0_0 {
	meta:
		name = "_scanf_eEgGs"
		size = 64
		refs = "000c _iob 002c _vfscanf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_419_0_0 {
	meta:
		name = "_scanf_eEs"
		size = 64
		refs = "000c _iob 002c _vfscanf_eEs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_25_0_0 {
	meta:
		name = "_scanf_fF"
		size = 64
		refs = "000c _iob 002c _vfscanf_fF"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_789_0_0 {
	meta:
		name = "_scanf_fFgG"
		size = 64
		refs = "000c _iob 002c _vfscanf_fFgG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_221_0_0 {
	meta:
		name = "_scanf_fFgGs"
		size = 64
		refs = "000c _iob 002c _vfscanf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_644_0_0 {
	meta:
		name = "_scanf_fFs"
		size = 64
		refs = "000c _iob 002c _vfscanf_fFs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_914_0_0 {
	meta:
		name = "_scanf_gG"
		size = 64
		refs = "000c _iob 002c _vfscanf_gG"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_540_0_0 {
	meta:
		name = "_scanf_gGs"
		size = 64
		refs = "000c _iob 002c _vfscanf_gGs"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_99_0_0 {
	meta:
		name = "_scanf_s"
		size = 64
		refs = "000c _iob 002c _vfscanf_s"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_534_0_0 {
	meta:
		name = "printf"
		size = 64
		refs = "000c _iob 002c vfprintf"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_15_0_0 {
	meta:
		name = "scanf"
		size = 64
		refs = "000c _iob 002c vfscanf"
	strings:
		$1 = { E0 FF BD 27 24 00 A2 27 21 18 80 00 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_5_0_0 {
	meta:
		name = "wspace"
		size = 96
		refs = "0008 _ctype 001c fgetc 0044 ungetc"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF ?? ?? 10 3C 18 00 B1 AF 1C 00 BF AF ?? ?? 11 3C ?? ?? 10 26 ?? ?? ?? 0? ?? ?? 24 8E 21 18 02 02 01 00 63 80 88 00 63 30 FA FF 60 14 FF FF 03 24 04 00 43 10 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_5_1_0 {
	meta:
		name = "range"
		size = 144
		refs = "0008 _ctype 0074 tolower"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF ?? ?? 10 3C ?? ?? 10 26 21 10 90 00 01 00 43 90 1C 00 BF AF 04 00 62 30 0A 00 40 10 21 38 80 00 D0 FF 87 24 2A 28 E5 00 FF 00 02 24 FF 00 E7 30 0B 10 E5 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 01 00 62 30 04 00 40 50 03 00 63 30 06 00 C0 14 00 00 00 00 03 00 63 30 F5 FF 60 10 FF 00 02 24 ?? ?? ?? 0? A9 FF E7 24 ?? ?? ?? 0? 10 00 A5 AF 21 80 50 00 21 38 40 00 01 00 03 92 ?? ?? ?? 0? 10 00 A5 8F }
	condition:
		$1
}

rule file_5_2_0 {
	meta:
		name = "_dvfscanf_cdeEfFnopsuxX"
		size = 2680
		refs = "000c _ctype 00bc atoi 0314 fgetc 068c ungetc 0840 strtof 0854 fptodp"
		altNames = "_dvfscanf _dvfscanf_cdeEfFgGnopsuxX _dvfscanf_cdeEfFgGnopuxX _dvfscanf_cdeEfFnopuxX _dvfscanf_cdeEgGnopsuxX _dvfscanf_cdeEgGnopuxX _dvfscanf_cdeEnopsuxX _dvfscanf_cdeEnopuxX _dvfscanf_cdfFgGnopsuxX _dvfscanf_cdfFgGnopuxX _dvfscanf_cdfFnopsuxX _dvfscanf_cdfFnopuxX _dvfscanf_cdgGnopsuxX _dvfscanf_cdgGnopuxX _dvfscanf_eE _dvfscanf_eEfF _dvfscanf_eEfFgG _dvfscanf_eEfFgGs _dvfscanf_eEfFs _dvfscanf_eEgG _dvfscanf_eEgGs _dvfscanf_eEs _dvfscanf_fF _dvfscanf_fFgG _dvfscanf_fFgGs _dvfscanf_fFs _dvfscanf_gG _dvfscanf_gGs"
	strings:
		$1 = { 70 FF BD 27 78 00 B4 AF 74 00 B3 AF ?? ?? 14 3C ?? ?? 13 3C 10 00 A2 27 7C 00 B5 AF 8C 00 BF AF 88 00 BE AF 84 00 B7 AF 80 00 B6 AF 70 00 B2 AF 6C 00 B1 AF 68 00 B0 AF ?? ?? 94 26 21 38 A0 00 98 00 A6 AF ?? ?? 64 AE 21 A8 00 00 58 00 A0 AF 50 00 A2 AF 00 00 F0 90 CA 00 00 12 8C 00 BF 8F 21 10 90 02 01 00 42 80 88 00 42 30 BE 00 40 14 01 00 E7 24 25 00 03 24 A6 00 03 16 ?? ?? 64 8E 04 00 04 24 00 00 F2 80 21 80 00 00 54 00 A4 AF 21 B8 00 00 04 00 1E 24 FF 00 52 32 79 00 42 2E 1C 00 40 14 01 00 F1 24 21 10 92 02 01 00 42 90 04 00 42 30 60 02 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 E0 00 00 00 32 82 ?? ?? 04 3C ?? ?? 84 24 20 84 02 7C 21 10 44 02 01 00 42 90 04 00 42 30 ED FF 40 10 21 38 20 02 01 00 E7 24 00 00 F2 80 21 10 92 02 01 00 42 90 04 00 42 30 FB FF 40 54 01 00 E7 24 FF 00 52 32 79 00 42 2E E6 FF 40 10 01 00 F1 24 ?? ?? 03 3C 80 10 12 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0? 64 00 A7 AF 4D FF 02 12 64 00 A7 8F FF FF 03 24 BE 01 43 14 ?? ?? 03 3C 58 00 A3 8F 0B 10 63 00 8C 00 BF 8F 88 00 BE 8F 84 00 B7 8F 80 00 B6 8F 7C 00 B5 8F 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 ?? ?? ?? 0? 64 00 A7 AF 64 00 A7 8F 00 00 F0 90 3A FF 00 16 21 10 90 02 8C 00 BF 8F 58 00 A2 8F 88 00 BE 8F 84 00 B7 8F 80 00 B6 8F 7C 00 B5 8F 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 58 00 A2 8F 07 00 40 14 8C 00 BF 8F ?? ?? 63 8E FF FF 02 24 0C 00 63 94 10 00 63 30 0A 10 03 00 8C 00 BF 8F 88 00 BE 8F 84 00 B7 8F 80 00 B6 8F 7C 00 B5 8F 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 01 00 F7 26 FF 00 F7 32 00 00 32 82 ?? ?? ?? 0? 21 38 20 02 ?? ?? ?? 0? 00 00 00 00 1B 01 E0 12 98 00 A2 8F ?? ?? ?? 0? ?? ?? 64 8E FF FF 03 24 BE FF 43 10 01 00 43 24 1C 00 40 10 21 38 20 02 21 18 83 02 00 00 63 80 88 00 63 30 15 00 60 50 00 00 23 82 ?? ?? ?? 0? 00 00 00 00 03 00 E0 16 FF FF 10 26 00 00 C2 A2 01 00 D6 26 20 84 10 7C 44 01 00 12 00 00 00 00 ?? ?? ?? 0? ?? ?? 64 8E 01 00 43 24 02 00 64 2C 3E 01 80 14 21 18 83 02 00 00 63 80 88 00 63 30 3A 01 60 14 00 00 00 00 00 00 23 82 ED FF 62 14 01 00 27 26 E9 FE E0 56 00 00 F0 90 58 00 A4 8F 01 00 82 24 FF 00 42 30 58 00 A2 AF ?? ?? ?? 0? 00 00 C0 A2 21 38 20 02 08 00 12 24 ?? ?? ?? 0? 64 00 A7 AF ?? ?? 64 8E ?? ?? ?? 0? 5C 00 A0 AF 21 88 40 00 2D 00 02 24 55 00 22 12 64 00 A7 8F 21 20 20 02 21 28 40 02 21 30 A0 02 ?? ?? ?? 0? 64 00 A7 AF FF 00 03 24 5C 00 43 10 64 00 A7 8F 30 00 02 24 DF 00 22 12 ?? ?? 64 8E 21 18 00 00 FF 00 1E 24 02 18 72 70 21 20 20 02 21 28 40 02 21 30 A0 02 64 00 A7 AF FF FF 10 26 20 84 10 7C ?? ?? ?? 0? 60 00 A3 AF 60 00 A3 8F 64 00 A7 8F 0C 00 00 12 21 18 43 00 ?? ?? 64 8E ?? ?? ?? 0? 60 00 A3 AF 21 20 40 00 21 28 40 02 21 30 A0 02 ?? ?? ?? 0? 21 88 40 00 60 00 A3 8F E9 FF 5E 14 64 00 A7 8F 21 20 20 02 21 28 40 02 21 30 A0 02 60 00 A3 AF ?? ?? ?? 0? 64 00 A7 AF FF 00 04 24 60 00 A3 8F F9 00 44 10 64 00 A7 8F 5C 00 A4 8F 23 10 03 00 A4 FE E0 16 0B 18 44 00 58 00 A4 8F 01 00 82 24 54 00 A4 8F FF 00 42 30 58 00 A2 AF 04 00 02 24 04 00 82 10 54 00 A4 8F 02 00 02 24 F0 00 82 10 98 00 A4 8F 98 00 A4 8F 00 00 82 8C 04 00 84 24 98 00 A4 AF ?? ?? ?? 0? 00 00 43 AC 02 00 04 24 00 00 32 82 21 38 20 02 ?? ?? ?? 0? 54 00 A4 AF 21 38 20 02 ?? ?? ?? 0? 64 00 A7 AF ?? ?? 64 8E 5C 00 A0 AF ?? ?? ?? 0? 0A 00 12 24 21 88 40 00 2D 00 02 24 AD FF 22 16 64 00 A7 8F ?? ?? 02 3C ?? ?? 44 8C 01 00 03 24 ?? ?? ?? 0? 5C 00 A3 AF 64 00 A7 8F 21 88 40 00 21 20 20 02 21 28 40 02 21 30 A0 02 ?? ?? ?? 0? 64 00 A7 AF FF 00 03 24 A6 FF 43 14 64 00 A7 8F ?? ?? 65 8E ?? ?? ?? 0? 21 20 20 02 58 00 A4 8F 4E FF 80 14 21 10 80 00 ?? ?? 02 3C ?? ?? 43 8C FF FF 02 24 0C 00 63 94 10 00 63 30 ?? ?? ?? 0? 0A 10 03 00 21 38 20 02 10 00 12 24 ?? ?? ?? 0? 21 A8 00 00 68 00 E0 12 58 00 A3 8F FF FF 12 24 ?? ?? ?? 0? ?? ?? 64 8E C5 00 52 10 58 00 A3 8F 03 00 E0 16 FF FF 10 26 00 00 C2 A2 01 00 D6 26 20 84 10 7C F6 FF 00 1E 21 38 20 02 ?? ?? ?? 0? 00 00 F0 90 21 38 20 02 10 00 12 24 ?? ?? ?? 0? 01 00 15 24 54 00 A3 8F A8 00 7E 10 08 00 04 24 00 00 32 82 21 38 20 02 ?? ?? ?? 0? 54 00 A4 AF ?? ?? ?? 0? 00 00 00 00 ?? ?? 64 8E 3B 00 02 24 ?? ?? ?? 0? 0A 80 50 00 2D 00 04 24 AB 00 44 10 10 00 A3 27 01 00 63 24 21 F0 00 00 ?? ?? ?? 0? 2E 00 12 24 21 20 82 02 01 00 84 90 04 00 84 30 0C 00 80 10 00 00 00 00 0F 00 52 10 FF FF 62 A0 ?? ?? 64 8E 01 00 63 24 ?? ?? ?? 0? 60 00 A3 AF 60 00 A3 8F FF FF 10 26 20 84 10 7C F1 FF 00 16 FF FF 76 24 07 00 C0 17 00 00 00 00 05 00 52 14 00 00 00 00 FF FF 72 A0 01 00 DE 27 ?? ?? ?? 0? FF 00 DE 33 07 00 00 12 FF FF 03 24 65 00 03 24 41 00 43 10 45 00 03 24 40 00 43 50 00 00 C2 A2 FF FF 03 24 04 00 43 10 00 00 C0 A2 ?? ?? 65 8E ?? ?? ?? 0? 21 20 40 00 50 00 A4 8F EC FE 96 10 58 00 A2 8F 11 FE E0 16 21 38 20 02 58 00 A4 8F 01 00 83 24 54 00 A4 8F FF 00 63 30 05 00 82 2C 69 00 40 14 58 00 A3 AF 98 00 A2 8F 10 00 A4 27 21 28 00 00 00 00 50 8C ?? ?? ?? 0? 64 00 B1 AF 98 00 A3 8F 21 20 40 00 04 00 71 24 ?? ?? ?? 0? 00 00 00 00 00 00 02 AE 04 00 03 AE 64 00 A7 8F ?? ?? ?? 0? 98 00 B1 AF 98 00 A4 8F 01 00 62 24 00 00 96 8C FF 00 42 30 04 00 84 24 58 00 A2 AF ?? ?? ?? 0? 98 00 A4 AF 00 00 56 8C 04 00 42 24 ?? ?? ?? 0? 98 00 A2 AF ?? ?? ?? 0? 64 00 A7 AF 78 00 03 24 2E 00 43 10 64 00 A7 8F 58 00 03 24 2E 00 43 14 ?? ?? 65 8E 2D 00 A0 12 21 20 40 00 ?? ?? 64 8E ?? ?? ?? 0? 64 00 A7 AF 21 88 40 00 ?? ?? ?? 0? 64 00 A7 8F 00 00 C2 A2 ?? ?? 64 8E FF FF 10 26 20 84 10 7C ?? ?? ?? 0? 01 00 D6 26 BC FF 00 12 FF FF 03 24 2D 00 03 24 52 00 43 10 2B 00 03 24 51 00 43 50 00 00 C2 A2 21 18 82 02 01 00 63 90 04 00 63 30 B1 FF 60 10 01 00 D2 26 FF FF 10 26 FF 00 10 32 ?? ?? ?? 0? 21 80 50 02 01 00 63 90 04 00 63 30 A9 FF 60 10 01 00 52 26 00 00 C2 A2 ?? ?? 64 8E ?? ?? ?? 0? 21 B0 40 02 F7 FF 50 56 21 18 82 02 ?? ?? ?? 0? FF FF 03 24 D8 FF A0 12 ?? ?? 64 8E ?? ?? 65 8E 21 20 40 00 ?? ?? ?? 0? 64 00 A7 AF ?? ?? ?? 0? 64 00 A7 8F B2 FD E0 16 21 38 20 02 ?? ?? ?? 0? 58 00 A4 8F ?? ?? 65 8E ?? ?? ?? 0? 21 20 20 02 64 00 A7 8F ?? ?? ?? 0? 60 00 A3 8F 00 00 82 8C 04 00 84 24 98 00 A4 AF ?? ?? ?? 0? 00 00 43 A4 00 00 32 82 ?? ?? ?? 0? 21 38 20 02 98 00 A4 8F 21 28 00 00 00 00 90 8C 10 00 A4 27 ?? ?? ?? 0? 64 00 B1 AF 21 20 40 00 98 00 A2 8F ?? ?? ?? 0? 04 00 51 24 FF FF 02 24 ?? ?? ?? 0? 0B 10 63 00 ?? ?? 03 3C ?? ?? 64 8C FF FF 10 26 10 00 A2 A3 ?? ?? ?? 0? 20 84 10 7C ?? ?? ?? 0? 11 00 A3 27 ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 58 00 A2 8F ?? ?? ?? 0? ?? ?? 64 8E 39 FE 42 16 FF FF 03 24 ?? ?? ?? 0? 21 38 20 02 00 00 C2 A2 ?? ?? 64 8E FF FF 10 26 20 84 10 7C ?? ?? ?? 0? 01 00 D6 26 AB FF 00 56 21 18 82 02 ?? ?? ?? 0? FF FF 03 24 }
	condition:
		$1
}

rule file_7_0_0 {
	meta:
		name = "_sprintf_fFgGs"
		size = 104
		refs = "0040 _vfprintf_fFgGs"
		altNames = "_sprintf _sprintf_fF _sprintf_fFgG"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_81_0_0 {
	meta:
		name = "_dsprintf"
		size = 104
		refs = "0040 _dvfprintf"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1039_0_0 {
	meta:
		name = "_dsprintf_cdeEfFgGnopsuxX"
		size = 104
		refs = "0040 _dvfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_547_0_0 {
	meta:
		name = "_dsprintf_cdeEfFgGnopuxX"
		size = 104
		refs = "0040 _dvfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_41_0_0 {
	meta:
		name = "_dsprintf_cdeEfFnopsuxX"
		size = 104
		refs = "0040 _dvfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1108_0_0 {
	meta:
		name = "_dsprintf_cdeEfFnopuxX"
		size = 104
		refs = "0040 _dvfprintf_cdeEfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_282_0_0 {
	meta:
		name = "_dsprintf_cdeEgGnopsuxX"
		size = 104
		refs = "0040 _dvfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1032_0_0 {
	meta:
		name = "_dsprintf_cdeEgGnopuxX"
		size = 104
		refs = "0040 _dvfprintf_cdeEgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1149_0_0 {
	meta:
		name = "_dsprintf_cdeEnopsuxX"
		size = 104
		refs = "0040 _dvfprintf_cdeEnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_211_0_0 {
	meta:
		name = "_dsprintf_cdeEnopuxX"
		size = 104
		refs = "0040 _dvfprintf_cdeEnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_705_0_0 {
	meta:
		name = "_dsprintf_cdfFgGnopsuxX"
		size = 104
		refs = "0040 _dvfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1024_0_0 {
	meta:
		name = "_dsprintf_cdfFgGnopuxX"
		size = 104
		refs = "0040 _dvfprintf_cdfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1055_0_0 {
	meta:
		name = "_dsprintf_cdfFnopsuxX"
		size = 104
		refs = "0040 _dvfprintf_cdfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_326_0_0 {
	meta:
		name = "_dsprintf_cdfFnopuxX"
		size = 104
		refs = "0040 _dvfprintf_cdfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_123_0_0 {
	meta:
		name = "_dsprintf_cdgGnopsuxX"
		size = 104
		refs = "0040 _dvfprintf_cdgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_596_0_0 {
	meta:
		name = "_dsprintf_cdgGnopuxX"
		size = 104
		refs = "0040 _dvfprintf_cdgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_550_0_0 {
	meta:
		name = "_dsprintf_cdnopsuxX"
		size = 104
		refs = "0040 _dvfprintf_cdnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_533_0_0 {
	meta:
		name = "_dsprintf_cdnopuxX"
		size = 104
		refs = "0040 _dvfprintf_cdnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_607_0_0 {
	meta:
		name = "_dsprintf_eE"
		size = 104
		refs = "0040 _dvfprintf_eE"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_990_0_0 {
	meta:
		name = "_dsprintf_eEfF"
		size = 104
		refs = "0040 _dvfprintf_eEfF"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_203_0_0 {
	meta:
		name = "_dsprintf_eEfFgG"
		size = 104
		refs = "0040 _dvfprintf_eEfFgG"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_649_0_0 {
	meta:
		name = "_dsprintf_eEfFgGs"
		size = 104
		refs = "0040 _dvfprintf_eEfFgGs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_824_0_0 {
	meta:
		name = "_dsprintf_eEfFs"
		size = 104
		refs = "0040 _dvfprintf_eEfFs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_349_0_0 {
	meta:
		name = "_dsprintf_eEgG"
		size = 104
		refs = "0040 _dvfprintf_eEgG"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_238_0_0 {
	meta:
		name = "_dsprintf_eEgGs"
		size = 104
		refs = "0040 _dvfprintf_eEgGs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1026_0_0 {
	meta:
		name = "_dsprintf_eEs"
		size = 104
		refs = "0040 _dvfprintf_eEs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_155_0_0 {
	meta:
		name = "_dsprintf_fF"
		size = 104
		refs = "0040 _dvfprintf_fF"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_680_0_0 {
	meta:
		name = "_dsprintf_fFgG"
		size = 104
		refs = "0040 _dvfprintf_fFgG"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_858_0_0 {
	meta:
		name = "_dsprintf_fFgGs"
		size = 104
		refs = "0040 _dvfprintf_fFgGs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1121_0_0 {
	meta:
		name = "_dsprintf_fFs"
		size = 104
		refs = "0040 _dvfprintf_fFs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_289_0_0 {
	meta:
		name = "_dsprintf_gG"
		size = 104
		refs = "0040 _dvfprintf_gG"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1085_0_0 {
	meta:
		name = "_dsprintf_gGs"
		size = 104
		refs = "0040 _dvfprintf_gGs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_562_0_0 {
	meta:
		name = "_dsprintf_s"
		size = 104
		refs = "0040 _dvfprintf_s"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1160_0_0 {
	meta:
		name = "_isprintf"
		size = 104
		refs = "0040 _ivfprintf"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_758_0_0 {
	meta:
		name = "_sprintf_cdeEfFgGnopsuxX"
		size = 104
		refs = "0040 _vfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_11_0_0 {
	meta:
		name = "_sprintf_cdeEfFgGnopuxX"
		size = 104
		refs = "0040 _vfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_186_0_0 {
	meta:
		name = "_sprintf_cdeEfFnopsuxX"
		size = 104
		refs = "0040 _vfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_43_0_0 {
	meta:
		name = "_sprintf_cdeEfFnopuxX"
		size = 104
		refs = "0040 _vfprintf_cdeEfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_223_0_0 {
	meta:
		name = "_sprintf_cdeEgGnopsuxX"
		size = 104
		refs = "0040 _vfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "_sprintf_cdeEgGnopuxX"
		size = 104
		refs = "0040 _vfprintf_cdeEgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_867_0_0 {
	meta:
		name = "_sprintf_cdeEnopsuxX"
		size = 104
		refs = "0040 _vfprintf_cdeEnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1009_0_0 {
	meta:
		name = "_sprintf_cdeEnopuxX"
		size = 104
		refs = "0040 _vfprintf_cdeEnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_163_0_0 {
	meta:
		name = "_sprintf_cdfFgGnopsuxX"
		size = 104
		refs = "0040 _vfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_452_0_0 {
	meta:
		name = "_sprintf_cdfFgGnopuxX"
		size = 104
		refs = "0040 _vfprintf_cdfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_365_0_0 {
	meta:
		name = "_sprintf_cdfFnopsuxX"
		size = 104
		refs = "0040 _vfprintf_cdfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_590_0_0 {
	meta:
		name = "_sprintf_cdfFnopuxX"
		size = 104
		refs = "0040 _vfprintf_cdfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_171_0_0 {
	meta:
		name = "_sprintf_cdgGnopsuxX"
		size = 104
		refs = "0040 _vfprintf_cdgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1163_0_0 {
	meta:
		name = "_sprintf_cdgGnopuxX"
		size = 104
		refs = "0040 _vfprintf_cdgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_100_0_0 {
	meta:
		name = "_sprintf_cdnopsuxX"
		size = 104
		refs = "0040 _vfprintf_cdnopsuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1211_0_0 {
	meta:
		name = "_sprintf_cdnopuxX"
		size = 104
		refs = "0040 _vfprintf_cdnopuxX"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_390_0_0 {
	meta:
		name = "_sprintf_eE"
		size = 104
		refs = "0040 _vfprintf_eE"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_579_0_0 {
	meta:
		name = "_sprintf_eEfF"
		size = 104
		refs = "0040 _vfprintf_eEfF"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_421_0_0 {
	meta:
		name = "_sprintf_eEfFgG"
		size = 104
		refs = "0040 _vfprintf_eEfFgG"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1102_0_0 {
	meta:
		name = "_sprintf_eEfFgGs"
		size = 104
		refs = "0040 _vfprintf_eEfFgGs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_815_0_0 {
	meta:
		name = "_sprintf_eEfFs"
		size = 104
		refs = "0040 _vfprintf_eEfFs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1016_0_0 {
	meta:
		name = "_sprintf_eEgG"
		size = 104
		refs = "0040 _vfprintf_eEgG"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_451_0_0 {
	meta:
		name = "_sprintf_eEgGs"
		size = 104
		refs = "0040 _vfprintf_eEgGs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_380_0_0 {
	meta:
		name = "_sprintf_eEs"
		size = 104
		refs = "0040 _vfprintf_eEs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_109_0_0 {
	meta:
		name = "_sprintf_fFs"
		size = 104
		refs = "0040 _vfprintf_fFs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1002_0_0 {
	meta:
		name = "_sprintf_gG"
		size = 104
		refs = "0040 _vfprintf_gG"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_967_0_0 {
	meta:
		name = "_sprintf_gGs"
		size = 104
		refs = "0040 _vfprintf_gGs"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_172_0_0 {
	meta:
		name = "_sprintf_s"
		size = 104
		refs = "0040 _vfprintf_s"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_498_0_0 {
	meta:
		name = "sprintf"
		size = 104
		refs = "0040 vfprintf"
	strings:
		$1 = { D0 FF BD 27 38 00 A2 27 38 00 A6 AF 10 00 A2 AF 21 30 40 00 FF 7F 02 24 28 00 B0 AF 24 00 A2 AF 21 80 80 00 C2 00 02 24 14 00 A4 27 2C 00 BF AF 14 00 B0 AF 1C 00 B0 AF 3C 00 A7 AF 18 00 A0 AF ?? ?? ?? 0? 20 00 A2 A7 14 00 A2 8F 00 00 40 A0 14 00 A2 8F 2C 00 BF 8F 23 10 50 00 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_9_0_0 {
	meta:
		name = "_dvsscanf_cdeEgGnopuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdeEgGnopuxX"
		altNames = "_dvsscanf"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_494_0_0 {
	meta:
		name = "_dvsscanf_cdeEfFgGnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_912_0_0 {
	meta:
		name = "_dvsscanf_cdeEfFgGnopuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_896_0_0 {
	meta:
		name = "_dvsscanf_cdeEfFnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_399_0_0 {
	meta:
		name = "_dvsscanf_cdeEfFnopuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdeEfFnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1168_0_0 {
	meta:
		name = "_dvsscanf_cdeEgGnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_478_0_0 {
	meta:
		name = "_dvsscanf_cdeEnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdeEnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_523_0_0 {
	meta:
		name = "_dvsscanf_cdeEnopuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdeEnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_697_0_0 {
	meta:
		name = "_dvsscanf_cdfFgGnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_459_0_0 {
	meta:
		name = "_dvsscanf_cdfFgGnopuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdfFgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1186_0_0 {
	meta:
		name = "_dvsscanf_cdfFnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdfFnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_531_0_0 {
	meta:
		name = "_dvsscanf_cdfFnopuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdfFnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1179_0_0 {
	meta:
		name = "_dvsscanf_cdgGnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1052_0_0 {
	meta:
		name = "_dvsscanf_cdgGnopuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_503_0_0 {
	meta:
		name = "_dvsscanf_cdnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_564_0_0 {
	meta:
		name = "_dvsscanf_cdnopuxX"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_cdnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1147_0_0 {
	meta:
		name = "_dvsscanf_eE"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_eE"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_456_0_0 {
	meta:
		name = "_dvsscanf_eEfF"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_eEfF"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_788_0_0 {
	meta:
		name = "_dvsscanf_eEfFgG"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_eEfFgG"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_385_0_0 {
	meta:
		name = "_dvsscanf_eEfFgGs"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_eEfFgGs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_740_0_0 {
	meta:
		name = "_dvsscanf_eEfFs"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_eEfFs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_241_0_0 {
	meta:
		name = "_dvsscanf_eEgG"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_eEgG"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_948_0_0 {
	meta:
		name = "_dvsscanf_eEgGs"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_eEgGs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_712_0_0 {
	meta:
		name = "_dvsscanf_eEs"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_eEs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_426_0_0 {
	meta:
		name = "_dvsscanf_fF"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_fF"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1066_0_0 {
	meta:
		name = "_dvsscanf_fFgG"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_fFgG"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_114_0_0 {
	meta:
		name = "_dvsscanf_fFgGs"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_fFgGs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_927_0_0 {
	meta:
		name = "_dvsscanf_fFs"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_fFs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_610_0_0 {
	meta:
		name = "_dvsscanf_gG"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_gG"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_165_0_0 {
	meta:
		name = "_dvsscanf_gGs"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_gGs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_402_0_0 {
	meta:
		name = "_dvsscanf_s"
		size = 72
		refs = "0014 strlen 0034 _dvfscanf_s"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_623_0_0 {
	meta:
		name = "_ivsscanf"
		size = 72
		refs = "0014 strlen 0034 _ivfscanf"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_819_0_0 {
	meta:
		name = "_vsscanf"
		size = 72
		refs = "0014 strlen 0034 _vfscanf"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_612_0_0 {
	meta:
		name = "_vsscanf_cdeEfFgGnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_593_0_0 {
	meta:
		name = "_vsscanf_cdeEfFgGnopuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_898_0_0 {
	meta:
		name = "_vsscanf_cdeEfFnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_512_0_0 {
	meta:
		name = "_vsscanf_cdeEfFnopuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdeEfFnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_285_0_0 {
	meta:
		name = "_vsscanf_cdeEgGnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_87_0_0 {
	meta:
		name = "_vsscanf_cdeEgGnopuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdeEgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_831_0_0 {
	meta:
		name = "_vsscanf_cdeEnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdeEnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_496_0_0 {
	meta:
		name = "_vsscanf_cdeEnopuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdeEnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_599_0_0 {
	meta:
		name = "_vsscanf_cdfFgGnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_738_0_0 {
	meta:
		name = "_vsscanf_cdfFgGnopuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdfFgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1159_0_0 {
	meta:
		name = "_vsscanf_cdfFnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdfFnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_645_0_0 {
	meta:
		name = "_vsscanf_cdfFnopuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdfFnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_975_0_0 {
	meta:
		name = "_vsscanf_cdgGnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_207_0_0 {
	meta:
		name = "_vsscanf_cdgGnopuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_149_0_0 {
	meta:
		name = "_vsscanf_cdnopsuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdnopsuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_395_0_0 {
	meta:
		name = "_vsscanf_cdnopuxX"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_cdnopuxX"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_977_0_0 {
	meta:
		name = "_vsscanf_eE"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_eE"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1027_0_0 {
	meta:
		name = "_vsscanf_eEfF"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_eEfF"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1131_0_0 {
	meta:
		name = "_vsscanf_eEfFgG"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_eEfFgG"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_374_0_0 {
	meta:
		name = "_vsscanf_eEfFgGs"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_eEfFgGs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_871_0_0 {
	meta:
		name = "_vsscanf_eEfFs"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_eEfFs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_663_0_0 {
	meta:
		name = "_vsscanf_eEgG"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_eEgG"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_987_0_0 {
	meta:
		name = "_vsscanf_eEgGs"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_eEgGs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_182_0_0 {
	meta:
		name = "_vsscanf_eEs"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_eEs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_581_0_0 {
	meta:
		name = "_vsscanf_fF"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_fF"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1072_0_0 {
	meta:
		name = "_vsscanf_fFgG"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_fFgG"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_879_0_0 {
	meta:
		name = "_vsscanf_fFgGs"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_fFgGs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_907_0_0 {
	meta:
		name = "_vsscanf_fFs"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_fFs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_72_0_0 {
	meta:
		name = "_vsscanf_gG"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_gG"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_616_0_0 {
	meta:
		name = "_vsscanf_gGs"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_gGs"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_605_0_0 {
	meta:
		name = "_vsscanf_s"
		size = 72
		refs = "0014 strlen 0034 _vfscanf_s"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_582_0_0 {
	meta:
		name = "vsscanf"
		size = 72
		refs = "0014 strlen 0034 vfscanf"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 10 00 A4 AF 18 00 A4 AF 28 00 A5 AF ?? ?? ?? 0? 2C 00 A6 AF 28 00 A5 8F 2C 00 A6 8F 14 00 A2 AF 20 00 A2 AF 10 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_13_0_0 {
	meta:
		name = "_fscanf_eEfFgG"
		size = 44
		refs = "0018 _vfscanf_eEfFgG"
		altNames = "_fscanf _fscanf_eE _fscanf_eEfF _fscanf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_176_0_0 {
	meta:
		name = "_asprintf"
		size = 44
		refs = "0018 ___vasprintf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_357_0_0 {
	meta:
		name = "_asprintf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0018 ___vasprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_985_0_0 {
	meta:
		name = "_asprintf_cdeEfFgGnopuxX"
		size = 44
		refs = "0018 ___vasprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_617_0_0 {
	meta:
		name = "_asprintf_cdeEfFnopsuxX"
		size = 44
		refs = "0018 ___vasprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_458_0_0 {
	meta:
		name = "_asprintf_cdeEfFnopuxX"
		size = 44
		refs = "0018 ___vasprintf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_976_0_0 {
	meta:
		name = "_asprintf_cdeEgGnopsuxX"
		size = 44
		refs = "0018 ___vasprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_17_0_0 {
	meta:
		name = "_asprintf_cdeEgGnopuxX"
		size = 44
		refs = "0018 ___vasprintf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_552_0_0 {
	meta:
		name = "_asprintf_cdeEnopsuxX"
		size = 44
		refs = "0018 ___vasprintf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_26_0_0 {
	meta:
		name = "_asprintf_cdeEnopuxX"
		size = 44
		refs = "0018 ___vasprintf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_876_0_0 {
	meta:
		name = "_asprintf_cdfFgGnopsuxX"
		size = 44
		refs = "0018 ___vasprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_66_0_0 {
	meta:
		name = "_asprintf_cdfFgGnopuxX"
		size = 44
		refs = "0018 ___vasprintf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1190_0_0 {
	meta:
		name = "_asprintf_cdfFnopsuxX"
		size = 44
		refs = "0018 ___vasprintf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_530_0_0 {
	meta:
		name = "_asprintf_cdfFnopuxX"
		size = 44
		refs = "0018 ___vasprintf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1129_0_0 {
	meta:
		name = "_asprintf_cdgGnopsuxX"
		size = 44
		refs = "0018 ___vasprintf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_367_0_0 {
	meta:
		name = "_asprintf_cdgGnopuxX"
		size = 44
		refs = "0018 ___vasprintf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_868_0_0 {
	meta:
		name = "_asprintf_cdnopsuxX"
		size = 44
		refs = "0018 ___vasprintf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_92_0_0 {
	meta:
		name = "_asprintf_cdnopuxX"
		size = 44
		refs = "0018 ___vasprintf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_299_0_0 {
	meta:
		name = "_asprintf_eE"
		size = 44
		refs = "0018 ___vasprintf_eE"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_917_0_0 {
	meta:
		name = "_asprintf_eEfF"
		size = 44
		refs = "0018 ___vasprintf_eEfF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_849_0_0 {
	meta:
		name = "_asprintf_eEfFgG"
		size = 44
		refs = "0018 ___vasprintf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1202_0_0 {
	meta:
		name = "_asprintf_eEfFgGs"
		size = 44
		refs = "0018 ___vasprintf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_726_0_0 {
	meta:
		name = "_asprintf_eEfFs"
		size = 44
		refs = "0018 ___vasprintf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_52_0_0 {
	meta:
		name = "_asprintf_eEgG"
		size = 44
		refs = "0018 ___vasprintf_eEgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1169_0_0 {
	meta:
		name = "_asprintf_eEgGs"
		size = 44
		refs = "0018 ___vasprintf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1046_0_0 {
	meta:
		name = "_asprintf_eEs"
		size = 44
		refs = "0018 ___vasprintf_eEs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_98_0_0 {
	meta:
		name = "_asprintf_fF"
		size = 44
		refs = "0018 ___vasprintf_fF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_184_0_0 {
	meta:
		name = "_asprintf_fFgG"
		size = 44
		refs = "0018 ___vasprintf_fFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_77_0_0 {
	meta:
		name = "_asprintf_fFgGs"
		size = 44
		refs = "0018 ___vasprintf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_214_0_0 {
	meta:
		name = "_asprintf_fFs"
		size = 44
		refs = "0018 ___vasprintf_fFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_188_0_0 {
	meta:
		name = "_asprintf_gG"
		size = 44
		refs = "0018 ___vasprintf_gG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1132_0_0 {
	meta:
		name = "_asprintf_gGs"
		size = 44
		refs = "0018 ___vasprintf_gGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_256_0_0 {
	meta:
		name = "_asprintf_s"
		size = 44
		refs = "0018 ___vasprintf_s"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_509_0_0 {
	meta:
		name = "_dasprintf"
		size = 44
		refs = "0018 _d__vasprintf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1214_0_0 {
	meta:
		name = "_dasprintf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_335_0_0 {
	meta:
		name = "_dasprintf_cdeEfFgGnopuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_639_0_0 {
	meta:
		name = "_dasprintf_cdeEfFnopsuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_848_0_0 {
	meta:
		name = "_dasprintf_cdeEfFnopuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_417_0_0 {
	meta:
		name = "_dasprintf_cdeEgGnopsuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_253_0_0 {
	meta:
		name = "_dasprintf_cdeEgGnopuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_449_0_0 {
	meta:
		name = "_dasprintf_cdeEnopsuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_762_0_0 {
	meta:
		name = "_dasprintf_cdeEnopuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_956_0_0 {
	meta:
		name = "_dasprintf_cdfFgGnopsuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_497_0_0 {
	meta:
		name = "_dasprintf_cdfFgGnopuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_506_0_0 {
	meta:
		name = "_dasprintf_cdfFnopsuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_993_0_0 {
	meta:
		name = "_dasprintf_cdfFnopuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_755_0_0 {
	meta:
		name = "_dasprintf_cdgGnopsuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_445_0_0 {
	meta:
		name = "_dasprintf_cdgGnopuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_732_0_0 {
	meta:
		name = "_dasprintf_cdnopsuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_741_0_0 {
	meta:
		name = "_dasprintf_cdnopuxX"
		size = 44
		refs = "0018 _d__vasprintf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_474_0_0 {
	meta:
		name = "_dasprintf_eE"
		size = 44
		refs = "0018 _d__vasprintf_eE"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1176_0_0 {
	meta:
		name = "_dasprintf_eEfF"
		size = 44
		refs = "0018 _d__vasprintf_eEfF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_751_0_0 {
	meta:
		name = "_dasprintf_eEfFgG"
		size = 44
		refs = "0018 _d__vasprintf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_234_0_0 {
	meta:
		name = "_dasprintf_eEfFgGs"
		size = 44
		refs = "0018 _d__vasprintf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_193_0_0 {
	meta:
		name = "_dasprintf_eEfFs"
		size = 44
		refs = "0018 _d__vasprintf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_594_0_0 {
	meta:
		name = "_dasprintf_eEgG"
		size = 44
		refs = "0018 _d__vasprintf_eEgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_558_0_0 {
	meta:
		name = "_dasprintf_eEgGs"
		size = 44
		refs = "0018 _d__vasprintf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_752_0_0 {
	meta:
		name = "_dasprintf_eEs"
		size = 44
		refs = "0018 _d__vasprintf_eEs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_292_0_0 {
	meta:
		name = "_dasprintf_fF"
		size = 44
		refs = "0018 _d__vasprintf_fF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_423_0_0 {
	meta:
		name = "_dasprintf_fFgG"
		size = 44
		refs = "0018 _d__vasprintf_fFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_874_0_0 {
	meta:
		name = "_dasprintf_fFgGs"
		size = 44
		refs = "0018 _d__vasprintf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_854_0_0 {
	meta:
		name = "_dasprintf_fFs"
		size = 44
		refs = "0018 _d__vasprintf_fFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_394_0_0 {
	meta:
		name = "_dasprintf_gG"
		size = 44
		refs = "0018 _d__vasprintf_gG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_501_0_0 {
	meta:
		name = "_dasprintf_gGs"
		size = 44
		refs = "0018 _d__vasprintf_gGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1063_0_0 {
	meta:
		name = "_dasprintf_s"
		size = 44
		refs = "0018 _d__vasprintf_s"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_407_0_0 {
	meta:
		name = "_dfprintf"
		size = 44
		refs = "0018 _dvfprintf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_969_0_0 {
	meta:
		name = "_dfprintf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0018 _dvfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_857_0_0 {
	meta:
		name = "_dfprintf_cdeEfFgGnopuxX"
		size = 44
		refs = "0018 _dvfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_229_0_0 {
	meta:
		name = "_dfprintf_cdeEfFnopsuxX"
		size = 44
		refs = "0018 _dvfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_554_0_0 {
	meta:
		name = "_dfprintf_cdeEfFnopuxX"
		size = 44
		refs = "0018 _dvfprintf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_142_0_0 {
	meta:
		name = "_dfprintf_cdeEgGnopsuxX"
		size = 44
		refs = "0018 _dvfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1187_0_0 {
	meta:
		name = "_dfprintf_cdeEgGnopuxX"
		size = 44
		refs = "0018 _dvfprintf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1199_0_0 {
	meta:
		name = "_dfprintf_cdeEnopsuxX"
		size = 44
		refs = "0018 _dvfprintf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_766_0_0 {
	meta:
		name = "_dfprintf_cdeEnopuxX"
		size = 44
		refs = "0018 _dvfprintf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_448_0_0 {
	meta:
		name = "_dfprintf_cdfFgGnopsuxX"
		size = 44
		refs = "0018 _dvfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_480_0_0 {
	meta:
		name = "_dfprintf_cdfFgGnopuxX"
		size = 44
		refs = "0018 _dvfprintf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_259_0_0 {
	meta:
		name = "_dfprintf_cdfFnopsuxX"
		size = 44
		refs = "0018 _dvfprintf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_55_0_0 {
	meta:
		name = "_dfprintf_cdfFnopuxX"
		size = 44
		refs = "0018 _dvfprintf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_953_0_0 {
	meta:
		name = "_dfprintf_cdgGnopsuxX"
		size = 44
		refs = "0018 _dvfprintf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_34_0_0 {
	meta:
		name = "_dfprintf_cdgGnopuxX"
		size = 44
		refs = "0018 _dvfprintf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_493_0_0 {
	meta:
		name = "_dfprintf_cdnopsuxX"
		size = 44
		refs = "0018 _dvfprintf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_675_0_0 {
	meta:
		name = "_dfprintf_cdnopuxX"
		size = 44
		refs = "0018 _dvfprintf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_209_0_0 {
	meta:
		name = "_dfprintf_eE"
		size = 44
		refs = "0018 _dvfprintf_eE"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_931_0_0 {
	meta:
		name = "_dfprintf_eEfF"
		size = 44
		refs = "0018 _dvfprintf_eEfF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1151_0_0 {
	meta:
		name = "_dfprintf_eEfFgG"
		size = 44
		refs = "0018 _dvfprintf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_398_0_0 {
	meta:
		name = "_dfprintf_eEfFgGs"
		size = 44
		refs = "0018 _dvfprintf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_640_0_0 {
	meta:
		name = "_dfprintf_eEfFs"
		size = 44
		refs = "0018 _dvfprintf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_57_0_0 {
	meta:
		name = "_dfprintf_eEgG"
		size = 44
		refs = "0018 _dvfprintf_eEgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1023_0_0 {
	meta:
		name = "_dfprintf_eEgGs"
		size = 44
		refs = "0018 _dvfprintf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "_dfprintf_eEs"
		size = 44
		refs = "0018 _dvfprintf_eEs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_482_0_0 {
	meta:
		name = "_dfprintf_fF"
		size = 44
		refs = "0018 _dvfprintf_fF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1201_0_0 {
	meta:
		name = "_dfprintf_fFgG"
		size = 44
		refs = "0018 _dvfprintf_fFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_383_0_0 {
	meta:
		name = "_dfprintf_fFgGs"
		size = 44
		refs = "0018 _dvfprintf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_320_0_0 {
	meta:
		name = "_dfprintf_fFs"
		size = 44
		refs = "0018 _dvfprintf_fFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_141_0_0 {
	meta:
		name = "_dfprintf_gG"
		size = 44
		refs = "0018 _dvfprintf_gG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_648_0_0 {
	meta:
		name = "_dfprintf_gGs"
		size = 44
		refs = "0018 _dvfprintf_gGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_728_0_0 {
	meta:
		name = "_dfprintf_s"
		size = 44
		refs = "0018 _dvfprintf_s"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_790_0_0 {
	meta:
		name = "_dfscanf"
		size = 44
		refs = "0018 _dvfscanf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_535_0_0 {
	meta:
		name = "_dfscanf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0018 _dvfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_411_0_0 {
	meta:
		name = "_dfscanf_cdeEfFgGnopuxX"
		size = 44
		refs = "0018 _dvfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_965_0_0 {
	meta:
		name = "_dfscanf_cdeEfFnopsuxX"
		size = 44
		refs = "0018 _dvfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_303_0_0 {
	meta:
		name = "_dfscanf_cdeEfFnopuxX"
		size = 44
		refs = "0018 _dvfscanf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_903_0_0 {
	meta:
		name = "_dfscanf_cdeEgGnopsuxX"
		size = 44
		refs = "0018 _dvfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_457_0_0 {
	meta:
		name = "_dfscanf_cdeEgGnopuxX"
		size = 44
		refs = "0018 _dvfscanf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_115_0_0 {
	meta:
		name = "_dfscanf_cdeEnopsuxX"
		size = 44
		refs = "0018 _dvfscanf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_970_0_0 {
	meta:
		name = "_dfscanf_cdeEnopuxX"
		size = 44
		refs = "0018 _dvfscanf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_749_0_0 {
	meta:
		name = "_dfscanf_cdfFgGnopsuxX"
		size = 44
		refs = "0018 _dvfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_918_0_0 {
	meta:
		name = "_dfscanf_cdfFgGnopuxX"
		size = 44
		refs = "0018 _dvfscanf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_280_0_0 {
	meta:
		name = "_dfscanf_cdfFnopsuxX"
		size = 44
		refs = "0018 _dvfscanf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_655_0_0 {
	meta:
		name = "_dfscanf_cdfFnopuxX"
		size = 44
		refs = "0018 _dvfscanf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1089_0_0 {
	meta:
		name = "_dfscanf_cdgGnopsuxX"
		size = 44
		refs = "0018 _dvfscanf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_491_0_0 {
	meta:
		name = "_dfscanf_cdgGnopuxX"
		size = 44
		refs = "0018 _dvfscanf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_433_0_0 {
	meta:
		name = "_dfscanf_cdnopsuxX"
		size = 44
		refs = "0018 _dvfscanf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_636_0_0 {
	meta:
		name = "_dfscanf_cdnopuxX"
		size = 44
		refs = "0018 _dvfscanf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_973_0_0 {
	meta:
		name = "_dfscanf_eE"
		size = 44
		refs = "0018 _dvfscanf_eE"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_667_0_0 {
	meta:
		name = "_dfscanf_eEfF"
		size = 44
		refs = "0018 _dvfscanf_eEfF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_135_0_0 {
	meta:
		name = "_dfscanf_eEfFgG"
		size = 44
		refs = "0018 _dvfscanf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1145_0_0 {
	meta:
		name = "_dfscanf_eEfFgGs"
		size = 44
		refs = "0018 _dvfscanf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_717_0_0 {
	meta:
		name = "_dfscanf_eEfFs"
		size = 44
		refs = "0018 _dvfscanf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_986_0_0 {
	meta:
		name = "_dfscanf_eEgG"
		size = 44
		refs = "0018 _dvfscanf_eEgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "_dfscanf_eEgGs"
		size = 44
		refs = "0018 _dvfscanf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_397_0_0 {
	meta:
		name = "_dfscanf_eEs"
		size = 44
		refs = "0018 _dvfscanf_eEs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1013_0_0 {
	meta:
		name = "_dfscanf_fF"
		size = 44
		refs = "0018 _dvfscanf_fF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1204_0_0 {
	meta:
		name = "_dfscanf_fFgG"
		size = 44
		refs = "0018 _dvfscanf_fFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_656_0_0 {
	meta:
		name = "_dfscanf_fFgGs"
		size = 44
		refs = "0018 _dvfscanf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1069_0_0 {
	meta:
		name = "_dfscanf_fFs"
		size = 44
		refs = "0018 _dvfscanf_fFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_850_0_0 {
	meta:
		name = "_dfscanf_gG"
		size = 44
		refs = "0018 _dvfscanf_gG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_412_0_0 {
	meta:
		name = "_dfscanf_gGs"
		size = 44
		refs = "0018 _dvfscanf_gGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1162_0_0 {
	meta:
		name = "_dfscanf_s"
		size = 44
		refs = "0018 _dvfscanf_s"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_602_0_0 {
	meta:
		name = "_fprintf"
		size = 44
		refs = "0018 _vfprintf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_389_0_0 {
	meta:
		name = "_fprintf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0018 _vfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_585_0_0 {
	meta:
		name = "_fprintf_cdeEfFgGnopuxX"
		size = 44
		refs = "0018 _vfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_48_0_0 {
	meta:
		name = "_fprintf_cdeEfFnopsuxX"
		size = 44
		refs = "0018 _vfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_404_0_0 {
	meta:
		name = "_fprintf_cdeEfFnopuxX"
		size = 44
		refs = "0018 _vfprintf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_444_0_0 {
	meta:
		name = "_fprintf_cdeEgGnopsuxX"
		size = 44
		refs = "0018 _vfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1122_0_0 {
	meta:
		name = "_fprintf_cdeEgGnopuxX"
		size = 44
		refs = "0018 _vfprintf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_768_0_0 {
	meta:
		name = "_fprintf_cdeEnopsuxX"
		size = 44
		refs = "0018 _vfprintf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_307_0_0 {
	meta:
		name = "_fprintf_cdeEnopuxX"
		size = 44
		refs = "0018 _vfprintf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_597_0_0 {
	meta:
		name = "_fprintf_cdfFgGnopsuxX"
		size = 44
		refs = "0018 _vfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1048_0_0 {
	meta:
		name = "_fprintf_cdfFgGnopuxX"
		size = 44
		refs = "0018 _vfprintf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_634_0_0 {
	meta:
		name = "_fprintf_cdfFnopsuxX"
		size = 44
		refs = "0018 _vfprintf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_242_0_0 {
	meta:
		name = "_fprintf_cdfFnopuxX"
		size = 44
		refs = "0018 _vfprintf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_909_0_0 {
	meta:
		name = "_fprintf_cdgGnopsuxX"
		size = 44
		refs = "0018 _vfprintf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_793_0_0 {
	meta:
		name = "_fprintf_cdgGnopuxX"
		size = 44
		refs = "0018 _vfprintf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_369_0_0 {
	meta:
		name = "_fprintf_cdnopsuxX"
		size = 44
		refs = "0018 _vfprintf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_199_0_0 {
	meta:
		name = "_fprintf_cdnopuxX"
		size = 44
		refs = "0018 _vfprintf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_624_0_0 {
	meta:
		name = "_fprintf_eE"
		size = 44
		refs = "0018 _vfprintf_eE"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_913_0_0 {
	meta:
		name = "_fprintf_eEfF"
		size = 44
		refs = "0018 _vfprintf_eEfF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1128_0_0 {
	meta:
		name = "_fprintf_eEfFgG"
		size = 44
		refs = "0018 _vfprintf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1124_0_0 {
	meta:
		name = "_fprintf_eEfFgGs"
		size = 44
		refs = "0018 _vfprintf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_921_0_0 {
	meta:
		name = "_fprintf_eEfFs"
		size = 44
		refs = "0018 _vfprintf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_45_0_0 {
	meta:
		name = "_fprintf_eEgG"
		size = 44
		refs = "0018 _vfprintf_eEgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_955_0_0 {
	meta:
		name = "_fprintf_eEgGs"
		size = 44
		refs = "0018 _vfprintf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_65_0_0 {
	meta:
		name = "_fprintf_eEs"
		size = 44
		refs = "0018 _vfprintf_eEs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_799_0_0 {
	meta:
		name = "_fprintf_fF"
		size = 44
		refs = "0018 _vfprintf_fF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_58_0_0 {
	meta:
		name = "_fprintf_fFgG"
		size = 44
		refs = "0018 _vfprintf_fFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1140_0_0 {
	meta:
		name = "_fprintf_fFgGs"
		size = 44
		refs = "0018 _vfprintf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_576_0_0 {
	meta:
		name = "_fprintf_fFs"
		size = 44
		refs = "0018 _vfprintf_fFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_548_0_0 {
	meta:
		name = "_fprintf_gG"
		size = 44
		refs = "0018 _vfprintf_gG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_536_0_0 {
	meta:
		name = "_fprintf_gGs"
		size = 44
		refs = "0018 _vfprintf_gGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "_fprintf_s"
		size = 44
		refs = "0018 _vfprintf_s"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_83_0_0 {
	meta:
		name = "_fscanf_cdeEfFgGnopsuxX"
		size = 44
		refs = "0018 _vfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_239_0_0 {
	meta:
		name = "_fscanf_cdeEfFgGnopuxX"
		size = 44
		refs = "0018 _vfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_677_0_0 {
	meta:
		name = "_fscanf_cdeEfFnopsuxX"
		size = 44
		refs = "0018 _vfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_425_0_0 {
	meta:
		name = "_fscanf_cdeEfFnopuxX"
		size = 44
		refs = "0018 _vfscanf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_154_0_0 {
	meta:
		name = "_fscanf_cdeEgGnopsuxX"
		size = 44
		refs = "0018 _vfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1036_0_0 {
	meta:
		name = "_fscanf_cdeEgGnopuxX"
		size = 44
		refs = "0018 _vfscanf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_742_0_0 {
	meta:
		name = "_fscanf_cdeEnopsuxX"
		size = 44
		refs = "0018 _vfscanf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1146_0_0 {
	meta:
		name = "_fscanf_cdeEnopuxX"
		size = 44
		refs = "0018 _vfscanf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_178_0_0 {
	meta:
		name = "_fscanf_cdfFgGnopsuxX"
		size = 44
		refs = "0018 _vfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_681_0_0 {
	meta:
		name = "_fscanf_cdfFgGnopuxX"
		size = 44
		refs = "0018 _vfscanf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_202_0_0 {
	meta:
		name = "_fscanf_cdfFnopsuxX"
		size = 44
		refs = "0018 _vfscanf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_660_0_0 {
	meta:
		name = "_fscanf_cdfFnopuxX"
		size = 44
		refs = "0018 _vfscanf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_899_0_0 {
	meta:
		name = "_fscanf_cdgGnopsuxX"
		size = 44
		refs = "0018 _vfscanf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_923_0_0 {
	meta:
		name = "_fscanf_cdgGnopuxX"
		size = 44
		refs = "0018 _vfscanf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_69_0_0 {
	meta:
		name = "_fscanf_cdnopsuxX"
		size = 44
		refs = "0018 _vfscanf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_200_0_0 {
	meta:
		name = "_fscanf_cdnopuxX"
		size = 44
		refs = "0018 _vfscanf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_464_0_0 {
	meta:
		name = "_fscanf_eEfFs"
		size = 44
		refs = "0018 _vfscanf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_288_0_0 {
	meta:
		name = "_fscanf_eEgG"
		size = 44
		refs = "0018 _vfscanf_eEgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_631_0_0 {
	meta:
		name = "_fscanf_eEgGs"
		size = 44
		refs = "0018 _vfscanf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_870_0_0 {
	meta:
		name = "_fscanf_eEs"
		size = 44
		refs = "0018 _vfscanf_eEs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_669_0_0 {
	meta:
		name = "_fscanf_fF"
		size = 44
		refs = "0018 _vfscanf_fF"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_120_0_0 {
	meta:
		name = "_fscanf_fFgG"
		size = 44
		refs = "0018 _vfscanf_fFgG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1154_0_0 {
	meta:
		name = "_fscanf_fFgGs"
		size = 44
		refs = "0018 _vfscanf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_179_0_0 {
	meta:
		name = "_fscanf_fFs"
		size = 44
		refs = "0018 _vfscanf_fFs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_465_0_0 {
	meta:
		name = "_fscanf_gG"
		size = 44
		refs = "0018 _vfscanf_gG"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_775_0_0 {
	meta:
		name = "_fscanf_gGs"
		size = 44
		refs = "0018 _vfscanf_gGs"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_991_0_0 {
	meta:
		name = "_fscanf_s"
		size = 44
		refs = "0018 _vfscanf_s"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_372_0_0 {
	meta:
		name = "_iasprintf"
		size = 44
		refs = "0018 _i__vasprintf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_803_0_0 {
	meta:
		name = "_ifprintf"
		size = 44
		refs = "0018 _ivfprintf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_978_0_0 {
	meta:
		name = "_ifscanf"
		size = 44
		refs = "0018 _ivfscanf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1120_0_0 {
	meta:
		name = "asprintf"
		size = 44
		refs = "0018 __vasprintf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_699_0_0 {
	meta:
		name = "fprintf"
		size = 44
		refs = "0018 vfprintf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_384_0_0 {
	meta:
		name = "fscanf"
		size = 44
		refs = "0018 vfscanf"
	strings:
		$1 = { E0 FF BD 27 28 00 A2 27 28 00 A6 AF 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_14_0_0 {
	meta:
		name = "_sscanf_cdeEfFgGnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdeEfFgGnopsuxX"
		altNames = "_sscanf"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_701_0_0 {
	meta:
		name = "_dsscanf"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_408_0_0 {
	meta:
		name = "_dsscanf_cdeEfFgGnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdeEfFgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_122_0_0 {
	meta:
		name = "_dsscanf_cdeEfFgGnopuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_835_0_0 {
	meta:
		name = "_dsscanf_cdeEfFnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_609_0_0 {
	meta:
		name = "_dsscanf_cdeEfFnopuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdeEfFnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_111_0_0 {
	meta:
		name = "_dsscanf_cdeEgGnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_772_0_0 {
	meta:
		name = "_dsscanf_cdeEgGnopuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdeEgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_851_0_0 {
	meta:
		name = "_dsscanf_cdeEnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdeEnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_467_0_0 {
	meta:
		name = "_dsscanf_cdeEnopuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdeEnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_706_0_0 {
	meta:
		name = "_dsscanf_cdfFgGnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_678_0_0 {
	meta:
		name = "_dsscanf_cdfFgGnopuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdfFgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_999_0_0 {
	meta:
		name = "_dsscanf_cdfFnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdfFnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_293_0_0 {
	meta:
		name = "_dsscanf_cdfFnopuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdfFnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_327_0_0 {
	meta:
		name = "_dsscanf_cdgGnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1135_0_0 {
	meta:
		name = "_dsscanf_cdgGnopuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1081_0_0 {
	meta:
		name = "_dsscanf_cdnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_216_0_0 {
	meta:
		name = "_dsscanf_cdnopuxX"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_cdnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_429_0_0 {
	meta:
		name = "_dsscanf_eE"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_eE"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_481_0_0 {
	meta:
		name = "_dsscanf_eEfF"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_eEfF"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1184_0_0 {
	meta:
		name = "_dsscanf_eEfFgG"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_eEfFgG"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_729_0_0 {
	meta:
		name = "_dsscanf_eEfFgGs"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_eEfFgGs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_526_0_0 {
	meta:
		name = "_dsscanf_eEfFs"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_eEfFs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_150_0_0 {
	meta:
		name = "_dsscanf_eEgG"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_eEgG"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_695_0_0 {
	meta:
		name = "_dsscanf_eEgGs"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_eEgGs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_507_0_0 {
	meta:
		name = "_dsscanf_eEs"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_eEs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_891_0_0 {
	meta:
		name = "_dsscanf_fF"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_fF"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_951_0_0 {
	meta:
		name = "_dsscanf_fFgG"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_fFgG"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_477_0_0 {
	meta:
		name = "_dsscanf_fFgGs"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_fFgGs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_127_0_0 {
	meta:
		name = "_dsscanf_fFs"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_fFs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_461_0_0 {
	meta:
		name = "_dsscanf_gG"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_gG"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_195_0_0 {
	meta:
		name = "_dsscanf_gGs"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_gGs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_387_0_0 {
	meta:
		name = "_dsscanf_s"
		size = 84
		refs = "0020 strlen 0040 _dvfscanf_s"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_979_0_0 {
	meta:
		name = "_isscanf"
		size = 84
		refs = "0020 strlen 0040 _ivfscanf"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1014_0_0 {
	meta:
		name = "_sscanf_cdeEfFgGnopuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdeEfFgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_473_0_0 {
	meta:
		name = "_sscanf_cdeEfFnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdeEfFnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_686_0_0 {
	meta:
		name = "_sscanf_cdeEfFnopuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdeEfFnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1152_0_0 {
	meta:
		name = "_sscanf_cdeEgGnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdeEgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1003_0_0 {
	meta:
		name = "_sscanf_cdeEgGnopuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdeEgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_446_0_0 {
	meta:
		name = "_sscanf_cdeEnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdeEnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_882_0_0 {
	meta:
		name = "_sscanf_cdeEnopuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdeEnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1005_0_0 {
	meta:
		name = "_sscanf_cdfFgGnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdfFgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1205_0_0 {
	meta:
		name = "_sscanf_cdfFgGnopuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdfFgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_447_0_0 {
	meta:
		name = "_sscanf_cdfFnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdfFnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_161_0_0 {
	meta:
		name = "_sscanf_cdfFnopuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdfFnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1195_0_0 {
	meta:
		name = "_sscanf_cdgGnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdgGnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_250_0_0 {
	meta:
		name = "_sscanf_cdgGnopuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdgGnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_980_0_0 {
	meta:
		name = "_sscanf_cdnopsuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdnopsuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1096_0_0 {
	meta:
		name = "_sscanf_cdnopuxX"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_cdnopuxX"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_926_0_0 {
	meta:
		name = "_sscanf_eE"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_eE"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_586_0_0 {
	meta:
		name = "_sscanf_eEfF"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_eEfF"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_329_0_0 {
	meta:
		name = "_sscanf_eEfFgG"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_eEfFgG"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_53_0_0 {
	meta:
		name = "_sscanf_eEfFgGs"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_eEfFgGs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1065_0_0 {
	meta:
		name = "_sscanf_eEfFs"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_eEfFs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1194_0_0 {
	meta:
		name = "_sscanf_eEgG"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_eEgG"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_1123_0_0 {
	meta:
		name = "_sscanf_eEgGs"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_eEgGs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_483_0_0 {
	meta:
		name = "_sscanf_eEs"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_eEs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_572_0_0 {
	meta:
		name = "_sscanf_fF"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_fF"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_809_0_0 {
	meta:
		name = "_sscanf_fFgG"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_fFgG"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_247_0_0 {
	meta:
		name = "_sscanf_fFgGs"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_fFgGs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_722_0_0 {
	meta:
		name = "_sscanf_fFs"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_fFs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_118_0_0 {
	meta:
		name = "_sscanf_gG"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_gG"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_183_0_0 {
	meta:
		name = "_sscanf_gGs"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_gGs"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_359_0_0 {
	meta:
		name = "_sscanf_s"
		size = 84
		refs = "0020 strlen 0040 _vfscanf_s"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_271_0_0 {
	meta:
		name = "sscanf"
		size = 84
		refs = "0020 strlen 0040 vfscanf"
	strings:
		$1 = { C8 FF BD 27 40 00 A3 27 34 00 BF AF 40 00 A6 AF 44 00 A7 AF 10 00 A3 AF 14 00 A4 AF 1C 00 A4 AF ?? ?? ?? 0? 28 00 A5 AF 10 00 A6 8F 28 00 A5 8F 18 00 A2 AF 24 00 A2 AF 14 00 A4 27 C1 00 02 24 ?? ?? ?? 0? 20 00 A2 A7 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_16_0_0 {
	meta:
		name = "_d__vasprintf_eE"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_eE 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_900_0_0 {
	meta:
		name = "___vasprintf"
		size = 188
		refs = "0028 malloc 0048 _vfprintf 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_670_0_0 {
	meta:
		name = "___vasprintf_cdeEfFgGnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdeEfFgGnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_961_0_0 {
	meta:
		name = "___vasprintf_cdeEfFgGnopuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdeEfFgGnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_557_0_0 {
	meta:
		name = "___vasprintf_cdeEfFnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdeEfFnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_226_0_0 {
	meta:
		name = "___vasprintf_cdeEfFnopuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdeEfFnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_869_0_0 {
	meta:
		name = "___vasprintf_cdeEgGnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdeEgGnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_346_0_0 {
	meta:
		name = "___vasprintf_cdeEgGnopuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdeEgGnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_748_0_0 {
	meta:
		name = "___vasprintf_cdeEnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdeEnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1044_0_0 {
	meta:
		name = "___vasprintf_cdeEnopuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdeEnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_638_0_0 {
	meta:
		name = "___vasprintf_cdfFgGnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdfFgGnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_676_0_0 {
	meta:
		name = "___vasprintf_cdfFgGnopuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdfFgGnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_336_0_0 {
	meta:
		name = "___vasprintf_cdfFnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdfFnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_233_0_0 {
	meta:
		name = "___vasprintf_cdfFnopuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdfFnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_629_0_0 {
	meta:
		name = "___vasprintf_cdgGnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdgGnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_839_0_0 {
	meta:
		name = "___vasprintf_cdgGnopuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdgGnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_947_0_0 {
	meta:
		name = "___vasprintf_cdnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_537_0_0 {
	meta:
		name = "___vasprintf_cdnopuxX"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_cdnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1173_0_0 {
	meta:
		name = "___vasprintf_eE"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_eE 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_555_0_0 {
	meta:
		name = "___vasprintf_eEfF"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_eEfF 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_569_0_0 {
	meta:
		name = "___vasprintf_eEfFgG"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_eEfFgG 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_27_0_0 {
	meta:
		name = "___vasprintf_eEfFgGs"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_eEfFgGs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_812_0_0 {
	meta:
		name = "___vasprintf_eEfFs"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_eEfFs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_278_0_0 {
	meta:
		name = "___vasprintf_eEgG"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_eEgG 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_344_0_0 {
	meta:
		name = "___vasprintf_eEgGs"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_eEgGs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_323_0_0 {
	meta:
		name = "___vasprintf_eEs"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_eEs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_353_0_0 {
	meta:
		name = "___vasprintf_fF"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_fF 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_19_0_0 {
	meta:
		name = "___vasprintf_fFgG"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_fFgG 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1181_0_0 {
	meta:
		name = "___vasprintf_fFgGs"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_fFgGs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_566_0_0 {
	meta:
		name = "___vasprintf_fFs"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_fFs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_360_0_0 {
	meta:
		name = "___vasprintf_gG"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_gG 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_657_0_0 {
	meta:
		name = "___vasprintf_gGs"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_gGs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_312_0_0 {
	meta:
		name = "___vasprintf_s"
		size = 188
		refs = "0028 malloc 0048 _vfprintf_s 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_684_0_0 {
	meta:
		name = "__vasprintf"
		size = 188
		refs = "0028 malloc 0048 vfprintf 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_391_0_0 {
	meta:
		name = "_d__vasprintf"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_936_0_0 {
	meta:
		name = "_d__vasprintf_cdeEfFgGnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdeEfFgGnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_60_0_0 {
	meta:
		name = "_d__vasprintf_cdeEfFgGnopuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdeEfFgGnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_937_0_0 {
	meta:
		name = "_d__vasprintf_cdeEfFnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdeEfFnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_843_0_0 {
	meta:
		name = "_d__vasprintf_cdeEfFnopuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdeEfFnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_275_0_0 {
	meta:
		name = "_d__vasprintf_cdeEgGnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdeEgGnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_246_0_0 {
	meta:
		name = "_d__vasprintf_cdeEgGnopuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdeEgGnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1142_0_0 {
	meta:
		name = "_d__vasprintf_cdeEnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdeEnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_911_0_0 {
	meta:
		name = "_d__vasprintf_cdeEnopuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdeEnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_37_0_0 {
	meta:
		name = "_d__vasprintf_cdfFgGnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdfFgGnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1056_0_0 {
	meta:
		name = "_d__vasprintf_cdfFgGnopuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdfFgGnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_268_0_0 {
	meta:
		name = "_d__vasprintf_cdfFnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdfFnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "_d__vasprintf_cdfFnopuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdfFnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_693_0_0 {
	meta:
		name = "_d__vasprintf_cdgGnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdgGnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1042_0_0 {
	meta:
		name = "_d__vasprintf_cdgGnopuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdgGnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_984_0_0 {
	meta:
		name = "_d__vasprintf_cdnopsuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdnopsuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_794_0_0 {
	meta:
		name = "_d__vasprintf_cdnopuxX"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_cdnopuxX 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_988_0_0 {
	meta:
		name = "_d__vasprintf_eEfF"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_eEfF 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_265_0_0 {
	meta:
		name = "_d__vasprintf_eEfFgG"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_eEfFgG 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1155_0_0 {
	meta:
		name = "_d__vasprintf_eEfFgGs"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_eEfFgGs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_169_0_0 {
	meta:
		name = "_d__vasprintf_eEfFs"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_eEfFs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_18_0_0 {
	meta:
		name = "_d__vasprintf_eEgG"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_eEgG 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_355_0_0 {
	meta:
		name = "_d__vasprintf_eEgGs"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_eEgGs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_642_0_0 {
	meta:
		name = "_d__vasprintf_eEs"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_eEs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1107_0_0 {
	meta:
		name = "_d__vasprintf_fF"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_fF 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_1174_0_0 {
	meta:
		name = "_d__vasprintf_fFgG"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_fFgG 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_627_0_0 {
	meta:
		name = "_d__vasprintf_fFgGs"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_fFgGs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_54_0_0 {
	meta:
		name = "_d__vasprintf_fFs"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_fFs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_654_0_0 {
	meta:
		name = "_d__vasprintf_gG"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_gG 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_112_0_0 {
	meta:
		name = "_d__vasprintf_gGs"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_gGs 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_32_0_0 {
	meta:
		name = "_d__vasprintf_s"
		size = 188
		refs = "0028 malloc 0048 _dvfprintf_s 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_96_0_0 {
	meta:
		name = "_i__vasprintf"
		size = 188
		refs = "0028 malloc 0048 _ivfprintf 0064 realloc 009c free 00a8 errno"
	strings:
		$1 = { C0 FF BD 27 7F 00 02 24 34 00 B0 AF 21 80 80 00 80 00 04 24 3C 00 BF AF 38 00 B1 AF 28 00 A5 AF 2C 00 A6 AF 14 00 A2 AF ?? ?? ?? 0? 20 00 A2 AF 28 00 A5 8F 2C 00 A6 8F 10 00 A2 AF 18 00 A2 AF 10 00 A4 27 C2 00 02 24 ?? ?? ?? 0? 1C 00 A2 A7 0F 00 40 04 21 88 40 00 01 00 45 24 10 00 A2 8F 00 00 40 A0 ?? ?? ?? 0? 18 00 A4 8F 09 00 40 50 18 00 A4 8F 00 00 02 AE 3C 00 BF 8F 21 10 20 02 34 00 B0 8F 38 00 B1 8F 08 00 E0 03 40 00 BD 27 18 00 A4 8F 04 00 80 10 0C 00 03 24 ?? ?? ?? 0? 00 00 00 00 0C 00 03 24 ?? ?? 02 3C 00 00 00 AE FF FF 11 24 ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_22_2_0 {
	meta:
		name = "_vfscanf_fFgG"
		size = 2684
		refs = "000c _ctype 00bc atoi 0314 fgetc 068c ungetc 0840 strtod 0850 fptodp 09e4 strtof"
		altNames = "_vfscanf_cdeEfFgGnopsuxX _vfscanf_cdeEfFgGnopuxX _vfscanf_cdeEfFnopsuxX _vfscanf_cdeEfFnopuxX _vfscanf_cdeEgGnopsuxX _vfscanf_cdeEgGnopuxX _vfscanf_cdeEnopsuxX _vfscanf_cdeEnopuxX _vfscanf_cdfFgGnopsuxX _vfscanf_cdfFgGnopuxX _vfscanf_cdfFnopsuxX _vfscanf_cdfFnopuxX _vfscanf_cdgGnopsuxX _vfscanf_cdgGnopuxX _vfscanf_eE _vfscanf_eEfF _vfscanf_eEfFgG _vfscanf_eEfFgGs _vfscanf_eEfFs _vfscanf_eEgG _vfscanf_eEgGs _vfscanf_eEs _vfscanf_fF _vfscanf_fFgGs _vfscanf_fFs _vfscanf_gG _vfscanf_gGs vfscanf"
	strings:
		$1 = { 70 FF BD 27 78 00 B4 AF 74 00 B3 AF ?? ?? 14 3C ?? ?? 13 3C 10 00 A2 27 7C 00 B5 AF 8C 00 BF AF 88 00 BE AF 84 00 B7 AF 80 00 B6 AF 70 00 B2 AF 6C 00 B1 AF 68 00 B0 AF ?? ?? 94 26 21 38 A0 00 98 00 A6 AF ?? ?? 64 AE 21 A8 00 00 58 00 A0 AF 50 00 A2 AF 00 00 F0 90 CA 00 00 12 8C 00 BF 8F 21 10 90 02 01 00 42 80 88 00 42 30 BE 00 40 14 01 00 E7 24 25 00 03 24 A6 00 03 16 ?? ?? 64 8E 04 00 04 24 00 00 F2 80 21 80 00 00 54 00 A4 AF 21 B8 00 00 04 00 1E 24 FF 00 52 32 79 00 42 2E 1C 00 40 14 01 00 F1 24 21 10 92 02 01 00 42 90 04 00 42 30 61 02 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 E0 00 00 00 32 82 ?? ?? 04 3C ?? ?? 84 24 20 84 02 7C 21 10 44 02 01 00 42 90 04 00 42 30 ED FF 40 10 21 38 20 02 01 00 E7 24 00 00 F2 80 21 10 92 02 01 00 42 90 04 00 42 30 FB FF 40 54 01 00 E7 24 FF 00 52 32 79 00 42 2E E6 FF 40 10 01 00 F1 24 ?? ?? 03 3C 80 10 12 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0? 64 00 A7 AF 4D FF 02 12 64 00 A7 8F FF FF 03 24 BF 01 43 14 ?? ?? 03 3C 58 00 A3 8F 0B 10 63 00 8C 00 BF 8F 88 00 BE 8F 84 00 B7 8F 80 00 B6 8F 7C 00 B5 8F 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 ?? ?? ?? 0? 64 00 A7 AF 64 00 A7 8F 00 00 F0 90 3A FF 00 16 21 10 90 02 8C 00 BF 8F 58 00 A2 8F 88 00 BE 8F 84 00 B7 8F 80 00 B6 8F 7C 00 B5 8F 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 58 00 A2 8F 07 00 40 14 8C 00 BF 8F ?? ?? 63 8E FF FF 02 24 0C 00 63 94 10 00 63 30 0A 10 03 00 8C 00 BF 8F 88 00 BE 8F 84 00 B7 8F 80 00 B6 8F 7C 00 B5 8F 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 01 00 F7 26 FF 00 F7 32 00 00 32 82 ?? ?? ?? 0? 21 38 20 02 ?? ?? ?? 0? 00 00 00 00 1A 01 E0 12 98 00 A2 8F ?? ?? ?? 0? ?? ?? 64 8E FF FF 03 24 BE FF 43 10 01 00 43 24 1C 00 40 10 21 38 20 02 21 18 83 02 00 00 63 80 88 00 63 30 15 00 60 50 00 00 23 82 ?? ?? ?? 0? 00 00 00 00 03 00 E0 16 FF FF 10 26 00 00 C2 A2 01 00 D6 26 20 84 10 7C 43 01 00 12 00 00 00 00 ?? ?? ?? 0? ?? ?? 64 8E 01 00 43 24 02 00 64 2C 3D 01 80 14 21 18 83 02 00 00 63 80 88 00 63 30 39 01 60 14 00 00 00 00 00 00 23 82 ED FF 62 14 01 00 27 26 E9 FE E0 56 00 00 F0 90 58 00 A4 8F 01 00 82 24 FF 00 42 30 58 00 A2 AF ?? ?? ?? 0? 00 00 C0 A2 21 38 20 02 08 00 12 24 ?? ?? ?? 0? 64 00 A7 AF ?? ?? 64 8E ?? ?? ?? 0? 5C 00 A0 AF 21 88 40 00 2D 00 02 24 55 00 22 12 64 00 A7 8F 21 20 20 02 21 28 40 02 21 30 A0 02 ?? ?? ?? 0? 64 00 A7 AF FF 00 03 24 5C 00 43 10 64 00 A7 8F 30 00 02 24 DE 00 22 12 ?? ?? 64 8E 21 18 00 00 FF 00 1E 24 02 18 72 70 21 20 20 02 21 28 40 02 21 30 A0 02 64 00 A7 AF FF FF 10 26 20 84 10 7C ?? ?? ?? 0? 60 00 A3 AF 60 00 A3 8F 64 00 A7 8F 0C 00 00 12 21 18 43 00 ?? ?? 64 8E ?? ?? ?? 0? 60 00 A3 AF 21 20 40 00 21 28 40 02 21 30 A0 02 ?? ?? ?? 0? 21 88 40 00 60 00 A3 8F E9 FF 5E 14 64 00 A7 8F 21 20 20 02 21 28 40 02 21 30 A0 02 60 00 A3 AF ?? ?? ?? 0? 64 00 A7 AF FF 00 04 24 60 00 A3 8F F8 00 44 10 64 00 A7 8F 5C 00 A4 8F 23 10 03 00 A4 FE E0 16 0B 18 44 00 58 00 A4 8F 01 00 82 24 54 00 A4 8F FF 00 42 30 58 00 A2 AF 04 00 02 24 04 00 82 10 54 00 A4 8F 02 00 02 24 EF 00 82 10 98 00 A4 8F 98 00 A4 8F 00 00 82 8C 04 00 84 24 98 00 A4 AF ?? ?? ?? 0? 00 00 43 AC 02 00 04 24 00 00 32 82 21 38 20 02 ?? ?? ?? 0? 54 00 A4 AF 21 38 20 02 ?? ?? ?? 0? 64 00 A7 AF ?? ?? 64 8E 5C 00 A0 AF ?? ?? ?? 0? 0A 00 12 24 21 88 40 00 2D 00 02 24 AD FF 22 16 64 00 A7 8F ?? ?? 02 3C ?? ?? 44 8C 01 00 03 24 ?? ?? ?? 0? 5C 00 A3 AF 64 00 A7 8F 21 88 40 00 21 20 20 02 21 28 40 02 21 30 A0 02 ?? ?? ?? 0? 64 00 A7 AF FF 00 03 24 A6 FF 43 14 64 00 A7 8F ?? ?? 65 8E ?? ?? ?? 0? 21 20 20 02 58 00 A4 8F 4E FF 80 14 21 10 80 00 ?? ?? 02 3C ?? ?? 43 8C FF FF 02 24 0C 00 63 94 10 00 63 30 ?? ?? ?? 0? 0A 10 03 00 21 38 20 02 10 00 12 24 ?? ?? ?? 0? 21 A8 00 00 67 00 E0 12 58 00 A3 8F FF FF 12 24 ?? ?? ?? 0? ?? ?? 64 8E C6 00 52 10 58 00 A3 8F 03 00 E0 16 FF FF 10 26 00 00 C2 A2 01 00 D6 26 20 84 10 7C F6 FF 00 1E 21 38 20 02 ?? ?? ?? 0? 00 00 F0 90 21 38 20 02 10 00 12 24 ?? ?? ?? 0? 01 00 15 24 54 00 A3 8F A7 00 7E 10 08 00 04 24 00 00 32 82 21 38 20 02 ?? ?? ?? 0? 54 00 A4 AF ?? ?? ?? 0? 00 00 00 00 ?? ?? 64 8E 3B 00 02 24 ?? ?? ?? 0? 0A 80 50 00 2D 00 04 24 AC 00 44 10 10 00 A3 27 01 00 63 24 21 F0 00 00 ?? ?? ?? 0? 2E 00 12 24 21 20 82 02 01 00 84 90 04 00 84 30 0C 00 80 10 00 00 00 00 0F 00 52 10 FF FF 62 A0 ?? ?? 64 8E 01 00 63 24 ?? ?? ?? 0? 60 00 A3 AF 60 00 A3 8F FF FF 10 26 20 84 10 7C F1 FF 00 16 FF FF 76 24 07 00 C0 17 00 00 00 00 05 00 52 14 00 00 00 00 FF FF 72 A0 01 00 DE 27 ?? ?? ?? 0? FF 00 DE 33 07 00 00 12 FF FF 03 24 65 00 03 24 40 00 43 10 45 00 03 24 3F 00 43 50 00 00 C2 A2 FF FF 03 24 04 00 43 10 00 00 C0 A2 ?? ?? 65 8E ?? ?? ?? 0? 21 20 40 00 50 00 A4 8F EC FE 96 10 58 00 A2 8F 11 FE E0 16 21 38 20 02 58 00 A4 8F 01 00 83 24 54 00 A4 8F FF 00 63 30 05 00 82 2C 68 00 40 14 58 00 A3 AF 98 00 A2 8F 21 28 00 00 10 00 A4 27 00 00 50 8C ?? ?? ?? 0? 64 00 B1 AF 98 00 A3 8F 21 20 40 00 ?? ?? ?? 0? 04 00 71 24 00 00 02 AE 04 00 03 AE 64 00 A7 8F ?? ?? ?? 0? 98 00 B1 AF 98 00 A4 8F 01 00 62 24 00 00 96 8C FF 00 42 30 04 00 84 24 58 00 A2 AF ?? ?? ?? 0? 98 00 A4 AF 00 00 56 8C 04 00 42 24 ?? ?? ?? 0? 98 00 A2 AF ?? ?? ?? 0? 64 00 A7 AF 78 00 03 24 2E 00 43 10 64 00 A7 8F 58 00 03 24 2E 00 43 14 ?? ?? 65 8E 2D 00 A0 12 21 20 40 00 ?? ?? 64 8E ?? ?? ?? 0? 64 00 A7 AF 21 88 40 00 ?? ?? ?? 0? 64 00 A7 8F 00 00 C2 A2 ?? ?? 64 8E FF FF 10 26 20 84 10 7C ?? ?? ?? 0? 01 00 D6 26 BD FF 00 12 FF FF 03 24 2D 00 03 24 54 00 43 10 2B 00 03 24 53 00 43 50 00 00 C2 A2 21 18 82 02 01 00 63 90 04 00 63 30 B2 FF 60 10 01 00 D2 26 FF FF 10 26 FF 00 10 32 ?? ?? ?? 0? 21 80 50 02 01 00 63 90 04 00 63 30 AA FF 60 10 01 00 52 26 00 00 C2 A2 ?? ?? 64 8E ?? ?? ?? 0? 21 B0 40 02 F7 FF 50 56 21 18 82 02 ?? ?? ?? 0? FF FF 03 24 D8 FF A0 12 ?? ?? 64 8E ?? ?? 65 8E 21 20 40 00 ?? ?? ?? 0? 64 00 A7 AF ?? ?? ?? 0? 64 00 A7 8F B3 FD E0 16 21 38 20 02 ?? ?? ?? 0? 58 00 A4 8F ?? ?? 65 8E ?? ?? ?? 0? 21 20 20 02 64 00 A7 8F ?? ?? ?? 0? 60 00 A3 8F 00 00 82 8C 04 00 84 24 98 00 A4 AF ?? ?? ?? 0? 00 00 43 A4 00 00 32 82 ?? ?? ?? 0? 21 38 20 02 98 00 A4 8F 98 00 A2 8F 21 28 00 00 00 00 91 8C 10 00 A4 27 04 00 50 24 ?? ?? ?? 0? 64 00 A7 AF 00 00 22 AE 64 00 A7 8F ?? ?? ?? 0? 98 00 B0 AF FF FF 02 24 ?? ?? ?? 0? 0B 10 63 00 ?? ?? 03 3C ?? ?? 64 8C FF FF 10 26 10 00 A2 A3 ?? ?? ?? 0? 20 84 10 7C ?? ?? ?? 0? 11 00 A3 27 ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 58 00 A2 8F ?? ?? ?? 0? ?? ?? 64 8E 38 FE 42 16 FF FF 03 24 ?? ?? ?? 0? 21 38 20 02 00 00 C2 A2 ?? ?? 64 8E FF FF 10 26 20 84 10 7C ?? ?? ?? 0? 01 00 D6 26 A9 FF 00 56 21 18 82 02 ?? ?? ?? 0? FF FF 03 24 }
	condition:
		$1
}

rule file_29_0_0 {
	meta:
		name = "_fassert"
		size = 128
		refs = "0004 __assfail 0044 _iob 0060 _fprintf_cdnopsuxX 0068 abort"
	strings:
		$1 = { 21 10 80 00 ?? ?? 04 3C D8 FF BD 27 ?? ?? 84 24 24 00 BF AF 21 18 A0 00 07 00 80 10 21 40 E0 00 ?? ?? 04 3C 21 28 C0 00 ?? ?? 84 24 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 0D 00 E0 10 ?? ?? 09 3C ?? ?? 29 25 ?? ?? 04 3C ?? ?? 05 3C ?? ?? 84 24 ?? ?? A5 24 21 38 60 00 14 00 A9 AF 18 00 A8 AF ?? ?? ?? 0? 10 00 A2 AF ?? ?? ?? 0? 00 00 00 00 ?? ?? 09 3C ?? ?? 29 25 ?? ?? ?? 0? 21 40 20 01 }
	condition:
		$1
}

rule file_31_0_0 {
	meta:
		name = "_dvfprintf_cdnopuxX"
		size = 2736
		refs = "0094 _ctype 01a0 fputc 050c __udivdi3 0520 __umoddi3"
		altNames = "_dvfprintf_cdnopsuxX _vfprintf_cdnopsuxX _vfprintf_cdnopuxX"
	strings:
		$1 = { A8 FF BD 27 40 00 B4 AF 34 00 B1 AF 30 00 B0 AF 54 00 BF AF 50 00 BE AF 4C 00 B7 AF 48 00 B6 AF 44 00 B5 AF 3C 00 B3 AF 38 00 B2 AF 21 A0 80 00 21 88 A0 00 60 00 A6 AF 21 80 00 00 00 00 24 82 40 00 80 10 10 00 A4 A3 25 00 02 24 54 00 82 14 01 00 32 26 02 00 22 26 FF FF 44 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 48 00 86 10 FF FF 51 24 2E 00 85 28 3E 00 A0 10 00 00 00 00 50 00 87 50 01 00 63 34 4C 00 89 50 02 00 63 34 ?? ?? 05 3C ?? ?? A5 24 21 10 A4 00 01 00 42 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 42 30 44 00 40 10 0B 18 A6 00 21 10 00 00 0A 00 06 24 02 28 46 70 01 00 31 26 ?? ?? 07 3C ?? ?? E7 24 21 10 A4 00 00 00 24 82 21 28 E4 00 01 00 A5 90 04 00 A5 30 F6 FF A0 14 D0 FF 42 24 2E 00 05 24 40 00 85 10 21 90 00 00 6C 00 05 24 10 00 07 24 00 80 06 24 10 00 A4 A3 49 01 85 10 01 00 31 26 6D 00 85 28 50 00 A0 10 73 00 05 24 63 00 05 24 31 01 85 10 64 00 85 28 29 01 A0 50 64 00 05 24 61 01 80 14 58 00 05 24 54 00 BF 8F 21 10 00 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 C7 FF 88 14 ?? ?? 05 3C 04 00 63 34 01 00 42 24 FF FF 44 80 BA FF 86 14 FF FF 51 24 08 00 63 34 ?? ?? ?? 0? 01 00 42 24 ?? ?? ?? 0? 21 28 80 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 42 24 ?? ?? ?? 0? 01 00 42 24 2A 00 05 24 C8 FF 85 14 21 10 00 00 60 00 A8 8F 01 00 31 26 00 00 24 82 00 00 02 8D 2E 00 05 24 04 00 08 25 60 00 A8 AF C2 FF 85 14 21 90 00 00 01 00 31 26 00 00 24 82 2A 00 05 24 F1 01 85 10 00 40 63 34 ?? ?? 06 3C ?? ?? C6 24 21 28 C4 00 01 00 A5 90 04 00 A5 30 B6 FF A0 10 0A 00 06 24 02 28 46 72 01 00 31 26 ?? ?? 07 3C ?? ?? E7 24 21 90 A4 00 00 00 24 82 21 28 E4 00 01 00 A5 90 04 00 A5 30 F6 FF A0 14 D0 FF 52 26 ?? ?? ?? 0? 6C 00 05 24 FC 00 85 10 74 00 85 28 D3 00 A0 10 75 00 05 24 6F 00 05 24 34 00 85 10 70 00 05 24 13 01 85 50 20 00 63 34 10 00 B5 27 01 00 1E 24 04 00 40 52 2B 90 C2 03 2B 20 5E 02 0B F0 44 02 2B 90 C2 03 23 10 5E 00 0A 10 12 00 08 00 76 30 0C 00 C0 16 21 90 40 00 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 53 16 21 28 80 02 ?? ?? ?? 0? FF FF 13 24 00 00 A4 82 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D3 17 21 28 80 02 4B FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 53 16 21 28 80 02 ?? ?? ?? 0? 00 00 24 82 40 00 63 34 C0 00 64 30 8F 00 80 14 20 26 03 7C AD 01 80 04 60 00 A7 8F 10 00 64 30 CF 00 80 10 60 00 A4 8F 60 00 A8 8F 00 00 05 8D 04 00 08 25 60 00 A8 AF C3 27 05 00 21 A8 A0 00 21 B0 80 00 05 00 81 04 23 20 04 00 23 A8 05 00 2B 28 15 00 03 00 63 34 23 B0 85 00 03 00 40 16 C0 00 73 30 25 90 B6 02 01 00 52 2E 40 00 04 24 54 01 64 12 41 00 64 2A 31 01 80 10 80 00 04 24 15 00 60 16 10 00 B7 83 01 00 04 24 B1 01 C0 12 10 00 A4 A3 ?? ?? 04 3C ?? ?? 84 24 02 00 07 24 02 00 17 24 ?? ?? ?? 0? 14 00 08 24 21 38 E0 02 04 00 85 8C 01 00 F7 26 2B 30 C5 02 90 01 C0 14 20 BC 17 7C 8B 01 B6 50 00 00 85 8C F7 FF E8 16 08 00 84 24 10 00 B7 A3 2A 20 F2 02 16 01 80 10 2A 20 57 02 20 BC 12 7C 10 00 B7 A3 05 00 40 10 00 40 64 30 03 00 64 30 2B 20 04 00 23 10 44 00 00 40 64 30 05 00 80 10 2A 28 E2 02 2A 20 42 02 23 10 52 00 0A 10 04 00 2A 28 E2 02 04 00 64 30 23 B8 57 00 DA 00 80 10 0A B8 05 00 02 00 62 30 52 01 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 28 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 65 30 89 00 E0 16 20 00 A5 AF FF FF 5E 26 ?? ?? 08 3C C0 90 1E 00 ?? ?? 08 25 03 00 02 24 21 90 12 01 41 00 64 2A 80 40 1E 00 20 00 63 30 02 F0 C2 73 40 10 16 00 1C 00 A2 AF 18 00 A4 AF ?? ?? ?? 0? 24 00 A3 AF 10 00 60 16 10 00 A4 83 00 00 46 8E 04 00 47 8E 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 28 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 28 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 80 02 ?? ?? ?? 0? 28 00 A8 AF 28 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 52 26 FC FF 08 25 FD FF DE 27 FD FF 02 24 8D 00 C2 13 40 00 02 24 6C 00 62 12 18 00 A5 8F DF FF A0 14 80 00 02 24 74 00 62 12 C0 00 02 24 DD FF 62 12 10 00 A4 83 ?? ?? ?? 0? 21 28 80 02 16 01 80 04 10 00 64 30 3D 00 80 10 60 00 A4 8F 60 00 A8 8F 21 B0 00 00 00 00 15 8D 04 00 08 25 ?? ?? ?? 0? 60 00 A8 AF 05 00 85 10 78 00 05 24 31 FF 85 14 10 00 B5 27 ?? ?? ?? 0? 80 00 63 34 ?? ?? ?? 0? C0 00 63 34 5C FF 85 10 69 00 05 24 5A FF 85 10 10 00 B5 27 ?? ?? ?? 0? 01 00 1E 24 60 00 A5 8F 10 00 66 30 01 00 A4 80 00 00 A7 8C 04 00 A5 24 40 00 C0 10 10 00 A4 A3 3F 00 80 50 14 00 A7 A3 FF FF 06 24 3C 00 86 50 14 00 A7 A3 14 00 A4 A3 15 00 A7 A3 02 00 1E 24 14 00 B5 27 ?? ?? ?? 0? 60 00 A5 AF 10 00 64 30 21 40 C0 00 0A 40 E4 00 25 18 03 01 FF FF 63 30 ?? ?? ?? 0? 00 00 24 82 60 00 A4 8F 00 00 85 8C 04 00 86 24 FF 00 A0 10 21 A8 A0 00 00 00 A4 80 06 00 80 10 21 F0 00 00 01 00 DE 27 21 20 BE 00 00 00 84 80 FD FF 80 54 01 00 DE 27 ?? ?? ?? 0? 60 00 A6 AF 21 B0 00 00 00 00 95 8C 04 00 84 24 ?? ?? ?? 0? 60 00 A4 AF 00 00 85 8C 04 00 84 24 60 00 A4 AF C3 27 05 00 21 A8 A0 00 ?? ?? ?? 0? 21 B0 80 00 F1 FE 85 14 10 00 B5 27 20 00 63 34 ?? ?? ?? 0? 80 00 63 34 30 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 2B 10 02 00 FF FF F7 26 21 80 02 02 F7 FF E0 16 28 00 A3 8F 08 00 66 30 ?? ?? ?? 0? 20 00 A6 AF 14 00 A7 A3 01 00 1E 24 14 00 B5 27 ?? ?? ?? 0? 60 00 A5 AF 1C 00 A6 8F 27 10 1E 00 06 20 D5 03 04 10 46 00 25 20 44 00 20 00 C3 33 06 10 D6 03 0B 20 43 00 07 00 84 30 30 00 84 24 ?? ?? ?? 0? 10 00 A4 A3 1C 00 A6 8F 27 18 08 00 06 10 15 01 04 18 66 00 25 10 62 00 06 28 16 01 20 00 06 31 ?? ?? 07 3C 0B 10 A6 00 24 00 A5 8F ?? ?? E3 24 ?? ?? 07 3C ?? ?? E4 24 0A 18 85 00 0F 00 42 30 21 18 62 00 00 00 64 80 ?? ?? ?? 0? 10 00 A4 A3 20 00 A7 8F 27 FE E0 50 00 00 24 82 25 FE E0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 80 02 27 10 02 00 2B 10 02 00 FF FF F7 26 F9 FF E0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 08 00 67 30 03 00 E0 12 20 00 A7 AF 11 00 E0 10 20 00 04 24 02 00 62 30 70 00 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 2B 10 02 00 21 80 02 02 ?? ?? ?? 0? 28 00 A3 8F 20 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 2B 10 02 00 FF FF F7 26 21 80 02 02 E8 FF E0 12 28 00 A3 8F 20 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 2B 10 02 00 FF FF F7 26 21 80 02 02 ED FF E0 16 28 00 A3 8F ?? ?? ?? 0? 02 00 62 30 ?? ?? ?? 0? 0B 90 E4 02 05 00 64 12 C0 00 04 24 CF FE 64 12 10 00 B7 83 ?? ?? ?? 0? 2A 20 F2 02 01 00 04 24 73 00 C0 12 10 00 A4 A3 02 00 17 24 02 00 0A 24 00 01 04 24 21 28 00 00 ?? ?? ?? 0? 10 00 0B 24 21 28 E0 00 21 50 E0 02 00 31 05 00 00 41 04 00 02 4F 04 00 25 48 26 01 21 30 00 01 2B 40 C5 02 01 00 4A 25 CC FE 00 15 21 38 20 01 58 00 C5 12 2B 20 A4 02 20 BC 0A 7C F1 FF EB 16 21 20 C0 00 ?? ?? ?? 0? 10 00 AB A3 01 00 04 24 5D 00 C0 12 10 00 A4 A3 40 00 04 24 21 28 00 00 C0 30 05 00 C0 40 04 00 02 00 17 24 42 4F 04 00 25 48 26 01 01 00 F7 26 21 30 00 01 2B 40 C5 02 02 00 0A 24 15 00 0B 24 20 BC 17 7C 11 00 00 15 21 38 20 01 12 00 C5 12 2B 20 A4 02 AF FE EB 12 21 20 C0 00 21 28 E0 00 C0 30 05 00 C0 40 04 00 42 4F 04 00 25 48 26 01 21 50 E0 02 21 30 00 01 01 00 F7 26 2B 40 C5 02 20 BC 17 7C F1 FF 00 11 21 38 20 01 10 00 AA A3 ?? ?? ?? 0? 21 B8 40 01 EE FF 80 10 00 00 00 00 10 00 AA A3 ?? ?? ?? 0? 21 B8 40 01 C1 FE 40 50 FF FF 5E 26 ?? ?? ?? 0? 20 00 04 24 BA FE 40 10 08 00 65 30 ?? ?? ?? 0? 20 00 04 24 60 00 A7 8F 01 00 31 26 00 00 24 82 00 00 F2 8C 04 00 E7 24 ?? ?? ?? 0? 60 00 A7 AF 60 00 A6 8F F8 FF 04 24 07 00 C5 24 24 20 A4 00 08 00 87 24 60 00 A7 AF 00 00 95 8C ?? ?? ?? 0? 04 00 96 8C F8 FF 04 24 07 00 E6 24 24 30 C4 00 00 00 C5 8C 04 00 C4 8C 08 00 C6 24 60 00 A6 AF 21 A8 A0 00 ?? ?? ?? 0? 21 B0 80 00 2B 28 A5 02 74 FE A0 10 00 00 00 00 10 00 A7 A3 ?? ?? ?? 0? 21 B8 E0 00 A9 FF 80 50 20 BC 0A 7C ?? ?? ?? 0? 10 00 B7 A3 ?? ?? 15 3C ?? ?? B5 26 ?? ?? ?? 0? 21 28 A0 02 10 00 A4 2E 8D FF 80 50 02 00 17 24 ?? ?? ?? 0? 01 00 17 24 08 00 A4 2E A3 FF 80 10 40 00 04 24 ?? ?? ?? 0? 01 00 17 24 0A 00 A4 2E 4F FE 80 10 ?? ?? 04 3C ?? ?? ?? 0? 01 00 17 24 }
	condition:
		$1
}

rule file_33_0_0 {
	meta:
		name = "_dsnprintf_cdfFgGnopsuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdfFgGnopsuxX"
		altNames = "_dsnprintf"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_254_0_0 {
	meta:
		name = "_dsnprintf_cdeEfFgGnopsuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_696_0_0 {
	meta:
		name = "_dsnprintf_cdeEfFgGnopuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_797_0_0 {
	meta:
		name = "_dsnprintf_cdeEfFnopsuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_745_0_0 {
	meta:
		name = "_dsnprintf_cdeEfFnopuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_495_0_0 {
	meta:
		name = "_dsnprintf_cdeEgGnopsuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_266_0_0 {
	meta:
		name = "_dsnprintf_cdeEgGnopuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_709_0_0 {
	meta:
		name = "_dsnprintf_cdeEnopsuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_309_0_0 {
	meta:
		name = "_dsnprintf_cdeEnopuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_300_0_0 {
	meta:
		name = "_dsnprintf_cdfFgGnopuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "_dsnprintf_cdfFnopsuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_527_0_0 {
	meta:
		name = "_dsnprintf_cdfFnopuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_274_0_0 {
	meta:
		name = "_dsnprintf_cdgGnopsuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_983_0_0 {
	meta:
		name = "_dsnprintf_cdgGnopuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_46_0_0 {
	meta:
		name = "_dsnprintf_cdnopsuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_802_0_0 {
	meta:
		name = "_dsnprintf_cdnopuxX"
		size = 40
		refs = "0014 _dvsnprintf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_94_0_0 {
	meta:
		name = "_dsnprintf_eE"
		size = 40
		refs = "0014 _dvsnprintf_eE"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_363_0_0 {
	meta:
		name = "_dsnprintf_eEfF"
		size = 40
		refs = "0014 _dvsnprintf_eEfF"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_930_0_0 {
	meta:
		name = "_dsnprintf_eEfFgG"
		size = 40
		refs = "0014 _dvsnprintf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_718_0_0 {
	meta:
		name = "_dsnprintf_eEfFgGs"
		size = 40
		refs = "0014 _dvsnprintf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1167_0_0 {
	meta:
		name = "_dsnprintf_eEfFs"
		size = 40
		refs = "0014 _dvsnprintf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_782_0_0 {
	meta:
		name = "_dsnprintf_eEgG"
		size = 40
		refs = "0014 _dvsnprintf_eEgG"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_86_0_0 {
	meta:
		name = "_dsnprintf_eEgGs"
		size = 40
		refs = "0014 _dvsnprintf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_143_0_0 {
	meta:
		name = "_dsnprintf_eEs"
		size = 40
		refs = "0014 _dvsnprintf_eEs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_704_0_0 {
	meta:
		name = "_dsnprintf_fF"
		size = 40
		refs = "0014 _dvsnprintf_fF"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_801_0_0 {
	meta:
		name = "_dsnprintf_fFgG"
		size = 40
		refs = "0014 _dvsnprintf_fFgG"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_414_0_0 {
	meta:
		name = "_dsnprintf_fFgGs"
		size = 40
		refs = "0014 _dvsnprintf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_313_0_0 {
	meta:
		name = "_dsnprintf_fFs"
		size = 40
		refs = "0014 _dvsnprintf_fFs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_93_0_0 {
	meta:
		name = "_dsnprintf_gG"
		size = 40
		refs = "0014 _dvsnprintf_gG"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_334_0_0 {
	meta:
		name = "_dsnprintf_gGs"
		size = 40
		refs = "0014 _dvsnprintf_gGs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1049_0_0 {
	meta:
		name = "_dsnprintf_s"
		size = 40
		refs = "0014 _dvsnprintf_s"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1138_0_0 {
	meta:
		name = "_isnprintf"
		size = 40
		refs = "0014 _ivsnprintf"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1119_0_0 {
	meta:
		name = "_snprintf"
		size = 40
		refs = "0014 _vsnprintf"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_332_0_0 {
	meta:
		name = "_snprintf_cdeEfFgGnopsuxX"
		size = 40
		refs = "0014 _vsnprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_261_0_0 {
	meta:
		name = "_snprintf_cdeEfFgGnopuxX"
		size = 40
		refs = "0014 _vsnprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_698_0_0 {
	meta:
		name = "_snprintf_cdeEfFnopsuxX"
		size = 40
		refs = "0014 _vsnprintf_cdeEfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_35_0_0 {
	meta:
		name = "_snprintf_cdeEfFnopuxX"
		size = 40
		refs = "0014 _vsnprintf_cdeEfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1011_0_0 {
	meta:
		name = "_snprintf_cdeEgGnopsuxX"
		size = 40
		refs = "0014 _vsnprintf_cdeEgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_174_0_0 {
	meta:
		name = "_snprintf_cdeEgGnopuxX"
		size = 40
		refs = "0014 _vsnprintf_cdeEgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_565_0_0 {
	meta:
		name = "_snprintf_cdeEnopsuxX"
		size = 40
		refs = "0014 _vsnprintf_cdeEnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_324_0_0 {
	meta:
		name = "_snprintf_cdeEnopuxX"
		size = 40
		refs = "0014 _vsnprintf_cdeEnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_606_0_0 {
	meta:
		name = "_snprintf_cdfFgGnopsuxX"
		size = 40
		refs = "0014 _vsnprintf_cdfFgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_798_0_0 {
	meta:
		name = "_snprintf_cdfFgGnopuxX"
		size = 40
		refs = "0014 _vsnprintf_cdfFgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_575_0_0 {
	meta:
		name = "_snprintf_cdfFnopsuxX"
		size = 40
		refs = "0014 _vsnprintf_cdfFnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_56_0_0 {
	meta:
		name = "_snprintf_cdfFnopuxX"
		size = 40
		refs = "0014 _vsnprintf_cdfFnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1087_0_0 {
	meta:
		name = "_snprintf_cdgGnopsuxX"
		size = 40
		refs = "0014 _vsnprintf_cdgGnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_0_0 {
	meta:
		name = "_snprintf_cdgGnopuxX"
		size = 40
		refs = "0014 _vsnprintf_cdgGnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_628_0_0 {
	meta:
		name = "_snprintf_cdnopsuxX"
		size = 40
		refs = "0014 _vsnprintf_cdnopsuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_708_0_0 {
	meta:
		name = "_snprintf_cdnopuxX"
		size = 40
		refs = "0014 _vsnprintf_cdnopuxX"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_47_0_0 {
	meta:
		name = "_snprintf_eE"
		size = 40
		refs = "0014 _vsnprintf_eE"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1133_0_0 {
	meta:
		name = "_snprintf_eEfF"
		size = 40
		refs = "0014 _vsnprintf_eEfF"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1076_0_0 {
	meta:
		name = "_snprintf_eEfFgG"
		size = 40
		refs = "0014 _vsnprintf_eEfFgG"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_160_0_0 {
	meta:
		name = "_snprintf_eEfFgGs"
		size = 40
		refs = "0014 _vsnprintf_eEfFgGs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_301_0_0 {
	meta:
		name = "_snprintf_eEfFs"
		size = 40
		refs = "0014 _vsnprintf_eEfFs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_422_0_0 {
	meta:
		name = "_snprintf_eEgG"
		size = 40
		refs = "0014 _vsnprintf_eEgG"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_218_0_0 {
	meta:
		name = "_snprintf_eEgGs"
		size = 40
		refs = "0014 _vsnprintf_eEgGs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_379_0_0 {
	meta:
		name = "_snprintf_eEs"
		size = 40
		refs = "0014 _vsnprintf_eEs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_424_0_0 {
	meta:
		name = "_snprintf_fF"
		size = 40
		refs = "0014 _vsnprintf_fF"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_795_0_0 {
	meta:
		name = "_snprintf_fFgG"
		size = 40
		refs = "0014 _vsnprintf_fFgG"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_148_0_0 {
	meta:
		name = "_snprintf_fFgGs"
		size = 40
		refs = "0014 _vsnprintf_fFgGs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_162_0_0 {
	meta:
		name = "_snprintf_fFs"
		size = 40
		refs = "0014 _vsnprintf_fFs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1038_0_0 {
	meta:
		name = "_snprintf_gG"
		size = 40
		refs = "0014 _vsnprintf_gG"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_194_0_0 {
	meta:
		name = "_snprintf_gGs"
		size = 40
		refs = "0014 _vsnprintf_gGs"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1207_0_0 {
	meta:
		name = "_snprintf_s"
		size = 40
		refs = "0014 _vsnprintf_s"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_168_0_0 {
	meta:
		name = "snprintf"
		size = 40
		refs = "0014 vsnprintf"
	strings:
		$1 = { E0 FF BD 27 2C 00 A2 27 2C 00 A7 AF 21 38 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_38_0_0 {
	meta:
		name = "atol"
		size = 160
		refs = "0034 _ctype"
	strings:
		$1 = { 20 00 02 24 09 00 05 24 00 00 83 90 FE FF 62 10 01 00 84 24 FD FF 65 50 00 00 83 90 2D 00 02 24 19 00 62 50 00 00 83 90 2B 00 02 24 19 00 62 10 21 40 00 00 ?? ?? 06 3C ?? ?? C6 24 21 10 C3 00 01 00 45 90 04 00 A5 30 0C 00 A0 10 21 10 00 00 0A 00 07 24 02 48 47 70 D0 FF 65 24 00 00 83 90 FF 00 A5 30 21 10 25 01 21 28 C3 00 01 00 A5 90 04 00 A5 30 F7 FF A0 14 01 00 84 24 23 18 02 00 08 00 E0 03 0B 10 68 00 01 00 08 24 ?? ?? ?? 0? 01 00 84 24 00 00 83 90 ?? ?? ?? 0? 01 00 84 24 }
	condition:
		$1
}

rule file_40_0_0 {
	meta:
		name = "scale"
		size = 472
		refs = "0030 _powers_ 00b4 dpmul 012c _npowers_"
	strings:
		$1 = { E0 FF BD 27 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF 3B 00 80 04 21 80 80 00 6E 00 82 28 10 00 40 10 0B 00 82 28 5E 00 40 10 0A 00 02 24 ?? ?? 02 3C C0 80 04 00 ?? ?? 42 24 21 80 02 02 00 00 02 8E 04 00 04 8E 1C 00 BF 8F 21 18 80 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 64 00 02 24 1A 00 82 00 F4 01 40 00 ?? ?? 12 3C 0A 00 11 24 ?? ?? 52 26 10 10 00 00 12 18 00 00 1A 00 51 00 F4 01 20 02 12 00 63 24 C0 18 03 00 21 18 72 00 00 00 64 8C 04 00 65 8C 12 10 00 00 09 00 42 24 C0 10 02 00 21 10 52 00 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 1A 00 11 02 F4 01 20 02 21 20 40 00 21 28 60 00 10 80 00 00 C0 80 10 00 21 90 12 02 00 00 46 8E ?? ?? ?? 0? 04 00 47 8E 1C 00 BF 8F 21 20 60 00 21 18 80 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 23 80 04 00 6E 00 02 2A 1D 00 40 10 64 00 02 24 0B 00 02 2A 29 00 40 14 ?? ?? 02 3C 0A 00 02 24 1A 00 02 02 F4 01 40 00 ?? ?? 04 3C ?? ?? 82 24 10 80 00 00 12 18 00 00 09 00 63 24 C0 18 03 00 C0 80 10 00 21 80 02 02 21 18 62 00 00 00 64 8C 00 00 06 8E 04 00 07 8E ?? ?? ?? 0? 04 00 65 8C 1C 00 BF 8F 21 20 60 00 21 18 80 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 1A 00 02 02 F4 01 40 00 ?? ?? 12 3C 0A 00 11 24 ?? ?? 52 26 10 10 00 00 ?? ?? ?? 0? 12 18 00 00 1A 00 82 00 F4 01 40 00 ?? ?? 04 3C ?? ?? 82 24 10 80 00 00 ?? ?? ?? 0? 12 18 00 00 ?? ?? 42 24 C0 80 10 00 21 80 02 02 00 00 02 8E ?? ?? ?? 0? 04 00 04 8E }
	condition:
		$1
}

rule file_40_1_0 {
	meta:
		name = "_dvfprintf_cdeEnopuxX"
		size = 6672
		refs = "009c _ctype 0164 fputc 0478 dpcmp 04fc dptoul 05c0 __udivdi3 05fc __umoddi3 0ab0 _npowers_ 0ad8 dpmul 0b70 dpadd 0bb4 __fixunsdfdi 0c3c dpdiv 0ff8 __floatunsidf 1010 dpsub 1294 __floatundidf 142c frexp"
		altNames = "_dvfprintf_cdeEnopsuxX"
	strings:
		$1 = { 98 FF BD 27 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 2C 00 A0 AF 30 00 A0 AF 21 80 00 00 00 00 24 82 68 00 80 10 10 00 A4 A3 25 00 02 24 53 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 47 02 46 10 FF FF 91 24 2E 00 45 28 3D 02 A0 10 00 00 00 00 4F 02 47 50 01 00 63 34 4B 02 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A4 24 21 28 82 00 01 00 A5 90 02 00 67 30 FE FF 66 30 0B 18 C7 00 08 00 67 30 FB FF 66 30 04 00 A5 30 43 02 A0 10 0B 18 C7 00 21 98 00 00 0A 00 06 24 02 28 66 72 01 00 31 26 21 98 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 73 26 2E 00 05 24 41 02 45 50 01 00 31 26 00 10 63 34 21 B8 00 00 ?? ?? 07 3C ?? ?? E6 24 10 00 08 24 00 80 07 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3D 00 A0 14 01 00 31 26 10 00 B5 27 01 00 1E 24 04 00 E0 12 2B 10 D3 03 2B 10 FE 02 0B F0 E2 02 2B 10 D3 03 08 00 76 30 23 98 7E 02 0B 00 C0 16 0A 98 02 00 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D4 57 00 00 A4 82 A5 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9A FF 80 14 10 00 A4 A3 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 80 20 04 00 21 20 C4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 63 34 80 00 63 34 00 07 62 30 B5 00 40 10 21 B0 60 00 00 10 65 30 06 00 04 24 10 00 62 30 87 01 40 10 0B B8 85 00 70 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 45 8C 04 00 54 8C 08 00 44 24 70 00 A4 AF 20 00 A5 AF 20 00 A6 8F 21 28 80 02 21 38 00 00 21 20 C0 00 21 30 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 76 34 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF DC 03 40 14 20 00 A3 8F 24 00 A0 AF 00 01 C2 32 6F 01 40 10 19 00 E2 2A 13 00 E2 2E AF 02 40 10 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 10 00 B7 A3 B1 02 40 14 10 00 A9 83 20 00 A2 8F 21 28 80 02 ?? ?? ?? 0? 21 20 40 00 21 A0 40 00 18 00 B5 8F ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF 73 26 03 00 C2 32 63 00 A3 26 2B 10 02 00 23 98 77 02 C7 00 63 2C 23 98 62 02 01 00 63 2C 04 00 C2 32 F3 02 40 10 23 98 63 02 02 00 C2 32 F5 04 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 60 1A 08 00 DE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 DE 32 10 00 A2 83 20 00 A6 8F 21 20 80 02 C0 10 02 00 21 10 C2 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 20 00 A7 8F 27 10 02 00 C0 18 03 00 21 18 E3 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A0 40 00 44 04 E0 16 21 A8 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 78 04 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 64 00 43 28 12 04 60 10 64 00 14 24 0A 00 14 24 1A 00 54 00 F4 01 80 02 21 28 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 64 FE C0 13 21 80 02 02 63 FE 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 63 34 00 01 63 34 00 07 62 30 4D FF 40 14 21 B0 60 00 C0 00 62 30 18 02 40 14 20 16 03 7C 4D 04 40 04 70 00 A7 8F 10 00 62 30 9D 02 40 10 70 00 A5 8F 70 00 A2 8F 00 00 44 8C 04 00 42 24 70 00 A2 AF C3 17 04 00 21 A8 80 00 21 B0 40 00 05 00 41 04 23 10 02 00 23 A8 04 00 2B 20 15 00 03 00 63 34 23 B0 44 00 03 00 E0 16 C0 00 74 30 25 B8 B6 02 01 00 F7 2E 40 00 02 24 72 03 82 12 41 00 82 2A 22 03 40 10 80 00 02 24 16 00 80 16 10 00 BE 83 01 00 02 24 9E 04 C0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 42 24 02 00 06 24 02 00 1E 24 ?? ?? ?? 0? 14 00 07 24 21 30 C0 03 04 00 44 8C 2B 28 C4 02 1B 03 A0 54 10 00 A6 A3 6F 04 96 50 00 00 44 8C 01 00 DE 27 20 F4 1E 7C F6 FF C7 17 08 00 42 24 10 00 BE A3 2A 10 D7 03 E8 02 40 10 2A 10 FE 02 20 F4 17 7C 10 00 BE A3 05 00 60 12 00 40 62 30 03 00 62 30 2B 10 02 00 23 98 62 02 00 40 62 30 05 00 40 10 2A 20 D3 03 2A 10 F3 02 23 98 77 02 0A 98 02 00 2A 20 D3 03 04 00 62 30 23 F0 7E 02 D8 02 40 10 0A F0 04 00 02 00 62 30 6E 03 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 64 30 0D 00 C0 13 24 00 A4 AF 21 98 60 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 08 00 65 32 21 18 60 02 24 00 A5 AF FF FF F7 26 ?? ?? 02 3C C0 98 17 00 ?? ?? 42 24 21 98 53 00 03 00 02 24 80 40 17 00 40 20 16 00 02 B8 E2 72 20 00 63 30 41 00 82 2A 28 00 BE AF 34 00 B1 AF 20 00 A3 AF 21 F0 80 00 ?? ?? ?? 0? 21 88 40 00 10 00 80 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 3C 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF F7 26 FD FF 02 24 7A 02 E2 12 40 00 02 24 6E 02 82 12 27 10 17 00 DF FF 20 16 80 00 02 24 58 02 82 12 C0 00 02 24 DD FF 82 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 C8 FD 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 BB FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 05 24 C7 FD 45 14 21 98 00 00 70 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D3 8C 2E 00 05 24 04 00 C6 24 C2 FD 45 14 70 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 05 24 1A 03 45 10 00 40 63 34 21 28 82 00 01 00 A5 90 21 B8 00 00 04 00 A5 30 B9 FD A0 10 0A 00 06 24 02 28 E6 72 01 00 31 26 21 B8 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF F7 26 ?? ?? ?? 0? ?? ?? 07 3C 70 00 A6 8F F8 FF 02 24 07 00 C4 24 24 10 82 00 00 00 47 8C 04 00 54 8C 08 00 42 24 20 00 A7 AF ?? ?? ?? 0? 70 00 A2 AF 40 00 40 10 24 00 A3 8F FF 00 F5 32 6E 00 A2 2E 79 03 40 14 0B 00 A2 2E EB 51 02 3C 1F 85 42 34 19 00 A2 02 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 1E 3C ?? ?? DE 27 10 28 00 00 42 41 05 00 FF 00 02 31 12 00 42 24 C0 10 02 00 21 10 5E 00 00 00 44 8C 04 00 45 8C ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 64 00 04 24 CC CC 09 3C 02 28 04 71 CD CC 29 35 21 20 40 00 38 00 A9 AF 23 40 A5 02 FF 00 08 31 19 00 09 01 21 28 60 00 10 38 00 00 F8 07 E2 30 21 10 C2 03 48 00 46 8C ?? ?? ?? 0? 4C 00 47 8C 38 00 A9 8F 21 20 40 00 21 28 60 00 19 00 A9 02 0A 00 02 24 10 38 00 00 C2 18 07 00 02 30 62 70 23 10 A6 02 FF 00 42 30 C0 10 02 00 21 F0 5E 00 00 00 C6 8F ?? ?? ?? 0? 04 00 C7 8F 20 00 A8 8F 21 28 80 02 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 20 00 A2 AF 21 A0 60 00 24 00 A3 8F 0A 00 62 28 14 00 40 10 30 00 A2 8F 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 B4 01 40 10 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 25 10 43 00 B2 01 40 14 21 A8 60 00 24 00 A4 8F 02 00 82 28 AE 01 40 14 30 00 A2 8F 2C 00 A3 8F 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 20 60 00 6A 01 41 04 24 00 A4 8F 24 00 A3 8F ED FF 68 24 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 3C 00 A8 AF 30 00 A3 AF 20 00 A6 8F 21 18 40 00 2C 00 A2 AF 30 00 A2 8F 21 20 C0 00 21 28 80 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 A8 8F 21 F0 40 00 21 A8 60 00 20 00 A0 AF 28 00 A0 AF 01 00 02 24 55 03 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 05 24 02 00 07 24 ?? ?? ?? 0? 12 00 0A 24 21 38 A0 00 04 00 64 8C 2B 30 A4 02 81 02 C0 14 02 00 49 24 7C 02 95 50 00 00 64 8C 01 00 E5 24 01 00 42 24 20 2C 05 7C F5 FF 4A 14 08 00 63 24 10 00 A5 A3 14 00 09 24 23 A0 68 02 23 A0 97 02 2B 10 17 00 23 A0 89 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 43 02 40 10 23 A0 83 02 02 00 C2 32 DD 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 D6 32 24 00 B6 AF ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 C0 18 03 00 21 18 63 02 00 00 66 8C 04 00 67 8C 21 20 C0 03 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 E2 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 E2 2A 1B 02 40 14 20 14 17 7C 12 00 02 24 10 00 A2 A3 EE FF F7 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 21 28 60 00 28 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 FF FF 64 26 20 24 04 7C 21 A8 40 00 21 B0 60 00 27 00 60 12 10 00 A4 A3 ?? ?? 02 3C ?? ?? 42 24 21 98 20 02 20 00 A2 AF 21 88 40 00 C0 20 04 00 21 20 24 02 00 00 86 8C 04 00 87 8C 21 28 C0 02 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 BE 83 27 10 02 00 21 20 A0 02 C0 18 1E 00 21 18 23 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 C0 02 ?? ?? ?? 0? 21 80 02 02 FF FF C4 27 20 24 04 7C 21 A8 40 00 21 B0 60 00 E1 FF C0 17 10 00 A4 A3 21 88 60 02 0A 00 E0 12 24 00 A6 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF F7 26 F9 FF E0 16 21 80 02 02 24 00 A6 8F 46 FC C0 50 00 00 24 82 44 FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 24 02 40 04 10 00 62 30 82 00 40 10 70 00 A4 8F 70 00 A2 8F 21 B0 00 00 00 00 55 8C 04 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 12 00 02 24 21 28 80 02 21 20 60 00 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 10 00 A2 A3 53 FD 40 10 20 00 A2 8F 10 00 A9 83 24 00 A5 8F 38 00 A9 AF ?? ?? ?? 0? 23 20 A9 00 20 00 A6 8F 21 38 60 00 21 28 80 02 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 40 60 00 21 28 00 01 21 20 40 00 3C 00 A8 AF ?? ?? ?? 0? 21 F0 40 00 21 20 40 00 ?? ?? ?? 0? 21 A8 40 00 }
	condition:
		$1
}

rule file_42_0_0 {
	meta:
		name = "_vsnprintf_eEgG"
		size = 88
		refs = "003c _vfprintf_eEgG"
		altNames = "_vsnprintf _vsnprintf_eE _vsnprintf_eEgGs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_915_0_0 {
	meta:
		name = "_dvsnprintf"
		size = 88
		refs = "003c _dvfprintf"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_560_0_0 {
	meta:
		name = "_dvsnprintf_cdeEfFgGnopsuxX"
		size = 88
		refs = "003c _dvfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_608_0_0 {
	meta:
		name = "_dvsnprintf_cdeEfFgGnopuxX"
		size = 88
		refs = "003c _dvfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_348_0_0 {
	meta:
		name = "_dvsnprintf_cdeEfFnopsuxX"
		size = 88
		refs = "003c _dvfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_432_0_0 {
	meta:
		name = "_dvsnprintf_cdeEfFnopuxX"
		size = 88
		refs = "003c _dvfprintf_cdeEfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_341_0_0 {
	meta:
		name = "_dvsnprintf_cdeEgGnopsuxX"
		size = 88
		refs = "003c _dvfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_366_0_0 {
	meta:
		name = "_dvsnprintf_cdeEgGnopuxX"
		size = 88
		refs = "003c _dvfprintf_cdeEgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_351_0_0 {
	meta:
		name = "_dvsnprintf_cdeEnopsuxX"
		size = 88
		refs = "003c _dvfprintf_cdeEnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_499_0_0 {
	meta:
		name = "_dvsnprintf_cdeEnopuxX"
		size = 88
		refs = "003c _dvfprintf_cdeEnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_966_0_0 {
	meta:
		name = "_dvsnprintf_cdfFgGnopsuxX"
		size = 88
		refs = "003c _dvfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_220_0_0 {
	meta:
		name = "_dvsnprintf_cdfFgGnopuxX"
		size = 88
		refs = "003c _dvfprintf_cdfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_328_0_0 {
	meta:
		name = "_dvsnprintf_cdfFnopsuxX"
		size = 88
		refs = "003c _dvfprintf_cdfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1215_0_0 {
	meta:
		name = "_dvsnprintf_cdfFnopuxX"
		size = 88
		refs = "003c _dvfprintf_cdfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_518_0_0 {
	meta:
		name = "_dvsnprintf_cdgGnopsuxX"
		size = 88
		refs = "003c _dvfprintf_cdgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_270_0_0 {
	meta:
		name = "_dvsnprintf_cdgGnopuxX"
		size = 88
		refs = "003c _dvfprintf_cdgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_545_0_0 {
	meta:
		name = "_dvsnprintf_cdnopsuxX"
		size = 88
		refs = "003c _dvfprintf_cdnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_679_0_0 {
	meta:
		name = "_dvsnprintf_cdnopuxX"
		size = 88
		refs = "003c _dvfprintf_cdnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_820_0_0 {
	meta:
		name = "_dvsnprintf_eE"
		size = 88
		refs = "003c _dvfprintf_eE"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_769_0_0 {
	meta:
		name = "_dvsnprintf_eEfF"
		size = 88
		refs = "003c _dvfprintf_eEfF"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_180_0_0 {
	meta:
		name = "_dvsnprintf_eEfFgG"
		size = 88
		refs = "003c _dvfprintf_eEfFgG"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_79_0_0 {
	meta:
		name = "_dvsnprintf_eEfFgGs"
		size = 88
		refs = "003c _dvfprintf_eEfFgGs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_468_0_0 {
	meta:
		name = "_dvsnprintf_eEfFs"
		size = 88
		refs = "003c _dvfprintf_eEfFs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_243_0_0 {
	meta:
		name = "_dvsnprintf_eEgG"
		size = 88
		refs = "003c _dvfprintf_eEgG"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_630_0_0 {
	meta:
		name = "_dvsnprintf_eEgGs"
		size = 88
		refs = "003c _dvfprintf_eEgGs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1180_0_0 {
	meta:
		name = "_dvsnprintf_eEs"
		size = 88
		refs = "003c _dvfprintf_eEs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_938_0_0 {
	meta:
		name = "_dvsnprintf_fF"
		size = 88
		refs = "003c _dvfprintf_fF"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_227_0_0 {
	meta:
		name = "_dvsnprintf_fFgG"
		size = 88
		refs = "003c _dvfprintf_fFgG"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_454_0_0 {
	meta:
		name = "_dvsnprintf_fFgGs"
		size = 88
		refs = "003c _dvfprintf_fFgGs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_208_0_0 {
	meta:
		name = "_dvsnprintf_fFs"
		size = 88
		refs = "003c _dvfprintf_fFs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_67_0_0 {
	meta:
		name = "_dvsnprintf_gG"
		size = 88
		refs = "003c _dvfprintf_gG"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_260_0_0 {
	meta:
		name = "_dvsnprintf_gGs"
		size = 88
		refs = "003c _dvfprintf_gGs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_439_0_0 {
	meta:
		name = "_dvsnprintf_s"
		size = 88
		refs = "003c _dvfprintf_s"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_724_0_0 {
	meta:
		name = "_ivsnprintf"
		size = 88
		refs = "003c _ivfprintf"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_763_0_0 {
	meta:
		name = "_vsnprintf_cdeEfFgGnopsuxX"
		size = 88
		refs = "003c _vfprintf_cdeEfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_574_0_0 {
	meta:
		name = "_vsnprintf_cdeEfFgGnopuxX"
		size = 88
		refs = "003c _vfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_104_0_0 {
	meta:
		name = "_vsnprintf_cdeEfFnopsuxX"
		size = 88
		refs = "003c _vfprintf_cdeEfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1188_0_0 {
	meta:
		name = "_vsnprintf_cdeEfFnopuxX"
		size = 88
		refs = "003c _vfprintf_cdeEfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_252_0_0 {
	meta:
		name = "_vsnprintf_cdeEgGnopsuxX"
		size = 88
		refs = "003c _vfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_765_0_0 {
	meta:
		name = "_vsnprintf_cdeEgGnopuxX"
		size = 88
		refs = "003c _vfprintf_cdeEgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_893_0_0 {
	meta:
		name = "_vsnprintf_cdeEnopsuxX"
		size = 88
		refs = "003c _vfprintf_cdeEnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1001_0_0 {
	meta:
		name = "_vsnprintf_cdeEnopuxX"
		size = 88
		refs = "003c _vfprintf_cdeEnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_878_0_0 {
	meta:
		name = "_vsnprintf_cdfFgGnopsuxX"
		size = 88
		refs = "003c _vfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_760_0_0 {
	meta:
		name = "_vsnprintf_cdfFgGnopuxX"
		size = 88
		refs = "003c _vfprintf_cdfFgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1004_0_0 {
	meta:
		name = "_vsnprintf_cdfFnopsuxX"
		size = 88
		refs = "003c _vfprintf_cdfFnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_577_0_0 {
	meta:
		name = "_vsnprintf_cdfFnopuxX"
		size = 88
		refs = "003c _vfprintf_cdfFnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_944_0_0 {
	meta:
		name = "_vsnprintf_cdgGnopsuxX"
		size = 88
		refs = "003c _vfprintf_cdgGnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1141_0_0 {
	meta:
		name = "_vsnprintf_cdgGnopuxX"
		size = 88
		refs = "003c _vfprintf_cdgGnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_462_0_0 {
	meta:
		name = "_vsnprintf_cdnopsuxX"
		size = 88
		refs = "003c _vfprintf_cdnopsuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1196_0_0 {
	meta:
		name = "_vsnprintf_cdnopuxX"
		size = 88
		refs = "003c _vfprintf_cdnopuxX"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_314_0_0 {
	meta:
		name = "_vsnprintf_eEfF"
		size = 88
		refs = "003c _vfprintf_eEfF"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_107_0_0 {
	meta:
		name = "_vsnprintf_eEfFgG"
		size = 88
		refs = "003c _vfprintf_eEfFgG"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_318_0_0 {
	meta:
		name = "_vsnprintf_eEfFgGs"
		size = 88
		refs = "003c _vfprintf_eEfFgGs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1018_0_0 {
	meta:
		name = "_vsnprintf_eEfFs"
		size = 88
		refs = "003c _vfprintf_eEfFs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_647_0_0 {
	meta:
		name = "_vsnprintf_eEs"
		size = 88
		refs = "003c _vfprintf_eEs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_817_0_0 {
	meta:
		name = "_vsnprintf_fF"
		size = 88
		refs = "003c _vfprintf_fF"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_543_0_0 {
	meta:
		name = "_vsnprintf_fFgG"
		size = 88
		refs = "003c _vfprintf_fFgG"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_995_0_0 {
	meta:
		name = "_vsnprintf_fFgGs"
		size = 88
		refs = "003c _vfprintf_fFgGs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1112_0_0 {
	meta:
		name = "_vsnprintf_fFs"
		size = 88
		refs = "003c _vfprintf_fFs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_418_0_0 {
	meta:
		name = "_vsnprintf_gG"
		size = 88
		refs = "003c _vfprintf_gG"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_711_0_0 {
	meta:
		name = "_vsnprintf_gGs"
		size = 88
		refs = "003c _vfprintf_gGs"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_522_0_0 {
	meta:
		name = "_vsnprintf_s"
		size = 88
		refs = "003c _vfprintf_s"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_862_0_0 {
	meta:
		name = "vsnprintf"
		size = 88
		refs = "003c vfprintf"
	strings:
		$1 = { D0 FF BD 27 02 00 A8 2C 2C 00 BF AF 21 18 80 00 0E 00 00 15 21 10 00 00 FF FF A2 24 20 00 A2 AF 21 28 C0 00 C2 00 02 24 10 00 A4 27 21 30 E0 00 10 00 A3 AF 18 00 A3 AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A2 A7 10 00 A3 8F 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_61_0_0 {
	meta:
		name = "strcasecmp"
		size = 104
		refs = "002c tolower"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 21 88 80 00 ?? ?? ?? 0? 21 80 A0 00 0C 00 40 10 21 10 40 02 00 00 24 92 ?? ?? ?? 0? 01 00 31 26 00 00 04 92 21 90 40 00 ?? ?? ?? 0? 01 00 10 26 23 90 42 02 F5 FF 40 12 1C 00 BF 8F 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_63_0_0 {
	meta:
		name = "strfmt"
		size = 256
	strings:
		$1 = { F8 FF BD 27 ?? ?? 02 3C ?? ?? 42 24 10 00 A3 27 10 00 A6 AF 14 00 A7 AF 00 00 A3 AF 25 00 0A 24 FC FF 4C 24 00 00 A3 80 08 00 60 50 00 00 80 A0 08 00 6A 10 01 00 A5 24 00 00 83 A0 00 00 A3 80 FB FF 60 14 01 00 84 24 00 00 80 A0 08 00 E0 03 08 00 BD 27 00 00 A7 80 D0 FF EB 24 0F 00 60 15 01 00 A5 24 00 00 A3 8F 00 00 66 8C 04 00 63 24 00 00 A3 AF 00 00 C3 80 EB FF 60 50 00 00 A3 80 00 00 83 A0 01 00 C6 24 00 00 C3 80 FC FF 60 14 01 00 84 24 ?? ?? ?? 0? 00 00 A3 80 00 00 A8 8F 80 18 0B 00 21 18 62 00 CF FF E7 24 00 00 63 8C 00 00 06 8D 80 38 07 00 04 00 08 25 00 00 A8 AF 21 38 47 00 21 40 80 00 1A 00 C3 00 F4 01 60 00 00 00 E3 8C FC FF E7 24 10 30 00 00 1A 00 C3 00 F4 01 60 00 12 48 00 00 30 00 29 25 00 00 09 A1 F7 FF EC 14 01 00 08 25 ?? ?? ?? 0? 21 20 8B 00 }
	condition:
		$1
}

rule file_63_1_0 {
	meta:
		name = "strftime"
		size = 1716
	strings:
		$1 = { A8 FF BD 27 4C 00 B7 AF 30 00 B0 AF FF FF A5 24 ?? ?? 17 3C ?? ?? 03 3C ?? ?? 10 3C 50 00 BE AF 48 00 B6 AF 44 00 B5 AF 40 00 B4 AF 3C 00 B3 AF 38 00 B2 AF 34 00 B1 AF 54 00 BF AF 21 B0 80 00 21 A8 C0 00 21 F0 E0 00 21 A0 85 00 21 98 80 00 ?? ?? E2 26 ?? ?? 63 24 ?? ?? 12 3C ?? ?? 11 3C ?? ?? 10 26 00 00 A4 82 0B 00 80 50 00 00 60 A2 25 00 05 24 15 00 85 10 01 00 B5 26 7D 01 74 52 00 00 60 A2 00 00 64 A2 00 00 A4 82 F9 FF 80 14 01 00 73 26 00 00 60 A2 54 00 BF 8F 23 10 76 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 00 00 A4 82 DB FF 84 24 FF 00 84 30 55 00 85 2C 21 00 A0 14 01 00 B5 26 25 00 04 24 ?? ?? E4 A2 FF FF A4 82 FF FF A5 26 02 00 40 A0 0A A8 A4 00 01 00 44 A0 21 28 40 00 25 00 04 24 09 00 74 52 00 00 80 A2 00 00 64 A2 01 00 A5 24 00 00 A4 80 D1 FF 80 10 01 00 73 26 FB FF 74 56 00 00 64 A2 00 00 80 A2 54 00 BF 8F 21 10 00 00 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 80 20 04 00 21 20 64 00 00 00 84 8C 08 00 80 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 05 3C 25 00 04 24 ?? ?? ?? 0? ?? ?? A5 24 18 00 C5 8F ?? ?? 04 3C ?? ?? 84 24 80 28 05 00 21 20 A4 00 00 00 85 8C 00 00 A4 80 8A FF 80 14 00 00 00 00 ?? ?? ?? 0? 00 00 A4 82 10 00 C5 8F ?? ?? 04 3C ?? ?? 84 24 80 28 05 00 21 20 A4 00 00 00 85 8C 00 00 A4 80 7F FF 80 14 00 00 00 00 ?? ?? ?? 0? 00 00 A4 82 08 00 C6 8F ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF 28 00 A2 8F ?? ?? E4 82 2C 00 A3 8F 71 FF 80 14 21 28 40 00 ?? ?? ?? 0? 00 00 A4 82 08 00 C6 8F 0C 00 07 24 ?? ?? 05 3C 1A 00 C7 00 F4 01 E0 00 21 20 40 00 ?? ?? A5 24 10 30 00 00 ?? ?? ?? 0? 0A 30 E6 00 ?? ?? 05 3C 04 00 C6 8F 21 20 40 00 ?? ?? ?? 0? ?? ?? A5 24 ?? ?? 05 3C 00 00 C6 8F 21 20 40 00 ?? ?? ?? 0? ?? ?? A5 24 1C 00 C6 8F 07 00 04 24 18 00 C7 8F 1A 00 C4 00 F4 01 80 00 ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 10 30 00 00 2A 30 E6 00 12 38 00 00 ?? ?? ?? 0? 21 30 C7 00 1C 00 C6 8F 07 00 07 24 18 00 C8 8F 1A 00 C7 00 F4 01 E0 00 ?? ?? 05 3C 06 00 08 25 21 20 40 00 ?? ?? A5 24 10 48 00 00 12 30 00 00 1A 00 07 01 F4 01 E0 00 10 38 00 00 2A 38 E9 00 ?? ?? ?? 0? 21 30 E6 00 00 00 C8 8F ?? ?? 05 3C 08 00 C6 8F 04 00 C7 8F 21 20 40 00 ?? ?? A5 24 10 00 A8 AF 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF 28 00 A2 8F ?? ?? E4 82 2C 00 A3 8F 2E FF 80 14 21 28 40 00 ?? ?? ?? 0? 00 00 A4 82 14 00 C6 8F 21 20 40 00 ?? ?? 25 26 ?? ?? ?? 0? 6C 07 C6 24 20 00 C4 8F F5 FE 80 50 00 00 A4 82 ?? ?? 44 26 04 00 85 8C 00 00 A4 80 1F FF 80 14 00 00 00 00 ?? ?? ?? 0? 00 00 A4 82 18 00 C4 8F 80 20 04 00 21 20 90 00 00 00 85 8C 00 00 A4 80 16 FF 80 14 00 00 00 00 ?? ?? ?? 0? 00 00 A4 82 10 00 C5 8F ?? ?? 04 3C ?? ?? 84 24 80 28 05 00 21 20 A4 00 00 00 85 8C 00 00 A4 80 0B FF 80 14 00 00 00 00 ?? ?? ?? 0? 00 00 A4 82 18 00 C5 8F 10 00 C6 8F ?? ?? 04 3C 80 28 05 00 80 30 06 00 ?? ?? 84 24 14 00 C8 8F 21 20 C4 00 21 28 B0 00 0C 00 CC 8F 08 00 CB 8F 04 00 CA 8F 00 00 C9 8F 00 00 A6 8C 00 00 87 8C ?? ?? 05 3C 21 20 40 00 6C 07 08 25 ?? ?? A5 24 28 00 A2 AF 2C 00 A3 AF 10 00 AC AF 14 00 AB AF 18 00 AA AF 1C 00 A9 AF ?? ?? ?? 0? 20 00 A8 AF 28 00 A2 8F ?? ?? E4 82 2C 00 A3 8F E9 FE 80 14 21 28 40 00 ?? ?? ?? 0? 00 00 A4 82 ?? ?? 05 3C 0C 00 C6 8F 21 20 40 00 ?? ?? ?? 0? ?? ?? A5 24 1C 00 C6 8F ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 ?? ?? ?? 0? 01 00 C6 24 10 00 C6 8F ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 ?? ?? ?? 0? 01 00 C6 24 08 00 C4 8F 0C 00 84 28 33 00 80 54 ?? ?? 05 3C ?? ?? 05 3C 50 00 04 24 ?? ?? ?? 0? ?? ?? A5 24 ?? ?? 05 3C 18 00 C6 8F 21 20 40 00 ?? ?? ?? 0? ?? ?? A5 24 18 00 C5 8F 10 00 C6 8F 14 00 C8 8F 0C 00 C9 8F 80 28 05 00 ?? ?? 04 3C 80 30 06 00 21 28 B0 00 ?? ?? 84 24 21 20 C4 00 6C 07 08 25 00 00 A6 8C ?? ?? 05 3C 00 00 87 8C ?? ?? A5 24 21 20 40 00 10 00 A9 AF ?? ?? ?? 0? 14 00 A8 AF 14 00 C6 8F 64 00 04 24 ?? ?? 05 3C 1A 00 C4 00 F4 01 80 00 ?? ?? A5 24 21 20 40 00 ?? ?? ?? 0? 10 30 00 00 54 00 BF 8F 21 10 00 00 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 41 00 04 24 ?? ?? ?? 0? ?? ?? A5 24 }
	condition:
		$1
}

rule file_64_2_0 {
	meta:
		name = "_vfscanf_cdnopuxX"
		size = 2180
		refs = "000c _ctype 00b0 atoi 0308 fgetc 05ec ungetc"
		altNames = "_dvfscanf_cdnopsuxX _dvfscanf_cdnopuxX _dvfscanf_s _ivfscanf _vfscanf _vfscanf_cdnopsuxX _vfscanf_s"
	strings:
		$1 = { B0 FF BD 27 40 00 B6 AF 38 00 B4 AF ?? ?? 16 3C ?? ?? 14 3C 3C 00 B5 AF 28 00 B0 AF 4C 00 BF AF 48 00 BE AF 44 00 B7 AF 34 00 B3 AF 30 00 B2 AF 2C 00 B1 AF ?? ?? D6 26 21 80 A0 00 58 00 A6 AF ?? ?? 84 AE 21 A8 00 00 18 00 A0 AF 00 00 11 92 C8 00 20 12 4C 00 BF 8F 21 10 D1 02 01 00 42 80 88 00 42 30 BD 00 40 14 01 00 10 26 25 00 02 24 A5 00 22 16 04 00 03 24 00 00 13 82 21 88 00 00 14 00 A3 AF 21 B8 00 00 04 00 1E 24 FF 00 73 32 79 00 62 2E 1C 00 40 14 01 00 12 26 21 10 D3 02 01 00 42 90 04 00 42 30 ED 01 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 00 00 53 82 ?? ?? 03 3C ?? ?? 63 24 20 8C 02 7C 21 10 63 02 01 00 42 90 04 00 42 30 ED FF 40 10 21 80 40 02 01 00 10 26 00 00 13 82 21 10 D3 02 01 00 42 90 04 00 42 30 FB FF 40 54 01 00 10 26 FF 00 73 32 79 00 62 2E E6 FF 40 10 01 00 12 26 ?? ?? 04 3C 80 10 13 00 ?? ?? 84 24 21 10 82 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0? ?? ?? 84 8E 4F FF 22 52 00 00 11 92 FF FF 03 24 4B 01 43 14 ?? ?? 03 3C 18 00 A3 8F 0B 10 63 00 4C 00 BF 8F 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 ?? ?? ?? 0? 00 00 00 00 00 00 11 92 3C FF 20 16 21 10 D1 02 4C 00 BF 8F 18 00 A2 8F 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 21 80 40 02 10 00 13 24 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 84 8E ?? ?? ?? 0? 1C 00 A0 AF 21 90 40 00 2D 00 02 24 7A 00 42 12 ?? ?? 03 3C 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 30 A0 02 FF 00 03 24 80 00 43 10 ?? ?? 85 8E 30 00 02 24 E1 00 42 12 00 00 00 00 21 18 00 00 FF 00 1E 24 02 18 73 70 21 20 40 02 21 28 60 02 21 30 A0 02 FF FF 31 26 20 8C 11 7C ?? ?? ?? 0? 20 00 A3 AF 20 00 A3 8F 0B 00 20 12 21 18 43 00 ?? ?? 84 8E ?? ?? ?? 0? 20 00 A3 AF 21 20 40 00 21 28 60 02 21 30 A0 02 ?? ?? ?? 0? 21 90 40 00 EC FF 5E 14 20 00 A3 8F 21 20 40 02 21 28 60 02 21 30 A0 02 ?? ?? ?? 0? 20 00 A3 AF FF 00 04 24 E6 00 44 10 20 00 A3 8F 1C 00 A4 8F 23 10 03 00 F2 FE E0 16 0B 18 44 00 18 00 A4 8F 01 00 82 24 14 00 A4 8F FF 00 42 30 18 00 A2 AF 04 00 02 24 04 00 82 10 14 00 A4 8F 02 00 02 24 DC 00 82 10 58 00 A4 8F 58 00 A4 8F 00 00 82 8C 04 00 84 24 58 00 A4 AF ?? ?? ?? 0? 00 00 43 AC ?? ?? ?? 0? 00 00 00 00 A3 00 E0 12 58 00 A3 8F ?? ?? ?? 0? ?? ?? 84 8E FF FF 03 24 8E FF 43 10 01 00 43 24 1E 00 40 10 21 80 40 02 21 18 C3 02 00 00 63 80 88 00 63 30 17 00 60 50 00 00 43 82 ?? ?? ?? 0? 00 00 00 00 05 00 E0 16 FF FF 31 26 10 00 A4 8F 00 00 82 A0 01 00 84 24 10 00 A4 AF 20 8C 11 7C 7E 00 20 12 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 8E 01 00 43 24 02 00 64 2C 78 00 80 14 21 18 C3 02 00 00 63 80 88 00 63 30 74 00 60 14 00 00 00 00 00 00 43 82 EB FF 62 14 01 00 50 26 B8 FE E0 56 00 00 11 92 18 00 A3 8F 10 00 A4 8F 01 00 62 24 FF 00 42 30 18 00 A2 AF ?? ?? ?? 0? 00 00 80 A0 ?? ?? ?? 0? 21 80 40 02 ?? ?? 84 8E ?? ?? ?? 0? 1C 00 A0 AF 21 90 40 00 2D 00 02 24 89 FF 42 16 08 00 13 24 ?? ?? 03 3C ?? ?? 64 8C 01 00 02 24 ?? ?? ?? 0? 1C 00 A2 AF 21 90 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 30 A0 02 FF 00 03 24 84 FF 43 14 30 00 02 24 ?? ?? 85 8E ?? ?? ?? 0? 21 20 40 02 18 00 A3 8F 6D 00 60 10 ?? ?? 02 3C 21 10 60 00 4C 00 BF 8F 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 02 00 02 24 00 00 53 82 21 80 40 02 ?? ?? ?? 0? 14 00 A2 AF 21 80 40 02 ?? ?? ?? 0? 0A 00 13 24 39 00 E0 12 18 00 A3 8F FF FF 10 24 ?? ?? ?? 0? ?? ?? 84 8E 75 00 50 10 18 00 A3 8F 05 00 E0 16 FF FF 31 26 10 00 A4 8F 00 00 82 A0 01 00 84 24 10 00 A4 AF 20 8C 11 7C F4 FF 20 1E 00 00 00 00 ?? ?? ?? 0? 21 80 40 02 21 80 40 02 10 00 13 24 ?? ?? ?? 0? 01 00 15 24 14 00 A4 8F 60 00 9E 10 08 00 02 24 00 00 53 82 21 80 40 02 ?? ?? ?? 0? 14 00 A2 AF 01 00 F7 26 FF 00 F7 32 00 00 53 82 ?? ?? ?? 0? 21 80 40 02 18 00 A3 8F C8 FF 60 14 21 10 60 00 ?? ?? 83 8E 4C 00 BF 8F FF FF 02 24 0C 00 63 94 48 00 BE 8F 44 00 B7 8F 10 00 63 30 0A 10 03 00 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 47 FE E0 16 21 80 40 02 ?? ?? ?? 0? 18 00 A3 8F 58 00 A4 8F 01 00 62 24 FF 00 42 30 00 00 84 8C 18 00 A2 AF 58 00 A2 8F 10 00 A4 AF 04 00 42 24 ?? ?? ?? 0? 58 00 A2 AF 58 00 A4 8F 00 00 63 8C 04 00 84 24 58 00 A4 AF ?? ?? ?? 0? 10 00 A3 AF ?? ?? ?? 0? ?? ?? 84 8E 78 00 03 24 1A 00 43 10 58 00 03 24 1A 00 43 14 ?? ?? 85 8E 18 00 A0 12 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 8E ?? ?? ?? 0? 21 90 40 00 ?? ?? 43 8C 4C 00 BF 8F FF FF 02 24 0C 00 63 94 48 00 BE 8F 44 00 B7 8F 10 00 63 30 0A 10 03 00 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 EA FF A0 12 ?? ?? 85 8E ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 18 00 00 ?? ?? 85 8E ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 20 00 A3 8F 00 00 82 8C 04 00 84 24 58 00 A4 AF ?? ?? ?? 0? 00 00 43 A4 00 00 53 82 ?? ?? ?? 0? 21 80 40 02 FF FF 02 24 ?? ?? ?? 0? 0B 10 63 00 ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 18 00 A2 8F ?? ?? ?? 0? ?? ?? 84 8E 8A FF 62 12 FF FF 03 24 F6 FF 43 14 ?? ?? 03 3C 18 00 A4 8F ?? ?? ?? 0? 0B 10 84 00 }
	condition:
		$1
}

rule file_73_1_0 {
	meta:
		name = "_dvfprintf_fFs"
		size = 4288
		refs = "009c _ctype 01cc fputc 03e4 dpcmp 044c _npowers_ 0480 dpmul 0518 dpadd 055c __fixunsdfdi 0578 __floatundidf 0590 dpsub 06a0 __udivdi3 06b4 __umoddi3 0bec dpdiv 0e30 frexp"
		altNames = "_dvfprintf_fF"
	strings:
		$1 = { A0 FF BD 27 40 00 B2 AF 3C 00 B1 AF 38 00 B0 AF 5C 00 BF AF 58 00 BE AF 54 00 B7 AF 50 00 B6 AF 4C 00 B5 AF 48 00 B4 AF 44 00 B3 AF 21 90 80 00 21 88 A0 00 68 00 A6 AF 28 00 A0 AF 2C 00 A0 AF 21 80 00 00 00 00 24 82 40 00 80 10 10 00 A4 A3 25 00 02 24 8A 00 82 14 01 00 33 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 A8 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 7E 00 45 10 FF FF 71 24 2E 00 44 28 74 00 80 10 00 00 00 00 86 00 46 50 01 00 B5 36 82 00 48 50 02 00 B5 36 ?? ?? 04 3C ?? ?? 83 24 21 20 62 00 01 00 84 90 02 00 A6 32 FE FF A5 32 0B A8 A6 00 08 00 A6 32 FB FF A5 32 04 00 84 30 7A 00 80 10 0B A8 A6 00 21 F0 00 00 0A 00 05 24 02 20 C5 73 01 00 31 26 21 F0 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF DE 27 2E 00 04 24 78 00 44 50 01 00 31 26 00 10 B5 36 21 98 00 00 6C 00 03 24 10 00 05 24 00 80 04 24 10 00 A2 A3 94 00 43 10 01 00 31 26 6D 00 43 28 15 00 60 10 75 00 03 24 63 00 03 24 4E 02 43 10 66 00 03 24 94 00 43 50 00 04 B5 36 14 00 40 14 10 00 B4 27 5C 00 BF 8F 21 10 00 02 58 00 BE 8F 54 00 B7 8F 50 00 B6 8F 4C 00 B5 8F 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 60 00 BD 27 39 02 43 10 78 00 03 24 80 00 43 10 73 00 03 24 68 00 43 10 10 00 B4 27 01 00 17 24 04 00 60 52 2B 98 FE 02 2B 10 77 02 0B B8 62 02 2B 98 FE 02 23 F0 D7 03 0A F0 13 00 08 00 B6 32 0C 00 C0 16 21 98 C0 03 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 20 00 04 24 F8 FF 75 16 21 28 40 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 40 02 8A FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 20 00 04 24 F8 FF 74 16 21 28 40 02 ?? ?? ?? 0? 00 00 24 82 91 FF 47 14 ?? ?? 04 3C 04 00 B5 36 01 00 63 24 FF FF 62 80 84 FF 45 14 FF FF 71 24 08 00 B5 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 90 FF 44 14 21 F0 00 00 68 00 A5 8F 01 00 31 26 00 00 22 82 00 00 BE 8C 2E 00 04 24 04 00 A5 24 8B FF 44 14 68 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 86 02 44 10 00 40 B5 36 21 20 62 00 01 00 84 90 21 98 00 00 04 00 84 30 82 FF 80 10 0A 00 05 24 02 20 65 72 01 00 31 26 21 98 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 73 26 ?? ?? ?? 0? 6C 00 03 24 68 00 A7 8F 00 00 E3 8C 04 00 E4 24 4C 03 60 10 21 A0 60 00 00 00 62 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 77 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 68 00 A4 AF 10 00 A2 32 21 30 80 00 0A 30 A2 00 25 A8 D5 00 FF FF B5 32 ?? ?? ?? 0? 00 00 22 82 80 00 B5 36 00 07 A2 32 41 01 40 10 21 B8 A0 02 00 10 A4 32 06 00 03 24 10 00 A2 32 C3 01 40 14 0B 98 64 00 68 00 A7 8F F8 FF 02 24 07 00 E3 24 24 10 62 00 00 00 43 8C 04 00 54 8C 08 00 42 24 20 00 A3 AF 68 00 A2 AF 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 00 41 04 20 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 B7 36 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF 83 02 40 14 20 00 A3 8F 24 00 A0 AF 19 00 62 2A 40 00 40 10 24 00 A3 8F FF 00 75 32 6E 00 A2 2E AC 02 40 14 0B 00 A2 2E EB 51 02 3C 1F 85 42 34 19 00 A2 02 ?? ?? 16 3C ?? ?? D6 26 ?? ?? 05 3C ?? ?? A6 8C ?? ?? A7 8C 10 18 00 00 42 41 03 00 FF 00 02 31 12 00 42 24 C0 10 02 00 21 10 56 00 00 00 44 8C 04 00 45 8C ?? ?? ?? 0? 34 00 A8 AF 34 00 A8 8F 64 00 04 24 CC CC 09 3C 02 28 04 71 CD CC 29 35 21 20 40 00 34 00 A9 AF 23 40 A5 02 FF 00 08 31 19 00 09 01 21 28 60 00 10 38 00 00 F8 07 E2 30 21 10 C2 02 48 00 46 8C ?? ?? ?? 0? 4C 00 47 8C 34 00 A9 8F 21 20 40 00 21 28 60 00 19 00 A9 02 0A 00 02 24 10 38 00 00 C2 18 07 00 02 30 62 70 23 10 A6 02 FF 00 42 30 C0 10 02 00 21 B0 56 00 00 00 C6 8E ?? ?? ?? 0? 04 00 C7 8E 20 00 A8 8F 21 28 80 02 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 20 00 A2 AF 21 A0 60 00 24 00 A3 8F 0A 00 62 28 96 01 40 10 2C 00 A2 8F 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 94 02 40 10 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 B0 40 00 25 10 43 00 83 01 40 10 21 A8 60 00 21 20 C0 02 ?? ?? ?? 0? 21 28 A0 02 20 00 A6 8F 21 28 80 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 20 00 A2 AF 24 00 A3 AF 18 00 A0 AF 21 40 00 00 01 00 02 24 B5 02 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 02 00 47 24 01 00 84 24 2B 30 A5 02 C5 01 C0 14 01 00 42 24 C0 01 B5 50 00 00 65 8C 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 A0 C8 03 23 A0 93 02 2B 10 13 00 23 A0 87 02 03 00 E3 32 23 A0 82 02 2B 18 03 00 04 00 E2 32 7D 01 40 10 23 A0 83 02 02 00 E2 32 57 02 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 1A 08 00 FE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 FE 32 ?? ?? 05 3C ?? ?? ?? 0? ?? ?? B7 24 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 C0 02 21 28 A0 02 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 E6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 62 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 62 2A 56 01 40 14 20 14 13 7C 12 00 02 24 10 00 A2 A3 EE FF 73 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 21 28 60 00 24 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 27 00 A0 12 10 00 A2 A3 ?? ?? 06 3C ?? ?? D5 24 21 40 60 00 21 B8 C0 02 C0 10 02 00 21 10 A2 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 34 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B6 83 34 00 A8 8F 27 10 02 00 C0 18 16 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF C2 26 20 14 02 7C 21 40 60 00 DF FF C0 16 10 00 A2 A3 09 00 60 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 F8 FD C0 53 00 00 24 82 F6 FD 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 15 7C 89 01 40 04 10 00 A2 32 8D 00 40 10 68 00 A5 8F 68 00 A4 8F 21 B8 00 00 00 00 94 8C 04 00 84 24 68 00 A4 AF 03 00 60 16 C0 00 B6 32 25 98 97 02 01 00 73 2E 80 00 02 24 11 01 C2 12 C0 00 02 24 34 01 C2 12 10 00 A2 83 2A 18 53 00 CA 00 60 10 2A 18 62 02 20 14 13 7C 10 00 A2 A3 05 00 C0 13 00 40 A3 32 03 00 A3 32 2B 18 03 00 23 F0 C3 03 00 40 A3 32 05 00 60 10 2A 20 5E 00 2A 18 7E 02 23 F0 D3 03 0A F0 03 00 2A 20 5E 00 23 10 C2 03 0A 10 04 00 04 00 A3 32 DA 00 60 10 20 00 A2 AF 02 00 A2 32 8F 01 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A6 8F 0C 00 C0 50 08 00 B5 32 20 00 BE 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 20 00 BE AF 08 00 B5 32 24 00 B5 AF FF FF 68 26 C0 10 08 00 ?? ?? 04 3C 80 40 08 00 13 00 00 01 ?? ?? 95 24 40 18 17 00 21 40 60 02 30 00 B1 AF 21 A8 A2 02 80 00 1E 24 21 88 60 00 11 00 00 11 12 98 00 00 56 00 DE 12 FF FF 08 25 C0 00 05 24 44 00 C5 52 00 00 A6 8E 10 00 A4 83 21 28 40 02 ?? ?? ?? 0? 34 00 A8 AF 34 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F1 FF 00 15 FC FF 73 26 24 00 A7 8F 85 FD E0 10 30 00 B1 8F 20 00 A2 8F 82 FD 40 18 21 98 40 00 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 ?? ?? ?? 0? C0 00 B5 36 68 00 A3 8F 10 00 A5 32 01 00 62 80 00 00 64 8C 04 00 63 24 1B 00 A0 10 10 00 A2 A3 1A 00 40 50 14 00 A4 A3 FF FF 05 24 17 00 45 50 14 00 A4 A3 14 00 A2 A3 15 00 A4 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 68 00 A3 AF 68 00 A4 8F F8 FF 02 24 07 00 83 24 24 10 62 00 00 00 46 8C 08 00 45 24 68 00 A5 AF 20 00 A6 AF ?? ?? ?? 0? 04 00 54 8C 21 B8 00 00 00 00 B4 8C 04 00 A5 24 ?? ?? ?? 0? 68 00 A5 AF 14 00 A4 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 68 00 A3 AF 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 34 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 34 00 A8 8F 27 18 13 00 04 18 71 00 06 10 74 02 20 00 64 32 25 10 62 00 06 18 77 02 0B 10 64 00 ?? ?? 06 3C 0F 00 42 30 ?? ?? C6 24 21 10 C2 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 24 00 A4 8F 02 00 82 28 7B FE 40 14 2C 00 A2 8F 28 00 A3 8F 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 20 60 00 9B 00 41 04 24 00 A4 8F 24 00 A3 8F ED FF 68 24 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 34 00 A8 AF 2C 00 A3 AF 20 00 A6 8F 21 18 40 00 28 00 A2 AF 2C 00 A2 8F 21 20 C0 00 21 28 80 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 B0 40 00 21 A8 60 00 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 34 00 A8 8F ?? ?? ?? 0? 0B 98 43 00 08 00 FE 32 0C 00 C0 17 02 00 E2 32 0A 00 80 1A 00 00 00 00 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 E2 32 C6 00 40 50 01 00 F7 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 10 00 A2 A3 AC FE 40 14 23 98 62 02 FF FF 02 24 ?? ?? ?? 0? 10 00 A2 A3 20 00 A7 8F C8 00 E0 14 08 00 A3 32 08 00 A2 32 24 00 A2 AF 02 00 A2 32 BF 00 40 50 01 00 B5 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 2B 28 C5 02 40 FE A0 50 20 24 04 7C ?? ?? ?? 0? 10 00 AA A3 68 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D3 8C 04 00 C6 24 ?? ?? ?? 0? 68 00 A6 AF 01 00 02 24 DC 00 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 19 04 00 02 00 02 24 02 47 04 00 25 40 06 01 01 00 42 24 21 30 60 00 2B 18 E5 02 02 00 09 24 10 00 0A 24 20 14 02 7C 11 00 60 14 21 38 00 01 B1 00 E5 52 2B 20 84 02 28 00 4A 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 19 04 00 02 47 04 00 25 40 06 01 21 48 40 00 21 30 60 00 01 00 42 24 2B 18 E5 02 20 14 02 7C F1 FF 60 10 21 38 00 01 10 00 A9 A3 ?? ?? ?? 0? 21 10 20 01 01 00 02 24 BC 00 E0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 02 00 02 24 02 00 05 24 ?? ?? ?? 0? 14 00 07 24 21 28 40 00 04 00 64 8C 2B 30 E4 02 0B 00 C0 14 01 00 A5 24 06 00 97 50 00 00 64 8C 20 14 05 7C F7 FF 47 14 08 00 63 24 ?? ?? ?? 0? 10 00 A7 A3 2B 20 84 02 FA FF 80 50 20 14 05 7C ?? ?? ?? 0? 10 00 A2 A3 EE FF 88 24 ?? ?? ?? 0? 18 00 A8 AF 21 28 80 02 18 00 A6 27 ?? ?? ?? 0? 21 20 60 00 18 00 A4 8F 03 00 03 24 0A 00 02 24 FF FF 84 24 02 18 83 70 1A 00 62 00 F4 01 40 00 12 20 00 00 00 00 82 28 23 20 82 00 24 00 A4 AF ?? ?? ?? 0? 23 20 04 00 21 28 60 00 20 00 A3 8F 21 20 40 00 21 38 80 02 ?? ?? ?? 0? 21 30 60 00 2C 00 A3 AF 28 00 A2 AF 21 18 40 00 2C 00 A2 8F 21 20 60 00 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 53 00 41 04 ?? ?? 02 3C 24 00 A3 8F FF FF 63 24 ?? ?? ?? 0? 24 00 A3 AF 68 00 A7 8F F8 FF 02 24 07 00 E3 24 24 10 62 00 08 00 43 24 68 00 A3 AF 00 00 54 8C ?? ?? ?? 0? 04 00 57 8C 55 00 40 54 ?? ?? 02 3C CC CC 02 3C CD CC 42 34 19 00 A2 02 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 08 3C ?? ?? 08 25 34 00 A8 AF 10 28 00 00 C2 B0 05 00 FF 00 C2 32 09 00 42 24 C0 10 02 00 21 10 48 00 00 00 44 8C ?? ?? ?? 0? 04 00 45 8C 0A 00 04 24 02 28 C4 72 34 00 A8 8F 21 20 40 00 23 A8 A5 02 FF 00 B5 32 C0 A8 15 00 21 40 A8 02 00 00 06 8D 04 00 07 8D ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 20 00 A8 8F C7 FD E0 12 ?? ?? 05 3C ?? ?? ?? 0? 20 00 04 24 7C FE 40 10 20 00 A6 8F ?? ?? ?? 0? 20 00 04 24 B3 FD 40 10 20 00 04 24 ?? ?? ?? 0? 00 00 00 00 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 B0 40 00 ?? ?? ?? 0? 21 A8 60 00 7D FE A0 12 FF FF 68 26 ?? ?? ?? 0? 20 00 04 24 3A FF 60 14 24 00 A3 AF 20 00 BE 8F 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 ?? ?? ?? 0? 20 00 BE AF }
	condition:
		$1
}

rule file_74_0_0 {
	meta:
		name = "strncasecmp"
		size = 136
		refs = "0044 tolower"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 24 00 BF AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 13 00 C0 10 21 98 00 00 21 90 80 00 21 80 A0 00 ?? ?? ?? 0? 21 88 86 00 0E 00 40 10 24 00 BF 8F 0D 00 51 12 21 10 60 02 00 00 44 92 ?? ?? ?? 0? 01 00 52 26 00 00 04 92 21 98 40 00 ?? ?? ?? 0? 01 00 10 26 23 98 62 02 F3 FF 60 12 00 00 00 00 24 00 BF 8F 21 10 60 02 1C 00 B2 8F 20 00 B3 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_88_0_0 {
	meta:
		name = "scale"
		size = 404
		refs = "0030 _powers_f 0094 fpmul 0100 _npowers_f"
	strings:
		$1 = { E0 FF BD 27 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF 2F 00 80 04 21 80 80 00 6E 00 82 28 0E 00 40 10 0B 00 82 28 4E 00 40 10 0A 00 02 24 ?? ?? 02 3C ?? ?? 42 24 80 80 04 00 21 80 02 02 00 00 02 8E 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 64 00 02 24 1A 00 82 00 F4 01 40 00 ?? ?? 12 3C 0A 00 11 24 ?? ?? 52 26 10 10 00 00 1A 00 51 00 F4 01 20 02 4C 00 44 8E 12 10 00 00 09 00 42 24 80 10 02 00 21 10 52 00 ?? ?? ?? 0? 00 00 45 8C 1A 00 11 02 F4 01 20 02 21 20 40 00 10 80 00 00 80 80 10 00 21 90 12 02 ?? ?? ?? 0? 00 00 45 8E 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 23 80 04 00 20 84 10 7C 6E 00 02 2A 19 00 40 10 64 00 02 24 0B 00 02 2A 24 00 40 14 ?? ?? 02 3C 0A 00 02 24 1A 00 02 02 F4 01 40 00 ?? ?? 04 3C ?? ?? 82 24 10 80 00 00 12 18 00 00 09 00 63 24 80 18 03 00 80 80 10 00 21 80 02 02 21 18 62 00 00 00 05 8E ?? ?? ?? 0? 00 00 64 8C 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 1A 00 02 02 F4 01 40 00 ?? ?? 12 3C 0A 00 11 24 ?? ?? 52 26 ?? ?? ?? 0? 10 10 00 00 1A 00 82 00 F4 01 40 00 ?? ?? 04 3C ?? ?? 82 24 10 80 00 00 ?? ?? ?? 0? 12 18 00 00 ?? ?? 42 24 80 80 10 00 21 80 02 02 ?? ?? ?? 0? 00 00 02 8E }
	condition:
		$1
}

rule file_88_1_0 {
	meta:
		name = "_vfprintf_cdeEnopuxX"
		size = 6304
		refs = "000c _ctype 0160 fputc 046c __floatdisf 0484 fpcmp 04e8 fptoui 059c __udivdi3 05d8 __umoddi3 0a50 _npowers_f 0a7c fpmul 0b10 fpadd 0b8c fpdiv 0f08 __floatunsisf 0f18 fpsub 1188 __floatundisf 1358 frexpf"
		altNames = "_vfprintf_cdeEnopsuxX"
	strings:
		$1 = { 90 FF BD 27 68 00 BE AF 21 10 00 00 ?? ?? 1E 3C 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 6C 00 BF AF 64 00 B7 AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 21 90 80 00 21 88 A0 00 78 00 A6 AF 34 00 A2 AF 21 80 00 00 ?? ?? DE 27 00 00 24 82 68 00 80 10 10 00 A4 A3 25 00 02 24 3F 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 33 02 46 10 FF FF 91 24 2E 00 45 28 29 02 A0 10 00 00 00 00 3B 02 47 50 01 00 63 34 37 02 49 50 02 00 63 34 21 20 C2 03 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 31 02 80 10 0B 18 A6 00 21 A0 00 00 0A 00 05 24 02 20 85 72 01 00 31 26 21 A0 82 00 00 00 22 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 94 26 2E 00 04 24 2F 02 44 50 01 00 31 26 00 10 63 34 21 B8 00 00 10 00 07 24 00 80 06 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 41 00 A0 14 01 00 31 26 10 00 B3 27 01 00 06 24 04 00 E0 12 2B 10 D4 00 2B 10 E6 02 0B 30 E2 02 2B 10 D4 00 08 00 76 30 23 A0 86 02 0D 00 C0 16 0A A0 02 00 ?? ?? ?? 0? FF FF 15 24 21 28 40 02 ?? ?? ?? 0? 40 00 A6 AF 27 10 02 00 40 00 A6 8F 2B 10 02 00 21 80 02 02 FF FF 94 26 F7 FF 95 16 20 00 04 24 ?? ?? ?? 0? FF FF 15 24 21 28 40 02 ?? ?? ?? 0? 40 00 A6 AF 27 10 02 00 40 00 A6 8F 2B 10 02 00 01 00 73 26 21 80 02 02 FF FF C6 24 F6 FF D5 54 00 00 64 82 A5 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 93 16 20 00 04 24 00 00 24 82 9A FF 80 14 10 00 A4 A3 6C 00 BF 8F 21 10 00 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 ?? ?? 05 3C 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 63 34 00 07 62 30 A9 00 40 10 21 B0 60 00 00 10 65 30 06 00 04 24 10 00 62 30 72 01 40 10 0B B8 85 00 78 00 AB 8F F8 FF 02 24 07 00 64 25 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 3C 00 A3 AF ?? ?? ?? 0? 78 00 A2 AF 3C 00 A3 8F 21 A8 40 00 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 3C 00 A3 AF 04 00 41 04 3C 00 A3 8F 00 80 02 3C 26 A8 55 00 03 00 76 34 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 18 00 A0 AF A8 03 40 14 21 98 00 00 00 01 C2 32 59 01 40 10 19 00 E2 2A 13 00 E2 2E 7E 02 40 10 12 00 02 24 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 10 00 B7 A3 7E 02 40 14 10 00 A7 83 ?? ?? ?? 0? 21 20 A0 02 21 A8 40 00 ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF 93 26 03 00 C3 32 23 98 77 02 2B 18 03 00 04 00 C2 32 B1 02 40 10 23 98 63 02 02 00 C2 32 7A 04 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 C0 04 60 1A 08 00 CB 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 C2 32 28 00 A2 AF 10 00 A2 83 20 00 A7 8F 21 20 A0 02 C0 10 02 00 21 10 E2 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 20 00 A8 8F 27 10 02 00 C0 18 03 00 21 18 03 01 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A0 40 00 F5 03 E0 16 21 A8 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 2B 04 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 14 24 21 28 40 02 1A 00 54 00 F4 01 80 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 28 00 A2 8F 70 FE 40 50 00 00 24 82 6E FE 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 63 34 00 01 63 34 00 07 62 30 59 FF 40 14 21 B0 60 00 C0 00 62 30 EF 01 40 14 20 16 03 7C FF 03 40 04 78 00 A7 8F 10 00 62 30 5A 02 40 10 78 00 A9 8F 78 00 A8 8F 00 00 04 8D 04 00 08 25 78 00 A8 AF C3 17 04 00 21 98 80 00 21 B0 40 00 05 00 41 04 23 10 02 00 23 98 04 00 2B 20 13 00 03 00 63 34 23 B0 44 00 03 00 E0 16 C0 00 75 30 25 B8 76 02 01 00 F7 2E 40 00 02 24 56 03 A2 12 41 00 A2 2A FC 02 40 10 80 00 02 24 16 00 A0 16 10 00 A2 83 01 00 02 24 41 04 C0 12 10 00 A2 A3 ?? ?? 04 3C ?? ?? 84 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 08 24 21 38 40 00 04 00 85 8C 2B 30 C5 02 24 04 C0 54 10 00 A7 A3 1E 04 B6 50 00 00 85 8C 01 00 42 24 20 14 02 7C F6 FF 48 14 08 00 84 24 10 00 A2 A3 2A 20 57 00 B1 02 80 10 2A 20 E2 02 20 14 17 7C 10 00 A2 A3 05 00 80 12 00 40 64 30 03 00 64 30 2B 20 04 00 23 A0 84 02 00 40 64 30 05 00 80 10 2A 28 54 00 2A 20 F4 02 23 A0 97 02 0A A0 04 00 2A 28 54 00 23 10 82 02 0A 10 05 00 04 00 64 30 A0 02 80 10 24 00 A2 AF 02 00 62 30 4E 03 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 27 10 02 00 3C 00 A3 8F 2B 10 02 00 21 80 02 02 24 00 A7 8F 08 00 65 30 38 02 E0 14 30 00 A5 AF FF FF F7 26 03 00 02 24 ?? ?? 05 3C C0 A0 17 00 ?? ?? A5 24 80 40 17 00 41 00 A4 2A 02 B8 E2 72 20 00 63 30 40 10 16 00 21 A0 B4 00 28 00 A2 AF 20 00 A4 AF ?? ?? ?? 0? 2C 00 A3 AF 10 00 A0 16 10 00 A4 83 00 00 86 8E 04 00 87 8E 21 20 60 02 21 28 C0 02 ?? ?? ?? 0? 38 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 38 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 38 00 A8 AF 38 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 94 26 FC FF 08 25 FD FF F7 26 FD FF 02 24 4D 02 E2 12 40 00 02 24 3F 02 A2 12 20 00 A5 8F DF FF A0 14 80 00 02 24 28 02 A2 12 C0 00 02 24 DD FF A2 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 63 34 ?? ?? ?? 0? 80 00 63 34 DC FD 48 54 21 20 C2 03 04 00 63 34 01 00 84 24 FF FF 82 80 CF FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 D9 FD 44 14 21 A0 00 00 78 00 A5 8F 01 00 31 26 00 00 22 82 00 00 B4 8C 2E 00 04 24 04 00 A5 24 D4 FD 44 14 78 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 E7 02 44 10 00 40 63 34 21 20 C2 03 01 00 84 90 21 B8 00 00 04 00 84 30 CB FD 80 10 0A 00 05 24 02 20 E5 72 01 00 31 26 21 B8 82 00 00 00 22 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF F7 26 ?? ?? ?? 0? 10 00 07 24 78 00 A2 8F 00 00 55 8C 04 00 42 24 ?? ?? ?? 0? 78 00 A2 AF 3E 00 40 10 0A 00 62 2A FF 00 E3 32 6E 00 62 2C 41 03 40 14 0B 00 62 2C EB 51 02 3C 1F 85 42 34 19 00 62 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 06 3C ?? ?? C6 24 3C 00 A3 AF 40 00 A6 AF 10 48 00 00 42 39 09 00 FF 00 E2 30 12 00 42 24 80 10 02 00 21 10 46 00 00 00 44 8C ?? ?? ?? 0? 38 00 A7 AF 38 00 A7 8F 64 00 04 24 3C 00 A3 8F 02 28 E4 70 CC CC 08 3C CD CC 08 35 21 20 40 00 40 00 A6 8F 38 00 A8 AF 23 38 65 00 FF 00 E7 30 19 00 E8 00 10 58 00 00 C0 38 62 7D 09 00 42 24 80 10 02 00 21 10 46 00 ?? ?? ?? 0? 00 00 45 8C 3C 00 A3 8F 38 00 A8 8F 21 20 40 00 0A 00 02 24 19 00 68 00 40 00 A6 8F 10 48 00 00 C2 28 09 00 02 38 A2 70 23 10 67 00 FF 00 42 30 80 10 02 00 21 30 46 00 ?? ?? ?? 0? 00 00 C5 8C 21 20 A0 02 ?? ?? ?? 0? 21 28 40 00 21 A8 40 00 0A 00 62 2A 0D 00 40 10 ?? ?? 07 3C 21 20 A0 02 ?? ?? ?? 0? 21 28 00 00 90 01 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 A0 02 8F 01 40 54 21 20 40 00 02 00 63 2A 8B 01 60 14 ?? ?? 07 3C ?? ?? E7 24 34 00 A4 8F ?? ?? ?? 0? 00 00 E5 8C 43 01 41 04 EE FF 66 26 ED FF 66 26 18 00 A6 AF 20 24 06 7C ?? ?? ?? 0? 40 00 A6 AF 21 28 40 00 21 20 A0 02 ?? ?? ?? 0? 34 00 A2 AF ?? ?? ?? 0? 21 20 40 00 40 00 A6 8F 21 40 00 00 21 18 40 00 21 98 40 00 20 00 A8 AF 01 00 04 24 0A 00 62 2C 28 03 40 14 10 00 A4 A3 ?? ?? 04 3C ?? ?? 84 24 21 10 00 00 02 00 05 24 02 00 08 24 ?? ?? ?? 0? 12 00 09 24 21 40 A0 00 04 00 87 8C 6B 02 E0 14 02 00 4A 24 00 00 87 8C 2B 38 67 00 67 02 E0 14 01 00 42 24 01 00 05 25 20 2C 05 7C F5 FF 49 14 08 00 84 24 10 00 A5 A3 14 00 0A 24 23 A0 86 02 23 A0 97 02 2B 10 17 00 23 A0 8A 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 E4 01 40 10 23 A0 83 02 02 00 C2 32 BA 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 D6 32 24 00 B6 AF ?? ?? 0A 3C ?? ?? ?? 0? ?? ?? 55 25 C0 18 03 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 21 20 60 02 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 E2 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 E2 2A FA 01 40 14 20 14 17 7C 12 00 02 24 10 00 A2 A3 EE FF F7 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 20 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 B0 00 00 ?? ?? ?? 0? 21 20 40 00 21 A8 40 00 FF FF 62 26 20 14 02 7C 26 00 60 12 10 00 A2 A3 ?? ?? 0B 3C ?? ?? 6B 25 20 00 AB AF 20 00 A3 8F C0 10 02 00 21 20 A0 02 21 10 62 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B3 83 20 00 A4 8F 27 10 02 00 C0 18 13 00 21 18 83 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 C0 02 21 20 A0 02 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 FF FF 62 26 20 14 02 7C 21 B0 60 00 DF FF 60 16 10 00 A2 A3 0A 00 E0 12 24 00 A5 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF F7 26 F9 FF E0 16 21 80 02 02 24 00 A5 8F 7A FC A0 50 00 00 24 82 78 FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 00 02 40 04 10 00 62 30 68 00 40 10 78 00 A4 8F 78 00 A2 8F 21 B0 00 00 00 00 53 8C 04 00 42 24 ?? ?? ?? 0? 78 00 A2 AF 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 10 00 A2 A3 84 FD 40 10 10 00 A7 83 23 20 67 02 20 24 04 7C ?? ?? ?? 0? 38 00 A7 AF 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 ?? ?? ?? 0? 3C 00 A2 AF 21 20 40 00 ?? ?? ?? 0? 40 00 A2 AF 3C 00 A3 8F 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? 05 3C ?? ?? A4 8C ?? ?? ?? 0? 21 28 40 00 3C 00 A3 8F 40 00 A6 8F 0B 00 40 1C 38 00 A7 8F ?? ?? 08 3C ?? ?? 05 8D ?? ?? ?? 0? 21 20 60 00 21 20 40 00 ?? ?? ?? 0? 3C 00 A2 AF 38 00 A7 8F 3C 00 A3 8F 21 30 40 00 01 00 E2 24 ?? ?? 09 3C ?? ?? 29 25 C0 10 02 00 21 10 22 01 04 00 44 8C 20 00 A9 AF 5F 01 80 14 21 A8 C0 00 00 00 42 8C 2B 10 C2 00 5C 01 40 14 20 00 AA 8F ?? ?? 02 3C ?? ?? 45 8C 01 00 73 26 21 20 60 00 ?? ?? ?? 0? 18 00 B3 AF ?? ?? ?? 0? 21 20 40 00 FB FF 93 26 03 00 C3 32 21 A8 40 00 23 98 77 02 2B 18 03 00 04 00 C2 32 51 FD 40 14 23 98 63 02 08 00 C3 32 0B 00 60 14 28 00 A3 AF 0A 00 60 1A 02 00 C2 32 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 }
	condition:
		$1
}

rule file_95_0_0 {
	meta:
		name = "strcat"
		size = 56
	strings:
		$1 = { 00 00 83 80 05 00 60 10 21 10 80 00 01 00 84 24 00 00 83 80 FE FF 60 54 01 00 84 24 00 00 A3 80 01 00 A5 24 00 00 83 A0 FC FF 60 14 01 00 84 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_106_1_0 {
	meta:
		name = "_dvfprintf_eE"
		size = 5788
		refs = "009c _ctype 01a8 fputc 03d0 dpcmp 0450 dptoul 0510 __udivdi3 0548 __umoddi3 086c _npowers_ 0894 dpmul 08dc dpadd 0960 dpdiv 096c __fixunsdfdi 0de8 __floatunsidf 0e04 dpsub 1120 frexp 12a0 __floatundidf"
		altNames = "_dvfprintf_eEs"
	strings:
		$1 = { 98 FF BD 27 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 28 00 A0 AF 2C 00 A0 AF 21 80 00 00 00 00 24 82 40 00 80 10 10 00 A4 A3 25 00 02 24 54 00 82 14 01 00 33 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 A8 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 48 00 45 10 FF FF 71 24 2E 00 44 28 3E 00 80 10 00 00 00 00 50 00 46 50 01 00 B5 36 4C 00 48 50 02 00 B5 36 ?? ?? 04 3C ?? ?? 83 24 21 20 62 00 01 00 84 90 02 00 A6 32 FE FF A5 32 0B A8 A6 00 08 00 A6 32 FB FF A5 32 04 00 84 30 44 00 80 10 0B A8 A6 00 21 F0 00 00 0A 00 05 24 02 20 C5 73 01 00 31 26 21 F0 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF DE 27 2E 00 04 24 42 00 44 50 01 00 31 26 00 10 B5 36 21 98 00 00 6C 00 03 24 10 00 05 24 00 80 04 24 10 00 A2 A3 D7 02 43 10 01 00 31 26 6D 00 43 28 4C 00 60 10 75 00 03 24 63 00 03 24 D8 02 43 10 64 00 43 28 8C 00 60 50 65 00 03 24 EF 02 40 14 45 00 03 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C7 FF 47 14 ?? ?? 04 3C 04 00 B5 36 01 00 63 24 FF FF 62 80 BA FF 45 14 FF FF 71 24 08 00 B5 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 C6 FF 44 14 21 F0 00 00 70 00 A5 8F 01 00 31 26 00 00 22 82 00 00 BE 8C 2E 00 04 24 04 00 A5 24 C1 FF 44 14 70 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 BA 03 44 10 00 40 B5 36 21 20 62 00 01 00 84 90 21 98 00 00 04 00 84 30 B8 FF 80 10 0A 00 05 24 02 20 65 72 01 00 31 26 21 98 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 73 26 ?? ?? ?? 0? 6C 00 03 24 A2 02 43 10 78 00 03 24 9E 02 43 10 73 00 03 24 32 00 43 10 70 00 A7 8F 10 00 B4 27 01 00 17 24 04 00 60 52 2B 98 FE 02 2B 10 77 02 0B B8 62 02 2B 98 FE 02 23 F0 D7 03 0A F0 13 00 08 00 B6 32 0C 00 C0 16 21 98 C0 03 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 20 00 04 24 F8 FF 75 16 21 28 40 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 40 02 52 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 20 00 04 24 F8 FF 74 16 21 28 40 02 ?? ?? ?? 0? 00 00 24 82 00 00 E3 8C 04 00 E4 24 2D 04 60 10 21 A0 60 00 00 00 62 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 77 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A4 AF C1 FF 43 14 10 00 B4 27 00 01 B5 36 00 07 A2 32 AE 00 40 10 21 B0 A0 02 00 10 A4 32 06 00 03 24 10 00 A2 32 1C 01 40 10 0B 98 64 00 70 00 A4 8F F8 FF 02 24 07 00 83 24 24 10 62 00 00 00 46 8C 04 00 54 8C 08 00 45 24 70 00 A5 AF 20 00 A6 AF 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 00 41 04 20 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 B6 36 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF 44 03 40 14 20 00 A3 8F 24 00 A0 AF 00 01 C2 32 06 01 40 10 19 00 62 2A 13 00 62 2E 55 02 40 10 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 10 00 B3 A3 57 02 40 14 10 00 AA 83 20 00 A2 8F 21 28 80 02 ?? ?? ?? 0? 21 20 40 00 18 00 B4 8F ?? ?? 04 3C 21 B8 40 00 ?? ?? 95 24 63 00 83 26 FB FF DE 27 03 00 C2 32 2B 10 02 00 23 A0 D3 03 C7 00 63 2C 23 A0 82 02 01 00 63 2C 04 00 C2 32 9E 02 40 10 23 A0 83 02 02 00 C2 32 77 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 63 04 80 1A 08 00 C3 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 C4 32 20 00 A4 AF 10 00 A2 83 21 20 E0 02 21 28 00 00 C0 10 02 00 21 10 A2 02 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 21 20 E0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 E7 03 60 16 21 F0 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 13 04 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 64 00 43 28 C3 03 60 10 64 00 13 24 0A 00 13 24 1A 00 53 00 F4 01 60 02 21 28 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 73 00 F4 01 60 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A2 8F 90 FE 40 50 00 00 24 82 8E FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 15 7C E8 02 40 04 10 00 A2 32 A9 01 40 10 70 00 A5 8F 70 00 A4 8F 21 B8 00 00 00 00 94 8C 04 00 84 24 70 00 A4 AF 03 00 60 16 C0 00 B6 32 25 98 97 02 01 00 73 2E 80 00 02 24 85 02 C2 12 C0 00 02 24 6E 02 C2 12 10 00 A2 83 2A 18 53 00 69 02 60 10 2A 18 62 02 20 14 13 7C 10 00 A2 A3 05 00 C0 13 00 40 A3 32 03 00 A3 32 2B 18 03 00 23 F0 C3 03 00 40 A3 32 05 00 60 10 2A 20 5E 00 2A 18 7E 02 23 F0 D3 03 0A F0 03 00 2A 20 5E 00 23 10 C2 03 0A 10 04 00 04 00 A3 32 43 02 60 10 20 00 A2 AF 02 00 A2 32 C8 02 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A6 8F 0C 00 C0 50 08 00 B5 32 20 00 BE 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 20 00 BE AF 08 00 B5 32 24 00 B5 AF FF FF 68 26 C0 10 08 00 ?? ?? 04 3C 80 40 08 00 13 00 00 01 ?? ?? 95 24 40 18 17 00 21 40 60 02 30 00 B1 AF 21 A8 A2 02 80 00 1E 24 21 88 60 00 11 00 00 11 12 98 00 00 09 02 DE 12 FF FF 08 25 C0 00 05 24 F7 01 C5 52 00 00 A6 8E 10 00 A4 83 21 28 40 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F1 FF 00 15 FC FF 73 26 24 00 A7 8F 1D FE E0 10 30 00 B1 8F 20 00 A2 8F 1A FE 40 18 21 98 40 00 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A7 8F F8 FF 02 24 07 00 E3 24 24 10 62 00 00 00 43 8C 04 00 54 8C 08 00 42 24 20 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 2F 00 40 10 24 00 A3 8F FF 00 75 32 6E 00 A2 2E BA 02 40 10 EB 51 02 3C 0B 00 A2 2E 76 03 40 14 ?? ?? 02 3C CC CC 02 3C CD CC 42 34 19 00 A2 02 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 08 3C ?? ?? 08 25 3C 00 A8 AF 10 28 00 00 C2 B8 05 00 FF 00 E2 32 09 00 42 24 C0 10 02 00 21 10 48 00 00 00 44 8C ?? ?? ?? 0? 04 00 45 8C 0A 00 04 24 02 28 E4 72 3C 00 A8 8F 21 20 40 00 23 A8 A5 02 FF 00 B5 32 C0 A8 15 00 21 40 A8 02 00 00 06 8D 04 00 07 8D ?? ?? ?? 0? 21 28 60 00 20 00 A8 8F 21 28 80 02 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 20 00 A2 AF 21 A0 60 00 24 00 A3 8F 0A 00 62 28 0C 01 40 14 20 00 A3 8F 2C 00 A2 8F 28 00 A3 8F 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 20 60 00 4E 02 40 04 24 00 A3 8F 24 00 A4 8F EE FF 88 24 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 3C 00 A8 AF 2C 00 A3 AF 20 00 A6 8F 21 18 40 00 28 00 A2 AF 2C 00 A2 8F 21 20 C0 00 21 28 80 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 A8 8F 21 B8 40 00 21 A8 60 00 20 00 A0 AF 24 00 A0 AF 01 00 02 24 34 03 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 02 00 47 24 01 00 84 24 2B 30 A5 02 B4 02 C0 14 01 00 42 24 AF 02 B5 50 00 00 65 8C 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 A0 C8 03 23 A0 93 02 2B 10 13 00 23 A0 87 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 7F 02 40 10 23 A0 83 02 02 00 C2 32 FC 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 1A 08 00 DE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 DE 32 ?? ?? 05 3C ?? ?? ?? 0? ?? ?? B6 24 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 E0 02 21 28 A0 02 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 C6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 62 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 62 2A 58 02 40 14 20 14 13 7C 12 00 02 24 10 00 A2 A3 EE FF 73 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 21 28 60 00 24 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 27 00 A0 12 10 00 A2 A3 ?? ?? 06 3C ?? ?? D5 24 21 40 60 00 21 B8 C0 02 C0 10 02 00 21 10 A2 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B6 83 3C 00 A8 8F 27 10 02 00 C0 18 16 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF C2 26 20 14 02 7C 21 40 60 00 DF FF C0 16 10 00 A2 A3 09 00 60 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 00 FD C0 53 00 00 24 82 FE FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 10 00 A2 32 21 30 80 00 0A 30 A2 00 25 A8 D5 00 FF FF B5 32 ?? ?? ?? 0? 00 00 22 82 70 00 A3 8F 10 00 A5 32 01 00 62 80 00 00 64 8C 04 00 63 24 19 00 A0 10 10 00 A2 A3 18 00 40 50 14 00 A4 A3 FF FF 05 24 15 00 45 50 14 00 A4 A3 14 00 A2 A3 15 00 A4 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF ?? ?? ?? 0? 80 00 B5 36 ?? ?? ?? 0? C0 00 B5 36 21 B8 00 00 00 00 B4 8C 04 00 A5 24 ?? ?? ?? 0? 70 00 A5 AF 5C FD 43 14 10 00 B4 27 ?? ?? ?? 0? 20 00 B5 36 14 00 A4 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 52 01 40 10 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 B8 40 00 25 10 43 00 50 01 40 14 21 A8 60 00 24 00 A4 8F 02 00 82 28 E5 FE 40 10 2C 00 A2 8F ?? ?? ?? 0? 21 20 E0 02 12 00 02 24 21 28 80 02 21 20 60 00 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 10 00 A2 A3 AD FD 40 10 20 00 A2 8F 10 00 AA 83 24 00 A5 8F 38 00 AA AF ?? ?? ?? 0? 23 20 AA 00 20 00 A6 8F 21 38 60 00 21 28 80 02 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 48 60 00 21 40 40 00 21 28 20 01 21 20 40 00 3C 00 A8 AF ?? ?? ?? 0? 34 00 A9 AF 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 3C 00 A8 8F 34 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 3C ?? ?? C4 8C ?? ?? C5 8C 21 38 60 00 ?? ?? ?? 0? 21 30 40 00 3C 00 A8 8F 34 00 A9 8F 12 00 40 1C 38 00 AA 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 01 ?? ?? ?? 0? 21 28 20 01 21 48 60 00 21 40 40 00 21 28 20 01 21 20 40 00 3C 00 A8 AF ?? ?? ?? 0? 34 00 A9 AF 38 00 AA 8F 34 00 A9 8F 3C 00 A8 8F 21 A0 40 00 ?? ?? 03 3C 01 00 42 25 ?? ?? 75 24 C0 10 02 00 21 10 A2 02 04 00 43 8C 14 01 60 14 21 B8 80 02 00 00 42 8C 2B 10 82 02 11 01 40 14 C0 50 0A 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 24 00 A2 8F 21 20 00 01 21 28 20 01 01 00 54 24 ?? ?? ?? 0? 18 00 B4 AF 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 B8 40 00 63 00 83 26 FB FF DE 27 03 00 C2 32 2B 10 02 00 23 A0 D3 03 C7 00 63 2C 23 A0 82 02 01 00 63 2C 04 00 C2 32 64 FD 40 14 23 A0 83 02 08 00 C5 32 0B 00 A0 14 20 00 A5 AF 0A 00 80 1A 02 00 C2 32 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 C2 32 E4 00 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 3C 00 A8 8F 27 18 13 00 04 18 71 00 06 10 74 02 20 00 64 32 25 10 62 00 06 18 77 02 0B 10 64 00 ?? ?? 06 3C 0F 00 42 30 ?? ?? C6 24 21 10 C2 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 20 00 A7 8F 8E 00 E0 14 08 00 A3 32 08 00 A2 32 24 00 A2 AF 02 00 A2 32 }
	condition:
		$1
}

rule file_117_0_0 {
	meta:
		name = "strstr"
		size = 156
		refs = "0030 strchr 004c strlen 005c strncmp"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 14 00 B0 AF 1C 00 BF AF 21 88 80 00 15 00 80 10 21 80 A0 00 00 00 82 80 0A 00 40 14 1C 00 BF 8F ?? ?? ?? 0? 21 88 00 00 ?? ?? ?? 0? 00 00 05 82 0C 00 40 10 21 88 40 00 00 00 42 80 0F 00 40 10 1C 00 BF 8F ?? ?? ?? 0? 21 20 00 02 21 30 40 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 F2 FF 40 14 01 00 24 26 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 21 88 00 00 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_129_0_0 {
	meta:
		name = "fround"
		size = 380
		refs = "002c _npowers_f 0044 fpmul"
	strings:
		$1 = { D8 FF BD 27 6E 00 82 2C 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 31 00 40 10 21 80 80 00 0B 00 82 2C 0F 00 40 10 ?? ?? 02 3C 80 80 04 00 ?? ?? 42 24 21 80 02 02 ?? ?? 02 3C 00 00 04 8E ?? ?? ?? 0? ?? ?? 45 8C 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 CC CC 02 3C CD CC 42 34 19 00 82 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 11 3C ?? ?? 31 26 10 38 00 00 C2 90 07 00 FF 00 42 32 09 00 42 24 80 10 02 00 21 10 51 00 ?? ?? ?? 0? 00 00 44 8C 0A 00 03 24 02 20 43 72 23 80 04 02 21 20 40 00 FF 00 10 32 80 80 10 00 21 88 11 02 ?? ?? ?? 0? 00 00 25 8E 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 EB 51 02 3C 1F 85 42 34 19 00 82 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 11 3C ?? ?? 31 26 10 18 00 00 42 91 03 00 FF 00 42 32 12 00 42 24 80 10 02 00 21 10 51 00 ?? ?? ?? 0? 00 00 44 8C 64 00 03 24 02 20 43 72 CC CC 12 3C CD CC 52 36 23 18 04 02 FF 00 63 30 19 00 72 00 21 20 40 00 10 38 00 00 C0 38 E2 7C 09 00 42 24 80 10 02 00 21 10 51 00 ?? ?? ?? 0? 00 00 45 8C 19 00 12 02 21 20 40 00 0A 00 02 24 10 98 00 00 C2 18 13 00 02 28 62 70 ?? ?? ?? 0? 23 80 05 02 }
	condition:
		$1
}

rule file_129_2_0 {
	meta:
		name = "_vfprintf_gG"
		size = 5592
		refs = "000c _ctype 01a8 fputc 03bc __floatdisf 03d4 fpcmp 0434 fpadd 0488 fpdiv 0490 fptoui 063c fpmul 0680 __udivdi3 0694 __umoddi3 0bb4 __floatundisf 0bc0 fpsub 0f00 frexpf 1214 __floatunsisf"
		altNames = "_vfprintf_gGs"
	strings:
		$1 = { 98 FF BD 27 60 00 BE AF 21 10 00 00 ?? ?? 1E 3C 4C 00 B3 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 21 98 80 00 21 88 A0 00 70 00 A6 AF 2C 00 A2 AF 21 80 00 00 ?? ?? DE 27 00 00 24 82 3E 00 80 10 10 00 A4 A3 25 00 02 24 52 00 82 14 01 00 32 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 46 00 46 10 FF FF 91 24 2E 00 45 28 3C 00 A0 10 00 00 00 00 4E 00 47 50 01 00 63 34 4A 00 49 50 02 00 63 34 21 20 C2 03 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 44 00 80 10 0B 18 A6 00 21 A8 00 00 0A 00 05 24 02 20 A5 72 01 00 31 26 21 A8 82 00 00 00 22 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF B5 26 2E 00 04 24 42 00 44 50 01 00 31 26 00 10 63 34 21 90 00 00 6C 00 04 24 10 00 06 24 00 80 05 24 10 00 A2 A3 33 02 44 10 01 00 31 26 6D 00 44 28 4C 00 80 10 75 00 04 24 63 00 04 24 34 02 44 10 64 00 44 28 8C 00 80 50 67 00 04 24 72 02 40 14 47 00 04 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C9 FF 48 54 21 20 C2 03 04 00 63 34 01 00 84 24 FF FF 82 80 BC FF 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 C6 FF 44 14 21 A8 00 00 70 00 A5 8F 01 00 31 26 00 00 22 82 00 00 B5 8C 2E 00 04 24 04 00 A5 24 C1 FF 44 14 70 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 00 03 44 10 00 40 63 34 21 20 C2 03 01 00 84 90 21 90 00 00 04 00 84 30 B8 FF 80 10 0A 00 05 24 02 20 45 72 01 00 31 26 21 90 82 00 00 00 22 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 52 26 ?? ?? ?? 0? 6C 00 04 24 FE 01 44 10 78 00 04 24 FA 01 44 10 73 00 04 24 32 00 44 10 70 00 A2 8F 10 00 B4 27 01 00 17 24 04 00 40 52 2B 90 F5 02 2B 10 57 02 0B B8 42 02 2B 90 F5 02 23 A8 B7 02 0A A8 12 00 08 00 76 30 0C 00 C0 16 21 90 A0 02 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 55 16 21 28 60 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 60 02 54 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 00 00 44 8C 04 00 45 24 2C 04 80 10 21 A0 80 00 00 00 82 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 97 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A5 AF C1 FF 44 14 10 00 B4 27 00 02 63 34 00 07 62 30 F5 00 40 10 20 00 A3 AF 00 10 65 30 06 00 04 24 10 00 62 30 90 01 40 10 0B 90 85 00 70 00 A5 8F F8 FF 02 24 07 00 A4 24 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 38 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 38 00 A3 8F 21 A0 40 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 05 00 41 04 38 00 A3 8F 00 80 02 3C 03 00 63 34 26 A0 54 00 20 00 A3 AF 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 18 00 A0 AF BD 02 40 14 21 B8 00 00 20 00 A3 8F 00 02 62 30 38 01 40 14 FC FF E2 2A 19 00 42 2A 08 00 40 10 18 00 B6 8F ?? ?? ?? 0? FF 00 44 32 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 A0 40 00 18 00 B6 8F 0A 00 C2 2A A4 01 40 14 21 20 80 02 ?? ?? 03 3C ?? ?? 63 24 2C 00 A4 8F ?? ?? ?? 0? 00 00 65 8C 98 03 41 04 EE FF C3 26 ED FF C3 26 18 00 A3 AF 20 24 03 7C ?? ?? ?? 0? 38 00 A3 AF 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 2C 00 A2 AF ?? ?? ?? 0? 21 20 40 00 38 00 A3 8F 21 B8 40 00 21 A0 40 00 21 B0 00 00 01 00 04 24 0A 00 E2 2E 3A 04 40 14 10 00 A4 A3 ?? ?? 04 3C ?? ?? 86 24 21 10 00 00 02 00 09 24 02 00 04 24 12 00 08 24 04 00 C5 8C 02 00 47 24 01 00 84 24 AA 02 A0 14 01 00 42 24 00 00 C5 8C 20 24 04 7C 2B 28 E5 02 A5 02 A0 14 08 00 C6 24 F5 FF 48 54 21 48 80 00 10 00 A4 A3 14 00 07 24 20 00 A4 8F 23 A8 A3 02 23 A8 B2 02 2B 10 12 00 23 A8 A7 02 03 00 83 30 23 A8 A2 02 2B 18 03 00 04 00 82 30 40 02 40 10 23 A8 A3 02 02 00 82 30 76 03 40 10 20 00 A5 8F 01 00 84 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 09 04 A0 1A 20 00 A7 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 20 00 A2 8F ?? ?? 07 3C ?? ?? E7 24 08 00 42 30 24 00 A2 AF 10 00 A2 83 21 20 80 02 21 28 00 00 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 E6 00 33 02 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A 80 03 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 C0 02 ?? ?? ?? 0? 21 20 40 00 21 B8 40 00 FF FF 82 26 20 14 02 7C 21 B0 00 00 25 00 80 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 C0 10 02 00 21 10 62 00 00 00 46 8C 04 00 47 8C 21 20 E0 02 ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B4 83 ?? ?? 04 3C ?? ?? 84 24 C0 18 14 00 21 18 83 00 00 00 66 8C 04 00 67 8C 27 10 02 00 2B 10 02 00 21 28 C0 02 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF 82 26 20 14 02 7C 21 B0 60 00 DD FF 80 16 10 00 A2 A3 0A 00 40 12 24 00 A5 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 24 00 A5 8F 4B FE A0 50 00 00 24 82 49 FE A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 03 7C 0C 02 40 04 10 00 62 30 BE 00 40 10 70 00 A7 8F 70 00 A5 8F 21 B8 00 00 00 00 B4 8C 04 00 A5 24 70 00 A5 AF 03 00 40 16 C0 00 76 30 25 90 97 02 01 00 52 2E 80 00 02 24 7A 01 C2 12 C0 00 02 24 63 01 C2 12 10 00 A2 83 2A 20 52 00 5E 01 80 10 2A 20 42 02 20 14 12 7C 10 00 A2 A3 05 00 A0 12 00 40 64 30 03 00 64 30 2B 20 04 00 23 A8 A4 02 00 40 64 30 05 00 80 10 2A 28 55 00 2A 20 55 02 23 A8 B2 02 0A A8 04 00 2A 28 55 00 23 10 A2 02 0A 10 05 00 04 00 64 30 3A 01 80 10 20 00 A2 AF 02 00 62 30 EC 01 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 60 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 20 00 A2 8F 8F 00 40 14 30 00 04 24 08 00 63 30 28 00 A3 AF FF FF 48 26 ?? ?? 05 3C C0 A8 08 00 ?? ?? A5 24 40 38 17 00 21 A8 B5 00 80 40 08 00 12 00 40 12 24 00 A7 AF 80 00 02 24 0C 01 C2 12 FF FF 52 26 C0 00 03 24 FA 00 C3 52 00 00 A6 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 34 00 A8 AF 34 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F0 FF 40 16 FC FF 08 25 28 00 A7 8F E6 FD E0 50 00 00 24 82 20 00 A2 8F E3 FD 40 58 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 20 00 A3 AF F7 FF 60 14 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 8E 00 40 10 2A 10 F2 02 6F 02 40 12 21 10 00 00 FF FF 52 26 13 00 42 2E 6A 02 40 14 12 00 02 24 10 00 A2 A3 21 20 80 02 ?? ?? ?? 0? 21 28 00 00 2E 02 40 14 10 00 A6 83 ?? ?? ?? 0? 21 20 80 02 ?? ?? 04 3C ?? ?? 84 24 21 B0 40 00 24 00 A4 AF 20 00 A2 8F FB FF B4 26 23 A0 92 02 03 00 43 30 2B 18 03 00 04 00 42 30 B8 01 40 10 23 A0 83 02 20 00 A3 8F 02 00 62 30 9B 02 40 10 20 00 A4 8F 01 00 64 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 00 03 80 1A 20 00 A5 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A7 8F 08 00 E7 30 ?? ?? ?? 0? 28 00 A7 AF 70 00 A7 8F 00 00 F4 8C 04 00 E7 24 ?? ?? ?? 0? 70 00 A7 AF 10 00 62 30 21 38 A0 00 0A 38 C2 00 25 18 E3 00 FF FF 63 30 ?? ?? ?? 0? 00 00 22 82 70 00 A4 8F 10 00 66 30 01 00 82 80 00 00 85 8C 04 00 84 24 40 00 C0 10 10 00 A2 A3 3F 00 40 50 14 00 A5 A3 FF FF 06 24 3C 00 46 50 14 00 A5 A3 14 00 A2 A3 15 00 A5 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF ?? ?? ?? 0? 80 00 63 34 ?? ?? ?? 0? C0 00 63 34 21 B8 00 00 00 00 F4 8C 04 00 E7 24 ?? ?? ?? 0? 70 00 A7 AF 30 00 04 24 21 28 60 02 ?? ?? ?? 0? 38 00 A3 AF 20 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 20 00 A4 AF 21 80 02 02 68 FF 80 10 38 00 A3 8F 30 00 04 24 21 28 60 02 ?? ?? ?? 0? 38 00 A3 AF 20 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 20 00 A4 AF 21 80 02 02 E9 FF 80 14 38 00 A3 8F ?? ?? ?? 0? 08 00 63 30 ?? ?? ?? 0? 21 28 00 00 10 02 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 80 02 0F 02 40 54 21 20 40 00 02 00 C3 2A 54 FE 60 50 ?? ?? 03 3C ?? ?? ?? 0? 21 20 40 00 D9 FD 44 14 10 00 B4 27 ?? ?? ?? 0? 20 00 63 34 14 00 A5 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF 72 FF 40 10 00 00 00 00 8C 02 E2 06 21 20 80 02 ?? ?? ?? 0? 21 20 80 02 21 B0 40 00 10 00 C0 12 21 20 00 00 ?? ?? 05 3C ?? ?? A5 24 21 10 00 00 13 00 06 24 04 00 A3 8C 01 00 42 24 08 00 60 14 21 20 40 00 00 00 A3 8C 2B 18 C3 02 04 00 60 14 08 00 A5 24 F8 FF 46 54 04 00 A3 8C 14 00 04 24 23 90 44 02 19 00 42 2A D1 01 40 14 00 00 00 00 ?? ?? ?? 0? 20 24 12 7C 21 B8 40 00 21 20 C0 02 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 E0 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 00 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 B0 40 00 25 10 43 00 0F 00 40 10 21 B8 00 00 ?? ?? ?? 0? 18 00 B6 8F ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 25 10 43 00 04 FE 40 54 18 00 B6 8F FF FF 52 26 21 28 E0 02 21 20 C0 02 0A 00 06 24 EF FF 40 16 21 38 00 00 18 00 B6 8F 0A 00 C2 2A FE FD 40 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 80 02 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 34 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 34 00 A8 8F 24 00 A4 8F 27 18 08 00 06 10 14 01 04 18 64 00 25 10 62 00 20 00 04 31 06 18 17 01 0B 10 64 00 ?? ?? 05 3C 0F 00 42 30 ?? ?? A5 24 21 10 A2 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 20 00 A5 8F BB 00 A0 14 08 00 62 30 08 00 67 30 28 00 A7 AF 02 00 62 30 B2 00 40 10 01 00 63 30 2D 00 02 24 2B 00 04 24 0B 20 43 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 ?? ?? ?? 0? 0B 90 44 00 01 00 02 24 24 02 E0 12 10 00 A2 A3 ?? ?? 05 3C ?? ?? A4 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 08 24 21 38 40 00 04 00 85 8C 01 00 42 24 2B 30 E5 02 B1 01 C0 14 20 14 02 7C AC 01 B7 50 00 00 85 8C F7 FF 48 14 08 00 84 24 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 0A 02 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 41 04 00 02 00 02 24 02 4F 04 00 25 48 26 01 01 00 42 24 21 30 00 01 2B 40 E5 02 02 00 0A 24 10 00 0B 24 20 14 02 7C 11 00 00 15 21 38 20 01 67 01 E5 12 2B 20 84 02 E9 FF 4B 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 41 04 00 02 4F 04 00 25 48 26 01 21 50 40 00 21 30 00 01 01 00 42 24 2B 40 E5 02 20 14 02 7C F1 FF 00 11 21 38 20 01 10 00 AA A3 ?? ?? ?? 0? 21 10 40 01 70 00 A7 8F 01 00 31 26 00 00 22 82 00 00 F2 8C 04 00 E7 24 ?? ?? ?? 0? 70 00 A7 AF 20 00 A3 8F 08 00 63 30 0B 00 60 14 24 00 A3 AF 0A 00 A0 1A 20 00 A4 8F 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 20 00 A4 8F 02 00 82 30 17 01 40 14 01 00 84 30 20 00 A5 8F 01 00 A2 30 11 00 40 10 20 00 04 24 ?? ?? ?? 0? 00 00 00 00 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 ?? ?? 07 3C ?? ?? E7 24 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 20 80 02 21 28 00 00 21 30 E6 00 E8 FF 40 14 10 00 A3 A3 ?? ?? ?? 0? 18 00 A2 8F 21 20 80 02 ?? ?? ?? 0? 18 00 A5 27 18 00 B7 8F 03 00 03 24 0A 00 02 24 FF FF F7 26 02 B8 E3 72 1A 00 E2 02 F4 01 40 00 12 B8 00 00 96 01 E0 06 18 00 B7 AF 23 20 17 00 ?? ?? ?? 0? 20 24 04 7C 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 2C 00 A2 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 2C 00 A4 8F 00 01 42 04 FF FF F7 26 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 2C 00 A5 8F 26 FD 40 1C 20 00 A3 8F 01 00 F7 26 ?? ?? ?? 0? 18 00 B7 AF ?? ?? ?? 0? 10 00 A9 A3 70 00 A7 8F F8 FF 02 24 07 00 E4 24 24 10 82 00 08 00 44 24 70 00 A4 AF 00 00 54 8C ?? ?? ?? 0? 04 00 57 8C 20 FE 40 10 20 00 A2 8F ?? ?? ?? 0? 20 00 04 24 21 FE 60 10 FF FF 48 26 ?? ?? ?? 0? 20 00 04 24 47 FF 40 14 28 00 A2 AF 20 00 04 24 21 28 60 02 ?? ?? ?? 0? 38 00 A3 AF 20 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 20 00 A4 AF }
	condition:
		$1
}

rule file_147_0_0 {
	meta:
		name = "fputc"
		size = 320
		refs = "006c _outdone 00d4 fputc 00f8 write 0130 _flsbuf"
	strings:
		$1 = { 0C 00 A2 94 E0 FF BD 27 18 00 B1 AF 02 00 43 30 14 00 B0 AF 1C 00 BF AF 21 80 A0 00 19 00 60 10 FF FF 11 24 00 02 43 30 1C 00 60 10 04 00 A3 8C 00 02 42 34 0C 00 A2 A4 1D 00 60 10 FF 00 91 30 0A 00 04 24 20 00 24 12 80 00 42 30 10 00 02 8E 36 00 62 10 01 00 63 24 00 00 02 8E 04 00 03 AE 01 00 44 24 00 00 51 A0 01 00 03 24 ?? ?? 02 3C 00 00 04 AE ?? ?? 43 A0 0A 00 02 24 19 00 22 52 0C 00 02 96 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 F9 FF 60 14 00 02 42 34 0C 00 A2 A4 FF 00 91 30 21 18 00 00 08 00 04 8E 00 00 04 AE 0A 00 04 24 E4 FF 24 56 10 00 02 8E 80 00 42 30 E1 FF 40 54 10 00 02 8E 0D 00 04 24 ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 04 00 03 8E 00 01 42 30 E7 FF 40 10 1C 00 BF 8F 0E 00 04 96 08 00 05 8E ?? ?? ?? 0? 04 00 06 8E 04 00 03 8E 06 00 43 50 08 00 02 8E 0C 00 02 96 FF FF 11 24 30 00 42 34 0C 00 02 A6 08 00 02 8E 04 00 00 AE ?? ?? ?? 0? 00 00 02 AE 20 24 11 7C ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 21 88 40 00 }
	condition:
		$1
}

rule file_153_0_0 {
	meta:
		name = "_bufallo"
		size = 84
		refs = "0034 errno 0044 sbrk"
	strings:
		$1 = { ?? ?? 03 3C ?? ?? 62 8C E8 FF BD 27 0D 00 40 10 14 00 BF AF 00 00 44 8C ?? ?? 64 AC FF FF 03 24 03 00 43 10 14 00 BF 8F 08 00 E0 03 18 00 BD 27 E9 66 04 24 ?? ?? 03 3C ?? ?? 64 AC 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 20 00 04 24 ?? ?? ?? 0? FF FF 03 24 }
	condition:
		$1
}

rule file_175_1_0 {
	meta:
		name = "_dvfprintf_cdeEfFnopsuxX"
		size = 6700
		refs = "009c _ctype 0164 fputc 0478 dpcmp 04fc dptoul 05c0 __udivdi3 05fc __umoddi3 0a70 _npowers_ 0a98 dpmul 0b30 dpadd 0b74 __fixunsdfdi 0bfc dpdiv 0f7c frexp 1084 __floatunsidf 109c dpsub 1380 __floatundidf"
		altNames = "_dvfprintf_cdeEfFnopuxX"
	strings:
		$1 = { 98 FF BD 27 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 2C 00 A0 AF 30 00 A0 AF 21 80 00 00 00 00 24 82 68 00 80 10 10 00 A4 A3 25 00 02 24 4D 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 41 02 46 10 FF FF 91 24 2E 00 45 28 37 02 A0 10 00 00 00 00 49 02 47 50 01 00 63 34 45 02 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A4 24 21 28 82 00 01 00 A5 90 02 00 67 30 FE FF 66 30 0B 18 C7 00 08 00 67 30 FB FF 66 30 04 00 A5 30 3D 02 A0 10 0B 18 C7 00 21 98 00 00 0A 00 06 24 02 28 66 72 01 00 31 26 21 98 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 73 26 2E 00 05 24 3B 02 45 50 01 00 31 26 00 10 63 34 21 B8 00 00 ?? ?? 07 3C ?? ?? E6 24 10 00 08 24 00 80 07 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3D 00 A0 14 01 00 31 26 10 00 B5 27 01 00 1E 24 04 00 E0 12 2B 10 D3 03 2B 10 FE 02 0B F0 E2 02 2B 10 D3 03 08 00 76 30 23 98 7E 02 0B 00 C0 16 0A 98 02 00 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D4 57 00 00 A4 82 A5 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9A FF 80 14 10 00 A4 A3 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 80 20 04 00 21 20 C4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 63 34 80 00 63 34 00 07 62 30 B5 00 40 10 21 B0 60 00 00 10 65 30 06 00 04 24 10 00 62 30 BA 02 40 10 0B B8 85 00 70 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 45 8C 04 00 54 8C 08 00 44 24 70 00 A4 AF 20 00 A5 AF 20 00 A6 8F 21 28 80 02 21 38 00 00 21 20 C0 00 21 30 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 76 34 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF B0 02 40 14 20 00 A3 8F 24 00 A0 AF 00 01 C2 32 5F 01 40 10 19 00 E2 2A 13 00 E2 2E D2 02 40 10 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 10 00 B7 A3 D4 02 40 14 10 00 A9 83 20 00 A2 8F 21 28 80 02 ?? ?? ?? 0? 21 20 40 00 21 A0 40 00 18 00 B5 8F ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF 73 26 03 00 C2 32 63 00 A3 26 2B 10 02 00 23 98 77 02 C7 00 63 2C 23 98 62 02 01 00 63 2C 04 00 C2 32 16 03 40 10 23 98 63 02 02 00 C2 32 F8 04 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 60 1A 08 00 DE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 DE 32 10 00 A2 83 20 00 A6 8F 21 20 80 02 C0 10 02 00 21 10 C2 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 20 00 A7 8F 27 10 02 00 C0 18 03 00 21 18 E3 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A0 40 00 39 04 E0 16 21 A8 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 73 04 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 64 00 43 28 5B 04 60 10 64 00 14 24 0A 00 14 24 1A 00 54 00 F4 01 80 02 21 28 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 64 FE C0 13 21 80 02 02 63 FE 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 63 34 00 01 63 34 00 07 62 30 4D FF 40 14 21 B0 60 00 C0 00 62 30 12 02 40 14 20 16 03 7C 51 04 40 04 10 00 62 30 BC 02 40 10 70 00 A5 8F 70 00 A2 8F 00 00 44 8C 04 00 42 24 70 00 A2 AF C3 17 04 00 21 A8 80 00 D3 02 40 04 21 B0 40 00 03 00 E0 16 C0 00 74 30 25 B8 B6 02 01 00 F7 2E 40 00 02 24 8E 03 82 12 41 00 82 2A 63 03 40 10 80 00 02 24 16 00 80 16 10 00 BE 83 01 00 02 24 AB 04 C0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 42 24 02 00 06 24 02 00 1E 24 ?? ?? ?? 0? 14 00 07 24 21 30 C0 03 04 00 44 8C 2B 28 C4 02 5C 03 A0 54 10 00 A6 A3 70 04 96 50 00 00 44 8C 01 00 DE 27 20 F4 1E 7C F6 FF C7 17 08 00 42 24 10 00 BE A3 2A 10 D7 03 47 03 40 10 2A 10 FE 02 20 F4 17 7C 10 00 BE A3 05 00 60 12 00 40 62 30 03 00 62 30 2B 10 02 00 23 98 62 02 00 40 62 30 05 00 40 10 2A 20 D3 03 2A 10 F3 02 23 98 77 02 0A 98 02 00 2A 20 D3 03 04 00 62 30 23 F0 7E 02 17 03 40 10 0A F0 04 00 02 00 62 30 77 03 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 64 30 0D 00 C0 13 24 00 A4 AF 21 98 60 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 08 00 65 32 21 18 60 02 24 00 A5 AF FF FF F7 26 ?? ?? 02 3C C0 98 17 00 ?? ?? 42 24 21 98 53 00 03 00 02 24 80 40 17 00 40 20 16 00 02 B8 E2 72 20 00 63 30 41 00 82 2A 28 00 BE AF 34 00 B1 AF 20 00 A3 AF 21 F0 80 00 ?? ?? ?? 0? 21 88 40 00 10 00 80 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 3C 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF F7 26 FD FF 02 24 BB 02 E2 12 40 00 02 24 9D 02 82 12 27 10 17 00 DF FF 20 16 80 00 02 24 A3 02 82 12 C0 00 02 24 DD FF 82 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 CE FD 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 C1 FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 05 24 CD FD 45 14 21 98 00 00 70 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D3 8C 2E 00 05 24 04 00 C6 24 C8 FD 45 14 70 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 05 24 32 03 45 10 00 40 63 34 21 28 82 00 01 00 A5 90 21 B8 00 00 04 00 A5 30 BF FD A0 10 0A 00 06 24 02 28 E6 72 01 00 31 26 21 B8 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF F7 26 ?? ?? ?? 0? ?? ?? 07 3C 40 00 40 10 24 00 A3 8F FF 00 F5 32 6E 00 A2 2E 8C 03 40 14 0B 00 A2 2E EB 51 02 3C 1F 85 42 34 19 00 A2 02 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 1E 3C ?? ?? DE 27 10 28 00 00 42 41 05 00 FF 00 02 31 12 00 42 24 C0 10 02 00 21 10 5E 00 00 00 44 8C 04 00 45 8C ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 64 00 04 24 CC CC 09 3C 02 28 04 71 CD CC 29 35 21 20 40 00 38 00 A9 AF 23 40 A5 02 FF 00 08 31 19 00 09 01 21 28 60 00 10 38 00 00 F8 07 E2 30 21 10 C2 03 48 00 46 8C ?? ?? ?? 0? 4C 00 47 8C 38 00 A9 8F 21 20 40 00 21 28 60 00 19 00 A9 02 0A 00 02 24 10 38 00 00 C2 18 07 00 02 30 62 70 23 10 A6 02 FF 00 42 30 C0 10 02 00 21 F0 5E 00 00 00 C6 8F ?? ?? ?? 0? 04 00 C7 8F 20 00 A8 8F 21 28 80 02 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 20 00 A2 AF 21 A0 60 00 24 00 A3 8F 0A 00 62 28 14 00 40 10 30 00 A2 8F 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 FF 01 40 10 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 25 10 43 00 FD 01 40 14 21 A8 60 00 24 00 A4 8F 02 00 82 28 F9 01 40 14 30 00 A2 8F 2C 00 A3 8F 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 20 60 00 9F 01 40 04 24 00 A3 8F 24 00 A4 8F EE FF 88 24 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 3C 00 A8 AF 30 00 A3 AF 20 00 A6 8F 21 18 40 00 2C 00 A2 AF 30 00 A2 8F 21 20 C0 00 21 28 80 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 A8 8F 21 F0 40 00 21 A8 60 00 20 00 A0 AF 28 00 A0 AF 01 00 02 24 6C 03 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 05 24 02 00 07 24 ?? ?? ?? 0? 12 00 0A 24 21 38 A0 00 04 00 64 8C 2B 30 A4 02 A3 02 C0 14 02 00 49 24 9E 02 95 50 00 00 64 8C 01 00 E5 24 01 00 42 24 20 2C 05 7C F5 FF 4A 14 08 00 63 24 10 00 A5 A3 14 00 09 24 23 A0 68 02 23 A0 97 02 2B 10 17 00 23 A0 89 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 56 02 40 10 23 A0 83 02 02 00 C2 32 1A 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 D6 32 24 00 B6 AF ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 C0 18 03 00 21 18 63 02 00 00 66 8C 04 00 67 8C 21 20 C0 03 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 E2 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 E2 2A 2E 02 40 14 20 14 17 7C 12 00 02 24 10 00 A2 A3 EE FF F7 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 21 28 60 00 28 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 FF FF 64 26 20 24 04 7C 21 A8 40 00 21 B0 60 00 27 00 60 12 10 00 A4 A3 ?? ?? 02 3C ?? ?? 42 24 21 98 20 02 20 00 A2 AF 21 88 40 00 C0 20 04 00 21 20 24 02 00 00 86 8C 04 00 87 8C 21 28 C0 02 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 BE 83 27 10 02 00 21 20 A0 02 C0 18 1E 00 21 18 23 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 C0 02 ?? ?? ?? 0? 21 80 02 02 FF FF C4 27 20 24 04 7C 21 A8 40 00 21 B0 60 00 E1 FF C0 17 10 00 A4 A3 21 88 60 02 0A 00 E0 12 24 00 A6 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF F7 26 F9 FF E0 16 21 80 02 02 24 00 A6 8F 56 FC C0 50 00 00 24 82 54 FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A6 8F F8 FF 02 24 07 00 C4 24 24 10 82 00 00 00 47 8C 04 00 54 8C 08 00 42 24 20 00 A7 AF ?? ?? ?? 0? 70 00 A2 AF 37 02 40 04 10 00 62 30 B4 00 40 50 70 00 A4 8F 70 00 A2 8F 21 B0 00 00 00 00 55 8C 04 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 21 28 80 02 18 00 A6 27 ?? ?? ?? 0? 21 20 60 00 18 00 A4 8F 03 00 03 24 0A 00 02 24 FF FF 84 24 02 18 83 70 1A 00 62 00 F4 01 40 00 12 20 00 00 24 00 A4 AF 73 02 80 04 18 00 A4 AF 24 00 A5 8F ?? ?? ?? 0? 23 20 05 00 21 28 60 00 20 00 A3 8F 21 20 40 00 21 38 80 02 ?? ?? ?? 0? 21 30 60 00 30 00 A3 AF ?? ?? 06 3C 21 18 40 00 2C 00 A2 AF 30 00 A2 8F ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 ?? ?? ?? 0? 21 28 40 00 92 00 41 04 }
	condition:
		$1
}

rule file_198_2_0 {
	meta:
		name = "_vfprintf_cdeEfFgGnopsuxX"
		size = 6416
		refs = "009c _ctype 0168 fputc 0468 __floatdisf 0480 fpcmp 04e8 fpadd 0534 fpdiv 053c fptoui 066c __udivdi3 0680 __umoddi3 072c fpmul 0e80 __floatunsisf 0e8c fpsub 0f2c frexpf 1114 __floatundisf"
		altNames = "_vfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { 98 FF BD 27 21 10 00 00 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 30 00 A2 AF 21 80 00 00 00 00 24 82 69 00 80 10 10 00 A4 A3 25 00 02 24 A1 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 95 02 46 10 FF FF 91 24 2E 00 45 28 8B 02 A0 10 00 00 00 00 9D 02 47 50 01 00 63 34 99 02 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A5 24 21 20 A2 00 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 91 02 80 10 0B 18 A6 00 21 B8 00 00 0A 00 05 24 02 20 E5 72 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 B8 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF F7 26 2E 00 04 24 8D 02 44 50 01 00 31 26 00 10 63 34 21 98 00 00 10 00 07 24 00 80 06 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3E 00 A0 14 01 00 31 26 10 00 B5 27 01 00 1E 24 04 00 60 52 2B 98 D7 03 2B 10 7E 02 0B F0 62 02 2B 98 D7 03 23 B8 FE 02 0A B8 13 00 08 00 76 30 0B 00 C0 16 21 98 E0 02 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D4 57 00 00 A4 82 A4 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 99 FF 80 14 10 00 A4 A3 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 ?? ?? 02 3C ?? ?? 42 24 80 20 04 00 21 20 44 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 63 34 00 07 62 30 08 01 40 10 20 00 A3 AF 00 10 65 30 06 00 04 24 10 00 62 30 0F 02 40 10 0B 98 85 00 70 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 38 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 38 00 A3 8F 21 A0 40 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 05 00 41 04 38 00 A3 8F 00 80 02 3C 03 00 63 34 26 A0 54 00 20 00 A3 AF 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 18 00 A0 AF 9D 02 40 14 21 B0 00 00 20 00 A3 8F 00 01 62 30 B9 01 40 14 00 02 62 30 B5 01 40 14 FC FF C2 2A 19 00 62 2A 08 00 40 10 18 00 BE 8F ?? ?? ?? 0? FF 00 64 32 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 A0 40 00 18 00 BE 8F 0A 00 C2 2B D0 02 40 14 21 20 80 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 30 00 A4 8F 9C 04 43 04 EE FF DE 27 ED FF DE 27 18 00 BE AF ?? ?? ?? 0? 20 24 1E 7C 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 30 00 A2 AF ?? ?? ?? 0? 21 20 40 00 21 20 00 00 21 B0 40 00 21 A8 40 00 28 00 A4 AF 01 00 03 24 0A 00 C2 2E DB 04 40 14 10 00 A3 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 08 24 02 00 04 24 ?? ?? ?? 0? 12 00 07 24 21 40 80 00 04 00 65 8C 5F 04 A0 14 02 00 46 24 00 00 65 8C 2B 28 C5 02 5B 04 A0 14 01 00 84 24 01 00 42 24 20 24 04 7C F5 FF 47 14 08 00 63 24 10 00 A4 A3 14 00 06 24 20 00 A5 8F 23 A0 FE 02 23 A0 93 02 2B 10 13 00 23 A0 86 02 03 00 A3 30 23 A0 82 02 2B 18 03 00 04 00 A2 30 2D 04 40 10 23 A0 83 02 02 00 A2 30 81 04 40 10 20 00 A6 8F 01 00 A4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 A9 04 80 1A 20 00 A7 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A2 8F 08 00 42 30 24 00 A2 AF ?? ?? 06 3C ?? ?? ?? 0? ?? ?? D6 24 C0 18 03 00 21 18 C3 02 00 00 66 8C 04 00 67 8C 21 20 A0 02 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 62 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 62 2A 62 04 40 14 20 14 13 7C 12 00 02 24 10 00 A2 A3 EE FF 73 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 28 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 B8 00 00 ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 23 00 A0 12 10 00 A2 A3 ?? ?? 07 3C ?? ?? FE 24 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B5 83 27 10 02 00 2B 10 02 00 C0 18 15 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 28 E0 02 21 20 C0 02 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 FF FF A2 26 20 14 02 7C 21 B8 60 00 E1 FF A0 16 10 00 A2 A3 0A 00 60 12 24 00 A2 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 24 00 A2 8F 10 FE 40 50 00 00 24 82 0E FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 63 34 00 01 63 34 00 07 62 30 FA FE 40 14 20 00 A3 AF C0 00 62 30 0F 01 40 14 20 16 03 7C AC 03 40 04 70 00 A4 8F 10 00 62 30 D1 01 40 10 70 00 A6 8F 70 00 A5 8F 00 00 A4 8C 04 00 A5 24 70 00 A5 AF C3 17 04 00 21 A8 80 00 21 B0 40 00 05 00 41 04 23 10 02 00 23 A8 04 00 2B 20 15 00 03 00 63 34 23 B0 44 00 03 00 60 16 C0 00 74 30 25 98 B6 02 01 00 73 2E 40 00 02 24 E1 02 82 12 41 00 82 2A D9 02 40 10 80 00 02 24 16 00 80 16 10 00 A2 83 01 00 02 24 09 04 C0 12 10 00 A2 A3 ?? ?? 04 3C ?? ?? 84 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 08 24 21 38 40 00 04 00 85 8C 2B 30 C5 02 9A 03 C0 54 10 00 A7 A3 94 03 B6 50 00 00 85 8C 01 00 42 24 20 14 02 7C F6 FF 48 14 08 00 84 24 10 00 A2 A3 2A 20 53 00 BD 02 80 10 2A 20 62 02 20 14 13 7C 10 00 A2 A3 05 00 E0 12 00 40 64 30 03 00 64 30 2B 20 04 00 23 B8 E4 02 00 40 64 30 05 00 80 10 2A 28 57 00 2A 20 77 02 23 B8 F3 02 0A B8 04 00 2A 28 57 00 04 00 64 30 23 10 E2 02 21 B8 00 00 80 02 80 10 0B B8 45 00 02 00 62 30 E7 02 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 67 30 02 02 E0 16 2C 00 A7 AF FF FF 62 26 ?? ?? 05 3C C0 98 02 00 ?? ?? BE 24 21 98 D3 03 03 00 1E 24 80 40 02 00 02 F0 5E 70 41 00 84 2A 40 10 16 00 20 00 63 30 24 00 A2 AF 20 00 A4 AF ?? ?? ?? 0? 28 00 A3 AF 10 00 80 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 34 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 34 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 34 00 A8 AF 34 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF DE 27 FD FF 02 24 33 02 C2 13 40 00 02 24 25 02 82 12 20 00 A5 8F DF FF A0 14 80 00 02 24 0E 02 82 12 C0 00 02 24 DD FF 82 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 63 34 ?? ?? ?? 0? 80 00 63 34 20 00 63 34 ?? ?? ?? 0? 00 02 63 34 7A FD 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 6D FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 7B FD 44 14 21 B8 00 00 70 00 A7 8F 01 00 31 26 00 00 22 82 00 00 F7 8C 2E 00 04 24 04 00 E7 24 76 FD 44 14 70 00 A7 AF 01 00 31 26 00 00 22 82 2A 00 04 24 7F 02 44 10 00 40 63 34 ?? ?? 05 3C ?? ?? A5 24 21 20 A2 00 01 00 84 90 21 98 00 00 04 00 84 30 6B FD 80 10 0A 00 05 24 02 20 65 72 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 98 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF 73 26 ?? ?? ?? 0? 10 00 07 24 3C 01 40 10 2A 10 D3 02 DD 00 60 12 21 10 00 00 20 00 A4 8F 40 02 82 7C 23 98 62 02 13 00 62 2E D6 00 40 14 12 00 02 24 10 00 A2 A3 21 20 80 02 ?? ?? ?? 0? 21 28 00 00 9E 00 40 14 10 00 A3 83 ?? ?? ?? 0? 21 20 80 02 ?? ?? 05 3C 21 A8 40 00 ?? ?? BE 24 20 00 A5 8F FB FF F4 26 23 A0 93 02 03 00 A3 30 2B 18 03 00 04 00 A2 30 2B 00 40 10 23 A0 83 02 02 00 A2 30 F6 00 40 10 20 00 A6 8F 01 00 A4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 16 03 80 1A 20 00 A7 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A2 8F 08 00 42 30 ?? ?? ?? 0? 28 00 A2 AF 70 00 A4 8F 00 00 94 8C 04 00 84 24 ?? ?? ?? 0? 70 00 A4 AF A8 02 40 04 10 00 62 30 BF 00 40 10 70 00 A6 8F 70 00 A5 8F 21 B0 00 00 00 00 B5 8C 04 00 A5 24 ?? ?? ?? 0? 70 00 A5 AF 20 00 A3 8F 08 00 63 30 0B 00 60 14 28 00 A3 AF 0A 00 80 1A 20 00 A4 8F 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A4 8F 02 00 82 30 B3 00 40 14 01 00 84 30 20 00 A5 8F 01 00 A2 30 B3 00 40 14 20 00 04 24 10 00 A2 83 21 20 A0 02 21 28 00 00 C0 10 02 00 21 10 C2 03 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 FB 01 60 16 21 B0 60 00 20 00 A5 8F 20 00 A2 30 02 00 40 14 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 33 02 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 13 24 21 28 40 02 1A 00 53 00 F4 01 60 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 73 00 F4 01 60 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 28 00 A2 8F 8A FC 40 50 00 00 24 82 88 FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 23 20 C3 02 20 24 04 7C ?? ?? ?? 0? 38 00 A3 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 34 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 ?? ?? 07 3C ?? ?? E7 24 00 00 E4 8C ?? ?? ?? 0? 21 28 40 00 38 00 A3 8F 0A 00 40 1C 34 00 A6 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 38 00 A3 8F 21 30 40 00 ?? ?? 04 3C 01 00 62 24 ?? ?? 9E 24 C0 10 02 00 21 10 C2 03 04 00 44 8C 45 00 80 10 21 A8 C0 00 C0 18 03 00 21 18 C3 03 04 00 62 8C 22 02 40 50 00 00 62 8C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? FF FF D6 26 21 10 60 02 ?? ?? ?? 0? 10 00 A2 A3 21 20 80 02 ?? ?? ?? 0? 18 00 A5 27 18 00 B6 8F 03 00 03 24 0A 00 02 24 FF FF D6 26 02 B0 C3 72 1A 00 C2 02 F4 01 40 00 12 B0 00 00 37 02 C0 06 18 00 B6 AF 23 20 16 00 ?? ?? ?? 0? 20 24 04 7C 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 30 00 A2 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 30 00 A4 8F 3A 00 41 04 ?? ?? 02 3C FF FF D6 26 ?? ?? ?? 0? 18 00 B6 AF 21 B0 00 00 00 00 D5 8C 04 00 C6 24 ?? ?? ?? 0? 70 00 A6 AF 00 00 C4 8C 04 00 C6 24 70 00 A6 AF C3 17 04 00 21 A8 80 00 ?? ?? ?? 0? 21 B0 40 00 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 01 00 C2 30 13 FF 40 10 20 00 04 24 }
	condition:
		$1
}

rule file_201_0_0 {
	meta:
		name = "abs"
		size = 16
		altNames = "labs"
	strings:
		$1 = { C3 1F 04 00 26 10 64 00 08 00 E0 03 23 10 43 00 }
	condition:
		$1
}

rule file_206_0_0 {
	meta:
		name = "fflush"
		size = 144
		refs = "0058 write"
	strings:
		$1 = { 0C 00 82 94 E8 FF BD 27 10 00 B0 AF 01 00 03 24 21 80 80 00 01 02 44 30 16 00 83 10 14 00 BF AF 02 02 44 30 02 02 03 24 05 00 83 10 21 10 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 08 00 05 8E FB FF A0 10 14 00 BF 8F 04 00 06 8E F9 FF C0 50 10 00 B0 8F ?? ?? ?? 0? 0E 00 04 96 04 00 03 8E 03 00 43 10 0C 00 02 96 30 00 42 34 0C 00 02 A6 08 00 04 8E 20 00 43 30 FF FF 02 24 04 00 00 AE 00 00 04 AE ?? ?? ?? 0? 0A 10 03 00 }
	condition:
		$1
}

rule file_213_0_0 {
	meta:
		name = "strcpy"
		size = 36
	strings:
		$1 = { 21 10 80 00 21 18 80 00 00 00 A4 80 01 00 A5 24 00 00 64 A0 FC FF 80 14 01 00 63 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_217_2_0 {
	meta:
		name = "_vfprintf_cdgGnopsuxX"
		size = 6460
		refs = "000c _ctype 0160 fputc 0464 __floatdisf 0484 fpcmp 0508 fptoui 0520 __floatundisf 052c fpsub 0728 __udivdi3 073c __umoddi3 0924 fpadd 0964 fpmul 0a38 fpdiv 131c frexpf 1554 __floatunsisf"
		altNames = "_vfprintf_cdgGnopuxX"
	strings:
		$1 = { 90 FF BD 27 64 00 B7 AF 21 10 00 00 ?? ?? 17 3C 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 6C 00 BF AF 68 00 BE AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 21 90 80 00 21 88 A0 00 78 00 A6 AF 34 00 A2 AF 21 80 00 00 ?? ?? F7 26 00 00 24 82 65 00 80 10 10 00 A4 A3 25 00 02 24 E1 01 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 D5 01 46 10 FF FF 91 24 2E 00 45 28 CB 01 A0 10 00 00 00 00 DD 01 47 50 01 00 63 34 D9 01 49 50 02 00 63 34 21 20 E2 02 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 D3 01 80 10 0B 18 A6 00 21 40 00 00 0A 00 05 24 02 20 05 71 01 00 31 26 21 40 82 00 00 00 22 82 21 20 E2 02 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 08 25 2E 00 04 24 D1 01 44 50 01 00 31 26 00 10 63 34 21 A0 00 00 10 00 07 24 00 80 06 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3E 00 A0 14 01 00 31 26 10 00 B3 27 01 00 1E 24 04 00 80 52 2B A0 C8 03 2B 10 9E 02 0B F0 82 02 2B A0 C8 03 23 40 1E 01 0A 40 14 00 08 00 76 30 0B 00 C0 16 21 A0 00 01 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 95 16 20 00 04 24 ?? ?? ?? 0? FF FF 15 24 21 28 40 02 ?? ?? ?? 0? 01 00 73 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D5 57 00 00 64 82 A8 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 93 16 20 00 04 24 00 00 24 82 9D FF 80 14 10 00 A4 A3 6C 00 BF 8F 21 10 00 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 ?? ?? 05 3C 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 63 34 00 07 62 30 4E 00 40 10 21 B0 60 00 00 10 65 30 06 00 04 24 10 00 62 30 C1 02 40 10 0B A0 85 00 78 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 40 00 A3 AF 44 00 A8 AF ?? ?? ?? 0? 78 00 A2 AF 40 00 A3 8F 44 00 A8 8F 21 98 40 00 21 20 60 02 21 28 00 00 40 00 A3 AF ?? ?? ?? 0? 44 00 A8 AF 40 00 A3 8F 04 00 41 04 44 00 A8 8F 00 80 02 3C 26 98 53 00 03 00 76 34 21 20 60 02 21 28 00 00 44 00 A8 AF ?? ?? ?? 0? 18 00 A0 AF 44 00 A8 8F 96 03 40 14 21 18 00 00 00 02 C2 32 F3 00 40 14 FC FF 62 28 19 00 82 2A C1 02 40 14 FF 00 84 32 18 00 B5 8F 0A 00 A2 2A 46 01 40 10 ?? ?? 03 3C 21 20 60 02 21 28 00 00 ?? ?? ?? 0? 44 00 A8 AF AE 02 40 14 44 00 A8 8F 21 20 60 02 ?? ?? ?? 0? 44 00 A8 AF 44 00 A8 8F 21 20 40 00 21 28 00 00 44 00 A8 AF ?? ?? ?? 0? 21 F0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 24 00 A2 AF 21 98 C0 03 18 00 A0 AF 21 A8 00 00 ?? ?? ?? 0? 44 00 A8 8F 20 00 63 34 00 02 63 34 00 07 62 30 B4 FF 40 14 21 B0 60 00 C0 00 62 30 7B 02 40 14 20 16 03 7C 44 04 40 04 78 00 A7 8F 10 00 62 30 88 02 40 10 78 00 A5 8F 78 00 A2 8F 00 00 44 8C 04 00 42 24 78 00 A2 AF C3 17 04 00 21 98 80 00 21 B0 40 00 05 00 41 04 23 10 02 00 23 98 04 00 2B 20 13 00 03 00 63 34 23 B0 44 00 03 00 80 16 C0 00 75 30 25 A0 76 02 01 00 94 2E 40 00 02 24 90 03 A2 12 41 00 A2 2A 2A 03 40 10 80 00 02 24 16 00 A0 16 10 00 A2 83 01 00 02 24 D0 04 C0 12 10 00 A2 A3 ?? ?? 04 3C ?? ?? 84 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 09 24 21 38 40 00 04 00 85 8C 2B 30 C5 02 4E 04 C0 54 10 00 A7 A3 48 04 B6 50 00 00 85 8C 01 00 42 24 20 14 02 7C F6 FF 49 14 08 00 84 24 10 00 A2 A3 2A 20 54 00 DF 02 80 10 2A 20 82 02 20 14 14 7C 10 00 A2 A3 05 00 00 11 00 40 64 30 03 00 64 30 2B 20 04 00 23 40 04 01 00 40 64 30 05 00 80 10 2A 28 48 00 2A 20 88 02 23 40 14 01 0A 40 04 00 2A 28 48 00 23 10 02 01 0A 10 05 00 04 00 64 30 CE 02 80 10 20 00 A2 AF 02 00 62 30 78 03 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 40 00 A3 AF 27 10 02 00 40 00 A3 8F 2B 10 02 00 21 80 02 02 20 00 A4 8F 08 00 62 30 75 02 80 14 30 00 A2 AF FF FF 82 26 ?? ?? 07 3C C0 A0 02 00 ?? ?? FE 24 21 A0 D4 03 03 00 1E 24 80 40 02 00 02 F0 5E 70 41 00 A4 2A 40 10 16 00 20 00 63 30 28 00 A2 AF 24 00 A4 AF ?? ?? ?? 0? 2C 00 A3 AF 10 00 A0 16 10 00 A4 83 00 00 86 8E 04 00 87 8E 21 20 60 02 21 28 C0 02 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 44 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 44 00 A8 AF 44 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 94 26 FC FF 08 25 FD FF DE 27 FD FF 02 24 7B 02 C2 13 40 00 02 24 6D 02 A2 12 24 00 A5 8F DF FF A0 14 80 00 02 24 56 02 A2 12 C0 00 02 24 DD FF A2 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 63 34 ?? ?? ?? 0? 80 00 63 34 3A FE 48 54 21 20 E2 02 04 00 63 34 01 00 84 24 FF FF 82 80 2D FE 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 37 FE 44 14 21 40 00 00 78 00 A5 8F 01 00 31 26 00 00 22 82 00 00 A8 8C 2E 00 04 24 04 00 A5 24 32 FE 44 14 78 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 11 03 44 10 00 40 63 34 21 20 E2 02 01 00 84 90 21 A0 00 00 04 00 84 30 29 FE 80 10 0A 00 05 24 02 20 85 72 01 00 31 26 21 A0 82 00 00 00 22 82 21 20 E2 02 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 94 26 ?? ?? ?? 0? 10 00 07 24 2A 01 40 14 2A 10 74 00 28 01 40 10 00 00 00 00 01 04 60 04 21 20 60 02 ?? ?? ?? 0? 44 00 A8 AF 44 00 A8 8F 21 A8 40 00 10 00 A0 12 21 28 00 00 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 13 00 06 24 04 00 64 8C 01 00 42 24 08 00 80 14 21 28 40 00 00 00 64 8C 2B 20 A4 02 05 00 80 54 23 A0 85 02 F7 FF 46 14 08 00 63 24 14 00 05 24 23 A0 85 02 19 00 82 2A 43 03 40 50 20 24 14 7C FF 00 84 32 ?? ?? ?? 0? 44 00 A8 AF 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 20 24 14 7C ?? ?? ?? 0? 21 98 40 00 21 F0 40 00 E7 FE 80 12 44 00 A8 8F 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 44 00 A8 AF 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 C0 03 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 00 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 A8 40 00 25 10 43 00 21 F0 00 00 12 00 40 10 44 00 A8 8F ?? ?? ?? 0? 18 00 B5 8F 21 20 A0 02 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 A8 40 00 ?? ?? ?? 0? 21 F0 60 00 25 10 43 00 C0 FE 40 14 44 00 A8 8F FF FF 94 26 EF FF 80 16 21 28 C0 03 18 00 B5 8F 0A 00 A2 2A BE FE 40 14 21 20 60 02 ?? ?? 03 3C ?? ?? 63 24 34 00 A4 8F 00 00 65 8C ?? ?? ?? 0? 44 00 A8 AF 59 01 40 04 44 00 A8 8F EE FF B5 26 18 00 B5 AF 20 24 15 7C ?? ?? ?? 0? 44 00 A8 AF 21 28 40 00 21 20 60 02 ?? ?? ?? 0? 34 00 A2 AF ?? ?? ?? 0? 21 20 40 00 44 00 A8 8F 21 20 00 00 21 F0 40 00 21 98 40 00 24 00 A4 AF 01 00 03 24 0A 00 C2 2F A2 03 40 14 10 00 A3 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 09 24 02 00 04 24 ?? ?? ?? 0? 12 00 07 24 21 48 80 00 04 00 65 8C 42 02 A0 14 02 00 46 24 00 00 65 8C 2B 28 C5 03 3E 02 A0 14 01 00 84 24 01 00 42 24 20 24 04 7C F5 FF 47 14 08 00 63 24 10 00 A4 A3 14 00 06 24 23 A8 15 01 23 A8 B4 02 2B 10 14 00 23 A8 A6 02 03 00 C3 32 23 A8 A2 02 2B 18 03 00 04 00 C2 32 EC 01 40 10 23 A8 A3 02 02 00 C2 32 D4 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 A0 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 08 00 D6 32 20 00 B6 AF ?? ?? 07 3C ?? ?? ?? 0? ?? ?? F6 24 C0 18 03 00 21 18 C3 02 00 00 66 8C 04 00 67 8C 21 20 60 02 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 82 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 82 2A C4 01 40 14 20 14 14 7C 12 00 02 24 10 00 A2 A3 EE FF 94 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 24 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 FF FF 62 26 20 14 02 7C 21 40 00 00 25 00 60 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 7E 24 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 C0 02 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B3 83 44 00 A8 8F 27 10 02 00 C0 18 13 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 C0 02 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 FF FF 62 26 20 14 02 7C 21 40 60 00 DF FF 60 16 10 00 A2 A3 0A 00 80 12 20 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A4 8F D0 FC 80 50 00 00 24 82 CE FC A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 61 02 80 16 21 10 00 00 10 00 A2 A3 21 20 60 02 21 28 00 00 40 00 A3 AF ?? ?? ?? 0? 44 00 A8 AF 40 00 A3 8F EC 01 40 14 44 00 A8 8F ?? ?? ?? 0? 21 20 60 02 44 00 A8 8F 21 A8 40 00 ?? ?? 02 3C ?? ?? 5E 24 FB FF 08 25 03 00 C3 32 23 98 14 01 2B 18 03 00 04 00 C2 32 C4 01 40 10 23 98 63 02 02 00 C2 32 4F 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 C7 02 60 1A 08 00 C5 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 C7 32 20 00 A7 AF 10 00 A2 83 21 20 A0 02 21 28 00 00 C0 10 02 00 21 10 C2 03 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 41 02 80 16 21 A8 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 7F 02 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 14 24 21 28 40 02 1A 00 54 00 F4 01 80 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A2 8F 51 FC 40 50 00 00 24 82 4F FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 78 00 A4 8F 00 00 93 8C 04 00 84 24 ?? ?? ?? 0? 78 00 A4 AF D4 01 40 04 10 00 62 30 0A 00 40 10 78 00 A7 8F 78 00 A5 8F 21 B0 00 00 00 00 B3 8C 04 00 A5 24 ?? ?? ?? 0? 78 00 A5 AF ED FF B5 26 ?? ?? ?? 0? 18 00 B5 AF 21 B0 00 00 00 00 F3 8C 04 00 E7 24 ?? ?? ?? 0? 78 00 A7 AF 00 00 A4 8C 04 00 A5 24 78 00 A5 AF C3 17 04 00 21 98 80 00 ?? ?? ?? 0? 21 B0 40 00 ?? ?? ?? 0? 21 20 60 02 54 FD 40 14 44 00 A8 8F 02 00 A3 2A 8C FE 60 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 44 00 A8 AF 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 98 40 00 ?? ?? ?? 0? 44 00 A8 8F 10 00 62 30 }
	condition:
		$1
}

rule file_224_0_0 {
	meta:
		name = "strerror"
		size = 44
		refs = "000c sys_err"
	strings:
		$1 = { 13 00 82 2C 06 00 40 10 80 20 04 00 ?? ?? 02 3C ?? ?? 42 24 21 20 82 00 08 00 E0 03 00 00 82 8C ?? ?? 02 3C 08 00 E0 03 ?? ?? 42 24 }
	condition:
		$1
}

rule file_231_0_0 {
	meta:
		name = "fround"
		size = 416
		refs = "002c _npowers_ 004c dpmul"
	strings:
		$1 = { D8 FF BD 27 6E 00 82 2C 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 37 00 40 10 21 80 80 00 0B 00 82 2C 11 00 40 10 ?? ?? 02 3C C0 80 04 00 ?? ?? 42 24 21 80 02 02 ?? ?? 02 3C 00 00 04 8E 04 00 05 8E ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 CC CC 02 3C CD CC 42 34 19 00 82 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 11 3C ?? ?? 31 26 10 18 00 00 C2 90 03 00 FF 00 42 32 09 00 42 24 C0 10 02 00 21 10 51 00 00 00 44 8C ?? ?? ?? 0? 04 00 45 8C 0A 00 04 24 02 28 44 72 21 20 40 00 23 80 05 02 21 28 60 00 FF 00 10 32 C0 80 10 00 21 88 11 02 00 00 26 8E ?? ?? ?? 0? 04 00 27 8E 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 EB 51 02 3C 1F 85 42 34 19 00 82 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 11 3C ?? ?? 31 26 10 18 00 00 42 91 03 00 FF 00 42 32 12 00 42 24 C0 10 02 00 21 10 51 00 00 00 44 8C ?? ?? ?? 0? 04 00 45 8C 64 00 06 24 02 20 46 72 CC CC 12 3C CD CC 52 36 21 28 60 00 23 30 04 02 FF 00 C6 30 19 00 D2 00 21 20 40 00 10 38 00 00 F8 07 E2 30 21 10 22 02 48 00 46 8C ?? ?? ?? 0? 4C 00 47 8C 19 00 12 02 21 20 40 00 21 28 60 00 0A 00 02 24 10 98 00 00 C2 18 13 00 02 30 62 70 ?? ?? ?? 0? 23 80 06 02 }
	condition:
		$1
}

rule file_231_2_0 {
	meta:
		name = "_dvfprintf_fFgGs"
		size = 5972
		refs = "009c _ctype 01b0 fputc 03bc dpcmp 0428 dpadd 04ac dpdiv 04b8 __fixunsdfdi 05cc __udivdi3 05e0 __umoddi3 06a8 dpmul 0a00 dptoul 0bb8 __floatundidf 0bd0 dpsub 0fbc frexp 1308 __floatunsidf"
		altNames = "_dvfprintf_fFgG"
	strings:
		$1 = { 98 FF BD 27 4C 00 B3 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 21 98 80 00 21 88 A0 00 70 00 A6 AF 28 00 A0 AF 2C 00 A0 AF 21 80 00 00 00 00 24 82 42 00 80 10 10 00 A4 A3 25 00 02 24 56 00 82 14 01 00 32 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 A8 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 4A 00 45 10 FF FF 71 24 2E 00 44 28 40 00 80 10 00 00 00 00 52 00 46 50 01 00 B5 36 4E 00 48 50 02 00 B5 36 ?? ?? 04 3C ?? ?? 83 24 21 20 62 00 01 00 84 90 02 00 A6 32 FE FF A5 32 0B A8 A6 00 08 00 A6 32 FB FF A5 32 04 00 84 30 46 00 80 10 0B A8 A6 00 21 F0 00 00 0A 00 05 24 02 20 C5 73 01 00 31 26 21 F0 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF DE 27 2E 00 04 24 44 00 44 50 01 00 31 26 00 10 B5 36 21 90 00 00 67 00 03 24 73 00 05 24 6C 00 06 24 10 00 08 24 00 80 07 24 68 00 44 28 10 00 A2 A3 8E 00 43 10 01 00 31 26 4C 00 80 10 00 00 00 00 63 00 03 24 73 02 43 10 64 00 43 28 1A 02 60 50 66 00 03 24 A7 02 40 14 47 00 03 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C5 FF 47 14 ?? ?? 04 3C 04 00 B5 36 01 00 63 24 FF FF 62 80 B8 FF 45 14 FF FF 71 24 08 00 B5 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 C4 FF 44 14 21 F0 00 00 70 00 A5 8F 01 00 31 26 00 00 22 82 00 00 BE 8C 2E 00 04 24 04 00 A5 24 BF FF 44 14 70 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 95 03 44 10 00 40 B5 36 21 20 62 00 01 00 84 90 21 90 00 00 04 00 84 30 B6 FF 80 10 0A 00 05 24 02 20 45 72 01 00 31 26 21 90 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 52 26 ?? ?? ?? 0? 67 00 03 24 1A 02 45 10 74 00 44 28 C9 01 80 50 75 00 03 24 32 00 46 10 10 00 A2 32 10 00 B4 27 01 00 17 24 04 00 40 52 2B 90 FE 02 2B 10 57 02 0B B8 42 02 2B 90 FE 02 23 F0 D7 03 0A F0 12 00 08 00 B6 32 0C 00 C0 16 21 90 C0 03 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 55 16 21 28 60 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 60 02 50 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 21 20 E0 00 0A 20 02 01 00 00 22 82 25 A8 95 00 FF FF B5 32 68 00 44 28 10 00 A2 A3 74 FF 43 14 01 00 31 26 00 02 B5 36 00 07 A2 32 16 01 40 10 21 B0 A0 02 00 10 A4 32 06 00 03 24 10 00 A2 32 C9 01 40 10 0B 90 64 00 70 00 A4 8F F8 FF 02 24 07 00 83 24 24 10 62 00 00 00 46 8C 04 00 54 8C 08 00 45 24 70 00 A5 AF 20 00 A6 AF 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 00 41 04 20 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 B6 36 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF EF 02 40 14 21 B8 00 00 00 02 C2 32 70 01 40 14 FC FF E2 2A 19 00 42 2A 0C 00 40 10 18 00 A8 8F ?? ?? ?? 0? FF 00 44 32 20 00 A6 8F 21 28 80 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 20 00 A2 AF 21 A0 60 00 18 00 A8 8F 0A 00 02 29 C9 01 40 14 20 00 A3 8F 28 00 A3 8F 2C 00 A2 8F 3C 00 A8 AF 21 20 60 00 ?? ?? 03 3C ?? ?? 63 24 00 00 66 8C 04 00 67 8C ?? ?? ?? 0? 21 28 40 00 E3 03 41 04 3C 00 A8 8F ED FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 3C 00 A8 AF 2C 00 A3 AF 20 00 A6 8F 21 18 40 00 28 00 A2 AF 2C 00 A2 8F 21 20 C0 00 21 28 80 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 A8 8F 21 B8 40 00 21 A8 60 00 20 00 A0 AF 24 00 A0 AF 01 00 02 24 8D 04 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 02 00 47 24 01 00 84 24 2B 30 A5 02 E1 02 C0 14 01 00 42 24 DC 02 B5 50 00 00 65 8C 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 A0 C8 03 23 A0 92 02 2B 10 12 00 23 A0 87 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 7B 02 40 10 23 A0 83 02 02 00 C2 32 C6 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 1A 08 00 DE 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 DE 32 ?? ?? 16 3C ?? ?? ?? 0? ?? ?? D6 26 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 E0 02 21 28 A0 02 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 C6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A 33 02 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 21 28 60 00 24 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 27 00 A0 12 10 00 A2 A3 ?? ?? 15 3C ?? ?? B5 26 21 40 60 00 21 B8 C0 02 C0 10 02 00 21 10 A2 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B6 83 3C 00 A8 8F 27 10 02 00 C0 18 16 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF C2 26 20 14 02 7C 21 40 60 00 DF FF C0 16 10 00 A2 A3 09 00 40 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 2D FE C0 53 00 00 24 82 2B FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 15 7C 34 02 40 04 10 00 A2 32 DF 00 40 10 70 00 A2 8F 70 00 A6 8F 21 B8 00 00 00 00 D4 8C 04 00 C6 24 70 00 A6 AF 03 00 40 16 C0 00 B6 32 25 90 97 02 01 00 52 2E 80 00 02 24 A4 01 C2 12 C0 00 02 24 8D 01 C2 12 10 00 A2 83 2A 18 52 00 75 01 60 10 2A 18 42 02 20 14 12 7C 10 00 A2 A3 05 00 C0 13 00 40 A3 32 03 00 A3 32 2B 18 03 00 23 F0 C3 03 00 40 A3 32 05 00 60 10 2A 20 5E 00 2A 18 5E 02 23 F0 D2 03 0A F0 03 00 2A 20 5E 00 23 10 C2 03 0A 10 04 00 04 00 A3 32 64 01 60 10 20 00 A2 AF 02 00 A2 32 25 02 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A3 8F 0C 00 60 50 08 00 B5 32 20 00 BE 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 20 00 BE AF 08 00 B5 32 24 00 B5 AF FF FF 48 26 C0 10 08 00 ?? ?? 15 3C 80 40 08 00 13 00 00 01 ?? ?? B5 26 40 18 17 00 21 40 40 02 30 00 B1 AF 21 A8 A2 02 80 00 1E 24 21 88 60 00 11 00 00 11 12 90 00 00 19 01 DE 12 FF FF 08 25 C0 00 02 24 24 01 C2 52 00 00 A6 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F1 FF 00 15 FC FF 52 26 24 00 A4 8F BA FD 80 10 30 00 B1 8F 20 00 A5 8F B7 FD A0 18 21 90 A0 00 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 74 FE 43 50 C0 00 B5 36 78 00 03 24 37 FE 43 14 10 00 B4 27 ?? ?? ?? 0? 80 00 B5 36 33 FE 43 14 10 00 B4 27 ?? ?? ?? 0? 00 04 B5 36 8E 00 40 10 2A 10 F2 02 B6 02 40 16 21 10 00 00 10 00 A2 A3 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 35 02 40 14 10 00 AA 83 20 00 A2 8F 21 28 80 02 ?? ?? 15 3C ?? ?? ?? 0? 21 20 40 00 18 00 B7 8F 20 00 A2 AF ?? ?? B5 26 FB FF D4 27 03 00 C2 32 63 00 E3 26 2B 10 02 00 23 A0 92 02 C7 00 63 2C 23 A0 82 02 01 00 63 2C 04 00 C2 32 B7 01 40 10 23 A0 83 02 02 00 C2 32 BA 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 2B 03 80 1A 08 00 C4 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 C5 32 ?? ?? ?? 0? 24 00 A5 AF 70 00 A2 8F 07 00 43 24 F8 FF 02 24 24 10 62 00 00 00 43 8C 04 00 54 8C 08 00 42 24 20 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 70 00 A5 8F 00 00 A3 8C 04 00 A4 24 98 02 60 10 21 A0 60 00 00 00 62 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 77 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A4 AF 70 00 A3 8F 10 00 A4 32 01 00 62 80 00 00 65 8C 04 00 63 24 91 00 80 10 10 00 A2 A3 90 00 40 50 14 00 A5 A3 FF FF 04 24 8D 00 44 50 14 00 A5 A3 14 00 A2 A3 15 00 A5 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF 21 B8 00 00 00 00 54 8C 04 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 3C 00 A8 AF 22 02 40 10 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 B8 40 00 25 10 43 00 21 A8 60 00 04 00 40 14 3C 00 A8 8F 02 00 02 29 27 FE 40 10 28 00 A3 8F 21 20 E0 02 ?? ?? ?? 0? 21 28 A0 02 20 00 A6 8F 21 28 80 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 20 00 A2 AF 24 00 A3 AF 18 00 A0 AF ?? ?? ?? 0? 21 40 00 00 A4 FD 43 14 10 00 B4 27 ?? ?? ?? 0? 20 00 B5 36 72 FF 40 10 00 00 00 00 B7 02 E0 06 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 B8 40 00 21 A8 60 00 25 10 F5 02 0F 00 40 10 21 30 00 00 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 13 00 07 24 04 00 64 8C 01 00 42 24 2B 28 A4 02 06 00 A0 14 21 30 40 00 3F 02 95 50 00 00 64 8C F8 FF 47 14 08 00 63 24 14 00 06 24 23 90 46 02 19 00 42 2A FE 01 40 10 00 00 00 00 ?? ?? ?? 0? FF 00 44 32 20 00 A6 8F 21 28 80 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 20 40 02 20 00 A2 AF ?? ?? ?? 0? 21 A0 60 00 21 40 40 00 E3 FD 40 12 21 48 60 00 21 20 E0 02 21 28 A0 02 3C 00 A8 AF ?? ?? ?? 0? 38 00 A9 AF 20 00 A7 8F 21 28 80 02 21 30 40 00 21 20 E0 00 ?? ?? ?? 0? 21 38 60 00 3C 00 A8 8F 38 00 A9 8F 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 20 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 28 A0 02 21 20 E0 02 0A 00 06 24 C7 FD 40 12 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 B8 40 00 ?? ?? ?? 0? 21 A8 60 00 25 10 43 00 F0 FF 40 50 FF FF 52 26 18 00 A8 8F 0A 00 02 29 BC FD 40 50 28 00 A3 8F ?? ?? ?? 0? 20 00 A3 8F 14 00 A5 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF 27 18 12 00 04 18 71 00 06 10 54 02 20 00 44 32 25 10 62 00 06 18 57 02 0B 10 64 00 ?? ?? 03 3C 0F 00 42 30 ?? ?? 63 24 21 10 62 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 3C 00 A8 8F ?? ?? ?? 0? 0B 90 43 00 20 00 A4 8F B5 00 80 14 08 00 A6 32 08 00 A5 32 24 00 A5 AF 02 00 A2 32 AC 00 40 50 01 00 B5 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 01 00 02 24 38 02 E0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 02 00 06 24 02 00 02 24 ?? ?? ?? 0? 14 00 07 24 21 30 40 00 04 00 64 8C 01 00 42 24 2B 28 E4 02 87 01 A0 14 20 14 02 7C 82 01 97 50 00 00 64 8C F7 FF 47 14 08 00 63 24 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 28 02 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 19 04 00 02 00 02 24 02 47 04 00 25 40 06 01 01 00 42 24 21 30 60 00 2B 18 E5 02 02 00 09 24 10 00 0A 24 20 14 02 7C 11 00 60 14 21 38 00 01 79 01 E5 52 2B 20 84 02 E9 FF 4A 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 19 04 00 02 47 04 00 25 40 06 01 21 48 40 00 21 30 60 00 01 00 42 24 2B 18 E5 02 20 14 02 7C F1 FF 60 10 21 38 00 01 10 00 A9 A3 ?? ?? ?? 0? 21 10 20 01 10 00 A2 A3 CF FD 40 14 23 90 42 02 FF FF 02 24 ?? ?? ?? 0? 10 00 A2 A3 08 00 DE 32 0C 00 C0 17 02 00 C2 32 0A 00 80 1A 00 00 00 00 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 C2 32 36 01 40 50 01 00 D6 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 20 00 A3 8F 21 28 80 02 18 00 A6 27 ?? ?? ?? 0? 21 20 60 00 18 00 B7 8F 03 00 03 24 0A 00 02 24 FF FF F7 26 02 B8 E3 72 1A 00 E2 02 F4 01 40 00 12 B8 00 00 C7 01 E0 06 18 00 B7 AF ?? ?? ?? 0? 23 20 17 00 21 28 60 00 20 00 A3 8F 21 20 40 00 }
	condition:
		$1
}

rule file_235_0_0 {
	meta:
		name = "strcspn"
		size = 108
		refs = "0040 strchr"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 00 00 82 80 21 88 80 00 21 80 A0 00 05 00 40 14 21 90 00 00 ?? ?? ?? 0? 1C 00 BF 8F 07 00 40 10 01 00 52 26 21 28 40 00 21 20 00 02 ?? ?? ?? 0? 01 00 31 26 F9 FF 40 50 00 00 22 82 1C 00 BF 8F 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_264_0_0 {
	meta:
		name = "div"
		size = 32
		altNames = "ldiv"
	strings:
		$1 = { 1A 00 A6 00 F4 01 C0 00 21 10 80 00 10 18 00 00 04 00 83 AC 12 28 00 00 08 00 E0 03 00 00 85 AC }
	condition:
		$1
}

rule file_272_0_0 {
	meta:
		name = "_doatexit"
		size = 80
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 14 00 B0 AF ?? ?? 11 3C ?? ?? 10 3C 1C 00 BF AF ?? ?? 31 26 ?? ?? 10 26 00 00 22 8E 03 00 40 10 00 00 00 00 09 F8 40 00 00 00 00 00 FA FF 30 16 FC FF 31 26 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_272_1_0 {
	meta:
		name = "atexit"
		size = 104
		refs = "0000 _atexitptr"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 43 8C 12 00 60 50 ?? ?? 03 3C ?? ?? 07 3C ?? ?? E7 24 21 10 E0 00 21 18 00 00 ?? ?? ?? 0? 20 00 06 24 01 00 63 24 0C 00 66 50 FF FF 02 24 00 00 45 8C FB FF A0 14 04 00 42 24 80 18 03 00 21 38 E3 00 00 00 E4 AC 08 00 E0 03 21 10 00 00 ?? ?? 63 24 ?? ?? ?? 0? ?? ?? 43 AC 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_273_0_0 {
	meta:
		name = "strchr"
		size = 40
	strings:
		$1 = { 21 10 80 00 20 2C 05 7C 00 00 43 80 04 00 65 10 00 00 00 00 FC FF 60 54 01 00 42 24 21 10 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_276_2_0 {
	meta:
		name = "_vfprintf_eEfFgG"
		size = 5592
		refs = "009c _ctype 01bc fputc 03a8 __floatdisf 03b8 fpcmp 0454 fptoui 0508 __udivdi3 0540 __umoddi3 0950 fpdiv 0968 __floatunsisf 0974 fpsub 0998 fpadd 0d50 fpmul 103c __floatundisf 115c frexpf"
		altNames = "_vfprintf_eEfFgGs"
	strings:
		$1 = { 98 FF BD 27 21 10 00 00 4C 00 B3 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 21 98 80 00 21 88 A0 00 70 00 A6 AF 2C 00 A2 AF 21 80 00 00 00 00 24 82 45 00 80 10 10 00 A4 A3 25 00 02 24 59 00 82 14 01 00 32 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 B0 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 4D 00 45 10 FF FF 71 24 2E 00 44 28 43 00 80 10 00 00 00 00 55 00 46 50 01 00 D6 36 51 00 48 50 02 00 D6 36 ?? ?? 04 3C ?? ?? 84 24 21 18 82 00 01 00 63 90 02 00 C5 32 FE FF C4 32 0B B0 85 00 08 00 C5 32 FB FF C4 32 04 00 63 30 49 00 60 10 0B B0 85 00 21 A0 00 00 0A 00 04 24 02 18 84 72 01 00 31 26 ?? ?? 05 3C ?? ?? A5 24 21 A0 62 00 00 00 22 82 21 18 A2 00 01 00 63 90 04 00 63 30 F6 FF 60 14 D0 FF 94 26 2E 00 03 24 45 00 43 50 01 00 31 26 00 10 D6 36 21 90 00 00 66 00 03 24 73 00 05 24 67 00 06 24 6C 00 07 24 10 00 09 24 00 80 08 24 67 00 44 28 10 00 A2 A3 9A 03 43 10 01 00 31 26 50 00 80 10 00 00 00 00 47 00 03 24 86 00 43 10 48 00 43 28 CB 01 60 50 63 00 03 24 66 03 40 14 45 00 03 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C2 FF 47 14 ?? ?? 04 3C 04 00 D6 36 01 00 63 24 FF FF 62 80 B5 FF 45 14 FF FF 71 24 08 00 D6 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 03 24 C3 FF 43 14 21 A0 00 00 70 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D4 8C 2E 00 03 24 04 00 C6 24 BE FF 43 14 70 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 03 24 1A 04 43 10 00 40 D6 36 ?? ?? 04 3C ?? ?? 84 24 21 18 82 00 01 00 63 90 21 90 00 00 04 00 63 30 B3 FF 60 10 0A 00 04 24 02 18 44 72 01 00 31 26 ?? ?? 05 3C ?? ?? A5 24 21 90 62 00 00 00 22 82 21 18 A2 00 01 00 63 90 04 00 63 30 F6 FF 60 14 D0 FF 52 26 ?? ?? ?? 0? 66 00 03 24 D2 03 45 10 74 00 44 28 83 01 80 50 75 00 03 24 36 00 46 10 00 02 DE 36 38 03 47 10 10 00 C2 32 10 00 B5 27 01 00 17 24 04 00 40 52 2B 90 F4 02 2B 10 57 02 0B B8 42 02 2B 90 F4 02 23 A0 97 02 0A A0 12 00 08 00 D6 32 0C 00 C0 16 21 90 80 02 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? FF FF 14 24 00 00 A4 82 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F4 16 21 28 60 02 47 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 20 00 D6 36 00 02 DE 36 00 07 C2 33 AF 00 40 10 20 00 BE AF 00 10 C4 33 06 00 03 24 10 00 C2 33 1B 01 40 10 0B 90 64 00 70 00 A2 8F 07 00 43 24 F8 FF 02 24 24 10 62 00 00 00 44 8C 04 00 45 8C 08 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 21 A8 40 00 21 20 A0 02 ?? ?? ?? 0? 21 28 00 00 06 00 41 04 21 20 A0 02 00 80 02 3C 03 00 DE 37 26 A8 55 00 20 00 BE AF 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 18 00 A0 AF 5B 03 40 14 21 B0 00 00 20 00 A3 8F 00 01 62 30 08 00 40 14 00 02 62 30 BA 01 40 10 19 00 42 2A FC FF C2 2A 03 00 40 14 2A 10 D2 02 E4 02 40 14 00 00 00 00 77 01 40 12 21 10 00 00 20 00 A4 8F 40 02 82 7C 23 90 42 02 13 00 42 2E 70 01 40 14 12 00 02 24 10 00 A2 A3 21 20 A0 02 ?? ?? ?? 0? 21 28 00 00 3A 01 40 14 10 00 A3 83 ?? ?? ?? 0? 21 20 A0 02 ?? ?? 05 3C 21 A8 40 00 ?? ?? BE 24 20 00 A5 8F FB FF 94 26 23 A0 92 02 03 00 A3 30 2B 18 03 00 04 00 A2 30 10 01 40 10 23 A0 83 02 02 00 A2 30 AC 02 40 10 20 00 A6 8F 01 00 A4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 34 04 80 1A 20 00 A2 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A3 8F 08 00 63 30 28 00 A3 AF 10 00 A2 83 21 20 A0 02 21 28 00 00 C0 10 02 00 21 10 C2 03 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 57 03 40 16 21 B0 60 00 20 00 A3 8F 20 00 62 30 02 00 40 14 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 90 03 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 12 24 21 28 60 02 1A 00 52 00 F4 01 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 72 00 F4 01 40 02 21 28 60 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 28 00 A2 8F 93 FE 40 50 00 00 24 82 91 FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 1E 7C 0D 03 40 04 10 00 C2 33 9C 00 40 10 70 00 A5 8F 70 00 A4 8F 21 B8 00 00 00 00 95 8C 04 00 84 24 70 00 A4 AF 03 00 40 16 C0 00 D6 33 25 90 B7 02 01 00 52 2E 80 00 02 24 E5 00 C2 12 C0 00 02 24 08 01 C2 12 10 00 A2 83 2A 18 52 00 61 00 60 10 2A 18 42 02 20 14 12 7C 10 00 A2 A3 05 00 80 12 00 40 C3 33 03 00 C3 33 2B 18 03 00 23 A0 83 02 00 40 C3 33 05 00 60 10 2A 20 54 00 2A 18 54 02 23 A0 92 02 0A A0 03 00 2A 20 54 00 23 10 82 02 0A 10 04 00 04 00 C3 33 50 00 60 10 20 00 A2 AF 02 00 C2 33 F6 01 40 10 01 00 C2 33 01 00 C4 33 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 20 00 A6 8F 27 10 02 00 2B 10 02 00 0B 00 C0 10 21 80 02 02 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 20 00 A3 AF F7 FF 60 14 21 80 02 02 08 00 DE 33 FF FF 48 26 ?? ?? 04 3C C0 A0 08 00 28 00 BE AF 40 28 17 00 ?? ?? 9E 24 21 A0 D4 03 80 40 08 00 80 00 1E 24 24 00 A5 AF 12 00 40 12 28 00 A4 8F 5C 02 DE 12 FF FF 52 26 C0 00 06 24 68 02 C6 52 00 00 86 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 34 00 A8 AF 34 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 94 26 F1 FF 40 16 FC FF 08 25 28 00 A4 8F 25 FE 80 50 00 00 24 82 20 00 A5 8F 22 FE A0 58 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A6 8F 27 10 02 00 2B 10 02 00 FF FF C6 24 20 00 A6 AF F7 FF C0 14 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A3 8F 00 00 75 8C 04 00 63 24 ?? ?? ?? 0? 70 00 A3 AF ?? ?? ?? 0? 0B 90 43 00 20 00 A4 8F 93 01 80 14 08 00 C6 33 08 00 C5 33 28 00 A5 AF 02 00 C2 33 9E 01 40 50 01 00 DE 33 01 00 C4 33 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 48 26 ?? ?? 04 3C C0 A0 08 00 ?? ?? 9E 24 40 28 17 00 21 A0 D4 03 80 40 08 00 80 00 1E 24 ?? ?? ?? 0? 24 00 A5 AF 63 02 43 10 65 00 03 24 86 FE 43 14 10 00 B5 27 ?? ?? ?? 0? 00 01 DE 36 5B 02 43 10 78 00 03 24 80 FE 43 14 10 00 B5 27 ?? ?? ?? 0? 80 00 DE 36 21 B8 00 00 00 00 B5 8C 04 00 A5 24 ?? ?? ?? 0? 70 00 A5 AF 20 00 A4 8F 08 00 84 30 0B 00 80 14 28 00 A4 AF 0A 00 80 1A 20 00 A5 8F 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A5 8F 02 00 A2 30 93 01 40 10 20 00 A6 8F 01 00 A4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 ?? ?? 1E 3C 23 20 C3 02 20 24 04 7C ?? ?? ?? 0? 38 00 A3 AF 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 ?? ?? ?? 0? 21 B8 40 00 21 20 40 00 ?? ?? ?? 0? 34 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 20 E0 02 ?? ?? C4 8F ?? ?? ?? 0? 21 28 40 00 38 00 A3 8F 09 00 40 1C 34 00 A6 8F ?? ?? C5 8F ?? ?? ?? 0? 21 20 E0 02 21 20 40 00 ?? ?? ?? 0? 21 B8 40 00 38 00 A3 8F 21 30 40 00 ?? ?? 04 3C 01 00 62 24 ?? ?? 9E 24 C0 10 02 00 21 10 C2 03 04 00 44 8C 4E 01 80 10 21 A8 C0 00 C0 18 03 00 21 18 C3 03 04 00 62 8C 90 02 40 50 00 00 62 8C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? FF FF D6 26 21 10 40 02 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 E9 02 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 19 04 00 02 00 02 24 02 47 04 00 25 40 06 01 01 00 42 24 21 30 60 00 2B 18 E5 02 02 00 09 24 10 00 0A 24 20 14 02 7C 11 00 60 14 21 38 00 01 46 01 E5 52 2B 20 A4 02 23 00 4A 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 19 04 00 02 47 04 00 25 40 06 01 21 48 40 00 21 30 60 00 01 00 42 24 2B 18 E5 02 20 14 02 7C F1 FF 60 10 21 38 00 01 10 00 A9 A3 ?? ?? ?? 0? 21 10 20 01 01 00 02 24 C9 02 E0 12 10 00 A2 A3 ?? ?? 04 3C ?? ?? 83 24 02 00 06 24 02 00 02 24 ?? ?? ?? 0? 14 00 07 24 21 30 40 00 04 00 64 8C 01 00 42 24 2B 28 E4 02 48 02 A0 14 20 14 02 7C 43 02 97 50 00 00 64 8C F7 FF 47 14 08 00 63 24 ?? ?? ?? 0? 10 00 A2 A3 60 02 40 14 00 00 00 00 18 00 B7 8F 0A 00 E2 2A 0E 00 40 10 ?? ?? 02 3C 21 20 A0 02 ?? ?? ?? 0? 21 28 00 00 49 02 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 A0 02 48 02 40 14 21 20 40 00 02 00 E3 2A 46 02 60 14 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 2C 00 A4 8F 35 02 42 04 ED FF F7 26 EE FF F7 26 18 00 B7 AF ?? ?? ?? 0? 20 24 17 7C 21 28 40 00 21 20 A0 02 ?? ?? ?? 0? 2C 00 A2 AF ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 21 A8 40 00 21 F0 00 00 01 00 03 24 0A 00 C2 2E 87 02 40 14 10 00 A3 A3 ?? ?? 02 3C ?? ?? 45 24 02 00 08 24 21 10 00 00 02 00 03 24 12 00 07 24 04 00 A4 8C 02 00 46 24 01 00 63 24 5D 02 80 14 01 00 42 24 00 00 A4 8C 20 1C 03 7C 2B 20 C4 02 58 02 80 14 08 00 A5 24 F5 FF 47 54 21 40 60 00 10 00 A3 A3 14 00 06 24 20 00 A4 8F 23 A0 97 02 23 A0 92 02 2B 10 12 00 23 A0 86 02 03 00 83 30 23 A0 82 02 2B 18 03 00 04 00 82 30 26 02 40 10 23 A0 83 02 02 00 82 30 4C 02 40 10 20 00 A5 8F 01 00 84 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 56 02 80 1A 20 00 A6 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A2 8F 08 00 42 30 24 00 A2 AF ?? ?? 06 3C ?? ?? ?? 0? ?? ?? D6 24 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 A0 02 21 28 00 00 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 C6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A FF 01 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 ?? ?? ?? 0? 21 28 C0 03 ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 21 B8 00 00 23 00 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 7E 24 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B5 83 27 10 02 00 2B 10 02 00 C0 18 15 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 28 E0 02 21 20 C0 02 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 FF FF A2 26 20 14 02 7C 21 B8 60 00 E1 FF A0 16 10 00 A2 A3 0A 00 40 12 24 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 24 00 A4 8F 86 FC 80 50 00 00 24 82 84 FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 6F FE C0 14 28 00 A6 AF 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 20 00 A3 AF F7 FF 60 14 21 80 02 02 02 00 C2 33 66 FE 40 14 01 00 C4 33 01 00 DE 33 6D FE C0 53 FF FF 48 26 ?? ?? ?? 0? 20 00 04 24 B0 01 40 14 20 00 A6 8F 1F FE C0 50 08 00 DE 33 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 20 00 A3 AF 0A FE 60 14 21 80 02 02 ?? ?? ?? 0? 08 00 DE 33 EB FC 43 14 10 00 B5 27 20 00 D6 36 ?? ?? ?? 0? 00 01 DE 36 00 00 42 8C 2B 10 C2 00 B1 FE 40 14 C0 18 03 00 ?? ?? 02 3C ?? ?? 45 8C 01 00 D6 26 21 20 E0 02 ?? ?? ?? 0? 18 00 B6 AF ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 A8 40 00 01 00 C2 30 5D FD 40 10 20 00 04 24 ?? ?? ?? 0? 00 00 00 00 01 00 C2 30 66 FD 40 10 10 00 A2 83 ?? ?? ?? 0? 20 00 04 24 BA FE 80 10 00 00 00 00 10 00 A9 A3 ?? ?? ?? 0? 21 10 20 01 21 20 00 01 0A 20 22 01 00 00 22 82 25 B0 96 00 FF FF D6 32 67 00 44 28 10 00 A2 A3 68 FC 43 14 01 00 31 26 ?? ?? ?? 0? 00 04 DE 36 38 01 C2 06 21 20 A0 02 ?? ?? ?? 0? 21 20 A0 02 21 B8 40 00 10 00 E0 12 21 20 00 00 ?? ?? 05 3C ?? ?? A5 24 21 10 00 00 13 00 06 24 04 00 A3 8C 01 00 42 24 08 00 60 14 21 20 40 00 00 00 A3 8C 2B 18 E3 02 04 00 60 14 08 00 A5 24 F8 FF 46 54 04 00 A3 8C 14 00 04 24 }
	condition:
		$1
}

rule file_279_1_0 {
	meta:
		name = "_vfprintf_cdeEfFnopsuxX"
		size = 6268
		refs = "009c _ctype 0164 fputc 0464 __floatdisf 047c fpcmp 04e0 fptoui 0594 __udivdi3 05d0 __umoddi3 0a24 _npowers_f 0a4c fpmul 0ad8 fpadd 0b50 fpdiv 0e94 frexpf 0f48 __floatunsisf 0f54 fpsub 11fc __floatundisf"
		altNames = "_vfprintf_cdeEfFnopuxX"
	strings:
		$1 = { 98 FF BD 27 21 10 00 00 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 30 00 A2 AF 21 80 00 00 00 00 24 82 68 00 80 10 10 00 A4 A3 25 00 02 24 37 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 2B 02 46 10 FF FF 91 24 2E 00 45 28 21 02 A0 10 00 00 00 00 33 02 47 50 01 00 63 34 2F 02 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A5 24 21 20 A2 00 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 27 02 80 10 0B 18 A6 00 21 98 00 00 0A 00 05 24 02 20 65 72 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 98 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF 73 26 2E 00 04 24 23 02 44 50 01 00 31 26 00 10 63 34 21 B8 00 00 10 00 07 24 00 80 06 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3D 00 A0 14 01 00 31 26 10 00 B4 27 01 00 1E 24 04 00 E0 12 2B 10 D3 03 2B 10 FE 02 0B F0 E2 02 2B 10 D3 03 08 00 76 30 23 98 7E 02 0B 00 C0 16 0A 98 02 00 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 75 16 20 00 04 24 ?? ?? ?? 0? FF FF 15 24 21 28 40 02 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D5 57 00 00 84 82 A5 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9A FF 80 14 10 00 A4 A3 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 ?? ?? 08 3C 80 20 04 00 ?? ?? 08 25 21 20 04 01 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 63 34 00 07 62 30 A9 00 40 10 21 A8 60 00 00 10 65 30 06 00 04 24 10 00 62 30 85 02 40 10 0B B8 85 00 70 00 A5 8F F8 FF 02 24 07 00 A4 24 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 38 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 38 00 A3 8F 21 A0 40 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 A0 54 00 03 00 75 34 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 18 00 A0 AF 79 02 40 14 21 B0 00 00 00 01 A2 32 50 01 40 10 19 00 E2 2A 13 00 E2 2E 90 02 40 10 12 00 02 24 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 10 00 B7 A3 90 02 40 14 10 00 A6 83 ?? ?? ?? 0? 21 20 80 02 21 A0 40 00 ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF 73 26 03 00 A3 32 23 98 77 02 2B 18 03 00 04 00 A2 32 C0 02 40 10 23 98 63 02 02 00 A2 32 67 04 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 BB 04 60 1A 08 00 A2 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 A3 32 24 00 A3 AF 10 00 A2 83 20 00 A6 8F 21 20 80 02 C0 10 02 00 21 10 C2 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 20 00 A7 8F 27 10 02 00 C0 18 03 00 21 18 E3 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A0 40 00 E6 03 E0 16 21 B0 60 00 20 00 B5 32 02 00 A0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 22 04 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 14 24 21 28 40 02 1A 00 54 00 F4 01 80 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 24 00 A2 8F 70 FE 40 50 00 00 24 82 6E FE 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 63 34 80 00 63 34 00 07 62 30 59 FF 40 14 21 A8 60 00 C0 00 62 30 E4 01 40 14 20 16 03 7C D8 03 40 04 10 00 62 30 65 02 40 10 70 00 A8 8F 70 00 A7 8F 00 00 E4 8C 04 00 E7 24 70 00 A7 AF C3 17 04 00 21 A0 80 00 75 02 40 04 21 B0 40 00 03 00 E0 16 C0 00 75 30 25 B8 96 02 01 00 F7 2E 40 00 02 24 55 03 A2 12 41 00 A2 2A 18 03 40 10 80 00 02 24 16 00 A0 16 10 00 BE 83 01 00 02 24 40 04 C0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 42 24 02 00 06 24 02 00 1E 24 ?? ?? ?? 0? 14 00 07 24 21 30 C0 03 04 00 44 8C 2B 28 C4 02 07 04 A0 54 10 00 A6 A3 01 04 96 50 00 00 44 8C 01 00 DE 27 20 F4 1E 7C F6 FF C7 17 08 00 42 24 10 00 BE A3 2A 10 D7 03 FC 02 40 10 2A 10 FE 02 20 F4 17 7C 10 00 BE A3 05 00 60 12 00 40 62 30 03 00 62 30 2B 10 02 00 23 98 62 02 00 40 62 30 05 00 40 10 2A 20 D3 03 2A 10 F3 02 23 98 77 02 0A 98 02 00 2A 20 D3 03 04 00 62 30 23 F0 7E 02 C0 02 40 10 0A F0 04 00 02 00 62 30 44 03 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 64 30 61 02 C0 17 2C 00 A4 AF FF FF F7 26 03 00 02 24 ?? ?? 07 3C C0 98 17 00 ?? ?? E7 24 80 40 17 00 41 00 A4 2A 02 B8 E2 72 20 00 63 30 40 10 16 00 21 98 F3 00 24 00 A2 AF 20 00 A4 AF ?? ?? ?? 0? 28 00 A3 AF 10 00 A0 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 80 02 21 28 C0 02 ?? ?? ?? 0? 34 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 34 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 34 00 A8 AF 34 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF F7 26 FD FF 02 24 73 02 E2 12 40 00 02 24 65 02 A2 12 20 00 A5 8F DF FF A0 14 80 00 02 24 4E 02 A2 12 C0 00 02 24 DD FF A2 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 63 34 ?? ?? ?? 0? 00 01 63 34 E4 FD 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 D7 FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 E5 FD 44 14 21 98 00 00 70 00 A7 8F 01 00 31 26 00 00 22 82 00 00 F3 8C 2E 00 04 24 04 00 E7 24 E0 FD 44 14 70 00 A7 AF 01 00 31 26 00 00 22 82 2A 00 04 24 E8 02 44 10 00 40 63 34 ?? ?? 08 3C ?? ?? 08 25 21 20 02 01 01 00 84 90 21 B8 00 00 04 00 84 30 D5 FD 80 10 0A 00 05 24 02 20 E5 72 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 B8 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF F7 26 ?? ?? ?? 0? 10 00 07 24 3B 00 40 10 0A 00 C2 2A FF 00 FE 32 6E 00 C2 2F 2F 03 40 14 0B 00 C2 2F EB 51 02 3C 1F 85 42 34 19 00 C2 03 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 03 3C ?? ?? 63 24 38 00 A3 AF 10 48 00 00 42 31 09 00 FF 00 C2 30 12 00 42 24 80 10 02 00 21 10 43 00 00 00 44 8C ?? ?? ?? 0? 34 00 A6 AF 34 00 A6 8F 64 00 04 24 CC CC 07 3C 02 28 C4 70 CD CC E7 34 21 20 40 00 38 00 A3 8F 34 00 A7 AF 23 30 C5 03 FF 00 C6 30 19 00 C7 00 10 48 00 00 C0 38 22 7D 09 00 42 24 80 10 02 00 21 10 43 00 ?? ?? ?? 0? 00 00 45 8C 34 00 A7 8F 21 20 40 00 0A 00 02 24 19 00 C7 03 38 00 A3 8F 10 38 00 00 C2 28 07 00 02 30 A2 70 23 10 C6 03 FF 00 42 30 80 10 02 00 21 18 43 00 ?? ?? ?? 0? 00 00 65 8C 21 20 80 02 ?? ?? ?? 0? 21 28 40 00 21 A0 40 00 0A 00 C2 2A 0D 00 40 10 ?? ?? 06 3C 21 20 80 02 ?? ?? ?? 0? 21 28 00 00 BB 01 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 80 02 BA 01 40 54 21 20 40 00 02 00 C3 2A B6 01 60 14 ?? ?? 06 3C ?? ?? C6 24 30 00 A4 8F ?? ?? ?? 0? 00 00 C5 8C 60 01 42 04 ED FF D6 26 EE FF D6 26 18 00 B6 AF ?? ?? ?? 0? 20 24 16 7C 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 30 00 A2 AF ?? ?? ?? 0? 21 20 40 00 21 38 00 00 21 F0 40 00 21 A0 40 00 20 00 A7 AF 01 00 03 24 0A 00 C2 2F 2D 03 40 14 10 00 A3 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 04 24 02 00 06 24 ?? ?? ?? 0? 12 00 07 24 21 30 80 00 04 00 65 8C 72 02 A0 14 02 00 48 24 00 00 65 8C 2B 28 C5 03 6E 02 A0 14 01 00 42 24 01 00 C4 24 20 24 04 7C F5 FF 47 14 08 00 63 24 10 00 A4 A3 14 00 08 24 23 98 76 02 23 98 77 02 2B 10 17 00 23 98 68 02 03 00 A3 32 23 98 62 02 2B 18 03 00 04 00 A2 32 05 02 40 10 23 98 63 02 02 00 A2 32 D5 02 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 60 5A 08 00 BE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 BE 32 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 15 25 C0 18 03 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 21 20 80 02 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 E2 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 E2 2A F8 01 40 14 20 14 17 7C 12 00 02 24 10 00 A2 A3 EE FF F7 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 20 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 B0 00 00 ?? ?? ?? 0? 21 20 40 00 21 A8 40 00 FF FF 82 26 20 14 02 7C 26 00 80 12 10 00 A2 A3 ?? ?? 09 3C ?? ?? 29 25 20 00 A9 AF 20 00 A3 8F C0 10 02 00 21 20 A0 02 21 10 62 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B4 83 20 00 A4 8F 27 10 02 00 C0 18 14 00 21 18 83 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 C0 02 21 20 A0 02 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 FF FF 82 26 20 14 02 7C 21 B0 60 00 DF FF 80 16 10 00 A2 A3 09 00 E0 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF F7 26 F9 FF E0 16 21 80 02 02 8A FC C0 53 00 00 24 82 88 FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A6 8F 00 00 D4 8C 04 00 C6 24 ?? ?? ?? 0? 70 00 A6 AF 02 02 40 04 10 00 62 30 8B 00 40 10 70 00 A6 8F 70 00 A5 8F 21 B0 00 00 00 00 B4 8C 04 00 A5 24 ?? ?? ?? 0? 70 00 A5 AF 21 20 80 02 ?? ?? ?? 0? 18 00 A5 27 18 00 B6 8F 03 00 03 24 0A 00 02 24 FF FF D6 26 02 B0 C3 72 1A 00 C2 02 F4 01 40 00 12 B0 00 00 39 02 C0 06 18 00 B6 AF 23 20 16 00 ?? ?? ?? 0? 20 24 04 7C 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 30 00 A2 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 30 00 A4 8F 72 00 41 04 ?? ?? 02 3C FF FF D6 26 ?? ?? ?? 0? 18 00 B6 AF 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 10 00 A2 A3 72 FD 40 10 10 00 A6 83 23 20 C6 02 20 24 04 7C ?? ?? ?? 0? 34 00 A6 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 F0 40 00 21 20 40 00 ?? ?? ?? 0? 38 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 20 C0 03 ?? ?? 05 3C ?? ?? A4 8C ?? ?? ?? 0? 21 28 40 00 38 00 A3 8F 0A 00 40 1C 34 00 A6 8F ?? ?? 07 3C ?? ?? E5 8C ?? ?? ?? 0? 21 20 C0 03 21 20 40 00 ?? ?? ?? 0? 21 F0 40 00 34 00 A6 8F 21 18 40 00 01 00 C2 24 ?? ?? 08 3C ?? ?? 08 25 C0 10 02 00 21 10 02 01 04 00 44 8C 20 00 A8 AF 57 01 80 14 21 A0 60 00 00 00 42 8C 2B 10 62 00 54 01 40 14 20 00 A9 8F ?? ?? 02 3C ?? ?? 45 8C 01 00 D6 26 21 20 C0 03 ?? ?? ?? 0? 18 00 B6 AF ?? ?? ?? 0? 21 20 40 00 FB FF 73 26 03 00 A3 32 21 A0 40 00 23 98 77 02 }
	condition:
		$1
}

rule file_284_1_0 {
	meta:
		name = "_dvfprintf_cdfFnopsuxX"
		size = 5220
		refs = "009c _ctype 016c fputc 0488 dpcmp 04f4 _npowers_ 0528 dpmul 05c0 dpadd 0604 __fixunsdfdi 0618 __floatundidf 0630 dpsub 0850 __udivdi3 0864 __umoddi3 0af4 dpdiv 111c frexp"
		altNames = "_dvfprintf_cdfFnopuxX"
	strings:
		$1 = { 98 FF BD 27 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 28 00 A0 AF 2C 00 A0 AF 21 80 00 00 00 00 24 82 6C 00 80 10 10 00 A4 A3 25 00 02 24 57 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 4B 02 46 10 FF FF 91 24 2E 00 45 28 41 02 A0 10 00 00 00 00 53 02 47 50 01 00 63 34 4F 02 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A4 24 21 28 82 00 01 00 A5 90 02 00 67 30 FE FF 66 30 0B 18 C7 00 08 00 67 30 FB FF 66 30 04 00 A5 30 47 02 A0 10 0B 18 C7 00 21 F0 00 00 0A 00 06 24 02 28 C6 73 01 00 31 26 21 F0 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF DE 27 2E 00 05 24 45 02 45 50 01 00 31 26 00 10 63 34 21 B8 00 00 ?? ?? 07 3C ?? ?? E6 24 10 00 08 24 00 80 07 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 41 00 A0 14 01 00 31 26 10 00 B3 27 01 00 06 24 04 00 E0 52 2B A0 DE 00 2B 10 E6 02 0B 30 E2 02 2B A0 DE 00 23 F0 C6 03 0A F0 14 00 08 00 76 30 0D 00 C0 16 21 A0 C0 03 FF FF 15 24 ?? ?? ?? 0? 21 B8 C0 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 95 16 20 00 04 24 21 30 E0 02 FF FF 15 24 ?? ?? ?? 0? 21 B8 C0 00 21 28 40 02 ?? ?? ?? 0? 01 00 73 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 56 00 00 64 82 A1 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 93 16 20 00 04 24 00 00 24 82 96 FF 80 14 10 00 A4 A3 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 80 20 04 00 21 20 C4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 63 34 80 00 63 34 00 07 62 30 89 00 40 10 21 A0 60 00 00 10 65 30 06 00 04 24 10 00 62 30 71 02 40 10 0B B8 85 00 70 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 45 8C 04 00 53 8C 08 00 44 24 70 00 A4 AF 20 00 A5 AF 20 00 A6 8F 21 28 60 02 21 38 00 00 21 20 C0 00 21 30 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 98 62 02 03 00 74 34 20 00 A3 8F 21 28 60 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF 14 03 40 14 20 00 A3 8F 24 00 A0 AF 19 00 E2 2A 40 00 40 10 24 00 A3 8F FF 00 F5 32 6E 00 A2 2E 62 02 40 14 0B 00 A2 2E EB 51 02 3C 1F 85 42 34 19 00 A2 02 ?? ?? 16 3C ?? ?? D6 26 ?? ?? 05 3C ?? ?? A6 8C ?? ?? A7 8C 10 18 00 00 42 41 03 00 FF 00 02 31 12 00 42 24 C0 10 02 00 21 10 56 00 00 00 44 8C 04 00 45 8C ?? ?? ?? 0? 38 00 A8 AF 38 00 A8 8F 64 00 04 24 CC CC 09 3C 02 28 04 71 CD CC 29 35 21 20 40 00 38 00 A9 AF 23 40 A5 02 FF 00 08 31 19 00 09 01 21 28 60 00 10 38 00 00 F8 07 E2 30 21 10 C2 02 48 00 46 8C ?? ?? ?? 0? 4C 00 47 8C 38 00 A9 8F 21 20 40 00 21 28 60 00 19 00 A9 02 0A 00 02 24 10 38 00 00 C2 18 07 00 02 30 62 70 23 10 A6 02 FF 00 42 30 C0 10 02 00 21 B0 56 00 00 00 C6 8E ?? ?? ?? 0? 04 00 C7 8E 20 00 A8 8F 21 28 60 02 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 20 00 A2 AF 21 98 60 00 24 00 A3 8F 0A 00 62 28 2E 01 40 10 2C 00 A2 8F 20 00 A3 8F 21 28 60 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 1B 01 40 14 20 00 A3 8F 21 28 60 02 ?? ?? ?? 0? 21 20 60 00 21 B0 40 00 21 A8 60 00 21 20 C0 02 ?? ?? ?? 0? 21 28 A0 02 20 00 A6 8F 21 28 60 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 20 00 A2 AF 24 00 A3 AF 18 00 A0 AF ?? ?? ?? 0? 21 40 00 00 00 04 63 34 00 07 62 30 79 FF 40 14 21 A0 60 00 C0 00 62 30 F5 01 40 14 20 16 03 7C 37 03 40 04 10 00 62 30 20 02 40 10 70 00 A2 8F 70 00 A7 8F 00 00 E4 8C 04 00 E7 24 70 00 A7 AF C3 17 04 00 21 98 80 00 2B 02 40 04 21 B0 40 00 03 00 E0 16 C0 00 75 30 25 B8 76 02 01 00 F7 2E 40 00 02 24 F2 02 A2 12 41 00 A2 2A 91 02 40 10 80 00 02 24 16 00 A0 16 10 00 A2 83 01 00 02 24 61 03 C0 12 10 00 A2 A3 ?? ?? 04 3C ?? ?? 84 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 08 24 21 38 40 00 04 00 85 8C 2B 30 C5 02 FD 02 C0 54 10 00 A7 A3 3F 03 B6 50 00 00 85 8C 01 00 42 24 20 14 02 7C F6 FF 48 14 08 00 84 24 10 00 A2 A3 2A 20 57 00 6A 02 80 10 2A 20 E2 02 20 14 17 7C 10 00 A2 A3 05 00 C0 13 00 40 64 30 03 00 64 30 2B 20 04 00 23 F0 C4 03 00 40 64 30 05 00 80 10 2A 28 5E 00 2A 20 FE 02 23 F0 D7 03 0A F0 04 00 2A 28 5E 00 23 10 C2 03 0A 10 05 00 04 00 64 30 42 02 80 10 24 00 A2 AF 02 00 62 30 B8 02 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 24 00 A5 8F 08 00 64 30 0F 00 A0 10 30 00 A4 AF 21 F0 A0 00 21 A0 60 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 08 00 86 32 24 00 BE AF 21 18 80 02 30 00 A6 AF FF FF F7 26 ?? ?? 14 3C C0 10 17 00 ?? ?? 94 26 21 A0 82 02 03 00 02 24 80 F0 17 00 02 B8 E2 72 40 20 16 00 41 00 A2 2A 20 00 63 30 21 40 C0 03 34 00 B1 AF 20 00 A3 AF 21 88 40 00 21 F0 E0 02 ?? ?? ?? 0? 21 B8 80 00 10 00 A0 16 10 00 A4 83 00 00 86 8E 04 00 87 8E 21 20 60 02 21 28 C0 02 ?? ?? ?? 0? 38 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 38 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 38 00 A8 AF 38 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 94 26 FC FF 08 25 FD FF DE 27 FD FF 02 24 C7 01 C2 13 40 00 02 24 BB 01 A2 12 27 10 1E 00 DF FF 20 16 80 00 02 24 A5 01 A2 12 C0 00 02 24 DD FF A2 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 70 00 A6 8F 70 00 A7 8F 01 00 C2 80 10 00 66 30 00 00 E5 8C 04 00 E4 24 8E 01 C0 10 10 00 A2 A3 8D 01 40 50 14 00 A5 A3 FF FF 06 24 8A 01 46 50 14 00 A5 A3 14 00 A2 A3 15 00 A5 A3 02 00 06 24 14 00 B3 27 ?? ?? ?? 0? 70 00 A4 AF ?? ?? ?? 0? C0 00 63 34 70 00 A5 8F 00 00 A4 8C 04 00 A5 24 A8 02 80 10 21 98 80 00 00 00 82 80 06 00 40 10 21 30 00 00 01 00 C6 24 21 10 86 00 00 00 42 80 FD FF 40 54 01 00 C6 24 ?? ?? ?? 0? 70 00 A5 AF ?? ?? ?? 0? 40 00 63 34 10 00 62 30 21 20 E0 00 0A 20 02 01 25 18 83 00 FF FF 63 30 ?? ?? ?? 0? 00 00 22 82 C4 FD 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 B7 FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 05 24 C3 FD 45 14 21 F0 00 00 70 00 A6 8F 01 00 31 26 00 00 22 82 00 00 DE 8C 2E 00 05 24 04 00 C6 24 BE FD 45 14 70 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 05 24 E5 01 45 10 00 40 63 34 21 28 82 00 01 00 A5 90 21 B8 00 00 04 00 A5 30 B5 FD A0 10 0A 00 06 24 02 28 E6 72 01 00 31 26 21 B8 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF F7 26 ?? ?? ?? 0? ?? ?? 07 3C 21 28 60 02 ?? ?? ?? 0? 21 20 60 00 21 B0 40 00 25 10 43 00 E5 FE 40 14 21 A8 60 00 24 00 A4 8F 02 00 82 28 E1 FE 40 14 2C 00 A2 8F 28 00 A3 8F 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 20 60 00 EA 00 40 04 24 00 A3 8F 24 00 A4 8F EE FF 88 24 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 38 00 A8 AF 2C 00 A3 AF 20 00 A6 8F 21 18 40 00 28 00 A2 AF 2C 00 A2 8F 21 20 C0 00 21 28 60 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 38 00 A8 8F 21 B0 40 00 21 A8 60 00 20 00 A0 AF 24 00 A0 AF 01 00 02 24 3C 02 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 05 24 02 00 07 24 ?? ?? ?? 0? 12 00 0A 24 21 38 A0 00 04 00 64 8C 2B 30 A4 02 68 01 C0 14 02 00 49 24 63 01 95 50 00 00 64 8C 01 00 E5 24 01 00 42 24 20 2C 05 7C F5 FF 4A 14 08 00 63 24 10 00 A5 A3 14 00 09 24 23 98 C8 03 23 98 77 02 2B 10 17 00 23 98 69 02 03 00 83 32 23 98 62 02 2B 18 03 00 04 00 82 32 1A 01 40 10 23 98 63 02 02 00 82 32 A3 01 40 10 01 00 82 32 01 00 84 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 60 1A 08 00 9E 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 9E 32 ?? ?? 14 3C ?? ?? ?? 0? ?? ?? 94 26 C0 18 03 00 21 18 83 02 00 00 66 8C 04 00 67 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 E2 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 E2 2A 0A 01 40 14 20 14 17 7C 12 00 02 24 10 00 A2 A3 EE FF F5 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 21 28 60 00 24 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 B0 40 00 FF FF 82 26 20 14 02 7C 27 00 80 12 10 00 A2 A3 ?? ?? 14 3C ?? ?? 94 26 21 40 60 00 21 B8 C0 02 C0 10 02 00 21 10 82 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 38 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B6 83 38 00 A8 8F 27 10 02 00 C0 18 16 00 21 18 83 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF C2 26 20 14 02 7C 21 40 60 00 DF FF C0 16 10 00 A2 A3 09 00 A0 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 9B FC C0 53 00 00 24 82 99 FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A6 8F F8 FF 02 24 07 00 C4 24 24 10 82 00 00 00 47 8C 04 00 53 8C 08 00 42 24 20 00 A7 AF ?? ?? ?? 0? 70 00 A2 AF 3A 01 40 04 10 00 62 30 35 00 40 10 70 00 A2 8F 70 00 A7 8F 21 B0 00 00 00 00 F3 8C 04 00 E7 24 ?? ?? ?? 0? 70 00 A7 AF ED FF 68 24 ?? ?? ?? 0? 18 00 A8 AF 4F 01 40 54 ?? ?? 02 3C CC CC 02 3C CD CC 42 34 19 00 A2 02 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 08 3C ?? ?? 08 25 38 00 A8 AF 10 28 00 00 C2 B0 05 00 FF 00 C2 32 09 00 42 24 C0 10 02 00 21 10 48 00 00 00 44 8C ?? ?? ?? 0? 04 00 45 8C 0A 00 04 24 02 28 C4 72 38 00 A8 8F 21 20 40 00 23 A8 A5 02 FF 00 B5 32 C0 A8 15 00 21 40 A8 02 00 00 06 8D 04 00 07 8D ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 20 00 A8 8F 00 00 44 8C 04 00 42 24 70 00 A2 AF C3 17 04 00 21 98 80 00 E3 FD 41 04 21 B0 40 00 ?? ?? ?? 0? 23 98 04 00 21 B0 00 00 00 00 53 8C 04 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 14 00 A5 A3 01 00 06 24 14 00 B3 27 ?? ?? ?? 0? 70 00 A4 AF 23 98 04 00 2B 20 13 00 23 10 02 00 03 00 63 34 ?? ?? ?? 0? 23 B0 44 00 27 18 08 00 04 18 77 00 06 10 13 01 25 10 62 00 06 28 16 01 20 00 06 31 0B 10 A6 00 20 00 A5 8F ?? ?? 04 3C ?? ?? 07 3C ?? ?? 83 24 ?? ?? E4 24 0A 18 85 00 0F 00 42 30 21 18 62 00 00 00 64 80 ?? ?? ?? 0? 10 00 A4 A3 04 10 57 00 06 20 D3 03 25 20 44 00 20 00 C3 33 06 10 D6 03 0B 20 43 00 07 00 84 30 30 00 84 24 ?? ?? ?? 0? 10 00 A4 A3 30 00 A6 8F 1D FC C0 10 34 00 B1 8F 24 00 A7 8F 1A FC E0 18 21 98 E0 00 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 }
	condition:
		$1
}

rule file_294_2_0 {
	meta:
		name = "_dvfprintf_cdfFgGnopuxX"
		size = 6796
		refs = "009c _ctype 0164 fputc 0478 dpcmp 0508 __fixunsdfdi 051c __floatundidf 0534 dpsub 075c __udivdi3 0770 __umoddi3 0958 dpadd 09bc dpmul 0a8c dpdiv 0de8 dptoul 1030 frexp 1630 __floatunsidf"
		altNames = "_dvfprintf_cdfFgGnopsuxX"
	strings:
		$1 = { 90 FF BD 27 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 6C 00 BF AF 68 00 BE AF 64 00 B7 AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 21 90 80 00 21 88 A0 00 78 00 A6 AF 2C 00 A0 AF 30 00 A0 AF 21 80 00 00 00 00 24 82 68 00 80 10 10 00 A4 A3 25 00 02 24 ED 01 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 E1 01 46 10 FF FF 91 24 2E 00 45 28 D7 01 A0 10 00 00 00 00 E9 01 47 50 01 00 63 34 E5 01 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A4 24 21 28 82 00 01 00 A5 90 02 00 67 30 FE FF 66 30 0B 18 C7 00 08 00 67 30 FB FF 66 30 04 00 A5 30 DD 01 A0 10 0B 18 C7 00 21 98 00 00 0A 00 06 24 02 28 66 72 01 00 31 26 21 98 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 73 26 2E 00 05 24 DB 01 45 50 01 00 31 26 00 10 63 34 21 A0 00 00 ?? ?? 07 3C ?? ?? E6 24 10 00 08 24 00 80 07 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3D 00 A0 14 01 00 31 26 10 00 B6 27 01 00 17 24 04 00 80 12 2B 10 F3 02 2B 10 97 02 0B B8 82 02 2B 10 F3 02 08 00 75 30 23 98 77 02 0B 00 A0 16 0A 98 02 00 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 D6 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F4 56 00 00 C4 82 A5 FF A0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9A FF 80 14 10 00 A4 A3 6C 00 BF 8F 21 10 00 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 80 20 04 00 21 20 C4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 63 34 80 00 63 34 00 07 62 30 4F 00 40 10 21 B8 60 00 00 10 65 30 06 00 04 24 10 00 62 30 E6 02 40 10 0B A0 85 00 78 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 45 8C 04 00 55 8C 08 00 44 24 78 00 A4 AF 20 00 A5 AF 20 00 A6 8F 21 28 A0 02 21 38 00 00 21 20 C0 00 21 30 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 A8 A2 02 03 00 77 34 20 00 A3 8F 21 28 A0 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF DC 02 40 14 21 B0 00 00 00 02 E2 32 00 01 40 14 FC FF C2 2A 19 00 82 2A 23 03 40 14 00 00 00 00 18 00 A8 8F 0A 00 02 29 54 01 40 10 30 00 A2 8F 20 00 A3 8F 21 28 A0 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 40 00 A8 AF FE 02 40 14 20 00 A3 8F 21 28 A0 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 21 B0 60 00 21 20 C0 03 ?? ?? ?? 0? 21 28 C0 02 20 00 A6 8F 21 28 A0 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 20 00 A2 AF 28 00 A3 AF 18 00 A0 AF ?? ?? ?? 0? 21 40 00 00 20 00 63 34 00 02 63 34 00 07 62 30 B3 FF 40 14 21 B8 60 00 C0 00 62 30 A4 02 40 14 20 16 03 7C 84 04 40 04 78 00 A6 8F 10 00 62 30 D7 02 40 10 78 00 A2 8F 78 00 A7 8F 00 00 E4 8C 04 00 E7 24 78 00 A7 AF C3 17 04 00 21 B0 80 00 21 B8 40 00 05 00 41 04 23 10 02 00 23 B0 04 00 2B 20 16 00 03 00 63 34 23 B8 44 00 03 00 80 16 C0 00 75 30 25 A0 D7 02 01 00 94 2E 40 00 02 24 CC 03 A2 12 41 00 A2 2A 77 03 40 10 80 00 02 24 16 00 A0 16 10 00 BE 83 01 00 02 24 19 05 E0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 42 24 02 00 06 24 02 00 1E 24 ?? ?? ?? 0? 14 00 07 24 21 30 C0 03 04 00 44 8C 2B 28 E4 02 70 03 A0 54 10 00 A6 A3 6D 04 97 50 00 00 44 8C 01 00 DE 27 20 F4 1E 7C F6 FF C7 17 08 00 42 24 10 00 BE A3 2A 10 D4 03 5B 03 40 10 2A 10 9E 02 20 F4 14 7C 10 00 BE A3 05 00 60 12 00 40 62 30 03 00 62 30 2B 10 02 00 23 98 62 02 00 40 62 30 05 00 40 10 2A 20 D3 03 2A 10 93 02 23 98 74 02 0A 98 02 00 2A 20 D3 03 04 00 62 30 23 F0 7E 02 2B 03 40 10 0A F0 04 00 02 00 62 30 79 03 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 62 30 0D 00 C0 13 24 00 A2 AF 21 98 60 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 08 00 64 32 21 18 60 02 24 00 A4 AF FF FF 94 26 ?? ?? 02 3C C0 98 14 00 ?? ?? 42 24 21 98 53 00 03 00 02 24 80 40 14 00 40 20 17 00 02 A0 82 72 20 00 63 30 41 00 A2 2A 28 00 BE AF 34 00 B1 AF 20 00 A3 AF 21 F0 80 00 ?? ?? ?? 0? 21 88 40 00 10 00 A0 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 40 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 40 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 40 00 A8 AF 40 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF 94 26 FD FF 02 24 CF 02 82 12 40 00 02 24 C3 02 A2 12 27 10 14 00 DF FF 20 16 80 00 02 24 AD 02 A2 12 C0 00 02 24 DD FF A2 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 2E FE 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 21 FE 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 05 24 2D FE 45 14 21 98 00 00 78 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D3 8C 2E 00 05 24 04 00 C6 24 28 FE 45 14 78 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 05 24 3C 03 45 10 00 40 63 34 21 28 82 00 01 00 A5 90 21 A0 00 00 04 00 A5 30 1F FE A0 10 0A 00 06 24 02 28 86 72 01 00 31 26 21 A0 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 94 26 ?? ?? ?? 0? ?? ?? 07 3C 3C 01 40 14 2A 10 D4 02 3A 01 40 10 00 00 00 00 4E 04 C0 06 20 00 A3 8F 21 28 A0 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 21 B0 60 00 25 10 D6 03 0F 00 40 10 21 30 00 00 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 13 00 07 24 04 00 64 8C 01 00 42 24 2B 28 C4 02 06 00 A0 14 21 30 40 00 A3 03 96 50 00 00 64 8C F8 FF 47 14 08 00 63 24 14 00 06 24 23 A0 86 02 19 00 82 2A 7C 03 40 10 00 00 00 00 ?? ?? ?? 0? FF 00 84 32 20 00 A6 8F 21 28 A0 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 20 80 02 20 00 A2 AF ?? ?? ?? 0? 21 A8 60 00 21 40 40 00 D6 FE 80 12 21 48 60 00 21 20 C0 03 21 28 C0 02 40 00 A8 AF ?? ?? ?? 0? 3C 00 A9 AF 20 00 A7 8F 21 28 A0 02 21 30 40 00 21 20 E0 00 ?? ?? ?? 0? 21 38 60 00 40 00 A8 8F 3C 00 A9 8F 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 20 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 BD FE 80 12 21 28 C0 02 21 20 C0 03 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 F0 40 00 ?? ?? ?? 0? 21 B0 60 00 25 10 43 00 F1 FF 40 50 FF FF 94 26 18 00 A8 8F 0A 00 02 29 B0 FE 40 14 20 00 A3 8F 30 00 A2 8F 2C 00 A3 8F 40 00 A8 AF 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 20 60 00 9A 01 40 04 40 00 A8 8F EE FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 40 00 A8 AF 30 00 A3 AF 20 00 A6 8F 21 18 40 00 2C 00 A2 AF 30 00 A2 8F 21 20 C0 00 21 28 A0 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 40 00 A8 8F 21 F0 40 00 21 B0 60 00 20 00 A0 AF 28 00 A0 AF 01 00 02 24 E0 03 C0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 2B 30 C5 02 61 02 C0 14 02 00 47 24 5C 02 B6 50 00 00 65 8C 01 00 84 24 01 00 42 24 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 98 68 02 23 A8 74 02 2B 10 14 00 23 A8 A7 02 03 00 E3 32 23 A8 A2 02 2B 18 03 00 04 00 E2 32 30 02 40 10 23 A8 A3 02 02 00 E2 32 FF 02 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 A0 5A 08 00 F7 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 08 00 F7 32 24 00 B7 AF ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 C0 18 03 00 21 18 63 02 00 00 66 8C 04 00 67 8C 21 20 C0 03 ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 82 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 82 2A E7 01 40 14 20 14 14 7C 12 00 02 24 10 00 A2 A3 EE FF 94 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 21 28 60 00 28 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 FF FF 64 26 20 24 04 7C 21 B0 40 00 21 B8 60 00 27 00 60 12 10 00 A4 A3 ?? ?? 02 3C ?? ?? 42 24 21 98 20 02 20 00 A2 AF 21 88 40 00 C0 20 04 00 21 20 24 02 00 00 86 8C 04 00 87 8C 21 28 E0 02 ?? ?? ?? 0? 21 20 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 BE 83 27 10 02 00 21 20 C0 02 C0 18 1E 00 21 18 23 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 E0 02 ?? ?? ?? 0? 21 80 02 02 FF FF C4 27 20 24 04 7C 21 B0 40 00 21 B8 60 00 E1 FF C0 17 10 00 A4 A3 21 88 60 02 0A 00 80 12 24 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 24 00 A4 8F B2 FC 80 50 00 00 24 82 B0 FC A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 8D 02 80 16 21 10 00 00 10 00 A2 A3 20 00 A3 8F 21 28 A0 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 02 40 14 10 00 AA 83 20 00 A2 8F 21 28 A0 02 ?? ?? ?? 0? 21 20 40 00 21 A8 40 00 18 00 B6 8F ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF 73 26 03 00 E2 32 63 00 C3 26 2B 10 02 00 23 98 74 02 C7 00 63 2C 23 98 62 02 01 00 63 2C 04 00 E2 32 D6 01 40 10 23 98 63 02 02 00 E2 32 74 02 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 60 1A 08 00 FE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 FE 32 10 00 A2 83 20 00 A3 8F 21 20 A0 02 C0 10 02 00 21 10 62 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 20 00 A4 8F 27 10 02 00 C0 18 03 00 21 18 83 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 62 02 80 16 21 A8 60 00 20 00 F7 32 02 00 E0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F B0 02 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 64 00 43 28 98 02 60 10 64 00 14 24 0A 00 14 24 1A 00 54 00 F4 01 80 02 21 28 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 29 FC C0 13 21 80 02 02 28 FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 78 00 A6 8F F8 FF 02 24 07 00 C4 24 24 10 82 00 00 00 47 8C 04 00 55 8C 08 00 42 24 20 00 A7 AF ?? ?? ?? 0? 78 00 A2 AF D8 01 40 04 }
	condition:
		$1
}

rule file_304_0_0 {
	meta:
		name = "strrchr"
		size = 76
		refs = "0010 strlen"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 10 00 A5 AF 1C 00 BF AF ?? ?? ?? 0? 21 80 80 00 10 00 A5 8F 21 10 02 02 20 2C 05 7C 00 00 43 80 05 00 65 10 1C 00 BF 8F FC FF 50 14 FF FF 42 24 21 10 00 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_315_0_0 {
	meta:
		name = "bsearch"
		size = 248
	strings:
		$1 = { C8 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 21 80 80 00 21 88 A0 00 21 90 E0 00 48 00 B3 8F 19 00 C0 10 21 10 00 00 FF FF D4 24 ?? ?? ?? 0? 21 B0 00 00 13 00 80 06 2A 10 96 02 12 00 40 14 21 10 00 00 21 10 96 02 C2 AF 02 00 21 A8 A2 02 43 A8 15 00 02 10 B2 72 21 20 00 02 21 B8 51 00 09 F8 60 02 21 28 E0 02 12 00 40 10 34 00 BF 8F F0 FF 43 04 01 00 B6 26 FF FF B4 26 EF FF 81 06 2A 10 96 02 21 10 00 00 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 10 E0 02 2C 00 B6 8F 30 00 B7 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_340_2_0 {
	meta:
		name = "vfprintf"
		size = 6960
		refs = "007c _ctype 0150 fputc 0444 __floatdisf 0454 fpcmp 04bc fpadd 0508 fpdiv 0510 fptoui 06a8 fpmul 06e8 __udivdi3 06fc __umoddi3 0fc0 __floatunsisf 0fcc fpsub 1158 frexpf 1328 __floatundisf"
	strings:
		$1 = { A0 FF BD 27 21 10 00 00 40 00 B2 AF 3C 00 B1 AF 38 00 B0 AF 5C 00 BF AF 58 00 BE AF 54 00 B7 AF 50 00 B6 AF 4C 00 B5 AF 48 00 B4 AF 44 00 B3 AF 21 90 80 00 21 88 A0 00 68 00 A6 AF 30 00 A2 AF 21 80 00 00 00 00 24 82 63 00 80 10 10 00 A4 A3 25 00 02 24 A4 02 82 14 01 00 33 26 02 00 23 26 21 B0 00 00 FF FF 62 80 E0 FF 44 24 FF 00 84 30 11 00 85 2C 75 02 A0 14 FF FF 71 24 ?? ?? 06 3C ?? ?? C6 24 21 18 C2 00 01 00 63 90 02 00 C5 32 FE FF C4 32 0B B0 85 00 08 00 C5 32 FB FF C4 32 04 00 63 30 98 02 60 10 0B B0 85 00 21 F0 00 00 0A 00 04 24 02 18 C4 73 01 00 31 26 ?? ?? 05 3C ?? ?? A5 24 21 F0 62 00 00 00 22 82 21 18 A2 00 01 00 63 90 04 00 63 30 F6 FF 60 14 D0 FF DE 27 2E 00 03 24 94 02 43 50 01 00 31 26 00 10 D6 36 21 98 00 00 ?? ?? 06 3C ?? ?? C5 24 10 00 07 24 00 80 06 24 FF 00 43 30 79 00 64 2C 10 00 A2 A3 3E 00 80 14 01 00 31 26 10 00 B5 27 01 00 17 24 04 00 60 52 2B 98 FE 02 2B 10 77 02 0B B8 62 02 2B 98 FE 02 23 F0 D7 03 0A F0 13 00 08 00 D6 32 0B 00 C0 16 21 98 C0 03 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F4 56 00 00 A4 82 AA FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9F FF 80 14 10 00 A4 A3 5C 00 BF 8F 21 10 00 02 58 00 BE 8F 54 00 B7 8F 50 00 B6 8F 4C 00 B5 8F 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 60 00 BD 27 80 18 03 00 21 18 A3 00 00 00 62 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 D6 36 00 07 C2 32 F1 00 40 10 C0 00 C2 32 00 10 C4 32 06 00 03 24 10 00 C2 32 CA 02 40 10 0B 98 64 00 68 00 A7 8F F8 FF 02 24 07 00 E3 24 24 10 62 00 00 00 44 8C 04 00 45 8C 08 00 42 24 ?? ?? ?? 0? 68 00 A2 AF 20 00 A2 AF 20 00 A4 8F ?? ?? ?? 0? 21 28 00 00 07 00 41 04 20 00 A4 8F 20 00 A4 8F 00 80 02 3C 03 00 D6 36 26 20 44 00 20 00 A4 AF 20 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 18 00 A0 AF 32 03 40 14 21 A0 00 00 00 01 C2 32 C3 01 40 14 00 02 C2 32 BF 01 40 14 FC FF 82 2A 19 00 62 2A 08 00 40 10 18 00 B4 8F ?? ?? ?? 0? FF 00 64 32 20 00 A4 8F ?? ?? ?? 0? 21 28 40 00 20 00 A2 AF 18 00 B4 8F 0A 00 82 2A 60 03 40 14 20 00 A4 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 30 00 A4 8F 29 05 43 04 EE FF 94 26 ED FF 94 26 18 00 B4 AF ?? ?? ?? 0? 20 24 14 7C 20 00 A4 8F 21 28 40 00 ?? ?? ?? 0? 30 00 A2 AF ?? ?? ?? 0? 21 20 40 00 21 18 00 00 21 B8 40 00 21 A8 40 00 20 00 A3 AF 01 00 03 24 0A 00 E2 2E 6E 05 40 14 10 00 A3 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 08 24 02 00 04 24 ?? ?? ?? 0? 12 00 07 24 21 40 80 00 04 00 65 8C EC 04 A0 14 02 00 46 24 00 00 65 8C 2B 28 E5 02 E8 04 A0 14 01 00 84 24 01 00 42 24 20 24 04 7C F5 FF 47 14 08 00 63 24 10 00 A4 A3 14 00 06 24 23 A0 D4 03 00 08 D7 32 23 A0 93 02 25 10 77 02 2B 10 02 00 23 A0 86 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 A6 04 40 10 23 A0 83 02 02 00 C2 32 0D 05 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 1A 10 00 A2 83 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 10 00 A2 83 08 00 DE 32 FF FF 43 24 20 1C 03 7C 9E 04 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 62 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 62 2A 04 05 40 14 20 14 13 7C 12 00 02 24 10 00 A2 A3 EE FF 73 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 20 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 B0 00 00 ?? ?? ?? 0? 21 20 40 00 21 B8 40 00 FF FF A2 26 20 14 02 7C 25 00 A0 12 10 00 A2 A3 ?? ?? 05 3C ?? ?? A5 24 C0 10 02 00 21 10 A2 00 00 00 46 8C 04 00 47 8C 21 20 E0 02 ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B5 83 ?? ?? 06 3C ?? ?? C6 24 C0 18 15 00 21 18 C3 00 00 00 66 8C 04 00 67 8C 27 10 02 00 2B 10 02 00 21 28 C0 02 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF A2 26 20 14 02 7C 21 B0 60 00 DD FF A0 16 10 00 A2 A3 09 00 60 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 30 FE C0 53 00 00 24 82 2E FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 D6 36 00 01 D6 36 00 07 C2 32 13 FF 40 14 00 10 C4 32 C0 00 C2 32 E4 01 40 14 20 16 16 7C 4E 04 40 04 68 00 A7 8F 10 00 C2 32 7C 02 40 10 68 00 A4 8F 68 00 A2 8F 00 00 43 8C 04 00 42 24 68 00 A2 AF C3 17 03 00 21 A8 60 00 21 B8 40 00 05 00 41 04 23 10 02 00 23 A8 03 00 2B 18 15 00 03 00 D6 36 23 B8 43 00 03 00 60 16 C0 00 D4 32 25 98 B7 02 01 00 73 2E 40 00 02 24 D3 03 82 12 41 00 82 2A 95 03 40 10 80 00 02 24 16 00 80 16 10 00 A2 83 01 00 02 24 A7 04 E0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 02 00 06 24 02 00 02 24 ?? ?? ?? 0? 14 00 07 24 21 30 40 00 04 00 64 8C 2B 28 E4 02 3C 04 A0 54 10 00 A6 A3 36 04 97 50 00 00 64 8C 01 00 42 24 20 14 02 7C F6 FF 47 14 08 00 63 24 10 00 A2 A3 2A 18 53 00 3A 03 60 10 2A 18 62 02 20 14 13 7C 10 00 A2 A3 05 00 C0 13 00 40 C3 32 03 00 C3 32 2B 18 03 00 23 F0 C3 03 00 40 C3 32 04 00 60 10 C4 08 C4 32 2A 18 7E 02 23 F0 D3 03 0A F0 03 00 40 08 03 24 71 03 83 10 C0 08 C4 32 80 08 03 24 CB 03 83 10 03 00 C3 2B 2A 20 5E 00 23 10 C2 03 0A 10 04 00 04 00 C3 32 23 03 60 10 20 00 A2 AF 02 00 C2 32 82 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A4 8F 08 00 C3 32 A2 02 80 14 2C 00 A3 AF FF FF 62 26 ?? ?? 04 3C 03 00 1E 24 C0 98 02 00 ?? ?? 84 24 80 40 02 00 02 F0 5E 70 41 00 83 2A 40 10 17 00 21 98 93 00 28 00 A2 AF 24 00 A3 AF ?? ?? ?? 0? 20 00 D6 32 10 00 80 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 A0 02 21 28 E0 02 ?? ?? ?? 0? 34 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 34 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 34 00 A8 AF 34 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF DE 27 FD FF 02 24 D2 02 C2 13 40 00 02 24 C5 02 82 12 28 00 A3 8F 24 00 A4 8F DE FF 80 14 80 00 02 24 AE 02 82 12 C0 00 02 24 DC FF 82 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 D6 36 ?? ?? ?? 0? 80 00 D6 36 20 00 D6 36 ?? ?? ?? 0? 00 02 D6 36 ?? ?? 05 3C 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 84 8C 08 00 80 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 D6 36 ?? ?? ?? 0? 01 00 63 24 08 00 D6 36 ?? ?? ?? 0? 01 00 63 24 02 00 D6 36 ?? ?? ?? 0? 01 00 63 24 00 08 D6 36 ?? ?? ?? 0? 01 00 63 24 01 00 D6 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 2A 00 03 24 74 FD 43 14 21 F0 00 00 68 00 A6 8F 01 00 31 26 00 00 22 82 00 00 DE 8C 2E 00 03 24 04 00 C6 24 6F FD 43 14 68 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 03 24 30 03 43 10 00 40 D6 36 ?? ?? 07 3C ?? ?? E7 24 21 18 E2 00 01 00 63 90 21 98 00 00 04 00 63 30 64 FD 60 10 0A 00 04 24 02 18 64 72 01 00 31 26 ?? ?? 05 3C ?? ?? A5 24 21 98 62 00 00 00 22 82 21 18 A2 00 01 00 63 90 04 00 63 30 F6 FF 60 14 D0 FF 73 26 ?? ?? ?? 0? ?? ?? 06 3C C2 01 40 10 2A 10 93 02 69 01 60 12 21 10 00 00 40 02 C2 7E 23 98 62 02 13 00 62 2E 63 01 40 14 12 00 02 24 10 00 A2 A3 20 00 A4 8F ?? ?? ?? 0? 21 28 00 00 EF 00 40 14 10 00 A3 83 20 00 A4 8F ?? ?? 15 3C ?? ?? ?? 0? ?? ?? B5 26 24 00 A2 AF 00 0A C3 32 00 02 02 24 24 01 62 10 24 00 A6 8F FB FF D4 27 B1 00 60 16 23 A0 93 02 00 08 C2 32 AF 00 40 14 03 00 C3 32 2B 18 03 00 04 00 C2 32 B0 00 40 10 23 A0 83 02 02 00 C2 32 73 01 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 9E 03 80 1A 08 00 C7 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 C2 32 28 00 A2 AF 10 00 A2 83 24 00 A4 8F 21 28 00 00 C0 10 02 00 21 10 A2 02 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 24 00 A4 8F 27 10 02 00 C0 18 03 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 F0 40 00 04 00 60 16 21 40 60 00 00 08 C2 32 40 00 40 50 20 00 D6 32 2E 00 04 24 21 28 40 02 ?? ?? ?? 0? 34 00 A8 AF 10 00 A4 83 27 10 02 00 2B 18 02 00 FF FF 82 24 20 14 02 7C 24 00 A4 AF 21 80 03 02 10 00 A2 A3 25 00 80 10 34 00 A8 8F 00 02 C5 32 20 00 A5 AF 20 00 A6 8F 03 00 C0 10 25 18 C8 03 2A 00 60 50 10 00 A0 A3 C0 10 02 00 21 10 A2 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 C0 03 ?? ?? ?? 0? 34 00 A8 AF 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B7 83 34 00 A8 8F 27 10 02 00 C0 18 17 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 C0 03 ?? ?? ?? 0? 21 80 02 02 21 F0 40 00 FF FF E2 26 20 14 02 7C 21 40 60 00 DF FF E0 16 10 00 A2 A3 24 00 A7 8F 23 98 67 02 0A 00 60 52 20 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 85 02 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 13 24 21 28 40 02 1A 00 53 00 F4 01 60 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 73 00 F4 01 60 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 28 00 A2 8F 6D FC 40 50 00 00 24 82 6B FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 03 00 C3 32 FF FF 94 26 2B 18 03 00 04 00 C2 32 52 FF 40 14 23 A0 83 02 08 00 C3 32 0B 00 60 14 28 00 A3 AF 0A 00 80 1A 02 00 C2 32 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 C2 32 CA 00 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 68 00 A2 8F 68 00 A3 8F 00 00 42 8C 04 00 63 24 68 00 A3 AF ?? ?? ?? 0? 20 00 A2 AF 75 02 40 04 10 00 C2 32 95 00 40 10 68 00 A2 8F 68 00 A7 8F 21 B8 00 00 00 00 F5 8C 04 00 E7 24 ?? ?? ?? 0? 68 00 A7 AF ?? ?? 15 3C 23 20 83 02 20 24 04 7C ?? ?? ?? 0? 34 00 A3 AF 20 00 A4 8F ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 20 00 A2 AF 21 20 40 00 ?? ?? ?? 0? 21 B8 40 00 20 00 A4 8F ?? ?? ?? 0? 21 28 40 00 ?? ?? A4 8E ?? ?? ?? 0? 21 28 40 00 09 00 40 1C 34 00 A3 8F 20 00 A4 8F ?? ?? ?? 0? ?? ?? A5 8E 21 20 40 00 ?? ?? ?? 0? 20 00 A2 AF }
	condition:
		$1
}

rule file_343_2_0 {
	meta:
		name = "_dvfprintf"
		size = 7392
		refs = "0084 _ctype 014c fputc 045c dpcmp 04d0 dpadd 0550 dpdiv 055c __fixunsdfdi 0690 __udivdi3 06a4 __umoddi3 075c dpmul 0cc4 dptoul 1108 __floatunsidf 1120 dpsub 12f8 frexp 1538 __floatundidf"
	strings:
		$1 = { 98 FF BD 27 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 34 00 A0 AF 38 00 A0 AF 21 80 00 00 00 00 24 82 62 00 80 10 10 00 A4 A3 25 00 02 24 DE 02 82 14 01 00 33 26 ?? ?? 02 3C 02 00 23 26 21 B0 00 00 ?? ?? 46 24 FF FF 62 80 E0 FF 44 24 FF 00 84 30 11 00 85 2C AF 02 A0 14 FF FF 71 24 ?? ?? 04 3C ?? ?? 83 24 21 20 62 00 01 00 84 90 02 00 C6 32 FE FF C5 32 0B B0 A6 00 08 00 C6 32 FB FF C5 32 04 00 84 30 D0 02 80 10 0B B0 A6 00 21 98 00 00 0A 00 05 24 02 20 65 72 01 00 31 26 21 98 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 73 26 2E 00 04 24 CE 02 44 50 01 00 31 26 00 10 D6 36 21 A8 00 00 ?? ?? 03 3C ?? ?? 65 24 10 00 07 24 00 80 06 24 FF 00 43 30 79 00 64 2C 10 00 A2 A3 3D 00 80 14 01 00 31 26 10 00 B7 27 01 00 1E 24 04 00 A0 12 2B 10 D3 03 2B 10 BE 02 0B F0 A2 02 2B 10 D3 03 08 00 D6 32 23 98 7E 02 0B 00 C0 16 0A 98 02 00 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 F7 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D4 57 00 00 E4 82 AB FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 A0 FF 80 14 10 00 A4 A3 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 80 18 03 00 21 18 A3 00 00 00 62 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 D6 36 80 00 D6 36 00 07 C2 32 23 01 40 10 C0 00 C2 32 00 10 C4 32 06 00 03 24 10 00 C2 32 16 03 40 10 0B A8 64 00 70 00 A7 8F F8 FF 02 24 07 00 E3 24 24 10 62 00 00 00 44 8C 04 00 54 8C 08 00 43 24 70 00 A3 AF 20 00 A4 AF 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 00 41 04 20 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 D6 36 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF 96 03 40 14 21 B8 00 00 00 01 C2 32 F7 01 40 14 00 02 C2 32 F3 01 40 14 FC FF E2 2A 19 00 A2 2A 0C 00 40 10 18 00 A8 8F ?? ?? ?? 0? FF 00 A4 32 20 00 A6 8F 21 28 80 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 20 00 A2 AF 21 A0 60 00 18 00 A8 8F 0A 00 02 29 CF 03 40 14 20 00 A3 8F 34 00 A3 8F 38 00 A2 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 21 28 40 00 ?? ?? ?? 0? 3C 00 A8 AF 82 05 41 04 3C 00 A8 8F ED FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 3C 00 A8 AF 38 00 A3 AF 34 00 A2 AF 21 18 40 00 20 00 A6 8F 38 00 A2 8F 21 28 80 02 21 20 C0 00 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 A8 8F 21 F0 40 00 21 B8 60 00 28 00 A0 AF 30 00 A0 AF 01 00 02 24 C4 05 E0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 05 24 ?? ?? ?? 0? 12 00 09 24 21 50 A0 00 04 00 64 8C 2B 30 E4 02 3D 05 C0 14 02 00 47 24 38 05 97 50 00 00 64 8C 01 00 A5 24 01 00 42 24 20 2C 05 7C F5 FF 49 14 08 00 63 24 10 00 A5 A3 14 00 07 24 00 08 C3 32 23 A0 68 02 25 10 A3 02 23 A0 95 02 2B 10 02 00 20 00 A3 AF 23 A0 87 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 09 05 40 10 23 A0 83 02 02 00 C2 32 4F 05 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 D6 32 24 00 B6 AF ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 C0 18 03 00 21 18 63 02 00 00 66 8C 04 00 67 8C 21 20 C0 03 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 A2 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 A2 2A 3A 05 40 14 20 14 15 7C 12 00 02 24 10 00 A2 A3 EE FF B5 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 21 28 60 00 30 00 A2 8F 28 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 FF FF 64 26 20 24 04 7C 21 B0 40 00 21 B8 60 00 27 00 60 12 10 00 A4 A3 ?? ?? 02 3C ?? ?? 42 24 21 98 20 02 28 00 A2 AF 21 88 40 00 C0 20 04 00 21 20 24 02 00 00 86 8C 04 00 87 8C 21 28 E0 02 ?? ?? ?? 0? 21 20 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 BE 83 27 10 02 00 21 20 C0 02 C0 18 1E 00 21 18 23 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 E0 02 ?? ?? ?? 0? 21 80 02 02 FF FF C4 27 20 24 04 7C 21 B0 40 00 21 B8 60 00 E1 FF C0 17 10 00 A4 A3 21 88 60 02 0A 00 A0 12 24 00 A6 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 24 00 A6 8F FE FD C0 50 00 00 24 82 FC FD 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 D6 36 00 01 D6 36 00 07 C2 32 E1 FE 40 14 00 10 C4 32 C0 00 C2 32 01 02 40 14 20 16 16 7C 81 04 40 04 70 00 A7 8F 10 00 C2 32 B9 02 40 10 70 00 A4 8F 70 00 A2 8F 00 00 43 8C 04 00 42 24 70 00 A2 AF C3 17 03 00 21 B8 60 00 21 F0 40 00 05 00 41 04 23 10 02 00 23 B8 03 00 2B 18 17 00 03 00 D6 36 23 F0 43 00 03 00 A0 16 C0 00 D4 32 25 A8 FE 02 01 00 B5 2E 40 00 02 24 E8 03 82 12 41 00 82 2A C8 03 40 10 80 00 02 24 16 00 80 16 10 00 A2 83 01 00 02 24 E6 04 C0 13 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 02 00 06 24 02 00 02 24 ?? ?? ?? 0? 14 00 07 24 21 30 40 00 04 00 64 8C 2B 28 C4 03 11 04 A0 54 10 00 A6 A3 69 04 9E 50 00 00 64 8C 01 00 42 24 20 14 02 7C F6 FF 47 14 08 00 63 24 10 00 A2 A3 2A 18 55 00 AC 03 60 10 2A 18 A2 02 20 14 15 7C 10 00 A2 A3 05 00 60 12 00 40 C3 32 03 00 C3 32 2B 18 03 00 23 98 63 02 00 40 C3 32 04 00 60 10 C4 08 C4 32 2A 18 B3 02 23 98 75 02 0A 98 03 00 40 08 03 24 A4 03 83 10 C0 08 C4 32 80 08 03 24 FD 03 83 10 03 00 63 2A 2A 20 53 00 23 10 62 02 0A 10 04 00 04 00 C3 32 60 03 60 10 24 00 A2 AF 02 00 C2 32 9B 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 24 00 A4 8F 08 00 C3 32 0D 00 80 10 30 00 A3 AF 21 98 80 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 C5 32 24 00 B3 AF 30 00 A5 AF FF FF B5 26 ?? ?? 02 3C C0 98 15 00 ?? ?? 42 24 21 98 53 00 03 00 02 24 20 00 D6 32 80 40 15 00 40 18 1E 00 02 A8 A2 72 41 00 82 2A 28 00 B1 AF 20 00 B6 AF 21 88 40 00 ?? ?? ?? 0? 21 B0 60 00 10 00 80 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 E0 02 21 28 C0 03 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 3C 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF B5 26 FD FF 02 24 05 03 A2 12 40 00 02 24 E7 02 82 12 27 10 15 00 DF FF 20 16 80 00 02 24 ED 02 82 12 C0 00 02 24 DD FF 82 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 D6 36 ?? ?? ?? 0? 00 02 D6 36 80 20 04 00 21 20 C4 00 00 00 84 8C 08 00 80 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 D6 36 ?? ?? ?? 0? 01 00 63 24 08 00 D6 36 ?? ?? ?? 0? 01 00 63 24 02 00 D6 36 ?? ?? ?? 0? 01 00 63 24 00 08 D6 36 ?? ?? ?? 0? 01 00 63 24 01 00 D6 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 2A 00 04 24 3A FD 44 14 21 98 00 00 70 00 A5 8F 01 00 31 26 00 00 22 82 00 00 B3 8C 2E 00 04 24 04 00 A5 24 35 FD 44 14 70 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 5B 03 44 10 00 40 D6 36 21 20 62 00 01 00 84 90 21 A8 00 00 04 00 84 30 2C FD 80 10 0A 00 05 24 02 20 A5 72 01 00 31 26 21 A8 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF B5 26 ?? ?? ?? 0? ?? ?? 03 3C 0D 02 40 10 2A 10 F5 02 99 01 A0 12 21 10 00 00 40 02 C2 7E 23 A8 A2 02 13 00 A2 2E 93 01 40 14 12 00 02 24 10 00 A2 A3 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 05 01 40 14 10 00 A8 83 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 24 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 28 00 A2 AF 00 0A C3 32 00 02 02 24 4B 01 62 10 15 00 A3 2A FB FF 73 26 BC 00 A0 16 23 98 75 02 00 08 C2 32 BA 00 40 14 18 00 A3 8F 03 00 C2 32 2B 10 02 00 63 00 63 24 C7 00 63 2C 23 98 62 02 01 00 63 2C 04 00 C2 32 BB 00 40 10 23 98 63 02 02 00 C2 32 A1 01 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 C6 03 60 1A 08 00 C4 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 C5 32 20 00 A5 AF 10 00 A2 83 28 00 A7 8F 24 00 A4 8F C0 10 02 00 21 10 E2 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 28 00 A4 8F 27 10 02 00 C0 18 03 00 21 18 83 00 00 00 66 8C 04 00 67 8C 24 00 A4 8F 2B 10 02 00 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 04 00 A0 16 21 F0 60 00 00 08 C2 32 42 00 40 50 20 00 D6 32 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 10 00 B4 83 27 10 02 00 2B 18 02 00 FF FF 82 26 20 14 02 7C 21 80 03 02 2B 00 80 12 10 00 A2 A3 30 00 B1 AF 28 00 B1 8F 00 02 C3 32 24 00 B3 AF 21 40 C0 03 21 98 60 00 21 F0 E0 02 03 00 60 12 25 18 C8 03 F2 02 60 50 24 00 B3 8F C0 10 02 00 21 10 22 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 C0 03 ?? ?? ?? 0? 3C 00 A8 AF 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B7 83 3C 00 A8 8F 27 10 02 00 C0 18 17 00 21 18 23 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 C0 03 ?? ?? ?? 0? 21 80 02 02 21 F0 40 00 FF FF E2 26 20 14 02 7C 21 40 60 00 E0 FF E0 16 10 00 A2 A3 24 00 B3 8F 30 00 B1 8F 23 A8 B4 02 0A 00 A0 52 20 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F B3 02 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A3 8F 64 00 62 28 9B 02 40 10 64 00 14 24 0A 00 14 24 1A 00 74 00 F4 01 80 02 21 28 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A2 8F 26 FC 40 50 00 00 24 82 24 FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 18 00 A3 8F 03 00 C2 32 2B 10 02 00 63 00 63 24 FF FF 73 26 C7 00 63 2C 23 98 62 02 }
	condition:
		$1
}

rule file_345_0_0 {
	meta:
		name = "_ivfprintf"
		size = 2812
		refs = "0074 _ctype 01e8 fputc 048c __udivdi3 04a0 __umoddi3"
	strings:
		$1 = { A8 FF BD 27 40 00 B4 AF 34 00 B1 AF 30 00 B0 AF 54 00 BF AF 50 00 BE AF 4C 00 B7 AF 48 00 B6 AF 44 00 B5 AF 3C 00 B3 AF 38 00 B2 AF 21 A0 80 00 21 88 A0 00 60 00 A6 AF 21 80 00 00 00 00 24 82 35 00 80 10 10 00 A4 A3 25 00 02 24 66 00 82 14 01 00 32 26 02 00 24 26 21 18 00 00 FF FF 82 80 E0 FF 45 24 FF 00 A5 30 11 00 A6 2C 37 00 C0 14 FF FF 91 24 ?? ?? 07 3C ?? ?? E7 24 21 20 E2 00 01 00 84 90 FE FF 65 30 02 00 66 30 0B 18 A6 00 08 00 68 30 FB FF 65 30 04 00 84 30 5A 00 80 10 0B 18 A8 00 21 20 00 00 0A 00 06 24 02 28 86 70 01 00 31 26 ?? ?? 07 3C ?? ?? E7 24 21 20 A2 00 00 00 22 82 21 28 E2 00 01 00 A5 90 04 00 A5 30 F6 FF A0 14 D0 FF 84 24 6C 00 05 24 10 00 07 24 00 80 06 24 10 00 A2 A3 71 01 45 10 01 00 31 26 6D 00 45 28 4E 00 A0 10 73 00 05 24 63 00 05 24 39 01 45 10 64 00 45 28 31 01 A0 50 64 00 05 24 7A 01 40 14 58 00 05 24 54 00 BF 8F 21 10 00 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? 06 3C 80 28 05 00 ?? ?? C6 24 21 28 C5 00 00 00 A5 8C 08 00 A0 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 63 34 ?? ?? ?? 0? 01 00 84 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 02 00 63 34 ?? ?? ?? 0? 01 00 84 24 00 08 63 34 ?? ?? ?? 0? 01 00 84 24 01 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 80 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 2A 00 05 24 B2 FF 45 14 21 20 00 00 60 00 A8 8F 01 00 22 82 01 00 31 26 00 00 04 8D 04 00 08 25 ?? ?? ?? 0? 60 00 A8 AF FF 00 45 10 74 00 45 28 DD 00 A0 10 75 00 05 24 6F 00 05 24 24 00 45 10 70 00 05 24 2E 01 45 50 20 00 63 34 10 00 B5 27 01 00 1E 24 2B 90 C4 03 23 20 9E 00 0A 20 12 00 08 00 76 30 04 01 C0 12 21 90 80 00 ?? ?? ?? 0? FF FF 13 24 21 28 80 02 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D3 57 00 00 A4 82 67 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 21 28 80 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 F9 FF 53 56 20 00 04 24 ?? ?? ?? 0? 00 00 24 82 40 00 63 34 C0 00 62 30 8C 00 40 14 20 16 03 7C D7 01 40 04 60 00 A7 8F 10 00 62 30 FA 00 40 10 60 00 A2 8F 60 00 A8 8F 00 00 05 8D 04 00 08 25 60 00 A8 AF C3 17 05 00 21 A8 A0 00 21 B0 40 00 88 00 41 04 C0 00 73 30 23 A8 05 00 23 10 02 00 2B 28 15 00 03 00 63 34 23 B0 45 00 C0 00 73 30 40 00 02 24 82 00 62 16 41 00 62 2A 01 00 02 24 E7 01 C0 12 10 00 A2 A3 02 00 02 24 02 00 17 24 40 00 06 24 21 38 00 00 ?? ?? ?? 0? 15 00 08 24 C0 28 07 00 C0 48 06 00 25 28 45 01 21 30 20 01 21 38 A0 00 21 B8 40 00 2B 28 C7 02 08 00 A0 54 10 00 A2 A3 6A 01 C7 12 2B 28 A6 02 01 00 E2 26 20 14 02 7C F2 FF 48 14 42 57 06 00 10 00 A8 A3 04 00 80 10 C4 08 66 30 03 00 65 30 2B 28 05 00 23 20 85 00 40 08 05 24 61 01 C5 10 C0 08 66 30 80 08 05 24 92 01 C5 10 03 00 85 28 2A B8 44 00 23 10 82 00 0A 10 17 00 04 00 65 30 0A 01 A0 10 21 B8 40 00 02 00 62 30 76 01 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 28 00 A3 AF 21 28 80 02 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 28 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 64 30 B8 00 E0 16 20 00 A4 AF 10 00 BE 83 ?? ?? 07 3C ?? ?? F2 24 FF FF DE 27 C0 10 1E 00 21 90 42 02 03 00 02 24 80 40 1E 00 41 00 64 2A 02 F0 C2 73 20 00 63 30 40 10 16 00 1C 00 A2 AF 18 00 A4 AF ?? ?? ?? 0? 24 00 A3 AF 10 00 60 16 10 00 A4 83 00 00 46 8E 04 00 47 8E 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 28 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 28 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 80 02 ?? ?? ?? 0? 28 00 A8 AF 28 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 52 26 FC FF 08 25 FD FF DE 27 FD FF 02 24 BB 00 C2 13 40 00 02 24 9A 00 62 12 18 00 A5 8F DF FF A0 14 80 00 02 24 A2 00 62 12 C0 00 02 24 DD FF 62 12 10 00 A4 83 ?? ?? ?? 0? 21 28 80 02 43 01 40 04 10 00 62 30 6B 00 40 14 60 00 A8 8F 60 00 A2 8F 21 B0 00 00 00 00 55 8C 04 00 42 24 60 00 A2 AF C0 00 73 30 40 00 02 24 80 FF 62 12 41 00 62 2A F5 00 40 10 80 00 02 24 95 FF 60 16 10 00 A2 83 01 00 02 24 58 01 C0 12 10 00 A2 A3 ?? ?? 05 3C ?? ?? A5 24 02 00 02 24 02 00 17 24 ?? ?? ?? 0? 14 00 08 24 21 B8 40 00 04 00 A6 8C 2B 38 C6 02 87 FF E0 54 10 00 A2 A3 3B 01 D6 50 00 00 A6 8C 01 00 E2 26 20 14 02 7C F6 FF 48 14 08 00 A5 24 ?? ?? ?? 0? 10 00 A8 A3 05 00 45 10 78 00 05 24 27 FF 45 14 10 00 B5 27 ?? ?? ?? 0? 80 00 63 34 ?? ?? ?? 0? C0 00 63 34 42 FF 45 10 69 00 05 24 40 FF 45 10 10 00 B5 27 ?? ?? ?? 0? 01 00 1E 24 60 00 A5 8F 10 00 66 30 01 00 A2 80 00 00 A7 8C 04 00 A5 24 51 00 C0 10 10 00 A2 A3 50 00 40 50 14 00 A7 A3 FF FF 06 24 4D 00 46 50 14 00 A7 A3 14 00 A2 A3 15 00 A7 A3 02 00 1E 24 14 00 B5 27 ?? ?? ?? 0? 60 00 A5 AF 60 00 A2 8F 00 00 45 8C 04 00 46 24 19 01 A0 10 21 A8 A0 00 00 00 A2 80 06 00 40 10 21 F0 00 00 01 00 DE 27 21 10 BE 00 00 00 42 80 FD FF 40 54 01 00 DE 27 60 00 A6 AF 2B 90 C4 03 23 20 9E 00 0A 20 12 00 08 00 76 30 FE FE C0 16 21 90 80 00 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 21 28 80 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 F9 FF 53 16 20 00 04 24 ?? ?? ?? 0? FF FF 13 24 10 00 62 30 21 40 C0 00 0A 40 E2 00 25 18 03 01 FF FF 63 30 ?? ?? ?? 0? 00 00 22 82 21 B0 00 00 00 00 15 8D 04 00 08 25 ?? ?? ?? 0? 60 00 A8 AF 00 00 45 8C 04 00 42 24 60 00 A2 AF C3 17 05 00 21 A8 A0 00 ?? ?? ?? 0? 21 B0 40 00 D6 FE 45 14 10 00 B5 27 20 00 63 34 ?? ?? ?? 0? 80 00 63 34 30 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 2B 10 02 00 FF FF F7 26 21 80 02 02 F7 FF E0 16 28 00 A3 8F 08 00 65 30 ?? ?? ?? 0? 20 00 A5 AF 14 00 A7 A3 01 00 1E 24 14 00 B5 27 ?? ?? ?? 0? 60 00 A5 AF 1C 00 A6 8F 27 10 1E 00 06 20 D5 03 04 10 46 00 25 20 44 00 20 00 C3 33 06 10 D6 03 0B 20 43 00 07 00 84 30 30 00 84 24 ?? ?? ?? 0? 10 00 A4 A3 1C 00 A6 8F 27 18 08 00 06 10 15 01 04 18 66 00 25 10 62 00 06 28 16 01 20 00 06 31 ?? ?? 07 3C 0B 10 A6 00 24 00 A5 8F ?? ?? E3 24 ?? ?? 07 3C ?? ?? E4 24 0A 18 85 00 0F 00 42 30 21 18 62 00 00 00 64 80 ?? ?? ?? 0? 10 00 A4 A3 20 00 A7 8F 19 FE E0 50 00 00 24 82 17 FE E0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 80 02 27 10 02 00 2B 10 02 00 FF FF F7 26 F9 FF E0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 08 00 66 30 03 00 40 10 20 00 A6 AF 2B 00 C0 10 20 00 04 24 02 00 62 30 64 00 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 28 00 A3 8F 2B 10 02 00 21 80 02 02 C0 08 62 30 40 08 04 24 93 00 44 10 30 00 04 24 80 08 04 24 F1 FE 44 54 10 00 BE 83 30 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 28 00 A3 8F 27 10 02 00 58 00 05 24 20 00 66 30 2B 10 02 00 78 00 04 24 0B 20 A6 00 21 80 02 02 21 28 80 02 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 ?? ?? ?? 0? 28 00 A3 8F 20 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 2B 10 02 00 FF FF F7 26 21 80 02 02 CE FF E0 12 28 00 A3 8F 20 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 27 10 02 00 2B 10 02 00 FF FF F7 26 21 80 02 02 ED FF E0 16 28 00 A3 8F ?? ?? ?? 0? 02 00 62 30 0C 00 62 12 C0 00 02 24 0B FF 62 12 10 00 A2 83 ?? ?? ?? 0? 00 00 00 00 97 FE A0 50 01 00 E2 26 ?? ?? ?? 0? 10 00 A2 A3 2B 28 04 00 ?? ?? ?? 0? 23 20 85 00 01 00 02 24 5E 00 C0 12 10 00 A2 A3 02 00 02 24 02 00 17 24 00 01 06 24 21 38 00 00 ?? ?? ?? 0? 10 00 08 24 00 29 07 00 00 49 06 00 25 28 45 01 21 30 20 01 21 38 A0 00 21 B8 40 00 2B 28 C7 02 84 FE A0 54 10 00 A2 A3 34 00 C7 12 2B 28 A6 02 01 00 E2 26 20 14 02 7C F2 FF 48 14 02 57 06 00 ?? ?? ?? 0? 10 00 A8 A3 A8 FF 40 10 C0 08 62 30 ?? ?? ?? 0? 20 00 04 24 31 00 40 14 80 08 02 24 C0 08 64 30 94 FE 82 54 08 00 64 30 30 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 28 00 A3 8F 27 10 02 00 58 00 05 24 20 00 66 30 2B 10 02 00 78 00 04 24 0B 20 A6 00 21 80 02 02 ?? ?? ?? 0? 21 28 80 02 FE FF 84 24 ?? ?? ?? 0? 0B 20 05 00 60 00 A6 8F F8 FF 02 24 07 00 C5 24 24 10 A2 00 08 00 47 24 60 00 A7 AF 00 00 55 8C ?? ?? ?? 0? 04 00 56 8C F8 FF 02 24 07 00 E6 24 24 30 C2 00 00 00 C5 8C 04 00 C2 8C 08 00 C6 24 60 00 A6 AF 21 A8 A0 00 ?? ?? ?? 0? 21 B0 40 00 CD FF A0 50 01 00 E2 26 ?? ?? ?? 0? 10 00 A2 A3 2B 30 A6 02 C5 FE C0 50 01 00 E2 26 ?? ?? ?? 0? 10 00 A2 A3 20 00 04 24 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF ?? ?? 15 3C ?? ?? B5 26 ?? ?? ?? 0? 21 28 A0 02 21 28 80 02 ?? ?? ?? 0? 28 00 A3 AF 0A 00 A2 2E A8 FE 40 10 ?? ?? 05 3C ?? ?? ?? 0? 01 00 02 24 10 00 A2 2E A2 FF 40 50 02 00 02 24 ?? ?? ?? 0? 01 00 02 24 08 00 A2 2E 19 FE 40 50 02 00 02 24 ?? ?? ?? 0? 01 00 02 24 }
	condition:
		$1
}

rule file_347_0_0 {
	meta:
		name = "memchr"
		size = 68
	strings:
		$1 = { 0C 00 C0 10 21 10 00 00 00 00 83 90 FF 00 A5 30 08 00 65 10 21 10 80 00 FF FF 82 24 21 30 46 00 06 00 86 10 01 00 84 24 00 00 82 90 FC FF 45 14 21 10 80 00 08 00 E0 03 00 00 00 00 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_356_0_0 {
	meta:
		name = "_filbuf"
		size = 360
		refs = "0034 _outdone 0044 _iob 0074 fflush 0094 read"
	strings:
		$1 = { 0C 00 83 94 D0 FF BD 27 18 00 B0 AF 01 00 63 30 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 21 80 80 00 04 00 80 AC 27 00 60 10 FF FF 02 24 ?? ?? 14 3C ?? ?? 82 82 13 00 40 50 10 00 06 8E ?? ?? 11 3C ?? ?? 31 26 A0 00 33 26 ?? ?? ?? 0? 02 01 12 24 0B 00 33 52 ?? ?? 80 A2 0C 00 22 96 02 01 42 30 FB FF 52 54 14 00 31 26 21 20 20 02 ?? ?? ?? 0? 14 00 31 26 F9 FF 33 56 0C 00 22 96 ?? ?? 80 A2 10 00 06 8E 17 00 C0 10 0E 00 04 96 ?? ?? ?? 0? 08 00 05 8E 27 00 40 10 04 00 02 AE FF FF 03 24 2C 00 43 50 0C 00 02 96 08 00 03 8E FF FF 42 24 04 00 02 AE 00 00 03 AE 01 00 64 24 00 00 62 90 00 00 04 AE 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 04 00 00 AE 10 00 A5 27 ?? ?? ?? 0? 01 00 06 24 01 00 03 24 09 00 43 14 2C 00 BF 8F 10 00 A2 93 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 0C 00 03 96 FF FF 02 24 10 00 63 34 ?? ?? ?? 0? 0C 00 03 A6 0C 00 02 96 10 00 42 34 0C 00 02 A6 08 00 03 8E 04 00 00 AE FF FF 02 24 ?? ?? ?? 0? 00 00 03 AE 30 00 42 34 ?? ?? ?? 0? 0C 00 02 A6 }
	condition:
		$1
}

rule file_370_1_0 {
	meta:
		name = "_vfprintf_cdfFnopuxX"
		size = 4980
		refs = "009c _ctype 0168 fputc 0468 __floatdisf 0480 fpcmp 04e4 _npowers_f 050c fpmul 0598 fpadd 05c4 fptoui 05d4 __floatundisf 05e0 fpsub 07bc __udivdi3 07d0 __umoddi3 0a24 fpdiv 10b8 frexpf"
		altNames = "_vfprintf_cdfFnopsuxX"
	strings:
		$1 = { 98 FF BD 27 21 10 00 00 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 30 00 A2 AF 21 80 00 00 00 00 24 82 69 00 80 10 10 00 A4 A3 25 00 02 24 2E 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 22 02 46 10 FF FF 91 24 2E 00 45 28 18 02 A0 10 00 00 00 00 2A 02 47 50 01 00 63 34 26 02 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A5 24 21 20 A2 00 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 1E 02 80 10 0B 18 A6 00 21 F0 00 00 0A 00 05 24 02 20 C5 73 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 F0 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF DE 27 2E 00 04 24 1A 02 44 50 01 00 31 26 00 10 63 34 21 B0 00 00 10 00 07 24 00 80 06 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3E 00 A0 14 01 00 31 26 10 00 B3 27 01 00 17 24 04 00 C0 52 2B A0 FE 02 2B 10 D7 02 0B B8 C2 02 2B A0 FE 02 23 F0 D7 03 0A F0 14 00 08 00 76 30 0B 00 C0 16 21 A0 C0 03 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 95 16 20 00 04 24 ?? ?? ?? 0? FF FF 15 24 21 28 40 02 ?? ?? ?? 0? 01 00 73 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 56 00 00 64 82 A4 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 93 16 20 00 04 24 00 00 24 82 99 FF 80 14 10 00 A4 A3 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 ?? ?? 08 3C 80 20 04 00 ?? ?? 08 25 21 20 04 01 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 63 34 00 07 62 30 78 00 40 10 21 A8 60 00 00 10 65 30 06 00 04 24 10 00 62 30 38 02 40 10 0B B0 85 00 70 00 A5 8F F8 FF 02 24 07 00 A4 24 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 3C 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 3C 00 A3 8F 21 98 40 00 21 20 60 02 21 28 00 00 ?? ?? ?? 0? 3C 00 A3 AF 04 00 41 04 3C 00 A3 8F 00 80 02 3C 26 98 53 00 03 00 75 34 21 20 60 02 21 28 00 00 ?? ?? ?? 0? 18 00 A0 AF 01 03 40 14 21 B8 00 00 19 00 C2 2A 3B 00 40 10 0A 00 E2 2A FF 00 D4 32 6E 00 82 2E 27 02 40 14 0B 00 82 2E EB 51 02 3C 1F 85 42 34 19 00 82 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 03 3C ?? ?? 63 24 3C 00 A3 AF 10 48 00 00 42 31 09 00 FF 00 C2 30 12 00 42 24 80 10 02 00 21 10 43 00 00 00 44 8C ?? ?? ?? 0? 38 00 A6 AF 38 00 A6 8F 64 00 04 24 CC CC 07 3C 02 28 C4 70 CD CC E7 34 21 20 40 00 3C 00 A3 8F 38 00 A7 AF 23 30 85 02 FF 00 C6 30 19 00 C7 00 10 48 00 00 C0 38 22 7D 09 00 42 24 80 10 02 00 21 10 43 00 ?? ?? ?? 0? 00 00 45 8C 38 00 A7 8F 21 20 40 00 0A 00 02 24 19 00 87 02 3C 00 A3 8F 10 38 00 00 C2 28 07 00 02 30 A2 70 23 10 86 02 FF 00 42 30 80 10 02 00 21 18 43 00 ?? ?? ?? 0? 00 00 65 8C 21 20 60 02 ?? ?? ?? 0? 21 28 40 00 21 98 40 00 0A 00 E2 2A 11 01 40 10 ?? ?? 06 3C 21 20 60 02 ?? ?? ?? 0? 21 28 00 00 05 01 40 14 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 A0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 B8 40 00 21 98 80 02 18 00 A0 AF ?? ?? ?? 0? 21 18 00 00 20 00 63 34 80 00 63 34 00 07 62 30 8A FF 40 14 21 A8 60 00 C0 00 62 30 C8 01 40 14 20 16 03 7C 12 03 40 04 10 00 62 30 F0 01 40 10 70 00 A6 8F 70 00 A5 8F 00 00 A4 8C 04 00 A5 24 70 00 A5 AF C3 17 04 00 21 98 80 00 FB 01 40 04 21 B8 40 00 03 00 C0 16 C0 00 75 30 25 B0 77 02 01 00 D6 2E 40 00 02 24 E1 02 A2 12 41 00 A2 2A 8C 02 40 10 80 00 02 24 16 00 A0 16 10 00 A2 83 01 00 02 24 38 03 E0 12 10 00 A2 A3 ?? ?? 04 3C ?? ?? 84 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 08 24 21 38 40 00 04 00 85 8C 2B 30 E5 02 16 03 C0 54 10 00 A7 A3 10 03 B7 50 00 00 85 8C 01 00 42 24 20 14 02 7C F6 FF 48 14 08 00 84 24 10 00 A2 A3 2A 20 56 00 1E 02 80 10 2A 20 C2 02 20 14 16 7C 10 00 A2 A3 05 00 C0 13 00 40 64 30 03 00 64 30 2B 20 04 00 23 F0 C4 03 00 40 64 30 05 00 80 10 2A 28 5E 00 2A 20 DE 02 23 F0 D6 03 0A F0 04 00 2A 28 5E 00 23 10 C2 03 0A 10 05 00 04 00 64 30 0D 02 80 10 20 00 A2 AF 02 00 62 30 A7 02 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 27 10 02 00 3C 00 A3 8F 2B 10 02 00 21 80 02 02 20 00 A5 8F 08 00 64 30 B9 01 A0 14 34 00 A4 AF FF FF D6 26 ?? ?? 05 3C C0 A0 16 00 ?? ?? BE 24 03 00 02 24 21 A0 D4 03 41 00 A4 2A 80 F0 16 00 20 00 63 30 02 B0 C2 72 40 10 17 00 28 00 A2 AF 24 00 A4 AF ?? ?? ?? 0? 2C 00 A3 AF 0E 00 A0 16 10 00 A4 83 00 00 86 8E 04 00 87 8E 21 20 60 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 94 26 FC FF DE 27 FD FF D6 26 FD FF 02 24 BE 01 C2 12 40 00 02 24 9D 01 A2 12 24 00 A5 8F E3 FF A0 14 80 00 02 24 A5 01 A2 12 C0 00 02 24 E1 FF A2 12 10 00 A4 83 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 04 63 34 70 00 A4 8F 10 00 66 30 01 00 82 80 00 00 85 8C 04 00 84 24 72 01 C0 10 10 00 A2 A3 71 01 40 50 14 00 A5 A3 FF FF 06 24 6E 01 46 50 14 00 A5 A3 14 00 A2 A3 15 00 A5 A3 02 00 17 24 14 00 B3 27 ?? ?? ?? 0? 70 00 A4 AF 70 00 A2 8F 00 00 44 8C 04 00 45 24 93 02 80 10 21 98 80 00 00 00 82 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 97 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A5 AF ?? ?? ?? 0? 40 00 63 34 10 00 62 30 21 48 C0 00 0A 48 E2 00 25 18 23 01 FF FF 63 30 ?? ?? ?? 0? 00 00 22 82 ED FD 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 E0 FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 EE FD 44 14 21 F0 00 00 70 00 A7 8F 01 00 31 26 00 00 22 82 00 00 FE 8C 2E 00 04 24 04 00 E7 24 E9 FD 44 14 70 00 A7 AF 01 00 31 26 00 00 22 82 2A 00 04 24 EA 01 44 10 00 40 63 34 ?? ?? 08 3C ?? ?? 08 25 21 20 02 01 01 00 84 90 21 B0 00 00 04 00 84 30 DE FD 80 10 0A 00 05 24 02 20 C5 72 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 B0 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF D6 26 ?? ?? ?? 0? 10 00 07 24 ?? ?? ?? 0? 21 20 60 02 FC FE 40 54 21 20 40 00 02 00 E3 2A F8 FE 60 14 ?? ?? 06 3C ?? ?? C6 24 30 00 A4 8F ?? ?? ?? 0? 00 00 C5 8C D7 00 40 04 ED FF E3 26 EE FF E3 26 18 00 A3 AF 20 24 03 7C ?? ?? ?? 0? 3C 00 A3 AF 21 28 40 00 21 20 60 02 ?? ?? ?? 0? 30 00 A2 AF ?? ?? ?? 0? 21 20 40 00 3C 00 A3 8F 21 A0 40 00 21 98 40 00 21 B8 00 00 01 00 04 24 0A 00 82 2E 38 02 40 14 10 00 A4 A3 ?? ?? 04 3C ?? ?? 84 24 21 10 00 00 02 00 05 24 02 00 07 24 ?? ?? ?? 0? 12 00 08 24 21 38 A0 00 04 00 86 8C 86 01 C0 14 02 00 49 24 00 00 86 8C 2B 30 86 02 82 01 C0 14 01 00 42 24 01 00 E5 24 20 2C 05 7C F5 FF 48 14 08 00 84 24 10 00 A5 A3 14 00 09 24 23 A0 C3 03 23 A0 96 02 2B 10 16 00 23 A0 89 02 03 00 A3 32 23 A0 82 02 2B 18 03 00 04 00 A2 32 57 01 40 10 23 A0 83 02 02 00 A2 32 9A 01 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 5A 08 00 B5 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 B5 32 20 00 B5 AF ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 15 25 C0 18 03 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 21 20 60 02 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 C2 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 C2 2A 0E 01 40 14 20 14 16 7C 12 00 02 24 10 00 A2 A3 EE FF D3 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 ?? ?? ?? 0? 21 28 E0 02 ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 21 B8 00 00 23 00 A0 12 10 00 A2 A3 ?? ?? 09 3C ?? ?? 3E 25 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B5 83 27 10 02 00 2B 10 02 00 C0 18 15 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 28 E0 02 21 20 C0 02 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 FF FF A2 26 20 14 02 7C 21 B8 60 00 E1 FF A0 16 10 00 A2 A3 0A 00 60 12 20 00 A2 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 20 00 A2 8F D6 FC 40 50 00 00 24 82 D4 FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A6 8F 00 00 D3 8C 04 00 C6 24 ?? ?? ?? 0? 70 00 A6 AF 58 01 40 04 10 00 62 30 32 00 40 10 70 00 A2 8F 70 00 A9 8F 21 B8 00 00 00 00 33 8D 04 00 29 25 ?? ?? ?? 0? 70 00 A9 AF ?? ?? ?? 0? 18 00 A3 AF 55 01 40 54 ?? ?? 02 3C CC CC 02 3C CD CC 42 34 19 00 82 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 06 3C ?? ?? C6 24 38 00 A6 AF 10 48 00 00 C2 18 09 00 FF 00 62 30 09 00 42 24 80 10 02 00 21 10 46 00 00 00 44 8C ?? ?? ?? 0? 3C 00 A3 AF 3C 00 A3 8F 0A 00 04 24 38 00 A6 8F 02 28 64 70 21 20 40 00 23 18 85 02 FF 00 63 30 80 18 03 00 21 30 66 00 ?? ?? ?? 0? 00 00 C5 8C ?? ?? ?? 0? 21 20 60 02 00 00 C4 8C 04 00 C6 24 70 00 A6 AF C3 17 04 00 21 98 80 00 13 FE 41 04 21 B8 40 00 ?? ?? ?? 0? 23 98 04 00 21 B8 00 00 00 00 53 8C 04 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 14 00 A5 A3 01 00 17 24 14 00 B3 27 ?? ?? ?? 0? 70 00 A4 AF 23 98 04 00 2B 20 13 00 23 10 02 00 03 00 63 34 ?? ?? ?? 0? 23 B8 44 00 30 00 04 24 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 20 00 A6 8F 27 10 02 00 2B 10 02 00 FF FF C6 24 20 00 A6 AF 21 80 02 02 F5 FF C0 14 3C 00 A3 8F 08 00 67 30 ?? ?? ?? 0? 34 00 A7 AF 28 00 A3 8F 27 10 16 00 06 20 D3 02 04 10 43 00 25 20 44 00 20 00 C3 32 06 10 D7 02 0B 20 43 00 07 00 84 30 30 00 84 24 ?? ?? ?? 0? 10 00 A4 A3 28 00 A6 8F 27 18 1E 00 06 10 D3 03 04 18 66 00 2C 00 A9 8F 25 10 62 00 20 00 C6 33 06 28 D7 03 ?? ?? 07 3C ?? ?? 08 3C ?? ?? 04 25 ?? ?? E3 24 0B 10 A6 00 0A 18 89 00 0F 00 42 30 21 18 62 00 00 00 64 80 ?? ?? ?? 0? 10 00 A4 A3 34 00 A4 8F 4F FC 80 50 00 00 24 82 20 00 A5 8F 4C FC A0 58 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 20 00 A6 8F 27 10 02 00 2B 10 02 00 FF FF C6 24 20 00 A6 AF F7 FF C0 14 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 ?? ?? ?? 0? 0B B0 44 00 20 00 A9 8F 08 00 68 30 03 00 20 11 34 00 A8 AF 11 00 00 11 20 00 04 24 02 00 62 30 77 00 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 27 10 02 00 2B 10 02 00 21 80 02 02 ?? ?? ?? 0? 3C 00 A3 8F 20 00 04 24 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 20 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 20 00 A4 AF 21 80 02 02 E6 FF 80 10 3C 00 A3 8F 20 00 04 24 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 20 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 20 00 A4 AF 21 80 02 02 }
	condition:
		$1
}

rule file_377_0_0 {
	meta:
		name = "_dvfprintf_s"
		size = 2188
		refs = "0094 _ctype 01bc fputc 05e4 __udivdi3 05f8 __umoddi3"
		altNames = "_vfprintf _vfprintf_s"
	strings:
		$1 = { B0 FF BD 27 34 00 B3 AF 2C 00 B1 AF 28 00 B0 AF 4C 00 BF AF 48 00 BE AF 44 00 B7 AF 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 30 00 B2 AF 21 98 80 00 21 88 A0 00 58 00 A6 AF 21 80 00 00 00 00 24 82 40 00 80 10 10 00 A4 A3 25 00 02 24 88 00 82 14 01 00 32 26 02 00 22 26 FF FF 43 80 2D 00 05 24 21 B0 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 7C 00 65 10 FF FF 51 24 2E 00 64 28 72 00 80 10 00 00 00 00 84 00 66 50 01 00 D6 36 80 00 68 50 02 00 D6 36 ?? ?? 04 3C ?? ?? 84 24 21 10 83 00 01 00 42 90 02 00 C5 32 FE 00 C4 32 0B B0 85 00 08 00 C5 32 FB 00 C4 32 04 00 42 30 78 00 40 10 0B B0 85 00 21 10 00 00 0A 00 05 24 02 20 45 70 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 10 83 00 00 00 23 82 21 20 C3 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF 42 24 2E 00 04 24 74 00 64 10 21 F0 00 00 73 00 04 24 63 00 06 24 6C 00 07 24 10 00 08 24 74 00 65 28 10 00 A3 A3 EE 00 64 10 01 00 31 26 14 00 A0 50 75 00 04 24 FE 00 66 50 58 00 A7 8F F7 00 67 50 10 00 C3 32 12 00 60 14 10 00 B4 27 4C 00 BF 8F 21 10 00 02 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 CD 00 64 10 78 00 04 24 6B 00 64 10 10 00 B4 27 01 00 17 24 04 00 C0 53 2B 90 E2 02 2B 18 D7 03 0B B8 C3 03 2B 90 E2 02 23 10 57 00 0A 10 12 00 08 00 D6 32 0C 00 C0 16 21 90 40 00 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 55 16 21 28 60 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 60 02 8C FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 93 FF 67 14 ?? ?? 04 3C 04 00 D6 36 01 00 42 24 FF FF 43 80 86 FF 65 14 FF FF 51 24 08 00 D6 36 ?? ?? ?? 0? 01 00 42 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 42 24 ?? ?? ?? 0? 01 00 42 24 2A 00 04 24 94 FF 64 14 21 10 00 00 58 00 A7 8F 01 00 31 26 00 00 23 82 00 00 E2 8C 2E 00 04 24 04 00 E7 24 58 00 A7 AF 8E FF 64 14 21 F0 00 00 01 00 31 26 00 00 23 82 2A 00 04 24 4B 01 64 10 ?? ?? 05 3C ?? ?? A5 24 21 20 A3 00 01 00 84 90 04 00 84 30 83 FF 80 10 0A 00 05 24 02 20 C5 73 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 F0 83 00 00 00 23 82 21 20 C3 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF DE 27 ?? ?? ?? 0? 73 00 04 24 80 00 D7 36 10 00 E3 32 62 00 60 10 58 00 A4 8F 58 00 A3 8F 21 B0 00 00 00 00 74 8C 04 00 63 24 58 00 A3 AF 03 00 C0 17 C0 00 F5 32 25 F0 96 02 01 00 DE 2F 80 00 03 24 E3 00 A3 12 C0 00 03 24 CC 00 A3 12 10 00 A3 83 2A 20 7E 00 C7 00 80 10 2A 20 C3 03 20 1C 1E 7C 10 00 A3 A3 05 00 40 10 2A 28 62 00 03 00 E4 32 2B 20 04 00 23 10 44 00 2A 28 62 00 23 18 43 00 0A 18 05 00 04 00 E4 32 A7 00 80 10 18 00 A3 AF 02 00 E2 32 F3 00 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A6 8F 64 00 C0 14 30 00 04 24 08 00 F7 32 20 00 B7 AF FF FF C8 27 ?? ?? 06 3C C0 90 08 00 ?? ?? C6 24 40 38 16 00 21 90 D2 00 80 40 08 00 80 00 17 24 11 00 C0 13 1C 00 A7 AF 7A 00 B7 12 FF FF DE 27 C0 00 02 24 68 00 A2 52 00 00 46 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 24 00 A8 AF 24 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 52 26 F1 FF C0 17 FC FF 08 25 20 00 A6 8F F4 FE C0 50 00 00 24 82 18 00 A7 8F F1 FE E0 58 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 18 00 A3 AF F7 FF 60 14 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 C0 00 D7 36 10 00 E3 32 A2 FF 60 14 58 00 A3 8F 58 00 A4 8F 21 B0 00 00 00 00 94 8C 04 00 84 24 ?? ?? ?? 0? 58 00 A4 AF 58 00 A6 8F 00 00 C4 8C 04 00 C5 24 DB 00 80 10 21 A0 80 00 00 00 83 80 06 00 60 10 21 B8 00 00 01 00 F7 26 21 18 97 00 00 00 63 80 FD FF 60 54 01 00 F7 26 ?? ?? ?? 0? 58 00 A5 AF 21 28 00 00 0A 28 03 01 25 B0 B6 00 ?? ?? ?? 0? 00 00 23 82 10 00 C6 32 01 00 E3 80 00 00 E5 8C 04 00 E4 24 0C 00 C0 10 10 00 A3 A3 0B 00 60 50 14 00 A5 A3 FF FF 06 24 08 00 66 50 14 00 A5 A3 14 00 A3 A3 15 00 A5 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 58 00 A4 AF 14 00 A5 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 58 00 A4 AF 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A7 8F 27 10 02 00 2B 10 02 00 FF FF E7 24 18 00 A7 AF 95 FF E0 10 21 80 02 02 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A7 8F 27 10 02 00 2B 10 02 00 FF FF E7 24 18 00 A7 AF ED FF E0 14 21 80 02 02 ?? ?? ?? 0? 08 00 F7 32 04 00 47 8E 21 20 80 02 21 28 C0 02 ?? ?? ?? 0? 24 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 24 00 A8 8F 1C 00 A4 8F 27 18 08 00 06 10 14 01 04 18 64 00 25 10 62 00 20 00 04 31 06 18 16 01 0B 10 64 00 ?? ?? 05 3C 0F 00 42 30 ?? ?? A5 24 21 10 A2 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 18 00 A2 8F 55 00 40 14 08 00 E4 32 08 00 E3 32 20 00 A3 AF 02 00 E2 32 4C 00 40 50 01 00 F7 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 ?? ?? ?? 0? 0B F0 64 00 01 00 03 24 73 00 C0 12 10 00 A3 A3 ?? ?? 05 3C ?? ?? A4 24 02 00 07 24 02 00 03 24 ?? ?? ?? 0? 14 00 08 24 21 38 60 00 04 00 85 8C 01 00 63 24 2B 30 C5 02 5B 00 C0 14 20 1C 03 7C 56 00 B6 50 00 00 85 8C F7 FF 68 14 08 00 84 24 ?? ?? ?? 0? 10 00 A3 A3 01 00 03 24 59 00 C0 12 10 00 A3 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 41 04 00 02 00 03 24 02 4F 04 00 25 48 26 01 01 00 63 24 21 30 00 01 2B 40 C5 02 02 00 0A 24 10 00 0B 24 20 1C 03 7C 11 00 00 15 21 38 20 01 39 00 C5 12 2B 20 84 02 E9 FF 6B 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 41 04 00 02 4F 04 00 25 48 26 01 21 50 60 00 21 30 00 01 01 00 63 24 2B 40 C5 02 20 1C 03 7C F1 FF 00 11 21 38 20 01 10 00 AA A3 ?? ?? ?? 0? 21 18 40 01 18 FF 40 10 18 00 A6 8F ?? ?? ?? 0? 20 00 04 24 19 FF E0 12 FF FF C8 27 ?? ?? ?? 0? 20 00 04 24 AD FF 80 14 20 00 A4 AF 21 28 60 02 ?? ?? ?? 0? 20 00 04 24 18 00 A5 8F 27 10 02 00 2B 10 02 00 FF FF A5 24 18 00 A5 AF A3 FF A0 10 21 80 02 02 21 28 60 02 ?? ?? ?? 0? 20 00 04 24 18 00 A5 8F 27 10 02 00 2B 10 02 00 FF FF A5 24 18 00 A5 AF ED FF A0 14 21 80 02 02 ?? ?? ?? 0? 02 00 E2 32 58 00 A6 8F 01 00 31 26 00 00 23 82 00 00 DE 8C 04 00 C6 24 ?? ?? ?? 0? 58 00 A6 AF C7 FF 80 10 00 00 00 00 10 00 AA A3 ?? ?? ?? 0? 21 18 40 01 2B 28 85 02 A9 FF A0 10 00 00 00 00 10 00 A7 A3 ?? ?? ?? 0? 21 18 E0 00 ?? ?? 14 3C ?? ?? 94 26 ?? ?? ?? 0? 21 20 80 02 10 00 83 2E A7 FF 60 10 00 01 04 24 ?? ?? ?? 0? 01 00 03 24 0A 00 83 2E 8D FF 60 10 ?? ?? 05 3C ?? ?? ?? 0? 01 00 03 24 }
	condition:
		$1
}

rule file_406_0_0 {
	meta:
		name = "exit"
		size = 52
		refs = "000c _cleanup 0014 _exit"
	strings:
		$1 = { E0 FF BD 27 10 00 A4 AF 1C 00 BF AF ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 03 00 40 10 10 00 A4 8F ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_420_0_0 {
	meta:
		name = "atoll"
		size = 32
		refs = "000c strtoll"
	strings:
		$1 = { E8 FF BD 27 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 0A 00 06 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_275_0_4 {
	meta:
		name = "atoi"
		size = 32
		refs = "000c _Stoul"
	strings:
		$1 = { E8 FF BD 27 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 0A 00 06 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_8_0_4 {
	meta:
		name = "atol"
		size = 32
		refs = "000c _Stoul"
	strings:
		$1 = { E8 FF BD 27 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 0A 00 06 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_248_0_4 {
	meta:
		name = "atoll"
		size = 32
		refs = "000c _Stoull"
	strings:
		$1 = { E8 FF BD 27 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 0A 00 06 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_427_0_0 {
	meta:
		name = "fclose"
		size = 252
		refs = "0044 fflush 006c close 0098 _tfilesptr 00d0 _buffree 00e0 remove"
	strings:
		$1 = { 0C 00 82 94 E0 FF BD 27 14 00 B1 AF 03 00 42 30 1C 00 BF AF 18 00 B2 AF 10 00 B0 AF 21 88 80 00 08 00 40 14 FF FF 03 24 1C 00 BF 8F 21 10 60 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 00 00 0C 00 30 96 08 00 24 8E F8 FE 02 32 04 00 80 10 0C 00 22 A6 08 00 42 30 1A 00 40 10 00 00 00 00 ?? ?? ?? 0? 0E 00 24 96 FF FF 04 24 EB FF 44 10 FF FF 03 24 0C 00 22 96 20 00 42 30 E7 FF 40 14 00 10 10 32 E5 FF 00 12 21 18 00 00 ?? ?? 12 3C ?? ?? 44 8E E1 FF 80 10 21 18 40 00 21 80 00 00 C0 02 03 24 54 00 82 8C 0A 00 51 10 00 00 00 00 58 00 10 26 FB FF 03 16 58 00 84 24 ?? ?? ?? 0? 21 18 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 08 00 20 AE ?? ?? ?? 0? 00 00 00 00 ?? ?? 42 8E 21 18 00 00 21 80 50 00 ?? ?? ?? 0? 54 00 00 AE }
	condition:
		$1
}

rule file_434_0_0 {
	meta:
		name = "ultoa"
		size = 104
		altNames = "utoa"
	strings:
		$1 = { 21 10 80 00 ?? ?? ?? 0? 21 20 A0 00 21 10 60 00 1B 00 86 00 F4 01 C0 00 12 20 00 00 FB FF 80 14 01 00 43 24 00 00 60 A0 1B 00 A6 00 F4 01 C0 00 10 28 00 00 20 1C 05 7C 0A 00 64 28 12 40 00 00 07 00 67 24 02 00 80 14 12 28 00 00 20 1C 07 7C 30 00 63 24 00 00 43 A0 F3 FF 00 15 FF FF 42 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_434_1_0 {
	meta:
		name = "ltoa"
		size = 64
		refs = "0024 ultoa"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF 05 00 A1 04 21 80 80 00 2D 00 02 24 00 00 82 A0 23 28 05 00 01 00 84 24 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_963_1_0 {
	meta:
		name = "itoa"
		size = 64
		refs = "0024 utoa"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF 05 00 A1 04 21 80 80 00 2D 00 02 24 00 00 82 A0 23 28 05 00 01 00 84 24 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_437_0_0 {
	meta:
		name = "fopen"
		size = 100
		refs = "0000 _iob 0050 freopen"
	strings:
		$1 = { ?? ?? 06 3C ?? ?? C6 24 0C 00 C2 94 E8 FF BD 27 03 00 42 30 0E 00 40 14 14 00 BF AF A0 00 C3 24 ?? ?? 06 3C ?? ?? C6 24 0C 00 C2 94 03 00 42 30 07 00 40 14 00 00 00 00 14 00 C6 24 FB FF C3 54 0C 00 C2 94 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_450_0_0 {
	meta:
		name = "atof"
		size = 28
		refs = "0008 strtof"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1020_0_0 {
	meta:
		name = "_datof"
		size = 28
		refs = "0008 _dstrtod"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_346_0_4 {
	meta:
		name = "ftell"
		size = 28
		refs = "0008 _Fgpos"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_487_0_4 {
	meta:
		name = "log"
		size = 28
		refs = "0008 _Log"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_438_0_4 {
	meta:
		name = "logf"
		size = 28
		refs = "0008 _FLog"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_374_0_4 {
	meta:
		name = "sin"
		size = 28
		refs = "0008 _Sin"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_223_0_4 {
	meta:
		name = "sinf"
		size = 28
		refs = "0008 _FSin"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_69_0_4 {
	meta:
		name = "strerror"
		size = 28
		refs = "0008 _Strerror"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_453_0_0 {
	meta:
		name = "atoi"
		size = 160
		refs = "0038 _ctype"
	strings:
		$1 = { 20 00 02 24 09 00 05 24 00 00 83 80 FE FF 62 50 01 00 84 24 03 00 65 54 2D 00 02 24 ?? ?? ?? 0? 01 00 84 24 18 00 62 50 01 00 84 24 2B 00 02 24 18 00 62 10 21 40 00 00 ?? ?? 06 3C ?? ?? C6 24 21 10 C3 00 01 00 45 90 04 00 A5 30 0B 00 A0 10 21 10 00 00 0A 00 07 24 02 28 47 70 01 00 84 24 21 10 A3 00 00 00 83 80 21 28 C3 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 42 24 23 18 02 00 08 00 E0 03 0B 10 68 00 00 00 83 80 ?? ?? ?? 0? 01 00 08 24 01 00 83 80 ?? ?? ?? 0? 01 00 84 24 }
	condition:
		$1
}

rule file_460_0_0 {
	meta:
		name = "strtok"
		size = 240
		refs = "0028 strspn 0064 strcspn"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 1C 00 BF AF 10 00 B0 AF 21 88 80 00 2B 00 80 10 21 90 A0 00 ?? ?? 10 3C 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 21 88 22 02 00 00 22 82 09 00 40 14 1C 00 BF 8F 21 88 00 00 21 10 20 02 ?? ?? 00 AE 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 21 10 22 02 ?? ?? 02 AE 00 00 44 80 09 00 80 14 ?? ?? 03 3C 1C 00 BF 8F 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F ?? ?? 60 AC 08 00 E0 03 20 00 BD 27 00 00 40 A0 1C 00 BF 8F 01 00 44 24 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F ?? ?? 64 AC 08 00 E0 03 20 00 BD 27 ?? ?? 10 3C ?? ?? 11 8E D4 FF 20 16 1C 00 BF 8F 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_463_0_0 {
	meta:
		name = "uldiv"
		size = 32
		altNames = "udiv"
	strings:
		$1 = { 1B 00 A6 00 F4 01 C0 00 21 10 80 00 10 18 00 00 04 00 83 AC 12 28 00 00 08 00 E0 03 00 00 85 AC }
	condition:
		$1
}

rule file_466_0_0 {
	meta:
		name = "strncat"
		size = 112
	strings:
		$1 = { 00 00 83 80 05 00 60 10 21 10 80 00 01 00 84 24 00 00 83 80 FE FF 60 54 01 00 84 24 12 00 C0 10 21 18 80 00 00 00 A3 80 0D 00 60 10 00 00 83 A0 01 00 83 24 21 20 86 00 08 00 64 10 01 00 A5 24 00 00 A7 80 01 00 A5 24 05 00 E0 10 00 00 67 A0 01 00 63 24 FB FF 64 54 00 00 A7 80 00 00 60 A0 08 00 E0 03 00 00 00 00 08 00 E0 03 00 00 60 A0 }
	condition:
		$1
}

rule file_469_1_0 {
	meta:
		name = "_vfprintf_eEs"
		size = 5524
		refs = "000c _ctype 01a8 fputc 03c0 __floatdisf 03e0 fpcmp 0454 fptoui 050c __udivdi3 0548 __umoddi3 0818 _npowers_f 0844 fpmul 08d8 fpadd 0934 fpdiv 0ddc __floatunsisf 0de8 fpsub 10cc frexpf 1258 __floatundisf"
		altNames = "_vfprintf_eE"
	strings:
		$1 = { 98 FF BD 27 60 00 BE AF 21 10 00 00 ?? ?? 1E 3C 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 2C 00 A2 AF 21 80 00 00 ?? ?? DE 27 00 00 24 82 3E 00 80 10 10 00 A4 A3 25 00 02 24 52 00 82 14 01 00 33 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 30 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 46 00 45 10 FF FF 71 24 2E 00 44 28 3C 00 80 10 00 00 00 00 4E 00 47 50 01 00 C6 34 4A 00 49 50 02 00 C6 34 21 18 C2 03 01 00 63 90 02 00 C5 30 FE FF C4 30 0B 30 85 00 08 00 C5 30 FB FF C4 30 04 00 63 30 44 00 60 10 0B 30 85 00 21 18 00 00 0A 00 05 24 02 20 65 70 01 00 31 26 21 18 82 00 00 00 22 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 63 24 2E 00 04 24 42 00 44 50 01 00 31 26 00 10 C6 34 21 98 00 00 6C 00 04 24 10 00 07 24 00 80 05 24 10 00 A2 A3 C8 02 44 10 01 00 31 26 6D 00 44 28 4C 00 80 10 75 00 04 24 63 00 04 24 C9 02 44 10 64 00 44 28 8C 00 80 50 65 00 04 24 FA 02 40 14 45 00 04 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C9 FF 48 54 21 18 C2 03 04 00 C6 34 01 00 63 24 FF FF 62 80 BC FF 45 14 FF FF 71 24 08 00 C6 34 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 C6 FF 44 14 21 18 00 00 70 00 A5 8F 01 00 31 26 00 00 22 82 00 00 A3 8C 2E 00 04 24 04 00 A5 24 C1 FF 44 14 70 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 A6 03 44 10 00 40 C6 34 21 20 C2 03 01 00 84 90 21 98 00 00 04 00 84 30 B8 FF 80 10 0A 00 05 24 02 20 65 72 01 00 31 26 21 98 82 00 00 00 22 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 73 26 ?? ?? ?? 0? 6C 00 04 24 93 02 44 10 78 00 04 24 8F 02 44 10 73 00 04 24 32 00 44 10 70 00 A9 8F 10 00 B4 27 01 00 17 24 04 00 60 52 2B 98 E3 02 2B 10 77 02 0B B8 62 02 2B 98 E3 02 23 18 77 00 0A 18 13 00 08 00 D6 30 0C 00 C0 16 21 98 60 00 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 20 00 04 24 F8 FF 75 16 21 28 40 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 40 02 54 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 20 00 04 24 F8 FF 74 16 21 28 40 02 ?? ?? ?? 0? 00 00 24 82 00 00 24 8D 04 00 25 25 04 04 80 10 21 A0 80 00 00 00 82 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 97 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A5 AF C1 FF 44 14 10 00 B4 27 00 01 C6 34 00 07 C2 30 AC 00 40 10 21 B0 C0 00 00 10 C5 30 06 00 04 24 10 00 C2 30 10 01 40 10 0B 98 85 00 70 00 AB 8F F8 FF 02 24 07 00 64 25 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 38 00 A3 AF 34 00 A6 AF ?? ?? ?? 0? 70 00 A2 AF 38 00 A3 8F 34 00 A6 8F 21 A8 40 00 21 20 A0 02 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 34 00 A6 AF 38 00 A3 8F 04 00 41 04 34 00 A6 8F 00 80 02 3C 26 A8 55 00 03 00 D6 34 21 20 A0 02 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 18 00 A0 AF 21 B8 00 00 2B 03 40 14 38 00 A3 8F 00 01 C2 32 F1 00 40 10 19 00 62 2A 13 00 62 2E 56 02 40 10 12 00 02 24 21 20 A0 02 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 10 00 B3 A3 56 02 40 14 38 00 A3 8F ?? ?? ?? 0? 21 20 A0 02 21 A8 40 00 38 00 A3 8F ?? ?? 02 3C ?? ?? 42 24 24 00 A2 AF FB FF 63 24 03 00 C2 32 23 A0 73 00 2B 18 02 00 04 00 C2 32 8B 02 40 10 23 A0 83 02 02 00 C2 32 66 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 26 04 80 1A 08 00 CB 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 C2 32 28 00 A2 AF 10 00 A2 83 24 00 A7 8F 21 20 A0 02 C0 10 02 00 21 10 E2 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 24 00 A8 8F 27 10 02 00 C0 18 03 00 21 18 03 01 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 A7 03 60 16 21 B8 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F D8 03 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 13 24 21 28 40 02 1A 00 53 00 F4 01 60 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 73 00 F4 01 60 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 28 00 A2 8F 94 FE 40 50 00 00 24 82 92 FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 06 7C C9 02 40 04 10 00 C2 30 9C 01 40 10 70 00 AA 8F 70 00 A9 8F 21 B8 00 00 00 00 34 8D 04 00 29 25 70 00 A9 AF 03 00 60 16 C0 00 D6 30 25 98 97 02 01 00 73 2E 80 00 02 24 73 02 C2 12 C0 00 02 24 5C 02 C2 12 10 00 A2 83 2A 20 53 00 44 02 80 10 2A 20 62 02 20 14 13 7C 10 00 A2 A3 05 00 60 10 00 40 C4 30 03 00 C4 30 2B 20 04 00 23 18 64 00 00 40 C4 30 05 00 80 10 2A 28 43 00 2A 20 63 02 23 18 73 00 0A 18 04 00 2A 28 43 00 23 10 62 00 0A 10 05 00 04 00 C4 30 33 02 80 10 20 00 A2 AF 02 00 C2 30 A9 02 40 10 01 00 C2 30 01 00 C4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 21 28 40 02 ?? ?? ?? 0? 34 00 A6 AF 27 10 02 00 34 00 A6 8F 2B 10 02 00 21 80 02 02 20 00 AB 8F 6C 01 60 15 30 00 04 24 08 00 C6 30 28 00 A6 AF FF FF 68 26 ?? ?? 09 3C C0 A8 08 00 ?? ?? 29 25 40 50 17 00 21 A8 35 01 80 40 08 00 12 00 60 12 24 00 AA AF 80 00 0B 24 02 02 CB 12 FF FF 73 26 C0 00 02 24 F0 01 C2 52 00 00 A6 8E 10 00 A4 83 21 28 40 02 ?? ?? ?? 0? 30 00 A8 AF 30 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F0 FF 60 16 FC FF 08 25 28 00 A7 8F 2E FE E0 50 00 00 24 82 20 00 A8 8F 2B FE 00 59 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 20 00 A9 8F 27 10 02 00 2B 10 02 00 FF FF 29 25 20 00 A9 AF F7 FF 20 15 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A2 8F 00 00 55 8C 04 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 3F 00 40 10 0A 00 E2 2A FF 00 74 32 6E 00 82 2E A5 02 40 14 0B 00 82 2E EB 51 02 3C 1F 85 42 34 19 00 82 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 06 3C ?? ?? C6 24 38 00 A3 AF 34 00 A6 AF 10 48 00 00 42 39 09 00 FF 00 E2 30 12 00 42 24 80 10 02 00 21 10 46 00 00 00 44 8C ?? ?? ?? 0? 30 00 A7 AF 30 00 A7 8F 64 00 04 24 CC CC 08 3C 02 28 E4 70 CD CC 08 35 21 20 40 00 34 00 A6 8F 30 00 A8 AF 23 38 85 02 FF 00 E7 30 19 00 E8 00 10 58 00 00 C0 38 62 7D 09 00 42 24 80 10 02 00 21 10 46 00 ?? ?? ?? 0? 00 00 45 8C 30 00 A8 8F 21 20 40 00 0A 00 02 24 19 00 88 02 34 00 A6 8F 10 48 00 00 C2 28 09 00 02 38 A2 70 23 10 87 02 FF 00 42 30 80 10 02 00 21 30 46 00 ?? ?? ?? 0? 00 00 C5 8C 38 00 A3 8F 21 20 A0 02 21 28 40 00 ?? ?? ?? 0? 38 00 A3 AF 38 00 A3 8F 21 A8 40 00 0A 00 E2 2A 19 01 40 14 21 20 A0 02 ?? ?? 07 3C ?? ?? E7 24 2C 00 A4 8F 00 00 E5 8C ?? ?? ?? 0? 38 00 A3 AF 41 02 40 04 38 00 A3 8F EE FF E6 26 18 00 A6 AF 20 24 06 7C 38 00 A3 AF ?? ?? ?? 0? 34 00 A6 AF 21 28 40 00 21 20 A0 02 ?? ?? ?? 0? 2C 00 A2 AF ?? ?? ?? 0? 21 20 40 00 38 00 A3 8F 34 00 A6 8F 21 40 00 00 21 B8 40 00 21 A0 40 00 24 00 A8 AF 01 00 04 24 0A 00 E2 2E FF 02 40 14 10 00 A4 A3 ?? ?? 0A 3C ?? ?? 47 25 21 10 00 00 02 00 0A 24 02 00 04 24 12 00 09 24 04 00 E5 8C 02 00 48 24 01 00 84 24 90 02 A0 14 01 00 42 24 00 00 E5 8C 20 24 04 7C 2B 28 E5 02 8B 02 A0 14 08 00 E7 24 F5 FF 49 54 21 50 80 00 10 00 A4 A3 14 00 08 24 23 A8 66 00 23 A8 B3 02 2B 10 13 00 23 A8 A8 02 03 00 C3 32 23 A8 A2 02 2B 18 03 00 04 00 C2 32 67 02 40 10 23 A8 A3 02 02 00 C2 32 C7 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 A0 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 08 00 D6 32 ?? ?? ?? 0? 20 00 B6 AF 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 ?? ?? 0A 3C ?? ?? 4A 25 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 20 80 02 21 28 00 00 21 30 46 01 E8 FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 62 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 62 2A 1E 02 40 14 20 14 13 7C 12 00 02 24 10 00 A2 A3 EE FF 73 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 24 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 B0 00 00 ?? ?? ?? 0? 21 20 40 00 21 B8 40 00 FF FF 82 26 20 14 02 7C 25 00 80 12 10 00 A2 A3 ?? ?? 0B 3C ?? ?? 6B 25 C0 10 02 00 21 10 62 01 00 00 46 8C 04 00 47 8C 21 20 E0 02 ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B4 83 ?? ?? 04 3C ?? ?? 84 24 C0 18 14 00 21 18 83 00 00 00 66 8C 04 00 67 8C 27 10 02 00 2B 10 02 00 21 28 C0 02 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF 82 26 20 14 02 7C 21 B0 60 00 DD FF 80 16 10 00 A2 A3 0A 00 60 12 20 00 A5 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 20 00 A5 8F 11 FD A0 50 00 00 24 82 0F FD A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 10 00 C2 30 21 40 A0 00 0A 40 E2 00 25 30 06 01 FF FF C6 30 ?? ?? ?? 0? 00 00 22 82 70 00 AA 8F 10 00 C7 30 01 00 42 81 00 00 45 8D 04 00 44 25 33 00 E0 10 10 00 A2 A3 32 00 40 50 14 00 A5 A3 FF FF 07 24 2F 00 47 50 14 00 A5 A3 14 00 A2 A3 15 00 A5 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF ?? ?? ?? 0? 80 00 C6 34 ?? ?? ?? 0? C0 00 C6 34 21 B8 00 00 00 00 54 8D 04 00 4A 25 ?? ?? ?? 0? 70 00 AA AF 30 00 04 24 21 28 40 02 ?? ?? ?? 0? 34 00 A6 AF 20 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 20 00 A3 AF 21 80 02 02 8B FE 60 10 34 00 A6 8F 30 00 04 24 21 28 40 02 ?? ?? ?? 0? 34 00 A6 AF 20 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 20 00 A3 AF 21 80 02 02 E9 FF 60 14 34 00 A6 8F ?? ?? ?? 0? 08 00 C6 30 51 FD 44 14 10 00 B4 27 ?? ?? ?? 0? 20 00 C6 34 14 00 A5 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 36 01 40 10 38 00 A3 8F ?? ?? ?? 0? 21 20 A0 02 36 01 40 14 38 00 A3 8F 02 00 E4 2A DE FE 80 10 ?? ?? 07 3C ?? ?? ?? 0? 21 20 40 00 21 20 A0 02 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 10 00 A2 A3 AC FD 40 10 38 00 A3 8F 10 00 A7 83 38 00 A3 AF 23 20 E7 02 20 24 04 7C ?? ?? ?? 0? 30 00 A7 AF 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 34 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 ?? ?? 05 3C ?? ?? A4 8C ?? ?? ?? 0? 21 28 40 00 38 00 A3 8F 34 00 A6 8F 0B 00 40 1C 30 00 A7 8F ?? ?? 08 3C ?? ?? 05 8D ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 30 00 A7 8F 38 00 A3 8F 21 30 40 00 01 00 E2 24 ?? ?? 09 3C ?? ?? 29 25 C0 10 02 00 21 10 22 01 04 00 44 8C 21 A8 C0 00 30 01 80 14 24 00 A9 AF 00 00 42 8C 2B 10 C2 00 2D 01 40 14 ?? ?? 0A 3C ?? ?? 02 3C ?? ?? 45 8C 01 00 F7 26 21 20 80 02 38 00 A3 AF ?? ?? ?? 0? 18 00 B7 AF ?? ?? ?? 0? 21 20 40 00 38 00 A3 8F 21 A8 40 00 03 00 C2 32 FB FF 63 24 23 A0 73 00 2B 18 02 00 04 00 C2 32 77 FD 40 14 23 A0 83 02 08 00 C3 32 0B 00 60 14 28 00 A3 AF 0A 00 80 1A 02 00 C2 32 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 C2 32 E5 00 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 30 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 30 00 A8 8F 24 00 A4 8F 27 18 08 00 06 10 14 01 04 18 64 00 25 10 62 00 20 00 04 31 06 18 17 01 0B 10 64 00 ?? ?? 05 3C 0F 00 42 30 ?? ?? A5 24 21 10 A2 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 ?? ?? ?? 0? 0B 98 44 00 20 00 A4 8F 7F 00 80 14 08 00 C7 30 08 00 C5 30 28 00 A5 AF 02 00 C2 30 76 00 40 50 01 00 C6 30 01 00 C4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 01 00 02 24 5E 01 E0 12 10 00 A2 A3 ?? ?? 0B 3C ?? ?? 64 25 }
	condition:
		$1
}

rule file_471_0_0 {
	meta:
		name = "qsort"
		size = 576
		refs = "00b4 memcpy 0188 free 01c8 _swap 0220 malloc"
	strings:
		$1 = { 18 FC BD 27 20 03 C2 2C DC 03 B7 AF D8 03 B6 AF C8 03 B2 AF E4 03 BF AF E0 03 BE AF D4 03 B5 AF D0 03 B4 AF CC 03 B3 AF C4 03 B1 AF C0 03 B0 AF 21 B0 C0 00 21 B8 80 00 78 00 40 10 21 90 E0 00 90 00 A3 27 B8 03 A3 AF 21 88 60 00 21 10 36 02 FF FF A5 24 00 00 40 A0 23 98 16 00 B4 03 A0 AF 10 00 A0 AF 14 00 A5 AF B4 03 A4 8F 10 00 A3 27 C0 10 04 00 21 10 62 00 00 00 5E 8C 04 00 42 8C FF FF 84 24 B4 03 A4 AF B0 03 A2 AF B0 03 A4 8F 21 30 C0 02 B0 03 B0 8F 21 10 9E 00 C2 2F 02 00 21 10 A2 00 43 28 02 00 02 10 B6 70 21 20 20 02 21 A0 C0 03 ?? ?? ?? 0? 21 28 57 00 02 10 96 72 21 28 20 02 21 A8 57 00 09 F8 40 02 21 20 A0 02 44 00 40 04 02 10 16 72 ?? ?? ?? 0? 21 18 57 00 FF FF 10 26 21 28 60 00 BC 03 A3 AF 09 F8 40 02 21 20 20 02 BC 03 A3 8F 21 30 60 00 F8 FF 40 04 21 18 73 00 2A 10 14 02 2D 00 40 10 21 20 C0 02 EB FF 40 10 02 10 96 72 B0 03 A4 8F 23 18 1E 02 23 10 94 00 2A 10 62 00 30 00 40 10 2A 10 D0 03 2A 10 84 02 0A 00 40 50 B0 03 B0 AF B4 03 A2 8F 10 00 A3 27 B0 03 B0 AF 01 00 42 24 B4 03 A2 AF C0 10 02 00 21 10 62 00 04 00 44 AC 00 00 54 AC B0 03 A4 8F 2A 10 C4 03 CA FF 40 54 21 30 C0 02 B4 03 A2 8F BD FF 43 04 B4 03 A4 8F B8 03 A3 8F 04 00 23 12 E4 03 BF 8F ?? ?? ?? 0? 21 20 20 02 E4 03 BF 8F E0 03 BE 8F DC 03 B7 8F D8 03 B6 8F D4 03 B5 8F D0 03 B4 8F CC 03 B3 8F C8 03 B2 8F C4 03 B1 8F C0 03 B0 8F 08 00 E0 03 E8 03 BD 27 21 28 A0 02 01 00 94 26 ?? ?? ?? 0? FF FF 10 26 2A 10 14 02 BA FF 40 10 02 10 96 72 ?? ?? ?? 0? B0 03 A4 8F ?? ?? ?? 0? 01 00 94 26 DC FF 40 50 21 F0 80 02 B4 03 A4 8F 10 00 A3 27 01 00 84 24 C0 10 04 00 21 10 62 00 00 00 5E AC B4 03 A4 AF 04 00 50 AC ?? ?? ?? 0? 21 F0 80 02 01 00 C4 24 ?? ?? ?? 0? BC 03 A5 AF 21 88 40 00 D8 FF 40 10 BC 03 A5 8F 90 00 A2 27 ?? ?? ?? 0? B8 03 A2 AF }
	condition:
		$1
}

rule file_508_0_0 {
	meta:
		name = "memcpy"
		size = 44
	strings:
		$1 = { 08 00 C0 10 21 10 80 00 21 18 80 00 21 30 86 00 00 00 A4 90 00 00 64 A0 01 00 63 24 FC FF 66 14 01 00 A5 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_525_2_0 {
	meta:
		name = "_dvfprintf_cdgGnopsuxX"
		size = 6744
		refs = "009c _ctype 0164 fputc 0478 dpcmp 0508 __fixunsdfdi 051c __floatundidf 0534 dpsub 075c __udivdi3 0770 __umoddi3 0958 dpadd 09bc dpmul 0a8c dpdiv 0de8 dptoul 1374 frexp 15d0 __floatunsidf"
		altNames = "_dvfprintf_cdgGnopuxX"
	strings:
		$1 = { 90 FF BD 27 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 6C 00 BF AF 68 00 BE AF 64 00 B7 AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 21 90 80 00 21 88 A0 00 78 00 A6 AF 2C 00 A0 AF 30 00 A0 AF 21 80 00 00 00 00 24 82 68 00 80 10 10 00 A4 A3 25 00 02 24 ED 01 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 E1 01 46 10 FF FF 91 24 2E 00 45 28 D7 01 A0 10 00 00 00 00 E9 01 47 50 01 00 63 34 E5 01 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A4 24 21 28 82 00 01 00 A5 90 02 00 67 30 FE FF 66 30 0B 18 C7 00 08 00 67 30 FB FF 66 30 04 00 A5 30 DD 01 A0 10 0B 18 C7 00 21 98 00 00 0A 00 06 24 02 28 66 72 01 00 31 26 21 98 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 73 26 2E 00 05 24 DB 01 45 50 01 00 31 26 00 10 63 34 21 A0 00 00 ?? ?? 07 3C ?? ?? E6 24 10 00 08 24 00 80 07 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3D 00 A0 14 01 00 31 26 10 00 B6 27 01 00 17 24 04 00 80 12 2B 10 F3 02 2B 10 97 02 0B B8 82 02 2B 10 F3 02 08 00 75 30 23 98 77 02 0B 00 A0 16 0A 98 02 00 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 D6 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F4 56 00 00 C4 82 A5 FF A0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9A FF 80 14 10 00 A4 A3 6C 00 BF 8F 21 10 00 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 80 20 04 00 21 20 C4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 63 34 80 00 63 34 00 07 62 30 4F 00 40 10 21 B8 60 00 00 10 65 30 06 00 04 24 10 00 62 30 E6 02 40 10 0B A0 85 00 78 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 45 8C 04 00 55 8C 08 00 44 24 78 00 A4 AF 20 00 A5 AF 20 00 A6 8F 21 28 A0 02 21 38 00 00 21 20 C0 00 21 30 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 A8 A2 02 03 00 77 34 20 00 A3 8F 21 28 A0 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF AD 03 40 14 21 B0 00 00 00 02 E2 32 00 01 40 14 FC FF C2 2A 19 00 82 2A F2 02 40 14 00 00 00 00 18 00 A8 8F 0A 00 02 29 54 01 40 10 30 00 A2 8F 20 00 A3 8F 21 28 A0 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 40 00 A8 AF D8 02 40 14 20 00 A3 8F 21 28 A0 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 21 B0 60 00 21 20 C0 03 ?? ?? ?? 0? 21 28 C0 02 20 00 A6 8F 21 28 A0 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 20 00 A2 AF 28 00 A3 AF 18 00 A0 AF ?? ?? ?? 0? 21 40 00 00 20 00 63 34 00 02 63 34 00 07 62 30 B3 FF 40 14 21 B8 60 00 C0 00 62 30 A4 02 40 14 20 16 03 7C 78 04 40 04 78 00 A6 8F 10 00 62 30 B1 02 40 10 78 00 A2 8F 78 00 A7 8F 00 00 E4 8C 04 00 E7 24 78 00 A7 AF C3 17 04 00 21 B0 80 00 21 B8 40 00 05 00 41 04 23 10 02 00 23 B0 04 00 2B 20 16 00 03 00 63 34 23 B8 44 00 03 00 80 16 C0 00 75 30 25 A0 D7 02 01 00 94 2E 40 00 02 24 AF 03 A2 12 41 00 A2 2A 38 03 40 10 80 00 02 24 16 00 A0 16 10 00 BE 83 01 00 02 24 11 05 E0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 42 24 02 00 06 24 02 00 1E 24 ?? ?? ?? 0? 14 00 07 24 21 30 C0 03 04 00 44 8C 2B 28 E4 02 31 03 A0 54 10 00 A6 A3 DC 04 97 50 00 00 44 8C 01 00 DE 27 20 F4 1E 7C F6 FF C7 17 08 00 42 24 10 00 BE A3 2A 10 D4 03 FE 02 40 10 2A 10 9E 02 20 F4 14 7C 10 00 BE A3 05 00 60 12 00 40 62 30 03 00 62 30 2B 10 02 00 23 98 62 02 00 40 62 30 05 00 40 10 2A 20 D3 03 2A 10 93 02 23 98 74 02 0A 98 02 00 2A 20 D3 03 04 00 62 30 23 F0 7E 02 EE 02 40 10 0A F0 04 00 02 00 62 30 7A 03 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 62 30 0D 00 C0 13 24 00 A2 AF 21 98 60 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 08 00 64 32 21 18 60 02 24 00 A4 AF FF FF 94 26 ?? ?? 02 3C C0 98 14 00 ?? ?? 42 24 21 98 53 00 03 00 02 24 80 40 14 00 40 20 17 00 02 A0 82 72 20 00 63 30 41 00 A2 2A 28 00 BE AF 34 00 B1 AF 20 00 A3 AF 21 F0 80 00 ?? ?? ?? 0? 21 88 40 00 10 00 A0 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 40 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 40 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 40 00 A8 AF 40 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF 94 26 FD FF 02 24 90 02 82 12 40 00 02 24 84 02 A2 12 27 10 14 00 DF FF 20 16 80 00 02 24 6E 02 A2 12 C0 00 02 24 DD FF A2 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 2E FE 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 21 FE 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 05 24 2D FE 45 14 21 98 00 00 78 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D3 8C 2E 00 05 24 04 00 C6 24 28 FE 45 14 78 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 05 24 23 03 45 10 00 40 63 34 21 28 82 00 01 00 A5 90 21 A0 00 00 04 00 A5 30 1F FE A0 10 0A 00 06 24 02 28 86 72 01 00 31 26 21 A0 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 94 26 ?? ?? ?? 0? ?? ?? 07 3C 3C 01 40 14 2A 10 D4 02 3A 01 40 10 00 00 00 00 3E 04 C0 06 20 00 A3 8F 21 28 A0 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 21 B0 60 00 25 10 D6 03 0F 00 40 10 21 30 00 00 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 13 00 07 24 04 00 64 8C 01 00 42 24 2B 28 C4 02 06 00 A0 14 21 30 40 00 97 03 96 50 00 00 64 8C F8 FF 47 14 08 00 63 24 14 00 06 24 23 A0 86 02 19 00 82 2A 64 03 40 10 00 00 00 00 ?? ?? ?? 0? FF 00 84 32 20 00 A6 8F 21 28 A0 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 20 80 02 20 00 A2 AF ?? ?? ?? 0? 21 A8 60 00 21 40 40 00 D6 FE 80 12 21 48 60 00 21 20 C0 03 21 28 C0 02 40 00 A8 AF ?? ?? ?? 0? 3C 00 A9 AF 20 00 A7 8F 21 28 A0 02 21 30 40 00 21 20 E0 00 ?? ?? ?? 0? 21 38 60 00 40 00 A8 8F 3C 00 A9 8F 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 20 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 BD FE 80 12 21 28 C0 02 21 20 C0 03 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 F0 40 00 ?? ?? ?? 0? 21 B0 60 00 25 10 43 00 F1 FF 40 50 FF FF 94 26 18 00 A8 8F 0A 00 02 29 B0 FE 40 14 20 00 A3 8F 30 00 A2 8F 2C 00 A3 8F 40 00 A8 AF 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 20 60 00 74 01 40 04 40 00 A8 8F EE FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 40 00 A8 AF 30 00 A3 AF 20 00 A6 8F 21 18 40 00 2C 00 A2 AF 30 00 A2 8F 21 20 C0 00 21 28 A0 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 40 00 A8 8F 21 F0 40 00 21 B0 60 00 20 00 A0 AF 28 00 A0 AF 01 00 02 24 D3 03 C0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 2B 30 C5 02 48 02 C0 14 02 00 47 24 43 02 B6 50 00 00 65 8C 01 00 84 24 01 00 42 24 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 98 68 02 23 A8 74 02 2B 10 14 00 23 A8 A7 02 03 00 E3 32 23 A8 A2 02 2B 18 03 00 04 00 E2 32 F1 01 40 10 23 A8 A3 02 02 00 E2 32 E7 02 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 A0 5A 08 00 F7 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 08 00 F7 32 24 00 B7 AF ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 C0 18 03 00 21 18 63 02 00 00 66 8C 04 00 67 8C 21 20 C0 03 ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 82 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 82 2A A8 01 40 14 20 14 14 7C 12 00 02 24 10 00 A2 A3 EE FF 94 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 21 28 60 00 28 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 FF FF 64 26 20 24 04 7C 21 B0 40 00 21 B8 60 00 27 00 60 12 10 00 A4 A3 ?? ?? 02 3C ?? ?? 42 24 21 98 20 02 20 00 A2 AF 21 88 40 00 C0 20 04 00 21 20 24 02 00 00 86 8C 04 00 87 8C 21 28 E0 02 ?? ?? ?? 0? 21 20 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 BE 83 27 10 02 00 21 20 C0 02 C0 18 1E 00 21 18 23 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 E0 02 ?? ?? ?? 0? 21 80 02 02 FF FF C4 27 20 24 04 7C 21 B0 40 00 21 B8 60 00 E1 FF C0 17 10 00 A4 A3 21 88 60 02 0A 00 80 12 24 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 24 00 A4 8F B2 FC 80 50 00 00 24 82 B0 FC A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 76 02 80 16 21 10 00 00 10 00 A2 A3 20 00 A3 8F 21 28 A0 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 EC 01 40 14 10 00 AA 83 20 00 A2 8F 21 28 A0 02 ?? ?? ?? 0? 21 20 40 00 21 A8 40 00 18 00 B6 8F ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF 73 26 03 00 E2 32 63 00 C3 26 2B 10 02 00 23 98 74 02 C7 00 63 2C 23 98 62 02 01 00 63 2C 04 00 E2 32 BD 01 40 10 23 98 63 02 02 00 E2 32 5D 02 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 60 1A 08 00 FE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 FE 32 10 00 A2 83 20 00 A3 8F 21 20 A0 02 C0 10 02 00 21 10 62 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 20 00 A4 8F 27 10 02 00 C0 18 03 00 21 18 83 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 56 02 80 16 21 A8 60 00 20 00 F7 32 02 00 E0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F A0 02 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 64 00 43 28 32 02 60 10 64 00 14 24 0A 00 14 24 1A 00 54 00 F4 01 80 02 21 28 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 29 FC C0 13 21 80 02 02 28 FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 78 00 A6 8F F8 FF 02 24 07 00 C4 24 24 10 82 00 00 00 47 8C 04 00 55 8C 08 00 42 24 20 00 A7 AF ?? ?? ?? 0? 78 00 A2 AF CC 01 40 04 }
	condition:
		$1
}

rule file_528_0_0 {
	meta:
		name = "memcmp"
		size = 104
	strings:
		$1 = { 00 00 A4 AF 04 00 A5 AF 13 00 C0 10 21 10 00 00 00 00 83 90 00 00 A2 90 11 00 62 14 21 38 A0 03 ?? ?? ?? 0? 21 30 86 00 00 00 A2 8F 00 00 43 90 04 00 A2 8F 00 00 42 90 07 00 62 14 23 10 62 00 01 00 84 24 01 00 A5 24 00 00 E4 AC F6 FF 86 14 04 00 A5 AF 21 10 00 00 08 00 E0 03 00 00 00 00 08 00 E0 03 23 10 62 00 }
	condition:
		$1
}

rule file_539_0_0 {
	meta:
		name = "fgetc"
		size = 264
		refs = "00d4 _filbuf"
	strings:
		$1 = { 0C 00 83 94 E0 FF BD 27 10 00 B0 AF 01 00 02 24 21 80 80 00 11 00 64 30 1C 00 BF AF 18 00 B2 AF 1E 00 82 14 14 00 B1 AF 00 02 62 30 19 00 40 54 04 00 04 8E 04 00 02 8E FF FD 63 30 0C 00 03 A6 1A 00 11 24 0D 00 12 24 1F 00 40 18 FF FF 44 24 00 00 02 8E 04 00 04 AE 01 00 44 24 00 00 42 90 00 00 04 AE 80 00 64 30 05 00 80 14 1C 00 BF 8F 1C 00 51 50 08 00 02 8E 11 00 52 50 04 00 02 8E 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 E8 FF 80 10 21 10 00 00 1C 00 BF 8F 10 00 63 34 0C 00 03 A6 FF FF 02 24 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 E3 FF 40 1C FF FF 44 24 40 00 62 30 F3 FF 40 14 21 20 00 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 0C 00 03 96 EE FF 40 10 1C 00 BF 8F 04 00 04 8E 00 00 02 8E 01 00 84 24 FF FF 42 24 04 00 04 AE ?? ?? ?? 0? 00 00 02 AE }
	condition:
		$1
}

rule file_559_1_0 {
	meta:
		name = "_vfprintf_eEfFs"
		size = 5492
		refs = "009c _ctype 01b8 fputc 0584 __floatdisf 059c fpcmp 060c fptoui 06bc __udivdi3 06f4 __umoddi3 083c _npowers_f 0864 fpmul 08a0 fpadd 08f4 fpdiv 0d84 __floatunsisf 0d90 fpsub 105c frexpf 12a0 __floatundisf"
		altNames = "_vfprintf_eEfF"
	strings:
		$1 = { 98 FF BD 27 21 10 00 00 4C 00 B3 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 21 98 80 00 21 88 A0 00 70 00 A6 AF 28 00 A2 AF 21 80 00 00 00 00 24 82 44 00 80 10 10 00 A4 A3 25 00 02 24 58 00 82 14 01 00 32 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 B0 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 4C 00 45 10 FF FF 71 24 2E 00 44 28 42 00 80 10 00 00 00 00 54 00 46 50 01 00 D6 36 50 00 48 50 02 00 D6 36 ?? ?? 04 3C ?? ?? 84 24 21 18 82 00 01 00 63 90 02 00 C5 32 FE FF C4 32 0B B0 85 00 08 00 C5 32 FB FF C4 32 04 00 63 30 48 00 60 10 0B B0 85 00 21 18 00 00 0A 00 05 24 02 20 65 70 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 18 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF 63 24 2E 00 04 24 44 00 44 50 01 00 31 26 00 10 D6 36 21 90 00 00 66 00 04 24 73 00 06 24 6C 00 07 24 10 00 09 24 00 80 08 24 67 00 45 28 10 00 A2 A3 92 00 44 10 01 00 31 26 50 00 A0 10 00 00 00 00 63 00 04 24 AB 02 44 10 64 00 44 28 A4 01 80 50 65 00 04 24 E3 02 40 14 45 00 04 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C3 FF 47 14 ?? ?? 04 3C 04 00 D6 36 01 00 63 24 FF FF 62 80 B6 FF 45 14 FF FF 71 24 08 00 D6 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 C4 FF 44 14 21 18 00 00 70 00 A7 8F 01 00 31 26 00 00 22 82 00 00 E3 8C 2E 00 04 24 04 00 E7 24 BF FF 44 14 70 00 A7 AF 01 00 31 26 00 00 22 82 2A 00 04 24 B3 03 44 10 00 40 D6 36 ?? ?? 08 3C ?? ?? 08 25 21 20 02 01 01 00 84 90 21 90 00 00 04 00 84 30 B4 FF 80 10 0A 00 05 24 02 20 45 72 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 90 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF 52 26 ?? ?? ?? 0? 66 00 04 24 6F 02 46 10 74 00 45 28 A8 00 A0 50 75 00 04 24 32 00 47 10 10 00 C2 32 10 00 B4 27 01 00 17 24 04 00 40 52 2B 90 E3 02 2B 10 57 02 0B B8 42 02 2B 90 E3 02 23 18 77 00 0A 18 12 00 08 00 D6 32 0C 00 C0 16 21 90 60 00 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 55 16 21 28 60 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 60 02 4A FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 21 28 00 01 0A 28 22 01 00 00 22 82 25 B0 B6 00 FF FF D6 32 67 00 45 28 10 00 A2 A3 70 FF 44 14 01 00 31 26 00 04 DE 36 00 07 C2 33 72 00 40 14 21 B0 C0 03 20 16 1E 7C 5E 03 40 04 10 00 C2 33 37 02 40 50 70 00 A8 8F 70 00 A7 8F 21 B8 00 00 00 00 F4 8C 04 00 E7 24 70 00 A7 AF 03 00 40 16 C0 00 D6 33 25 90 97 02 01 00 52 2E 80 00 02 24 08 03 C2 12 C0 00 02 24 F1 02 C2 12 10 00 A2 83 2A 20 52 00 EC 02 80 10 2A 20 42 02 20 14 12 7C 10 00 A2 A3 05 00 60 10 00 40 C4 33 03 00 C4 33 2B 20 04 00 23 18 64 00 00 40 C4 33 05 00 80 10 2A 28 43 00 2A 20 43 02 23 18 72 00 0A 18 04 00 2A 28 43 00 23 10 62 00 0A 10 05 00 04 00 C4 33 C6 02 80 10 20 00 A2 AF 02 00 C2 33 3E 03 40 10 01 00 C2 33 01 00 C4 33 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A9 8F 09 02 20 15 30 00 04 24 08 00 DE 33 2C 00 BE AF FF FF 48 26 ?? ?? 09 3C C0 A8 08 00 ?? ?? 3E 25 40 10 17 00 21 A8 D5 03 80 40 08 00 80 00 1E 24 11 00 40 12 24 00 A2 AF 99 02 DE 12 FF FF 52 26 C0 00 03 24 87 02 C3 52 00 00 A6 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 30 00 A8 AF 30 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F1 FF 40 16 FC FF 08 25 2C 00 A6 8F D8 FE C0 50 00 00 24 82 20 00 A7 8F D5 FE E0 58 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A8 8F 27 10 02 00 2B 10 02 00 FF FF 08 25 20 00 A8 AF F7 FF 00 15 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 05 00 44 10 78 00 04 24 59 FF 44 14 10 00 B4 27 ?? ?? ?? 0? 80 00 DE 36 C0 00 DE 36 00 07 C2 33 90 FF 40 10 21 B0 C0 03 00 10 C5 33 06 00 04 24 10 00 C2 33 A4 00 40 10 0B 90 85 00 70 00 A8 8F F8 FF 02 24 07 00 04 25 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 38 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 38 00 A3 8F 21 A8 40 00 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 A8 55 00 03 00 D6 37 21 20 A0 02 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 18 00 A0 AF 21 B8 00 00 A1 02 40 14 38 00 A3 8F 00 01 C2 32 89 00 40 10 19 00 42 2A 13 00 42 2E D1 01 40 10 12 00 02 24 21 20 A0 02 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 10 00 B2 A3 D1 01 40 14 38 00 A3 8F ?? ?? ?? 0? 21 20 A0 02 38 00 A3 8F 21 A8 40 00 ?? ?? 02 3C ?? ?? 5E 24 FB FF 63 24 03 00 C2 32 23 A0 72 00 2B 18 02 00 04 00 C2 32 05 02 40 10 23 A0 83 02 02 00 C2 32 06 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 B1 03 80 1A 08 00 C5 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 C6 32 24 00 A6 AF 10 00 A2 83 21 20 A0 02 21 28 00 00 C0 10 02 00 21 10 C2 03 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 3E 03 40 16 21 B8 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 6D 03 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 12 24 21 28 60 02 1A 00 52 00 F4 01 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 72 00 F4 01 40 02 21 28 60 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 24 00 A2 8F 27 FE 40 50 00 00 24 82 25 FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 AD FE 44 14 10 00 B4 27 ?? ?? ?? 0? 00 01 DE 36 70 00 A9 8F 00 00 35 8D 04 00 29 25 ?? ?? ?? 0? 70 00 A9 AF 2B 00 40 10 0A 00 E2 2A FF 00 54 32 6E 00 82 2E AD 02 40 10 EB 51 02 3C 0B 00 82 2E 3C 03 40 14 ?? ?? 02 3C CC CC 02 3C CD CC 42 34 19 00 82 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 06 3C ?? ?? C6 24 38 00 A3 AF 30 00 A6 AF 10 48 00 00 C2 F0 09 00 FF 00 C2 33 09 00 42 24 80 10 02 00 21 10 46 00 ?? ?? ?? 0? 00 00 44 8C 0A 00 04 24 02 28 C4 73 30 00 A6 8F 21 20 40 00 23 A0 85 02 FF 00 94 32 80 A0 14 00 21 30 86 02 ?? ?? ?? 0? 00 00 C5 8C 38 00 A3 8F 21 20 A0 02 21 28 40 00 ?? ?? ?? 0? 38 00 A3 AF 38 00 A3 8F 21 A8 40 00 0A 00 E2 2A 10 01 40 14 21 20 A0 02 ?? ?? 02 3C ?? ?? 45 8C 28 00 A4 8F ?? ?? ?? 0? 38 00 A3 AF 59 02 41 04 38 00 A3 8F ED FF F7 26 18 00 B7 AF 20 24 17 7C ?? ?? ?? 0? 38 00 A3 AF 21 28 40 00 21 20 A0 02 ?? ?? ?? 0? 28 00 A2 AF ?? ?? ?? 0? 21 20 40 00 38 00 A3 8F 21 30 00 00 21 F0 40 00 21 A0 40 00 24 00 A6 AF 01 00 04 24 0A 00 C2 2F 08 03 40 14 10 00 A4 A3 ?? ?? 09 3C ?? ?? 26 25 21 10 00 00 02 00 09 24 02 00 04 24 12 00 08 24 04 00 C5 8C 02 00 47 24 01 00 84 24 32 02 A0 14 01 00 42 24 00 00 C5 8C 20 24 04 7C 2B 28 C5 03 2D 02 A0 14 08 00 C6 24 F5 FF 48 54 21 48 80 00 10 00 A4 A3 14 00 07 24 23 A8 77 00 23 A8 B2 02 2B 10 12 00 23 A8 A7 02 03 00 C3 32 23 A8 A2 02 2B 18 03 00 04 00 C2 32 E9 01 40 10 23 A8 A3 02 02 00 C2 32 2A 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 A0 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 08 00 D6 32 20 00 B6 AF ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 16 25 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 80 02 21 28 00 00 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 C6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A 4F 02 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 24 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 B8 00 00 ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 FF FF 82 26 20 14 02 7C 23 00 80 12 10 00 A2 A3 ?? ?? 09 3C ?? ?? 3E 25 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B4 83 27 10 02 00 2B 10 02 00 C0 18 14 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 28 E0 02 21 20 C0 02 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 FF FF 82 26 20 14 02 7C 21 B8 60 00 E1 FF 80 16 10 00 A2 A3 0A 00 40 12 20 00 A2 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 20 00 A2 8F 22 FD 40 50 00 00 24 82 20 FD A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A7 8F 10 00 C5 32 01 00 E2 80 00 00 E6 8C 04 00 E4 24 AB 00 A0 10 10 00 A2 A3 AA 00 40 50 14 00 A6 A3 FF FF 05 24 A7 00 45 50 14 00 A6 A3 14 00 A2 A3 15 00 A6 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF 70 00 A6 8F 00 00 C4 8C 04 00 C5 24 E2 01 80 10 21 A0 80 00 00 00 82 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 97 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A5 AF 21 B8 00 00 00 00 14 8D 04 00 08 25 ?? ?? ?? 0? 70 00 A8 AF 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 20 00 A3 AF F0 FD 60 10 21 80 02 02 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 20 00 A3 AF ED FF 60 14 21 80 02 02 ?? ?? ?? 0? 08 00 DE 33 6C FD 44 14 10 00 B4 27 20 00 D6 36 ?? ?? ?? 0? 00 01 DE 36 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 5F 01 40 10 38 00 A3 8F ?? ?? ?? 0? 21 20 A0 02 5F 01 40 14 38 00 A3 8F 02 00 E4 2A E7 FE 80 50 ?? ?? 02 3C ?? ?? ?? 0? 21 20 40 00 21 20 A0 02 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 10 00 A2 A3 31 FE 40 10 38 00 A3 8F 10 00 A7 83 38 00 A3 AF ?? ?? 1E 3C 23 20 E7 02 20 24 04 7C ?? ?? ?? 0? 34 00 A7 AF 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 30 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 ?? ?? C4 8F ?? ?? ?? 0? 21 28 40 00 38 00 A3 8F 30 00 A6 8F 0A 00 40 1C 34 00 A7 8F ?? ?? C5 8F ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 34 00 A7 8F 38 00 A3 8F 21 30 40 00 ?? ?? 04 3C 01 00 E2 24 ?? ?? 9E 24 C0 10 02 00 21 10 C2 03 04 00 44 8C 6B 01 80 14 21 A8 C0 00 00 00 42 8C 2B 10 C2 00 68 01 40 14 C0 38 07 00 ?? ?? 02 3C ?? ?? 45 8C 01 00 F7 26 21 20 80 02 38 00 A3 AF ?? ?? ?? 0? 18 00 B7 AF ?? ?? ?? 0? 21 20 40 00 38 00 A3 8F 21 A8 40 00 03 00 C2 32 FB FF 63 24 23 A0 72 00 2B 18 02 00 04 00 C2 32 FD FD 40 14 23 A0 83 02 08 00 C7 32 0B 00 E0 14 24 00 A7 AF 0A 00 80 1A 02 00 C2 32 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 C2 32 40 01 40 14 01 00 C4 32 01 00 C2 32 04 FE 40 10 10 00 A2 83 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 14 00 A6 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 30 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 30 00 A8 8F 24 00 A4 8F 27 18 08 00 06 10 14 01 04 18 64 00 25 10 62 00 20 00 04 31 06 18 17 01 0B 10 64 00 ?? ?? 05 3C 0F 00 42 30 ?? ?? A5 24 21 10 A2 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 20 00 A4 8F 9B 00 80 14 08 00 C6 33 08 00 C5 33 2C 00 A5 AF 02 00 C2 33 92 00 40 50 01 00 DE 33 01 00 C4 33 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 ?? ?? ?? 0? 0B 90 44 00 01 00 02 24 6B 01 E0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 44 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 08 24 21 38 40 00 04 00 85 8C 01 00 42 24 2B 30 E5 02 97 00 C0 14 20 14 02 7C 92 00 B7 50 00 00 85 8C F7 FF 48 14 08 00 84 24 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 5B 01 E0 12 10 00 A2 A3 02 00 02 24 02 00 0A 24 }
	condition:
		$1
}

rule file_614_2_0 {
	meta:
		name = "_dvfprintf_eEgGs"
		size = 5916
		refs = "009c _ctype 01b4 fputc 03c0 dpcmp 0430 __fixunsdfdi 04ac dpadd 04d4 __floatundidf 04ec dpsub 0500 dpmul 0530 __udivdi3 054c __umoddi3 061c dpdiv 0b30 dptoul 0e8c __floatunsidf 12bc frexp"
		altNames = "_dvfprintf_eEgG"
	strings:
		$1 = { 88 FF BD 27 5C 00 B3 AF 54 00 B1 AF 50 00 B0 AF 74 00 BF AF 70 00 BE AF 6C 00 B7 AF 68 00 B6 AF 64 00 B5 AF 60 00 B4 AF 58 00 B2 AF 21 98 80 00 21 88 A0 00 80 00 A6 AF 34 00 A0 AF 38 00 A0 AF 21 80 00 00 00 00 24 82 43 00 80 10 10 00 A4 A3 25 00 02 24 57 00 82 14 01 00 32 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 F0 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 4B 00 45 10 FF FF 71 24 2E 00 44 28 41 00 80 10 00 00 00 00 53 00 46 50 01 00 DE 37 4F 00 48 50 02 00 DE 37 ?? ?? 04 3C ?? ?? 83 24 21 20 62 00 01 00 84 90 02 00 C6 33 FE FF C5 33 0B F0 A6 00 08 00 C6 33 FB FF C5 33 04 00 84 30 47 00 80 10 0B F0 A6 00 21 A0 00 00 0A 00 05 24 02 20 85 72 01 00 31 26 21 A0 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 94 26 2E 00 04 24 45 00 44 50 01 00 31 26 00 10 DE 37 21 90 00 00 67 00 03 24 73 00 05 24 6C 00 06 24 10 00 08 24 00 80 07 24 68 00 44 28 10 00 A2 A3 8F 00 43 10 01 00 31 26 4D 00 80 10 00 00 00 00 47 00 03 24 8A 00 43 50 20 00 DE 37 48 00 43 28 C9 02 60 50 63 00 03 24 11 04 40 14 45 00 03 24 74 00 BF 8F 21 10 00 02 70 00 BE 8F 6C 00 B7 8F 68 00 B6 8F 64 00 B5 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 78 00 BD 27 C4 FF 47 14 ?? ?? 04 3C 04 00 DE 37 01 00 63 24 FF FF 62 80 B7 FF 45 14 FF FF 71 24 08 00 DE 37 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 C3 FF 44 14 21 A0 00 00 80 00 A5 8F 01 00 31 26 00 00 22 82 00 00 B4 8C 2E 00 04 24 04 00 A5 24 BE FF 44 14 80 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 53 04 44 10 00 40 DE 37 21 20 62 00 01 00 84 90 21 90 00 00 04 00 84 30 B5 FF 80 10 0A 00 05 24 02 20 45 72 01 00 31 26 21 90 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 52 26 ?? ?? ?? 0? 67 00 03 24 92 03 45 10 74 00 44 28 78 02 80 50 75 00 03 24 32 00 46 10 10 00 C2 33 10 00 B5 27 01 00 16 24 04 00 40 52 2B 90 D4 02 2B 10 56 02 0B B0 42 02 2B 90 D4 02 23 A0 96 02 0A A0 12 00 08 00 DE 33 0C 00 C0 17 21 90 80 02 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? FF FF 14 24 00 00 A4 82 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF D6 26 F8 FF D4 16 21 28 60 02 4F FF C0 53 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 21 20 E0 00 0A 20 02 01 00 00 22 82 25 F0 9E 00 FF FF DE 33 68 00 44 28 10 00 A2 A3 73 FF 43 14 01 00 31 26 00 02 DE 37 00 07 C2 33 70 01 40 10 21 B8 C0 03 00 10 C4 33 06 00 03 24 10 00 C2 33 14 02 40 10 0B 90 64 00 80 00 A4 8F F8 FF 02 24 07 00 83 24 24 10 62 00 00 00 46 8C 04 00 56 8C 08 00 45 24 80 00 A5 AF 20 00 A6 AF 20 00 A3 8F 21 28 C0 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 00 41 04 20 00 A3 8F 00 80 02 3C 26 B0 C2 02 03 00 D7 37 21 28 C0 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF AE 03 40 14 21 A8 00 00 00 01 E2 32 B8 01 40 14 00 02 E2 32 39 03 40 10 19 00 42 2A FC FF A2 2A B3 01 40 14 2A 10 B2 02 B1 01 40 10 00 00 00 00 A4 04 A0 06 20 00 A3 8F 21 28 C0 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 21 A8 60 00 25 10 D5 03 0F 00 40 10 21 30 00 00 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 13 00 07 24 04 00 64 8C 01 00 42 24 2B 28 A4 02 06 00 A0 14 21 30 40 00 8C 04 95 50 00 00 64 8C F8 FF 47 14 08 00 63 24 14 00 06 24 23 90 46 02 19 00 42 2A 75 04 40 10 00 00 00 00 ?? ?? ?? 0? FF 00 44 32 20 00 A6 8F 21 28 C0 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 20 40 02 20 00 A2 AF ?? ?? ?? 0? 21 B0 60 00 28 00 A2 AF 25 00 40 12 2C 00 A3 AF 21 20 C0 03 ?? ?? ?? 0? 21 28 A0 02 20 00 A7 8F 21 28 C0 02 21 30 40 00 21 20 E0 00 ?? ?? ?? 0? 21 38 60 00 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 28 A0 02 21 20 C0 03 0A 00 06 24 0D 00 40 12 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 F0 40 00 ?? ?? ?? 0? 21 A8 60 00 25 10 43 00 F0 FF 40 50 FF FF 52 26 18 00 A8 8F 0A 00 02 29 15 00 40 10 34 00 A3 8F 20 00 A3 8F 21 28 C0 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 48 00 A8 AF F6 03 40 10 20 00 A3 8F 21 28 C0 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 25 10 43 00 21 A8 60 00 F3 03 40 14 48 00 A8 8F 02 00 02 29 F0 03 40 14 34 00 A3 8F 38 00 A2 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 21 28 40 00 ?? ?? ?? 0? 48 00 A8 AF D9 03 40 04 48 00 A8 8F EE FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 48 00 A8 AF 38 00 A3 AF 34 00 A2 AF 21 18 40 00 20 00 A6 8F 38 00 A2 8F 21 28 C0 02 21 20 C0 00 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 48 00 A8 8F 21 F0 40 00 21 A8 60 00 28 00 A0 AF 30 00 A0 AF 01 00 02 24 2F 04 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 02 00 47 24 01 00 84 24 2B 30 A5 02 F4 03 C0 14 01 00 42 24 EF 03 B5 50 00 00 65 8C 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 B0 88 02 23 B0 D2 02 2B 10 12 00 23 B0 C7 02 03 00 E3 32 23 B0 C2 02 2B 18 03 00 04 00 E2 32 C5 03 40 10 23 B0 C3 02 02 00 E2 32 F0 03 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 C0 5A 08 00 F7 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF D6 26 F9 FF C0 16 21 80 02 02 08 00 F7 32 20 00 B7 AF ?? ?? 14 3C ?? ?? ?? 0? ?? ?? 94 26 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 C0 03 21 28 A0 02 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 86 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A 7C 03 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 21 28 60 00 30 00 A2 8F 28 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 A8 40 00 FF FF 82 26 20 14 02 7C 21 B8 60 00 23 00 80 12 10 00 A2 A3 ?? ?? 1E 3C ?? ?? DE 27 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 20 A0 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B4 83 27 10 02 00 2B 10 02 00 C0 18 14 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 28 E0 02 21 20 A0 02 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 FF FF 82 26 20 14 02 7C 21 B8 60 00 E1 FF 80 16 10 00 A2 A3 0A 00 40 12 20 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 20 00 A4 8F D2 FD 80 50 00 00 24 82 D0 FD C0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF D6 26 F9 FF C0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 1E 7C 83 02 40 04 10 00 C2 33 D1 00 40 10 80 00 A5 8F 80 00 A4 8F 21 B8 00 00 00 00 95 8C 04 00 84 24 80 00 A4 AF 03 00 40 16 C0 00 D6 33 25 90 B7 02 01 00 52 2E 80 00 02 24 84 01 C2 12 C0 00 02 24 A7 01 C2 12 10 00 A2 83 2A 18 52 00 9E 00 60 10 2A 18 42 02 20 14 12 7C 10 00 A2 A3 05 00 80 12 00 40 C3 33 03 00 C3 33 2B 18 03 00 23 A0 83 02 00 40 C3 33 05 00 60 10 2A 20 54 00 2A 18 54 02 23 A0 92 02 0A A0 03 00 2A 20 54 00 23 10 82 02 0A 10 04 00 04 00 C3 33 8D 00 60 10 20 00 A2 AF 02 00 C2 33 D1 01 40 54 01 00 C4 33 01 00 C2 33 D2 01 40 14 20 00 04 24 20 00 A6 8F 0C 00 C0 50 08 00 DE 33 20 00 B4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 B4 AF 08 00 DE 33 28 00 BE AF FF FF 48 26 C0 A0 08 00 ?? ?? 1E 3C 80 40 08 00 ?? ?? DE 27 13 00 00 01 40 18 17 00 21 40 40 02 21 A0 D4 03 30 00 B1 AF 80 00 1E 24 21 88 60 00 11 00 00 11 12 90 00 00 F5 01 DE 12 FF FF 08 25 C0 00 05 24 00 02 C5 52 00 00 86 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 48 00 A8 AF 48 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 94 26 F1 FF 00 15 FC FF 52 26 28 00 A2 8F 66 FD 40 10 30 00 B1 8F 20 00 A3 8F 63 FD 60 18 21 90 60 00 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 25 01 40 12 21 10 00 00 40 02 E2 7E 23 90 42 02 13 00 42 2E 1F 01 40 14 12 00 02 24 10 00 A2 A3 20 00 A3 8F 21 28 C0 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 CA 00 40 14 10 00 AB 83 20 00 A2 8F 21 28 C0 02 ?? ?? 1E 3C ?? ?? ?? 0? 21 20 40 00 18 00 B5 8F 21 B0 40 00 ?? ?? DE 27 FB FF 94 26 03 00 E2 32 63 00 B5 26 2B 10 02 00 23 A0 92 02 C7 00 B5 2E 23 A0 82 02 01 00 B5 2E 04 00 E2 32 4C 00 40 10 23 A0 95 02 02 00 E2 32 A3 01 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 CC 02 80 1A 08 00 E3 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 E4 32 ?? ?? ?? 0? 20 00 A4 AF 80 00 A2 8F 07 00 43 24 F8 FF 02 24 24 10 62 00 00 00 43 8C 04 00 56 8C 08 00 42 24 20 00 A3 AF ?? ?? ?? 0? 80 00 A2 AF ?? ?? ?? 0? 0B 90 43 00 20 00 A2 8F 4F 01 40 14 08 00 C4 33 08 00 C3 33 28 00 A3 AF 02 00 C2 33 59 01 40 50 01 00 DE 33 01 00 C4 33 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 C5 FD 43 50 C0 00 DE 37 78 00 03 24 88 FD 43 14 10 00 B5 27 ?? ?? ?? 0? 80 00 DE 37 FE 00 43 10 65 00 03 24 82 FD 43 14 10 00 B5 27 ?? ?? ?? 0? 00 01 DE 37 21 B8 00 00 00 00 B5 8C 04 00 A5 24 ?? ?? ?? 0? 80 00 A5 AF 08 00 E5 32 0B 00 A0 14 20 00 A5 AF 0A 00 80 1A 02 00 E2 32 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 E2 32 47 01 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 C0 02 21 28 00 00 C0 10 02 00 21 10 C2 03 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 20 C0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 89 01 40 16 21 B0 60 00 20 00 F7 32 02 00 E0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F D2 01 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A3 8F 64 00 62 28 BA 01 40 10 64 00 12 24 0A 00 12 24 1A 00 72 00 F4 01 40 02 21 28 60 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 72 00 F4 01 40 02 21 28 60 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A2 8F 8D FC 40 50 00 00 24 82 8B FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 23 20 AB 02 ?? ?? ?? 0? 44 00 AB AF 20 00 A6 8F 21 38 60 00 21 28 C0 02 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 50 60 00 21 48 40 00 21 28 40 01 21 20 40 00 3C 00 A9 AF ?? ?? ?? 0? 40 00 AA AF 21 20 40 00 ?? ?? ?? 0? 48 00 A2 AF 3C 00 A9 8F 40 00 AA 8F 21 30 40 00 21 20 20 01 21 28 40 01 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 3C ?? ?? C6 24 00 00 C4 8C 04 00 C5 8C 21 38 60 00 ?? ?? ?? 0? 21 30 40 00 48 00 A8 8F 3C 00 A9 8F 40 00 AA 8F 12 00 40 1C 44 00 AB 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 01 ?? ?? ?? 0? 21 28 40 01 21 50 60 00 21 48 40 00 21 28 40 01 21 20 40 00 3C 00 A9 AF ?? ?? ?? 0? 40 00 AA AF 44 00 AB 8F 40 00 AA 8F 3C 00 A9 8F 21 40 40 00 ?? ?? 1E 3C 01 00 62 25 C0 10 02 00 ?? ?? DE 27 21 10 C2 03 04 00 43 8C 9B 00 60 10 21 B0 00 01 C0 58 0B 00 21 58 CB 03 04 00 62 8D 80 01 40 50 00 00 62 8D ?? ?? 02 3C ?? ?? 42 24 21 20 20 01 21 28 40 01 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? FF FF B5 26 21 10 40 02 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 DA 01 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 19 04 00 02 00 02 24 02 47 04 00 25 40 06 01 01 00 42 24 21 30 60 00 2B 18 E5 02 02 00 09 24 10 00 0A 24 20 14 02 7C 11 00 60 14 21 38 00 01 96 00 E5 52 2B 20 A4 02 23 00 4A 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 19 04 00 02 47 04 00 25 40 06 01 21 48 40 00 21 30 60 00 01 00 42 24 2B 18 E5 02 }
	condition:
		$1
}

rule file_618_2_0 {
	meta:
		name = "_vfprintf_fFgG"
		size = 5616
		refs = "000c _ctype 01b0 fputc 03a8 __floatdisf 03c0 fpcmp 0418 fpadd 0468 fpdiv 0470 fptoui 0584 __udivdi3 0598 __umoddi3 0650 fpmul 0c8c __floatundisf 0c98 fpsub 1068 frexpf 1274 __floatunsisf"
		altNames = "_vfprintf_fFgGs"
	strings:
		$1 = { 98 FF BD 27 60 00 BE AF 21 10 00 00 ?? ?? 1E 3C 4C 00 B3 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 21 98 80 00 21 88 A0 00 70 00 A6 AF 2C 00 A2 AF 21 80 00 00 ?? ?? DE 27 00 00 24 82 40 00 80 10 10 00 A4 A3 25 00 02 24 54 00 82 14 01 00 32 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 48 00 46 10 FF FF 91 24 2E 00 45 28 3E 00 A0 10 00 00 00 00 50 00 47 50 01 00 63 34 4C 00 49 50 02 00 63 34 21 20 C2 03 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 46 00 80 10 0B 18 A6 00 21 A8 00 00 0A 00 05 24 02 20 A5 72 01 00 31 26 21 A8 82 00 00 00 22 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF B5 26 2E 00 04 24 44 00 44 50 01 00 31 26 00 10 63 34 21 90 00 00 67 00 04 24 73 00 06 24 6C 00 07 24 10 00 09 24 00 80 08 24 68 00 45 28 10 00 A2 A3 8E 00 44 10 01 00 31 26 4C 00 A0 10 00 00 00 00 63 00 04 24 95 02 44 10 64 00 44 28 F9 01 80 50 66 00 04 24 DA 02 40 14 47 00 04 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C7 FF 48 54 21 20 C2 03 04 00 63 34 01 00 84 24 FF FF 82 80 BA FF 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 C4 FF 44 14 21 A8 00 00 70 00 A5 8F 01 00 31 26 00 00 22 82 00 00 B5 8C 2E 00 04 24 04 00 A5 24 BF FF 44 14 70 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 B7 03 44 10 00 40 63 34 21 20 C2 03 01 00 84 90 21 90 00 00 04 00 84 30 B6 FF 80 10 0A 00 05 24 02 20 45 72 01 00 31 26 21 90 82 00 00 00 22 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 52 26 ?? ?? ?? 0? 67 00 04 24 3C 02 46 10 74 00 45 28 A8 01 A0 50 75 00 04 24 32 00 47 10 10 00 62 30 10 00 B4 27 01 00 17 24 04 00 40 52 2B 90 F5 02 2B 10 57 02 0B B8 42 02 2B 90 F5 02 23 A8 B7 02 0A A8 12 00 08 00 76 30 0C 00 C0 16 21 90 A0 02 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 55 16 21 28 60 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 60 02 52 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 21 28 00 01 0A 28 22 01 00 00 22 82 25 18 A3 00 FF FF 63 30 68 00 45 28 10 00 A2 A3 74 FF 44 14 01 00 31 26 00 02 63 34 00 07 62 30 00 01 40 10 21 B0 60 00 00 10 65 30 06 00 04 24 10 00 62 30 F0 01 40 10 0B 90 85 00 70 00 A5 8F F8 FF 02 24 07 00 A4 24 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 38 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 38 00 A3 8F 21 A0 40 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 A0 54 00 03 00 76 34 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 18 00 A0 AF 1D 03 40 14 21 18 00 00 00 02 C2 32 50 01 40 14 FC FF 62 28 19 00 42 2A 08 00 40 10 18 00 B7 8F ?? ?? ?? 0? FF 00 44 32 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 A0 40 00 18 00 B7 8F 0A 00 E2 2A 0A 02 40 14 21 20 80 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 2C 00 A4 8F B7 03 41 04 EE FF E6 26 ED FF E6 26 18 00 A6 AF 20 24 06 7C ?? ?? ?? 0? 34 00 A6 AF 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 2C 00 A2 AF ?? ?? ?? 0? 21 20 40 00 34 00 A6 8F 21 18 40 00 21 A0 40 00 21 B8 00 00 01 00 04 24 0A 00 62 2C 49 04 40 14 10 00 A4 A3 ?? ?? 04 3C ?? ?? 87 24 21 10 00 00 02 00 0A 24 02 00 04 24 12 00 09 24 04 00 E5 8C 02 00 48 24 01 00 84 24 15 03 A0 14 01 00 42 24 00 00 E5 8C 20 24 04 7C 2B 28 65 00 10 03 A0 14 08 00 E7 24 F5 FF 49 54 21 50 80 00 10 00 A4 A3 14 00 08 24 23 A8 A6 02 23 A8 B2 02 2B 10 12 00 23 A8 A8 02 03 00 C3 32 23 A8 A2 02 2B 18 03 00 04 00 C2 32 BB 02 40 10 23 A8 A3 02 02 00 C2 32 85 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 A0 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 08 00 D6 32 24 00 B6 AF ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 96 24 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 80 02 21 28 00 00 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 C6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A 72 02 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 E0 02 ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 FF FF 82 26 20 14 02 7C 21 B8 00 00 26 00 80 12 10 00 A2 A3 ?? ?? 05 3C ?? ?? A5 24 20 00 A5 AF 20 00 A7 8F C0 10 02 00 21 20 C0 02 21 10 E2 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B4 83 20 00 A4 8F 27 10 02 00 C0 18 14 00 21 18 83 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 E0 02 21 20 C0 02 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 FF FF 82 26 20 14 02 7C 21 B8 60 00 DF FF 80 16 10 00 A2 A3 0A 00 40 12 24 00 A5 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 24 00 A5 8F 45 FE A0 50 00 00 24 82 43 FE A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 03 7C 69 02 40 04 10 00 62 30 17 01 40 10 70 00 A7 8F 70 00 A5 8F 21 B8 00 00 00 00 B4 8C 04 00 A5 24 70 00 A5 AF 03 00 40 16 C0 00 76 30 25 90 97 02 01 00 52 2E 80 00 02 24 E7 01 C2 12 C0 00 02 24 D0 01 C2 12 10 00 A2 83 2A 20 52 00 CB 01 80 10 2A 20 42 02 20 14 12 7C 10 00 A2 A3 05 00 A0 12 00 40 64 30 03 00 64 30 2B 20 04 00 23 A8 A4 02 00 40 64 30 05 00 80 10 2A 28 55 00 2A 20 55 02 23 A8 B2 02 0A A8 04 00 2A 28 55 00 23 10 A2 02 0A 10 05 00 04 00 64 30 A7 01 80 10 24 00 A2 AF 02 00 62 30 49 02 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 60 02 ?? ?? ?? 0? 38 00 A3 AF 27 10 02 00 38 00 A3 8F 2B 10 02 00 21 80 02 02 24 00 A2 8F E8 00 40 14 30 00 04 24 08 00 63 30 28 00 A3 AF FF FF 48 26 ?? ?? 05 3C C0 A8 08 00 ?? ?? A5 24 40 38 17 00 21 A8 B5 00 80 40 08 00 12 00 40 12 20 00 A7 AF 80 00 02 24 79 01 C2 12 FF FF 52 26 C0 00 03 24 67 01 C3 52 00 00 A6 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 30 00 A8 AF 30 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F0 FF 40 16 FC FF 08 25 28 00 A7 8F E0 FD E0 50 00 00 24 82 24 00 A2 8F DD FD 40 58 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 24 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 24 00 A3 AF F7 FF 60 14 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 95 FE 44 50 C0 00 63 34 78 00 04 24 58 FE 44 14 10 00 B4 27 ?? ?? ?? 0? 80 00 63 34 54 FE 44 14 10 00 B4 27 ?? ?? ?? 0? 00 04 63 34 E2 00 40 10 2A 10 72 00 9A 02 40 16 21 10 00 00 10 00 A2 A3 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 36 02 40 14 38 00 A3 8F ?? ?? ?? 0? 21 20 80 02 21 B8 40 00 ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF B4 26 03 00 C3 32 23 A0 92 02 2B 18 03 00 04 00 C2 32 0E 02 40 10 23 A0 83 02 02 00 C2 32 92 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 FB 02 80 1A 08 00 C7 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 C2 32 24 00 A2 AF 10 00 A2 83 20 00 A7 8F 21 20 E0 02 C0 10 02 00 21 10 E2 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 A3 83 20 00 A4 8F 27 10 02 00 C0 18 03 00 21 18 83 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 E0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 7B 02 40 16 21 A8 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F B8 02 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 12 24 21 28 60 02 1A 00 52 00 F4 01 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 72 00 F4 01 40 02 21 28 60 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 24 00 A2 8F 50 FD 40 50 00 00 24 82 4E FD 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A7 8F 00 00 F4 8C 04 00 E7 24 ?? ?? ?? 0? 70 00 A7 AF 70 00 A7 8F 00 00 E4 8C 04 00 E5 24 37 02 80 10 21 A0 80 00 00 00 82 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 97 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A5 AF 70 00 A4 8F 10 00 65 30 01 00 82 80 00 00 86 8C 04 00 84 24 9D 00 A0 10 10 00 A2 A3 9C 00 40 50 14 00 A6 A3 FF FF 05 24 99 00 45 50 14 00 A6 A3 14 00 A2 A3 15 00 A6 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF 21 B8 00 00 00 00 F4 8C 04 00 E7 24 ?? ?? ?? 0? 70 00 A7 AF 30 00 04 24 21 28 60 02 ?? ?? ?? 0? 38 00 A3 AF 24 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 24 00 A4 AF 21 80 02 02 0F FF 80 10 38 00 A3 8F 30 00 04 24 21 28 60 02 ?? ?? ?? 0? 38 00 A3 AF 24 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 24 00 A4 AF 21 80 02 02 E9 FF 80 14 38 00 A3 8F ?? ?? ?? 0? 08 00 63 30 ?? ?? ?? 0? 21 28 00 00 BA 01 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 80 02 05 00 40 54 21 20 40 00 02 00 E3 2A EE FD 60 50 ?? ?? 02 3C 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 38 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 38 00 A3 8F 21 B8 40 00 18 00 A0 AF 21 A0 60 00 ?? ?? ?? 0? 21 30 00 00 71 FD 44 14 10 00 B4 27 ?? ?? ?? 0? 20 00 63 34 1E FF 40 10 00 00 00 00 31 02 60 04 27 18 03 00 ?? ?? ?? 0? 21 20 80 02 21 B8 40 00 10 00 E0 12 21 20 00 00 ?? ?? 05 3C ?? ?? A5 24 21 10 00 00 13 00 06 24 04 00 A3 8C 01 00 42 24 08 00 60 14 21 20 40 00 00 00 A3 8C 2B 18 E3 02 04 00 60 14 08 00 A5 24 F8 FF 46 54 04 00 A3 8C 14 00 04 24 23 90 44 02 19 00 42 2A 95 01 40 10 00 00 00 00 ?? ?? ?? 0? FF 00 44 32 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 20 24 12 7C ?? ?? ?? 0? 21 A0 40 00 B2 FD 40 12 21 18 40 00 21 20 E0 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 38 00 A3 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 00 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 B8 40 00 25 10 43 00 0F 00 40 10 21 40 00 00 ?? ?? ?? 0? 18 00 B7 8F ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 B8 40 00 ?? ?? ?? 0? 30 00 A3 AF 25 10 43 00 8E FD 40 14 30 00 A8 8F FF FF 52 26 21 28 00 01 21 20 E0 02 0A 00 06 24 EF FF 40 16 21 38 00 00 18 00 B7 8F 0A 00 E2 2A 89 FD 40 10 ?? ?? 02 3C ?? ?? ?? 0? 21 20 80 02 14 00 A6 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 30 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 30 00 A8 8F 20 00 A4 8F 27 18 08 00 06 10 14 01 04 18 64 00 25 10 62 00 20 00 04 31 06 18 17 01 0B 10 64 00 ?? ?? 05 3C 0F 00 42 30 ?? ?? A5 24 21 10 A2 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 24 00 A5 8F AB 00 A0 14 08 00 62 30 08 00 67 30 28 00 A7 AF 02 00 62 30 A2 00 40 10 01 00 63 30 2D 00 02 24 2B 00 04 24 0B 20 43 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 ?? ?? ?? 0? 0B 90 44 00 01 00 02 24 B7 01 E0 12 10 00 A2 A3 ?? ?? 05 3C ?? ?? A4 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 08 24 21 38 40 00 04 00 85 8C 01 00 42 24 2B 30 E5 02 1D 01 C0 14 20 14 02 7C 18 01 B7 50 00 00 85 8C F7 FF 48 14 08 00 84 24 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 9D 01 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 41 04 00 02 00 02 24 02 4F 04 00 25 48 26 01 01 00 42 24 21 30 00 01 2B 40 E5 02 02 00 0A 24 10 00 0B 24 20 14 02 7C 11 00 00 15 21 38 20 01 10 01 E5 12 2B 20 84 02 E9 FF 4B 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 41 04 00 02 4F 04 00 25 48 26 01 21 50 40 00 21 30 00 01 01 00 42 24 2B 40 E5 02 20 14 02 7C F1 FF 00 11 21 38 20 01 10 00 AA A3 ?? ?? ?? 0? 21 10 40 01 10 00 A2 A3 90 FD 40 14 23 90 42 02 FF FF 02 24 ?? ?? ?? 0? 10 00 A2 A3 08 00 C3 32 0B 00 60 14 }
	condition:
		$1
}

rule file_620_0_0 {
	meta:
		name = "gmtime"
		size = 444
	strings:
		$1 = { 00 00 84 8C 3C 00 0A 24 18 00 0D 24 1A 00 8A 00 F4 01 40 01 ?? ?? 0E 3C 07 00 0C 24 ?? ?? C2 25 6D 01 05 24 46 00 03 24 46 00 09 24 02 00 06 24 46 00 07 24 64 00 08 24 90 01 0B 24 01 00 63 24 12 20 00 00 10 C0 00 00 ?? ?? D8 AD 1A 00 8A 00 F4 01 40 01 12 50 00 00 10 78 00 00 04 00 4F AC 1A 00 4D 01 F4 01 A0 01 12 20 00 00 04 00 8D 24 2A 28 85 00 10 70 00 00 08 00 4E AC 21 50 80 00 1A 00 AC 01 F4 01 80 01 10 60 00 00 23 00 A0 14 18 00 4C AC 0C 00 C0 14 6D 01 05 24 1B 00 E8 00 F4 01 00 01 2C 01 E9 24 10 30 00 00 06 00 C0 14 6E 01 05 24 1B 00 2B 01 F4 01 60 01 6D 01 06 24 10 38 00 00 0B 28 C7 00 03 00 66 30 23 20 85 00 21 38 60 00 0C 00 C0 14 6D 01 05 24 1B 00 68 00 F4 01 00 01 2C 01 69 24 10 50 00 00 06 00 40 15 6E 01 05 24 1B 00 2B 01 F4 01 60 01 6D 01 0A 24 10 48 00 00 0B 28 49 01 2A 28 85 00 21 48 60 00 21 50 80 00 DF FF A0 10 01 00 63 24 0C 00 4A AC 14 00 49 AC 07 00 C0 14 21 28 00 00 64 00 03 24 1B 00 E3 00 F4 01 60 00 10 18 00 00 18 00 60 10 02 00 05 24 0C 00 43 8C 1C 00 44 AC 1F 00 64 28 10 00 80 14 10 00 40 AC ?? ?? 08 3C 1F 00 06 24 21 20 00 00 ?? ?? 08 25 01 00 84 24 21 38 04 01 00 00 E7 90 42 28 05 00 23 18 66 00 25 30 A7 00 FF 00 C6 30 2A 38 66 00 F8 FF E0 50 01 00 84 24 10 00 44 AC 01 00 63 24 08 00 E0 03 0C 00 43 AC 90 01 03 24 2C 01 E7 24 1B 00 E3 00 F4 01 60 00 10 18 00 00 ?? ?? ?? 0? 0B 28 03 00 }
	condition:
		$1
}

rule file_620_1_0 {
	meta:
		name = "localtime"
		size = 56
		refs = "0000 time_zone 0024 gmtime"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 45 8C C4 FF 02 24 00 00 83 8C 02 30 A2 70 E0 FF BD 27 10 00 A4 27 1C 00 BF AF 21 10 C3 00 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_620_2_0 {
	meta:
		name = "asctime"
		size = 684
	strings:
		$1 = { 18 00 82 8C 03 00 08 24 ?? ?? 06 3C 02 18 48 70 ?? ?? 05 3C ?? ?? C6 24 ?? ?? A2 24 0A 00 07 24 21 30 66 00 20 00 03 24 03 00 43 A0 01 00 C9 90 00 00 CA 90 02 00 C6 90 01 00 49 A0 ?? ?? AA A0 02 00 46 A0 10 00 86 8C ?? ?? 05 3C ?? ?? A5 24 02 48 C8 70 07 00 43 A0 21 28 25 01 01 00 A6 90 00 00 A8 90 02 00 A5 90 05 00 46 A0 04 00 48 A0 06 00 45 A0 0C 00 85 80 0A 00 43 A0 1A 00 A7 00 F4 01 E0 00 10 30 00 00 30 00 C6 24 12 28 00 00 20 2C 05 7C 53 00 A0 10 09 00 46 A0 30 00 A5 24 08 00 45 A0 08 00 85 80 0A 00 03 24 3A 00 07 24 1A 00 A3 00 F4 01 60 00 0D 00 47 A0 10 30 00 00 30 00 C6 24 12 18 00 00 20 1C 03 7C 52 00 60 10 0C 00 46 A0 30 00 63 24 0B 00 43 A0 04 00 85 80 0A 00 03 24 3A 00 07 24 1A 00 A3 00 F4 01 60 00 10 00 47 A0 10 30 00 00 30 00 C6 24 12 18 00 00 20 1C 03 7C 52 00 60 10 0F 00 46 A0 30 00 63 24 0E 00 43 A0 00 00 85 80 0A 00 03 24 20 00 07 24 1A 00 A3 00 F4 01 60 00 13 00 47 A0 10 30 00 00 30 00 C6 24 12 18 00 00 20 1C 03 7C 52 00 60 10 12 00 46 A0 30 00 63 24 11 00 43 A0 14 00 86 8C 64 00 05 24 0A 00 03 24 1A 00 C5 00 F4 01 A0 00 16 00 40 A0 12 28 00 00 13 00 A5 24 20 2C 05 7C 1A 00 A3 00 F4 01 60 00 10 30 00 00 30 00 C6 24 12 18 00 00 20 1C 03 7C 42 00 60 10 15 00 46 A0 30 00 63 24 14 00 43 A0 14 00 85 8C 64 00 04 24 0A 00 03 24 1A 00 A4 00 F4 01 80 00 0A 00 05 24 18 00 45 A0 10 20 00 00 1A 00 83 00 F4 01 60 00 10 28 00 00 30 00 A5 24 12 18 00 00 20 1C 03 7C 33 00 60 14 17 00 45 A0 30 00 03 24 08 00 E0 03 16 00 43 A0 08 00 43 A0 08 00 85 80 0A 00 03 24 3A 00 07 24 1A 00 A3 00 F4 01 60 00 0D 00 47 A0 10 30 00 00 30 00 C6 24 12 18 00 00 20 1C 03 7C B0 FF 60 14 0C 00 46 A0 30 00 03 24 0B 00 43 A0 04 00 85 80 0A 00 03 24 3A 00 07 24 1A 00 A3 00 F4 01 60 00 10 00 47 A0 10 30 00 00 30 00 C6 24 12 18 00 00 20 1C 03 7C B0 FF 60 14 0F 00 46 A0 30 00 03 24 0E 00 43 A0 00 00 85 80 0A 00 03 24 20 00 07 24 1A 00 A3 00 F4 01 60 00 13 00 47 A0 10 30 00 00 30 00 C6 24 12 18 00 00 20 1C 03 7C B0 FF 60 14 12 00 46 A0 30 00 03 24 ?? ?? ?? 0? 11 00 43 A0 20 00 03 24 ?? ?? ?? 0? 14 00 43 A0 30 00 63 24 08 00 E0 03 16 00 43 A0 }
	condition:
		$1
}

rule file_620_3_0 {
	meta:
		name = "ctime"
		size = 32
		refs = "0008 localtime 0018 asctime"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 14 00 BF 8F ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_626_2_0 {
	meta:
		name = "_dvfprintf_eEfFgGs"
		size = 6004
		refs = "009c _ctype 01b4 fputc 03a8 dpcmp 0458 dptoul 0514 __udivdi3 054c __umoddi3 0970 dpdiv 0998 __floatunsidf 09b4 dpsub 09fc dpadd 0bb8 __fixunsdfdi 0e3c dpmul 1134 __floatundidf 1248 frexp"
		altNames = "_dvfprintf_eEfFgG"
	strings:
		$1 = { 88 FF BD 27 5C 00 B3 AF 54 00 B1 AF 50 00 B0 AF 74 00 BF AF 70 00 BE AF 6C 00 B7 AF 68 00 B6 AF 64 00 B5 AF 60 00 B4 AF 58 00 B2 AF 21 98 80 00 21 88 A0 00 80 00 A6 AF 34 00 A0 AF 38 00 A0 AF 21 80 00 00 00 00 24 82 43 00 80 10 10 00 A4 A3 25 00 02 24 57 00 82 14 01 00 32 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 F0 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 4B 00 45 10 FF FF 71 24 2E 00 44 28 41 00 80 10 00 00 00 00 53 00 46 50 01 00 DE 37 4F 00 48 50 02 00 DE 37 ?? ?? 04 3C ?? ?? 83 24 21 20 62 00 01 00 84 90 02 00 C6 33 FE FF C5 33 0B F0 A6 00 08 00 C6 33 FB FF C5 33 04 00 84 30 47 00 80 10 0B F0 A6 00 21 A0 00 00 0A 00 05 24 02 20 85 72 01 00 31 26 21 A0 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 94 26 2E 00 04 24 45 00 44 50 01 00 31 26 00 10 DE 37 21 90 00 00 66 00 03 24 73 00 05 24 67 00 06 24 6C 00 07 24 10 00 09 24 00 80 08 24 67 00 44 28 10 00 A2 A3 D3 03 43 10 01 00 31 26 4C 00 80 10 00 00 00 00 47 00 03 24 82 00 43 10 48 00 43 28 D6 01 60 50 63 00 03 24 9D 03 40 14 45 00 03 24 74 00 BF 8F 21 10 00 02 70 00 BE 8F 6C 00 B7 8F 68 00 B6 8F 64 00 B5 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 78 00 BD 27 C4 FF 47 14 ?? ?? 04 3C 04 00 DE 37 01 00 63 24 FF FF 62 80 B7 FF 45 14 FF FF 71 24 08 00 DE 37 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 C3 FF 44 14 21 A0 00 00 80 00 A5 8F 01 00 31 26 00 00 22 82 00 00 B4 8C 2E 00 04 24 04 00 A5 24 BE FF 44 14 80 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 5E 04 44 10 00 40 DE 37 21 20 62 00 01 00 84 90 21 90 00 00 04 00 84 30 B5 FF 80 10 0A 00 05 24 02 20 45 72 01 00 31 26 21 90 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 52 26 ?? ?? ?? 0? 66 00 03 24 33 04 45 10 74 00 44 28 92 01 80 50 75 00 03 24 36 00 46 50 00 02 DE 37 75 03 47 10 10 00 C2 33 10 00 B5 27 01 00 16 24 04 00 40 52 2B 90 D4 02 2B 10 56 02 0B B0 42 02 2B 90 D4 02 23 A0 96 02 0A A0 12 00 08 00 DE 33 0C 00 C0 17 21 90 80 02 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? FF FF 14 24 00 00 A4 82 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF D6 26 F8 FF D4 16 21 28 60 02 4D FF C0 53 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 20 00 DE 37 00 02 DE 37 00 07 C2 33 B9 00 40 10 21 B8 C0 03 00 10 C4 33 06 00 03 24 10 00 C2 33 21 01 40 10 0B 90 64 00 80 00 A4 8F F8 FF 02 24 07 00 83 24 24 10 62 00 00 00 46 8C 04 00 56 8C 08 00 45 24 80 00 A5 AF 20 00 A6 AF 20 00 A3 8F 21 28 C0 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 00 41 04 20 00 A3 8F 00 80 02 3C 26 B0 C2 02 03 00 D7 37 21 28 C0 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF 97 03 40 14 21 A8 00 00 00 01 E2 32 08 00 40 14 00 02 E2 32 E1 01 40 10 19 00 42 2A FC FF A2 2A 03 00 40 14 2A 10 B2 02 1F 03 40 14 00 00 00 00 9E 01 40 12 21 10 00 00 40 02 E2 7E 23 90 42 02 13 00 42 2E 98 01 40 14 12 00 02 24 10 00 A2 A3 20 00 A3 8F 21 28 C0 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 43 01 40 14 10 00 AB 83 20 00 A2 8F 21 28 C0 02 ?? ?? 1E 3C ?? ?? ?? 0? 21 20 40 00 18 00 B5 8F 21 B0 40 00 ?? ?? DE 27 FB FF 94 26 03 00 E2 32 63 00 B5 26 2B 10 02 00 23 A0 92 02 C7 00 B5 2E 23 A0 82 02 01 00 B5 2E 04 00 E2 32 15 01 40 10 23 A0 95 02 02 00 E2 32 CF 02 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 98 04 80 1A 08 00 E3 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 E4 32 20 00 A4 AF 10 00 A2 83 21 20 C0 02 21 28 00 00 C0 10 02 00 21 10 C2 03 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 20 C0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 96 03 40 16 21 B0 60 00 20 00 F7 32 02 00 E0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F DF 03 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A3 8F 64 00 62 28 C7 03 40 10 64 00 12 24 0A 00 12 24 1A 00 72 00 F4 01 40 02 21 28 60 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 72 00 F4 01 40 02 21 28 60 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A2 8F 8F FE 40 50 00 00 24 82 8D FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 1E 7C 4B 03 40 04 10 00 C2 33 A1 00 40 10 80 00 A5 8F 80 00 A4 8F 21 B8 00 00 00 00 95 8C 04 00 84 24 80 00 A4 AF 03 00 40 16 C0 00 D6 33 25 90 B7 02 01 00 52 2E 80 00 02 24 04 01 C2 12 C0 00 02 24 27 01 C2 12 10 00 A2 83 2A 18 52 00 62 00 60 10 2A 18 42 02 20 14 12 7C 10 00 A2 A3 05 00 80 12 00 40 C3 33 03 00 C3 33 2B 18 03 00 23 A0 83 02 00 40 C3 33 05 00 60 10 2A 20 54 00 2A 18 54 02 23 A0 92 02 0A A0 03 00 2A 20 54 00 23 10 82 02 0A 10 04 00 04 00 C3 33 51 00 60 10 20 00 A2 AF 02 00 C2 33 2D 02 40 54 01 00 C4 33 01 00 C2 33 2E 02 40 14 20 00 04 24 20 00 A6 8F 0C 00 C0 10 FF FF 48 26 20 00 B4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 B4 AF FF FF 48 26 08 00 DE 33 C0 A0 08 00 28 00 BE AF 80 40 08 00 ?? ?? 1E 3C ?? ?? DE 27 13 00 00 01 40 18 17 00 21 A0 D4 03 21 40 40 02 30 00 B1 AF 80 00 1E 24 21 88 60 00 12 90 00 00 12 00 00 51 28 00 A2 8F 94 02 DE 12 FF FF 08 25 C0 00 05 24 9F 02 C5 52 00 00 86 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 48 00 A8 AF 48 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 94 26 F1 FF 00 15 FC FF 52 26 28 00 A2 8F 22 FE 40 10 30 00 B1 8F 20 00 A3 8F 1F FE 60 18 21 90 60 00 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 80 00 A2 8F 07 00 43 24 F8 FF 02 24 24 10 62 00 00 00 43 8C 04 00 56 8C 08 00 42 24 20 00 A3 AF ?? ?? ?? 0? 80 00 A2 AF ?? ?? ?? 0? 0B 90 43 00 20 00 A2 8F CA 01 40 14 08 00 C4 33 08 00 C3 33 28 00 A3 AF 02 00 C2 33 D4 01 40 50 01 00 DE 33 01 00 C4 33 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 48 26 C0 A0 08 00 ?? ?? 1E 3C 80 40 08 00 ?? ?? DE 27 13 00 00 01 40 18 17 00 21 A0 D4 03 21 40 40 02 30 00 B1 AF 80 00 1E 24 21 88 60 00 ?? ?? ?? 0? 12 90 00 00 8D 02 43 10 65 00 03 24 77 FE 43 14 10 00 B5 27 ?? ?? ?? 0? 00 01 DE 37 85 02 43 10 78 00 03 24 71 FE 43 14 10 00 B5 27 ?? ?? ?? 0? 80 00 DE 37 21 B8 00 00 00 00 B5 8C 04 00 A5 24 ?? ?? ?? 0? 80 00 A5 AF 08 00 E5 32 0B 00 A0 14 20 00 A5 AF 0A 00 80 1A 02 00 E2 32 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 E2 32 C4 01 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 23 20 AB 02 ?? ?? ?? 0? 44 00 AB AF 20 00 A6 8F 21 38 60 00 21 28 C0 02 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 50 60 00 21 48 40 00 21 28 40 01 21 20 40 00 3C 00 A9 AF ?? ?? ?? 0? 40 00 AA AF 21 20 40 00 ?? ?? ?? 0? 48 00 A2 AF 3C 00 A9 8F 40 00 AA 8F 21 30 40 00 21 20 20 01 21 28 40 01 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 3C ?? ?? C6 24 00 00 C4 8C 04 00 C5 8C 21 38 60 00 ?? ?? ?? 0? 21 30 40 00 48 00 A8 8F 3C 00 A9 8F 40 00 AA 8F 12 00 40 1C 44 00 AB 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 01 ?? ?? ?? 0? 21 28 40 01 21 50 60 00 21 48 40 00 21 28 40 01 21 20 40 00 3C 00 A9 AF ?? ?? ?? 0? 40 00 AA AF 44 00 AB 8F 40 00 AA 8F 3C 00 A9 8F 21 40 40 00 ?? ?? 1E 3C 01 00 62 25 C0 10 02 00 ?? ?? DE 27 21 10 C2 03 04 00 43 8C 68 01 60 10 21 B0 00 01 C0 58 0B 00 21 58 CB 03 04 00 62 8D C8 02 40 50 00 00 62 8D ?? ?? 02 3C ?? ?? 42 24 21 20 20 01 21 28 40 01 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? FF FF B5 26 21 10 40 02 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 2D 03 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 19 04 00 02 00 02 24 02 47 04 00 25 40 06 01 01 00 42 24 21 30 60 00 2B 18 E5 02 02 00 09 24 10 00 0A 24 20 14 02 7C 11 00 60 14 21 38 00 01 5A 01 E5 52 2B 20 A4 02 23 00 4A 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 19 04 00 02 47 04 00 25 40 06 01 21 48 40 00 21 30 60 00 01 00 42 24 2B 18 E5 02 20 14 02 7C F1 FF 60 10 21 38 00 01 10 00 A9 A3 ?? ?? ?? 0? 21 10 20 01 01 00 02 24 0D 03 E0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 02 00 06 24 02 00 02 24 ?? ?? ?? 0? 14 00 07 24 21 30 40 00 04 00 64 8C 01 00 42 24 2B 28 E4 02 77 02 A0 14 20 14 02 7C 72 02 97 50 00 00 64 8C F7 FF 47 14 08 00 63 24 ?? ?? ?? 0? 10 00 A2 A3 99 02 40 14 00 00 00 00 18 00 A8 8F 0A 00 02 29 15 00 40 10 34 00 A3 8F 20 00 A3 8F 21 28 C0 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 48 00 A8 AF 79 02 40 10 20 00 A3 8F 21 28 C0 02 ?? ?? ?? 0? 21 20 60 00 21 F0 40 00 25 10 43 00 21 A8 60 00 76 02 40 14 48 00 A8 8F 02 00 02 29 73 02 40 14 34 00 A3 8F 38 00 A2 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 21 28 40 00 ?? ?? ?? 0? 48 00 A8 AF 5C 02 40 04 48 00 A8 8F EE FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 48 00 A8 AF 38 00 A3 AF 34 00 A2 AF 21 18 40 00 20 00 A6 8F 38 00 A2 8F 21 28 C0 02 21 20 C0 00 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 48 00 A8 8F 21 F0 40 00 21 A8 60 00 28 00 A0 AF 30 00 A0 AF 01 00 02 24 B3 02 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 02 00 47 24 01 00 84 24 2B 30 A5 02 86 02 C0 14 01 00 42 24 81 02 B5 50 00 00 65 8C 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 B0 88 02 23 B0 D2 02 2B 10 12 00 23 B0 C7 02 03 00 E3 32 23 B0 C2 02 2B 18 03 00 04 00 E2 32 57 02 40 10 23 B0 C3 02 02 00 E2 32 7E 02 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 C0 5A 08 00 F7 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF D6 26 F9 FF C0 16 21 80 02 02 08 00 F7 32 20 00 B7 AF ?? ?? 14 3C ?? ?? ?? 0? ?? ?? 94 26 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 C0 03 21 28 A0 02 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 86 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A 0E 02 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 21 28 60 00 30 00 A2 8F 28 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 A8 40 00 FF FF 82 26 20 14 02 7C 21 B8 60 00 23 00 80 12 10 00 A2 A3 ?? ?? 1E 3C ?? ?? DE 27 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 20 A0 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B4 83 27 10 02 00 2B 10 02 00 C0 18 14 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 28 E0 02 21 20 A0 02 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 FF FF 82 26 20 14 02 7C 21 B8 60 00 E1 FF 80 16 10 00 A2 A3 0A 00 40 12 20 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 20 00 A4 8F 4A FC 80 50 00 00 24 82 48 FC C0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF D6 26 F9 FF C0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 38 FE 80 14 28 00 A4 AF 20 00 B4 8F 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 C2 33 2F FE 40 14 20 00 B4 AF 01 00 DE 33 37 FE C0 53 FF FF 48 26 ?? ?? ?? 0? 20 00 04 24 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 B0 FC 43 14 10 00 B5 27 20 00 DE 37 ?? ?? ?? 0? 00 01 DE 37 3B FD 40 10 20 00 04 24 ?? ?? ?? 0? 00 00 00 00 00 00 42 8C 2B 10 02 01 97 FE 40 14 C0 58 0B 00 ?? ?? 03 3C }
	condition:
		$1
}

rule file_635_2_0 {
	meta:
		name = "_vfprintf_cdfFgGnopsuxX"
		size = 6508
		refs = "000c _ctype 0160 fputc 0464 __floatdisf 0484 fpcmp 0508 fptoui 0520 __floatundisf 052c fpsub 0710 __udivdi3 0724 __umoddi3 090c fpadd 094c fpmul 0a20 fpdiv 0f68 frexpf 15b0 __floatunsisf"
		altNames = "_vfprintf_cdfFgGnopuxX"
	strings:
		$1 = { 90 FF BD 27 64 00 B7 AF 21 10 00 00 ?? ?? 17 3C 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 6C 00 BF AF 68 00 BE AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 21 90 80 00 21 88 A0 00 78 00 A6 AF 34 00 A2 AF 21 80 00 00 ?? ?? F7 26 00 00 24 82 65 00 80 10 10 00 A4 A3 25 00 02 24 DB 01 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 CF 01 46 10 FF FF 91 24 2E 00 45 28 C5 01 A0 10 00 00 00 00 D7 01 47 50 01 00 63 34 D3 01 49 50 02 00 63 34 21 20 E2 02 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 CD 01 80 10 0B 18 A6 00 21 40 00 00 0A 00 05 24 02 20 05 71 01 00 31 26 21 40 82 00 00 00 22 82 21 20 E2 02 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 08 25 2E 00 04 24 CB 01 44 50 01 00 31 26 00 10 63 34 21 A0 00 00 10 00 07 24 00 80 06 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3E 00 A0 14 01 00 31 26 10 00 B3 27 01 00 1E 24 04 00 80 52 2B A0 C8 03 2B 10 9E 02 0B F0 82 02 2B A0 C8 03 23 40 1E 01 0A 40 14 00 08 00 76 30 0B 00 C0 16 21 A0 00 01 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 95 16 20 00 04 24 ?? ?? ?? 0? FF FF 15 24 21 28 40 02 ?? ?? ?? 0? 01 00 73 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D5 57 00 00 64 82 A8 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 13 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 94 26 F9 FF 93 16 20 00 04 24 00 00 24 82 9D FF 80 14 10 00 A4 A3 6C 00 BF 8F 21 10 00 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 ?? ?? 05 3C 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 63 34 00 07 62 30 4E 00 40 10 21 B0 60 00 00 10 65 30 06 00 04 24 10 00 62 30 BB 02 40 10 0B A0 85 00 78 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 40 00 A3 AF 44 00 A8 AF ?? ?? ?? 0? 78 00 A2 AF 40 00 A3 8F 44 00 A8 8F 21 98 40 00 21 20 60 02 21 28 00 00 40 00 A3 AF ?? ?? ?? 0? 44 00 A8 AF 40 00 A3 8F 04 00 41 04 44 00 A8 8F 00 80 02 3C 26 98 53 00 03 00 76 34 21 20 60 02 21 28 00 00 44 00 A8 AF ?? ?? ?? 0? 18 00 A0 AF 44 00 A8 8F A9 02 40 14 21 18 00 00 00 02 C2 32 ED 00 40 14 FC FF 62 28 19 00 82 2A E5 02 40 14 FF 00 84 32 18 00 B5 8F 0A 00 A2 2A 40 01 40 10 ?? ?? 03 3C 21 20 60 02 21 28 00 00 ?? ?? ?? 0? 44 00 A8 AF CB 02 40 14 44 00 A8 8F 21 20 60 02 ?? ?? ?? 0? 44 00 A8 AF 44 00 A8 8F 21 20 40 00 21 28 00 00 44 00 A8 AF ?? ?? ?? 0? 21 F0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 24 00 A2 AF 21 98 C0 03 18 00 A0 AF 21 A8 00 00 ?? ?? ?? 0? 44 00 A8 8F 20 00 63 34 00 02 63 34 00 07 62 30 B4 FF 40 14 21 B0 60 00 C0 00 62 30 75 02 40 14 20 16 03 7C 56 04 40 04 10 00 62 30 9F 02 40 10 78 00 A5 8F 78 00 A2 8F 00 00 44 8C 04 00 42 24 78 00 A2 AF C3 17 04 00 21 98 80 00 C9 02 40 04 21 B0 40 00 03 00 80 16 C0 00 75 30 25 A0 76 02 01 00 94 2E 40 00 02 24 B1 03 A2 12 41 00 A2 2A 68 03 40 10 80 00 02 24 16 00 A0 16 10 00 A2 83 01 00 02 24 E2 04 C0 12 10 00 A2 A3 ?? ?? 04 3C ?? ?? 84 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 09 24 21 38 40 00 04 00 85 8C 2B 30 C5 02 49 04 C0 54 10 00 A7 A3 43 04 B6 50 00 00 85 8C 01 00 42 24 20 14 02 7C F6 FF 49 14 08 00 84 24 10 00 A2 A3 2A 20 54 00 1D 03 80 10 2A 20 82 02 20 14 14 7C 10 00 A2 A3 05 00 00 11 00 40 64 30 03 00 64 30 2B 20 04 00 23 40 04 01 00 40 64 30 05 00 80 10 2A 28 48 00 2A 20 88 02 23 40 14 01 0A 40 04 00 2A 28 48 00 23 10 02 01 0A 10 05 00 04 00 64 30 0C 03 80 10 20 00 A2 AF 02 00 62 30 99 03 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 40 00 A3 AF 27 10 02 00 40 00 A3 8F 2B 10 02 00 21 80 02 02 20 00 A4 8F 08 00 62 30 B3 02 80 14 30 00 A2 AF FF FF 82 26 ?? ?? 07 3C C0 A0 02 00 ?? ?? FE 24 21 A0 D4 03 03 00 1E 24 80 40 02 00 02 F0 5E 70 41 00 A4 2A 40 10 16 00 20 00 63 30 28 00 A2 AF 24 00 A4 AF ?? ?? ?? 0? 2C 00 A3 AF 10 00 A0 16 10 00 A4 83 00 00 86 8E 04 00 87 8E 21 20 60 02 21 28 C0 02 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 44 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 44 00 A8 AF 44 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 94 26 FC FF 08 25 FD FF DE 27 FD FF 02 24 B9 02 C2 13 40 00 02 24 AB 02 A2 12 24 00 A5 8F DF FF A0 14 80 00 02 24 94 02 A2 12 C0 00 02 24 DD FF A2 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 63 34 ?? ?? ?? 0? 80 00 63 34 40 FE 48 54 21 20 E2 02 04 00 63 34 01 00 84 24 FF FF 82 80 33 FE 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 3D FE 44 14 21 40 00 00 78 00 A5 8F 01 00 31 26 00 00 22 82 00 00 A8 8C 2E 00 04 24 04 00 A5 24 38 FE 44 14 78 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 2E 03 44 10 00 40 63 34 21 20 E2 02 01 00 84 90 21 A0 00 00 04 00 84 30 2F FE 80 10 0A 00 05 24 02 20 85 72 01 00 31 26 21 A0 82 00 00 00 22 82 21 20 E2 02 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 94 26 ?? ?? ?? 0? 10 00 07 24 2A 01 40 14 2A 10 74 00 28 01 40 10 00 00 00 00 16 04 60 04 21 20 60 02 ?? ?? ?? 0? 44 00 A8 AF 44 00 A8 8F 21 A8 40 00 10 00 A0 12 21 28 00 00 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 13 00 06 24 04 00 64 8C 01 00 42 24 08 00 80 14 21 28 40 00 00 00 64 8C 2B 20 A4 02 05 00 80 54 23 A0 85 02 F7 FF 46 14 08 00 63 24 14 00 05 24 23 A0 85 02 19 00 82 2A 5E 03 40 50 20 24 14 7C FF 00 84 32 ?? ?? ?? 0? 44 00 A8 AF 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 20 24 14 7C ?? ?? ?? 0? 21 98 40 00 21 F0 40 00 ED FE 80 12 44 00 A8 8F 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 44 00 A8 AF 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 C0 03 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 00 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 A8 40 00 25 10 43 00 21 F0 00 00 12 00 40 10 44 00 A8 8F ?? ?? ?? 0? 18 00 B5 8F 21 20 A0 02 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 A8 40 00 ?? ?? ?? 0? 21 F0 60 00 25 10 43 00 C6 FE 40 14 44 00 A8 8F FF FF 94 26 EF FF 80 16 21 28 C0 03 18 00 B5 8F 0A 00 A2 2A C4 FE 40 14 21 20 60 02 ?? ?? 03 3C ?? ?? 63 24 34 00 A4 8F 00 00 65 8C ?? ?? ?? 0? 44 00 A8 AF 7A 01 40 04 44 00 A8 8F EE FF B5 26 18 00 B5 AF 20 24 15 7C ?? ?? ?? 0? 44 00 A8 AF 21 28 40 00 21 20 60 02 ?? ?? ?? 0? 34 00 A2 AF ?? ?? ?? 0? 21 20 40 00 44 00 A8 8F 21 20 00 00 21 F0 40 00 21 98 40 00 24 00 A4 AF 01 00 03 24 0A 00 C2 2F B4 03 40 14 10 00 A3 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 09 24 02 00 04 24 ?? ?? ?? 0? 12 00 07 24 21 48 80 00 04 00 65 8C 5F 02 A0 14 02 00 46 24 00 00 65 8C 2B 28 C5 03 5B 02 A0 14 01 00 84 24 01 00 42 24 20 24 04 7C F5 FF 47 14 08 00 63 24 10 00 A4 A3 14 00 06 24 23 A8 15 01 23 A8 B4 02 2B 10 14 00 23 A8 A6 02 03 00 C3 32 23 A8 A2 02 2B 18 03 00 04 00 C2 32 2A 02 40 10 23 A8 A3 02 02 00 C2 32 EB 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 A0 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 08 00 D6 32 20 00 B6 AF ?? ?? 07 3C ?? ?? ?? 0? ?? ?? F6 24 C0 18 03 00 21 18 C3 02 00 00 66 8C 04 00 67 8C 21 20 60 02 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 82 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 82 2A 02 02 40 14 20 14 14 7C 12 00 02 24 10 00 A2 A3 EE FF 94 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 24 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 FF FF 62 26 20 14 02 7C 21 40 00 00 25 00 60 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 7E 24 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 C0 02 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B3 83 44 00 A8 8F 27 10 02 00 C0 18 13 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 C0 02 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 FF FF 62 26 20 14 02 7C 21 40 60 00 DF FF 60 16 10 00 A2 A3 0A 00 80 12 20 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A4 8F D6 FC 80 50 00 00 24 82 D4 FC A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 82 02 80 16 21 10 00 00 10 00 A2 A3 21 20 60 02 21 28 00 00 40 00 A3 AF ?? ?? ?? 0? 44 00 A8 AF 40 00 A3 8F 09 02 40 14 44 00 A8 8F ?? ?? ?? 0? 21 20 60 02 44 00 A8 8F 21 A8 40 00 ?? ?? 02 3C ?? ?? 5E 24 FB FF 08 25 03 00 C3 32 23 98 14 01 2B 18 03 00 04 00 C2 32 E1 01 40 10 23 98 63 02 02 00 C2 32 70 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 D9 02 60 1A 08 00 C5 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 C7 32 20 00 A7 AF 10 00 A2 83 21 20 A0 02 21 28 00 00 C0 10 02 00 21 10 C2 03 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 5A 02 80 16 21 A8 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 94 02 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 14 24 21 28 40 02 1A 00 54 00 F4 01 80 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A2 8F 57 FC 40 50 00 00 24 82 55 FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 78 00 A4 8F 00 00 93 8C 04 00 84 24 ?? ?? ?? 0? 78 00 A4 AF D9 01 40 04 10 00 62 30 34 00 40 10 78 00 A7 8F 78 00 A5 8F 21 B0 00 00 00 00 B3 8C 04 00 A5 24 ?? ?? ?? 0? 78 00 A5 AF 21 20 60 02 ?? ?? ?? 0? 18 00 A5 27 18 00 A4 8F 03 00 03 24 0A 00 02 24 FF FF 84 24 02 18 83 70 44 00 A8 8F 1A 00 62 00 F4 01 40 00 12 18 00 00 04 02 60 04 18 00 A3 AF 23 20 03 00 20 24 04 7C 40 00 A3 AF ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 34 00 A2 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 34 00 A4 8F 40 00 A3 8F 2D 00 41 04 44 00 A8 8F FF FF 63 24 ?? ?? ?? 0? 18 00 A3 AF ED FF B5 26 ?? ?? ?? 0? 18 00 B5 AF 00 00 A4 8C 04 00 A5 24 78 00 A5 AF }
	condition:
		$1
}

rule file_651_2_0 {
	meta:
		name = "_vfprintf_eEgG"
		size = 5680
		refs = "000c _ctype 01b4 fputc 03ac __floatdisf 03c4 fpcmp 0438 fptoui 04ac fpadd 04d4 __floatundisf 04e0 fpsub 04ec fpmul 050c __umoddi3 052c __udivdi3 05f0 fpdiv 0e10 __floatunsisf 1238 frexpf"
		altNames = "_vfprintf_eEgGs"
	strings:
		$1 = { 98 FF BD 27 60 00 BE AF 21 10 00 00 ?? ?? 1E 3C 4C 00 B3 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 21 98 80 00 21 88 A0 00 70 00 A6 AF 2C 00 A2 AF 21 80 00 00 ?? ?? DE 27 00 00 24 82 41 00 80 10 10 00 A4 A3 25 00 02 24 55 00 82 14 01 00 32 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 A8 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 49 00 45 10 FF FF 71 24 2E 00 44 28 3F 00 80 10 00 00 00 00 51 00 46 50 01 00 B5 36 4D 00 48 50 02 00 B5 36 21 18 C2 03 01 00 63 90 02 00 A5 32 FE FF A4 32 0B A8 85 00 08 00 A5 32 FB FF A4 32 04 00 63 30 47 00 60 10 0B A8 85 00 21 40 00 00 0A 00 04 24 02 18 04 71 01 00 31 26 21 40 62 00 00 00 22 82 21 18 C2 03 01 00 63 90 04 00 63 30 F8 FF 60 14 D0 FF 08 25 2E 00 03 24 45 00 43 50 01 00 31 26 00 10 B5 36 21 90 00 00 67 00 03 24 73 00 05 24 6C 00 06 24 10 00 09 24 00 80 07 24 68 00 44 28 10 00 A2 A3 8F 00 43 10 01 00 31 26 4D 00 80 10 00 00 00 00 47 00 03 24 8A 00 43 50 20 00 B5 36 48 00 43 28 AC 02 60 50 63 00 03 24 F1 03 40 14 45 00 03 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C6 FF 47 54 21 18 C2 03 04 00 B5 36 01 00 63 24 FF FF 62 80 B9 FF 45 14 FF FF 71 24 08 00 B5 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 03 24 C3 FF 43 14 21 40 00 00 70 00 A4 8F 01 00 31 26 00 00 22 82 00 00 88 8C 2E 00 03 24 04 00 84 24 BE FF 43 14 70 00 A4 AF 01 00 31 26 00 00 22 82 2A 00 03 24 2D 04 43 10 00 40 B5 36 21 18 C2 03 01 00 63 90 21 90 00 00 04 00 63 30 B5 FF 60 10 0A 00 04 24 02 18 44 72 01 00 31 26 21 90 62 00 00 00 22 82 21 18 C2 03 01 00 63 90 04 00 63 30 F8 FF 60 14 D0 FF 52 26 ?? ?? ?? 0? 67 00 03 24 5E 03 45 10 74 00 44 28 5B 02 80 50 75 00 03 24 32 00 46 10 10 00 A2 32 10 00 B4 27 01 00 17 24 04 00 40 52 2B 90 E8 02 2B 10 57 02 0B B8 42 02 2B 90 E8 02 23 40 17 01 0A 40 12 00 08 00 B6 32 0C 00 C0 16 21 90 00 01 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 55 16 21 28 60 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 60 02 51 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 21 20 E0 00 0A 20 22 01 00 00 22 82 25 A8 95 00 FF FF B5 32 68 00 44 28 10 00 A2 A3 73 FF 43 14 01 00 31 26 00 02 B5 36 00 07 A2 32 63 01 40 10 20 00 B5 AF 00 10 A4 32 06 00 03 24 10 00 A2 32 FC 01 40 10 0B 90 64 00 70 00 A4 8F F8 FF 02 24 07 00 83 24 24 10 62 00 00 00 44 8C 04 00 45 8C 08 00 42 24 3C 00 A8 AF ?? ?? ?? 0? 70 00 A2 AF 3C 00 A8 8F 21 A0 40 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 3C 00 A8 AF 05 00 41 04 3C 00 A8 8F 00 80 02 3C 03 00 B5 36 26 A0 54 00 20 00 B5 AF 21 20 80 02 21 28 00 00 3C 00 A8 AF ?? ?? ?? 0? 18 00 A0 AF 21 B8 00 00 8D 03 40 14 3C 00 A8 8F 20 00 A3 8F 00 01 62 30 A2 01 40 14 00 02 62 30 02 03 40 10 19 00 42 2A FC FF E2 2A 9D 01 40 14 2A 10 F2 02 9B 01 40 10 00 00 00 00 66 04 E0 06 21 20 80 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 21 B0 40 00 10 00 C0 12 21 20 00 00 ?? ?? 05 3C ?? ?? A5 24 21 10 00 00 13 00 06 24 04 00 A3 8C 01 00 42 24 08 00 60 14 21 20 40 00 00 00 A3 8C 2B 18 C3 02 04 00 60 14 08 00 A5 24 F8 FF 46 54 04 00 A3 8C 14 00 04 24 23 90 44 02 19 00 42 2A 3B 04 40 50 20 24 12 7C FF 00 44 32 ?? ?? ?? 0? 3C 00 A8 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 20 24 12 7C ?? ?? ?? 0? 21 A0 40 00 21 A8 40 00 2B 00 40 12 3C 00 A8 8F 21 20 C0 02 21 28 00 00 ?? ?? ?? 0? 3C 00 A8 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 A0 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 00 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 A8 40 00 25 10 43 00 21 B0 00 00 0F 00 40 10 3C 00 A8 8F ?? ?? ?? 0? 18 00 B7 8F ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 A8 40 00 ?? ?? ?? 0? 21 B0 60 00 25 10 43 00 07 00 40 14 3C 00 A8 8F FF FF 52 26 21 28 C0 02 21 20 A0 02 0A 00 06 24 EF FF 40 16 21 38 00 00 18 00 B7 8F 0A 00 E2 2A 0F 00 40 10 ?? ?? 02 3C 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 3C 00 A8 AF C1 03 40 10 3C 00 A8 8F ?? ?? ?? 0? 21 20 80 02 C1 03 40 14 3C 00 A8 8F 02 00 E3 2A BF 03 60 14 21 20 40 00 ?? ?? 02 3C ?? ?? 45 8C 2C 00 A4 8F ?? ?? ?? 0? 3C 00 A8 AF AB 03 40 04 3C 00 A8 8F EE FF F7 26 18 00 B7 AF 20 24 17 7C ?? ?? ?? 0? 3C 00 A8 AF 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 2C 00 A2 AF ?? ?? ?? 0? 21 20 40 00 3C 00 A8 8F 21 18 00 00 21 A8 40 00 21 A0 40 00 28 00 A3 AF 01 00 03 24 0A 00 A2 2E 02 04 40 14 10 00 A3 A3 ?? ?? 06 3C ?? ?? C5 24 21 10 00 00 02 00 09 24 02 00 03 24 12 00 07 24 04 00 A4 8C 02 00 46 24 01 00 63 24 CC 03 80 14 01 00 42 24 00 00 A4 8C 20 1C 03 7C 2B 20 A4 02 C7 03 80 14 08 00 A5 24 F5 FF 47 54 21 48 60 00 10 00 A3 A3 14 00 06 24 20 00 A4 8F 23 B0 17 01 23 B0 D2 02 2B 10 12 00 23 B0 C6 02 03 00 83 30 23 B0 C2 02 2B 18 03 00 04 00 82 30 96 03 40 10 23 B0 C3 02 02 00 82 30 BC 03 40 10 20 00 A6 8F 01 00 84 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 D1 03 C0 1A 20 00 A2 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF D6 26 F9 FF C0 16 21 80 02 02 20 00 A3 8F 08 00 63 30 24 00 A3 AF ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 95 24 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 80 02 21 28 00 00 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 A6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A 6E 03 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 28 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 B8 40 00 FF FF 82 26 20 14 02 7C 21 40 00 00 25 00 80 12 10 00 A2 A3 ?? ?? 06 3C ?? ?? D5 24 C0 10 02 00 21 10 A2 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B4 83 3C 00 A8 8F 27 10 02 00 C0 18 14 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF 82 26 20 14 02 7C 21 40 60 00 DF FF 80 16 10 00 A2 A3 0A 00 40 12 24 00 A2 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 24 00 A2 8F E1 FD 40 50 00 00 24 82 DF FD C0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF D6 26 F9 FF C0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 15 7C 6A 02 40 04 10 00 A2 32 C1 00 40 10 70 00 A3 8F 70 00 A2 8F 21 B8 00 00 00 00 54 8C 04 00 42 24 70 00 A2 AF 03 00 40 16 C0 00 B6 32 25 90 97 02 01 00 52 2E 80 00 02 24 5D 01 C2 12 C0 00 02 24 80 01 C2 12 10 00 A2 83 2A 18 52 00 8E 00 60 10 2A 18 42 02 20 14 12 7C 10 00 A2 A3 05 00 00 11 00 40 A3 32 03 00 A3 32 2B 18 03 00 23 40 03 01 00 40 A3 32 05 00 60 10 2A 20 48 00 2A 18 48 02 23 40 12 01 0A 40 03 00 2A 20 48 00 23 10 02 01 0A 10 04 00 04 00 A3 32 7D 00 60 10 20 00 A2 AF 02 00 A2 32 A8 01 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 20 00 A4 8F 27 10 02 00 2B 10 02 00 A1 01 80 14 21 80 02 02 08 00 B5 32 28 00 B5 AF FF FF 48 26 ?? ?? 03 3C C0 10 08 00 ?? ?? 75 24 40 20 17 00 21 A8 A2 02 80 40 08 00 12 00 40 12 24 00 A4 AF 80 00 06 24 F9 01 C6 12 FF FF 52 26 C0 00 02 24 E7 01 C2 52 00 00 A6 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F0 FF 40 16 FC FF 08 25 28 00 A2 8F 7E FD 40 50 00 00 24 82 20 00 A3 8F 7B FD 60 58 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 20 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 20 00 A4 AF F7 FF 80 14 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 04 01 40 12 21 10 00 00 20 00 A4 8F 40 02 82 7C 23 90 42 02 13 00 42 2E FD 00 40 14 12 00 02 24 10 00 A2 A3 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 3C 00 A8 AF C2 00 40 14 3C 00 A8 8F ?? ?? ?? 0? 21 20 80 02 3C 00 A8 8F ?? ?? 06 3C 21 B0 40 00 ?? ?? D5 24 20 00 A6 8F FB FF 14 25 23 A0 92 02 03 00 C3 30 2B 18 03 00 04 00 C2 30 48 00 40 10 23 A0 83 02 02 00 C2 30 9B 01 40 10 20 00 A3 8F 01 00 C4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 A9 02 80 1A 20 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A6 8F 08 00 C6 30 ?? ?? ?? 0? 28 00 A6 AF 70 00 A6 8F 00 00 D4 8C 04 00 C6 24 ?? ?? ?? 0? 70 00 A6 AF ?? ?? ?? 0? 0B 90 43 00 20 00 A2 8F 47 01 40 14 08 00 A4 32 08 00 A3 32 28 00 A3 AF 02 00 A2 32 D0 01 40 50 01 00 B5 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 E2 FD 43 50 C0 00 B5 36 78 00 03 24 A5 FD 43 14 10 00 B4 27 ?? ?? ?? 0? 80 00 B5 36 E7 00 43 10 65 00 03 24 9F FD 43 14 10 00 B4 27 ?? ?? ?? 0? 00 01 B5 36 21 B8 00 00 00 00 74 8C 04 00 63 24 ?? ?? ?? 0? 70 00 A3 AF 20 00 A2 8F 08 00 42 30 0B 00 40 14 28 00 A2 AF 0A 00 80 1A 20 00 A3 8F 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A3 8F 02 00 62 30 40 01 40 10 20 00 A4 8F 01 00 64 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 C0 02 21 28 00 00 C0 10 02 00 21 10 A2 02 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 21 20 C0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 82 01 40 16 21 B8 60 00 20 00 A3 8F 20 00 62 30 02 00 40 14 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F BC 01 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 12 24 21 28 60 02 1A 00 52 00 F4 01 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 72 00 F4 01 40 02 21 28 60 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 28 00 A2 8F AB FC 40 50 00 00 24 82 A9 FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 10 00 A3 83 3C 00 A8 AF ?? ?? 15 3C 23 20 E3 02 20 24 04 7C ?? ?? ?? 0? 38 00 A3 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 34 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 ?? ?? A4 8E ?? ?? ?? 0? 21 28 40 00 38 00 A3 8F 34 00 A6 8F 0A 00 40 1C 3C 00 A8 8F ?? ?? A5 8E ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 3C 00 A8 8F 38 00 A3 8F 21 30 40 00 ?? ?? 04 3C 01 00 62 24 ?? ?? 95 24 C0 10 02 00 21 10 A2 02 04 00 44 8C AB 00 80 10 21 B0 C0 00 C0 18 03 00 21 18 A3 02 04 00 62 8C 7D 01 40 50 00 00 62 8C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? FF FF F7 26 21 10 40 02 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 D3 01 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 19 04 00 02 00 02 24 02 4F 04 00 25 48 26 01 01 00 42 24 21 30 60 00 2B 18 E5 02 02 00 0A 24 10 00 0B 24 20 14 02 7C 11 00 60 14 21 38 20 01 AA 00 E5 52 2B 20 84 02 23 00 4B 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 19 04 00 02 4F 04 00 25 48 26 01 21 50 40 00 21 30 60 00 01 00 42 24 2B 18 E5 02 20 14 02 7C F1 FF 60 10 21 38 20 01 10 00 AA A3 ?? ?? ?? 0? 21 10 40 01 01 00 02 24 A9 01 E0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 43 24 02 00 06 24 02 00 02 24 ?? ?? ?? 0? 14 00 07 24 21 30 40 00 04 00 64 8C 01 00 42 24 2B 28 E4 02 32 01 A0 14 20 14 02 7C 2D 01 97 50 00 00 64 8C F7 FF 47 14 08 00 63 24 ?? ?? ?? 0? 10 00 A2 A3 70 00 A3 8F 10 00 A5 32 01 00 62 80 00 00 64 8C 04 00 63 24 78 00 A0 10 10 00 A2 A3 77 00 40 50 14 00 A4 A3 FF FF 05 24 74 00 45 50 14 00 A4 A3 14 00 A2 A3 15 00 A4 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF 70 00 A6 8F 00 00 C3 8C 04 00 C4 24 3C 01 60 10 21 A0 60 00 00 00 62 80 06 00 40 10 }
	condition:
		$1
}

rule file_674_0_0 {
	meta:
		name = "calloc"
		size = 84
		refs = "0010 malloc"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 02 80 A4 70 14 00 BF AF ?? ?? ?? 0? 21 20 00 02 09 00 40 10 21 18 00 00 07 00 00 12 21 18 40 00 21 80 50 00 00 00 60 A0 01 00 63 24 FE FF 70 54 00 00 60 A0 21 18 40 00 14 00 BF 8F 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_683_0_0 {
	meta:
		name = "malloc"
		size = 600
		refs = "0008 __allocs 0038 __allocp 0100 sbrk 011c __alloct 0198 __allocx"
	strings:
		$1 = { C0 FF BD 27 28 00 B4 AF ?? ?? 14 3C ?? ?? 82 8E 3C 00 BF AF 38 00 BE AF 34 00 B7 AF 30 00 B6 AF 2C 00 B5 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 79 00 40 10 18 00 B0 AF ?? ?? 15 3C 0F 00 85 24 C2 28 05 00 C0 28 05 00 87 00 B1 24 C2 89 11 00 77 FF 02 34 ?? ?? A4 8E 04 00 B3 24 C0 89 11 00 BF FF B2 24 08 00 B6 24 2B 10 A2 00 40 98 13 00 21 38 00 00 3F 00 52 2E ?? ?? 10 3C ?? ?? 94 26 0A 88 C2 02 04 00 82 90 01 00 42 30 12 00 40 54 00 00 97 8C 00 00 82 8C 04 00 43 90 01 00 63 30 07 00 60 14 21 18 85 00 00 00 42 8C 04 00 43 90 01 00 63 30 FC FF 60 10 00 00 82 AC 21 18 85 00 2B 30 43 00 04 00 C0 54 00 00 97 8C 2F 00 A1 04 2B 10 62 00 00 00 97 8C FE FF 02 24 24 B8 E2 02 2B 20 97 00 E7 FF 80 14 21 20 E0 02 20 00 E0 10 21 18 20 02 0B 18 72 02 21 20 60 00 10 00 A3 AF ?? ?? ?? 0? 14 00 A5 AF FF FF 04 24 21 F0 40 00 10 00 A3 8F 39 00 44 10 14 00 A5 8F ?? ?? 04 8E 08 00 86 24 15 00 46 10 00 00 82 AC 04 00 86 90 01 00 C6 34 04 00 86 A0 F8 FF 63 24 21 18 43 00 04 00 64 90 00 00 43 AC ?? ?? 03 AE 01 00 84 34 04 00 64 A0 04 00 44 90 00 00 74 AC 21 38 00 00 FE 00 83 30 04 00 43 A0 ?? ?? ?? 0? 21 20 E0 02 01 00 07 24 ?? ?? ?? 0? 21 20 E0 02 04 00 86 90 FE 00 C6 30 ?? ?? ?? 0? 04 00 86 A0 0A 00 40 10 ?? ?? A3 AE 00 00 65 8C ?? ?? 02 3C 04 00 66 8C ?? ?? 45 AC 00 00 85 8C ?? ?? 42 24 04 00 46 AC 00 00 65 AC 04 00 60 A0 04 00 85 90 00 00 83 AC 08 00 82 24 01 00 A3 34 04 00 83 A0 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 21 20 C0 02 21 18 C0 02 C4 FF 5E 14 14 00 A5 8F ?? ?? ?? 0? 21 10 00 00 ?? ?? 82 26 04 00 46 90 0C 00 45 90 ?? ?? 03 3C ?? ?? 63 24 ?? ?? 15 3C 01 00 C6 34 01 00 A5 34 ?? ?? 07 3C ?? ?? 83 AE ?? ?? E3 AC 08 00 42 AC ?? ?? A2 AE 04 00 46 A0 ?? ?? ?? 0? 0C 00 45 A0 }
	condition:
		$1
}

rule file_683_1_0 {
	meta:
		name = "free"
		size = 28
	strings:
		$1 = { 04 00 80 10 00 00 00 00 FC FF 82 90 FE 00 42 30 FC FF 82 A0 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_683_2_0 {
	meta:
		name = "realloc"
		size = 308
		refs = "0040 malloc 0080 memcpy 00a4 __allocx"
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 24 00 BF AF 20 00 B4 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 37 00 A0 10 21 98 80 00 3B 00 80 10 24 00 BF 8F FC FF 83 80 F8 FF 90 8C 01 00 64 30 2D 00 80 14 FE FF 04 24 ?? ?? ?? 0? 21 20 A0 00 21 90 40 00 1F 00 40 10 21 88 00 00 1D 00 53 10 21 88 60 02 F8 FF 54 8C 23 80 13 02 C3 80 10 00 23 A0 82 02 C3 A0 14 00 2B 30 14 02 0A 80 86 02 21 28 60 02 21 20 40 00 ?? ?? ?? 0? C0 30 10 00 2B 10 53 02 0F 00 40 10 21 88 40 02 C0 A0 14 00 21 A0 54 02 2B 10 74 02 0A 00 40 10 ?? ?? 02 3C 23 98 93 02 ?? ?? 44 24 ?? ?? 43 8C C3 98 13 00 04 00 82 8C C0 98 13 00 21 98 53 02 00 00 63 AE 04 00 62 AE 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 24 18 64 00 ?? ?? ?? 0? FC FF 63 A2 F3 FF 80 10 21 88 00 00 FC FF 82 90 FE 00 42 30 ?? ?? ?? 0? FC FF 82 A0 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 21 20 A0 00 ?? ?? ?? 0? 28 00 BD 27 }
	condition:
		$1
}

rule file_703_0_0 {
	meta:
		name = "cgets"
		size = 268
		refs = "003c getche 00ac putch"
	strings:
		$1 = { D0 FF BD 27 28 00 B6 AF 24 00 B5 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 2C 00 BF AF 20 00 B4 AF 21 80 80 00 21 B0 80 00 0A 00 11 24 0D 00 12 24 15 00 13 24 FF FF 95 24 ?? ?? ?? 0? 00 00 00 00 0C 00 51 50 00 00 C0 A2 0B 00 43 28 1C 00 60 10 08 00 03 24 12 00 43 10 00 00 00 00 00 00 C2 A2 ?? ?? ?? 0? 01 00 D6 26 F8 FF 51 14 0B 00 43 28 00 00 C0 A2 2C 00 BF 8F 21 10 00 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 E5 FF 16 12 00 00 00 00 ?? ?? ?? 0? 20 00 04 24 ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? FF FF D6 26 EC FF 52 50 00 00 C0 A2 E5 FF 53 54 00 00 C2 A2 2B 10 16 02 D8 FF 40 10 21 A0 C0 02 ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 20 00 04 24 FF FF 94 26 ?? ?? ?? 0? 08 00 04 24 F8 FF 90 16 00 00 00 00 ?? ?? ?? 0? 01 00 B6 26 }
	condition:
		$1
}

rule file_733_0_0 {
	meta:
		name = "strpbrk"
		size = 120
		refs = "0038 strchr"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 14 00 B0 AF 1C 00 BF AF 00 00 82 80 21 88 80 00 06 00 40 14 21 80 A0 00 ?? ?? ?? 0? 1C 00 BF 8F 00 00 22 82 0C 00 40 10 1C 00 BF 8F 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 F9 FF 40 50 01 00 31 26 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 21 88 00 00 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_735_0_0 {
	meta:
		name = "strtoul"
		size = 532
		refs = "003c errno 0040 _ctype 00ec toupper"
	strings:
		$1 = { C8 FF BD 27 18 00 B1 AF ?? ?? 11 3C 28 00 B5 AF 20 00 B3 AF 14 00 B0 AF 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 24 00 B4 AF 1C 00 B2 AF 21 80 A0 00 21 98 80 00 21 A8 C0 00 6E 00 A0 10 ?? ?? 20 AE ?? ?? 16 3C 00 00 A4 AC ?? ?? D6 26 00 00 64 82 21 10 C4 02 01 00 42 80 88 00 42 30 FB FF 40 14 01 00 73 26 2D 00 02 24 4A 00 82 10 2B 00 02 24 4C 00 82 10 21 90 00 00 30 00 02 24 3B 00 82 50 00 00 64 82 03 00 A0 16 21 B8 00 00 21 B8 00 00 0A 00 15 24 ?? ?? ?? 0? 21 A0 00 00 1A 00 60 10 2A 18 55 00 19 00 60 50 21 10 00 00 02 18 95 72 21 10 62 00 2B 18 54 00 28 00 60 54 22 00 02 24 00 00 64 82 21 A0 40 00 01 00 73 26 01 00 17 24 21 10 C4 02 01 00 43 90 D0 FF 82 24 20 14 02 7C 03 00 65 30 ED FF A0 10 04 00 63 30 ?? ?? ?? 0? 00 00 00 00 C9 FF 42 24 20 14 02 7C 2A 18 55 00 EB FF 60 14 02 18 95 72 21 10 00 00 04 00 E0 12 00 00 00 00 02 00 00 12 FF FF 73 26 00 00 13 AE 28 00 40 14 34 00 BF 8F 23 10 14 00 0B A0 52 00 21 10 80 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 22 AE 01 00 73 26 ?? ?? ?? 0? 01 00 02 24 10 00 A0 16 01 00 73 26 78 00 02 24 21 00 82 10 58 00 02 24 1F 00 82 10 08 00 02 24 0A A8 55 00 ?? ?? ?? 0? 01 00 17 24 00 00 64 82 01 00 12 24 ?? ?? ?? 0? 01 00 73 26 00 00 64 82 ?? ?? ?? 0? 01 00 73 26 10 00 02 24 EF FF A2 12 01 00 17 24 ?? ?? ?? 0? 21 A0 00 00 FF FF 14 24 21 10 80 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 16 3C ?? ?? ?? 0? ?? ?? D6 26 00 00 64 82 10 00 15 24 01 00 73 26 ?? ?? ?? 0? 01 00 17 24 }
	condition:
		$1
}

rule file_735_1_0 {
	meta:
		name = "strtol"
		size = 324
		refs = "0008 errno 0028 _ctype 0084 strtoul"
	strings:
		$1 = { D8 FF BD 27 20 00 B4 AF ?? ?? 14 3C 1C 00 B3 AF 18 00 B2 AF 10 00 B0 AF 24 00 BF AF 14 00 B1 AF ?? ?? 80 AE 00 00 91 80 ?? ?? 02 3C ?? ?? 42 24 21 18 51 00 01 00 63 80 21 90 80 00 21 98 A0 00 88 00 63 30 08 00 60 10 21 80 80 00 01 00 10 26 00 00 11 82 21 18 51 00 01 00 63 80 88 00 63 30 FB FF 60 54 01 00 10 26 2D 00 02 24 22 00 22 12 2B 00 02 24 02 00 22 52 01 00 10 26 2B 00 11 24 21 20 00 02 ?? ?? ?? 0? 21 28 60 02 06 00 60 12 2B 00 03 24 00 00 63 8E 20 00 70 50 00 00 72 AE 1E 00 43 12 2B 00 03 24 15 00 23 12 2D 00 03 24 09 00 23 12 00 80 03 3C 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 01 00 63 24 2B 18 43 00 F5 FF 60 14 23 10 02 00 22 00 02 24 ?? ?? 82 AE ?? ?? ?? 0? 00 80 02 3C ?? ?? ?? 0? 01 00 10 26 EE FF 41 04 24 00 BF 8F 22 00 02 24 ?? ?? 82 AE FF 7F 02 3C ?? ?? ?? 0? FF FF 42 34 E2 FF 40 10 2B 00 03 24 22 00 02 24 2D 00 03 24 ?? ?? 82 AE E1 FF 23 12 00 80 02 3C FF 7F 02 3C ?? ?? ?? 0? FF FF 42 34 }
	condition:
		$1
}

rule file_744_0_0 {
	meta:
		name = "rewind"
		size = 32
		refs = "000c fseek"
	strings:
		$1 = { E8 FF BD 27 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_272_0_4 {
	meta:
		name = "atof"
		size = 32
		refs = "000c _Stod"
	strings:
		$1 = { E8 FF BD 27 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_764_1_0 {
	meta:
		name = "_dvfprintf_eEfF"
		size = 5844
		refs = "009c _ctype 01b0 fputc 05b0 dpcmp 0634 dptoul 0738 _npowers_ 076c dpmul 0804 dpadd 0888 dpdiv 0894 __fixunsdfdi 09a8 __udivdi3 09bc __umoddi3 0cc0 __floatunsidf 0cdc dpsub 1180 frexp 13b0 __floatundidf"
		altNames = "_dvfprintf_eEfFs"
	strings:
		$1 = { 98 FF BD 27 4C 00 B3 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 21 98 80 00 21 88 A0 00 70 00 A6 AF 28 00 A0 AF 2C 00 A0 AF 21 80 00 00 00 00 24 82 42 00 80 10 10 00 A4 A3 25 00 02 24 56 00 82 14 01 00 32 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 A8 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 4A 00 45 10 FF FF 71 24 2E 00 44 28 40 00 80 10 00 00 00 00 52 00 46 50 01 00 B5 36 4E 00 48 50 02 00 B5 36 ?? ?? 04 3C ?? ?? 83 24 21 20 62 00 01 00 84 90 02 00 A6 32 FE FF A5 32 0B A8 A6 00 08 00 A6 32 FB FF A5 32 04 00 84 30 46 00 80 10 0B A8 A6 00 21 F0 00 00 0A 00 05 24 02 20 C5 73 01 00 31 26 21 F0 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF DE 27 2E 00 04 24 44 00 44 50 01 00 31 26 00 10 B5 36 21 90 00 00 66 00 03 24 73 00 05 24 6C 00 06 24 10 00 08 24 00 80 07 24 67 00 44 28 10 00 A2 A3 8E 00 43 10 01 00 31 26 4C 00 80 10 00 00 00 00 63 00 03 24 99 02 43 10 64 00 43 28 65 01 60 50 65 00 03 24 BB 02 40 14 45 00 03 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C5 FF 47 14 ?? ?? 04 3C 04 00 B5 36 01 00 63 24 FF FF 62 80 B8 FF 45 14 FF FF 71 24 08 00 B5 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 C4 FF 44 14 21 F0 00 00 70 00 A5 8F 01 00 31 26 00 00 22 82 00 00 BE 8C 2E 00 04 24 04 00 A5 24 BF FF 44 14 70 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 0A 04 44 10 00 40 B5 36 21 20 62 00 01 00 84 90 21 90 00 00 04 00 84 30 B6 FF 80 10 0A 00 05 24 02 20 45 72 01 00 31 26 21 90 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 52 26 ?? ?? ?? 0? 66 00 03 24 61 02 45 10 74 00 44 28 B4 00 80 50 75 00 03 24 32 00 46 10 10 00 A2 32 10 00 B4 27 01 00 17 24 04 00 40 52 2B 90 FE 02 2B 10 57 02 0B B8 42 02 2B 90 FE 02 23 F0 D7 03 0A F0 12 00 08 00 B6 32 0C 00 C0 16 21 90 C0 03 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 55 16 21 28 60 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 60 02 50 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 21 20 E0 00 0A 20 02 01 00 00 22 82 25 A8 95 00 FF FF B5 32 67 00 44 28 10 00 A2 A3 74 FF 43 14 01 00 31 26 00 04 B5 36 00 07 A2 32 7E 00 40 14 21 B0 A0 02 20 16 15 7C B9 03 40 04 10 00 A2 32 29 02 40 10 70 00 A2 8F 70 00 A7 8F 21 B8 00 00 00 00 F4 8C 04 00 E7 24 70 00 A7 AF 03 00 40 16 C0 00 B6 32 25 90 97 02 01 00 52 2E 80 00 02 24 56 03 C2 12 C0 00 02 24 3F 03 C2 12 10 00 A2 83 2A 18 52 00 27 03 60 10 2A 18 42 02 20 14 12 7C 10 00 A2 A3 05 00 C0 13 00 40 A3 32 03 00 A3 32 2B 18 03 00 23 F0 C3 03 00 40 A3 32 05 00 60 10 2A 20 5E 00 2A 18 5E 02 23 F0 D2 03 0A F0 03 00 2A 20 5E 00 23 10 C2 03 0A 10 04 00 04 00 A3 32 16 03 60 10 20 00 A2 AF 02 00 A2 32 99 03 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A3 8F 0C 00 60 50 08 00 B5 32 20 00 BE 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 20 00 BE AF 08 00 B5 32 24 00 B5 AF FF FF 48 26 C0 10 08 00 ?? ?? 15 3C 80 40 08 00 13 00 00 01 ?? ?? B5 26 40 18 17 00 21 40 40 02 30 00 B1 AF 21 A8 A2 02 80 00 1E 24 21 88 60 00 11 00 00 11 12 90 00 00 DA 02 DE 12 FF FF 08 25 C0 00 07 24 C8 02 C7 52 00 00 A6 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F1 FF 00 15 FC FF 52 26 24 00 A4 8F CF FE 80 10 30 00 B1 8F 20 00 A5 8F CC FE A0 18 21 90 A0 00 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 05 00 43 10 78 00 03 24 4D FF 43 14 10 00 B4 27 ?? ?? ?? 0? 80 00 B5 36 C0 00 B5 36 00 07 A2 32 84 FF 40 10 21 B0 A0 02 00 10 A4 32 06 00 03 24 10 00 A2 32 5D 00 40 10 0B 90 64 00 70 00 A2 8F 07 00 43 24 F8 FF 02 24 24 10 62 00 00 00 44 8C 04 00 54 8C 08 00 43 24 70 00 A3 AF 20 00 A4 AF 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 00 41 04 20 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 B6 36 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF E4 02 40 14 20 00 A3 8F 24 00 A0 AF 00 01 C2 32 47 00 40 10 19 00 42 2A 13 00 42 2E 93 01 40 10 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 10 00 B2 A3 95 01 40 14 10 00 AA 83 20 00 A2 8F 21 28 80 02 ?? ?? 15 3C ?? ?? ?? 0? 21 20 40 00 18 00 B4 8F 21 B8 40 00 ?? ?? B5 26 63 00 83 26 FB FF DE 27 03 00 C2 32 2B 10 02 00 23 A0 D2 03 C7 00 63 2C 23 A0 82 02 01 00 63 2C 04 00 C2 32 DC 01 40 10 23 A0 83 02 02 00 C2 32 92 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 F9 03 80 1A 08 00 C4 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 C5 32 ?? ?? ?? 0? 20 00 A5 AF E8 FE 43 14 10 00 B4 27 ?? ?? ?? 0? 00 01 B5 36 70 00 A5 8F F8 FF 02 24 07 00 A3 24 24 10 62 00 00 00 46 8C 04 00 54 8C 08 00 42 24 20 00 A6 AF ?? ?? ?? 0? 70 00 A2 AF 40 00 40 10 24 00 A3 8F FF 00 55 32 6E 00 A2 2E 2F 03 40 14 0B 00 A2 2E EB 51 02 3C 1F 85 42 34 19 00 A2 02 ?? ?? 17 3C ?? ?? F7 26 ?? ?? 03 3C ?? ?? 66 8C ?? ?? 67 8C 10 28 00 00 42 41 05 00 FF 00 02 31 12 00 42 24 C0 10 02 00 21 10 57 00 00 00 44 8C 04 00 45 8C ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 64 00 04 24 CC CC 09 3C 02 28 04 71 CD CC 29 35 21 20 40 00 34 00 A9 AF 23 40 A5 02 FF 00 08 31 19 00 09 01 21 28 60 00 10 38 00 00 F8 07 E2 30 21 10 E2 02 48 00 46 8C ?? ?? ?? 0? 4C 00 47 8C 34 00 A9 8F 21 20 40 00 21 28 60 00 19 00 A9 02 0A 00 02 24 10 38 00 00 C2 18 07 00 02 30 62 70 23 10 A6 02 FF 00 42 30 C0 10 02 00 21 B8 57 00 00 00 E6 8E ?? ?? ?? 0? 04 00 E7 8E 20 00 A8 8F 21 28 80 02 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 20 00 A2 AF 21 A0 60 00 24 00 A3 8F 0A 00 62 28 DB 01 40 14 20 00 A3 8F 2C 00 A2 8F 28 00 A3 8F 21 28 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 20 60 00 C2 02 41 04 24 00 A4 8F 24 00 A3 8F ED FF 68 24 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 3C 00 A8 AF 2C 00 A3 AF 20 00 A6 8F 21 18 40 00 28 00 A2 AF 2C 00 A2 8F 21 20 C0 00 21 28 80 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 A8 8F 21 B8 40 00 21 A8 60 00 20 00 A0 AF 24 00 A0 AF 01 00 02 24 78 03 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 02 00 47 24 01 00 84 24 2B 30 A5 02 97 02 C0 14 01 00 42 24 92 02 B5 50 00 00 65 8C 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 A0 C8 03 23 A0 92 02 2B 10 12 00 23 A0 87 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 58 02 40 10 23 A0 83 02 02 00 C2 32 92 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 1A 08 00 DE 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 DE 32 ?? ?? 16 3C ?? ?? ?? 0? ?? ?? D6 26 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 E0 02 21 28 A0 02 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 C6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A AF 02 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 21 28 60 00 24 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 27 00 A0 12 10 00 A2 A3 ?? ?? 15 3C ?? ?? B5 26 21 40 60 00 21 B8 C0 02 C0 10 02 00 21 10 A2 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B6 83 3C 00 A8 8F 27 10 02 00 C0 18 16 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF C2 26 20 14 02 7C 21 40 60 00 DF FF C0 16 10 00 A2 A3 09 00 40 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 36 FD C0 53 00 00 24 82 34 FD 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 70 00 A7 8F 10 00 A4 32 01 00 E2 80 00 00 E5 8C 04 00 E3 24 08 01 80 10 10 00 A2 A3 07 01 40 50 14 00 A5 A3 FF FF 04 24 04 01 44 50 14 00 A5 A3 14 00 A2 A3 15 00 A5 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF 70 00 A5 8F 00 00 A3 8C 04 00 A4 24 3B 02 60 10 21 A0 60 00 00 00 62 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 77 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A4 AF 21 B8 00 00 00 00 54 8C 04 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 90 FD 43 14 10 00 B4 27 20 00 B5 36 ?? ?? ?? 0? 00 01 B5 36 12 00 02 24 21 28 80 02 21 20 60 00 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 10 00 A2 A3 6F FE 40 10 20 00 A2 8F 10 00 AA 83 24 00 A5 8F 38 00 AA AF ?? ?? ?? 0? 23 20 AA 00 20 00 A6 8F 21 38 60 00 21 28 80 02 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 21 48 60 00 21 40 40 00 21 28 20 01 21 20 40 00 3C 00 A8 AF ?? ?? ?? 0? 34 00 A9 AF 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 3C 00 A8 8F 34 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 3C ?? ?? C4 8C ?? ?? C5 8C 21 38 60 00 ?? ?? ?? 0? 21 30 40 00 3C 00 A8 8F 34 00 A9 8F 12 00 40 1C 38 00 AA 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 01 ?? ?? ?? 0? 21 28 20 01 21 48 60 00 21 40 40 00 21 28 20 01 21 20 40 00 3C 00 A8 AF ?? ?? ?? 0? 34 00 A9 AF 38 00 AA 8F 34 00 A9 8F 3C 00 A8 8F 21 A0 40 00 ?? ?? 15 3C 01 00 42 25 C0 10 02 00 ?? ?? B5 26 21 10 A2 02 04 00 43 8C C0 01 60 14 21 B8 80 02 00 00 42 8C 2B 10 82 02 BD 01 40 14 C0 50 0A 00 ?? ?? 02 3C 24 00 A3 8F ?? ?? 46 8C ?? ?? 47 8C 21 20 00 01 21 28 20 01 01 00 74 24 ?? ?? ?? 0? 18 00 B4 AF 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 B8 40 00 63 00 83 26 FB FF DE 27 03 00 C2 32 2B 10 02 00 23 A0 D2 03 C7 00 63 2C 23 A0 82 02 01 00 63 2C 04 00 C2 32 26 FE 40 14 23 A0 83 02 08 00 C6 32 0B 00 C0 14 20 00 A6 AF 0A 00 80 1A 02 00 C2 32 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 C2 32 A6 01 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 E0 02 21 28 00 00 C0 10 02 00 21 10 A2 02 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 21 20 E0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 9A 01 40 16 21 F0 60 00 20 00 D6 32 02 00 C0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F D5 01 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 64 00 43 28 B9 01 60 10 64 00 12 24 0A 00 12 24 1A 00 52 00 F4 01 40 02 21 28 60 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 72 00 F4 01 40 02 21 28 60 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A2 8F 3C FC 40 50 00 00 24 82 3A FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 FD 00 40 10 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 B8 40 00 25 10 43 00 FB 00 40 14 21 A8 60 00 24 00 A4 8F 02 00 82 28 16 FE 40 10 2C 00 A2 8F ?? ?? ?? 0? 21 20 E0 02 14 00 A5 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? }
	condition:
		$1
}

rule file_774_1_0 {
	meta:
		name = "_vfprintf_fF"
		size = 4156
		refs = "00a4 _ctype 01dc fputc 03e8 fpcmp 0454 _npowers_f 0480 fpmul 0514 fpadd 0548 fptoui 0564 __floatundisf 0570 fpsub 0680 __udivdi3 0694 __umoddi3 0a5c __floatdisf 0bb0 fpdiv 0dcc frexpf"
		altNames = "_vfprintf_fFs"
	strings:
		$1 = { 98 FF BD 27 60 00 BE AF 21 10 00 00 ?? ?? 1E 3C 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 21 90 80 00 21 88 A0 00 70 00 A6 AF 28 00 A2 AF 21 80 00 00 ?? ?? DE 27 00 00 24 82 42 00 80 10 10 00 A4 A3 25 00 02 24 8C 00 82 14 01 00 33 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 B0 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 80 00 45 10 FF FF 71 24 2E 00 44 28 76 00 80 10 00 00 00 00 88 00 46 50 01 00 D6 36 84 00 48 50 02 00 D6 36 ?? ?? 04 3C ?? ?? 84 24 21 18 82 00 01 00 63 90 02 00 C5 32 FE FF C4 32 0B B0 85 00 08 00 C5 32 FB FF C4 32 04 00 63 30 7C 00 60 10 0B B0 85 00 21 18 00 00 0A 00 05 24 02 20 65 70 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 18 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF 63 24 2E 00 04 24 78 00 44 50 01 00 31 26 00 10 D6 36 21 98 00 00 6C 00 04 24 10 00 06 24 00 80 05 24 10 00 A2 A3 98 00 44 10 01 00 31 26 6D 00 44 28 15 00 80 10 75 00 04 24 63 00 04 24 2B 02 44 10 66 00 04 24 98 00 44 10 00 04 D5 36 14 00 40 14 10 00 B4 27 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 16 02 44 10 78 00 04 24 84 00 44 10 73 00 04 24 6C 00 44 10 10 00 B4 27 01 00 17 24 04 00 60 52 2B 98 E3 02 2B 10 77 02 0B B8 62 02 2B 98 E3 02 23 18 77 00 0A 18 13 00 08 00 D6 32 0C 00 C0 16 21 98 60 00 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 20 00 04 24 F8 FF 75 16 21 28 40 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 40 02 88 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 20 00 04 24 F8 FF 74 16 21 28 40 02 ?? ?? ?? 0? 00 00 24 82 8F FF 47 14 ?? ?? 04 3C 04 00 D6 36 01 00 63 24 FF FF 62 80 82 FF 45 14 FF FF 71 24 08 00 D6 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 90 FF 44 14 21 18 00 00 70 00 A7 8F 01 00 31 26 00 00 22 82 00 00 E3 8C 2E 00 04 24 04 00 E7 24 8B FF 44 14 70 00 A7 AF 01 00 31 26 00 00 22 82 2A 00 04 24 6A 02 44 10 00 40 D6 36 ?? ?? 08 3C ?? ?? 08 25 21 20 02 01 01 00 84 90 21 98 00 00 04 00 84 30 80 FF 80 10 0A 00 05 24 02 20 65 72 01 00 31 26 ?? ?? 06 3C ?? ?? C6 24 21 98 82 00 00 00 22 82 21 20 C2 00 01 00 84 90 04 00 84 30 F6 FF 80 14 D0 FF 73 26 ?? ?? ?? 0? 6C 00 04 24 70 00 A8 8F 00 00 04 8D 04 00 05 25 26 03 80 10 21 A0 80 00 00 00 82 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 97 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A5 AF 10 00 D5 32 21 38 A0 00 0A 38 D5 00 25 B0 F6 00 FF FF D6 32 ?? ?? ?? 0? 00 00 22 82 80 00 D5 36 00 07 A2 32 28 01 40 10 21 B0 A0 02 00 10 A5 32 06 00 04 24 10 00 A2 32 9C 01 40 14 0B 98 85 00 70 00 AB 8F 00 00 74 8D 04 00 6B 25 70 00 AB AF 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 04 00 41 04 38 00 A3 8F 00 80 02 3C 26 A0 54 00 03 00 B6 36 21 20 80 02 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 18 00 A0 AF 21 B8 00 00 6A 02 40 14 38 00 A3 8F 19 00 62 2A 3F 00 40 10 0A 00 E2 2A FF 00 75 32 6E 00 A2 2E 88 02 40 14 0B 00 A2 2E EB 51 02 3C 1F 85 42 34 19 00 A2 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 06 3C ?? ?? C6 24 38 00 A3 AF 34 00 A6 AF 10 48 00 00 42 39 09 00 FF 00 E2 30 12 00 42 24 80 10 02 00 21 10 46 00 00 00 44 8C ?? ?? ?? 0? 30 00 A7 AF 30 00 A7 8F 64 00 04 24 CC CC 08 3C 02 28 E4 70 CD CC 08 35 21 20 40 00 34 00 A6 8F 30 00 A8 AF 23 38 A5 02 FF 00 E7 30 19 00 E8 00 10 58 00 00 C0 38 62 7D 09 00 42 24 80 10 02 00 21 10 46 00 ?? ?? ?? 0? 00 00 45 8C 30 00 A8 8F 21 20 40 00 0A 00 02 24 19 00 A8 02 34 00 A6 8F 10 48 00 00 C2 28 09 00 02 38 A2 70 23 10 A7 02 FF 00 42 30 80 10 02 00 21 30 46 00 ?? ?? ?? 0? 00 00 C5 8C 38 00 A3 8F 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 38 00 A3 AF 38 00 A3 8F 21 A0 40 00 0A 00 E2 2A 92 01 40 10 ?? ?? 06 3C 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 38 00 A3 AF 70 02 40 10 38 00 A3 8F ?? ?? ?? 0? 21 20 80 02 85 01 40 10 38 00 A3 8F 21 20 40 00 21 28 00 00 38 00 A3 AF ?? ?? ?? 0? 21 A8 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 38 00 A3 8F 21 B8 40 00 21 A0 A0 02 18 00 A0 AF 21 30 00 00 01 00 04 24 0A 00 A2 2E 9D 02 40 14 10 00 A4 A3 ?? ?? 08 3C ?? ?? 07 25 21 10 00 00 02 00 0A 24 02 00 04 24 12 00 09 24 04 00 E5 8C 02 00 48 24 01 00 84 24 B6 01 A0 14 01 00 42 24 00 00 E5 8C 20 24 04 7C 2B 28 A5 02 B1 01 A0 14 08 00 E7 24 F5 FF 49 54 21 50 80 00 10 00 A4 A3 14 00 08 24 23 A8 66 00 23 A8 B3 02 2B 10 13 00 23 A8 A8 02 03 00 C3 32 23 A8 A2 02 2B 18 03 00 04 00 C2 32 85 01 40 10 23 A8 A3 02 02 00 C2 32 3F 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 A0 5A 08 00 D6 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 08 00 D6 32 ?? ?? ?? 0? 20 00 B6 AF 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 80 02 21 28 00 00 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 C6 03 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 62 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 62 2A 5A 01 40 14 20 14 13 7C 12 00 02 24 10 00 A2 A3 EE FF 73 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B4 83 01 00 10 26 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 E0 02 ?? ?? ?? 0? 21 20 40 00 21 B8 40 00 FF FF 82 26 20 14 02 7C 21 B0 00 00 21 00 80 12 10 00 A2 A3 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 20 E0 02 ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B4 83 27 10 02 00 2B 10 02 00 C0 18 14 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 28 C0 02 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF 82 26 20 14 02 7C 21 B0 60 00 E1 FF 80 16 10 00 A2 A3 0A 00 60 12 20 00 A8 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 20 00 A8 8F 0B FE 00 51 00 00 24 82 09 FE A0 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 15 7C 76 01 40 04 10 00 A2 32 82 00 40 10 70 00 A2 8F 70 00 AB 8F 21 B8 00 00 00 00 74 8D 04 00 6B 25 70 00 AB AF 03 00 60 16 C0 00 B6 32 25 98 97 02 01 00 73 2E 80 00 02 24 0A 01 C2 12 C0 00 02 24 2D 01 C2 12 10 00 A2 83 2A 20 53 00 FA 00 80 10 2A 20 62 02 20 14 13 7C 10 00 A2 A3 05 00 60 10 00 40 A4 32 03 00 A4 32 2B 20 04 00 23 18 64 00 00 40 A4 32 05 00 80 10 2A 28 43 00 2A 20 63 02 23 18 73 00 0A 18 04 00 2A 28 43 00 23 10 62 00 0A 10 05 00 04 00 A4 32 B8 00 80 10 20 00 A2 AF 02 00 A2 32 78 01 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A3 8F 54 00 60 14 30 00 04 24 08 00 B5 32 2C 00 B5 AF FF FF 68 26 C0 A8 08 00 40 48 17 00 21 A8 D5 03 80 40 08 00 12 00 60 12 24 00 A9 AF 80 00 0A 24 71 00 CA 12 FF FF 73 26 C0 00 0B 24 5F 00 CB 52 00 00 A6 8E 10 00 A4 83 21 28 40 02 ?? ?? ?? 0? 30 00 A8 AF 30 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F0 FF 60 16 FC FF 08 25 2C 00 A4 8F A9 FD 80 50 00 00 24 82 20 00 A5 8F A6 FD A0 58 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 20 00 A6 8F 27 10 02 00 2B 10 02 00 FF FF C6 24 20 00 A6 AF F7 FF C0 14 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 ?? ?? ?? 0? C0 00 D5 36 70 00 A9 8F 10 00 C6 32 01 00 22 81 00 00 25 8D 04 00 24 25 34 00 C0 10 10 00 A2 A3 33 00 40 50 14 00 A5 A3 FF FF 06 24 30 00 46 50 14 00 A5 A3 14 00 A2 A3 15 00 A5 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF 70 00 AA 8F F8 FF 02 24 07 00 44 25 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 38 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 21 A0 40 00 ?? ?? ?? 0? 38 00 A3 8F 21 B8 00 00 00 00 54 8C 04 00 42 24 ?? ?? ?? 0? 70 00 A2 AF 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 20 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 20 00 A4 AF A5 FF 80 10 21 80 02 02 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 20 00 A4 8F 27 10 02 00 2B 10 02 00 FF FF 84 24 20 00 A4 AF ED FF 80 14 21 80 02 02 ?? ?? ?? 0? 08 00 B5 32 14 00 A5 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A4 AF 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 30 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 30 00 A8 8F 24 00 A2 8F 27 18 08 00 20 00 04 31 04 18 62 00 06 10 14 01 25 10 62 00 06 18 17 01 0B 10 64 00 ?? ?? 03 3C 0F 00 42 30 ?? ?? 63 24 21 10 62 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 02 00 E4 2A 7A FE 80 14 ?? ?? 06 3C ?? ?? C6 24 28 00 A4 8F 00 00 C5 8C ?? ?? ?? 0? 38 00 A3 AF 8C 00 41 04 38 00 A3 8F ED FF E6 26 18 00 A6 AF 20 24 06 7C 38 00 A3 AF ?? ?? ?? 0? 34 00 A6 AF 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 28 00 A2 AF ?? ?? ?? 0? 21 20 40 00 21 A8 40 00 21 A0 40 00 21 B8 00 00 38 00 A3 8F ?? ?? ?? 0? 34 00 A6 8F 20 00 A5 8F D6 00 A0 14 08 00 A7 32 08 00 A6 32 2C 00 A6 AF 02 00 A2 32 CD 00 40 50 01 00 B5 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 08 00 C7 32 0B 00 E0 14 20 00 A7 AF 0A 00 A0 1A 02 00 C2 32 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF B5 26 F9 FF A0 16 21 80 02 02 02 00 C2 32 A5 00 40 50 01 00 D6 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 ?? ?? ?? 0? 21 20 40 00 10 00 A2 A3 A8 FE 40 14 23 98 62 02 FF FF 02 24 ?? ?? ?? 0? 10 00 A2 A3 ?? ?? ?? 0? 0B 98 44 00 ?? ?? ?? 0? 10 00 AA A3 70 00 A9 8F 01 00 31 26 00 00 22 82 00 00 33 8D 04 00 29 25 ?? ?? ?? 0? 70 00 A9 AF 01 00 02 24 D8 00 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 41 04 00 02 00 02 24 02 4F 04 00 25 48 26 01 01 00 42 24 21 30 00 01 2B 40 E5 02 02 00 0A 24 10 00 0B 24 20 14 02 7C 11 00 00 15 21 38 20 01 AC 00 E5 12 2B 20 84 02 28 00 4B 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 41 04 00 02 4F 04 00 25 48 26 01 21 50 40 00 21 30 00 01 01 00 42 24 2B 40 E5 02 20 14 02 7C F1 FF 00 11 21 38 20 01 10 00 AA A3 ?? ?? ?? 0? 21 10 40 01 01 00 02 24 AE 00 E0 12 10 00 A2 A3 ?? ?? 09 3C ?? ?? 24 25 02 00 02 24 02 00 06 24 ?? ?? ?? 0? 14 00 08 24 21 30 40 00 04 00 85 8C 2B 38 E5 02 0B 00 E0 14 01 00 C6 24 06 00 B7 50 00 00 85 8C 20 14 06 7C F7 FF 48 14 08 00 84 24 ?? ?? ?? 0? 10 00 A8 A3 2B 28 85 02 FA FF A0 50 20 14 06 7C ?? ?? ?? 0? 10 00 A2 A3 EE FF E6 26 ?? ?? ?? 0? 18 00 A6 AF 18 00 A5 27 ?? ?? ?? 0? 21 20 80 02 18 00 B7 8F 03 00 04 24 0A 00 02 24 FF FF F7 26 02 B8 E4 72 1A 00 E2 02 F4 01 40 00 12 B8 00 00 00 00 E2 2A 23 B8 E2 02 23 20 17 00 ?? ?? ?? 0? 20 24 04 7C 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 28 00 A2 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 28 00 A4 8F 5B 00 41 04 38 00 A3 8F ?? ?? ?? 0? FF FF F7 26 70 00 A9 8F F8 FF 02 24 07 00 24 25 24 10 82 00 08 00 4A 24 70 00 AA AF 00 00 54 8C ?? ?? ?? 0? 04 00 57 8C 5C 00 40 14 ?? ?? 02 3C CC CC 02 3C CD CC 42 34 19 00 A2 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? 07 3C ?? ?? E7 24 38 00 A3 AF 30 00 A7 AF 10 48 00 00 C2 30 09 00 FF 00 C2 30 09 00 42 24 80 10 02 00 21 10 47 00 00 00 44 8C ?? ?? ?? 0? 34 00 A6 AF 34 00 A6 8F 0A 00 04 24 30 00 A7 8F 02 28 C4 70 21 20 40 00 23 30 A5 02 FF 00 C6 30 80 30 06 00 21 38 C7 00 ?? ?? ?? 0? 00 00 E5 8C 21 28 40 00 ?? ?? ?? 0? 38 00 A3 8F 93 FE 40 10 20 00 A3 8F ?? ?? ?? 0? 20 00 04 24 EF FD C0 12 20 00 04 24 ?? ?? ?? 0? 00 00 00 00 21 20 80 02 ?? ?? ?? 0? 38 00 A3 AF ?? ?? ?? 0? 38 00 A3 8F CB FD 40 10 20 00 04 24 ?? ?? ?? 0? 00 00 00 00 87 FE A0 12 FF FF 68 26 ?? ?? ?? 0? 20 00 04 24 2C FF E0 14 2C 00 A7 AF 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 20 00 A8 8F 27 10 02 00 2B 10 02 00 FF FF 08 25 20 00 A8 AF 22 FF 00 11 21 80 02 02 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 20 00 A8 8F 27 10 02 00 2B 10 02 00 FF FF 08 25 20 00 A8 AF ED FF 00 15 21 80 02 02 ?? ?? ?? 0? 02 00 A2 32 ?? ?? 02 3C ?? ?? 44 8C 28 00 A5 8F ?? ?? ?? 0? 38 00 A3 AF 01 00 42 28 21 B8 E2 02 ?? ?? ?? 0? 38 00 A3 8F 54 FF 80 10 00 00 00 00 10 00 AA A3 ?? ?? ?? 0? 21 10 40 01 ?? ?? 42 24 80 A8 15 00 21 A8 A2 02 ?? ?? 02 3C ?? ?? 45 8C 00 00 A4 8E ?? ?? ?? 0? 38 00 A3 AF 21 28 40 00 ?? ?? ?? 0? 38 00 A3 8F ?? ?? 14 3C }
	condition:
		$1
}

rule file_777_0_0 {
	meta:
		name = "_flsbuf"
		size = 324
		refs = "0060 write 0088 _bufallo"
	strings:
		$1 = { 0C 00 A2 94 E8 FF BD 27 10 00 B0 AF 40 00 43 30 14 00 BF AF 21 80 A0 00 32 00 60 14 18 00 A4 A3 02 00 43 30 38 00 60 50 30 00 42 34 10 00 A3 8C 39 00 60 14 0C 00 42 30 13 00 40 10 00 00 00 00 0C 00 02 96 0E 00 04 96 08 00 00 AE 04 00 42 34 10 00 00 AE 0C 00 02 A6 04 00 00 AE 18 00 A5 27 ?? ?? ?? 0? 01 00 06 24 01 00 03 24 22 00 43 54 0C 00 03 96 18 00 A2 93 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 FF FF 03 24 EA FF 43 10 08 00 02 AE 20 00 02 24 10 00 02 AE 01 00 03 24 08 00 02 8E 04 00 03 AE 18 00 A3 93 00 00 43 A0 08 00 05 8E 0C 00 03 96 FF FF 02 24 01 00 A5 24 20 00 64 30 EA FF 80 14 00 00 05 AE 00 02 63 34 18 00 A2 93 ?? ?? ?? 0? 0C 00 03 A6 14 00 BF 8F 20 14 04 7C 10 00 B0 8F 08 00 E0 03 18 00 BD 27 FF FF 02 24 30 00 63 34 ?? ?? ?? 0? 0C 00 03 A6 0C 00 A2 A4 04 00 A0 AC ?? ?? ?? 0? FF FF 02 24 0E 00 A4 94 04 00 06 8E ?? ?? ?? 0? 08 00 A5 8C 04 00 03 8E DE FF 43 10 01 00 03 24 0C 00 02 96 30 00 42 34 ?? ?? ?? 0? 0C 00 02 A6 }
	condition:
		$1
}

rule file_781_0_0 {
	meta:
		name = "putchar"
		size = 32
		refs = "000c fputc 0000 _iob"
	strings:
		$1 = { ?? ?? 05 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? A5 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_543_0_4 {
	meta:
		name = "putchar"
		size = 32
		refs = "000c fputc 0000 _Stdout"
	strings:
		$1 = { ?? ?? 05 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? A5 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_165_0_4 {
	meta:
		name = "putwchar"
		size = 32
		refs = "000c fputwc 0000 _Stdout"
	strings:
		$1 = { ?? ?? 05 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? A5 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_787_0_0 {
	meta:
		name = "fputs"
		size = 120
		refs = "0024 fputc"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 21 90 80 00 21 80 A0 00 ?? ?? ?? 0? FF FF 11 24 ?? ?? ?? 0? 00 00 00 00 0C 00 51 10 1C 00 BF 8F 00 00 42 82 21 28 00 02 01 00 52 26 F8 FF 40 14 21 20 40 00 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 FF FF 02 24 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_787_1_0 {
	meta:
		name = "puts"
		size = 68
		refs = "0008 _iob 0014 fputs 0024 fputc"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF ?? ?? 10 3C ?? ?? 05 26 1C 00 BF AF ?? ?? ?? 0? 18 00 B1 AF ?? ?? 05 26 0A 00 04 24 ?? ?? ?? 0? 21 88 40 00 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_791_0_0 {
	meta:
		name = "fread"
		size = 392
		refs = "00e4 memcpy 0118 fgetc"
	strings:
		$1 = { 0C 00 E2 94 D0 FF BD 27 14 00 B1 AF 11 00 43 30 21 88 A0 00 01 00 05 24 1C 00 B3 AF 18 00 B2 AF 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 20 00 B4 AF 10 00 B0 AF 21 98 E0 00 0E 00 65 10 21 90 C0 00 10 00 42 34 0C 00 62 A6 21 10 00 00 2C 00 BF 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 00 02 43 30 04 00 60 10 02 A0 51 72 04 00 E3 8C EF FF 60 54 10 00 42 34 FF FD 43 30 0C 00 63 A6 ED FF 80 12 21 10 00 00 21 A8 80 00 FF FF 10 24 10 00 62 30 27 00 40 14 21 20 60 02 04 00 62 8E 18 00 40 10 00 00 00 00 10 00 65 8E 15 00 A0 10 80 00 63 30 2B B0 54 00 0A 10 96 02 21 B0 40 00 10 00 60 10 21 30 40 00 00 00 65 8E 21 20 A0 02 ?? ?? ?? 0? 23 A0 82 02 00 00 62 8E 04 00 63 8E 21 A8 B6 02 21 10 56 00 23 B0 76 00 00 00 62 AE 04 00 76 AE 10 00 80 12 FF FF 22 26 ?? ?? ?? 0? 0C 00 63 96 ?? ?? ?? 0? 00 00 00 00 20 16 02 7C 05 00 50 50 0C 00 63 96 00 00 A2 A2 FF FF 94 26 ?? ?? ?? 0? 01 00 B5 26 10 00 63 30 FB FF 60 50 00 00 A2 A2 FF FF 22 26 21 A0 54 00 1B 00 91 02 F4 01 20 02 2C 00 BF 8F 28 00 B6 8F 24 00 B5 8F 1C 00 B3 8F 14 00 B1 8F 10 00 B0 8F 12 A0 00 00 23 10 54 02 20 00 B4 8F 18 00 B2 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_800_0_0 {
	meta:
		name = "creat"
		size = 32
		refs = "000c open"
	strings:
		$1 = { E8 FF BD 27 02 00 05 24 14 00 BF AF ?? ?? ?? 0? B6 01 06 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_806_2_0 {
	meta:
		name = "_dvfprintf_gG"
		size = 5884
		refs = "009c _ctype 01a8 fputc 03d0 dpcmp 043c dpadd 04c0 dpdiv 04cc __fixunsdfdi 05e0 __udivdi3 05f4 __umoddi3 06bc dpmul 09f4 dptoul 0c5c __floatundidf 0c74 dpsub 0f4c frexp 127c __floatunsidf"
		altNames = "_dvfprintf_gGs"
	strings:
		$1 = { 98 FF BD 27 4C 00 B3 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 21 98 80 00 21 88 A0 00 70 00 A6 AF 28 00 A0 AF 2C 00 A0 AF 21 80 00 00 00 00 24 82 40 00 80 10 10 00 A4 A3 25 00 02 24 54 00 82 14 01 00 32 26 02 00 23 26 FF FF 62 80 2D 00 05 24 21 A8 00 00 30 00 07 24 20 00 06 24 2B 00 08 24 48 00 45 10 FF FF 71 24 2E 00 44 28 3E 00 80 10 00 00 00 00 50 00 46 50 01 00 B5 36 4C 00 48 50 02 00 B5 36 ?? ?? 04 3C ?? ?? 83 24 21 20 62 00 01 00 84 90 02 00 A6 32 FE FF A5 32 0B A8 A6 00 08 00 A6 32 FB FF A5 32 04 00 84 30 44 00 80 10 0B A8 A6 00 21 F0 00 00 0A 00 05 24 02 20 C5 73 01 00 31 26 21 F0 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF DE 27 2E 00 04 24 42 00 44 50 01 00 31 26 00 10 B5 36 21 90 00 00 6C 00 03 24 10 00 05 24 00 80 04 24 10 00 A2 A3 6A 02 43 10 01 00 31 26 6D 00 43 28 4C 00 60 10 75 00 03 24 63 00 03 24 6B 02 43 10 64 00 43 28 8C 00 60 50 67 00 03 24 97 02 40 14 47 00 03 24 64 00 BF 8F 21 10 00 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C7 FF 47 14 ?? ?? 04 3C 04 00 B5 36 01 00 63 24 FF FF 62 80 BA FF 45 14 FF FF 71 24 08 00 B5 36 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 40 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 63 24 ?? ?? ?? 0? 01 00 63 24 2A 00 04 24 C6 FF 44 14 21 F0 00 00 70 00 A5 8F 01 00 31 26 00 00 22 82 00 00 BE 8C 2E 00 04 24 04 00 A5 24 C1 FF 44 14 70 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 29 03 44 10 00 40 B5 36 21 20 62 00 01 00 84 90 21 90 00 00 04 00 84 30 B8 FF 80 10 0A 00 05 24 02 20 45 72 01 00 31 26 21 90 82 00 00 00 22 82 21 20 62 00 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 52 26 ?? ?? ?? 0? 6C 00 03 24 35 02 43 10 78 00 03 24 31 02 43 10 73 00 03 24 32 00 43 10 70 00 A2 8F 10 00 B4 27 01 00 17 24 04 00 40 52 2B 90 FE 02 2B 10 57 02 0B B8 42 02 2B 90 FE 02 23 F0 D7 03 0A F0 12 00 08 00 B6 32 0C 00 C0 16 21 90 C0 03 ?? ?? ?? 0? FF FF 15 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 55 16 21 28 60 02 ?? ?? ?? 0? FF FF 15 24 00 00 84 82 ?? ?? ?? 0? 01 00 94 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F5 16 21 28 60 02 52 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 00 00 00 00 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 52 26 20 00 04 24 F8 FF 54 16 21 28 60 02 ?? ?? ?? 0? 00 00 24 82 00 00 43 8C 04 00 44 24 5E 04 60 10 21 A0 60 00 00 00 62 80 06 00 40 10 21 B8 00 00 01 00 F7 26 21 10 77 00 00 00 42 80 FD FF 40 54 01 00 F7 26 ?? ?? ?? 0? 70 00 A4 AF C1 FF 43 14 10 00 B4 27 00 02 B5 36 00 07 A2 32 16 01 40 10 21 B0 A0 02 00 10 A4 32 06 00 03 24 10 00 A2 32 C2 01 40 10 0B 90 64 00 70 00 A4 8F F8 FF 02 24 07 00 83 24 24 10 62 00 00 00 46 8C 04 00 54 8C 08 00 45 24 70 00 A5 AF 20 00 A6 AF 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 04 00 41 04 20 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 B6 36 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF CE 02 40 14 21 B8 00 00 00 02 C2 32 65 01 40 14 FC FF E2 2A 19 00 42 2A 0C 00 40 10 18 00 A8 8F ?? ?? ?? 0? FF 00 44 32 20 00 A6 8F 21 28 80 02 21 38 60 00 21 20 C0 00 ?? ?? ?? 0? 21 30 40 00 20 00 A2 AF 21 A0 60 00 18 00 A8 8F 0A 00 02 29 BE 01 40 14 20 00 A3 8F 28 00 A3 8F 2C 00 A2 8F 3C 00 A8 AF 21 20 60 00 ?? ?? 03 3C ?? ?? 63 24 00 00 66 8C 04 00 67 8C ?? ?? ?? 0? 21 28 40 00 BE 03 41 04 3C 00 A8 8F ED FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 3C 00 A8 AF 2C 00 A3 AF 20 00 A6 8F 21 18 40 00 28 00 A2 AF 2C 00 A2 8F 21 20 C0 00 21 28 80 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 A8 8F 21 B8 40 00 21 A8 60 00 20 00 A0 AF 24 00 A0 AF 01 00 02 24 72 04 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 04 24 ?? ?? ?? 0? 12 00 09 24 21 50 80 00 04 00 65 8C 02 00 47 24 01 00 84 24 2B 30 A5 02 B9 02 C0 14 01 00 42 24 B4 02 B5 50 00 00 65 8C 20 24 04 7C F5 FF 49 14 08 00 63 24 10 00 A4 A3 14 00 07 24 23 A0 C8 03 23 A0 92 02 2B 10 12 00 23 A0 87 02 03 00 C3 32 23 A0 82 02 2B 18 03 00 04 00 C2 32 5A 02 40 10 23 A0 83 02 02 00 C2 32 AD 03 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 1A 08 00 DE 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 DE 32 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 96 24 04 00 C7 8C ?? ?? ?? 0? 00 00 C6 8C 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 21 20 E0 02 21 28 A0 02 FF FF 43 24 20 1C 03 7C C0 30 03 00 21 30 C6 02 EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 42 2A 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 42 2A 96 03 40 14 20 14 12 7C 12 00 02 24 10 00 A2 A3 EE FF 52 26 2E 00 04 24 ?? ?? ?? 0? 21 28 60 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 21 20 40 00 21 28 60 00 24 00 A2 8F 20 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 27 00 A0 12 10 00 A2 A3 ?? ?? 05 3C ?? ?? B5 24 21 40 60 00 21 B8 C0 02 C0 10 02 00 21 10 A2 02 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 60 02 10 00 B6 83 3C 00 A8 8F 27 10 02 00 C0 18 16 00 21 18 A3 02 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 21 80 02 02 21 B8 40 00 FF FF C2 26 20 14 02 7C 21 40 60 00 DF FF C0 16 10 00 A2 A3 09 00 40 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 28 FE C0 53 00 00 24 82 26 FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 16 15 7C 0C 02 40 04 10 00 A2 32 D4 00 40 10 70 00 A5 8F 70 00 A4 8F 21 B8 00 00 00 00 94 8C 04 00 84 24 70 00 A4 AF 03 00 40 16 C0 00 B6 32 25 90 97 02 01 00 52 2E 80 00 02 24 82 01 C2 12 C0 00 02 24 6B 01 C2 12 10 00 A2 83 2A 18 52 00 66 01 60 10 2A 18 42 02 20 14 12 7C 10 00 A2 A3 05 00 C0 13 00 40 A3 32 03 00 A3 32 2B 18 03 00 23 F0 C3 03 00 40 A3 32 05 00 60 10 2A 20 5E 00 2A 18 5E 02 23 F0 D2 03 0A F0 03 00 2A 20 5E 00 23 10 C2 03 0A 10 04 00 04 00 A3 32 40 01 60 10 20 00 A2 AF 02 00 A2 32 EC 01 40 10 01 00 A2 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 20 00 A6 8F 0C 00 C0 50 08 00 B5 32 20 00 BE 8F 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 20 00 BE AF 08 00 B5 32 24 00 B5 AF FF FF 48 26 C0 10 08 00 ?? ?? 05 3C 80 40 08 00 13 00 00 01 ?? ?? B5 24 40 18 17 00 21 40 40 02 30 00 B1 AF 21 A8 A2 02 80 00 1E 24 21 88 60 00 11 00 00 11 12 90 00 00 06 01 DE 12 FF FF 08 25 C0 00 06 24 F4 00 C6 52 00 00 A6 8E 10 00 A4 83 21 28 60 02 ?? ?? ?? 0? 3C 00 A8 AF 3C 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF B5 26 F1 FF 00 15 FC FF 52 26 24 00 A4 8F B5 FD 80 10 30 00 B1 8F 20 00 A5 8F B2 FD A0 18 21 90 A0 00 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 52 26 F9 FF 40 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 87 00 40 10 2A 10 F2 02 71 02 40 12 21 10 00 00 FF FF 52 26 13 00 42 2E 6C 02 40 14 12 00 02 24 10 00 A2 A3 20 00 A3 8F 21 28 80 02 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 38 00 00 14 02 40 14 10 00 AA 83 20 00 A2 8F 21 28 80 02 ?? ?? ?? 0? 21 20 40 00 18 00 B7 8F 20 00 A2 AF ?? ?? 02 3C ?? ?? 55 24 FB FF D4 27 03 00 C2 32 63 00 E3 26 2B 10 02 00 23 A0 92 02 C7 00 63 2C 23 A0 82 02 01 00 63 2C 04 00 C2 32 96 01 40 10 23 A0 83 02 02 00 C2 32 9B 02 40 10 01 00 C2 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 21 80 02 02 17 03 80 1A 08 00 C3 32 30 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 C4 32 ?? ?? ?? 0? 24 00 A4 AF 70 00 A2 8F 07 00 43 24 F8 FF 02 24 24 10 62 00 00 00 43 8C 04 00 54 8C 08 00 42 24 20 00 A3 AF ?? ?? ?? 0? 70 00 A2 AF 10 00 A2 32 21 30 80 00 0A 30 A2 00 25 A8 D5 00 FF FF B5 32 ?? ?? ?? 0? 00 00 22 82 70 00 A3 8F 10 00 A5 32 01 00 62 80 00 00 64 8C 04 00 63 24 2E 00 A0 10 10 00 A2 A3 2D 00 40 50 14 00 A4 A3 FF FF 05 24 2A 00 45 50 14 00 A4 A3 14 00 A2 A3 15 00 A4 A3 02 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF ?? ?? ?? 0? 80 00 B5 36 ?? ?? ?? 0? C0 00 B5 36 21 B8 00 00 00 00 B4 8C 04 00 A5 24 ?? ?? ?? 0? 70 00 A5 AF 21 28 80 02 21 30 00 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 3C 00 A8 AF 1D 02 40 10 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 B8 40 00 25 10 43 00 21 A8 60 00 1A 02 40 14 3C 00 A8 8F 02 00 02 29 32 FE 40 10 28 00 A3 8F ?? ?? ?? 0? 21 20 E0 02 B4 FD 43 14 10 00 B4 27 ?? ?? ?? 0? 20 00 B5 36 14 00 A4 A3 01 00 17 24 14 00 B4 27 ?? ?? ?? 0? 70 00 A3 AF 79 FF 40 10 00 00 00 00 AE 02 E0 06 20 00 A3 8F 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 21 B8 40 00 21 A8 60 00 25 10 F5 02 0F 00 40 10 21 30 00 00 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 13 00 07 24 04 00 64 8C 01 00 42 24 2B 28 A4 02 06 00 A0 14 21 30 40 00 37 02 95 50 00 00 64 8C F8 FF 47 14 08 00 63 24 14 00 06 24 23 90 46 02 19 00 42 2A D4 01 40 14 00 00 00 00 ?? ?? ?? 0? 21 20 40 02 21 40 40 00 21 48 60 00 21 20 E0 02 21 28 A0 02 3C 00 A8 AF ?? ?? ?? 0? 38 00 A9 AF 20 00 A7 8F 21 28 80 02 21 30 40 00 21 20 E0 00 ?? ?? ?? 0? 21 38 60 00 3C 00 A8 8F 38 00 A9 8F 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 20 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 28 A0 02 21 20 E0 02 0A 00 06 24 E4 FD 40 12 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 21 38 00 00 21 B8 40 00 ?? ?? ?? 0? 21 A8 60 00 25 10 43 00 F0 FF 40 50 FF FF 52 26 18 00 A8 8F 0A 00 02 29 D9 FD 40 50 28 00 A3 8F ?? ?? ?? 0? 20 00 A3 8F 04 00 A7 8E 21 20 80 02 21 28 E0 02 ?? ?? ?? 0? 3C 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 20 24 02 7C 10 00 A4 A3 ?? ?? ?? 0? 3C 00 A8 8F 27 18 12 00 04 18 71 00 06 10 54 02 20 00 44 32 25 10 62 00 06 18 57 02 0B 10 64 00 ?? ?? 03 3C 0F 00 42 30 ?? ?? 63 24 21 10 62 00 00 00 44 80 ?? ?? ?? 0? 10 00 A4 A3 20 00 A2 8F B5 00 40 14 08 00 A4 32 08 00 A3 32 24 00 A3 AF 02 00 A2 32 AC 00 40 50 01 00 B5 32 01 00 A4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 ?? ?? ?? 0? 0B 90 43 00 01 00 02 24 44 02 E0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 02 00 06 24 02 00 02 24 ?? ?? ?? 0? 14 00 07 24 21 30 40 00 04 00 64 8C 01 00 42 24 2B 28 E4 02 BA 01 A0 14 20 14 02 7C B5 01 97 50 00 00 64 8C F7 FF 47 14 08 00 63 24 ?? ?? ?? 0? 10 00 A2 A3 01 00 02 24 2A 02 E0 12 10 00 A2 A3 00 01 04 24 21 28 00 00 00 31 05 00 00 19 04 00 02 00 02 24 02 47 04 00 25 40 06 01 01 00 42 24 21 30 60 00 2B 18 E5 02 02 00 09 24 10 00 0A 24 20 14 02 7C 11 00 60 14 21 38 00 01 75 01 E5 52 2B 20 84 02 E9 FF 4A 10 21 20 C0 00 21 28 E0 00 00 31 05 00 00 19 04 00 02 47 04 00 25 40 06 01 21 48 40 00 21 30 60 00 01 00 42 24 2B 18 E5 02 20 14 02 7C F1 FF 60 10 21 38 00 01 10 00 A9 A3 ?? ?? ?? 0? 21 10 20 01 70 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D2 8C 04 00 C6 24 ?? ?? ?? 0? 70 00 A6 AF 08 00 DE 32 0C 00 C0 17 02 00 C2 32 0A 00 80 1A 00 00 00 00 20 00 04 24 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 02 00 C2 32 30 01 40 50 01 00 D6 32 01 00 C4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 20 00 A3 8F 21 28 80 02 18 00 A6 27 ?? ?? ?? 0? 21 20 60 00 18 00 B7 8F 03 00 03 24 0A 00 02 24 FF FF F7 26 02 B8 E3 72 1A 00 E2 02 F4 01 40 00 12 B8 00 00 CD 01 E0 06 18 00 B7 AF ?? ?? ?? 0? 23 20 17 00 21 28 60 00 20 00 A3 8F 21 20 40 00 21 38 80 02 ?? ?? ?? 0? 21 30 60 00 2C 00 A3 AF ?? ?? 06 3C 21 18 40 00 28 00 A2 AF 2C 00 A2 8F ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 ?? ?? ?? 0? 21 28 40 00 1D 01 42 04 FF FF F7 26 ?? ?? 06 3C 28 00 A3 8F 2C 00 A2 8F ?? ?? C4 8C ?? ?? C5 8C 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 08 FD 40 1C 00 02 C2 32 01 00 F7 26 ?? ?? ?? 0? 18 00 B7 AF }
	condition:
		$1
}

rule file_807_0_0 {
	meta:
		name = "strlen"
		size = 28
	strings:
		$1 = { 21 18 80 00 00 00 65 80 FE FF A0 14 01 00 63 24 27 10 04 00 08 00 E0 03 21 10 62 00 }
	condition:
		$1
}

rule file_829_2_0 {
	meta:
		name = "_vfprintf_cdeEgGnopuxX"
		size = 6544
		refs = "000c _ctype 0160 fputc 0464 __floatdisf 0484 fpcmp 04fc fpadd 0554 fpdiv 055c fptoui 0690 __udivdi3 06a4 __umoddi3 074c fpmul 0ec8 __floatunsisf 0ed4 fpsub 0f7c frexpf 117c __floatundisf"
		altNames = "_vfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { 90 FF BD 27 64 00 B7 AF 21 10 00 00 ?? ?? 17 3C 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 6C 00 BF AF 68 00 BE AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 21 90 80 00 21 88 A0 00 78 00 A6 AF 34 00 A2 AF 21 80 00 00 ?? ?? F7 26 00 00 24 82 65 00 80 10 10 00 A4 A3 25 00 02 24 AB 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 9F 02 46 10 FF FF 91 24 2E 00 45 28 95 02 A0 10 00 00 00 00 A7 02 47 50 01 00 63 34 A3 02 49 50 02 00 63 34 21 20 E2 02 01 00 84 90 02 00 66 30 FE FF 65 30 0B 18 A6 00 08 00 66 30 FB FF 65 30 04 00 84 30 9D 02 80 10 0B 18 A6 00 21 40 00 00 0A 00 05 24 02 20 05 71 01 00 31 26 21 40 82 00 00 00 22 82 21 20 E2 02 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 08 25 2E 00 04 24 9B 02 44 50 01 00 31 26 00 10 63 34 21 98 00 00 10 00 07 24 00 80 06 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3E 00 A0 14 01 00 31 26 10 00 B5 27 01 00 1E 24 04 00 60 52 2B 98 C8 03 2B 10 7E 02 0B F0 62 02 2B 98 C8 03 23 40 1E 01 0A 40 13 00 08 00 76 30 0B 00 C0 16 21 98 00 01 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF DE 27 F8 FF D4 57 00 00 A4 82 A8 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9D FF 80 14 10 00 A4 A3 6C 00 BF 8F 21 10 00 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 ?? ?? 05 3C 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 63 34 00 07 62 30 15 01 40 10 20 00 A3 AF 00 10 65 30 06 00 04 24 10 00 62 30 6A 02 40 10 0B 98 85 00 78 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 44 8C 04 00 45 8C 08 00 42 24 3C 00 A3 AF 40 00 A8 AF ?? ?? ?? 0? 78 00 A2 AF 3C 00 A3 8F 40 00 A8 8F 21 A0 40 00 21 20 80 02 21 28 00 00 3C 00 A3 AF ?? ?? ?? 0? 40 00 A8 AF 3C 00 A3 8F 05 00 41 04 40 00 A8 8F 00 80 02 3C 03 00 63 34 26 A0 54 00 20 00 A3 AF 21 20 80 02 21 28 00 00 40 00 A8 AF ?? ?? ?? 0? 18 00 A0 AF 21 B0 00 00 AD 02 40 14 40 00 A8 8F 20 00 A3 8F 00 01 62 30 BD 01 40 14 00 02 62 30 B9 01 40 14 FC FF C2 2A 19 00 62 2A 0A 00 40 10 18 00 BE 8F FF 00 64 32 ?? ?? ?? 0? 40 00 A8 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 40 00 A8 8F 21 A0 40 00 18 00 BE 8F 0A 00 C2 2B DD 02 40 14 21 20 80 02 ?? ?? 02 3C ?? ?? 45 8C 34 00 A4 8F ?? ?? ?? 0? 40 00 A8 AF 9C 04 40 04 40 00 A8 8F EE FF DE 27 18 00 BE AF 20 24 1E 7C ?? ?? ?? 0? 40 00 A8 AF 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 34 00 A2 AF ?? ?? ?? 0? 21 20 40 00 40 00 A8 8F 21 20 00 00 21 B0 40 00 21 A8 40 00 28 00 A4 AF 01 00 03 24 0A 00 C2 2E EF 04 40 14 10 00 A3 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 09 24 02 00 04 24 ?? ?? ?? 0? 12 00 07 24 21 48 80 00 04 00 65 8C CA 04 A0 14 02 00 46 24 00 00 65 8C 2B 28 C5 02 C6 04 A0 14 01 00 84 24 01 00 42 24 20 24 04 7C F5 FF 47 14 08 00 63 24 10 00 A4 A3 14 00 06 24 20 00 A5 8F 23 A0 1E 01 23 A0 93 02 2B 10 13 00 23 A0 86 02 03 00 A3 30 23 A0 82 02 2B 18 03 00 04 00 A2 30 98 04 40 10 23 A0 83 02 02 00 A2 30 B4 04 40 10 20 00 A7 8F 01 00 A4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 C2 04 80 1A 20 00 A2 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A3 8F 08 00 63 30 24 00 A3 AF ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 56 24 C0 18 03 00 21 18 C3 02 00 00 66 8C 04 00 67 8C 21 20 A0 02 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0C 00 40 18 13 00 62 2A 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 62 2A 4E 04 40 14 20 14 13 7C 12 00 02 24 10 00 A2 A3 EE FF 73 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B5 83 01 00 10 26 ?? ?? ?? 0? 21 20 A0 02 28 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 B0 40 00 FF FF A2 26 20 14 02 7C 21 40 00 00 25 00 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 7E 24 C0 10 02 00 21 10 C2 03 00 00 46 8C 04 00 47 8C 21 28 00 01 21 20 C0 02 ?? ?? ?? 0? 40 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B5 83 40 00 A8 8F 27 10 02 00 C0 18 15 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 28 00 01 21 20 C0 02 ?? ?? ?? 0? 21 80 02 02 21 B0 40 00 FF FF A2 26 20 14 02 7C 21 40 60 00 DF FF A0 16 10 00 A2 A3 0A 00 60 12 24 00 A4 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 24 00 A4 8F 07 FE 80 50 00 00 24 82 05 FE 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 63 34 00 01 63 34 00 07 62 30 ED FE 40 14 20 00 A3 AF C0 00 62 30 5D 01 40 14 20 16 03 7C B1 03 40 04 78 00 A7 8F 10 00 62 30 DC 01 40 10 78 00 A5 8F 78 00 A2 8F 00 00 44 8C 04 00 42 24 78 00 A2 AF C3 17 04 00 21 A8 80 00 21 B0 40 00 05 00 41 04 23 10 02 00 23 A8 04 00 2B 20 15 00 03 00 63 34 23 B0 44 00 03 00 60 16 C0 00 74 30 25 98 B6 02 01 00 73 2E 40 00 02 24 17 03 82 12 41 00 82 2A F1 02 40 10 80 00 02 24 16 00 80 16 10 00 A2 83 01 00 02 24 19 04 C0 12 10 00 A2 A3 ?? ?? 04 3C ?? ?? 84 24 02 00 07 24 02 00 02 24 ?? ?? ?? 0? 14 00 09 24 21 38 40 00 04 00 85 8C 2B 30 C5 02 96 03 C0 54 10 00 A7 A3 90 03 B6 50 00 00 85 8C 01 00 42 24 20 14 02 7C F6 FF 49 14 08 00 84 24 10 00 A2 A3 2A 20 53 00 D5 02 80 10 2A 20 62 02 20 14 13 7C 10 00 A2 A3 05 00 00 11 00 40 64 30 03 00 64 30 2B 20 04 00 23 40 04 01 00 40 64 30 05 00 80 10 2A 28 48 00 2A 20 68 02 23 40 13 01 0A 40 04 00 2A 28 48 00 23 10 02 01 0A 10 05 00 04 00 64 30 93 02 80 10 20 00 A2 AF 02 00 62 30 E1 02 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 27 10 02 00 3C 00 A3 8F 2B 10 02 00 21 80 02 02 20 00 A4 8F 08 00 62 30 12 02 80 14 30 00 A2 AF FF FF 62 26 ?? ?? 07 3C C0 98 02 00 ?? ?? FE 24 21 98 D3 03 03 00 1E 24 80 40 02 00 02 F0 5E 70 41 00 84 2A 40 10 16 00 20 00 63 30 28 00 A2 AF 24 00 A4 AF ?? ?? ?? 0? 2C 00 A3 AF 10 00 80 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 40 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 40 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 40 00 A8 AF 40 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF DE 27 FD FF 02 24 42 02 C2 13 40 00 02 24 34 02 82 12 24 00 A5 8F DF FF A0 14 80 00 02 24 1D 02 82 12 C0 00 02 24 DD FF 82 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 63 34 ?? ?? ?? 0? 80 00 63 34 20 00 63 34 ?? ?? ?? 0? 00 02 63 34 70 FD 48 54 21 20 E2 02 04 00 63 34 01 00 84 24 FF FF 82 80 63 FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 04 24 6D FD 44 14 21 40 00 00 78 00 A5 8F 01 00 31 26 00 00 22 82 00 00 A8 8C 2E 00 04 24 04 00 A5 24 68 FD 44 14 78 00 A5 AF 01 00 31 26 00 00 22 82 2A 00 04 24 91 02 44 10 00 40 63 34 21 20 E2 02 01 00 84 90 21 98 00 00 04 00 84 30 5F FD 80 10 0A 00 05 24 02 20 65 72 01 00 31 26 21 98 82 00 00 00 22 82 21 20 E2 02 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 73 26 ?? ?? ?? 0? 10 00 07 24 4A 01 40 10 2A 10 D3 02 E9 00 60 12 21 10 00 00 20 00 A4 8F 40 02 82 7C 23 98 62 02 13 00 62 2E E2 00 40 14 12 00 02 24 10 00 A2 A3 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 40 00 A8 AF A5 00 40 14 40 00 A8 8F ?? ?? ?? 0? 21 20 80 02 40 00 A8 8F ?? ?? 05 3C 21 A8 40 00 ?? ?? BE 24 20 00 A5 8F FB FF 14 25 23 A0 93 02 03 00 A3 30 2B 18 03 00 04 00 A2 30 7A 00 40 10 23 A0 83 02 02 00 A2 30 F8 00 40 10 20 00 A7 8F 01 00 A4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 30 03 80 1A 20 00 A2 8F 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A3 8F 08 00 63 30 28 00 A3 AF 10 00 A2 83 21 20 A0 02 21 28 00 00 C0 10 02 00 21 10 C2 03 00 00 46 8C ?? ?? ?? 0? 04 00 47 8C 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 27 10 02 00 2B 10 02 00 C0 18 03 00 21 18 C3 03 00 00 66 8C 04 00 67 8C 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A8 40 00 3A 02 60 16 21 B0 60 00 20 00 A3 8F 20 00 62 30 02 00 40 14 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 75 02 40 04 23 10 02 00 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 0A 00 13 24 21 28 40 02 1A 00 53 00 F4 01 60 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 73 00 F4 01 60 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 21 80 02 02 28 00 A2 8F A8 FC 40 50 00 00 24 82 A6 FC 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 78 00 A4 8F 00 00 94 8C 04 00 84 24 ?? ?? ?? 0? 78 00 A4 AF 4C 02 40 04 10 00 62 30 7C 00 40 10 78 00 A7 8F 78 00 A5 8F 21 B0 00 00 00 00 B5 8C 04 00 A5 24 ?? ?? ?? 0? 78 00 A5 AF 20 00 A4 8F 08 00 84 30 0B 00 80 14 28 00 A4 AF 0A 00 80 1A 20 00 A5 8F 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 20 00 A5 8F 02 00 A2 30 85 00 40 50 20 00 A7 8F 01 00 A4 30 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 10 00 A3 83 40 00 A8 AF 23 20 C3 02 20 24 04 7C ?? ?? ?? 0? 3C 00 A3 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 38 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 ?? ?? 07 3C ?? ?? E7 24 00 00 E4 8C ?? ?? ?? 0? 21 28 40 00 3C 00 A3 8F 38 00 A6 8F 0B 00 40 1C 40 00 A8 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 40 00 A8 8F 3C 00 A3 8F 21 30 40 00 ?? ?? 04 3C 01 00 62 24 ?? ?? 9E 24 C0 10 02 00 21 10 C2 03 04 00 44 8C 3D 00 80 10 21 A8 C0 00 C0 18 03 00 21 18 C3 03 04 00 62 8C 16 02 40 50 00 00 62 8C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? FF FF D6 26 21 10 60 02 ?? ?? ?? 0? 10 00 A2 A3 21 20 80 02 ?? ?? ?? 0? 18 00 A5 27 18 00 B6 8F 03 00 03 24 0A 00 02 24 FF FF D6 26 02 B0 C3 72 40 00 A8 8F 1A 00 C2 02 F4 01 40 00 12 B0 00 00 13 02 C0 06 18 00 B6 AF 23 20 16 00 20 24 04 7C ?? ?? ?? 0? 40 00 A8 AF 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 34 00 A2 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 34 00 A4 8F 38 00 41 04 40 00 A8 8F FF FF D6 26 ?? ?? ?? 0? 18 00 B6 AF 21 B0 00 00 00 00 F5 8C 04 00 E7 24 }
	condition:
		$1
}

rule file_830_0_0 {
	meta:
		name = "clock"
		size = 28
		refs = "0008 time"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 20 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_837_0_0 {
	meta:
		name = "strspn"
		size = 108
		refs = "0040 strchr"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 00 00 82 80 21 88 80 00 21 80 A0 00 05 00 40 14 21 90 00 00 ?? ?? ?? 0? 1C 00 BF 8F 07 00 40 10 01 00 52 26 21 28 40 00 21 20 00 02 ?? ?? ?? 0? 01 00 31 26 F9 FF 40 54 00 00 22 82 1C 00 BF 8F 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_838_0_0 {
	meta:
		name = "strdup"
		size = 68
		refs = "000c strlen 0014 malloc 0028 strcpy"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 B0 AF ?? ?? ?? 0? 10 00 A4 AF ?? ?? ?? 0? 01 00 44 24 21 80 40 00 03 00 40 10 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 21 10 00 02 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_844_0_0 {
	meta:
		name = "_swap"
		size = 44
	strings:
		$1 = { 08 00 80 10 21 20 A4 00 00 00 C3 90 00 00 A2 80 00 00 A3 A0 01 00 A5 24 00 00 C2 A0 FA FF A4 14 01 00 C6 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_861_0_0 {
	meta:
		name = "fputc"
		size = 316
		refs = "0080 _outdone 00e0 fputc 00fc fflush 0118 fseek 012c _flsbuf"
	strings:
		$1 = { 0C 00 A2 94 E0 FF BD 27 18 00 B1 AF 02 00 43 30 14 00 B0 AF 1C 00 BF AF 21 80 A0 00 1F 00 60 10 FF FF 11 24 00 02 43 30 22 00 60 10 04 00 A3 8C 00 02 42 34 0C 00 A2 A4 22 00 60 10 FF 00 91 30 00 0C 44 30 00 0C 03 24 32 00 83 10 21 20 00 02 FF F7 42 30 0A 00 03 24 1D 00 23 12 0C 00 02 A6 04 00 02 8E 10 00 03 8E 2F 00 43 10 01 00 42 24 00 00 03 8E 04 00 02 AE 01 00 64 24 00 00 71 A0 ?? ?? 02 3C 01 00 03 24 00 00 04 AE ?? ?? 43 A0 0A 00 02 24 16 00 22 52 0C 00 02 96 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 F9 FF 60 14 00 02 42 34 0C 00 A2 A4 FF 00 91 30 08 00 03 8E ?? ?? ?? 0? 00 00 03 AE 80 00 42 30 E3 FF 40 54 04 00 02 8E 0D 00 04 24 ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 04 00 02 8E 00 01 42 30 EA FF 40 10 1C 00 BF 8F ?? ?? ?? 0? 21 20 00 02 27 10 02 00 FF FF 03 24 ?? ?? ?? 0? 0A 88 62 00 21 28 00 00 ?? ?? ?? 0? 02 00 06 24 ?? ?? ?? 0? 0C 00 02 96 20 24 11 7C ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 21 88 40 00 }
	condition:
		$1
}

rule file_881_0_0 {
	meta:
		name = "_dump_heap_info"
		size = 384
		refs = "0008 __alloct 0014 __allocs 0040 _heap 0044 _min_heap_size 0050 _iob 00cc _fprintf_cdnopsuxX 011c fprintf"
	strings:
		$1 = { A8 FF BD 27 44 00 B5 AF ?? ?? 15 3C ?? ?? A2 8E 34 00 B1 AF ?? ?? 11 3C ?? ?? 31 26 54 00 BF AF 50 00 BE AF 4C 00 B7 AF 48 00 B6 AF 40 00 B4 AF 3C 00 B3 AF 38 00 B2 AF 4C 00 51 10 30 00 B0 AF ?? ?? 16 3C ?? ?? 14 3C ?? ?? D6 26 ?? ?? 94 26 ?? ?? 02 3C 21 A0 D4 02 1C 00 A2 AF 18 00 A0 AF 21 80 00 00 FC FF 89 26 ?? ?? 48 24 ?? ?? 03 3C ?? ?? 1E 3C ?? ?? 17 3C 2A 20 36 02 2A 10 91 02 1B 00 80 14 00 00 32 8E 23 20 91 02 26 28 49 02 23 98 51 02 0A 98 85 00 ?? ?? EA 26 ?? ?? CB 27 21 30 20 02 21 20 00 01 ?? ?? 65 24 10 00 40 14 21 38 60 02 04 00 22 92 28 00 A3 AF 24 00 A8 AF 01 00 42 30 0A 50 62 01 20 00 A9 AF ?? ?? ?? 0? 10 00 AA AF 04 00 22 92 28 00 A3 8F 24 00 A8 8F 01 00 42 30 1B 00 40 10 20 00 A9 8F 21 80 13 02 04 00 40 12 ?? ?? A2 8E ?? ?? A2 8E DE FF 52 14 21 88 40 02 1C 00 A3 8F 18 00 A7 8F ?? ?? 05 3C 21 30 00 02 ?? ?? 64 24 ?? ?? A5 24 ?? ?? ?? 0? 10 00 A2 AF 54 00 BF 8F 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 18 00 A2 8F 21 10 53 00 E6 FF 40 16 18 00 A2 AF ?? ?? ?? 0? ?? ?? A2 8E ?? ?? 03 3C 18 00 A0 AF 21 80 00 00 ?? ?? ?? 0? 1C 00 A3 AF }
	condition:
		$1
}

rule file_884_0_0 {
	meta:
		name = "xtoi"
		size = 296
		refs = "0020 _ctype 00d4 tolower"
	strings:
		$1 = { D8 FF BD 27 1C 00 B2 AF 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 14 00 B0 AF 21 90 80 00 00 00 84 80 ?? ?? 11 3C ?? ?? 31 26 21 10 24 02 01 00 42 80 88 00 42 30 09 00 40 10 2D 00 02 24 01 00 52 26 00 00 44 82 21 10 24 02 01 00 42 80 88 00 42 30 FB FF 40 54 01 00 52 26 2D 00 02 24 2B 00 82 10 2B 00 02 24 2D 00 82 10 21 80 00 00 21 10 24 02 01 00 42 90 44 00 43 30 1A 00 60 10 21 98 00 00 ?? ?? ?? 0? 01 00 52 26 21 10 24 02 01 00 42 90 A9 FF 83 24 04 00 42 30 02 00 40 10 D0 FF 84 24 21 18 80 00 00 00 44 82 FF 00 63 30 00 99 13 00 21 10 24 02 01 00 42 90 21 98 73 00 44 00 43 30 08 00 60 10 01 00 52 26 01 00 42 30 EF FF 40 10 21 10 24 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 20 24 02 7C 24 00 BF 8F 23 10 13 00 0B 98 50 00 21 10 60 02 1C 00 B2 8F 20 00 B3 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 01 00 52 26 01 00 10 24 ?? ?? ?? 0? 00 00 44 82 01 00 44 82 ?? ?? ?? 0? 01 00 52 26 }
	condition:
		$1
}

rule file_885_0_0 {
	meta:
		name = "_flsbuf"
		size = 300
		refs = "0048 write 0040 _sobuf"
	strings:
		$1 = { 0C 00 A2 94 E8 FF BD 27 10 00 B0 AF 40 00 43 30 14 00 BF AF 21 80 A0 00 1C 00 60 14 18 00 A4 A3 02 00 43 30 3D 00 60 50 30 00 42 34 10 00 A3 8C 1B 00 60 50 0E 00 A4 94 08 00 A5 8C 2D 00 A0 50 ?? ?? 05 3C 04 00 06 8E ?? ?? ?? 0? 0E 00 04 96 FF FF 02 24 08 00 03 8E 04 00 02 AE 18 00 A2 93 00 00 62 A0 18 00 A2 83 01 00 63 24 00 00 03 AE 0A 00 03 24 13 00 43 50 0C 00 03 96 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 20 14 04 7C 10 00 B0 8F 08 00 E0 03 18 00 BD 27 01 00 06 24 ?? ?? ?? 0? 18 00 A5 27 14 00 BF 8F 18 00 A2 83 04 00 00 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 00 01 63 30 ED FF 60 10 14 00 BF 8F 0E 00 04 96 08 00 05 8E ?? ?? ?? 0? 04 00 06 8E 08 00 03 8E 18 00 A2 83 04 00 00 AE ?? ?? ?? 0? 00 00 03 AE ?? ?? A5 24 20 00 03 24 08 00 42 34 08 00 05 AE 00 00 05 AE 10 00 03 AE 04 00 03 AE 0C 00 02 A6 ?? ?? ?? 0? 20 00 06 24 0C 00 A2 A4 04 00 A0 AC ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_890_0_0 {
	meta:
		name = "ftell"
		size = 108
		refs = "0018 lseek"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 0E 00 84 84 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 01 00 06 24 04 00 03 8E 0F 00 62 04 04 00 00 AE 08 00 04 8E 05 00 80 10 14 00 BF 8F 0C 00 04 96 00 02 84 30 05 00 80 54 21 10 62 00 23 10 43 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 21 18 00 00 }
	condition:
		$1
}

rule file_890_1_0 {
	meta:
		name = "fseek"
		size = 444
		refs = "006c fflush 007c lseek 00b0 ftell"
	strings:
		$1 = { 0C 00 87 94 08 00 83 8C D8 FF BD 27 EF FF E7 30 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 21 80 80 00 21 88 A0 00 59 00 60 10 0C 00 87 A4 01 00 03 24 3B 00 C3 10 02 00 03 24 0A 00 C3 10 00 00 00 00 19 00 C0 10 FF FF 02 24 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 00 00 00 00 0E 00 04 96 21 28 00 00 ?? ?? ?? 0? 01 00 06 24 0E 00 04 96 21 28 00 00 02 00 06 24 ?? ?? ?? 0? 21 98 40 00 0E 00 04 96 21 90 40 00 21 28 60 02 ?? ?? ?? 0? 21 30 00 00 21 88 32 02 ?? ?? ?? 0? 21 20 00 02 23 10 22 02 17 00 40 14 0C 00 03 96 03 00 65 30 01 00 04 24 1B 00 A4 54 00 02 63 30 19 00 42 04 00 02 63 30 04 00 04 8E 2A 28 82 00 14 00 A0 14 24 00 BF 8F 00 00 03 8E 23 20 82 00 21 10 62 00 00 00 02 AE 04 00 04 AE 21 10 00 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 00 08 63 34 ?? ?? ?? 0? 0C 00 03 A6 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 88 22 02 00 02 63 30 05 00 60 50 08 00 02 8E 04 00 02 8E 18 00 40 14 00 00 00 00 08 00 02 8E 0E 00 04 96 04 00 00 AE 00 00 02 AE 21 28 20 02 ?? ?? ?? 0? 21 30 00 00 24 00 BF 8F 00 00 43 28 FF FF 02 24 0A 10 03 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 0E 00 84 94 27 18 02 00 FF FF 02 24 ?? ?? ?? 0? 0B 10 03 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 08 00 02 8E }
	condition:
		$1
}

rule file_892_0_0 {
	meta:
		name = "strtod"
		size = 40
		refs = "0008 __strtod 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_30_1_2 {
	meta:
		name = "acosh"
		size = 40
		refs = "0008 acoshl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_30_2_2 {
	meta:
		name = "acoshf"
		size = 40
		refs = "0008 acoshl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_34_1_2 {
	meta:
		name = "asinh"
		size = 40
		refs = "0008 asinhl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_34_2_2 {
	meta:
		name = "asinhf"
		size = 40
		refs = "0008 asinhl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_20_1_2 {
	meta:
		name = "atanh"
		size = 40
		refs = "0008 atanhl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_20_2_2 {
	meta:
		name = "atanhf"
		size = 40
		refs = "0008 atanhl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_11_1_2 {
	meta:
		name = "cbrt"
		size = 40
		refs = "0008 cbrtl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_11_2_2 {
	meta:
		name = "cbrtf"
		size = 40
		refs = "0008 cbrtl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_41_10_2 {
	meta:
		name = "drem"
		size = 40
		refs = "0008 dreml 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_41_11_2 {
	meta:
		name = "dremf"
		size = 40
		refs = "0008 dreml 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_6_1_2 {
	meta:
		name = "expm1"
		size = 40
		refs = "0008 expm1l 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_6_2_2 {
	meta:
		name = "expm1f"
		size = 40
		refs = "0008 expm1l 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_10_1_2 {
	meta:
		name = "hypot"
		size = 40
		refs = "0008 hypotl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_10_2_2 {
	meta:
		name = "hypotf"
		size = 40
		refs = "0008 hypotl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_75_1_2 {
	meta:
		name = "log1p"
		size = 40
		refs = "0008 log1pl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_75_2_2 {
	meta:
		name = "log1pf"
		size = 40
		refs = "0008 log1pl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_41_4_2 {
	meta:
		name = "logb"
		size = 40
		refs = "0008 logbl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_41_5_2 {
	meta:
		name = "logbf"
		size = 40
		refs = "0008 logbl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_69_1_2 {
	meta:
		name = "rint"
		size = 40
		refs = "0008 rintl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_69_2_2 {
	meta:
		name = "rintf"
		size = 40
		refs = "0008 rintl 0014 dptofp"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_894_0_0 {
	meta:
		name = "srand"
		size = 28
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 44 AC ?? ?? 40 AC 01 00 03 24 ?? ?? 02 3C 08 00 E0 03 ?? ?? 43 A0 }
	condition:
		$1
}

rule file_894_1_0 {
	meta:
		name = "rand"
		size = 152
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 43 80 0C 00 60 14 01 00 03 24 95 4C 04 3C 51 58 05 3C ?? ?? 43 A0 2E 7F 84 34 ?? ?? 03 3C 2D F4 A5 34 51 58 02 3C 2D F4 42 34 ?? ?? 64 AC 08 00 E0 03 ?? ?? 65 AC ?? ?? 03 3C ?? ?? 67 8C 51 58 08 3C 95 4C 06 3C 2D 7F C6 24 2D F4 08 35 02 40 E8 70 ?? ?? 62 8C 19 00 E6 00 12 50 00 00 10 58 00 00 02 20 46 70 01 00 46 25 2B 38 CA 00 21 10 88 00 21 10 4B 00 21 10 E2 00 21 28 40 00 21 20 C0 00 00 F0 42 7C ?? ?? 64 AC 08 00 E0 03 ?? ?? 65 AC }
	condition:
		$1
}

rule file_910_0_0 {
	meta:
		name = "ps"
		size = 80
		refs = "001c _iob 0028 fputc"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 1C 00 BF AF 14 00 B0 AF 21 88 80 00 00 00 84 80 08 00 80 10 ?? ?? 10 3C ?? ?? 10 26 01 00 31 26 ?? ?? ?? 0? 21 28 00 02 00 00 24 82 FC FF 80 14 01 00 31 26 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_910_1_0 {
	meta:
		name = "perror"
		size = 76
		refs = "0020 strerror 001c errno 0038 fputc 0030 _iob"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 44 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? 05 3C 0A 00 04 24 ?? ?? ?? 0? ?? ?? A5 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_943_0_0 {
	meta:
		name = "ungetc"
		size = 116
	strings:
		$1 = { FF FF 03 24 03 00 83 14 21 10 80 00 08 00 E0 03 00 00 00 00 0C 00 A4 94 01 00 03 24 01 02 84 30 03 00 83 50 08 00 A6 8C 08 00 E0 03 FF FF 02 24 F6 FF C0 50 FF FF 02 24 04 00 A4 8C 10 00 A3 8C F2 FF 83 50 FF FF 02 24 00 00 A3 8C 06 00 C3 10 01 00 84 24 04 00 A4 AC FF FF 64 24 00 00 A4 AC 08 00 E0 03 FF FF 62 A0 01 00 63 24 ?? ?? ?? 0? 00 00 A3 AC }
	condition:
		$1
}

rule file_957_0_0 {
	meta:
		name = "strncmp"
		size = 116
	strings:
		$1 = { 13 00 C0 10 21 10 00 00 00 00 82 80 12 00 40 10 FF FF C6 24 00 00 A3 80 09 00 43 10 FF FF 07 24 ?? ?? ?? 0? FF 00 42 30 00 00 82 80 0A 00 40 10 01 00 A5 24 00 00 A3 80 0B 00 43 14 FF 00 42 30 FF FF C6 24 F8 FF C7 14 01 00 84 24 21 10 00 00 08 00 E0 03 00 00 00 00 00 00 A3 80 FF 00 63 30 08 00 E0 03 23 10 43 00 FF 00 63 30 08 00 E0 03 23 10 43 00 }
	condition:
		$1
}

rule file_989_0_0 {
	meta:
		name = "strncpy"
		size = 92
	strings:
		$1 = { 14 00 C0 10 21 10 80 00 00 00 A4 80 FF FF C6 24 01 00 43 24 00 00 44 A0 08 00 80 10 01 00 A5 24 0C 00 C0 10 FF FF C6 24 00 00 A4 80 01 00 A5 24 00 00 64 A0 FA FF 80 14 01 00 63 24 05 00 C0 10 21 20 66 00 00 00 60 A0 01 00 63 24 FE FF 64 54 00 00 60 A0 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_994_0_0 {
	meta:
		name = "freopen"
		size = 556
		refs = "0024 fclose 00e4 open 0144 fseek 01bc close 0200 _bufallo"
	strings:
		$1 = { D0 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 C0 00 21 80 80 00 21 20 C0 00 10 00 A5 AF 2C 00 BF AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 0C 00 22 96 10 00 A5 8F 72 00 03 24 08 00 42 30 0C 00 22 A6 00 00 A2 80 0E 00 43 10 77 00 03 24 6A 00 43 10 61 00 03 24 0B 00 43 10 01 00 13 24 2C 00 BF 8F 21 88 00 00 21 10 20 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 21 98 00 00 21 90 00 00 62 00 03 24 2B 00 04 24 01 00 A5 24 00 00 A2 80 0D 00 40 50 01 00 02 24 32 00 43 50 0C 00 22 96 09 00 44 14 01 00 02 24 0C 00 22 96 01 00 A5 24 03 00 42 34 0C 00 22 A6 00 00 A2 80 F6 FF 40 14 02 00 12 24 01 00 02 24 29 00 62 12 02 00 02 24 2F 00 62 12 21 20 00 02 21 28 40 02 ?? ?? ?? 0? B6 01 06 24 20 16 02 7C 4B 00 40 04 0E 00 22 A6 0C 00 22 96 0C 00 42 30 3F 00 40 10 00 00 00 00 08 00 22 8E FF FF 03 24 41 00 43 50 0E 00 24 86 00 00 22 AE 2B 00 60 12 04 00 20 AE 0C 00 22 96 02 02 42 34 0C 00 22 A6 01 00 02 24 06 00 62 16 2C 00 BF 8F 21 20 20 02 21 28 00 00 ?? ?? ?? 0? 02 00 06 24 2C 00 BF 8F 21 10 20 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 80 00 42 34 ?? ?? ?? 0? 0C 00 22 A6 02 00 05 24 21 20 00 02 0A 28 72 02 ?? ?? ?? 0? B6 01 06 24 20 16 02 7C D9 FF 41 04 0E 00 22 A6 21 20 00 02 02 00 05 24 ?? ?? ?? 0? B6 01 06 24 20 26 02 7C 1C 00 80 04 0E 00 24 A6 D1 FF 40 52 0C 00 22 96 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 0C 00 22 96 2C 00 BF 8F 28 00 B3 8F 01 00 42 34 0C 00 22 A6 24 00 B2 8F 21 10 20 02 1C 00 B0 8F 20 00 B1 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 02 00 13 24 ?? ?? ?? 0? 00 00 00 00 20 00 03 24 08 00 22 AE ?? ?? ?? 0? 10 00 23 AE ?? ?? ?? 0? 08 00 20 AE 0C 00 20 A6 ?? ?? ?? 0? 21 88 00 00 }
	condition:
		$1
}

rule file_1033_0_0 {
	meta:
		name = "fwrite"
		size = 460
		refs = "00d8 fputc 0160 memcpy 0090 _outdone 019c fflush 01bc fseek"
	strings:
		$1 = { 0C 00 E3 94 C8 FF BD 27 2C 00 B7 AF 21 B8 80 00 02 00 64 30 24 00 B5 AF 18 00 B2 AF 14 00 B1 AF 34 00 BF AF 30 00 BE AF 28 00 B6 AF 20 00 B4 AF 1C 00 B3 AF 10 00 B0 AF 21 A8 E0 00 21 88 A0 00 21 90 C0 00 31 00 80 10 21 10 00 00 00 02 62 30 3A 00 40 50 04 00 E4 8C 04 00 E2 8C 00 02 63 34 39 00 40 10 0C 00 E3 A4 00 0C 64 30 00 0C 02 24 51 00 82 10 21 20 A0 02 02 B0 51 72 FF F7 63 30 0C 00 A3 A6 21 00 C0 12 21 10 00 00 FF FF 10 24 ?? ?? 13 3C 01 00 14 24 08 00 A2 8E 0E 00 40 50 00 00 E4 82 0C 00 A2 96 80 00 42 30 0A 00 40 50 00 00 E4 82 04 00 A2 8E 10 00 BE 8E 23 F0 C2 03 2B 10 DE 02 23 00 40 54 21 F0 C0 02 22 00 C0 57 23 B0 DE 02 00 00 E4 82 ?? ?? ?? 0? 21 28 A0 02 04 00 50 10 01 00 F7 26 FF FF D6 26 EB FF C0 56 08 00 A2 8E FF FF 22 26 21 B0 56 00 1B 00 D1 02 F4 01 20 02 12 B0 00 00 23 10 56 02 34 00 BF 8F 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 38 00 BD 27 F3 FF 80 14 00 02 63 34 0C 00 E3 A4 08 00 A2 8E ?? ?? ?? 0? 00 00 A2 AE 21 B0 00 00 00 00 A4 8E 21 28 E0 02 ?? ?? ?? 0? 21 30 C0 03 00 00 A4 8E 04 00 A2 8E 10 00 A3 8E 21 20 9E 00 21 10 C2 03 21 B8 FE 02 00 00 A4 AE 05 00 43 10 04 00 A2 AE C2 FF C0 16 ?? ?? 74 A2 ?? ?? ?? 0? FF FF 22 26 ?? ?? ?? 0? 21 20 A0 02 D1 FF 40 10 00 00 00 00 10 00 A2 8E ?? ?? ?? 0? 21 B0 C2 02 21 28 00 00 ?? ?? ?? 0? 02 00 06 24 ?? ?? ?? 0? 0C 00 A3 96 }
	condition:
		$1
}

rule file_1035_0_0 {
	meta:
		name = "__assfail"
		size = 68
		refs = "000c _iob 002c vfprintf"
	strings:
		$1 = { E0 FF BD 27 21 18 80 00 24 00 A2 27 ?? ?? 04 3C 24 00 A5 AF 28 00 A6 AF ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF 2C 00 A7 AF ?? ?? ?? 0? 10 00 A2 AF 3F 00 00 70 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1037_0_0 {
	meta:
		name = "tolower"
		size = 36
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 03 3C ?? ?? 63 24 21 18 83 00 21 10 80 00 01 00 64 90 20 00 43 24 01 00 84 30 08 00 E0 03 0B 10 64 00 }
	condition:
		$1
}

rule file_1037_1_0 {
	meta:
		name = "toupper"
		size = 36
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 82 00 01 00 42 90 E0 FF 83 24 02 00 42 30 0B 20 62 00 08 00 E0 03 21 10 80 00 }
	condition:
		$1
}

rule file_1037_2_0 {
	meta:
		name = "isalnum"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 07 00 42 30 }
	condition:
		$1
}

rule file_1037_3_0 {
	meta:
		name = "isalpha"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 03 00 42 30 }
	condition:
		$1
}

rule file_1037_5_0 {
	meta:
		name = "iscntrl"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 20 00 42 30 }
	condition:
		$1
}

rule file_1037_6_0 {
	meta:
		name = "isdigit"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 04 00 42 30 }
	condition:
		$1
}

rule file_1037_7_0 {
	meta:
		name = "isgraph"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 17 00 42 30 }
	condition:
		$1
}

rule file_1037_8_0 {
	meta:
		name = "islower"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 02 00 42 30 }
	condition:
		$1
}

rule file_1037_9_0 {
	meta:
		name = "isprint"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 80 08 00 E0 03 97 00 42 30 }
	condition:
		$1
}

rule file_1037_10_0 {
	meta:
		name = "ispunct"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 10 00 42 30 }
	condition:
		$1
}

rule file_1037_11_0 {
	meta:
		name = "isspace"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 80 08 00 E0 03 88 00 42 30 }
	condition:
		$1
}

rule file_1037_12_0 {
	meta:
		name = "isupper"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 01 00 42 30 }
	condition:
		$1
}

rule file_1037_13_0 {
	meta:
		name = "isxdigit"
		size = 24
		refs = "0000 _ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 21 10 44 00 01 00 42 90 08 00 E0 03 44 00 42 30 }
	condition:
		$1
}

rule file_1040_0_0 {
	meta:
		name = "strtoull"
		size = 680
		refs = "003c _ctype 011c toupper 0218 errno"
	strings:
		$1 = { C8 FF BD 27 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 34 00 BF AF 30 00 BE AF 2C 00 B7 AF 28 00 B6 AF 24 00 B5 AF 20 00 B4 AF 10 00 B0 AF 21 88 A0 00 21 90 80 00 95 00 A0 10 21 98 C0 00 ?? ?? 16 3C 00 00 A4 AC ?? ?? D6 26 00 00 44 82 21 10 C4 02 01 00 42 80 88 00 42 30 FB FF 40 14 01 00 52 26 2D 00 02 24 7D 00 82 10 2B 00 02 24 7F 00 82 10 21 80 00 00 30 00 02 24 6E 00 82 10 0A 00 02 24 0A 98 53 00 21 B8 00 00 21 A0 00 00 21 A8 00 00 ?? ?? ?? 0? C3 F7 13 00 27 00 60 10 2A 18 53 00 25 00 60 10 C3 27 02 00 02 18 D4 73 19 00 93 02 12 40 00 00 10 48 00 00 02 28 75 72 21 18 A3 00 21 48 69 00 21 18 48 00 21 20 89 00 2B 10 62 00 21 10 44 00 2B 20 55 00 21 30 60 00 4D 00 80 14 21 38 40 00 49 00 55 50 2B 18 74 00 00 00 44 82 21 A0 C0 00 21 A8 E0 00 01 00 52 26 01 00 17 24 21 10 C4 02 01 00 43 90 D0 FF 82 24 20 14 02 7C 03 00 65 30 E0 FF A0 10 04 00 63 30 ?? ?? ?? 0? 00 00 00 00 C9 FF 42 24 20 14 02 7C 2A 18 53 00 DD FF 60 14 C3 27 02 00 21 20 80 02 21 18 A0 02 21 10 00 00 05 00 20 12 00 00 00 00 1A 00 E0 52 00 00 25 8E FF FF 52 26 00 00 32 AE 1C 00 40 14 34 00 BF 8F 06 00 00 12 23 20 04 00 2B 10 04 00 23 18 03 00 23 18 62 00 21 A0 80 00 21 A8 60 00 34 00 BF 8F 21 10 80 02 21 18 A0 02 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 38 00 BD 27 00 00 A6 80 30 00 05 24 E5 FF C5 50 FF FF 52 26 E6 FF 40 10 34 00 BF 8F FF FF 14 24 FF FF 15 24 21 10 80 02 21 18 A0 02 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 38 00 BD 27 B8 FF 60 50 00 00 44 82 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 01 00 52 26 21 20 80 02 21 18 A0 02 ?? ?? ?? 0? 01 00 02 24 00 00 44 82 0F 00 60 16 01 00 52 26 78 00 02 24 14 00 82 10 58 00 02 24 12 00 82 10 08 00 02 24 ?? ?? ?? 0? 0A 98 53 00 00 00 44 82 01 00 10 24 ?? ?? ?? 0? 01 00 52 26 00 00 44 82 ?? ?? ?? 0? 01 00 52 26 10 00 02 24 82 FF 62 16 21 B8 00 00 ?? ?? ?? 0? 78 00 02 24 ?? ?? 16 3C ?? ?? ?? 0? ?? ?? D6 26 00 00 44 82 10 00 13 24 ?? ?? ?? 0? 01 00 52 26 }
	condition:
		$1
}

rule file_1040_1_0 {
	meta:
		name = "strtoll"
		size = 388
		refs = "001c _ctype 0078 strtoull 0120 errno"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF 24 00 BF AF 18 00 B1 AF 00 00 91 80 ?? ?? 02 3C ?? ?? 42 24 21 18 51 00 01 00 63 80 21 90 80 00 21 98 A0 00 88 00 63 30 08 00 60 10 21 80 80 00 01 00 10 26 00 00 11 82 21 18 51 00 01 00 63 80 88 00 63 30 FB FF 60 54 01 00 10 26 2D 00 02 24 29 00 22 12 2B 00 02 24 02 00 22 52 01 00 10 26 2B 00 11 24 21 20 00 02 ?? ?? ?? 0? 21 28 60 02 07 00 60 12 2B 00 04 24 00 00 64 8E 27 00 90 50 00 00 72 AE 26 00 44 12 25 20 43 00 2B 00 04 24 1B 00 24 12 2D 00 04 24 0C 00 24 12 00 80 04 3C 21 20 40 00 21 28 60 00 24 00 BF 8F 21 10 80 00 21 18 A0 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 01 00 85 24 2B 28 65 00 22 00 A0 50 22 00 03 24 1D 00 64 10 00 00 00 00 23 10 02 00 2B 20 02 00 23 18 03 00 ?? ?? ?? 0? 23 18 64 00 ?? ?? ?? 0? 01 00 10 26 21 20 40 00 E8 FF 61 04 21 28 60 00 22 00 03 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 AC 25 20 43 00 DB FF 80 10 2B 00 04 24 ?? ?? 02 3C 22 00 03 24 ?? ?? 43 AC 2D 00 02 24 21 20 00 00 DA FF 22 12 00 80 05 3C FF 7F 05 3C FF FF 04 24 ?? ?? ?? 0? FF FF A5 34 E4 FF 40 10 23 10 02 00 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 21 20 00 00 ?? ?? ?? 0? 00 80 05 3C }
	condition:
		$1
}

rule file_1054_0_0 {
	meta:
		name = "fdopen"
		size = 348
		refs = "0008 _iob 0118 fseek 0148 _bufallo"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF ?? ?? 10 3C ?? ?? 10 26 0C 00 02 96 1C 00 BF AF 18 00 B1 AF 03 00 42 30 0F 00 40 10 A0 00 03 26 14 00 10 26 0C 00 02 96 03 00 42 30 0B 00 40 50 00 00 A2 80 FB FF 03 16 14 00 10 26 21 80 00 00 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 A2 80 72 00 03 24 32 00 43 10 77 00 03 24 05 00 43 10 61 00 03 24 F2 FF 43 14 01 00 11 24 ?? ?? ?? 0? 62 00 03 24 02 00 11 24 62 00 03 24 2B 00 06 24 80 00 07 24 01 00 A5 24 00 00 A2 80 0D 00 40 50 0C 00 02 96 FB FF 43 50 0C 00 07 A6 1D 00 46 14 FC FF 02 24 0C 00 02 96 01 00 A5 24 03 00 42 34 0C 00 02 A6 00 00 A2 80 F6 FF 40 14 00 00 00 00 0C 00 02 96 0E 00 04 A6 FF FD 42 30 0C 00 44 30 21 18 40 00 17 00 80 10 0C 00 02 A6 08 00 02 8E 00 00 02 AE 10 00 20 12 04 00 00 AE 02 02 63 34 01 00 02 24 CF FF 22 16 0C 00 03 A6 21 20 00 02 21 28 00 00 ?? ?? ?? 0? 02 00 06 24 ?? ?? ?? 0? 1C 00 BF 8F 0C 00 02 A6 ?? ?? ?? 0? 21 80 00 00 ?? ?? ?? 0? 21 88 00 00 01 00 63 34 ?? ?? ?? 0? 0C 00 03 A6 ?? ?? ?? 0? 00 00 00 00 08 00 02 AE ?? ?? ?? 0? 0C 00 03 96 }
	condition:
		$1
}

rule file_1064_2_0 {
	meta:
		name = "_dvfprintf_cdeEfFgGnopsuxX"
		size = 6776
		refs = "009c _ctype 0164 fputc 0470 dpcmp 04e0 dpadd 055c dpdiv 0568 __fixunsdfdi 087c __udivdi3 0890 __umoddi3 0a34 dptoul 0cfc __floatunsidf 0d18 dpsub 0df8 frexp 0e3c dpmul 103c __floatundidf"
		altNames = "_dvfprintf_cdeEfFgGnopuxX"
	strings:
		$1 = { 90 FF BD 27 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 6C 00 BF AF 68 00 BE AF 64 00 B7 AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 21 90 80 00 21 88 A0 00 78 00 A6 AF 34 00 A0 AF 38 00 A0 AF 21 80 00 00 00 00 24 82 68 00 80 10 10 00 A4 A3 25 00 02 24 38 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 2C 02 46 10 FF FF 91 24 2E 00 45 28 22 02 A0 10 00 00 00 00 34 02 47 50 01 00 63 34 30 02 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A4 24 21 28 82 00 01 00 A5 90 02 00 67 30 FE FF 66 30 0B 18 C7 00 08 00 67 30 FB FF 66 30 04 00 A5 30 28 02 A0 10 0B 18 C7 00 21 98 00 00 0A 00 06 24 02 28 66 72 01 00 31 26 21 98 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 73 26 2E 00 05 24 26 02 45 50 01 00 31 26 00 10 63 34 21 A8 00 00 ?? ?? 07 3C ?? ?? E6 24 10 00 08 24 00 80 07 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3D 00 A0 14 01 00 31 26 10 00 B6 27 01 00 17 24 04 00 A0 12 2B 10 F3 02 2B 10 B7 02 0B B8 A2 02 2B 10 F3 02 08 00 75 30 23 98 77 02 0B 00 A0 16 0A 98 02 00 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 D6 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F4 56 00 00 C4 82 A5 FF A0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9A FF 80 14 10 00 A4 A3 6C 00 BF 8F 21 10 00 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 80 20 04 00 21 20 C4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 63 34 80 00 63 34 00 07 62 30 97 00 40 10 21 B8 60 00 00 10 65 30 06 00 04 24 10 00 62 30 A9 01 40 10 0B A8 85 00 78 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 5E 8C 04 00 54 8C 08 00 44 24 78 00 A4 AF 21 20 C0 03 21 28 80 02 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 3C 00 A3 AF 04 00 41 04 3C 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 77 34 21 20 C0 03 21 28 80 02 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF 52 02 40 14 21 B0 00 00 00 01 E2 32 50 01 40 14 00 02 E2 32 4C 01 40 14 FC FF C2 2A 19 00 A2 2A 0B 00 40 10 18 00 A8 8F ?? ?? ?? 0? FF 00 A4 32 21 30 40 00 21 20 C0 03 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 F0 40 00 21 A0 60 00 18 00 A8 8F 0A 00 02 29 8D 02 40 14 21 20 C0 03 34 00 A3 8F 38 00 A2 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 21 28 40 00 ?? ?? ?? 0? 44 00 A8 AF E9 04 41 04 44 00 A8 8F ED FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 44 00 A8 AF 38 00 A3 AF 34 00 A2 AF 21 18 40 00 38 00 A2 8F 21 20 C0 03 21 30 60 00 21 28 80 02 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 44 00 A8 8F 20 00 A2 AF 21 B0 60 00 28 00 A0 AF 2C 00 A0 AF 01 00 02 24 26 05 C0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 05 24 ?? ?? ?? 0? 12 00 09 24 21 50 A0 00 04 00 64 8C 2B 30 C4 02 A5 04 C0 14 02 00 47 24 9F 04 96 50 00 00 64 8C 01 00 A5 24 01 00 42 24 20 2C 05 7C F5 FF 49 14 08 00 63 24 10 00 A5 A3 14 00 07 24 23 A0 68 02 23 A0 95 02 2B 10 15 00 23 A0 87 02 03 00 E3 32 23 A0 82 02 2B 18 03 00 04 00 E2 32 F2 03 40 10 23 A0 83 02 02 00 E2 32 E4 04 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 F6 03 80 1A 08 00 FE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 08 00 FE 32 20 00 63 34 00 01 63 34 00 07 62 30 6B FF 40 14 21 B8 60 00 C0 00 62 30 1E 01 40 14 20 16 03 7C 71 04 40 04 78 00 A7 8F 10 00 62 30 FD 01 40 10 78 00 A5 8F 78 00 A2 8F 00 00 44 8C 04 00 42 24 78 00 A2 AF C3 17 04 00 21 B0 80 00 21 B8 40 00 05 00 41 04 23 10 02 00 23 B0 04 00 2B 20 16 00 03 00 63 34 23 B8 44 00 03 00 A0 16 C0 00 74 30 25 A8 D7 02 01 00 B5 2E 40 00 02 24 2F 03 82 12 41 00 82 2A 05 03 40 10 80 00 02 24 16 00 80 16 10 00 BE 83 01 00 02 24 CC 04 E0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 42 24 02 00 06 24 02 00 1E 24 ?? ?? ?? 0? 14 00 07 24 21 30 C0 03 04 00 44 8C 2B 28 E4 02 3A 03 A0 54 10 00 A6 A3 59 04 97 50 00 00 44 8C 01 00 DE 27 20 F4 1E 7C F6 FF C7 17 08 00 42 24 10 00 BE A3 2A 10 D5 03 E9 02 40 10 2A 10 BE 02 20 F4 15 7C 10 00 BE A3 05 00 60 12 00 40 62 30 03 00 62 30 2B 10 02 00 23 98 62 02 00 40 62 30 05 00 40 10 2A 20 D3 03 2A 10 B3 02 23 98 75 02 0A 98 02 00 2A 20 D3 03 04 00 62 30 23 F0 7E 02 B9 02 40 10 0A F0 04 00 02 00 62 30 FA 02 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 27 10 02 00 3C 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 64 30 0D 00 C0 13 28 00 A4 AF 21 98 60 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 08 00 65 32 21 18 60 02 28 00 A5 AF FF FF B5 26 ?? ?? 02 3C C0 98 15 00 ?? ?? 42 24 21 98 53 00 03 00 02 24 80 40 15 00 40 20 17 00 02 A8 A2 72 20 00 63 30 41 00 82 2A 2C 00 BE AF 30 00 B1 AF 20 00 A3 AF 21 F0 80 00 ?? ?? ?? 0? 21 88 40 00 10 00 80 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 44 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 44 00 A8 AF 44 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF B5 26 FD FF 02 24 5D 02 A2 12 40 00 02 24 51 02 82 12 27 10 15 00 DF FF 20 16 80 00 02 24 3B 02 82 12 C0 00 02 24 DD FF 82 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 63 34 ?? ?? ?? 0? 00 02 63 34 E3 FD 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 D6 FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 05 24 E2 FD 45 14 21 98 00 00 78 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D3 8C 2E 00 05 24 04 00 C6 24 DD FD 45 14 78 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 05 24 A1 02 45 10 00 40 63 34 21 28 82 00 01 00 A5 90 21 A8 00 00 04 00 A5 30 D4 FD A0 10 0A 00 06 24 02 28 A6 72 01 00 31 26 21 A8 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF B5 26 ?? ?? ?? 0? ?? ?? 07 3C 6F 01 40 10 2A 10 D5 02 FC 00 A0 12 21 10 00 00 40 02 E2 7E 23 A8 A2 02 13 00 A2 2E F6 00 40 14 12 00 02 24 10 00 A2 A3 21 20 C0 03 21 28 80 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 A4 00 40 14 10 00 AA 83 21 28 80 02 ?? ?? ?? 0? 21 20 C0 03 21 A0 40 00 18 00 B6 8F ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF 73 26 03 00 E2 32 63 00 D6 26 2B 10 02 00 23 98 75 02 C7 00 D6 2E 23 98 62 02 01 00 D6 2E 04 00 E2 32 2D 00 40 10 23 98 76 02 02 00 E2 32 15 01 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 31 00 60 5A 08 00 FE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 08 00 FE 32 78 00 A5 8F F8 FF 02 24 07 00 A4 24 24 10 82 00 00 00 5E 8C 04 00 54 8C 08 00 42 24 ?? ?? ?? 0? 78 00 A2 AF 5E 03 40 04 10 00 62 30 DC 00 40 10 78 00 A4 8F 78 00 A2 8F 21 B8 00 00 00 00 56 8C 04 00 42 24 ?? ?? ?? 0? 78 00 A2 AF 08 00 FE 32 0C 00 C0 17 02 00 E2 32 0A 00 60 1A 00 00 00 00 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 02 00 E2 32 D2 00 40 14 01 00 E4 32 01 00 E2 32 D3 00 40 14 20 00 04 24 10 00 A2 83 20 00 A3 8F 21 20 80 02 C0 10 02 00 21 10 62 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 20 00 A4 8F 27 10 02 00 C0 18 03 00 21 18 83 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A0 40 00 19 02 A0 16 21 B0 60 00 20 00 F7 32 02 00 E0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 67 02 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A3 8F 64 00 62 28 4F 02 40 10 64 00 14 24 0A 00 14 24 1A 00 74 00 F4 01 80 02 21 28 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 EF FC C0 13 21 80 02 02 EE FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 23 20 CA 02 ?? ?? ?? 0? 40 00 AA AF 21 30 40 00 21 38 60 00 21 20 C0 03 ?? ?? ?? 0? 21 28 80 02 21 48 60 00 21 40 40 00 21 28 20 01 21 20 40 00 44 00 A8 AF ?? ?? ?? 0? 3C 00 A9 AF 21 20 40 00 ?? ?? ?? 0? 21 F0 40 00 44 00 A8 8F 3C 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 ?? ?? 07 3C ?? ?? E7 24 00 00 E4 8C 04 00 E5 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 44 00 A8 8F 3C 00 A9 8F 12 00 40 1C 40 00 AA 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 01 ?? ?? ?? 0? 21 28 20 01 21 48 60 00 21 40 40 00 21 28 20 01 21 20 40 00 44 00 A8 AF ?? ?? ?? 0? 3C 00 A9 AF 40 00 AA 8F 3C 00 A9 8F 44 00 A8 8F 21 F0 40 00 ?? ?? 02 3C 01 00 43 25 C0 18 03 00 ?? ?? 42 24 20 00 A2 AF 21 10 43 00 04 00 43 8C 4E 00 60 10 21 A0 C0 03 20 00 A4 8F C0 50 0A 00 21 50 8A 00 04 00 42 8D C4 02 40 14 ?? ?? 02 3C 00 00 42 8D 2B F0 C2 03 C0 02 C0 17 ?? ?? 02 3C ?? ?? ?? 0? 18 00 B6 8F 21 10 A0 02 ?? ?? ?? 0? 10 00 A2 A3 21 20 C0 03 21 28 80 02 ?? ?? ?? 0? 18 00 A6 27 18 00 B6 8F 03 00 03 24 0A 00 02 24 FF FF D6 26 02 B0 C3 72 1A 00 C2 02 F4 01 40 00 12 B0 00 00 E4 02 C0 06 18 00 B6 AF ?? ?? ?? 0? 23 20 16 00 21 20 40 00 21 28 60 00 21 30 C0 03 ?? ?? ?? 0? 21 38 80 02 38 00 A3 AF ?? ?? 06 3C 21 18 40 00 34 00 A2 AF 38 00 A2 8F ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 ?? ?? ?? 0? 21 28 40 00 43 00 41 04 ?? ?? 06 3C FF FF D6 26 ?? ?? ?? 0? 18 00 B6 AF 21 B8 00 00 00 00 96 8C 04 00 84 24 ?? ?? ?? 0? 78 00 A4 AF 00 00 A4 8C 04 00 A5 24 78 00 A5 AF C3 17 04 00 21 B0 80 00 ?? ?? ?? 0? 21 B8 40 00 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 F5 FE 40 10 20 00 04 24 ?? ?? ?? 0? 00 00 00 00 00 00 42 8C 2B 10 C2 03 B1 FF 40 54 20 00 A4 8F ?? ?? 03 3C ?? ?? 63 24 00 00 66 8C 04 00 67 8C 21 20 00 01 21 28 20 01 01 00 D6 26 ?? ?? ?? 0? 18 00 B6 AF 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 A0 40 00 21 28 80 02 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 44 00 A8 AF 6B 02 40 10 21 20 C0 03 ?? ?? ?? 0? 21 28 80 02 20 00 A2 AF 25 10 43 00 21 B0 60 00 68 02 40 14 44 00 A8 8F 02 00 02 29 65 FD 40 10 34 00 A3 8F ?? ?? ?? 0? 20 00 A4 8F 34 00 A3 8F 38 00 A2 8F ?? ?? C4 8C ?? ?? C5 8C 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 45 FD 40 1C 00 01 E2 32 01 00 D6 26 ?? ?? ?? 0? 18 00 B6 AF 91 FE 40 10 00 00 00 00 90 02 C0 06 21 20 C0 03 ?? ?? ?? 0? 21 28 80 02 21 40 40 00 21 B0 60 00 25 10 16 01 0F 00 40 10 21 30 00 00 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 13 00 07 24 04 00 64 8C 01 00 42 24 2B 28 C4 02 06 00 A0 14 21 30 40 00 79 02 96 50 }
	condition:
		$1
}

rule file_1077_0_0 {
	meta:
		name = "_cleanup"
		size = 88
		refs = "0000 _atexitptr 0024 _iob 0034 fclose"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 1C 00 BF AF 18 00 B1 AF 03 00 40 10 14 00 B0 AF 09 F8 40 00 00 00 00 00 ?? ?? 11 3C ?? ?? 31 26 A0 00 30 26 21 20 20 02 ?? ?? ?? 0? 14 00 31 26 FD FF 30 16 21 20 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_1099_0_0 {
	meta:
		name = "strcmp"
		size = 44
	strings:
		$1 = { 00 00 83 80 00 00 A2 90 01 00 84 24 23 10 62 00 20 14 02 7C 03 00 40 14 01 00 A5 24 F9 FF 60 54 00 00 83 80 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_1110_2_0 {
	meta:
		name = "_dvfprintf_cdeEgGnopuxX"
		size = 6776
		refs = "009c _ctype 0164 fputc 0470 dpcmp 04e0 dpadd 055c dpdiv 0568 __fixunsdfdi 0694 __udivdi3 06a8 __umoddi3 0760 dpmul 0c54 dptoul 0f38 __floatunsidf 0f54 dpsub 1034 frexp 1260 __floatundidf"
		altNames = "_dvfprintf_cdeEgGnopsuxX"
	strings:
		$1 = { 90 FF BD 27 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 6C 00 BF AF 68 00 BE AF 64 00 B7 AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 21 90 80 00 21 88 A0 00 78 00 A6 AF 34 00 A0 AF 38 00 A0 AF 21 80 00 00 00 00 24 82 68 00 80 10 10 00 A4 A3 25 00 02 24 C0 02 82 14 01 00 33 26 02 00 24 26 FF FF 82 80 2D 00 06 24 21 18 00 00 30 00 08 24 20 00 07 24 2B 00 09 24 B4 02 46 10 FF FF 91 24 2E 00 45 28 AA 02 A0 10 00 00 00 00 BC 02 47 50 01 00 63 34 B8 02 49 50 02 00 63 34 ?? ?? 05 3C ?? ?? A4 24 21 28 82 00 01 00 A5 90 02 00 67 30 FE FF 66 30 0B 18 C7 00 08 00 67 30 FB FF 66 30 04 00 A5 30 B0 02 A0 10 0B 18 C7 00 21 98 00 00 0A 00 06 24 02 28 66 72 01 00 31 26 21 98 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF 73 26 2E 00 05 24 AE 02 45 50 01 00 31 26 00 10 63 34 21 B0 00 00 ?? ?? 07 3C ?? ?? E6 24 10 00 08 24 00 80 07 24 FF 00 44 30 79 00 85 2C 10 00 A2 A3 3D 00 A0 14 01 00 31 26 10 00 B5 27 01 00 17 24 04 00 C0 12 2B 10 F3 02 2B 10 D7 02 0B B8 C2 02 2B 10 F3 02 08 00 76 30 23 98 77 02 0B 00 C0 16 0A 98 02 00 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 ?? ?? ?? 0? FF FF 14 24 21 28 40 02 ?? ?? ?? 0? 01 00 B5 26 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF F7 26 F8 FF F4 56 00 00 A4 82 A5 FF C0 52 00 00 24 82 ?? ?? ?? 0? FF FF 14 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 FF FF 73 26 F9 FF 74 16 20 00 04 24 00 00 24 82 9A FF 80 14 10 00 A4 A3 6C 00 BF 8F 21 10 00 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 80 20 04 00 21 20 C4 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 63 34 80 00 63 34 00 07 62 30 1F 01 40 10 21 B8 60 00 00 10 65 30 06 00 04 24 10 00 62 30 81 02 40 10 0B B0 85 00 78 00 A2 8F 07 00 44 24 F8 FF 02 24 24 10 82 00 00 00 5E 8C 04 00 54 8C 08 00 44 24 78 00 A4 AF 21 20 C0 03 21 28 80 02 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 3C 00 A3 AF 04 00 41 04 3C 00 A3 8F 00 80 02 3C 26 A0 82 02 03 00 77 34 21 20 C0 03 21 28 80 02 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 18 00 A0 AF E1 02 40 14 21 A8 00 00 00 01 E2 32 D8 01 40 14 00 02 E2 32 D4 01 40 14 FC FF A2 2A 19 00 C2 2A 0B 00 40 10 18 00 A8 8F ?? ?? ?? 0? FF 00 C4 32 21 30 40 00 21 20 C0 03 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 F0 40 00 21 A0 60 00 18 00 A8 8F 0A 00 02 29 16 03 40 14 21 20 C0 03 34 00 A3 8F 38 00 A2 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 21 28 40 00 ?? ?? ?? 0? 44 00 A8 AF CE 04 40 04 44 00 A8 8F EE FF 08 25 18 00 A8 AF 21 20 00 01 ?? ?? ?? 0? 44 00 A8 AF 38 00 A3 AF 34 00 A2 AF 21 18 40 00 38 00 A2 8F 21 20 C0 03 21 30 60 00 21 28 80 02 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 44 00 A8 8F 20 00 A2 AF 21 A8 60 00 28 00 A0 AF 2C 00 A0 AF 01 00 02 24 26 05 A0 12 10 00 A2 A3 ?? ?? 03 3C ?? ?? 63 24 21 10 00 00 02 00 0A 24 02 00 05 24 ?? ?? ?? 0? 12 00 09 24 21 50 A0 00 04 00 64 8C 2B 30 A4 02 FD 04 C0 14 02 00 47 24 F7 04 95 50 00 00 64 8C 01 00 A5 24 01 00 42 24 20 2C 05 7C F5 FF 49 14 08 00 63 24 10 00 A5 A3 14 00 07 24 23 A0 68 02 23 A0 96 02 2B 10 16 00 23 A0 87 02 03 00 E3 32 23 A0 82 02 2B 18 03 00 04 00 E2 32 CB 04 40 10 23 A0 83 02 02 00 E2 32 EC 04 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 80 1A 08 00 FE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 08 00 FE 32 ?? ?? 13 3C 21 B8 20 02 ?? ?? 73 26 ?? ?? ?? 0? 20 00 B1 8F C0 18 03 00 21 18 63 02 00 00 66 8C 04 00 67 8C 21 20 20 02 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 10 00 A2 83 FF FF 43 24 20 1C 03 7C EA FF 40 14 10 00 A3 A3 18 00 A2 8F 0B 00 40 18 21 88 E0 02 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 18 00 A3 8F 27 10 02 00 2B 10 02 00 FF FF 63 24 21 80 02 02 F7 FF 60 1C 18 00 A3 AF 13 00 C2 2A 81 04 40 14 20 14 16 7C 12 00 02 24 10 00 A2 A3 EE FF D6 26 2E 00 04 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 02 00 43 10 10 00 B3 83 01 00 10 26 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 21 28 60 00 2C 00 A2 8F 28 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 FF FF 64 26 20 24 04 7C 21 A8 40 00 2B 00 60 12 10 00 A4 A3 ?? ?? 02 3C ?? ?? 42 24 21 98 20 02 20 00 A2 AF 21 40 60 00 21 B8 A0 02 21 88 40 00 C0 20 04 00 21 20 24 02 00 00 86 8C 04 00 87 8C 21 28 00 01 21 20 E0 02 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 0A 00 06 24 21 38 00 00 ?? ?? ?? 0? 21 28 60 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 B5 83 44 00 A8 8F 27 10 02 00 C0 18 15 00 21 18 23 02 00 00 66 8C 04 00 67 8C 21 20 E0 02 2B 10 02 00 21 28 00 01 ?? ?? ?? 0? 21 80 02 02 FF FF A4 26 20 24 04 7C 21 B8 40 00 21 40 60 00 DF FF A0 16 10 00 A4 A3 21 88 60 02 09 00 C0 12 00 00 00 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF D6 26 F9 FF C0 16 21 80 02 02 FB FD C0 53 00 00 24 82 F9 FD 80 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 94 26 F9 FF 80 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 20 00 63 34 00 01 63 34 00 07 62 30 E3 FE 40 14 21 B8 60 00 C0 00 62 30 6E 01 40 14 20 16 03 7C D7 03 40 04 78 00 A7 8F 10 00 62 30 04 02 40 10 78 00 A5 8F 78 00 A2 8F 00 00 44 8C 04 00 42 24 78 00 A2 AF C3 17 04 00 21 A8 80 00 21 B8 40 00 05 00 41 04 23 10 02 00 23 A8 04 00 2B 20 15 00 03 00 63 34 23 B8 44 00 03 00 C0 16 C0 00 74 30 25 B0 B7 02 01 00 D6 2E 40 00 02 24 2E 03 82 12 41 00 82 2A 04 03 40 10 80 00 02 24 16 00 80 16 10 00 BE 83 01 00 02 24 44 04 E0 12 10 00 A2 A3 ?? ?? 02 3C ?? ?? 42 24 02 00 06 24 02 00 1E 24 ?? ?? ?? 0? 14 00 07 24 21 30 C0 03 04 00 44 8C 2B 28 E4 02 40 03 A0 54 10 00 A6 A3 BA 03 97 50 00 00 44 8C 01 00 DE 27 20 F4 1E 7C F6 FF C7 17 08 00 42 24 10 00 BE A3 2A 10 D6 03 E8 02 40 10 2A 10 DE 02 20 F4 16 7C 10 00 BE A3 05 00 60 12 00 40 62 30 03 00 62 30 2B 10 02 00 23 98 62 02 00 40 62 30 05 00 40 10 2A 20 D3 03 2A 10 D3 02 23 98 76 02 0A 98 02 00 2A 20 D3 03 04 00 62 30 23 F0 7E 02 B8 02 40 10 0A F0 04 00 02 00 62 30 F5 02 40 10 01 00 62 30 01 00 65 30 2D 00 02 24 2B 00 04 24 0B 20 45 00 21 28 40 02 ?? ?? ?? 0? 3C 00 A3 AF 27 10 02 00 3C 00 A3 8F 2B 10 02 00 21 80 02 02 08 00 64 30 0D 00 C0 13 28 00 A4 AF 21 98 60 00 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF DE 27 F9 FF C0 17 21 80 02 02 08 00 65 32 21 18 60 02 28 00 A5 AF FF FF D6 26 ?? ?? 02 3C C0 98 16 00 ?? ?? 42 24 21 98 53 00 03 00 02 24 80 40 16 00 40 20 17 00 02 B0 C2 72 20 00 63 30 41 00 82 2A 2C 00 BE AF 30 00 B1 AF 20 00 A3 AF 21 F0 80 00 ?? ?? ?? 0? 21 88 40 00 10 00 80 16 10 00 A4 83 00 00 66 8E 04 00 67 8E 21 20 A0 02 21 28 E0 02 ?? ?? ?? 0? 44 00 A8 AF 21 20 40 00 21 28 60 00 0A 00 06 24 ?? ?? ?? 0? 21 38 00 00 30 00 42 24 44 00 A8 8F 20 24 02 7C 10 00 A4 A3 21 28 40 02 ?? ?? ?? 0? 44 00 A8 AF 44 00 A8 8F 27 10 02 00 2B 10 02 00 21 80 02 02 F8 FF 73 26 FC FF 08 25 FD FF D6 26 FD FF 02 24 5C 02 C2 12 40 00 02 24 50 02 82 12 27 10 16 00 DF FF 20 16 80 00 02 24 3A 02 82 12 C0 00 02 24 DD FF 82 12 10 00 A4 83 ?? ?? ?? 0? 21 28 40 02 20 00 63 34 ?? ?? ?? 0? 00 02 63 34 5B FD 48 14 ?? ?? 05 3C 04 00 63 34 01 00 84 24 FF FF 82 80 4E FD 46 14 FF FF 91 24 08 00 63 34 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 26 18 43 00 2B 18 03 00 21 88 60 02 ?? ?? ?? 0? 21 80 03 02 ?? ?? ?? 0? 01 00 84 24 ?? ?? ?? 0? 01 00 84 24 2A 00 05 24 5A FD 45 14 21 98 00 00 78 00 A6 8F 01 00 31 26 00 00 22 82 00 00 D3 8C 2E 00 05 24 04 00 C6 24 55 FD 45 14 78 00 A6 AF 01 00 31 26 00 00 22 82 2A 00 05 24 9B 02 45 10 00 40 63 34 21 28 82 00 01 00 A5 90 21 B0 00 00 04 00 A5 30 4C FD A0 10 0A 00 06 24 02 28 C6 72 01 00 31 26 21 B0 A2 00 00 00 22 82 21 28 82 00 01 00 A5 90 04 00 A5 30 F8 FF A0 14 D0 FF D6 26 ?? ?? ?? 0? ?? ?? 07 3C 70 01 40 10 2A 10 B6 02 03 01 C0 12 21 10 00 00 40 02 E2 7E 23 B0 C2 02 13 00 C2 2E FD 00 40 14 12 00 02 24 10 00 A2 A3 21 20 C0 03 21 28 80 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 AB 00 40 14 10 00 AA 83 21 28 80 02 ?? ?? ?? 0? 21 20 C0 03 21 A0 40 00 18 00 B5 8F ?? ?? 02 3C ?? ?? 42 24 20 00 A2 AF FB FF 73 26 03 00 E2 32 63 00 B5 26 2B 10 02 00 23 98 76 02 C7 00 B5 2E 23 98 62 02 01 00 B5 2E 04 00 E2 32 7D 00 40 10 23 98 75 02 02 00 E2 32 12 01 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 0A 00 60 5A 08 00 FE 32 30 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 08 00 FE 32 10 00 A2 83 20 00 A3 8F 21 20 80 02 C0 10 02 00 21 10 62 00 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 00 00 30 00 44 24 ?? ?? ?? 0? 21 28 40 02 10 00 A3 83 20 00 A4 8F 27 10 02 00 C0 18 03 00 21 18 83 00 00 00 66 8C 04 00 67 8C 2B 10 02 00 21 20 80 02 21 28 00 00 ?? ?? ?? 0? 21 80 02 02 21 A0 40 00 3F 02 C0 16 21 A8 60 00 20 00 F7 32 02 00 E0 16 45 00 04 24 65 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A2 8F 8D 02 40 04 2B 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 21 80 02 02 18 00 A3 8F 64 00 62 28 75 02 40 10 64 00 14 24 0A 00 14 24 1A 00 74 00 F4 01 80 02 21 28 40 02 12 20 00 00 ?? ?? ?? 0? 30 00 84 24 18 00 A3 8F 27 10 02 00 2B 10 02 00 1A 00 74 00 F4 01 80 02 21 28 40 02 21 80 02 02 10 20 00 00 ?? ?? ?? 0? 30 00 84 24 27 10 02 00 2B 10 02 00 8E FC C0 13 21 80 02 02 8D FC 60 5A 00 00 24 82 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 ?? ?? ?? 0? 00 00 24 82 78 00 A5 8F F8 FF 02 24 07 00 A4 24 24 10 82 00 00 00 5E 8C 04 00 54 8C 08 00 42 24 ?? ?? ?? 0? 78 00 A2 AF 61 02 40 04 10 00 62 30 93 00 40 10 78 00 A4 8F 78 00 A2 8F 21 B8 00 00 00 00 55 8C 04 00 42 24 ?? ?? ?? 0? 78 00 A2 AF 08 00 FE 32 0C 00 C0 17 02 00 E2 32 0A 00 60 1A 00 00 00 00 20 00 04 24 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 FF FF 73 26 F9 FF 60 16 21 80 02 02 02 00 E2 32 9F 00 40 10 01 00 E2 32 01 00 E4 32 2D 00 02 24 2B 00 03 24 0A 10 64 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 27 10 02 00 2B 10 02 00 ?? ?? ?? 0? 21 80 02 02 23 20 AA 02 ?? ?? ?? 0? 40 00 AA AF 21 30 40 00 21 38 60 00 21 20 C0 03 ?? ?? ?? 0? 21 28 80 02 21 48 60 00 21 40 40 00 21 28 20 01 21 20 40 00 44 00 A8 AF ?? ?? ?? 0? 3C 00 A9 AF 21 20 40 00 ?? ?? ?? 0? 21 F0 40 00 44 00 A8 8F 3C 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 ?? ?? 07 3C ?? ?? E7 24 00 00 E4 8C 04 00 E5 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 44 00 A8 8F 3C 00 A9 8F 12 00 40 1C 40 00 AA 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 01 ?? ?? ?? 0? 21 28 20 01 21 48 60 00 21 40 40 00 21 28 20 01 21 20 40 00 44 00 A8 AF ?? ?? ?? 0? 3C 00 A9 AF 40 00 AA 8F 3C 00 A9 8F 44 00 A8 8F 21 F0 40 00 ?? ?? 02 3C 01 00 43 25 C0 18 03 00 ?? ?? 42 24 20 00 A2 AF 21 10 43 00 04 00 43 8C 44 00 60 10 21 A0 C0 03 20 00 A4 8F C0 50 0A 00 21 50 8A 00 04 00 42 8D }
	condition:
		$1
}

rule file_1113_0_0 {
	meta:
		name = "setvbuf"
		size = 252
		refs = "009c _buffree 00dc _bufallo"
	strings:
		$1 = { E0 FF BD 27 04 00 02 24 18 00 B0 AF 1C 00 BF AF 1B 00 C2 10 21 80 80 00 00 01 02 24 03 00 C2 10 00 00 00 00 12 00 C0 14 FF FF 02 24 27 00 A0 50 08 00 05 8E 0C 00 02 96 08 00 42 34 0C 00 02 A6 0C 00 02 96 08 00 05 AE 10 00 07 AE FB FE 42 30 25 30 C2 00 0C 00 06 A6 04 00 00 AE 21 10 00 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 0C 00 82 94 08 00 42 30 07 00 40 54 0C 00 02 96 08 00 84 8C 04 00 80 50 0C 00 02 96 ?? ?? ?? 0? 00 00 00 00 0C 00 02 96 00 00 00 AE 08 00 00 AE F7 FE 42 30 04 00 42 34 0C 00 02 A6 10 00 00 AE 04 00 00 AE ?? ?? ?? 0? 21 10 00 00 03 00 A0 10 00 00 00 00 ?? ?? ?? 0? 10 00 07 8E ?? ?? ?? 0? 10 00 A6 AF 21 28 40 00 10 00 A6 8F E0 FF A0 10 FF FF 02 24 ?? ?? ?? 0? 20 00 07 24 }
	condition:
		$1
}

rule file_1113_1_0 {
	meta:
		name = "setbuf"
		size = 28
		refs = "0008 setvbuf"
	strings:
		$1 = { 03 00 A0 10 21 30 00 00 ?? ?? ?? 0? 20 00 07 24 04 00 06 24 ?? ?? ?? 0? 21 38 00 00 }
	condition:
		$1
}

rule file_1117_0_0 {
	meta:
		name = "memmove"
		size = 100
	strings:
		$1 = { 2B 18 A4 00 21 10 80 00 0D 00 60 10 21 38 A0 00 21 28 A6 00 2B 18 45 00 09 00 60 10 21 18 46 00 23 30 66 00 FF FF A5 24 00 00 A4 90 FF FF 63 24 FC FF 66 14 00 00 64 A0 08 00 E0 03 00 00 00 00 FD FF C0 10 21 30 46 00 00 00 E3 90 00 00 83 A0 01 00 84 24 FC FF 86 14 01 00 E7 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_1143_0_0 {
	meta:
		name = "fgets"
		size = 240
		refs = "004c fgetc"
	strings:
		$1 = { D0 FF BD 27 02 00 A2 28 24 00 B4 AF 1C 00 B2 AF 2C 00 BF AF 28 00 B5 AF 20 00 B3 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 1A 00 40 14 21 A0 C0 00 FF FF 90 24 21 80 05 02 21 A8 80 00 FF FF 11 24 0A 00 13 24 08 00 B0 12 21 20 80 02 ?? ?? ?? 0? 00 00 00 00 04 00 51 10 00 00 00 00 00 00 A2 A2 F8 FF 53 14 01 00 B5 26 15 00 55 12 2C 00 BF 8F 21 10 40 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F 21 90 00 00 21 10 40 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 00 00 40 A2 2C 00 BF 8F 21 90 00 00 21 10 40 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_1143_1_0 {
	meta:
		name = "gets"
		size = 76
		refs = "0018 fgets 0004 _iob 0028 strlen"
	strings:
		$1 = { FF 7F 05 3C ?? ?? 06 3C E8 FF BD 27 FF FF A5 34 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? ?? ?? C6 24 05 00 40 10 21 80 40 00 ?? ?? ?? 0? 21 20 40 00 21 10 02 02 FF FF 40 A0 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_1178_0_0 {
	meta:
		name = "signal"
		size = 48
	strings:
		$1 = { FF FF 84 24 06 00 83 2C 07 00 60 10 FF FF 02 24 ?? ?? 02 3C ?? ?? 42 24 80 20 04 00 21 20 82 00 00 00 82 8C 00 00 85 AC 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_1178_1_0 {
	meta:
		name = "raise"
		size = 112
		refs = "0068 exit"
	strings:
		$1 = { FF FF 82 24 E0 FF BD 27 06 00 43 2C 12 00 60 10 1C 00 BF AF ?? ?? 03 3C ?? ?? 63 24 80 10 02 00 21 10 43 00 00 00 43 8C 0F 00 60 10 FF FF 02 24 06 00 62 10 01 00 05 24 04 00 65 10 21 10 00 00 09 F8 60 00 10 00 A2 AF 10 00 A2 8F 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F FF FF 02 24 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 }
	condition:
		$1
}

rule file_1178_2_0 {
	meta:
		name = "abort"
		size = 24
		refs = "0008 raise 0010 exit"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 04 24 ?? ?? ?? 0? 01 00 04 24 }
	condition:
		$1
}

rule file_1185_0_0 {
	meta:
		name = "memset"
		size = 40
	strings:
		$1 = { 07 00 C0 10 21 10 80 00 21 18 80 00 21 30 86 00 00 00 65 A0 01 00 63 24 FE FF 66 54 00 00 65 A0 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_1203_0_0 {
	meta:
		name = "ymd_to_scalar"
		size = 176
	strings:
		$1 = { 01 00 A3 24 F1 0B 02 24 02 10 62 70 EB 51 03 3C 1F 85 63 34 02 00 A5 2C 41 F4 42 24 19 00 43 00 10 18 00 00 42 11 03 00 08 00 A0 14 21 30 46 00 90 01 02 24 1B 00 82 00 F4 01 40 00 10 18 00 00 11 00 60 14 01 00 02 24 23 30 C2 00 EB 51 02 3C FF FF 84 24 1F 85 42 34 19 00 82 00 6D 01 03 24 82 10 04 00 10 48 00 00 02 28 83 70 42 19 09 00 21 20 A2 00 C2 29 09 00 21 10 85 00 23 10 43 00 08 00 E0 03 21 10 C2 00 03 00 83 30 EE FF 60 14 02 00 02 24 64 00 03 24 1B 00 83 00 F4 01 60 00 01 00 05 24 10 18 00 00 ?? ?? ?? 0? 0B 10 A3 00 }
	condition:
		$1
}

rule file_1203_1_0 {
	meta:
		name = "mktime"
		size = 252
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 14 00 91 8C 10 00 B0 AF 1C 00 BF AF BA FF 23 26 0F 01 63 2C 18 00 B2 AF 21 80 80 00 2F 00 60 10 FF FF 02 24 10 00 85 8C 0C 00 86 8C 6C 07 24 26 ?? ?? ?? 0? 6B 07 31 26 B2 07 04 24 21 28 00 00 01 00 06 24 ?? ?? ?? 0? 21 90 40 00 23 20 42 02 07 00 03 24 1A 00 83 00 F4 01 60 00 18 00 0A 24 08 00 02 8E 3C 00 05 24 04 00 09 8E 82 40 11 00 00 00 07 8E 10 30 00 00 04 00 C6 24 02 58 8A 70 1A 00 C3 00 F4 01 60 00 21 10 62 01 10 18 00 00 18 00 03 AE EB 51 03 3C 1F 85 63 34 02 20 45 70 19 00 23 02 6D 01 03 24 21 10 89 00 10 58 00 00 C2 31 0B 00 02 20 23 72 42 19 0B 00 21 88 88 00 02 20 45 70 21 88 26 02 23 88 23 02 27 88 11 00 21 90 32 02 1C 00 12 AE 21 10 87 00 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_2_0_1 {
	meta:
		name = "ieee754sp_nfrexp"
		size = 136
	strings:
		$1 = { C0 3D 83 7C 21 10 80 00 FF FF 64 24 FE 00 84 2C C2 3F 02 00 0E 00 80 10 00 B0 46 7C 80 00 02 3C 81 FF 63 24 25 30 C2 00 00 3A 07 00 7F FF 02 3C FF FF 42 34 7E 00 E7 34 01 00 63 24 24 30 C2 00 C0 3D 07 00 00 00 A3 AC 08 00 E0 03 25 10 C7 00 03 00 60 10 00 00 00 00 08 00 E0 03 00 00 A0 AC 07 00 C0 50 00 00 A0 AC 20 10 C2 70 F8 FF 42 24 82 FF 03 24 04 30 46 00 ?? ?? ?? 0? 23 18 62 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_2_1_1 {
	meta:
		name = "ieee754sp_frexp"
		size = 52
		refs = "0014 ieee754sp_nfrexp"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 21 20 A0 00 14 00 BF AF ?? ?? ?? 0? 21 28 C0 00 00 00 02 AE 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_85_1_1 {
	meta:
		name = "ieee754sp_modf"
		size = 52
		refs = "0014 ieee754sp_nmodf"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 21 20 A0 00 14 00 BF AF ?? ?? ?? 0? 21 28 C0 00 00 00 02 AE 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_3_0_1 {
	meta:
		name = "__sqrtsf2"
		size = 240
		altNames = "ieee754sp_nsqrt"
	strings:
		$1 = { C0 3D 83 7C FF FF 66 24 FE 00 C6 2C C2 2F 04 00 2B 00 C0 10 00 B0 82 7C 80 00 04 3C 81 FF 63 24 25 10 44 00 22 00 A0 14 01 00 65 30 40 20 02 00 0B 10 85 00 43 48 03 00 40 10 02 00 19 00 04 24 00 01 03 3C 21 40 00 00 21 38 00 00 21 28 E3 00 2B 30 45 00 04 00 C0 14 FF FF 84 24 21 38 A3 00 23 10 45 00 21 40 03 01 40 10 02 00 F7 FF 80 14 42 18 03 00 08 00 40 54 01 00 02 31 43 20 08 00 00 3F 02 3C 21 20 82 00 C0 1D 09 00 21 20 83 00 08 00 E0 03 21 10 80 00 ?? ?? ?? 0? 21 40 48 00 04 00 40 54 BF 7F 04 3C 0F 00 A0 50 21 10 80 00 BF 7F 04 3C FF FF 84 34 08 00 E0 03 21 10 80 00 F7 FF 60 14 00 00 00 00 07 00 40 50 21 10 80 00 20 18 43 70 F8 FF 63 24 82 FF 04 24 04 10 62 00 ?? ?? ?? 0? 23 18 83 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_4_0_1 {
	meta:
		name = "ieee754dp_mul"
		size = 1068
		refs = "024c __lshrdi3 03b0 __ashldi3"
		altNames = "__muldf3"
	strings:
		$1 = { B8 FF BD 27 20 00 B0 AF 00 55 B0 7C FF FF 02 26 FE 07 42 2C 40 00 BE AF 3C 00 B7 AF 34 00 B5 AF 24 00 B1 AF 44 00 BF AF 38 00 B6 AF 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 21 88 C0 00 C2 F7 05 00 21 B8 80 00 A1 00 40 10 00 98 B5 7C 10 00 02 3C 25 A8 A2 02 01 FC 10 26 21 10 00 00 00 55 F4 7C FF FF 83 26 FE 07 63 2C C2 47 07 00 21 B0 20 02 82 00 60 10 00 98 E7 7C 10 00 03 3C 25 38 E3 00 01 FC 94 26 21 48 00 00 82 00 40 14 21 18 40 00 42 15 16 00 C0 3A 07 00 25 38 47 00 C0 4A 17 00 19 00 E9 00 42 BD 17 00 C0 AA 15 00 25 A8 F5 02 C0 B2 16 00 26 F0 1E 01 21 80 90 02 10 18 00 00 12 10 00 00 19 00 B6 02 12 50 00 00 10 58 00 00 21 40 6B 00 2B 28 03 01 19 00 C9 02 10 B8 00 00 21 10 E2 02 21 18 4A 00 12 B0 00 00 25 B0 76 00 2B B0 16 00 13 00 00 01 11 00 A0 00 2B 28 57 00 2B 10 62 00 01 00 F5 70 21 10 45 00 12 30 00 00 21 10 C2 00 2B 18 46 00 10 38 00 00 21 18 67 00 3A 00 60 04 25 10 56 00 C2 21 02 00 40 2E 03 00 7F 00 42 30 25 20 A4 00 2B 10 02 00 25 B0 44 00 C2 B9 03 00 FF 03 10 26 39 00 00 1A 01 00 02 24 07 00 C3 32 1D 00 60 14 C0 00 C2 7E FF 07 02 2A 55 00 40 10 C2 10 17 00 40 27 17 00 C2 B0 16 00 00 05 43 7C 4E 00 60 10 25 B0 96 00 00 98 42 7C C0 F2 1E 00 25 80 1E 02 00 85 10 00 21 90 C0 02 25 98 02 02 44 00 BF 8F 21 10 40 02 21 18 60 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 03 00 42 24 21 10 C2 02 2B 18 56 00 21 18 77 00 21 B0 40 00 00 06 62 7C DD FF 40 10 21 B8 60 00 42 10 16 00 C0 1F 03 00 25 18 62 00 42 10 17 00 21 B0 60 00 21 B8 40 00 ?? ?? ?? 0? 01 00 10 26 02 22 02 00 00 2E 03 00 FF 00 42 30 25 20 A4 00 2B 10 02 00 25 B0 44 00 02 BA 03 00 ?? ?? ?? 0? 01 00 10 26 23 80 50 00 38 00 02 2A 2D 00 40 50 01 00 16 24 21 30 00 02 21 20 C0 02 23 80 10 00 ?? ?? ?? 0? 21 28 E0 02 20 00 06 32 03 00 C0 14 04 20 16 02 04 80 17 02 25 20 16 02 2B 20 04 00 25 B0 82 00 21 B8 60 00 ?? ?? ?? 0? 01 00 10 24 1F 00 80 16 25 18 27 02 28 00 60 14 02 00 09 24 01 00 09 24 01 00 43 34 01 00 05 24 26 00 65 54 F7 7F 13 3C 26 40 1E 01 C0 9F 08 00 ?? ?? ?? 0? 21 90 00 00 ?? ?? ?? 0? 21 80 00 00 C0 F2 1E 00 FF 07 DE 37 00 9D 1E 00 ?? ?? ?? 0? 21 90 00 00 10 00 00 56 25 28 95 00 25 18 95 00 02 00 02 24 02 FC 10 24 01 00 05 24 0A 10 A3 00 ?? ?? ?? 0? 0A 80 03 00 21 B8 00 00 ?? ?? ?? 0? 01 00 10 24 08 00 60 54 08 00 09 24 04 00 09 24 ?? ?? ?? 0? 04 00 43 34 04 00 02 24 08 00 03 24 ?? ?? ?? 0? 0B 10 65 00 ?? ?? ?? 0? 08 00 43 34 02 FC 14 24 ?? ?? ?? 0? 02 00 43 34 08 00 65 30 FF FF 12 24 95 FF A0 14 FF FF 73 36 04 00 65 30 09 00 A0 10 01 00 63 30 91 FF 60 14 44 00 BF 8F 26 10 1E 01 C0 12 02 00 FF 07 42 34 00 9D 02 00 ?? ?? ?? 0? 21 90 00 00 CB FF 60 14 02 00 42 30 17 00 40 50 02 00 29 31 03 00 A0 16 20 50 AA 72 20 50 8A 70 20 00 4A 25 F5 FF 4A 25 10 00 40 51 02 00 29 31 21 28 A0 02 21 30 40 01 14 00 A7 AF 1C 00 A8 AF 18 00 A9 AF ?? ?? ?? 0? 10 00 AA AF 10 00 AA 8F 18 00 A9 8F 1C 00 A8 8F 14 00 A7 8F 21 B8 40 00 21 A8 60 00 23 80 0A 02 02 00 29 31 2E FF 20 11 42 15 16 00 03 00 E0 14 20 48 E9 70 20 48 29 72 20 00 29 25 F5 FF 29 25 27 FF 20 51 42 15 16 00 21 28 E0 00 21 30 20 01 21 20 20 02 1C 00 A8 AF ?? ?? ?? 0? 18 00 A9 AF 18 00 A9 8F 21 B0 40 00 21 38 60 00 23 A0 89 02 ?? ?? ?? 0? 1C 00 A8 8F }
	condition:
		$1
}

rule file_5_0_1 {
	meta:
		name = "__ledf2"
		size = 104
		refs = "003c __orderdf2"
		altNames = "__eqdf2 __ltdf2 __nedf2"
	strings:
		$1 = { F0 7F 02 3C 00 F0 A3 7C 01 00 48 24 2B 40 68 00 0E 00 00 51 01 00 02 24 0E 00 62 10 00 00 00 00 00 F0 E3 7C 01 00 48 24 2B 40 68 00 07 00 00 51 01 00 02 24 03 00 62 10 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 FD FF C0 10 01 00 02 24 08 00 E0 03 00 00 00 00 F2 FF 80 50 F0 7F 02 3C 01 00 02 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_6_0_1 {
	meta:
		name = "ieee754dp_abs"
		size = 24
		altNames = "__absdf2"
	strings:
		$1 = { 00 F0 A3 7C 00 00 A6 28 0B 28 66 00 21 10 80 00 08 00 E0 03 21 18 A0 00 }
	condition:
		$1
}

rule file_7_0_1 {
	meta:
		name = "__strtod"
		size = 1000
		refs = "0030 _ctype 00b8 __muldf3 00c8 __floatsidf 00dc __adddf3 01bc __ldexp 02d0 __negdf2 0380 __divdf3 03c8 errno"
	strings:
		$1 = { C0 FF BD 27 38 00 BE AF 2C 00 B5 AF 24 00 B3 AF 20 00 B2 AF 3C 00 BF AF 34 00 B7 AF 30 00 B6 AF 28 00 B4 AF 1C 00 B1 AF 18 00 B0 AF 00 00 82 80 ?? ?? 1E 3C ?? ?? DE 27 21 18 C2 03 01 00 63 80 21 90 80 00 21 98 A0 00 88 00 63 30 08 00 60 10 21 A8 80 00 01 00 B5 26 00 00 A2 82 21 18 C2 03 01 00 63 80 88 00 63 30 FB FF 60 54 01 00 B5 26 2D 00 03 24 BC 00 43 10 2B 00 42 38 01 00 42 2C 21 A0 00 00 21 A8 A2 02 00 00 A2 82 21 18 C2 03 01 00 63 90 04 00 63 30 C2 00 60 10 21 B0 00 00 21 B8 00 00 21 88 00 00 21 28 E0 02 D0 FF 50 24 21 20 C0 02 21 30 00 00 ?? ?? ?? 0? 24 40 07 3C 21 20 00 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 01 00 B5 26 21 B0 40 00 00 00 A2 82 21 B8 60 00 21 18 C2 03 01 00 63 90 04 00 63 30 E9 FF 60 14 25 88 30 02 01 00 04 24 2E 00 03 24 71 00 43 50 01 00 B5 26 40 00 80 14 21 40 00 00 02 00 60 12 0A A8 44 02 00 00 75 AE 27 00 00 11 C3 17 08 00 26 98 48 00 ?? ?? 12 3C 23 98 62 02 ?? ?? 52 26 08 00 10 24 21 10 00 00 F0 3F 03 3C ?? ?? ?? 0? FF FF 15 24 0E 00 15 12 F8 FF 52 26 07 20 13 02 01 00 84 30 FB FF 80 10 FF FF 10 26 40 00 46 8E 44 00 47 8E 21 20 40 00 21 28 60 00 10 00 A8 AF ?? ?? ?? 0? F8 FF 52 26 F4 FF 15 16 10 00 A8 8F 77 00 00 05 21 38 60 00 21 20 C0 02 21 28 E0 02 21 30 40 00 ?? ?? ?? 0? 10 00 A8 AF 10 00 A8 8F 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 30 00 01 21 B0 40 00 21 B8 60 00 81 00 C0 12 00 F0 E2 7E 25 10 D7 02 79 00 40 10 00 00 00 00 30 00 80 16 3C 00 BF 8F 21 10 C0 02 21 18 E0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 21 18 40 00 65 00 02 24 03 00 62 10 45 00 02 24 BC FF 62 14 01 00 04 24 01 00 B5 26 00 00 A2 82 2D 00 03 24 55 00 43 50 01 00 B5 26 2B 00 03 24 59 00 43 10 21 30 00 00 21 18 C2 03 01 00 64 90 04 00 84 30 0B 00 80 10 21 18 00 00 0A 00 05 24 02 20 65 70 01 00 B5 26 21 18 82 00 00 00 A2 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 63 24 23 10 03 00 0B 18 46 00 21 40 03 01 ?? ?? ?? 0? 01 00 04 24 21 20 C0 02 21 28 E0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F ?? ?? ?? 0? 40 00 BD 27 00 00 A3 82 21 10 C3 03 01 00 45 90 04 00 A5 30 8B FF A0 10 21 10 60 00 21 40 00 00 21 28 E0 02 D0 FF 70 24 21 20 C0 02 21 30 00 00 24 40 07 3C ?? ?? ?? 0? 10 00 A8 AF 21 20 00 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 01 00 B5 26 21 B8 60 00 00 00 A3 82 21 B0 40 00 10 00 A8 8F 21 10 C3 03 01 00 42 90 25 88 30 02 04 00 42 30 E6 FF 40 14 FF FF 08 25 ?? ?? ?? 0? 65 00 02 24 01 00 B5 26 ?? ?? ?? 0? 01 00 14 24 21 20 C0 02 21 28 E0 02 21 30 40 00 ?? ?? ?? 0? 10 00 A8 AF 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 10 00 A8 8F 00 00 A2 82 ?? ?? ?? 0? 01 00 06 24 21 B8 00 00 21 20 00 00 ?? ?? ?? 0? 21 88 00 00 01 00 B5 26 ?? ?? ?? 0? 00 00 A2 82 87 FF 20 12 22 00 03 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 AC F0 7F 03 3C 7F FF 43 14 25 10 D7 02 ?? ?? ?? 0? 22 00 03 24 }
	condition:
		$1
}

rule file_110_0_1 {
	meta:
		name = "ieee754dp_nfstr"
		size = 1000
		refs = "0030 _ctype 00b8 ieee754dp_mul 00c8 ieee754dp_fint 00dc ieee754dp_add 01bc ieee754dp_nldexp 02d0 ieee754dp_neg 0380 ieee754dp_div 03c8 errno"
	strings:
		$1 = { C0 FF BD 27 38 00 BE AF 2C 00 B5 AF 24 00 B3 AF 20 00 B2 AF 3C 00 BF AF 34 00 B7 AF 30 00 B6 AF 28 00 B4 AF 1C 00 B1 AF 18 00 B0 AF 00 00 82 80 ?? ?? 1E 3C ?? ?? DE 27 21 18 C2 03 01 00 63 80 21 90 80 00 21 98 A0 00 88 00 63 30 08 00 60 10 21 A8 80 00 01 00 B5 26 00 00 A2 82 21 18 C2 03 01 00 63 80 88 00 63 30 FB FF 60 54 01 00 B5 26 2D 00 03 24 BC 00 43 10 2B 00 42 38 01 00 42 2C 21 A0 00 00 21 A8 A2 02 00 00 A2 82 21 18 C2 03 01 00 63 90 04 00 63 30 C2 00 60 10 21 B0 00 00 21 B8 00 00 21 88 00 00 21 28 E0 02 D0 FF 50 24 21 20 C0 02 21 30 00 00 ?? ?? ?? 0? 24 40 07 3C 21 20 00 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 01 00 B5 26 21 B0 40 00 00 00 A2 82 21 B8 60 00 21 18 C2 03 01 00 63 90 04 00 63 30 E9 FF 60 14 25 88 30 02 01 00 04 24 2E 00 03 24 71 00 43 50 01 00 B5 26 40 00 80 14 21 40 00 00 02 00 60 12 0A A8 44 02 00 00 75 AE 27 00 00 11 C3 17 08 00 26 98 48 00 ?? ?? 12 3C 23 98 62 02 ?? ?? 52 26 08 00 10 24 21 10 00 00 F0 3F 03 3C ?? ?? ?? 0? FF FF 15 24 0E 00 15 12 F8 FF 52 26 07 20 13 02 01 00 84 30 FB FF 80 10 FF FF 10 26 40 00 46 8E 44 00 47 8E 21 20 40 00 21 28 60 00 10 00 A8 AF ?? ?? ?? 0? F8 FF 52 26 F4 FF 15 16 10 00 A8 8F 77 00 00 05 21 38 60 00 21 20 C0 02 21 28 E0 02 21 30 40 00 ?? ?? ?? 0? 10 00 A8 AF 10 00 A8 8F 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 30 00 01 21 B0 40 00 21 B8 60 00 81 00 C0 12 00 F0 E2 7E 25 10 D7 02 79 00 40 10 00 00 00 00 30 00 80 16 3C 00 BF 8F 21 10 C0 02 21 18 E0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 21 18 40 00 65 00 02 24 03 00 62 10 45 00 02 24 BC FF 62 14 01 00 04 24 01 00 B5 26 00 00 A2 82 2D 00 03 24 55 00 43 50 01 00 B5 26 2B 00 03 24 59 00 43 10 21 30 00 00 21 18 C2 03 01 00 64 90 04 00 84 30 0B 00 80 10 21 18 00 00 0A 00 05 24 02 20 65 70 01 00 B5 26 21 18 82 00 00 00 A2 82 21 20 C2 03 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 63 24 23 10 03 00 0B 18 46 00 21 40 03 01 ?? ?? ?? 0? 01 00 04 24 21 20 C0 02 21 28 E0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F ?? ?? ?? 0? 40 00 BD 27 00 00 A3 82 21 10 C3 03 01 00 45 90 04 00 A5 30 8B FF A0 10 21 10 60 00 21 40 00 00 21 28 E0 02 D0 FF 70 24 21 20 C0 02 21 30 00 00 24 40 07 3C ?? ?? ?? 0? 10 00 A8 AF 21 20 00 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 01 00 B5 26 21 B8 60 00 00 00 A3 82 21 B0 40 00 10 00 A8 8F 21 10 C3 03 01 00 42 90 25 88 30 02 04 00 42 30 E6 FF 40 14 FF FF 08 25 ?? ?? ?? 0? 65 00 02 24 01 00 B5 26 ?? ?? ?? 0? 01 00 14 24 21 20 C0 02 21 28 E0 02 21 30 40 00 ?? ?? ?? 0? 10 00 A8 AF 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 10 00 A8 8F 00 00 A2 82 ?? ?? ?? 0? 01 00 06 24 21 B8 00 00 21 20 00 00 ?? ?? ?? 0? 21 88 00 00 01 00 B5 26 ?? ?? ?? 0? 00 00 A2 82 87 FF 20 12 22 00 03 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 AC F0 7F 03 3C 7F FF 43 14 25 10 D7 02 ?? ?? ?? 0? 22 00 03 24 }
	condition:
		$1
}

rule file_8_0_1 {
	meta:
		name = "__extendsfdf2"
		size = 168
		altNames = "ieee754dp_fsp"
	strings:
		$1 = { C0 3D 82 7C FF FF 45 24 FE 00 A5 2C C2 1F 04 00 0F 00 A0 10 00 B0 84 7C 80 00 05 3C 81 FF 42 24 25 20 85 00 FF 03 42 24 C0 1A 03 00 25 10 43 00 C4 FD 04 7C 00 15 02 00 C2 28 04 00 40 37 04 00 25 38 45 00 21 10 C0 00 08 00 E0 03 21 18 E0 00 05 00 40 14 00 00 00 00 0D 00 80 14 C0 3F 03 00 ?? ?? ?? 0? 21 30 00 00 05 00 80 50 C0 1A 03 00 F7 7F 07 3C FF FF 06 24 ?? ?? ?? 0? FF FF E7 34 FF 07 63 34 00 3D 03 00 ?? ?? ?? 0? 21 30 00 00 20 10 82 70 F8 FF 42 24 82 FF 05 24 04 20 44 00 ?? ?? ?? 0? 23 10 A2 00 }
	condition:
		$1
}

rule file_9_0_1 {
	meta:
		name = "ieee754sp_1e31"
		size = 16
	strings:
		$1 = { 00 12 04 00 9E 00 42 34 08 00 E0 03 C0 15 02 00 }
	condition:
		$1
}

rule file_10_0_1 {
	meta:
		name = "ieee754dp_nldexp"
		size = 464
		refs = "0128 __lshrdi3 01bc __ashldi3"
		altNames = "__ldexp"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 00 55 B2 7C FF FF 42 26 FE 07 42 2C 20 00 B4 AF 1C 00 B3 AF 21 A0 C0 00 24 00 BF AF 14 00 B1 AF 10 00 B0 AF C2 9F 05 00 21 30 80 00 48 00 40 10 00 98 A3 7C 10 00 02 3C 01 FC 52 26 25 18 62 00 FF 03 94 26 42 17 06 00 C0 88 03 00 21 90 92 02 25 88 51 00 2A 00 40 1A C0 80 06 00 07 00 03 32 17 00 60 14 C0 00 02 7E FF 07 42 2A 41 00 40 10 C2 30 11 00 40 1F 11 00 C2 20 10 00 00 05 C2 7C 3A 00 40 10 25 20 64 00 00 98 C6 7C C0 9A 13 00 25 90 53 02 00 1D 12 00 21 10 80 00 25 18 66 00 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 03 00 42 24 21 10 02 02 2B 18 50 00 21 18 71 00 21 80 40 00 00 06 62 7C E3 FF 40 10 21 88 60 00 42 10 10 00 C0 1F 03 00 25 18 62 00 42 10 11 00 21 80 60 00 21 88 40 00 ?? ?? ?? 0? 01 00 52 26 01 00 02 24 23 90 52 00 38 00 42 2A 1E 00 40 50 01 00 10 24 21 30 40 02 21 20 00 02 23 90 12 00 ?? ?? ?? 0? 21 28 20 02 20 00 46 32 03 00 C0 14 04 20 50 02 04 90 51 02 25 20 50 02 2B 20 04 00 25 80 82 00 21 88 60 00 ?? ?? ?? 0? 01 00 12 24 04 00 40 16 21 10 80 00 25 10 83 00 0D 00 40 14 21 10 80 00 ?? ?? ?? 0? 21 18 A0 00 ?? ?? ?? 0? 21 90 00 00 C0 1A 13 00 FF 07 63 34 00 1D 03 00 ?? ?? ?? 0? 21 10 00 00 21 88 00 00 ?? ?? ?? 0? 01 00 12 24 03 00 60 14 20 88 71 70 20 88 91 70 20 00 31 26 F5 FF 31 26 A5 FF 20 12 02 FC 12 24 21 30 20 02 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 ?? ?? ?? 0? 23 90 51 02 }
	condition:
		$1
}

rule file_10_1_1 {
	meta:
		name = "ieee754dp_ldexp"
		size = 60
		refs = "0018 ieee754dp_nldexp"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 21 20 C0 00 28 00 A6 8F 14 00 BF AF ?? ?? ?? 0? 21 28 E0 00 00 00 02 AE 04 00 03 AE 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_98_1_1 {
	meta:
		name = "ieee754dp_frexp"
		size = 60
		refs = "0018 ieee754dp_nfrexp"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 21 20 C0 00 28 00 A6 8F 14 00 BF AF ?? ?? ?? 0? 21 28 E0 00 00 00 02 AE 04 00 03 AE 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_70_1_1 {
	meta:
		name = "ieee754dp_modf"
		size = 60
		refs = "0018 ieee754dp_nmodf"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 21 20 C0 00 28 00 A6 8F 14 00 BF AF ?? ?? ?? 0? 21 28 E0 00 00 00 02 AE 04 00 03 AE 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_11_0_1 {
	meta:
		name = "__fixdfdi"
		size = 240
		altNames = "ieee754dp_tlong"
	strings:
		$1 = { 00 55 A2 7C FF FF 43 24 FE 07 63 2C C2 4F 05 00 31 00 60 10 00 98 A5 7C 01 FC 43 24 3F 00 68 28 21 30 00 00 1C 00 00 11 00 80 07 3C 21 30 00 00 19 00 60 04 21 38 00 00 10 00 07 3C 35 00 66 28 18 00 C0 14 25 28 A7 00 CD FB 42 24 42 38 04 00 27 30 02 00 04 18 45 00 06 30 C7 00 20 00 45 30 25 18 C3 00 04 10 44 00 21 20 40 00 0A 10 65 00 0B 20 05 00 21 28 40 00 06 00 20 11 21 30 80 00 23 20 04 00 2B 30 04 00 23 28 05 00 23 28 A6 00 21 30 80 00 21 38 A0 00 21 10 C0 00 08 00 E0 03 21 18 E0 00 34 00 02 24 F3 FF 62 10 23 18 43 00 40 30 05 00 27 10 03 00 04 30 46 00 06 20 64 00 20 00 62 30 06 28 65 00 25 20 C4 00 0B 20 A2 00 ?? ?? ?? 0? 0B 28 02 00 21 30 00 00 EE FF 40 10 21 38 00 00 21 30 00 00 ?? ?? ?? 0? 00 80 07 3C }
	condition:
		$1
}

rule file_12_0_1 {
	meta:
		name = "__strtof"
		size = 856
		refs = "0030 _ctype 00ac __mulsf3 00b8 __floatsisf 00c4 __addsf3 0180 __ldexpf 028c __negsf2 0310 __divsf3 034c errno"
	strings:
		$1 = { C8 FF BD 27 2C 00 B7 AF 24 00 B5 AF 1C 00 B3 AF 18 00 B2 AF 34 00 BF AF 30 00 BE AF 28 00 B6 AF 20 00 B4 AF 14 00 B1 AF 10 00 B0 AF 00 00 82 80 ?? ?? 17 3C ?? ?? F7 26 21 18 E2 02 01 00 63 80 21 90 80 00 21 98 A0 00 88 00 63 30 08 00 60 10 21 A8 80 00 01 00 B5 26 00 00 A2 82 21 18 E2 02 01 00 63 80 88 00 63 30 FB FF 60 54 01 00 B5 26 2D 00 03 24 A3 00 43 10 2B 00 42 38 01 00 42 2C 21 A0 00 00 21 A8 A2 02 00 00 A2 82 21 18 E2 02 01 00 63 90 04 00 63 30 A4 00 60 10 21 B0 00 00 21 88 00 00 D0 FF 50 24 21 20 C0 02 ?? ?? ?? 0? 20 41 05 3C 21 20 00 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 01 00 B5 26 21 B0 40 00 00 00 A2 82 21 18 E2 02 01 00 63 90 04 00 63 30 EF FF 60 14 25 88 30 02 01 00 04 24 2E 00 03 24 67 00 43 50 01 00 B5 26 37 00 80 14 21 F0 00 00 02 00 60 12 0A A8 44 02 00 00 75 AE 1F 00 C0 13 40 18 16 00 C3 17 1E 00 26 98 5E 00 ?? ?? 12 3C 23 98 62 02 ?? ?? 52 26 05 00 10 24 80 3F 02 3C ?? ?? ?? 0? FF FF 15 24 0B 00 15 12 FC FF 52 26 07 18 13 02 01 00 63 30 FB FF 60 10 FF FF 10 26 14 00 45 8E 21 20 40 00 ?? ?? ?? 0? FC FF 52 26 F8 FF 15 16 07 18 13 02 68 00 C0 07 21 20 C0 02 ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 C0 03 21 B0 40 00 40 18 16 00 00 FF 02 3C 6D 00 62 50 22 00 03 24 69 00 C0 12 00 00 00 00 2F 00 80 16 34 00 BF 8F 21 10 C0 02 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 38 00 BD 27 21 18 40 00 65 00 02 24 03 00 62 10 45 00 02 24 C5 FF 62 14 01 00 04 24 01 00 B5 26 00 00 A2 82 2D 00 03 24 47 00 43 50 01 00 B5 26 2B 00 03 24 4A 00 43 10 21 30 00 00 21 18 E2 02 01 00 64 90 04 00 84 30 0B 00 80 10 21 18 00 00 0A 00 05 24 02 20 65 70 01 00 B5 26 21 18 82 00 00 00 A2 82 21 20 E2 02 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 63 24 23 10 03 00 0B 18 46 00 21 F0 C3 03 ?? ?? ?? 0? 01 00 04 24 21 20 C0 02 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F ?? ?? ?? 0? 38 00 BD 27 00 00 A3 82 21 10 E3 02 01 00 45 90 04 00 A5 30 95 FF A0 10 21 10 60 00 21 F0 00 00 D0 FF 70 24 21 20 C0 02 ?? ?? ?? 0? 20 41 05 3C 21 20 00 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 00 21 20 C0 02 ?? ?? ?? 0? 01 00 B5 26 00 00 A3 82 21 B0 40 00 25 88 30 02 21 10 E3 02 01 00 42 90 04 00 42 30 EE FF 40 14 FF FF DE 27 ?? ?? ?? 0? 65 00 02 24 01 00 B5 26 ?? ?? ?? 0? 01 00 14 24 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 21 20 40 00 00 00 A2 82 ?? ?? ?? 0? 01 00 06 24 21 20 00 00 ?? ?? ?? 0? 21 88 00 00 01 00 B5 26 ?? ?? ?? 0? 00 00 A2 82 97 FF 20 12 22 00 03 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_116_0_1 {
	meta:
		name = "ieee754sp_nfstr"
		size = 856
		refs = "0030 _ctype 00ac ieee754sp_mul 00b8 ieee754sp_fint 00c4 ieee754sp_add 0180 ieee754sp_nldexp 028c ieee754sp_neg 0310 ieee754sp_div 034c errno"
	strings:
		$1 = { C8 FF BD 27 2C 00 B7 AF 24 00 B5 AF 1C 00 B3 AF 18 00 B2 AF 34 00 BF AF 30 00 BE AF 28 00 B6 AF 20 00 B4 AF 14 00 B1 AF 10 00 B0 AF 00 00 82 80 ?? ?? 17 3C ?? ?? F7 26 21 18 E2 02 01 00 63 80 21 90 80 00 21 98 A0 00 88 00 63 30 08 00 60 10 21 A8 80 00 01 00 B5 26 00 00 A2 82 21 18 E2 02 01 00 63 80 88 00 63 30 FB FF 60 54 01 00 B5 26 2D 00 03 24 A3 00 43 10 2B 00 42 38 01 00 42 2C 21 A0 00 00 21 A8 A2 02 00 00 A2 82 21 18 E2 02 01 00 63 90 04 00 63 30 A4 00 60 10 21 B0 00 00 21 88 00 00 D0 FF 50 24 21 20 C0 02 ?? ?? ?? 0? 20 41 05 3C 21 20 00 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 01 00 B5 26 21 B0 40 00 00 00 A2 82 21 18 E2 02 01 00 63 90 04 00 63 30 EF FF 60 14 25 88 30 02 01 00 04 24 2E 00 03 24 67 00 43 50 01 00 B5 26 37 00 80 14 21 F0 00 00 02 00 60 12 0A A8 44 02 00 00 75 AE 1F 00 C0 13 40 18 16 00 C3 17 1E 00 26 98 5E 00 ?? ?? 12 3C 23 98 62 02 ?? ?? 52 26 05 00 10 24 80 3F 02 3C ?? ?? ?? 0? FF FF 15 24 0B 00 15 12 FC FF 52 26 07 18 13 02 01 00 63 30 FB FF 60 10 FF FF 10 26 14 00 45 8E 21 20 40 00 ?? ?? ?? 0? FC FF 52 26 F8 FF 15 16 07 18 13 02 68 00 C0 07 21 20 C0 02 ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 C0 03 21 B0 40 00 40 18 16 00 00 FF 02 3C 6D 00 62 50 22 00 03 24 69 00 C0 12 00 00 00 00 2F 00 80 16 34 00 BF 8F 21 10 C0 02 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 38 00 BD 27 21 18 40 00 65 00 02 24 03 00 62 10 45 00 02 24 C5 FF 62 14 01 00 04 24 01 00 B5 26 00 00 A2 82 2D 00 03 24 47 00 43 50 01 00 B5 26 2B 00 03 24 4A 00 43 10 21 30 00 00 21 18 E2 02 01 00 64 90 04 00 84 30 0B 00 80 10 21 18 00 00 0A 00 05 24 02 20 65 70 01 00 B5 26 21 18 82 00 00 00 A2 82 21 20 E2 02 01 00 84 90 04 00 84 30 F8 FF 80 14 D0 FF 63 24 23 10 03 00 0B 18 46 00 21 F0 C3 03 ?? ?? ?? 0? 01 00 04 24 21 20 C0 02 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F ?? ?? ?? 0? 38 00 BD 27 00 00 A3 82 21 10 E3 02 01 00 45 90 04 00 A5 30 95 FF A0 10 21 10 60 00 21 F0 00 00 D0 FF 70 24 21 20 C0 02 ?? ?? ?? 0? 20 41 05 3C 21 20 00 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 00 21 20 C0 02 ?? ?? ?? 0? 01 00 B5 26 00 00 A3 82 21 B0 40 00 25 88 30 02 21 10 E3 02 01 00 42 90 04 00 42 30 EE FF 40 14 FF FF DE 27 ?? ?? ?? 0? 65 00 02 24 01 00 B5 26 ?? ?? ?? 0? 01 00 14 24 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 21 20 40 00 00 00 A2 82 ?? ?? ?? 0? 01 00 06 24 21 20 00 00 ?? ?? ?? 0? 21 88 00 00 01 00 B5 26 ?? ?? ?? 0? 00 00 A2 82 97 FF 20 12 22 00 03 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 AC }
	condition:
		$1
}

rule file_13_0_1 {
	meta:
		name = "__unordsf2"
		size = 44
	strings:
		$1 = { 00 FF 03 3C 40 20 04 00 01 00 63 24 2B 20 83 00 04 00 80 10 01 00 02 24 40 28 05 00 2B 18 A3 00 01 00 62 38 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_14_0_1 {
	meta:
		name = "ieee754sp_1e63"
		size = 16
	strings:
		$1 = { 00 12 04 00 BE 00 42 34 08 00 E0 03 C0 15 02 00 }
	condition:
		$1
}

rule file_15_0_1 {
	meta:
		name = "ieee754dp_class"
		size = 72
	strings:
		$1 = { 00 55 A3 7C FF FF 66 24 FE 07 C6 2C 00 98 A5 7C 03 00 C0 10 21 10 00 00 08 00 E0 03 00 00 00 00 05 00 60 14 25 28 85 00 02 00 02 24 01 00 03 24 08 00 E0 03 0A 10 65 00 08 00 03 24 04 00 02 24 08 00 E0 03 0B 10 65 00 }
	condition:
		$1
}

rule file_16_0_1 {
	meta:
		name = "ieee754dp_snan"
		size = 32
	strings:
		$1 = { C0 1A 04 00 FF 07 63 34 0F 00 02 3C FF FF 42 34 00 1D 03 00 25 18 62 00 08 00 E0 03 FF FF 02 24 }
	condition:
		$1
}

rule file_18_0_1 {
	meta:
		name = "__gtdf2"
		size = 104
		refs = "003c __orderdf2"
		altNames = "__gedf2"
	strings:
		$1 = { F0 7F 02 3C 00 F0 A3 7C 01 00 48 24 2B 40 68 00 0E 00 00 51 FF FF 02 24 0E 00 62 10 00 00 00 00 00 F0 E3 7C 01 00 48 24 2B 40 68 00 07 00 00 51 FF FF 02 24 03 00 62 10 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 FD FF C0 10 FF FF 02 24 08 00 E0 03 00 00 00 00 F2 FF 80 50 F0 7F 02 3C FF FF 02 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_19_0_1 {
	meta:
		name = "ieee754sp_tlong"
		size = 208
		altNames = "__fixsfdi"
	strings:
		$1 = { C0 3D 83 7C FF FF 65 24 FE 00 A5 2C C2 47 04 00 29 00 A0 10 00 B0 84 7C 81 FF 62 24 3F 00 45 28 21 30 00 00 1A 00 A0 10 00 80 07 3C 21 30 00 00 17 00 40 04 21 38 00 00 80 00 05 3C 18 00 46 28 25 20 85 00 15 00 C0 14 21 28 00 00 6A FF 63 24 20 00 62 30 42 30 04 00 27 28 03 00 04 18 64 00 06 28 A6 00 21 20 60 00 0B 20 02 00 0B 28 62 00 06 00 00 11 21 30 80 00 23 20 04 00 2B 10 04 00 23 28 05 00 23 28 A2 00 21 30 80 00 21 38 A0 00 21 10 C0 00 08 00 E0 03 21 18 E0 00 17 00 03 24 F3 FF 43 10 23 10 62 00 20 00 43 30 06 20 44 00 ?? ?? ?? 0? 0B 20 03 00 21 30 00 00 F4 FF 60 10 21 38 00 00 21 30 00 00 ?? ?? ?? 0? 00 80 07 3C }
	condition:
		$1
}

rule file_22_0_1 {
	meta:
		name = "ieee754dp_dump"
		size = 780
		refs = "003c _printf_cdnopsuxX 0068 ieee754dp_class 0080 abort"
	strings:
		$1 = { 21 28 80 00 ?? ?? 04 3C C8 FF BD 27 ?? ?? 84 24 34 00 BF AF 2C 00 B7 AF 14 00 B1 AF 21 B8 E0 00 10 00 B0 AF 30 00 BE AF 21 80 C0 00 28 00 B6 AF 24 00 B5 AF 20 00 B4 AF 1C 00 B3 AF ?? ?? ?? 0? 18 00 B2 AF ?? ?? 04 3C 21 30 00 02 21 38 E0 02 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 21 20 00 02 ?? ?? ?? 0? 21 28 E0 02 21 88 40 00 09 00 42 2C 37 00 40 14 ?? ?? 02 3C ?? ?? ?? 0? 08 00 31 3A 51 00 05 24 53 00 02 24 0B 28 51 00 C2 37 17 00 2B 00 03 24 2D 00 02 24 0A 10 66 00 ?? ?? 04 3C ?? ?? 84 24 21 30 40 00 00 98 F1 7E ?? ?? ?? 0? ?? ?? 15 3C 33 00 1E 24 40 90 11 00 30 00 13 24 31 00 14 24 ?? ?? B5 26 FF FF 16 24 27 10 1E 00 04 10 52 00 06 28 D0 03 20 00 C3 33 25 28 45 00 06 10 D1 03 0B 28 43 00 01 00 A5 30 21 10 80 02 0A 10 65 02 FF FF DE 27 21 20 A0 02 ?? ?? ?? 0? 21 28 40 00 F2 FF D6 17 27 10 1E 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 34 00 BF 8F 21 10 00 02 21 18 E0 02 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 38 00 BD 27 80 18 11 00 ?? ?? 42 24 21 10 43 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0? 51 00 05 24 C2 2F 17 00 2B 00 03 24 2D 00 02 24 0A 10 65 00 ?? ?? 04 3C ?? ?? 84 24 21 28 40 00 00 98 F1 7E ?? ?? ?? 0? ?? ?? 15 3C 33 00 1E 24 40 90 11 00 30 00 13 24 31 00 14 24 ?? ?? B5 26 FF FF 16 24 27 10 1E 00 04 10 52 00 06 28 D0 03 20 00 C3 33 25 28 45 00 06 10 D1 03 0B 28 43 00 01 00 A5 30 21 10 80 02 0A 10 65 02 FF FF DE 27 21 20 A0 02 ?? ?? ?? 0? 21 28 40 00 F2 FF D6 17 27 10 1E 00 00 55 E5 7E ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 01 FC A5 24 ?? ?? ?? 0? ?? ?? 04 3C ?? ?? 04 3C C2 2F 17 00 ?? ?? 84 24 2B 00 03 24 2D 00 02 24 0A 10 65 00 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? ?? ?? 04 3C C2 2F 17 00 2B 00 03 24 2D 00 02 24 0A 10 65 00 ?? ?? 04 3C ?? ?? 84 24 21 28 40 00 00 98 F1 7E ?? ?? ?? 0? ?? ?? 15 3C 33 00 1E 24 40 90 11 00 30 00 13 24 31 00 14 24 ?? ?? B5 26 FF FF 16 24 27 10 1E 00 04 10 52 00 06 28 D0 03 20 00 C3 33 25 28 45 00 06 10 D1 03 0B 28 43 00 01 00 A5 30 21 10 80 02 0A 10 65 02 FF FF DE 27 21 20 A0 02 ?? ?? ?? 0? 21 28 40 00 F2 FF D6 17 27 10 1E 00 00 55 E5 7E ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 01 FC A5 24 ?? ?? ?? 0? ?? ?? 04 3C ?? ?? 04 3C C2 2F 17 00 ?? ?? ?? 0? ?? ?? 84 24 }
	condition:
		$1
}

rule file_22_1_1 {
	meta:
		name = "ieee754sp_dump"
		size = 764
		refs = "0034 _printf_cdnopsuxX 0058 ieee754sp_class 0070 abort"
	strings:
		$1 = { D0 FF BD 27 21 10 80 00 ?? ?? 04 3C 24 00 B5 AF ?? ?? 84 24 21 A8 A0 00 21 28 40 00 2C 00 BF AF 10 00 B0 AF 28 00 B6 AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF ?? ?? ?? 0? 14 00 B1 AF ?? ?? 04 3C 21 28 A0 02 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 21 20 A0 02 21 80 40 00 09 00 42 2C 2D 00 40 14 ?? ?? 02 3C ?? ?? ?? 0? 08 00 10 3A 51 00 05 24 53 00 02 24 0B 28 50 00 C2 37 15 00 2B 00 03 24 2D 00 02 24 0A 10 66 00 ?? ?? 04 3C ?? ?? 84 24 21 30 40 00 ?? ?? ?? 0? ?? ?? 13 3C 16 00 16 24 00 B0 B0 7E 30 00 12 24 31 00 11 24 ?? ?? 73 26 FF FF 14 24 06 28 D0 02 01 00 A5 30 21 10 20 02 0A 10 45 02 FF FF D6 26 21 20 60 02 ?? ?? ?? 0? 21 28 40 00 F8 FF D4 16 06 28 D0 02 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 2C 00 BF 8F 21 10 A0 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 80 18 10 00 ?? ?? 42 24 21 10 43 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0? 51 00 05 24 C2 2F 15 00 2B 00 03 24 2D 00 02 24 0A 10 65 00 ?? ?? 04 3C ?? ?? 84 24 21 28 40 00 ?? ?? ?? 0? ?? ?? 13 3C 16 00 16 24 00 B0 B0 7E 30 00 12 24 31 00 11 24 ?? ?? 73 26 FF FF 14 24 06 28 D0 02 01 00 A5 30 21 10 20 02 0A 10 45 02 FF FF D6 26 21 20 60 02 ?? ?? ?? 0? 21 28 40 00 F8 FF D4 56 06 28 D0 02 C0 3D A5 7E ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 81 FF A5 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 2C 00 BF 8F 21 10 A0 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C C2 2F 15 00 ?? ?? 84 24 2B 00 03 24 2D 00 02 24 0A 10 65 00 ?? ?? ?? 0? 21 28 40 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 2C 00 BF 8F 21 10 A0 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 C2 2F 15 00 2B 00 03 24 2D 00 02 24 0A 10 65 00 ?? ?? 04 3C ?? ?? 84 24 21 28 40 00 ?? ?? ?? 0? ?? ?? 13 3C 16 00 16 24 00 B0 B0 7E 30 00 12 24 31 00 11 24 ?? ?? 73 26 FF FF 14 24 06 28 D0 02 01 00 A5 30 21 10 20 02 0A 10 45 02 FF FF D6 26 21 20 60 02 ?? ?? ?? 0? 21 28 40 00 F8 FF D4 56 06 28 D0 02 C0 3D A5 7E ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 81 FF A5 24 ?? ?? ?? 0? ?? ?? 04 3C ?? ?? 04 3C C2 2F 15 00 ?? ?? ?? 0? ?? ?? 84 24 }
	condition:
		$1
}

rule file_23_0_1 {
	meta:
		name = "ieee754sp_ten"
		size = 24
	strings:
		$1 = { 00 12 04 00 82 00 42 34 20 00 03 3C C0 15 02 00 08 00 E0 03 25 10 43 00 }
	condition:
		$1
}

rule file_24_0_1 {
	meta:
		name = "ieee754dp_1e63"
		size = 20
	strings:
		$1 = { C0 1A 04 00 3E 04 63 34 00 1D 03 00 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_25_0_1 {
	meta:
		name = "ieee754dp_add"
		size = 1148
		refs = "0388 __lshrdi3"
		altNames = "__adddf3"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 00 55 B3 7C FF FF 63 26 FE 07 63 2C 1C 00 B2 AF 24 00 BF AF 18 00 B1 AF 14 00 B0 AF C2 97 05 00 C7 00 60 10 00 98 AA 7C 10 00 02 3C 01 FC 73 26 25 50 42 01 21 18 00 00 00 55 E8 7C FF FF 0D 25 FE 07 AD 2D C2 67 07 00 21 58 C0 00 AA 00 A0 11 00 98 E9 7C 10 00 02 3C 25 48 22 01 01 FC 08 25 21 68 00 00 AA 00 60 14 21 10 60 00 42 2F 0B 00 C0 18 09 00 42 6F 04 00 C0 38 0A 00 25 18 A3 00 23 28 68 02 25 38 A7 01 C0 30 04 00 70 00 A0 18 C0 10 0B 00 38 00 A4 28 5A 00 80 50 01 00 02 24 27 20 05 00 40 50 03 00 23 40 05 00 04 50 8A 00 06 20 A2 00 20 00 A9 30 25 20 44 01 06 28 A3 00 20 00 0B 31 0B 20 A9 00 04 68 02 01 03 00 60 15 0B 28 09 00 04 40 03 01 25 68 02 01 2B 68 0D 00 25 10 A4 01 21 18 A0 00 49 00 4C 12 21 20 46 00 23 20 C2 00 2B 28 C4 00 23 10 E3 00 23 10 45 00 21 88 40 00 25 10 82 00 21 80 80 00 21 30 00 00 33 00 40 10 21 38 00 00 6D 00 20 06 23 10 04 00 03 00 20 16 20 10 22 72 20 10 02 72 20 00 42 24 F8 FF 42 24 0D 00 40 50 FF 03 73 26 42 28 10 00 27 20 02 00 04 18 51 00 06 28 85 00 04 80 50 00 20 00 44 30 25 18 A3 00 0B 18 04 02 21 88 60 00 0B 80 04 00 23 98 62 02 FF 03 73 26 7D 00 60 1A 01 00 02 24 07 00 03 32 0B 00 60 10 FF 07 62 2A C0 00 02 7E 03 00 42 24 21 10 02 02 2B 18 50 00 21 18 71 00 21 80 40 00 00 06 62 7C 44 00 40 14 21 88 60 00 FF 07 62 2A 81 00 40 10 C2 10 11 00 40 27 11 00 C2 80 10 00 00 05 43 7C 82 00 60 10 25 80 90 00 00 98 42 7C C0 92 12 00 25 98 72 02 00 9D 13 00 25 10 62 02 21 30 00 02 21 38 40 00 24 00 BF 8F 21 10 C0 00 21 18 E0 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 BA FF 4C 16 21 18 00 00 21 20 46 00 2B 28 82 00 21 10 67 00 21 10 A2 00 21 88 40 00 00 06 42 7C D0 FF 40 10 21 80 80 00 C0 1F 11 00 42 10 04 00 25 10 62 00 01 00 84 30 42 18 11 00 25 80 82 00 21 88 60 00 ?? ?? ?? 0? 01 00 73 26 A5 FF A0 10 23 20 05 00 38 00 89 28 23 00 20 11 21 98 00 01 27 48 04 00 40 58 07 00 04 58 2B 01 06 48 86 00 20 00 8A 30 25 48 69 01 06 20 87 00 20 00 AD 30 0B 48 8A 00 04 70 A6 00 03 00 A0 15 0B 20 0A 00 04 28 A7 00 25 70 A6 00 2B 70 0E 00 25 30 C9 01 21 38 80 00 ?? ?? ?? 0? 21 98 00 01 42 10 10 00 C0 1F 03 00 25 18 62 00 42 10 11 00 21 80 60 00 21 88 40 00 ?? ?? ?? 0? 01 00 73 26 2B 18 02 00 23 20 11 00 23 18 83 00 21 80 40 00 21 88 60 00 ?? ?? ?? 0? 21 90 80 01 01 00 06 24 ?? ?? ?? 0? 21 38 00 00 41 00 00 15 25 10 C9 00 55 00 40 14 02 00 0D 24 01 00 0D 24 01 00 62 34 01 00 0E 24 41 00 4E 14 03 00 0E 24 01 00 62 30 24 68 4D 00 2A 00 A0 11 01 00 02 24 28 00 4C 12 00 00 00 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 2B 00 60 16 25 40 8A 00 25 10 8A 00 02 00 03 24 02 FC 13 24 01 00 08 24 0A 18 02 01 ?? ?? ?? 0? 0A 98 02 00 23 98 53 00 38 00 62 2A 1D 00 40 50 01 00 10 24 21 30 60 02 21 20 00 02 23 98 13 00 ?? ?? ?? 0? 21 28 20 02 20 00 66 32 03 00 C0 14 04 20 70 02 04 98 71 02 25 20 70 02 2B 20 04 00 25 80 82 00 21 88 60 00 ?? ?? ?? 0? 01 00 13 24 C0 12 12 00 FF 07 42 34 00 15 02 00 21 30 00 00 ?? ?? ?? 0? 21 38 40 00 ?? ?? ?? 0? 21 98 00 00 84 FF 62 10 24 00 BF 8F 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 21 88 00 00 ?? ?? ?? 0? 01 00 13 24 04 00 03 24 08 00 02 24 ?? ?? ?? 0? 0B 18 48 00 04 00 40 54 08 00 0D 24 04 00 0D 24 ?? ?? ?? 0? 04 00 62 34 ?? ?? ?? 0? 08 00 62 34 BF FF 4E 10 08 00 4E 30 08 00 C0 15 04 00 42 30 10 FF 40 50 42 2F 0B 00 24 68 A3 01 0A 00 A0 11 04 00 02 24 E6 FF 4C 52 21 30 80 00 F7 7F 07 3C FF FF 06 24 ?? ?? ?? 0? FF FF E7 34 02 FC 08 24 ?? ?? ?? 0? 02 00 62 34 5F FF 62 14 24 00 BF 8F ?? ?? ?? 0? 21 30 80 00 }
	condition:
		$1
}

rule file_26_0_1 {
	meta:
		name = "__ordersf2"
		size = 72
		altNames = "ieee754sp_order"
	strings:
		$1 = { 0B 00 80 04 21 18 A0 00 0D 00 A2 04 00 80 03 3C 05 00 83 10 21 10 00 00 2A 20 64 00 01 00 02 24 FF FF 05 24 0A 10 A4 00 08 00 E0 03 00 00 00 00 00 80 02 3C F6 FF A1 04 23 20 44 00 00 80 03 3C ?? ?? ?? 0? 23 18 65 00 }
	condition:
		$1
}

rule file_27_0_1 {
	meta:
		name = "ieee754dp_max"
		size = 32
	strings:
		$1 = { C0 1A 04 00 FE 07 63 34 0F 00 02 3C FF FF 42 34 00 1D 03 00 25 18 62 00 08 00 E0 03 FF FF 02 24 }
	condition:
		$1
}

rule file_28_0_1 {
	meta:
		name = "__lesf2"
		size = 60
		refs = "0024 __ordersf2"
		altNames = "__eqsf2 __ltsf2 __nesf2"
	strings:
		$1 = { 00 FF 02 3C 40 18 04 00 01 00 42 24 2B 18 62 00 06 00 60 10 40 30 05 00 2B 10 C2 00 05 00 40 50 01 00 02 24 ?? ?? ?? 0? 00 00 00 00 08 00 E0 03 01 00 02 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_29_0_1 {
	meta:
		name = "ieee754sp_flong"
		size = 544
		altNames = "__floatdisf"
	strings:
		$1 = { 25 18 85 00 47 00 60 10 21 10 00 00 01 00 02 24 46 00 82 10 C2 47 05 00 FF FF 02 24 65 00 82 10 0A 00 02 24 67 00 82 10 F6 FF 02 24 5A 00 82 10 FF FF 02 24 09 00 00 11 40 19 05 00 41 00 80 10 00 80 02 3C 23 20 04 00 23 28 05 00 2B 10 04 00 23 10 A2 00 21 28 40 00 40 19 05 00 C2 16 04 00 25 10 62 00 C2 1E 05 00 25 10 43 00 39 00 40 14 80 19 05 00 82 16 04 00 25 10 62 00 82 1E 05 00 25 18 43 00 53 00 60 14 1A 00 02 24 C2 3F 04 00 40 18 05 00 40 30 04 00 25 18 E3 00 21 20 C0 00 21 28 60 00 80 31 03 00 82 1E 04 00 25 18 C3 00 82 36 05 00 25 18 66 00 F4 FF 60 10 FF FF 42 24 7F 00 42 24 49 00 40 18 01 00 03 24 07 00 83 30 0A 00 60 10 FF 00 43 28 C0 00 83 7C 03 00 84 24 21 20 83 00 C2 1E 04 00 04 00 60 10 FF 00 43 28 42 20 04 00 01 00 42 24 FF 00 43 28 37 00 60 10 C2 20 04 00 C0 05 83 7C 02 00 60 50 21 10 00 00 00 B0 84 7C 00 42 08 00 25 10 48 00 C0 15 02 00 25 10 44 00 08 00 E0 03 00 00 00 00 BB FF A0 54 FF FF 02 24 00 12 08 00 7F 00 42 34 08 00 E0 03 C0 15 02 00 C0 FF A2 14 23 20 04 00 21 20 00 00 00 80 05 3C 1A 00 02 24 C0 37 05 00 42 18 04 00 25 18 C3 00 01 00 87 30 42 30 05 00 25 20 E3 00 21 28 C0 00 C2 1E 04 00 40 31 06 00 25 18 C3 00 C2 36 05 00 25 18 66 00 F3 FF 60 14 01 00 42 24 ?? ?? ?? 0? 7F 00 42 24 A6 FF A2 14 00 12 08 00 82 00 42 34 C0 15 02 00 20 00 03 3C 08 00 E0 03 25 10 43 00 9B FF A4 54 0A 00 02 24 ?? ?? ?? 0? 00 12 08 00 99 FF A0 54 F6 FF 02 24 ?? ?? ?? 0? 00 12 08 00 ?? ?? ?? 0? 99 00 02 24 00 12 08 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 23 10 62 00 1B 00 43 28 08 00 60 50 21 20 00 00 23 18 02 00 04 18 64 00 06 10 44 00 2B 20 03 00 25 20 82 00 ?? ?? ?? 0? 01 00 02 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_29_1_1 {
	meta:
		name = "ieee754sp_fulong"
		size = 52
		refs = "0010 ieee754sp_flong 002c ieee754sp_add"
	strings:
		$1 = { E8 FF BD 27 04 00 A0 04 14 00 BF AF 14 00 BF 8F ?? ?? ?? 0? 18 00 BD 27 ?? ?? ?? 0? 00 F0 A5 7C 21 28 40 00 14 00 BF 8F 00 5F 04 3C ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_30_0_1 {
	meta:
		name = "ieee754sp_nldexp"
		size = 260
		altNames = "__ldexpf"
	strings:
		$1 = { C0 3D 83 7C 21 10 80 00 FF FF 64 24 FE 00 84 2C C2 3F 02 00 2D 00 80 10 00 B0 46 7C 80 00 02 3C 81 FF 63 24 25 10 C2 00 7F 00 A5 24 21 18 A3 00 1A 00 60 18 C0 10 02 00 07 00 44 30 0F 00 80 14 C0 00 44 7C FF 00 64 28 29 00 80 50 00 12 07 00 C2 10 02 00 C0 05 44 7C 02 00 80 50 21 18 00 00 00 B0 42 7C 00 3A 07 00 25 18 67 00 C0 1D 03 00 25 10 62 00 08 00 E0 03 00 00 00 00 03 00 42 24 21 10 44 00 C2 26 02 00 EF FF 80 10 FF 00 64 28 42 10 02 00 ?? ?? ?? 0? 01 00 63 24 01 00 04 24 23 18 83 00 1B 00 64 28 14 00 80 50 21 10 00 00 23 20 03 00 04 20 82 00 06 18 62 00 2B 10 04 00 25 10 43 00 ?? ?? ?? 0? 01 00 03 24 E9 FF 60 14 00 00 00 00 E7 FF C0 10 20 18 C3 70 F8 FF 63 24 82 FF 04 24 04 10 66 00 ?? ?? ?? 0? 23 18 83 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 ?? ?? ?? 0? 21 18 00 00 }
	condition:
		$1
}

rule file_31_0_1 {
	meta:
		name = "ieee754sp_max"
		size = 28
	strings:
		$1 = { 00 22 04 00 FE 00 84 34 7F 00 02 3C C0 25 04 00 FF FF 42 34 08 00 E0 03 25 10 82 00 }
	condition:
		$1
}

rule file_32_0_1 {
	meta:
		name = "ieee754sp_fdp"
		size = 264
		altNames = "__truncdfsf2"
	strings:
		$1 = { 00 55 A3 7C FF FF 66 24 FE 07 C6 2C C2 17 05 00 32 00 C0 10 00 98 A5 7C 10 00 06 3C 25 28 A6 00 00 C8 87 7C 82 36 04 00 80 29 05 00 2B 20 07 00 25 30 A6 00 80 FC 63 24 1C 00 60 18 25 20 86 00 07 00 85 30 0D 00 A0 14 C0 00 85 7C FF 00 65 28 12 00 A0 10 C2 20 04 00 C0 05 85 7C 02 00 A0 50 21 18 00 00 00 B0 84 7C 00 12 02 00 25 10 62 00 C0 15 02 00 08 00 E0 03 25 10 44 00 03 00 84 24 21 20 85 00 C2 2E 04 00 F1 FF A0 10 FF 00 65 28 42 20 04 00 ?? ?? ?? 0? 01 00 63 24 00 12 02 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 01 00 05 24 23 18 A3 00 1B 00 65 28 0C 00 A0 50 21 20 00 00 23 28 03 00 04 28 A4 00 06 18 64 00 2B 20 05 00 25 20 83 00 ?? ?? ?? 0? 01 00 03 24 05 00 60 14 25 28 85 00 08 00 E0 03 C0 17 02 00 ?? ?? ?? 0? 21 18 00 00 EA FF A0 50 00 12 02 00 BF 7F 02 3C 08 00 E0 03 FF FF 42 34 }
	condition:
		$1
}

rule file_33_0_1 {
	meta:
		name = "ieee754sp_mul"
		size = 600
		altNames = "__mulsf3"
	strings:
		$1 = { C0 3D 82 7C FF FF 43 24 FE 00 63 2C C2 3F 04 00 56 00 60 10 00 B0 84 7C 80 00 03 3C 81 FF 42 24 25 20 83 00 21 30 00 00 C0 3D A3 7C FF FF 69 24 FE 00 29 2D C2 47 05 00 40 00 20 11 00 B0 A5 7C 80 00 09 3C 25 28 A9 00 81 FF 63 24 21 50 00 00 40 00 C0 14 21 48 C0 00 00 22 04 00 00 2A 05 00 19 00 A4 00 21 10 62 00 12 50 00 00 2B 20 0A 00 10 58 00 00 25 20 8B 00 1F 00 80 04 26 38 07 01 0F 00 83 30 2B 18 03 00 02 21 04 00 25 18 64 00 7F 00 42 24 1E 00 40 18 01 00 04 24 07 00 64 30 0D 00 80 14 C0 00 64 7C FF 00 44 28 37 00 80 10 C2 18 03 00 C0 05 64 7C 02 00 80 50 21 10 00 00 00 B0 63 7C 00 3A 07 00 25 10 47 00 C0 15 02 00 08 00 E0 03 25 10 43 00 03 00 63 24 21 18 64 00 C2 26 03 00 F1 FF 80 10 FF 00 44 28 42 18 03 00 ?? ?? ?? 0? 01 00 42 24 1F 00 83 30 2B 18 03 00 42 21 04 00 25 18 64 00 ?? ?? ?? 0? 01 00 42 24 23 10 82 00 1B 00 44 28 20 00 80 50 21 18 00 00 23 20 02 00 04 20 83 00 06 10 43 00 2B 18 04 00 25 18 62 00 ?? ?? ?? 0? 01 00 02 24 1C 00 60 14 00 00 00 00 2C 00 A0 14 02 00 0A 24 01 00 0A 24 01 00 C9 34 01 00 0B 24 1C 00 2B 15 08 00 2B 31 26 10 07 01 08 00 E0 03 C0 17 02 00 0D 00 40 54 04 00 06 24 02 00 06 24 82 FF 02 24 01 00 03 24 0A 30 64 00 ?? ?? ?? 0? 0A 10 04 00 00 12 07 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 ?? ?? ?? 0? 21 10 00 00 08 00 03 24 ?? ?? ?? 0? 0B 30 64 00 04 00 A0 54 08 00 0A 24 04 00 0A 24 ?? ?? ?? 0? 04 00 C9 34 ?? ?? ?? 0? 08 00 C9 34 1F 00 60 15 04 00 2B 31 0D 00 60 11 01 00 29 31 09 00 20 55 BF 7F 02 3C 26 10 07 01 00 12 02 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 82 FF 03 24 ?? ?? ?? 0? 02 00 C9 34 08 00 E0 03 FF FF 42 34 D5 FF 20 55 26 10 07 01 02 00 C6 30 05 00 C0 10 02 00 4A 31 20 30 86 70 F8 FF C6 24 04 20 C4 00 23 10 46 00 8A FF 40 51 00 22 04 00 20 30 A6 70 F8 FF C6 24 04 28 C5 00 ?? ?? ?? 0? 23 18 66 00 BF 7F 02 3C 08 00 E0 03 FF FF 42 34 }
	condition:
		$1
}

rule file_34_0_1 {
	meta:
		name = "ieee754dp_tulong"
		size = 124
		refs = "001c ieee754dp_order 0034 ieee754dp_sub 0040 ieee754dp_tlong"
	strings:
		$1 = { E0 FF BD 27 21 30 00 00 E0 43 07 3C 18 00 B1 AF 14 00 B0 AF 1C 00 BF AF 21 80 80 00 ?? ?? ?? 0? 21 88 A0 00 0F 00 40 04 21 20 00 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? E0 43 07 3C 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 1C 00 BF 8F 00 80 04 3C 25 18 64 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 21 28 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F ?? ?? ?? 0? 20 00 BD 27 }
	condition:
		$1
}

rule file_107_0_1 {
	meta:
		name = "__fixunsdfdi"
		size = 124
		refs = "001c __orderdf2 0034 __subdf3 0040 __fixdfdi"
	strings:
		$1 = { E0 FF BD 27 21 30 00 00 E0 43 07 3C 18 00 B1 AF 14 00 B0 AF 1C 00 BF AF 21 80 80 00 ?? ?? ?? 0? 21 88 A0 00 0F 00 40 04 21 20 00 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? E0 43 07 3C 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 1C 00 BF 8F 00 80 04 3C 25 18 64 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 21 28 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F ?? ?? ?? 0? 20 00 BD 27 }
	condition:
		$1
}

rule file_35_0_1 {
	meta:
		name = "ieee754dp_cmp"
		size = 244
	strings:
		$1 = { F0 7F 03 3C 00 F0 A8 7C 01 00 69 24 2B 48 09 01 08 00 20 11 10 00 A2 8F 17 00 03 11 00 00 00 00 00 F0 E8 7C 01 00 69 24 2B 48 09 01 03 00 20 15 00 00 00 00 08 00 E0 03 C0 00 42 7C 12 00 03 11 21 40 C0 00 18 00 A0 04 21 18 E0 00 1E 00 E2 04 23 40 06 00 2A 30 A3 00 24 00 C0 54 01 00 42 30 0D 00 65 10 2B 30 88 00 1D 00 88 10 00 00 00 00 08 00 E0 03 80 00 42 7C E9 FF 80 10 F0 7F 03 3C 08 00 E0 03 C0 00 42 7C EE FF C0 10 00 00 00 00 08 00 E0 03 C0 00 42 7C F3 FF C0 10 00 00 00 00 08 00 E0 03 01 00 42 30 23 20 04 00 2B 48 04 00 23 28 05 00 23 28 A9 00 00 80 09 3C E5 FF E1 04 26 28 A9 00 23 40 06 00 2B 18 08 00 23 38 07 00 23 18 E3 00 00 80 06 3C ?? ?? ?? 0? 26 18 66 00 02 00 A3 54 80 00 42 7C 40 00 42 7C 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_36_0_1 {
	meta:
		name = "ieee754sp_logb"
		size = 76
		refs = "0014 ieee754sp_fint"
	strings:
		$1 = { C0 3D 82 7C FF FF 43 24 FE 00 63 2C 03 00 60 10 00 B0 85 7C ?? ?? ?? 0? 81 FF 44 24 05 00 40 14 80 7F 02 3C 05 00 A0 14 80 FF 04 3C 08 00 E0 03 21 10 80 00 ?? ?? ?? 0? 0A 20 45 00 20 28 A5 70 8A FF 04 24 ?? ?? ?? 0? 23 20 85 00 }
	condition:
		$1
}

rule file_37_0_1 {
	meta:
		name = "ieee754dp_one"
		size = 20
	strings:
		$1 = { C0 1A 04 00 FF 03 63 34 00 1D 03 00 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_40_0_1 {
	meta:
		name = "ieee754dp_logb"
		size = 124
		refs = "0018 ieee754dp_fint"
	strings:
		$1 = { 00 55 A2 7C FF FF 46 24 FE 07 C6 2C 21 38 80 00 03 00 C0 10 00 98 A3 7C ?? ?? ?? 0? 01 FC 44 24 08 00 40 54 25 18 83 00 25 10 83 00 0A 00 40 14 21 20 00 00 F0 FF 05 3C 21 10 80 00 08 00 E0 03 21 18 A0 00 FD FF 60 54 21 10 80 00 21 20 00 00 ?? ?? ?? 0? F0 7F 05 3C 03 00 60 14 20 10 62 70 20 10 E2 70 20 00 42 24 F5 FF 42 24 02 FC 04 24 23 18 82 00 ?? ?? ?? 0? 0B 20 62 00 }
	condition:
		$1
}

rule file_42_0_1 {
	meta:
		name = "__fixunssfdi"
		size = 88
		refs = "0010 __ordersf2 0020 __subsf3 0028 __fixsfdi"
	strings:
		$1 = { E8 FF BD 27 00 5F 05 3C 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 0B 00 40 04 21 20 00 02 ?? ?? ?? 0? 00 5F 05 3C ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 00 80 04 3C 25 18 64 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 10 00 B0 8F ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_55_0_1 {
	meta:
		name = "ieee754sp_tulong"
		size = 88
		refs = "0010 ieee754sp_order 0020 ieee754sp_sub 0028 ieee754sp_tlong"
	strings:
		$1 = { E8 FF BD 27 00 5F 05 3C 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 0B 00 40 04 21 20 00 02 ?? ?? ?? 0? 00 5F 05 3C ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 00 80 04 3C 25 18 64 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 10 00 B0 8F ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_44_0_1 {
	meta:
		name = "__divsf3"
		size = 640
		altNames = "ieee754sp_div"
	strings:
		$1 = { C0 3D 82 7C FF FF 43 24 FE 00 63 2C C2 57 04 00 82 00 60 10 00 B0 84 7C 80 00 03 3C 25 20 83 00 81 FF 42 24 21 18 00 00 C0 3D A9 7C FF FF 26 25 FE 00 C6 2C C2 5F 05 00 45 00 C0 10 00 B0 A5 7C 80 00 06 3C 25 28 A6 00 81 FF 29 25 21 30 00 00 45 00 60 14 21 38 60 00 C0 20 04 00 C0 28 05 00 1A 00 03 24 00 02 06 3C 21 40 00 00 2B 38 85 00 04 00 E0 14 FF FF 63 24 23 20 85 00 26 00 80 10 25 40 06 01 40 20 04 00 F8 FF 60 14 42 30 06 00 40 40 08 00 01 00 03 35 0B 40 64 00 20 18 03 71 7F 00 42 24 FB FF 63 24 23 48 49 00 23 48 23 01 04 40 68 00 1A 00 20 19 26 50 6A 01 07 00 02 31 08 00 40 10 FF 00 22 29 C0 00 02 7D 03 00 08 25 21 40 02 01 C2 16 08 00 0D 00 40 54 42 40 08 00 FF 00 22 29 58 00 40 10 C2 40 08 00 C0 05 02 7D 02 00 40 50 21 48 00 00 00 B0 08 7D 00 12 0A 00 25 10 22 01 C0 15 02 00 08 00 E0 03 25 10 48 00 ?? ?? ?? 0? 01 00 29 25 ?? ?? ?? 0? 40 40 08 00 01 00 02 24 23 48 49 00 1B 00 22 29 1D 00 40 50 21 40 00 00 23 10 09 00 04 10 48 00 06 48 28 01 2B 40 02 00 25 40 09 01 ?? ?? ?? 0? 01 00 09 24 41 00 20 15 00 00 00 00 38 00 A0 14 02 00 06 24 01 00 06 24 01 00 67 34 08 00 E8 30 1B 00 00 15 04 00 E8 30 0F 00 00 51 01 00 E7 30 24 18 C3 00 17 00 60 14 BF 7F 02 3C 04 00 02 24 07 00 C2 10 26 10 6A 01 00 12 02 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 ?? ?? ?? 0? 21 48 00 00 08 00 E0 03 C0 17 02 00 0C 00 E0 50 02 00 63 30 01 00 02 24 FA FF C2 54 26 10 6A 01 F2 FF 66 54 26 10 6A 01 BF 7F 02 3C 08 00 E0 03 FF FF 42 34 BF 7F 02 3C 08 00 E0 03 FF FF 42 34 05 00 60 10 02 00 C6 30 20 18 83 70 F8 FF 63 24 04 20 64 00 23 10 43 00 96 FF C0 50 C0 20 04 00 20 18 A3 70 F8 FF 63 24 04 28 65 00 ?? ?? ?? 0? 23 48 23 01 13 00 40 54 04 00 03 24 02 00 03 24 82 FF 02 24 01 00 06 24 0A 18 C4 00 ?? ?? ?? 0? 0A 10 04 00 82 FF 09 24 ?? ?? ?? 0? 02 00 67 34 00 12 0A 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 07 00 A0 54 08 00 06 24 04 00 06 24 ?? ?? ?? 0? 04 00 67 34 08 00 06 24 ?? ?? ?? 0? 0B 18 C4 00 ?? ?? ?? 0? 08 00 67 34 }
	condition:
		$1
}

rule file_45_0_1 {
	meta:
		name = "__floatdidf"
		size = 824
		refs = "02e0 __lshrdi3"
		altNames = "ieee754dp_flong"
	strings:
		$1 = { D0 FF BD 27 25 10 85 00 18 00 B1 AF 14 00 B0 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 21 80 00 00 4B 00 40 10 21 88 00 00 01 00 02 24 5C 00 82 10 C2 A7 05 00 FF FF 02 24 7D 00 82 10 0A 00 02 24 84 00 82 10 F6 FF 02 24 66 00 82 10 FF FF 02 24 4A 00 80 16 21 90 80 00 21 98 A0 00 78 00 60 16 21 28 60 02 E8 FF 03 24 20 10 42 72 23 10 62 00 36 04 43 24 7B 00 40 18 00 00 00 00 27 20 02 00 40 40 13 00 23 30 02 00 04 40 88 00 06 20 52 00 20 00 47 30 25 20 04 01 06 10 53 00 20 00 C9 30 0B 20 47 00 04 50 D2 00 03 00 20 15 0B 10 07 00 04 28 C5 00 25 50 B2 00 2B 50 0A 00 25 90 44 01 21 98 40 00 7D 00 60 18 01 00 15 24 07 00 44 32 12 00 80 10 FF 07 62 28 C0 00 42 7E 03 00 42 24 21 10 42 02 2B 20 52 00 21 20 93 00 21 90 40 00 00 06 82 7C 08 00 40 10 21 98 80 00 42 10 12 00 C0 27 04 00 25 20 82 00 42 10 13 00 21 90 80 00 21 98 40 00 01 00 63 24 FF 07 62 28 7F 00 40 10 C2 10 13 00 40 2F 13 00 C2 90 12 00 00 05 44 7C 78 00 80 10 25 90 B2 00 00 98 42 7C C0 A2 14 00 25 18 74 00 00 1D 03 00 21 80 40 02 25 88 62 00 2C 00 BF 8F 21 10 00 02 21 18 20 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 47 00 80 10 00 80 02 3C 23 20 04 00 2B 10 04 00 23 28 05 00 23 28 A2 00 21 90 80 00 ?? ?? ?? 0? 21 98 A0 00 A5 FF A0 14 FF FF 02 24 C0 A2 14 00 2C 00 BF 8F FF 03 94 36 00 8D 14 00 21 80 00 00 21 10 00 02 21 18 20 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 9A FF A2 14 00 00 00 00 C0 A2 14 00 02 04 94 36 2C 00 BF 8F 00 A5 14 00 04 00 02 3C 25 88 82 02 21 80 00 00 21 10 00 02 21 18 20 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 83 FF A4 14 00 00 00 00 ?? ?? ?? 0? C0 A2 14 00 08 00 03 24 20 10 62 72 23 10 62 00 ?? ?? ?? 0? 36 04 43 24 7C FF A0 14 00 00 00 00 ?? ?? ?? 0? C0 A2 14 00 9A FF 40 10 07 00 44 32 23 10 02 00 42 30 12 00 27 28 02 00 04 20 53 00 06 28 A6 00 04 90 52 00 25 20 A4 00 20 00 42 30 0B 20 42 02 21 98 80 00 ?? ?? ?? 0? 0B 90 02 00 BA FF A2 14 23 20 04 00 3E 04 03 24 08 00 02 24 00 80 05 3C 21 90 00 00 ?? ?? ?? 0? 00 80 13 3C 23 A8 A3 02 38 00 A2 2A 10 00 40 50 01 00 12 24 21 30 A0 02 21 20 40 02 23 A8 15 00 ?? ?? ?? 0? 21 28 60 02 20 00 A6 32 03 00 C0 14 04 20 B2 02 04 A8 B3 02 25 20 B2 02 2B 20 04 00 21 98 60 00 25 90 82 00 ?? ?? ?? 0? 01 00 03 24 21 98 00 00 ?? ?? ?? 0? 01 00 03 24 ?? ?? ?? 0? 21 18 00 00 C0 A2 14 00 FF 07 94 36 00 8D 14 00 ?? ?? ?? 0? 21 80 00 00 }
	condition:
		$1
}

rule file_46_0_1 {
	meta:
		name = "ieee754dp_floor"
		size = 100
		refs = "0008 ieee754dp_nmodf 0024 ieee754dp_cmp 0050 ieee754dp_sub"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF ?? ?? ?? 0? 18 00 A6 27 21 20 40 00 21 28 60 00 01 00 02 24 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 10 00 A2 AF 05 00 40 14 24 00 BF 8F 18 00 A2 8F 1C 00 A3 8F 08 00 E0 03 28 00 BD 27 18 00 A4 8F 1C 00 A5 8F 21 30 00 00 ?? ?? ?? 0? F0 3F 07 3C 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_46_1_1 {
	meta:
		name = "ieee754dp_ceil"
		size = 100
		refs = "0008 ieee754dp_nmodf 0024 ieee754dp_cmp 0050 ieee754dp_add"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF ?? ?? ?? 0? 18 00 A6 27 21 20 40 00 21 28 60 00 04 00 02 24 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 10 00 A2 AF 05 00 40 14 24 00 BF 8F 18 00 A2 8F 1C 00 A3 8F 08 00 E0 03 28 00 BD 27 18 00 A4 8F 1C 00 A5 8F 21 30 00 00 ?? ?? ?? 0? F0 3F 07 3C 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_46_2_1 {
	meta:
		name = "ieee754dp_trunc"
		size = 36
		refs = "0008 ieee754dp_nmodf"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A6 27 1C 00 BF 8F 10 00 A2 8F 14 00 A3 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_49_0_1 {
	meta:
		name = "ieee754sp_min"
		size = 16
	strings:
		$1 = { 00 12 04 00 01 00 42 34 08 00 E0 03 C0 15 02 00 }
	condition:
		$1
}

rule file_50_0_1 {
	meta:
		name = "ieee754dp_div"
		size = 1200
		refs = "02b8 __lshrdi3 0434 __ashldi3"
		altNames = "__divdf3"
	strings:
		$1 = { B8 FF BD 27 20 00 B0 AF 00 55 B0 7C FF FF 02 26 FE 07 42 2C 40 00 BE AF 3C 00 B7 AF 34 00 B5 AF 24 00 B1 AF 44 00 BF AF 38 00 B6 AF 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 21 88 C0 00 C2 F7 05 00 21 B8 80 00 C3 00 40 10 00 98 B5 7C 10 00 02 3C 25 A8 A2 02 01 FC 10 26 21 10 00 00 00 55 F4 7C FF FF 83 26 FE 07 63 2C C2 47 07 00 21 B0 20 02 9F 00 60 10 00 98 E7 7C 10 00 03 3C 25 38 E3 00 01 FC 94 26 21 48 00 00 9F 00 40 14 21 18 40 00 42 1F 16 00 42 17 17 00 C0 A8 15 00 C0 48 07 00 25 A8 55 00 25 48 69 00 C0 10 17 00 C0 B0 16 00 23 80 14 02 37 00 03 24 21 20 00 00 40 00 05 3C 21 60 00 00 ?? ?? ?? 0? 21 68 00 00 C2 27 02 00 40 A8 15 00 25 A8 95 00 40 10 02 00 21 20 C0 00 64 00 60 10 21 28 E0 00 42 30 04 00 C0 57 05 00 25 50 46 01 42 58 05 00 21 30 40 01 2B 50 A9 02 21 38 60 01 F1 FF 40 15 FF FF 63 24 25 78 A5 01 23 50 56 00 25 C0 84 01 21 28 E0 01 2B 58 4A 00 23 70 A9 02 21 20 00 03 03 00 35 15 2B 78 56 00 E7 FF E0 55 C2 27 02 00 23 A8 CB 01 21 10 40 01 25 50 55 01 21 60 80 00 E0 FF 40 15 21 68 A0 00 C2 17 04 00 40 B8 05 00 25 B8 57 00 40 B0 04 00 03 00 E0 16 20 10 E2 72 20 10 C2 72 20 00 42 24 F8 FF 42 24 0D 00 40 50 FF 03 10 26 42 28 16 00 27 20 02 00 04 18 57 00 06 28 85 00 04 B0 56 00 20 00 44 30 25 18 A3 00 0B 18 C4 02 21 B8 60 00 0B B0 04 00 23 80 02 02 FF 03 10 26 3A 00 00 1A 26 F0 1E 01 07 00 C3 32 0B 00 60 10 FF 07 02 2A C0 00 C2 7E 03 00 42 24 21 10 C2 02 2B 18 56 00 21 18 77 00 21 B0 40 00 00 06 62 7C 1D 00 40 14 21 B8 60 00 FF 07 02 2A 73 00 40 10 C2 10 17 00 40 27 17 00 C2 B0 16 00 00 05 43 7C 6C 00 60 10 25 B0 96 00 00 98 42 7C C0 F2 1E 00 25 80 1E 02 00 85 10 00 21 90 C0 02 25 98 02 02 44 00 BF 8F 21 10 40 02 21 18 60 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 42 10 16 00 C0 1F 03 00 25 18 62 00 42 10 17 00 21 B0 60 00 21 B8 40 00 ?? ?? ?? 0? 01 00 10 26 C2 1F 0C 00 40 B8 0D 00 25 A8 55 00 25 B8 77 00 B6 FF A0 12 40 B0 0C 00 01 00 C3 36 ?? ?? ?? 0? 21 B0 60 00 01 00 02 24 23 80 50 00 38 00 02 2A 10 00 40 50 01 00 16 24 21 30 00 02 21 20 C0 02 23 80 10 00 ?? ?? ?? 0? 21 28 E0 02 20 00 06 32 03 00 C0 14 04 20 16 02 04 80 17 02 25 20 16 02 2B 20 04 00 25 B0 82 00 21 B8 60 00 ?? ?? ?? 0? 01 00 10 24 ?? ?? ?? 0? 21 B8 00 00 24 00 80 16 25 18 27 02 1F 00 60 14 02 00 09 24 01 00 09 24 01 00 43 34 F7 7F 13 3C 08 00 65 30 FF FF 12 24 C1 FF A0 14 FF FF 73 36 04 00 65 30 2D 00 A0 50 01 00 63 30 24 10 22 01 BB FF 40 14 04 00 02 24 25 00 22 51 26 40 1E 01 26 10 1E 01 C0 12 02 00 FF 07 42 34 00 9D 02 00 ?? ?? ?? 0? 21 90 00 00 10 00 00 56 25 28 95 00 25 18 95 00 02 00 02 24 02 FC 10 24 01 00 05 24 0A 10 A3 00 ?? ?? ?? 0? 0A 80 03 00 02 FC 14 24 ?? ?? ?? 0? 02 00 43 34 08 00 60 54 08 00 09 24 04 00 09 24 ?? ?? ?? 0? 04 00 43 34 04 00 02 24 08 00 03 24 ?? ?? ?? 0? 0B 10 65 00 ?? ?? ?? 0? 08 00 43 34 ?? ?? ?? 0? 21 80 00 00 C0 F2 1E 00 FF 07 DE 37 00 9D 1E 00 ?? ?? ?? 0? 21 90 00 00 C0 9F 08 00 ?? ?? ?? 0? 21 90 00 00 08 00 60 50 02 00 42 30 01 00 03 24 F9 FF 23 55 26 40 1E 01 D4 FF 49 14 26 10 1E 01 ?? ?? ?? 0? 44 00 BF 8F 17 00 40 50 02 00 29 31 03 00 A0 16 20 50 AA 72 20 50 8A 70 20 00 4A 25 F5 FF 4A 25 10 00 40 51 02 00 29 31 21 28 A0 02 21 30 40 01 14 00 A7 AF 1C 00 A8 AF 18 00 A9 AF ?? ?? ?? 0? 10 00 AA AF 10 00 AA 8F 18 00 A9 8F 1C 00 A8 8F 14 00 A7 8F 21 B8 40 00 21 A8 60 00 23 80 0A 02 02 00 29 31 0D FF 20 11 42 1F 16 00 03 00 E0 14 20 48 E9 70 20 48 29 72 20 00 29 25 F5 FF 29 25 06 FF 20 51 42 1F 16 00 21 28 E0 00 21 30 20 01 21 20 20 02 1C 00 A8 AF ?? ?? ?? 0? 18 00 A9 AF 18 00 A9 8F 21 B0 40 00 21 38 60 00 23 A0 89 02 ?? ?? ?? 0? 1C 00 A8 8F }
	condition:
		$1
}

rule file_51_0_1 {
	meta:
		name = "ieee754sp_snan"
		size = 28
	strings:
		$1 = { 00 22 04 00 FF 00 84 34 7F 00 02 3C C0 25 04 00 FF FF 42 34 08 00 E0 03 25 10 82 00 }
	condition:
		$1
}

rule file_53_0_1 {
	meta:
		name = "__fixsfsi"
		size = 136
		altNames = "ieee754sp_tint"
	strings:
		$1 = { C0 3D 85 7C FF FF A3 24 FE 00 63 2C C2 3F 04 00 1A 00 60 10 00 B0 84 7C 81 FF A3 24 1F 00 66 28 0C 00 C0 10 00 80 02 24 0A 00 60 04 21 10 00 00 80 00 02 3C 18 00 66 28 08 00 C0 14 25 20 82 00 6A FF A5 24 04 20 A4 00 23 10 04 00 08 00 E0 03 0A 10 87 00 08 00 E0 03 00 00 00 00 17 00 02 24 FA FF 62 50 23 10 04 00 23 18 43 00 06 20 64 00 23 10 04 00 08 00 E0 03 0A 10 87 00 00 80 02 24 08 00 E0 03 0A 10 05 00 }
	condition:
		$1
}

rule file_54_0_1 {
	meta:
		name = "__sqrtdf2"
		size = 568
		refs = "0200 __ashldi3"
		altNames = "ieee754dp_nsqrt"
	strings:
		$1 = { D8 FF BD 27 14 00 B0 AF 00 55 B0 7C FF FF 06 26 FE 07 C6 2C 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF C2 8F 05 00 21 10 80 00 66 00 C0 10 00 98 A3 7C 10 00 04 3C 01 FC 10 26 25 18 64 00 F7 7F 05 3C FF FF 04 24 4B 00 20 16 FF FF A5 34 01 00 04 32 57 00 80 14 40 20 02 00 40 30 02 00 2B 10 C2 00 40 18 03 00 43 80 10 00 21 10 43 00 36 00 0C 24 21 20 00 00 20 00 05 3C 21 70 00 00 21 78 00 00 21 50 00 00 21 58 00 00 21 18 44 01 42 48 04 00 2B 40 6A 00 C0 6F 05 00 21 38 65 01 25 68 A9 01 21 38 07 01 42 C0 05 00 21 40 A0 01 2B 68 47 00 21 48 00 03 1A 00 A0 15 FF FF 8C 25 21 68 C4 01 21 C0 64 00 21 C8 E5 00 21 98 E5 01 2B 90 03 03 2B 28 AE 01 21 88 A0 01 21 90 59 02 23 68 C3 00 21 98 B3 00 21 20 20 02 21 C8 40 02 2B 88 CD 00 23 90 47 00 21 28 60 02 03 00 E2 14 2B 18 C3 00 08 00 60 14 40 18 06 00 21 30 A0 01 23 10 51 02 21 50 00 03 21 58 20 03 21 70 80 00 21 78 A0 00 40 18 06 00 2B 20 66 00 40 10 02 00 21 10 82 00 21 30 60 00 21 20 00 01 D3 FF 80 15 21 28 20 01 25 10 62 00 14 00 40 14 01 00 C2 31 00 85 10 00 E0 3F 07 3C C0 27 0F 00 42 18 0E 00 21 80 07 02 43 10 0F 00 25 18 83 00 21 10 02 02 21 20 60 00 21 28 40 00 24 00 BF 8F 21 10 80 00 21 18 A0 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 18 4E 00 2B 10 62 00 21 20 4F 00 21 70 60 00 ?? ?? ?? 0? 21 78 80 00 2B 28 82 00 40 18 03 00 21 10 80 00 ?? ?? ?? 0? 21 18 A3 00 11 00 00 56 25 18 83 00 25 30 83 00 E9 FF C0 10 24 00 BF 8F 03 00 60 14 20 90 72 70 20 90 52 70 20 00 52 26 F5 FF 52 26 93 FF 40 12 02 FC 10 24 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 30 40 02 ?? ?? ?? 0? 23 80 12 02 05 00 60 10 00 00 00 00 F7 7F 05 3C FF FF 04 24 ?? ?? ?? 0? FF FF A5 34 FC FF 20 56 F7 7F 05 3C ?? ?? ?? 0? 24 00 BF 8F }
	condition:
		$1
}

rule file_56_0_1 {
	meta:
		name = "__floatsisf"
		size = 356
		altNames = "ieee754sp_fint"
	strings:
		$1 = { 33 00 80 10 21 10 00 00 01 00 02 24 32 00 82 10 C2 2F 04 00 FF FF 02 24 30 00 82 10 00 12 05 00 0A 00 02 24 39 00 82 10 00 12 05 00 F6 FF 02 24 36 00 82 10 00 12 05 00 06 00 A0 10 C2 16 04 00 00 80 02 3C 29 00 82 10 1A 00 02 24 23 20 04 00 C2 16 04 00 24 00 40 14 1A 00 03 24 20 10 82 70 FB FF 42 24 04 20 44 00 23 10 62 00 7F 00 42 24 2B 00 40 18 01 00 03 24 07 00 83 30 0A 00 60 10 FF 00 43 28 C0 00 83 7C 03 00 84 24 21 20 83 00 C2 1E 04 00 04 00 60 10 FF 00 43 28 42 20 04 00 01 00 42 24 FF 00 43 28 28 00 60 10 C2 20 04 00 C0 05 83 7C 02 00 60 50 21 10 00 00 00 B0 84 7C 00 2A 05 00 25 10 45 00 C0 15 02 00 25 10 44 00 08 00 E0 03 00 00 00 00 00 12 05 00 7F 00 42 34 08 00 E0 03 C0 15 02 00 1A 00 02 24 42 18 04 00 01 00 84 30 25 20 83 00 C2 1E 04 00 FB FF 60 14 01 00 42 24 ?? ?? ?? 0? 7F 00 42 24 82 00 42 34 C0 15 02 00 20 00 03 3C 08 00 E0 03 25 10 43 00 23 10 62 00 1B 00 43 28 0C 00 60 50 21 20 00 00 23 18 02 00 04 18 64 00 06 10 44 00 2B 20 03 00 25 20 82 00 ?? ?? ?? 0? 01 00 02 24 00 12 05 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_57_0_1 {
	meta:
		name = "ieee754dp_tuns"
		size = 124
		refs = "001c ieee754dp_order 0034 ieee754dp_sub 0040 ieee754dp_tint"
	strings:
		$1 = { E0 FF BD 27 21 30 00 00 E0 41 07 3C 18 00 B1 AF 14 00 B0 AF 1C 00 BF AF 21 80 80 00 ?? ?? ?? 0? 21 88 A0 00 0F 00 40 04 21 20 00 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? E0 41 07 3C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 00 80 03 3C 25 10 43 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 21 28 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F ?? ?? ?? 0? 20 00 BD 27 }
	condition:
		$1
}

rule file_68_0_1 {
	meta:
		name = "__fixunsdfsi"
		size = 124
		refs = "001c __orderdf2 0034 __subdf3 0040 __fixdfsi"
	strings:
		$1 = { E0 FF BD 27 21 30 00 00 E0 41 07 3C 18 00 B1 AF 14 00 B0 AF 1C 00 BF AF 21 80 80 00 ?? ?? ?? 0? 21 88 A0 00 0F 00 40 04 21 20 00 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? E0 41 07 3C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 00 80 03 3C 25 10 43 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 21 28 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F ?? ?? ?? 0? 20 00 BD 27 }
	condition:
		$1
}

rule file_60_0_1 {
	meta:
		name = "ieee754sp_inf"
		size = 16
	strings:
		$1 = { 00 12 04 00 FF 00 42 34 08 00 E0 03 C0 15 02 00 }
	condition:
		$1
}

rule file_61_0_1 {
	meta:
		name = "ieee754dp_fint"
		size = 148
		altNames = "__floatsidf"
	strings:
		$1 = { 21 30 00 00 15 00 80 10 21 38 00 00 C2 2F 04 00 05 00 A0 10 01 00 02 24 00 80 02 3C 19 00 82 10 23 20 04 00 01 00 02 24 0F 00 82 10 20 40 88 70 01 00 02 25 04 20 44 00 02 1B 04 00 00 15 04 00 1E 04 04 24 23 40 88 00 C0 2A 05 00 25 28 05 01 00 2D 05 00 21 30 40 00 25 38 A3 00 21 10 C0 00 08 00 E0 03 21 18 E0 00 C0 2A 05 00 FF 03 A5 34 00 3D 05 00 21 30 00 00 21 10 C0 00 08 00 E0 03 21 18 E0 00 1E 04 08 24 21 10 00 00 ?? ?? ?? 0? 21 18 00 00 }
	condition:
		$1
}

rule file_61_1_1 {
	meta:
		name = "ieee754dp_funs"
		size = 60
		refs = "0010 ieee754dp_fint 0034 ieee754dp_add"
	strings:
		$1 = { E8 FF BD 27 04 00 80 04 14 00 BF AF 14 00 BF 8F ?? ?? ?? 0? 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 21 30 40 00 14 00 BF 8F 21 38 60 00 21 20 00 00 E0 41 05 3C ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_64_0_1 {
	meta:
		name = "ieee754dp_tint"
		size = 128
		altNames = "__fixdfsi"
	strings:
		$1 = { 00 55 A3 7C FF FF 66 24 FE 07 C6 2C C2 3F 05 00 18 00 C0 10 00 98 A5 7C 01 FC 63 24 1F 00 66 28 12 00 C0 10 00 80 02 24 10 00 60 04 21 10 00 00 34 00 02 24 23 18 43 00 10 00 02 3C 25 28 A2 00 40 30 05 00 27 10 03 00 04 30 46 00 06 20 64 00 20 00 62 30 25 20 C4 00 06 18 65 00 0B 20 62 00 23 10 04 00 08 00 E0 03 0A 10 87 00 08 00 E0 03 00 00 00 00 00 80 02 24 08 00 E0 03 0A 10 03 00 }
	condition:
		$1
}

rule file_66_0_1 {
	meta:
		name = "ieee754sp_finite"
		size = 16
	strings:
		$1 = { 40 20 04 00 00 FF 02 3C 08 00 E0 03 2B 10 82 00 }
	condition:
		$1
}

rule file_66_1_1 {
	meta:
		name = "ieee754sp_copysign"
		size = 20
	strings:
		$1 = { 26 28 A4 00 00 80 02 3C 24 10 A2 00 08 00 E0 03 26 10 44 00 }
	condition:
		$1
}

rule file_67_0_1 {
	meta:
		name = "ieee754dp_1e31"
		size = 20
	strings:
		$1 = { C0 1A 04 00 1E 04 63 34 00 1D 03 00 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_70_0_1 {
	meta:
		name = "ieee754dp_nmodf"
		size = 452
		altNames = "__modf"
	strings:
		$1 = { 00 55 A3 7C FF FF 67 24 FE 07 E7 2C 21 10 80 00 C2 6F 05 00 5F 00 E0 10 00 98 A8 7C 01 FC 67 24 61 00 E0 04 34 00 E4 28 4D 00 80 10 34 00 04 24 10 00 09 3C 23 20 87 00 25 48 09 01 40 00 08 24 23 40 04 01 27 78 04 00 40 60 09 00 27 70 08 00 04 60 EC 01 06 28 82 00 42 C0 02 00 20 00 8B 30 06 50 89 00 06 C0 D8 01 25 28 85 01 04 48 09 01 20 00 0C 31 0B 28 4B 01 04 10 02 01 25 48 09 03 0B 48 4C 00 42 C0 05 00 0B 50 0B 00 06 78 F8 01 04 50 8A 00 0B 10 0C 00 40 C0 09 00 04 20 85 00 25 50 EA 01 06 10 02 01 C0 7A 0D 00 04 70 D8 01 EF FF 05 3C 0B 50 8B 00 06 40 09 01 FF FF A5 34 25 18 E3 01 25 10 C2 01 0B 10 0C 01 24 50 45 01 00 1D 03 00 0B 40 0C 00 0B 20 0B 00 25 50 43 01 25 28 48 00 00 00 C4 AC 26 00 A0 10 04 00 CA AC 21 00 00 11 20 18 03 71 3F 00 06 24 21 20 00 00 0F 00 66 10 21 28 00 00 01 00 66 24 27 48 06 00 42 50 02 00 06 50 2A 01 04 40 C8 00 20 00 C9 30 04 10 C2 00 25 40 48 01 0B 40 49 00 0B 10 09 00 00 35 08 00 02 23 02 00 25 20 C4 00 02 2B 08 00 0A 04 E7 24 23 18 E3 00 25 78 6F 00 00 7D 0F 00 25 28 AF 00 21 10 80 00 08 00 E0 03 21 18 A0 00 00 00 C2 AC 04 00 C5 AC 21 10 00 00 C0 2F 0D 00 08 00 E0 03 21 18 A0 00 20 18 43 70 ?? ?? ?? 0? 20 00 63 24 C0 2F 0D 00 21 10 00 00 08 00 E0 03 21 18 A0 00 09 00 60 54 00 00 C2 AC 25 40 88 00 06 00 00 51 00 00 C2 AC C0 6F 0D 00 04 00 CD AC 00 00 C0 AC 08 00 E0 03 21 18 A0 00 ?? ?? ?? 0? 04 00 C5 AC }
	condition:
		$1
}

rule file_71_0_1 {
	meta:
		name = "ieee754dp_qnan"
		size = 32
	strings:
		$1 = { C0 1A 04 00 FF 07 63 34 07 00 02 3C FF FF 42 34 00 1D 03 00 25 18 62 00 08 00 E0 03 FF FF 02 24 }
	condition:
		$1
}

rule file_73_0_1 {
	meta:
		name = "__frexp"
		size = 228
		refs = "00cc __ashldi3"
		altNames = "ieee754dp_nfrexp"
	strings:
		$1 = { D8 FF BD 27 14 00 B0 AF 00 55 B0 7C FF FF 02 26 FE 07 42 2C 1C 00 B2 AF 18 00 B1 AF 24 00 BF AF 21 88 C0 00 20 00 B3 AF C2 97 05 00 21 38 80 00 17 00 40 10 00 98 A6 7C 10 00 02 3C 01 FC 10 26 25 30 C2 00 C0 92 12 00 EF FF 05 3C FF FF A5 34 FE 03 52 36 01 00 10 26 24 30 C5 00 00 95 12 00 00 00 30 AE 21 20 E0 00 25 28 D2 00 24 00 BF 8F 21 10 80 00 21 18 A0 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 F6 FF 00 56 00 00 20 AE 25 10 86 00 03 00 40 14 00 00 00 00 ?? ?? ?? 0? 00 00 20 AE 03 00 C0 14 20 98 D3 70 20 98 93 70 20 00 73 26 F5 FF 73 26 E0 FF 60 12 02 FC 10 24 21 28 C0 00 ?? ?? ?? 0? 21 30 60 02 21 38 40 00 21 30 60 00 ?? ?? ?? 0? 23 80 13 02 }
	condition:
		$1
}

rule file_77_0_1 {
	meta:
		name = "ieee754dp_inf"
		size = 20
	strings:
		$1 = { C0 1A 04 00 FF 07 63 34 00 1D 03 00 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_78_0_1 {
	meta:
		name = "ieee754sp_cmp"
		size = 128
	strings:
		$1 = { 00 FF 02 3C 40 18 04 00 01 00 42 24 2B 18 62 00 19 00 60 50 C0 00 C2 7C 40 18 05 00 2B 10 62 00 15 00 40 10 C0 00 C2 7C 0E 00 80 04 21 18 A0 00 0A 00 A2 04 00 80 03 3C 2A 10 83 00 05 00 40 14 26 20 83 00 40 00 C2 7C 80 00 C6 7C 08 00 E0 03 0B 10 C4 00 08 00 E0 03 01 00 C2 30 ?? ?? ?? 0? 23 18 65 00 00 80 02 3C F3 FF A1 04 23 20 44 00 ?? ?? ?? 0? 00 80 03 3C 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_81_0_1 {
	meta:
		name = "__negdf2"
		size = 16
		altNames = "ieee754dp_neg"
	strings:
		$1 = { 00 80 03 3C 26 18 A3 00 08 00 E0 03 21 10 80 00 }
	condition:
		$1
}

rule file_85_0_1 {
	meta:
		name = "ieee754sp_nmodf"
		size = 332
		refs = "009c builddp"
	strings:
		$1 = { C0 3D 83 7C 21 10 80 00 FF FF 64 24 D8 FF BD 27 FE 00 84 2C 18 00 B2 AF 14 00 B1 AF 21 90 A0 00 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 10 00 B0 AF C2 8F 02 00 37 00 80 10 00 B0 45 7C 81 FF 70 24 38 00 00 06 17 00 04 2A 0B 00 80 14 17 00 13 24 00 00 42 AE C0 17 11 00 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 80 00 14 3C 23 98 70 02 25 A0 B4 00 06 30 74 02 7F FF 02 3C 04 30 66 02 FF FF 42 34 21 28 60 00 21 20 20 02 ?? ?? ?? 0? 24 30 C2 00 20 00 03 24 23 98 73 00 04 A0 74 02 06 A0 74 02 00 00 42 AE E7 FF 80 12 C0 17 11 00 20 18 83 72 1F 00 02 24 04 00 62 10 21 98 00 00 01 00 73 24 04 A0 74 02 42 9A 14 00 87 00 02 26 00 8A 11 00 23 10 43 00 24 00 BF 8F 25 10 51 00 C0 15 02 00 25 10 62 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 D0 FF 60 54 00 00 42 AE CE FF A0 50 00 00 42 AE 24 00 BF 8F C0 8F 11 00 00 00 51 AE 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_86_0_1 {
	meta:
		name = "ieee754sp_class"
		size = 68
	strings:
		$1 = { C0 3D 83 7C FF FF 65 24 FE 00 A5 2C 00 B0 84 7C 03 00 A0 10 21 10 00 00 08 00 E0 03 00 00 00 00 05 00 60 14 08 00 03 24 02 00 02 24 01 00 03 24 08 00 E0 03 0A 10 64 00 04 00 02 24 08 00 E0 03 0B 10 64 00 }
	condition:
		$1
}

rule file_88_0_1 {
	meta:
		name = "ieee754dp_tstr"
		size = 1620
		refs = "0038 ieee754dp_finite 0058 ieee754dp_cmp 00a0 ieee754dp_zero 0194 malloc 01a4 ieee754dp_one 01b4 ieee754dp_nldexp 01dc ieee754dp_ten 01f8 ieee754dp_div 0208 ieee754dp_nmodf 021c ieee754dp_add 0238 ieee754dp_mul 0244 ieee754dp_tint 0530 ieee754dp_neg"
	strings:
		$1 = { 98 FF BD 27 54 00 B5 AF 50 00 B4 AF 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 4C 00 B3 AF 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 68 00 A4 AF 6C 00 A5 AF 21 A0 C0 00 ?? ?? ?? 0? 21 A8 E0 00 3E 00 40 14 68 00 A4 8F 6C 00 A5 8F 0D 00 02 24 21 30 80 00 21 38 A0 00 ?? ?? ?? 0? 10 00 A2 AF 0F 00 40 10 ?? ?? 12 3C ?? ?? 52 26 64 00 BF 8F 21 10 40 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 ?? ?? ?? 0? 21 20 00 00 68 00 A4 8F 6C 00 A5 8F 21 30 40 00 21 38 60 00 01 00 02 24 ?? ?? ?? 0? 10 00 A2 AF 0F 00 40 10 64 00 BF 8F ?? ?? 12 3C ?? ?? 52 26 21 10 40 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 ?? ?? 12 3C ?? ?? 52 26 21 10 40 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 ?? ?? ?? 0? 21 20 00 00 68 00 A4 8F 6C 00 A5 8F 28 00 A2 AF 21 30 40 00 21 38 60 00 01 00 02 24 2C 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF F0 00 40 14 68 00 A4 8F 6C 00 A5 8F 21 F0 00 00 28 00 A6 8F 2C 00 A7 8F 02 00 10 24 ?? ?? ?? 0? 10 00 B0 AF AA 00 40 10 21 B8 00 00 ?? ?? ?? 0? 25 00 04 24 B3 FF 40 10 21 90 40 00 ?? ?? ?? 0? 21 20 00 00 21 20 40 00 21 28 60 00 ?? ?? ?? 0? FA FF 06 24 30 00 A2 AF 34 00 A3 AF 24 00 50 26 24 00 40 A2 21 88 00 00 02 00 13 24 ?? ?? ?? 0? 24 00 16 24 ?? ?? ?? 0? FF FF 10 26 68 00 A4 8F 6C 00 A5 8F 21 38 60 00 21 30 40 00 38 00 A2 AF ?? ?? ?? 0? 3C 00 A3 AF 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 68 00 A6 27 30 00 A6 8F 34 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 38 00 A8 8F 3C 00 A9 8F 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 20 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 30 00 42 24 01 00 31 26 09 00 36 12 00 00 02 A2 68 00 A4 8F 28 00 A6 8F 2C 00 A7 8F 6C 00 A5 8F ?? ?? ?? 0? 10 00 B3 AF D9 FF 40 10 21 20 00 00 00 00 82 2A 0B A0 02 00 01 00 82 26 2A 18 51 00 0E 00 60 10 21 88 37 02 21 10 02 02 00 00 43 80 00 00 40 A0 35 00 62 28 08 00 40 14 21 10 14 02 21 18 80 02 00 00 44 80 39 00 85 28 51 00 A0 10 FF FF 63 24 01 00 84 24 00 00 44 A0 04 00 C0 13 21 10 40 02 2D 00 02 24 00 00 42 A2 01 00 42 26 00 00 03 82 44 00 60 50 30 00 03 24 00 00 43 A0 01 00 10 26 01 00 42 24 FF FF 31 26 99 00 80 12 2E 00 03 24 00 00 43 A0 01 00 42 24 00 00 03 82 09 00 60 10 00 00 00 00 0F 00 80 52 45 00 03 24 00 00 43 A0 01 00 10 26 00 00 03 82 FF FF 94 26 F9 FF 60 14 01 00 42 24 06 00 80 1A 30 00 03 24 21 A0 54 00 00 00 43 A0 01 00 42 24 FE FF 54 54 00 00 43 A0 45 00 03 24 03 00 A3 12 47 00 B5 3A 65 00 04 24 0B 18 95 00 79 00 20 06 00 00 43 A0 2B 00 03 24 01 00 43 A0 2A 00 20 12 02 00 49 24 21 20 00 00 1B 00 A3 27 0A 00 05 24 1A 00 25 02 F4 01 A0 00 FF FF 63 24 01 00 84 24 10 30 00 00 30 00 C6 24 12 88 00 00 F8 FF 20 16 00 00 66 A0 01 00 02 24 70 00 82 10 30 00 02 24 FF FF 84 24 01 00 65 24 21 40 A4 00 ?? ?? ?? 0? 21 30 20 01 01 00 A5 24 00 00 67 90 21 18 A0 00 00 00 C7 A0 FB FF A8 14 01 00 C6 24 01 00 82 24 21 10 22 01 ?? ?? ?? 0? 00 00 40 A0 00 00 43 A0 ?? ?? ?? 0? 01 00 42 24 00 00 40 A0 AA FF 61 04 FF FF 42 24 FF FF 10 26 31 00 02 24 00 00 02 A2 ?? ?? ?? 0? 01 00 31 26 30 00 03 24 02 00 43 A0 03 00 43 A0 04 00 42 24 ?? ?? ?? 0? 00 00 40 A0 68 00 A4 8F 6C 00 A5 8F ?? ?? ?? 0? 20 00 A6 27 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 10 00 B0 AF 48 00 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 00 21 20 00 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 30 00 A2 AF 34 00 A3 AF ?? ?? ?? 0? 02 00 16 24 ?? ?? ?? 0? 01 00 F7 26 21 80 40 00 21 88 60 00 30 00 A6 8F 34 00 A7 8F 68 00 B2 8F 6C 00 B3 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 38 60 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 30 40 00 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 20 00 A6 27 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 10 00 B6 AF 21 20 00 02 21 28 20 02 30 00 A6 8F E2 FF 40 14 34 00 A7 8F 68 00 A4 8F 6C 00 A5 8F 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 68 00 A2 AF ?? ?? ?? 0? 6C 00 A3 AF 6C 00 A5 8F ?? ?? ?? 0? 01 00 1E 24 21 20 40 00 21 28 60 00 68 00 A2 AF ?? ?? ?? 0? 6C 00 A3 AF 2D 00 03 24 23 88 11 00 01 00 43 A0 ?? ?? ?? 0? 02 00 49 24 78 00 A3 8F 69 FF 60 50 00 00 03 82 ?? ?? ?? 0? 2E 00 03 24 00 00 22 A1 21 20 00 00 ?? ?? ?? 0? 01 00 29 25 ?? ?? ?? 0? 21 20 00 00 21 20 00 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 20 40 00 21 28 60 00 ?? ?? ?? 0? FF FF 06 24 30 00 A2 AF 34 00 A3 AF 02 00 12 24 34 00 A7 8F 30 00 A6 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 68 00 A4 8F 6C 00 A5 8F 01 00 06 24 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 20 40 00 21 38 20 02 21 30 00 02 21 28 60 00 68 00 A2 AF ?? ?? ?? 0? 6C 00 A3 AF 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 20 00 A6 27 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 21 28 60 00 FF FF F7 26 ?? ?? ?? 0? 10 00 B2 AF E3 FF 40 50 34 00 A7 8F 68 00 A4 8F 6C 00 A5 8F 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 68 00 A2 AF ?? ?? ?? 0? 6C 00 A3 AF }
	condition:
		$1
}

rule file_90_0_1 {
	meta:
		name = "__gtsf2"
		size = 60
		refs = "0024 __ordersf2"
		altNames = "__gesf2"
	strings:
		$1 = { 00 FF 02 3C 40 18 04 00 01 00 42 24 2B 18 62 00 06 00 60 10 40 30 05 00 2B 10 C2 00 05 00 40 50 FF FF 02 24 ?? ?? ?? 0? 00 00 00 00 08 00 E0 03 FF FF 02 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_91_0_1 {
	meta:
		name = "ieee754dp_finite"
		size = 16
	strings:
		$1 = { 00 F0 A5 7C F0 7F 02 3C 08 00 E0 03 2B 10 A2 00 }
	condition:
		$1
}

rule file_91_1_1 {
	meta:
		name = "ieee754dp_copysign"
		size = 24
	strings:
		$1 = { 26 18 E5 00 00 80 02 3C 24 18 62 00 26 18 65 00 08 00 E0 03 21 10 80 00 }
	condition:
		$1
}

rule file_93_0_1 {
	meta:
		name = "__unorddf2"
		size = 104
	strings:
		$1 = { F0 7F 02 3C 00 F0 A5 7C 01 00 43 24 2B 18 A3 00 0F 00 60 50 01 00 02 24 0A 00 A2 10 F0 7F 03 3C 00 F0 E7 7C 01 00 64 24 2B 20 E4 00 08 00 80 10 01 00 02 24 08 00 E3 10 00 00 00 00 08 00 E0 03 21 10 00 00 F6 FF 80 10 00 00 00 00 01 00 02 24 08 00 E0 03 00 00 00 00 FD FF C0 50 21 10 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_94_1_1 {
	meta:
		name = "ieee754sp_funs"
		size = 56
		refs = "0010 ieee754sp_fint 0030 ieee754sp_add"
	strings:
		$1 = { E8 FF BD 27 04 00 80 04 14 00 BF AF 14 00 BF 8F ?? ?? ?? 0? 18 00 BD 27 C4 FF 04 7C ?? ?? ?? 0? 00 00 00 00 21 28 40 00 14 00 BF 8F 00 4F 04 3C ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_96_0_1 {
	meta:
		name = "ieee754dp_ten"
		size = 28
	strings:
		$1 = { C0 1A 04 00 02 04 63 34 04 00 02 3C 00 1D 03 00 25 18 62 00 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_101_1_1 {
	meta:
		name = "ieee754dp_fulong"
		size = 60
		refs = "0010 ieee754dp_flong 0034 ieee754dp_add"
	strings:
		$1 = { E8 FF BD 27 04 00 A0 04 14 00 BF AF 14 00 BF 8F ?? ?? ?? 0? 18 00 BD 27 ?? ?? ?? 0? 00 F0 A5 7C 21 30 40 00 14 00 BF 8F 21 38 60 00 21 20 00 00 E0 43 05 3C ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_103_0_1 {
	meta:
		name = "__addsf3"
		size = 692
		altNames = "ieee754sp_add"
	strings:
		$1 = { C0 3D 83 7C FF FF 66 24 FE 00 C6 2C 21 10 A0 00 C2 4F 04 00 70 00 C0 10 00 B0 87 7C 80 00 05 3C 81 FF 63 24 25 38 E5 00 21 40 00 00 C0 3D 45 7C FF FF AB 24 FE 00 6B 2D C2 57 02 00 55 00 60 11 00 B0 46 7C 80 00 0B 3C 25 30 CB 00 81 FF A5 24 21 60 00 00 55 00 00 15 21 58 00 01 23 28 65 00 C0 38 07 00 3D 00 A0 18 C0 30 06 00 1B 00 A2 28 2B 00 40 10 23 10 05 00 04 10 46 00 06 28 A6 00 2B 30 02 00 25 30 C5 00 28 00 2A 11 21 10 C7 00 23 30 E6 00 2F 00 C0 10 21 10 00 00 39 00 C2 04 23 30 06 00 20 20 C4 70 FB FF 84 24 04 10 86 00 23 18 64 00 7F 00 63 24 4F 00 60 18 01 00 04 24 07 00 44 30 0A 00 80 10 FF 00 64 28 C0 00 44 7C 03 00 42 24 21 10 44 00 C2 26 02 00 04 00 80 10 FF 00 64 28 42 10 02 00 01 00 63 24 FF 00 64 28 4C 00 80 50 00 12 09 00 C2 10 02 00 C0 05 44 7C 02 00 80 50 21 18 00 00 00 B0 42 7C 00 4A 09 00 25 18 69 00 C0 1D 03 00 08 00 E0 03 25 10 62 00 DB FF 2A 15 01 00 06 24 21 10 C7 00 C2 26 02 00 E1 FF 80 50 7F 00 63 24 42 20 02 00 01 00 42 30 01 00 63 24 ?? ?? ?? 0? 25 10 44 00 BF 7F 02 3C FF FF 42 34 08 00 E0 03 00 00 00 00 CA FF A0 10 23 10 05 00 1B 00 44 28 08 00 80 10 23 18 65 00 04 28 A7 00 06 10 47 00 2B 38 05 00 ?? ?? ?? 0? 25 38 E2 00 ?? ?? ?? 0? 21 48 40 01 ?? ?? ?? 0? 01 00 07 24 28 00 A0 14 00 00 00 00 32 00 C0 14 02 00 0C 24 01 00 0C 24 01 00 0B 35 01 00 0D 24 30 00 6D 15 03 00 0D 24 01 00 03 31 24 60 6C 00 1B 00 80 11 01 00 08 39 E2 FF 2A 51 0B 10 88 00 08 00 E0 03 21 10 00 00 1C 00 60 54 04 00 08 24 02 00 08 24 82 FF 03 24 01 00 05 24 0A 40 A7 00 ?? ?? ?? 0? 0A 18 07 00 23 18 83 00 1B 00 64 28 15 00 80 50 21 10 00 00 23 20 03 00 04 20 82 00 06 18 62 00 2B 10 04 00 25 10 43 00 ?? ?? ?? 0? 01 00 03 24 FF 00 42 34 08 00 E0 03 C0 15 02 00 08 00 E0 03 0B 10 88 00 09 00 C0 54 08 00 0C 24 04 00 0C 24 ?? ?? ?? 0? 04 00 0B 35 08 00 05 24 ?? ?? ?? 0? 0B 40 A7 00 ?? ?? ?? 0? 21 18 00 00 ?? ?? ?? 0? 08 00 0B 35 82 FF 05 24 ?? ?? ?? 0? 02 00 0B 35 D0 FF 6D 11 08 00 6D 31 B3 FF A0 15 04 00 6B 31 76 FF 60 51 23 28 65 00 24 60 88 01 06 00 80 51 04 00 08 39 AE FF 2A 11 21 10 80 00 BF 7F 02 3C 08 00 E0 03 FF FF 42 34 08 00 E0 03 0A 10 88 00 }
	condition:
		$1
}

rule file_105_0_1 {
	meta:
		name = "__fixunssfsi"
		size = 88
		refs = "0010 __ordersf2 0020 __subsf3 0028 __fixsfsi"
	strings:
		$1 = { E8 FF BD 27 00 4F 05 3C 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 0B 00 40 04 21 20 00 02 ?? ?? ?? 0? 00 4F 05 3C ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 00 80 03 3C 25 10 43 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 10 00 B0 8F ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_113_0_1 {
	meta:
		name = "ieee754sp_tuns"
		size = 88
		refs = "0010 ieee754sp_order 0020 ieee754sp_sub 0028 ieee754sp_tint"
	strings:
		$1 = { E8 FF BD 27 00 4F 05 3C 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 0B 00 40 04 21 20 00 02 ?? ?? ?? 0? 00 4F 05 3C ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 00 80 03 3C 25 10 43 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 10 00 B0 8F ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_109_0_1 {
	meta:
		name = "__orderdf2"
		size = 152
		altNames = "ieee754dp_order"
	strings:
		$1 = { 21 18 C0 00 19 00 A0 04 21 10 E0 00 0D 00 E2 04 23 18 06 00 11 00 83 10 00 00 00 00 2A 30 45 00 1B 00 C0 54 01 00 02 24 19 00 A2 14 FF FF 02 24 2B 20 64 00 16 00 80 10 00 00 00 00 08 00 E0 03 01 00 02 24 2B 10 03 00 23 38 07 00 23 10 E2 00 00 80 06 3C F1 FF 83 14 26 10 46 00 F0 FF A2 14 2A 30 45 00 08 00 E0 03 21 10 00 00 23 20 04 00 2B 40 04 00 23 28 05 00 23 28 A8 00 00 80 08 3C E4 FF E1 04 26 28 A8 00 ?? ?? ?? 0? 23 18 06 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_110_1_1 {
	meta:
		name = "ieee754dp_fstr"
		size = 56
		refs = "0014 ieee754dp_nfstr"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 21 20 A0 00 14 00 BF AF ?? ?? ?? 0? 21 28 C0 00 00 00 02 AE 04 00 03 AE 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_111_1_1 {
	meta:
		name = "ieee754dp_sqrt"
		size = 56
		refs = "0014 ieee754dp_nsqrt"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 28 E0 00 21 80 80 00 14 00 BF AF ?? ?? ?? 0? 21 20 C0 00 00 00 02 AE 04 00 03 AE 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_115_0_1 {
	meta:
		name = "ieee754sp_one"
		size = 16
	strings:
		$1 = { 00 12 04 00 7F 00 42 34 08 00 E0 03 C0 15 02 00 }
	condition:
		$1
}

rule file_117_1_1 {
	meta:
		name = "ieee754sp_sqrt"
		size = 48
		refs = "0010 ieee754sp_nsqrt"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 14 00 BF AF ?? ?? ?? 0? 21 20 A0 00 00 00 02 AE 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_118_0_1 {
	meta:
		name = "ieee754sp_qnan"
		size = 28
	strings:
		$1 = { 00 22 04 00 FF 00 84 34 3F 00 02 3C C0 25 04 00 FF FF 42 34 08 00 E0 03 25 10 82 00 }
	condition:
		$1
}

rule file_120_0_1 {
	meta:
		name = "ieee754dp_min"
		size = 20
	strings:
		$1 = { C0 1A 04 00 01 00 63 34 00 1D 03 00 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_0_0_2 {
	meta:
		name = "exsqrt"
		size = 664
	strings:
		$1 = { A0 00 A0 10 00 00 00 00 01 00 CF 30 0E 00 E0 11 00 00 00 00 F2 67 0A 3C 00 18 4A 35 19 00 AA 00 10 50 00 00 13 4D 01 3C 00 48 21 34 21 50 41 01 42 20 04 00 C0 7F 05 00 25 20 8F 00 42 28 05 00 07 00 00 10 01 00 C6 24 00 93 0A 3C 19 00 AA 00 10 50 00 00 FF 6C 01 3C 00 FC 21 34 21 50 41 01 43 30 06 00 FF 01 C6 24 42 20 04 00 C0 7F 05 00 25 20 8F 00 42 28 05 00 02 54 0A 00 F4 01 40 01 1B 00 AA 00 12 40 00 00 C0 53 0A 00 00 44 08 00 21 50 48 01 2B 78 48 01 23 50 4F 01 02 6C 0A 00 F4 01 A0 01 1B 00 AD 00 12 38 00 00 10 70 00 00 FF FF 4B 31 19 00 67 01 12 60 00 00 00 74 0E 00 02 7C 04 00 25 70 CF 01 2B 78 CC 01 06 00 E0 11 23 70 CC 01 FF FF E7 24 21 70 CA 01 2B 08 CA 01 FC FF 20 10 00 00 00 00 F4 01 A0 01 1B 00 CD 01 12 40 00 00 10 70 00 00 19 00 68 01 12 60 00 00 00 74 0E 00 FF FF 8F 30 25 70 CF 01 2B 78 CC 01 06 00 E0 11 23 70 CC 01 FF FF 08 25 21 70 CA 01 2B 08 CA 01 FC FF 20 10 00 00 00 00 00 7C 07 00 21 40 0F 01 42 50 0A 00 21 50 48 01 2B 78 48 01 23 50 4F 01 02 6C 0A 00 F4 01 A0 01 1B 00 AD 00 12 40 00 00 10 70 00 00 FF FF 4B 31 19 00 68 01 12 60 00 00 00 74 0E 00 02 7C 04 00 25 70 CF 01 2B 78 CC 01 06 00 E0 11 23 70 CC 01 FF FF 08 25 21 70 CA 01 2B 08 CA 01 FC FF 20 10 00 00 00 00 F4 01 A0 01 1B 00 CD 01 12 60 00 00 10 70 00 00 19 00 6C 01 12 68 00 00 00 74 0E 00 FF FF 8F 30 25 70 CF 01 2B 78 CD 01 06 00 E0 11 23 70 CD 01 FF FF 8C 25 21 70 CA 01 2B 08 CA 01 FC FF 20 10 00 00 00 00 00 44 08 00 21 40 0C 01 02 64 0A 00 F4 01 80 01 1B 00 CC 01 12 28 00 00 10 70 00 00 FF FF 4B 31 19 00 65 01 12 68 00 00 00 74 0E 00 2B 78 CD 01 06 00 E0 11 23 70 CD 01 FF FF A5 24 21 70 CA 01 2B 08 CA 01 FC FF 20 10 00 00 00 00 F4 01 80 01 1B 00 CC 01 12 38 00 00 10 70 00 00 19 00 67 01 12 68 00 00 00 74 0E 00 2B 78 CD 01 06 00 E0 11 23 70 CD 01 FF FF E7 24 21 70 CA 01 2B 08 CA 01 FC FF 20 10 00 00 00 00 00 7C 05 00 21 38 EF 00 C0 5F 0A 00 42 50 0A 00 21 38 EB 00 2B 78 EB 00 21 40 0A 01 21 40 0F 01 25 28 08 00 25 20 07 00 25 10 04 00 25 18 05 00 25 C0 06 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_0_1_2 {
	meta:
		name = "dpsqrt"
		size = 804
		refs = "0050 exsqrt"
	strings:
		$1 = { E8 FF BD 27 00 00 BF AF 02 45 05 00 C0 3A 05 00 42 7D 04 00 25 38 EF 00 C0 32 04 00 00 80 01 3C 25 38 E1 00 FF FF 0F 25 FE 07 E1 2D 88 00 20 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 25 20 06 00 25 28 07 00 ?? ?? ?? 0? 25 30 08 00 25 58 18 00 25 50 03 00 25 48 02 00 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 01 00 0F 31 05 00 E0 11 00 00 00 00 42 30 06 00 C0 7F 07 00 25 30 CF 00 42 38 07 00 19 00 49 01 12 68 00 00 10 60 00 00 2A 78 A0 01 21 68 AD 01 21 60 8C 01 21 60 8F 01 19 00 4A 01 12 20 00 00 10 70 00 00 21 60 84 01 19 00 29 01 12 70 00 00 10 20 00 00 21 68 A4 01 2B 78 A4 01 21 60 8F 01 23 60 86 01 25 78 8D 01 25 78 EE 01 49 00 E0 11 00 00 00 00 22 00 80 05 00 00 00 00 01 00 2F 2D FF FF 29 25 23 50 4F 01 01 00 CF 2D FF FF CE 25 00 00 E2 25 2B 78 A2 01 23 68 A2 01 23 60 8F 01 2B 78 C9 01 23 70 C9 01 2B 10 AF 01 23 68 AF 01 2B 78 AA 01 25 78 E2 01 23 68 AA 01 23 60 8F 01 2B 78 C9 01 23 70 C9 01 2B 10 AF 01 23 68 AF 01 2B 78 AA 01 25 78 E2 01 23 68 AA 01 23 60 8F 01 2C 00 80 05 00 00 00 00 25 78 8D 01 25 78 EE 01 E2 FF E0 15 00 00 00 00 26 00 00 10 00 00 00 00 01 00 29 25 01 00 2F 2D 21 50 4F 01 2B 78 4F 01 1D 00 E0 15 00 00 00 00 21 70 C9 01 2B 78 C9 01 21 68 AA 01 21 68 AF 01 02 00 AA 11 00 00 00 00 2B 78 AA 01 21 60 8F 01 21 70 C9 01 2B 78 C9 01 21 68 AA 01 21 68 AF 01 02 00 AA 11 00 00 00 00 2B 78 AA 01 21 60 8F 01 01 00 CF 2D FF FF CE 25 00 00 E2 25 2B 78 A2 01 23 68 A2 01 23 60 8F 01 E3 FF 80 05 00 00 00 00 25 78 8D 01 25 78 EE 01 04 00 E0 11 00 00 00 00 01 00 2F 2D FF FF 29 25 23 50 4F 01 00 04 29 25 00 04 2F 2D 21 50 4F 01 2B 78 4F 01 21 58 6F 01 C2 22 09 00 40 7D 0A 00 25 20 8F 00 40 28 0A 00 02 2B 05 00 00 7D 0B 00 25 28 AF 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 18 00 BD 27 07 00 A1 04 00 00 00 00 40 78 05 00 25 78 E4 01 26 00 E0 15 00 00 00 00 F4 FF 00 10 00 00 00 00 1B 00 00 15 00 00 00 00 2A 78 C0 00 21 30 C6 00 21 38 E7 00 21 38 EF 00 25 78 E6 00 20 00 E0 11 00 00 00 00 08 00 E0 14 00 00 00 00 03 00 C0 14 00 00 00 00 63 FF 00 10 00 00 08 24 25 38 C0 00 00 00 06 24 E0 FF 08 25 20 60 EC 70 5D FF 80 11 00 00 00 00 23 40 0C 01 22 68 0C 00 06 68 A6 01 04 30 86 01 04 38 87 01 56 FF 00 10 25 38 ED 00 40 78 07 00 25 78 E6 01 04 00 E0 15 00 00 00 00 25 10 04 00 D3 FF 00 10 25 18 05 00 F8 FF 05 3C 00 00 04 24 25 10 04 00 CE FF 00 10 25 18 05 00 00 00 04 24 25 28 04 00 25 10 04 00 C9 FF 00 10 25 18 05 00 }
	condition:
		$1
}

rule file_1_0_2 {
	meta:
		name = "log10f"
		size = 192
		refs = "0000 math_errhandling 0020 fpcmp 003c dptofp 0030 errno 005c __mchp_log10f 0068 fptodp 0074 isinfl"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 10 00 B0 AF 01 00 42 30 14 00 BF AF 21 00 40 10 21 80 80 00 ?? ?? ?? 0? 21 28 00 00 0C 00 41 04 21 00 03 24 ?? ?? 02 3C 21 20 00 00 F8 FF 05 3C ?? ?? ?? 0? ?? ?? 43 AC 21 80 40 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 F2 FF 40 10 14 00 BF 8F ?? ?? 02 3C 22 00 03 24 ?? ?? 43 AC 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 21 80 40 00 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_5_0_2 {
	meta:
		name = "logf"
		size = 192
		refs = "0000 math_errhandling 0020 fpcmp 003c dptofp 0030 errno 005c __mchp_logf 0068 fptodp 0074 isinfl"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 10 00 B0 AF 01 00 42 30 14 00 BF AF 21 00 40 10 21 80 80 00 ?? ?? ?? 0? 21 28 00 00 0C 00 41 04 21 00 03 24 ?? ?? 02 3C 21 20 00 00 F8 FF 05 3C ?? ?? ?? 0? ?? ?? 43 AC 21 80 40 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 F2 FF 40 10 14 00 BF 8F ?? ?? 02 3C 22 00 03 24 ?? ?? 43 AC 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 21 80 40 00 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_2_1_2 {
	meta:
		name = "fpadd"
		size = 620
	strings:
		$1 = { C2 4D 04 00 FF 00 29 31 C2 5D 05 00 FF 00 6B 31 00 80 07 3C 00 42 04 00 25 40 07 01 00 52 05 00 25 50 47 01 FF FF 2D 25 FE 00 A1 2D 61 00 20 10 00 00 00 00 FF FF 6D 25 FE 00 A1 2D 77 00 20 10 00 00 00 00 23 60 2B 01 0D 00 80 05 00 00 00 00 20 00 81 29 03 00 20 14 00 00 00 00 15 00 00 10 02 00 0A 24 25 30 0A 00 06 50 8A 01 04 68 8A 01 10 00 A6 11 00 00 00 00 0E 00 00 10 02 00 4A 35 25 48 0B 00 23 60 0C 00 20 00 81 29 03 00 20 14 00 00 00 00 07 00 00 10 02 00 08 24 25 30 08 00 06 40 88 01 04 68 88 01 02 00 A6 11 00 00 00 00 02 00 08 35 24 60 87 00 26 68 85 01 10 00 A0 05 00 00 00 00 21 40 0A 01 2B 68 0A 01 17 00 A0 11 00 00 00 00 01 00 0D 31 02 00 A0 11 00 00 00 00 02 00 08 35 42 40 08 00 01 00 29 25 FF 00 01 24 0E 00 21 15 00 00 00 00 0C 00 00 10 00 00 08 24 2B 68 0A 01 04 00 A0 11 23 40 0A 01 23 40 08 00 03 00 00 10 26 60 87 01 50 00 00 11 00 00 00 00 20 30 06 71 23 48 26 01 04 40 C8 00 0E 00 20 19 00 00 00 00 80 00 08 25 80 00 0D 2D 21 48 2D 01 02 6A 08 00 01 00 AD 31 23 40 0D 01 40 40 08 00 42 42 08 00 C0 6D 09 00 25 40 0D 01 25 10 0C 01 08 00 E0 03 00 00 00 00 01 00 06 24 23 30 C9 00 20 00 C1 2C 39 00 20 10 00 00 00 00 00 80 01 3C 25 40 01 01 20 00 0D 24 23 68 A6 01 04 48 A8 01 02 00 20 11 06 40 C8 00 01 00 08 35 00 00 09 24 80 00 0D 25 E3 FF A1 05 00 00 00 00 E1 FF 00 10 01 00 09 24 0E 00 20 15 00 00 00 00 21 40 08 01 05 00 00 11 00 00 00 00 20 60 0C 71 23 48 2C 01 98 FF 00 10 04 40 88 01 FF 00 01 24 0F 00 61 11 00 00 00 00 00 80 01 3C 18 00 A1 14 00 00 00 00 21 68 08 01 1B 00 A0 15 00 00 00 00 FF 00 01 24 14 00 61 15 00 00 00 00 26 68 85 00 15 00 A0 05 00 00 00 00 0D 00 00 10 00 00 00 00 08 00 60 15 00 00 00 00 21 50 4A 01 0A 00 40 11 00 00 00 00 20 60 4C 71 23 58 6C 01 82 FF 00 10 04 50 8A 01 21 68 4A 01 07 00 A0 15 00 00 00 00 C4 FF 00 10 25 10 05 00 C2 FF 00 10 25 10 04 00 C0 FF 00 10 00 00 02 24 BE FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_2_2_2 {
	meta:
		name = "fpmul"
		size = 440
	strings:
		$1 = { C2 3D 04 00 FF 00 E7 30 C2 4D 05 00 FF 00 29 31 00 80 0A 3C 00 32 04 00 25 30 CA 00 00 42 05 00 25 40 0A 01 26 60 85 00 24 50 4C 01 FF FF EC 24 FE 00 81 2D 21 00 20 10 00 00 00 00 FF FF 2C 25 FE 00 81 2D 36 00 20 10 00 00 00 00 19 00 C8 00 12 58 00 00 02 00 60 11 10 30 00 00 01 00 C6 34 03 00 C0 04 00 00 00 00 40 30 06 00 FF FF E7 24 82 FF 2C 25 21 38 EC 00 FF FF EC 24 FE 00 81 2D 3A 00 20 10 00 00 00 00 80 00 C6 24 80 00 CC 2C 21 38 EC 00 02 62 06 00 01 00 8C 31 23 30 CC 00 40 30 06 00 42 32 06 00 C0 65 07 00 25 30 CC 00 25 10 CA 00 08 00 E0 03 00 00 00 00 0D 00 E0 14 00 00 00 00 21 30 C6 00 05 00 C0 10 00 00 00 00 20 58 CB 70 23 38 EB 00 D8 FF 00 10 04 30 66 01 FF 00 01 24 1F 00 21 11 00 00 00 00 15 00 00 10 00 00 00 00 21 60 C6 00 1A 00 80 15 00 00 00 00 04 00 20 15 00 00 00 00 21 60 08 01 15 00 80 11 00 00 00 00 FF 00 01 24 0F 00 21 15 00 00 00 00 0A 00 20 15 00 00 00 00 21 40 08 01 05 00 00 11 00 00 00 00 20 58 0B 71 23 48 2B 01 C3 FF 00 10 04 40 68 01 DB FF 00 10 25 10 0A 00 21 60 08 01 04 00 80 15 00 00 00 00 80 7F 01 3C D5 FF 00 10 25 10 41 01 D3 FF 00 10 C0 FF 02 3C FA FF E0 1C 00 00 00 00 01 00 0B 24 23 58 67 01 20 00 61 2D F0 FF 20 10 00 00 00 00 20 00 0C 24 23 60 8B 01 04 38 86 01 02 00 E0 10 06 30 66 01 02 00 C6 34 00 00 07 24 80 00 CC 24 B7 FF 81 05 00 00 00 00 B5 FF 00 10 01 00 07 24 }
	condition:
		$1
}

rule file_2_3_2 {
	meta:
		name = "fpdiv"
		size = 556
	strings:
		$1 = { 00 80 0B 3C C2 45 04 00 FF 00 08 31 C2 55 05 00 FF 00 4A 31 00 3A 04 00 25 38 EB 00 00 4A 05 00 25 48 2B 01 26 70 85 00 24 58 6E 01 FF FF 0E 25 FE 00 C1 2D 3F 00 20 10 00 00 00 00 FF FF 4E 25 FE 00 C1 2D 53 00 20 10 00 00 00 00 2B 08 E9 00 03 00 20 14 00 00 00 00 42 38 07 00 01 00 08 25 82 63 09 00 F4 01 80 01 1B 00 EC 00 12 20 00 00 10 30 00 00 FF 3F 2D 31 19 00 A4 01 12 28 00 00 80 33 06 00 2B 70 C5 00 04 00 C0 11 23 30 C5 00 FF FF 84 24 21 30 C9 00 2B 70 C9 00 F4 01 80 01 1B 00 CC 00 12 38 00 00 10 30 00 00 19 00 A7 01 12 28 00 00 80 33 06 00 2B 70 C5 00 04 00 C0 11 23 30 C5 00 FF FF E7 24 21 30 C9 00 2B 70 C9 00 80 73 04 00 21 38 EE 00 02 00 C0 10 00 39 07 00 01 00 E7 34 7E 00 0E 24 23 70 CA 01 21 40 0E 01 FF FF 0E 25 FE 00 C1 2D 34 00 20 10 00 00 00 00 80 00 E7 24 80 00 EE 2C 21 40 0E 01 02 72 07 00 01 00 CE 31 23 38 EE 00 40 38 07 00 42 3A 07 00 C0 75 08 00 25 38 EE 00 25 10 EB 00 08 00 E0 03 00 00 00 00 08 00 00 15 00 00 00 00 21 38 E7 00 05 00 E0 10 00 00 00 00 20 60 EC 70 23 40 0C 01 BA FF 00 10 04 38 87 01 04 00 48 15 00 00 00 00 21 70 29 01 2F 00 C0 11 00 00 00 00 FF 00 01 24 08 00 41 11 00 00 00 00 12 00 00 11 00 00 00 00 21 70 E7 00 27 00 C0 15 00 00 00 00 22 00 00 10 00 00 00 00 08 00 40 15 00 00 00 00 21 48 29 01 1D 00 20 11 00 00 00 00 20 60 2C 71 23 50 4C 01 A6 FF 00 10 04 48 89 01 21 70 29 01 19 00 C0 15 00 00 00 00 D9 FF 00 10 25 10 0B 00 12 00 00 1D 00 00 00 00 01 00 0C 24 23 60 88 01 20 00 81 2D F8 FF 20 10 00 00 00 00 20 00 0E 24 23 70 CC 01 04 40 C7 01 02 00 00 11 06 38 87 01 02 00 E7 34 00 00 08 24 80 00 EE 24 BD FF C1 05 00 00 00 00 BB FF 00 10 01 00 08 24 80 7F 01 3C C3 FF 00 10 25 10 61 01 C1 FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_2_4_2 {
	meta:
		name = "sitofp"
		size = 92
	strings:
		$1 = { 00 80 01 3C 12 00 80 10 24 30 81 00 02 00 81 04 00 00 00 00 23 20 04 00 9E 00 05 24 20 38 87 70 23 28 A7 00 04 20 E4 00 80 00 84 24 80 00 88 2C 21 28 A8 00 03 42 04 00 01 00 08 31 23 20 88 00 40 20 04 00 42 22 04 00 C0 45 05 00 25 20 88 00 25 10 86 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_2_5_2 {
	meta:
		name = "uitofp"
		size = 76
	strings:
		$1 = { 0F 00 80 10 00 00 00 00 9E 00 06 24 20 28 85 70 23 30 C5 00 04 20 A4 00 80 00 84 24 80 00 87 2C 21 30 C7 00 02 3A 04 00 01 00 E7 30 23 20 87 00 40 20 04 00 42 22 04 00 C0 3D 06 00 25 20 87 00 25 10 04 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_2_6_2 {
	meta:
		name = "fptosi"
		size = 120
	strings:
		$1 = { 00 2A 04 00 00 80 01 3C 25 28 A1 00 C2 3D 04 00 FF 00 E7 30 9E 00 06 24 23 30 C7 00 0C 00 C0 18 00 00 00 00 20 00 C1 28 03 00 20 14 00 00 00 00 05 00 00 10 00 00 02 24 02 00 81 04 06 28 C5 00 23 28 05 00 25 10 05 00 08 00 E0 03 00 00 00 00 80 7F 01 3C 01 00 21 34 2B 08 81 00 03 00 20 14 00 00 00 00 F8 FF 00 10 00 80 02 3C FF 7F 02 3C F5 FF 00 10 FF FF 42 34 }
	condition:
		$1
}

rule file_2_7_2 {
	meta:
		name = "fptoul"
		size = 116
	strings:
		$1 = { 00 2A 04 00 00 80 01 3C 25 28 A1 00 C2 3D 04 00 FF 00 E7 30 9E 00 06 24 23 30 C7 00 0C 00 C0 04 00 00 00 00 20 00 C1 28 03 00 20 14 00 00 00 00 05 00 00 10 00 00 02 24 02 00 81 04 06 28 C5 00 23 28 05 00 25 10 05 00 08 00 E0 03 00 00 00 00 80 7F 01 3C 01 00 21 34 2B 08 81 00 03 00 20 14 00 00 00 00 F8 FF 00 10 00 80 02 3C F6 FF 00 10 FF FF 02 24 }
	condition:
		$1
}

rule file_2_8_2 {
	meta:
		name = "fpcmp"
		size = 148
	strings:
		$1 = { FE FF 08 24 40 30 04 00 40 38 05 00 25 48 C7 00 1B 00 20 11 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 19 00 20 10 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 E1 00 14 00 20 10 00 00 00 00 02 00 81 04 42 30 06 00 23 30 06 00 02 00 A1 04 42 38 07 00 23 38 07 00 2A 08 C7 00 03 00 20 10 00 00 00 00 07 00 00 10 FF FF 02 24 2A 08 E6 00 03 00 20 10 00 00 00 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 25 10 08 00 }
	condition:
		$1
}

rule file_2_9_2 {
	meta:
		name = "fpfabs"
		size = 16
	strings:
		$1 = { 40 10 04 00 42 10 02 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_2_10_2 {
	meta:
		name = "__negsf2"
		size = 16
	strings:
		$1 = { 00 80 01 3C 26 10 81 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_2_11_2 {
	meta:
		name = "fpnan"
		size = 76
	strings:
		$1 = { 40 30 04 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 03 00 20 14 00 00 00 00 0A 00 00 10 01 00 02 24 40 30 05 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 03 00 20 14 00 00 00 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_3_0_2 {
	meta:
		name = "_d_cmp"
		size = 288
	strings:
		$1 = { 40 48 05 00 40 50 07 00 25 50 44 01 25 50 46 01 25 48 2A 01 03 00 20 15 00 00 00 00 3C 00 00 10 00 00 02 24 02 00 80 10 40 40 05 00 01 00 08 25 E0 FF 01 3C 01 00 21 34 2B 08 01 01 36 00 20 10 00 00 00 00 02 00 C0 10 40 40 07 00 01 00 08 25 E0 FF 01 3C 01 00 21 34 2B 08 01 01 2E 00 20 10 00 00 00 00 16 00 A1 04 00 00 00 00 03 00 E0 04 00 00 00 00 26 00 00 10 01 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 1C 00 00 10 02 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 17 00 00 10 01 00 02 24 15 00 00 10 00 00 02 24 03 00 E1 04 00 00 00 00 11 00 00 10 02 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 07 00 00 10 01 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 02 00 00 10 02 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 03 00 02 24 }
	condition:
		$1
}

rule file_3_1_2 {
	meta:
		name = "_d_feq"
		size = 288
	strings:
		$1 = { 40 48 05 00 40 50 07 00 25 50 44 01 25 50 46 01 25 48 2A 01 03 00 20 15 00 00 00 00 3C 00 00 10 01 00 02 24 02 00 80 10 40 40 05 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 36 00 20 10 00 00 00 00 02 00 C0 10 40 40 07 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 2E 00 20 10 00 00 00 00 16 00 A1 04 00 00 00 00 03 00 E0 04 00 00 00 00 26 00 00 10 00 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 1C 00 00 10 00 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 17 00 00 10 00 00 02 24 15 00 00 10 01 00 02 24 03 00 E1 04 00 00 00 00 11 00 00 10 00 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 07 00 00 10 00 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 02 00 00 10 00 00 02 24 01 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_3_2_2 {
	meta:
		name = "_d_fge"
		size = 268
	strings:
		$1 = { 40 48 05 00 40 50 07 00 25 50 44 01 25 50 46 01 25 48 2A 01 03 00 20 15 00 00 00 00 37 00 00 10 01 00 02 24 02 00 80 10 40 40 05 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 31 00 20 10 00 00 00 00 02 00 C0 10 40 40 07 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 29 00 20 10 00 00 00 00 16 00 A1 04 00 00 00 00 03 00 E0 04 00 00 00 00 21 00 00 10 00 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 17 00 00 10 01 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 12 00 00 10 00 00 02 24 10 00 00 10 01 00 02 24 03 00 E1 04 00 00 00 00 0C 00 00 10 01 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 02 00 00 10 00 00 02 24 01 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_3_3_2 {
	meta:
		name = "_d_fgt"
		size = 268
	strings:
		$1 = { 40 48 05 00 40 50 07 00 25 50 44 01 25 50 46 01 25 48 2A 01 03 00 20 15 00 00 00 00 37 00 00 10 00 00 02 24 02 00 80 10 40 40 05 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 31 00 20 10 00 00 00 00 02 00 C0 10 40 40 07 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 29 00 20 10 00 00 00 00 11 00 A1 04 00 00 00 00 03 00 E0 04 00 00 00 00 21 00 00 10 00 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 17 00 00 10 01 00 02 24 15 00 00 10 00 00 02 24 03 00 E1 04 00 00 00 00 11 00 00 10 01 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 07 00 00 10 00 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_3_4_2 {
	meta:
		name = "_d_fle"
		size = 268
	strings:
		$1 = { 40 48 05 00 40 50 07 00 25 50 44 01 25 50 46 01 25 48 2A 01 03 00 20 15 00 00 00 00 37 00 00 10 01 00 02 24 02 00 80 10 40 40 05 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 31 00 20 10 00 00 00 00 02 00 C0 10 40 40 07 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 29 00 20 10 00 00 00 00 11 00 A1 04 00 00 00 00 03 00 E0 04 00 00 00 00 21 00 00 10 01 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 17 00 00 10 00 00 02 24 15 00 00 10 01 00 02 24 03 00 E1 04 00 00 00 00 11 00 00 10 00 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 07 00 00 10 01 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 02 00 00 10 00 00 02 24 01 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_3_5_2 {
	meta:
		name = "_d_flt"
		size = 268
	strings:
		$1 = { 40 48 05 00 40 50 07 00 25 50 44 01 25 50 46 01 25 48 2A 01 03 00 20 15 00 00 00 00 37 00 00 10 00 00 02 24 02 00 80 10 40 40 05 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 31 00 20 10 00 00 00 00 02 00 C0 10 40 40 07 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 29 00 20 10 00 00 00 00 16 00 A1 04 00 00 00 00 03 00 E0 04 00 00 00 00 21 00 00 10 01 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 17 00 00 10 00 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 12 00 00 10 01 00 02 24 10 00 00 10 00 00 02 24 03 00 E1 04 00 00 00 00 0C 00 00 10 00 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_3_6_2 {
	meta:
		name = "_d_fne"
		size = 288
	strings:
		$1 = { 40 48 05 00 40 50 07 00 25 50 44 01 25 50 46 01 25 48 2A 01 03 00 20 15 00 00 00 00 3C 00 00 10 00 00 02 24 02 00 80 10 40 40 05 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 36 00 20 10 00 00 00 00 02 00 C0 10 40 40 07 00 01 00 08 35 E0 FF 01 3C 01 00 21 34 2B 08 01 01 2E 00 20 10 00 00 00 00 16 00 A1 04 00 00 00 00 03 00 E0 04 00 00 00 00 26 00 00 10 01 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 1C 00 00 10 01 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 17 00 00 10 01 00 02 24 15 00 00 10 00 00 02 24 03 00 E1 04 00 00 00 00 11 00 00 10 01 00 02 24 2B 48 86 00 23 20 86 00 2B 50 A9 00 23 28 A9 00 2B 48 A7 00 25 48 2A 01 03 00 20 11 23 28 A7 00 07 00 00 10 01 00 02 24 25 48 A4 00 03 00 20 11 00 00 00 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 01 00 02 24 }
	condition:
		$1
}

rule file_4_0_2 {
	meta:
		name = "lltofp"
		size = 188
	strings:
		$1 = { 00 80 01 3C 24 48 A1 00 25 38 05 00 25 30 04 00 25 58 A4 00 26 00 60 11 00 00 00 00 05 00 A1 04 00 00 00 00 2B 58 06 00 23 30 06 00 23 38 07 00 23 38 EB 00 08 00 E0 14 BE 00 08 24 03 00 C0 14 00 00 00 00 0D 00 00 10 00 00 08 24 25 38 C0 00 00 00 06 24 E0 FF 08 25 20 50 EA 70 07 00 40 11 00 00 00 00 23 40 0A 01 22 20 0A 00 06 20 86 00 04 30 46 01 04 38 47 01 25 38 E4 00 02 00 C0 10 00 00 00 00 01 00 E7 34 80 00 E7 24 80 00 EB 2C 21 40 0B 01 02 5A 07 00 01 00 6B 31 23 38 EB 00 40 38 07 00 42 3A 07 00 C0 5D 08 00 25 38 EB 00 25 10 E9 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_4_1_2 {
	meta:
		name = "ulltofp"
		size = 180
	strings:
		$1 = { 25 38 05 00 25 30 04 00 25 50 A4 00 26 00 40 11 00 00 00 00 05 00 A1 04 00 00 00 00 2B 50 06 00 23 30 06 00 23 38 07 00 23 38 EA 00 08 00 E0 14 BE 00 08 24 03 00 C0 14 00 00 00 00 0D 00 00 10 00 00 08 24 25 38 C0 00 00 00 06 24 E0 FF 08 25 20 48 E9 70 07 00 20 11 00 00 00 00 23 40 09 01 22 20 09 00 06 20 86 00 04 30 26 01 04 38 27 01 25 38 E4 00 02 00 C0 10 00 00 00 00 01 00 E7 34 80 00 E7 24 80 00 EA 2C 21 40 0A 01 02 52 07 00 01 00 4A 31 23 38 EA 00 40 38 07 00 42 3A 07 00 C0 55 08 00 25 38 EA 00 25 10 07 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_4_2_2 {
	meta:
		name = "fptoll"
		size = 204
	strings:
		$1 = { C2 3D 04 00 FF 00 E7 30 00 32 04 00 00 80 01 3C 25 30 C1 00 00 00 05 24 BE 00 E1 28 1D 00 20 10 00 00 00 00 BE 00 09 24 23 38 27 01 20 00 E1 2C 05 00 20 14 00 00 00 00 25 28 06 00 00 00 06 24 FA FF A0 14 E0 FF E7 24 08 00 E0 10 00 00 00 00 25 40 06 00 06 28 E5 00 06 30 E6 00 20 00 09 24 23 38 27 01 04 40 E8 00 25 28 A8 00 05 00 81 04 00 00 00 00 2B 48 05 00 23 28 05 00 23 30 06 00 23 30 C9 00 25 10 05 00 25 18 06 00 08 00 E0 03 00 00 00 00 07 00 80 04 00 00 00 00 FF 00 01 24 06 00 E1 14 00 00 00 00 40 48 06 00 03 00 20 11 00 00 00 00 F3 FF 00 10 00 80 06 3C FF 7F 06 3C FF FF C6 34 EF FF 00 10 FF FF 05 24 }
	condition:
		$1
}

rule file_4_3_2 {
	meta:
		name = "fptoull"
		size = 204
	strings:
		$1 = { C2 3D 04 00 FF 00 E7 30 00 32 04 00 00 80 01 3C 25 30 C1 00 00 00 05 24 BF 00 E1 28 1D 00 20 10 00 00 00 00 BF 00 09 24 23 38 27 01 20 00 E1 2C 05 00 20 14 00 00 00 00 25 28 06 00 00 00 06 24 FA FF A0 14 E0 FF E7 24 08 00 E0 10 00 00 00 00 25 40 06 00 06 28 E5 00 06 30 E6 00 20 00 09 24 23 38 27 01 04 40 E8 00 25 28 A8 00 05 00 81 04 00 00 00 00 2B 48 05 00 23 28 05 00 23 30 06 00 23 30 C9 00 25 10 05 00 25 18 06 00 08 00 E0 03 00 00 00 00 07 00 80 04 00 00 00 00 FF 00 01 24 06 00 E1 14 00 00 00 00 40 48 06 00 03 00 20 11 00 00 00 00 F3 FF 00 10 00 80 06 3C FF 7F 06 3C FF FF C6 34 EF FF 00 10 FF FF 05 24 }
	condition:
		$1
}

rule file_6_0_2 {
	meta:
		name = "expm1l"
		size = 1204
		refs = "0034 dpcmp 0084 copysignl 00a0 dpmul 00b0 litodp 00c4 dpadd 00d0 dptoli 0110 dpsub 01bc exp__E 01d4 ldexp 028c finitel"
	strings:
		$1 = { C8 FF BD 27 21 30 80 00 21 38 A0 00 18 00 B1 AF 14 00 B0 AF 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 21 88 80 00 ?? ?? ?? 0? 21 80 A0 00 85 00 40 14 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 8B 00 40 1C ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 B4 00 40 1C ?? ?? 02 3C ?? ?? 44 8C 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 21 90 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 00 02 ?? ?? ?? 0? 21 20 20 02 21 20 40 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 38 60 00 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 21 B0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 21 28 60 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 21 90 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 40 02 21 28 60 02 21 38 60 00 21 B0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 88 60 00 21 20 40 02 21 28 60 02 21 30 40 00 21 38 20 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 21 28 60 00 21 30 C0 02 ?? ?? ?? 0? 21 38 A0 02 21 98 40 00 82 00 80 12 21 90 60 00 01 00 02 24 4B 00 82 12 36 00 82 2A AA 00 40 14 ?? ?? 02 3C 64 00 82 2A 87 00 40 10 21 30 60 02 21 38 60 00 ?? ?? 12 3C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 45 8E ?? ?? 44 8E 23 30 14 00 21 B8 60 00 ?? ?? ?? 0? 21 B0 40 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 00 02 21 28 60 00 ?? ?? ?? 0? 21 38 20 02 ?? ?? 44 8E 21 A8 40 00 21 98 60 00 21 10 00 00 21 18 80 00 21 38 60 00 21 20 A0 02 21 30 40 00 ?? ?? ?? 0? 21 28 60 02 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 30 80 02 ?? ?? ?? 0? 21 20 40 00 21 88 40 00 21 80 60 00 34 00 BF 8F 21 10 20 02 21 18 00 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 F0 FF 40 10 34 00 BF 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C ?? ?? ?? 0? 88 13 06 24 ?? ?? ?? 0? 21 20 40 00 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 49 00 40 04 ?? ?? 02 3C 21 20 00 02 21 30 60 02 21 28 20 02 ?? ?? ?? 0? 21 38 40 02 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 30 40 00 21 28 60 00 ?? ?? ?? 0? 21 38 60 00 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 ?? ?? 02 3C ?? ?? 50 8C 34 00 BF 8F 21 88 00 00 21 10 20 02 21 18 00 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 20 00 02 21 28 20 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 A8 40 00 ?? ?? 02 3C ?? ?? 44 8C 21 98 60 00 ?? ?? ?? 0? 21 10 00 00 ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 00 02 21 30 60 02 21 28 20 02 21 38 40 02 21 A8 40 00 ?? ?? ?? 0? 21 A0 60 00 21 20 40 00 21 28 60 00 21 30 A0 02 ?? ?? ?? 0? 21 38 80 02 ?? ?? 56 8C ?? ?? 57 8C 23 30 14 00 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 30 60 02 21 20 00 02 21 28 20 02 21 38 40 02 21 A8 40 00 ?? ?? ?? 0? 21 98 60 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_7_0_2 {
	meta:
		name = "log10"
		size = 212
		refs = "0000 math_errhandling 002c dpcmp 0038 errno 0068 __mchp_log10 007c isinfl"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D8 FF BD 27 20 00 B1 AF 01 00 42 30 1C 00 B0 AF 24 00 BF AF 21 80 80 00 23 00 40 10 21 88 A0 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 0B 00 41 04 ?? ?? 02 3C 21 00 03 24 ?? ?? 43 AC 21 80 00 00 F8 FF 03 3C 24 00 BF 8F 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 28 60 00 21 20 40 00 10 00 A3 AF ?? ?? ?? 0? 21 80 40 00 F1 FF 40 10 10 00 A3 8F 24 00 BF 8F ?? ?? 02 3C 22 00 04 24 ?? ?? 44 AC 20 00 B1 8F 21 10 00 02 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 00 00 00 00 24 00 BF 8F 21 80 40 00 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_8_0_2 {
	meta:
		name = "log"
		size = 212
		refs = "0000 math_errhandling 002c dpcmp 0038 errno 0068 __mchp_log 007c isinfl"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D8 FF BD 27 20 00 B1 AF 01 00 42 30 1C 00 B0 AF 24 00 BF AF 21 80 80 00 23 00 40 10 21 88 A0 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 0B 00 41 04 ?? ?? 02 3C 21 00 03 24 ?? ?? 43 AC 21 80 00 00 F8 FF 03 3C 24 00 BF 8F 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 28 60 00 21 20 40 00 10 00 A3 AF ?? ?? ?? 0? 21 80 40 00 F1 FF 40 10 10 00 A3 8F 24 00 BF 8F ?? ?? 02 3C 22 00 04 24 ?? ?? 44 AC 20 00 B1 8F 21 10 00 02 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 00 00 00 00 24 00 BF 8F 21 80 40 00 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_9_0_2 {
	meta:
		name = "ldexpf"
		size = 100
		refs = "000c __mchp_ldexpf 0018 math_errhandling 002c fptodp 0038 isinfl 0048 errno"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 42 8C 01 00 42 30 0B 00 40 10 14 00 BF 8F ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 03 00 40 10 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_58_0_2 {
	meta:
		name = "coshf"
		size = 100
		refs = "000c __mchp_coshf 0018 math_errhandling 002c fptodp 0038 isinfl 0048 errno"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 42 8C 01 00 42 30 0B 00 40 10 14 00 BF 8F ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 03 00 40 10 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_16_0_2 {
	meta:
		name = "expf"
		size = 100
		refs = "000c __mchp_expf 0018 math_errhandling 002c fptodp 0038 isinfl 0048 errno"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 42 8C 01 00 42 30 0B 00 40 10 14 00 BF 8F ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 03 00 40 10 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_74_0_2 {
	meta:
		name = "sinhf"
		size = 100
		refs = "000c __mchp_sinhf 0018 math_errhandling 002c fptodp 0038 isinfl 0048 errno"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 42 8C 01 00 42 30 0B 00 40 10 14 00 BF 8F ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 03 00 40 10 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_10_0_2 {
	meta:
		name = "hypotl"
		size = 1060
		refs = "0038 finite 0050 dpcmp 00e4 copysign 00e0 errno 00ec litodp 0208 logb 0238 dpsub 0270 dpdiv 028c dpmul 02a0 dpadd 02ac sqrt"
	strings:
		$1 = { C0 FF BD 27 30 00 B6 AF 2C 00 B5 AF 1C 00 B1 AF 18 00 B0 AF 3C 00 BF AF 38 00 BE AF 34 00 B7 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 21 B0 80 00 21 A8 A0 00 21 80 C0 00 ?? ?? ?? 0? 21 88 E0 00 3C 00 40 14 21 30 C0 02 21 20 C0 02 21 28 A0 02 ?? ?? ?? 0? 21 38 A0 02 1C 00 40 10 ?? ?? 02 3C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 0A 00 40 14 3C 00 BF 8F 21 30 00 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 20 02 9E 00 40 10 21 B0 00 02 21 A8 20 02 3C 00 BF 8F 21 10 C0 02 21 18 A0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 21 28 A0 02 22 00 03 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 AC ?? ?? ?? 0? 21 20 40 00 3C 00 BF 8F 21 B0 40 00 21 A8 60 00 21 10 C0 02 21 18 A0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 CD FF 40 10 21 30 00 02 ?? ?? 14 3C ?? ?? 88 8E ?? ?? 89 8E 21 28 A0 02 21 30 00 01 21 38 20 01 21 20 C0 02 10 00 A8 AF ?? ?? ?? 0? 14 00 A9 AF ?? ?? ?? 0? 21 20 40 00 10 00 A8 8F 14 00 A9 8F 21 28 20 02 21 20 00 02 21 30 00 01 21 38 20 01 21 98 60 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 40 02 21 28 60 02 21 38 60 00 21 80 40 00 21 B0 40 02 21 A8 60 02 ?? ?? ?? 0? 21 88 60 00 54 00 42 04 21 B0 00 02 21 20 C0 02 21 28 A0 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 51 00 40 10 21 20 00 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 A6 FF 40 10 3C 00 BF 8F 21 20 C0 02 ?? ?? ?? 0? 21 28 A0 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 90 40 00 23 90 42 02 1F 00 52 2A 9A FF 40 12 21 20 C0 02 21 30 00 02 21 28 A0 02 ?? ?? ?? 0? 21 38 20 02 21 30 40 00 21 20 00 02 21 28 20 02 21 38 60 00 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 36 00 41 04 ?? ?? 1E 3C 21 20 C0 02 21 30 00 02 21 28 A0 02 ?? ?? ?? 0? 21 38 20 02 21 30 40 00 21 20 40 00 21 28 60 00 21 38 60 00 21 98 40 00 ?? ?? ?? 0? 21 90 60 00 ?? ?? 86 8E ?? ?? 87 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 60 02 ?? ?? ?? 0? 21 38 40 02 21 20 00 02 21 30 40 00 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 C0 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 B0 40 00 ?? ?? ?? 0? 21 A8 60 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 A8 20 02 21 80 40 02 ?? ?? ?? 0? 21 88 60 02 21 B0 00 00 ?? ?? ?? 0? 21 A8 00 00 21 20 40 02 21 30 00 02 21 28 60 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? C6 8F ?? ?? C7 8F 21 90 60 00 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 21 30 60 02 21 38 40 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? C6 8F ?? ?? C7 8F 21 A0 60 00 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 B8 40 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 E0 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 60 02 21 38 40 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 00 02 }
	condition:
		$1
}

rule file_11_0_2 {
	meta:
		name = "cbrtl"
		size = 820
		refs = "0054 dpcmp 0094 dpmul 00ec dpdiv 0118 dpadd 0218 dpsub"
	strings:
		$1 = { C0 FF BD 27 F0 7F 02 3C 2C 00 B3 AF 24 98 82 00 20 00 B0 AF 3C 00 BF AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF 28 00 B2 AF 24 00 B1 AF 21 80 80 00 40 00 A4 AF 44 00 A5 AF 10 00 A0 AF AF 00 62 12 14 00 A0 AF 44 00 B2 8F 21 30 00 00 21 38 00 00 21 28 40 02 ?? ?? ?? 0? 21 A0 80 00 90 00 40 10 3C 00 BF 8F 00 80 14 3C 24 A0 14 02 26 80 90 02 96 00 60 16 40 00 B0 AF 50 43 02 3C 10 00 A2 AF 40 00 B2 8F 44 00 B3 8F 10 00 A4 8F 14 00 A5 8F 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 AA AA 04 3C AB AA 84 34 19 00 44 00 7F 29 02 3C 14 00 A3 AF 93 78 42 24 10 28 00 00 42 18 05 00 21 10 62 00 10 00 A2 AF 10 00 B0 8F 14 00 B1 8F 21 20 00 02 21 28 20 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 20 40 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 A8 60 00 21 B0 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 A0 02 ?? ?? ?? 0? 21 20 60 00 21 40 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 C0 02 21 38 A0 02 18 00 A8 AF ?? ?? ?? 0? 1C 00 A3 AF 18 00 A8 8F 1C 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 01 00 42 24 14 00 A0 AF 10 00 A2 AF 10 00 B0 8F 14 00 B1 8F 21 20 00 02 21 28 20 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 90 60 00 21 28 40 02 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 98 40 00 21 20 00 02 21 28 20 02 21 30 00 02 21 38 20 02 21 B0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 20 40 00 21 38 40 02 21 28 60 00 ?? ?? ?? 0? 21 30 60 02 21 30 40 00 21 20 C0 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 10 00 A2 AF 14 00 A3 AF 14 00 B2 8F 25 A0 82 02 3C 00 BF 8F 21 10 80 02 21 18 40 02 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 AA AA 02 3C AB AA 42 34 19 00 02 02 9F 2A 02 3C 93 78 42 24 40 00 B2 8F 44 00 B3 8F 10 88 00 00 42 18 11 00 21 10 62 00 ?? ?? ?? 0? 10 00 A2 AF 44 00 B2 8F 3C 00 BF 8F 21 A0 80 00 21 10 80 02 21 18 40 02 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_12_0_2 {
	meta:
		name = "atan2"
		size = 196
		refs = "0000 math_errhandling 003c dpcmp 0058 __mchp_atan2 009c errno"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D8 FF BD 27 20 00 B3 AF 01 00 42 30 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 21 80 80 00 21 88 A0 00 21 90 C0 00 06 00 40 10 21 98 E0 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 0D 00 40 10 21 20 40 02 21 20 00 02 21 28 20 02 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 60 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 F0 FF 40 14 21 20 00 02 24 00 BF 8F 21 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 20 00 B3 8F 21 10 00 00 F8 FF 03 3C 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_13_0_2 {
	meta:
		name = "dpatan2"
		size = 736
		refs = "009c exdiv 00ac exatan 0100 exsub"
	strings:
		$1 = { D0 FF BD 27 00 00 BF AF 40 50 05 00 42 55 0A 00 C0 4A 05 00 42 7D 04 00 25 48 2F 01 C0 42 04 00 00 80 0E 3C 25 48 2E 01 40 68 07 00 42 6D 0D 00 C0 62 07 00 42 7D 06 00 25 60 8F 01 C0 5A 06 00 25 60 8E 01 24 70 C5 01 FF FF 4F 25 FE 07 E1 2D 5A 00 20 10 00 00 00 00 FF FF AF 25 FE 07 E1 2D 75 00 20 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 20 00 AB AF 24 00 AC AF 28 00 AD AF 2C 00 AE AF 25 20 08 00 25 28 09 00 25 30 0A 00 25 38 0B 00 25 40 0C 00 ?? ?? ?? 0? 25 48 0D 00 25 20 02 00 25 28 03 00 ?? ?? ?? 0? 25 30 18 00 25 50 18 00 25 48 03 00 25 40 02 00 2C 00 AE 8F 28 00 AD 8F 24 00 AC 8F 20 00 AB 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 15 00 E1 04 04 00 A4 8F 25 20 08 00 25 28 09 00 25 30 0A 00 68 21 07 3C 35 C2 E7 34 0F C9 08 3C A2 DA 08 35 ?? ?? ?? 0? 00 04 09 24 25 50 18 00 25 48 03 00 25 40 02 00 2C 00 AE 8F 28 00 AD 8F 24 00 AC 8F 20 00 AB 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 14 00 40 1D 00 00 00 00 01 00 06 24 23 30 CA 00 20 00 C1 2C 05 00 20 14 00 00 00 00 25 40 09 00 00 00 09 24 FA FF 00 15 E0 FF C6 24 08 00 C0 10 00 00 00 00 25 50 09 00 06 40 C8 00 06 48 C9 00 20 00 0F 24 23 30 E6 01 04 50 CA 00 25 40 0A 01 00 00 0A 24 C2 22 08 00 40 7D 09 00 25 20 8F 00 40 28 09 00 02 2B 05 00 00 7D 0A 00 25 28 AF 00 25 28 AE 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 30 00 BD 27 07 00 40 11 00 00 00 00 40 78 09 00 25 78 E8 01 41 00 E0 15 00 00 00 00 A0 FF 00 10 00 10 0A 24 2A 78 00 01 21 40 08 01 21 48 29 01 21 48 2F 01 08 00 20 15 00 00 00 00 03 00 00 15 00 00 00 00 96 FF 00 10 00 00 0A 24 25 48 00 01 00 00 08 24 E0 FF 4A 25 20 30 26 71 90 FF C0 10 00 00 00 00 23 50 46 01 22 20 06 00 06 20 88 00 04 40 C8 00 04 48 C9 00 89 FF 00 10 25 48 24 01 0A 00 A0 11 00 00 00 00 40 78 0C 00 25 78 EB 01 22 00 E0 15 00 00 00 00 00 10 0D 24 1F 00 4D 11 00 00 00 00 82 FF 00 10 00 00 00 00 2A 78 60 01 21 58 6B 01 21 60 8C 01 21 60 8F 01 25 78 28 01 25 78 EC 01 25 78 EB 01 14 00 E0 11 00 00 00 00 08 00 80 15 00 00 00 00 03 00 60 15 00 00 00 00 73 FF 00 10 00 00 0D 24 25 60 60 01 00 00 0B 24 E0 FF AD 25 20 30 86 71 6D FF C0 10 00 00 00 00 23 68 A6 01 22 20 06 00 06 20 8B 00 04 58 CB 00 04 60 CC 00 66 FF 00 10 25 60 84 01 F8 FF 05 3C B3 FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_14_0_2 {
	meta:
		name = "asin"
		size = 160
		refs = "0000 math_errhandling 0028 fabs 0040 dpcmp 0054 __mchp_asin 007c errno"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 18 00 B1 AF 01 00 42 30 14 00 B0 AF 1C 00 BF AF 21 80 80 00 0B 00 40 10 21 88 A0 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 0B 00 40 04 1C 00 BF 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1C 00 BF 8F 21 20 60 00 21 18 80 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 21 00 03 24 ?? ?? 02 3C F8 7F 04 3C ?? ?? 43 AC 18 00 B1 8F 21 10 00 00 21 18 80 00 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_31_0_2 {
	meta:
		name = "acos"
		size = 160
		refs = "0000 math_errhandling 0028 fabs 0040 dpcmp 0054 __mchp_acos 007c errno"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 18 00 B1 AF 01 00 42 30 14 00 B0 AF 1C 00 BF AF 21 80 80 00 0B 00 40 10 21 88 A0 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 0B 00 40 04 1C 00 BF 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1C 00 BF 8F 21 20 60 00 21 18 80 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 21 00 03 24 ?? ?? 02 3C F8 7F 04 3C ?? ?? 43 AC 18 00 B1 8F 21 10 00 00 21 18 80 00 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_15_0_2 {
	meta:
		name = "dpfloor"
		size = 264
	strings:
		$1 = { 00 80 01 3C 24 30 A1 00 40 38 05 00 42 3D 07 00 FF 07 01 24 2B 00 E1 10 00 00 00 00 33 04 09 24 23 38 27 01 35 00 E1 2C 0B 00 20 14 00 00 00 00 20 00 E0 04 00 00 00 00 2D 00 C0 10 00 00 00 00 40 48 05 00 25 48 24 01 26 00 20 15 00 00 00 00 27 00 00 10 00 00 00 00 05 00 C0 10 00 00 00 00 2B 48 04 00 23 20 04 00 23 28 05 00 23 28 A9 00 1F 00 E9 30 01 00 08 24 04 40 28 01 23 40 08 00 20 00 E1 2C 04 00 20 14 00 00 00 00 00 00 04 24 02 00 00 10 24 28 A8 00 24 20 88 00 05 00 C0 10 00 00 00 00 2B 48 04 00 23 20 04 00 23 28 05 00 23 28 A9 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 0F 00 01 3C FF FF 21 34 24 48 A1 00 25 48 24 01 09 00 20 15 00 00 00 00 F5 FF 00 10 00 00 00 00 F0 BF 05 3C F2 FF 00 10 00 00 04 24 25 28 06 00 EF FF 00 10 00 00 04 24 F8 FF 05 3C EC FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_17_0_2 {
	meta:
		name = "fpcos"
		size = 276
		refs = "0008 fpreduct 0070 _coscof 00a0 _sincof"
	strings:
		$1 = { F8 FF BD 27 00 00 BF AF ?? ?? ?? 0? 04 00 A4 AF 25 50 18 00 25 48 03 00 25 40 02 00 03 00 21 05 04 00 A4 8F 38 00 00 10 25 10 08 00 02 00 44 25 82 20 04 00 C0 27 04 00 19 00 08 01 10 38 00 00 7E 00 05 24 23 28 A9 00 40 28 05 00 20 00 A1 2C 02 00 20 14 00 00 00 00 00 00 07 34 06 38 A7 00 FF FF 4C 25 02 00 8C 31 0D 00 80 11 00 00 00 00 ?? ?? 0B 3C ?? ?? 6B 25 00 00 68 8D 04 00 6B 25 19 00 E8 00 10 40 00 00 00 00 66 8D 04 00 6B 25 FB FF C1 04 23 40 C8 00 12 00 00 10 7F 00 09 24 ?? ?? 0B 3C ?? ?? 6B 25 00 00 65 8D 04 00 6B 25 19 00 E5 00 10 28 00 00 00 00 66 8D 04 00 6B 25 FB FF C1 04 23 28 C5 00 03 00 A0 18 00 00 00 00 40 28 05 00 FF FF 29 25 01 00 29 25 19 00 05 01 10 40 00 00 03 00 00 19 00 00 00 00 40 40 08 00 FF FF 29 25 40 40 08 00 42 42 08 00 C0 65 09 00 25 40 0C 01 25 10 04 01 00 00 BF 8F 08 00 E0 03 08 00 BD 27 }
	condition:
		$1
}

rule file_18_0_2 {
	meta:
		name = "sigmax"
		size = 264
	strings:
		$1 = { FE 03 09 24 23 48 26 01 20 00 21 2D 05 00 20 14 00 00 00 00 25 20 05 00 00 00 05 24 FA FF 80 14 E0 FF 29 25 08 00 20 11 00 00 00 00 25 50 05 00 06 20 24 01 06 28 25 01 20 00 0C 24 23 48 89 01 04 50 2A 01 25 20 8A 00 00 00 0A 8D 04 00 08 25 00 00 0B 8D 04 00 08 25 19 00 AA 00 10 50 00 00 19 00 AB 00 12 48 00 00 10 30 00 00 21 50 49 01 2B 60 49 01 21 30 CC 00 19 00 8B 00 10 48 00 00 21 50 49 01 2B 60 49 01 05 00 61 05 21 30 CC 00 2B 60 44 01 23 50 44 01 23 30 CC 00 23 30 C5 00 25 58 06 00 00 00 09 8D 04 00 08 25 00 00 06 8D 04 00 08 25 21 50 49 01 2B 60 49 01 21 58 66 01 21 58 6C 01 FF FF E7 24 E3 FF E1 04 00 00 00 00 06 00 60 05 FF 03 06 24 2A 60 40 01 21 50 4A 01 21 58 6B 01 21 58 6C 01 FF FF C6 24 25 20 0A 00 25 28 0B 00 25 10 04 00 25 18 05 00 25 C0 06 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_18_1_2 {
	meta:
		name = "exmul"
		size = 204
	strings:
		$1 = { 19 00 A8 00 12 58 00 00 10 50 00 00 19 00 A7 00 12 68 00 00 10 60 00 00 21 58 6C 01 2B 78 6C 01 21 50 4F 01 19 00 88 00 12 70 00 00 10 60 00 00 21 70 CD 01 2B 78 CD 01 21 58 6C 01 21 58 6F 01 02 00 6C 11 00 00 00 00 2B 78 6C 01 21 50 4F 01 2A 78 C0 01 21 70 CE 01 21 58 6F 01 2B 78 6F 01 21 50 4F 01 0C 00 40 05 00 00 00 00 13 00 40 11 00 00 00 00 2A 78 C0 01 21 70 CE 01 2A 10 60 01 21 58 6B 01 21 58 6F 01 25 78 02 00 21 50 4A 01 21 50 4F 01 FF FF C6 24 21 30 C9 00 02 FC C6 24 25 20 0B 00 25 28 0A 00 25 10 04 00 25 18 05 00 25 C0 06 00 08 00 E0 03 00 00 00 00 00 00 06 24 25 28 06 00 F8 FF 00 10 25 20 06 00 }
	condition:
		$1
}

rule file_18_2_2 {
	meta:
		name = "exadd"
		size = 236
	strings:
		$1 = { 23 50 C9 00 12 00 40 05 00 00 00 00 20 00 41 2D 05 00 20 14 00 00 00 00 25 38 08 00 00 00 08 24 FA FF E0 14 E0 FF 4A 25 1B 00 40 11 00 00 00 00 25 58 08 00 06 38 47 01 06 40 48 01 20 00 0C 24 23 50 8A 01 04 58 4B 01 13 00 00 10 25 38 EB 00 25 30 09 00 23 50 0A 00 20 00 41 2D 05 00 20 14 00 00 00 00 25 20 05 00 00 00 05 24 FA FF 80 14 E0 FF 4A 25 08 00 40 11 00 00 00 00 25 58 05 00 06 20 44 01 06 28 45 01 20 00 0C 24 23 50 8A 01 04 58 4B 01 25 20 8B 00 21 20 87 00 2B 60 87 00 21 28 A8 00 21 28 AC 00 02 00 A8 10 00 00 00 00 2B 60 A8 00 08 00 80 11 00 00 00 00 42 20 04 00 C0 67 05 00 25 20 8C 00 42 28 05 00 00 80 01 3C 25 28 A1 00 01 00 C6 24 25 10 04 00 25 18 05 00 25 C0 06 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_18_3_2 {
	meta:
		name = "exsub"
		size = 176
	strings:
		$1 = { 23 50 26 01 20 00 41 2D 05 00 20 14 00 00 00 00 25 20 05 00 00 00 05 24 FA FF 80 14 E0 FF 4A 25 08 00 40 11 00 00 00 00 25 58 05 00 06 20 44 01 06 28 45 01 20 00 0C 24 23 50 8A 01 04 58 4B 01 25 20 8B 00 2B 60 E4 00 23 38 E4 00 23 40 0C 01 23 40 05 01 08 00 00 15 00 00 00 00 03 00 E0 14 00 00 00 00 0D 00 00 10 00 00 09 24 25 40 E0 00 00 00 07 24 E0 FF 29 25 20 50 0A 71 07 00 40 11 00 00 00 00 23 48 2A 01 22 58 0A 00 06 58 67 01 04 38 47 01 04 40 48 01 25 40 0B 01 25 10 07 00 25 18 08 00 25 C0 09 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_18_4_2 {
	meta:
		name = "exdiv"
		size = 612
	strings:
		$1 = { 94 00 00 11 00 00 00 00 23 30 C9 00 FF 03 C6 24 42 20 04 00 C0 77 05 00 25 20 8E 00 42 28 05 00 02 6C 08 00 F4 01 A0 01 1B 00 AD 00 12 50 00 00 10 28 00 00 FF FF 0B 31 19 00 6A 01 12 60 00 00 00 2C 05 00 02 74 04 00 25 28 AE 00 2B 70 AC 00 06 00 C0 11 23 28 AC 00 FF FF 4A 25 21 28 A8 00 2B 08 A8 00 FC FF 20 10 00 00 00 00 F4 01 A0 01 1B 00 AD 00 12 68 00 00 10 28 00 00 19 00 6D 01 12 60 00 00 00 2C 05 00 FF FF 8E 30 25 28 AE 00 2B 70 AC 00 06 00 C0 11 23 28 AC 00 FF FF AD 25 21 28 A8 00 2B 08 A8 00 FC FF 20 10 00 00 00 00 00 54 0A 00 21 50 4D 01 19 00 47 01 12 68 00 00 10 60 00 00 00 00 04 24 2B 70 8D 00 23 20 8D 00 2B 78 AE 00 23 28 AE 00 2B 70 AC 00 25 70 CF 01 0B 00 C0 11 23 28 AC 00 FF FF 4A 25 21 20 87 00 2B 70 87 00 21 28 A8 00 21 28 AE 00 02 00 A8 10 00 00 00 00 2B 70 A8 00 F7 FF C0 11 00 00 00 00 06 00 A8 14 00 00 00 00 25 60 07 00 25 28 04 00 00 00 0B 24 2A 00 00 10 25 68 0B 00 02 6C 08 00 F4 01 A0 01 1B 00 AD 00 12 58 00 00 10 28 00 00 FF FF 09 31 19 00 2B 01 12 60 00 00 00 2C 05 00 02 74 04 00 25 28 AE 00 2B 70 AC 00 06 00 C0 11 23 28 AC 00 FF FF 6B 25 21 28 A8 00 2B 08 A8 00 FC FF 20 10 00 00 00 00 F4 01 A0 01 1B 00 AD 00 12 68 00 00 10 28 00 00 19 00 2D 01 12 60 00 00 00 2C 05 00 FF FF 8E 30 25 28 AE 00 2B 70 AC 00 06 00 C0 11 23 28 AC 00 FF FF AD 25 21 28 A8 00 2B 08 A8 00 FC FF 20 10 00 00 00 00 00 5C 0B 00 21 58 6D 01 19 00 67 01 12 68 00 00 10 60 00 00 00 00 04 24 2B 70 8D 00 23 20 8D 00 2B 78 AE 00 23 28 AE 00 2B 70 AC 00 25 70 CF 01 0B 00 C0 11 23 28 AC 00 FF FF 6B 25 21 20 87 00 2B 70 87 00 21 28 A8 00 21 28 AE 00 02 00 A8 10 00 00 00 00 2B 70 A8 00 F7 FF C0 11 00 00 00 00 06 00 40 05 00 00 00 00 2A 70 60 01 21 58 6B 01 21 50 4A 01 21 50 4E 01 FF FF C6 24 25 28 0A 00 25 20 0B 00 25 10 04 00 25 18 05 00 25 C0 06 00 08 00 E0 03 00 00 00 00 FF 07 06 24 00 80 05 3C F8 FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_19_0_2 {
	meta:
		name = "fpfloor"
		size = 176
	strings:
		$1 = { 00 80 01 3C 24 28 81 00 40 38 04 00 02 3E 07 00 FF 00 01 24 1B 00 E1 10 00 00 00 00 96 00 08 24 23 38 07 01 18 00 E1 2C 0A 00 20 14 00 00 00 00 11 00 E0 04 00 00 00 00 00 80 01 3C 01 00 21 34 2B 08 81 00 14 00 20 10 00 00 00 00 14 00 00 10 00 00 00 00 02 00 A0 10 00 00 00 00 23 20 04 00 01 00 06 24 04 30 E6 00 23 30 06 00 02 00 A0 10 24 20 86 00 23 20 04 00 25 10 04 00 08 00 E0 03 00 00 00 00 40 42 04 00 07 00 00 15 00 00 00 00 FA FF 00 10 25 10 04 00 F8 FF 00 10 80 BF 02 3C F6 FF 00 10 25 10 05 00 F4 FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_20_0_2 {
	meta:
		name = "atanhl"
		size = 420
		refs = "002c copysignl 0050 litodp 006c dpcmp 0098 errno 00d4 dpsub 00e8 dpdiv 00fc dpadd 0108 log1pl 0138 dpmul"
	strings:
		$1 = { D8 FF BD 27 ?? ?? 02 3C 14 00 B0 AF 21 80 80 00 ?? ?? 44 8C 21 38 A0 00 21 30 00 02 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 21 88 A0 00 21 98 40 00 ?? ?? 02 3C ?? ?? 46 8C 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 ?? ?? 12 3C ?? ?? ?? 0? 21 20 40 00 ?? ?? 46 8E ?? ?? 47 8E 21 88 60 00 21 20 40 00 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 3D 00 40 10 ?? ?? 44 8E ?? ?? 45 8E 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 0E 00 41 04 24 00 BF 8F 21 00 03 24 ?? ?? 02 3C 21 28 00 00 F8 7F 04 3C ?? ?? 43 AC 20 00 B3 8F 21 10 A0 00 21 18 80 00 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 44 8E ?? ?? 45 8E 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 90 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 02 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 21 20 40 00 21 28 60 00 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 22 00 03 24 ?? ?? 02 3C 21 28 00 00 F8 7F 04 3C ?? ?? 43 AC 20 00 B3 8F 21 10 A0 00 21 18 80 00 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_21_0_2 {
	meta:
		name = "fpceil"
		size = 172
	strings:
		$1 = { 00 80 01 3C 24 28 81 00 40 38 04 00 02 3E 07 00 FF 00 01 24 1A 00 E1 10 00 00 00 00 96 00 08 24 23 38 07 01 13 00 E0 18 00 00 00 00 18 00 E1 2C 07 00 20 14 00 00 00 00 18 00 A0 14 00 00 00 00 14 00 80 14 00 00 00 00 14 00 00 10 00 00 00 00 02 00 A0 14 00 00 00 00 23 20 04 00 01 00 06 24 04 30 E6 00 23 30 06 00 02 00 A0 14 24 20 86 00 23 20 04 00 25 10 04 00 08 00 E0 03 00 00 00 00 40 42 04 00 07 00 00 15 00 00 00 00 F9 FF 00 10 00 00 00 00 F8 FF 00 10 80 3F 02 3C F6 FF 00 10 25 10 05 00 F4 FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_22_0_2 {
	meta:
		name = "__mchp_coshf"
		size = 304
		refs = "0038 fpexexp"
	strings:
		$1 = { F8 FF BD 27 00 00 BF AF C2 35 04 00 FF 00 C6 30 00 2A 04 00 00 80 01 3C 25 28 A1 00 00 00 07 24 FF 00 01 24 3B 00 C1 10 00 00 00 00 04 00 A4 AF 25 20 05 00 25 28 06 00 ?? ?? ?? 0? 25 30 07 00 25 38 18 00 25 30 03 00 25 28 02 00 36 00 A0 10 04 00 A4 8F 00 40 08 3C 21 58 C6 00 02 FF 6B 25 02 4C 05 00 F4 01 20 01 1B 00 09 01 12 50 00 00 10 40 00 00 FF FF AC 30 19 00 8A 01 12 68 00 00 00 44 08 00 2B 70 0D 01 06 00 C0 11 23 40 0D 01 FF FF 4A 25 21 40 05 01 2B 08 05 01 FC FF 20 10 00 00 00 00 F4 01 20 01 1B 00 09 01 12 40 00 00 00 74 0A 00 21 40 0E 01 20 00 61 2D 02 00 20 14 00 00 00 00 00 00 08 34 06 40 68 01 21 28 A8 00 2B 70 A8 00 03 00 C0 11 00 00 00 00 42 28 05 00 01 00 C6 24 FF FF C6 24 FF 00 C1 2C 0E 00 20 10 00 00 00 00 40 28 05 00 42 2A 05 00 C0 75 06 00 25 28 AE 00 25 10 05 00 00 00 BF 8F 08 00 E0 03 08 00 BD 27 21 70 A5 00 03 00 C0 11 00 00 00 00 F9 FF 00 10 C0 FF 02 3C F7 FF 00 10 80 7F 02 3C }
	condition:
		$1
}

rule file_22_1_2 {
	meta:
		name = "__mchp_sinhf"
		size = 468
		refs = "00cc fpexexp"
	strings:
		$1 = { D4 FF BD 27 00 00 BF AF C2 35 04 00 FF 00 C6 30 00 80 0C 3C 00 2A 04 00 25 28 AC 00 00 00 07 24 24 20 8C 00 FF 00 01 24 62 00 C1 10 00 00 00 00 7E 00 C1 2C 1E 00 20 10 00 00 00 00 19 00 A5 00 10 40 00 00 ?? ?? 0B 3C ?? ?? 6B 25 7E 00 0C 24 23 60 86 01 40 60 0C 00 20 00 81 2D 02 00 20 14 00 00 00 00 00 00 08 34 06 40 88 01 00 00 6C 8D 04 00 6B 25 19 00 0C 01 10 60 00 00 00 00 6D 8D 04 00 6B 25 21 60 8D 01 FA FF 81 05 00 00 00 00 01 00 C6 24 19 00 AC 00 10 28 00 00 3D 00 A0 18 00 00 00 00 40 28 05 00 3A 00 00 10 FF FF C6 24 04 00 A4 AF 14 00 A8 AF 20 00 AB AF 24 00 AC AF 28 00 AD AF 25 20 05 00 25 28 06 00 ?? ?? ?? 0? 25 30 07 00 25 38 18 00 25 30 03 00 25 28 02 00 28 00 AD 8F 24 00 AC 8F 20 00 AB 8F 14 00 A8 8F 35 00 A0 10 04 00 A4 8F 00 40 08 3C 02 4C 05 00 F4 01 20 01 1B 00 09 01 12 50 00 00 10 40 00 00 FF FF AD 30 19 00 AA 01 12 60 00 00 00 44 08 00 2B 70 0C 01 06 00 C0 11 23 40 0C 01 FF FF 4A 25 21 40 05 01 2B 08 05 01 FC FF 20 10 00 00 00 00 F4 01 20 01 1B 00 09 01 12 40 00 00 00 74 0A 00 21 40 0E 01 21 60 C6 00 02 FF 8C 25 20 00 81 2D 02 00 20 14 00 00 00 00 00 00 08 34 06 40 88 01 2B 70 A8 00 23 28 A8 00 20 60 AC 70 23 30 CC 00 04 28 85 01 FF FF C6 24 FF 00 C1 2C 0E 00 20 10 00 00 00 00 40 28 05 00 42 2A 05 00 C0 75 06 00 25 28 AE 00 25 10 85 00 00 00 BF 8F 08 00 E0 03 2C 00 BD 27 21 70 A5 00 03 00 C0 11 00 00 00 00 F9 FF 00 10 C0 FF 02 3C 80 7F 01 3C F6 FF 00 10 25 10 81 00 }
	condition:
		$1
}

rule file_22_2_2 {
	meta:
		name = "fptanh"
		size = 624
		refs = "00ec fpexexp"
	strings:
		$1 = { D4 FF BD 27 00 00 BF AF C2 35 04 00 FF 00 C6 30 00 80 0A 3C 00 2A 04 00 25 28 AA 00 00 00 07 24 24 20 8A 00 FF 00 01 24 89 00 C1 10 00 00 00 00 7E 00 C1 2C 22 00 20 10 00 00 00 00 19 00 A5 00 10 50 00 00 ?? ?? 0D 3C ?? ?? AD 25 7E 00 08 24 23 40 06 01 40 40 08 00 20 00 01 2D 02 00 20 14 00 00 00 00 00 00 0A 34 06 50 0A 01 00 00 AC 8D 04 00 AD 25 C3 4F 0C 00 26 60 89 01 23 60 89 01 19 00 4C 01 10 60 00 00 26 60 89 01 23 60 89 01 00 00 A9 8D 04 00 AD 25 21 60 89 01 21 70 29 01 F4 FF C0 15 00 00 00 00 03 00 80 19 00 00 00 00 40 60 0C 00 01 00 C6 24 43 00 00 10 42 40 05 00 89 00 C1 2C 67 00 20 10 00 00 00 00 04 00 A4 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 24 00 AC AF 28 00 AD AF 25 20 05 00 25 28 06 00 ?? ?? ?? 0? 25 30 07 00 25 38 18 00 25 30 03 00 25 28 02 00 28 00 AD 8F 24 00 AC 8F 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 04 00 A4 8F 00 40 0C 3C 02 5C 05 00 F4 01 60 01 1B 00 8B 01 12 40 00 00 10 60 00 00 FF FF A9 30 19 00 28 01 12 50 00 00 00 64 0C 00 2B 70 8A 01 06 00 C0 11 23 60 8A 01 FF FF 08 25 21 60 85 01 2B 08 85 01 FC FF 20 10 00 00 00 00 F4 01 60 01 1B 00 8B 01 12 60 00 00 00 74 08 00 21 60 8E 01 21 40 C6 00 02 FF 08 25 20 00 01 2D 02 00 20 14 00 00 00 00 00 00 0C 34 06 60 0C 01 7E 00 06 24 23 40 AC 00 03 00 01 05 00 00 00 00 42 40 08 00 01 00 C6 24 21 60 85 01 2B 70 85 01 05 00 C0 11 00 00 00 00 42 60 0C 00 00 80 01 3C 25 60 81 01 FF FF C6 24 02 5C 0C 00 F4 01 60 01 1B 00 0B 01 12 48 00 00 10 28 00 00 FF FF 88 31 19 00 09 01 12 50 00 00 00 2C 05 00 2B 70 AA 00 06 00 C0 11 23 28 AA 00 FF FF 29 25 21 28 AC 00 2B 08 AC 00 FC FF 20 10 00 00 00 00 F4 01 60 01 1B 00 AB 00 12 28 00 00 00 74 09 00 21 28 AE 00 03 00 A0 18 00 00 00 00 40 28 05 00 FF FF C6 24 40 28 05 00 42 2A 05 00 C0 75 06 00 25 28 AE 00 25 10 85 00 00 00 BF 8F 08 00 E0 03 2C 00 BD 27 21 70 A5 00 03 00 C0 11 00 00 00 00 F9 FF 00 10 C0 FF 02 3C 80 3F 01 3C F6 FF 00 10 25 10 81 00 }
	condition:
		$1
}

rule file_23_0_2 {
	meta:
		name = "fdmul"
		size = 364
	strings:
		$1 = { C3 6D 04 00 FF 00 AD 31 C3 3D 05 00 FF 00 E7 30 00 80 08 3C 00 62 04 00 25 60 88 01 00 32 05 00 25 30 C8 00 26 70 85 00 24 40 0E 01 FF FF AE 25 FE 00 C1 2D 2B 00 20 10 00 00 00 00 FF FF EE 24 FE 00 C1 2D 3B 00 20 10 00 00 00 00 19 00 86 01 12 58 00 00 10 60 00 00 06 00 80 19 00 00 00 00 2A 70 60 01 21 58 6B 01 21 60 8C 01 21 60 8E 01 FF FF AD 25 21 68 A7 01 02 03 AD 25 35 00 A0 19 00 00 00 00 00 04 6B 25 00 04 6E 2D 21 60 8E 01 2B 70 8E 01 21 68 AE 01 FF 07 6E 31 03 00 C0 15 00 00 00 00 FF F7 01 24 24 58 61 01 C2 4A 0B 00 40 75 0C 00 25 48 2E 01 C2 52 0C 00 0F 00 01 3C FF FF 21 34 24 50 41 01 00 75 0D 00 25 50 4E 01 25 50 48 01 25 10 09 00 25 18 0A 00 08 00 E0 03 00 00 00 00 06 00 A0 15 00 00 00 00 FF 00 01 24 1B 00 E1 10 00 00 00 00 16 00 00 10 00 00 00 00 21 70 8C 01 16 00 C0 15 00 00 00 00 14 00 E0 10 00 00 00 00 FF 00 01 24 0B 00 E1 14 00 00 00 00 21 70 C6 00 0E 00 C0 15 00 00 00 00 06 00 00 10 00 00 00 00 07 00 E0 10 00 00 00 00 21 70 C6 00 07 00 C0 15 00 00 00 00 F0 7F 0A 3C E1 FF 00 10 00 00 09 24 00 00 09 24 DE FF 00 10 25 50 08 00 F8 FF 0A 3C DB FF 00 10 00 00 09 24 }
	condition:
		$1
}

rule file_24_0_2 {
	meta:
		name = "ldexp"
		size = 96
		refs = "000c __mchp_ldexp 0018 math_errhandling 0030 isinfl 0044 errno"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 42 8C 01 00 42 30 09 00 40 10 21 28 60 00 21 20 00 02 ?? ?? ?? 0? 10 00 A3 AF 04 00 40 10 10 00 A3 8F 22 00 04 24 ?? ?? 02 3C ?? ?? 44 AC 1C 00 BF 8F 21 10 00 02 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_56_0_2 {
	meta:
		name = "cosh"
		size = 96
		refs = "000c __mchp_cosh 0018 math_errhandling 0030 isinfl 0044 errno"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 42 8C 01 00 42 30 09 00 40 10 21 28 60 00 21 20 00 02 ?? ?? ?? 0? 10 00 A3 AF 04 00 40 10 10 00 A3 8F 22 00 04 24 ?? ?? 02 3C ?? ?? 44 AC 1C 00 BF 8F 21 10 00 02 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_39_0_2 {
	meta:
		name = "exp"
		size = 96
		refs = "000c __mchp_exp 0018 math_errhandling 0030 isinfl 0044 errno"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 42 8C 01 00 42 30 09 00 40 10 21 28 60 00 21 20 00 02 ?? ?? ?? 0? 10 00 A3 AF 04 00 40 10 10 00 A3 8F 22 00 04 24 ?? ?? 02 3C ?? ?? 44 AC 1C 00 BF 8F 21 10 00 02 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_68_0_2 {
	meta:
		name = "sinh"
		size = 96
		refs = "000c __mchp_sinh 0018 math_errhandling 0030 isinfl 0044 errno"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 42 8C 01 00 42 30 09 00 40 10 21 28 60 00 21 20 00 02 ?? ?? ?? 0? 10 00 A3 AF 04 00 40 10 10 00 A3 8F 22 00 04 24 ?? ?? 02 3C ?? ?? 44 AC 1C 00 BF 8F 21 10 00 02 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_25_0_2 {
	meta:
		name = "sqrt"
		size = 100
		refs = "0000 math_errhandling 002c dpcmp 003c errno 0048 __mchp_sqrt"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 18 00 B1 AF 01 00 42 30 14 00 B0 AF 1C 00 BF AF 21 80 80 00 08 00 40 10 21 88 A0 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 03 00 41 04 21 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_26_0_2 {
	meta:
		name = "fppow"
		size = 1028
		refs = "00d4 fpexlog 016c fpexexp"
	strings:
		$1 = {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}
	condition:
		$1
}

rule file_27_1_2 {
	meta:
		name = "dpadd"
		size = 1060
	strings:
		$1 = { 40 58 05 00 42 5D 0B 00 C0 52 05 00 42 7D 04 00 25 50 4F 01 C0 4A 04 00 00 80 08 3C 25 50 48 01 40 70 07 00 42 75 0E 00 C0 6A 07 00 42 7D 06 00 25 68 AF 01 C0 62 06 00 25 68 A8 01 FF FF 6F 25 FE 07 E1 2D 8D 00 20 10 00 00 00 00 FF FF CF 25 FE 07 E1 2D BB 00 20 10 00 00 00 00 00 80 01 3C 24 28 A1 00 23 40 6E 01 2C 00 00 11 00 00 00 00 15 00 00 19 00 00 00 00 20 00 01 2D 07 00 20 14 00 00 00 00 E0 FF 08 21 2B 30 0C 00 23 00 0D 10 25 60 A6 01 F8 FF 00 10 00 00 0D 34 1F 00 00 11 00 00 00 00 22 20 08 00 04 30 8C 00 04 20 8D 00 06 60 0C 01 06 68 0D 01 18 00 C0 10 25 60 8C 00 16 00 00 10 02 00 8C 35 25 58 0E 00 23 40 08 00 20 00 01 2D 07 00 20 14 00 00 00 00 E0 FF 08 21 2B 30 09 00 0D 00 0A 10 25 48 46 01 F8 FF 00 10 00 00 0A 34 09 00 00 11 00 00 00 00 22 20 08 00 04 30 89 00 04 20 8A 00 06 48 09 01 06 50 0A 01 02 00 C0 10 25 48 89 00 02 00 29 35 26 78 A7 00 1C 00 E0 05 00 00 00 00 21 48 2C 01 2B 78 2C 01 21 50 4D 01 21 50 4F 01 02 00 4D 11 00 00 00 00 2B 78 4D 01 37 00 E0 11 00 00 00 00 01 00 2F 31 02 00 E0 11 00 00 00 00 02 00 29 35 42 48 09 00 C0 7F 0A 00 25 48 2F 01 42 50 0A 00 00 80 01 3C 25 50 41 01 01 00 6B 25 FF 07 01 24 29 00 61 15 00 00 00 00 F0 7F 01 3C 25 28 A1 00 37 00 00 10 00 00 04 24 2B 78 2C 01 23 48 2C 01 2B 10 4F 01 23 50 4F 01 2B 78 4D 01 25 78 E2 01 07 00 E0 11 23 50 4D 01 00 80 01 3C 26 28 A1 00 2B 78 09 00 23 48 09 00 23 50 0A 00 23 50 4F 01 08 00 40 15 00 00 00 00 03 00 20 15 00 00 00 00 0D 00 00 10 00 00 0B 24 25 50 20 01 00 00 09 24 E0 FF 6B 25 20 40 48 71 07 00 00 11 00 00 00 00 23 58 68 01 22 20 08 00 06 20 89 00 04 48 09 01 04 50 0A 01 25 50 44 01 25 78 49 01 02 00 E0 15 00 00 00 00 00 00 05 24 68 00 60 19 00 00 00 00 00 04 29 25 00 04 2F 2D 21 50 4F 01 2B 78 4F 01 21 58 6F 01 C2 7A 09 00 01 00 EF 31 23 48 2F 01 C2 22 09 00 40 7D 0A 00 25 20 8F 00 40 78 0A 00 02 7B 0F 00 25 28 AF 00 00 7D 0B 00 25 28 AF 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 2A 78 20 01 21 48 29 01 21 50 4A 01 23 00 60 15 21 50 4F 01 25 78 49 01 14 00 E0 11 00 00 00 00 08 00 40 15 00 00 00 00 03 00 20 15 00 00 00 00 67 FF 00 10 00 00 0B 24 25 50 20 01 00 00 09 24 E0 FF 6B 25 20 40 48 71 61 FF 00 11 00 00 00 00 23 58 68 01 22 20 08 00 06 20 89 00 04 48 09 01 04 50 0A 01 5A FF 00 10 25 50 44 01 FF 07 01 24 15 00 C1 11 00 00 00 00 21 40 E7 00 25 78 06 01 03 00 E0 15 00 00 00 00 D9 FF E0 04 00 00 00 00 25 10 06 00 D8 FF 00 10 25 18 07 00 25 78 49 01 27 00 E0 15 00 00 00 00 FF 07 01 24 D0 FF C1 15 00 00 00 00 26 78 A7 00 21 00 E0 05 00 00 00 00 F3 FF 00 10 00 00 00 00 2A 78 80 01 21 60 8C 01 21 68 AD 01 17 00 C0 15 21 68 AF 01 25 78 AC 01 C3 FF E0 11 00 00 00 00 08 00 A0 15 00 00 00 00 03 00 80 15 00 00 00 00 39 FF 00 10 00 00 0E 24 25 68 80 01 00 00 0C 24 E0 FF CE 25 20 40 A8 71 33 FF 00 11 00 00 00 00 23 70 C8 01 22 20 08 00 06 20 8C 00 04 60 0C 01 04 68 0D 01 2C FF 00 10 25 68 A4 01 25 78 AC 01 D5 FF E0 11 00 00 00 00 F8 FF 05 3C AA FF 00 10 00 00 04 24 01 00 08 24 23 40 0B 01 20 00 01 2D 07 00 20 14 00 00 00 00 E0 FF 08 21 2B 30 09 00 0D 00 0A 10 25 48 46 01 F8 FF 00 10 00 00 0A 34 09 00 00 11 00 00 00 00 22 20 08 00 04 30 89 00 04 20 8A 00 06 48 09 01 06 50 0A 01 02 00 C0 10 25 48 89 00 02 00 29 35 83 FF 00 10 00 00 0B 24 }
	condition:
		$1
}

rule file_27_2_2 {
	meta:
		name = "dpmul"
		size = 808
	strings:
		$1 = { 40 50 05 00 42 55 0A 00 C0 4A 05 00 42 7D 04 00 25 48 2F 01 C0 42 04 00 00 80 0E 3C 25 48 2E 01 40 68 07 00 42 6D 0D 00 C0 62 07 00 42 7D 06 00 25 60 8F 01 C0 5A 06 00 25 60 8E 01 26 28 A7 00 24 28 AE 00 FF FF 4F 25 FE 07 E1 2D 47 00 20 10 00 00 00 00 FF FF AF 25 FE 07 E1 2D 6F 00 20 10 00 00 00 00 02 FC AF 25 21 50 4F 01 19 00 2C 01 12 38 00 00 10 70 00 00 19 00 0B 01 12 20 00 00 10 30 00 00 19 00 2B 01 12 58 00 00 10 68 00 00 21 30 CB 00 2B 78 CB 00 21 38 ED 00 21 38 EF 00 02 00 ED 10 00 00 00 00 2B 78 ED 00 21 70 CF 01 19 00 0C 01 12 40 00 00 10 48 00 00 21 30 C8 00 2B 78 C8 00 21 38 E9 00 21 38 EF 00 02 00 E9 10 00 00 00 00 2B 78 E9 00 21 70 CF 01 25 78 86 00 02 00 E0 11 00 00 00 00 01 00 E7 34 25 48 0E 00 06 00 20 05 25 40 07 00 2A 78 00 01 21 40 08 01 21 48 29 01 21 48 2F 01 FF FF 4A 25 FF FF 4F 25 FE 07 E1 2D 68 00 20 10 00 00 00 00 00 04 08 25 00 04 0F 2D 21 48 2F 01 2B 78 2F 01 21 50 4F 01 C2 7A 08 00 01 00 EF 31 23 40 0F 01 C2 22 08 00 40 7D 09 00 25 20 8F 00 40 78 09 00 02 7B 0F 00 25 28 AF 00 00 7D 0A 00 25 28 AF 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 2A 78 00 01 21 40 08 01 21 48 29 01 1C 00 40 15 21 48 2F 01 25 78 28 01 14 00 E0 11 00 00 00 00 08 00 20 15 00 00 00 00 03 00 00 15 00 00 00 00 AD FF 00 10 00 00 0A 24 25 48 00 01 00 00 08 24 E0 FF 4A 25 20 70 2E 71 A7 FF C0 11 00 00 00 00 23 50 4E 01 22 38 0E 00 06 38 E8 00 04 40 C8 01 04 48 C9 01 A0 FF 00 10 25 48 27 01 FF 07 01 24 33 00 A1 11 00 00 00 00 DD FF 00 10 00 00 00 00 25 78 28 01 2E 00 E0 15 00 00 00 00 05 00 A0 15 00 00 00 00 40 78 0C 00 25 78 EB 01 28 00 E0 11 00 00 00 00 FF 07 01 24 21 00 A1 15 00 00 00 00 2A 78 60 01 21 58 6B 01 21 60 8C 01 19 00 A0 15 21 60 8F 01 25 78 8B 01 14 00 E0 11 00 00 00 00 08 00 80 15 00 00 00 00 03 00 60 15 00 00 00 00 85 FF 00 10 00 00 0D 24 25 60 60 01 00 00 0B 24 E0 FF AD 25 20 30 86 71 7F FF C0 10 00 00 00 00 23 68 A6 01 22 70 06 00 06 70 CB 01 04 58 CB 00 04 60 CC 00 78 FF 00 10 25 60 8E 01 B4 FF 00 10 00 00 04 24 25 78 8B 01 05 00 E0 15 00 00 00 00 F0 7F 01 3C 25 28 A1 00 AD FF 00 10 00 00 04 24 F8 FF 05 3C AA FF 00 10 00 00 04 24 F8 FF 40 1D 00 00 00 00 01 00 0E 24 23 70 CA 01 20 00 C1 2D 07 00 20 14 00 00 00 00 E0 FF CE 21 2B 30 08 00 0D 00 09 10 25 40 26 01 F8 FF 00 10 00 00 09 34 09 00 C0 11 00 00 00 00 22 38 0E 00 04 30 E8 00 04 38 E9 00 06 40 C8 01 06 48 C9 01 02 00 C0 10 25 40 E8 00 02 00 08 35 00 04 08 25 00 04 0F 2D 21 48 2F 01 83 FF 00 10 C2 57 09 00 }
	condition:
		$1
}

rule file_27_3_2 {
	meta:
		name = "dpdiv"
		size = 1204
	strings:
		$1 = { 40 50 05 00 42 55 0A 00 C0 4A 05 00 42 7D 04 00 25 48 2F 01 C0 42 04 00 00 80 0E 3C 25 48 2E 01 40 68 07 00 42 6D 0D 00 C0 62 07 00 42 7D 06 00 25 60 8F 01 C0 5A 06 00 25 60 8E 01 26 28 A7 00 24 28 AE 00 FF FF 4F 25 FE 07 E1 2D CB 00 20 10 00 00 00 00 FF FF AF 25 FE 07 E1 2D F4 00 20 10 00 00 00 00 23 50 4D 01 FF 03 4A 25 42 40 08 00 C0 7F 09 00 25 40 0F 01 42 48 09 00 02 3C 0C 00 F4 01 E0 00 1B 00 27 01 12 70 00 00 10 48 00 00 FF FF 86 31 19 00 CE 00 12 20 00 00 00 4C 09 00 02 7C 08 00 25 48 2F 01 2B 78 24 01 06 00 E0 11 23 48 24 01 FF FF CE 25 21 48 2C 01 2B 08 2C 01 FC FF 20 10 00 00 00 00 F4 01 E0 00 1B 00 27 01 12 38 00 00 10 48 00 00 19 00 C7 00 12 20 00 00 00 4C 09 00 FF FF 0F 31 25 48 2F 01 2B 78 24 01 06 00 E0 11 23 48 24 01 FF FF E7 24 21 48 2C 01 2B 08 2C 01 FC FF 20 10 00 00 00 00 00 74 0E 00 21 70 C7 01 19 00 CB 01 12 38 00 00 10 20 00 00 00 00 08 24 2B 78 07 01 23 40 07 01 2B 10 2F 01 23 48 2F 01 2B 78 24 01 25 78 E2 01 0B 00 E0 11 23 48 24 01 FF FF CE 25 21 40 0B 01 2B 78 0B 01 21 48 2C 01 21 48 2F 01 02 00 2C 11 00 00 00 00 2B 78 2C 01 F7 FF E0 11 00 00 00 00 06 00 2C 15 00 00 00 00 25 20 0B 00 25 48 08 00 00 00 0D 24 2A 00 00 10 25 38 0D 00 02 3C 0C 00 F4 01 E0 00 1B 00 27 01 12 68 00 00 10 48 00 00 FF FF 86 31 19 00 CD 00 12 20 00 00 00 4C 09 00 02 7C 08 00 25 48 2F 01 2B 78 24 01 06 00 E0 11 23 48 24 01 FF FF AD 25 21 48 2C 01 2B 08 2C 01 FC FF 20 10 00 00 00 00 F4 01 E0 00 1B 00 27 01 12 38 00 00 10 48 00 00 19 00 C7 00 12 20 00 00 00 4C 09 00 FF FF 0F 31 25 48 2F 01 2B 78 24 01 06 00 E0 11 23 48 24 01 FF FF E7 24 21 48 2C 01 2B 08 2C 01 FC FF 20 10 00 00 00 00 00 6C 0D 00 21 68 A7 01 19 00 AB 01 12 38 00 00 10 20 00 00 00 00 08 24 2B 78 07 01 23 40 07 01 2B 10 2F 01 23 48 2F 01 2B 78 24 01 25 78 E2 01 0B 00 E0 11 23 48 24 01 FF FF AD 25 21 40 0B 01 2B 78 0B 01 21 48 2C 01 21 48 2F 01 02 00 2C 11 00 00 00 00 2B 78 2C 01 F7 FF E0 11 00 00 00 00 06 00 C0 05 00 00 00 00 2A 78 A0 01 21 68 AD 01 21 70 CE 01 21 70 CF 01 FF FF 4A 25 25 78 28 01 02 00 E0 11 00 00 00 00 01 00 AD 35 25 48 0E 00 25 40 0D 00 FF FF 4F 25 FE 07 E1 2D 15 00 20 10 00 00 00 00 00 04 08 25 00 04 0F 2D 21 48 2F 01 2B 78 2F 01 21 50 4F 01 C2 7A 08 00 01 00 EF 31 23 40 0F 01 C2 22 08 00 40 7D 09 00 25 20 8F 00 40 78 09 00 02 7B 0F 00 25 28 AF 00 00 7D 0A 00 25 28 AF 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 44 00 40 1D 00 00 00 00 01 00 0E 24 23 70 CA 01 20 00 C1 2D 07 00 20 14 00 00 00 00 E0 FF CE 21 2B 20 08 00 0D 00 09 10 25 40 24 01 F8 FF 00 10 00 00 09 34 09 00 C0 11 00 00 00 00 22 30 0E 00 04 20 C8 00 04 30 C9 00 06 40 C8 01 06 48 C9 01 02 00 80 10 25 40 C8 00 02 00 08 35 00 04 08 25 00 04 0F 2D 21 48 2F 01 D6 FF 00 10 C2 57 09 00 2A 78 00 01 21 40 08 01 21 48 29 01 17 00 40 15 21 48 2F 01 25 78 28 01 14 00 E0 11 00 00 00 00 08 00 20 15 00 00 00 00 03 00 00 15 00 00 00 00 29 FF 00 10 00 00 0A 24 25 48 00 01 00 00 08 24 E0 FF 4A 25 20 70 2E 71 23 FF C0 11 00 00 00 00 23 50 4E 01 22 30 0E 00 06 30 C8 00 04 40 C8 01 04 48 C9 01 1C FF 00 10 25 48 26 01 05 00 4D 15 00 00 00 00 40 78 0C 00 25 78 EB 01 2B 00 E0 11 00 00 00 00 FF 07 01 24 0A 00 A1 11 00 00 00 00 BB FF 40 11 00 00 00 00 25 78 28 01 23 00 E0 15 00 00 00 00 F0 7F 01 3C 25 28 A1 00 B4 FF 00 10 00 00 04 24 2A 78 60 01 21 58 6B 01 21 60 8C 01 17 00 A0 15 21 60 8F 01 25 78 8B 01 F5 FF E0 11 00 00 00 00 08 00 80 15 00 00 00 00 03 00 60 15 00 00 00 00 00 FF 00 10 00 00 0D 24 25 60 60 01 00 00 0B 24 E0 FF AD 25 20 70 8E 71 FA FE C0 11 00 00 00 00 23 68 AE 01 22 30 0E 00 06 30 CB 00 04 58 CB 01 04 60 CC 01 F3 FE 00 10 25 60 86 01 25 78 8B 01 02 00 E0 11 00 00 00 00 F8 FF 05 3C 93 FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_27_4_2 {
	meta:
		name = "litodp"
		size = 116
	strings:
		$1 = { 00 00 05 24 25 48 05 00 25 38 05 00 25 30 04 00 0C 00 C0 10 00 00 00 00 06 00 C1 04 00 00 00 00 00 80 09 3C 2B 50 05 00 23 28 05 00 23 30 06 00 23 30 CA 00 1E 04 07 24 20 40 C8 70 23 38 E8 00 04 30 06 01 C2 42 05 00 40 55 06 00 25 40 0A 01 40 50 06 00 02 53 0A 00 25 48 2A 01 00 55 07 00 25 48 2A 01 25 10 08 00 25 18 09 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_27_5_2 {
	meta:
		name = "ultodp"
		size = 80
	strings:
		$1 = { 00 00 05 24 25 38 05 00 25 30 04 00 05 00 C0 10 00 00 00 00 1E 04 07 24 20 48 C9 70 23 38 E9 00 04 30 26 01 C2 42 05 00 40 55 06 00 25 40 0A 01 40 48 06 00 02 4B 09 00 00 55 07 00 25 48 2A 01 25 10 08 00 25 18 09 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_27_6_2 {
	meta:
		name = "fptodp"
		size = 164
	strings:
		$1 = { C2 3D 04 00 FF 00 E7 30 00 80 01 3C 24 30 81 00 FF FF E9 24 FE 00 21 2D 0C 00 20 10 00 00 00 00 80 03 E7 24 40 4A 04 00 02 4B 09 00 25 30 C9 00 40 2F 04 00 00 4D 07 00 25 30 C9 00 25 10 05 00 25 18 06 00 08 00 E0 03 00 00 00 00 00 00 05 24 21 20 84 00 F7 FF 80 10 00 00 00 00 09 00 E0 14 00 00 00 00 FF FF E7 24 21 20 84 00 80 00 01 3C 2B 08 81 00 FB FF 20 14 00 00 00 00 E8 FF 00 10 00 00 00 00 FF 07 07 24 00 FF 01 3C 01 00 21 34 2B 08 81 00 E7 FF 20 14 00 00 00 00 E5 FF 00 10 F8 FF 06 3C }
	condition:
		$1
}

rule file_27_7_2 {
	meta:
		name = "dptofp"
		size = 248
	strings:
		$1 = { C0 3A 05 00 42 5D 04 00 25 38 EB 00 C0 32 04 00 00 80 01 3C 25 38 E1 00 00 80 01 3C 24 48 A1 00 40 40 05 00 42 45 08 00 80 FC 08 25 FF FF 0B 25 FE 00 61 2D 11 00 20 10 00 00 00 00 02 00 C0 10 00 00 00 00 01 00 E7 34 80 00 E7 24 80 00 EB 2C 21 40 0B 01 02 5A 07 00 01 00 6B 31 23 38 EB 00 40 38 07 00 42 3A 07 00 C0 5D 08 00 25 38 EB 00 25 10 E9 00 08 00 E0 03 00 00 00 00 7F 04 01 24 07 00 01 15 00 00 00 00 40 58 07 00 25 58 66 01 03 00 60 11 00 00 00 00 F6 FF 00 10 C0 FF 02 3C FF 00 01 29 04 00 20 14 00 00 00 00 80 7F 01 3C F0 FF 00 10 25 10 21 01 01 00 0A 24 23 50 48 01 20 00 41 2D 03 00 20 14 00 00 00 00 E9 FF 00 10 25 10 09 00 20 00 0C 24 23 60 8A 01 04 58 87 01 25 30 CB 00 06 38 47 01 00 00 08 24 00 80 01 3C D2 FF 00 10 25 38 E1 00 }
	condition:
		$1
}

rule file_27_8_2 {
	meta:
		name = "dptoli"
		size = 136
	strings:
		$1 = { C0 3A 05 00 42 55 04 00 25 38 EA 00 00 80 01 3C 25 38 E1 00 40 50 05 00 42 55 0A 00 1E 04 06 24 23 30 CA 00 0B 00 C0 18 00 00 00 00 20 00 C1 2C 02 00 20 14 00 00 00 00 00 00 07 34 02 00 A1 04 06 38 C7 00 23 38 07 00 25 10 07 00 08 00 E0 03 00 00 00 00 02 00 80 10 00 00 00 00 01 00 A5 34 F0 7F 01 3C 01 00 21 34 2B 08 A1 00 03 00 20 14 00 00 00 00 F5 FF 00 10 00 80 02 3C FF 7F 02 3C F2 FF 00 10 FF FF 42 34 }
	condition:
		$1
}

rule file_27_9_2 {
	meta:
		name = "dptoul"
		size = 132
	strings:
		$1 = { C0 3A 05 00 42 55 04 00 25 38 EA 00 00 80 01 3C 25 38 E1 00 40 50 05 00 42 55 0A 00 1E 04 06 24 23 30 CA 00 0B 00 C0 04 00 00 00 00 20 00 C1 2C 02 00 20 14 00 00 00 00 00 00 07 34 02 00 A1 04 06 38 C7 00 23 38 07 00 25 10 07 00 08 00 E0 03 00 00 00 00 02 00 80 10 00 00 00 00 01 00 A5 34 F0 7F 01 3C 01 00 21 34 2B 08 A1 00 03 00 20 14 00 00 00 00 F5 FF 00 10 00 80 02 3C F3 FF 00 10 FF FF 02 24 }
	condition:
		$1
}

rule file_27_10_2 {
	meta:
		name = "dpcmp"
		size = 292
	strings:
		$1 = { FE FF 09 24 40 50 05 00 40 58 07 00 25 58 64 01 25 58 66 01 25 50 4B 01 03 00 40 15 00 00 00 00 3C 00 00 10 00 00 02 24 02 00 80 10 40 40 05 00 01 00 08 25 E0 FF 01 3C 01 00 21 34 2B 08 01 01 36 00 20 10 00 00 00 00 02 00 C0 10 40 40 07 00 01 00 08 25 E0 FF 01 3C 01 00 21 34 2B 08 01 01 2E 00 20 10 00 00 00 00 16 00 A1 04 00 00 00 00 03 00 E0 04 00 00 00 00 26 00 00 10 FF FF 02 24 2B 50 86 00 23 20 86 00 2B 58 AA 00 23 28 AA 00 2B 50 A7 00 25 50 4B 01 03 00 40 11 23 28 A7 00 1C 00 00 10 01 00 02 24 25 50 A4 00 03 00 40 11 00 00 00 00 17 00 00 10 FF FF 02 24 15 00 00 10 00 00 02 24 03 00 E1 04 00 00 00 00 11 00 00 10 01 00 02 24 2B 50 86 00 23 20 86 00 2B 58 AA 00 23 28 AA 00 2B 50 A7 00 25 50 4B 01 03 00 40 11 23 28 A7 00 07 00 00 10 FF FF 02 24 25 50 A4 00 03 00 40 11 00 00 00 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 25 10 09 00 }
	condition:
		$1
}

rule file_27_11_2 {
	meta:
		name = "__negdf2"
		size = 24
	strings:
		$1 = { 00 80 01 3C 26 28 A1 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_27_12_2 {
	meta:
		name = "dpfabs"
		size = 28
	strings:
		$1 = { FF 7F 01 3C FF FF 21 34 24 28 A1 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_27_13_2 {
	meta:
		name = "dpnan"
		size = 92
	strings:
		$1 = { 02 00 80 10 40 40 05 00 01 00 08 25 E0 FF 01 3C 01 00 21 34 2B 08 01 01 03 00 20 14 00 00 00 00 0C 00 00 10 01 00 02 24 02 00 C0 10 40 40 07 00 01 00 08 25 E0 FF 01 3C 01 00 21 34 2B 08 01 01 03 00 20 14 00 00 00 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_28_0_2 {
	meta:
		name = "exexp"
		size = 484
		refs = "0030 exmul 010c sigmax"
	strings:
		$1 = { E0 FF BD 27 00 00 BF AF C3 47 07 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 17 5C 07 3C BC F0 E7 34 AA B8 08 3C 29 3B 08 35 ?? ?? ?? 0? FF 03 09 24 25 70 18 00 25 68 03 00 25 60 02 00 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 00 00 09 24 02 FC CA 25 0F 00 41 2D 05 00 20 14 00 00 00 00 55 00 40 1D 00 00 00 00 17 00 00 10 00 00 00 00 FF FF 4A 25 0B 00 40 05 00 00 00 00 2A 78 80 01 21 60 8C 01 2A 10 A0 01 21 68 AD 01 21 68 AF 01 25 78 02 00 21 48 29 01 21 48 2F 01 F4 FF 00 10 FF FF CE 25 08 00 A1 05 00 00 00 00 2B 78 0C 00 23 60 0C 00 23 68 0D 00 23 68 AF 01 00 80 01 3C 26 38 E1 00 01 00 29 25 1A 00 E0 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 25 20 0C 00 25 28 0D 00 25 30 0E 00 08 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 25 70 18 00 25 68 03 00 25 60 02 00 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 19 00 00 10 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 25 20 0C 00 25 28 0D 00 25 30 0E 00 08 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 25 70 18 00 25 68 03 00 25 60 02 00 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 26 48 28 01 23 48 28 01 21 70 C9 01 25 10 0C 00 25 18 0D 00 25 C0 0E 00 00 00 BF 8F 08 00 E0 03 20 00 BD 27 04 00 E0 10 00 00 0C 24 00 00 0E 24 F6 FF 00 10 25 68 0E 00 00 80 0D 3C F3 FF 00 10 FF 7F 0E 24 }
	condition:
		$1
}

rule file_28_1_2 {
	meta:
		name = "dpexp"
		size = 348
		refs = "0050 exexp"
	strings:
		$1 = { EC FF BD 27 00 00 BF AF 40 50 05 00 42 55 0A 00 C0 4A 05 00 42 5D 04 00 25 48 2B 01 C0 42 04 00 00 80 07 3C 25 48 27 01 FF FF 4B 25 FE 07 61 2D 1F 00 20 10 00 00 00 00 24 38 A7 00 04 00 A4 AF 08 00 A5 AF 10 00 A7 AF 25 20 08 00 25 28 09 00 ?? ?? ?? 0? 25 30 0A 00 25 50 18 00 25 48 03 00 25 40 02 00 10 00 A7 8F 08 00 A5 8F 04 00 A4 8F FF FF 4B 25 FE 07 61 2D 21 00 20 10 00 00 00 00 C2 22 08 00 40 5D 09 00 25 20 8B 00 40 28 09 00 02 2B 05 00 00 5D 0A 00 25 28 AB 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 14 00 BD 27 10 00 40 11 00 00 00 00 40 58 09 00 25 58 68 01 09 00 60 15 00 00 00 00 04 00 A1 04 00 00 00 00 00 00 04 24 F1 FF 00 10 25 28 04 00 F0 7F 05 3C EE FF 00 10 00 00 04 24 F8 FF 05 3C EB FF 00 10 00 00 04 24 F0 3F 05 3C E8 FF 00 10 00 00 04 24 F6 FF 40 1D 00 00 00 00 0C 00 07 24 23 38 EA 00 20 00 E1 2C 05 00 20 14 00 00 00 00 25 40 09 00 00 00 09 24 FA FF 00 15 E0 FF E7 24 08 00 E0 10 00 00 00 00 25 50 09 00 06 40 E8 00 06 48 E9 00 20 00 0B 24 23 38 67 01 04 50 EA 00 25 40 0A 01 25 28 09 00 D1 FF 00 10 25 20 08 00 }
	condition:
		$1
}

rule file_29_0_2 {
	meta:
		name = "fpsin"
		size = 280
		refs = "0008 fpreduct 0074 _sincof 00bc _coscof"
	strings:
		$1 = { F8 FF BD 27 00 00 BF AF ?? ?? ?? 0? 04 00 A4 AF 25 50 18 00 25 48 03 00 25 40 02 00 03 00 21 05 04 00 A4 8F 39 00 00 10 25 10 08 00 40 67 0A 00 26 20 8C 00 00 80 01 3C 24 20 81 00 19 00 08 01 10 38 00 00 7E 00 05 24 23 28 A9 00 40 28 05 00 20 00 A1 2C 02 00 20 14 00 00 00 00 00 00 07 34 06 38 A7 00 FF FF 4C 25 02 00 8C 31 13 00 80 11 00 00 00 00 ?? ?? 0B 3C ?? ?? 6B 25 00 00 65 8D 04 00 6B 25 19 00 E5 00 10 28 00 00 00 00 66 8D 04 00 6B 25 FB FF C1 04 23 28 C5 00 03 00 A0 18 00 00 00 00 40 28 05 00 FF FF 29 25 01 00 29 25 19 00 05 01 0C 00 00 10 10 40 00 00 ?? ?? 0B 3C ?? ?? 6B 25 00 00 68 8D 04 00 6B 25 19 00 E8 00 10 40 00 00 00 00 66 8D 04 00 6B 25 FB FF C1 04 23 40 C8 00 7F 00 09 24 03 00 00 19 00 00 00 00 40 40 08 00 FF FF 29 25 40 40 08 00 42 42 08 00 C0 65 09 00 25 40 0C 01 25 10 04 01 00 00 BF 8F 08 00 E0 03 08 00 BD 27 }
	condition:
		$1
}

rule file_30_0_2 {
	meta:
		name = "acoshl"
		size = 500
		refs = "0000 math_errhandling 003c dpcmp 0090 dpsub 009c sqrt 00a4 litodp 00c0 dpadd 00fc dpmul 0108 log1pl 014c errno"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D8 FF BD 27 1C 00 B3 AF 01 00 42 30 18 00 B2 AF 24 00 BF AF 20 00 B4 AF 14 00 B1 AF 10 00 B0 AF 21 98 80 00 07 00 40 10 21 90 A0 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? ?? 0? ?? ?? C6 8C 40 00 40 04 24 00 BF 8F 21 30 60 02 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 38 40 02 2F 00 40 14 21 30 60 02 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C ?? ?? ?? 0? 21 38 40 02 40 00 40 04 ?? ?? 14 3C ?? ?? 86 8E ?? ?? 87 8E 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 86 8E ?? ?? 87 8E 21 20 60 02 21 28 40 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 98 40 00 21 90 60 00 24 00 BF 8F 21 10 60 02 21 18 40 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 21 00 03 24 ?? ?? 02 3C 21 98 00 00 F8 7F 12 3C ?? ?? 43 AC 20 00 B4 8F 21 10 60 02 21 18 40 02 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 40 02 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 24 00 BF 8F 21 98 40 00 21 90 60 00 21 10 60 02 21 18 40 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_32_0_2 {
	meta:
		name = "powf"
		size = 352
		refs = "0008 math_errhandling 0038 fptodp 0044 isinfl 0054 fpcmp 0084 modff 00c8 __mchp_powf 0104 errno 0138 dptofp"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF ?? ?? 11 3C ?? ?? 22 8E ?? ?? 03 3C ?? ?? 63 8C 01 00 42 30 20 00 B2 AF 18 00 B0 AF 24 00 BF AF 21 80 80 00 21 90 A0 00 24 00 40 10 10 00 A3 AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 40 14 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 10 00 41 04 21 20 00 02 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 09 00 40 14 21 20 00 02 10 00 A5 27 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 23 00 40 14 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 07 00 40 14 21 20 00 02 21 20 40 02 ?? ?? ?? 0? 21 28 00 00 1B 00 40 18 21 00 03 24 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 21 80 40 00 ?? ?? 22 8E 01 00 42 30 0C 00 40 10 24 00 BF 8F ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 05 00 40 10 24 00 BF 8F 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 21 00 03 24 ?? ?? 02 3C 21 20 00 00 F8 FF 05 3C ?? ?? ?? 0? ?? ?? 43 AC 24 00 BF 8F 21 80 40 00 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_33_0_2 {
	meta:
		name = "dptan"
		size = 524
		refs = "000c reduct 0068 exmul 0090 sigmax 0138 exdiv"
	strings:
		$1 = { CC FF BD 27 00 00 BF AF 04 00 A4 AF ?? ?? ?? 0? 08 00 A5 AF 25 48 18 00 25 40 03 00 25 38 02 00 08 00 A5 8F 04 00 A4 8F FF FF 01 24 6A 00 21 11 00 00 00 00 42 27 09 00 80 17 04 00 26 28 A2 00 00 80 01 3C 24 28 A1 00 FF 07 29 31 04 00 A4 AF 08 00 A5 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 07 00 25 28 08 00 ?? ?? ?? 0? 25 30 09 00 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 02 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 28 00 A2 AF 2C 00 A3 AF 30 00 B8 AF 1C 00 A4 8F 20 00 A5 8F 24 00 A6 8F 02 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 25 20 02 00 25 28 03 00 25 30 18 00 10 00 A7 8F 14 00 A8 8F ?? ?? ?? 0? 18 00 A9 8F 25 60 18 00 25 58 03 00 25 50 02 00 30 00 AF 8F 2C 00 AE 8F 28 00 AD 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 08 00 A5 8F 04 00 A4 8F FF FF 82 24 02 00 42 30 17 00 40 10 00 00 00 00 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 0A 00 25 28 0B 00 25 30 0C 00 25 38 0D 00 25 40 0E 00 ?? ?? ?? 0? 25 48 0F 00 25 48 18 00 25 40 03 00 25 38 02 00 30 00 AF 8F 2C 00 AE 8F 28 00 AD 8F 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 08 00 A5 8F 1B 00 00 10 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF 28 00 AD AF 2C 00 AE AF 30 00 AF AF 25 20 0D 00 25 28 0E 00 25 30 0F 00 25 38 0A 00 25 40 0B 00 ?? ?? ?? 0? 25 48 0C 00 25 48 18 00 25 40 03 00 25 38 02 00 30 00 AF 8F 2C 00 AE 8F 28 00 AD 8F 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 08 00 A5 8F 04 00 A4 8F C2 22 07 00 40 15 08 00 25 20 82 00 40 10 08 00 02 13 02 00 25 28 A2 00 00 15 09 00 25 28 A2 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 34 00 BD 27 }
	condition:
		$1
}

rule file_34_0_2 {
	meta:
		name = "asinhl"
		size = 572
		refs = "0034 dpcmp 008c copysignl 0094 litodp 00e4 log1pl 0104 dpadd 0184 dpdiv 01a0 dpmul 01c0 sqrt"
	strings:
		$1 = { C8 FF BD 27 21 30 80 00 21 38 A0 00 28 00 B5 AF 24 00 B4 AF 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 A8 80 00 ?? ?? ?? 0? 21 A0 A0 00 0E 00 40 10 ?? ?? 02 3C 34 00 BF 8F 21 10 A0 02 21 18 80 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 52 8C ?? ?? 53 8C 21 28 80 02 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 88 60 00 21 30 40 00 21 38 20 02 ?? ?? ?? 0? 21 80 40 00 E1 FF 41 04 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 28 00 40 04 21 30 00 02 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 A0 02 21 38 80 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 34 00 BF 8F 21 A8 40 00 21 A0 60 00 21 10 A0 02 21 18 80 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 38 20 02 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 21 30 40 00 21 20 40 00 21 28 60 00 21 38 60 00 21 B8 40 00 ?? ?? ?? 0? 21 B0 60 00 21 20 40 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 E0 02 ?? ?? ?? 0? 21 38 C0 02 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 A0 02 ?? ?? ?? 0? 21 38 80 02 ?? ?? ?? 0? 21 20 40 00 21 A8 40 00 ?? ?? ?? 0? 21 A0 60 00 }
	condition:
		$1
}

rule file_35_0_2 {
	meta:
		name = "dpceil"
		size = 252
	strings:
		$1 = { 00 80 01 3C 24 40 A1 00 40 38 05 00 42 3D 07 00 FF 07 01 24 2A 00 E1 10 00 00 00 00 33 04 0A 24 23 38 47 01 22 00 E0 18 00 00 00 00 35 00 E1 28 08 00 20 14 00 00 00 00 2A 00 00 15 00 00 00 00 25 50 A4 00 24 00 40 15 00 00 00 00 25 00 00 10 00 00 00 00 05 00 00 15 00 00 00 00 2B 50 04 00 23 20 04 00 23 28 05 00 23 28 AA 00 1F 00 EA 30 01 00 09 24 04 48 49 01 23 48 09 00 20 00 E1 28 04 00 20 14 00 00 00 00 00 00 04 24 02 00 00 10 24 28 A9 00 24 20 89 00 05 00 00 15 00 00 00 00 2B 50 04 00 23 20 04 00 23 28 05 00 23 28 AA 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 00 53 05 00 25 50 44 01 09 00 40 15 00 00 00 00 F7 FF 00 10 00 00 00 00 F0 3F 05 3C F4 FF 00 10 00 00 04 24 25 28 08 00 F1 FF 00 10 00 00 04 24 F8 FF 05 3C EE FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_36_0_2 {
	meta:
		name = "fptan"
		size = 424
		refs = "0008 fpreduct"
	strings:
		$1 = { F8 FF BD 27 00 00 BF AF ?? ?? ?? 0? 04 00 A4 AF 25 60 18 00 25 58 03 00 25 50 02 00 03 00 61 05 04 00 A4 8F 5D 00 00 10 25 10 0A 00 80 77 0C 00 26 20 8E 00 00 80 01 3C 24 20 81 00 19 00 4A 01 10 28 00 00 7E 00 06 24 23 30 CB 00 40 30 06 00 20 00 C1 2C 02 00 20 14 00 00 00 00 00 00 05 34 06 28 C5 00 ?? ?? 0D 3C ?? ?? AD 25 00 00 A7 8D 04 00 AD 25 19 00 A7 00 10 38 00 00 00 00 A6 8D 04 00 AD 25 FB FF C1 04 21 38 E6 00 02 00 6B 25 23 38 07 00 03 00 E0 04 00 00 00 00 40 38 07 00 FF FF 6B 25 FF FF 8E 25 02 00 CE 31 19 00 C0 11 00 00 00 00 42 50 0A 00 02 44 07 00 F4 01 00 01 1B 00 48 01 12 28 00 00 10 48 00 00 FF FF E6 30 19 00 C5 00 12 50 00 00 00 4C 09 00 2B 70 2A 01 06 00 C0 11 23 48 2A 01 FF FF A5 24 21 48 27 01 2B 08 27 01 FC FF 20 10 00 00 00 00 F4 01 00 01 1B 00 28 01 12 40 00 00 00 54 05 00 1A 00 00 10 21 50 48 01 FE 00 0E 24 23 58 CB 01 42 38 07 00 02 44 0A 00 F4 01 00 01 1B 00 E8 00 12 28 00 00 10 48 00 00 FF FF 46 31 19 00 C5 00 12 38 00 00 00 4C 09 00 2B 70 27 01 06 00 C0 11 23 48 27 01 FF FF A5 24 21 48 2A 01 2B 08 2A 01 FC FF 20 10 00 00 00 00 F4 01 00 01 1B 00 28 01 12 40 00 00 00 54 05 00 21 50 48 01 03 00 40 19 00 00 00 00 40 50 0A 00 FF FF 6B 25 40 50 0A 00 42 52 0A 00 C0 75 0B 00 25 50 4E 01 25 10 8A 00 00 00 BF 8F 08 00 E0 03 08 00 BD 27 }
	condition:
		$1
}

rule file_37_0_2 {
	meta:
		name = "dppow"
		size = 1312
		refs = "0130 exlog 014c exmul 0160 exexp 0320 exdiv"
	strings:
		$1 = { D0 FF BD 27 00 00 BF AF 40 58 05 00 42 5D 0B 00 C0 52 05 00 42 7D 04 00 25 50 4F 01 C0 4A 04 00 00 80 08 3C 25 50 48 01 40 70 07 00 42 75 0E 00 C0 6A 07 00 42 7D 06 00 25 68 AF 01 C0 62 06 00 25 68 A8 01 24 28 A8 00 FF FF 6F 25 FE 07 E1 2D C1 00 20 10 00 00 00 00 FF FF CF 25 FE 07 E1 2D F0 00 20 10 00 00 00 00 19 00 A1 04 02 FC C8 25 FE 00 00 19 00 00 00 00 41 00 01 29 04 00 20 14 00 00 00 00 00 00 04 24 0C 00 00 10 25 30 04 00 21 00 01 29 05 00 20 14 00 00 00 00 DF FF 0F 25 04 20 EC 01 05 00 00 10 40 30 04 00 FF FF 0F 25 04 20 ED 01 40 30 04 00 25 30 CC 00 EB 00 C0 14 00 00 00 00 02 00 80 04 00 00 00 00 00 00 05 24 0F 00 01 2D 05 00 20 10 00 00 00 00 04 78 0D 01 25 78 EC 01 3C 00 E0 11 00 00 00 00 00 80 01 3C 24 40 E1 00 FF 03 61 29 03 00 20 10 00 00 00 00 00 80 01 3C 26 40 01 01 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 24 00 AC AF 28 00 AD AF 2C 00 AE AF 25 20 09 00 25 28 0A 00 ?? ?? ?? 0? 25 30 0B 00 25 20 02 00 25 28 03 00 25 30 18 00 24 00 A7 8F 28 00 A8 8F ?? ?? ?? 0? 2C 00 A9 8F 25 20 02 00 25 28 03 00 25 30 18 00 ?? ?? ?? 0? 14 00 A7 8F 25 58 18 00 25 50 03 00 25 48 02 00 2C 00 AE 8F 28 00 AD 8F 24 00 AC 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F FF FF 6F 25 FE 07 E1 2D C9 00 20 10 00 00 00 00 C2 22 09 00 40 7D 0A 00 25 20 8F 00 40 78 0A 00 02 7B 0F 00 25 28 AF 00 00 7D 0B 00 25 28 AF 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 30 00 BD 27 20 00 0F 24 23 78 E8 01 06 30 ED 01 25 60 09 00 25 68 0A 00 25 70 0B 00 01 00 CF 30 04 00 E0 15 00 00 00 00 00 80 0A 3C 00 00 09 24 FF 03 0B 24 42 30 06 00 35 00 C0 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 20 00 AB AF 25 20 0C 00 25 28 0D 00 25 30 0E 00 25 38 0C 00 25 40 0D 00 ?? ?? ?? 0? 25 48 0E 00 25 70 18 00 25 68 03 00 25 60 02 00 20 00 AB 8F 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 01 00 CF 30 16 00 E0 11 00 00 00 00 24 00 AC AF 28 00 AD AF 2C 00 AE AF 25 20 09 00 25 28 0A 00 25 30 0B 00 25 38 0C 00 25 40 0D 00 ?? ?? ?? 0? 25 48 0E 00 25 58 18 00 25 50 03 00 25 48 02 00 2C 00 AE 8F 28 00 AD 8F 24 00 AC 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F CB FF 00 10 42 30 06 00 AB FF E1 04 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 24 00 AC AF 28 00 AD AF 2C 00 AE AF 00 00 04 24 00 80 05 3C FF 03 06 24 25 38 09 00 25 40 0A 00 ?? ?? ?? 0? 25 48 0B 00 25 58 18 00 25 50 03 00 25 48 02 00 2C 00 AE 8F 28 00 AD 8F 24 00 AC 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 90 FF 00 10 04 00 A4 8F 1B 00 60 15 00 00 00 00 2A 78 20 01 21 48 29 01 21 50 4A 01 21 50 4F 01 25 78 49 01 14 00 E0 11 00 00 00 00 08 00 40 15 00 00 00 00 03 00 20 15 00 00 00 00 32 FF 00 10 00 00 0B 24 25 50 20 01 00 00 09 24 E0 FF 6B 25 20 40 48 71 2C FF 00 11 00 00 00 00 23 58 68 01 22 20 08 00 06 20 89 00 04 48 09 01 04 50 0A 01 25 FF 00 10 25 50 44 01 40 78 07 00 25 78 E6 01 26 00 E0 11 00 00 00 00 08 00 60 15 00 00 00 00 FF 07 01 24 21 00 C1 11 00 00 00 00 1B 00 E0 04 00 00 00 00 20 00 00 10 00 00 00 00 40 78 0A 00 25 78 E9 01 19 00 E0 15 00 00 00 00 FF 03 C1 2D 11 FF 20 10 00 00 00 00 FF 03 0E 24 0E FF 00 10 FF FF 0D 24 07 00 C0 15 00 00 00 00 40 78 0D 00 25 78 EC 01 12 00 E0 11 00 00 00 00 10 00 A0 10 00 00 00 00 40 78 0D 00 25 78 EC 01 07 00 E0 15 00 00 00 00 0D 00 00 10 00 00 00 00 F0 7F 01 3C 25 28 A1 00 57 FF 00 10 00 00 04 24 F8 FF 05 3C 54 FF 00 10 00 00 04 24 52 FF 00 10 00 00 04 24 F0 3F 05 3C 4F FF 00 10 00 00 04 24 F7 FF A0 14 00 00 00 00 06 00 E1 04 00 00 00 00 FF 03 61 29 F5 FF 20 10 00 00 00 00 EC FF 00 10 00 00 00 00 FF 03 61 29 E9 FF 20 10 00 00 00 00 EE FF 00 10 00 00 00 00 E5 FF 60 1D 00 00 00 00 0C 00 08 24 23 40 0B 01 20 00 01 2D 05 00 20 14 00 00 00 00 25 48 0A 00 00 00 0A 24 FA FF 20 15 E0 FF 08 25 08 00 00 11 00 00 00 00 25 20 0A 00 06 48 09 01 06 50 0A 01 20 00 0F 24 23 40 E8 01 04 20 04 01 25 48 24 01 25 28 AA 00 2A FF 00 10 25 20 09 00 }
	condition:
		$1
}

rule file_40_0_2 {
	meta:
		name = "sqrtf"
		size = 80
		refs = "0000 math_errhandling 0020 fpcmp 0030 errno 0038 __mchp_sqrtf"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 10 00 B0 AF 01 00 42 30 14 00 BF AF 07 00 40 10 21 80 80 00 ?? ?? ?? 0? 21 28 00 00 03 00 41 04 21 00 03 24 ?? ?? 02 3C ?? ?? 43 AC ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_41_0_2 {
	meta:
		name = "copysignl"
		size = 52
	strings:
		$1 = { 04 00 A5 AF 0C 00 A7 AF 06 00 A3 97 0E 00 A2 97 00 00 A4 AF FF 7F 63 30 00 80 42 30 25 10 43 00 06 00 A2 A7 08 00 A6 AF 00 00 A2 8F 08 00 E0 03 04 00 A3 8F }
	condition:
		$1
}

rule file_41_1_2 {
	meta:
		name = "copysign"
		size = 96
		refs = "000c fptodp 0048 dptofp"
		altNames = "copysignf"
	strings:
		$1 = { D8 FF BD 27 20 00 B0 AF 24 00 BF AF ?? ?? ?? 0? 21 80 A0 00 21 20 00 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 1C 00 A3 AF 18 00 A2 AF 16 00 A3 97 1E 00 A2 97 10 00 A4 8F FF 7F 63 30 00 80 42 30 25 10 43 00 16 00 A2 A7 ?? ?? ?? 0? 14 00 A5 8F 24 00 BF 8F 20 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_41_3_2 {
	meta:
		name = "logbl"
		size = 288
		refs = "0034 dpcmp 0048 errno 007c litodp"
	strings:
		$1 = { E0 FF BD 27 24 00 A5 AF 18 00 B2 AF 26 00 B2 87 F0 7F 03 24 1C 00 BF AF F0 7F 42 32 14 00 B1 AF 10 00 B0 AF 21 00 43 10 20 00 A4 AF 12 00 40 14 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 2E 00 40 14 ?? ?? 02 3C 21 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 21 80 00 00 C0 FF 11 3C 1C 00 BF 8F 21 10 00 02 21 18 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 03 11 02 00 ?? ?? ?? 0? 01 FC 44 24 1C 00 BF 8F 21 80 40 00 21 88 60 00 21 10 00 02 21 18 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 20 00 B0 8F 24 00 B1 8F 21 20 00 02 21 30 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 20 02 E3 FF 40 14 FF 7F 52 32 26 00 B2 A7 24 00 B1 8F 1C 00 BF 8F 21 10 00 02 21 18 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 51 8C 1C 00 BF 8F 21 80 00 00 21 10 00 02 21 18 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_41_6_2 {
	meta:
		name = "finitel"
		size = 28
	strings:
		$1 = { 04 00 A5 AF 06 00 A2 87 00 00 A4 AF F0 7F 42 30 F0 7F 42 38 08 00 E0 03 2B 10 02 00 }
	condition:
		$1
}

rule file_41_7_2 {
	meta:
		name = "finite"
		size = 52
		refs = "0008 fptodp"
		altNames = "finitef"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 A3 AF 10 00 A2 AF 16 00 A2 87 1C 00 BF 8F 20 00 BD 27 F0 7F 42 30 F0 7F 42 38 08 00 E0 03 2B 10 02 00 }
	condition:
		$1
}

rule file_41_9_2 {
	meta:
		name = "dreml"
		size = 1152
		refs = "006c dpcmp 00b0 dpadd 00dc dpmul 01a4 dpsub 02b0 dpdiv 03c0 dreml 03f0 ldexp 03f8 litodp"
	strings:
		$1 = { A8 FF BD 27 64 00 A7 AF 5C 00 A5 AF 40 00 B4 AF 34 00 B1 AF 5E 00 B4 97 66 00 B1 97 30 00 B0 AF F0 7F 82 32 FF 7F 31 32 F0 7F 10 24 54 00 BF AF 50 00 BE AF 4C 00 B7 AF 48 00 B6 AF 44 00 B5 AF 3C 00 B3 AF 38 00 B2 AF 60 00 A6 AF 58 00 A4 AF A9 00 50 10 66 00 B1 A7 60 00 B2 8F 64 00 B3 8F 21 30 00 00 21 38 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 8B 00 40 10 F0 7F 31 32 B6 00 30 12 11 00 31 2E D8 00 20 16 21 30 40 02 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C ?? ?? ?? 0? 21 38 60 02 B7 00 40 18 21 30 40 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 21 88 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 21 28 60 02 FF 7F 97 32 21 80 60 00 10 00 B1 AF ?? ?? ?? 0? 14 00 A3 AF 5E 00 B7 A7 58 00 A8 8F 5C 00 BE 8F 21 20 20 02 21 30 00 01 21 28 00 02 21 38 C0 03 00 80 94 32 2C 00 A8 AF 21 A8 40 00 21 B0 60 00 ?? ?? ?? 0? 20 00 B4 AF 2F 00 41 04 2C 00 A8 8F 16 00 B4 97 ?? ?? ?? 0? F0 7F 94 32 5E 00 B7 97 1C 00 B0 AF 1E 00 A2 97 F0 7F F7 32 18 00 B1 AF 23 10 54 00 21 B8 57 00 FF FF F7 32 1E 00 B7 A7 18 00 AA 8F 1C 00 AB 8F 21 20 00 01 21 28 C0 03 21 30 40 01 21 38 60 01 2C 00 A8 AF 24 00 AA AF ?? ?? ?? 0? 28 00 AB AF 2C 00 A8 8F 21 28 C0 03 F0 FF F7 26 21 20 00 01 24 00 AA 8F 04 00 41 04 28 00 AB 8F 1E 00 B7 A7 18 00 AA 8F 1C 00 AB 8F 21 30 40 01 ?? ?? ?? 0? 21 38 60 01 21 30 40 00 21 20 20 02 21 28 00 02 21 38 60 00 21 F0 60 00 58 00 A2 AF 5C 00 A3 AF ?? ?? ?? 0? 2C 00 A2 AF D6 FF 40 04 2C 00 A8 8F 21 30 00 01 21 20 A0 02 21 28 C0 02 21 38 C0 03 ?? ?? ?? 0? 2C 00 A8 AF 18 00 41 04 2C 00 A8 8F 21 20 00 01 21 30 40 02 21 28 C0 03 ?? ?? ?? 0? 21 38 60 02 21 30 40 00 21 20 A0 02 21 28 C0 02 21 38 60 00 21 80 40 00 21 88 60 00 58 00 A2 AF ?? ?? ?? 0? 5C 00 A3 AF 09 00 40 1C 5E 00 B4 97 21 20 00 02 21 30 40 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 02 58 00 A2 AF 5C 00 A3 AF 5E 00 B4 97 20 00 A2 8F 58 00 B2 8F 54 00 BF 8F 26 A0 54 00 5E 00 B4 A7 5C 00 B3 8F 21 10 40 02 50 00 BE 8F 21 18 60 02 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 21 20 00 00 21 28 00 00 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 21 90 40 00 21 98 60 00 54 00 BF 8F 21 10 40 02 21 18 60 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 60 00 A6 8F ?? ?? ?? 0? 64 00 A7 8F 21 20 40 00 21 30 40 00 21 28 60 00 ?? ?? ?? 0? 21 38 60 00 54 00 BF 8F 21 90 40 00 21 98 60 00 21 10 40 02 21 18 60 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 21 30 40 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 D5 FF 40 14 54 00 BF 8F 58 00 B2 8F ?? ?? ?? 0? 5C 00 B3 8F ?? ?? 10 3C 58 00 A4 8F 5C 00 A5 8F ?? ?? 06 8E ?? ?? ?? 0? ?? ?? 07 8E ?? ?? 06 8E ?? ?? 07 8E 21 20 40 02 21 28 60 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 28 60 00 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 36 00 05 24 ?? ?? ?? 0? 21 20 40 00 21 80 60 00 21 20 40 02 21 28 60 02 21 30 40 00 21 38 00 02 ?? ?? ?? 0? 21 88 40 00 58 00 A4 8F 5C 00 A5 8F 21 90 60 00 21 38 40 02 21 30 40 00 ?? ?? ?? 0? 21 98 40 00 21 30 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 60 02 21 38 40 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 28 60 00 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 }
	condition:
		$1
}

rule file_42_0_2 {
	meta:
		name = "lltodp"
		size = 208
	strings:
		$1 = { 00 00 08 24 25 58 08 00 25 38 05 00 25 30 04 00 25 60 A4 00 22 00 80 11 00 00 00 00 06 00 A1 04 3E 04 08 24 00 80 0B 3C 2B 60 06 00 23 30 06 00 23 38 07 00 23 38 EC 00 08 00 E0 14 00 00 00 00 03 00 C0 14 00 00 00 00 0D 00 00 10 00 00 08 24 25 38 C0 00 00 00 06 24 E0 FF 08 25 20 50 EA 70 07 00 40 11 00 00 00 00 23 40 0A 01 22 48 0A 00 06 48 26 01 04 30 46 01 04 38 47 01 25 38 E9 00 00 04 C6 24 00 04 CC 2C 21 38 EC 00 2B 60 EC 00 21 40 0C 01 C2 62 06 00 01 00 8C 31 23 30 CC 00 C2 4A 06 00 40 65 07 00 25 48 2C 01 40 50 07 00 02 53 0A 00 00 65 08 00 25 50 4C 01 25 50 4B 01 25 10 09 00 25 18 0A 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_42_1_2 {
	meta:
		name = "ulltodp"
		size = 196
	strings:
		$1 = { 00 00 08 24 25 38 05 00 25 30 04 00 25 58 A4 00 21 00 60 11 00 00 00 00 05 00 A1 04 3E 04 08 24 2B 58 06 00 23 30 06 00 23 38 07 00 23 38 EB 00 08 00 E0 14 00 00 00 00 03 00 C0 14 00 00 00 00 0D 00 00 10 00 00 08 24 25 38 C0 00 00 00 06 24 E0 FF 08 25 20 50 EA 70 07 00 40 11 00 00 00 00 23 40 0A 01 22 48 0A 00 06 48 26 01 04 30 46 01 04 38 47 01 25 38 E9 00 00 04 C6 24 00 04 CB 2C 21 38 EB 00 2B 58 EB 00 21 40 0B 01 C2 5A 06 00 01 00 6B 31 23 30 CB 00 C2 4A 06 00 40 5D 07 00 25 48 2B 01 40 50 07 00 02 53 0A 00 00 5D 08 00 25 50 4B 01 25 10 09 00 25 18 0A 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_42_2_2 {
	meta:
		name = "dptoll"
		size = 220
	strings:
		$1 = { 40 48 05 00 42 4D 09 00 C0 42 05 00 42 55 04 00 25 40 0A 01 C0 3A 04 00 00 80 01 3C 25 40 01 01 3E 04 21 2D 1D 00 20 10 00 00 00 00 3E 04 06 24 23 30 C9 00 20 00 C1 2C 05 00 20 14 00 00 00 00 25 38 08 00 00 00 08 24 FA FF E0 14 E0 FF C6 24 08 00 C0 10 00 00 00 00 25 20 08 00 06 38 C7 00 06 40 C8 00 20 00 0A 24 23 30 46 01 04 20 C4 00 25 38 E4 00 05 00 A1 04 00 00 00 00 2B 50 07 00 23 38 07 00 23 40 08 00 23 40 0A 01 25 10 07 00 25 18 08 00 08 00 E0 03 00 00 00 00 08 00 A0 04 00 00 00 00 FF 07 01 24 08 00 21 15 00 00 00 00 40 50 08 00 25 50 47 01 04 00 40 11 00 00 00 00 00 80 08 3C F1 FF 00 10 00 00 07 24 FF 7F 08 3C FF FF 08 35 ED FF 00 10 FF FF 07 24 }
	condition:
		$1
}

rule file_42_3_2 {
	meta:
		name = "dptoull"
		size = 220
	strings:
		$1 = { 40 48 05 00 42 4D 09 00 C0 42 05 00 42 55 04 00 25 40 0A 01 C0 3A 04 00 00 80 01 3C 25 40 01 01 3F 04 21 2D 1D 00 20 10 00 00 00 00 3E 04 06 24 23 30 C9 00 20 00 C1 2C 05 00 20 14 00 00 00 00 25 38 08 00 00 00 08 24 FA FF E0 14 E0 FF C6 24 08 00 C0 10 00 00 00 00 25 20 08 00 06 38 C7 00 06 40 C8 00 20 00 0A 24 23 30 46 01 04 20 C4 00 25 38 E4 00 05 00 A1 04 00 00 00 00 2B 50 07 00 23 38 07 00 23 40 08 00 23 40 0A 01 25 10 07 00 25 18 08 00 08 00 E0 03 00 00 00 00 08 00 A0 04 00 00 00 00 FF 07 01 24 08 00 21 15 00 00 00 00 40 50 08 00 25 50 47 01 04 00 40 11 00 00 00 00 00 80 08 3C F1 FF 00 10 00 00 07 24 FF 7F 08 3C FF FF 08 35 ED FF 00 10 FF FF 07 24 }
	condition:
		$1
}

rule file_43_0_2 {
	meta:
		name = "dpacos"
		size = 864
		refs = "00f4 exsqrt 0148 exmul 019c _asncon 01a4 sigmax 0228 exadd 028c exsub"
	strings:
		$1 = { D8 FF BD 27 00 00 BF AF 40 48 05 00 42 4D 09 00 25 30 09 00 C0 42 05 00 42 6D 04 00 25 40 0D 01 C0 3A 04 00 00 80 01 3C 25 40 01 01 FE 03 21 2D 3D 00 20 14 00 00 00 00 FE 03 01 24 0B 00 21 11 00 00 00 00 00 04 21 2D C2 00 20 10 00 00 00 00 40 68 08 00 25 68 A7 01 BE 00 A0 15 00 00 00 00 00 00 08 24 43 00 00 10 25 48 08 00 25 50 07 00 25 58 08 00 25 60 09 00 2B 68 0A 00 23 50 0A 00 23 58 0B 00 23 58 6D 01 08 00 60 15 00 00 00 00 03 00 40 15 00 00 00 00 0D 00 00 10 00 00 0C 24 25 58 40 01 00 00 0A 24 E0 FF 8C 25 20 38 67 71 07 00 E0 10 00 00 00 00 23 60 87 01 22 40 07 00 06 40 0A 01 04 50 EA 00 04 58 EB 00 25 58 68 01 FF FF 8C 25 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 0A 00 25 28 0B 00 ?? ?? ?? 0? 25 30 0C 00 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 14 00 00 10 01 00 29 25 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 07 00 25 28 08 00 ?? ?? ?? 0? 25 30 09 00 25 60 18 00 25 58 03 00 25 50 02 00 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 0A 00 25 28 0B 00 25 30 0C 00 0B 00 07 24 ?? ?? 08 3C ?? ?? 08 25 ?? ?? ?? 0? 00 00 00 00 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 10 00 A4 8F 14 00 A5 8F 18 00 A6 8F 25 38 02 00 25 40 03 00 ?? ?? ?? 0? 25 48 18 00 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F FE 03 C1 28 2F 00 20 10 00 00 00 00 14 00 A1 04 00 00 00 00 25 20 07 00 25 28 08 00 25 30 09 00 68 21 07 3C 35 C2 E7 34 0F C9 08 3C A2 DA 08 35 ?? ?? ?? 0? FF 03 09 24 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 34 00 00 10 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 07 00 25 28 08 00 25 30 09 00 68 21 07 3C 35 C2 E7 34 0F C9 08 3C A2 DA 08 35 ?? ?? ?? 0? FF 03 09 24 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 1B 00 00 10 04 00 A4 8F 19 00 A1 04 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 07 00 25 28 08 00 25 30 09 00 68 21 07 3C 35 C2 E7 34 0F C9 08 3C A2 DA 08 35 ?? ?? ?? 0? 00 04 09 24 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F C2 22 07 00 40 6D 08 00 25 20 8D 00 40 28 08 00 02 2B 05 00 00 6D 09 00 25 28 AD 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 28 00 BD 27 F8 FF 05 3C F9 FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_45_0_2 {
	meta:
		name = "dpsin"
		size = 416
		refs = "000c reduct 0064 exmul 00b0 sincon 00b8 sigmax 0138 coscon"
	strings:
		$1 = { D8 FF BD 27 00 00 BF AF 04 00 A4 AF ?? ?? ?? 0? 08 00 A5 AF 25 48 18 00 25 40 03 00 25 38 02 00 08 00 A5 8F 04 00 A4 8F 26 28 A9 00 00 80 01 3C 24 28 A1 00 FF FF 01 24 4C 00 21 11 00 00 00 00 42 37 09 00 FF 07 29 31 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 07 00 25 28 08 00 ?? ?? ?? 0? 25 30 09 00 25 60 18 00 25 58 03 00 25 50 02 00 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F FF FF CD 24 02 00 AD 31 1D 00 A0 11 00 00 00 00 25 20 0A 00 25 28 0B 00 25 30 0C 00 05 00 07 24 ?? ?? 08 3C ?? ?? 08 25 ?? ?? ?? 0? 00 00 00 00 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 10 00 A7 8F 14 00 A8 8F ?? ?? ?? 0? 18 00 A9 8F 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 18 00 00 10 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 0A 00 25 28 0B 00 25 30 0C 00 05 00 07 24 ?? ?? 08 3C ?? ?? 08 25 ?? ?? ?? 0? 00 00 00 00 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F C2 22 07 00 40 6D 08 00 25 20 8D 00 40 68 08 00 02 6B 0D 00 25 28 AD 00 00 6D 09 00 25 28 AD 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_46_0_2 {
	meta:
		name = "fpexlog"
		size = 688
	strings:
		$1 = { C2 3E 04 00 1E 00 E7 30 00 F0 01 3C 24 40 81 00 7F 00 A1 28 08 00 20 14 00 00 00 00 00 00 06 24 81 FF AD 24 21 58 04 01 FF 0F 01 3C FF FF 21 34 09 00 00 10 24 20 81 00 00 80 06 3C 7E 00 0D 24 23 68 A5 01 F2 FF E7 24 00 10 01 3C 21 40 01 01 21 58 04 01 23 20 04 01 42 58 0B 00 00 80 01 3C 25 58 61 01 7F 00 05 24 20 40 88 70 23 28 A8 00 04 20 04 01 2B 08 8B 00 03 00 20 14 00 00 00 00 42 20 04 00 01 00 A5 24 02 64 0B 00 F4 01 80 01 1B 00 8C 00 12 40 00 00 10 20 00 00 FF FF 69 31 19 00 28 01 12 50 00 00 00 24 04 00 42 7C 0B 00 25 20 8F 00 2B 78 8A 00 06 00 E0 11 23 20 8A 00 FF FF 08 25 21 20 8B 00 2B 08 8B 00 FC FF 20 10 00 00 00 00 F4 01 80 01 1B 00 8C 00 12 20 00 00 10 60 00 00 19 00 24 01 12 50 00 00 00 64 0C 00 2B 78 8A 01 06 00 E0 11 23 60 8A 01 FF FF 84 24 21 60 8B 01 2B 08 8B 01 FC FF 20 10 00 00 00 00 00 7C 08 00 21 20 8F 00 19 00 84 00 10 58 00 00 80 00 08 24 23 40 05 01 40 40 08 00 20 00 01 2D 02 00 20 14 00 00 00 00 00 00 0B 34 06 58 0B 01 ?? ?? 0E 3C ?? ?? CE 25 00 00 CA 8D 04 00 CE 25 19 00 6A 01 10 50 00 00 00 00 C9 8D 04 00 CE 25 21 50 49 01 00 40 01 3C 2B 08 21 01 F8 FF 20 14 00 00 00 00 19 00 8A 00 12 40 00 00 10 20 00 00 06 00 80 18 00 00 00 00 2A 78 00 01 21 40 08 01 21 20 84 00 21 20 8F 00 FF FF A5 24 ?? ?? 0F 3C ?? ?? EF 25 01 00 E2 24 80 10 02 00 21 78 E2 01 00 00 E8 8D 15 00 00 11 00 00 00 00 23 48 05 01 20 00 21 2D 02 00 20 14 00 00 00 00 00 00 04 34 06 20 24 01 25 28 08 00 ?? ?? 0F 3C ?? ?? EF 25 80 10 07 00 21 78 E2 01 00 00 E8 8D 21 20 88 00 2B 78 88 00 05 00 E0 11 00 00 00 00 42 20 04 00 00 80 01 3C 25 20 81 00 01 00 A5 24 20 00 A0 11 00 00 00 00 9E 00 0C 24 20 40 A8 71 23 60 88 01 04 68 0D 01 72 B1 0B 3C F8 17 6B 35 19 00 6D 01 12 40 00 00 10 58 00 00 06 00 60 19 00 00 00 00 2A 78 00 01 21 40 08 01 21 58 6B 01 21 58 6F 01 FF FF 8C 25 23 40 85 01 20 00 01 2D 02 00 20 14 00 00 00 00 00 00 04 34 06 20 04 01 21 20 8B 00 2B 78 8B 00 05 00 E0 11 00 00 00 00 42 20 04 00 00 80 01 3C 25 20 81 00 01 00 8C 25 25 28 0C 00 02 00 80 14 00 00 00 00 00 00 05 24 25 10 04 00 25 18 05 00 25 C0 06 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_46_1_2 {
	meta:
		name = "__mchp_logf"
		size = 192
		refs = "0034 fpexlog"
	strings:
		$1 = { F8 FF BD 27 00 00 BF AF C2 35 04 00 00 2A 04 00 00 80 01 3C 25 28 A1 00 FF FF C9 24 FE 00 21 2D 12 00 20 10 00 00 00 00 04 00 A4 AF 25 20 05 00 25 28 06 00 ?? ?? ?? 0? 25 30 07 00 25 38 18 00 25 30 03 00 25 28 02 00 04 00 A4 8F 40 28 05 00 42 2A 05 00 C0 4D 06 00 25 28 A9 00 25 10 A7 00 00 00 BF 8F 08 00 E0 03 08 00 BD 27 40 48 04 00 11 00 20 11 00 00 00 00 0D 00 80 04 00 00 00 00 06 00 C0 14 00 00 00 00 21 28 A5 00 20 40 A8 70 23 30 C8 00 E4 FF 00 10 04 28 05 01 21 48 A5 00 03 00 20 15 00 00 00 00 ED FF 00 10 80 7F 02 3C EB FF 00 10 C0 FF 02 3C E9 FF 00 10 80 FF 02 3C }
	condition:
		$1
}

rule file_46_2_2 {
	meta:
		name = "__mchp_log10f"
		size = 236
		refs = "0034 fpexlog"
	strings:
		$1 = { F8 FF BD 27 00 00 BF AF C2 35 04 00 00 2A 04 00 00 80 01 3C 25 28 A1 00 FF FF C9 24 FE 00 21 2D 1D 00 20 10 00 00 00 00 04 00 A4 AF 25 20 05 00 25 28 06 00 ?? ?? ?? 0? 25 30 07 00 25 38 18 00 25 30 03 00 25 28 02 00 04 00 A4 8F FF FF C6 24 0D 00 C0 04 00 00 00 00 5B DE 08 3C A9 D8 08 35 19 00 A8 00 10 28 00 00 03 00 A0 18 00 00 00 00 40 28 05 00 FF FF C6 24 40 28 05 00 42 2A 05 00 C0 4D 06 00 25 28 A9 00 25 10 A7 00 00 00 BF 8F 08 00 E0 03 08 00 BD 27 40 48 04 00 11 00 20 11 00 00 00 00 0D 00 80 04 00 00 00 00 06 00 C0 14 00 00 00 00 21 28 A5 00 20 40 A8 70 23 30 C8 00 D9 FF 00 10 04 28 05 01 21 48 A5 00 03 00 20 15 00 00 00 00 ED FF 00 10 80 7F 02 3C EB FF 00 10 C0 FF 02 3C E9 FF 00 10 80 FF 02 3C }
	condition:
		$1
}

rule file_47_0_2 {
	meta:
		name = "__mchp_cosh"
		size = 392
		refs = "0050 exmul 006c sigmax 00a0 exexp 00dc exdiv 00f8 exadd"
	strings:
		$1 = { D8 FF BD 27 00 00 BF AF 40 48 05 00 42 4D 09 00 C0 42 05 00 42 6D 04 00 25 40 0D 01 C0 3A 04 00 00 80 01 3C 25 40 01 01 FF 07 01 24 4C 00 21 11 00 00 00 00 FF 03 21 2D 14 00 20 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 25 20 07 00 25 28 08 00 ?? ?? ?? 0? 25 30 09 00 25 20 02 00 25 28 03 00 25 30 18 00 06 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 25 48 18 00 25 40 03 00 25 38 02 00 08 00 A5 8F 2A 00 00 10 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 25 20 07 00 25 28 08 00 25 30 09 00 ?? ?? ?? 0? 00 00 07 24 25 48 18 00 25 40 03 00 25 38 02 00 08 00 A5 8F 04 00 A4 8F 25 50 07 00 25 58 08 00 25 60 09 00 1C 00 AA AF 20 00 AB AF 24 00 AC AF 00 00 04 24 00 80 05 3C ?? ?? ?? 0? FF 03 06 24 25 20 02 00 25 28 03 00 25 30 18 00 1C 00 A7 8F 20 00 A8 8F ?? ?? ?? 0? 24 00 A9 8F 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 08 00 A5 8F 04 00 A4 8F FF FF 29 25 FF 07 21 2D 14 00 20 10 00 00 00 00 C2 22 07 00 40 6D 08 00 25 20 8D 00 40 28 08 00 02 2B 05 00 00 6D 09 00 25 28 AD 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 28 00 BD 27 21 68 08 01 25 68 A7 01 04 00 A0 11 00 00 00 00 00 00 04 24 F5 FF 00 10 F8 FF 05 3C 00 00 04 24 F2 FF 00 10 F0 7F 05 3C }
	condition:
		$1
}

rule file_47_1_2 {
	meta:
		name = "__mchp_sinh"
		size = 520
		refs = "0064 exmul 0080 sigmax 00fc exexp 0148 exdiv 0170 exsub"
	strings:
		$1 = { D8 FF BD 27 00 00 BF AF 40 48 05 00 42 4D 09 00 C0 42 05 00 42 6D 04 00 25 40 0D 01 C0 3A 04 00 00 80 06 3C 25 40 06 01 24 30 C5 00 FF 07 01 24 6B 00 21 11 00 00 00 00 FF 03 21 2D 26 00 20 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 07 00 25 28 08 00 ?? ?? ?? 0? 25 30 09 00 25 20 02 00 25 28 03 00 25 30 18 00 05 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 10 00 A7 8F 14 00 A8 8F ?? ?? ?? 0? 18 00 A9 8F 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 36 00 00 10 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 07 00 25 28 08 00 25 30 09 00 ?? ?? ?? 0? 00 00 07 24 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 25 50 07 00 25 58 08 00 25 60 09 00 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 00 00 04 24 00 80 05 3C ?? ?? ?? 0? FF 03 06 24 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 10 00 A7 8F 14 00 A8 8F ?? ?? ?? 0? 18 00 A9 8F 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F FF FF 29 25 FF 07 21 2D 15 00 20 10 00 00 00 00 C2 22 07 00 40 6D 08 00 25 20 8D 00 40 28 08 00 02 2B 05 00 00 6D 09 00 25 28 AD 00 25 28 A6 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 28 00 BD 27 40 68 08 00 25 68 A7 01 F7 FF A0 11 00 00 00 00 00 00 04 24 F4 FF 00 10 F8 FF 05 3C 00 00 04 24 F1 FF 00 10 F0 7F 05 3C }
	condition:
		$1
}

rule file_47_2_2 {
	meta:
		name = "dptanh"
		size = 504
		refs = "0068 exmul 0084 sigmax 00ac exdiv 0104 exexp 012c exadd 0170 exsub"
	strings:
		$1 = { D8 FF BD 27 00 00 BF AF 40 48 05 00 42 4D 09 00 C0 42 05 00 42 6D 04 00 25 40 0D 01 C0 3A 04 00 00 80 06 3C 25 40 06 01 24 30 C5 00 FF FF 2D 25 FE 07 A1 2D 66 00 20 10 00 00 00 00 FF 03 21 2D 26 00 20 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 07 00 25 28 08 00 ?? ?? ?? 0? 25 30 09 00 25 20 02 00 25 28 03 00 25 30 18 00 09 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 10 00 A4 8F 14 00 A5 8F 18 00 A6 8F 25 38 02 00 25 40 03 00 ?? ?? ?? 0? 25 48 18 00 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 31 00 00 10 04 00 A4 8F 01 00 29 25 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 07 00 25 28 08 00 25 30 09 00 ?? ?? ?? 0? 00 00 07 24 10 00 A2 AF 14 00 A3 AF 18 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 00 00 07 24 00 80 08 3C ?? ?? ?? 0? FF 03 09 24 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 00 00 04 24 00 80 05 3C 00 04 06 24 25 38 02 00 25 40 03 00 ?? ?? ?? 0? 25 48 18 00 25 20 02 00 25 28 03 00 25 30 18 00 00 00 07 24 00 80 08 3C ?? ?? ?? 0? FF 03 09 24 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F C2 22 07 00 40 6D 08 00 25 20 8D 00 40 28 08 00 02 2B 05 00 00 6D 09 00 25 28 AD 00 25 28 A6 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 28 00 BD 27 F9 FF 20 11 00 00 00 00 F0 3F 05 3C 40 68 08 00 25 68 A7 01 F4 FF A0 11 00 00 00 00 00 00 04 24 F1 FF 00 10 F8 FF 05 3C }
	condition:
		$1
}

rule file_48_0_2 {
	meta:
		name = "fmod"
		size = 672
	strings:
		$1 = { 40 50 05 00 42 55 0A 00 C0 4A 05 00 42 7D 04 00 25 48 2F 01 C0 42 04 00 00 80 0E 3C 25 48 2E 01 40 68 07 00 42 6D 0D 00 C0 62 07 00 42 7D 06 00 25 60 8F 01 C0 5A 06 00 25 60 8E 01 24 70 C5 01 FF FF 4F 25 FE 07 E1 2D 56 00 20 10 00 00 00 00 FF FF AF 25 FE 07 E1 2D 6E 00 20 10 00 00 00 00 23 38 4D 01 4B 00 E0 04 00 00 00 00 42 40 08 00 C0 7F 09 00 25 40 0F 01 42 48 09 00 42 58 0B 00 C0 7F 0C 00 25 58 6F 01 42 60 0C 00 2B 78 0B 01 23 40 0B 01 2B 10 2F 01 23 48 2F 01 2B 78 2C 01 25 78 E2 01 05 00 E0 11 23 48 2C 01 21 40 0B 01 2B 78 0B 01 21 48 2C 01 21 48 2F 01 2A 78 00 01 21 40 08 01 21 48 29 01 21 48 2F 01 FF FF E7 24 EE FF E1 04 00 00 00 00 08 00 20 15 25 50 0D 00 03 00 00 15 00 00 00 00 0D 00 00 10 00 00 0A 24 25 48 00 01 00 00 08 24 E0 FF 4A 25 20 38 27 71 07 00 E0 10 00 00 00 00 23 50 47 01 22 30 07 00 06 30 C8 00 04 40 E8 00 04 48 E9 00 25 48 26 01 14 00 40 1D 00 00 00 00 01 00 07 24 23 38 EA 00 20 00 E1 2C 05 00 20 14 00 00 00 00 25 40 09 00 00 00 09 24 FA FF 00 15 E0 FF E7 24 08 00 E0 10 00 00 00 00 25 30 09 00 06 40 E8 00 06 48 E9 00 20 00 0F 24 23 38 E7 01 04 30 E6 00 25 40 06 01 00 00 0A 24 C2 22 08 00 40 7D 09 00 25 20 8F 00 40 28 09 00 02 2B 05 00 00 7D 0A 00 25 28 AF 00 25 28 AE 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 3B 00 40 15 00 00 00 00 2A 78 00 01 21 40 08 01 21 48 29 01 21 48 2F 01 25 78 28 01 A3 FF E0 11 00 00 00 00 08 00 20 15 00 00 00 00 03 00 00 15 00 00 00 00 9D FF 00 10 00 00 0A 24 25 48 00 01 00 00 08 24 E0 FF 4A 25 20 38 27 71 97 FF E0 10 00 00 00 00 23 50 47 01 22 30 07 00 06 30 C8 00 04 40 E8 00 04 48 E9 00 90 FF 00 10 25 48 26 01 1B 00 A0 15 00 00 00 00 2A 78 60 01 21 58 6B 01 21 60 8C 01 21 60 8F 01 25 78 8B 01 18 00 E0 11 00 00 00 00 08 00 80 15 00 00 00 00 03 00 60 15 00 00 00 00 85 FF 00 10 00 00 0D 24 25 60 60 01 00 00 0B 24 E0 FF AD 25 20 38 87 71 7F FF E0 10 00 00 00 00 23 68 A7 01 22 30 07 00 06 30 CB 00 04 58 EB 00 04 60 EC 00 78 FF 00 10 25 60 86 01 40 78 0C 00 25 78 EB 01 C1 FF E0 11 00 00 00 00 F8 FF 05 3C BE FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_48_1_2 {
	meta:
		name = "frexp"
		size = 164
	strings:
		$1 = { 40 38 05 00 42 3D 07 00 FF FF E9 24 FE 07 21 2D 0C 00 20 10 00 00 00 00 02 FC E7 24 0F 80 01 3C FF FF 21 34 24 28 A1 00 E0 3F 01 3C 25 28 A1 00 00 00 C7 AC 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 13 00 E0 14 00 00 00 00 40 48 05 00 25 48 24 01 F6 FF 20 11 00 00 00 00 00 80 01 3C 24 40 A1 00 01 00 E7 24 FF FF E7 24 2A 48 80 00 21 20 84 00 21 28 A5 00 21 28 A9 00 10 00 01 3C 2B 08 A1 00 F8 FF 20 14 00 00 00 00 E2 FF 00 10 25 28 A8 00 F8 FF 05 3C 00 00 07 24 E4 FF 00 10 25 20 07 00 }
	condition:
		$1
}

rule file_48_2_2 {
	meta:
		name = "__mchp_ldexp"
		size = 360
	strings:
		$1 = { 40 48 05 00 42 4D 09 00 FF FF 2C 25 FE 07 81 2D 0F 00 20 10 00 00 00 00 21 48 26 01 FF FF 2C 25 FE 07 81 2D 21 00 20 10 00 00 00 00 0F 80 01 3C FF FF 21 34 24 28 A1 00 00 65 09 00 25 28 AC 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 00 63 05 00 25 60 84 01 F9 FF 80 11 00 00 00 00 04 00 20 11 00 00 00 00 F8 FF 05 3C F4 FF 00 10 00 00 04 24 01 00 29 25 00 80 01 3C 24 50 A1 00 FF FF 29 25 2A 60 80 00 21 20 84 00 21 28 A5 00 21 28 AC 00 10 00 01 3C 2B 08 A1 00 F8 FF 20 14 00 00 00 00 DC FF 00 10 25 28 AA 00 C0 42 05 00 42 65 04 00 25 40 0C 01 C0 3A 04 00 00 80 01 3C 25 40 01 01 00 80 01 3C 05 00 20 19 24 28 A1 00 F0 7F 01 3C 25 28 A1 00 D9 FF 00 10 00 00 04 24 01 00 0A 24 23 50 49 01 20 00 41 2D 07 00 20 14 00 00 00 00 E0 FF 4A 21 2B 20 07 00 0D 00 08 10 25 38 04 01 F8 FF 00 10 00 00 08 34 09 00 40 11 00 00 00 00 22 58 0A 00 04 20 67 01 04 58 68 01 06 38 47 01 06 40 48 01 02 00 80 10 25 38 67 01 02 00 E7 34 00 04 E7 24 00 04 EC 2C 21 40 0C 01 C2 62 07 00 01 00 8C 31 23 38 EC 00 C2 22 07 00 40 65 08 00 25 20 8C 00 40 60 08 00 02 63 0C 00 B7 FF 00 10 25 28 AC 00 }
	condition:
		$1
}

rule file_48_3_2 {
	meta:
		name = "dpmodf"
		size = 284
	strings:
		$1 = { 25 38 04 00 25 40 05 00 00 80 01 3C 24 58 A1 00 40 48 05 00 42 4D 09 00 FF FF 2C 25 FE 07 81 2D 37 00 20 10 00 00 00 00 33 04 0A 24 23 50 49 01 35 00 41 29 2F 00 20 10 00 00 00 00 20 00 41 29 06 00 20 14 00 00 00 00 E0 FF 4A 25 00 00 04 24 06 28 45 01 05 00 00 10 04 28 45 01 03 00 40 19 00 00 00 00 06 20 44 01 04 20 44 01 23 40 05 01 23 38 E4 00 00 00 C4 AC 04 00 C5 AC 08 00 00 15 0B 00 29 25 03 00 E0 14 00 00 00 00 0D 00 00 10 00 00 09 24 25 40 E0 00 00 00 07 24 E0 FF 29 25 20 20 04 71 07 00 80 10 00 00 00 00 23 48 24 01 22 50 04 00 06 50 47 01 04 38 87 00 04 40 88 00 25 40 0A 01 C2 22 07 00 40 65 08 00 25 20 8C 00 40 28 08 00 02 2B 05 00 00 65 09 00 25 28 AC 00 25 28 AB 00 25 10 04 00 25 18 05 00 08 00 E0 03 00 00 00 00 04 00 CB AC FA FF 00 10 00 00 C0 AC FC FF 20 11 00 00 00 00 F8 FF 05 3C 00 00 04 24 00 00 C4 AC F3 FF 00 10 04 00 C5 AC }
	condition:
		$1
}

rule file_49_0_2 {
	meta:
		name = "exp__E"
		size = 852
		refs = "0048 copysignl 0050 litodp 0068 dpcmp 0080 dpmul 00bc dpadd 0180 dpsub 025c dpdiv"
	strings:
		$1 = { ?? ?? 02 3C B0 FF BD 27 ?? ?? 42 24 58 00 A6 AF 5C 00 A7 AF 00 00 46 8C 04 00 47 8C 4C 00 BF AF 34 00 B3 AF 30 00 B2 AF 21 98 A0 00 21 90 80 00 48 00 BE AF 44 00 B7 AF 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 2C 00 B1 AF ?? ?? ?? 0? 28 00 B0 AF ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 A6 00 41 04 21 30 40 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 21 88 60 00 21 80 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 20 02 ?? ?? ?? 0? 21 20 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 F0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 B8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 02 21 28 60 02 21 30 C0 03 21 38 E0 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 18 00 A3 AF ?? ?? 03 3C ?? ?? 66 8C ?? ?? 67 8C 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 B0 40 00 21 A0 40 00 21 A8 60 00 10 00 A6 8F 14 00 A3 8F 18 00 A2 8F 21 20 C0 00 21 28 60 00 21 30 C0 02 ?? ?? ?? 0? 21 38 40 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 48 60 00 21 40 40 00 21 38 20 01 21 20 80 02 21 28 A0 02 21 30 40 00 1C 00 A8 AF ?? ?? ?? 0? 20 00 A9 AF 21 20 C0 03 21 30 C0 03 21 28 E0 02 21 38 E0 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 20 40 00 18 00 A2 8F 21 30 C0 02 21 28 60 00 ?? ?? ?? 0? 21 38 40 00 10 00 A7 8F 14 00 A6 8F 21 20 E0 00 21 28 C0 00 21 38 60 00 ?? ?? ?? 0? 21 30 40 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 ?? ?? 02 3C 1C 00 A8 8F 20 00 A9 8F ?? ?? 42 24 00 00 44 8C 04 00 45 8C 21 30 00 01 21 38 20 01 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 58 00 A6 8F 5C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 ?? ?? 03 3C ?? ?? 66 8C ?? ?? 67 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 A0 40 00 58 00 A6 8F 5C 00 A7 8F 21 20 80 02 21 28 40 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 4C 00 BF 8F 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 21 38 60 02 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 ?? ?? ?? 0? 21 20 40 00 4C 00 BF 8F 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 }
	condition:
		$1
}

rule file_50_0_2 {
	meta:
		name = "fpexatan"
		size = 844
	strings:
		$1 = { 7F 00 A1 28 32 00 20 14 00 00 00 00 CC 00 A0 04 00 00 00 00 23 28 05 00 FD 00 A5 24 00 80 0B 3C 08 00 8B 14 00 00 00 00 7E 00 01 24 03 00 A1 14 00 00 00 00 25 00 00 10 FF FF 04 24 23 00 00 10 01 00 A5 24 02 54 04 00 F4 01 40 01 1B 00 6A 01 12 38 00 00 10 58 00 00 FF FF 88 30 19 00 07 01 12 48 00 00 00 5C 0B 00 2B 70 69 01 06 00 C0 11 23 58 69 01 FF FF E7 24 21 58 64 01 2B 08 64 01 FC FF 20 10 00 00 00 00 F4 01 40 01 1B 00 6A 01 12 50 00 00 10 58 00 00 19 00 0A 01 12 48 00 00 00 5C 0B 00 2B 70 69 01 06 00 C0 11 23 58 69 01 FF FF 4A 25 21 58 64 01 2B 08 64 01 FC FF 20 10 00 00 00 00 00 74 07 00 21 20 4E 01 01 00 C6 34 81 00 07 24 23 38 E5 00 08 00 E1 28 02 00 20 14 00 00 00 00 08 00 07 24 02 66 04 00 06 60 EC 00 40 60 0C 00 80 5E 0C 00 19 00 64 01 10 58 00 00 7F 00 09 24 23 48 25 01 20 00 21 2D 02 00 20 14 00 00 00 00 00 00 0B 34 06 58 2B 01 00 80 01 3C 25 58 61 01 08 00 0F 24 23 78 E7 01 FF FF 0E 24 06 70 EE 01 24 20 8E 00 4E 00 80 10 00 00 00 00 20 38 87 70 23 28 A7 00 04 20 E4 00 42 20 04 00 02 54 0B 00 F4 01 40 01 1B 00 8A 00 12 38 00 00 10 20 00 00 FF FF 68 31 19 00 07 01 12 48 00 00 00 24 04 00 2B 70 89 00 06 00 C0 11 23 20 89 00 FF FF E7 24 21 20 8B 00 2B 08 8B 00 FC FF 20 10 00 00 00 00 F4 01 40 01 1B 00 8A 00 12 20 00 00 10 50 00 00 19 00 04 01 12 48 00 00 00 54 0A 00 2B 70 49 01 06 00 C0 11 23 50 49 01 FF FF 84 24 21 50 4B 01 2B 08 4B 01 FC FF 20 10 00 00 00 00 00 74 07 00 21 20 8E 00 03 00 80 18 00 00 00 00 40 20 04 00 FF FF A5 24 19 00 84 00 10 58 00 00 FC 00 07 24 23 38 E5 00 23 38 E5 00 20 00 E1 2C 02 00 20 14 00 00 00 00 00 00 0B 34 06 58 EB 00 88 00 09 3C 3E 25 29 35 19 00 69 01 10 48 00 00 A5 2A 0E 3C D6 3C CE 35 23 48 C9 01 19 00 69 01 10 48 00 00 00 80 0E 3C B2 00 CE 35 23 48 C9 01 03 00 20 05 00 00 00 00 02 00 00 10 40 48 09 00 01 00 A5 24 19 00 89 00 10 20 00 00 03 00 80 04 00 00 00 00 40 20 04 00 FF FF A5 24 1B 00 80 11 00 00 00 00 ?? ?? 0E 3C ?? ?? CE 25 01 00 8F 25 80 78 0F 00 21 70 CF 01 00 00 C7 8D 23 40 E5 00 20 00 01 2D 02 00 20 14 00 00 00 00 00 00 04 34 06 20 04 01 25 28 07 00 ?? ?? 0E 3C ?? ?? CE 25 80 78 0C 00 21 70 CF 01 00 00 C7 8D 21 20 87 00 2B 70 87 00 05 00 C0 11 00 00 00 00 42 20 04 00 00 80 01 3C 25 20 81 00 01 00 A5 24 01 00 CE 30 12 00 C0 11 00 00 00 00 FE FF 01 24 24 30 C1 00 7F 00 07 24 23 38 E5 00 20 00 E1 2C 02 00 20 14 00 00 00 00 00 00 04 34 06 20 E4 00 7F 00 05 24 0F C9 0E 3C A2 DA CE 35 23 20 C4 01 03 00 80 04 00 00 00 00 40 20 04 00 FF FF A5 24 25 10 04 00 25 18 05 00 25 C0 06 00 08 00 E0 03 00 00 00 00 00 00 05 24 F9 FF 00 10 25 20 05 00 }
	condition:
		$1
}

rule file_50_1_2 {
	meta:
		name = "fpatan"
		size = 156
		refs = "0050 fpexatan"
	strings:
		$1 = { EC FF BD 27 00 00 BF AF C2 35 04 00 FF 00 C6 30 00 80 07 3C 00 2A 04 00 25 28 A7 00 24 38 E4 00 FF 00 01 24 04 00 C1 14 00 00 00 00 40 58 05 00 18 00 60 15 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 25 20 05 00 25 28 06 00 ?? ?? ?? 0? 25 30 07 00 25 50 18 00 25 48 03 00 25 40 02 00 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 40 28 08 00 42 2A 05 00 C0 5D 09 00 25 28 AB 00 25 10 A7 00 00 00 BF 8F 08 00 E0 03 14 00 BD 27 FC FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_50_2_2 {
	meta:
		name = "fpatan2"
		size = 580
		refs = "00ec fpexatan"
	strings:
		$1 = { D0 FF BD 27 00 00 BF AF C2 3D 04 00 FF 00 E7 30 00 80 0C 3C 00 32 04 00 25 30 CC 00 24 40 8C 00 C2 55 05 00 FF 00 4A 31 00 4A 05 00 25 48 2C 01 FF FF EF 24 FE 00 E1 2D 5A 00 20 10 00 00 00 00 FF FF 4F 25 FE 00 E1 2D 64 00 20 10 00 00 00 00 7F 00 E7 24 23 38 EA 00 42 30 06 00 02 54 09 00 F4 01 40 01 1B 00 CA 00 12 60 00 00 10 30 00 00 FF FF 2D 31 19 00 AC 01 12 70 00 00 00 34 06 00 2B 78 CE 00 06 00 E0 11 23 30 CE 00 FF FF 8C 25 21 30 C9 00 2B 08 C9 00 FC FF 20 10 00 00 00 00 F4 01 40 01 1B 00 CA 00 12 30 00 00 00 7C 0C 00 21 30 CF 00 03 00 C0 18 00 00 00 00 40 30 06 00 FF FF E7 24 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 24 00 AC AF 28 00 AD AF 2C 00 AE AF 25 20 06 00 25 28 07 00 ?? ?? ?? 0? 25 30 08 00 25 58 18 00 25 50 03 00 25 48 02 00 2C 00 AE 8F 28 00 AD 8F 24 00 AC 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 0F 00 A1 04 04 00 A4 8F 80 00 0C 24 23 60 8A 01 80 00 0A 24 20 00 81 2D 02 00 20 14 00 00 00 00 00 00 09 34 06 48 89 01 0F C9 0F 3C A2 DA EF 35 23 48 E9 01 20 60 2C 71 23 50 4C 01 04 48 89 01 09 00 40 1D 00 00 00 00 01 00 0C 24 23 60 8A 01 20 00 81 2D 02 00 20 14 00 00 00 00 00 00 09 34 06 48 89 01 00 00 0A 24 40 30 09 00 42 32 06 00 C0 7D 0A 00 25 30 CF 00 25 10 C8 00 00 00 BF 8F 08 00 E0 03 30 00 BD 27 06 00 E0 10 00 00 00 00 21 78 C6 00 22 00 E0 15 00 00 00 00 A1 FF 00 10 00 01 07 24 21 30 C6 00 9E FF C0 10 00 00 00 00 20 60 CC 70 23 38 EC 00 9A FF 00 10 04 30 86 01 09 00 40 11 00 00 00 00 21 78 29 01 14 00 E0 15 00 00 00 00 00 01 0A 24 11 00 EA 10 00 00 00 00 94 FF 00 10 00 00 00 00 21 48 29 01 06 00 20 15 00 00 00 00 0A 00 C0 10 00 00 00 00 C9 3F 02 3C DE FF 00 10 DA 0F 42 34 8A FF 20 11 00 00 00 00 20 60 2C 71 23 50 4C 01 86 FF 00 10 04 48 89 01 D6 FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_50_3_2 {
	meta:
		name = "fpasin"
		size = 472
		refs = "00ac fpexsqrt 017c fpexatan"
	strings:
		$1 = { DC FF BD 27 00 00 BF AF C2 55 04 00 FF 00 4A 31 00 80 0B 3C 00 4A 04 00 25 48 2B 01 24 58 64 01 19 00 29 01 10 60 00 00 21 68 4A 01 03 00 80 05 82 FF AD 25 40 60 0C 00 FF FF AD 25 7F 00 05 24 23 28 AD 00 62 00 A0 04 00 00 00 00 7F 00 0D 24 20 00 A1 2C 02 00 20 14 00 00 00 00 00 00 0C 34 06 60 AC 00 00 80 05 3C 2B 08 AC 00 58 00 20 14 00 00 00 00 23 60 AC 00 03 00 80 15 00 00 00 00 34 00 00 10 FF 00 0A 24 20 28 85 71 23 68 A5 01 04 60 AC 00 04 00 A4 AF 08 00 A5 AF 18 00 A9 AF 1C 00 AA AF 20 00 AB AF 25 20 0C 00 ?? ?? ?? 0? 25 28 0D 00 25 70 18 00 25 68 03 00 25 60 02 00 20 00 AB 8F 1C 00 AA 8F 18 00 A9 8F 08 00 A5 8F 03 00 80 15 04 00 A4 8F 3A 00 00 10 25 10 04 00 7F 00 4A 25 23 50 4D 01 42 48 09 00 02 44 0C 00 F4 01 00 01 1B 00 28 01 12 28 00 00 10 48 00 00 FF FF 86 31 19 00 C5 00 12 38 00 00 00 4C 09 00 2B 78 27 01 06 00 E0 11 23 48 27 01 FF FF A5 24 21 48 2C 01 2B 08 2C 01 FC FF 20 10 00 00 00 00 F4 01 00 01 1B 00 28 01 12 48 00 00 00 7C 05 00 21 48 2F 01 03 00 20 19 00 00 00 00 40 48 09 00 FF FF 4A 25 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 20 00 AB AF 25 20 09 00 25 28 0A 00 ?? ?? ?? 0? 25 30 0B 00 25 70 18 00 25 68 03 00 25 60 02 00 20 00 AB 8F 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 40 48 0C 00 42 4A 09 00 C0 7D 0D 00 25 48 2F 01 25 10 2B 01 00 00 BF 8F 08 00 E0 03 24 00 BD 27 FC FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_50_4_2 {
	meta:
		name = "fpacos"
		size = 516
		refs = "009c fpexsqrt 0160 fpexatan"
	strings:
		$1 = { DC FF BD 27 00 00 BF AF C2 55 04 00 FF 00 4A 31 00 80 0B 3C 00 4A 04 00 25 48 2B 01 24 58 64 01 19 00 29 01 10 60 00 00 21 68 4A 01 03 00 80 05 82 FF AD 25 40 60 0C 00 FF FF AD 25 7F 00 05 24 23 28 AD 00 6D 00 A0 04 00 00 00 00 7F 00 0D 24 20 00 A1 2C 02 00 20 14 00 00 00 00 00 00 0C 34 06 60 AC 00 00 80 05 3C 2B 08 AC 00 63 00 20 14 00 00 00 00 23 60 AC 00 20 28 85 71 23 68 A5 01 04 60 AC 00 04 00 A4 AF 08 00 A5 AF 18 00 A9 AF 1C 00 AA AF 20 00 AB AF 25 20 0C 00 ?? ?? ?? 0? 25 28 0D 00 25 70 18 00 25 68 03 00 25 60 02 00 20 00 AB 8F 1C 00 AA 8F 18 00 A9 8F 08 00 A5 8F 04 00 A4 8F 23 50 AA 01 7F 00 4A 25 42 60 0C 00 02 44 09 00 F4 01 00 01 1B 00 88 01 12 28 00 00 10 60 00 00 FF FF 26 31 19 00 C5 00 12 38 00 00 00 64 0C 00 2B 78 87 01 06 00 E0 11 23 60 87 01 FF FF A5 24 21 60 89 01 2B 08 89 01 FC FF 20 10 00 00 00 00 F4 01 00 01 1B 00 88 01 12 40 00 00 00 4C 05 00 21 48 28 01 03 00 20 19 00 00 00 00 40 48 09 00 FF FF 4A 25 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 20 00 AB AF 25 20 09 00 25 28 0A 00 ?? ?? ?? 0? 25 30 0B 00 25 70 18 00 25 68 03 00 25 60 02 00 20 00 AB 8F 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 12 00 60 11 04 00 A4 8F 80 00 05 24 23 28 AD 00 80 00 0D 24 20 00 A1 2C 02 00 20 14 00 00 00 00 00 00 0C 34 06 60 AC 00 0F C9 0F 3C A2 DA EF 35 23 60 EC 01 02 00 80 15 00 00 00 00 00 00 0D 24 20 28 85 71 23 68 A5 01 04 60 AC 00 40 48 0C 00 42 4A 09 00 C0 7D 0D 00 25 48 2F 01 25 10 09 00 00 00 BF 8F 08 00 E0 03 24 00 BD 27 FC FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_51_0_2 {
	meta:
		name = "exatan"
		size = 704
		refs = "003c exdiv 01b8 exmul 01d4 sigmax 0234 exadd 0278 exsub"
	strings:
		$1 = { D4 FF BD 27 00 00 BF AF 00 00 0A 24 FF 03 C1 28 1A 00 20 14 00 00 00 00 25 38 04 00 25 40 05 00 25 48 06 00 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 00 00 04 24 00 80 05 3C ?? ?? ?? 0? FF 03 06 24 25 30 18 00 25 28 03 00 25 20 02 00 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 01 00 0A 24 FF 03 01 24 04 00 C1 14 00 00 00 00 FE 03 06 24 FF FF 05 24 25 20 05 00 25 38 04 00 25 40 05 00 25 48 06 00 01 04 0C 24 23 60 86 01 08 00 81 2D 02 00 20 14 00 00 00 00 08 00 0C 24 02 6E 05 00 06 68 8D 01 08 00 0F 24 23 78 EC 01 FF FF 0E 24 06 70 EE 01 24 28 AE 00 C0 66 0D 00 19 00 87 01 10 58 00 00 19 00 88 01 12 38 00 00 10 40 00 00 21 38 EB 00 2B 70 EB 00 21 40 0E 01 FF 03 0C 24 23 60 89 01 20 00 81 2D 05 00 20 14 00 00 00 00 25 38 08 00 00 00 08 24 FA FF E0 14 E0 FF 8C 25 08 00 80 11 00 00 00 00 25 58 08 00 06 38 87 01 06 40 88 01 20 00 0E 24 23 60 CC 01 04 58 8B 01 25 38 EB 00 00 80 01 3C 25 40 01 01 08 00 A0 14 FF 03 09 24 03 00 80 14 00 00 00 00 0D 00 00 10 00 00 06 24 25 28 80 00 00 00 04 24 E0 FF C6 24 20 58 AB 70 07 00 60 11 00 00 00 00 23 30 CB 00 22 60 0B 00 06 60 84 01 04 20 64 01 04 28 65 01 25 28 AC 00 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF ?? ?? ?? 0? 28 00 AD AF 04 00 A2 AF 08 00 A3 AF 0C 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 25 38 02 00 25 40 03 00 ?? ?? ?? 0? 25 48 18 00 25 20 02 00 25 28 03 00 25 30 18 00 03 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 10 00 A2 AF 14 00 A3 AF 18 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 04 00 A7 8F 08 00 A8 8F ?? ?? ?? 0? 0C 00 A9 8F 25 20 02 00 25 28 03 00 25 30 18 00 ?? ?? 0F 3C ?? ?? EF 25 28 00 AE 8F 80 70 0E 00 21 78 EE 01 21 78 EE 01 21 78 EE 01 00 00 E7 8D 04 00 E8 8D ?? ?? ?? 0? 08 00 E9 8D 25 30 18 00 25 28 03 00 25 20 02 00 28 00 AD 8F 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 11 00 40 11 10 00 A7 8F 68 21 07 3C 35 C2 E7 34 0F C9 08 3C A2 DA 08 35 ?? ?? ?? 0? FF 03 09 24 25 30 18 00 25 28 03 00 25 20 02 00 28 00 AD 8F 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 25 10 04 00 25 18 05 00 25 C0 06 00 00 00 BF 8F 08 00 E0 03 2C 00 BD 27 }
	condition:
		$1
}

rule file_51_1_2 {
	meta:
		name = "dpatan"
		size = 196
		refs = "0064 exatan"
	strings:
		$1 = { E4 FF BD 27 00 00 BF AF 40 40 05 00 42 45 08 00 C0 3A 05 00 42 55 04 00 25 38 EA 00 C0 32 04 00 00 80 09 3C 25 38 E9 00 24 48 25 01 FF 07 01 24 05 00 01 15 00 00 00 00 40 50 07 00 25 50 46 01 1D 00 40 15 00 00 00 00 16 00 00 11 00 00 00 00 04 00 A4 AF 08 00 A5 AF 18 00 A9 AF 25 20 06 00 25 28 07 00 ?? ?? ?? 0? 25 30 08 00 25 40 18 00 25 38 03 00 25 30 02 00 18 00 A9 8F 08 00 A5 8F 04 00 A4 8F C2 22 06 00 40 55 07 00 25 20 8A 00 40 28 07 00 02 2B 05 00 00 55 08 00 25 28 AA 00 25 28 A9 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 1C 00 BD 27 F8 FF 05 3C F9 FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_52_0_2 {
	meta:
		name = "fpexexp"
		size = 280
	strings:
		$1 = { C3 37 06 00 25 40 06 00 AA B8 0A 3C 29 3B 4A 35 19 00 44 01 12 50 00 00 10 58 00 00 06 00 60 19 00 00 00 00 2A 68 40 01 21 50 4A 01 21 58 6B 01 21 58 6D 01 FF FF A5 24 00 00 07 24 83 FF A5 24 08 00 A1 2C 0A 00 20 14 00 00 00 00 2F 00 A0 1C 00 00 00 00 23 50 05 00 20 00 41 2D 02 00 20 14 00 00 00 00 00 00 0B 34 07 00 00 10 06 58 4B 01 05 00 A0 10 00 00 00 00 20 00 0D 24 23 68 A5 01 06 38 AB 01 04 58 AB 00 05 00 61 05 00 00 00 00 23 58 0B 00 FF FF 01 24 26 40 01 01 01 00 E7 24 26 28 E6 00 23 28 A6 00 7F 00 A5 24 ?? ?? 0C 3C ?? ?? 8C 25 00 00 84 8D 04 00 8C 25 05 00 09 24 19 00 64 01 10 20 00 00 26 20 88 00 23 20 88 00 00 00 87 8D 04 00 8C 25 21 20 87 00 FF FF 29 25 F7 FF 21 05 00 00 00 00 03 00 80 04 00 00 00 00 40 20 04 00 FF FF A5 24 25 10 04 00 25 18 05 00 25 C0 06 00 08 00 E0 03 00 00 00 00 00 80 04 3C F9 FF 00 10 FF FF 05 39 }
	condition:
		$1
}

rule file_52_1_2 {
	meta:
		name = "fpexp"
		size = 232
		refs = "003c fpexexp"
	strings:
		$1 = { F8 FF BD 27 00 00 BF AF C2 35 04 00 FF 00 C6 30 00 2A 04 00 00 80 01 3C 25 28 A1 00 25 38 04 00 FF FF C9 24 FE 00 21 2D 15 00 20 10 00 00 00 00 04 00 A4 AF 25 20 05 00 25 28 06 00 ?? ?? ?? 0? 25 30 07 00 25 38 18 00 25 30 03 00 25 28 02 00 04 00 A4 8F FF FF C9 24 FE 00 21 2D 15 00 20 10 00 00 00 00 40 10 05 00 42 12 02 00 C0 4D 06 00 25 10 49 00 00 00 BF 8F 08 00 E0 03 08 00 BD 27 03 00 C0 14 00 00 00 00 FA FF 00 10 80 3F 02 3C 40 48 05 00 03 00 20 11 00 00 00 00 F5 FF 00 10 C0 FF 02 3C 03 00 81 04 00 00 00 00 F1 FF 00 10 00 00 02 24 0A 00 81 04 00 00 00 00 09 00 08 24 23 40 06 01 20 00 01 2D 02 00 20 14 00 00 00 00 00 00 05 34 06 28 05 01 E6 FF 00 10 25 10 05 00 E4 FF 00 10 80 7F 02 3C }
	condition:
		$1
}

rule file_53_0_2 {
	meta:
		name = "exlog"
		size = 744
		refs = "00e8 exdiv 0110 exmul 012c sigmax 01b8 exadd"
	strings:
		$1 = { D4 FF BD 27 00 00 BF AF 25 60 05 00 02 47 05 00 25 58 04 00 FE 03 0D 24 42 20 04 00 C0 77 05 00 25 20 8E 00 42 28 05 00 C0 76 08 00 21 28 AE 00 FF 0F 01 3C FF FF 21 34 24 60 81 01 01 FC C7 24 0B 00 E1 04 00 00 00 00 23 38 A6 01 F9 FF 08 25 00 08 01 3C 21 28 A1 00 00 10 01 3C 23 60 81 01 2B 70 0B 00 23 58 0B 00 23 60 0C 00 23 60 8E 01 08 00 80 15 FF 03 06 24 03 00 60 15 00 00 00 00 0D 00 00 10 00 00 0D 24 25 60 60 01 00 00 0B 24 E0 FF AD 25 20 48 89 71 07 00 20 11 00 00 00 00 23 68 A9 01 22 50 09 00 06 50 4B 01 04 58 2B 01 04 60 2C 01 25 60 8A 01 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 25 20 0B 00 25 28 0C 00 25 30 0D 00 04 00 A7 8F 08 00 A8 8F ?? ?? ?? 0? 0C 00 A9 8F 20 00 A2 AF 24 00 A3 AF 28 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 25 38 02 00 25 40 03 00 ?? ?? ?? 0? 25 48 18 00 25 20 02 00 25 28 03 00 25 30 18 00 03 00 07 24 ?? ?? 08 3C ?? ?? ?? 0? ?? ?? 08 25 25 30 18 00 25 28 03 00 25 20 02 00 28 00 AD 8F 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 01 00 C6 24 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 25 20 0B 00 25 28 0C 00 25 30 0D 00 25 38 02 00 25 40 03 00 ?? ?? ?? 0? 0C 00 A9 8F 25 20 02 00 25 28 03 00 25 30 18 00 ?? ?? 0F 3C ?? ?? EF 25 14 00 AE 8F 80 70 0E 00 21 78 EE 01 21 78 EE 01 21 78 EE 01 00 00 E7 8D 04 00 E8 8D ?? ?? ?? 0? 08 00 E9 8D 25 68 18 00 25 60 03 00 25 58 02 00 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 3A 00 E0 10 04 00 A4 8F 1E 04 06 24 20 48 E9 70 23 30 C9 00 04 38 27 01 72 B1 09 3C F7 17 29 35 19 00 E9 00 12 20 00 00 10 28 00 00 CF D1 09 3C AC 79 29 35 19 00 E9 00 12 50 00 00 10 40 00 00 21 20 88 00 2B 70 88 00 21 28 AE 00 0A 00 A0 04 00 00 00 00 2A 70 40 01 21 50 4A 01 2A 78 80 00 21 20 84 00 21 20 8E 00 25 70 0F 00 21 28 A5 00 21 28 AE 00 FF FF C6 24 2A 70 40 01 21 50 4A 01 21 20 8E 00 2B 70 8E 00 21 28 AE 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 1C 00 AA AF 25 20 0B 00 25 28 0C 00 25 30 0D 00 04 00 A7 8F 08 00 A8 8F ?? ?? ?? 0? 0C 00 A9 8F 25 68 18 00 25 60 03 00 25 58 02 00 1C 00 AA 8F 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 25 10 0B 00 25 18 0C 00 25 C0 0D 00 00 00 BF 8F 08 00 E0 03 2C 00 BD 27 }
	condition:
		$1
}

rule file_53_1_2 {
	meta:
		name = "__mchp_log"
		size = 348
		refs = "0050 exlog"
	strings:
		$1 = { E8 FF BD 27 00 00 BF AF C0 3A 05 00 42 75 04 00 00 80 01 3C 25 70 C1 01 25 38 EE 00 C0 32 04 00 02 45 05 00 FF FF 0E 25 FE 07 C1 2D 23 00 20 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 25 20 06 00 25 28 07 00 ?? ?? ?? 0? 25 30 08 00 25 58 18 00 25 50 03 00 25 48 02 00 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F C2 22 09 00 40 75 0A 00 25 20 8E 00 40 28 0A 00 02 2B 05 00 00 75 0B 00 25 28 AE 00 FF 03 01 29 03 00 20 10 00 00 00 00 00 80 01 3C 25 28 A1 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 18 00 BD 27 40 70 05 00 25 70 C4 01 23 00 C0 11 00 00 00 00 18 00 00 15 00 00 00 00 2A 70 C0 00 21 30 C6 00 21 38 E7 00 21 38 EE 00 08 00 E0 14 00 00 00 00 03 00 C0 14 00 00 00 00 CF FF 00 10 00 00 08 24 25 38 C0 00 00 00 06 24 E0 FF 08 25 20 60 EC 70 C9 FF 80 11 00 00 00 00 23 40 0C 01 22 68 0C 00 06 68 A6 01 04 30 86 01 04 38 87 01 C2 FF 00 10 25 38 ED 00 0F 80 01 3C FF FF 21 34 24 70 A1 00 25 70 C4 01 D9 FF C0 11 00 00 00 00 F8 FF 05 3C D6 FF 00 10 00 00 04 24 D4 FF 00 10 F0 FF 05 3C }
	condition:
		$1
}

rule file_53_2_2 {
	meta:
		name = "__mchp_log10"
		size = 404
		refs = "0050 exlog 0074 exmul"
	strings:
		$1 = { E8 FF BD 27 00 00 BF AF C0 3A 05 00 42 75 04 00 00 80 01 3C 25 70 C1 01 25 38 EE 00 C0 32 04 00 02 45 05 00 FF FF 0E 25 FE 07 C1 2D 31 00 20 10 00 00 00 00 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 25 20 06 00 25 28 07 00 ?? ?? ?? 0? 25 30 08 00 25 20 02 00 25 28 03 00 25 30 18 00 28 37 07 3C 95 71 E7 34 5B DE 08 3C A9 D8 08 35 ?? ?? ?? 0? FD 03 09 24 25 58 18 00 25 50 03 00 25 48 02 00 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 00 04 29 25 00 04 2E 2D 21 50 4E 01 2B 70 4E 01 21 58 6E 01 C2 22 09 00 40 75 0A 00 25 20 8E 00 40 28 0A 00 02 2B 05 00 00 75 0B 00 25 28 AE 00 FF 03 01 29 03 00 20 10 00 00 00 00 00 80 01 3C 25 28 A1 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 18 00 BD 27 40 70 05 00 25 70 C4 01 23 00 C0 11 00 00 00 00 18 00 00 15 00 00 00 00 2A 70 C0 00 21 30 C6 00 21 38 E7 00 21 38 EE 00 08 00 E0 14 00 00 00 00 03 00 C0 14 00 00 00 00 C1 FF 00 10 00 00 08 24 25 38 C0 00 00 00 06 24 E0 FF 08 25 20 60 EC 70 BB FF 80 11 00 00 00 00 23 40 0C 01 22 68 0C 00 06 68 A6 01 04 30 86 01 04 38 87 01 B4 FF 00 10 25 38 ED 00 0F 80 01 3C FF FF 21 34 24 70 A1 00 25 70 C4 01 D9 FF C0 11 00 00 00 00 F8 FF 05 3C D6 FF 00 10 00 00 04 24 D4 FF 00 10 F0 FF 05 3C }
	condition:
		$1
}

rule file_54_0_2 {
	meta:
		name = "asinf"
		size = 124
		refs = "0000 math_errhandling 0020 fabsf 0030 fpcmp 0040 __mchp_asinf 0064 dptofp 0058 errno"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 10 00 B0 AF 01 00 42 30 14 00 BF AF 09 00 40 10 21 80 80 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 07 00 40 04 21 00 03 24 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? 02 3C 21 20 00 00 F8 7F 05 3C ?? ?? ?? 0? ?? ?? 43 AC 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_66_0_2 {
	meta:
		name = "acosf"
		size = 124
		refs = "0000 math_errhandling 0020 fabsf 0030 fpcmp 0040 __mchp_acosf 0064 dptofp 0058 errno"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 10 00 B0 AF 01 00 42 30 14 00 BF AF 09 00 40 10 21 80 80 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 07 00 40 04 21 00 03 24 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? 02 3C 21 20 00 00 F8 7F 05 3C ?? ?? ?? 0? ?? ?? 43 AC 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_57_0_2 {
	meta:
		name = "atan2f"
		size = 792
		refs = "003c fptodp 00b0 fpcmp 00cc dpcmp 0118 dptofp 01d4 finitel 02fc __mchp_atan2f"
	strings:
		$1 = { B8 FF BD 27 ?? ?? 02 3C 38 00 B5 AF 34 00 B4 AF ?? ?? 55 8C ?? ?? 54 8C 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 30 00 B2 AF 2C 00 B1 AF 21 90 A0 00 28 00 B0 AF 10 00 B4 AF 21 80 80 00 ?? ?? ?? 0? 14 00 B5 AF 1C 00 A3 AF 1E 00 A3 97 16 00 A2 97 00 80 11 24 24 18 71 00 FF 7F 42 30 25 10 62 00 21 20 40 02 16 00 A2 A7 18 00 B4 AF ?? ?? ?? 0? 1C 00 B5 AF 14 00 A5 8F 14 00 A3 AF 10 00 A4 8F 1E 00 A3 97 10 00 A2 AF 16 00 A2 97 FF 7F 63 30 20 00 A4 AF 24 10 51 00 25 10 43 00 24 00 A5 AF 1E 00 A2 A7 21 20 00 02 21 28 00 00 18 00 B6 8F ?? ?? ?? 0? 1C 00 B7 8F 25 00 40 14 21 20 40 02 21 20 C0 02 21 28 E0 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 13 00 40 10 20 00 A2 8F 24 00 A3 8F 18 00 A2 AF 1C 00 A3 AF ?? ?? 02 3C 1E 00 A3 97 ?? ?? 44 8C ?? ?? 45 8C 14 00 A5 AF 16 00 A2 97 24 88 71 00 10 00 A4 AF FF 7F 42 30 25 88 22 02 16 00 B1 A7 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 8F 21 80 40 00 44 00 BF 8F 21 10 00 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 21 28 00 00 1E 00 40 14 ?? ?? 02 3C 24 00 A5 8F ?? ?? 43 8C ?? ?? 42 8C 14 00 A5 AF 1C 00 A3 AF 18 00 A2 AF 16 00 A3 97 1E 00 A2 97 20 00 A4 8F 24 88 71 00 FF 7F 42 30 25 88 22 02 1E 00 B1 A7 10 00 A4 AF 1C 00 A5 8F ?? ?? ?? 0? 18 00 A4 8F 44 00 BF 8F 21 80 40 00 21 10 00 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 21 20 40 02 1F 00 40 14 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 27 00 40 14 21 20 C0 02 21 28 E0 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 41 00 40 10 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 43 8C ?? ?? 42 8C 14 00 A3 AF 24 00 A3 8F 10 00 A2 AF 20 00 A2 8F 1C 00 A3 AF 16 00 A3 97 18 00 A2 AF 1E 00 A2 97 FF 7F 63 30 10 00 A4 8F 00 80 42 30 25 10 43 00 16 00 A2 A7 ?? ?? ?? 0? 14 00 A5 8F ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? 21 20 00 02 24 00 40 14 20 00 A2 8F 24 00 A3 8F 18 00 A2 AF 1C 00 A3 AF ?? ?? 02 3C 1E 00 A3 97 ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 45 8C 21 28 E0 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 20 00 00 04 00 40 10 21 28 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 1C 00 A5 AF 24 00 A5 8F 1E 00 A3 97 18 00 A4 AF 14 00 A5 AF 16 00 A2 97 20 00 A4 8F FF 7F 63 30 00 80 42 30 25 10 43 00 1E 00 A2 A7 10 00 A4 AF 1C 00 A5 8F ?? ?? ?? 0? 18 00 A4 8F ?? ?? ?? 0? 21 80 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 21 80 40 00 ?? ?? 43 8C ?? ?? ?? 0? ?? ?? 42 8C }
	condition:
		$1
}

rule file_59_0_2 {
	meta:
		name = "pow"
		size = 396
		refs = "0008 math_errhandling 0050 isinfl 0068 dpcmp 0094 modf 00dc __mchp_pow 0110 errno"
	strings:
		$1 = { C8 FF BD 27 20 00 B0 AF ?? ?? 10 3C ?? ?? 03 3C ?? ?? 02 8E 30 00 B5 AF 2C 00 B4 AF 21 A8 E0 00 21 A0 C0 00 ?? ?? 67 8C ?? ?? 66 8C 01 00 42 30 28 00 B3 AF 24 00 B2 AF 34 00 BF AF 21 90 80 00 21 98 A0 00 10 00 A6 AF 21 00 40 10 14 00 A7 AF ?? ?? ?? 0? 00 00 00 00 17 00 40 14 21 20 40 02 21 28 60 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 11 00 41 04 21 20 40 02 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 0C 00 40 14 21 20 40 02 10 00 A6 27 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 21 28 60 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 28 00 40 14 21 20 40 02 21 28 60 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 1C 00 40 10 21 20 80 02 21 20 40 02 21 28 60 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 90 40 00 ?? ?? 02 8E 01 00 42 30 09 00 40 10 21 28 60 00 21 20 40 02 ?? ?? ?? 0? 18 00 A3 AF 04 00 40 10 18 00 A3 8F 22 00 04 24 ?? ?? 02 3C ?? ?? 44 AC 34 00 BF 8F 21 10 40 02 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 21 28 A0 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 E1 FF 40 1C 21 20 40 02 34 00 BF 8F 21 00 03 24 ?? ?? 02 3C 21 90 00 00 ?? ?? 43 AC 30 00 B5 8F 21 10 40 02 F8 FF 03 3C 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_60_0_2 {
	meta:
		name = "reduct"
		size = 436
	strings:
		$1 = { 40 40 05 00 42 45 08 00 C0 3A 05 00 42 7D 04 00 25 38 EF 00 C0 32 04 00 00 80 01 3C 25 38 E1 00 02 FC 09 25 5A 00 20 05 00 00 00 00 41 00 21 29 5C 00 20 10 00 00 00 00 42 30 06 00 C0 7F 07 00 25 30 CF 00 42 38 07 00 00 60 0E 3C B4 10 0D 3C 1A 61 AD 35 87 64 0C 3C 51 ED 8C 35 FF FF 0A 24 00 00 0B 24 40 50 0A 00 2B 78 6E 01 23 58 6E 01 2B 10 CF 00 23 30 CF 00 2B 78 CD 00 25 78 E2 01 23 30 CD 00 2B 10 EF 00 23 38 EF 00 2B 78 EC 00 25 78 E2 01 0E 00 E0 11 23 38 EC 00 21 58 6E 01 2B 78 6E 01 21 30 CD 00 21 30 CF 00 02 00 CD 10 00 00 00 00 2B 78 CD 00 21 38 EC 00 21 38 EF 00 02 00 EC 10 00 00 00 00 2B 78 EC 00 01 00 4A 25 2A 78 60 01 21 58 6B 01 2A 10 C0 00 21 30 C6 00 21 30 CF 00 25 78 02 00 21 38 E7 00 21 38 EF 00 FF FF 29 25 DB FF 21 05 00 00 00 00 FF FF 01 24 26 50 41 01 01 00 4F 31 12 00 E0 11 00 00 00 00 25 48 0B 00 40 58 0E 00 2B 78 69 01 23 58 69 01 25 48 06 00 68 21 06 3C 34 C2 C6 34 2B 10 CF 00 23 30 CF 00 2B 78 C9 00 25 78 E2 01 23 30 C9 00 25 48 07 00 0F C9 07 3C A2 DA E7 34 23 38 EF 00 23 38 E9 00 FE 03 08 24 0B 00 E0 04 00 00 00 00 2A 78 60 01 21 58 6B 01 2A 10 C0 00 21 30 C6 00 21 30 CF 00 25 78 02 00 21 38 E7 00 21 38 EF 00 F5 FF 00 10 FF FF 08 25 40 7F 0A 00 25 40 0F 01 25 10 06 00 25 18 07 00 25 C0 08 00 08 00 E0 03 00 00 00 00 FF FF 08 24 00 C0 07 3C F8 FF 00 10 00 00 06 24 }
	condition:
		$1
}

rule file_61_0_2 {
	meta:
		name = "fpexsqrt"
		size = 248
	strings:
		$1 = { 3A 00 80 10 00 00 00 00 01 00 AD 30 0B 00 A0 11 00 00 00 00 F2 67 09 3C 00 18 29 35 19 00 89 00 10 48 00 00 13 4D 01 3C 00 48 21 34 21 48 21 01 42 20 04 00 07 00 00 10 01 00 A5 24 00 93 09 3C 19 00 89 00 10 48 00 00 FF 6C 01 3C 00 FC 21 34 21 48 21 01 43 38 05 00 3F 00 E7 24 C2 4B 09 00 F4 01 20 01 1B 00 89 00 12 50 00 00 80 4B 09 00 00 54 0A 00 21 48 2A 01 2B 68 2A 01 23 48 2D 01 00 80 0A 3C 02 5C 09 00 F4 01 60 01 1B 00 4B 01 12 50 00 00 00 54 0A 00 02 00 40 15 00 00 00 00 FF FF 0A 24 19 00 2A 01 10 58 00 00 23 58 0B 00 19 00 4B 01 10 50 00 00 19 00 44 01 10 50 00 00 40 50 0A 00 42 48 09 00 21 48 2A 01 2B 68 2A 01 23 48 2D 01 25 30 09 00 25 10 06 00 25 18 07 00 25 C0 08 00 08 00 E0 03 00 00 00 00 00 00 07 24 F9 FF 00 10 25 30 07 00 }
	condition:
		$1
}

rule file_61_1_2 {
	meta:
		name = "fpsqrt"
		size = 424
		refs = "0038 fpexsqrt"
	strings:
		$1 = { E8 FF BD 27 00 00 BF AF C2 45 04 00 00 3A 04 00 00 80 01 3C 25 38 E1 00 FF FF 0D 25 FE 00 A1 2D 48 00 20 10 00 00 00 00 04 00 A4 AF 10 00 A7 AF 14 00 A8 AF 25 20 07 00 ?? ?? ?? 0? 25 28 08 00 25 60 18 00 25 58 03 00 25 50 02 00 14 00 A8 8F 10 00 A7 8F 04 00 A4 8F 01 00 0D 31 02 00 A0 11 00 00 00 00 42 38 07 00 19 00 4A 01 12 30 00 00 10 28 00 00 23 28 A7 00 25 68 A6 00 27 00 A0 11 00 00 00 00 12 00 A0 04 00 00 00 00 FF FF 4A 25 01 00 CD 2C FF FF C6 24 23 28 AD 00 2B 68 CA 00 23 30 CA 00 23 28 AD 00 2B 68 CA 00 23 30 CA 00 23 28 AD 00 19 00 A0 04 00 00 00 00 25 68 A6 00 F2 FF A0 15 00 00 00 00 14 00 00 10 00 00 00 00 01 00 4A 25 01 00 4D 2D 0F 00 A0 15 00 00 00 00 21 30 CA 00 2B 68 CA 00 21 28 AD 00 21 30 CA 00 2B 68 CA 00 21 28 AD 00 01 00 CD 2C FF FF C6 24 23 28 AD 00 F2 FF A0 04 00 00 00 00 25 68 A6 00 02 00 A0 11 00 00 00 00 FF FF 4A 25 80 00 4A 25 80 00 4D 2D 21 58 6D 01 40 10 0A 00 42 12 02 00 C0 6D 0B 00 25 10 4D 00 00 00 BF 8F 08 00 E0 03 18 00 BD 27 06 00 81 04 00 00 00 00 40 68 04 00 13 00 A0 15 00 00 00 00 F7 FF 00 10 25 10 04 00 0A 00 00 15 00 00 00 00 21 38 E7 00 05 00 E0 10 00 00 00 00 20 28 E5 70 23 40 05 01 AA FF 00 10 04 38 A7 00 EC FF 00 10 00 00 02 24 21 68 E7 00 03 00 A0 15 00 00 00 00 E7 FF 00 10 25 10 04 00 E5 FF 00 10 C0 FF 02 3C }
	condition:
		$1
}

rule file_62_0_2 {
	meta:
		name = "dpasin"
		size = 668
		refs = "0104 exsqrt 0158 exmul 01ac _asncon 01b4 sigmax 0230 exsub"
	strings:
		$1 = { D8 FF BD 27 00 00 BF AF 40 48 05 00 42 4D 09 00 25 30 09 00 99 00 C0 10 00 00 00 00 C0 42 05 00 42 6D 04 00 25 40 0D 01 C0 3A 04 00 00 80 01 3C 25 40 01 01 00 80 01 3C 24 28 A1 00 FE 03 21 2D 3D 00 20 14 00 00 00 00 FE 03 01 24 0B 00 21 11 00 00 00 00 00 04 21 2D 8D 00 20 10 00 00 00 00 40 68 08 00 25 68 A7 01 89 00 A0 15 00 00 00 00 00 00 08 24 43 00 00 10 25 48 08 00 25 50 07 00 25 58 08 00 25 60 09 00 2B 68 0A 00 23 50 0A 00 23 58 0B 00 23 58 6D 01 08 00 60 15 00 00 00 00 03 00 40 15 00 00 00 00 0D 00 00 10 00 00 0C 24 25 58 40 01 00 00 0A 24 E0 FF 8C 25 20 38 67 71 07 00 E0 10 00 00 00 00 23 60 87 01 22 40 07 00 06 40 0A 01 04 50 EA 00 04 58 EB 00 25 58 68 01 FF FF 8C 25 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 0A 00 25 28 0B 00 ?? ?? ?? 0? 25 30 0C 00 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 14 00 00 10 01 00 29 25 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 07 00 25 28 08 00 ?? ?? ?? 0? 25 30 09 00 25 60 18 00 25 58 03 00 25 50 02 00 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 0A 00 25 28 0B 00 25 30 0C 00 0B 00 07 24 ?? ?? 08 3C ?? ?? 08 25 ?? ?? ?? 0? 00 00 00 00 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 10 00 A4 8F 14 00 A5 8F 18 00 A6 8F 25 38 02 00 25 40 03 00 ?? ?? ?? 0? 25 48 18 00 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F FE 03 C1 28 13 00 20 14 00 00 00 00 25 20 07 00 25 28 08 00 25 30 09 00 68 21 07 3C 35 C2 E7 34 0F C9 08 3C A2 DA 08 35 ?? ?? ?? 0? FF 03 09 24 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F C2 22 07 00 40 6D 08 00 25 20 8D 00 40 68 08 00 02 6B 0D 00 25 28 AD 00 00 6D 09 00 25 28 AD 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 28 00 BD 27 F8 FF 05 3C F9 FF 00 10 00 00 04 24 }
	condition:
		$1
}

rule file_63_0_2 {
	meta:
		name = "dpcos"
		size = 424
		refs = "000c reduct 0054 exmul 00ac coscon 00b4 sigmax 010c sincon"
	strings:
		$1 = { D8 FF BD 27 00 00 BF AF 04 00 A4 AF ?? ?? ?? 0? 08 00 A5 AF 25 48 18 00 25 40 03 00 25 38 02 00 08 00 A5 8F 04 00 A4 8F 42 37 09 00 FF FF 01 24 4D 00 21 11 00 00 00 00 FF 07 29 31 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 07 00 25 28 08 00 ?? ?? ?? 0? 25 30 09 00 25 60 18 00 25 58 03 00 25 50 02 00 18 00 A9 8F 14 00 A8 8F 10 00 A7 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F FF FF CD 24 02 00 AD 31 16 00 A0 11 00 00 00 00 1C 00 AA AF 20 00 AB AF 24 00 AC AF 25 20 0A 00 25 28 0B 00 25 30 0C 00 05 00 07 24 ?? ?? 08 3C ?? ?? 08 25 ?? ?? ?? 0? 00 00 00 00 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 22 00 00 10 04 00 A4 8F 04 00 A4 AF 08 00 A5 AF 0C 00 A6 AF 10 00 A7 AF 14 00 A8 AF 18 00 A9 AF 25 20 0A 00 25 28 0B 00 25 30 0C 00 05 00 07 24 ?? ?? 08 3C ?? ?? 08 25 ?? ?? ?? 0? 00 00 00 00 1C 00 A2 AF 20 00 A3 AF 24 00 B8 AF 25 20 02 00 25 28 03 00 25 30 18 00 10 00 A7 8F 14 00 A8 8F ?? ?? ?? 0? 18 00 A9 8F 25 48 18 00 25 40 03 00 25 38 02 00 24 00 AC 8F 20 00 AB 8F 1C 00 AA 8F 0C 00 A6 8F 08 00 A5 8F 04 00 A4 8F C2 22 07 00 40 6D 08 00 25 20 8D 00 40 28 08 00 02 2B 05 00 00 6D 09 00 25 28 AD 00 02 00 CD 24 82 68 0D 00 C0 6F 0D 00 25 28 AD 00 25 10 04 00 25 18 05 00 00 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_67_0_2 {
	meta:
		name = "fpreduct"
		size = 264
	strings:
		$1 = { C2 35 04 00 FF 00 C6 30 00 2A 04 00 00 80 01 3C 25 28 A1 00 00 00 07 24 82 FF C8 24 32 00 00 05 00 00 00 00 20 00 01 29 34 00 20 10 00 00 00 00 82 28 05 00 00 00 09 24 B4 10 0B 3C 1A 61 6B 35 87 64 0A 3C 51 ED 4A 35 40 38 07 00 01 00 E7 24 2A 60 20 01 21 48 29 01 21 28 A5 00 21 28 AC 00 2B 60 2B 01 23 48 2B 01 2B 68 AC 00 23 28 AC 00 2B 60 AA 00 25 60 8D 01 06 00 80 11 23 28 AA 00 FF FF E7 24 21 48 2B 01 2B 60 2B 01 21 28 AA 00 21 28 AC 00 FF FF 08 25 EB FF 01 05 00 00 00 00 01 00 EC 30 07 00 80 11 00 00 00 00 2B 60 69 01 23 58 69 01 23 50 4C 01 23 50 45 01 25 48 0B 00 25 28 0A 00 7F 00 06 24 07 00 A0 04 00 00 00 00 2A 60 20 01 21 48 29 01 21 28 A5 00 21 28 AC 00 F9 FF 00 10 FF FF C6 24 25 10 05 00 25 18 06 00 25 C0 07 00 08 00 E0 03 00 00 00 00 FF FF 06 24 F9 FF 00 10 C0 FF 05 3C }
	condition:
		$1
}

rule file_69_0_2 {
	meta:
		name = "rintl"
		size = 268
		refs = "0024 dpcmp 0064 copysignl 0070 litodp 00c4 dpadd 00d8 dpsub"
	strings:
		$1 = { D8 FF BD 27 21 30 80 00 21 38 A0 00 1C 00 B2 AF 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 14 00 B0 AF 21 90 80 00 ?? ?? ?? 0? 21 88 A0 00 0A 00 40 10 ?? ?? 02 3C 24 00 BF 8F 21 10 40 02 21 18 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 46 8C ?? ?? 47 8C 21 28 20 02 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 04 8E ?? ?? 05 8E 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 EA FF 40 18 24 00 BF 8F ?? ?? 05 8E ?? ?? 04 8E 21 30 40 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? ?? 0? 21 20 40 00 21 80 60 00 21 20 40 02 21 28 20 02 21 38 00 02 21 30 40 00 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 21 30 60 02 21 38 00 02 ?? ?? ?? 0? 21 28 60 00 24 00 BF 8F 21 90 40 00 21 88 60 00 21 10 40 02 21 18 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_71_0_2 {
	meta:
		name = "log__L"
		size = 324
		refs = "0020 dpmul 0038 dpadd"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C E0 FF BD 27 1C 00 BF AF 18 00 B1 AF 14 00 B0 AF 21 88 A0 00 ?? ?? ?? 0? 21 80 80 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_72_0_2 {
	meta:
		name = "_f_cmp"
		size = 144
	strings:
		$1 = { 40 30 04 00 40 38 05 00 25 40 C7 00 1B 00 00 11 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 19 00 20 10 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 E1 00 14 00 20 10 00 00 00 00 02 00 81 04 42 30 06 00 23 30 06 00 02 00 A1 04 42 38 07 00 23 38 07 00 2A 08 C7 00 03 00 20 10 00 00 00 00 07 00 00 10 01 00 02 24 2A 08 E6 00 03 00 20 10 00 00 00 00 02 00 00 10 02 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 03 00 02 24 }
	condition:
		$1
}

rule file_72_1_2 {
	meta:
		name = "_f_feq"
		size = 144
	strings:
		$1 = { 40 30 04 00 40 38 05 00 25 40 C7 00 1B 00 00 11 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 19 00 20 10 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 E1 00 14 00 20 10 00 00 00 00 02 00 81 04 42 30 06 00 23 30 06 00 02 00 A1 04 42 38 07 00 23 38 07 00 2A 08 C7 00 03 00 20 10 00 00 00 00 07 00 00 10 00 00 02 24 2A 08 E6 00 03 00 20 10 00 00 00 00 02 00 00 10 00 00 02 24 01 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_72_2_2 {
	meta:
		name = "_f_fge"
		size = 144
	strings:
		$1 = { 40 30 04 00 40 38 05 00 25 40 C7 00 1B 00 00 11 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 19 00 20 10 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 E1 00 14 00 20 10 00 00 00 00 02 00 81 04 42 30 06 00 23 30 06 00 02 00 A1 04 42 38 07 00 23 38 07 00 2A 08 C7 00 03 00 20 10 00 00 00 00 07 00 00 10 00 00 02 24 2A 08 E6 00 03 00 20 10 00 00 00 00 02 00 00 10 01 00 02 24 01 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_72_3_2 {
	meta:
		name = "_f_fgt"
		size = 144
	strings:
		$1 = { 40 30 04 00 40 38 05 00 25 40 C7 00 1B 00 00 11 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 19 00 20 10 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 E1 00 14 00 20 10 00 00 00 00 02 00 81 04 42 30 06 00 23 30 06 00 02 00 A1 04 42 38 07 00 23 38 07 00 2A 08 C7 00 03 00 20 10 00 00 00 00 07 00 00 10 00 00 02 24 2A 08 E6 00 03 00 20 10 00 00 00 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_72_4_2 {
	meta:
		name = "_f_fle"
		size = 144
	strings:
		$1 = { 40 30 04 00 40 38 05 00 25 40 C7 00 1B 00 00 11 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 19 00 20 10 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 E1 00 14 00 20 10 00 00 00 00 02 00 81 04 42 30 06 00 23 30 06 00 02 00 A1 04 42 38 07 00 23 38 07 00 2A 08 C7 00 03 00 20 10 00 00 00 00 07 00 00 10 01 00 02 24 2A 08 E6 00 03 00 20 10 00 00 00 00 02 00 00 10 00 00 02 24 01 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_72_5_2 {
	meta:
		name = "_f_flt"
		size = 144
	strings:
		$1 = { 40 30 04 00 40 38 05 00 25 40 C7 00 1B 00 00 11 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 19 00 20 10 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 E1 00 14 00 20 10 00 00 00 00 02 00 81 04 42 30 06 00 23 30 06 00 02 00 A1 04 42 38 07 00 23 38 07 00 2A 08 C7 00 03 00 20 10 00 00 00 00 07 00 00 10 01 00 02 24 2A 08 E6 00 03 00 20 10 00 00 00 00 02 00 00 10 00 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 00 00 02 24 }
	condition:
		$1
}

rule file_72_6_2 {
	meta:
		name = "_f_fne"
		size = 144
	strings:
		$1 = { 40 30 04 00 40 38 05 00 25 40 C7 00 1B 00 00 11 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 C1 00 19 00 20 10 00 00 00 00 00 FF 01 3C 01 00 21 34 2B 08 E1 00 14 00 20 10 00 00 00 00 02 00 81 04 42 30 06 00 23 30 06 00 02 00 A1 04 42 38 07 00 23 38 07 00 2A 08 C7 00 03 00 20 10 00 00 00 00 07 00 00 10 01 00 02 24 2A 08 E6 00 03 00 20 10 00 00 00 00 02 00 00 10 01 00 02 24 00 00 02 24 08 00 E0 03 00 00 00 00 FD FF 00 10 01 00 02 24 }
	condition:
		$1
}

rule file_73_0_2 {
	meta:
		name = "fpfmod"
		size = 324
	strings:
		$1 = { C2 3D 04 00 FF 00 E7 30 C2 55 05 00 FF 00 4A 31 00 80 0C 3C 00 32 04 00 25 30 CC 00 00 4A 05 00 25 48 2C 01 24 40 8C 00 FF FF ED 24 FE 00 A1 2D 2B 00 20 10 00 00 00 00 FF FF 4D 25 FE 00 A1 2D 30 00 20 10 00 00 00 00 23 60 EA 00 03 00 81 05 00 00 00 00 20 00 00 10 25 10 04 00 42 30 06 00 42 48 09 00 2B 68 C9 00 03 00 A0 11 23 30 C9 00 21 30 C9 00 2B 68 C9 00 2A 68 C0 00 21 30 C6 00 FF FF 8C 25 F7 FF 81 05 00 00 00 00 2B 00 C0 10 00 00 00 00 20 60 CC 70 23 50 4C 01 09 00 40 1D 04 30 86 01 09 00 0C 24 23 60 8A 01 20 00 81 2D 02 00 20 14 00 00 00 00 00 00 06 34 05 00 00 10 06 30 86 01 40 30 06 00 42 32 06 00 C0 6D 0A 00 25 30 CD 00 25 10 C8 00 08 00 E0 03 00 00 00 00 14 00 E0 14 00 00 00 00 21 30 C6 00 D2 FF C0 10 00 00 00 00 20 60 CC 70 23 38 EC 00 CE FF 00 10 04 30 86 01 07 00 40 15 21 48 29 01 09 00 20 11 00 00 00 00 20 60 2C 71 23 50 4C 01 CA FF 00 10 04 48 89 01 03 00 20 15 00 00 00 00 EA FF 00 10 25 10 04 00 E8 FF 00 10 C0 FF 02 3C E6 FF 00 10 25 10 08 00 }
	condition:
		$1
}

rule file_73_1_2 {
	meta:
		name = "fpfrexp"
		size = 132
	strings:
		$1 = { C2 35 04 00 FF 00 C6 30 FF FF C9 24 FE 00 21 2D 0B 00 20 10 00 00 00 00 82 FF C6 24 7F 80 01 3C FF FF 21 34 24 20 81 00 00 3F 01 3C 25 20 81 00 00 00 A6 AC 25 10 04 00 08 00 E0 03 00 00 00 00 0D 00 C0 14 00 00 00 00 21 48 84 00 F8 FF 20 11 00 00 00 00 40 3A 04 00 20 40 E8 70 23 30 C8 00 04 38 07 01 00 80 01 3C 24 20 81 00 02 4A 07 00 E9 FF 00 10 25 20 89 00 C0 FF 04 3C EC FF 00 10 00 00 06 24 }
	condition:
		$1
}

rule file_73_2_2 {
	meta:
		name = "__mchp_ldexpf"
		size = 324
	strings:
		$1 = { C2 55 04 00 FF 00 4A 31 FF FF 4C 25 FE 00 81 2D 0E 00 20 10 00 00 00 00 21 50 45 01 FF FF 4C 25 FE 00 81 2D 14 00 20 10 00 00 00 00 7F 80 01 3C FF FF 21 34 24 20 81 00 C0 65 0A 00 25 20 8C 00 25 10 04 00 08 00 E0 03 00 00 00 00 FF 00 01 24 09 00 41 15 00 00 00 00 7F 00 01 3C FF FF 21 34 24 60 81 00 02 00 80 11 00 00 00 00 C0 FF 04 3C F4 FF 00 10 25 10 04 00 C2 3D 04 00 FF 00 E7 30 00 80 08 3C 00 32 04 00 25 30 C8 00 0A 00 E0 14 24 40 04 01 21 30 C6 00 05 00 C0 10 00 00 00 00 20 58 CB 70 23 38 EB 00 03 00 00 10 04 30 66 01 E4 FF 00 10 25 10 04 00 21 38 E5 00 FF FF EC 24 FE 00 81 2D 19 00 20 14 00 00 00 00 03 00 E0 18 00 00 00 00 19 00 00 10 80 7F 04 3C 01 00 0B 24 23 58 67 01 20 00 61 2D 03 00 20 14 00 00 00 00 07 00 00 10 02 00 06 24 25 50 06 00 06 30 66 01 04 60 66 01 02 00 8A 11 00 00 00 00 02 00 C6 34 80 00 C6 24 80 00 CC 2C 21 38 EC 00 02 62 06 00 01 00 8C 31 23 30 CC 00 00 00 07 24 40 20 06 00 42 22 04 00 C0 65 07 00 25 20 8C 00 C1 FF 00 10 25 10 88 00 }
	condition:
		$1
}

rule file_73_3_2 {
	meta:
		name = "fpmodf"
		size = 208
	strings:
		$1 = { C2 3D 04 00 FF 00 E7 30 00 80 08 3C 00 32 04 00 25 30 C8 00 24 40 04 01 FF 00 01 24 28 00 E1 10 00 00 00 00 25 48 06 00 25 50 07 00 25 58 08 00 9E 00 0C 24 23 60 87 01 06 00 80 19 00 00 00 00 20 00 81 29 1C 00 20 10 00 00 00 00 06 48 89 01 04 48 89 01 40 60 09 00 42 62 0C 00 C0 6D 0A 00 25 60 8D 01 25 68 8B 01 00 00 AD AC 23 60 EA 00 20 00 81 2D 02 00 20 14 00 00 00 00 00 00 09 34 06 48 89 01 23 30 C9 00 08 00 C0 10 00 00 00 00 20 60 CC 70 23 38 EC 00 04 30 86 01 40 30 06 00 42 32 06 00 C0 6D 07 00 25 30 CD 00 25 10 C8 00 08 00 E0 03 00 00 00 00 F8 FF 00 10 00 00 A8 AC C0 FF 04 3C 00 00 A4 AC F9 FF 00 10 25 10 04 00 }
	condition:
		$1
}

rule file_75_0_2 {
	meta:
		name = "log1pl"
		size = 1188
		refs = "0038 dpcmp 0080 finitel 00cc errno 0100 dpdiv 0174 copysignl 017c litodp 01b0 dpadd 01bc logbl 01d4 ldexp 024c dpmul 0288 dpsub 03c8 log__L"
	strings:
		$1 = { B8 FF BD 27 21 30 80 00 21 38 A0 00 28 00 B2 AF 24 00 B1 AF 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF 2C 00 B3 AF 20 00 B0 AF 21 90 80 00 ?? ?? ?? 0? 21 88 A0 00 0F 00 40 10 21 20 40 02 44 00 BF 8F 21 10 40 02 21 18 20 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 21 28 20 02 15 00 40 10 21 20 40 02 ?? ?? 10 3C ?? ?? 04 8E ?? ?? 05 8E 21 30 40 02 ?? ?? ?? 0? 21 38 20 02 2C 00 40 04 ?? ?? 06 8E ?? ?? 07 8E 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 21 00 40 14 21 00 03 24 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 21 90 00 00 ?? ?? ?? 0? 80 FF 11 3C 21 28 20 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 D5 FF 41 04 21 20 00 00 21 28 00 00 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 44 00 BF 8F 21 90 40 00 21 88 60 00 21 10 40 02 21 18 20 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 02 3C ?? ?? 43 AC 21 90 00 00 ?? ?? ?? 0? C0 FF 11 3C ?? ?? 10 3C ?? ?? 16 8E ?? ?? 17 8E 21 28 20 02 21 30 C0 02 21 38 E0 02 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 AB FF 40 04 44 00 BF 8F 21 38 E0 02 21 30 C0 02 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 28 20 02 23 88 02 00 21 30 20 02 21 20 40 02 ?? ?? ?? 0? 21 A0 40 00 ?? ?? ?? 0? 21 20 40 00 21 30 20 02 21 20 C0 02 21 28 E0 02 21 98 60 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 40 02 21 28 60 02 21 38 60 00 21 B0 40 00 ?? ?? ?? 0? 21 88 60 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 10 00 40 1C ?? ?? 15 3C ?? ?? A6 8E ?? ?? A7 8E 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 ?? ?? A6 8E ?? ?? A7 8E 21 20 C0 02 21 28 20 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 B0 40 00 01 00 94 26 21 88 60 00 ?? ?? 06 8E ?? ?? 07 8E 21 20 C0 02 ?? ?? ?? 0? 21 28 20 02 21 30 40 00 21 20 40 02 21 28 60 02 21 38 60 00 21 B8 40 00 ?? ?? ?? 0? 21 B0 60 00 21 88 60 00 21 20 E0 02 21 28 C0 02 21 38 20 02 21 30 40 00 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 21 B0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 30 00 02 21 20 00 02 21 28 20 02 21 38 20 02 21 F0 60 00 ?? ?? ?? 0? 14 00 A2 AF ?? ?? A6 8E ?? ?? A7 8E 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 80 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 50 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 01 21 28 60 00 18 00 AA AF ?? ?? ?? 0? 1C 00 A3 AF 21 30 00 02 21 38 20 02 21 20 C0 02 21 28 E0 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 14 00 A8 8F 21 38 C0 03 21 28 C0 03 21 30 00 01 21 20 00 01 21 A8 40 00 ?? ?? ?? 0? 21 A0 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 30 40 02 21 28 60 00 ?? ?? ?? 0? 21 38 60 02 14 00 A8 8F 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 C0 03 21 20 A0 02 21 30 C0 02 21 28 80 02 21 38 E0 02 14 00 A2 AF ?? ?? ?? 0? 10 00 A3 AF 14 00 A8 8F 10 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 40 02 21 28 60 00 ?? ?? ?? 0? 21 38 60 02 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 88 40 00 18 00 AA 8F ?? ?? 02 3C 1C 00 AB 8F ?? ?? 46 8C ?? ?? 47 8C 21 20 40 01 21 28 60 01 ?? ?? ?? 0? 21 80 60 00 21 20 40 00 21 30 20 02 21 28 60 00 ?? ?? ?? 0? 21 38 00 02 21 90 40 00 ?? ?? ?? 0? 21 88 60 00 }
	condition:
		$1
}

rule file_30_0_3 {
	meta:
		name = "rmdir"
		size = 20
		refs = "0004 errno"
		altNames = "open unlink"
	strings:
		$1 = { 05 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 08 00 E0 03 FF FF 02 24 }
	condition:
		$1
}

rule file_42_0_3 {
	meta:
		name = "_xchsrspss"
		size = 24
	strings:
		$1 = { 02 60 08 40 80 19 02 7D 84 49 88 7C 02 60 88 40 08 04 E0 03 C0 00 00 00 }
	condition:
		$1
}

rule file_45_0_3 {
	meta:
		name = "_mon_puts"
		size = 68
		refs = "0020 _mon_putc"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF 09 00 80 10 21 80 80 00 00 00 84 80 07 00 80 10 14 00 BF 8F ?? ?? ?? 0? 01 00 10 26 00 00 04 82 FC FF 80 14 00 00 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_63_0_3 {
	meta:
		name = "strcpy"
		size = 416
	strings:
		$1 = { 25 40 85 00 03 00 08 31 03 00 00 11 21 10 80 00 38 00 00 10 00 00 AA 90 00 00 AA 8C 01 01 09 3C 01 01 29 35 C0 79 09 00 23 40 49 01 24 40 0F 01 07 00 00 11 24 60 0A 01 05 00 88 11 00 00 00 00 00 00 A5 24 00 00 AA 90 2A 00 00 10 00 00 84 24 04 00 AB 8C 00 00 8A AC 23 40 69 01 24 40 0F 01 07 00 00 11 24 60 0B 01 05 00 88 11 00 00 00 00 04 00 A5 24 00 00 AA 90 1E 00 00 10 04 00 84 24 08 00 AA 8C 04 00 8B AC 23 40 49 01 24 40 0F 01 07 00 00 11 24 60 0A 01 05 00 88 11 00 00 00 00 08 00 A5 24 00 00 AA 90 12 00 00 10 08 00 84 24 0C 00 AB 8C 08 00 8A AC 23 40 69 01 24 40 0F 01 07 00 00 11 24 60 0B 01 05 00 88 11 00 00 00 00 0C 00 A5 24 00 00 AA 90 06 00 00 10 0C 00 84 24 10 00 AA 8C 0C 00 8B AC 10 00 84 24 CE FF 00 10 10 00 A5 24 03 00 40 15 00 00 8A A0 08 00 E0 03 00 00 00 00 01 00 AB 90 03 00 60 15 01 00 8B A0 08 00 E0 03 00 00 00 00 02 00 AA 90 03 00 40 15 02 00 8A A0 08 00 E0 03 00 00 00 00 03 00 AB 90 03 00 60 15 03 00 8B A0 08 00 E0 03 00 00 00 00 04 00 AA 90 03 00 40 15 04 00 8A A0 08 00 E0 03 00 00 00 00 05 00 AB 90 03 00 60 15 05 00 8B A0 08 00 E0 03 00 00 00 00 06 00 AA 90 03 00 40 15 06 00 8A A0 08 00 E0 03 00 00 00 00 07 00 AB 90 03 00 60 15 07 00 8B A0 08 00 E0 03 00 00 00 00 08 00 AA 90 08 00 84 24 D6 FF 00 10 08 00 A5 24 }
	condition:
		$1
}

rule file_78_0_3 {
	meta:
		name = "write"
		size = 132
		refs = "0020 _mon_write 0068 _mon_putc"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 B0 AF 06 00 A0 10 21 10 00 00 04 00 C0 10 03 00 84 2C 06 00 80 14 ?? ?? 02 3C 21 10 C0 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 42 24 06 00 40 10 21 20 A0 00 21 28 C0 00 ?? ?? ?? 0? 14 00 A6 AF ?? ?? ?? 0? 14 00 A6 8F 21 80 A6 00 00 00 A4 80 01 00 A5 24 10 00 A5 AF ?? ?? ?? 0? 14 00 A6 AF 10 00 A5 8F F9 FF B0 14 14 00 A6 8F ?? ?? ?? 0? 21 10 C0 00 }
	condition:
		$1
}

rule file_86_0_3 {
	meta:
		name = "__udivmodsi4"
		size = 320
	strings:
		$1 = { 02 00 A0 14 21 10 80 00 0D 00 07 00 1D 00 45 10 2B 18 45 00 06 00 60 50 FF FF A3 24 17 00 C0 50 21 10 00 00 00 00 C2 AC 08 00 E0 03 21 10 00 00 24 20 65 00 19 00 80 54 2B 18 A2 00 02 00 C0 10 24 18 62 00 00 00 C3 AC 10 00 A3 2C 06 00 60 14 01 00 03 24 02 29 05 00 10 00 A3 2C FD FF 60 10 02 11 02 00 01 00 03 24 0A 00 A3 10 00 00 00 00 42 28 05 00 FE FF A3 14 42 10 02 00 08 00 E0 03 00 00 00 00 FD FF C0 10 01 00 02 24 08 00 E0 03 00 00 C0 AC 08 00 E0 03 00 00 00 00 26 00 60 10 00 10 04 3C 2B 20 A4 00 01 00 03 24 05 00 80 14 00 10 08 3C ?? ?? ?? 0? 00 00 00 00 16 00 E0 10 00 00 00 00 00 29 05 00 2B 20 A2 00 2B 38 A8 00 FA FF 80 14 00 19 03 00 0A 00 60 10 21 38 00 00 21 38 00 00 2B 20 45 00 04 00 80 54 42 18 03 00 23 10 45 00 25 38 E3 00 42 18 03 00 F9 FF 60 54 42 28 05 00 DD FF C0 50 21 10 E0 00 00 00 C2 AC 08 00 E0 03 21 10 E0 00 EF FF A0 04 00 00 00 00 40 28 05 00 2B 20 A2 00 FB FF 80 14 40 18 03 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 01 00 03 24 }
	condition:
		$1
}

rule file_86_2_3 {
	meta:
		name = "__umodsi3"
		size = 32
		refs = "0008 __udivmodsi4"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A6 27 1C 00 BF 8F 10 00 A2 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_86_3_3 {
	meta:
		name = "__divsi3"
		size = 136
		refs = "0024 __udivmodsi4"
	strings:
		$1 = { E8 FF BD 27 FF FF 02 24 14 00 BF AF 0D 00 A2 10 10 00 B0 AF 0F 00 80 04 21 80 00 00 11 00 A2 04 23 28 05 00 ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 23 18 02 00 0B 10 70 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 00 80 02 3C F2 FF 82 14 00 00 00 00 0D 00 06 00 23 20 04 00 F2 FF A1 04 01 00 10 24 23 28 05 00 ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 01 00 10 3A 23 18 02 00 0B 10 70 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_86_4_3 {
	meta:
		name = "__modsi3"
		size = 116
		refs = "0020 __udivmodsi4"
	strings:
		$1 = { E0 FF BD 27 FF FF 02 24 0B 00 A2 10 1C 00 BF AF 0D 00 80 04 10 00 A6 27 C3 17 05 00 26 28 45 00 ?? ?? ?? 0? 23 28 A2 00 1C 00 BF 8F 10 00 A2 8F 08 00 E0 03 20 00 BD 27 00 80 02 3C F4 FF 82 14 00 00 00 00 0D 00 06 00 C3 17 05 00 26 28 45 00 10 00 A6 27 23 20 04 00 ?? ?? ?? 0? 23 28 A2 00 10 00 A2 8F 1C 00 BF 8F 20 00 BD 27 08 00 E0 03 23 10 02 00 }
	condition:
		$1
}

rule file_108_0_3 {
	meta:
		name = "setjmp"
		size = 56
		refs = "001c sigprocmask"
	strings:
		$1 = { 00 00 9F AC 08 00 90 AC 10 00 91 AC 21 80 80 00 21 88 E0 03 03 00 04 24 21 28 00 00 ?? ?? ?? 0? 88 00 06 26 21 20 00 02 21 F8 20 02 08 00 90 8C 05 00 00 10 10 00 91 8C }
	condition:
		$1
}

rule file_108_1_3 {
	meta:
		name = "sigprocmask"
		size = 20
	strings:
		$1 = { 02 00 C0 10 00 00 00 00 00 00 C0 AC 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_108_2_3 {
	meta:
		name = "_setjmp"
		size = 56
	strings:
		$1 = { 00 00 9F AC 08 00 90 AC 10 00 91 AC 88 00 80 AC 18 00 92 AC 20 00 93 AC 28 00 94 AC 30 00 95 AC 38 00 96 AC 40 00 97 AC 48 00 9E AC 50 00 9D AC 08 00 E0 03 00 00 02 24 }
	condition:
		$1
}

rule file_108_3_3 {
	meta:
		name = "longjmp"
		size = 44
		refs = "001c sigprocmask"
	strings:
		$1 = { 02 00 A0 14 00 00 00 00 01 00 05 24 21 80 80 00 21 88 A0 00 03 00 04 24 88 00 05 26 ?? ?? ?? 0? 21 30 00 00 21 20 00 02 21 28 20 02 }
	condition:
		$1
}

rule file_108_4_3 {
	meta:
		name = "_longjmp"
		size = 52
	strings:
		$1 = { 00 00 9F 8C 08 00 90 8C 10 00 91 8C 18 00 92 8C 20 00 93 8C 28 00 94 8C 30 00 95 8C 38 00 96 8C 40 00 97 8C 48 00 9E 8C 50 00 9D 8C 08 00 E0 03 21 10 A0 00 }
	condition:
		$1
}

rule file_108_5_3 {
	meta:
		name = "sigsetjmp"
		size = 16
		refs = "0000 _setjmp 0008 setjmp"
	strings:
		$1 = { ?? ?? A0 10 C0 00 85 AC ?? ?? 00 10 00 00 00 00 }
	condition:
		$1
}

rule file_108_6_3 {
	meta:
		name = "siglongjmp"
		size = 20
		refs = "0004 _longjmp 000c longjmp"
	strings:
		$1 = { C0 00 88 8C ?? ?? 00 11 00 00 00 00 ?? ?? 00 10 00 00 00 00 }
	condition:
		$1
}

rule file_116_0_3 {
	meta:
		name = "_mon_write"
		size = 72
		refs = "0024 _mon_putc"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 1C 00 BF AF 14 00 B0 AF 08 00 80 10 21 88 80 00 06 00 A0 10 21 80 85 00 00 00 24 82 ?? ?? ?? 0? 01 00 31 26 FD FF 30 56 00 00 24 82 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_122_0_3 {
	meta:
		name = "_mon_putc"
		size = 180
		refs = "0000 __XC_UART 0010 _appio_putc 00a8 U2TXREG 0038 U2STASET 003c U2MODESET 0040 U2STA 0030 U1TXREG 0080 U1STASET 0084 U1MODESET 0088 U1STA 001c _p32mxsk_putc"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 07 00 40 14 20 24 04 7C ?? ?? 02 3C ?? ?? 42 24 21 00 40 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 01 00 03 24 14 00 43 10 ?? ?? 05 3C ?? ?? 05 3C ?? ?? 02 3C ?? ?? 06 3C ?? ?? 03 3C ?? ?? A5 24 ?? ?? 42 24 ?? ?? C6 24 ?? ?? 63 24 00 80 07 34 00 00 C7 AC 00 04 06 24 00 00 46 AC 00 00 62 8C 00 01 42 30 FD FF 40 10 00 00 00 00 00 00 A4 AC 08 00 E0 03 00 00 00 00 ?? ?? 02 3C ?? ?? 06 3C ?? ?? 03 3C ?? ?? A5 24 ?? ?? 42 24 ?? ?? C6 24 ?? ?? ?? 0? ?? ?? 63 24 ?? ?? 42 24 E4 FF 40 10 ?? ?? 05 3C ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_130_0_3 {
	meta:
		name = "memcpy"
		size = 360
	strings:
		$1 = { 21 10 80 00 56 00 C0 10 0C 00 CA 2C 4D 00 40 15 26 18 A4 00 03 00 63 30 23 38 04 00 29 00 60 10 03 00 E7 30 06 00 E0 10 23 30 C7 00 00 00 A3 98 03 00 A3 88 21 28 A7 00 00 00 83 B8 21 20 87 00 0F 00 C3 30 23 38 C3 00 11 00 E0 10 21 30 60 00 21 38 E5 00 00 00 A3 98 03 00 A3 88 04 00 A8 98 07 00 A8 88 08 00 A9 98 0B 00 A9 88 0C 00 AA 98 0F 00 AA 88 00 00 83 AC 04 00 88 AC 08 00 89 AC 10 00 A5 24 10 00 84 24 F2 FF A7 14 FC FF 8A AC 03 00 C3 30 23 38 C3 00 2A 00 E0 10 21 30 60 00 21 38 E5 00 00 00 A3 98 03 00 A3 88 04 00 A5 24 04 00 84 24 FB FF A7 14 FC FF 83 AC 21 00 00 10 00 00 00 00 05 00 E0 10 23 30 C7 00 00 00 A3 98 21 28 A7 00 00 00 83 B8 21 20 87 00 0F 00 C3 30 23 38 C3 00 0D 00 E0 10 21 30 60 00 21 38 E5 00 00 00 A3 8C 04 00 A8 8C 08 00 A9 8C 0C 00 AA 8C 00 00 83 AC 04 00 88 AC 08 00 89 AC 10 00 A5 24 10 00 84 24 F6 FF A7 14 FC FF 8A AC 03 00 C3 30 23 38 C3 00 07 00 E0 10 21 30 60 00 21 38 E5 00 00 00 A3 8C 04 00 A5 24 04 00 84 24 FC FF A7 14 FC FF 83 AC 06 00 C0 10 21 38 C5 00 00 00 A3 90 01 00 A5 24 01 00 84 24 FC FF A7 14 FF FF 83 A0 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_133_0_3 {
	meta:
		name = "read"
		size = 320
		refs = "0030 _mon_getc 0074 __XC_UART 0088 U1MODE 0090 U1RXREG 0094 U1STA 00b0 U1MODESET 0084 U2BRG 011c U2MODE 0120 U2RXREG 0124 U2STA"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 1C 00 BF AF 10 00 B0 AF 21 90 A0 00 0F 00 A0 10 21 88 00 00 0E 00 C0 50 1C 00 BF 8F 0B 00 80 14 21 88 C0 00 ?? ?? 02 3C ?? ?? 42 24 0E 00 40 10 21 80 A6 00 ?? ?? ?? 0? 01 00 04 24 00 00 42 A2 01 00 52 26 FB FF 50 16 00 00 00 00 1C 00 BF 8F 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 02 3C ?? ?? 43 8C 02 00 02 24 24 00 62 10 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 42 8C ?? ?? 05 3C ?? ?? 04 3C ?? ?? A5 24 ?? ?? 84 24 00 80 42 30 05 00 40 14 21 88 C0 00 00 80 03 34 ?? ?? 02 3C ?? ?? 43 AC 21 88 C0 00 00 00 83 8C 01 00 63 30 05 00 60 10 A0 00 02 24 ?? ?? ?? 0? 00 00 00 00 05 00 40 10 00 00 00 00 00 00 83 8C 01 00 63 30 FB FF 60 10 FF FF 42 24 00 00 82 8C 01 00 42 30 D8 FF 40 54 23 88 D1 00 00 00 A2 8C FF FF 31 26 0C 00 20 12 00 00 42 A2 ?? ?? ?? 0? 01 00 52 26 ?? ?? 42 24 DB FF 40 10 ?? ?? 02 3C ?? ?? 05 3C ?? ?? 04 3C ?? ?? 42 8C ?? ?? A5 24 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 23 88 D1 00 }
	condition:
		$1
}

rule file_135_0_3 {
	meta:
		name = "memcmp"
		size = 152
	strings:
		$1 = { 04 00 C9 28 05 00 20 11 21 38 86 00 17 00 C0 1C 00 00 00 00 08 00 E0 03 21 10 00 00 25 40 85 00 03 00 08 31 03 00 00 11 00 00 00 00 10 00 00 10 00 00 88 90 00 00 88 8C 00 00 A9 8C 04 00 84 24 05 00 09 11 04 00 A5 24 FC FF A5 24 FC FF 84 24 07 00 00 10 00 00 88 90 FC FF C6 24 F5 FF C0 1C 00 00 00 00 08 00 E0 03 21 10 00 00 00 00 88 90 00 00 A9 90 01 00 84 24 03 00 09 11 01 00 A5 24 08 00 E0 03 23 10 09 01 F8 FF 87 14 00 00 00 00 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_140_0_3 {
	meta:
		name = ".xxc0_template"
		size = 40
	strings:
		$1 = { 00 00 02 40 40 00 00 00 40 00 00 00 24 18 50 00 25 18 71 00 02 00 62 10 00 00 00 00 00 00 83 40 08 04 E0 01 00 00 00 00 }
	condition:
		$1
}

rule file_140_1_3 {
	meta:
		name = "_xxc0"
		size = 144
	strings:
		$1 = { B8 FF BD 27 38 00 B0 AF 3C 00 B1 AF 40 00 BF AF 27 80 A0 00 21 88 C0 00 1F 00 88 30 C0 42 08 00 42 21 04 00 07 00 84 30 25 20 88 00 ?? ?? 08 3C ?? ?? 08 25 28 00 09 25 10 00 AA 27 00 00 0B 8D 04 00 08 25 00 00 4B AD FC FF 09 15 04 00 4A 25 10 00 AC 27 1C 00 8D 25 00 00 8A 8D 00 00 AB 8D 25 50 44 01 25 58 64 01 00 00 8A AD 00 00 AB AD 10 00 AC 27 09 78 80 01 00 00 00 00 40 00 BF 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 48 00 BD 27 }
	condition:
		$1
}

rule file_141_0_3 {
	meta:
		name = "isnanl"
		size = 40
	strings:
		$1 = { F0 7F 03 3C 24 30 A3 00 03 00 C3 10 21 10 00 00 08 00 E0 03 00 00 00 00 00 98 A5 7C 25 20 85 00 08 00 E0 03 2B 10 04 00 }
	condition:
		$1
}

rule file_141_1_3 {
	meta:
		name = "isnan"
		size = 52
		refs = "0008 fptodp 001c __unorddf2"
		altNames = "isnanf"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 14 00 BF 8F 2B 10 02 00 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_141_3_3 {
	meta:
		name = "isinfl"
		size = 40
	strings:
		$1 = { F0 7F 03 3C 24 30 A3 00 03 00 C3 10 21 10 00 00 08 00 E0 03 00 00 00 00 00 98 A5 7C 25 20 85 00 08 00 E0 03 01 00 82 2C }
	condition:
		$1
}

rule file_141_4_3 {
	meta:
		name = "isinf"
		size = 136
		refs = "001c fptodp 003c __unorddf2 0058 dpcmp"
		altNames = "isinff"
	strings:
		$1 = { D8 FF BD 27 14 00 B0 AF 00 F0 84 7C 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 24 00 BF AF ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 06 8E ?? ?? 07 8E 21 20 40 00 21 28 60 00 21 90 40 00 21 98 60 00 ?? ?? ?? 0? 01 00 11 24 08 00 40 14 24 00 BF 8F ?? ?? 06 8E ?? ?? 07 8E 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 01 00 51 28 24 00 BF 8F 01 00 22 3A 01 00 42 30 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_143_0_3 {
	meta:
		name = "_nmi_handler"
		size = 24
	strings:
		$1 = { 00 60 1A 40 BF FF 1B 3C FF FF 7B 37 24 D0 5B 03 00 60 9A 40 18 00 00 42 }
	condition:
		$1
}

rule file_151_0_3 {
	meta:
		name = "__umulsidi3"
		size = 180
		refs = "000c __mul4x4tab"
	strings:
		$1 = { 21 30 00 00 28 00 80 10 21 38 00 00 ?? ?? 0D 3C 21 70 00 00 ?? ?? AD 25 0F 00 8C 30 20 00 80 11 02 21 04 00 1E 00 A0 10 00 61 0C 00 40 00 C2 29 1B 00 40 10 00 00 00 00 21 40 A0 00 ?? ?? ?? 0? 21 10 C0 01 16 00 60 10 00 00 00 00 0F 00 03 31 21 18 6C 00 21 18 A3 01 00 00 63 90 27 50 02 00 20 00 49 30 42 58 03 00 06 58 4B 01 04 18 43 00 0B 58 69 00 0B 18 09 00 21 18 C3 00 2B 50 66 00 21 48 EB 00 21 48 49 01 04 00 42 24 02 41 08 00 21 30 60 00 21 38 20 01 EA FF 00 15 40 00 43 28 DD FF 80 14 04 00 CE 25 21 10 C0 00 08 00 E0 03 21 18 E0 00 }
	condition:
		$1
}

rule file_151_1_3 {
	meta:
		name = "__mulsidi3"
		size = 96
		refs = "001c __umulsidi3"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF 0E 00 80 04 21 80 00 00 10 00 A2 04 23 28 05 00 ?? ?? ?? 0? 00 00 00 00 05 00 00 12 14 00 BF 8F 23 10 02 00 2B 20 02 00 23 18 03 00 23 18 64 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 23 20 04 00 F3 FF A1 04 01 00 10 24 23 28 05 00 ?? ?? ?? 0? 01 00 10 3A }
	condition:
		$1
}

rule file_162_0_3 {
	meta:
		name = "_mon_getc"
		size = 196
		refs = "0000 __XC_UART 0010 _appio_getc 0030 U1MODE 0038 U1RXREG 003c U1STA 0054 U1MODESET 002c U2MODE 0098 U2RXREG 009c U2STA 001c _p32mxsk_getc"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 07 00 40 14 02 00 03 24 ?? ?? 02 3C ?? ?? 42 24 25 00 40 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 1B 00 43 10 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 42 8C ?? ?? 05 3C ?? ?? 04 3C ?? ?? A5 24 ?? ?? 84 24 00 80 42 30 03 00 40 14 00 80 03 34 ?? ?? 02 3C ?? ?? 43 AC 00 00 82 8C 01 00 42 30 09 00 40 14 00 00 00 00 ?? ?? ?? 0? A0 00 02 24 05 00 40 10 00 00 00 00 00 00 83 8C 01 00 63 30 FB FF 60 10 FF FF 42 24 00 00 A2 8C 08 00 E0 03 00 00 00 00 ?? ?? 05 3C ?? ?? 04 3C ?? ?? 42 8C ?? ?? A5 24 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 42 24 DF FF 40 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_208_0_3 {
	meta:
		name = "_DefaultInterrupt"
		size = 72
		refs = "0010 SYSKEY 002c RSWRSTSET 0038 RSWRST"
	strings:
		$1 = { 3F 00 00 70 00 60 62 41 C0 00 00 00 99 AA 03 3C ?? ?? 02 3C 55 66 63 24 ?? ?? 40 AC ?? ?? 43 AC 66 55 03 3C AA 99 63 34 ?? ?? 43 AC ?? ?? 02 3C 01 00 03 24 ?? ?? 43 AC ?? ?? 02 3C ?? ?? 42 8C ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_212_1_3 {
	meta:
		name = "_stub_sbd_memlayout"
		size = 44
		refs = "0010 _heap 001c _min_heap_size"
	strings:
		$1 = { ?? ?? 03 3C ?? ?? 62 24 01 00 04 24 08 00 44 AC ?? ?? 04 3C ?? ?? 84 24 ?? ?? 64 AC ?? ?? 03 3C ?? ?? 63 24 08 00 E0 03 04 00 43 AC }
	condition:
		$1
}

rule file_212_2_3 {
	meta:
		name = "_sbrk_init"
		size = 404
		refs = "0048 _minbrk 0058 _maxbrk 008c _sbd_memlayout 00a8 _end 0064 _min_heap_size 0054 _heap"
	strings:
		$1 = { D8 FF BD 27 10 00 B0 AF ?? ?? 10 3C ?? ?? 02 8E 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 09 00 40 10 14 00 B1 AF 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 13 3C ?? ?? 63 8E 42 00 60 50 ?? ?? 03 3C ?? ?? 14 3C ?? ?? 82 8E 39 00 40 10 ?? ?? 04 3C 82 8F 03 00 82 97 02 00 00 E0 44 7C 00 E0 65 7C 02 00 31 3A 02 00 52 3A 0A 18 B1 00 0A 10 92 00 21 88 60 00 ?? ?? ?? 0? 21 90 40 00 00 00 43 8C 04 00 42 8C 2B 20 23 02 24 00 80 10 21 10 62 00 ?? ?? 04 3C ?? ?? 84 24 00 E0 84 7C 2B 20 64 00 DB FF 80 14 21 88 60 00 2B 18 51 02 05 00 60 14 2B 18 22 02 2B 18 42 02 05 00 60 54 ?? ?? 02 3C 2B 18 22 02 D2 FF 60 10 21 90 40 00 ?? ?? 02 3C ?? ?? 42 24 42 17 02 00 05 00 03 24 1B 00 43 14 04 00 03 24 00 A0 02 3C 25 88 22 02 25 90 42 02 ?? ?? 71 AE ?? ?? 92 AE ?? ?? 11 AE 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 2B 20 22 02 E2 FF 80 54 2B 18 51 02 ?? ?? ?? 0? ?? ?? 04 3C ?? ?? 02 3C ?? ?? 84 24 ?? ?? 42 24 ?? ?? ?? 0? 21 10 44 00 ?? ?? ?? 0? ?? ?? 63 24 07 00 43 14 00 80 02 3C 25 88 22 02 25 10 42 02 ?? ?? 71 AE ?? ?? 82 AE ?? ?? ?? 0? ?? ?? 11 AE 21 88 40 02 ?? ?? 72 AE ?? ?? ?? 0? ?? ?? 11 AE }
	condition:
		$1
}

rule file_212_3_3 {
	meta:
		name = "_sbrk"
		size = 196
		refs = "002c _maxbrk 0054 _sbrk_init 006c errno 0090 _minbrk"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF ?? ?? 10 3C ?? ?? 02 8E 10 00 40 10 1C 00 BF AF 1B 00 80 18 21 18 44 00 2B 20 62 00 11 00 80 14 1C 00 BF 8F ?? ?? 04 3C ?? ?? 84 8C 2B 20 83 00 0D 00 80 54 ?? ?? 02 3C 1C 00 BF 8F ?? ?? 03 AE 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 10 00 A4 AF ?? ?? 02 8E ED FF 40 14 10 00 A4 8F 1C 00 BF 8F ?? ?? 02 3C 0C 00 03 24 ?? ?? 43 AC 18 00 B0 8F FF FF 02 24 08 00 E0 03 20 00 BD 27 2B 20 43 00 05 00 80 14 ?? ?? 04 3C ?? ?? 84 8C 2B 20 64 00 E9 FF 80 10 1C 00 BF 8F 1C 00 BF 8F ?? ?? 02 3C 16 00 03 24 ?? ?? 43 AC 18 00 B0 8F FF FF 02 24 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_212_4_3 {
	meta:
		name = "sbrk"
		size = 80
		refs = "0010 _sbrk 0030 memset"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 14 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 21 88 80 00 07 00 20 1A 21 80 40 00 FF FF 02 24 04 00 02 12 21 20 00 02 21 28 00 00 ?? ?? ?? 0? 21 30 20 02 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_223_0_3 {
	meta:
		name = "strlen"
		size = 360
	strings:
		$1 = { 00 00 8A 90 21 10 80 00 03 00 40 15 00 00 00 00 08 00 E0 03 00 00 02 24 01 00 8A 90 03 00 40 15 00 00 00 00 08 00 E0 03 01 00 02 24 02 00 8A 90 03 00 40 15 00 00 00 00 08 00 E0 03 02 00 02 24 03 00 8A 90 03 00 40 15 82 20 04 00 08 00 E0 03 03 00 02 24 01 00 84 24 80 20 04 00 00 00 8A 8C 01 01 09 3C 01 01 29 35 C0 79 09 00 23 40 49 01 24 40 0F 01 06 00 00 11 24 60 0A 01 04 00 88 11 00 00 00 00 00 00 8A 90 22 00 00 10 00 00 84 24 04 00 8B 8C 23 40 69 01 24 40 0F 01 06 00 00 11 24 60 0B 01 04 00 88 11 00 00 00 00 04 00 8A 90 18 00 00 10 04 00 84 24 08 00 8A 8C 23 40 49 01 24 40 0F 01 06 00 00 11 24 60 0A 01 04 00 88 11 00 00 00 00 08 00 8A 90 0E 00 00 10 08 00 84 24 0C 00 8B 8C 23 40 69 01 24 40 0F 01 06 00 00 11 24 60 0B 01 04 00 88 11 00 00 00 00 0C 00 8A 90 04 00 00 10 0C 00 84 24 10 00 8A 8C D7 FF 00 10 10 00 84 24 04 00 40 15 00 00 00 00 00 00 84 24 08 00 E0 03 23 10 82 00 01 00 8A 90 04 00 40 15 00 00 00 00 01 00 84 24 08 00 E0 03 23 10 82 00 02 00 8A 90 04 00 40 15 00 00 00 00 02 00 84 24 08 00 E0 03 23 10 82 00 03 00 8A 90 03 00 84 24 08 00 E0 03 23 10 82 00 }
	condition:
		$1
}

rule file_238_0_3 {
	meta:
		name = "_general_exception_context"
		size = 208
		refs = "0064 _general_exception_handler"
	strings:
		$1 = { A8 FF BD 27 04 00 A1 AF 08 00 A2 AF 0C 00 A3 AF 10 00 A4 AF 14 00 A5 AF 18 00 A6 AF 1C 00 A7 AF 20 00 A8 AF 24 00 A9 AF 28 00 AA AF 2C 00 AB AF 30 00 AC AF 34 00 AD AF 38 00 AE AF 3C 00 AF AF 40 00 B8 AF 44 00 B9 AF 48 00 BF AF 12 40 00 00 4C 00 A8 AF 10 40 00 00 50 00 A8 AF 00 68 04 40 00 60 05 40 ?? ?? ?? 0? 00 00 00 00 50 00 A8 8F 11 00 00 01 4C 00 A8 8F 13 00 00 01 04 00 A1 8F 08 00 A2 8F 0C 00 A3 8F 10 00 A4 8F 14 00 A5 8F 18 00 A6 8F 1C 00 A7 8F 20 00 A8 8F 24 00 A9 8F 28 00 AA 8F 2C 00 AB 8F 30 00 AC 8F 34 00 AD 8F 38 00 AE 8F 3C 00 AF 8F 40 00 B8 8F 44 00 B9 8F 48 00 BF 8F 58 00 BD 27 C0 00 00 00 18 00 00 42 }
	condition:
		$1
}

rule file_245_0_3 {
	meta:
		name = "__mulsi3"
		size = 128
		refs = "0008 __mul4x4tab"
	strings:
		$1 = { 1D 00 80 10 21 10 00 00 ?? ?? 0A 3C 21 58 00 00 ?? ?? 4A 25 0F 00 89 30 15 00 20 11 02 21 04 00 13 00 A0 10 00 49 09 00 20 00 63 29 10 00 60 10 00 00 00 00 21 30 A0 00 ?? ?? ?? 0? 21 18 60 01 0B 00 00 11 00 00 00 00 0F 00 C7 30 21 38 E9 00 21 38 47 01 00 00 E7 90 02 31 06 00 04 38 67 00 04 00 63 24 20 00 68 28 F5 FF C0 14 21 10 47 00 E8 FF 80 14 04 00 6B 25 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_280_0_3 {
	meta:
		name = "strcmp"
		size = 288
	strings:
		$1 = { 25 40 85 00 03 00 08 31 3D 00 00 15 01 01 09 3C 01 01 29 35 C0 79 09 00 00 00 82 8C 00 00 A3 8C 23 40 49 00 04 00 43 10 24 40 0F 01 00 00 84 24 33 00 00 10 00 00 A5 24 05 00 00 11 24 60 03 01 03 00 88 11 00 00 00 00 08 00 E0 03 21 10 00 00 04 00 82 8C 04 00 A3 8C 23 40 49 00 04 00 43 10 24 40 0F 01 04 00 84 24 25 00 00 10 04 00 A5 24 05 00 00 11 24 60 03 01 03 00 88 11 00 00 00 00 08 00 E0 03 21 10 00 00 08 00 82 8C 08 00 A3 8C 23 40 49 00 04 00 43 10 24 40 0F 01 08 00 84 24 17 00 00 10 08 00 A5 24 05 00 00 11 24 60 03 01 03 00 88 11 00 00 00 00 08 00 E0 03 21 10 00 00 0C 00 82 8C 0C 00 A3 8C 23 40 49 00 04 00 43 10 24 40 0F 01 0C 00 84 24 09 00 00 10 0C 00 A5 24 10 00 84 24 CC FF 00 11 10 00 A5 24 24 60 03 01 CA FF 88 11 00 00 82 8C 08 00 E0 03 21 10 00 00 00 00 88 90 00 00 A9 90 03 00 00 11 01 00 84 24 FB FF 09 11 01 00 A5 24 08 00 E0 03 23 10 09 01 }
	condition:
		$1
}

rule file_292_0_3 {
	meta:
		name = "memset"
		size = 168
	strings:
		$1 = { 21 10 80 00 26 00 C0 10 10 00 CA 2C 1F 00 40 15 FF 00 A5 30 00 52 05 00 25 28 AA 00 00 54 05 00 25 28 AA 00 03 00 83 30 05 00 60 10 04 00 07 24 23 38 E3 00 23 30 C7 00 00 00 85 B8 21 20 87 00 0F 00 C3 30 23 38 C3 00 08 00 E0 10 21 30 60 00 21 38 E4 00 00 00 85 AC 04 00 85 AC 08 00 85 AC 10 00 84 24 FB FF 87 14 FC FF 85 AC 03 00 C3 30 23 38 C3 00 05 00 E0 10 21 30 60 00 21 38 E4 00 04 00 84 24 FE FF 87 14 FC FF 85 AC 04 00 C0 10 21 38 C4 00 01 00 84 24 FE FF 87 14 FF FF 85 A0 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_0_0_4 {
	meta:
		name = "scin"
		size = 60
		refs = "0014 ungetc 0028 fgetc"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 07 00 C0 14 21 10 80 00 21 20 A0 00 ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_179_0_4 {
	meta:
		name = "scin"
		size = 60
		refs = "0014 ungetwc 0028 fgetwc"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 07 00 C0 14 21 10 80 00 21 20 A0 00 ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_0_1_4 {
	meta:
		name = "scanf_s"
		size = 108
		refs = "0024 _Stdin 0040 _Scanf 005c _Fail_s"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 21 10 80 00 2C 00 A5 AF 30 00 A6 AF 0F 00 80 10 34 00 A7 AF 2C 00 A3 27 ?? ?? 04 3C ?? ?? 05 3C 21 30 40 00 ?? ?? 84 24 01 00 02 24 ?? ?? A5 24 21 38 60 00 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 16 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_2_0_4 {
	meta:
		name = "catanhf"
		size = 1380
		refs = "0024 crealf 0034 cimagf 0040 _FDtest 0084 fpcmp 00c8 fpdiv 00e8 fpmul 00f4 fpadd 013c _FCbuild 02ec _FZero 03bc sqrtf 03e8 _FLog 03fc atan2f 045c _Feraise 0464 _FInf 049c fpsub 04f0 log1pf"
	strings:
		$1 = { C8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 21 80 80 00 34 00 BF AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 43 00 03 12 00 00 00 00 52 00 43 10 01 00 02 24 9A 00 02 12 16 00 A2 87 BE 00 40 04 14 00 B2 8F 14 00 B2 8F 10 00 B0 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 59 00 40 04 ?? ?? 13 3C 14 00 A3 8F ?? ?? 64 8E 00 80 02 3C 26 10 62 00 21 28 00 02 21 88 00 00 ?? ?? ?? 0? 14 00 A2 AF 59 00 43 04 ?? ?? 64 8E 14 00 B3 8F 21 28 00 02 ?? ?? 12 3C ?? ?? ?? 0? 21 20 60 02 ?? ?? 44 8E 21 A0 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 80 02 21 28 80 02 ?? ?? ?? 0? 21 80 40 00 ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 60 02 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 5E 00 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 52 8C 5D 00 20 16 00 80 02 3C 00 80 02 3C 26 90 52 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 B6 00 50 10 01 00 03 24 72 00 43 10 10 00 B0 8F 21 90 00 02 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 10 32 02 00 10 2E 69 00 00 16 12 00 A2 87 14 00 B0 8F 21 90 00 02 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 00 80 02 3C ?? ?? 64 8E 26 80 50 00 21 28 00 02 10 00 B0 AF ?? ?? ?? 0? 01 00 11 24 AB FF 42 04 14 00 B3 8F ?? ?? 64 8E ?? ?? ?? 0? 21 28 40 02 54 00 41 04 ?? ?? 13 3C 14 00 B2 8F 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 21 98 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 02 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 A6 FF 40 04 ?? ?? 02 3C ?? ?? 02 3C A6 FF 20 12 ?? ?? 52 8C 00 80 02 3C 26 80 50 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 80 00 00 06 00 41 04 16 00 A2 87 ?? ?? 02 3C ?? ?? 50 8C 00 80 02 3C 26 80 02 02 16 00 A2 87 53 00 40 04 ?? ?? 02 3C ?? ?? 52 8C 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 14 00 A4 8F ?? ?? ?? 0? 21 28 00 00 50 00 40 04 ?? ?? 02 3C ?? ?? 52 8C ?? ?? ?? 0? 21 80 00 00 45 00 40 04 21 80 00 00 ?? ?? ?? 0? 14 00 B2 8F 00 80 02 3C ?? ?? ?? 0? 26 90 42 02 ?? ?? 65 8E ?? ?? ?? 0? 21 20 00 02 45 00 40 14 ?? ?? 64 8E 14 00 B0 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 2F 00 40 10 21 20 00 02 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 90 40 00 3C FF 41 04 00 80 02 3C ?? ?? ?? 0? 26 90 52 00 10 00 B0 8F ?? ?? ?? 0? 14 00 B2 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 52 8C ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 50 8C ?? ?? ?? 0? 14 00 B2 8F ?? ?? 02 3C ?? ?? 50 8C 00 80 02 3C 14 00 B2 8F ?? ?? ?? 0? 26 80 02 02 ?? ?? 02 3C ?? ?? 52 8C ?? ?? ?? 0? 21 80 00 00 ?? ?? ?? 0? 21 28 00 02 21 20 40 02 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 20 80 02 21 28 80 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 14 00 A4 8F 21 80 40 00 ?? ?? ?? 0? 21 28 80 00 10 00 A4 8F ?? ?? 65 8E ?? ?? ?? 0? 21 A8 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 90 40 00 }
	condition:
		$1
}

rule file_3_0_4 {
	meta:
		name = "rename"
		size = 60
		refs = "000c link 001c unlink"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 04 00 40 14 FF FF 03 24 ?? ?? ?? 0? 21 20 00 02 21 18 40 00 14 00 BF 8F 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_4_0_4 {
	meta:
		name = "_CStrftime"
		size = 644
		refs = "0040 strlen 0084 memcpy 00d8 _Mbtowc 0130 _Gentime"
	strings:
		$1 = { 78 FF BD 27 78 00 B6 AF 21 B0 80 00 21 20 C0 00 80 00 BE AF 7C 00 B7 AF 74 00 B5 AF 70 00 B4 AF 6C 00 B3 AF 68 00 B2 AF 64 00 B1 AF 60 00 B0 AF 84 00 BF AF 21 80 A0 00 21 A8 E0 00 98 00 B7 8F ?? ?? ?? 0? 5C 00 A6 AF 21 88 C0 02 21 F0 40 00 20 00 A0 AF 24 00 A0 AF 21 90 00 00 25 00 13 24 45 00 14 24 ?? ?? ?? 0? 5C 00 A3 8F 2B 10 07 02 77 00 40 14 23 28 67 00 21 20 20 02 21 30 E0 00 5C 00 A3 AF ?? ?? ?? 0? 58 00 A7 AF 58 00 A7 8F 5C 00 A3 8F 21 88 27 02 23 80 07 02 25 10 D2 03 36 00 40 10 00 00 00 00 08 00 C0 17 21 28 60 00 FF FF 52 26 18 00 A3 27 80 10 12 00 21 10 62 00 10 00 43 8C 1C 00 5E 8C 21 28 60 00 20 00 A7 27 18 00 A4 27 21 30 C0 03 ?? ?? ?? 0? 5C 00 A3 AF 21 38 40 00 35 00 40 18 5C 00 A3 8F 18 00 A2 8F 21 18 67 00 DD FF 53 14 23 F0 C7 03 DC FF C0 13 2B 10 07 02 00 00 67 80 2F 00 F4 10 4F 00 02 24 2D 00 E2 10 1C 00 A2 27 21 30 00 00 10 00 A2 AF 21 20 A0 02 40 00 A2 27 21 28 E0 02 5C 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF 5C 00 A3 8F 1C 00 A6 8F FF FF DE 27 32 00 C0 18 01 00 63 24 2B 20 06 02 3F 00 80 14 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 5C 00 A3 AF 1C 00 A2 8F 21 88 22 02 23 80 02 02 25 10 D2 03 CC FF 40 14 5C 00 A3 8F 04 00 00 12 84 00 BF 8F 00 00 20 A2 23 10 36 02 84 00 BF 8F 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 00 00 67 80 ?? ?? ?? 0? 2B 38 07 00 01 00 62 80 21 30 E0 00 01 00 63 24 21 38 40 00 1C 00 A2 27 10 00 A2 AF 21 20 A0 02 40 00 A2 27 21 28 E0 02 5C 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF 5C 00 A3 8F 1C 00 A6 8F FF FF DE 27 01 00 63 24 D0 FF C0 1C FF FF DE 27 04 00 C0 17 03 00 44 2E 23 F0 06 00 ?? ?? ?? 0? 21 18 40 00 FD FF 80 50 23 F0 06 00 80 20 12 00 18 00 A5 27 21 20 A4 00 10 00 83 AC 1C 00 9E AC 01 00 52 26 23 F0 06 00 ?? ?? ?? 0? 21 18 40 00 84 00 BF 8F 21 10 00 00 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_5_1_4 {
	meta:
		name = "scanf"
		size = 76
		refs = "0014 _Stdin 0038 _Scanf"
	strings:
		$1 = { D8 FF BD 27 2C 00 A2 27 21 18 80 00 2C 00 A5 AF ?? ?? 04 3C ?? ?? 05 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 ?? ?? A5 24 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_329_1_4 {
	meta:
		name = "printf"
		size = 76
		refs = "0014 _Stdout 0038 _Printf"
	strings:
		$1 = { D8 FF BD 27 2C 00 A2 27 21 18 80 00 2C 00 A5 AF ?? ?? 04 3C ?? ?? 05 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 ?? ?? A5 24 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_398_1_4 {
	meta:
		name = "wprintf"
		size = 76
		refs = "0014 _Stdout 0038 _WPrintf"
	strings:
		$1 = { D8 FF BD 27 2C 00 A2 27 21 18 80 00 2C 00 A5 AF ?? ?? 04 3C ?? ?? 05 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 ?? ?? A5 24 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_501_1_4 {
	meta:
		name = "wscanf"
		size = 76
		refs = "0014 _Stdin 0038 _WScanf"
	strings:
		$1 = { D8 FF BD 27 2C 00 A2 27 21 18 80 00 2C 00 A5 AF ?? ?? 04 3C ?? ?? 05 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 ?? ?? A5 24 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_6_0_4 {
	meta:
		name = "wctrans"
		size = 160
		refs = "0000 _Tls_setup__Wctrans 002c _Wctrans 0054 strcmp"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF 03 00 40 10 21 80 80 00 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 51 8C 08 00 24 8E 0A 00 80 10 21 90 00 00 ?? ?? ?? 0? 01 00 12 24 01 00 52 26 0C 00 80 10 08 00 31 26 ?? ?? ?? 0? 21 28 00 02 FA FF 40 54 10 00 24 8E 1C 00 BF 8F 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 21 90 00 00 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_7_0_4 {
	meta:
		name = "_Getpcostate"
		size = 48
		refs = "0000 _Tls_setup__Costate 0020 _Costate"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_314_0_4 {
	meta:
		name = "_Geterrno"
		size = 48
		refs = "0000 _Tls_setup__Errno 0020 _Errno"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_677_1_4 {
	meta:
		name = "_Getpmbstate"
		size = 48
		refs = "0000 _Tls_setup__Mbstate 0020 _Mbstate"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_633_0_4 {
	meta:
		name = "_Getptimes"
		size = 48
		refs = "0000 _Tls_setup__Times 0020 _Times"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_48_0_4 {
	meta:
		name = "_Getpwcostate"
		size = 48
		refs = "0000 _Tls_setup__WCostate 0020 _WCostate"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_564_0_4 {
	meta:
		name = "_Getpwcstate"
		size = 48
		refs = "0000 _Tls_setup__Wcstate 0020 _Wcstate"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_9_0_4 {
	meta:
		name = "isupper"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 02 00 42 30 }
	condition:
		$1
}

rule file_10_0_4 {
	meta:
		name = "fdim"
		size = 176
		refs = "001c _Dtest 0044 fpcmp 0058 fpsub"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 14 00 B0 AF 1C 00 BF AF 02 00 10 24 18 00 B1 AF ?? ?? ?? 0? 24 00 A5 AF 15 00 50 10 20 00 A3 8F ?? ?? ?? 0? 24 00 A4 27 17 00 50 10 20 00 B1 8F 24 00 B0 8F 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 05 00 40 18 21 18 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 18 40 00 1C 00 BF 8F 21 10 60 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 18 00 B1 8F 21 10 60 00 14 00 B0 8F 08 00 E0 03 20 00 BD 27 24 00 A3 8F 1C 00 BF 8F 18 00 B1 8F 21 10 60 00 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_408_0_4 {
	meta:
		name = "fdimf"
		size = 176
		refs = "001c _FDtest 0044 fpcmp 0058 fpsub"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 14 00 B0 AF 1C 00 BF AF 02 00 10 24 18 00 B1 AF ?? ?? ?? 0? 24 00 A5 AF 15 00 50 10 20 00 A3 8F ?? ?? ?? 0? 24 00 A4 27 17 00 50 10 20 00 B1 8F 24 00 B0 8F 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 05 00 40 18 21 18 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 18 40 00 1C 00 BF 8F 21 10 60 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 18 00 B1 8F 21 10 60 00 14 00 B0 8F 08 00 E0 03 20 00 BD 27 24 00 A3 8F 1C 00 BF 8F 18 00 B1 8F 21 10 60 00 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_11_0_4 {
	meta:
		name = "wmemset"
		size = 36
	strings:
		$1 = { 06 00 C0 10 21 10 80 00 21 18 80 00 FF FF C6 24 00 00 65 AC FD FF C0 14 04 00 63 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_12_0_4 {
	meta:
		name = "hypotf"
		size = 120
		refs = "0008 _FHypot 0028 _FDscale 0038 _Feraise"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A6 27 10 00 A5 8F 04 00 A0 14 14 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 14 00 A4 27 07 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 1C 00 BF 8F 14 00 A2 8F 08 00 E0 03 20 00 BD 27 05 00 43 10 00 00 00 00 14 00 A2 8F 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 14 00 A2 8F }
	condition:
		$1
}

rule file_373_0_4 {
	meta:
		name = "hypot"
		size = 120
		refs = "0008 _Hypot 0028 _Dscale 0038 _Feraise"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A6 27 10 00 A5 8F 04 00 A0 14 14 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 14 00 A4 27 07 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 1C 00 BF 8F 14 00 A2 8F 08 00 E0 03 20 00 BD 27 05 00 43 10 00 00 00 00 14 00 A2 8F 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 14 00 A2 8F }
	condition:
		$1
}

rule file_13_0_4 {
	meta:
		name = "_ZnwmRKSt9nothrow_t"
		size = 84
		refs = "0030 malloc 001c _ZSt9_New_hand"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF 01 00 10 24 18 00 B1 AF 1C 00 BF AF 0B 80 84 00 ?? ?? ?? 0? ?? ?? 11 3C 08 00 60 10 1C 00 BF 8F 09 F8 60 00 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 F9 FF 40 10 ?? ?? 23 8E 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_14_0_4 {
	meta:
		name = "gmtime_s"
		size = 72
		refs = "001c _Ttotm 0038 _Fail_s"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 09 00 80 10 21 10 A0 00 07 00 A0 10 FF FF 06 24 00 00 85 8C ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_15_0_4 {
	meta:
		name = "copysignl"
		size = 144
	strings:
		$1 = { F0 FF BD 27 0C 00 BE AF 21 F0 A0 03 10 00 C4 AF 14 00 C5 AF 18 00 C6 AF 1C 00 C7 AF 10 00 C2 27 06 00 42 24 00 00 C2 AF 18 00 C2 27 06 00 42 24 04 00 C2 AF 00 00 C2 8F 00 00 42 94 20 16 02 7C FF 7F 42 30 20 1E 02 7C 04 00 C2 8F 00 00 42 94 20 26 02 7C 00 80 02 24 24 10 82 00 20 16 02 7C 25 10 62 00 20 16 02 7C FF FF 43 30 00 00 C2 8F 00 00 43 A4 10 00 C2 8F 14 00 C3 8F 21 E8 C0 03 0C 00 BE 8F 10 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_16_0_4 {
	meta:
		name = "fputwc"
		size = 472
		refs = "0050 memcpy 008c _Getmbcurmax 00a8 _Wctomb 0148 _WFwprep 016c fflush"
	strings:
		$1 = { C8 FF BD 27 2C 00 B5 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 30 00 B6 AF 28 00 B4 AF 21 A8 A0 00 0C 00 A2 8C 21 88 80 00 FF FF 13 24 01 00 10 24 ?? ?? ?? 0? 34 00 B2 24 2A 18 93 02 0A A0 63 02 21 28 C0 02 21 20 40 00 ?? ?? ?? 0? 21 30 80 02 0C 00 A2 8E 23 98 74 02 21 B0 D4 02 21 10 54 00 21 00 60 12 0C 00 A2 AE 30 00 B4 8E 2B 18 54 00 33 00 60 10 00 00 00 00 23 A0 82 02 EE FF 60 1E 0A A0 14 02 ?? ?? ?? 0? 00 00 00 00 2A 10 82 02 10 00 A4 27 21 28 20 02 44 00 40 10 21 30 40 02 ?? ?? ?? 0? 00 00 00 00 34 00 40 04 21 98 40 00 0C 00 A2 8E 2A 18 93 02 0A A0 63 02 10 00 B6 27 21 28 C0 02 21 20 40 00 ?? ?? ?? 0? 21 30 80 02 0C 00 A2 8E 23 98 74 02 21 B0 D4 02 21 10 54 00 E1 FF 60 16 0C 00 A2 AE 00 00 A2 96 00 08 43 30 1C 00 60 14 00 04 43 30 18 00 60 14 0A 00 03 24 00 0C 42 30 04 00 40 10 34 00 BF 8F 0C 00 A2 8E 30 00 A2 AE 34 00 BF 8F 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 21 20 A0 02 0D 00 40 04 34 00 BF 8F 0C 00 A2 8E ?? ?? ?? 0? 30 00 B4 8E E9 FF 23 16 00 0C 42 30 ?? ?? ?? 0? 21 20 A0 02 04 00 40 14 34 00 BF 8F ?? ?? ?? 0? 00 00 A2 96 34 00 BF 8F FF FF 11 24 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 0C 00 A4 8E ?? ?? ?? 0? 34 00 A6 26 F1 FF 40 04 34 00 BF 8F 0C 00 A3 8E 21 10 62 00 ?? ?? ?? 0? 0C 00 A2 AE }
	condition:
		$1
}

rule file_17_0_4 {
	meta:
		name = "wcscmp"
		size = 92
	strings:
		$1 = { 00 00 83 8C 00 00 A2 8C 0E 00 62 54 2A 18 62 00 05 00 60 14 21 10 00 00 ?? ?? ?? 0? 00 00 00 00 0C 00 60 10 21 10 00 00 04 00 84 24 04 00 A5 24 00 00 83 8C 00 00 A2 8C F9 FF 62 10 00 00 00 00 2A 18 62 00 01 00 04 24 FF FF 02 24 08 00 E0 03 0A 10 83 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_18_0_4 {
	meta:
		name = "cabsl"
		size = 136
		refs = "002c creall 0048 cimagl 005c hypotl"
	strings:
		$1 = { D0 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 21 88 E0 00 2C 00 BF AF 28 00 B5 AF ?? ?? ?? 0? 24 00 B4 AF 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_97_0_4 {
	meta:
		name = "cargl"
		size = 136
		refs = "002c cimagl 0048 creall 005c atan2l"
	strings:
		$1 = { D0 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 21 88 E0 00 2C 00 BF AF 28 00 B5 AF ?? ?? ?? 0? 24 00 B4 AF 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_19_0_4 {
	meta:
		name = "llrint"
		size = 224
		refs = "0010 _Dtest 0034 nearbyint 0044 fpcmp 0080 __fixsfdi 00a8 _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 21 20 00 00 1C 00 40 10 21 28 00 00 03 00 40 04 03 00 42 28 1E 00 40 14 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F 18 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 20 00 40 14 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 10 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 0B 00 40 1C 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 28 60 00 14 00 BF 8F 21 10 80 00 21 18 A0 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 21 20 00 00 21 28 00 00 21 10 80 00 21 18 A0 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 20 00 04 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_220_0_4 {
	meta:
		name = "llrintf"
		size = 224
		refs = "0010 _FDtest 0034 nearbyintf 0044 fpcmp 0080 __fixsfdi 00a8 _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 21 20 00 00 1C 00 40 10 21 28 00 00 03 00 40 04 03 00 42 28 1E 00 40 14 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F 18 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 20 00 40 14 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 10 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 0B 00 40 1C 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 28 60 00 14 00 BF 8F 21 10 80 00 21 18 A0 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 21 20 00 00 21 28 00 00 21 10 80 00 21 18 A0 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 20 00 04 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_20_0_4 {
	meta:
		name = "fabsl"
		size = 228
		refs = "0018 _LDtest 006c dpcmp 00c0 _LInf"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 24 00 A5 AF 01 00 03 24 25 00 43 10 02 00 03 24 1B 00 43 10 20 00 B1 8F 0A 00 40 14 24 00 B0 8F 21 88 00 00 21 80 00 00 1C 00 BF 8F 21 10 20 02 21 18 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 21 30 00 00 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 F4 FF 41 04 1C 00 BF 8F 00 80 02 3C 26 80 02 02 21 18 00 02 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 24 00 B0 8F 1C 00 BF 8F 21 10 20 02 21 18 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 02 3C ?? ?? 50 8C ?? ?? 51 8C 1C 00 BF 8F 21 18 00 02 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_21_0_4 {
	meta:
		name = "scin"
		size = 56
	strings:
		$1 = { 21 10 A0 00 04 00 C0 14 00 00 83 8C FF FF 63 24 08 00 E0 03 00 00 83 AC 00 00 65 90 04 00 A0 10 FF FF 02 24 01 00 62 24 00 00 82 AC 00 00 62 90 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_21_1_4 {
	meta:
		name = "sscanf_s"
		size = 104
		refs = "003c _Scanf 0058 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 30 00 A6 AF 24 00 BF AF 28 00 A4 AF 34 00 A7 AF 0E 00 80 10 21 30 A0 00 0C 00 A0 10 ?? ?? 04 3C 30 00 A2 27 21 38 40 00 18 00 A2 AF ?? ?? 84 24 01 00 02 24 28 00 A5 27 ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_22_0_4 {
	meta:
		name = "atan2l"
		size = 528
		refs = "0030 _LDtest 0090 _LAtan 00fc dpcmp 01ac dpdiv"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 38 00 A4 27 18 00 B1 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF 34 00 A5 AF 38 00 A6 AF ?? ?? ?? 0? 3C 00 A7 AF 21 88 40 00 ?? ?? ?? 0? 30 00 A4 27 1F 00 20 1A 02 00 03 24 3F 00 43 50 34 00 A4 8F 48 00 23 12 3C 00 A4 8F 30 00 22 12 36 00 A6 87 3E 00 A5 87 08 00 10 24 00 00 C6 28 21 20 00 00 21 18 00 00 31 00 A0 04 0A 80 06 00 02 00 05 3A 01 00 42 38 0A 80 A2 00 21 30 00 02 ?? ?? ?? 0? 21 28 60 00 2C 00 BF 8F 21 20 60 00 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 E1 FF 40 1C 00 00 00 00 36 00 A2 87 42 00 40 04 34 00 B3 8F 30 00 B5 8F 21 80 00 00 3E 00 A2 87 36 00 40 04 3C 00 B2 8F 38 00 B4 8F 21 20 80 02 21 30 A0 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 02 27 00 40 04 21 20 80 02 3A 00 20 56 21 20 A0 02 21 20 00 00 ?? ?? ?? 0? 21 18 00 00 3E 00 A5 87 ?? ?? 03 3C 08 00 10 24 00 00 C6 28 21 20 00 00 ?? ?? 63 8C D1 FF A1 04 0A 80 06 00 06 00 10 3A ?? ?? ?? 0? FF FF 10 32 2C 00 BF 8F 30 00 A2 8F 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F 38 00 A2 8F 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 21 30 A0 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 02 21 20 40 00 ?? ?? ?? 0? 02 00 10 3A 38 00 B4 8F 00 80 02 3C 26 90 42 02 38 00 B4 AF 3C 00 B2 AF ?? ?? ?? 0? 06 00 10 3A 30 00 B5 8F 00 80 02 3C 26 98 62 02 30 00 B5 AF 34 00 B3 AF ?? ?? ?? 0? 08 00 10 24 21 30 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 40 02 ?? ?? ?? 0? 21 20 40 00 }
	condition:
		$1
}

rule file_23_0_4 {
	meta:
		name = "wmemmove_s"
		size = 228
		refs = "00a4 wmemset 00b4 _Fail_s"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 2F 00 80 10 21 10 A0 00 2E 00 A2 04 ?? ?? 04 3C 22 00 C0 50 21 28 00 00 1F 00 E0 04 2B 18 A7 00 1E 00 60 54 21 28 00 00 2B 10 C4 00 12 00 40 10 80 28 07 00 21 18 C5 00 2B 10 83 00 0E 00 40 10 00 00 00 00 1B 00 E0 10 21 10 00 00 21 20 85 00 FC FF 63 24 00 00 62 8C FC FF 84 24 FF FF E7 24 FB FF E0 14 00 00 82 AC 14 00 BF 8F 21 10 00 00 08 00 E0 03 18 00 BD 27 FC FF E0 10 14 00 BF 8F 00 00 C2 8C FF FF E7 24 04 00 C6 24 00 00 82 AC ?? ?? ?? 0? 04 00 84 24 21 28 00 00 ?? ?? ?? 0? 21 30 40 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 25 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_24_0_4 {
	meta:
		name = "prout"
		size = 144
		refs = "0044 fputwc"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF 24 00 BF AF 18 00 B1 AF 21 80 80 00 21 90 C0 00 21 98 A0 00 0B 00 C0 10 21 10 80 00 ?? ?? ?? 0? FF FF 11 24 0E 00 40 12 04 00 73 26 00 00 64 8E 21 28 00 02 ?? ?? ?? 0? FF FF 52 26 F9 FF 51 14 21 10 00 00 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_24_1_4 {
	meta:
		name = "vwprintf"
		size = 52
		refs = "000c _Stdout 0020 _WPrintf"
	strings:
		$1 = { 21 30 80 00 21 38 A0 00 ?? ?? 04 3C ?? ?? 05 3C E0 FF BD 27 ?? ?? 84 24 ?? ?? A5 24 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_424_1_4 {
	meta:
		name = "vprintf"
		size = 52
		refs = "000c _Stdout 0020 _Printf"
	strings:
		$1 = { 21 30 80 00 21 38 A0 00 ?? ?? 04 3C ?? ?? 05 3C E0 FF BD 27 ?? ?? 84 24 ?? ?? A5 24 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_669_1_4 {
	meta:
		name = "vscanf"
		size = 52
		refs = "000c _Stdin 0020 _Scanf"
	strings:
		$1 = { 21 30 80 00 21 38 A0 00 ?? ?? 04 3C ?? ?? 05 3C E0 FF BD 27 ?? ?? 84 24 ?? ?? A5 24 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_785_1_4 {
	meta:
		name = "vwscanf"
		size = 52
		refs = "000c _Stdin 0020 _WScanf"
	strings:
		$1 = { 21 30 80 00 21 38 A0 00 ?? ?? 04 3C ?? ?? 05 3C E0 FF BD 27 ?? ?? 84 24 ?? ?? A5 24 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_25_0_4 {
	meta:
		name = "mbrtoc32"
		size = 324
		refs = "0100 _Errno"
	strings:
		$1 = { 06 00 E2 80 47 00 A0 10 00 00 E9 8C 2C 00 C0 10 21 18 A0 00 80 00 0B 24 C0 00 0C 24 E0 00 0D 24 F0 00 0E 24 F8 00 0F 24 10 00 40 18 FC 00 18 24 00 00 68 90 C0 00 0A 31 31 00 4B 15 80 49 09 00 3F 00 08 31 FF FF 42 24 25 48 28 01 20 14 02 7C 1F 00 40 10 00 00 00 00 FF FF C6 24 19 00 C0 50 06 00 E2 A4 F2 FF 40 1C 01 00 63 24 00 00 69 90 20 44 09 7C F6 FF 01 05 00 00 00 00 E0 00 22 31 1D 00 4C 50 1F 00 29 31 F0 00 22 31 21 00 4D 50 0F 00 29 31 F8 00 22 31 20 00 4E 50 07 00 29 31 FC 00 22 31 25 00 4F 50 03 00 29 31 14 00 58 14 FF FF C6 24 03 00 29 31 EA FF C0 14 05 00 02 24 06 00 E2 A4 00 00 E9 AC 08 00 E0 03 FE FF 02 24 01 00 80 54 00 00 89 AC 06 00 E0 A4 04 00 20 11 21 10 00 00 01 00 62 24 08 00 E0 03 23 10 45 00 08 00 E0 03 00 00 00 00 ?? ?? ?? 0? 01 00 02 24 ?? ?? 02 3C 58 00 03 24 ?? ?? 43 AC 08 00 E0 03 FF FF 02 24 ?? ?? ?? 0? 02 00 02 24 ?? ?? ?? 0? 03 00 02 24 ?? ?? 03 3C ?? ?? 63 24 21 28 60 00 21 20 00 00 ?? ?? ?? 0? 01 00 06 24 ?? ?? ?? 0? 04 00 02 24 }
	condition:
		$1
}

rule file_26_0_4 {
	meta:
		name = "mktemp"
		size = 152
		refs = "000c strlen"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 ?? ?? 04 3C ?? ?? 83 8C 21 10 02 02 FF FF 45 24 01 00 67 24 2B 30 B0 00 15 00 C0 14 ?? ?? 87 AC FF FF 46 80 58 00 04 24 12 00 C4 14 14 00 BF 8F 07 00 64 30 30 00 84 24 FF FF 44 A0 C2 18 03 00 FA FF 47 24 58 00 06 24 FF FF A5 24 07 00 64 30 2B 10 B0 00 06 00 40 14 30 00 84 24 00 00 A2 80 03 00 46 14 C2 18 03 00 F7 FF A7 14 00 00 A4 A0 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_27_0_4 {
	meta:
		name = "strcasecmp"
		size = 152
		refs = "0008 _Tolotab"
	strings:
		$1 = { 00 00 88 90 00 00 A2 90 ?? ?? 03 3C ?? ?? 63 8C 40 30 08 00 40 10 02 00 21 30 66 00 21 10 62 00 00 00 C7 84 00 00 46 84 13 00 E6 54 FF 00 E7 30 05 00 00 15 21 10 00 00 ?? ?? ?? 0? 00 00 00 00 13 00 40 10 21 10 00 00 01 00 84 24 01 00 A5 24 00 00 82 90 00 00 A6 90 40 38 02 00 40 30 06 00 21 38 67 00 21 30 66 00 00 00 E7 84 00 00 C6 84 F3 FF E6 10 FF 00 E7 30 FF 00 C6 30 2B 30 E6 00 FF FF 02 24 01 00 03 24 08 00 E0 03 0A 10 66 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_28_0_4 {
	meta:
		name = "csqrtf"
		size = 784
		refs = "001c crealf 002c cimagf 003c _FDtest 0060 _FHypot 007c fpcmp 0090 ldexpf 009c fpadd 00b0 sqrtf 011c fpdiv 012c _FCbuild 0180 _FInf 01d4 _FZero 026c fpmul"
	strings:
		$1 = { C8 FF BD 27 28 00 B1 AF 24 00 B0 AF 21 88 80 00 21 80 A0 00 34 00 BF AF 30 00 B3 AF ?? ?? ?? 0? 2C 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 10 00 A2 AF 14 00 A4 27 14 00 A2 AF ?? ?? ?? 0? 01 00 12 24 6E 00 52 10 21 98 40 00 ?? ?? ?? 0? 10 00 A4 27 42 00 52 10 10 00 A4 8F 14 00 A5 8F ?? ?? ?? 0? 18 00 A6 27 18 00 B2 8F 7E 00 40 12 21 80 40 00 10 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 4D 00 40 04 00 80 02 3C 21 20 20 02 ?? ?? ?? 0? 23 28 12 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 18 00 A3 8F 21 20 40 00 C2 2F 03 00 21 18 A3 00 43 28 03 00 ?? ?? ?? 0? FF FF A5 24 10 00 A5 8F 21 20 00 00 ?? ?? ?? 0? 21 80 40 00 71 00 40 18 21 20 00 02 16 00 A2 87 79 00 40 04 14 00 B2 8F 14 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 37 00 40 10 21 20 00 02 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 40 00 21 28 00 02 ?? ?? ?? 0? 00 00 00 00 21 88 40 00 21 80 60 00 34 00 BF 8F 21 10 20 02 21 18 00 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 02 00 02 24 35 00 62 12 10 00 B2 8F ?? ?? ?? 0? 21 28 00 00 13 00 41 04 16 00 A2 87 52 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 00 34 00 BF 8F 21 88 40 00 21 80 60 00 21 10 20 02 21 18 00 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 26 88 51 00 ?? ?? 03 3C ?? ?? 64 8C D7 FF 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 21 28 00 02 ?? ?? ?? 0? 21 20 00 00 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 ?? ?? 02 3C 14 00 A5 8F ?? ?? ?? 0? ?? ?? 44 8C 34 00 BF 8F 21 88 40 00 21 80 60 00 21 10 20 02 21 18 00 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 BD FF 41 04 34 00 BF 8F 14 00 A4 8F ?? ?? ?? 0? 21 28 40 02 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 14 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 34 00 BF 8F 21 88 40 00 21 80 60 00 21 10 20 02 21 18 00 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 21 28 00 02 14 00 A4 8F ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 00 80 11 3C 21 20 00 02 ?? ?? ?? 0? 21 28 00 02 26 90 51 02 21 20 40 02 ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 26 28 30 02 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 }
	condition:
		$1
}

rule file_29_0_4 {
	meta:
		name = "strftime"
		size = 84
		refs = "0000 _Tls_setup__Times 0038 _Times 0040 _CStrftime"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D0 FF BD 27 0A 00 40 10 2C 00 BF AF 18 00 A4 AF 1C 00 A5 AF 20 00 A6 AF 09 F8 40 00 24 00 A7 AF 24 00 A7 8F 20 00 A6 8F 1C 00 A5 8F 18 00 A4 8F ?? ?? 02 3C ?? ?? 42 24 ?? ?? ?? 0? 10 00 A2 AF 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_737_1_4 {
	meta:
		name = "_Mbtowc"
		size = 84
		refs = "0000 _Tls_setup__Mbstate 0038 _Mbstate 0040 _Mbtowcx"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D0 FF BD 27 0A 00 40 10 2C 00 BF AF 18 00 A4 AF 1C 00 A5 AF 20 00 A6 AF 09 F8 40 00 24 00 A7 AF 24 00 A7 8F 20 00 A6 8F 1C 00 A5 8F 18 00 A4 8F ?? ?? 02 3C ?? ?? 42 24 ?? ?? ?? 0? 10 00 A2 AF 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_30_0_4 {
	meta:
		name = "wcstol"
		size = 404
		refs = "0034 _Iswctype 0060 _WStoul 00bc _Errno"
	strings:
		$1 = { D0 FF BD 27 18 00 B0 AF 10 00 B0 27 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 2C 00 BF AF 28 00 B4 AF 21 88 80 00 21 90 C0 00 0B 80 A5 00 21 98 80 00 00 00 64 8E ?? ?? ?? 0? 09 00 05 24 FC FF 40 54 04 00 73 26 00 00 74 8E 2D 00 02 24 2E 00 82 12 2B 00 02 24 2C 00 82 12 21 20 60 02 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 00 00 03 8E 2E 00 73 10 2B 00 14 24 2D 00 23 12 2B 00 03 24 3D 00 83 12 2D 00 03 24 09 00 83 12 00 80 03 3C 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 01 00 63 24 2B 18 43 00 0C 00 60 14 2C 00 BF 8F ?? ?? 02 3C 22 00 03 24 ?? ?? 43 AC 28 00 B4 8F 00 80 02 3C 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 23 10 02 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 04 00 73 26 21 20 60 02 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 00 00 03 8E D4 FF 73 14 00 00 00 00 00 00 11 AE D3 FF 40 10 2B 00 03 24 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 2D 00 03 24 D1 FF 83 12 00 80 02 3C FF 7F 02 3C FF FF 42 34 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 C6 FF 41 04 2C 00 BF 8F ?? ?? 02 3C 22 00 03 24 ?? ?? 43 AC FF 7F 02 3C ?? ?? ?? 0? FF FF 42 34 }
	condition:
		$1
}

rule file_31_0_4 {
	meta:
		name = "erff"
		size = 576
		refs = "0018 _FDtest 0044 fpcmp 005c _FErf_small 0070 _FErf_one 00fc _FErfc 010c fpsub 0130 fpmul 0154 fpadd 01f4 fpdiv"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 2A 00 43 10 02 00 03 24 21 00 43 10 20 00 B0 8F 20 00 40 10 1C 00 BF 8F 20 00 B0 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 76 00 40 04 00 80 11 3C 21 90 00 00 21 88 00 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 2F 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 1E 00 40 04 ?? ?? 02 3C ?? ?? 50 8C 0A 00 40 12 1C 00 BF 8F 00 80 02 3C 26 80 50 00 21 10 00 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 21 10 00 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 22 00 A2 87 57 00 40 04 ?? ?? 02 3C ?? ?? 50 8C 1C 00 BF 8F 18 00 B2 8F 21 10 00 02 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 20 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? C2 97 02 00 21 20 00 02 ?? ?? ?? 0? 21 28 00 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1C 00 BF 8F 21 80 40 00 21 10 00 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 01 00 12 24 ?? ?? ?? 0? 26 88 11 02 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C }
	condition:
		$1
}

rule file_32_0_4 {
	meta:
		name = "_Cbuild"
		size = 20
		altNames = "_FCbuild"
	strings:
		$1 = { F8 FF BD 27 21 10 80 00 21 18 A0 00 08 00 E0 03 08 00 BD 27 }
	condition:
		$1
}

rule file_33_0_4 {
	meta:
		name = "isdigit"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 20 00 42 30 }
	condition:
		$1
}

rule file_34_0_4 {
	meta:
		name = "wcsncpy_s"
		size = 260
		refs = "0040 wcsnlen_s 00c0 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 24 00 BF AF 21 80 80 00 28 00 80 10 21 88 A0 00 27 00 A0 50 ?? ?? 04 3C 25 00 A2 04 ?? ?? 04 3C 2C 00 C0 10 ?? ?? 04 3C 29 00 E0 04 21 20 C0 00 21 28 E0 00 ?? ?? ?? 0? 10 00 A6 AF 2B 18 51 00 23 00 60 10 10 00 A6 8F 80 28 02 00 21 18 C5 00 2B 18 03 02 05 00 60 10 80 88 11 00 21 88 11 02 2B 88 D1 00 1B 00 20 16 ?? ?? 04 3C 08 00 40 10 21 18 00 02 00 00 C4 8C FF FF 42 24 04 00 C6 24 00 00 64 AC FB FF 40 14 04 00 63 24 21 80 05 02 24 00 BF 8F 00 00 00 AE 21 10 00 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 24 00 05 24 24 00 BF 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C 00 00 00 AE ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 24 00 BF 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_35_0_4 {
	meta:
		name = "iswxdigit"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 0B 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_36_0_4 {
	meta:
		name = "_Fopen"
		size = 120
		refs = "0060 open"
	strings:
		$1 = { 03 00 A3 30 ?? ?? 02 3C 80 18 03 00 ?? ?? 42 24 21 10 62 00 00 00 42 8C 04 00 A8 30 08 00 A7 30 08 00 43 34 0B 10 68 00 00 02 43 34 0B 10 67 00 00 01 43 34 10 00 A7 30 0B 10 67 00 40 00 A5 30 00 04 43 34 0B 10 65 00 21 28 40 00 B6 01 03 24 80 01 02 24 0A 10 66 00 E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 40 00 14 00 BF 8F 20 14 02 7C 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_37_0_4 {
	meta:
		name = "_Strxfrmx"
		size = 228
		refs = "0058 _CStrxfrm"
	strings:
		$1 = { A0 FF BD 27 58 00 B4 AF 50 00 B2 AF 4C 00 B1 AF 5C 00 BF AF 54 00 B3 AF 48 00 B0 AF 21 A0 C0 00 21 90 80 00 21 88 E0 00 14 00 A0 AF 18 00 A0 AF 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF 26 00 C0 10 10 00 A5 AF 21 98 00 00 10 00 B0 27 21 20 40 02 23 28 93 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 98 62 02 21 90 42 02 04 00 40 10 2B 18 74 02 FF FF 42 82 10 00 40 10 5C 00 BF 8F F4 FF 60 14 21 20 40 02 28 00 B2 27 21 20 40 02 20 00 05 24 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 18 02 02 F9 FF 40 10 21 98 62 02 17 00 62 80 F7 FF 40 14 21 20 40 02 5C 00 BF 8F FF FF 62 26 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 60 00 BD 27 21 98 00 00 ?? ?? ?? 0? 10 00 B0 27 }
	condition:
		$1
}

rule file_37_1_4 {
	meta:
		name = "strxfrm"
		size = 68
		refs = "0000 _Tls_setup__Costate 0030 _Costate 003c _Strxfrmx"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D8 FF BD 27 08 00 40 10 24 00 BF AF 10 00 A4 AF 14 00 A5 AF 09 F8 40 00 18 00 A6 AF 18 00 A6 8F 14 00 A5 8F 10 00 A4 8F ?? ?? 07 3C 24 00 BF 8F ?? ?? E7 24 ?? ?? ?? 0? 28 00 BD 27 }
	condition:
		$1
}

rule file_116_1_4 {
	meta:
		name = "wcsxfrm"
		size = 68
		refs = "0000 _Tls_setup__WCostate 0030 _WCostate 003c _Wcsxfrmx"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D8 FF BD 27 08 00 40 10 24 00 BF AF 10 00 A4 AF 14 00 A5 AF 09 F8 40 00 18 00 A6 AF 18 00 A6 8F 14 00 A5 8F 10 00 A4 8F ?? ?? 07 3C 24 00 BF 8F ?? ?? E7 24 ?? ?? ?? 0? 28 00 BD 27 }
	condition:
		$1
}

rule file_38_2_4 {
	meta:
		name = "_ZSt9terminatev"
		size = 48
		refs = "001c abort"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_40_0_4 {
	meta:
		name = "strncasecmp"
		size = 180
		refs = "0010 _Tolotab"
	strings:
		$1 = { 2A 00 C0 10 21 10 00 00 00 00 89 90 00 00 A7 90 ?? ?? 03 3C ?? ?? 63 8C 40 40 09 00 40 38 07 00 21 40 68 00 21 38 67 00 00 00 08 85 00 00 E7 84 18 00 07 55 FF 00 08 31 0F 00 20 55 FF FF C6 24 ?? ?? ?? 0? 00 00 00 00 00 00 82 90 00 00 A7 90 40 40 02 00 40 38 07 00 21 40 68 00 21 38 67 00 00 00 08 85 00 00 E7 84 0A 00 07 55 FF 00 08 31 06 00 40 10 FF FF C6 24 01 00 84 24 F2 FF C0 14 01 00 A5 24 08 00 E0 03 21 10 00 00 08 00 E0 03 21 10 00 00 FF 00 E7 30 2B 38 07 01 FF FF 02 24 01 00 03 24 08 00 E0 03 0A 10 67 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_41_0_4 {
	meta:
		name = "scalblnl"
		size = 120
		refs = "002c _LDtest 0040 _LDscale 0058 _Feraise"
		altNames = "ldexpl scalbnl"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 20 00 A4 AF 06 00 C0 14 24 00 A5 AF 1C 00 BF 8F 20 00 A2 8F 24 00 A3 8F 08 00 E0 03 20 00 BD 27 20 00 A4 27 ?? ?? ?? 0? 10 00 A6 AF F7 FF 41 04 10 00 A6 8F 20 00 A4 27 ?? ?? ?? 0? 21 28 C0 00 07 00 40 10 01 00 03 24 F1 FF 43 54 1C 00 BF 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_42_0_4 {
	meta:
		name = "fegetenv"
		size = 108
		refs = "0014 _Tls_setup__Fenv 0034 _Fenv"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 10 00 BE AF 21 F0 A0 03 18 00 C4 AF ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 43 24 18 00 C2 8F 00 00 64 94 02 00 63 94 00 00 44 A4 02 00 43 A4 21 10 00 00 21 E8 C0 03 14 00 BF 8F 10 00 BE 8F 18 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_43_0_4 {
	meta:
		name = "gmtime"
		size = 36
		refs = "0010 _Ttotm"
	strings:
		$1 = { 00 00 85 8C E8 FF BD 27 21 30 00 00 14 00 BF AF ?? ?? ?? 0? 21 20 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_44_0_4 {
	meta:
		name = "_LCdivcc"
		size = 752
		refs = "0044 creall 0060 cimagl 00b4 dpcmp 0118 dpdiv 0134 dpmul 0148 dpadd 01c0 dpsub 01e8 _LCbuild"
	strings:
		$1 = { C0 FF BD 27 30 00 B5 AF 2C 00 B4 AF 5C 00 B5 8F 58 00 B4 8F 28 00 B3 AF 24 00 B2 AF 54 00 B3 8F 50 00 B2 8F 38 00 B7 AF 34 00 B6 AF 21 B8 A0 00 21 B0 80 00 20 00 B1 AF 1C 00 B0 AF 21 88 E0 00 3C 00 BF AF ?? ?? ?? 0? 21 80 C0 00 21 20 C0 02 21 28 E0 02 21 30 00 02 21 38 20 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 21 20 40 02 21 28 60 02 21 30 80 02 21 38 A0 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 20 40 02 21 28 60 02 21 30 80 02 21 38 A0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 98 60 00 21 20 40 00 21 28 60 02 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 21 90 40 00 03 00 41 04 21 A0 60 02 00 80 14 3C 26 A0 74 02 21 20 00 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 4E 00 41 04 21 10 20 02 00 80 02 3C 26 10 22 02 21 20 40 02 21 30 00 02 21 28 80 02 ?? ?? ?? 0? 21 38 40 00 4D 00 40 04 21 20 40 02 21 20 00 02 21 30 40 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 02 21 A0 60 00 21 30 00 02 21 38 20 02 21 20 40 00 21 28 80 02 ?? ?? ?? 0? 21 A8 40 00 21 20 40 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 10 00 A4 8F 14 00 A5 8F 21 30 A0 02 21 38 80 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 20 40 00 21 28 60 00 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 30 A0 02 21 38 80 02 21 20 C0 02 21 28 E0 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 10 00 A6 8F 14 00 A7 8F 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 21 20 40 02 21 30 00 02 21 28 80 02 ?? ?? ?? 0? 21 38 40 00 B7 FF 43 04 21 20 00 02 21 20 40 02 21 30 00 02 21 28 60 02 ?? ?? ?? 0? 21 38 20 02 21 A0 60 00 21 30 40 02 21 38 60 02 21 20 40 00 21 28 80 02 ?? ?? ?? 0? 21 A8 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 20 C0 02 21 28 E0 02 21 30 A0 02 21 38 80 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 10 00 A6 8F 14 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 10 00 A4 8F 14 00 A5 8F 21 30 A0 02 21 38 80 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 }
	condition:
		$1
}

rule file_45_0_4 {
	meta:
		name = "fmal"
		size = 780
		refs = "004c _LDunscale 00fc _LDscale 0110 _LXp_setw 014c _LXp_mulh 0160 dpcmp 017c _LXp_addx 0188 _LXp_getw 021c dpmul 0230 dpadd 027c _Feraise 0284 _LNan"
	strings:
		$1 = { 60 FF BD 27 B0 00 A2 8F B4 00 A3 8F A0 00 A4 AF A4 00 A5 AF 18 00 A4 AF 1C 00 A5 AF 10 00 A4 27 18 00 A5 27 94 00 B1 AF 90 00 B0 AF 9C 00 BF AF 98 00 B2 AF A8 00 A6 AF AC 00 A7 AF 20 00 A6 AF 24 00 A7 AF 28 00 A2 AF 2C 00 A3 AF ?? ?? ?? 0? 02 00 10 24 60 00 50 10 21 88 40 00 12 00 A4 27 ?? ?? ?? 0? 20 00 A5 27 51 00 50 10 21 90 40 00 14 00 A4 27 ?? ?? ?? 0? 28 00 A5 27 85 00 50 10 01 00 03 24 8D 00 23 12 00 00 00 00 5C 00 43 12 00 00 00 00 80 00 43 50 B0 00 A5 8F 5D 00 20 12 A8 00 A6 8F 5C 00 40 12 AC 00 A7 8F 59 00 40 10 12 00 B0 87 10 00 A5 87 AE 00 A3 97 A6 00 A4 97 21 80 05 02 14 00 A5 97 B6 00 A2 97 26 18 83 00 23 28 B0 00 20 2E 05 7C 00 80 63 30 00 80 42 30 4B 00 62 10 14 00 A5 A7 FE FF A2 28 48 00 40 14 03 00 A2 28 47 00 40 10 A8 00 A6 8F ?? ?? ?? 0? 28 00 A4 27 18 00 A6 8F 1C 00 A7 8F 50 00 A4 27 ?? ?? ?? 0? 04 00 05 24 20 00 A6 8F 24 00 A7 8F 30 00 A4 27 ?? ?? ?? 0? 02 00 05 24 28 00 A6 8F 2C 00 A7 8F 02 00 05 24 ?? ?? ?? 0? 40 00 A4 27 30 00 A6 8F 34 00 A7 8F 50 00 A4 27 ?? ?? ?? 0? 04 00 05 24 38 00 A4 8F 3C 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 58 00 40 14 18 00 A6 8F 40 00 A6 27 02 00 07 24 04 00 05 24 ?? ?? ?? 0? 50 00 A4 27 50 00 A4 27 ?? ?? ?? 0? 04 00 05 24 28 00 A4 27 21 28 00 02 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF 28 00 A5 8F ?? ?? ?? 0? 2C 00 A4 8F A8 00 A5 8F AC 00 A4 8F 9C 00 BF 8F 21 10 A0 00 21 18 80 00 98 00 B2 8F 94 00 B1 8F 90 00 B0 8F 08 00 E0 03 A0 00 BD 27 A0 00 A5 8F A4 00 A4 8F 9C 00 BF 8F 21 10 A0 00 21 18 80 00 98 00 B2 8F 94 00 B1 8F 90 00 B0 8F 08 00 E0 03 A0 00 BD 27 1E 00 20 12 01 00 03 24 15 00 43 10 AE 00 A3 97 A8 00 A6 8F AC 00 A7 8F A0 00 A4 8F ?? ?? ?? 0? A4 00 A5 8F B0 00 A6 8F B4 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 9C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 98 00 B2 8F 94 00 B1 8F 90 00 B0 8F 08 00 E0 03 A0 00 BD 27 A6 00 A4 97 B6 00 A2 97 26 18 83 00 00 80 63 30 00 80 42 30 E7 FF 62 10 A8 00 A6 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 44 8C B0 00 A5 8F B4 00 A4 8F 9C 00 BF 8F 21 10 A0 00 21 18 80 00 98 00 B2 8F 94 00 B1 8F 90 00 B0 8F 08 00 E0 03 A0 00 BD 27 EF FF 40 12 01 00 03 24 ?? ?? ?? 0? 00 00 00 00 1C 00 A7 8F 70 00 A4 27 ?? ?? ?? 0? 04 00 05 24 38 00 A6 8F 3C 00 A7 8F 70 00 A4 27 ?? ?? ?? 0? 04 00 05 24 50 00 A4 27 04 00 05 24 70 00 A6 27 ?? ?? ?? 0? 04 00 07 24 ?? ?? ?? 0? 40 00 A6 27 }
	condition:
		$1
}

rule file_46_0_4 {
	meta:
		name = "_Litob"
		size = 760
		refs = "00b8 __umoddi3 00dc __udivdi3 0164 memcpy"
	strings:
		$1 = { B8 FF BD 27 20 2C 05 7C 58 00 02 24 30 00 B2 AF 44 00 BF AF 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 34 00 B3 AF 2C 00 B1 AF 28 00 B0 AF 8F 00 A2 10 21 90 80 00 6F 00 02 24 10 00 A2 10 78 00 02 24 A5 00 A2 10 64 00 02 24 00 00 96 8C A5 00 A2 14 04 00 91 8C ?? ?? 10 3C 0A 00 14 24 21 A8 00 00 0C 00 21 06 ?? ?? 10 26 23 B0 16 00 2B 10 16 00 23 88 11 00 ?? ?? ?? 0? 23 88 22 02 00 00 96 8C 04 00 91 8C ?? ?? 10 3C 08 00 14 24 21 A8 00 00 ?? ?? 10 26 25 10 D1 02 05 00 40 14 21 20 C0 02 30 00 42 8E 0B 00 40 10 18 00 13 24 21 20 C0 02 21 28 20 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 10 02 02 00 00 42 90 17 00 13 24 27 00 A2 A3 21 20 C0 02 21 28 20 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 B0 40 00 25 10 43 00 15 00 40 10 21 28 60 00 ?? ?? ?? 0? 21 88 80 02 12 00 60 12 08 00 02 24 21 20 C0 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 02 20 22 72 FF FF 73 26 21 28 60 00 23 38 C4 02 10 00 A4 27 21 30 93 00 21 B0 40 00 25 20 43 00 21 10 07 02 00 00 42 90 EF FF 80 14 00 00 C2 A0 08 00 02 24 19 00 82 12 21 28 60 02 10 00 44 8E 18 00 06 24 23 30 C5 00 10 00 A2 27 1C 00 46 AE ?? ?? ?? 0? 21 28 45 00 1C 00 43 8E 30 00 42 8E 2A 20 62 00 2E 00 80 54 3C 00 44 96 47 00 42 04 3C 00 44 96 44 00 BF 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 48 00 BD 27 E7 FF A0 16 00 00 00 00 3C 00 42 96 08 00 42 30 E4 FF 40 50 10 00 44 8E 18 00 62 2E 08 00 40 50 FF FF 65 26 10 00 A3 27 21 10 73 00 00 00 43 80 30 00 02 24 DB FF 62 50 10 00 44 8E FF FF 65 26 10 00 A4 27 21 10 85 00 30 00 03 24 00 00 43 A0 10 00 44 8E 18 00 06 24 23 30 C5 00 10 00 A2 27 1C 00 46 AE ?? ?? ?? 0? 21 28 45 00 1C 00 43 8E 30 00 42 8E 2A 20 62 00 D5 FF 80 10 00 00 00 00 3C 00 44 96 44 00 BF 8F 23 10 43 00 18 00 42 AE EF FF 82 30 3C 00 42 A6 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 10 3C ?? ?? 10 26 00 00 56 8E 04 00 51 8E 10 00 14 24 21 A8 00 00 69 00 02 24 83 FF A2 14 25 10 D1 02 81 FF 21 06 00 00 00 00 ?? ?? ?? 0? 23 B0 16 00 10 00 02 24 14 00 84 30 B8 FF 82 14 44 00 BF 8F 38 00 45 8E 14 00 42 8E 18 00 44 8E 23 10 A2 00 23 10 44 00 23 18 43 00 AF FF 60 5C 18 00 43 AE ?? ?? ?? 0? 40 00 B6 8F ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C 0A 00 14 24 21 A8 00 00 ?? ?? ?? 0? ?? ?? 10 26 }
	condition:
		$1
}

rule file_47_0_4 {
	meta:
		name = "_ZdlPv"
		size = 32
		refs = "000c free"
	strings:
		$1 = { E8 FF BD 27 03 00 80 10 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_49_0_4 {
	meta:
		name = "_ZSt14_Debug_messagePKcS0_j"
		size = 272
		refs = "0028 fflush 002c _Stderr 0038 fputs 00d8 abort"
	strings:
		$1 = { C8 FF BD 27 2C 00 B2 AF 21 90 80 00 21 20 00 00 34 00 BF AF 30 00 B3 AF 28 00 B1 AF 24 00 B0 AF 21 88 A0 00 21 98 C0 00 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 04 3C ?? ?? 05 26 ?? ?? ?? 0? ?? ?? 84 24 21 20 40 02 ?? ?? ?? 0? ?? ?? 05 26 1E 00 20 12 ?? ?? 05 26 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 21 20 20 02 ?? ?? ?? 0? ?? ?? 05 26 16 00 60 12 CC CC 05 3C 1F 00 A0 A3 1E 00 B1 27 0A 00 02 24 CD CC A5 34 10 00 A3 27 1B 00 62 02 F4 01 40 00 10 20 00 00 30 00 84 24 19 00 65 02 10 38 00 00 C2 98 07 00 15 00 60 16 00 00 24 A2 ?? ?? 04 3C ?? ?? 05 26 ?? ?? ?? 0? ?? ?? 84 24 21 20 20 02 ?? ?? ?? 0? ?? ?? 05 26 ?? ?? 04 3C ?? ?? 05 26 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 00 00 00 00 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 31 26 EB FF 23 12 ?? ?? 04 3C ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_49_1_4 {
	meta:
		name = "_ZSt6_ThrowRKSt9exception"
		size = 52
		refs = "002c _ZSt14_Debug_messagePKcS0_j"
	strings:
		$1 = { 00 00 82 8C E8 FF BD 27 14 00 BF AF 08 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 04 3C 14 00 BF 8F ?? ?? 84 24 21 28 40 00 21 30 00 00 ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_50_0_4 {
	meta:
		name = "_WLitob"
		size = 816
		refs = "00bc __umoddi3 00e4 __udivdi3 0180 wmemcpy"
	strings:
		$1 = { 68 FF BD 27 58 00 02 24 78 00 B2 AF 94 00 BF AF 90 00 BE AF 8C 00 B7 AF 88 00 B6 AF 84 00 B5 AF 80 00 B4 AF 7C 00 B3 AF 74 00 B1 AF 70 00 B0 AF 9C 00 A2 10 21 90 80 00 6F 00 02 24 10 00 A2 10 78 00 02 24 B2 00 A2 10 64 00 02 24 00 00 93 8C B2 00 A2 14 04 00 91 8C ?? ?? 10 3C 0A 00 14 24 21 A8 00 00 0C 00 21 06 ?? ?? 10 26 23 98 13 00 2B 10 13 00 23 88 11 00 ?? ?? ?? 0? 23 88 22 02 00 00 93 8C 04 00 91 8C ?? ?? 10 3C 08 00 14 24 21 A8 00 00 ?? ?? 10 26 25 10 71 02 05 00 40 14 21 20 60 02 30 00 42 8E 0B 00 40 10 18 00 1E 24 21 20 60 02 21 28 20 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 80 10 02 00 21 10 02 02 00 00 42 8C 17 00 1E 24 6C 00 A2 AF 21 28 20 02 21 20 60 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 B0 40 00 25 10 43 00 19 00 40 10 21 28 60 00 FF FF D3 27 80 B8 13 00 10 00 A2 27 21 88 80 02 ?? ?? ?? 0? 21 B8 57 00 11 00 60 12 FC FF F7 26 FF FF 73 26 21 20 C0 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 02 20 22 72 21 F0 60 02 21 28 60 00 23 30 C4 02 25 20 43 00 21 B0 40 00 80 10 06 00 21 10 02 02 00 00 42 8C EF FF 80 14 00 00 E2 AE 08 00 02 24 1C 00 82 12 21 28 C0 03 10 00 44 8E 18 00 06 24 23 30 C5 00 10 00 A2 27 80 28 05 00 1C 00 46 AE ?? ?? ?? 0? 21 28 45 00 1C 00 43 8E 30 00 42 8E 2A 20 62 00 33 00 80 54 3C 00 44 96 4E 00 42 04 3C 00 44 96 94 00 BF 8F 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 E4 FF A0 16 00 00 00 00 3C 00 42 96 08 00 42 30 E1 FF 40 50 10 00 44 8E 18 00 C2 2F 09 00 40 50 FF FF C5 27 10 00 A3 27 80 10 1E 00 21 10 62 00 00 00 43 8C 30 00 02 24 D7 FF 62 50 10 00 44 8E FF FF C5 27 80 10 05 00 10 00 A4 27 21 10 82 00 30 00 03 24 10 00 44 8E 18 00 06 24 00 00 43 AC 23 30 C5 00 10 00 A2 27 80 28 05 00 1C 00 46 AE ?? ?? ?? 0? 21 28 45 00 1C 00 43 8E 30 00 42 8E 2A 20 62 00 D0 FF 80 10 00 00 00 00 3C 00 44 96 94 00 BF 8F 23 10 43 00 18 00 42 AE EF FF 82 30 3C 00 42 A6 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 ?? ?? 10 3C ?? ?? 10 26 00 00 53 8E 04 00 51 8E 10 00 14 24 21 A8 00 00 69 00 02 24 76 FF A2 14 25 10 71 02 74 FF 21 06 00 00 00 00 ?? ?? ?? 0? 23 98 13 00 10 00 02 24 14 00 84 30 B1 FF 82 14 94 00 BF 8F 38 00 45 8E 14 00 42 8E 18 00 44 8E 23 10 A2 00 23 10 44 00 23 18 43 00 A8 FF 60 5C 18 00 43 AE ?? ?? ?? 0? 90 00 BE 8F ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C 0A 00 14 24 21 A8 00 00 ?? ?? ?? 0? ?? ?? 10 26 }
	condition:
		$1
}

rule file_51_0_4 {
	meta:
		name = "strcat"
		size = 68
	strings:
		$1 = { 00 00 83 80 05 00 60 10 21 10 80 00 01 00 84 24 00 00 83 80 FE FF 60 54 01 00 84 24 00 00 A3 80 06 00 60 10 00 00 83 A0 01 00 A5 24 00 00 A3 80 01 00 84 24 FC FF 60 14 00 00 83 A0 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_52_0_4 {
	meta:
		name = "_Force_raise"
		size = 216
		refs = "0094 fpdiv"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 20 00 C4 AF 21 10 00 00 10 00 C2 AF 14 00 C0 AF ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C 14 00 C4 8F 0C 00 03 24 02 18 83 70 ?? ?? 42 24 21 10 62 00 00 00 43 8C 20 00 C2 8F 24 10 62 00 14 00 40 10 00 00 00 00 ?? ?? 02 3C 14 00 C4 8F ?? ?? 43 24 0C 00 02 24 02 10 82 70 21 10 62 00 04 00 43 8C ?? ?? 02 3C 14 00 C5 8F 0C 00 04 24 02 20 A4 70 ?? ?? 42 24 21 10 82 00 08 00 42 8C 21 20 60 00 21 28 40 00 ?? ?? ?? 0? 00 00 00 00 10 00 C2 AF 14 00 C2 8F 01 00 42 24 14 00 C2 AF 14 00 C2 8F 05 00 42 2C DC FF 40 14 00 00 00 00 10 00 C2 8F 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_52_1_4 {
	meta:
		name = "fesetenv"
		size = 108
		refs = "0014 _Tls_setup__Fenv 0034 _Fenv"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 10 00 BE AF 21 F0 A0 03 18 00 C4 AF ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 18 00 C3 8F 00 00 64 94 02 00 63 94 00 00 44 A4 02 00 43 A4 21 10 00 00 21 E8 C0 03 14 00 BF 8F 10 00 BE 8F 18 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_53_0_4 {
	meta:
		name = "_ZL14init_ext_mutexv"
		size = 68
		refs = "0010 _Mtx_init 0024 _Thrd_abort 0030 atexit"
	strings:
		$1 = { ?? ?? 04 3C E8 FF BD 27 ?? ?? 84 24 14 00 BF AF ?? ?? ?? 0? 01 00 05 24 05 00 40 50 ?? ?? 04 3C ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_53_1_4 {
	meta:
		name = "_ZL11ext_cleanupv"
		size = 32
		refs = "000c _Mtx_destroy"
	strings:
		$1 = { ?? ?? 04 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_578_1_4 {
	meta:
		name = "_Tls_dtor_global_locale"
		size = 32
		refs = "000c _Deletegloballocale"
	strings:
		$1 = { ?? ?? 04 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_562_0_4 {
	meta:
		name = "getchar"
		size = 32
		refs = "000c fgetc 0000 _Stdin"
	strings:
		$1 = { ?? ?? 04 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_475_0_4 {
	meta:
		name = "getwchar"
		size = 32
		refs = "000c fgetwc 0000 _Stdin"
	strings:
		$1 = { ?? ?? 04 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_53_2_4 {
	meta:
		name = "_Call_onceEx"
		size = 156
		refs = "0030 _Call_once 0038 _Mtx_lock 004c _Mtx_unlock"
	strings:
		$1 = { D8 FF BD 27 20 00 B2 AF 1C 00 B1 AF 21 90 80 00 21 88 A0 00 ?? ?? 04 3C ?? ?? 05 3C 18 00 B0 AF ?? ?? 84 24 ?? ?? A5 24 10 00 A6 AF 24 00 BF AF ?? ?? ?? 0? ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 04 26 00 00 42 8E 09 00 40 10 10 00 A6 8F ?? ?? ?? 0? ?? ?? 04 26 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 09 F8 20 02 21 20 C0 00 01 00 02 24 00 00 42 AE ?? ?? ?? 0? ?? ?? 04 26 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_54_0_4 {
	meta:
		name = "ctanh"
		size = 668
		refs = "0020 creal 0030 cimag 003c _Dtest 0074 tan 008c _Sinh 009c fpmul 00a8 fpadd 00dc _Inf 00e4 fpcmp 0114 _Cbuild 0174 _Zero 0234 sqrt 024c fpdiv 0070 _Nan"
	strings:
		$1 = { D0 FF BD 27 1C 00 B1 AF 18 00 B0 AF 21 88 A0 00 21 80 80 00 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF ?? ?? ?? 0? 20 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 01 00 03 24 3D 00 03 12 02 00 04 24 8A 00 44 50 14 00 A4 8F 55 00 04 12 14 00 B0 8F 80 00 43 10 ?? ?? 02 3C ?? ?? ?? 0? 14 00 A4 8F 21 88 40 00 ?? ?? 02 3C ?? ?? 50 8C 10 00 A4 8F ?? ?? ?? 0? 21 28 00 02 21 20 20 02 21 28 20 02 ?? ?? ?? 0? 21 90 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 98 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 60 02 4C 00 40 14 21 20 40 02 ?? ?? ?? 0? 21 28 00 00 46 00 40 04 ?? ?? 02 3C 21 20 20 02 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 28 40 00 21 20 60 00 2C 00 BF 8F 21 10 A0 00 21 18 80 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 10 00 A4 8F ?? ?? ?? 0? 21 28 00 00 2D 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 44 8C 1A 00 A2 87 05 00 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C 26 28 A2 00 ?? ?? ?? 0? 00 00 00 00 2C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 21 28 00 00 10 00 B1 8F ?? ?? ?? 0? 21 20 00 02 01 00 40 54 21 80 20 02 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 2C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 50 8C ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 44 8C ?? ?? ?? 0? 21 28 80 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 21 28 80 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_55_0_4 {
	meta:
		name = "getenv_s"
		size = 208
		refs = "0044 getenv 0060 strlen 007c strncpy_s 00a4 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 20 00 B2 AF 21 80 80 00 02 00 80 10 21 88 A0 00 00 00 80 AC 1E 00 20 12 ?? ?? 04 3C 1D 00 C0 10 ?? ?? 84 24 1A 00 C0 04 ?? ?? 04 3C 17 00 E0 10 21 20 E0 00 ?? ?? ?? 0? 10 00 A6 AF 21 90 40 00 1C 00 40 10 10 00 A6 8F 06 00 00 12 21 28 C0 00 ?? ?? ?? 0? 21 20 40 00 10 00 A6 8F 00 00 02 AE 21 28 C0 00 21 20 20 02 21 30 40 02 ?? ?? ?? 0? 21 38 A0 00 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 00 00 20 A2 ?? ?? ?? 0? 22 00 02 24 }
	condition:
		$1
}

rule file_56_0_4 {
	meta:
		name = "fileno"
		size = 32
	strings:
		$1 = { 03 00 80 14 FF FF 02 24 08 00 E0 03 00 00 00 00 03 00 83 80 00 00 64 28 08 00 E0 03 0A 10 64 00 }
	condition:
		$1
}

rule file_57_0_4 {
	meta:
		name = "expm1l"
		size = 796
		refs = "0024 _LDtest 008c dpcmp 00bc expl 00d4 dpsub 0134 dpmul 014c dpadd 02f4 dpdiv"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B5 AF 1C 00 B4 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF ?? ?? ?? 0? 2C 00 A5 AF 01 00 03 24 36 00 43 10 02 00 03 24 04 00 43 10 28 00 A5 8F 0D 00 40 14 ?? ?? 02 3C 28 00 A5 8F 2C 00 A4 8F 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B5 8F 1C 00 B4 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 28 00 B0 8F 2C 00 B1 8F ?? ?? 44 8C ?? ?? 45 8C 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 08 00 41 04 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1D 00 40 04 ?? ?? 02 3C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B5 8F 1C 00 B4 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 2E 00 A2 87 CE FF 43 04 28 00 A5 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 00 ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 12 3C 21 20 00 02 21 28 20 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 46 8E ?? ?? 47 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 A8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 46 8E ?? ?? 47 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_58_0_4 {
	meta:
		name = "exp"
		size = 116
		refs = "000c _Dtest 0048 _Exp"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 01 00 03 24 11 00 43 10 02 00 03 24 0C 00 43 50 18 00 A2 8F 05 00 40 14 ?? ?? 02 3C 14 00 BF 8F ?? ?? 42 8C 08 00 E0 03 18 00 BD 27 ?? ?? 45 8C 18 00 A4 27 ?? ?? ?? 0? 21 30 00 00 18 00 A2 8F 14 00 BF 8F 08 00 E0 03 18 00 BD 27 1E 00 A3 87 FA FF 61 04 21 10 00 00 ?? ?? ?? 0? 14 00 BF 8F }
	condition:
		$1
}

rule file_59_0_4 {
	meta:
		name = "_LDclass"
		size = 36
		refs = "0010 _LDtest"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 1C 00 A5 AF 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_60_0_4 {
	meta:
		name = "_LCosh"
		size = 468
		refs = "0020 _LDtest 008c dpcmp 009c _LInf 00e8 _LXbig 0114 _LExp 014c _Feraise 0154 _LNan 0198 dpdiv 01ac dpadd 01c0 dpmul"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 1C 00 B0 AF 24 00 BF AF 20 00 B1 AF 2C 00 A5 AF 30 00 A6 AF ?? ?? ?? 0? 34 00 A7 AF 21 80 40 00 ?? ?? ?? 0? 30 00 A4 27 1E 00 00 06 02 00 03 24 38 00 03 12 28 00 A5 8F 02 00 03 24 03 00 43 10 01 00 03 24 0A 00 03 12 00 00 00 00 30 00 A5 8F 34 00 A4 8F 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 33 00 40 10 21 30 00 00 30 00 A4 8F 34 00 A5 8F ?? ?? ?? 0? 21 38 00 00 2A 00 41 04 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 20 82 00 E5 FF 41 04 28 00 B1 8F 2C 00 B0 8F 21 30 00 00 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 02 02 28 00 B1 AF 2C 00 B0 AF ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 18 00 40 04 30 00 A6 8F 34 00 A7 8F FF FF 02 24 28 00 A4 27 ?? ?? ?? 0? 10 00 A2 AF 28 00 A5 8F 2C 00 A4 8F 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 44 8C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 44 8C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 28 00 A4 27 FF FF 02 24 ?? ?? ?? 0? 10 00 A2 AF ?? ?? 02 3C 28 00 B0 8F 2C 00 B1 8F ?? ?? 44 8C ?? ?? 45 8C 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 30 00 A6 8F 34 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_61_0_4 {
	meta:
		name = "strstr"
		size = 104
		refs = "0030 strchr"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF 21 80 A0 00 00 00 A5 80 06 00 A0 14 21 10 80 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 01 00 42 24 ?? ?? ?? 0? 21 20 40 00 F8 FF 40 10 21 18 00 02 21 28 40 00 01 00 63 24 00 00 66 80 F3 FF C0 10 01 00 A5 24 00 00 A4 80 FB FF 86 10 01 00 63 24 ?? ?? ?? 0? 00 00 05 82 }
	condition:
		$1
}

rule file_62_0_4 {
	meta:
		name = "_WPuttxt"
		size = 856
	strings:
		$1 = { D0 FF BD 27 14 00 86 8C 18 00 B2 AF 38 00 92 8C 18 00 82 8C 1C 00 83 8C 20 00 87 8C 20 00 B4 AF 23 90 46 02 21 A0 80 00 23 90 42 02 24 00 84 8C 3C 00 82 96 23 90 43 02 28 00 83 8E 23 90 47 02 23 90 44 02 04 00 42 30 1C 00 B3 AF 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 14 00 B1 AF 10 00 B0 AF 21 98 A0 00 19 00 40 14 23 90 43 02 17 00 40 1A 00 00 00 00 0C 00 82 8E ?? ?? 10 3C 21 A8 40 02 1F 00 11 24 ?? ?? 10 26 20 00 B6 2E 21 20 20 02 0B 20 B6 02 08 00 83 8E 21 B0 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 C0 02 23 A8 B6 02 77 00 40 10 0C 00 82 AE 34 00 83 8E 21 B0 76 00 F1 FF A0 1E 34 00 96 AE 14 00 86 8E 7B 00 C0 5C 08 00 82 8E 18 00 93 8E 16 00 60 5A 1C 00 86 8E 0C 00 82 8E ?? ?? 10 3C 1F 00 11 24 ?? ?? 10 26 20 00 75 2E 21 20 20 02 0B 20 75 02 08 00 83 8E 21 A8 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 A0 02 23 98 75 02 5D 00 40 10 0C 00 82 AE 34 00 83 8E 21 A8 75 00 F1 FF 60 1E 34 00 95 AE 1C 00 86 8E 7C 00 C0 5C 08 00 82 8E 20 00 93 8E 16 00 60 5A 24 00 86 8E 0C 00 82 8E ?? ?? 10 3C 1F 00 11 24 ?? ?? 10 26 20 00 75 2E 21 20 20 02 0B 20 75 02 08 00 83 8E 21 A8 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 A0 02 23 98 75 02 43 00 40 10 0C 00 82 AE 34 00 83 8E 21 A8 75 00 F1 FF 60 1E 34 00 95 AE 24 00 86 8E 53 00 C0 5C 1C 00 83 8E 28 00 93 8E 16 00 60 5A 3C 00 83 96 0C 00 82 8E ?? ?? 10 3C 1F 00 11 24 ?? ?? 10 26 20 00 75 2E 21 20 20 02 0B 20 75 02 08 00 83 8E 21 A8 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 A0 02 23 98 75 02 29 00 40 10 0C 00 82 AE 34 00 83 8E 21 A8 75 00 F1 FF 60 1E 34 00 95 AE 3C 00 83 96 04 00 63 30 17 00 60 10 21 10 00 00 15 00 40 1A ?? ?? 10 3C 0C 00 82 8E 1F 00 11 24 ?? ?? 10 26 20 00 53 2E 21 20 20 02 0B 20 53 02 08 00 83 8E 21 98 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 60 02 23 90 53 02 10 00 40 10 0C 00 82 AE 34 00 83 8E 21 98 73 00 F1 FF 40 1E 34 00 93 AE 21 10 00 00 2C 00 BF 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F FF FF 02 24 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 0C 00 84 8E 09 F8 40 00 21 28 60 02 21 18 40 00 0C 00 82 AE E5 FF 60 10 FF FF 02 24 34 00 83 8E 14 00 82 8E 21 10 62 00 ?? ?? ?? 0? 34 00 82 AE 10 00 85 8E 08 00 82 8E 0C 00 84 8E 80 18 03 00 09 F8 40 00 21 28 A3 00 21 18 40 00 0C 00 82 AE D6 FF 60 10 FF FF 02 24 34 00 83 8E 24 00 82 8E 21 10 62 00 ?? ?? ?? 0? 34 00 82 AE 0C 00 84 8E 09 F8 40 00 10 00 85 8E 21 18 40 00 0C 00 82 AE CA FF 60 10 FF FF 02 24 34 00 83 8E 1C 00 82 8E 21 10 62 00 ?? ?? ?? 0? 34 00 82 AE }
	condition:
		$1
}

rule file_63_0_4 {
	meta:
		name = "_Printf"
		size = 1268
		refs = "0040 _Vacopy 0088 _Mbtowc 00fc _Ctype 01b4 memchr 0250 strchr 02b4 _Putfld 02cc _Puttxt"
	strings:
		$1 = { 20 FF BD 27 30 00 A4 AF 34 00 A5 AF 10 00 A4 27 21 28 E0 00 D8 00 B7 AF D4 00 B6 AF D0 00 B5 AF C4 00 B2 AF C0 00 B1 AF BC 00 B0 AF DC 00 BF AF CC 00 B4 AF C8 00 B3 AF 21 B8 C0 00 1C 00 A0 AF ?? ?? ?? 0? 20 00 A0 AF F0 00 A2 8F FF 7F 11 3C ?? ?? 10 3C ?? ?? 12 3C ?? ?? 16 3C 67 00 A2 A3 5C 00 A0 AF FF FF 31 36 ?? ?? 15 3C ?? ?? 10 26 ?? ?? 52 26 ?? ?? D6 26 14 00 A4 27 21 28 E0 02 21 30 20 02 1C 00 A7 27 ?? ?? ?? 0? 14 00 A0 AF A4 00 40 18 21 98 40 00 14 00 A2 8F 25 00 54 38 01 00 94 2E 23 A0 74 02 A7 00 80 1E 34 00 A4 8F 25 00 03 24 0F 00 43 10 21 B8 F3 02 EF FF 40 14 14 00 A4 27 5C 00 A2 8F DC 00 BF 8F D8 00 B7 8F D4 00 B6 8F D0 00 B5 8F CC 00 B4 8F C8 00 B3 8F C4 00 B2 8F C0 00 B1 8F BC 00 B0 8F 08 00 E0 03 E0 00 BD 27 54 00 A0 AF 00 00 E5 82 ?? ?? A7 8E FF 00 A4 30 40 10 04 00 21 10 E2 00 00 00 42 94 20 00 42 30 F5 00 40 10 21 18 E0 02 21 10 00 00 ?? ?? ?? 0? 0A 00 08 24 00 00 65 80 FF 00 A4 30 40 30 04 00 21 30 E6 00 00 00 C6 94 20 00 C6 30 09 00 C0 50 54 00 A2 AF 02 28 48 70 21 10 A4 00 D0 FF 42 24 E8 03 44 28 F3 FF 80 14 01 00 63 24 54 00 A2 AF 00 00 65 80 24 00 04 24 67 00 A4 10 00 00 00 00 54 00 A0 AF 50 00 A0 AF 4C 00 A0 AF 48 00 A0 AF 44 00 A0 AF 40 00 A0 AF 3C 00 A0 AF ?? ?? ?? 0? 64 00 A0 A7 64 00 A2 97 00 00 63 8C 01 00 F7 26 25 10 62 00 64 00 A2 A7 00 00 E5 82 21 20 00 02 ?? ?? ?? 0? 05 00 06 24 23 18 50 00 80 18 03 00 F4 FF 40 14 21 18 72 00 00 00 E5 82 2A 00 02 24 67 00 A2 10 ?? ?? A7 8E FF 00 A2 30 40 18 02 00 21 18 E3 00 00 00 63 94 20 00 63 30 12 00 60 10 60 00 A0 AF 21 30 00 00 21 18 00 00 0A 00 08 24 04 00 71 10 01 00 F7 26 02 20 68 70 21 10 82 00 D0 FF 46 24 00 00 E5 82 FF 00 A2 30 40 20 02 00 21 20 E4 00 00 00 84 94 20 00 84 30 F4 FF 80 14 21 18 C0 00 60 00 A6 AF 2E 00 02 24 58 00 A2 50 01 00 F7 26 FF FF 02 24 58 00 A2 AF ?? ?? ?? 0? 21 20 C0 02 76 00 40 10 54 00 A2 8F 00 00 E2 82 68 00 03 24 01 00 F7 26 86 00 43 10 66 00 A2 A3 6C 00 03 24 8A 00 43 50 00 00 E3 82 54 00 A2 8F 6E 00 40 58 00 00 E6 82 10 00 A5 8F FF FF 42 24 18 00 A4 27 ?? ?? ?? 0? 54 00 A2 AF 00 00 E6 82 28 00 B3 27 70 00 B4 27 21 20 60 02 18 00 A5 27 ?? ?? ?? 0? 21 38 80 02 83 FF 40 14 DC 00 BF 8F 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 01 00 F7 26 69 FF 41 04 14 00 A4 27 DC 00 BF 8F FF FF 02 24 D8 00 B7 8F D4 00 B6 8F D0 00 B5 8F CC 00 B4 8F C8 00 B3 8F C4 00 B2 8F C0 00 B1 8F BC 00 B0 8F 08 00 E0 03 E0 00 BD 27 99 FF 40 18 E8 03 42 28 98 FF 40 50 54 00 A0 AF ?? ?? ?? 0? 01 00 77 24 14 00 A2 8F 00 00 F3 82 25 00 54 38 2B 98 13 00 01 00 94 2E 23 A0 74 02 5D FF 80 1A 25 00 03 24 34 00 A4 8F 30 00 A2 8F 21 28 E0 02 09 F8 40 00 21 30 80 02 E0 FF 40 10 34 00 A2 AF 5C 00 A3 8F 14 00 A2 8F 21 A0 74 00 ?? ?? ?? 0? 5C 00 B4 AF 10 00 A3 8F 00 00 62 8C 04 00 63 24 10 00 A3 AF 38 00 40 04 60 00 A2 AF 01 00 F7 26 00 00 E5 82 2E 00 02 24 AC FF A2 14 FF FF 02 24 01 00 F7 26 00 00 E5 82 2A 00 02 24 43 00 A2 10 2D 00 02 24 49 00 A2 10 21 38 00 00 ?? ?? A6 8E FF 00 A2 30 40 18 02 00 21 18 C3 00 00 00 63 94 20 00 63 30 9E FF 60 10 58 00 A0 AF 21 20 00 00 0A 00 08 24 05 00 E0 14 01 00 F7 26 03 00 91 10 D0 FF 42 24 02 18 88 70 21 20 62 00 00 00 E5 82 FF 00 A2 30 40 18 02 00 21 18 C3 00 00 00 63 94 20 00 63 30 F3 FF 60 14 00 00 00 00 58 00 A4 AF ?? ?? ?? 0? 21 20 C0 02 8E FF 40 54 00 00 E2 82 54 00 A2 8F 95 FF 40 1C 66 00 A0 A3 00 00 E6 82 28 00 B3 27 70 00 B4 27 21 20 60 02 10 00 A5 27 ?? ?? ?? 0? 21 38 80 02 9B FF 40 10 21 20 60 02 ?? ?? ?? 0? DC 00 BF 8F 23 10 02 00 60 00 A2 AF 64 00 A2 97 01 00 F7 26 04 00 42 34 64 00 A2 A7 ?? ?? ?? 0? 00 00 E5 82 00 00 E3 82 7D FF 62 14 54 00 A2 8F 62 00 02 24 66 00 A2 A3 ?? ?? ?? 0? 01 00 F7 26 77 FF 62 14 54 00 A2 8F 71 00 02 24 66 00 A2 A3 ?? ?? ?? 0? 01 00 F7 26 10 00 A2 8F 01 00 F7 26 00 00 43 8C 04 00 42 24 10 00 A2 AF 58 00 A3 AF ?? ?? ?? 0? 00 00 E5 82 01 00 F7 26 00 00 E5 82 ?? ?? ?? 0? 2D 00 07 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_64_0_4 {
	meta:
		name = "expm1f"
		size = 380
		refs = "0018 _FDtest 0060 fpcmp 0084 expf 0094 fpsub 00d4 fpmul 00e4 fpadd 0160 fpdiv"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 23 00 43 10 02 00 03 24 04 00 43 50 20 00 A2 8F 08 00 40 14 20 00 B0 8F 20 00 A2 8F 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 06 00 41 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 13 00 40 04 ?? ?? 02 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 22 00 A2 87 E1 FF 43 04 20 00 A2 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? ?? ?? 11 3C ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_65_0_4 {
	meta:
		name = "_Getpwctrtab"
		size = 48
		refs = "0000 _Tls_setup__Wctrans 0020 _Wctrans"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_553_0_4 {
	meta:
		name = "_Getpctype"
		size = 48
		refs = "0000 _Tls_setup__Ctype 0020 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_530_0_4 {
	meta:
		name = "_Getptolower"
		size = 48
		refs = "0000 _Tls_setup__Tolotab 0020 _Tolotab"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_453_0_4 {
	meta:
		name = "_Getptoupper"
		size = 48
		refs = "0000 _Tls_setup__Touptab 0020 _Touptab"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_108_0_4 {
	meta:
		name = "_Getpwctytab"
		size = 48
		refs = "0000 _Tls_setup__Wctype 0020 _Wctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_66_0_4 {
	meta:
		name = "rint"
		size = 136
		refs = "0010 _Dtest 0028 _Rint 0038 fpcmp 006c _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 02 00 03 24 2B 10 62 00 0D 00 40 10 18 00 B0 8F ?? ?? ?? 0? 18 00 A4 8F 18 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 0A 00 40 14 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 20 00 04 24 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_355_0_4 {
	meta:
		name = "rintf"
		size = 136
		refs = "0010 _FDtest 0028 _FRint 0038 fpcmp 006c _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 02 00 03 24 2B 10 62 00 0D 00 40 10 18 00 B0 8F ?? ?? ?? 0? 18 00 A4 8F 18 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 0A 00 40 14 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 20 00 04 24 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_67_0_4 {
	meta:
		name = "wcsncat_s"
		size = 316
		refs = "0044 wcsnlen_s 00e8 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 20 00 B2 AF 21 88 80 00 31 00 80 10 21 80 A0 00 30 00 A0 50 ?? ?? 04 3C 2E 00 A2 04 ?? ?? 04 3C 36 00 C0 50 ?? ?? 04 3C 34 00 E2 04 ?? ?? 04 3C 14 00 A6 AF ?? ?? ?? 0? 10 00 A7 AF 14 00 A6 8F 10 00 A7 8F 21 90 40 00 21 20 C0 00 ?? ?? ?? 0? 21 28 E0 00 21 18 52 00 2B 80 70 00 26 00 00 12 14 00 A6 8F 80 28 02 00 21 18 C5 00 2B 18 23 02 2C 00 60 10 80 90 12 00 21 90 32 02 2B 18 D2 00 1E 00 60 14 ?? ?? 04 3C 0A 00 40 10 24 00 BF 8F 21 18 40 02 00 00 C4 8C FF FF 42 24 04 00 C6 24 00 00 64 AC FB FF 40 14 04 00 63 24 21 90 45 02 24 00 BF 8F 00 00 40 AE 21 10 00 00 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 24 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C 00 00 20 AE ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 90 32 02 }
	condition:
		$1
}

rule file_68_0_4 {
	meta:
		name = "ispunct"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 08 00 42 30 }
	condition:
		$1
}

rule file_70_0_4 {
	meta:
		name = "coshl"
		size = 36
		refs = "0010 _LCosh"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 46 8C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 47 8C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_668_0_4 {
	meta:
		name = "sinhl"
		size = 36
		refs = "0010 _LSinh"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 46 8C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 47 8C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_71_0_4 {
	meta:
		name = "expm1"
		size = 520
		refs = "0018 _Dtest 0060 fpcmp 0084 exp 0094 fpsub 00d4 fpmul 00e4 fpadd 01ec fpdiv"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 23 00 43 10 02 00 03 24 04 00 43 50 20 00 A2 8F 08 00 40 14 20 00 B0 8F 20 00 A2 8F 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 06 00 41 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 13 00 40 04 ?? ?? 02 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 26 00 A2 87 E1 FF 43 04 20 00 A2 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? ?? ?? 11 3C ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_72_0_4 {
	meta:
		name = "towlower"
		size = 28
		refs = "0008 _Towctrans"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_625_0_4 {
	meta:
		name = "cos"
		size = 28
		refs = "0008 _Sin"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_241_0_4 {
	meta:
		name = "cosf"
		size = 28
		refs = "0008 _FSin"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_178_0_4 {
	meta:
		name = "iswalnum"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_77_0_4 {
	meta:
		name = "log10"
		size = 28
		refs = "0008 _Log"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_256_0_4 {
	meta:
		name = "log10f"
		size = 28
		refs = "0008 _FLog"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_73_0_4 {
	meta:
		name = "_ZNSt14error_categoryD1Ev"
		size = 16
		refs = "0000 _ZTVSt14error_category"
		altNames = "_ZNSt22_System_error_categoryD1Ev _ZNSt23_Generic_error_categoryD1Ev _ZNSt24_Iostream_error_categoryD1Ev"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_640_7_4 {
	meta:
		name = "_ZNSt10ctype_baseD1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_41_4 {
	meta:
		name = "_ZNSt10money_baseD1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_2_4 {
	meta:
		name = "_ZNSt12codecvt_baseD1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_330_14_4 {
	meta:
		name = "_ZNSt13messages_baseD1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_1_4 {
	meta:
		name = "_ZNSt6locale5facetD1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_14_4 {
	meta:
		name = "_ZNSt7codecvtIDic9_MbstatetED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_6_4 {
	meta:
		name = "_ZNSt7codecvtIDsc9_MbstatetED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_640_18_4 {
	meta:
		name = "_ZNSt7codecvtIcc9_MbstatetED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_22_4 {
	meta:
		name = "_ZNSt7codecvtIwc9_MbstatetED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_330_28_4 {
	meta:
		name = "_ZNSt7collateIcED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_53_4 {
	meta:
		name = "_ZNSt7collateIwED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_640_26_4 {
	meta:
		name = "_ZNSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_58_4 {
	meta:
		name = "_ZNSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_640_25_4 {
	meta:
		name = "_ZNSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_57_4 {
	meta:
		name = "_ZNSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_330_25_4 {
	meta:
		name = "_ZNSt8messagesIcED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_50_4 {
	meta:
		name = "_ZNSt8messagesIwED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_330_16_4 {
	meta:
		name = "_ZNSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_59_4 {
	meta:
		name = "_ZNSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_330_24_4 {
	meta:
		name = "_ZNSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_49_4 {
	meta:
		name = "_ZNSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_330_23_4 {
	meta:
		name = "_ZNSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_48_4 {
	meta:
		name = "_ZNSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEED1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_164_39_4 {
	meta:
		name = "_ZNSt9time_baseD1Ev"
		size = 16
		refs = "0000 _ZTVNSt6locale5facetE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 00 00 82 AC }
	condition:
		$1
}

rule file_73_1_4 {
	meta:
		name = "_ZNKSt14error_category23default_error_conditionEi"
		size = 16
		altNames = "_ZNKSt22_System_error_category23default_error_conditionEi"
	strings:
		$1 = { 21 10 80 00 00 00 86 AC 08 00 E0 03 04 00 85 AC }
	condition:
		$1
}

rule file_73_2_4 {
	meta:
		name = "_ZNKSt14error_category10equivalentEiRKSt15error_condition"
		size = 112
	strings:
		$1 = { 00 00 82 8C E0 FF BD 27 21 18 80 00 10 00 42 8C 21 38 A0 00 18 00 B0 AF 21 28 60 00 21 80 C0 00 10 00 A4 27 1C 00 BF AF 09 F8 40 00 21 30 E0 00 04 00 04 8E 14 00 A3 8F 10 00 A5 8F 05 00 83 10 21 10 00 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 02 8E 1C 00 BF 8F 18 00 B0 8F 26 10 45 00 01 00 42 2C 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_73_3_4 {
	meta:
		name = "_ZNKSt14error_category10equivalentERKSt10error_codei"
		size = 36
	strings:
		$1 = { 04 00 A3 8C 03 00 64 10 21 10 00 00 08 00 E0 03 00 00 00 00 00 00 A2 8C 26 10 46 00 08 00 E0 03 01 00 42 2C }
	condition:
		$1
}

rule file_73_4_4 {
	meta:
		name = "_ZNSt14error_categoryD0Ev"
		size = 40
		refs = "0000 _ZTVSt14error_category 0014 _ZdlPv"
		altNames = "_ZNSt22_System_error_categoryD0Ev _ZNSt23_Generic_error_categoryD0Ev _ZNSt24_Iostream_error_categoryD0Ev"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_34_4 {
	meta:
		name = "_ZNSt10ctype_baseD0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_37_4 {
	meta:
		name = "_ZNSt10money_baseD0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_36_4 {
	meta:
		name = "_ZNSt12codecvt_baseD0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_66_4 {
	meta:
		name = "_ZNSt13messages_baseD0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_696_1_4 {
	meta:
		name = "_ZNSt3tr117bad_function_callD1Ev"
		size = 40
		refs = "0000 _ZTVNSt3tr117bad_function_callE 0014 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_36_4 {
	meta:
		name = "_ZNSt6locale5facetD0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_75_4 {
	meta:
		name = "_ZNSt7codecvtIDic9_MbstatetED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_74_4 {
	meta:
		name = "_ZNSt7codecvtIDsc9_MbstatetED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_640_33_4 {
	meta:
		name = "_ZNSt7codecvtIcc9_MbstatetED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_73_4 {
	meta:
		name = "_ZNSt7codecvtIwc9_MbstatetED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_32_4 {
	meta:
		name = "_ZNSt7collateIcED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_65_4 {
	meta:
		name = "_ZNSt7collateIwED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_640_30_4 {
	meta:
		name = "_ZNSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_63_4 {
	meta:
		name = "_ZNSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_640_31_4 {
	meta:
		name = "_ZNSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_64_4 {
	meta:
		name = "_ZNSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_40_4 {
	meta:
		name = "_ZNSt8messagesIcED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_76_4 {
	meta:
		name = "_ZNSt8messagesIwED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_39_4 {
	meta:
		name = "_ZNSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_71_4 {
	meta:
		name = "_ZNSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_55_4 {
	meta:
		name = "_ZNSt9bad_allocD1Ev"
		size = 40
		refs = "0000 _ZTVSt9bad_alloc 0014 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_39_4 {
	meta:
		name = "_ZNSt9basic_iosIcSt11char_traitsIcEED1Ev"
		size = 40
		refs = "0000 _ZTVSt9basic_iosIcSt11char_traitsIcEE 0014 _ZNSt8ios_baseD2Ev"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_55_4 {
	meta:
		name = "_ZNSt9basic_iosIwSt11char_traitsIwEED1Ev"
		size = 40
		refs = "0000 _ZTVSt9basic_iosIwSt11char_traitsIwEE 0014 _ZNSt8ios_baseD2Ev"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_35_4 {
	meta:
		name = "_ZNSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_67_4 {
	meta:
		name = "_ZNSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_36_4 {
	meta:
		name = "_ZNSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_68_4 {
	meta:
		name = "_ZNSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEED0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_38_4 {
	meta:
		name = "_ZNSt9time_baseD0Ev"
		size = 40
		refs = "0000 _ZTVNSt6locale5facetE 0014 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 24 E8 FF BD 27 00 00 82 AC 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_74_0_4 {
	meta:
		name = "c32rtomb"
		size = 308
	strings:
		$1 = { 20 00 80 10 F8 FF BD 27 80 FF 03 24 24 18 A3 00 1F 00 60 10 21 10 80 00 00 F8 02 24 24 10 A2 00 20 00 40 14 FF FF 02 3C 82 19 05 00 C0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 01 00 09 24 FF FF 23 25 06 00 02 24 02 10 62 70 80 FF 08 24 21 18 40 01 FA FF 07 24 06 30 45 00 3F 00 C6 30 25 30 C8 00 FA FF 42 24 00 00 66 A0 FA FF 47 14 01 00 63 24 21 10 49 01 23 10 44 00 08 00 E0 03 08 00 BD 27 21 10 A0 03 21 28 00 00 21 20 A0 03 00 00 45 A0 01 00 42 24 23 10 44 00 08 00 E0 03 08 00 BD 27 24 10 A2 00 0C 00 40 10 02 1B 05 00 E0 FF 02 3C 24 10 A2 00 0E 00 40 14 00 FC 02 3C 82 1C 05 00 F0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 ?? ?? ?? 0? 03 00 09 24 E0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 ?? ?? ?? 0? 02 00 09 24 24 10 A2 00 08 00 40 54 82 1F 05 00 02 1E 05 00 F8 FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 ?? ?? ?? 0? 04 00 09 24 FC FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 ?? ?? ?? 0? 05 00 09 24 }
	condition:
		$1
}

rule file_75_0_4 {
	meta:
		name = "cproj"
		size = 220
		refs = "0018 creal 0028 cimag 0034 _Dtest 007c _Inf 008c _Cbuild 00bc _Zero"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF ?? ?? ?? 0? 20 00 B2 AF 21 28 00 02 21 20 20 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 90 40 00 01 00 03 24 0B 00 43 52 1A 00 A2 87 08 00 43 10 24 00 BF 8F 21 10 20 02 21 18 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 1A 00 A2 87 ?? ?? 03 3C ?? ?? 64 8C 0D 00 40 04 21 28 00 00 ?? ?? ?? 0? 00 00 00 00 21 88 40 00 21 80 60 00 24 00 BF 8F 21 10 20 02 21 18 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 }
	condition:
		$1
}

rule file_76_0_4 {
	meta:
		name = "_Stoxflt"
		size = 1072
		refs = "00b8 memchr 00f8 localeconv 0390 _Ctype"
	strings:
		$1 = { 98 FF BD 27 78 00 A3 8F 07 00 02 24 60 00 BE AF 02 10 62 70 5C 00 B7 AF 58 00 B6 AF 44 00 B1 AF 40 00 B0 AF 64 00 BF AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 48 00 B2 AF 00 00 E0 AC 04 00 E0 AC 21 F0 A0 00 00 00 A5 80 23 00 10 24 21 B8 80 00 21 B0 C0 00 24 00 43 28 0B 80 43 00 30 00 02 24 06 00 A2 14 21 88 00 00 01 00 DE 27 00 00 C5 83 FE FF A2 50 01 00 DE 27 01 00 11 24 ?? ?? 15 3C ?? ?? B2 26 ?? ?? 14 3C 21 18 00 00 21 98 40 02 ?? ?? ?? 0? ?? ?? 94 26 01 00 63 24 00 00 C2 A0 01 00 DE 27 00 00 C5 83 01 00 11 24 21 20 40 02 16 00 06 24 38 00 A3 AF ?? ?? ?? 0? 3C 00 A7 AF 38 00 A3 8F 23 20 53 00 10 00 A8 27 21 20 94 00 2A 28 03 02 21 30 03 01 07 00 40 10 3C 00 A7 8F ED FF A0 50 00 00 82 90 00 00 E2 8C 01 00 42 24 ?? ?? ?? 0? 00 00 E2 AC ?? ?? ?? 0? 00 00 D2 83 2C 00 42 8C 38 00 A3 8F 3C 00 A7 8F 00 00 42 80 26 90 52 00 01 00 52 2E 89 00 60 10 21 F0 D2 03 00 00 C5 83 ?? ?? B2 26 21 20 40 02 16 00 06 24 38 00 A3 AF ?? ?? ?? 0? 3C 00 A7 AF 38 00 A3 8F 21 98 40 02 ?? ?? 14 3C ?? ?? 94 26 23 20 53 00 10 00 A8 27 21 20 94 00 2A 28 03 02 21 30 03 01 18 00 40 10 3C 00 A7 8F 07 00 A0 14 01 00 DE 27 00 00 E2 8C 00 00 84 90 01 00 63 24 FF FF 42 24 00 00 C4 A0 00 00 E2 AC 00 00 C5 83 21 20 40 02 16 00 06 24 38 00 A3 AF ?? ?? ?? 0? 3C 00 A7 AF 38 00 A3 8F 23 20 53 00 10 00 A8 27 01 00 11 24 21 20 94 00 2A 28 03 02 21 30 03 01 EA FF 40 14 3C 00 A7 8F 2A 10 03 02 4E 00 40 54 10 00 A3 27 00 00 E2 8C 46 00 60 18 10 00 A5 27 ?? ?? ?? 0? 21 20 A3 00 10 00 A6 27 21 20 C3 00 42 00 60 10 01 00 42 24 FF FF 84 80 FA FF 80 50 FF FF 63 24 80 10 02 00 00 00 E2 AC 2A 00 20 12 21 10 00 00 07 00 02 24 1A 00 62 00 F4 01 40 00 10 28 00 00 23 28 45 00 1A 00 A2 00 F4 01 40 00 10 10 00 00 1A 00 60 18 2B 10 02 00 10 00 A4 27 21 18 83 00 ?? ?? ?? 0? 07 00 06 24 00 00 89 80 01 00 42 24 80 40 02 00 21 40 E8 00 01 00 84 24 0F 00 83 10 00 00 09 AD 01 00 A5 24 1A 00 A6 00 F4 01 C0 00 80 48 02 00 10 40 00 00 F3 FF 00 11 21 48 E9 00 00 00 28 8D 00 00 8A 80 01 00 84 24 00 41 08 00 21 40 0A 01 F3 FF 83 14 00 00 28 AD 00 00 C3 83 70 00 04 24 33 00 64 10 50 00 04 24 32 00 64 50 01 00 C4 83 02 00 C0 12 0A F0 F1 02 00 00 DE AE 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C4 FF 60 54 80 10 02 00 10 00 A0 A3 ?? ?? ?? 0? 01 00 03 24 21 10 70 00 00 00 42 80 08 00 42 28 07 00 40 54 00 00 E2 8C FF FF 02 26 21 10 62 00 00 00 43 90 01 00 63 24 00 00 43 A0 00 00 E2 8C 21 18 00 02 01 00 42 24 ?? ?? ?? 0? 00 00 E2 AC 00 00 C5 83 30 00 02 24 76 FF A2 14 30 00 04 24 00 00 E2 8C FF FF 42 24 00 00 E2 AC 01 00 DE 27 00 00 C5 83 FC FF A4 10 FF FF 42 24 ?? ?? ?? 0? 01 00 11 24 01 00 C4 83 2B 00 05 24 26 00 85 10 01 00 C3 27 2D 00 05 24 23 00 85 10 2B 00 0B 24 ?? ?? 05 3C ?? ?? A8 8C FF 00 84 30 40 28 04 00 21 28 05 01 00 00 A5 94 20 00 A5 30 1E 00 A0 10 21 28 00 00 F5 05 09 3C 00 E1 29 35 0A 00 0A 24 2A 30 A9 00 04 00 C0 10 01 00 63 24 02 30 AA 70 21 28 C4 00 D0 FF A5 24 00 00 64 90 40 30 04 00 21 30 06 01 00 00 C6 94 20 00 C6 30 F5 FF C0 54 2A 30 A9 00 01 00 08 24 00 00 E4 8C 23 30 05 00 2D 00 6B 39 0A 28 CB 00 21 28 85 00 00 00 E5 AC ?? ?? ?? 0? 0B F0 68 00 01 00 63 24 21 58 80 00 ?? ?? ?? 0? 00 00 64 80 ?? ?? ?? 0? 21 40 00 00 }
	condition:
		$1
}

rule file_78_0_4 {
	meta:
		name = "strtok_s"
		size = 424
		refs = "0164 _Fail_s"
	strings:
		$1 = { 00 00 A3 8C E8 FF BD 27 54 00 60 04 14 00 BF AF 53 00 C0 50 ?? ?? 04 3C 51 00 E0 50 ?? ?? 04 3C 01 00 80 50 00 00 E4 8C 54 00 60 50 ?? ?? 04 3C 00 00 8A 80 11 00 40 11 21 10 00 00 00 00 CB 80 FF FF 62 24 4B 00 60 11 21 60 82 00 21 10 80 00 05 00 4B 15 21 40 C0 00 ?? ?? ?? 0? 00 00 00 00 33 00 2A 11 00 00 00 00 01 00 08 25 00 00 09 81 FB FF 20 15 00 00 00 00 23 10 44 00 23 18 62 00 00 00 A3 AC 21 10 82 00 00 00 4A 80 30 00 40 11 14 00 BF 8F 3E 00 60 10 FF FF 64 24 00 00 CB 80 21 60 44 00 21 20 40 00 0B 00 60 11 00 00 00 00 0F 00 6A 51 23 20 82 00 ?? ?? ?? 0? 21 40 C0 00 0B 00 2A 51 23 20 82 00 01 00 08 25 00 00 09 81 FB FF 20 15 00 00 00 00 2D 00 8C 10 01 00 84 24 00 00 8A 80 F0 FF 40 15 00 00 00 00 23 20 82 00 23 18 64 00 00 00 A3 AC 21 20 44 00 00 00 83 80 08 00 60 50 00 00 E4 AC 00 00 80 A0 00 00 A3 8C 03 00 60 10 01 00 84 24 FF FF 63 24 00 00 A3 AC 00 00 E4 AC 14 00 BF 8F 08 00 E0 03 18 00 BD 27 12 00 4C 50 ?? ?? 04 3C 01 00 42 24 00 00 4A 80 C3 FF 40 15 00 00 00 00 ?? ?? ?? 0? 23 10 44 00 21 10 00 00 08 00 E0 03 18 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 ?? ?? ?? 0? 21 10 00 00 ?? ?? ?? 0? 21 10 80 00 ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? 21 10 00 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1C 00 05 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_81_0_4 {
	meta:
		name = "asinl"
		size = 600
		refs = "0028 _LDtest 0080 dpcmp 00e0 _Feraise 00ec _LNan 0128 dpsub 0144 dpadd 0158 dpmul 0164 sqrtl 0178 dpdiv 0188 _LAtan"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 34 00 A5 AF 0D 00 40 14 02 00 03 24 34 00 A4 8F 2C 00 BF 8F 30 00 A2 8F 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 F3 FF 43 10 30 00 B1 8F 34 00 B0 8F 21 30 00 00 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 06 00 41 04 21 90 00 00 00 80 02 3C 26 80 02 02 30 00 B1 AF 34 00 B0 AF 08 00 12 24 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 17 00 40 18 ?? ?? 13 3C ?? ?? 66 8E ?? ?? 67 8E 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 38 00 40 18 ?? ?? 64 8E ?? ?? ?? 0? 01 00 04 24 ?? ?? 03 3C ?? ?? 64 8C 2C 00 BF 8F ?? ?? 62 8C 28 00 B5 8F 21 18 80 00 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 64 8E ?? ?? 65 8E 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? 66 8E ?? ?? 67 8E 21 20 20 02 21 28 00 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 40 02 ?? ?? ?? 0? 21 28 60 00 2C 00 BF 8F 21 20 60 00 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 65 8E 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? 66 8E ?? ?? 67 8E 21 20 20 02 21 28 00 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 30 00 A6 8F 34 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 02 00 46 36 ?? ?? ?? 0? 21 28 60 00 2C 00 BF 8F 21 20 60 00 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_82_18_4 {
	meta:
		name = "_ZNSt9bad_allocD0Ev"
		size = 56
		refs = "0000 _ZTVSt9bad_alloc 0018 _ZNSt9exceptionD2Ev 0020 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 10 00 B0 AF 21 80 80 00 ?? ?? ?? 0? 00 00 82 AC ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_696_2_4 {
	meta:
		name = "_ZNSt3tr117bad_function_callD0Ev"
		size = 56
		refs = "0000 _ZTVNSt3tr117bad_function_callE 0018 _ZNSt9exceptionD2Ev 0020 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 10 00 B0 AF 21 80 80 00 ?? ?? ?? 0? 00 00 82 AC ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_40_4 {
	meta:
		name = "_ZNSt9basic_iosIcSt11char_traitsIcEED0Ev"
		size = 56
		refs = "0000 _ZTVSt9basic_iosIcSt11char_traitsIcEE 0018 _ZNSt8ios_baseD2Ev 0020 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 10 00 B0 AF 21 80 80 00 ?? ?? ?? 0? 00 00 82 AC ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_56_4 {
	meta:
		name = "_ZNSt9basic_iosIwSt11char_traitsIwEED0Ev"
		size = 56
		refs = "0000 _ZTVSt9basic_iosIwSt11char_traitsIwEE 0018 _ZNSt8ios_baseD2Ev 0020 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 10 00 B0 AF 21 80 80 00 ?? ?? ?? 0? 00 00 82 AC ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_82_19_4 {
	meta:
		name = "_Z41__static_initialization_and_destruction_0ii.clone.19"
		size = 156
		refs = "0010 _ZTVSt14error_category 0040 _ZTVSt23_Generic_error_category 005c _ZTVSt24_Iostream_error_category 0064 _ZTVSt22_System_error_category"
	strings:
		$1 = { 01 00 02 24 0C 00 82 10 ?? ?? 06 3C 08 00 80 14 ?? ?? 02 3C ?? ?? 42 24 ?? ?? 03 3C ?? ?? 62 AC ?? ?? 03 3C ?? ?? 62 AC ?? ?? 03 3C ?? ?? 62 AC 08 00 E0 03 00 00 00 00 ?? ?? 03 3C ?? ?? 04 3C ?? ?? 09 3C ?? ?? 84 24 ?? ?? 62 24 ?? ?? C8 24 ?? ?? 29 25 ?? ?? C9 AC 04 00 04 AD ?? ?? 06 3C 04 00 44 AC ?? ?? 04 3C ?? ?? 05 3C ?? ?? C6 24 ?? ?? 84 24 ?? ?? A7 24 ?? ?? A6 AC ?? ?? 64 AC ?? ?? 05 3C ?? ?? 03 3C ?? ?? A5 24 ?? ?? 63 24 04 00 E5 AC 08 00 E0 03 08 00 43 AC }
	condition:
		$1
}

rule file_82_20_4 {
	meta:
		name = "_ZNKSt23_Generic_error_category7messageEi"
		size = 1000
		refs = "0028 strerror 0044 strlen 0170 memmove 0230 _ZSt14_Xout_of_rangePKc 02c0 _Znwm 02f0 memcpy 0308 _ZdlPv 0398 _ZSt14_Xlength_errorPKc 02cc _ZTVSt9bad_alloc 03c8 _ZNKSt9exception6_RaiseEv 03d4 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 1C 00 B1 AF 21 88 80 00 21 20 C0 00 34 00 BF AF 24 00 B3 AF 20 00 B2 AF 18 00 B0 AF 30 00 B6 AF 2C 00 B5 AF ?? ?? ?? 0? 28 00 B4 AF 21 90 40 00 0F 00 02 24 14 00 22 AE 10 00 20 AE 00 00 20 A2 ?? ?? ?? 0? 21 20 40 02 21 98 40 00 11 00 40 12 21 80 20 02 14 00 22 8E 10 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 2B 18 43 02 0A 00 60 54 FF FF 02 24 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 26 8E 21 18 66 00 2B 18 43 02 19 00 60 14 00 00 00 00 FF FF 02 24 BE 00 62 52 ?? ?? 04 3C 14 00 22 8E 2B 18 53 00 71 00 60 54 0F 00 74 36 A0 00 60 16 10 00 42 2C 01 00 40 50 00 00 30 8E 10 00 20 AE 00 00 00 A2 34 00 BF 8F 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 48 00 40 50 00 00 22 8E 21 10 20 02 23 90 42 02 2B 10 D2 00 48 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4C 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 23 00 82 52 14 00 22 8E 21 00 80 56 14 00 22 8E 2B 10 46 02 0A 90 C2 00 13 00 40 12 34 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 14 00 22 8E 10 00 23 8E 10 00 42 2C 02 00 40 14 23 90 72 00 00 00 30 8E 21 80 12 02 10 00 32 AE 00 00 00 A2 34 00 BF 8F 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 42 2C 27 00 40 14 21 20 33 02 00 00 22 8E 21 20 53 00 21 98 93 02 21 28 53 00 ?? ?? ?? 0? 21 30 00 00 14 00 23 8E 10 00 24 8E 21 10 20 02 10 00 63 2C 02 00 60 14 23 A0 94 00 00 00 22 8E 21 10 54 00 10 00 34 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 26 8E 23 90 42 02 2B 10 D2 00 BC FF 40 10 23 10 D2 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 26 8E 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 B8 FF 40 10 23 A0 D3 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E ?? ?? ?? 0? 21 10 20 02 FF FF 03 24 4B 00 83 12 10 00 36 8E AA AA 03 3C AB AA 63 34 19 00 83 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 44 00 80 10 01 00 84 26 FE FF 04 24 23 20 83 00 2B 20 82 00 3E 00 80 10 21 A0 62 00 FF FF 04 24 FE FF 14 24 ?? ?? ?? 0? 00 00 00 00 3D 00 40 10 ?? ?? 15 3C 21 A8 40 00 14 00 22 8E 09 00 C0 12 10 00 42 2C 02 00 40 14 21 28 20 02 00 00 25 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 14 00 22 8E 10 00 42 2C 04 00 40 14 10 00 82 2E ?? ?? ?? 0? 00 00 24 8E 10 00 82 2E 00 00 35 AE 0B A8 22 02 21 A8 B6 02 14 00 34 AE 10 00 36 AE 9C FF 60 12 00 00 A0 A2 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 40 02 ?? ?? ?? 0? 21 30 60 02 14 00 22 8E 10 00 42 2C 01 00 40 50 00 00 30 8E 21 80 13 02 10 00 33 AE 00 00 00 A2 34 00 BF 8F 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 22 8E 21 A0 60 02 01 00 84 26 C9 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 14 00 22 8E }
	condition:
		$1
}

rule file_82_21_4 {
	meta:
		name = "_ZNKSt24_Iostream_error_category7messageEi"
		size = 1764
		refs = "0030 strerror 004c strlen 0178 memmove 0234 _ZSt14_Xout_of_rangePKc 033c _Znwm 036c memcpy 0384 _ZdlPv 065c _ZSt14_Xlength_errorPKc 0348 _ZTVSt9bad_alloc 069c _ZNKSt9exception6_RaiseEv 06a8 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 01 00 02 24 1C 00 B1 AF 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 18 00 B0 AF 91 00 C2 10 21 88 80 00 ?? ?? ?? 0? 21 20 C0 00 21 90 40 00 0F 00 02 24 14 00 22 AE 10 00 20 AE 00 00 20 A2 ?? ?? ?? 0? 21 20 40 02 21 98 40 00 09 00 40 12 21 80 20 02 14 00 22 8E 10 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 2B 18 43 02 19 00 60 10 00 00 00 00 FF FF 02 24 75 01 62 52 ?? ?? 04 3C 14 00 22 8E 2B 18 53 00 09 01 60 14 0F 00 74 36 38 01 60 16 10 00 42 2C 01 00 40 50 00 00 30 8E 10 00 20 AE 00 00 00 A2 34 00 BF 8F 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 26 8E 21 18 66 00 2B 18 43 02 E2 FF 60 50 FF FF 02 24 47 00 40 50 00 00 22 8E 21 10 20 02 23 90 42 02 2B 10 D2 00 47 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4B 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 22 00 82 52 14 00 22 8E 20 00 80 56 14 00 22 8E 2B 10 D2 00 0B 90 C2 00 12 00 40 12 34 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 14 00 22 8E 10 00 23 8E 10 00 42 2C 93 00 40 10 23 90 72 00 21 80 12 02 10 00 32 AE 00 00 00 A2 34 00 BF 8F 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 42 2C 84 00 40 50 00 00 22 8E 21 20 33 02 21 10 20 02 21 98 93 02 21 28 53 00 ?? ?? ?? 0? 21 30 00 00 14 00 23 8E 10 00 24 8E 21 10 20 02 10 00 63 2C 02 00 60 14 23 A0 94 00 00 00 22 8E 21 10 54 00 10 00 34 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 26 8E 23 90 42 02 2B 10 D2 00 BD FF 40 10 23 10 D2 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 26 8E 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 B9 FF 40 10 23 A0 D3 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E 0F 00 02 24 ?? ?? 14 3C 14 00 82 AC 10 00 80 AC 00 00 80 A0 ?? ?? ?? 0? ?? ?? 84 26 14 00 23 8E 21 90 40 00 21 80 20 02 10 00 62 2C 02 00 40 14 21 20 20 02 00 00 24 8E ?? ?? 93 26 2B 20 64 02 0A 00 80 54 FF FF 02 24 02 00 40 14 21 20 20 02 00 00 24 8E 10 00 26 8E 21 20 86 00 2B 20 64 02 46 00 80 14 00 00 00 00 FF FF 02 24 E9 00 42 12 ?? ?? 04 3C 2B 10 72 00 C6 00 40 10 0F 00 53 36 FF FF 02 24 DD 00 62 12 10 00 36 8E AA AA 02 3C AB AA 42 34 19 00 62 02 42 10 03 00 10 38 00 00 42 20 07 00 2B 20 82 00 D6 00 80 10 01 00 64 26 FE FF 04 24 23 20 82 00 2B 20 83 00 D0 00 80 10 21 98 43 00 FF FF 04 24 FE FF 13 24 ?? ?? ?? 0? 00 00 00 00 DD 00 40 10 ?? ?? 15 3C 14 00 23 8E 21 A8 40 00 09 00 C0 12 10 00 63 2C 02 00 60 14 21 28 20 02 00 00 25 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 14 00 23 8E 10 00 63 2C 04 00 60 14 10 00 62 2E ?? ?? ?? 0? 00 00 24 8E 10 00 62 2E 00 00 35 AE 0B A8 22 02 21 A8 B6 02 14 00 33 AE 10 00 36 AE 7E FF 40 12 00 00 A0 A2 14 00 23 8E 10 00 63 2C 02 00 60 14 21 20 20 02 00 00 24 8E ?? ?? 85 26 ?? ?? ?? 0? 21 30 40 02 14 00 22 8E 10 00 42 2C 70 FF 40 54 21 80 12 02 ?? ?? ?? 0? 00 00 30 8E ?? ?? ?? 0? 21 20 53 00 02 00 40 50 00 00 22 8E 21 10 20 02 23 98 62 02 2B 10 D3 00 88 00 40 14 ?? ?? 04 3C 23 10 D3 00 2B 18 42 02 0A 90 43 00 21 90 53 02 2B 10 D2 00 85 00 40 14 ?? ?? 04 3C 23 A0 D2 00 FF FF 02 24 60 00 82 52 14 00 22 8E 5E 00 80 56 14 00 22 8E 2B 10 66 02 0A 98 C2 00 57 FF 60 12 34 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 14 00 22 8E 10 00 23 8E 10 00 42 2C 02 00 40 14 23 98 73 00 00 00 30 8E 21 80 13 02 10 00 33 AE 00 00 00 A2 34 00 BF 8F 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 03 24 60 00 83 12 10 00 36 8E AA AA 03 3C AB AA 63 34 19 00 83 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 59 00 80 10 01 00 84 26 FE FF 04 24 23 20 83 00 2B 20 82 00 53 00 80 10 21 A0 62 00 FF FF 04 24 FE FF 14 24 ?? ?? ?? 0? 00 00 00 00 60 00 40 10 ?? ?? 15 3C 21 A8 40 00 14 00 22 8E 09 00 C0 12 10 00 42 2C 02 00 40 14 21 28 20 02 00 00 25 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 14 00 22 8E 10 00 42 2C 04 00 40 14 10 00 82 2E ?? ?? ?? 0? 00 00 24 8E 10 00 82 2E 00 00 35 AE 0B A8 22 02 21 A8 B6 02 14 00 34 AE 10 00 36 AE 0B FF 60 12 00 00 A0 A2 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 40 02 ?? ?? ?? 0? 21 30 60 02 14 00 22 8E 10 00 42 2C B8 FF 40 50 00 00 30 8E ?? ?? ?? 0? 21 80 13 02 10 00 42 2C 19 00 40 50 00 00 22 8E 21 20 32 02 21 10 20 02 21 90 92 02 21 28 52 00 ?? ?? ?? 0? 21 30 00 00 14 00 23 8E 10 00 24 8E 21 10 20 02 10 00 63 2C 02 00 60 14 23 A0 94 00 00 00 22 8E 21 10 54 00 10 00 34 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 26 8E 6B FF 40 16 10 00 63 2C A7 FE 60 50 00 00 30 8E ?? ?? ?? 0? 10 00 20 AE ?? ?? ?? 0? 21 20 52 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E 21 A0 60 02 01 00 84 26 B4 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 22 8E 21 98 40 02 01 00 64 26 37 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 23 8E ?? ?? B5 26 14 00 A4 27 ?? ?? ?? 0? 14 00 B5 AF 14 00 A4 27 ?? ?? ?? 0? 14 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 14 00 22 8E ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 14 00 23 8E }
	condition:
		$1
}

rule file_83_0_4 {
	meta:
		name = "cacos"
		size = 808
		refs = "0028 creal 0038 cimag 0044 _Dtest 0084 fpadd 0094 _Cbuild 00a0 csqrt 00b4 fpsub 0124 conj 013c atan2 0158 fpmul 017c asinh 0230 fpcmp 0208 _Inf"
	strings:
		$1 = { C8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 21 88 A0 00 21 80 80 00 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF ?? ?? ?? 0? 20 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 56 00 03 12 00 00 00 00 66 00 43 10 01 00 03 24 6D 00 03 12 00 00 00 00 8A 00 43 10 ?? ?? 13 3C ?? ?? 65 8E 10 00 A4 8F ?? ?? ?? 0? 00 80 12 3C 14 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 26 28 B2 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 64 8E 10 00 A5 8F 21 80 60 00 ?? ?? ?? 0? 21 88 40 00 14 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 26 28 B2 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 20 02 21 28 00 02 21 90 60 00 ?? ?? ?? 0? 21 98 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 02 21 20 60 02 ?? ?? ?? 0? 21 A0 40 00 21 28 40 02 21 20 60 02 ?? ?? ?? 0? 21 A8 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 00 21 20 C0 02 21 28 A0 02 ?? ?? ?? 0? 21 80 40 00 21 20 80 02 21 28 40 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 4C 00 50 10 01 00 03 24 33 00 43 10 14 00 A5 8F 10 00 B0 8F 21 28 00 02 ?? ?? ?? 0? 21 20 00 02 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 01 00 02 24 3C 00 02 12 ?? ?? 02 3C 35 00 00 56 14 00 B0 8F ?? ?? 02 3C 14 00 A5 8F ?? ?? ?? 0? ?? ?? 50 8C 37 00 50 10 10 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 80 00 00 04 00 41 04 1A 00 A2 87 ?? ?? 02 3C ?? ?? 50 8C 1A 00 A2 87 ?? ?? 03 3C CD FF 40 04 ?? ?? 65 8C 00 80 02 3C 21 20 00 02 ?? ?? ?? 0? 26 28 45 00 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 00 80 02 3C 10 00 B0 8F ?? ?? ?? 0? 26 28 A2 00 14 00 A5 8F 00 80 02 3C 26 28 A2 00 ?? ?? 02 3C ?? ?? 50 8C ?? ?? ?? 0? 21 20 00 02 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 21 28 00 02 10 00 B0 8F ?? ?? ?? 0? 14 00 A5 8F 14 00 B0 8F ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 21 28 00 00 04 00 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C ?? ?? ?? 0? ?? ?? 50 8C }
	condition:
		$1
}

rule file_84_0_4 {
	meta:
		name = "iswprint"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 07 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_85_0_4 {
	meta:
		name = "_Fpcomp"
		size = 152
		refs = "0024 _Dtest 0050 fpcmp"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 2C 00 A5 AF ?? ?? ?? 0? 02 00 10 24 12 00 50 10 21 88 00 00 ?? ?? ?? 0? 2C 00 A4 27 0E 00 50 10 28 00 B2 8F 2C 00 B3 8F 01 00 11 24 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 07 00 40 04 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 00 00 42 28 04 00 03 24 21 88 00 02 0B 88 62 00 24 00 BF 8F 21 10 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_209_0_4 {
	meta:
		name = "_FFpcomp"
		size = 152
		refs = "0024 _FDtest 0050 fpcmp"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 2C 00 A5 AF ?? ?? ?? 0? 02 00 10 24 12 00 50 10 21 88 00 00 ?? ?? ?? 0? 2C 00 A4 27 0E 00 50 10 28 00 B2 8F 2C 00 B3 8F 01 00 11 24 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 07 00 40 04 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 00 00 42 28 04 00 03 24 21 88 00 02 0B 88 62 00 24 00 BF 8F 21 10 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_86_0_4 {
	meta:
		name = "_WStoxflt"
		size = 1056
		refs = "00b8 wmemchr 00fc localeconv 03d8 _Iswctype"
	strings:
		$1 = { 98 FF BD 27 78 00 A3 8F 07 00 02 24 58 00 B6 AF 02 10 62 70 21 B0 A0 00 00 00 A5 8C 40 00 B0 AF 23 00 10 24 60 00 BE AF 5C 00 B7 AF 44 00 B1 AF 64 00 BF AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 48 00 B2 AF 68 00 A4 AF 21 F0 E0 00 21 B8 C0 00 00 00 E0 AC 24 00 43 28 0B 80 43 00 30 00 02 24 04 00 E0 AC 06 00 A2 14 21 88 00 00 04 00 D6 26 00 00 C5 8E FE FF A2 50 04 00 D6 26 01 00 11 24 ?? ?? 15 3C ?? ?? B2 26 ?? ?? 14 3C 21 18 00 00 21 98 40 02 ?? ?? ?? 0? ?? ?? 94 26 01 00 63 24 00 00 C2 A0 04 00 D6 26 00 00 C5 8E 01 00 11 24 21 20 40 02 16 00 06 24 ?? ?? ?? 0? 3C 00 A3 AF 23 20 53 00 3C 00 A3 8F 83 20 04 00 80 20 04 00 10 00 A7 27 21 20 94 00 2A 28 03 02 07 00 40 10 21 30 E3 00 ED FF A0 50 00 00 82 8C 00 00 C2 8F 01 00 42 24 ?? ?? ?? 0? 00 00 C2 AF ?? ?? ?? 0? 00 00 D2 8E 2C 00 44 8C 3C 00 A3 8F 04 00 C2 26 00 00 84 80 26 90 44 02 8B 00 60 10 0A B0 52 00 00 00 C5 8E ?? ?? B2 26 21 20 40 02 16 00 06 24 3C 00 A3 AF ?? ?? ?? 0? 21 98 40 02 23 20 53 00 3C 00 A3 8F ?? ?? 14 3C 83 20 04 00 ?? ?? 94 26 80 20 04 00 10 00 A7 27 21 20 94 00 2A 28 03 02 18 00 40 10 21 30 E3 00 07 00 A0 14 04 00 D6 26 00 00 C2 8F 00 00 84 8C 01 00 63 24 FF FF 42 24 00 00 C4 A0 00 00 C2 AF 00 00 C5 8E 21 20 40 02 16 00 06 24 ?? ?? ?? 0? 3C 00 A3 AF 23 20 53 00 3C 00 A3 8F 83 20 04 00 80 20 04 00 10 00 A7 27 01 00 11 24 21 20 94 00 2A 28 03 02 EA FF 40 14 21 30 E3 00 2A 10 03 02 50 00 40 54 10 00 A3 27 00 00 C2 8F 48 00 60 18 10 00 A5 27 ?? ?? ?? 0? 21 20 A3 00 10 00 A7 27 21 20 E3 00 44 00 60 10 01 00 42 24 FF FF 84 80 FA FF 80 50 FF FF 63 24 80 10 02 00 00 00 C2 AF 2A 00 20 12 21 A8 00 00 07 00 15 24 1A 00 75 00 F4 01 A0 02 10 20 00 00 23 20 A4 02 1A 00 95 00 F4 01 A0 02 10 A8 00 00 1A 00 60 18 2B A8 15 00 10 00 A2 27 21 18 43 00 ?? ?? ?? 0? 07 00 05 24 00 00 47 80 01 00 B5 26 80 30 15 00 21 30 C6 03 01 00 42 24 0F 00 43 10 00 00 C7 AC 01 00 84 24 1A 00 85 00 F4 01 A0 00 80 38 15 00 10 30 00 00 F3 FF C0 10 21 38 C7 03 00 00 E6 8C 00 00 48 80 01 00 42 24 00 31 06 00 21 30 C8 00 F3 FF 43 14 00 00 E6 AC 00 00 C2 8E 70 00 03 24 34 00 43 10 50 00 03 24 33 00 43 50 04 00 C4 8E 03 00 E0 12 68 00 A5 8F 0A B0 B1 00 00 00 F6 AE 64 00 BF 8F 21 10 A0 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 C2 FF 60 54 80 10 02 00 10 00 A0 A3 ?? ?? ?? 0? 01 00 03 24 21 10 70 00 00 00 42 80 08 00 42 28 07 00 40 54 00 00 C2 8F FF FF 02 26 21 10 62 00 00 00 43 90 01 00 63 24 00 00 43 A0 00 00 C2 8F 21 18 00 02 01 00 42 24 ?? ?? ?? 0? 00 00 C2 AF 00 00 C5 8E 30 00 02 24 74 FF A2 14 30 00 04 24 00 00 C2 8F 04 00 D6 26 00 00 C5 8E FD FF A4 10 FF FF 42 24 00 00 C2 AF ?? ?? ?? 0? 01 00 11 24 04 00 C4 8E 2B 00 02 24 23 00 82 10 04 00 C3 26 2D 00 02 24 20 00 82 10 2B 00 14 24 F5 05 12 3C 21 30 00 00 21 80 00 00 00 E1 52 36 ?? ?? ?? 0? 0A 00 13 24 06 00 80 50 04 00 64 8C 02 20 D3 70 00 00 62 8C D0 FF 42 24 21 30 82 00 04 00 64 8C 01 00 10 24 04 00 63 24 04 00 05 24 3C 00 A3 AF ?? ?? ?? 0? 38 00 A6 AF 38 00 A6 8F 3C 00 A3 8F F0 FF 40 14 2A 20 D2 00 00 00 C2 8F 23 20 06 00 2D 00 94 3A 0A 30 94 00 21 30 46 00 00 00 C6 AF ?? ?? ?? 0? 0B B0 70 00 04 00 63 24 21 A0 80 00 ?? ?? ?? 0? 00 00 64 8C }
	condition:
		$1
}

rule file_87_0_4 {
	meta:
		name = "nexttowardf"
		size = 932
		refs = "0030 _FDtest 0054 _LDtest 0074 fptodp 0094 dpcmp 00b4 dptofp 0204 fpcmp 02fc _Feraise"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 20 00 BE AF 1C 00 B1 AF 18 00 B0 AF 21 F0 A0 03 28 00 C4 AF 30 00 C6 AF 34 00 C7 AF 28 00 C2 27 10 00 C2 AF 28 00 C4 27 ?? ?? ?? 0? 00 00 00 00 14 00 C2 A7 14 00 C3 87 02 00 02 24 C5 00 62 10 00 00 00 00 30 00 C2 27 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 18 40 00 02 00 02 24 0F 00 62 10 00 00 00 00 28 00 C2 8F 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 30 00 C2 8F 34 00 C3 8F 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 0A 00 40 14 00 00 00 00 30 00 C2 8F 34 00 C3 8F 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 00 00 00 00 28 00 C2 AF ?? ?? ?? 0? 00 00 00 00 14 00 C3 87 01 00 02 24 13 00 62 14 00 00 00 00 10 00 C2 8F 02 00 42 24 10 00 C3 8F 02 00 63 24 00 00 63 94 20 26 03 7C 00 80 03 24 24 18 83 00 20 1E 03 7C 7F 7F 63 34 20 1E 03 7C FF FF 63 30 00 00 43 A4 10 00 C2 8F FF FF 03 24 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 14 00 C2 87 20 00 40 14 00 00 00 00 10 00 C2 8F 02 00 51 24 28 00 C2 8F 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 30 00 C2 8F 34 00 C3 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 04 00 40 10 00 00 00 00 21 10 00 00 ?? ?? ?? 0? 00 00 00 00 00 80 02 34 00 00 22 A6 10 00 C2 8F 01 00 03 24 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 28 00 C2 8F 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 30 00 C2 8F 34 00 C3 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 0D 00 40 10 00 00 00 00 28 00 C2 8F 01 00 10 24 21 20 00 00 21 28 40 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 1E 00 40 14 00 00 00 00 28 00 C2 8F 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 30 00 C4 8F 34 00 C5 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 2A 00 40 10 00 00 00 00 28 00 C2 8F 01 00 10 24 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 1E 00 40 10 00 00 00 00 10 00 C2 8F 00 00 42 94 01 00 42 24 FF FF 43 30 10 00 C2 8F 00 00 43 A4 10 00 C2 8F 00 00 42 94 28 00 40 14 00 00 00 00 10 00 C2 8F 02 00 42 24 00 00 43 94 01 00 63 24 FF FF 63 30 00 00 43 A4 00 00 42 94 21 18 40 00 FF FF 02 3C FF 7F 42 34 24 18 62 00 80 7F 02 24 19 00 62 14 00 00 00 00 08 00 04 24 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 10 00 C2 8F 00 00 42 94 FF FF 42 24 FF FF 43 30 10 00 C2 8F 00 00 43 A4 10 00 C2 8F 00 00 43 94 FF FF 02 34 0A 00 62 14 00 00 00 00 10 00 C2 8F 02 00 42 24 00 00 43 94 FF FF 63 24 FF FF 63 30 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 00 00 00 00 10 00 C2 8F 02 00 42 24 00 00 42 94 80 7F 42 30 04 00 40 14 00 00 00 00 10 00 04 24 ?? ?? ?? 0? 00 00 00 00 28 00 C2 8F 21 E8 C0 03 24 00 BF 8F 20 00 BE 8F 1C 00 B1 8F 18 00 B0 8F 28 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_88_0_4 {
	meta:
		name = "fputc"
		size = 192
		refs = "0084 fflush 00a4 _Fwprep"
	strings:
		$1 = { 0C 00 A2 8C 14 00 A3 8C E0 FF BD 27 18 00 B0 AF 2B 18 43 00 1C 00 BF AF 21 00 60 10 21 80 80 00 FF 00 10 32 00 00 50 A0 00 00 A3 94 01 00 42 24 0C 00 A2 AC 00 08 62 30 11 00 40 14 00 04 62 30 05 00 40 50 00 0C 63 30 0A 00 02 24 0D 00 02 52 21 20 A0 00 00 0C 63 30 07 00 60 54 0C 00 A2 8C 21 18 00 02 1C 00 BF 8F 21 10 60 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 14 00 A2 AC 21 20 A0 00 ?? ?? ?? 0? 10 00 A5 AF FF FF 03 24 F4 FF 40 14 10 00 A5 8F ?? ?? ?? 0? 00 00 A3 94 21 20 A0 00 ?? ?? ?? 0? 10 00 A5 AF FF FF 03 24 EC FF 40 04 10 00 A5 8F ?? ?? ?? 0? 0C 00 A2 8C }
	condition:
		$1
}

rule file_89_0_4 {
	meta:
		name = "clogl"
		size = 1372
		refs = "0038 creall 0054 cimagl 0064 _LDtest 0098 atan2l 00c8 dpcmp 019c dpdiv 01b4 _LLog 01d0 dpmul 01dc log1pl 0208 dpadd 021c _LCbuild 0314 _LInf 0394 _Feraise 03dc _LDint 0424 dpsub"
	strings:
		$1 = { 98 FF BD 27 4C 00 B3 AF 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 21 88 E0 00 21 80 C0 00 21 90 80 00 21 98 A0 00 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF ?? ?? ?? 0? 50 00 B4 AF 21 30 00 02 21 38 20 02 21 28 60 02 21 20 40 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 27 ?? ?? ?? 0? 21 80 40 00 21 88 40 00 02 00 02 24 88 00 02 52 01 00 02 24 72 00 22 12 18 00 A4 8F 1C 00 A5 8F 10 00 A6 8F ?? ?? ?? 0? 14 00 A7 8F 21 90 40 00 01 00 02 24 9A 00 02 12 21 98 60 00 98 00 22 12 10 00 B1 8F 14 00 B0 8F 21 30 00 00 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 06 00 41 04 18 00 B6 8F 00 80 02 3C 26 80 02 02 10 00 B1 AF 14 00 B0 AF 18 00 B6 8F 1C 00 B4 8F 21 30 00 00 21 38 00 00 21 20 C0 02 ?? ?? ?? 0? 21 28 80 02 05 00 41 04 21 20 20 02 00 80 02 3C 26 A0 82 02 18 00 B6 AF 1C 00 B4 AF 21 30 C0 02 21 28 00 02 ?? ?? ?? 0? 21 38 80 02 70 00 42 04 18 00 B1 AF 21 20 20 02 21 28 00 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 92 00 40 10 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 68 00 40 1C ?? ?? 02 3C 18 00 B4 8F 1C 00 B5 8F ?? ?? 44 8C ?? ?? 45 8C 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 90 00 40 58 20 00 A4 27 21 38 00 02 21 30 20 02 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 21 B0 40 00 21 A0 60 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 00 00 21 30 C0 02 21 38 80 02 21 20 C0 02 21 28 80 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 02 21 38 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 01 00 02 24 40 00 02 12 ?? ?? 02 3C 18 00 A4 8F 1C 00 A5 8F 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 34 00 22 12 ?? ?? 02 3C 10 00 A4 8F 14 00 A5 8F 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 1C 00 B0 AF 10 00 B6 AF 14 00 B4 AF 21 88 C0 02 ?? ?? ?? 0? 21 80 80 02 18 00 B4 8F ?? ?? ?? 0? 1C 00 B5 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 18 00 A6 8F 1C 00 A7 8F ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 64 00 BF 8F 10 00 A6 8F 14 00 A7 8F ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 64 00 BF 8F ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 43 8C 00 80 02 3C 26 10 82 00 21 30 40 02 21 38 60 02 21 20 60 00 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 64 00 BF 8F 1A 00 05 24 20 00 B1 AF 24 00 B0 AF 28 00 B4 AF ?? ?? ?? 0? 2C 00 B5 AF 28 00 A4 27 ?? ?? ?? 0? 1A 00 05 24 20 00 B4 8F 24 00 B5 8F 28 00 B0 8F 21 20 80 02 21 28 A0 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 ?? ?? 04 3C 2C 00 B1 8F ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 00 02 21 28 20 02 21 30 00 02 21 38 20 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 10 00 B6 8F 14 00 B7 8F 21 30 80 02 21 38 A0 02 21 20 C0 02 21 28 E0 02 21 F0 60 00 ?? ?? ?? 0? 38 00 A2 AF 21 20 80 02 21 28 A0 02 21 30 C0 02 21 38 E0 02 30 00 A2 AF ?? ?? ?? 0? 34 00 A3 AF 30 00 AA 8F 34 00 AB 8F 21 30 40 00 21 20 40 01 21 28 60 01 ?? ?? ?? 0? 21 38 60 00 18 00 A4 8F 1C 00 A5 8F 21 30 00 02 21 38 20 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 18 00 A6 8F 1C 00 A7 8F 21 20 00 02 21 28 20 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 38 00 A8 8F 21 38 C0 03 21 20 40 00 21 30 00 01 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 30 40 02 }
	condition:
		$1
}

rule file_90_0_4 {
	meta:
		name = "iswpunct"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 08 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_91_0_4 {
	meta:
		name = "cacosf"
		size = 948
		refs = "0030 crealf 0040 cimagf 004c _FDtest 0090 fpadd 00a0 _FCbuild 00ac csqrtf 00c0 fpsub 0130 conjf 0148 atan2f 0164 fpcmp 0178 fpdiv 0184 fpmul 019c asinhf 01cc _FLog 020c _FInf"
	strings:
		$1 = { C0 FF BD 27 1C 00 B1 AF 18 00 B0 AF 21 88 A0 00 21 80 80 00 3C 00 BF AF 38 00 BE AF 34 00 B7 AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF ?? ?? ?? 0? 20 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 60 00 03 12 00 00 00 00 65 00 43 10 01 00 03 24 7A 00 03 12 00 00 00 00 A2 00 43 10 ?? ?? 12 3C ?? ?? 45 8E 10 00 A4 8F 00 80 15 3C ?? ?? ?? 0? ?? ?? 17 3C 14 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 26 28 B5 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 44 8E 10 00 A5 8F 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 14 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 26 28 B5 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 20 02 21 28 00 02 21 98 60 00 ?? ?? ?? 0? 21 A0 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 60 02 21 20 80 02 ?? ?? ?? 0? 21 B0 40 00 21 28 60 02 21 20 80 02 ?? ?? ?? 0? 21 F0 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 00 ?? ?? E4 8E 21 28 40 02 ?? ?? ?? 0? 21 88 40 00 4C 00 43 04 ?? ?? E4 8E 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 ?? ?? ?? 0? 21 28 C0 03 21 B0 40 02 ?? ?? ?? 0? 21 20 40 00 21 20 C0 02 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 1B 00 40 10 21 20 00 00 ?? ?? ?? 0? 21 28 20 02 5B 00 40 18 21 20 C0 02 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 80 40 00 4F 00 50 10 01 00 03 24 41 00 43 50 14 00 B0 8F 10 00 B1 8F ?? ?? ?? 0? 21 80 20 02 01 00 02 24 51 00 02 12 ?? ?? 02 3C 43 00 00 16 14 00 B1 8F ?? ?? 02 3C 14 00 B0 8F ?? ?? 51 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 4B 00 50 10 10 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 88 00 00 04 00 41 04 16 00 A2 87 ?? ?? 02 3C ?? ?? 51 8C 16 00 A2 87 ?? ?? 03 3C E5 FF 40 04 ?? ?? 70 8C 00 80 02 3C ?? ?? ?? 0? 26 80 50 00 ?? ?? ?? 0? 21 28 C0 02 09 00 40 04 21 20 C0 03 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 C0 02 26 00 43 04 21 20 40 02 26 B0 D5 02 21 20 C0 03 ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 ?? ?? ?? 0? 00 00 00 00 00 80 02 3C 10 00 B1 8F ?? ?? ?? 0? 26 80 02 02 14 00 B0 8F 00 80 02 3C 26 80 02 02 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 51 8C ?? ?? ?? 0? 21 80 20 02 10 00 B1 8F ?? ?? ?? 0? 14 00 B0 8F ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 80 40 00 14 00 B1 8F ?? ?? ?? 0? ?? ?? 50 8C ?? ?? ?? 0? 21 28 C0 03 21 20 C0 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? 21 28 00 00 04 00 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 51 8C ?? ?? ?? 0? ?? ?? 51 8C }
	condition:
		$1
}

rule file_92_0_4 {
	meta:
		name = "prout"
		size = 100
		refs = "002c memcpy"
	strings:
		$1 = { 04 00 82 8C E0 FF BD 27 18 00 B1 AF 2B 88 46 00 0A 10 D1 00 14 00 B0 AF 1C 00 BF AF 21 80 80 00 0A 00 40 10 21 88 40 00 00 00 84 8C ?? ?? ?? 0? 21 30 40 00 00 00 02 8E 04 00 03 8E 21 10 51 00 23 88 71 00 00 00 02 AE 04 00 11 AE 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_92_1_4 {
	meta:
		name = "snprintf"
		size = 96
		refs = "0030 _Printf"
	strings:
		$1 = { D0 FF BD 27 3C 00 A2 27 2C 00 BF AF 3C 00 A7 AF 0F 00 A0 14 18 00 A2 AF 1C 00 A0 AF 20 00 A0 AF 18 00 A7 8F ?? ?? 04 3C ?? ?? 84 24 1C 00 A5 27 ?? ?? ?? 0? 10 00 A0 AF 1C 00 A3 8F 01 00 60 54 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 FF FF A5 24 1C 00 A4 AF ?? ?? ?? 0? 20 00 A5 AF }
	condition:
		$1
}

rule file_93_0_4 {
	meta:
		name = "feupdateenv"
		size = 88
		refs = "0018 fetestexcept 0028 fesetenv 0034 feraiseexcept"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 20 00 C4 AF 3D 00 04 24 ?? ?? ?? 0? 00 00 00 00 10 00 C2 AF 20 00 C4 8F ?? ?? ?? 0? 00 00 00 00 10 00 C4 8F ?? ?? ?? 0? 00 00 00 00 21 10 00 00 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_94_0_4 {
	meta:
		name = "nearbyintf"
		size = 68
		refs = "000c _FDtest 0024 _FRint"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 02 00 03 24 2B 10 62 00 06 00 40 10 14 00 BF 8F ?? ?? ?? 0? 18 00 A4 8F 14 00 BF 8F 08 00 E0 03 18 00 BD 27 18 00 A2 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_749_0_4 {
	meta:
		name = "nearbyint"
		size = 68
		refs = "000c _Dtest 0024 _Rint"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 02 00 03 24 2B 10 62 00 06 00 40 10 14 00 BF 8F ?? ?? ?? 0? 18 00 A4 8F 14 00 BF 8F 08 00 E0 03 18 00 BD 27 18 00 A2 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_95_0_4 {
	meta:
		name = "catanl"
		size = 268
		refs = "0034 cimagl 0058 creall 006c _LCbuild 0080 catanhl"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 ?? ?? ?? 0? 21 88 E0 00 21 A0 60 00 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 00 80 10 3C 21 B0 40 00 ?? ?? ?? 0? 26 A0 90 02 21 30 40 00 21 20 C0 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 98 60 00 21 A0 80 00 21 A8 A0 00 21 90 40 00 21 28 60 02 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 20 40 00 21 30 80 02 21 38 A0 02 21 20 40 02 21 28 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 26 80 70 00 21 20 C0 02 21 28 E0 02 21 38 00 02 ?? ?? ?? 0? 21 30 40 00 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_592_0_4 {
	meta:
		name = "casinl"
		size = 268
		refs = "0034 cimagl 0058 creall 006c _LCbuild 0080 casinhl"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 ?? ?? ?? 0? 21 88 E0 00 21 A0 60 00 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 00 80 10 3C 21 B0 40 00 ?? ?? ?? 0? 26 A0 90 02 21 30 40 00 21 20 C0 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 98 60 00 21 A0 80 00 21 A8 A0 00 21 90 40 00 21 28 60 02 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 20 40 00 21 30 80 02 21 38 A0 02 21 20 40 02 21 28 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 26 80 70 00 21 20 C0 02 21 28 E0 02 21 38 00 02 ?? ?? ?? 0? 21 30 40 00 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_636_0_4 {
	meta:
		name = "csinl"
		size = 268
		refs = "0034 cimagl 0058 creall 006c _LCbuild 0080 csinhl"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 ?? ?? ?? 0? 21 88 E0 00 21 A0 60 00 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 00 80 10 3C 21 B0 40 00 ?? ?? ?? 0? 26 A0 90 02 21 30 40 00 21 20 C0 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 98 60 00 21 A0 80 00 21 A8 A0 00 21 90 40 00 21 28 60 02 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 20 40 00 21 30 80 02 21 38 A0 02 21 20 40 02 21 28 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 26 80 70 00 21 20 C0 02 21 28 E0 02 21 38 00 02 ?? ?? ?? 0? 21 30 40 00 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_387_0_4 {
	meta:
		name = "ctanl"
		size = 268
		refs = "0034 cimagl 0058 creall 006c _LCbuild 0080 ctanhl"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 ?? ?? ?? 0? 21 88 E0 00 21 A0 60 00 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 00 80 10 3C 21 B0 40 00 ?? ?? ?? 0? 26 A0 90 02 21 30 40 00 21 20 C0 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 98 60 00 21 A0 80 00 21 A8 A0 00 21 90 40 00 21 28 60 02 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 20 40 00 21 30 80 02 21 38 A0 02 21 20 40 02 21 28 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 26 80 70 00 21 20 C0 02 21 28 E0 02 21 38 00 02 ?? ?? ?? 0? 21 30 40 00 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_96_0_4 {
	meta:
		name = "_Makewct"
		size = 896
		refs = "0014 _Clocale 005c strcspn 0094 strcmp 00e4 _Skip 00f0 _Locsum 0160 malloc 0184 memcpy 01cc free 0260 memmove 02ec realloc 032c strlen 0350 strcpy"
	strings:
		$1 = { 04 00 A2 8C 90 FF BD 27 60 00 B6 AF 21 18 82 00 21 B0 80 00 ?? ?? 04 3C 58 00 B4 AF ?? ?? 84 24 21 A0 A0 00 ?? ?? 05 3C 21 10 82 00 ?? ?? A5 24 21 20 C0 00 64 00 B7 AF 5C 00 B5 AF 54 00 B3 AF 50 00 B2 AF 4C 00 B1 AF 00 00 72 8C 00 00 57 8C 21 88 C0 00 6C 00 BF AF 68 00 BE AF ?? ?? ?? 0? 48 00 B0 AF 21 98 22 02 00 00 62 82 26 B8 57 02 2B B8 17 00 03 00 40 10 01 00 15 24 00 00 60 A2 21 A8 00 00 08 00 45 8E 9F 00 A0 10 08 00 5E 26 21 80 00 00 ?? ?? ?? 0? 21 20 20 02 0A 80 C2 03 08 00 DE 27 00 00 C5 8F FA FF A0 14 00 00 00 00 95 00 00 12 25 10 B7 02 26 00 40 50 23 F0 D2 03 17 00 A0 16 01 00 03 24 20 00 02 24 00 00 54 8E 14 00 B6 27 00 00 62 A2 2C 00 11 24 21 10 60 02 0A 00 13 24 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 10 00 A5 27 08 00 40 10 10 00 A3 8F 00 00 C3 AE 00 00 44 80 34 00 91 14 04 00 D6 26 01 00 B5 26 F3 FF B3 16 00 00 00 00 21 18 00 00 6C 00 BF 8F 21 10 60 00 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 C3 F0 1E 00 01 00 04 24 21 20 C4 03 ?? ?? ?? 0? C0 20 04 00 ED FF 40 10 21 18 00 00 01 00 C6 27 21 20 40 00 21 28 40 02 C0 30 06 00 44 00 A3 AF ?? ?? ?? 0? 40 00 A2 AF 44 00 A3 8F 62 00 00 12 40 00 A7 8F 23 80 12 02 C3 80 10 00 C0 80 10 00 C0 F0 1E 00 21 80 F0 00 21 F0 FE 00 06 00 E0 56 21 20 40 02 04 00 82 8E 21 90 E0 00 21 B0 C2 02 ?? ?? ?? 0? 00 00 C7 AE ?? ?? ?? 0? 40 00 A7 AF ?? ?? ?? 0? 40 00 A7 8F D0 FF 80 14 21 18 00 00 04 00 D1 8F 04 00 56 8E 21 10 B1 02 2B 10 C2 02 12 00 40 50 0C 00 06 8E 39 00 C0 16 30 00 31 26 ?? ?? ?? 0? 80 20 11 00 21 98 40 00 C3 FF 40 10 21 18 C0 02 04 00 C6 8F 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 80 30 06 00 21 A0 60 02 04 00 51 AE 04 00 D1 8F 00 00 54 AE 0C 00 06 8E 01 00 03 24 44 00 A3 AF 21 20 A6 02 80 28 06 00 80 20 04 00 23 30 26 02 21 20 84 02 21 28 85 02 ?? ?? ?? 0? 80 30 06 00 0C 00 04 8E 14 00 A5 27 08 00 10 26 80 20 04 00 80 30 15 00 ?? ?? ?? 0? 21 20 84 02 2B 10 D0 03 A5 FF 40 14 44 00 A3 8F 04 00 02 8E 21 10 55 00 04 00 02 AE 08 00 10 26 2B 10 D0 03 FB FF 40 50 04 00 02 8E 6C 00 BF 8F 01 00 03 24 21 10 60 00 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 21 20 80 02 80 28 11 00 ?? ?? ?? 0? 44 00 A3 AF 21 A0 40 00 CD FF 40 14 44 00 A3 8F ?? ?? ?? 0? 6C 00 BF 8F 23 F0 D2 03 C3 F0 1E 00 21 80 00 00 ?? ?? ?? 0? 02 00 04 24 21 20 20 02 C0 80 1E 00 21 80 F0 00 40 00 A7 AF ?? ?? ?? 0? 44 00 A3 AF ?? ?? ?? 0? 01 00 44 24 00 00 02 AE 0B 00 40 10 40 00 A7 8F 21 20 40 00 21 28 20 02 ?? ?? ?? 0? 40 00 A7 AF 04 00 02 8E 08 00 1E 26 08 00 00 AE 04 00 C2 AF ?? ?? ?? 0? 40 00 A7 8F ?? ?? ?? 0? 21 20 E0 00 ?? ?? ?? 0? 44 00 A3 8F }
	condition:
		$1
}

rule file_99_0_4 {
	meta:
		name = "_Getmem"
		size = 56
		refs = "001c sbrk"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 04 00 80 1C 21 10 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 27 18 02 00 0A 10 03 00 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_100_0_4 {
	meta:
		name = "prout"
		size = 40
		refs = "000c memcpy"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 10 00 B0 AF ?? ?? ?? 0? 21 80 C0 00 14 00 BF 8F 21 10 50 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_100_1_4 {
	meta:
		name = "vsprintf"
		size = 76
		refs = "0028 _Printf"
	strings:
		$1 = { E0 FF BD 27 21 10 A0 00 18 00 B0 AF 21 80 80 00 ?? ?? 04 3C 21 38 C0 00 ?? ?? 84 24 21 28 00 02 21 30 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 02 00 40 04 21 80 02 02 00 00 00 A2 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_101_0_4 {
	meta:
		name = "raise"
		size = 40
		refs = "0008 getpid 0014 kill"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 AF 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_102_0_4 {
	meta:
		name = "_Pow"
		size = 2340
		refs = "0040 _Dunscale 0050 _Dint 006c fpcmp 00dc _Zero 01b4 fpmul 01c4 fpadd 01cc fptosi 01d8 sitofp 0218 fpsub 0234 fpdiv 0254 _Logpoly 033c _Feraise 03d4 _Inf 0494 _Nan 0654 _Exp 06a8 _Xp_setw 06cc _Xp_addx 0720 _Xp_addh 0740 memcpy 0750 _Xp_mulh 07e4 _Xp_getw"
	strings:
		$1 = { 68 FF BD 27 98 00 A4 AF 9C 00 A5 AF 14 00 A5 AF 10 00 A4 27 98 00 A5 27 94 00 BF AF 78 00 B2 AF 74 00 B1 AF 70 00 B0 AF 90 00 BE AF 21 80 C0 00 8C 00 B7 AF 88 00 B6 AF 84 00 B5 AF 80 00 B4 AF ?? ?? ?? 0? 7C 00 B3 AF 14 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 88 40 00 02 00 00 12 21 90 40 00 00 00 00 A6 05 00 40 16 9C 00 A4 8F ?? ?? ?? 0? 21 28 00 00 30 00 40 10 ?? ?? 02 3C 1C 00 20 06 02 00 02 24 B5 00 22 52 98 00 B0 8F 02 00 02 24 BF 00 42 52 9C 00 B0 8F 01 00 02 24 C9 00 22 52 9E 00 A2 87 DA 00 42 12 A2 00 A2 87 0A 01 40 04 00 00 00 00 21 00 40 16 21 80 00 00 14 00 A4 27 ?? ?? ?? 0? FF FF 05 24 1D 00 41 04 94 00 BF 8F 9E 00 A2 87 1B 00 41 04 21 10 00 02 ?? ?? 02 3C ?? ?? 50 8C 00 80 02 3C ?? ?? ?? 0? 26 80 02 02 10 00 B3 87 01 00 02 24 1D 00 62 16 98 00 B4 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 09 00 40 10 ?? ?? 02 3C 15 00 53 16 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 DB FF 40 14 01 00 02 24 ?? ?? 02 3C ?? ?? 50 8C 94 00 BF 8F 21 10 00 02 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 C7 FF 40 1E 02 00 02 24 9E 00 A2 87 C1 00 40 04 98 00 B1 8F 21 20 00 00 21 F0 00 00 ?? ?? ?? 0? 21 28 20 02 A5 00 41 04 00 80 02 3C 01 00 02 24 AB 00 62 12 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? 12 3C ?? ?? ?? 0? 21 20 20 02 ?? ?? 45 8E 21 20 40 00 ?? ?? ?? 0? ?? ?? 17 3C ?? ?? ?? 0? 21 20 40 00 E0 FF 53 24 ?? ?? ?? 0? 21 20 60 02 ?? ?? 03 3C ?? ?? 65 8C 21 20 40 00 ?? ?? ?? 0? 00 99 13 00 ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 21 28 40 02 21 10 53 00 ?? ?? ?? 0? 68 00 A2 AF 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 21 A8 40 00 ?? ?? ?? 0? 98 00 B3 AF 98 00 B1 8F 21 28 A0 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? E4 8E 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 28 40 00 21 20 20 02 ?? ?? 16 3C ?? ?? ?? 0? 21 A8 40 00 ?? ?? C5 8E 21 20 40 00 ?? ?? ?? 0? 21 98 40 00 10 00 A4 87 ?? ?? ?? 0? 21 90 40 00 21 20 40 00 21 A0 40 00 68 00 A2 8F ?? ?? ?? 0? 00 00 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 9C 00 B2 8F 21 20 40 00 14 00 A2 AF ?? ?? ?? 0? 21 28 40 02 21 18 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 60 00 18 00 A3 AF ?? ?? ?? 0? 6C 00 A3 AF 78 00 41 04 6C 00 A3 8F 21 10 00 00 10 00 04 24 ?? ?? ?? 0? 18 00 A2 AF 7D FF C0 53 18 00 B0 8F 18 00 B0 8F 00 80 02 3C ?? ?? ?? 0? 26 80 02 02 94 00 BF 8F 90 00 BE 8F 21 10 00 02 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 94 00 BF 8F 90 00 BE 8F 21 10 00 02 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 36 00 40 04 A2 00 A2 87 5B FF 40 04 21 80 00 00 ?? ?? 02 3C ?? ?? 50 8C 94 00 BF 8F 21 10 00 02 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 FE 00 40 04 10 00 A2 87 48 FF 40 18 21 80 00 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C 26 88 22 02 14 00 A4 27 FF FF 05 24 ?? ?? ?? 0? 98 00 B1 AF 21 F0 40 00 10 00 B3 87 ?? ?? ?? 0? 98 00 B1 8F ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 53 FF 41 04 ?? ?? 02 3C 21 20 20 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 17 3C 21 88 40 00 21 98 00 00 ?? ?? ?? 0? ?? ?? F2 8E 3F FF 40 12 00 00 00 00 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C DE 00 40 04 00 00 00 00 CB FF 40 16 ?? ?? 02 3C 14 00 A4 27 ?? ?? ?? 0? FF FF 05 24 C6 FF 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 50 8C 00 80 02 3C ?? ?? ?? 0? 26 80 02 02 ?? ?? ?? 0? 04 00 04 24 BD FF 40 16 ?? ?? 02 3C 14 00 A4 27 ?? ?? ?? 0? FF FF 05 24 B8 FF 41 04 ?? ?? 02 3C 9E 00 A2 87 F0 FF 40 04 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 60 00 59 00 40 1C 6C 00 A3 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 00 53 00 40 1C 6C 00 A3 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 40 02 4D 00 41 04 6C 00 A3 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 47 00 41 04 6C 00 A3 8F 21 20 60 00 ?? ?? ?? 0? 21 28 00 00 E1 00 41 04 6C 00 A3 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 28 40 02 21 20 60 02 ?? ?? ?? 0? 6C 00 A6 AF 21 88 40 00 68 00 A2 8F 04 00 44 8C ?? ?? ?? 0? 08 00 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? C5 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 68 00 A2 8F 21 20 80 02 ?? ?? ?? 0? 00 00 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 6C 00 A6 8F 21 90 40 00 ?? ?? ?? 0? 21 20 C0 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? C5 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 6C 00 A6 8F 18 00 A2 AF 03 00 00 12 ?? ?? E5 8E 00 00 06 A6 21 30 00 00 ?? ?? ?? 0? 18 00 A4 27 35 FF 40 10 21 18 40 00 01 00 02 24 36 FF 62 14 ?? ?? 02 3C ?? ?? 42 8C 08 00 04 24 ?? ?? ?? 0? 18 00 A2 AF ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 60 00 F2 FF 40 04 01 00 03 24 24 00 A4 27 04 00 05 24 ?? ?? ?? 0? 21 30 20 02 02 00 05 24 21 30 A0 02 ?? ?? ?? 0? 1C 00 A4 27 24 00 A4 27 04 00 05 24 1C 00 A6 27 ?? ?? ?? 0? 02 00 07 24 24 00 A4 8F ?? ?? ?? 0? 21 28 00 00 57 00 40 14 34 00 B3 27 34 00 B2 27 21 20 40 02 04 00 05 24 ?? ?? ?? 0? 21 30 00 00 68 00 A6 8F 03 00 07 24 04 00 05 24 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 10 00 A4 87 21 30 40 00 21 20 40 02 ?? ?? ?? 0? 04 00 05 24 9C 00 A6 8F 24 00 A4 27 ?? ?? ?? 0? 02 00 05 24 21 28 40 02 10 00 06 24 ?? ?? ?? 0? 44 00 A4 27 24 00 A6 8F 44 00 A4 27 ?? ?? ?? 0? 04 00 05 24 28 00 A4 8F ?? ?? ?? 0? 21 28 00 00 59 00 40 14 21 28 40 02 44 00 B1 8F 21 28 00 00 21 20 20 02 ?? ?? ?? 0? 98 00 B1 AF 0F 00 40 10 98 00 A4 27 48 00 B2 8F 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 09 00 40 50 98 00 A4 27 4C 00 A5 8F ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 98 00 A2 AF 98 00 A4 27 ?? ?? ?? 0? 21 28 00 00 98 00 A6 8F 00 80 02 3C 04 00 05 24 26 30 C2 00 ?? ?? ?? 0? 44 00 A4 27 44 00 A4 27 ?? ?? ?? 0? 04 00 05 24 ?? ?? C5 8E ?? ?? ?? 0? 21 20 40 00 98 00 A4 8F ?? ?? ?? 0? 18 00 A2 AF ?? ?? ?? 0? 21 30 40 00 4B FE 40 1C 21 80 00 00 ?? ?? ?? 0? ?? ?? 02 3C 47 FE 40 16 21 80 00 00 14 00 A4 27 ?? ?? ?? 0? FF FF 05 24 43 FE 41 04 94 00 BF 8F ?? ?? ?? 0? ?? ?? 02 3C ?? ?? 14 3C ?? ?? 85 26 10 00 06 24 ?? ?? ?? 0? 21 20 60 02 24 00 A6 8F 21 20 60 02 04 00 05 24 ?? ?? ?? 0? 28 00 B1 27 21 90 60 02 ?? ?? 94 26 00 00 24 8E ?? ?? ?? 0? 21 28 00 00 21 28 80 02 10 00 06 24 9D FF 40 10 54 00 A4 27 ?? ?? ?? 0? 00 00 00 00 00 00 26 8E 54 00 A4 27 ?? ?? ?? 0? 04 00 05 24 04 00 31 26 21 20 60 02 04 00 05 24 54 00 A6 27 ?? ?? ?? 0? 04 00 07 24 ED FF 71 56 00 00 24 8E ?? ?? ?? 0? 68 00 A6 8F 54 00 A4 27 ?? ?? ?? 0? 10 00 06 24 28 00 A6 8F 54 00 A4 27 ?? ?? ?? 0? 04 00 05 24 44 00 A4 27 04 00 05 24 54 00 A6 27 ?? ?? ?? 0? 04 00 07 24 ?? ?? ?? 0? 44 00 B1 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 30 40 00 }
	condition:
		$1
}

rule file_103_0_4 {
	meta:
		name = "log2f"
		size = 28
		refs = "0008 _FLog"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? FF FF 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_796_0_4 {
	meta:
		name = "log2"
		size = 28
		refs = "0008 _Log"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? FF FF 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_105_0_4 {
	meta:
		name = "_Atrealloc"
		size = 232
		refs = "002c malloc 0058 memcpy 00a0 free"
	strings:
		$1 = { D8 FF BD 27 14 00 B1 AF ?? ?? 11 3C ?? ?? 24 8E 10 00 B0 AF 18 00 B2 AF 42 80 04 00 21 20 04 02 80 20 04 00 24 00 BF AF 20 00 B4 AF ?? ?? ?? 0? 1C 00 B3 AF 21 90 40 00 23 00 40 12 21 10 00 00 ?? ?? 02 3C ?? ?? 13 3C ?? ?? 46 8C ?? ?? 65 8E 21 20 40 02 80 30 06 00 ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 83 8E ?? ?? 26 8E ?? ?? 65 8E 21 20 03 02 80 10 03 00 23 30 C3 00 80 20 04 00 21 20 44 02 21 28 A2 00 ?? ?? ?? 0? 80 30 06 00 ?? ?? 64 8E ?? ?? 02 3C ?? ?? 42 24 04 00 82 10 ?? ?? 82 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? 82 8E ?? ?? 23 8E ?? ?? 72 AE 21 10 02 02 21 80 03 02 ?? ?? 82 AE ?? ?? 30 AE 01 00 02 24 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_243_0_4 {
	meta:
		name = "_Atrealloc"
		size = 232
		refs = "002c malloc 0040 _Atcount0 004c _Atfuns 0058 memcpy 005c _Atcount 00a0 free"
	strings:
		$1 = { D8 FF BD 27 14 00 B1 AF ?? ?? 11 3C ?? ?? 24 8E 10 00 B0 AF 18 00 B2 AF 42 80 04 00 21 20 04 02 80 20 04 00 24 00 BF AF 20 00 B4 AF ?? ?? ?? 0? 1C 00 B3 AF 21 90 40 00 23 00 40 12 21 10 00 00 ?? ?? 02 3C ?? ?? 13 3C ?? ?? 46 8C ?? ?? 65 8E 21 20 40 02 80 30 06 00 ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 83 8E ?? ?? 26 8E ?? ?? 65 8E 21 20 03 02 80 10 03 00 23 30 C3 00 80 20 04 00 21 20 44 02 21 28 A2 00 ?? ?? ?? 0? 80 30 06 00 ?? ?? 64 8E ?? ?? 02 3C ?? ?? 42 24 04 00 82 10 ?? ?? 82 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? 82 8E ?? ?? 23 8E ?? ?? 72 AE 21 10 02 02 21 80 03 02 ?? ?? 82 AE ?? ?? 30 AE 01 00 02 24 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_105_1_4 {
	meta:
		name = "_Atqexit"
		size = 152
		refs = "0090 abort"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF ?? ?? 03 3C ?? ?? 10 3C ?? ?? 02 8E ?? ?? 63 8C 2B 18 43 00 0C 00 60 10 1C 00 BF AF ?? ?? 03 3C ?? ?? 65 8C 1C 00 BF 8F 80 18 02 00 21 18 A3 00 01 00 42 24 00 00 64 AC ?? ?? 02 AE 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 10 00 A4 AF 0D 00 40 10 10 00 A4 8F ?? ?? 02 8E ?? ?? 03 3C ?? ?? 65 8C 1C 00 BF 8F 80 18 02 00 21 18 A3 00 01 00 42 24 00 00 64 AC ?? ?? 02 AE 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_105_2_4 {
	meta:
		name = "at_quick_exit"
		size = 116
		altNames = "atexit"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF ?? ?? 03 3C ?? ?? 10 3C ?? ?? 02 8E ?? ?? 63 8C 2B 18 62 00 0E 00 60 10 1C 00 BF AF ?? ?? 03 3C ?? ?? 65 8C FF FF 42 24 80 18 02 00 21 28 A3 00 ?? ?? 02 AE 21 18 00 00 00 00 A4 AC 1C 00 BF 8F 21 10 60 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 10 00 A4 AF FF FF 03 24 F7 FF 40 10 10 00 A4 8F ?? ?? ?? 0? ?? ?? 02 8E }
	condition:
		$1
}

rule file_105_3_4 {
	meta:
		name = "quick_exit"
		size = 208
		refs = "00ac free 00c0 _Exit"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 14 00 B0 AF ?? ?? 13 3C ?? ?? 10 3C ?? ?? 62 8E ?? ?? 03 8E 18 00 B1 AF 24 00 BF AF 2B 18 43 00 1C 00 B2 AF 26 00 60 10 21 88 80 00 ?? ?? 12 3C ?? ?? 44 8E 80 18 02 00 01 00 42 24 21 18 83 00 00 00 63 8C 09 F8 60 00 ?? ?? 62 AE ?? ?? 62 8E ?? ?? 03 8E 2B 18 43 00 F6 FF 60 14 ?? ?? 44 8E ?? ?? 13 3C ?? ?? 62 8E 0A 00 40 10 ?? ?? 44 8E FF FF 43 24 80 10 03 00 21 10 82 00 00 00 42 8C 09 F8 40 00 ?? ?? 63 AE ?? ?? 62 8E F8 FF 40 14 ?? ?? 44 8E ?? ?? 13 3C ?? ?? 73 26 04 00 93 10 40 00 02 24 ?? ?? ?? 0? 00 00 00 00 40 00 02 24 21 20 20 02 ?? ?? 53 AE ?? ?? ?? 0? ?? ?? 02 AE ?? ?? ?? 0? ?? ?? 12 3C }
	condition:
		$1
}

rule file_106_0_4 {
	meta:
		name = "strcat_s"
		size = 268
		refs = "0038 strnlen_s 005c _Fail_s"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 20 00 B2 AF 21 88 80 00 18 00 80 10 21 80 A0 00 17 00 A0 50 ?? ?? 04 3C 15 00 A2 04 ?? ?? 04 3C 08 00 C0 50 ?? ?? 04 3C ?? ?? ?? 0? 10 00 A6 AF 21 90 40 00 2B 10 50 00 16 00 40 14 10 00 A6 8F ?? ?? 04 3C 00 00 20 A2 ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 23 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 21 20 C0 00 ?? ?? ?? 0? 21 28 40 02 21 18 52 00 2B 80 70 00 E5 FF 00 12 10 00 A6 8F 21 28 C2 00 2B 18 25 02 04 00 60 10 21 90 32 02 2B 18 D2 00 DF FF 60 14 ?? ?? 04 3C 09 00 40 50 00 00 40 A2 21 18 40 02 00 00 C4 90 01 00 C6 24 00 00 64 A0 FC FF C5 14 01 00 63 24 21 90 42 02 00 00 40 A2 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_107_1_4 {
	meta:
		name = "vfwprintf_s"
		size = 92
		refs = "0030 _WPrintf 004c _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 10 80 00 21 18 A0 00 0C 00 80 10 21 38 C0 00 0A 00 A0 10 ?? ?? 04 3C 21 28 40 00 ?? ?? 84 24 01 00 02 24 21 30 60 00 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1A 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_109_0_4 {
	meta:
		name = "wcsncpy"
		size = 104
	strings:
		$1 = { 0D 00 C0 10 21 10 80 00 00 00 A4 8C 0C 00 80 10 21 18 40 00 ?? ?? ?? 0? FF FF C6 24 00 00 A4 8C 07 00 80 10 04 00 63 24 FF FF C6 24 04 00 A5 24 FA FF C0 14 00 00 64 AC 08 00 E0 03 00 00 00 00 FF FF C6 24 00 00 60 AC FB FF C0 10 04 00 63 24 FF FF C6 24 00 00 60 AC F9 FF C0 14 04 00 63 24 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_110_0_4 {
	meta:
		name = "floorf"
		size = 108
		refs = "0018 _FDint 003c fpcmp 0054 fpsub"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 21 28 00 00 21 80 80 00 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 06 00 40 04 21 20 00 02 1C 00 BF 8F 10 00 A2 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 00 F9 FF 41 04 1C 00 BF 8F ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_704_0_4 {
	meta:
		name = "floor"
		size = 108
		refs = "0018 _Dint 003c fpcmp 0054 fpsub"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 21 28 00 00 21 80 80 00 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 06 00 40 04 21 20 00 02 1C 00 BF 8F 10 00 A2 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 00 F9 FF 41 04 1C 00 BF 8F ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_112_0_4 {
	meta:
		name = "imaxabs"
		size = 32
		altNames = "llabs"
	strings:
		$1 = { C3 37 05 00 26 20 C4 00 23 10 86 00 26 28 C5 00 2B 20 82 00 23 30 A6 00 08 00 E0 03 23 18 C4 00 }
	condition:
		$1
}

rule file_113_0_4 {
	meta:
		name = "getw"
		size = 144
		refs = "0028 fgetc"
	strings:
		$1 = { D0 FF BD 27 20 00 B1 AF 21 88 80 00 21 20 20 02 28 00 B3 AF 24 00 B2 AF 1C 00 B0 AF 2C 00 BF AF FF FF 10 24 10 00 B3 27 ?? ?? ?? 0? 13 00 B2 27 08 00 50 10 2C 00 BF 8F 0D 00 72 12 00 00 62 A2 21 20 20 02 ?? ?? ?? 0? 01 00 73 26 FA FF 50 14 2C 00 BF 8F FF FF 02 24 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F 10 00 A2 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_114_0_4 {
	meta:
		name = "_FCsubcc"
		size = 180
		refs = "002c crealf 004c cimagf 006c fpsub 0088 _FCbuild"
	strings:
		$1 = { D0 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 C0 00 21 80 E0 00 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 21 98 80 00 ?? ?? ?? 0? 21 90 A0 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 A8 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 88 40 00 21 20 A0 02 ?? ?? ?? 0? 21 28 80 02 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_694_0_4 {
	meta:
		name = "_Caddcc"
		size = 180
		refs = "002c creal 004c cimag 006c fpadd 0088 _Cbuild"
	strings:
		$1 = { D0 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 C0 00 21 80 E0 00 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 21 98 80 00 ?? ?? ?? 0? 21 90 A0 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 A8 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 88 40 00 21 20 A0 02 ?? ?? ?? 0? 21 28 80 02 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_491_0_4 {
	meta:
		name = "_Csubcc"
		size = 180
		refs = "002c creal 004c cimag 006c fpsub 0088 _Cbuild"
	strings:
		$1 = { D0 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 C0 00 21 80 E0 00 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 21 98 80 00 ?? ?? ?? 0? 21 90 A0 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 A8 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 88 40 00 21 20 A0 02 ?? ?? ?? 0? 21 28 80 02 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_296_0_4 {
	meta:
		name = "_FCaddcc"
		size = 180
		refs = "002c crealf 004c cimagf 006c fpadd 0088 _FCbuild"
	strings:
		$1 = { D0 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 C0 00 21 80 E0 00 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 21 98 80 00 ?? ?? ?? 0? 21 90 A0 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 A8 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 88 40 00 21 20 A0 02 ?? ?? ?? 0? 21 28 80 02 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_115_0_4 {
	meta:
		name = "cabs"
		size = 84
		refs = "0018 creal 0028 cimag 0034 hypot"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 21 88 80 00 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 18 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_181_0_4 {
	meta:
		name = "cabsf"
		size = 84
		refs = "0018 crealf 0028 cimagf 0034 hypotf"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 21 88 80 00 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 18 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_460_0_4 {
	meta:
		name = "carg"
		size = 84
		refs = "0018 cimag 0028 creal 0034 atan2"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 21 88 80 00 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 18 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_465_0_4 {
	meta:
		name = "cargf"
		size = 84
		refs = "0018 cimagf 0028 crealf 0034 atan2f"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 21 88 80 00 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 18 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_116_0_4 {
	meta:
		name = "_Wcsxfrmx"
		size = 316
		refs = "0060 _CWcsxfrm"
	strings:
		$1 = { 38 FF BD 27 C0 00 B6 AF B8 00 B4 AF B4 00 B3 AF AC 00 B1 AF C4 00 BF AF BC 00 B5 AF B0 00 B2 AF A8 00 B0 AF 21 A0 A0 00 21 B0 C0 00 21 98 80 00 21 88 E0 00 18 00 A5 AF 1C 00 A0 AF 24 00 C0 10 20 00 A0 AF 21 A8 00 00 1C 00 B2 27 18 00 B0 27 21 20 60 02 23 30 D5 02 21 28 00 02 21 38 40 02 ?? ?? ?? 0? 10 00 B1 AF 80 18 02 00 21 A8 A2 02 21 98 63 02 04 00 40 10 2B 18 B6 02 FC FF 62 8E 09 00 40 10 C4 00 BF 8F 15 00 60 50 24 00 B3 27 18 00 A2 8F 00 00 42 8C ED FF 40 50 18 00 B4 AF ?? ?? ?? 0? 21 20 60 02 FF FF A2 26 C0 00 B6 8F BC 00 B5 8F B8 00 B4 8F B4 00 B3 8F B0 00 B2 8F AC 00 B1 8F A8 00 B0 8F 08 00 E0 03 C8 00 BD 27 21 A8 00 00 1C 00 B2 27 18 00 B0 27 24 00 B3 27 21 20 60 02 21 28 00 02 20 00 06 24 21 38 40 02 ?? ?? ?? 0? 10 00 B1 AF FF FF 43 24 80 18 03 00 21 18 03 02 20 00 44 2C 06 00 40 10 21 A8 A2 02 0C 00 62 8C E4 FF 40 10 C4 00 BF 8F F1 FF 80 10 21 20 60 02 18 00 A2 8F 00 00 42 8C EC FF 40 50 18 00 B4 AF ?? ?? ?? 0? 21 20 60 02 }
	condition:
		$1
}

rule file_117_0_4 {
	meta:
		name = "cbrt"
		size = 664
		refs = "002c _Dunscale 00dc _Dscale 0108 fpmul 0118 fpadd 0154 fpdiv"
	strings:
		$1 = { C8 FF BD 27 38 00 A4 AF 38 00 A5 27 10 00 A4 27 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 18 00 B0 AF 02 00 03 24 2B 10 62 00 0C 00 40 14 10 00 B5 87 34 00 BF 8F 38 00 A2 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 55 55 08 3C 56 55 08 25 18 00 A8 02 C3 17 15 00 03 00 03 24 10 28 00 00 23 10 A2 00 20 16 02 7C 02 10 43 70 14 00 55 10 21 28 00 00 01 00 B5 26 21 18 A0 02 03 00 07 24 20 16 15 7C 18 00 48 00 C3 37 02 00 21 20 60 00 FF FF A5 24 01 00 63 24 10 58 00 00 23 30 66 01 20 36 06 7C 02 30 C7 70 F5 FF C4 14 01 00 55 24 38 00 A4 27 ?? ?? ?? 0? 10 00 A2 A7 10 00 B5 87 3E 00 A2 87 65 00 40 04 38 00 B0 8F 38 00 B0 8F 21 A0 00 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? ?? ?? 12 3C ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 80 40 00 21 20 20 02 ?? ?? ?? 0? 21 28 20 02 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 21 88 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 04 00 80 12 14 00 A2 AF 00 80 03 3C 26 10 43 00 14 00 A2 AF 55 55 02 3C 56 55 42 24 18 00 A2 02 C3 AF 15 00 14 00 A4 27 10 18 00 00 23 28 75 00 ?? ?? ?? 0? 20 2E 05 7C 34 00 BF 8F 14 00 A2 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 00 80 02 3C 01 00 14 24 26 80 02 02 ?? ?? ?? 0? 38 00 B0 AF }
	condition:
		$1
}

rule file_119_0_4 {
	meta:
		name = "remainderl"
		size = 28
		refs = "0008 remquol"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_315_1_4 {
	meta:
		name = "powl"
		size = 28
		refs = "0008 _LPow"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_120_0_4 {
	meta:
		name = "conjl"
		size = 132
		refs = "0024 creall 0040 cimagl"
	strings:
		$1 = { C8 FF BD 27 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 34 00 BF AF ?? ?? ?? 0? 21 88 E0 00 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 00 80 04 3C 34 00 BF 8F 26 18 64 00 18 00 A2 AF 1C 00 A3 AF 10 00 A2 8F 14 00 A3 8F 18 00 A4 8F 1C 00 A5 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_121_0_4 {
	meta:
		name = "_Dscale"
		size = 740
		refs = "004c _Inf 006c _Dnorm"
	strings:
		$1 = { 06 00 83 94 E0 FF BD 27 FF 07 02 24 00 51 66 7C 18 00 B0 AF 1C 00 BF AF 63 00 C2 10 21 80 80 00 12 00 C0 10 00 00 00 00 19 00 A0 18 23 10 06 00 FF 07 02 24 23 10 46 00 2A 10 A2 00 14 00 40 54 23 10 06 00 20 1E 03 7C 88 00 60 04 ?? ?? 02 3C ?? ?? 42 8C 00 00 02 AE 01 00 02 24 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 10 00 A5 AF 21 30 40 00 10 00 A5 8F F7 FF C0 1C 21 10 00 00 EA FF A0 1C 06 00 03 96 23 10 06 00 2A 10 45 00 8D 00 40 54 21 28 C5 00 FF FF A5 24 21 30 A6 00 0F 00 64 30 35 00 C2 24 00 80 63 30 10 00 84 34 35 00 42 2C FF FF 63 30 71 00 40 10 06 00 04 A6 20 36 06 7C F1 FF C5 28 14 00 A0 10 21 10 00 00 00 00 05 96 02 00 08 96 ?? ?? ?? 0? 04 00 07 96 21 28 00 01 21 40 E0 00 21 38 80 00 21 20 00 00 10 00 C6 24 2B 10 02 00 20 36 06 7C 25 10 A2 00 F1 FF C5 28 F6 FF A0 14 FF FF 42 30 00 00 08 A6 02 00 07 A6 04 00 04 A6 06 00 00 A6 23 30 06 00 20 36 06 7C 2B 00 C0 54 00 00 09 96 06 00 06 96 01 80 04 34 2B 20 44 00 25 30 C3 00 41 00 80 14 06 00 06 A6 00 00 02 96 01 00 42 24 FF FF 42 30 06 00 40 14 00 00 02 A6 02 00 02 96 01 00 42 24 FF FF 42 30 4E 00 40 10 02 00 02 A6 06 00 06 96 B9 FF C3 14 FF FF 02 24 04 00 03 96 B7 FF 60 14 1C 00 BF 8F 02 00 03 96 B5 FF 60 54 18 00 B0 8F 00 00 03 96 18 00 B0 8F 0A 10 03 00 08 00 E0 03 20 00 BD 27 0F 00 63 30 AB FF 60 14 02 00 02 24 04 00 83 94 A9 FF 60 14 1C 00 BF 8F 02 00 83 94 A6 FF 60 14 01 00 03 24 00 00 84 94 ?? ?? ?? 0? 0A 10 64 00 02 00 08 96 04 00 07 96 06 00 05 96 10 00 04 24 23 20 86 00 04 60 89 00 04 58 88 00 04 50 87 00 2B 10 02 00 07 38 C7 00 04 20 85 00 07 48 C9 00 07 40 C8 00 25 20 87 00 25 10 82 01 07 30 C5 00 FF FF 42 30 04 00 04 A6 FF FF C6 30 01 80 04 34 25 48 69 01 25 40 48 01 25 30 C3 00 2B 20 44 00 00 00 09 A6 02 00 08 A6 C1 FF 80 10 06 00 06 A6 00 80 04 34 C9 FF 44 14 00 00 00 00 00 00 02 96 01 00 44 30 C5 FF 80 10 01 00 42 24 ?? ?? ?? 0? FF FF 42 30 ?? ?? 43 8C 00 80 02 3C 26 10 62 00 00 00 02 AE ?? ?? ?? 0? 01 00 02 24 1C 00 BF 8F 06 00 03 A6 04 00 00 A6 02 00 00 A6 00 00 00 A6 18 00 B0 8F 08 00 E0 03 20 00 BD 27 04 00 02 96 01 00 42 24 FF FF 42 30 AF FF 40 14 04 00 02 A6 06 00 03 96 FF FF 02 24 01 00 63 24 ?? ?? ?? 0? 06 00 03 A6 00 29 05 00 0F 80 63 30 25 18 A3 00 06 00 03 A6 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_122_0_4 {
	meta:
		name = "_FSinh"
		size = 600
		refs = "001c _FDtest 0064 fpmul 0094 fpcmp 00b4 _FRteps 0114 fpadd 0138 fpsub 0160 fpdiv 0190 _Feraise 0198 _FNan 00e0 _FXbig 0208 _FExp"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 24 00 A5 AF 21 80 40 00 ?? ?? ?? 0? 24 00 A4 27 14 00 00 06 02 00 03 24 5A 00 03 12 1C 00 BF 8F 02 00 03 24 5D 00 43 10 01 00 03 24 4E 00 03 12 00 00 00 00 03 00 00 16 20 00 A4 8F 4C 00 43 10 00 00 00 00 ?? ?? ?? 0? 24 00 A5 8F 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 EF FF 41 04 20 00 B1 8F 21 28 00 00 21 80 00 00 ?? ?? ?? 0? 21 20 20 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 88 51 00 20 00 B1 AF 01 00 10 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 44 00 40 04 24 00 A5 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 42 00 41 04 ?? ?? 02 3C 21 20 20 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 28 20 02 ?? ?? ?? 0? 21 90 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 A5 8F ?? ?? ?? 0? 21 20 40 00 BE FF 00 12 1C 00 BF 8F 00 80 03 3C ?? ?? ?? 0? 26 10 62 00 B6 FF 40 14 20 00 A4 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 20 00 A2 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 24 00 A2 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 13 00 43 04 24 00 A5 8F ?? ?? 02 3C ?? ?? 45 8C FF FF 06 24 ?? ?? ?? 0? 20 00 A4 27 20 00 B1 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 20 00 A4 27 ?? ?? ?? 0? FF FF 06 24 ?? ?? ?? 0? 20 00 A2 8F }
	condition:
		$1
}

rule file_123_0_4 {
	meta:
		name = "atan"
		size = 276
		refs = "0018 _Dtest 0060 fpcmp 009c fpdiv 00b0 _Atan"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 2A 00 43 10 02 00 03 24 04 00 43 10 1C 00 BF 8F 08 00 40 14 20 00 B1 8F 1C 00 BF 8F 20 00 A2 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 21 28 00 00 21 80 00 00 ?? ?? ?? 0? 21 20 20 02 05 00 41 04 ?? ?? 12 3C 00 80 02 3C 26 88 51 00 20 00 B1 AF 08 00 10 24 ?? ?? 44 8E ?? ?? ?? 0? 21 28 20 02 08 00 41 04 21 20 20 02 ?? ?? 44 8E 21 28 20 02 ?? ?? ?? 0? 02 00 10 3A 21 88 40 00 20 00 A2 AF 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 26 00 A2 87 08 00 40 04 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_125_0_4 {
	meta:
		name = "ctanhl"
		size = 924
		refs = "0034 creall 0050 cimagl 0060 _LDtest 009c tanl 00c4 _LSinh 00e0 dpmul 00f4 dpadd 0144 _LInf 0158 dpcmp 01a0 _LCbuild 02c8 _LZero 0314 sqrtl 033c dpdiv 0094 _LNan"
	strings:
		$1 = { B0 FF BD 27 38 00 B3 AF 34 00 B2 AF 30 00 B1 AF 2C 00 B0 AF 21 90 80 00 21 80 C0 00 21 98 A0 00 21 88 E0 00 4C 00 BF AF 48 00 B7 AF 44 00 B6 AF 40 00 B5 AF ?? ?? ?? 0? 3C 00 B4 AF 21 30 00 02 21 28 60 02 21 38 20 02 21 20 40 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 27 ?? ?? ?? 0? 21 80 40 00 01 00 03 24 56 00 03 12 02 00 04 24 C0 00 44 50 18 00 A4 8F 6F 00 04 12 18 00 B3 8F B5 00 43 10 ?? ?? 02 3C 18 00 A4 8F ?? ?? ?? 0? 1C 00 A5 8F 20 00 A2 AF ?? ?? 02 3C ?? ?? 50 8C ?? ?? 51 8C 10 00 A4 8F 14 00 A5 8F 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 24 00 A3 AF 20 00 A4 8F 24 00 A5 8F 21 B0 40 00 21 30 80 00 21 38 A0 00 ?? ?? ?? 0? 21 B8 60 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 20 40 00 21 28 60 00 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 A8 60 00 21 20 40 00 21 28 A0 02 21 30 C0 02 21 38 E0 02 ?? ?? ?? 0? 21 90 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 A0 60 00 21 30 40 00 21 38 80 02 ?? ?? ?? 0? 21 98 40 00 61 00 40 14 21 30 00 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 00 00 58 00 40 04 ?? ?? 02 3C 20 00 A4 8F 24 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 21 20 00 02 21 28 20 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 10 00 A4 8F 14 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 31 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 1E 00 A2 87 31 00 40 04 ?? ?? 03 3C 21 18 00 00 21 10 00 00 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 1C 00 B1 8F 10 00 B2 8F 14 00 B0 8F 21 20 60 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 0B 98 42 02 0B 88 02 02 21 20 40 02 21 30 60 02 21 28 00 02 ?? ?? ?? 0? 21 38 20 02 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 ?? ?? 44 8C ?? ?? 45 8C 1E 00 A2 87 D3 FF 43 04 21 18 00 00 ?? ?? 03 3C ?? ?? 66 8C 00 80 02 3C ?? ?? 63 8C ?? ?? ?? 0? 26 10 C2 00 ?? ?? 50 8C ?? ?? ?? 0? ?? ?? 51 8C 21 20 C0 02 21 28 E0 02 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 30 40 02 21 38 A0 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 30 60 02 21 38 80 02 ?? ?? ?? 0? 21 28 60 00 20 00 A4 8F 24 00 A5 8F 21 30 60 02 21 38 80 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 44 8C ?? ?? 45 8C 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 ?? ?? ?? 0? 4C 00 BF 8F 1C 00 A5 8F 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 ?? ?? ?? 0? 4C 00 BF 8F }
	condition:
		$1
}

rule file_126_0_4 {
	meta:
		name = "iswalpha"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 02 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_527_0_4 {
	meta:
		name = "towupper"
		size = 28
		refs = "0008 _Towctrans"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 02 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_127_0_4 {
	meta:
		name = "sinh"
		size = 32
		refs = "000c _Sinh"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 45 8C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_284_0_4 {
	meta:
		name = "cosh"
		size = 32
		refs = "000c _Cosh"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 45 8C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_269_0_4 {
	meta:
		name = "coshf"
		size = 32
		refs = "000c _FCosh"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 45 8C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_589_0_4 {
	meta:
		name = "sinhf"
		size = 32
		refs = "000c _FSinh"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? 45 8C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_128_0_4 {
	meta:
		name = "cprojl"
		size = 296
		refs = "0028 creall 0044 cimagl 0054 _LDtest 00ac _LInf 00c8 _LCbuild 0114 _LZero"
	strings:
		$1 = { C8 FF BD 27 2C 00 B3 AF 28 00 B2 AF 24 00 B1 AF 20 00 B0 AF 21 98 80 00 21 90 C0 00 21 88 A0 00 21 80 E0 00 34 00 BF AF ?? ?? ?? 0? 30 00 B4 AF 21 28 20 02 21 30 40 02 21 38 00 02 21 20 60 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 27 ?? ?? ?? 0? 21 A0 40 00 01 00 03 24 0F 00 83 52 1E 00 A2 87 0C 00 43 10 34 00 BF 8F 21 10 60 02 21 18 20 02 21 20 40 02 21 28 00 02 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 1E 00 A2 87 ?? ?? 03 3C ?? ?? 64 8C 16 00 40 04 ?? ?? 65 8C 21 18 00 00 21 10 00 00 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 34 00 BF 8F 21 98 40 00 21 88 60 00 21 90 80 00 21 80 A0 00 21 10 60 02 21 18 20 02 21 20 40 02 21 28 00 02 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 03 3C ?? ?? 66 8C 00 80 02 3C ?? ?? 63 8C ?? ?? ?? 0? 26 10 C2 00 }
	condition:
		$1
}

rule file_129_0_4 {
	meta:
		name = "freeall"
		size = 108
		refs = "0008 _Clocale 002c _Freeloc 0034 free"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF ?? ?? 11 3C 14 00 B0 AF ?? ?? 30 26 1C 00 B2 AF 04 00 12 8E 24 00 BF AF 08 00 40 12 20 00 B3 AF 04 00 53 8E ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 20 40 02 FA FF 60 16 21 90 60 02 ?? ?? ?? 0? ?? ?? 24 26 24 00 BF 8F 04 00 00 AE 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_129_1_4 {
	meta:
		name = "_Getloc"
		size = 420
		refs = "003c strcspn 0074 memcmp 00e8 _Clocale 012c _Findloc 0190 _Atexit"
	strings:
		$1 = { C8 FF BD 27 18 00 B1 AF ?? ?? 11 3C 2C 00 B6 AF ?? ?? 31 26 21 B0 A0 00 20 00 B3 AF 21 28 20 02 21 98 80 00 21 20 C0 02 28 00 B5 AF 24 00 B4 AF 14 00 B0 AF 34 00 BF AF 30 00 B7 AF ?? ?? ?? 0? 1C 00 B2 AF 21 18 C2 02 00 00 63 80 ?? ?? 15 3C 21 80 00 00 3B 00 14 24 1B 00 60 10 ?? ?? B5 26 01 00 57 24 21 20 60 02 21 28 C0 02 16 00 74 10 21 30 E0 02 ?? ?? ?? 0? 00 00 00 00 21 20 D7 02 3D 00 40 10 21 28 A0 02 ?? ?? ?? 0? 00 00 00 00 21 10 57 00 21 18 C2 02 00 00 63 80 10 00 60 10 00 00 00 00 01 00 42 24 21 B0 C2 02 21 20 C0 02 ?? ?? ?? 0? 21 28 20 02 21 18 C2 02 00 00 63 80 E8 FF 60 14 01 00 57 24 F4 FF 00 16 00 00 00 00 21 80 C0 02 0A 80 02 00 F2 FF 60 14 0B 90 42 00 19 00 00 12 21 88 00 00 ?? ?? 11 3C ?? ?? 31 26 00 00 24 8E 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 07 00 40 54 04 00 31 8E 00 00 22 8E 21 10 52 00 00 00 42 80 0D 00 40 10 34 00 BF 8F 04 00 31 8E F4 FF 20 56 00 00 24 8E 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 ?? ?? 10 3C 21 88 40 00 ?? ?? 02 82 13 00 40 10 ?? ?? 04 3C 34 00 BF 8F 21 10 20 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 05 3C ?? ?? A5 24 ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? ?? ?? 84 24 02 00 02 24 ?? ?? ?? 0? ?? ?? 02 A2 }
	condition:
		$1
}

rule file_130_0_4 {
	meta:
		name = "frexpf"
		size = 60
		refs = "0018 _FDunscale"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 20 00 A4 AF 21 80 A0 00 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 20 00 A5 27 10 00 A3 87 1C 00 BF 8F 20 00 A2 8F 00 00 03 AE 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_626_0_4 {
	meta:
		name = "frexp"
		size = 60
		refs = "0018 _Dunscale"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 20 00 A4 AF 21 80 A0 00 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 20 00 A5 27 10 00 A3 87 1C 00 BF 8F 20 00 A2 8F 00 00 03 AE 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_131_0_4 {
	meta:
		name = "fflush"
		size = 352
		refs = "0094 write 0104 _Files 0128 fflush"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF 3A 00 80 10 21 88 80 00 00 00 82 94 00 20 43 30 0C 00 60 10 21 98 00 00 04 00 90 8C 0C 00 86 8C 2B 18 06 02 14 00 60 54 03 00 24 82 FF DF 42 30 0C 00 30 AE 14 00 30 AE 30 00 30 AE 00 00 22 A6 21 98 00 00 24 00 BF 8F 21 10 60 02 1C 00 B2 8F 20 00 B3 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 0C 00 26 8E 2B 10 06 02 17 00 40 50 00 00 22 96 03 00 24 82 23 30 D0 00 ?? ?? ?? 0? 21 28 00 02 F7 FF 40 1C 21 80 02 02 00 00 23 96 04 00 22 8E 24 00 BF 8F FF FF 13 24 00 02 63 34 0C 00 22 AE 14 00 22 AE 30 00 22 AE 00 00 23 A6 21 10 60 02 1C 00 B2 8F 20 00 B3 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 04 00 30 8E 21 98 00 00 FF DF 42 30 0C 00 30 AE 14 00 30 AE 30 00 30 AE ?? ?? ?? 0? 00 00 22 A6 ?? ?? 12 3C ?? ?? 52 26 50 00 50 26 21 98 00 00 FF FF 11 24 00 00 42 8E 04 00 52 26 05 00 40 10 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 00 00 42 28 0B 98 22 02 F8 FF 50 56 00 00 42 8E 24 00 BF 8F 21 10 60 02 1C 00 B2 8F 20 00 B3 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_132_0_4 {
	meta:
		name = "exp2l"
		size = 524
		refs = "0020 _LDtest 0088 dpcmp 00b0 dpmul 00cc _LExp 0148 _LDint 015c dptoli 0174 dpsub 01f4 dpadd"
	strings:
		$1 = { C8 FF BD 27 38 00 A4 AF 38 00 A4 27 34 00 BF AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF ?? ?? ?? 0? 3C 00 A5 AF 01 00 03 24 34 00 43 10 02 00 03 24 28 00 43 10 38 00 A5 8F 0D 00 40 14 ?? ?? 06 3C ?? ?? 02 3C ?? ?? 44 8C 34 00 BF 8F 21 28 00 00 21 10 A0 00 21 18 80 00 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 38 00 B3 8F 3C 00 B2 8F ?? ?? C7 8C ?? ?? C6 8C 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 21 00 40 1C ?? ?? 04 3C 21 80 00 00 ?? ?? 11 3C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 ?? ?? 26 8E ?? ?? 27 8E 38 00 A4 27 38 00 A2 AF 3C 00 A3 AF ?? ?? ?? 0? 10 00 B0 AF 38 00 A5 8F 3C 00 A4 8F 34 00 BF 8F 21 10 A0 00 21 18 80 00 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 3E 00 A2 87 F4 FF 43 04 38 00 A5 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 ?? ?? 85 8C ?? ?? 84 8C 21 30 60 02 ?? ?? ?? 0? 21 38 40 02 03 00 40 1C 21 80 00 00 ?? ?? ?? 0? ?? ?? 11 3C 18 00 A4 27 21 28 00 00 18 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 18 00 B0 8F 1C 00 B1 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 38 00 A4 8F 3C 00 A5 8F 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 20 86 02 7C ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 90 60 00 21 30 40 00 21 38 40 02 ?? ?? ?? 0? 21 98 40 00 0B 00 41 04 ?? ?? 06 3C ?? ?? 11 3C ?? ?? 26 8E ?? ?? 27 8E 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 21 98 40 00 21 90 60 00 ?? ?? ?? 0? 01 00 10 26 ?? ?? C7 8C ?? ?? C6 8C 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 AF FF 41 04 ?? ?? 11 3C ?? ?? 26 8E ?? ?? 27 8E 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 21 98 40 00 21 90 60 00 ?? ?? ?? 0? FF FF 10 26 }
	condition:
		$1
}

rule file_134_0_4 {
	meta:
		name = "ccosl"
		size = 172
		refs = "002c cimagl 0048 creall 0064 _LCbuild 0080 ccoshl"
	strings:
		$1 = { D0 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 21 88 E0 00 2C 00 BF AF 28 00 B5 AF ?? ?? ?? 0? 24 00 B4 AF 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 21 A8 40 00 ?? ?? ?? 0? 21 A0 60 00 00 80 04 3C 26 A0 84 02 21 28 80 02 21 20 A0 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 40 80 00 21 48 A0 00 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 20 01 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_135_0_4 {
	meta:
		name = "_wremove"
		size = 64
		refs = "0010 wcstombs 0024 unlink"
	strings:
		$1 = { E0 FE BD 27 21 28 80 00 04 01 06 24 1C 01 BF AF ?? ?? ?? 0? 10 00 A4 27 FF FF 03 24 05 00 43 10 1C 01 BF 8F ?? ?? ?? 0? 10 00 A4 27 21 18 40 00 1C 01 BF 8F 21 10 60 00 08 00 E0 03 20 01 BD 27 }
	condition:
		$1
}

rule file_136_0_4 {
	meta:
		name = "lgamma_big"
		size = 308
		refs = "0018 _Log 0030 fpsub 0040 _Dunscale 0058 fpmul 0068 _Dscale 0078 _Feraise 009c fpdiv 00ec fpadd"
	strings:
		$1 = { D8 FF BD 27 21 28 00 00 24 00 BF AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF ?? ?? ?? 0? 21 80 80 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? ?? ?? 11 3C 10 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 A2 AF ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 02 14 00 A4 8F ?? ?? ?? 0? 21 28 40 00 10 00 A5 87 14 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 0A 00 40 04 ?? ?? 24 8E ?? ?? ?? 0? 08 00 04 24 24 00 BF 8F 14 00 A2 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 00 02 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 80 40 00 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 14 00 A5 8F ?? ?? ?? 0? 21 20 40 00 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_136_1_4 {
	meta:
		name = "lgamma"
		size = 796
		refs = "0028 _Dint 004c _Gamma_big 005c fpcmp 00f8 fpsub 010c _Poly 012c fpdiv 0150 _Feraise 0158 _Inf 01a4 _Tgamma 01d0 _Log 01e0 sitofp 01fc fpmul 0208 fpadd 0234 log1p 0284 _Sin"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 14 00 A4 AF 21 28 00 00 14 00 A4 27 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 18 00 B0 AF 01 00 03 24 48 00 43 10 02 00 03 24 50 00 43 10 2C 00 BF 8F 3D 00 40 10 30 00 B0 8F ?? ?? 02 3C ?? ?? 52 8C 00 80 11 3C 21 20 00 02 ?? ?? ?? 0? 26 28 32 02 80 00 40 04 14 00 A5 8F 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 96 00 40 18 ?? ?? 12 3C ?? ?? 52 26 21 98 40 02 21 A0 00 00 0B 00 11 24 00 00 64 8E ?? ?? ?? 0? 21 28 00 02 05 00 41 04 21 20 00 02 ?? ?? ?? 0? 04 00 65 8E 8D 00 40 04 18 00 02 24 01 00 94 26 F5 FF 91 16 18 00 73 26 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 33 00 41 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2F 00 43 04 30 00 A4 27 ?? ?? 11 3C ?? ?? 31 26 04 00 25 8E ?? ?? ?? 0? 21 20 00 02 08 00 25 8E 0C 00 26 8E 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 10 00 25 8E 14 00 26 8E 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 2C 00 BF 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 C1 FF 40 1C ?? ?? 02 3C ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 42 8C 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 30 00 A2 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 30 00 A4 27 ?? ?? ?? 0? 10 00 A5 27 30 00 B0 8F 21 28 00 00 14 00 A2 AF ?? ?? ?? 0? 21 20 00 02 03 00 41 04 21 28 00 00 00 80 02 3C 26 80 50 00 ?? ?? ?? 0? 21 20 00 02 10 00 A4 87 21 88 40 00 ?? ?? ?? 0? 23 20 04 00 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 00 80 02 3C ?? ?? ?? 0? 26 88 22 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 14 00 A4 8F ?? ?? ?? 0? 30 00 A2 AF 30 00 A5 8F ?? ?? ?? 0? 21 20 40 00 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 00 02 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 8E ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 30 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 8E ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 30 00 A4 8F 21 80 40 00 ?? ?? ?? 0? 26 20 91 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 2C 00 BF 8F 02 18 82 72 21 20 00 02 21 90 72 00 ?? ?? ?? 0? 08 00 45 8E 0C 00 45 8E ?? ?? ?? 0? 21 20 40 00 10 00 45 8E 14 00 46 8E ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 2C 00 BF 8F }
	condition:
		$1
}

rule file_137_0_4 {
	meta:
		name = "csqrt"
		size = 784
		refs = "001c creal 002c cimag 003c _Dtest 0060 _Hypot 007c fpcmp 0090 ldexp 009c fpadd 00b0 sqrt 011c fpdiv 012c _Cbuild 0180 _Inf 01d4 _Zero 026c fpmul"
	strings:
		$1 = { C8 FF BD 27 28 00 B1 AF 24 00 B0 AF 21 88 80 00 21 80 A0 00 34 00 BF AF 30 00 B3 AF ?? ?? ?? 0? 2C 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 10 00 A2 AF 14 00 A4 27 14 00 A2 AF ?? ?? ?? 0? 01 00 12 24 6E 00 52 10 21 98 40 00 ?? ?? ?? 0? 10 00 A4 27 42 00 52 10 10 00 A4 8F 14 00 A5 8F ?? ?? ?? 0? 18 00 A6 27 18 00 B2 8F 7E 00 40 12 21 80 40 00 10 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 4D 00 40 04 00 80 02 3C 21 20 20 02 ?? ?? ?? 0? 23 28 12 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 18 00 A3 8F 21 20 40 00 C2 2F 03 00 21 18 A3 00 43 28 03 00 ?? ?? ?? 0? FF FF A5 24 10 00 A5 8F 21 20 00 00 ?? ?? ?? 0? 21 80 40 00 71 00 40 18 21 20 00 02 1A 00 A2 87 79 00 40 04 14 00 B2 8F 14 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 37 00 40 10 21 20 00 02 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 40 00 21 28 00 02 ?? ?? ?? 0? 00 00 00 00 21 88 40 00 21 80 60 00 34 00 BF 8F 21 10 20 02 21 18 00 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 02 00 02 24 35 00 62 12 10 00 B2 8F ?? ?? ?? 0? 21 28 00 00 13 00 41 04 1A 00 A2 87 52 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 00 34 00 BF 8F 21 88 40 00 21 80 60 00 21 10 20 02 21 18 00 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 26 88 51 00 ?? ?? 03 3C ?? ?? 64 8C D7 FF 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 21 28 00 02 ?? ?? ?? 0? 21 20 00 00 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 ?? ?? 02 3C 14 00 A5 8F ?? ?? ?? 0? ?? ?? 44 8C 34 00 BF 8F 21 88 40 00 21 80 60 00 21 10 20 02 21 18 00 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 BD FF 41 04 34 00 BF 8F 14 00 A4 8F ?? ?? ?? 0? 21 28 40 02 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 14 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 34 00 BF 8F 21 88 40 00 21 80 60 00 21 10 20 02 21 18 00 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 21 28 00 02 14 00 A4 8F ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 00 80 11 3C 21 20 00 02 ?? ?? ?? 0? 21 28 00 02 26 90 51 02 21 20 40 02 ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 26 28 30 02 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 }
	condition:
		$1
}

rule file_138_0_4 {
	meta:
		name = "scalbn"
		size = 108
		refs = "0024 _Dtest 0034 _Dscale 004c _Feraise"
		altNames = "ldexp scalbln"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 05 00 A0 14 20 00 A4 AF 1C 00 BF 8F 20 00 A2 8F 08 00 E0 03 20 00 BD 27 20 00 A4 27 ?? ?? ?? 0? 10 00 A5 AF F8 FF 41 04 10 00 A5 8F ?? ?? ?? 0? 20 00 A4 27 07 00 40 10 01 00 03 24 F3 FF 43 54 1C 00 BF 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_452_0_4 {
	meta:
		name = "ldexpf"
		size = 108
		refs = "0024 _FDtest 0034 _FDscale 004c _Feraise"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 05 00 A0 14 20 00 A4 AF 1C 00 BF 8F 20 00 A2 8F 08 00 E0 03 20 00 BD 27 20 00 A4 27 ?? ?? ?? 0? 10 00 A5 AF F8 FF 41 04 10 00 A5 8F ?? ?? ?? 0? 20 00 A4 27 07 00 40 10 01 00 03 24 F3 FF 43 54 1C 00 BF 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_180_0_4 {
	meta:
		name = "scalblnf"
		size = 108
		refs = "0024 _FDtest 0034 _FDscale 004c _Feraise"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 05 00 A0 14 20 00 A4 AF 1C 00 BF 8F 20 00 A2 8F 08 00 E0 03 20 00 BD 27 20 00 A4 27 ?? ?? ?? 0? 10 00 A5 AF F8 FF 41 04 10 00 A5 8F ?? ?? ?? 0? 20 00 A4 27 07 00 40 10 01 00 03 24 F3 FF 43 54 1C 00 BF 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_538_0_4 {
	meta:
		name = "scalbnf"
		size = 108
		refs = "0024 _FDtest 0034 _FDscale 004c _Feraise"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 05 00 A0 14 20 00 A4 AF 1C 00 BF 8F 20 00 A2 8F 08 00 E0 03 20 00 BD 27 20 00 A4 27 ?? ?? ?? 0? 10 00 A5 AF F8 FF 41 04 10 00 A5 8F ?? ?? ?? 0? 20 00 A4 27 07 00 40 10 01 00 03 24 F3 FF 43 54 1C 00 BF 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_139_0_4 {
	meta:
		name = "_Ldtob"
		size = 2388
		refs = "0070 _LDunscale 00c4 memcpy 0198 _Genld 01f0 dpcmp 0218 _LXp_setw 0284 _LXp_movx 02a0 _LXp_mulx 040c dptoli 0418 litodp 0430 _LXp_addh 0484 _LXp_mulh 04a8 ldiv 06e8 _LDscale 0728 dpsub"
	strings:
		$1 = { F8 FE BD 27 E8 00 B2 AF E4 00 B1 AF 04 01 BF AF 00 01 BE AF FC 00 B7 AF F8 00 B6 AF F4 00 B5 AF F0 00 B4 AF EC 00 B3 AF E0 00 B0 AF 00 00 82 8C 04 00 83 8C 20 94 05 7C 20 00 A2 AF 61 00 02 24 21 88 80 00 09 00 42 12 24 00 A3 AF 41 00 02 24 07 00 42 52 18 00 A4 27 30 00 82 8C 3D 00 42 04 06 00 02 24 34 00 40 10 67 00 02 24 18 00 A4 27 ?? ?? ?? 0? 21 28 20 02 02 00 03 24 22 00 43 50 61 00 02 24 38 00 40 58 61 00 03 24 61 00 02 24 1A 00 42 12 10 00 24 8E 65 00 02 24 17 00 42 12 66 00 02 24 15 00 42 12 67 00 02 24 14 00 42 12 ?? ?? 05 3C ?? ?? 05 3C ?? ?? A5 24 03 00 02 24 1C 00 22 AE ?? ?? ?? 0? 03 00 06 24 04 01 BF 8F 00 01 BE 8F FC 00 B7 8F F8 00 B6 8F F4 00 B5 8F F0 00 B4 8F EC 00 B3 8F E8 00 B2 8F E4 00 B1 8F E0 00 B0 8F 08 00 E0 03 08 01 BD 27 ?? ?? 05 3C ?? ?? ?? 0? ?? ?? A5 24 14 00 42 12 10 00 24 8E 65 00 02 24 11 00 42 12 66 00 02 24 0F 00 42 12 67 00 02 24 0E 00 42 52 ?? ?? 05 3C ?? ?? 05 3C ?? ?? ?? 0? ?? ?? A5 24 03 00 42 12 47 00 02 24 CB FF 42 16 18 00 A4 27 01 00 02 24 ?? ?? ?? 0? 30 00 22 AE ?? ?? ?? 0? 30 00 82 AC ?? ?? 05 3C ?? ?? ?? 0? ?? ?? A5 24 5B 00 43 12 41 00 03 24 66 00 43 52 10 00 25 8E 15 00 40 54 61 00 02 24 18 00 A0 A7 21 F0 00 00 78 00 A6 27 21 20 20 02 21 28 40 02 21 38 C0 03 ?? ?? ?? 0? 10 00 A2 AF 04 01 BF 8F 00 01 BE 8F FC 00 B7 8F F8 00 B6 8F F4 00 B5 8F F0 00 B4 8F EC 00 B3 8F E8 00 B2 8F E4 00 B1 8F E0 00 B0 8F 08 00 E0 03 08 01 BD 27 1F 01 42 12 41 00 02 24 B9 01 42 12 20 00 B3 8F 24 00 B0 8F 21 30 00 00 21 38 00 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 05 00 41 04 21 30 60 02 00 80 02 3C 26 80 02 02 20 00 B3 AF 24 00 B0 AF 21 38 00 02 30 00 A4 27 ?? ?? ?? 0? 03 00 05 24 18 00 A3 87 97 75 02 24 02 18 62 70 01 00 02 3C A0 86 42 34 1A 00 62 00 F4 01 40 00 12 10 00 00 FC FF 42 24 20 16 02 7C 36 00 40 04 18 00 A2 A7 15 00 40 10 21 80 00 00 FC FF 03 24 24 10 43 00 21 80 40 00 10 00 40 10 18 00 A2 A7 ?? ?? ?? 0? ?? ?? 06 3C 60 00 A4 27 48 00 A6 27 38 00 00 12 03 00 05 24 ?? ?? ?? 0? 00 00 00 00 A0 00 A3 27 48 00 A4 27 03 00 05 24 60 00 A6 27 03 00 07 24 ?? ?? ?? 0? 10 00 A3 AF 01 00 02 32 F1 FF 40 10 43 80 10 00 A0 00 A2 27 30 00 A4 27 48 00 A6 27 03 00 07 24 03 00 05 24 ?? ?? ?? 0? 10 00 A2 AF ?? ?? ?? 0? 60 00 A4 27 10 00 25 8E 30 00 06 24 78 00 04 24 01 00 A3 24 00 00 A6 A0 10 00 23 AE 00 00 64 A0 14 00 24 8E 01 00 63 24 10 00 23 AE 02 00 83 24 ?? ?? ?? 0? 14 00 23 AE 30 00 06 24 58 00 04 24 01 00 A3 24 00 00 A6 A0 ?? ?? ?? 0? 10 00 23 AE 03 00 10 24 23 10 02 02 FC FF 03 24 24 80 43 00 23 10 10 00 DB FF 00 12 18 00 A2 A7 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 48 00 A4 27 ?? ?? ?? 0? 03 00 05 24 ?? ?? ?? 0? 01 00 02 32 66 00 02 24 4D 01 42 12 30 00 30 8E 46 00 03 24 4A 01 43 12 07 00 02 24 21 10 50 00 14 00 43 28 13 00 16 24 0B B0 43 00 30 00 02 24 65 01 C0 1A 78 00 A2 A3 20 00 A6 8F 24 00 A7 8F 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 5E 01 41 04 ?? ?? 02 3C ?? ?? 5E 8C ?? ?? 42 8C 79 00 A3 27 D4 00 A3 AF D0 00 A2 AF 21 B8 60 00 21 A0 C0 03 21 A8 40 00 30 00 A8 8F 34 00 A9 8F D0 00 A5 8F 21 30 00 01 21 38 20 01 21 20 C0 03 DC 00 A8 AF ?? ?? ?? 0? D8 00 A9 AF 21 80 00 00 00 80 13 3C DC 00 A8 8F 19 00 40 1C D8 00 A9 8F 21 20 00 01 ?? ?? ?? 0? 21 28 20 01 21 20 40 00 ?? ?? ?? 0? 21 80 02 02 26 18 73 00 21 38 60 00 30 00 A4 27 21 30 40 00 ?? ?? ?? 0? 03 00 05 24 30 00 A8 8F 34 00 A9 8F 21 20 80 02 21 30 00 01 21 38 20 01 21 28 A0 02 DC 00 A8 AF ?? ?? ?? 0? D8 00 A9 AF DC 00 A8 8F E9 FF 40 18 D8 00 A9 8F F8 FF D6 26 07 00 C0 1A ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C 30 00 A4 27 ?? ?? ?? 0? 03 00 05 24 06 01 00 1A 08 00 F7 26 07 00 02 24 FF FF 13 24 21 28 00 02 28 00 A4 27 0A 00 06 24 ?? ?? ?? 0? D8 00 A2 AF 2C 00 A3 8F 28 00 B0 8F FF FF F7 26 30 00 63 24 00 00 E3 A2 58 00 00 1A D8 00 A2 8F FF FF 42 24 F3 FF 53 14 21 28 00 02 08 00 C0 1A 08 00 F7 26 20 00 A6 8F 24 00 A7 8F 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 B7 FF 40 04 30 00 A8 8F 30 00 30 8E 18 00 A2 97 D4 00 A5 8F 79 00 A4 83 07 00 42 24 20 16 02 7C 30 00 03 24 23 B8 E5 02 18 00 A2 A7 09 00 83 14 21 30 A0 00 30 00 04 24 FF FF 42 24 20 16 02 7C 18 00 A2 A7 01 00 C6 24 00 00 C3 80 FA FF 64 10 FF FF F7 26 66 00 02 24 CF 00 42 12 FF FF 1E 32 46 00 02 24 CC 00 42 12 65 00 03 24 03 00 43 12 01 00 02 24 45 00 42 3A 01 00 42 2C 21 F0 5E 00 20 F6 1E 7C 2A 18 FE 02 20 16 17 7C 0B F0 43 00 1C 00 C0 07 2A B8 D7 03 06 00 E0 12 30 00 07 24 21 10 DE 00 00 00 43 80 39 00 02 24 35 00 63 28 0A 38 43 00 FF FF C5 27 21 40 C5 00 00 00 03 81 0B 00 E3 14 21 20 A0 00 FE FF DE 27 ?? ?? ?? 0? 21 10 DE 00 FF FF C5 27 00 00 43 80 21 40 40 00 20 F6 05 7C FF FF 84 24 FA FF E3 10 FF FF 42 24 39 00 02 24 05 00 E2 10 01 00 63 24 06 00 82 04 18 00 A2 97 ?? ?? ?? 0? 18 00 A2 87 FD FF 81 04 00 00 03 A1 18 00 A2 97 01 00 DE 27 FF FF C6 24 01 00 42 24 20 16 02 7C 18 00 A2 A7 ?? ?? ?? 0? 20 F6 1E 7C FF FF 42 24 AA FF 40 04 00 00 00 00 30 00 03 24 FF FF F7 26 FF FF 42 24 FD FF 41 04 00 00 E3 A2 ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 D0 00 A2 AF 30 00 30 8E 9E 00 00 06 23 00 13 24 01 00 15 26 20 AE 15 7C 21 F0 A0 02 02 00 B3 26 20 00 A4 8F 24 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 88 00 41 04 00 00 25 8E 04 00 24 8E 00 80 02 3C 26 20 82 00 18 00 A6 97 20 00 A5 AF 24 00 A4 AF FC FF C6 24 18 00 A6 A7 9F 00 60 1A 78 00 A0 A3 21 30 A0 00 21 38 80 00 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 9C 00 41 04 79 00 A2 27 D4 00 A2 AF 21 A0 40 00 FF FF 10 24 20 00 A4 27 ?? ?? ?? 0? 1C 00 05 24 20 00 B6 8F 24 00 B7 8F F9 FF 73 26 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 0C 00 60 1A 21 40 40 00 21 20 40 00 ?? ?? ?? 0? DC 00 A2 AF 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 DC 00 A8 8F 20 00 A2 AF 24 00 A3 AF 5E 00 00 19 07 00 94 26 06 00 02 24 0F 00 03 31 FF FF 94 26 03 41 08 00 44 00 00 11 00 00 83 A2 FF FF 42 24 FA FF 50 54 0F 00 03 31 08 00 60 1A 07 00 94 26 20 00 A6 8F 24 00 A7 8F 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 D8 FF 40 04 20 00 A4 27 30 00 30 8E D4 00 A5 8F 23 A0 85 02 2A 10 9E 02 03 00 40 10 00 00 00 00 20 AE 14 7C 21 F0 A0 02 29 00 A0 06 D4 00 A6 8F 2A A0 D4 03 07 00 80 12 21 20 00 00 21 10 B5 03 79 00 44 80 0F 00 02 24 08 00 84 28 0B 10 04 00 21 20 40 00 D4 00 A7 8F FF FF DE 27 21 10 FE 00 00 00 43 80 09 00 83 14 0F 00 05 24 D4 00 A3 8F FF FF DE 27 FF FF B5 26 21 10 7E 00 00 00 43 80 FA FF 83 10 20 AE 15 7C 0F 00 05 24 3C 00 85 10 01 00 63 24 33 00 C0 07 D4 00 A6 8F FF FF A3 26 0B 00 60 04 21 F0 A0 02 21 10 C3 00 FF FF 05 24 00 00 44 80 D0 00 A7 8F FF FF 63 24 21 20 E4 00 00 00 84 90 00 00 44 A0 F9 FF 65 14 FF FF 42 24 1E 00 02 06 FF FF C2 27 21 F0 A0 02 ?? ?? ?? 0? 18 00 A2 87 FF FF 42 24 BE FF 40 04 00 00 00 00 FF FF 94 26 FF FF 42 24 FD FF 41 04 00 00 80 A2 ?? ?? ?? 0? 00 00 00 00 18 00 A2 97 01 00 42 24 ?? ?? ?? 0? FF FF 42 30 18 00 A2 87 ?? ?? ?? 0? 0B 00 42 24 ?? ?? ?? 0? 07 00 02 24 ?? ?? ?? 0? 04 00 24 8E ?? ?? ?? 0? 06 00 02 24 ?? ?? 02 3C ?? ?? 42 24 ?? ?? ?? 0? D0 00 A2 AF 30 00 22 AE ?? ?? ?? 0? 18 00 A2 87 21 00 1E 24 ?? ?? ?? 0? 21 00 15 24 18 00 A2 97 01 00 B5 26 20 AE 15 7C 04 00 42 24 18 00 A2 A7 ?? ?? ?? 0? 78 00 A6 27 ?? ?? ?? 0? 00 00 43 A0 48 00 A4 27 03 00 05 24 ?? ?? ?? 0? ?? ?? C6 24 ?? ?? ?? 0? 01 00 02 32 79 00 A4 27 D4 00 A4 AF ?? ?? ?? 0? 21 B8 80 00 79 00 A3 27 D4 00 A3 AF ?? ?? ?? 0? 21 A0 60 00 79 00 A4 27 D4 00 A4 AF ?? ?? ?? 0? 21 A0 80 00 }
	condition:
		$1
}

rule file_141_0_4 {
	meta:
		name = "strcspn"
		size = 100
	strings:
		$1 = { 00 00 83 80 15 00 60 10 21 10 00 00 00 00 A8 80 21 10 80 00 0C 00 00 51 01 00 42 24 0D 00 03 11 21 30 A0 00 ?? ?? ?? 0? 01 00 C6 24 0B 00 67 50 23 10 44 00 01 00 C6 24 00 00 C7 80 FB FF E0 14 00 00 00 00 01 00 42 24 00 00 43 80 F1 FF 60 14 00 00 00 00 08 00 E0 03 23 10 44 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_142_0_4 {
	meta:
		name = "asinhf"
		size = 304
		refs = "0018 _FDtest 0054 fpcmp 0080 fpdiv 007c _FEps 00a0 fpmul 00b0 fpadd 00b8 sqrtf 00e4 log1pf 0110 _FLog"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 02 00 03 24 2B 10 62 00 08 00 40 14 20 00 B0 8F 20 00 A2 8F 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 21 28 00 00 21 88 00 00 ?? ?? ?? 0? 21 20 00 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 50 00 20 00 B0 AF 01 00 11 24 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1E 00 41 04 21 20 00 02 21 28 00 02 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 8E 21 20 40 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 05 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 20 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 D2 FF 20 12 1C 00 BF 8F 00 80 03 3C 26 10 62 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_332_0_4 {
	meta:
		name = "asinh"
		size = 304
		refs = "0018 _Dtest 0054 fpcmp 0080 fpdiv 007c _Eps 00a0 fpmul 00b0 fpadd 00b8 sqrt 00e4 log1p 0110 _Log"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 02 00 03 24 2B 10 62 00 08 00 40 14 20 00 B0 8F 20 00 A2 8F 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 21 28 00 00 21 88 00 00 ?? ?? ?? 0? 21 20 00 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 50 00 20 00 B0 AF 01 00 11 24 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1E 00 41 04 21 20 00 02 21 28 00 02 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 8E 21 20 40 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 05 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 20 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 D2 FF 20 12 1C 00 BF 8F 00 80 03 3C 26 10 62 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_143_0_4 {
	meta:
		name = "cpowf"
		size = 428
		refs = "0028 cimagf 0034 fpcmp 0048 clogf 005c __mulsc3 0068 cexpf 00c0 crealf 00dc powf 00e8 _FCbuild 012c _FLog 0158 fpmul"
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 21 88 A0 00 21 80 80 00 24 00 BF AF 20 00 B4 AF 21 90 C0 00 ?? ?? ?? 0? 21 98 E0 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 18 00 40 50 21 28 60 02 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 28 60 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 1A 00 40 54 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 88 40 00 21 20 80 02 ?? ?? ?? 0? 21 28 40 02 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_214_0_4 {
	meta:
		name = "cpow"
		size = 428
		refs = "0028 cimag 0034 fpcmp 0048 clog 005c __mulsc3 0068 cexp 00c0 creal 00dc pow 00e8 _Cbuild 012c _Log 0158 fpmul"
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 21 88 A0 00 21 80 80 00 24 00 BF AF 20 00 B4 AF 21 90 C0 00 ?? ?? ?? 0? 21 98 E0 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 18 00 40 50 21 28 60 02 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 28 60 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 1A 00 40 54 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 88 40 00 21 20 80 02 ?? ?? ?? 0? 21 28 40 02 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_144_0_4 {
	meta:
		name = "tgamma"
		size = 760
		refs = "0024 _Dint 0050 fpcmp 0060 _Gamma_big 0090 _Tgamma 00a0 fpadd 00ac fpdiv 00c0 _Dscale 00d0 _Feraise 0124 _Nan 0150 _Inf 01a4 fpsub 0200 fpmul 020c _Sin"
	strings:
		$1 = { C8 FF BD 27 38 00 A4 AF 14 00 A4 AF 21 28 00 00 14 00 A4 27 34 00 BF AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF ?? ?? ?? 0? 24 00 B0 AF 01 00 03 24 3F 00 43 10 02 00 03 24 28 00 43 50 38 00 A2 8F 2D 00 40 10 38 00 B0 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 94 00 40 18 00 80 11 3C ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? 26 28 B1 00 48 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2E 00 40 1C 38 00 A4 27 ?? ?? ?? 0? 10 00 A5 27 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 38 00 A5 8F ?? ?? ?? 0? 21 20 40 00 10 00 A5 87 38 00 A4 27 38 00 A2 AF ?? ?? ?? 0? 23 28 05 00 7C 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 38 00 A2 8F 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 1A 00 40 10 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 CD FF 43 04 ?? ?? 02 3C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 3E 00 A2 87 E9 FF 43 04 38 00 A2 8F ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 08 00 04 24 34 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 04 00 04 24 3E 00 A2 87 F4 FF 41 04 34 00 BF 8F ?? ?? 02 3C ?? ?? 43 8C 00 80 02 3C ?? ?? ?? 0? 26 10 62 00 ?? ?? 12 3C ?? ?? 45 8E 26 20 30 02 ?? ?? ?? 0? 18 00 B0 AF 14 00 A5 8F 21 20 00 02 ?? ?? ?? 0? 1C 00 A2 AF 18 00 A4 27 FF FF 05 24 ?? ?? ?? 0? 14 00 A2 AF 38 00 B0 8F 18 00 A5 8F ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 39 00 42 04 14 00 A4 8F 14 00 A4 8F ?? ?? 13 3C ?? ?? 65 8E ?? ?? ?? 0? 00 80 11 3C 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 26 20 30 02 38 00 A4 8F ?? ?? 45 8E 21 80 40 00 ?? ?? ?? 0? 26 20 91 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 64 8E ?? ?? ?? 0? 21 28 40 00 10 00 A5 27 1C 00 A4 27 21 80 40 00 ?? ?? ?? 0? 18 00 A2 AF ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1C 00 A5 8F ?? ?? ?? 0? 21 20 40 00 10 00 A5 87 18 00 A4 27 ?? ?? ?? 0? 18 00 A2 AF 12 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 18 00 A2 8F ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 21 10 00 00 87 FF 43 54 38 00 A2 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 38 00 A2 8F 26 20 91 00 ?? ?? ?? 0? 14 00 A4 AF 7E FF 43 54 18 00 A2 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 18 00 A2 8F }
	condition:
		$1
}

rule file_145_0_4 {
	meta:
		name = "atanhf"
		size = 392
		refs = "001c _FDtest 005c fpcmp 00a0 _Feraise 00b0 _FInf 00d8 fpadd 00e8 fpsub 00f4 fpdiv 00fc log1pf 010c fpmul 0148 _FNan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 09 00 40 14 02 00 03 24 28 00 A2 8F 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 F7 FF 43 10 28 00 B2 8F 21 28 00 00 21 88 00 00 ?? ?? ?? 0? 21 20 40 02 05 00 41 04 ?? ?? 10 3C 00 80 02 3C 26 90 52 00 28 00 B2 AF 01 00 11 24 ?? ?? 04 8E ?? ?? ?? 0? 21 28 40 02 2C 00 40 04 ?? ?? 05 8E ?? ?? ?? 0? 21 20 40 02 0F 00 40 14 21 20 40 02 ?? ?? ?? 0? 04 00 04 24 2F 00 20 12 24 00 BF 8F ?? ?? 02 3C ?? ?? 43 8C 00 80 02 3C 26 10 62 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 40 02 ?? ?? 04 8E 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 C7 FF 20 12 24 00 BF 8F 00 80 03 3C 26 10 62 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 01 00 04 24 24 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_219_0_4 {
	meta:
		name = "atanh"
		size = 392
		refs = "001c _Dtest 005c fpcmp 00a0 _Feraise 00b0 _Inf 00d8 fpadd 00e8 fpsub 00f4 fpdiv 00fc log1p 010c fpmul 0148 _Nan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 09 00 40 14 02 00 03 24 28 00 A2 8F 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 F7 FF 43 10 28 00 B2 8F 21 28 00 00 21 88 00 00 ?? ?? ?? 0? 21 20 40 02 05 00 41 04 ?? ?? 10 3C 00 80 02 3C 26 90 52 00 28 00 B2 AF 01 00 11 24 ?? ?? 04 8E ?? ?? ?? 0? 21 28 40 02 2C 00 40 04 ?? ?? 05 8E ?? ?? ?? 0? 21 20 40 02 0F 00 40 14 21 20 40 02 ?? ?? ?? 0? 04 00 04 24 2F 00 20 12 24 00 BF 8F ?? ?? 02 3C ?? ?? 43 8C 00 80 02 3C 26 10 62 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 40 02 ?? ?? 04 8E 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 C7 FF 20 12 24 00 BF 8F 00 80 03 3C 26 10 62 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 01 00 04 24 24 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_147_0_4 {
	meta:
		name = "_Defloc"
		size = 168
		refs = "0014 getenv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 ?? ?? 04 3C 14 00 BF AF ?? ?? ?? 0? ?? ?? 84 24 05 00 40 50 01 00 02 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 11 00 02 12 ?? ?? 02 3C ?? ?? 42 24 ?? ?? ?? 0? 21 20 00 00 0E 00 70 50 ?? ?? 02 3C 00 00 43 8C 01 00 84 24 FB FF 60 14 04 00 42 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 21 20 00 00 ?? ?? 02 3C 80 20 04 00 ?? ?? 42 24 21 20 82 00 ?? ?? ?? 0? 00 00 84 8C E3 FF 40 14 14 00 BF 8F ?? ?? ?? 0? ?? ?? 04 3C }
	condition:
		$1
}

rule file_148_0_4 {
	meta:
		name = "_LDint"
		size = 28
		refs = "0008 _Dint"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 20 2E 05 7C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_149_0_4 {
	meta:
		name = "_Fofind"
		size = 180
		refs = "0008 _Files 005c malloc"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF ?? ?? 11 3C ?? ?? 31 26 14 00 B0 AF 1C 00 BF AF 21 18 20 02 21 80 00 00 14 00 05 24 00 00 62 8C 0C 00 40 10 04 00 63 24 00 00 44 94 18 00 80 10 01 00 10 26 FA FF 05 56 00 00 62 8C 21 10 00 00 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 4C 00 04 24 F9 FF 40 10 1C 00 BF 8F 80 18 10 00 21 88 23 02 00 00 22 AE 02 00 50 A0 1C 00 BF 8F 80 00 03 24 18 00 B1 8F 14 00 B0 8F 00 00 43 A4 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 7F FF 03 24 18 00 B1 8F 14 00 B0 8F 00 00 43 A4 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_149_1_4 {
	meta:
		name = "_Fofree"
		size = 164
		refs = "0014 _Files 0040 free"
	strings:
		$1 = { 00 00 82 94 E8 FF BD 27 80 00 42 30 11 00 40 10 14 00 BF AF ?? ?? 07 3C ?? ?? E7 24 21 10 E0 00 21 18 00 00 14 00 06 24 00 00 45 8C 19 00 A4 10 04 00 42 24 01 00 63 24 FC FF 66 54 00 00 45 8C ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 48 00 82 24 28 00 83 24 FF FF 05 24 00 00 80 A4 03 00 85 A0 04 00 82 AC 0C 00 82 AC 10 00 82 AC 2C 00 82 AC 14 00 82 AC 30 00 82 AC 18 00 82 AC 1C 00 83 AC 08 00 E0 03 18 00 BD 27 80 18 03 00 21 38 E3 00 ?? ?? ?? 0? 00 00 E0 AC }
	condition:
		$1
}

rule file_150_0_4 {
	meta:
		name = "_Stoldx"
		size = 652
		refs = "0040 _Stopfx 0074 _LInf 0080 _LNan 00f4 _Stoflt 0124 _LDtentox 0144 _Stoxflt 0160 _LDscale 0184 litodp 01c4 dpmul 01ec dpadd"
	strings:
		$1 = { A8 FF BD 27 34 00 B1 AF 58 00 A4 AF 21 88 80 00 58 00 A4 27 48 00 B6 AF 3C 00 B3 AF 38 00 B2 AF 30 00 B0 AF 54 00 BF AF 50 00 BE AF 4C 00 B7 AF 44 00 B5 AF 40 00 B4 AF 21 98 A0 00 21 90 C0 00 ?? ?? ?? 0? 21 80 E0 00 02 00 00 12 08 00 56 30 00 00 00 AE F7 FF 03 24 24 10 43 00 01 00 03 24 1F 00 43 10 02 00 03 24 32 00 43 10 03 00 03 24 15 00 43 10 ?? ?? 03 3C 04 00 03 24 15 00 43 10 ?? ?? 03 3C 21 10 00 00 21 18 00 00 03 00 C0 12 54 00 BF 8F 00 80 04 3C 26 18 64 00 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 58 00 A5 8F 21 20 20 02 02 00 02 24 21 30 60 02 20 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF 21 00 40 14 21 88 40 00 18 00 A0 AF 1C 00 A0 AF 21 10 00 00 21 18 00 00 20 00 A6 8F 21 20 40 00 21 28 60 00 21 30 46 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 00 00 00 00 58 00 A5 8F 21 20 20 02 21 30 60 02 20 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF 2E 00 40 14 21 88 40 00 18 00 A0 AF 1C 00 A0 AF 20 00 A5 8F ?? ?? ?? 0? 18 00 A4 27 18 00 A4 8F 1C 00 A5 8F 21 30 40 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 24 00 A4 8F 02 00 26 2A 18 00 A2 AF DF FF C0 14 1C 00 A3 AF ?? ?? 04 3C ?? ?? 94 8C ?? ?? 95 8C 80 88 11 00 24 00 A4 27 28 00 B3 27 21 88 91 00 21 28 60 00 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 20 40 00 00 00 64 8E 21 F0 40 00 ?? ?? ?? 0? 21 B8 60 00 04 00 73 26 21 20 C0 03 21 28 E0 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 F1 FF 71 16 21 28 60 00 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF ?? ?? ?? 0? 24 00 A4 8F 02 00 26 2A 18 00 A2 AF D0 FF C0 14 1C 00 A3 AF ?? ?? 04 3C ?? ?? 94 8C ?? ?? 95 8C 80 88 11 00 24 00 A4 27 28 00 B3 27 21 88 91 00 21 28 60 00 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 20 40 00 00 00 64 8E 21 F0 40 00 ?? ?? ?? 0? 21 B8 60 00 04 00 73 26 21 20 C0 03 21 28 E0 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 F1 FF 71 16 21 28 60 00 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF }
	condition:
		$1
}

rule file_715_0_4 {
	meta:
		name = "_WStoldx"
		size = 652
		refs = "0040 _WStopfx 0074 _LInf 0080 _LNan 00f4 _WStoflt 0124 _LDtentox 0144 _WStoxflt 0160 _LDscale 0184 litodp 01c4 dpmul 01ec dpadd"
	strings:
		$1 = { A8 FF BD 27 34 00 B1 AF 58 00 A4 AF 21 88 80 00 58 00 A4 27 48 00 B6 AF 3C 00 B3 AF 38 00 B2 AF 30 00 B0 AF 54 00 BF AF 50 00 BE AF 4C 00 B7 AF 44 00 B5 AF 40 00 B4 AF 21 98 A0 00 21 90 C0 00 ?? ?? ?? 0? 21 80 E0 00 02 00 00 12 08 00 56 30 00 00 00 AE F7 FF 03 24 24 10 43 00 01 00 03 24 1F 00 43 10 02 00 03 24 32 00 43 10 03 00 03 24 15 00 43 10 ?? ?? 03 3C 04 00 03 24 15 00 43 10 ?? ?? 03 3C 21 10 00 00 21 18 00 00 03 00 C0 12 54 00 BF 8F 00 80 04 3C 26 18 64 00 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 58 00 A5 8F 21 20 20 02 02 00 02 24 21 30 60 02 20 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF 21 00 40 14 21 88 40 00 18 00 A0 AF 1C 00 A0 AF 21 10 00 00 21 18 00 00 20 00 A6 8F 21 20 40 00 21 28 60 00 21 30 46 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 00 00 00 00 58 00 A5 8F 21 20 20 02 21 30 60 02 20 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF 2E 00 40 14 21 88 40 00 18 00 A0 AF 1C 00 A0 AF 20 00 A5 8F ?? ?? ?? 0? 18 00 A4 27 18 00 A4 8F 1C 00 A5 8F 21 30 40 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 24 00 A4 8F 02 00 26 2A 18 00 A2 AF DF FF C0 14 1C 00 A3 AF ?? ?? 04 3C ?? ?? 94 8C ?? ?? 95 8C 80 88 11 00 24 00 A4 27 28 00 B3 27 21 88 91 00 21 28 60 00 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 20 40 00 00 00 64 8E 21 F0 40 00 ?? ?? ?? 0? 21 B8 60 00 04 00 73 26 21 20 C0 03 21 28 E0 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 F1 FF 71 16 21 28 60 00 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF ?? ?? ?? 0? 24 00 A4 8F 02 00 26 2A 18 00 A2 AF D0 FF C0 14 1C 00 A3 AF ?? ?? 04 3C ?? ?? 94 8C ?? ?? 95 8C 80 88 11 00 24 00 A4 27 28 00 B3 27 21 88 91 00 21 28 60 00 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 20 40 00 00 00 64 8E 21 F0 40 00 ?? ?? ?? 0? 21 B8 60 00 04 00 73 26 21 20 C0 03 21 28 E0 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 F1 FF 71 16 21 28 60 00 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF }
	condition:
		$1
}

rule file_151_0_4 {
	meta:
		name = "difftime"
		size = 80
		refs = "0020 sitofp"
	strings:
		$1 = { 55 7C 02 3C 80 81 42 34 21 28 A2 00 21 20 82 00 E8 FF BD 27 2A 10 85 00 08 00 40 10 14 00 BF AF ?? ?? ?? 0? 23 20 A4 00 14 00 BF 8F 00 80 03 3C 26 10 43 00 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 23 20 85 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_152_0_4 {
	meta:
		name = "_LCmulcr"
		size = 216
		refs = "003c creall 0058 cimagl 0074 dpmul 00a4 _LCbuild"
	strings:
		$1 = { C8 FF BD 27 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 4C 00 B1 8F 48 00 B0 8F 21 A0 80 00 21 A8 A0 00 21 90 C0 00 21 98 E0 00 34 00 BF AF 30 00 B7 AF ?? ?? ?? 0? 2C 00 B6 AF 21 20 80 02 21 28 A0 02 21 30 40 02 21 38 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 A0 40 00 21 A8 60 00 21 20 C0 02 21 28 E0 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 20 80 02 21 28 A0 02 21 30 00 02 21 38 20 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_392_0_4 {
	meta:
		name = "_LCdivcr"
		size = 216
		refs = "003c creall 0058 cimagl 0074 dpdiv 00a4 _LCbuild"
	strings:
		$1 = { C8 FF BD 27 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 4C 00 B1 8F 48 00 B0 8F 21 A0 80 00 21 A8 A0 00 21 90 C0 00 21 98 E0 00 34 00 BF AF 30 00 B7 AF ?? ?? ?? 0? 2C 00 B6 AF 21 20 80 02 21 28 A0 02 21 30 40 02 21 38 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 A0 40 00 21 A8 60 00 21 20 C0 02 21 28 E0 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 20 80 02 21 28 A0 02 21 30 00 02 21 38 20 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_153_0_4 {
	meta:
		name = "wcsrchr"
		size = 36
	strings:
		$1 = { ?? ?? ?? 0? 21 10 00 00 04 00 84 24 00 00 83 8C 26 30 65 00 FC FF 60 14 0A 10 86 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_154_0_4 {
	meta:
		name = "_FAtan"
		size = 436
		refs = "0028 fpcmp 0044 fpmul 0054 fpsub 0064 fpadd 0070 fpdiv 007c _FRteps 01a4 _Feraise"
	strings:
		$1 = { D8 FF BD 27 ?? ?? 02 3C 18 00 B1 AF 21 88 80 00 ?? ?? 44 8C 14 00 B0 AF 21 80 A0 00 21 28 20 02 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 13 00 41 04 ?? ?? 02 3C ?? ?? 12 3C ?? ?? 45 8E 21 20 20 02 ?? ?? ?? 0? 01 00 10 36 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? 45 8E 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 88 40 00 ?? ?? 02 3C ?? ?? 52 8C 00 80 05 3C 21 20 20 02 ?? ?? ?? 0? 26 28 B2 00 1A 00 40 04 21 20 20 02 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 15 00 40 04 21 20 20 02 02 00 02 32 04 00 40 10 07 00 02 32 00 80 02 3C 26 88 51 00 07 00 02 32 2F 00 40 14 ?? ?? 03 3C 08 00 10 32 02 00 00 12 00 80 02 3C 26 88 51 00 24 00 BF 8F 21 10 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 21 20 20 02 ?? ?? ?? 0? 21 90 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 88 40 00 ?? ?? 63 24 80 10 02 00 21 10 43 00 00 00 45 8C ?? ?? ?? 0? 21 20 20 02 20 00 04 24 ?? ?? ?? 0? 21 88 40 00 ?? ?? ?? 0? 08 00 10 32 }
	condition:
		$1
}

rule file_157_0_4 {
	meta:
		name = "acosl"
		size = 596
		refs = "0028 _LDtest 004c dpcmp 00ac _Feraise 00b8 _LNan 0124 dpsub 0140 dpadd 0154 dpmul 0160 sqrtl 0174 dpdiv 0184 _LAtan"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 34 00 A5 AF 02 00 03 24 2C 00 43 10 30 00 B1 8F 34 00 B0 8F 21 30 00 00 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 06 00 41 04 02 00 12 24 00 80 02 3C 26 80 02 02 30 00 B1 AF 34 00 B0 AF 04 00 12 24 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 23 00 40 18 ?? ?? 13 3C ?? ?? 66 8E ?? ?? 67 8E 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 44 00 40 18 ?? ?? 64 8E ?? ?? ?? 0? 01 00 04 24 ?? ?? 03 3C ?? ?? 64 8C 2C 00 BF 8F ?? ?? 62 8C 28 00 B5 8F 21 18 80 00 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 34 00 A4 8F 2C 00 BF 8F 30 00 A2 8F 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 64 8E ?? ?? 65 8E 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? 66 8E ?? ?? 67 8E 21 20 20 02 21 28 00 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 40 02 ?? ?? ?? 0? 21 28 60 00 2C 00 BF 8F 21 20 60 00 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 65 8E 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? 66 8E ?? ?? 67 8E 21 20 20 02 21 28 00 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 30 00 A6 8F 34 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 02 00 46 3A ?? ?? ?? 0? 21 28 60 00 2C 00 BF 8F 21 20 60 00 21 18 80 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_158_0_4 {
	meta:
		name = "_Getint"
		size = 1780
		refs = "00d0 strchr 0124 memchr 025c _Stoull 0440 _Stoll 06d4 _Fail_s"
	strings:
		$1 = { 18 00 82 8C A0 FF BD 27 58 00 BE AF 54 00 B7 AF 5C 00 BF AF 21 B8 A0 00 50 00 B6 AF 4C 00 B5 AF 48 00 B4 AF 44 00 B3 AF 40 00 B2 AF 3C 00 B1 AF 38 00 B0 AF 21 F0 80 00 F4 00 40 18 FF FF 45 24 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 14 00 C5 AF 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 21 18 40 00 2B 00 02 24 11 00 62 14 2D 00 02 24 14 00 C2 8F 10 00 A3 A3 FF FF 42 24 AB 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 21 18 40 00 ?? ?? ?? 0? 11 00 B0 27 EF FF 62 10 10 00 B0 27 0C 00 C2 8F ?? ?? 11 3C ?? ?? 24 26 00 00 45 80 ?? ?? 31 26 ?? ?? ?? 0? 30 00 A3 AF ?? ?? 04 3C 30 00 A3 8F 23 88 51 00 ?? ?? 84 24 21 88 24 02 30 00 02 24 78 00 62 10 00 00 36 82 9F 00 C0 16 21 90 00 00 0A 00 11 24 21 90 00 00 FF FF 02 24 3F 01 62 10 ?? ?? 13 3C ?? ?? 73 26 21 28 60 00 21 20 60 02 21 30 20 02 ?? ?? ?? 0? 30 00 A3 AF 2F 00 B4 27 FF FF 15 24 1C 00 40 10 30 00 A3 8F 2B 10 14 02 04 00 40 50 14 00 C2 8F 00 00 03 A2 01 00 10 26 14 00 C2 8F FF FF 42 24 2D 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 4F 01 55 10 21 18 40 00 21 28 60 00 21 20 60 02 21 30 20 02 ?? ?? ?? 0? 30 00 A3 AF 01 00 12 24 E6 FF 40 14 30 00 A3 8F 10 00 C5 8F 00 00 C2 8F 04 00 C4 8F FF FF A5 24 10 00 C5 AF 21 30 00 00 09 F8 40 00 21 28 60 00 18 00 40 16 30 00 A3 8F 10 00 A2 27 C3 00 50 10 21 88 00 00 5C 00 BF 8F 21 10 20 02 58 00 BE 8F 54 00 B7 8F 50 00 B6 8F 4C 00 B5 8F 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 60 00 BD 27 10 00 C2 8F 01 00 12 24 01 00 42 24 FF FF 42 24 10 00 C2 AF EA FF 40 12 FF FF 03 24 20 00 C2 83 01 00 11 24 E9 FF 40 14 00 00 00 A2 0C 00 C2 8F 64 00 03 24 00 00 42 80 7B 00 43 10 69 00 03 24 79 00 43 10 10 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 30 C0 02 0C 00 C4 8F 22 00 D1 A3 00 00 85 80 70 00 04 24 E7 00 A4 10 00 00 00 00 21 00 C4 93 9E FF 84 24 FF 00 84 30 19 00 85 2C B1 00 A0 14 ?? ?? 05 3C E3 00 E0 12 01 00 11 24 00 00 E2 AE 5C 00 BF 8F 21 10 20 02 58 00 BE 8F 54 00 B7 8F 50 00 B6 8F 4C 00 B5 8F 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 60 00 BD 27 14 00 C2 8F FF FF 42 24 4E 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 21 18 40 00 78 00 02 24 79 00 62 14 58 00 02 24 80 00 C0 52 14 00 C2 8F 10 00 02 24 7D 00 C2 52 14 00 C2 8F ?? ?? ?? 0? 01 00 12 24 10 00 C3 8F 0C 00 C2 8F ?? ?? 11 3C 01 00 63 24 10 00 C3 AF 00 00 45 80 ?? ?? 24 26 ?? ?? ?? 0? ?? ?? 31 26 ?? ?? 03 3C ?? ?? 63 24 23 88 51 00 21 88 23 02 00 00 36 82 11 00 B0 27 64 FF C0 12 FF FF 03 24 21 90 00 00 0A 00 11 24 04 00 D1 12 08 00 C4 3A 08 00 11 24 16 00 02 24 0B 88 44 00 30 00 02 24 D3 00 62 14 00 00 00 00 14 00 C2 8F 30 00 12 24 FF FF 42 24 0F 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 09 00 52 14 21 18 40 00 14 00 C2 8F FF FF 42 24 F3 FF 41 04 14 00 C2 AF 10 00 C2 8F FF FF 03 24 01 00 42 24 10 00 C2 AF 30 00 02 24 00 00 02 A2 01 00 12 24 ?? ?? ?? 0? 01 00 10 26 FF 7F 05 3C ?? ?? ?? 0? FE FF A5 34 10 00 C2 8F FF FF 03 24 01 00 42 24 10 00 C2 AF D3 FF C0 16 01 00 12 24 ?? ?? ?? 0? 08 00 16 24 10 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 30 C0 02 21 00 C4 93 01 00 05 24 22 00 C5 A3 9E FF 84 24 FF 00 84 30 19 00 85 2C 8C FF A0 10 ?? ?? 05 3C 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 84 8C 08 00 80 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 27 18 03 00 FF FF 02 24 ?? ?? ?? 0? 0A 88 43 00 87 FF 62 10 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 4F 00 E0 12 01 00 11 24 00 00 E2 AE ?? ?? ?? 0? 04 00 E3 AE FF FF 42 24 2C 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 21 18 40 00 10 00 16 24 ?? ?? ?? 0? 21 90 00 00 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 84 8C 08 00 80 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 10 00 C2 8F FF FF 03 24 10 00 16 24 01 00 42 24 10 00 C2 AF ?? ?? ?? 0? 21 90 00 00 24 00 E0 12 01 00 11 24 ?? ?? ?? 0? 00 00 E2 A6 28 00 E0 12 01 00 11 24 ?? ?? ?? 0? 00 00 E2 A2 ?? ?? ?? 0? 10 00 C2 8F 14 00 E0 52 08 00 C4 8F ?? ?? ?? 0? 00 00 E2 AE 08 00 C4 8F 00 00 83 8C 04 00 84 24 26 00 60 10 08 00 C4 AF 00 00 62 AC ?? ?? ?? 0? 01 00 11 24 08 00 C5 8F 00 00 A4 8C 04 00 A5 24 1E 00 80 10 08 00 C5 AF 00 00 82 AC 04 00 83 AC ?? ?? ?? 0? 01 00 11 24 00 00 83 8C 04 00 84 24 16 00 60 10 08 00 C4 AF ?? ?? ?? 0? 00 00 62 AC 08 00 C4 8F 00 00 83 8C 04 00 84 24 0F 00 60 10 08 00 C4 AF 00 00 62 A4 ?? ?? ?? 0? 01 00 11 24 08 00 C4 8F 00 00 83 8C 04 00 84 24 07 00 60 10 08 00 C4 AF 00 00 62 A0 ?? ?? ?? 0? 01 00 11 24 10 00 C2 8F ?? ?? ?? 0? 01 00 12 24 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1E 00 05 24 ?? ?? ?? 0? 27 88 02 00 89 FE 40 52 FF FF 02 24 ?? ?? ?? 0? 30 00 02 24 }
	condition:
		$1
}

rule file_159_0_4 {
	meta:
		name = "putw"
		size = 152
		refs = "0030 fputc"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 28 00 A4 AF 28 00 B3 27 00 00 64 92 21 88 A0 00 21 28 20 02 FF FF 10 24 ?? ?? ?? 0? 2B 00 B2 27 08 00 50 10 24 00 BF 8F 0D 00 72 12 01 00 73 26 00 00 64 92 ?? ?? ?? 0? 21 28 20 02 FA FF 50 14 24 00 BF 8F FF FF 02 24 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 21 10 00 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_160_0_4 {
	meta:
		name = "wctomb"
		size = 32
		refs = "000c _Wctomb"
	strings:
		$1 = { ?? ?? 06 3C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? ?? ?? C6 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_161_1_4 {
	meta:
		name = "_ZNKSt13runtime_error4whatEv"
		size = 32
		altNames = "_ZNKSt11logic_error4whatEv"
	strings:
		$1 = { 18 00 83 8C 10 00 63 2C 03 00 60 10 04 00 82 24 08 00 E0 03 00 00 00 00 08 00 E0 03 04 00 82 8C }
	condition:
		$1
}

rule file_161_11_4 {
	meta:
		name = "_ZNSt13runtime_errorD1Ev"
		size = 88
		refs = "0004 _ZTVSt13runtime_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
		altNames = "_ZN6Dinkum7threads10lock_errorD1Ev _ZN6Dinkum7threads21thread_resource_errorD1Ev _ZNSt12system_errorD1Ev _ZNSt14overflow_errorD1Ev _ZNSt8ios_base7failureD1Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 14 00 00 AE 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_15_4 {
	meta:
		name = "_ZNSt11logic_errorD1Ev"
		size = 88
		refs = "0004 _ZTVSt11logic_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 14 00 00 AE 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_20_4 {
	meta:
		name = "_ZNSt12length_errorD1Ev"
		size = 88
		refs = "0004 _ZTVSt11logic_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 14 00 00 AE 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_18_4 {
	meta:
		name = "_ZNSt12out_of_rangeD1Ev"
		size = 88
		refs = "0004 _ZTVSt11logic_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 14 00 00 AE 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_22_4 {
	meta:
		name = "_ZNSt16invalid_argumentD1Ev"
		size = 88
		refs = "0004 _ZTVSt11logic_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 14 00 00 AE 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_161_12_4 {
	meta:
		name = "_ZNSt13runtime_errorD0Ev"
		size = 96
		refs = "0004 _ZTVSt13runtime_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
		altNames = "_ZN6Dinkum7threads10lock_errorD0Ev _ZN6Dinkum7threads21thread_resource_errorD0Ev _ZNSt12system_errorD0Ev _ZNSt14overflow_errorD0Ev _ZNSt8ios_base7failureD0Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 21 20 00 02 14 00 00 AE ?? ?? ?? 0? 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_16_4 {
	meta:
		name = "_ZNSt11logic_errorD0Ev"
		size = 96
		refs = "0004 _ZTVSt11logic_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 21 20 00 02 14 00 00 AE ?? ?? ?? 0? 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_21_4 {
	meta:
		name = "_ZNSt12length_errorD0Ev"
		size = 96
		refs = "0004 _ZTVSt11logic_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 21 20 00 02 14 00 00 AE ?? ?? ?? 0? 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_19_4 {
	meta:
		name = "_ZNSt12out_of_rangeD0Ev"
		size = 96
		refs = "0004 _ZTVSt11logic_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 21 20 00 02 14 00 00 AE ?? ?? ?? 0? 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_775_23_4 {
	meta:
		name = "_ZNSt16invalid_argumentD0Ev"
		size = 96
		refs = "0004 _ZTVSt11logic_error 0028 _ZdlPv 0040 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 18 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 42 2C 10 00 B0 AF 14 00 BF AF 21 80 80 00 03 00 40 14 00 00 83 AC ?? ?? ?? 0? 04 00 84 8C 0F 00 02 24 18 00 02 AE 21 20 00 02 14 00 00 AE ?? ?? ?? 0? 04 00 00 A2 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_161_17_4 {
	meta:
		name = "_Z41__static_initialization_and_destruction_0ii.clone.20"
		size = 1760
		refs = "0030 _ZN6Dinkum7threads8rsrc_msgE 0048 _ZdlPv 0050 _ZN6Dinkum7threads8lock_msgE 00d8 strlen 0194 memmove 0400 _ZSt14_Xout_of_rangePKc 0440 _ZSt14_Xlength_errorPKc 049c _Znwm 04cc memcpy 04a8 _ZTVSt9bad_alloc 0698 _ZNKSt9exception6_RaiseEv 06a4 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 01 00 02 24 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 25 00 82 10 18 00 B0 AF 15 00 80 14 ?? ?? 13 3C ?? ?? 70 26 14 00 02 8E 10 00 42 2C 04 00 40 14 ?? ?? 12 3C ?? ?? ?? 0? ?? ?? 64 8E ?? ?? 12 3C ?? ?? 51 26 14 00 22 8E 0F 00 03 24 14 00 03 AE 10 00 42 2C 10 00 00 AE 0F 00 40 10 ?? ?? 60 A2 0F 00 02 24 14 00 22 AE 10 00 20 AE ?? ?? 40 A2 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? ?? ?? 44 8E ?? ?? ?? 0? 0F 00 02 24 ?? ?? 12 3C ?? ?? 51 26 ?? ?? 13 3C 0F 00 02 24 ?? ?? 64 26 14 00 22 AE 10 00 20 AE ?? ?? ?? 0? ?? ?? 40 A2 14 00 25 8E 21 80 40 00 ?? ?? 42 8E 10 00 A3 2C 21 20 20 02 ?? ?? 67 26 0A 20 43 00 2B 30 E4 00 79 00 C0 54 FF FF 02 24 10 00 26 8E 21 20 86 00 2B 20 E4 00 74 00 80 50 FF FF 02 24 21 90 20 02 0A 90 43 00 23 90 F2 00 2B 10 D2 00 BC 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 02 02 0A 80 43 00 21 80 12 02 2B 10 D0 00 AD 00 40 14 ?? ?? 04 3C 23 98 D0 00 FF FF 02 24 7B 00 62 52 14 00 22 8E 79 00 60 56 14 00 22 8E 2B 10 46 02 21 80 40 02 0A 80 C2 00 12 00 00 12 ?? ?? 12 3C 14 00 24 8E ?? ?? 42 8E 23 30 D0 00 10 00 84 2C 0B 10 24 02 21 20 40 00 ?? ?? ?? 0? 21 28 50 00 14 00 22 8E 10 00 24 8E ?? ?? 43 8E 10 00 42 2C 23 80 90 00 0B 18 22 02 21 10 70 00 10 00 30 AE 00 00 40 A0 ?? ?? 13 3C ?? ?? 70 26 ?? ?? 14 3C 0F 00 02 24 ?? ?? 84 26 14 00 02 AE 10 00 00 AE ?? ?? ?? 0? ?? ?? 60 A2 21 88 40 00 14 00 02 8E ?? ?? 63 8E 21 28 00 02 10 00 44 2C ?? ?? 92 26 0A 28 64 00 2B 30 45 02 44 00 C0 54 FF FF 03 24 10 00 06 8E 21 28 A6 00 2B 28 45 02 3F 00 A0 50 FF FF 03 24 0B 18 04 02 23 90 43 02 2B 10 D2 00 80 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 22 02 0A 88 43 00 21 88 32 02 2B 10 D1 00 71 00 40 14 ?? ?? 04 3C 23 98 D1 00 FF FF 02 24 50 00 62 52 14 00 02 8E 4E 00 60 56 14 00 02 8E 2B 10 46 02 21 88 40 02 0A 88 C2 00 83 FF 20 12 ?? ?? 12 3C 14 00 04 8E ?? ?? 42 8E 23 30 D1 00 10 00 84 2C 0B 10 04 02 21 20 40 00 ?? ?? ?? 0? 21 28 51 00 14 00 02 8E 10 00 04 8E ?? ?? 43 8E 10 00 42 2C 23 88 91 00 0B 18 02 02 21 10 71 00 10 00 11 AE 00 00 40 A0 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 55 00 02 12 ?? ?? 04 3C 2B 10 B0 00 56 00 40 14 0F 00 14 36 84 00 00 16 ?? ?? 42 8E 10 00 A5 2C 10 00 20 AE 0A 88 45 00 ?? ?? ?? 0? 00 00 20 A2 D9 00 23 12 ?? ?? 04 3C 2B 18 51 00 8A 00 60 14 0F 00 32 36 B8 00 20 16 ?? ?? 63 8E 10 00 42 2C 10 00 00 AE 0A 80 62 00 ?? ?? ?? 0? 00 00 00 A2 10 00 42 2C 28 00 40 14 21 20 30 02 ?? ?? 02 3C ?? ?? 42 8C 21 20 50 00 21 80 70 02 21 30 00 00 ?? ?? ?? 0? 21 28 50 00 14 00 22 8E ?? ?? 03 3C 10 00 26 8E ?? ?? 63 8C 10 00 42 2C 23 30 D3 00 0B 18 22 02 21 10 66 00 10 00 26 AE ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 15 00 40 14 21 20 11 02 ?? ?? 02 3C ?? ?? 42 8C 21 20 51 00 21 88 71 02 21 30 00 00 ?? ?? ?? 0? 21 28 51 00 14 00 02 8E ?? ?? 03 3C 10 00 06 8E ?? ?? 63 8C 10 00 42 2C 23 30 D3 00 0B 18 02 02 21 10 66 00 10 00 06 AE ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? 21 10 20 02 ?? ?? ?? 0? 21 10 00 02 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 06 8E ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 06 8E ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 25 8E FF FF 02 24 84 00 82 12 10 00 36 8E AA AA 02 3C AB AA 42 34 19 00 82 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 7D 00 60 10 01 00 84 26 FE FF 03 24 23 18 62 00 2B 18 65 00 77 00 60 10 21 A0 45 00 FF FF 04 24 FE FF 14 24 ?? ?? ?? 0? 00 00 00 00 7A 00 40 10 ?? ?? 15 3C 14 00 25 8E 21 A8 40 00 09 00 C0 12 10 00 A5 2C ?? ?? 42 8E 21 20 A0 02 0B 10 25 02 21 28 40 00 ?? ?? ?? 0? 21 30 C0 02 14 00 25 8E 10 00 A5 2C 04 00 A0 14 10 00 82 2E ?? ?? ?? 0? ?? ?? 44 8E 10 00 82 2E ?? ?? 55 AE 0B A8 22 02 21 A8 B6 02 14 00 34 AE 10 00 36 AE 2E FF 00 12 00 00 A0 A2 14 00 25 8E ?? ?? 42 8E 10 00 A4 2C 21 30 00 02 0B 10 24 02 ?? ?? 65 26 ?? ?? ?? 0? 21 20 40 00 14 00 23 8E ?? ?? 02 3C ?? ?? 42 8C 10 00 63 2C 10 00 30 AE 0A 88 43 00 21 80 30 02 ?? ?? ?? 0? 00 00 00 A2 FF FF 03 24 3E 00 43 12 10 00 16 8E AA AA 03 3C AB AA 63 34 19 00 43 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 37 00 80 10 01 00 44 26 FE FF 04 24 23 20 83 00 2B 20 82 00 31 00 80 10 21 90 62 00 FF FF 04 24 FE FF 12 24 ?? ?? ?? 0? 00 00 00 00 44 00 40 10 ?? ?? 15 3C 21 A8 40 00 14 00 02 8E 09 00 C0 12 10 00 42 2C ?? ?? 63 8E 21 28 00 02 21 20 A0 02 0A 28 62 00 ?? ?? ?? 0? 21 30 C0 02 14 00 02 8E 10 00 42 2C 04 00 40 14 10 00 42 2E ?? ?? ?? 0? ?? ?? 64 8E 10 00 42 2E ?? ?? 75 AE 0B A8 02 02 21 A8 B6 02 14 00 12 AE 10 00 16 AE 9F FE 20 12 00 00 A0 A2 14 00 02 8E ?? ?? 63 8E 10 00 42 2C 21 20 00 02 0A 20 62 00 21 30 20 02 ?? ?? ?? 0? ?? ?? 85 26 14 00 03 8E ?? ?? 02 3C ?? ?? 42 8C 10 00 63 2C 10 00 11 AE 0A 80 43 00 21 88 11 02 ?? ?? ?? 0? 00 00 20 A2 21 90 20 02 01 00 44 26 D6 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 21 A0 00 02 01 00 84 26 90 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 02 8E ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 14 00 25 8E ?? ?? B5 26 14 00 A4 27 ?? ?? ?? 0? 14 00 B5 AF 14 00 A4 27 ?? ?? ?? 0? 14 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 14 00 02 8E }
	condition:
		$1
}

rule file_161_18_4 {
	meta:
		name = "_ZN6Dinkum7threads10lock_errorC2Ev"
		size = 736
		refs = "0004 _ZTVSt13runtime_error 0010 _ZN6Dinkum7threads8lock_msgE 008c _ZTVN6Dinkum7threads10lock_errorE 0108 _Znwm 0138 memcpy 0150 _ZdlPv 0214 _ZSt14_Xlength_errorPKc 0230 _ZSt14_Xout_of_rangePKc 026c memmove 0114 _ZTVSt9bad_alloc 02c0 _ZNKSt9exception6_RaiseEv 02cc _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 ?? ?? 02 3C 24 00 B3 AF ?? ?? 42 24 ?? ?? 13 3C 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF ?? ?? 73 26 00 00 82 AC 04 00 92 24 0F 00 02 24 21 80 80 00 18 00 82 AC 14 00 80 AC 04 00 80 A0 74 00 53 12 10 00 71 8E FF FF 03 24 6D 00 23 12 ?? ?? 04 3C 2B 18 51 00 14 00 60 14 0F 00 34 36 43 00 20 16 10 00 42 2C 01 00 40 50 04 00 12 8E 14 00 00 AE 00 00 40 A2 34 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 03 24 4E 00 83 12 14 00 16 8E AA AA 03 3C AB AA 63 34 19 00 83 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 47 00 80 10 01 00 84 26 FE FF 04 24 23 20 83 00 2B 20 82 00 41 00 80 10 21 A0 62 00 FF FF 04 24 FE FF 14 24 ?? ?? ?? 0? 00 00 00 00 69 00 40 10 ?? ?? 15 3C 21 A8 40 00 18 00 02 8E 09 00 C0 12 10 00 42 2C 02 00 40 14 21 28 40 02 04 00 05 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 18 00 02 8E 10 00 42 2C 04 00 40 14 10 00 82 2E ?? ?? ?? 0? 04 00 04 8E 10 00 82 2E 04 00 15 AE 0B A8 42 02 21 A8 B6 02 18 00 14 AE 14 00 16 AE 15 00 20 12 00 00 A0 A2 18 00 02 8E 10 00 42 2C 02 00 40 14 21 20 40 02 04 00 04 8E 14 00 65 8E ?? ?? 02 3C ?? ?? 42 8C 10 00 A5 2C 21 30 20 02 0A 98 45 00 ?? ?? ?? 0? 21 28 60 02 18 00 02 8E 10 00 42 2C 01 00 40 50 04 00 12 8E 21 90 51 02 14 00 11 AE 00 00 40 A2 34 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 21 A0 20 02 01 00 84 26 C6 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 18 00 02 8E E9 FF 20 12 34 00 BF 8F ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 14 00 13 8E FF FF 02 24 23 98 71 02 15 00 62 16 00 00 00 00 18 00 02 8E 10 00 42 2C 15 00 40 14 21 20 11 02 04 00 02 8E 21 20 51 00 21 28 71 02 21 28 45 00 ?? ?? ?? 0? 21 30 00 00 18 00 02 8E 14 00 03 8E 10 00 42 2C 02 00 40 14 23 98 73 00 04 00 12 8E 21 90 53 02 14 00 13 AE ?? ?? ?? 0? 00 00 40 A2 CB FF 60 12 34 00 BF 8F ?? ?? ?? 0? 18 00 02 8E 04 00 84 24 ?? ?? ?? 0? 21 10 40 02 ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 18 00 02 8E }
	condition:
		$1
}

rule file_161_19_4 {
	meta:
		name = "_ZN6Dinkum7threads21thread_resource_errorC2Ev"
		size = 736
		refs = "0004 _ZTVSt13runtime_error 0010 _ZN6Dinkum7threads8rsrc_msgE 008c _ZTVN6Dinkum7threads21thread_resource_errorE 0108 _Znwm 0138 memcpy 0150 _ZdlPv 0214 _ZSt14_Xlength_errorPKc 0230 _ZSt14_Xout_of_rangePKc 026c memmove 0114 _ZTVSt9bad_alloc 02c0 _ZNKSt9exception6_RaiseEv 02cc _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 ?? ?? 02 3C 24 00 B3 AF ?? ?? 42 24 ?? ?? 13 3C 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF ?? ?? 73 26 00 00 82 AC 04 00 92 24 0F 00 02 24 21 80 80 00 18 00 82 AC 14 00 80 AC 04 00 80 A0 74 00 53 12 10 00 71 8E FF FF 03 24 6D 00 23 12 ?? ?? 04 3C 2B 18 51 00 14 00 60 14 0F 00 34 36 43 00 20 16 10 00 42 2C 01 00 40 50 04 00 12 8E 14 00 00 AE 00 00 40 A2 34 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 03 24 4E 00 83 12 14 00 16 8E AA AA 03 3C AB AA 63 34 19 00 83 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 47 00 80 10 01 00 84 26 FE FF 04 24 23 20 83 00 2B 20 82 00 41 00 80 10 21 A0 62 00 FF FF 04 24 FE FF 14 24 ?? ?? ?? 0? 00 00 00 00 69 00 40 10 ?? ?? 15 3C 21 A8 40 00 18 00 02 8E 09 00 C0 12 10 00 42 2C 02 00 40 14 21 28 40 02 04 00 05 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 18 00 02 8E 10 00 42 2C 04 00 40 14 10 00 82 2E ?? ?? ?? 0? 04 00 04 8E 10 00 82 2E 04 00 15 AE 0B A8 42 02 21 A8 B6 02 18 00 14 AE 14 00 16 AE 15 00 20 12 00 00 A0 A2 18 00 02 8E 10 00 42 2C 02 00 40 14 21 20 40 02 04 00 04 8E 14 00 65 8E ?? ?? 02 3C ?? ?? 42 8C 10 00 A5 2C 21 30 20 02 0A 98 45 00 ?? ?? ?? 0? 21 28 60 02 18 00 02 8E 10 00 42 2C 01 00 40 50 04 00 12 8E 21 90 51 02 14 00 11 AE 00 00 40 A2 34 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 21 A0 20 02 01 00 84 26 C6 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 18 00 02 8E E9 FF 20 12 34 00 BF 8F ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 14 00 13 8E FF FF 02 24 23 98 71 02 15 00 62 16 00 00 00 00 18 00 02 8E 10 00 42 2C 15 00 40 14 21 20 11 02 04 00 02 8E 21 20 51 00 21 28 71 02 21 28 45 00 ?? ?? ?? 0? 21 30 00 00 18 00 02 8E 14 00 03 8E 10 00 42 2C 02 00 40 14 23 98 73 00 04 00 12 8E 21 90 53 02 14 00 13 AE ?? ?? ?? 0? 00 00 40 A2 CB FF 60 12 34 00 BF 8F ?? ?? ?? 0? 18 00 02 8E 04 00 84 24 ?? ?? ?? 0? 21 10 40 02 ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 18 00 02 8E }
	condition:
		$1
}

rule file_161_20_4 {
	meta:
		name = "_ZN6Dinkum7threads17_Throw_lock_errorEv"
		size = 92
		refs = "0008 _ZN6Dinkum7threads10lock_errorC1Ev 0010 _ZSt6_ThrowRKSt9exception 001c _ZTVSt13runtime_error 0030 _ZdlPv 0048 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF ?? ?? ?? 0? 10 00 A4 27 ?? ?? ?? 0? 10 00 A4 27 28 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 10 00 42 2C 03 00 40 14 10 00 A3 AF ?? ?? ?? 0? 14 00 A4 8F 10 00 A4 27 0F 00 02 24 28 00 A2 AF 24 00 A0 AF ?? ?? ?? 0? 14 00 A0 A3 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_161_21_4 {
	meta:
		name = "_ZN6Dinkum7threads21_Throw_resource_errorEv"
		size = 92
		refs = "0008 _ZN6Dinkum7threads21thread_resource_errorC1Ev 0010 _ZSt6_ThrowRKSt9exception 001c _ZTVSt13runtime_error 0030 _ZdlPv 0048 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF ?? ?? ?? 0? 10 00 A4 27 ?? ?? ?? 0? 10 00 A4 27 28 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 10 00 42 2C 03 00 40 14 10 00 A3 AF ?? ?? ?? 0? 14 00 A4 8F 10 00 A4 27 0F 00 02 24 28 00 A2 AF 24 00 A0 AF ?? ?? ?? 0? 14 00 A0 A3 34 00 BF 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_161_22_4 {
	meta:
		name = "_ZN6Dinkum7threads16_Throw_bad_allocEv"
		size = 60
		refs = "0008 _ZTVSt9bad_alloc 0018 _ZSt6_ThrowRKSt9exception 0024 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF ?? ?? 10 3C ?? ?? 10 26 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B0 AF 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_696_3_4 {
	meta:
		name = "_ZNSt3tr16_XfuncEv"
		size = 60
		refs = "0008 _ZTVNSt3tr117bad_function_callE 0018 _ZNKSt9exception6_RaiseEv 0024 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF ?? ?? 10 3C ?? ?? 10 26 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B0 AF 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_162_0_4 {
	meta:
		name = "_FCdivcr"
		size = 128
		refs = "0020 crealf 0030 cimagf 0040 fpdiv 005c _FCbuild"
	strings:
		$1 = { D8 FF BD 27 1C 00 B2 AF 18 00 B1 AF 21 90 80 00 21 88 A0 00 24 00 BF AF 20 00 B3 AF 14 00 B0 AF ?? ?? ?? 0? 21 80 C0 00 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 90 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_598_0_4 {
	meta:
		name = "_Cdivcr"
		size = 128
		refs = "0020 creal 0030 cimag 0040 fpdiv 005c _Cbuild"
	strings:
		$1 = { D8 FF BD 27 1C 00 B2 AF 18 00 B1 AF 21 90 80 00 21 88 A0 00 24 00 BF AF 20 00 B3 AF 14 00 B0 AF ?? ?? ?? 0? 21 80 C0 00 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 90 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_567_0_4 {
	meta:
		name = "_Cmulcr"
		size = 128
		refs = "0020 creal 0030 cimag 0040 fpmul 005c _Cbuild"
	strings:
		$1 = { D8 FF BD 27 1C 00 B2 AF 18 00 B1 AF 21 90 80 00 21 88 A0 00 24 00 BF AF 20 00 B3 AF 14 00 B0 AF ?? ?? ?? 0? 21 80 C0 00 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 90 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_399_0_4 {
	meta:
		name = "_FCmulcr"
		size = 128
		refs = "0020 crealf 0030 cimagf 0040 fpmul 005c _FCbuild"
	strings:
		$1 = { D8 FF BD 27 1C 00 B2 AF 18 00 B1 AF 21 90 80 00 21 88 A0 00 24 00 BF AF 20 00 B3 AF 14 00 B0 AF ?? ?? ?? 0? 21 80 C0 00 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 90 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_164_7_4 {
	meta:
		name = "_ZNKSt7codecvtIDsc9_MbstatetE5do_inERS0_PKcS4_RS4_PDsS6_RS6_"
		size = 856
	strings:
		$1 = { B8 FF BD 27 24 00 B1 AF 5C 00 A3 8F 58 00 B1 8F 64 00 A2 8F 20 00 B0 AF 10 00 0D 3C 21 80 C0 00 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 34 00 B5 AF 60 00 A9 8F 00 00 26 AE 21 90 A0 00 00 00 43 AC FF FF AD 35 11 00 0C 3C 01 00 0E 3C 01 00 0A 24 FF FE 19 34 00 D8 18 24 00 DC 0F 24 04 00 14 24 17 00 F0 10 05 00 13 24 00 00 45 8C 15 00 A9 50 26 10 D0 00 00 00 48 96 00 00 15 82 02 00 16 2D 33 00 C0 16 FF 00 AB 32 80 00 75 39 40 00 B5 2E 22 00 A0 12 01 00 10 26 00 00 30 AE 3F 00 6B 31 00 00 30 8E 25 40 68 01 02 00 B5 24 00 00 A8 A4 00 00 55 AC 00 00 4A A6 EC FF F0 54 00 00 45 8C 26 10 D0 00 ?? ?? ?? 0? 01 00 42 2C C0 00 66 2D 96 00 C0 54 01 00 10 26 E0 00 66 2D 66 00 C0 10 F0 00 66 2D 1F 00 66 31 21 B0 00 00 02 00 15 24 01 00 1E 24 23 58 F0 00 2A A8 75 01 87 00 A0 16 2A A8 DE 02 01 00 0B 26 58 00 A0 12 00 00 2B AE 01 00 15 82 62 00 A0 06 FF 00 B5 32 02 00 02 24 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 DE FF A0 06 01 00 15 26 00 00 35 AE 21 30 60 01 21 A8 00 00 08 00 8B 8C 2B B0 6C 01 0A 58 B6 01 2B 58 66 01 EA FF 60 55 02 00 02 24 2B 58 CE 00 27 00 60 51 82 AA 06 00 0E 00 A0 12 00 00 00 00 00 00 2B 8E 68 00 67 51 21 30 00 02 00 00 75 81 01 00 6B 25 DD FF A1 06 00 00 2B AE FF 00 B5 32 C0 00 AB 2E DA FF 60 51 02 00 02 24 3F 00 B5 32 25 30 D5 00 22 00 00 15 02 00 A8 24 0C 00 88 8C 04 00 08 31 1D 00 00 11 00 00 4A A6 1C 00 D9 14 02 00 A8 24 00 00 85 8C 00 00 26 8E 14 00 A3 AF 10 00 B1 AF 18 00 A9 AF 1C 00 A2 AF 14 00 A2 8C 09 F8 40 00 21 28 40 02 01 00 03 24 C5 FF 43 14 44 00 BF 8F 00 00 40 A6 ?? ?? ?? 0? 00 00 30 AE C0 FF B5 26 FF 03 C6 30 25 40 CF 00 25 A8 B8 02 02 00 AB 24 00 00 B5 A4 21 30 00 02 00 00 4B AC 00 00 30 8E ?? ?? ?? 0? 00 00 48 A6 02 00 A8 24 00 00 A6 A4 21 30 00 02 00 00 48 AC ?? ?? ?? 0? 00 00 30 8E BF FF C0 12 21 A8 00 00 80 31 06 00 ?? ?? ?? 0? 01 00 15 24 1D 00 C0 14 0F 00 66 31 F8 00 66 2D 1E 00 C0 50 FC 00 75 2D 07 00 66 31 01 00 16 24 03 00 15 24 ?? ?? ?? 0? 03 00 1E 24 C0 00 B7 2E 9E FF E0 52 02 00 02 24 21 F0 7E 01 ?? ?? ?? 0? 23 F0 D6 03 C0 00 B7 2E 98 FF E0 52 02 00 02 24 3F 00 B5 32 01 00 6B 25 80 31 06 00 00 00 2B AE E3 FF 7E 11 25 30 A6 02 00 00 75 81 8F FF A3 06 02 00 02 24 ?? ?? ?? 0? FF 00 B5 32 21 B0 00 00 03 00 15 24 ?? ?? ?? 0? 02 00 1E 24 21 30 60 02 0B 30 95 02 21 A8 C0 00 01 00 16 24 03 00 66 31 ?? ?? ?? 0? 21 F0 A0 02 21 30 00 02 26 10 D0 00 ?? ?? ?? 0? 01 00 42 2C 00 00 30 AE ?? ?? ?? 0? 02 00 02 24 26 10 D0 00 00 00 30 AE ?? ?? ?? 0? 01 00 42 2C }
	condition:
		$1
}

rule file_164_8_4 {
	meta:
		name = "_ZNKSt7codecvtIDsc9_MbstatetE6do_outERS0_PKDsS4_RS4_PcS6_RS6_"
		size = 648
	strings:
		$1 = { D8 FF BD 27 38 00 A8 8F 3C 00 A9 8F 44 00 A3 8F 04 00 B0 AF 24 00 BE AF 20 00 B7 AF 1C 00 B6 AF 18 00 B5 AF 14 00 B4 AF 10 00 B3 AF 0C 00 B2 AF 08 00 B1 AF 40 00 B0 8F 00 00 06 AD 01 00 02 24 58 00 C7 10 00 00 69 AC 56 00 30 11 FF FF 13 3C 00 00 AA 94 21 78 C0 00 00 24 73 26 01 00 16 3C 03 00 14 24 C0 FF 15 24 EF FF 17 24 BB FF 1E 24 06 00 11 24 80 FF 09 24 02 00 42 2D 63 00 40 14 00 00 EB 95 00 24 62 25 FF FF 42 30 00 04 42 2C 7B 00 40 10 21 58 73 01 80 12 0A 00 25 58 62 01 21 70 00 00 80 00 62 2D 49 00 40 10 00 08 62 2D 21 90 60 01 01 00 0D 24 21 10 00 00 00 00 6C 8C 23 C0 0C 02 2A C8 0D 03 35 00 20 57 26 10 CF 00 11 00 40 55 00 00 0A 8D 0C 00 8A 8C 02 00 4A 31 0D 00 40 51 00 00 0A 8D 03 00 AA 25 2A C0 0A 03 2B 00 00 57 26 10 CF 00 03 00 8A 25 BF FF 0F 24 00 00 97 A1 01 00 9E A1 02 00 8F A1 00 00 6A AC 21 60 40 01 00 00 0A 8D 02 00 4A 25 03 00 C0 15 00 00 0A AD 08 00 54 50 23 68 4D 00 01 00 8A 25 FF FF AD 25 00 00 92 A1 0F 00 A0 19 00 00 6A AC 21 60 40 01 23 68 4D 00 02 68 B1 71 FF FF 42 24 02 10 51 70 FA FF AD 25 06 50 4B 00 3F 00 4A 31 25 50 49 01 00 00 8A A1 FA FF 42 24 01 00 8C 25 F9 FF 4D 14 00 00 6C AC 00 00 0F 8D 80 7A 6B 7D 01 00 0A 24 0B 50 6E 01 2B 00 E7 11 00 00 AA A4 00 00 62 8C B9 FF 50 14 02 00 42 2D 26 10 CF 00 01 00 42 2C 24 00 BE 8F 20 00 B7 8F 1C 00 B6 8F 18 00 B5 8F 14 00 B4 8F 10 00 B3 8F 0C 00 B2 8F 08 00 B1 8F 04 00 B0 8F 08 00 E0 03 28 00 BD 27 06 00 40 50 2B 10 76 01 82 91 0B 00 25 90 55 02 02 00 0D 24 ?? ?? ?? 0? 01 00 02 24 1E 00 40 50 F0 FF 02 24 E0 FF 02 24 02 93 0B 00 25 90 42 02 03 00 0D 24 ?? ?? ?? 0? 02 00 02 24 00 28 62 25 FF FF 42 30 00 04 42 2C A2 FF 40 10 21 70 00 00 FF FF 02 3C 40 28 42 34 21 58 62 01 80 5A 0B 00 ?? ?? ?? 0? 01 00 0E 24 21 10 00 00 24 00 BE 8F 20 00 B7 8F 1C 00 B6 8F 18 00 B5 8F 14 00 B4 8F 10 00 B3 8F 0C 00 B2 8F 08 00 B1 8F 04 00 B0 8F 08 00 E0 03 28 00 BD 27 82 94 0B 00 01 00 0D 24 25 90 42 02 0A 68 8E 02 ?? ?? ?? 0? 03 00 02 24 ?? ?? ?? 0? 02 00 02 24 }
	condition:
		$1
}

rule file_164_9_4 {
	meta:
		name = "_ZNKSt7codecvtIDsc9_MbstatetE10do_unshiftERS0_PcS3_RS3_"
		size = 28
	strings:
		$1 = { 00 00 A3 94 02 00 02 24 02 00 63 2C 0B 10 03 00 10 00 A3 8F 08 00 E0 03 00 00 66 AC }
	condition:
		$1
}

rule file_164_10_4 {
	meta:
		name = "_ZNKSt7codecvtIDsc9_MbstatetE9do_lengthERKS0_PKcS5_m"
		size = 280
	strings:
		$1 = { A8 FF BD 27 04 00 A2 8C 00 00 A3 8C 4C 00 B4 AF 68 00 B4 8F 50 00 B5 AF 44 00 B2 AF 40 00 B1 AF 30 00 A2 AF 54 00 BF AF 48 00 B3 AF 3C 00 B0 AF 21 A8 80 00 21 88 C0 00 21 90 E0 00 2C 00 A3 AF 18 00 80 12 21 10 00 00 16 00 C7 10 22 00 B0 27 21 98 00 00 24 00 A3 27 00 00 A2 8E 10 00 A3 AF 20 00 A3 27 14 00 A3 AF 28 00 A3 27 18 00 B0 AF 1C 00 A3 AF 14 00 42 8C 21 30 20 02 21 20 A0 02 2C 00 A5 27 09 F8 40 00 21 38 40 02 18 00 40 50 28 00 A2 8F 03 00 03 24 0B 00 43 10 54 00 BF 8F 21 10 60 02 54 00 BF 8F 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 23 88 51 02 21 10 33 02 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 26 10 02 02 01 00 42 2C 21 98 62 02 2B 10 74 02 E7 FF 40 10 24 00 B1 8F D3 FF 51 16 24 00 A3 27 ?? ?? ?? 0? 21 10 60 02 }
	condition:
		$1
}

rule file_164_12_4 {
	meta:
		name = "_ZNKSt7codecvtIDsc9_MbstatetE13do_max_lengthEv"
		size = 40
	strings:
		$1 = { 0C 00 83 8C 04 00 64 30 05 00 80 14 09 00 02 24 02 00 63 30 07 00 02 24 06 00 04 24 0A 10 83 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_164_15_4 {
	meta:
		name = "_ZNKSt7codecvtIDic9_MbstatetE5do_inERS0_PKcS4_RS4_PDiS6_RS6_"
		size = 556
	strings:
		$1 = { D0 FF BD 27 20 00 B0 AF 44 00 A8 8F 40 00 B0 8F 4C 00 A3 8F 28 00 B2 AF 24 00 B1 AF 2C 00 BF AF 48 00 AB 8F 00 00 06 AE 21 90 C0 00 21 88 A0 00 00 00 68 AC 24 00 C7 10 01 00 02 24 22 00 0B 11 21 28 C0 00 05 00 0E 24 06 00 18 24 04 00 0F 24 01 00 0C 24 FF FE 0D 34 00 00 A2 80 20 00 40 04 FF 00 46 30 01 00 A5 24 00 00 05 AE 00 00 22 82 3F 00 40 50 00 00 2C A2 08 00 82 8C 2B 10 46 00 11 00 40 14 02 00 02 24 00 00 62 8C 00 00 05 8E 04 00 49 24 00 00 46 AC 4D 00 A7 10 00 00 69 AC EE FF 69 55 00 00 A2 80 2C 00 BF 8F 26 28 45 02 01 00 A2 2C 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 C0 00 C2 2C 4E 00 40 54 01 00 A5 24 E0 00 C2 2C 34 00 40 54 1F 00 C6 30 F0 00 C2 2C 3B 00 40 10 F8 00 C2 2C 0F 00 C6 30 03 00 09 24 02 00 0A 24 23 10 E5 00 2A 10 49 00 E4 FF 40 14 2C 00 BF 8F 01 00 A5 24 00 00 05 AE 00 00 A2 80 E6 FF 43 04 02 00 02 24 FF 00 42 30 C0 00 49 2C E2 FF 20 51 02 00 02 24 80 31 06 00 3F 00 42 30 01 00 A5 24 FF FF 4A 25 25 30 C2 00 F3 FF 40 1D 00 00 05 AE 00 00 22 82 C5 FF 40 54 08 00 82 8C 00 00 2C A2 0C 00 82 8C 04 00 42 30 C0 FF 40 50 08 00 82 8C BE FF CD 54 08 00 82 8C 00 00 82 8C 00 00 06 8E 1C 00 A3 AF 10 00 B0 AF 14 00 A8 AF 18 00 AB AF 14 00 42 8C 09 F8 40 00 21 28 20 02 01 00 03 24 C6 FF 43 14 2C 00 BF 8F 00 00 20 A2 ?? ?? ?? 0? 00 00 12 AE 02 00 09 24 ?? ?? ?? 0? 01 00 0A 24 2C 00 BF 8F 21 10 00 00 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 05 00 40 50 FC 00 CA 2C 07 00 C6 30 04 00 09 24 ?? ?? ?? 0? 03 00 0A 24 21 10 C0 01 21 48 00 03 0B 10 EA 01 0B 48 CA 01 03 00 C6 30 ?? ?? ?? 0? 21 50 40 00 00 00 05 AE ?? ?? ?? 0? 02 00 02 24 }
	condition:
		$1
}

rule file_164_16_4 {
	meta:
		name = "_ZNKSt7codecvtIDic9_MbstatetE6do_outERS0_PKDiS4_RS4_PcS6_RS6_"
		size = 596
	strings:
		$1 = { D8 FF BD 27 38 00 A8 8F 44 00 A3 8F 3C 00 A2 8F 21 50 C0 00 24 00 BE AF 20 00 B7 AF 1C 00 B6 AF 18 00 B5 AF 14 00 B4 AF 10 00 B3 AF 0C 00 B2 AF 08 00 B1 AF 04 00 B0 AF 40 00 AC 8F 00 00 06 AD 01 00 10 3C 00 00 62 AC 20 00 17 3C E0 FF 1E 24 C0 FF 19 24 01 00 18 24 EF FF 13 24 BB FF 12 24 BF FF 11 24 06 00 16 24 80 FF 15 24 24 00 EA 10 FA FF 14 24 00 00 62 8C 22 00 4C 50 26 30 CA 00 00 00 49 8D 08 00 8B 8C 2B 58 69 01 65 00 60 15 80 00 2B 2D 33 00 60 11 00 08 2B 2D 21 70 20 01 21 58 00 00 00 00 AD 80 08 00 A0 15 23 78 82 01 00 00 B8 A0 0C 00 82 8C 02 00 42 30 2F 00 40 14 00 00 62 8C 00 00 0A 8D 23 78 82 01 01 00 6D 25 2A 68 ED 01 0A 00 A0 55 00 00 0A 8D 04 00 4A 25 01 00 4D 24 00 00 0A AD 00 00 4E A0 11 00 60 15 00 00 6D AC 00 00 0A 8D DF FF EA 54 00 00 62 8C 26 30 CA 00 01 00 C2 2C 24 00 BE 8F 20 00 B7 8F 1C 00 B6 8F 18 00 B5 8F 14 00 B4 8F 10 00 B3 8F 0C 00 B2 8F 08 00 B1 8F 04 00 B0 8F 08 00 E0 03 28 00 BD 27 FF FF 6B 25 02 58 76 71 06 10 69 01 3F 00 42 30 25 10 55 00 00 00 A2 A1 FA FF 6B 25 01 00 AD 25 F9 FF 74 15 00 00 6D AC ?? ?? ?? 0? 00 00 0A 8D 16 00 60 51 2B 58 30 01 82 71 09 00 25 70 D9 01 ?? ?? ?? 0? 01 00 0B 24 04 00 6A 25 23 68 82 01 2A 50 AA 01 DF FF 40 55 01 00 02 24 00 00 53 A0 01 00 52 A0 02 00 51 A0 03 00 42 24 23 78 82 01 01 00 6D 25 2A 68 ED 01 00 00 0A 8D CA FF A0 11 00 00 62 AC ?? ?? ?? 0? 00 00 0A 8D 05 00 60 51 2B 58 37 01 02 73 09 00 25 70 DE 01 ?? ?? ?? 0? 02 00 0B 24 06 00 60 11 00 04 0D 3C F0 FF 0B 24 82 74 09 00 25 70 CB 01 ?? ?? ?? 0? 03 00 0B 24 2B 58 2D 01 06 00 60 51 82 77 09 00 F8 FF 0B 24 02 76 09 00 25 70 CB 01 ?? ?? ?? 0? 04 00 0B 24 FC FF 0D 24 25 70 CD 01 ?? ?? ?? 0? 05 00 0B 24 02 00 02 24 24 00 BE 8F 20 00 B7 8F 1C 00 B6 8F 18 00 B5 8F 14 00 B4 8F 10 00 B3 8F 0C 00 B2 8F 08 00 B1 8F 04 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_164_17_4 {
	meta:
		name = "_ZNKSt7codecvtIDic9_MbstatetE10do_unshiftERS0_PcS3_RS3_"
		size = 16
	strings:
		$1 = { 10 00 A3 8F 21 10 00 00 08 00 E0 03 00 00 66 AC }
	condition:
		$1
}

rule file_164_18_4 {
	meta:
		name = "_ZNKSt7codecvtIDic9_MbstatetE9do_lengthERKS0_PKcS5_m"
		size = 272
	strings:
		$1 = { A8 FF BD 27 00 00 A3 8C 04 00 A2 8C 48 00 B3 AF 68 00 B3 8F 4C 00 B4 AF 44 00 B2 AF 40 00 B1 AF 3C 00 B0 AF 54 00 BF AF 50 00 B5 AF 21 A0 80 00 21 88 C0 00 21 90 E0 00 2C 00 A3 AF 30 00 A2 AF 1C 00 60 12 21 80 00 00 1A 00 C7 10 2C 00 B5 27 20 00 A3 27 00 00 82 8E 10 00 A3 AF 28 00 A3 27 14 00 A3 AF 24 00 A3 27 18 00 B5 AF 1C 00 A3 AF 14 00 42 8C 21 30 20 02 21 20 80 02 21 28 A0 02 09 F8 40 00 21 38 40 02 14 00 40 14 03 00 03 24 24 00 A2 8F 26 10 55 00 01 00 42 2C 21 80 02 02 2B 10 13 02 03 00 40 10 20 00 B1 8F E9 FF 51 16 20 00 A3 27 54 00 BF 8F 21 10 00 02 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 F6 FF 43 14 54 00 BF 8F 21 80 50 02 23 80 11 02 21 10 00 02 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 }
	condition:
		$1
}

rule file_164_20_4 {
	meta:
		name = "_ZNKSt7codecvtIDic9_MbstatetE13do_max_lengthEv"
		size = 28
	strings:
		$1 = { 0C 00 82 8C 09 00 03 24 06 00 04 24 06 00 42 30 0A 18 82 00 08 00 E0 03 21 10 60 00 }
	condition:
		$1
}

rule file_164_21_4 {
	meta:
		name = "_ZNKSt7codecvtIDic9_MbstatetE11do_encodingEv"
		size = 24
	strings:
		$1 = { 0C 00 82 8C FF FF 03 24 06 00 42 30 0A 18 02 00 08 00 E0 03 21 10 60 00 }
	condition:
		$1
}

rule file_164_27_4 {
	meta:
		name = "_ZNKSt5ctypeIwE5do_isEsw"
		size = 92
	strings:
		$1 = { 00 00 82 8C E0 FF BD 27 1C 00 BF AF 30 00 42 8C 18 00 B1 AF 14 00 B0 AF 21 80 A0 00 21 28 C0 00 21 30 00 00 09 F8 40 00 08 00 91 8C FF 00 42 30 40 10 02 00 21 88 22 02 00 00 22 96 1C 00 BF 8F 18 00 B1 8F 24 80 02 02 20 16 10 7C 2B 10 02 00 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_28_4 {
	meta:
		name = "_ZNKSt5ctypeIwE5do_isEPKwS2_Ps"
		size = 144
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 21 88 A0 00 21 80 C0 00 21 90 80 00 10 00 A6 10 21 98 E0 00 00 00 42 8E 00 00 25 8E 21 20 40 02 30 00 42 8C 21 30 00 00 09 F8 40 00 08 00 54 8E FF 00 42 30 40 10 02 00 21 A0 82 02 00 00 82 96 04 00 31 26 00 00 62 A6 F2 FF 11 16 02 00 73 26 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_164_29_4 {
	meta:
		name = "_ZNKSt5ctypeIwE10do_scan_isEsPKwS2_"
		size = 120
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 21 90 C0 00 21 88 E0 00 21 98 80 00 0C 00 C7 10 20 86 05 7C 00 00 62 8E 00 00 46 8E 21 20 60 02 08 00 42 8C 09 F8 40 00 21 28 00 02 05 00 40 14 24 00 BF 8F 04 00 52 26 F7 FF 32 56 00 00 62 8E 24 00 BF 8F 21 10 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_164_30_4 {
	meta:
		name = "_ZNKSt5ctypeIwE11do_scan_notEsPKwS2_"
		size = 120
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 21 90 C0 00 21 88 E0 00 21 98 80 00 0C 00 C7 10 20 86 05 7C 00 00 62 8E 00 00 46 8E 21 20 60 02 08 00 42 8C 09 F8 40 00 21 28 00 02 05 00 40 10 24 00 BF 8F 04 00 52 26 F7 FF 32 56 00 00 62 8E 24 00 BF 8F 21 10 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_164_31_4 {
	meta:
		name = "_ZNKSt5ctypeIwE10do_tolowerEw"
		size = 116
	strings:
		$1 = { 00 00 82 8C E0 FF BD 27 18 00 B1 AF 30 00 42 8C 14 00 B0 AF 1C 00 BF AF 21 30 00 00 21 88 80 00 09 F8 40 00 21 80 A0 00 FF 00 42 30 06 00 40 14 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 0C 00 24 8E 00 00 23 8E 40 10 02 00 21 10 82 00 28 00 79 8C 00 00 45 80 21 20 20 02 18 00 B1 8F 14 00 B0 8F 08 00 20 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_32_4 {
	meta:
		name = "_ZNKSt5ctypeIwE10do_tolowerEPwPKw"
		size = 164
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 21 88 A0 00 21 80 C0 00 05 00 A6 14 21 90 80 00 ?? ?? ?? 0? 1C 00 BF 8F 17 00 11 12 1C 00 BF 8F 00 00 42 8E 00 00 25 8E 21 20 40 02 30 00 42 8C 09 F8 40 00 21 30 00 00 FF 00 42 30 F6 FF 40 50 04 00 31 26 0C 00 43 8E 00 00 44 8E 40 10 02 00 21 18 62 00 00 00 65 80 28 00 82 8C 09 F8 40 00 21 20 40 02 00 00 22 AE 04 00 31 26 ED FF 11 56 00 00 42 8E 1C 00 BF 8F 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_33_4 {
	meta:
		name = "_ZNKSt5ctypeIwE10do_toupperEw"
		size = 116
	strings:
		$1 = { 00 00 82 8C E0 FF BD 27 18 00 B1 AF 30 00 42 8C 14 00 B0 AF 1C 00 BF AF 21 30 00 00 21 88 80 00 09 F8 40 00 21 80 A0 00 FF 00 42 30 06 00 40 14 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 10 00 24 8E 00 00 23 8E 40 10 02 00 21 10 82 00 28 00 79 8C 00 00 45 80 21 20 20 02 18 00 B1 8F 14 00 B0 8F 08 00 20 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_34_4 {
	meta:
		name = "_ZNKSt5ctypeIwE10do_toupperEPwPKw"
		size = 164
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 21 88 A0 00 21 80 C0 00 05 00 A6 14 21 90 80 00 ?? ?? ?? 0? 1C 00 BF 8F 17 00 11 12 1C 00 BF 8F 00 00 42 8E 00 00 25 8E 21 20 40 02 30 00 42 8C 09 F8 40 00 21 30 00 00 FF 00 42 30 F6 FF 40 50 04 00 31 26 10 00 43 8E 00 00 44 8E 40 10 02 00 21 18 62 00 00 00 65 80 28 00 82 8C 09 F8 40 00 21 20 40 02 00 00 22 AE 04 00 31 26 ED FF 11 56 00 00 42 8E 1C 00 BF 8F 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_46_4 {
	meta:
		name = "_ZNKSt7_MpunctIwE13do_pos_formatEv"
		size = 20
		altNames = "_ZNKSt7_MpunctIcE13do_neg_formatEv"
	strings:
		$1 = { 24 00 A3 8C 21 10 80 00 03 00 83 A8 08 00 E0 03 00 00 83 B8 }
	condition:
		$1
}

rule file_164_47_4 {
	meta:
		name = "_ZNKSt7_MpunctIwE13do_neg_formatEv"
		size = 20
	strings:
		$1 = { 28 00 A3 8C 21 10 80 00 03 00 83 A8 08 00 E0 03 00 00 83 B8 }
	condition:
		$1
}

rule file_164_54_4 {
	meta:
		name = "_ZNKSt7collateIwE7do_hashEPKwS2_"
		size = 36
	strings:
		$1 = { 06 00 A6 10 21 10 00 00 00 00 A3 8C 02 16 22 00 04 00 A5 24 FC FF C5 14 21 10 43 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_164_77_4 {
	meta:
		name = "_ZNKSt5ctypeIwE9do_narrowEwc"
		size = 80
		refs = "0028 _Wctombx"
	strings:
		$1 = { 18 00 87 8C 1C 00 82 8C D0 FF BD 27 28 00 B0 AF 18 00 A4 27 20 84 06 7C 20 00 A6 27 2C 00 BF AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 18 00 A3 83 2C 00 BF 8F 01 00 42 38 0A 80 62 00 21 10 00 02 28 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_164_78_4 {
	meta:
		name = "_ZNSt5ctypeIwED1Ev"
		size = 100
		refs = "0004 _ZTVSt5ctypeIwE 0028 _ZTVNSt6locale5facetE 0040 free"
	strings:
		$1 = { 14 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 B0 AF 14 00 BF AF 21 80 80 00 08 00 40 14 00 00 83 AC 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 08 00 84 8C 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_82_4 {
	meta:
		name = "_ZNKSt7codecvtIwc9_MbstatetE9do_lengthERKS0_PKcS5_m"
		size = 232
		refs = "0064 _Mbtowcx 00d0 strlen"
	strings:
		$1 = { B8 FF BD 27 00 00 A3 8C 04 00 A2 8C 2C 00 B0 AF 58 00 B0 8F 40 00 B5 AF 3C 00 B4 AF 38 00 B3 AF 44 00 BF AF 34 00 B2 AF 30 00 B1 AF 21 A8 80 00 21 A0 E0 00 1C 00 A3 AF 20 00 A2 AF 1A 00 00 12 21 98 00 00 18 00 C7 10 21 90 C0 00 FD FF 11 24 08 00 A2 8E 21 28 40 02 23 30 92 02 18 00 A4 27 1C 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF FE FF 43 28 1B 00 60 54 26 18 51 00 0C 00 40 04 44 00 BF 8F 17 00 40 14 26 18 51 00 18 00 A3 8F 10 00 60 10 21 10 00 00 01 00 73 26 03 00 70 12 21 90 42 02 EC FF 92 56 08 00 A2 8E 44 00 BF 8F 21 10 60 02 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 21 20 40 02 01 00 42 24 26 18 51 00 ?? ?? ?? 0? 0A 10 03 00 }
	condition:
		$1
}

rule file_164_83_4 {
	meta:
		name = "_ZNKSt7codecvtIwc9_MbstatetE5do_inERS0_PKcS4_RS4_PwS6_RS6_"
		size = 480
		refs = "007c _Mbtowcx 01cc strlen"
	strings:
		$1 = { B8 FF BD 27 3C 00 B7 AF 20 00 B0 AF 58 00 B7 8F 5C 00 A8 8F 64 00 B0 8F 40 00 BE AF 26 F0 C7 00 38 00 B6 AF 2C 00 B3 AF 24 00 B1 AF 44 00 BF AF 34 00 B5 AF 30 00 B4 AF 28 00 B2 AF 60 00 B3 8F 00 00 E6 AE 21 B0 E0 00 21 18 80 00 21 88 A0 00 00 00 08 AE 28 00 C7 10 2B F0 1E 00 26 00 13 11 21 28 C0 00 08 00 62 8C 21 20 00 01 23 30 C6 02 21 38 20 02 18 00 A3 AF 10 00 A2 AF ?? ?? ?? 0? FF FF 12 24 FE FF 15 24 FD FF 14 24 19 00 52 10 18 00 A3 8F 25 00 40 14 00 00 00 00 00 00 08 8E 00 00 04 8D 48 00 80 10 21 10 00 00 00 00 E6 8E 04 00 08 25 21 30 C2 00 00 00 E6 AE 25 00 C6 12 00 00 08 AE 23 00 68 12 21 28 C0 00 08 00 62 8C 21 20 00 01 23 30 C6 02 21 38 20 02 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 21 F0 00 00 E9 FF 52 14 18 00 A3 8F 02 00 1E 24 44 00 BF 8F 21 10 C0 03 3C 00 B7 8F 40 00 BE 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 17 00 55 10 44 00 BF 8F 22 00 54 10 00 00 08 8E 00 00 E6 8E 04 00 08 25 21 30 C2 00 00 00 E6 AE DD FF C6 16 00 00 08 AE 44 00 BF 8F 21 F0 00 00 21 10 C0 03 3C 00 B7 8F 40 00 BE 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 00 00 F6 AE 21 10 C0 03 3C 00 B7 8F 40 00 BE 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 21 10 00 00 00 00 E4 8E ?? ?? ?? 0? 18 00 A3 AF 01 00 42 24 ?? ?? ?? 0? 18 00 A3 8F }
	condition:
		$1
}

rule file_164_84_4 {
	meta:
		name = "_ZNSt8numpunctIwED1Ev"
		size = 112
		refs = "0010 _ZTVSt8numpunctIwE 0024 _ZdaPv 0058 _ZTVNSt6locale5facetE"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 14 00 04 8E 04 00 80 50 18 00 04 8E ?? ?? ?? 0? 00 00 00 00 18 00 04 8E 04 00 80 10 14 00 BF 8F ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_85_4 {
	meta:
		name = "_ZNSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEED1Ev"
		size = 92
		refs = "0010 _ZTVSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE 0024 _ZdaPv 0044 _ZTVNSt6locale5facetE"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 0C 00 04 8E 04 00 80 10 14 00 BF 8F ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_47_4 {
	meta:
		name = "_ZNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEED1Ev"
		size = 92
		refs = "0010 _ZTVSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE 0024 _ZdaPv 0044 _ZTVNSt6locale5facetE"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 0C 00 04 8E 04 00 80 10 14 00 BF 8F ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_86_4 {
	meta:
		name = "_ZNKSt5ctypeIwE8do_widenEc"
		size = 80
		refs = "0028 _Mbtowcx"
	strings:
		$1 = { 18 00 82 8C D0 FF BD 27 18 00 A5 A3 1C 00 A4 27 18 00 A5 27 20 00 A7 27 01 00 06 24 2C 00 BF AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A4 8F 2C 00 BF 8F 00 00 42 28 FF FF 03 24 0A 18 82 00 21 10 60 00 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_164_87_4 {
	meta:
		name = "_ZNKSt7codecvtIwc9_MbstatetE6do_outERS0_PKwS4_RS4_PcS6_RS6_"
		size = 516
		refs = "0068 _Getmbcurmax 009c _Wctombx 0160 memcpy"
	strings:
		$1 = { B0 FF BD 27 2C 00 B1 AF 6C 00 A3 8F 60 00 B1 8F 64 00 A2 8F 3C 00 B5 AF 38 00 B4 AF 26 A8 C7 00 21 A0 E0 00 34 00 B3 AF 30 00 B2 AF 28 00 B0 AF 4C 00 BF AF 48 00 BE AF 44 00 B7 AF 40 00 B6 AF 68 00 B3 8F 00 00 26 AE 21 80 80 00 21 90 A0 00 00 00 62 AC 1E 00 86 12 2B A8 15 00 00 00 62 8C 1C 00 53 10 4C 00 BF 8F ?? ?? ?? 0? 24 00 A3 AF 24 00 A3 8F 00 00 64 8C 23 28 64 02 2A 10 A2 00 20 00 40 14 21 30 40 02 00 00 25 8E 08 00 07 8E 0C 00 02 8E 00 00 A5 8C 24 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 3A 00 40 04 24 00 A3 8F 00 00 26 8E 00 00 64 8C 21 A8 00 00 04 00 C6 24 21 10 82 00 00 00 26 AE 00 00 62 AC E5 FF 86 56 00 00 62 8C 4C 00 BF 8F 21 10 A0 02 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 00 00 24 8E 08 00 07 8E 0C 00 02 8E 00 00 85 8C 18 00 A4 27 00 00 56 8E 04 00 57 96 06 00 5E 96 24 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 21 38 40 00 18 00 A5 27 21 30 40 00 14 00 40 04 24 00 A3 8F 00 00 62 8C 21 20 40 00 23 10 62 02 2A 10 47 00 1C 00 40 14 4C 00 BF 8F 24 00 A3 AF ?? ?? ?? 0? 20 00 A7 AF 24 00 A3 8F 00 00 26 8E 20 00 A7 8F 00 00 62 8C 04 00 C6 24 00 00 26 AE 21 38 47 00 00 00 67 AC ?? ?? ?? 0? 21 A8 00 00 4C 00 BF 8F 02 00 15 24 21 10 A0 02 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 00 00 56 AE 04 00 57 A6 06 00 5E A6 21 10 A0 02 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 }
	condition:
		$1
}

rule file_164_88_4 {
	meta:
		name = "_ZNKSt7codecvtIwc9_MbstatetE10do_unshiftERS0_PcS3_RS3_"
		size = 272
		refs = "005c _Wctombx 0090 memcpy"
	strings:
		$1 = { B8 FF BD 27 08 00 83 8C 38 00 B5 AF 58 00 B5 8F 0C 00 82 8C 34 00 B4 AF 21 A0 A0 00 3C 00 B6 AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 44 00 BF AF 40 00 B7 AF 21 80 E0 00 00 00 A6 AE 18 00 A4 27 21 28 00 00 21 30 80 02 21 38 60 00 00 00 91 8E 04 00 92 96 06 00 93 96 ?? ?? ?? 0? 10 00 A2 AF 0F 00 40 18 02 00 16 24 00 00 A4 8E FF FF 57 24 23 80 04 02 2A 80 17 02 15 00 00 16 44 00 BF 8F 08 00 E0 1A 21 B0 00 00 21 30 E0 02 ?? ?? ?? 0? 18 00 A5 27 00 00 A2 8E 21 B8 57 00 00 00 B7 AE 44 00 BF 8F 21 10 C0 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 01 00 16 24 00 00 91 AE 04 00 92 A6 06 00 93 A6 21 10 C0 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 }
	condition:
		$1
}

rule file_164_89_4 {
	meta:
		name = "_ZNSt5ctypeIwED0Ev"
		size = 116
		refs = "0004 _ZTVSt5ctypeIwE 0024 _ZTVNSt6locale5facetE 0030 _ZdlPv 0048 free"
	strings:
		$1 = { 14 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 B0 AF 14 00 BF AF 21 80 80 00 0A 00 40 14 00 00 83 AC ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_90_4 {
	meta:
		name = "_ZNSt10moneypunctIwLb0EED0Ev"
		size = 140
		refs = "0010 _ZTVSt7_MpunctIwE 0024 _ZdaPv 0068 _ZTVNSt6locale5facetE 0074 _ZdlPv"
		altNames = "_ZNSt10moneypunctIwLb1EED0Ev _ZNSt7_MpunctIwED0Ev"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 14 00 04 8E 04 00 80 50 18 00 04 8E ?? ?? ?? 0? 00 00 00 00 18 00 04 8E 04 00 80 50 1C 00 04 8E ?? ?? ?? 0? 00 00 00 00 1C 00 04 8E 04 00 80 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_91_4 {
	meta:
		name = "_ZNKSt5ctypeIwE8do_widenEPKcS2_Pw"
		size = 168
		refs = "0064 _Mbtowcx"
	strings:
		$1 = { C0 FF BD 27 38 00 B4 AF 2C 00 B1 AF 28 00 B0 AF 3C 00 BF AF 34 00 B3 AF 30 00 B2 AF 21 10 A0 00 21 80 C0 00 21 88 80 00 17 00 A6 10 21 A0 E0 00 21 98 A0 00 ?? ?? ?? 0? FF FF 12 24 04 00 94 26 00 00 63 92 18 00 22 8E 1C 00 A4 27 18 00 A5 27 01 00 06 24 20 00 A7 27 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A3 8F 00 00 42 28 01 00 73 26 0B 18 42 02 EF FF 70 16 00 00 83 AE 21 10 60 02 3C 00 BF 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_164_92_4 {
	meta:
		name = "_ZNSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEED0Ev"
		size = 100
		refs = "0010 _ZTVSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE 0024 _ZdaPv 0040 _ZTVNSt6locale5facetE 004c _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 0C 00 04 8E 04 00 80 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_50_4 {
	meta:
		name = "_ZNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEED0Ev"
		size = 100
		refs = "0010 _ZTVSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE 0024 _ZdaPv 0040 _ZTVNSt6locale5facetE 004c _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 0C 00 04 8E 04 00 80 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_93_4 {
	meta:
		name = "_ZNKSt5ctypeIwE9do_narrowEPKwS2_cPc"
		size = 160
		refs = "005c _Wctombx"
	strings:
		$1 = { C0 FF BD 27 38 00 B4 AF 34 00 B3 AF 30 00 B2 AF 2C 00 B1 AF 28 00 B0 AF 3C 00 BF AF 21 90 A0 00 21 80 C0 00 21 A0 80 00 50 00 B3 8F 04 00 A6 14 20 8C 07 7C ?? ?? ?? 0? 3C 00 BF 8F 01 00 73 26 00 00 45 8E 18 00 87 8E 1C 00 82 8E 18 00 A4 27 20 00 A6 27 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 18 00 A3 83 01 00 42 38 04 00 52 26 0B 18 22 02 F1 FF 12 16 00 00 63 A2 3C 00 BF 8F 21 10 40 02 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_164_94_4 {
	meta:
		name = "_ZNSt8numpunctIwED0Ev"
		size = 120
		refs = "0010 _ZTVSt8numpunctIwE 0024 _ZdaPv 0054 _ZTVNSt6locale5facetE 0060 _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 14 00 04 8E 04 00 80 50 18 00 04 8E ?? ?? ?? 0? 00 00 00 00 18 00 04 8E 04 00 80 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_95_4 {
	meta:
		name = "_ZNSt10moneypunctIwLb1EED1Ev"
		size = 132
		refs = "0010 _ZTVSt7_MpunctIwE 0024 _ZdaPv 006c _ZTVNSt6locale5facetE"
		altNames = "_ZNSt10moneypunctIwLb0EED1Ev _ZNSt7_MpunctIwED1Ev"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 14 00 04 8E 04 00 80 50 18 00 04 8E ?? ?? ?? 0? 00 00 00 00 18 00 04 8E 04 00 80 50 1C 00 04 8E ?? ?? ?? 0? 00 00 00 00 1C 00 04 8E 04 00 80 10 14 00 BF 8F ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_100_4 {
	meta:
		name = "_ZNSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEEC1ERKSt8_Locinfom.clone.67.clone.108"
		size = 292
		refs = "0000 _ZTVSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE 0028 _Getptimes 0078 _Getpmbstate 0080 _Getpwcstate"
	strings:
		$1 = { ?? ?? 02 3C 80 FF BD 27 ?? ?? 42 24 74 00 B0 AF 7C 00 BF AF 78 00 B1 AF 04 00 80 AC 00 00 82 AC 08 00 90 24 68 00 A4 AF ?? ?? ?? 0? 6C 00 A5 AF 6C 00 A5 8F 68 00 A4 8F 21 18 00 02 50 00 46 24 00 00 4A 8C 04 00 49 8C 08 00 48 8C 0C 00 47 8C 10 00 42 24 00 00 6A AC 04 00 69 AC 08 00 68 AC 0C 00 67 AC F6 FF 46 14 10 00 63 24 00 00 42 8C 00 00 62 AC 68 00 A4 AF ?? ?? ?? 0? 6C 00 A5 AF ?? ?? ?? 0? 21 88 40 00 6C 00 A5 8F 68 00 A4 8F 50 00 A3 24 60 00 82 AC 5C 00 91 AC 10 00 A2 27 00 00 A8 8C 04 00 A7 8C 08 00 A6 8C 0C 00 A4 8C 10 00 A5 24 00 00 48 AC 04 00 47 AC 08 00 46 AC 0C 00 44 AC F6 FF A3 14 10 00 42 24 00 00 A4 8C 10 00 A3 27 00 00 44 AC 60 00 A2 27 00 00 67 8C 04 00 66 8C 08 00 65 8C 0C 00 64 8C 10 00 63 24 00 00 07 AE 04 00 06 AE 08 00 05 AE 0C 00 04 AE F6 FF 62 14 10 00 10 26 00 00 62 8C 7C 00 BF 8F 78 00 B1 8F 00 00 02 AE 74 00 B0 8F 08 00 E0 03 80 00 BD 27 }
	condition:
		$1
}

rule file_164_101_4 {
	meta:
		name = "_ZSt10_MaklocstrIwEPT_PKcS1_RKSt7_Cvtvec"
		size = 288
		refs = "002c strlen 0070 _Mbtowcx 0084 _Znam"
	strings:
		$1 = { B0 FF BD 27 3C 00 B2 AF 38 00 B1 AF 34 00 B0 AF 4C 00 BF AF 48 00 B5 AF 44 00 B4 AF 40 00 B3 AF 21 88 80 00 21 80 C0 00 1C 00 A0 AF ?? ?? ?? 0? 20 00 A0 AF 01 00 52 24 32 00 40 12 00 00 00 00 21 A8 20 02 21 98 40 02 ?? ?? ?? 0? 21 A0 00 00 0B 00 60 12 01 00 94 26 21 A8 A2 02 00 00 02 8E 21 30 60 02 21 28 A0 02 18 00 A4 27 1C 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF F5 FF 40 1C 23 98 62 02 01 00 94 26 ?? ?? ?? 0? 80 20 14 00 21 98 40 00 24 00 A0 AF 28 00 A0 AF 10 00 80 12 21 A8 40 00 ?? ?? ?? 0? 21 A8 60 02 0B 00 80 12 04 00 B5 26 21 88 22 02 00 00 02 8E 21 20 A0 02 21 28 20 02 21 30 40 02 24 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF F5 FF 40 1C FF FF 94 26 21 10 60 02 4C 00 BF 8F 00 00 A0 AE 44 00 B4 8F 48 00 B5 8F 40 00 B3 8F 3C 00 B2 8F 38 00 B1 8F 34 00 B0 8F 08 00 E0 03 50 00 BD 27 ?? ?? ?? 0? 04 00 04 24 21 98 40 00 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 01 00 14 24 }
	condition:
		$1
}

rule file_164_102_4 {
	meta:
		name = "_ZNSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEEC1ERKSt8_Locinfom.clone.65.clone.110"
		size = 144
		refs = "0000 _ZTVSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE 0020 _Getpmbstate 0028 _Getpwcstate 003c _Getptimes 0050 _ZSt10_MaklocstrIwEPT_PKcS1_RKSt7_Cvtvec"
	strings:
		$1 = { ?? ?? 02 3C E0 FF BD 27 ?? ?? 42 24 1C 00 BF AF 18 00 B1 AF 14 00 B0 AF 04 00 80 AC 00 00 82 AC ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 88 40 00 18 00 02 AE 14 00 11 AE 08 00 00 AE ?? ?? ?? 0? 0C 00 00 AE 04 00 44 8C 14 00 11 26 21 30 20 02 ?? ?? ?? 0? 21 28 00 00 ?? ?? ?? 0? 08 00 02 AE 10 00 44 8C 21 30 20 02 ?? ?? ?? 0? 21 28 00 00 1C 00 BF 8F 0C 00 02 AE 02 00 02 24 10 00 02 AE 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_103_4 {
	meta:
		name = "_ZNSt7codecvtIDsc9_MbstatetE7_GetcatEPPKNSt6locale5facetEPKS2_"
		size = 160
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _ZTVSt7codecvtIDsc9_MbstatetE 0084 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 80 FF BD 27 78 00 B0 AF 7C 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 7C 00 BF 8F 02 00 02 24 78 00 B0 8F 08 00 E0 03 80 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 0B 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 10 00 03 3C FF FF 63 34 08 00 43 AC 04 00 03 24 0C 00 43 AC 04 00 40 AC 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 7C 00 BF 8F 02 00 02 24 78 00 B0 8F 08 00 E0 03 80 00 BD 27 }
	condition:
		$1
}

rule file_164_104_4 {
	meta:
		name = "_ZNSt7codecvtIDic9_MbstatetE7_GetcatEPPKNSt6locale5facetEPKS2_"
		size = 156
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _ZTVSt7codecvtIDic9_MbstatetE 0080 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 80 FF BD 27 78 00 B0 AF 7C 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 7C 00 BF 8F 02 00 02 24 78 00 B0 8F 08 00 E0 03 80 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 0A 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC FF FF 03 24 08 00 43 AC 04 00 03 24 0C 00 43 AC 04 00 40 AC 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 7C 00 BF 8F 02 00 02 24 78 00 B0 8F 08 00 E0 03 80 00 BD 27 }
	condition:
		$1
}

rule file_164_105_4 {
	meta:
		name = "_ZNSt7codecvtIwc9_MbstatetE7_GetcatEPPKNSt6locale5facetEPKS2_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt7codecvtIwc9_MbstatetE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 02 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 02 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_106_4 {
	meta:
		name = "_ZNSt5ctypeIwE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 228
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _Tolotab 0074 _Ctype 0078 _Touptab 0084 _ZTVSt5ctypeIwE 00a0 _Getpmbstate 00a8 _Getpwcstate 00c0 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 02 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 20 00 04 24 21 88 40 00 15 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 43 8C ?? ?? 04 3C ?? ?? 02 3C ?? ?? 84 8C ?? ?? 42 8C ?? ?? 05 3C ?? ?? A5 24 00 00 25 AE 08 00 24 AE 0C 00 23 AE 04 00 20 AE 10 00 22 AE ?? ?? ?? 0? 14 00 20 AE ?? ?? ?? 0? 21 90 40 00 1C 00 22 AE 18 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 02 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_107_4 {
	meta:
		name = "_ZNSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 04 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 04 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_640_52_4 {
	meta:
		name = "_ZNSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 04 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 04 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_640_53_4 {
	meta:
		name = "_ZNSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 04 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 04 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_108_4 {
	meta:
		name = "_ZNSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 04 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 04 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_109_4 {
	meta:
		name = "_ZNSt8messagesIwE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 140
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _ZTVSt8messagesIwE 0070 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 80 FF BD 27 78 00 B0 AF 7C 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 7C 00 BF 8F 06 00 02 24 78 00 B0 8F 08 00 E0 03 80 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 08 00 04 24 06 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 04 00 40 AC 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 7C 00 BF 8F 06 00 02 24 78 00 B0 8F 08 00 E0 03 80 00 BD 27 }
	condition:
		$1
}

rule file_164_110_4 {
	meta:
		name = "_ZNSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 03 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 03 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_330_56_4 {
	meta:
		name = "_ZNSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 03 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 03 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_330_57_4 {
	meta:
		name = "_ZNSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 03 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 03 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_111_4 {
	meta:
		name = "_ZNSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 188
		refs = "0050 _ZNSt8_LocinfoC1EPKc 0058 _Znwm 006c _ZTVSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE 0078 _Getpmbstate 0080 _Getpwcstate 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 78 00 B0 AF 84 00 BF AF 80 00 B2 AF 7C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C 84 00 BF 8F 03 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 03 00 02 24 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_112_4 {
	meta:
		name = "_ZNSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 140
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0070 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 80 00 B0 AF 84 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 84 00 BF 8F 05 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 1C 00 04 24 06 00 40 10 21 18 00 00 21 20 40 00 ?? ?? ?? 0? 78 00 A2 AF 78 00 A2 8F 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 05 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_113_4 {
	meta:
		name = "_ZNSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 144
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0074 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 80 00 B0 AF 84 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 84 00 BF 8F 05 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 64 00 04 24 07 00 40 10 21 18 00 00 21 20 40 00 10 00 A5 27 ?? ?? ?? 0? 78 00 A2 AF 78 00 A2 8F 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 05 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_114_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm"
		size = 132
		refs = "003c _ZdlPv 0074 wmemcpy"
	strings:
		$1 = { E0 FF BD 27 FF 00 A5 30 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 21 80 80 00 09 00 A0 10 21 88 C0 00 14 00 82 8C 04 00 42 2C 06 00 40 14 80 10 11 00 0F 00 C0 14 00 00 92 8C ?? ?? ?? 0? 21 20 40 02 80 10 11 00 21 10 02 02 00 00 40 AC 1C 00 BF 8F 03 00 03 24 10 00 11 AE 14 00 03 AE 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_164_115_4 {
	meta:
		name = "_ZNSt8numpunctIwE5_InitERKSt8_Locinfob"
		size = 564
		refs = "0020 localeconv 0040 _Getpmbstate 0048 _Getpwcstate 0050 strlen 005c _Znam 00b4 _ZSt10_MaklocstrIwEPT_PKcS1_RKSt7_Cvtvec 012c _Mbtowcx"
	strings:
		$1 = { A8 FF BD 27 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 54 00 BF AF 21 80 80 00 50 00 B4 AF 4C 00 B3 AF ?? ?? ?? 0? FF 00 D2 30 21 88 40 00 08 00 00 AE 14 00 00 AE 7C 00 40 16 18 00 00 AE 30 00 53 8C ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 A0 54 00 21 18 40 00 00 00 64 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 73 26 ?? ?? ?? 0? 08 00 02 AE 40 00 44 8C 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 38 00 A4 AF ?? ?? ?? 0? 20 00 A2 AF 38 00 A4 8F 21 28 00 00 20 00 A6 27 ?? ?? ?? 0? 24 00 A2 AF ?? ?? ?? 0? 14 00 02 AE 44 00 44 8C 28 00 A0 AF 2C 00 A0 AF ?? ?? ?? 0? 38 00 A4 AF ?? ?? ?? 0? 28 00 A2 AF 38 00 A4 8F 21 28 00 00 28 00 A6 27 ?? ?? ?? 0? 2C 00 A2 AF 2C 00 23 8E 18 00 02 AE ?? ?? ?? 0? 00 00 74 80 ?? ?? ?? 0? 21 98 40 00 1C 00 A4 27 18 00 A5 27 01 00 06 24 30 00 A7 27 10 00 B3 AF 18 00 B4 A3 1C 00 A0 AF 30 00 A0 AF ?? ?? ?? 0? 34 00 A0 AF 1C 00 A3 8F 34 00 22 8E 0C 00 03 AE ?? ?? ?? 0? 00 00 53 80 ?? ?? ?? 0? 21 88 40 00 1C 00 A4 27 18 00 A5 27 01 00 06 24 30 00 A7 27 18 00 B3 A3 1C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 B1 AF 1C 00 A2 8F 22 00 40 12 10 00 02 AE ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 88 40 00 1C 00 A4 27 18 00 A5 27 01 00 06 24 30 00 A7 27 2E 00 02 24 10 00 B1 AF 18 00 A2 A3 1C 00 A0 AF 30 00 A0 AF ?? ?? ?? 0? 34 00 A0 AF 1C 00 A2 8F ?? ?? ?? 0? 0C 00 02 AE ?? ?? ?? 0? 21 88 40 00 2C 00 02 24 1C 00 A4 27 18 00 A5 27 01 00 06 24 30 00 A7 27 18 00 A2 A3 1C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 B1 AF 1C 00 A2 8F 10 00 02 AE 54 00 BF 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 }
	condition:
		$1
}

rule file_164_116_4 {
	meta:
		name = "_ZNSt8numpunctIwE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 164
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _ZTVSt8numpunctIwE 0074 _ZNSt8numpunctIwE5_InitERKSt8_Locinfob 0088 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 80 00 B0 AF 84 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 84 00 BF 8F 04 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 1C 00 04 24 0C 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 04 00 40 AC 21 20 40 00 10 00 A5 27 01 00 06 24 ?? ?? ?? 0? 78 00 A2 AF 78 00 A2 8F 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 04 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_117_4 {
	meta:
		name = "_ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale"
		size = 288
		refs = "000c _ZNSt9_FacetptrISt8numpunctIwEE6_PsaveE 0018 _ZNSt8numpunctIwE2idE 0030 _ZNSt6locale2id7_Id_cntE 0074 _ZNSt8numpunctIwE7_GetcatEPPKNSt6locale5facetEPKS1_ 009c _ZNSt6locale5facet9_RegisterEv 00d8 _ZNSt6locale16_GetgloballocaleEv 0110 abort"
	strings:
		$1 = { D8 FF BD 27 18 00 B0 AF ?? ?? 02 3C ?? ?? 10 3C 1C 00 B1 AF ?? ?? 03 8E ?? ?? 51 8C 20 00 B2 AF 24 00 BF AF 21 90 80 00 07 00 20 16 10 00 A3 AF ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 88 A0 00 ?? ?? 85 AC ?? ?? 45 AC 00 00 44 8E 0C 00 82 8C 2B 10 22 02 15 00 40 54 08 00 85 8C 14 00 82 90 1D 00 40 14 00 00 00 00 15 00 60 14 21 10 60 00 10 00 A4 27 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 23 00 43 10 10 00 B1 8F 04 00 22 8E 03 00 43 10 ?? ?? 11 AE 01 00 42 24 04 00 22 AE ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 10 20 02 80 10 11 00 21 10 A2 00 00 00 42 8C E9 FF 40 50 14 00 82 90 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 23 02 DF FF 60 10 10 00 A3 8F 08 00 42 8C 80 88 11 00 21 88 51 00 00 00 22 8E F0 FF 40 14 24 00 BF 8F ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_164_118_4 {
	meta:
		name = "_ZNSt7_MpunctIwE5_InitERKSt8_Locinfob"
		size = 720
		refs = "0020 _Getpmbstate 0028 _Getpwcstate 0034 localeconv 0054 strlen 0060 _Znam 00a0 _ZSt10_MaklocstrIwEPT_PKcS1_RKSt7_Cvtvec 0120 _Mbtowcx 01bc memcpy"
	strings:
		$1 = { C0 FF BD 27 3C 00 BF AF 38 00 B4 AF 34 00 B3 AF 30 00 B2 AF 2C 00 B1 AF FF 00 D2 30 28 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 88 40 00 34 00 02 AE ?? ?? ?? 0? 30 00 11 AE 0C 00 51 8C 08 00 00 AE 14 00 00 AE 21 20 20 02 18 00 00 AE 1C 00 00 AE ?? ?? ?? 0? 21 98 40 00 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 18 40 00 21 A0 54 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 31 26 2C 00 03 92 76 00 60 10 08 00 02 AE 04 00 64 8E 30 00 11 26 21 28 00 00 ?? ?? ?? 0? 21 30 20 02 14 00 02 AE 22 00 62 92 05 00 42 2C 6A 00 40 10 ?? ?? 04 3C 18 00 64 8E 21 28 00 00 ?? ?? ?? 0? 21 30 20 02 18 00 02 AE 1F 00 62 92 05 00 42 2C 5F 00 40 10 ?? ?? 04 3C 14 00 64 8E 21 28 00 00 ?? ?? ?? 0? 21 30 20 02 08 00 63 8E 1C 00 02 AE 30 00 02 8E 00 00 63 90 1C 00 A4 27 18 00 A5 27 01 00 06 24 20 00 A7 27 18 00 A3 A3 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A4 8F 10 00 63 8E 30 00 02 8E 0C 00 04 AE 00 00 63 90 1C 00 A4 27 18 00 A5 27 01 00 06 24 20 00 A7 27 18 00 A3 A3 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A3 8F 2C 00 02 92 38 00 40 10 10 00 03 AE 23 00 63 82 7F 00 64 2C 02 00 80 14 20 00 03 AE 20 00 00 AE 21 00 63 82 20 00 64 82 06 00 40 14 22 00 65 82 03 00 62 2C 03 00 40 10 02 00 82 2C 32 00 40 14 05 00 A2 2C ?? ?? 05 3C ?? ?? A5 24 24 00 11 26 21 20 20 02 ?? ?? ?? 0? 04 00 06 24 2C 00 02 92 1E 00 63 82 1D 00 64 82 06 00 40 14 1F 00 65 82 03 00 62 2C 03 00 40 10 02 00 82 2C 2E 00 40 14 05 00 A2 2C ?? ?? 05 3C ?? ?? A5 24 28 00 10 26 21 20 00 02 ?? ?? ?? 0? 04 00 06 24 0B 00 40 12 3C 00 BF 8F ?? ?? 12 3C ?? ?? 45 26 04 00 06 24 ?? ?? ?? 0? 21 20 20 02 21 20 00 02 ?? ?? 45 26 ?? ?? ?? 0? 04 00 06 24 3C 00 BF 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 1C 00 63 82 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 00 00 64 8E CE FF 40 10 0A 00 02 24 18 00 62 00 05 00 02 24 00 00 82 70 12 10 00 00 21 28 45 00 80 10 05 00 ?? ?? 05 3C ?? ?? A5 24 ?? ?? ?? 0? 21 28 A2 00 D2 FF 40 10 0A 00 02 24 18 00 62 00 05 00 02 24 00 00 82 70 12 10 00 00 21 28 45 00 80 10 05 00 ?? ?? 05 3C ?? ?? A5 24 ?? ?? ?? 0? 21 28 A2 00 }
	condition:
		$1
}

rule file_164_119_4 {
	meta:
		name = "_ZNSt10moneypunctIwLb0EE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 180
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _ZTVSt7_MpunctIwE 0078 _ZNSt7_MpunctIwE5_InitERKSt8_Locinfob 0084 _ZTVSt10moneypunctIwLb0EE 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 80 00 B0 AF 84 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 84 00 BF 8F 03 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 38 00 04 24 10 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 04 00 40 AC 2C 00 40 A0 21 20 40 00 10 00 A5 27 01 00 06 24 ?? ?? ?? 0? 78 00 A2 AF 78 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 03 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_120_4 {
	meta:
		name = "_ZNSt10moneypunctIwLb1EE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 184
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _ZTVSt7_MpunctIwE 007c _ZNSt7_MpunctIwE5_InitERKSt8_Locinfob 0088 _ZTVSt10moneypunctIwLb1EE 009c _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 80 00 B0 AF 84 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 84 00 BF 8F 03 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 38 00 04 24 11 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 01 00 03 24 2C 00 43 A0 04 00 40 AC 21 20 40 00 10 00 A5 27 01 00 06 24 ?? ?? ?? 0? 78 00 A2 AF 78 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 03 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_164_121_4 {
	meta:
		name = "_ZNSs5_CopyEmm"
		size = 324
		refs = "0078 memcpy 0090 _ZdlPv 00e8 _Znwm 00f8 _ZTVSt9bad_alloc 0104 _ZNKSt9exception6_RaiseEv 0114 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { D0 FF BD 27 20 00 B1 AF FF FF 02 24 0F 00 B1 34 28 00 B3 AF 1C 00 B0 AF 2C 00 BF AF 24 00 B2 AF 21 80 80 00 41 00 22 12 21 98 C0 00 AA AA 02 3C AB AA 42 34 19 00 22 02 14 00 82 8C 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 20 00 80 14 FE FF 04 24 01 00 24 26 23 00 80 14 21 90 00 00 08 00 60 12 14 00 02 8E 10 00 42 2C 2D 00 40 10 21 28 00 02 21 20 40 02 ?? ?? ?? 0? 21 30 60 02 14 00 02 8E 10 00 42 2C 04 00 40 14 10 00 22 2E ?? ?? ?? 0? 00 00 04 8E 10 00 22 2E 00 00 12 AE 0B 90 02 02 21 90 53 02 14 00 11 AE 10 00 13 AE 00 00 40 A2 2C 00 BF 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 23 20 83 00 2B 20 82 00 DE FF 80 10 21 88 62 00 FF FF 04 24 FE FF 11 24 ?? ?? ?? 0? 00 00 00 00 DB FF 40 14 21 90 40 00 ?? ?? 12 3C ?? ?? 52 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B2 AF 10 00 A4 27 10 00 B2 AF ?? ?? ?? 0? 21 90 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 05 8E 21 88 A0 00 01 00 24 26 CA FF 80 10 21 90 00 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_164_122_4 {
	meta:
		name = "_ZNSs5_GrowEmb"
		size = 316
		refs = "00a8 _ZdlPv 00e8 _ZNSs5_CopyEmm 0114 _ZSt14_Xlength_errorPKc 012c memcpy"
	strings:
		$1 = { D8 FF BD 27 FF FF 02 24 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 21 80 A0 00 21 88 80 00 3A 00 A2 10 FF 00 D2 30 14 00 22 8E 2B 18 50 00 2B 00 60 54 10 00 26 8E 10 00 40 56 10 00 03 2E 06 00 00 16 10 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 20 AE 00 00 60 A0 24 00 BF 8F 2B 10 10 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 F8 FF 60 10 24 00 BF 8F 10 00 23 8E 10 00 42 2C 2B 90 70 00 0A 18 12 02 05 00 40 14 21 90 60 00 20 00 60 14 00 00 33 8E ?? ?? ?? 0? 21 20 60 02 21 10 32 02 00 00 40 A0 24 00 BF 8F 0F 00 03 24 10 00 32 AE 2B 10 10 00 14 00 23 AE 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 24 00 BF 8F 2B 10 10 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 22 8E 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 30 60 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_164_123_4 {
	meta:
		name = "_ZNSs6assignEPKcm"
		size = 596
		refs = "0070 _ZNSs5_GrowEmb 0098 memcpy 0158 memmove 0210 _ZSt14_Xout_of_rangePKc"
	strings:
		$1 = { D8 FF BD 27 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 21 88 A0 00 21 80 80 00 11 00 A0 10 21 90 C0 00 14 00 82 8C 10 00 42 2C 02 00 40 14 21 18 80 00 00 00 83 8C 2B 18 23 02 0A 00 60 14 21 20 00 02 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 06 8E 21 18 66 00 2B 18 23 02 1F 00 60 14 00 00 00 00 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 30 00 00 12 00 40 10 24 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 28 20 02 ?? ?? ?? 0? 21 30 40 02 14 00 03 8E 10 00 63 2C 02 00 60 14 21 10 00 02 00 00 02 8E 21 10 52 00 10 00 12 AE 00 00 40 A0 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 46 00 40 14 21 10 00 02 00 00 02 8E 23 88 22 02 2B 10 D1 00 46 00 40 14 ?? ?? 04 3C 23 10 D1 00 2B 18 42 02 0A 90 43 00 21 90 51 02 2B 10 D2 00 4A 00 40 14 ?? ?? 04 3C 23 98 D2 00 FF FF 02 24 21 00 62 52 14 00 02 8E 1F 00 60 56 14 00 02 8E 2B 10 26 02 0A 88 C2 00 E2 FF 20 12 24 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 28 91 00 ?? ?? ?? 0? 23 30 D1 00 14 00 03 8E 10 00 04 8E 21 10 00 02 10 00 63 2C 02 00 60 14 23 88 91 00 00 00 02 8E 21 10 51 00 10 00 11 AE 00 00 40 A0 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 10 00 42 2C 27 00 40 14 21 10 00 02 00 00 02 8E 21 20 52 00 21 90 72 02 21 28 52 00 ?? ?? ?? 0? 21 30 00 00 14 00 03 8E 10 00 04 8E 21 10 00 02 10 00 63 2C 02 00 60 14 23 98 93 00 00 00 02 8E 21 10 53 00 10 00 13 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 06 8E 23 88 22 02 2B 10 D1 00 BE FF 40 10 23 10 D1 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 06 8E 23 10 D1 00 2B 18 42 02 0A 90 43 00 21 90 51 02 2B 10 D2 00 BA FF 40 10 23 98 D2 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 06 8E ?? ?? ?? 0? 21 20 12 02 }
	condition:
		$1
}

rule file_164_124_4 {
	meta:
		name = "_ZNSt7collateIwE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 260
		refs = "0064 strlen 0078 _ZNSs6assignEPKcm 0094 _ZNSt8_LocinfoC1EPKc 009c _Znwm 00b0 _ZTVSt7collateIwE 00bc _Getpcostate 00c4 _Getpwcostate 00dc _ZNSt8_LocinfoD1Ev 00f4 _ZdlPv"
	strings:
		$1 = { 58 FF BD 27 9C 00 B1 AF A4 00 BF AF A0 00 B2 AF 98 00 B0 AF 04 00 80 10 21 88 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C A4 00 BF 8F 01 00 02 24 A0 00 B2 8F 9C 00 B1 8F 98 00 B0 8F 08 00 E0 03 A8 00 BD 27 0F 00 03 24 24 00 A3 AF 18 00 45 8C 1C 00 42 24 20 00 A0 AF 0A 28 45 00 21 20 A0 00 90 00 A5 AF ?? ?? ?? 0? 10 00 A0 A3 90 00 A5 8F 10 00 B0 27 21 30 40 00 ?? ?? ?? 0? 21 20 00 02 24 00 A5 8F 10 00 A2 8F 2C 00 A4 27 10 00 A5 2C 0A 80 45 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 10 00 04 24 21 80 40 00 0B 00 00 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 00 AE ?? ?? ?? 0? 00 00 02 AE ?? ?? ?? 0? 21 90 40 00 0C 00 02 AE 08 00 12 AE 21 10 00 02 00 00 22 AE ?? ?? ?? 0? 2C 00 A4 27 24 00 A2 8F 10 00 42 2C CF FF 40 54 A4 00 BF 8F ?? ?? ?? 0? 10 00 A4 8F ?? ?? ?? 0? A4 00 BF 8F }
	condition:
		$1
}

rule file_164_125_4 {
	meta:
		name = "_ZNKSt7_MpunctIwE11do_groupingEv"
		size = 84
		refs = "0028 strlen 0038 _ZNSs6assignEPKcm"
		altNames = "_ZNKSt8numpunctIwE11do_groupingEv"
	strings:
		$1 = { 08 00 A5 8C E0 FF BD 27 0F 00 02 24 1C 00 BF AF 18 00 B0 AF 21 80 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 21 20 A0 00 ?? ?? ?? 0? 10 00 A5 AF 10 00 A5 8F 21 20 00 02 ?? ?? ?? 0? 21 30 40 00 1C 00 BF 8F 21 10 00 02 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_127_4 {
	meta:
		name = "_ZNSt6locale7_Locimp9_MakewlocERKSt8_LocinfoiPS0_PKS_"
		size = 6284
		refs = "0044 _ZNSt9_FacetptrISt5ctypeIwEE6_PsaveE 0050 _ZNSt5ctypeIwE2idE 005c _ZNSt6locale2id7_Id_cntE 00c0 _ZNSt6locale7_Locimp7_AddfacEPNS_5facetEm 00d8 _ZNSt9_FacetptrISt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEEE6_PsaveE 00e4 _ZNSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE 0164 _ZNSt9_FacetptrISt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEEE6_PsaveE 0168 _ZNSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE 01e0 _ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale 01e8 _ZNSt8numpunctIwE2idE 022c _ZNSt9_FacetptrISt7collateIwEE6_PsaveE 0238 _ZNSt7collateIwE2idE 02c0 _ZNSt9_FacetptrISt8messagesIwEE6_PsaveE 02cc _ZNSt8messagesIwE2idE 0354 _ZNSt9_FacetptrISt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEEE6_PsaveE 0360 _ZNSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE 03e0 _ZNSt9_FacetptrISt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEEE6_PsaveE 03e4 _ZNSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE 0464 _ZNSt9_FacetptrISt10moneypunctIwLb0EEE6_PsaveE 0468 _ZNSt10moneypunctIwLb0EE2idE 04e8 _ZNSt9_FacetptrISt10moneypunctIwLb1EEE6_PsaveE 04ec _ZNSt10moneypunctIwLb1EE2idE 0574 _ZNSt9_FacetptrISt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEEE6_PsaveE 0580 _ZNSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE 0600 _ZNSt9_FacetptrISt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEEE6_PsaveE 0604 _ZNSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE 0688 _ZNSt9_FacetptrISt7codecvtIwc9_MbstatetEE6_PsaveE 0694 _ZNSt7codecvtIwc9_MbstatetE2idE 0714 _ZNSt9_FacetptrISt7codecvtIDsc9_MbstatetEE6_PsaveE 0718 _ZNSt7codecvtIDsc9_MbstatetE2idE 0798 _ZNSt9_FacetptrISt7codecvtIDic9_MbstatetEE6_PsaveE 079c _ZNSt7codecvtIDic9_MbstatetE2idE 09c8 _Znwm 09dc _ZTVSt7codecvtIwc9_MbstatetE 09e8 _Getpmbstate 09f0 _Getpwcstate 0a28 _ZTVSt7codecvtIDsc9_MbstatetE 0a7c _ZTVSt7codecvtIDic9_MbstatetE 0ae0 _Tolotab 0ae8 _Ctype 0aec _Touptab 0af8 _ZTVSt5ctypeIwE 0b7c _ZTVSt7collateIwE 0b88 _Getpcostate 0b90 _Getpwcostate 0bec _ZTVSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE 0c40 _ZTVSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE 0c8c _ZTVSt8numpunctIwE 0ca8 _ZNSt8numpunctIwE5_InitERKSt8_Locinfob 0ce0 _ZTVSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE 0d34 _ZTVSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE 0d80 _ZTVSt7_MpunctIwE 0da0 _ZNSt7_MpunctIwE5_InitERKSt8_Locinfob 0dac _ZTVSt10moneypunctIwLb0EE 0e10 _ZTVSt10moneypunctIwLb1EE 0e64 _ZTVSt8messagesIwE 0f44 _ZNSt6locale16_GetgloballocaleEv 1234 _ZNSt7codecvtIDic9_MbstatetE7_GetcatEPPKNSt6locale5facetEPKS2_ 1260 _ZNSt6locale5facet9_RegisterEv 1270 _ZNSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 12ac _ZNSt10moneypunctIwLb0EE7_GetcatEPPKNSt6locale5facetEPKS1_ 12e8 _ZNSt7codecvtIDsc9_MbstatetE7_GetcatEPPKNSt6locale5facetEPKS2_ 1324 _ZNSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 1360 _ZNSt7collateIwE7_GetcatEPPKNSt6locale5facetEPKS1_ 139c _ZNSt10moneypunctIwLb1EE7_GetcatEPPKNSt6locale5facetEPKS1_ 13d8 _ZNSt5ctypeIwE7_GetcatEPPKNSt6locale5facetEPKS1_ 1414 _ZNSt7codecvtIwc9_MbstatetE7_GetcatEPPKNSt6locale5facetEPKS2_ 1450 _ZNSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 148c _ZNSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 14c8 _ZNSt8messagesIwE7_GetcatEPPKNSt6locale5facetEPKS1_ 1504 _ZNSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 1540 _ZNSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 17ac abort"
	strings:
		$1 = { B8 FF BD 27 30 00 B3 AF 02 00 B3 30 34 00 B4 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 38 00 B5 AF 21 90 A0 00 21 A0 80 00 21 80 C0 00 23 00 60 12 21 88 E0 00 A3 02 E0 10 ?? ?? 17 3C ?? ?? 15 3C ?? ?? E3 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 3C 02 80 54 08 00 45 8C 14 00 42 90 E7 03 40 14 21 B0 60 00 D0 04 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE ?? ?? ?? 0? 21 28 C0 02 08 00 42 32 54 00 40 50 01 00 42 32 C0 02 20 12 ?? ?? 17 3C ?? ?? 15 3C ?? ?? E3 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 CA 01 80 54 08 00 45 8C 14 00 42 90 08 04 40 14 21 B0 60 00 F6 04 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 28 C0 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE 21 20 00 02 ?? ?? 15 3C ?? ?? ?? 0? ?? ?? 16 3C ?? ?? A3 8E ?? ?? C6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? C4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 BE 01 80 54 08 00 45 8C 14 00 42 90 F1 03 40 14 21 B8 60 00 E4 04 E0 12 10 00 A4 27 ?? ?? C6 8E 07 00 C0 14 21 28 E0 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? C3 AE ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 14 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 01 00 42 32 24 00 40 50 20 00 42 32 4F 02 20 12 ?? ?? 17 3C ?? ?? 15 3C ?? ?? E3 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 98 01 80 54 08 00 45 8C 14 00 42 90 9F 03 40 14 21 B0 60 00 38 04 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE ?? ?? ?? 0? 21 28 C0 02 20 00 42 32 24 00 40 50 04 00 42 32 E6 02 20 12 ?? ?? 17 3C ?? ?? 15 3C ?? ?? E3 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 57 01 80 54 08 00 45 8C 14 00 42 90 A2 03 40 14 21 B0 60 00 6D 04 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE ?? ?? ?? 0? 21 28 C0 02 04 00 42 32 87 00 40 50 10 00 52 32 5E 02 20 12 ?? ?? 17 3C ?? ?? 15 3C ?? ?? E3 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 39 01 80 54 08 00 45 8C 14 00 42 90 5F 03 40 14 21 B0 60 00 39 04 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 28 C0 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE 21 20 00 02 ?? ?? 15 3C ?? ?? ?? 0? ?? ?? 16 3C ?? ?? A3 8E ?? ?? C6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? C4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 26 01 80 54 08 00 45 8C 14 00 42 90 7A 03 40 14 21 B8 60 00 91 03 E0 12 10 00 A4 27 ?? ?? C6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? C3 AE 21 28 E0 02 ?? ?? 15 3C ?? ?? ?? 0? ?? ?? 16 3C ?? ?? A3 8E ?? ?? C6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? C4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 3D 01 80 54 08 00 45 8C 14 00 42 90 09 03 40 14 21 B8 60 00 7F 03 E0 12 10 00 A4 27 ?? ?? C6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? C3 AE 21 28 E0 02 ?? ?? 15 3C ?? ?? ?? 0? ?? ?? 16 3C ?? ?? A3 8E ?? ?? C6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? C4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 23 01 80 54 08 00 45 8C 14 00 42 90 24 03 40 14 21 B8 60 00 9A 03 E0 12 10 00 A4 27 ?? ?? C6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? C3 AE ?? ?? ?? 0? 21 28 E0 02 10 00 52 32 44 00 40 12 00 00 00 00 4F 02 20 12 ?? ?? 15 3C ?? ?? 12 3C ?? ?? A3 8E ?? ?? 46 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? 44 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 D4 00 80 54 08 00 45 8C 14 00 42 90 09 03 40 14 21 A0 60 00 A2 03 80 12 10 00 A4 27 ?? ?? 46 8E 07 00 C0 14 21 28 80 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 43 AE 21 20 00 02 ?? ?? 12 3C ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 43 8E ?? ?? 86 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? 84 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 C8 00 80 54 08 00 45 8C 14 00 42 90 98 02 40 14 21 A8 60 00 36 03 A0 12 10 00 A4 27 ?? ?? 86 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 83 AE ?? ?? ?? 0? 21 28 A0 02 66 00 60 52 44 00 BF 8F D0 00 20 12 ?? ?? 14 3C ?? ?? 12 3C ?? ?? 83 8E ?? ?? 46 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? 44 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 88 00 80 54 08 00 45 8C 14 00 42 90 60 02 40 14 21 98 60 00 4E 03 60 12 10 00 A4 27 ?? ?? 46 8E 07 00 C0 14 21 28 60 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 43 AE 21 20 00 02 ?? ?? 12 3C ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 43 8E ?? ?? 66 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? 64 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 75 00 80 54 08 00 45 8C 14 00 42 90 49 02 40 14 21 A0 60 00 E2 02 80 12 10 00 A4 27 ?? ?? 66 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 63 AE 21 28 80 02 ?? ?? 12 3C ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 44 8E ?? ?? 66 8E 07 00 C0 14 10 00 A4 AF ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 63 AE 00 00 22 8E 0C 00 43 8C 2B 18 C3 00 5B 00 60 54 08 00 45 8C 14 00 42 90 DA 01 40 14 21 A0 80 00 94 02 80 12 10 00 A4 27 ?? ?? 66 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 63 AE ?? ?? ?? 0? 21 28 80 02 44 00 BF 8F 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 80 20 06 00 21 20 A4 00 00 00 96 8C 39 FE C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C AC FE C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C CA FE C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 97 8C 45 FE E0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 97 8C DD FE E0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C 6B FE C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 93 8C 7B FF 60 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 94 8C 2F FF 80 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 94 8C 8E FF 80 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 18 06 00 21 18 A3 00 00 00 74 8C A8 FF 80 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 95 8C 3B FF A0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C C7 FD C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 97 8C C6 FE E0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 97 8C E0 FE E0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? 18 00 A5 AF ?? ?? ?? 0? 21 88 40 00 18 00 A5 8F 0C 00 A2 AC 08 00 B1 AC ?? ?? 02 3C ?? ?? 46 8C 81 01 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 10 00 04 24 09 00 40 10 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 10 00 03 3C FF FF 63 34 08 00 43 AC 04 00 03 24 04 00 40 AC 0C 00 43 AC ?? ?? 03 3C ?? ?? 66 8C 5D 01 C0 10 ?? ?? 04 3C 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 10 00 04 24 09 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC FF FF 02 24 08 00 A2 AC 04 00 02 24 0C 00 A2 AC ?? ?? 02 3C ?? ?? 46 8C 07 00 C0 14 00 00 00 00 ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? 44 AC ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 44 00 BF 8F ?? ?? ?? 0? 20 00 04 24 16 00 40 10 21 28 40 00 ?? ?? 02 3C ?? ?? 43 8C ?? ?? 04 3C ?? ?? 02 3C ?? ?? 84 8C ?? ?? 42 8C ?? ?? 06 3C ?? ?? C6 24 04 00 A0 AC 00 00 A6 AC 08 00 A4 AC 0C 00 A3 AC 10 00 A2 AC 14 00 A0 AC ?? ?? ?? 0? 18 00 A5 AF ?? ?? ?? 0? 21 A8 40 00 18 00 A5 8F 1C 00 A2 AC 18 00 B5 AC ?? ?? 02 3C ?? ?? 46 8C 06 00 C0 14 ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? 44 AC ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 08 00 42 32 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? 18 00 A5 AF ?? ?? ?? 0? 21 A8 40 00 18 00 A5 8F 0C 00 A2 AC 08 00 B5 AC ?? ?? 02 3C ?? ?? 46 8C 06 00 C0 14 ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? 44 AC ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 20 00 42 32 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? 18 00 A5 AF ?? ?? ?? 0? 21 A8 40 00 18 00 A5 8F 0C 00 A2 AC 08 00 B5 AC ?? ?? 02 3C ?? ?? 46 8C F7 00 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? 18 00 A5 AF ?? ?? ?? 0? 21 A8 40 00 18 00 A5 8F 0C 00 A2 AC 08 00 B5 AC ?? ?? 02 3C ?? ?? 46 8C C4 00 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 1C 00 04 24 0A 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 20 40 00 21 28 80 02 21 30 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A2 8F ?? ?? 03 3C ?? ?? 66 8C 55 FD C0 54 21 20 00 02 ?? ?? ?? 0? ?? ?? 04 3C ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? 18 00 A5 AF ?? ?? ?? 0? 21 A8 40 00 18 00 A5 8F 0C 00 A2 AC 08 00 B5 AC ?? ?? 02 3C ?? ?? 46 8C B4 00 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? 18 00 A5 AF ?? ?? ?? 0? 21 A8 40 00 18 00 A5 8F 0C 00 A2 AC 08 00 B5 AC ?? ?? 02 3C ?? ?? 46 8C 93 00 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 38 00 04 24 0E 00 40 10 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 04 00 40 AC 2C 00 40 A0 21 20 40 00 21 28 80 02 21 30 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC ?? ?? 03 3C ?? ?? 66 8C 76 00 C0 50 ?? ?? 04 3C 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 38 00 04 24 0F 00 40 10 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 01 00 03 24 2C 00 43 A0 04 00 40 AC 21 20 40 00 21 28 80 02 21 30 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 54 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 10 00 52 32 ?? ?? ?? 0? 08 00 04 24 04 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 14 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 04 00 42 32 ?? ?? ?? 0? 1C 00 04 24 04 00 40 10 21 20 40 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A2 8F ?? ?? 03 3C ?? ?? 66 8C 25 00 C0 50 ?? ?? 04 3C 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 64 00 04 24 05 00 40 10 21 20 40 00 21 28 80 02 ?? ?? ?? 0? 18 00 A2 AF 18 00 A2 8F ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 54 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 18 00 A6 AF 0C 00 43 8C 18 00 A6 8F 2B 18 C3 00 88 01 60 54 08 00 42 8C 10 00 A4 8F ?? ?? ?? 0? 21 A0 80 00 ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? ?? 0? ?? ?? 65 AC ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? ?? 0? ?? ?? 44 AC ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? ?? 0? ?? ?? 65 AC ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? ?? 0? ?? ?? 44 AC ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? ?? 0? ?? ?? 65 AC ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? ?? 0? ?? ?? 44 AC ?? ?? 64 8C }
	condition:
		$1
}

rule file_164_128_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm"
		size = 364
		refs = "0084 wmemcpy 0094 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 00f8 _ZTVSt9bad_alloc 0104 _ZNKSt9exception6_RaiseEv 0114 _ZNSt9exceptionD2Ev 0138 _Znwm"
	strings:
		$1 = { D0 FF BD 27 FF 3F 02 3C 20 00 B1 AF FF FF 42 34 03 00 B1 34 2B 18 22 02 28 00 B3 AF 1C 00 B0 AF 2C 00 BF AF 24 00 B2 AF 21 80 80 00 2A 00 60 10 21 98 C0 00 AA AA 03 3C AB AA 63 34 19 00 23 02 14 00 83 8C 42 20 03 00 10 38 00 00 42 28 07 00 2B 28 A4 00 33 00 A0 54 FF FF 51 24 01 00 24 26 21 00 80 14 21 90 00 00 09 00 60 12 21 20 00 02 14 00 02 8E 04 00 42 2C 35 00 40 10 21 28 00 02 21 20 40 02 ?? ?? ?? 0? 21 30 60 02 21 20 00 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 00 00 12 AE 04 00 23 2E 2C 00 BF 8F 80 10 13 00 0B 90 03 02 21 90 42 02 14 00 11 AE 10 00 13 AE 20 00 B1 8F 00 00 40 AE 28 00 B3 8F 24 00 B2 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 21 88 A0 00 01 00 24 26 E1 FF 80 10 21 90 00 00 00 40 02 3C 2B 10 82 00 11 00 40 14 80 20 04 00 ?? ?? 12 3C ?? ?? 52 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B2 AF 10 00 A4 27 10 00 B2 AF ?? ?? ?? 0? 21 90 00 00 ?? ?? ?? 0? 00 00 00 00 23 10 24 02 2B 10 43 00 0A 00 40 50 21 88 83 00 FC FF 04 24 ?? ?? ?? 0? 00 00 00 00 C9 FF 40 14 21 90 40 00 ?? ?? ?? 0? ?? ?? 12 3C ?? ?? ?? 0? 00 00 05 8E 01 00 24 26 C2 FF 80 10 21 90 00 00 ?? ?? ?? 0? 00 40 02 3C }
	condition:
		$1
}

rule file_164_129_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm"
		size = 632
		refs = "00a8 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 00e4 wmemcpy 013c _ZSt14_Xout_of_rangePKc 01b8 wmemmove 01f0 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 10 00 A2 8C D0 FF BD 27 28 00 B3 AF 2B 18 46 00 20 00 B1 AF 1C 00 B0 AF 2C 00 BF AF 24 00 B2 AF 21 98 A0 00 21 88 C0 00 42 00 60 14 21 80 80 00 23 10 51 00 2B 90 E2 00 0A 38 52 00 48 00 13 12 21 90 E0 00 FF 3F 02 3C FF FF 42 34 2B 10 E2 00 67 00 40 50 ?? ?? 04 3C 14 00 02 8E 2B 18 52 00 10 00 60 54 10 00 06 8E 15 00 40 16 04 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 2C 00 BF 8F 10 00 00 AE 21 10 00 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 00 00 60 AC 08 00 E0 03 30 00 BD 27 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 17 00 40 12 2C 00 BF 8F 14 00 02 8E 04 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 14 00 62 8E 04 00 42 2C 01 00 40 50 00 00 73 8E 80 28 11 00 21 28 65 02 ?? ?? ?? 0? 21 30 40 02 14 00 03 8E 04 00 63 2C 0D 00 60 10 21 10 00 02 80 18 12 00 21 10 43 00 10 00 12 AE 00 00 40 AC 2C 00 BF 8F 21 10 00 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 00 00 02 8E ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF 10 00 62 8E 10 00 A7 8F 23 10 51 00 2B 90 E2 00 0A 38 52 00 BA FF 13 16 21 90 E0 00 10 00 06 8E 21 90 F1 00 2B 10 D2 00 3E 00 40 14 ?? ?? 04 3C 23 98 D2 00 FF FF 02 24 20 00 62 52 14 00 02 8E 1E 00 60 56 14 00 02 8E 2B 10 26 02 0A 88 C2 00 DE FF 20 12 2C 00 BF 8F 14 00 02 8E 04 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 80 28 11 00 21 28 85 00 ?? ?? ?? 0? 23 30 D1 00 14 00 03 8E 10 00 04 8E 21 10 00 02 04 00 63 2C 02 00 60 14 23 88 91 00 00 00 02 8E 80 18 11 00 21 10 43 00 10 00 11 AE ?? ?? ?? 0? 00 00 40 AC ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 02 8E 04 00 42 2C 15 00 40 50 00 00 02 8E 80 20 12 00 21 10 00 02 21 20 04 02 21 90 72 02 80 28 12 00 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 14 00 03 8E 10 00 06 8E 21 10 00 02 04 00 63 2C 02 00 60 14 23 30 D3 00 00 00 02 8E 80 18 06 00 21 10 43 00 10 00 06 AE ?? ?? ?? 0? 00 00 40 AC 80 20 12 00 ?? ?? ?? 0? 21 20 44 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 06 8E }
	condition:
		$1
}

rule file_164_130_4 {
	meta:
		name = "_ZNKSt8messagesIwE6do_getEiiiRKSbIwSt11char_traitsIwESaIwEE"
		size = 68
		refs = "0014 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0028 _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm"
	strings:
		$1 = { E8 FF BD 27 21 30 00 00 21 28 00 00 14 00 BF AF 10 00 B0 AF ?? ?? ?? 0? 21 80 80 00 2C 00 A5 8F 21 20 00 02 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_164_131_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE6assignEPKwm"
		size = 388
		refs = "00d4 _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm 00f8 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 0128 wmemcpy 0174 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 24 00 BF AF 21 88 A0 00 21 80 80 00 12 00 A0 10 21 38 C0 00 14 00 82 8C 04 00 42 2C 02 00 40 14 21 18 80 00 00 00 83 8C 2B 18 23 02 0B 00 60 54 FF 3F 02 3C 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 04 8E 80 20 04 00 21 18 64 00 2B 18 23 02 17 00 60 14 00 00 00 00 FF 3F 02 3C FF FF 42 34 2B 10 E2 00 3F 00 40 10 ?? ?? 04 3C 14 00 02 8E 2B 18 47 00 1B 00 60 54 10 00 06 8E 22 00 E0 14 04 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 24 00 BF 8F 10 00 00 AE 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 00 00 60 AC 08 00 E0 03 28 00 BD 27 02 00 40 14 21 10 00 02 00 00 02 8E 23 88 22 02 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 83 30 11 00 24 00 BF 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 E0 00 21 20 00 02 ?? ?? ?? 0? 10 00 A7 AF 10 00 A7 8F F5 FF E0 10 21 10 00 02 14 00 02 8E 04 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 30 E0 00 21 28 20 02 ?? ?? ?? 0? 10 00 A7 AF 14 00 03 8E 21 10 00 02 04 00 63 2C 02 00 60 14 10 00 A7 8F 00 00 02 8E 24 00 BF 8F 80 18 07 00 21 18 43 00 10 00 07 AE 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 00 00 60 AC 08 00 E0 03 28 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF ?? ?? ?? 0? 10 00 A7 8F }
	condition:
		$1
}

rule file_164_132_4 {
	meta:
		name = "_ZNKSt7_MpunctIwE16do_negative_signEv"
		size = 84
		refs = "001c _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0024 wcslen 0034 _ZNSbIwSt11char_traitsIwESaIwEE6assignEPKwm"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 1C 00 B1 8C 21 30 00 00 21 28 00 00 1C 00 BF AF 14 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 20 20 02 21 30 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_133_4 {
	meta:
		name = "_ZNKSt8numpunctIwE11do_truenameEv"
		size = 84
		refs = "001c _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0024 wcslen 0034 _ZNSbIwSt11char_traitsIwESaIwEE6assignEPKwm"
		altNames = "_ZNKSt7_MpunctIwE16do_positive_signEv"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 18 00 B1 8C 21 30 00 00 21 28 00 00 1C 00 BF AF 14 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 20 20 02 21 30 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_134_4 {
	meta:
		name = "_ZNKSt8numpunctIwE12do_falsenameEv"
		size = 84
		refs = "001c _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0024 wcslen 0034 _ZNSbIwSt11char_traitsIwESaIwEE6assignEPKwm"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 14 00 B1 8C 21 30 00 00 21 28 00 00 1C 00 BF AF 14 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 20 20 02 21 30 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_136_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE7replaceEmmRKS2_mm"
		size = 1136
		refs = "0050 _ZSt14_Xout_of_rangePKc 00d4 wmemmove 0110 wmemcpy 01ac _ZSt14_Xlength_errorPKc 030c _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm"
	strings:
		$1 = { 10 00 82 8C C0 FF BD 27 30 00 B5 AF 2B 18 45 00 2C 00 B4 AF 24 00 B2 AF 20 00 B1 AF 1C 00 B0 AF 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 28 00 B3 AF 21 88 80 00 21 90 A0 00 21 A8 E0 00 50 00 B0 8F 4A 00 60 10 54 00 B4 8F ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 10 00 A6 AF 10 00 22 8E 10 00 B3 8E 10 00 A6 8F 23 18 52 00 23 98 70 02 2B B0 C3 00 2B 20 93 02 0A 30 76 00 0B 98 84 02 23 B8 46 00 27 18 13 00 2B 18 E3 02 47 00 60 10 21 B0 C0 00 21 A0 F3 02 2B 10 54 00 4C 00 40 14 23 B8 F2 02 14 00 22 8E 04 00 42 2C 5A 00 35 12 2B 18 D3 02 71 00 40 50 00 00 22 8E 21 20 72 02 80 20 04 00 21 10 20 02 21 20 24 02 21 B0 D2 02 80 28 16 00 21 28 45 00 ?? ?? ?? 0? 21 30 E0 02 14 00 22 8E 04 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 14 00 A2 8E 80 90 12 00 04 00 42 2C 02 00 40 14 21 20 92 00 00 00 B5 8E 80 28 10 00 21 28 A5 02 ?? ?? ?? 0? 21 30 60 02 14 00 23 8E 04 00 63 2C 02 00 60 14 21 10 20 02 00 00 22 8E 3C 00 BF 8F 80 18 14 00 21 18 43 00 10 00 34 AE 21 10 20 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 00 00 60 AC 08 00 E0 03 40 00 BD 27 10 00 F3 8C 2B 18 70 02 B5 FF 60 14 ?? ?? 04 3C 23 18 52 00 23 98 70 02 2B B0 C3 00 2B 20 93 02 0A 30 76 00 0B 98 84 02 23 B8 46 00 27 18 13 00 2B 18 E3 02 BB FF 60 14 21 B0 C0 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 22 8E 23 B8 56 00 21 A0 F3 02 2B 10 54 00 B6 FF 40 10 23 B8 F2 02 FF 3F 02 3C FF FF 42 34 2B 10 82 02 2B 00 40 50 ?? ?? 04 3C 14 00 22 8E 2B 18 54 00 47 00 60 54 10 00 26 8E AD FF 80 16 04 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 20 AE A9 FF 35 16 00 00 60 AC 2B 18 D3 02 20 00 60 14 2B 18 50 02 56 00 40 50 00 00 22 8E 80 20 12 00 21 10 20 02 21 20 24 02 80 28 10 00 21 28 45 00 ?? ?? ?? 0? 21 30 60 02 14 00 22 8E 04 00 42 2C 4E 00 40 14 21 20 72 02 00 00 22 8E 80 20 04 00 21 20 44 00 21 90 D2 02 80 28 12 00 21 28 45 00 ?? ?? ?? 0? 21 30 E0 02 ?? ?? ?? 0? 14 00 23 8E 21 20 72 02 80 20 04 00 ?? ?? ?? 0? 21 20 44 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 22 8E 21 00 60 10 21 A8 D2 02 2B 18 15 02 3B 00 60 14 00 00 00 00 65 00 40 14 21 20 72 02 00 00 22 8E 80 20 04 00 21 20 44 00 80 28 15 00 21 28 45 00 ?? ?? ?? 0? 21 30 E0 02 14 00 22 8E 04 00 42 2C 57 00 40 14 80 20 12 00 00 00 22 8E 21 20 44 00 21 28 70 02 23 28 B6 00 80 28 05 00 21 28 45 00 ?? ?? ?? 0? 21 30 60 02 ?? ?? ?? 0? 14 00 23 8E 21 20 20 02 ?? ?? ?? 0? 21 28 80 02 14 00 22 8E ?? ?? ?? 0? 04 00 42 2C 3F 00 40 14 21 20 72 02 00 00 22 8E 80 20 04 00 21 20 44 00 21 B0 D2 02 80 28 16 00 21 28 45 00 ?? ?? ?? 0? 21 30 E0 02 14 00 22 8E 04 00 42 2C 30 00 40 14 80 20 12 00 00 00 22 8E 21 20 44 00 80 28 10 00 21 28 45 00 ?? ?? ?? 0? 21 30 60 02 ?? ?? ?? 0? 14 00 23 8E 80 20 12 00 ?? ?? ?? 0? 21 20 44 00 80 20 04 00 21 10 20 02 ?? ?? ?? 0? 21 20 24 02 33 00 40 14 80 20 12 00 00 00 22 8E 21 20 44 00 80 28 10 00 21 28 45 00 ?? ?? ?? 0? 21 30 C0 02 14 00 22 8E 04 00 42 2C 25 00 40 14 21 20 72 02 00 00 25 8E 80 20 04 00 21 20 A4 00 80 A8 15 00 21 28 B5 00 ?? ?? ?? 0? 21 30 E0 02 14 00 22 8E 04 00 42 2C 11 00 40 14 21 10 20 02 00 00 22 8E 21 20 55 00 21 28 70 02 80 28 05 00 21 28 45 00 ?? ?? ?? 0? 23 30 76 02 ?? ?? ?? 0? 14 00 23 8E 21 10 20 02 ?? ?? ?? 0? 21 20 24 02 80 20 04 00 21 10 20 02 ?? ?? ?? 0? 21 20 24 02 ?? ?? ?? 0? 21 20 35 02 21 10 20 02 ?? ?? ?? 0? 21 20 24 02 80 20 04 00 21 10 20 02 ?? ?? ?? 0? 21 20 24 02 80 20 04 00 21 28 20 02 ?? ?? ?? 0? 21 20 24 02 21 10 20 02 ?? ?? ?? 0? 21 20 24 02 }
	condition:
		$1
}

rule file_164_137_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE7replaceEmmPKwm"
		size = 772
		refs = "00d8 wmemmove 016c _ZNSbIwSt11char_traitsIwESaIwEE7replaceEmmRKS2_mm 01b4 _ZSt14_Xout_of_rangePKc 01f0 _ZSt14_Xlength_errorPKc 0218 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 0254 wmemcpy"
	strings:
		$1 = { C0 FF BD 27 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 3C 00 BF AF 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 21 88 80 00 21 90 A0 00 77 00 E0 10 50 00 B0 8F 14 00 82 8C 04 00 42 2C 02 00 40 14 21 18 80 00 00 00 83 8C 2B 18 E3 00 0A 00 60 54 10 00 35 8E 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 35 8E 80 20 15 00 21 18 64 00 2B 18 E3 00 36 00 60 14 00 00 00 00 2B 10 B2 02 4B 00 40 14 23 10 B2 02 2B 98 C2 00 0A 30 53 00 23 A8 A6 02 27 10 10 00 2B 10 A2 02 54 00 40 10 21 98 C0 00 2B 10 13 02 10 00 40 10 23 A8 B2 02 14 00 22 8E 04 00 42 2C 39 00 40 50 00 00 22 8E 21 20 12 02 80 20 04 00 21 10 20 02 21 20 24 02 21 28 72 02 80 28 05 00 21 28 45 00 21 30 A0 02 ?? ?? ?? 0? 1C 00 A7 AF 1C 00 A7 8F 25 18 70 02 22 00 60 10 21 10 20 02 10 00 34 8E FF 3F 02 3C FF FF 42 34 21 A0 14 02 23 A0 93 02 2B 10 82 02 79 00 40 10 ?? ?? 04 3C 14 00 22 8E 2B 18 54 00 3D 00 60 54 10 00 26 8E 44 00 80 16 2B 18 70 02 04 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 20 AE 21 10 20 02 ?? ?? ?? 0? 00 00 60 AC 02 00 40 14 21 10 20 02 00 00 22 8E 23 38 E2 00 83 10 07 00 21 20 20 02 21 28 40 02 21 38 20 02 10 00 A2 AF ?? ?? ?? 0? 14 00 B0 AF 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 21 20 12 02 80 20 04 00 ?? ?? ?? 0? 21 20 44 00 ?? ?? 04 3C ?? ?? 84 24 18 00 A6 AF ?? ?? ?? 0? 1C 00 A7 AF 10 00 35 8E 18 00 A6 8F 1C 00 A7 8F 23 10 B2 02 2B 98 C2 00 0A 30 53 00 23 A8 A6 02 27 10 10 00 2B 10 A2 02 AE FF 40 14 21 98 C0 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1C 00 A7 AF 10 00 35 8E 1C 00 A7 8F ?? ?? ?? 0? 23 A8 B3 02 ?? ?? ?? 0? 10 00 95 8C 21 20 20 02 21 28 80 02 ?? ?? ?? 0? 1C 00 A7 AF 1C 00 A7 8F D3 FF 80 12 21 10 20 02 14 00 22 8E 2B 18 70 02 1C 00 60 14 04 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 80 20 12 00 21 20 64 00 21 28 E0 00 ?? ?? ?? 0? 21 30 00 02 14 00 23 8E 04 00 63 2C 02 00 60 14 21 10 20 02 00 00 22 8E 3C 00 BF 8F 80 18 14 00 21 18 43 00 10 00 34 AE 21 10 20 02 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 00 00 60 AC 08 00 E0 03 40 00 BD 27 0D 00 40 14 21 20 12 02 00 00 22 8E 80 20 04 00 21 20 44 00 21 98 72 02 80 28 13 00 21 28 45 00 21 30 A0 02 ?? ?? ?? 0? 1C 00 A7 AF 14 00 22 8E ?? ?? ?? 0? 1C 00 A7 8F 80 20 04 00 21 10 20 02 ?? ?? ?? 0? 21 20 24 02 ?? ?? 84 24 ?? ?? ?? 0? 1C 00 A7 AF ?? ?? ?? 0? 1C 00 A7 8F }
	condition:
		$1
}

rule file_164_138_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE6assignEPKwS4_"
		size = 368
		refs = "0078 _ZNSbIwSt11char_traitsIwESaIwEE7replaceEmmPKwm 011c wmemmove 0160 _ZSt14_Xout_of_rangePKc"
	strings:
		$1 = { 14 00 83 8C D0 FF BD 27 1C 00 B0 AF 04 00 63 2C 2C 00 BF AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF 21 80 80 00 02 00 60 14 21 38 A0 00 00 00 84 8C 10 00 02 8E 80 88 02 00 1B 00 E6 10 21 88 91 00 17 00 60 10 21 10 00 02 03 00 80 10 21 28 00 00 23 28 82 00 83 28 05 00 03 00 20 12 21 18 00 00 23 18 24 02 83 18 03 00 23 10 C7 00 83 10 02 00 21 20 00 02 21 30 60 00 ?? ?? ?? 0? 10 00 A2 AF 2C 00 BF 8F 21 10 00 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 00 00 02 8E 02 00 60 14 21 28 00 02 00 00 05 8E 03 00 80 10 21 90 00 00 23 90 85 00 83 90 12 00 03 00 20 12 21 98 00 00 23 88 24 02 83 98 11 00 2B 18 52 00 21 00 60 14 ?? ?? 04 3C 23 30 52 00 2B 88 66 02 0A 98 D1 00 E4 FF 60 12 21 88 60 02 14 00 02 8E 04 00 42 2C 15 00 40 50 00 00 02 8E 80 20 12 00 21 10 00 02 21 20 04 02 21 90 32 02 80 28 12 00 23 30 D1 00 ?? ?? ?? 0? 21 28 45 00 14 00 03 8E 10 00 04 8E 21 10 00 02 04 00 63 2C 02 00 60 14 23 88 91 00 00 00 02 8E 80 18 11 00 21 10 43 00 10 00 11 AE ?? ?? ?? 0? 00 00 40 AC 80 20 12 00 ?? ?? ?? 0? 21 20 44 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 02 8E }
	condition:
		$1
}

rule file_164_139_4 {
	meta:
		name = "_ZSt9_LStrcollIwEiPKT_S2_S2_S2_PKSt8_Collvec"
		size = 464
		refs = "004c _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0114 _Wcscollx 0124 wcslen 0188 _ZNSbIwSt11char_traitsIwESaIwEE6assignEPKwS4_"
	strings:
		$1 = { 88 FF BD 27 58 00 B1 AF 10 00 B1 27 70 00 B7 AF 64 00 B4 AF 5C 00 B2 AF 54 00 B0 AF 21 A0 80 00 21 B8 A0 00 21 80 C0 00 21 20 20 02 21 28 00 00 21 30 00 00 2C 00 B2 27 48 00 A7 AF 74 00 BF AF 6C 00 B6 AF 68 00 B5 AF 60 00 B3 AF ?? ?? ?? 0? 88 00 B3 8F 21 20 40 02 21 28 00 00 ?? ?? ?? 0? 21 30 00 00 48 00 A7 8F 23 B0 F4 02 83 B0 16 00 23 A8 F0 00 04 00 C0 12 83 A8 15 00 FC FF E2 8E 49 00 40 14 21 28 80 02 04 00 A0 12 00 00 00 00 FC FF E2 8C 3B 00 40 14 21 28 00 02 31 00 C0 12 FF FF 02 24 1A 00 A0 56 04 00 66 8E 01 00 02 24 21 20 40 02 01 00 05 24 21 30 00 00 ?? ?? ?? 0? 48 00 A2 AF 21 20 20 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 74 00 BF 8F 48 00 A2 8F 70 00 B7 8F 6C 00 B6 8F 68 00 B5 8F 64 00 B4 8F 60 00 B3 8F 5C 00 B2 8F 58 00 B1 8F 54 00 B0 8F 08 00 E0 03 78 00 BD 27 21 A0 82 02 21 80 02 02 04 00 66 8E 21 20 80 02 ?? ?? ?? 0? 21 28 00 02 E4 FF 40 14 21 20 80 02 ?? ?? ?? 0? 00 00 00 00 01 00 42 24 2B 20 56 00 0D 00 80 10 2B 18 55 00 0C 00 60 50 2B 18 D5 02 23 B0 C2 02 05 00 C0 12 23 A8 A2 02 D7 FF A0 52 01 00 02 24 ?? ?? ?? 0? 80 10 02 00 FF FF 02 24 ?? ?? ?? 0? 0A 10 15 00 2B 18 D5 02 CF FF 60 14 FF FF 02 24 26 A8 B6 02 ?? ?? ?? 0? 2B 10 15 00 21 20 40 02 ?? ?? ?? 0? 21 30 E0 00 40 00 B0 8F 2C 00 A2 8F 04 00 10 2E 0B 10 50 02 ?? ?? ?? 0? 21 80 40 00 21 20 20 02 ?? ?? ?? 0? 21 30 E0 02 24 00 B4 8F 10 00 A2 8F 48 00 A7 8F 04 00 94 2E 0B 10 34 02 ?? ?? ?? 0? 21 A0 40 00 }
	condition:
		$1
}

rule file_164_140_4 {
	meta:
		name = "_ZNKSt7collateIwE10do_compareEPKwS2_S2_S2_"
		size = 48
		refs = "001c _ZSt9_LStrcollIwEiPKT_S2_S2_S2_PKSt8_Collvec"
	strings:
		$1 = { E0 FF BD 27 08 00 82 24 21 20 A0 00 21 28 C0 00 21 30 E0 00 30 00 A7 8F 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_330_75_4 {
	meta:
		name = "_ZNKSt7collateIcE10do_compareEPKcS2_S2_S2_"
		size = 48
		refs = "001c _ZSt9_LStrcollIcEiPKT_S2_S2_S2_PKSt8_Collvec"
	strings:
		$1 = { E0 FF BD 27 08 00 82 24 21 20 A0 00 21 28 C0 00 21 30 E0 00 30 00 A7 8F 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_141_4 {
	meta:
		name = "_ZNKSt7_MpunctIwE14do_curr_symbolEv"
		size = 412
		refs = "001c _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0024 wcslen 00e8 _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm 0110 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 0140 wmemcpy 018c _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 14 00 B1 8C 21 30 00 00 21 28 00 00 24 00 BF AF 1C 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 20 20 02 12 00 20 12 21 38 40 00 14 00 02 8E 04 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 2B 18 23 02 0B 00 60 54 FF 3F 02 3C 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 04 8E 80 20 04 00 21 18 64 00 2B 18 23 02 17 00 60 14 00 00 00 00 FF 3F 02 3C FF FF 42 34 2B 10 E2 00 40 00 40 10 ?? ?? 04 3C 14 00 02 8E 2B 18 47 00 1C 00 60 54 10 00 06 8E 23 00 E0 14 04 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 24 00 BF 8F 10 00 00 AE 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 00 00 60 AC 08 00 E0 03 28 00 BD 27 02 00 40 14 21 10 00 02 00 00 02 8E 23 88 22 02 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 83 30 11 00 24 00 BF 8F 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 E0 00 21 20 00 02 ?? ?? ?? 0? 10 00 A7 AF 10 00 A7 8F F5 FF E0 10 24 00 BF 8F 14 00 02 8E 04 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 30 E0 00 21 28 20 02 ?? ?? ?? 0? 10 00 A7 AF 14 00 03 8E 21 10 00 02 04 00 63 2C 02 00 60 14 10 00 A7 8F 00 00 02 8E 24 00 BF 8F 80 18 07 00 21 10 43 00 10 00 07 AE 20 00 B1 8F 00 00 40 AC 21 10 00 02 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF ?? ?? ?? 0? 10 00 A7 8F }
	condition:
		$1
}

rule file_164_142_4 {
	meta:
		name = "_ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv"
		size = 172
	strings:
		$1 = { 04 00 82 90 E8 FF BD 27 10 00 B0 AF 14 00 BF AF 06 00 40 10 21 80 80 00 14 00 BF 8F 08 00 82 8C 10 00 B0 8F 08 00 E0 03 18 00 BD 27 00 00 84 8C 15 00 80 10 01 00 03 24 20 00 82 8C 00 00 42 8C 15 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 04 00 63 28 0F 00 60 54 00 00 82 8C 00 00 42 8C FF FF 03 24 07 00 43 10 01 00 03 24 08 00 02 AE 04 00 03 A2 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 08 00 02 8E 00 00 00 AE ?? ?? ?? 0? 04 00 03 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? FF FF 03 24 }
	condition:
		$1
}

rule file_164_143_4 {
	meta:
		name = "_ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv"
		size = 160
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 00 00 84 8C 16 00 80 10 14 00 BF AF 20 00 83 8C 00 00 62 8C 1A 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 04 00 A5 28 14 00 A0 54 00 00 82 8C 04 00 44 24 00 00 42 8C 00 00 64 AC FF FF 03 24 06 00 43 10 14 00 BF 8F 21 10 00 02 04 00 00 A2 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 01 00 02 24 04 00 02 A2 00 00 00 AE 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 20 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? FF FF 03 24 }
	condition:
		$1
}

rule file_164_144_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE6appendEmw"
		size = 404
		refs = "0060 _ZSt14_Xlength_errorPKc 00e0 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 0118 wmemset"
	strings:
		$1 = { 10 00 82 8C D8 FF BD 27 20 00 B3 AF 27 10 02 00 2B 10 A2 00 1C 00 B2 AF 14 00 B0 AF 24 00 BF AF 18 00 B1 AF 21 80 80 00 21 90 A0 00 0B 00 40 10 21 98 C0 00 0F 00 40 56 10 00 11 8E 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 F5 FF 40 12 24 00 BF 8F 10 00 11 8E FF 3F 02 3C FF FF 42 34 21 88 51 02 2B 10 22 02 3F 00 40 50 ?? ?? 04 3C 14 00 02 8E 2B 18 51 00 11 00 60 54 10 00 06 8E 15 00 20 56 01 00 04 24 04 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 24 00 BF 8F 10 00 00 AE 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 00 00 60 AC 08 00 E0 03 28 00 BD 27 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 D4 FF 20 12 01 00 04 24 14 00 02 8E 1B 00 44 12 10 00 03 8E 04 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 80 18 03 00 21 20 83 00 21 28 60 02 ?? ?? ?? 0? 21 30 40 02 14 00 02 8E 04 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 24 00 BF 8F 80 10 11 00 21 18 62 00 10 00 11 AE 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 00 00 60 AC 08 00 E0 03 28 00 BD 27 04 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 80 18 03 00 21 20 83 00 ?? ?? ?? 0? 00 00 93 AC ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 02 8E }
	condition:
		$1
}

rule file_164_145_4 {
	meta:
		name = "_ZNKSt7collateIwE12do_transformEPKwS2_"
		size = 988
		refs = "0040 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0078 _ZNSbIwSt11char_traitsIwESaIwEE6appendEmw 00c4 wcslen 0104 _Wcsxfrmx 01dc _ZNSbIwSt11char_traitsIwESaIwEE7replaceEmmPKwm 0244 wmemmove 03c4 _ZSt14_Xout_of_rangePKc"
	strings:
		$1 = { 90 FF BD 27 68 00 BE AF 64 00 B7 AF 54 00 B3 AF 21 B8 C0 00 21 F0 E0 00 21 98 A0 00 21 30 00 00 21 28 00 00 58 00 B4 AF 6C 00 BF AF 60 00 B6 AF 5C 00 B5 AF 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF ?? ?? ?? 0? 21 A0 80 00 23 10 D7 03 83 10 02 00 D9 00 40 10 38 00 A2 AF 10 00 85 8E FC FF D6 27 21 90 40 00 18 00 B5 27 2B 10 B2 00 64 00 40 10 21 20 80 02 23 28 45 02 ?? ?? ?? 0? 21 30 00 00 10 00 92 8E 14 00 82 8E 80 90 12 00 04 00 42 2C 02 00 40 14 21 88 80 02 00 00 91 8E 21 20 A0 02 21 28 00 00 ?? ?? ?? 0? 21 30 00 00 00 00 C2 8E 83 18 12 00 38 00 40 14 21 80 E0 02 ?? ?? ?? 0? 21 90 00 00 ?? ?? ?? 0? 3C 00 A5 AF 40 00 A3 8F 3C 00 A5 8F 01 00 42 24 2B 20 43 00 80 30 05 00 10 00 80 10 80 10 02 00 23 18 65 00 21 88 26 02 21 80 02 02 0C 00 67 8E 21 28 00 02 21 30 60 00 21 20 20 02 ?? ?? ?? 0? 40 00 A3 AF 40 00 A3 8F 01 00 45 24 21 20 00 02 2B 10 65 00 E9 FF 40 10 21 90 45 02 01 00 05 24 21 20 A0 02 ?? ?? ?? 0? 21 30 00 00 10 00 85 8E 2B 10 B2 00 05 00 40 50 23 30 B2 00 C9 FF 40 16 2B 10 B2 00 21 90 00 00 23 30 B2 00 FF FF 10 24 4D 00 D0 50 14 00 82 8E 49 00 C0 14 6C 00 BF 8F 21 10 80 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 2C 00 A5 8F 28 00 A6 8F 18 00 A2 8F 04 00 A4 2C 0B 10 A4 02 80 20 06 00 5D 00 D7 13 21 20 44 00 03 00 80 10 21 30 00 00 23 10 82 00 83 30 02 00 38 00 A2 8F 21 28 00 00 21 20 A0 02 21 38 E0 02 40 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 2C 00 A5 8F 40 00 A3 8F 04 00 A5 2C B2 FF A0 14 21 80 A0 02 ?? ?? ?? 0? 18 00 B0 8F 23 80 B2 00 FF FF 02 24 06 00 02 12 14 00 82 8E 04 00 00 16 00 00 00 00 80 90 05 00 ?? ?? ?? 0? 04 00 42 2C 04 00 42 2C 14 00 40 14 80 20 12 00 00 00 82 8E 21 20 44 00 21 28 12 02 80 28 05 00 21 28 45 00 ?? ?? ?? 0? 21 30 00 00 14 00 82 8E 10 00 84 8E 21 18 80 02 04 00 42 2C 02 00 40 14 23 80 90 00 00 00 83 8E 80 90 10 00 21 18 72 00 10 00 90 AE ?? ?? ?? 0? 00 00 60 AC 21 10 80 02 ?? ?? ?? 0? 21 20 84 02 21 80 C0 00 14 00 82 8E 04 00 42 2C 21 00 40 50 00 00 85 8E 80 20 12 00 21 28 80 02 21 20 84 02 21 90 12 02 80 90 12 00 23 30 D0 00 ?? ?? ?? 0? 21 28 B2 00 14 00 83 8E 10 00 84 8E 21 10 80 02 04 00 63 2C 02 00 60 14 23 80 90 00 00 00 82 8E 6C 00 BF 8F 80 18 10 00 21 10 43 00 10 00 90 AE 68 00 BE 8F 00 00 40 AC 64 00 B7 8F 21 10 80 02 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 80 20 12 00 ?? ?? ?? 0? 21 20 A4 00 21 90 00 00 03 00 80 10 21 80 00 00 23 80 82 00 83 80 10 00 2B 10 D2 00 1F 00 40 14 ?? ?? 04 3C 23 30 D2 00 2B 10 06 02 0A 80 C2 00 A6 FF 00 12 04 00 A5 2C 14 00 A0 10 18 00 A2 8F 21 20 A0 02 21 10 A0 02 80 28 10 00 21 28 45 00 23 30 D0 00 ?? ?? ?? 0? 40 00 A3 AF 28 00 A2 8F 2C 00 A5 8F 18 00 A4 8F 23 80 50 00 04 00 A5 2C 0B 20 A5 02 80 10 10 00 21 10 82 00 28 00 B0 AF 40 00 A3 8F ?? ?? ?? 0? 00 00 40 AC ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 10 00 85 8E ?? ?? 84 24 ?? ?? ?? 0? 40 00 A3 AF 28 00 A6 8F 2C 00 A5 8F ?? ?? ?? 0? 40 00 A3 8F }
	condition:
		$1
}

rule file_164_146_4 {
	meta:
		name = "_ZNSs6appendEmc"
		size = 288
		refs = "0060 _ZSt14_Xlength_errorPKc 0080 _ZNSs5_GrowEmb 00b8 memset"
	strings:
		$1 = { 10 00 82 8C D8 FF BD 27 1C 00 B2 AF 27 10 02 00 2B 10 A2 00 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 21 80 80 00 21 88 A0 00 0B 00 40 10 20 94 06 7C 0F 00 20 56 10 00 13 8E 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 F5 FF 20 12 24 00 BF 8F 10 00 13 8E 21 20 00 02 21 30 00 00 21 98 33 02 ?? ?? ?? 0? 21 28 60 02 ED FF 40 10 24 00 BF 8F 01 00 03 24 1A 00 23 12 10 00 02 8E 14 00 03 8E 10 00 63 2C 02 00 60 14 21 20 00 02 00 00 04 8E 21 20 82 00 21 28 40 02 ?? ?? ?? 0? 21 30 20 02 14 00 03 8E 10 00 63 2C 02 00 60 14 21 10 00 02 00 00 02 8E 21 10 53 00 10 00 13 AE 00 00 40 A0 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 14 00 04 8E 10 00 84 2C 02 00 80 14 21 18 00 02 00 00 03 8E 21 10 62 00 ?? ?? ?? 0? 00 00 52 A0 }
	condition:
		$1
}

rule file_164_147_4 {
	meta:
		name = "_ZNSt19ostreambuf_iteratorIwSt11char_traitsIwEEaSEw"
		size = 152
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 04 00 84 8C 15 00 80 10 14 00 BF AF 24 00 83 8C 00 00 62 8C 18 00 40 50 00 00 82 8C 34 00 86 8C 00 00 C6 8C 23 30 C2 00 04 00 C6 28 12 00 C0 54 00 00 82 8C 04 00 44 24 00 00 64 AC 00 00 45 AC FF FF 02 24 05 00 A2 10 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 01 00 02 24 00 00 02 A2 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 10 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 28 40 00 }
	condition:
		$1
}

rule file_164_148_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_PutcES3_PKcm.clone.101"
		size = 176
		refs = "0060 _Mbtowcx 0070 _ZNSt19ostreambuf_iteratorIwSt11char_traitsIwEEaSEw"
	strings:
		$1 = { C0 FF BD 27 30 00 B1 AF 54 00 B1 8F 38 00 B3 AF 34 00 B2 AF 2C 00 B0 AF 3C 00 BF AF 21 90 80 00 21 80 A0 00 48 00 A6 AF 4C 00 A7 AF 14 00 20 12 50 00 B3 8F 21 88 71 02 00 00 63 92 00 00 02 8E 18 00 A5 27 1C 00 A4 27 01 00 06 24 20 00 A7 27 18 00 A3 A3 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A5 8F 01 00 73 26 ?? ?? ?? 0? 48 00 A4 27 F0 FF 71 56 00 00 63 92 48 00 A3 8F 3C 00 BF 8F 21 10 40 02 00 00 43 AE 4C 00 A3 8F 38 00 B3 8F 30 00 B1 8F 04 00 43 AE 2C 00 B0 8F 34 00 B2 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_164_149_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewb"
		size = 776
		refs = "0078 _ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale 00d4 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0104 _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm 016c _ZNSt19ostreambuf_iteratorIwSt11char_traitsIwEEaSEw"
	strings:
		$1 = { 40 FF BD 27 9C 00 B1 AF D0 00 B1 8F B0 00 B6 AF AC 00 B5 AF 10 00 22 8E A4 00 B3 AF A0 00 B2 AF 00 80 42 30 98 00 B0 AF BC 00 BF AF B8 00 BE AF B4 00 B7 AF A8 00 B4 AF 21 98 80 00 C8 00 A6 AF CC 00 A7 AF D4 00 B0 8F D8 00 B6 93 21 90 C0 00 99 00 40 10 21 A8 E0 00 24 00 22 8E FF FF 04 24 00 00 42 8C 04 00 43 8C 03 00 64 10 20 00 A2 AF 01 00 63 24 04 00 43 AC ?? ?? ?? 0? 20 00 A4 27 20 00 A4 8F 10 00 80 10 3C 00 B4 27 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 07 00 60 14 3C 00 B4 27 00 00 83 8C 04 00 63 8C 09 F8 60 00 90 00 A2 AF 90 00 A2 8F 3C 00 B4 27 21 20 80 02 21 28 00 00 21 30 00 00 ?? ?? ?? 0? 90 00 A2 AF 66 00 C0 16 90 00 A2 8F 00 00 43 8C 21 28 40 00 14 00 63 8C 09 F8 60 00 74 00 A4 27 21 20 80 02 74 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 74 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 18 00 22 8E 06 00 40 18 21 B0 00 00 4C 00 A3 8F 2B B0 62 00 23 10 43 00 0A 10 16 00 21 B0 40 00 10 00 23 8E 02 00 02 24 0E 00 63 30 15 00 62 10 C8 00 A2 8F 38 00 B5 AF 34 00 A2 AF 0A 00 C0 12 34 00 B2 A3 34 00 B2 27 FF FF D6 26 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 FC FF C0 16 FF FF D6 26 34 00 B2 93 38 00 B5 8F 34 00 A3 8F 38 00 A2 8F 21 B0 00 00 24 00 A3 AF 28 00 A2 AF C8 00 A3 AF CC 00 A2 AF C8 00 A2 8F 50 00 BE 8F 4C 00 B7 8F 34 00 A2 AF 3C 00 A2 8F 04 00 DE 2F 34 00 B2 A3 0B 10 9E 02 21 F0 40 00 08 00 E0 12 38 00 B5 AF 34 00 B2 27 00 00 C5 8F 21 20 40 02 ?? ?? ?? 0? FF FF F7 26 FB FF E0 16 04 00 DE 27 34 00 A3 8F 38 00 A2 8F 18 00 20 AE 2C 00 A3 AF 30 00 A2 AF C8 00 A3 AF 08 00 C0 12 CC 00 A2 AF 34 00 B2 27 FF FF D6 26 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 FC FF C0 16 FF FF D6 26 34 00 A2 8F 21 20 80 02 01 00 05 24 00 00 62 AE 38 00 A2 8F 21 30 00 00 ?? ?? ?? 0? 04 00 62 AE BC 00 BF 8F 21 10 60 02 B8 00 BE 8F B4 00 B7 8F B0 00 B6 8F AC 00 B5 8F A8 00 B4 8F A4 00 B3 8F A0 00 B2 8F 9C 00 B1 8F 98 00 B0 8F 08 00 E0 03 C0 00 BD 27 00 00 43 8C 58 00 A4 27 18 00 63 8C 09 F8 60 00 21 28 40 00 21 20 80 02 58 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 58 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 18 00 22 8E 00 00 A2 8C 10 00 B1 AF 14 00 B0 AF 18 00 B6 AF 0C 00 42 8C 09 F8 40 00 00 00 00 00 BC 00 BF 8F 21 10 60 02 B8 00 BE 8F B4 00 B7 8F B0 00 B6 8F AC 00 B5 8F A8 00 B4 8F A4 00 B3 8F A0 00 B2 8F 9C 00 B1 8F 98 00 B0 8F 08 00 E0 03 C0 00 BD 27 }
	condition:
		$1
}

rule file_164_150_4 {
	meta:
		name = "_ZNKSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewPK2tmcc"
		size = 772
		refs = "00c4 _CStrftime 00ec _ZSt14_Xlength_errorPKc 0108 _ZNSs5_GrowEmb 0138 memset 01cc _Mbtowcx 01ec _ZNSt19ostreambuf_iteratorIwSt11char_traitsIwEEaSEw 0248 _ZdlPv 02a8 strlen"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 43 24 90 FF BD 27 04 00 63 90 ?? ?? 48 8C 90 00 A2 83 20 00 A3 A3 0F 00 03 24 58 00 B4 AF 54 00 B3 AF 50 00 B2 AF 21 A0 80 00 6C 00 BF AF 68 00 BE AF 64 00 B7 AF 60 00 B6 AF 5C 00 B5 AF 4C 00 B1 AF 48 00 B0 AF 21 98 A0 00 78 00 A6 AF 7C 00 A7 AF 88 00 B2 8F 8C 00 A4 83 1C 00 A8 AF 40 00 A3 AF 3C 00 A0 AF 9E 00 40 14 2C 00 A0 A3 1E 00 A4 A3 3C 00 A5 8F 10 00 17 24 ?? ?? 15 3C 27 10 05 00 2B 10 E2 02 08 00 71 26 ?? ?? B5 26 2C 00 B0 27 14 00 40 10 01 00 16 24 17 00 E0 16 21 F0 B7 00 40 00 A4 8F 2C 00 A2 8F 1C 00 A6 27 10 00 84 2C 0B 10 04 02 21 20 40 00 21 38 40 02 ?? ?? ?? 0? 10 00 B1 AF 30 00 40 14 40 00 A3 8F 3C 00 A5 8F 40 B8 17 00 27 10 05 00 2B 10 E2 02 EE FF 40 14 00 00 00 00 ?? ?? ?? 0? 21 20 A0 02 EC FF E0 12 3C 00 A5 8F 21 F0 B7 00 21 20 00 02 21 28 C0 03 ?? ?? ?? 0? 21 30 00 00 13 00 40 10 40 00 A4 8F 5A 00 F6 12 3C 00 A4 8F 40 00 A2 8F 2C 00 A3 8F 21 28 00 00 10 00 42 2C 0B 18 02 02 21 20 64 00 ?? ?? ?? 0? 21 30 E0 02 40 00 A2 8F 2C 00 A3 8F 3C 00 BE AF 10 00 42 2C 0B 18 02 02 21 F0 7E 00 00 00 C0 A3 40 00 A4 8F 2C 00 A2 8F 3C 00 A5 8F 10 00 84 2C 0B 10 04 02 21 20 40 00 1C 00 A6 27 21 38 40 02 ?? ?? ?? 0? 10 00 B1 AF D4 FF 40 10 3C 00 A5 8F 40 00 A3 8F 24 00 A0 AF 28 00 A0 AF 10 00 63 2C FF FF 52 24 03 00 60 14 2D 00 B0 27 2C 00 B0 8F 01 00 10 26 48 00 40 12 21 28 00 02 5C 00 62 8E 18 00 A4 27 21 30 40 02 24 00 A7 27 FD FF 11 24 ?? ?? ?? 0? 10 00 A2 AF 13 00 40 04 FE FF 43 28 30 00 40 10 18 00 A5 8F 21 A8 40 00 23 90 55 02 ?? ?? ?? 0? 78 00 A4 27 36 00 40 12 40 00 A3 8F 5C 00 62 8E 21 80 15 02 18 00 A4 27 21 28 00 02 21 30 40 02 24 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF EF FF 41 04 FE FF 43 28 33 00 60 14 40 00 A3 8F 78 00 A2 8F 00 00 82 AE 7C 00 A2 8F 10 00 63 2C 04 00 82 AE 04 00 60 14 6C 00 BF 8F ?? ?? ?? 0? 2C 00 A4 8F 6C 00 BF 8F 21 10 80 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 40 00 A2 8F 2C 00 A3 8F 10 00 42 2C 0B 18 02 02 21 20 64 00 ?? ?? ?? 0? 00 00 80 A0 D1 FF A0 14 21 A8 00 00 ?? ?? ?? 0? 21 20 00 02 18 00 A5 8F 01 00 55 24 23 90 55 02 ?? ?? ?? 0? 78 00 A4 27 CE FF 40 56 5C 00 62 8E 40 00 A3 8F 10 00 63 2C 78 00 A2 8F 00 00 82 AE 7C 00 A2 8F ?? ?? ?? 0? 04 00 82 AE 1E 00 A2 A3 ?? ?? ?? 0? 1F 00 A4 A3 BB FF 51 14 18 00 A5 8F ?? ?? ?? 0? 21 A8 00 00 }
	condition:
		$1
}

rule file_164_151_4 {
	meta:
		name = "_ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_"
		size = 348
	strings:
		$1 = { 04 00 82 90 E0 FF BD 27 18 00 B0 AF 1C 00 BF AF 0D 00 40 10 21 80 80 00 04 00 A2 90 22 00 40 50 00 00 A4 8C 00 00 A3 8C 00 00 04 8E 1C 00 BF 8F 01 00 62 2C 2B 18 03 00 0B 10 64 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 84 8C 36 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 35 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 04 00 63 28 2F 00 60 54 00 00 82 8C 00 00 42 8C FF FF 03 24 28 00 43 50 01 00 02 24 08 00 02 AE 01 00 02 24 04 00 02 A2 04 00 A2 90 E2 FF 40 54 00 00 A3 8C 00 00 A4 8C 1B 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 23 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 04 00 63 28 1D 00 60 54 00 00 82 8C 00 00 42 8C FF FF 03 24 0D 00 43 50 01 00 02 24 00 00 A3 8C 08 00 A2 AC 01 00 02 24 04 00 A2 A0 00 00 04 8E 1C 00 BF 8F 01 00 62 2C 2B 18 03 00 0B 10 64 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 A0 AC 21 18 00 00 ?? ?? ?? 0? 04 00 A2 A0 00 00 00 AE ?? ?? ?? 0? 04 00 02 A2 1C 00 42 8C 09 F8 40 00 10 00 A5 AF ?? ?? ?? 0? 10 00 A5 8F 1C 00 42 8C 09 F8 40 00 10 00 A5 AF ?? ?? ?? 0? 10 00 A5 8F }
	condition:
		$1
}

rule file_164_152_4 {
	meta:
		name = "_ZSt10_GetloctxtIwSt19istreambuf_iteratorIwSt11char_traitsIwEEEiRT0_S5_mPKT_"
		size = 772
		refs = "0088 _ZNSs5_GrowEmb 01a8 _ZdlPv 01f4 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0240 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 0284 _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv 02b0 memset 02dc _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 00 00 E2 8C 98 FF BD 27 5C 00 B7 AF 58 00 B6 AF 4C 00 B3 AF 44 00 B1 AF 64 00 BF AF 60 00 BE AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 40 00 B0 AF 21 B0 E0 00 21 88 80 00 21 98 A0 00 09 00 40 10 21 B8 C0 00 21 20 E0 00 21 18 40 00 26 28 62 00 04 00 83 8C 01 00 A5 2C 21 B8 E5 02 FB FF 60 14 04 00 84 24 0F 00 02 24 24 00 A2 AF FF FF 02 24 20 00 A0 AF 98 00 E2 12 10 00 A0 A3 10 00 BE 27 21 20 C0 03 21 28 E0 02 ?? ?? ?? 0? 21 30 00 00 80 00 40 14 01 00 02 24 3F 00 E0 12 FE FF 12 24 01 00 08 24 7F 00 15 24 80 00 10 2D 21 10 A0 02 0B 10 10 01 21 30 00 00 21 A0 00 00 21 18 00 00 ?? ?? ?? 0? 21 80 40 00 24 00 A4 8F 10 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 46 00 00 00 42 80 1C 00 40 50 21 18 68 00 21 18 62 00 01 00 C6 24 27 00 D7 10 00 00 00 00 80 20 03 00 21 20 C4 02 00 00 82 8C F1 FF 40 50 24 00 A4 8F 00 00 C5 8E EE FF 45 50 24 00 A4 8F 04 00 82 8C 01 00 63 24 E9 FF 40 10 04 00 84 24 FC FF 45 54 04 00 82 8C 24 00 A4 8F 10 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 46 00 00 00 42 80 E8 FF 40 54 21 18 62 00 21 18 68 00 80 38 03 00 21 38 C7 02 00 00 E2 8C 00 00 C5 8E 04 00 45 50 10 00 A2 8F 1D 00 40 54 21 20 20 02 10 00 A2 8F 21 90 C0 00 0B 10 C4 03 21 20 46 00 01 00 C6 24 DB FF D7 14 00 00 90 A0 34 00 80 56 21 20 20 02 24 00 A2 8F 10 00 42 2C 04 00 40 14 64 00 BF 8F ?? ?? ?? 0? 10 00 A4 8F 64 00 BF 8F 21 10 40 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 21 28 60 02 38 00 A3 AF 34 00 A6 AF 30 00 A7 AF ?? ?? ?? 0? 3C 00 A8 AF 38 00 A3 8F 34 00 A6 8F 30 00 A7 8F 08 00 40 10 3C 00 A8 8F 24 00 A4 8F 10 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 46 00 ?? ?? ?? 0? 00 00 50 A0 00 00 E5 8C 21 20 20 02 38 00 A3 AF 30 00 A5 AF 34 00 A6 AF ?? ?? ?? 0? 3C 00 A8 AF 30 00 A5 8F 38 00 A3 8F 34 00 A6 8F EE FF A2 14 3C 00 A8 8F ?? ?? ?? 0? 01 00 14 24 21 28 60 02 ?? ?? ?? 0? 3C 00 A8 AF C9 FF 40 14 3C 00 A8 8F 01 00 08 25 21 20 20 02 3C 00 A8 AF ?? ?? ?? 0? FF FF 12 24 ?? ?? ?? 0? 3C 00 A8 8F 15 00 E2 12 24 00 A4 8F 10 00 A2 8F 21 28 00 00 10 00 84 2C 0B 10 C4 03 21 20 40 00 ?? ?? ?? 0? 21 30 E0 02 24 00 A3 8F 10 00 A2 8F 20 00 B7 AF 10 00 63 2C 0B 10 C3 03 21 10 57 00 ?? ?? ?? 0? 00 00 40 A0 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 BE 27 24 00 A3 8F 10 00 A2 8F 10 00 63 2C 0B 10 C3 03 ?? ?? ?? 0? 00 00 40 A0 }
	condition:
		$1
}

rule file_164_153_4 {
	meta:
		name = "_ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE16do_get_monthnameES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 180
		refs = "0030 _ZSt10_GetloctxtIwSt19istreambuf_iteratorIwSt11char_traitsIwEEEiRT0_S5_mPKT_"
	strings:
		$1 = { 0C 00 A2 8C E0 FF BD 27 18 00 B1 AF 28 00 A6 AF 2C 00 A7 AF 21 88 80 00 34 00 A5 27 28 00 A4 27 21 30 00 00 21 38 40 00 14 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 44 00 B0 8F 0F 00 40 04 48 00 A3 8F 43 10 02 00 1C 00 BF 8F 10 00 62 AC 28 00 A2 8F 14 00 B0 8F 00 00 22 AE 2C 00 A2 8F 04 00 22 AE 30 00 A2 8F 08 00 22 AE 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 00 00 02 8E 1C 00 BF 8F 02 00 42 34 00 00 02 AE 28 00 A2 8F 14 00 B0 8F 00 00 22 AE 2C 00 A2 8F 04 00 22 AE 30 00 A2 8F 08 00 22 AE 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_154_4 {
	meta:
		name = "_ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE14do_get_weekdayES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 180
		refs = "0030 _ZSt10_GetloctxtIwSt19istreambuf_iteratorIwSt11char_traitsIwEEEiRT0_S5_mPKT_"
	strings:
		$1 = { 08 00 A2 8C E0 FF BD 27 18 00 B1 AF 28 00 A6 AF 2C 00 A7 AF 21 88 80 00 34 00 A5 27 28 00 A4 27 21 30 00 00 21 38 40 00 14 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 44 00 B0 8F 0F 00 40 04 48 00 A3 8F 43 10 02 00 1C 00 BF 8F 18 00 62 AC 28 00 A2 8F 14 00 B0 8F 00 00 22 AE 2C 00 A2 8F 04 00 22 AE 30 00 A2 8F 08 00 22 AE 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 00 00 02 8E 1C 00 BF 8F 02 00 42 34 00 00 02 AE 28 00 A2 8F 14 00 B0 8F 00 00 22 AE 2C 00 A2 8F 04 00 22 AE 30 00 A2 8F 08 00 22 AE 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_164_155_4 {
	meta:
		name = "_ZSt10_GetloctxtIcSt19istreambuf_iteratorIwSt11char_traitsIwEEEiRT0_S5_mPKT_"
		size = 764
		refs = "0088 _ZNSs5_GrowEmb 01a0 _ZdlPv 01ec _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0238 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 027c _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv 02a8 memset 02d4 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 98 FF BD 27 5C 00 B7 AF 58 00 B6 AF 4C 00 B3 AF 44 00 B1 AF 64 00 BF AF 60 00 BE AF 54 00 B5 AF 50 00 B4 AF 48 00 B2 AF 40 00 B0 AF 00 00 E2 80 21 B0 E0 00 21 88 80 00 21 98 A0 00 09 00 40 10 21 B8 C0 00 21 20 E0 00 21 18 40 00 26 28 62 00 01 00 83 80 01 00 A5 2C 21 B8 E5 02 FB FF 60 14 01 00 84 24 0F 00 02 24 24 00 A2 AF FF FF 02 24 20 00 A0 AF 96 00 E2 12 10 00 A0 A3 10 00 BE 27 21 20 C0 03 21 28 E0 02 ?? ?? ?? 0? 21 30 00 00 7E 00 40 14 01 00 02 24 3D 00 E0 12 FE FF 12 24 01 00 08 24 7F 00 15 24 80 00 10 2D 21 10 A0 02 0B 10 10 01 21 30 00 00 21 A0 00 00 21 18 00 00 ?? ?? ?? 0? 21 80 40 00 10 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 46 00 00 00 42 80 1C 00 40 50 21 18 68 00 21 18 62 00 01 00 C6 24 26 00 D7 10 00 00 00 00 21 10 C3 02 00 00 42 80 F2 FF 40 10 24 00 A4 8F 00 00 C4 82 EF FF 44 50 24 00 A4 8F 01 00 63 24 21 10 C3 02 00 00 42 80 EA FF 40 50 24 00 A4 8F FB FF 44 54 01 00 63 24 24 00 A4 8F 10 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 46 00 00 00 42 80 E8 FF 40 54 21 18 62 00 21 18 68 00 21 38 C3 02 00 00 E2 80 00 00 C5 82 04 00 A2 50 10 00 A2 8F 1D 00 40 54 21 20 20 02 10 00 A2 8F 21 90 C0 00 0B 10 C4 03 21 20 46 00 01 00 C6 24 DC FF D7 14 00 00 90 A0 34 00 80 56 21 20 20 02 24 00 A2 8F 10 00 42 2C 04 00 40 14 64 00 BF 8F ?? ?? ?? 0? 10 00 A4 8F 64 00 BF 8F 21 10 40 02 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 21 28 60 02 38 00 A3 AF 34 00 A6 AF 30 00 A7 AF ?? ?? ?? 0? 3C 00 A8 AF 38 00 A3 8F 34 00 A6 8F 30 00 A7 8F 08 00 40 10 3C 00 A8 8F 24 00 A4 8F 10 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 46 00 ?? ?? ?? 0? 00 00 50 A0 00 00 E5 80 21 20 20 02 38 00 A3 AF 30 00 A5 AF 34 00 A6 AF ?? ?? ?? 0? 3C 00 A8 AF 30 00 A5 8F 38 00 A3 8F 34 00 A6 8F EE FF A2 14 3C 00 A8 8F ?? ?? ?? 0? 01 00 14 24 21 28 60 02 ?? ?? ?? 0? 3C 00 A8 AF C9 FF 40 14 3C 00 A8 8F 01 00 08 25 21 20 20 02 3C 00 A8 AF ?? ?? ?? 0? FF FF 12 24 ?? ?? ?? 0? 3C 00 A8 8F 15 00 E2 12 24 00 A4 8F 10 00 A2 8F 21 28 00 00 10 00 84 2C 0B 10 C4 03 21 20 40 00 ?? ?? ?? 0? 21 30 E0 02 24 00 A3 8F 10 00 A2 8F 20 00 B7 AF 10 00 63 2C 0B 10 C3 03 21 10 57 00 ?? ?? ?? 0? 00 00 40 A0 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 BE 27 24 00 A3 8F 10 00 A2 8F 10 00 63 2C 0B 10 C3 03 ?? ?? ?? 0? 00 00 40 A0 }
	condition:
		$1
}

rule file_164_156_4 {
	meta:
		name = "_ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetfmtES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tmPKc"
		size = 904
		refs = "0068 _ZNSt9_FacetptrISt5ctypeIwEE6_PsaveE 0074 _ZNSt5ctypeIwE2idE 0080 _ZNSt6locale2id7_Id_cntE 0110 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 0148 _Mbtowcx 0160 _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv 017c _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 02e4 _ZNSt6locale16_GetgloballocaleEv 0330 _ZNSt5ctypeIwE7_GetcatEPPKNSt6locale5facetEPKS1_ 035c _ZNSt6locale5facet9_RegisterEv 0378 abort"
	strings:
		$1 = { 70 FF BD 27 88 00 BE AF B0 00 BE 8F 80 00 B6 AF 21 B0 80 00 24 00 C2 8F FF FF 03 24 84 00 B7 AF 00 00 44 8C 7C 00 B5 AF 70 00 B2 AF 04 00 82 8C 8C 00 BF AF 78 00 B4 AF 74 00 B3 AF 6C 00 B1 AF 68 00 B0 AF 21 A8 A0 00 98 00 A6 AF 9C 00 A7 AF B4 00 B7 8F BC 00 B2 8F 03 00 43 10 38 00 A4 AF 01 00 42 24 04 00 82 AC ?? ?? 10 3C ?? ?? 03 3C ?? ?? 02 8E ?? ?? 71 8C 07 00 20 16 3C 00 A2 AF ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 88 C0 00 ?? ?? A6 AC ?? ?? 66 AC 0C 00 83 8C 2B 18 23 02 50 00 60 54 08 00 85 8C 14 00 83 90 8D 00 60 14 21 98 40 00 9E 00 60 12 3C 00 A4 27 38 00 A4 8F 0B 00 80 50 00 00 42 82 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 77 00 40 50 00 00 82 8C 00 00 42 82 9E 00 40 10 25 00 14 24 98 00 B0 27 A4 00 B1 27 52 00 54 10 20 00 03 24 4A 00 43 10 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 21 18 40 00 00 00 48 92 14 00 A2 8E 40 00 A4 27 3C 00 A5 27 01 00 06 24 44 00 A7 27 60 00 A3 AF 3C 00 A8 A3 40 00 A0 AF 44 00 A0 AF 48 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 40 00 A2 8F 60 00 A3 8F 5F 00 62 54 00 00 E2 8E ?? ?? ?? 0? 21 20 00 02 01 00 52 26 00 00 42 82 E3 FF 40 14 00 00 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 05 00 40 10 98 00 A2 8F 00 00 E2 8E 01 00 42 34 00 00 E2 AE 98 00 A2 8F 8C 00 BF 8F 88 00 BE 8F 00 00 C2 AE 9C 00 A2 8F 84 00 B7 8F 7C 00 B5 8F 04 00 C2 AE A0 00 A2 8F 78 00 B4 8F 74 00 B3 8F 08 00 C2 AE 70 00 B2 8F 21 10 C0 02 6C 00 B1 8F 80 00 B6 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 80 18 11 00 21 18 A3 00 00 00 73 8C B3 FF 60 16 00 00 00 00 ?? ?? ?? 0? 14 00 83 90 ?? ?? ?? 0? 21 20 00 02 00 00 63 8E 21 20 60 02 44 01 05 24 08 00 63 8C 09 F8 60 00 21 30 40 00 D1 FF 40 10 21 20 00 02 ?? ?? ?? 0? 00 00 00 00 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 CB FF 40 54 01 00 52 26 ?? ?? ?? 0? 00 00 00 00 A4 00 A4 8F 01 00 52 26 00 00 43 82 00 00 A2 8E 14 00 A4 AF A8 00 A4 8F 2C 00 A3 AF A0 00 A3 8F 18 00 A4 AF AC 00 A4 8F 20 00 BE AF 24 00 B7 AF 1C 00 A4 AF B8 00 A4 8F 30 00 A0 AF 10 00 A3 AF 28 00 A4 AF 20 00 42 8C 98 00 A6 8F 9C 00 A7 8F 50 00 A4 27 09 F8 40 00 21 28 A0 02 50 00 A2 8F 98 00 A2 AF 54 00 A2 8F 9C 00 A2 AF 58 00 A2 8F ?? ?? ?? 0? A0 00 A2 AF 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 42 82 02 00 42 34 ?? ?? ?? 0? 00 00 E2 AE ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 23 02 0C 00 60 50 3C 00 A2 8F 08 00 42 8C 80 88 11 00 21 88 51 00 00 00 33 8E 6C FF 60 16 38 00 A4 8F 3C 00 B3 8F 69 FF 60 16 00 00 00 00 ?? ?? ?? 0? 3C 00 A4 27 ?? ?? ?? 0? 21 98 40 00 ?? ?? ?? 0? 38 00 A5 27 FF FF 03 24 0E 00 43 10 00 00 00 00 3C 00 B3 8F 04 00 62 8E 03 00 43 10 ?? ?? 13 AE 01 00 42 24 04 00 62 AE ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 38 00 A4 8F 98 00 B0 27 ?? ?? ?? 0? A4 00 B1 27 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 38 00 A4 8F }
	condition:
		$1
}

rule file_164_157_4 {
	meta:
		name = "_ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetintERS3_S5_iiRi"
		size = 716
		refs = "0064 _Mbtowcx 0074 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 00f0 _Stolx 0168 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 0178 _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv"
	strings:
		$1 = { 14 00 82 8C 80 FF BD 27 78 00 BE AF 60 00 B2 AF 5C 00 B1 AF 58 00 B0 AF 21 88 C0 00 21 80 A0 00 30 00 03 24 18 00 A5 27 21 90 80 00 21 F0 E0 00 24 00 A4 27 01 00 06 24 28 00 A7 27 68 00 B4 AF 7C 00 BF AF 74 00 B7 AF 70 00 B6 AF 6C 00 B5 AF 64 00 B3 AF 18 00 A3 A3 24 00 A0 AF 28 00 A0 AF 2C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 24 00 B4 8F 64 00 40 10 30 00 B3 27 21 90 60 02 21 A8 00 00 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 33 00 40 10 00 00 00 00 04 00 A0 12 30 00 17 24 30 00 02 24 00 00 42 A2 01 00 52 26 4F 00 A2 27 09 00 96 26 23 B8 F4 02 50 00 A2 AF 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 3A 00 40 10 00 00 00 00 0A 90 75 02 00 00 40 A2 0A 00 06 24 20 00 A7 27 21 20 60 02 1C 00 A5 27 ?? ?? ?? 0? 20 00 A0 AF 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 90 40 00 1C 00 A3 8F 1E 00 73 10 21 20 40 00 20 00 A3 8F 1B 00 60 14 2A F0 5E 02 19 00 C0 17 90 00 A3 8F 2A 18 72 00 16 00 60 14 94 00 A3 8F 7C 00 BF 8F 78 00 BE 8F 00 00 72 AC 74 00 B7 8F 70 00 B6 8F 6C 00 B5 8F 68 00 B4 8F 64 00 B3 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 80 00 BD 27 ?? ?? ?? 0? 21 20 00 02 CB FF 54 14 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 01 00 15 24 7C 00 BF 8F 02 00 82 34 78 00 BE 8F 74 00 B7 8F 70 00 B6 8F 6C 00 B5 8F 68 00 B4 8F 64 00 B3 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 80 00 BD 27 ?? ?? ?? 0? 21 20 00 02 2A 10 54 00 C4 FF 40 54 0A 90 75 02 ?? ?? ?? 0? 21 20 00 02 2A 10 C2 02 BE FF 40 14 21 20 00 02 ?? ?? ?? 0? 01 00 15 24 21 10 E2 02 00 00 42 A2 50 00 A3 8F 21 20 00 02 2B 10 43 02 ?? ?? ?? 0? 21 90 42 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 21 A8 40 00 14 00 42 8E 2B 00 13 24 24 00 A4 27 18 00 A5 27 01 00 06 24 28 00 A7 27 18 00 B3 A3 24 00 A0 AF 28 00 A0 AF 2C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 A2 8F 19 00 A2 12 21 20 00 02 ?? ?? ?? 0? 21 20 00 02 21 98 40 00 14 00 42 8E 24 00 A4 27 2D 00 12 24 18 00 A5 27 01 00 06 24 28 00 A7 27 18 00 B2 A3 24 00 A0 AF 28 00 A0 AF 2C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 A2 8F 7A FF 62 16 30 00 B3 27 21 20 00 02 30 00 B2 A3 ?? ?? ?? 0? 31 00 B2 27 ?? ?? ?? 0? 21 A8 00 00 30 00 B3 A3 ?? ?? ?? 0? 31 00 B2 27 ?? ?? ?? 0? 30 00 B3 27 }
	condition:
		$1
}

rule file_164_158_4 {
	meta:
		name = "_ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tmcc"
		size = 1920
		refs = "0064 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 01e0 _ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetintERS3_S5_iiRi 0318 _ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetfmtES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tmPKc 0638 _ZSt10_GetloctxtIcSt19istreambuf_iteratorIwSt11char_traitsIwEEEiRT0_S5_mPKT_"
	strings:
		$1 = { 68 FF BD 27 C4 00 A2 83 84 00 B1 AF 21 88 80 00 BF FF 42 24 FF 00 42 30 39 00 44 2C 90 00 B4 AF 80 00 B0 AF 94 00 BF AF 8C 00 B3 AF 88 00 B2 AF A0 00 A6 AF A4 00 A7 AF B8 00 A3 8F BC 00 B0 8F C0 00 B4 8F 1D 00 80 14 30 00 A0 AF 00 00 02 8E A0 00 B3 27 AC 00 B2 27 02 00 42 34 00 00 02 AE 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 05 00 40 10 A0 00 A2 8F 00 00 02 8E 01 00 42 34 00 00 02 AE A0 00 A2 8F 94 00 BF 8F 90 00 B4 8F 00 00 22 AE A4 00 A2 8F 8C 00 B3 8F 88 00 B2 8F 04 00 22 AE A8 00 A2 8F 80 00 B0 8F 08 00 22 AE 21 10 20 02 84 00 B1 8F 08 00 E0 03 98 00 BD 27 ?? ?? 04 3C 80 10 02 00 ?? ?? 84 24 21 10 82 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 00 B3 27 AC 00 B2 27 21 20 A0 00 1C 00 94 26 21 28 60 02 21 30 40 02 21 38 00 00 35 00 02 24 10 00 A2 AF ?? ?? ?? 0? 14 00 B4 AF 00 00 03 8E 25 10 62 00 ?? ?? ?? 0? 00 00 02 AE B4 00 A4 8F A8 00 AA 8F AC 00 A9 8F B0 00 A8 8F 00 00 A2 8C A0 00 A6 8F 1C 00 A4 AF A4 00 A7 8F 14 00 A9 AF 18 00 A8 AF 20 00 A3 AF 24 00 B0 AF 28 00 B4 AF 10 00 AA AF 1C 00 42 8C 60 00 A4 AF 4C 00 A6 AF 50 00 A7 AF 54 00 AA AF 58 00 A9 AF 5C 00 A8 AF 09 F8 40 00 64 00 A4 27 64 00 A2 8F A0 00 B3 27 AC 00 B2 27 A0 00 A2 AF 68 00 A2 8F A4 00 A2 AF 6C 00 A2 8F ?? ?? ?? 0? A8 00 A2 AF 63 00 02 24 A0 00 B3 27 AC 00 B2 27 21 20 A0 00 10 00 A2 AF 21 28 60 02 30 00 A2 27 21 30 40 02 21 38 00 00 ?? ?? ?? 0? 14 00 A2 AF 00 00 03 8E 25 10 43 00 02 00 43 30 6B FF 60 14 00 00 02 AE 30 00 A2 8F 45 00 44 28 64 00 43 24 0B 10 64 00 ?? ?? ?? 0? 14 00 82 AE AC 00 A2 8F A0 00 A6 8F A4 00 A7 8F 14 00 A2 AF B0 00 A2 8F 70 00 A4 27 20 00 A3 AF 18 00 A2 AF B4 00 A2 8F 24 00 B0 AF 28 00 B4 AF 1C 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 2C 00 A2 AF A8 00 A2 8F A0 00 B3 27 AC 00 B2 27 ?? ?? ?? 0? 10 00 A2 AF 70 00 A2 8F A0 00 A2 AF 74 00 A2 8F A4 00 A2 AF 78 00 A2 8F ?? ?? ?? 0? A8 00 A2 AF A0 00 B3 27 AC 00 B2 27 21 20 A0 00 21 30 40 02 21 28 60 02 21 38 00 00 ?? ?? ?? 0? 3B 00 02 24 AC 00 A2 8F A0 00 A6 8F A4 00 A7 8F 14 00 A2 AF B0 00 A2 8F 70 00 A4 27 20 00 A3 AF 18 00 A2 AF B4 00 A2 8F 24 00 B0 AF 28 00 B4 AF 1C 00 A2 AF ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 24 A0 00 B3 27 AC 00 B2 27 ?? ?? ?? 0? 04 00 94 26 A0 00 B3 27 AC 00 B2 27 21 20 A0 00 08 00 94 26 21 28 60 02 21 30 40 02 21 38 00 00 ?? ?? ?? 0? 0B 00 02 24 A0 00 B3 27 AC 00 B2 27 21 20 A0 00 08 00 94 26 21 28 60 02 21 30 40 02 21 38 00 00 ?? ?? ?? 0? 17 00 02 24 AC 00 A2 8F A0 00 A6 8F A4 00 A7 8F 14 00 A2 AF B0 00 A2 8F 70 00 A4 27 20 00 A3 AF 18 00 A2 AF B4 00 A2 8F 24 00 B0 AF 28 00 B4 AF 1C 00 A2 AF ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 24 63 00 02 24 A0 00 B3 27 AC 00 B2 27 21 20 A0 00 10 00 A2 AF 21 28 60 02 30 00 A2 27 21 30 40 02 21 38 00 00 ?? ?? ?? 0? 14 00 A2 AF 00 00 03 8E 25 10 43 00 02 00 43 30 FE FE 60 14 00 00 02 AE 30 00 A3 8F 64 00 02 24 02 10 62 70 94 F8 42 24 ?? ?? ?? 0? 14 00 82 AE B4 00 A4 8F A8 00 AA 8F AC 00 A9 8F B0 00 A8 8F 00 00 A2 8C A0 00 A6 8F 1C 00 A4 AF A4 00 A7 8F 14 00 A9 AF 18 00 A8 AF 20 00 A3 AF 24 00 B0 AF 28 00 B4 AF 10 00 AA AF 18 00 42 8C 54 00 A4 AF 58 00 A6 AF 5C 00 A7 AF 60 00 AA AF 4C 00 A9 AF 50 00 A8 AF 09 F8 40 00 40 00 A4 27 40 00 A2 8F A0 00 B3 27 AC 00 B2 27 A0 00 A2 AF 44 00 A2 8F A4 00 A2 AF 48 00 A2 8F ?? ?? ?? 0? A8 00 A2 AF B4 00 A4 8F A8 00 AA 8F AC 00 A9 8F B0 00 A8 8F 00 00 A2 8C A0 00 A6 8F 1C 00 A4 AF A4 00 A7 8F 14 00 A9 AF 18 00 A8 AF 20 00 A3 AF 24 00 B0 AF 28 00 B4 AF 10 00 AA AF 14 00 42 8C 60 00 A4 AF 4C 00 A6 AF 50 00 A7 AF 54 00 AA AF 58 00 A9 AF 5C 00 A8 AF 09 F8 40 00 34 00 A4 27 34 00 A2 8F A0 00 B3 27 AC 00 B2 27 A0 00 A2 AF 38 00 A2 8F A4 00 A2 AF 3C 00 A2 8F ?? ?? ?? 0? A8 00 A2 AF AC 00 A2 8F A0 00 A6 8F A4 00 A7 8F 14 00 A2 AF B0 00 A2 8F 70 00 A4 27 20 00 A3 AF 18 00 A2 AF B4 00 A2 8F 24 00 B0 AF 28 00 B4 AF 1C 00 A2 AF ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 24 A0 00 B3 27 AC 00 B2 27 21 20 A0 00 18 00 94 26 21 28 60 02 21 30 40 02 21 38 00 00 ?? ?? ?? 0? 06 00 02 24 AC 00 A2 8F A0 00 A6 8F A4 00 A7 8F 14 00 A2 AF B0 00 A2 8F 70 00 A4 27 20 00 A3 AF 18 00 A2 AF B4 00 A2 8F 24 00 B0 AF 28 00 B4 AF 1C 00 A2 AF ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 24 A0 00 B3 27 AC 00 B2 27 ?? ?? 07 3C 21 20 60 02 21 28 40 02 21 30 00 00 ?? ?? ?? 0? ?? ?? E7 24 4B 00 40 04 30 00 A2 AF 0C 00 04 24 02 28 44 70 08 00 83 8E 21 10 A3 00 ?? ?? ?? 0? 08 00 82 AE AC 00 A2 8F A0 00 A6 8F A4 00 A7 8F 14 00 A2 AF B0 00 A2 8F 70 00 A4 27 20 00 A3 AF 18 00 A2 AF B4 00 A2 8F 24 00 B0 AF 28 00 B4 AF 1C 00 A2 AF ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 24 0C 00 02 24 A0 00 B3 27 AC 00 B2 27 21 20 A0 00 10 00 A2 AF 21 28 60 02 30 00 A2 27 21 30 40 02 01 00 07 24 ?? ?? ?? 0? 14 00 A2 AF 00 00 03 8E 25 10 43 00 02 00 43 30 62 FE 60 14 00 00 02 AE 30 00 A2 8F FF FF 42 24 ?? ?? ?? 0? 10 00 82 AE A0 00 B3 27 AC 00 B2 27 21 20 A0 00 1C 00 94 26 21 28 60 02 21 30 40 02 01 00 07 24 ?? ?? ?? 0? 6E 01 02 24 A0 00 B3 27 AC 00 B2 27 21 20 A0 00 0C 00 94 26 21 28 60 02 21 30 40 02 01 00 07 24 ?? ?? ?? 0? 1F 00 02 24 AC 00 A2 8F A0 00 A6 8F A4 00 A7 8F 14 00 A2 AF B0 00 A2 8F 70 00 A4 27 20 00 A3 AF 18 00 A2 AF B4 00 A2 8F 24 00 B0 AF 28 00 B4 AF 1C 00 A2 AF ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 24 00 00 02 8E 02 00 42 34 ?? ?? ?? 0? 00 00 02 AE }
	condition:
		$1
}

rule file_164_159_4 {
	meta:
		name = "_ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE11do_get_yearES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 188
		refs = "0040 _ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetintERS3_S5_iiRi"
	strings:
		$1 = { D0 FF BD 27 28 00 B1 AF 54 00 B1 8F F3 07 02 24 24 00 B0 AF 38 00 A6 AF 3C 00 A7 AF 10 00 A2 AF 21 80 80 00 18 00 A2 27 21 20 A0 00 44 00 A6 27 38 00 A5 27 21 38 00 00 2C 00 BF AF 18 00 A0 AF ?? ?? ?? 0? 14 00 A2 AF 00 00 23 8E 25 10 43 00 02 00 43 30 08 00 60 14 00 00 22 AE 18 00 A2 8F 6C 07 43 28 10 00 60 14 64 00 43 24 58 00 A3 8F 94 F8 42 24 14 00 62 AC 38 00 A2 8F 2C 00 BF 8F 28 00 B1 8F 00 00 02 AE 3C 00 A2 8F 04 00 02 AE 40 00 A2 8F 08 00 02 AE 21 10 00 02 24 00 B0 8F 08 00 E0 03 30 00 BD 27 45 00 44 28 0B 10 64 00 58 00 A3 8F ?? ?? ?? 0? 14 00 62 AC }
	condition:
		$1
}

rule file_164_160_4 {
	meta:
		name = "_ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE11do_get_timeES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 408
		refs = "0060 _Mbtowcx 0088 _ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetintERS3_S5_iiRi 00f0 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 010c _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv"
	strings:
		$1 = { B8 FF BD 27 14 00 A2 8C 34 00 B2 AF 70 00 B2 8F 3C 00 B4 AF 6C 00 B4 8F 3A 00 03 24 38 00 B3 AF 2C 00 B0 AF 50 00 A6 AF 21 80 A0 00 54 00 A7 AF 18 00 A5 27 01 00 06 24 20 00 A7 27 21 98 80 00 1C 00 A4 27 44 00 BF AF 30 00 B1 AF 18 00 A3 A3 40 00 B5 AF 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 17 00 03 24 08 00 42 26 21 20 00 02 50 00 A5 27 5C 00 A6 27 21 38 00 00 10 00 A3 AF 1C 00 B1 8F ?? ?? ?? 0? 14 00 A2 AF 00 00 83 8E 25 10 43 00 21 18 40 00 14 00 40 10 00 00 82 AE 02 00 63 34 02 00 63 34 00 00 83 AE 50 00 A2 8F 44 00 BF 8F 40 00 B5 8F 00 00 62 AE 54 00 A2 8F 3C 00 B4 8F 34 00 B2 8F 04 00 62 AE 58 00 A2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 62 AE 21 10 60 02 38 00 B3 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 50 00 A4 27 04 00 51 10 21 A8 40 00 00 00 83 8E ?? ?? ?? 0? 02 00 63 34 ?? ?? ?? 0? 50 00 A4 27 3B 00 11 24 04 00 43 26 21 20 00 02 21 28 40 00 5C 00 A6 27 21 38 00 00 14 00 A3 AF ?? ?? ?? 0? 10 00 B1 AF 00 00 83 8E 25 10 43 00 21 18 40 00 D8 FF 40 14 00 00 82 AE ?? ?? ?? 0? 50 00 A4 27 03 00 A2 12 00 00 00 00 ?? ?? ?? 0? 00 00 83 8E ?? ?? ?? 0? 50 00 A4 27 21 28 40 00 21 20 00 02 5C 00 A6 27 21 38 00 00 10 00 B1 AF ?? ?? ?? 0? 14 00 B2 AF 00 00 83 8E 25 10 62 00 ?? ?? ?? 0? 00 00 82 AE }
	condition:
		$1
}

rule file_164_161_4 {
	meta:
		name = "_ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE11do_get_dateES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 2132
		refs = "0068 _Mbtowcx 0168 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0278 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 0288 _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv 05a8 _ZNKSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE7_GetintERS3_S5_iiRi"
	strings:
		$1 = { 14 00 A2 8C 38 FF BD 27 30 00 03 24 AC 00 B3 AF A0 00 B0 AF D0 00 A6 AF 21 80 A0 00 D4 00 A7 AF 30 00 A5 27 01 00 06 24 38 00 A7 27 21 98 80 00 34 00 A4 27 C4 00 BF AF C0 00 BE AF BC 00 B7 AF B8 00 B6 AF B4 00 B5 AF B0 00 B4 AF A8 00 B2 AF A4 00 B1 AF 30 00 A3 A3 EC 00 B2 8F 34 00 A0 AF 38 00 A0 AF 3C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 14 00 02 8E 3A 00 03 24 34 00 A4 27 30 00 A5 27 01 00 06 24 38 00 A7 27 34 00 B5 8F 30 00 A3 A3 34 00 A0 AF 38 00 A0 AF 3C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 14 00 02 8E 2C 00 03 24 34 00 A4 27 30 00 A5 27 01 00 06 24 38 00 A7 27 34 00 B7 8F 30 00 A3 A3 34 00 A0 AF 38 00 A0 AF 3C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 14 00 02 8E 2F 00 03 24 34 00 A4 27 30 00 A5 27 01 00 06 24 38 00 A7 27 34 00 BE 8F 30 00 A3 A3 34 00 A0 AF 38 00 A0 AF 3C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 34 00 A3 8F 14 00 02 8E 30 00 A5 27 34 00 A4 27 01 00 06 24 38 00 A7 27 98 00 A3 AF 20 00 03 24 30 00 A3 A3 34 00 A0 AF 38 00 A0 AF 3C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 00 00 02 8E 21 20 00 02 02 00 14 24 08 00 42 8C 34 00 B1 8F 09 F8 40 00 21 B0 80 02 D0 00 A4 27 DC 00 A5 27 ?? ?? ?? 0? 0B B0 42 00 61 00 40 10 00 00 00 00 DC 00 A5 27 ?? ?? ?? 0? D0 00 A4 27 54 00 40 10 D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 DF 00 40 10 DC 00 A5 27 ?? ?? ?? 0? D0 00 A4 27 44 00 40 10 D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 AD 00 40 10 00 00 00 00 DC 00 A5 27 ?? ?? ?? 0? D0 00 A4 27 33 00 40 10 D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 95 00 40 10 DC 00 A5 27 ?? ?? ?? 0? D0 00 A4 27 23 00 40 10 D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 65 00 40 10 00 00 00 00 00 00 42 8E 02 00 42 34 00 00 42 AE D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 05 00 40 10 D0 00 A2 8F 00 00 42 8E 01 00 42 34 00 00 42 AE D0 00 A2 8F C4 00 BF 8F C0 00 BE 8F 00 00 62 AE D4 00 A2 8F BC 00 B7 8F B8 00 B6 8F 04 00 62 AE D8 00 A2 8F B4 00 B5 8F B0 00 B4 8F 08 00 62 AE A8 00 B2 8F 21 10 60 02 A4 00 B1 8F AC 00 B3 8F A0 00 B0 8F 08 00 E0 03 C8 00 BD 27 ?? ?? ?? 0? D0 00 A4 27 DB FF 51 14 D0 00 A4 27 ?? ?? ?? 0? D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 ?? ?? ?? 0? D0 00 A4 27 CB FF 51 14 D0 00 A4 27 ?? ?? ?? 0? D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 ?? ?? ?? 0? D0 00 A4 27 BA FF 51 14 D0 00 A4 27 ?? ?? ?? 0? D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 ?? ?? ?? 0? D0 00 A4 27 AA FF 51 14 D0 00 A4 27 ?? ?? ?? 0? D0 00 A4 27 ?? ?? ?? 0? DC 00 A5 27 ?? ?? ?? 0? D0 00 A4 27 2A 10 55 00 D8 00 40 10 E8 00 A9 8F 00 00 02 8E DC 00 A5 8F E0 00 A4 8F D8 00 A8 8F E4 00 A3 8F 20 00 A9 AF F0 00 A9 8F 14 00 A5 AF 18 00 A4 AF D0 00 A6 8F D4 00 A7 8F 1C 00 A3 AF 24 00 B2 AF 28 00 A9 AF 10 00 A8 AF 18 00 42 8C 7C 00 A5 AF 80 00 A4 AF 70 00 A6 AF 74 00 A7 AF 78 00 A8 AF 84 00 A3 AF 40 00 A4 27 09 F8 40 00 21 28 00 02 40 00 A2 8F 02 00 16 24 D0 00 A2 AF 44 00 A2 8F D4 00 A2 AF 48 00 A2 8F ?? ?? ?? 0? D8 00 A2 AF ?? ?? ?? 0? D0 00 A4 27 2A 10 55 00 88 00 40 10 04 00 02 24 97 FF C2 56 00 00 42 8E E8 00 A9 8F 00 00 02 8E DC 00 A5 8F E0 00 A4 8F D8 00 A8 8F E4 00 A3 8F 20 00 A9 AF F0 00 A9 8F 14 00 A5 AF 18 00 A4 AF D0 00 A6 8F D4 00 A7 8F 1C 00 A3 AF 24 00 B2 AF 28 00 A9 AF 10 00 A8 AF 18 00 42 8C 70 00 A5 AF 74 00 A4 AF 7C 00 A6 AF 80 00 A7 AF 84 00 A8 AF 78 00 A3 AF 64 00 A4 27 09 F8 40 00 21 28 00 02 64 00 A2 8F D0 00 A2 AF 68 00 A2 8F D4 00 A2 AF 6C 00 A2 8F ?? ?? ?? 0? D8 00 A2 AF ?? ?? ?? 0? D0 00 A4 27 93 FF 57 10 00 00 00 00 ?? ?? ?? 0? D0 00 A4 27 8F FF 5E 10 00 00 00 00 ?? ?? ?? 0? D0 00 A4 27 98 00 A3 8F 60 FF 43 54 DC 00 A5 27 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? D0 00 A4 27 2A 10 55 00 39 00 40 10 02 00 02 24 33 00 C2 12 E8 00 A9 8F 00 00 02 8E DC 00 A5 8F E0 00 A4 8F E4 00 A3 8F D8 00 A8 8F 20 00 A9 AF F0 00 A9 8F 14 00 A5 AF 18 00 A4 AF 1C 00 A3 AF D0 00 A6 8F D4 00 A7 8F 24 00 B2 AF 28 00 A9 AF 10 00 A8 AF 18 00 42 8C 7C 00 A5 AF 80 00 A4 AF 84 00 A3 AF 70 00 A6 AF 74 00 A7 AF 78 00 A8 AF 58 00 A4 27 09 F8 40 00 21 28 00 02 58 00 A2 8F 04 00 C3 3A D0 00 A2 AF 5C 00 A2 8F D4 00 A2 AF 60 00 A2 8F D8 00 A2 AF 03 00 02 24 ?? ?? ?? 0? 0A B0 43 00 ?? ?? ?? 0? D0 00 A4 27 6A FF 57 10 00 00 00 00 ?? ?? ?? 0? D0 00 A4 27 66 FF 5E 10 00 00 00 00 ?? ?? ?? 0? D0 00 A4 27 98 00 A3 8F 16 FF 43 54 DC 00 A5 27 ?? ?? ?? 0? 00 00 00 00 00 00 42 8E 02 00 42 34 ?? ?? ?? 0? 00 00 42 AE ?? ?? ?? 0? D0 00 A4 27 09 00 A3 26 2A 10 62 00 C3 FF 40 14 02 00 02 24 01 00 02 24 63 00 C2 12 03 00 02 24 61 00 C2 12 F0 00 A9 8F 1F 00 03 24 21 20 00 02 0C 00 22 25 D0 00 A5 27 DC 00 A6 27 01 00 07 24 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF 00 00 43 8E 25 10 62 00 ?? ?? ?? 0? 00 00 42 AE ?? ?? ?? 0? D0 00 A4 27 09 00 B5 26 2A A8 A2 02 74 FF A0 16 04 00 02 24 8C 00 C2 12 03 00 02 24 6A 00 C2 12 E8 00 A9 8F 00 00 02 8E DC 00 A5 8F E0 00 A4 8F D8 00 A8 8F E4 00 A3 8F 20 00 A9 AF F0 00 A9 8F 14 00 A5 AF 18 00 A4 AF D0 00 A6 8F D4 00 A7 8F 1C 00 A3 AF 24 00 B2 AF 28 00 A9 AF 10 00 A8 AF 1C 00 42 8C 7C 00 A5 AF 80 00 A4 AF 70 00 A6 AF 74 00 A7 AF 78 00 A8 AF 84 00 A3 AF 88 00 A4 27 09 F8 40 00 21 28 00 02 88 00 A2 8F D0 00 A2 AF 8C 00 A2 8F D4 00 A2 AF 90 00 A2 8F ?? ?? ?? 0? D8 00 A2 AF ?? ?? ?? 0? D0 00 A4 27 09 00 A3 26 2A 10 62 00 24 FF 40 14 E8 00 A9 8F 50 00 D4 12 01 00 02 24 32 00 C2 12 DC 00 A5 8F 00 00 02 8E E0 00 A4 8F D8 00 A8 8F E4 00 A3 8F 20 00 A9 AF F0 00 A9 8F 14 00 A5 AF 18 00 A4 AF D0 00 A6 8F D4 00 A7 8F 1C 00 A3 AF 24 00 B2 AF 28 00 A9 AF 10 00 A8 AF 1C 00 42 8C 70 00 A5 AF 74 00 A4 AF 7C 00 A6 AF 80 00 A7 AF 84 00 A8 AF 78 00 A3 AF 4C 00 A4 27 09 F8 40 00 21 28 00 02 4C 00 A2 8F D0 00 A2 AF 50 00 A2 8F D4 00 A2 AF 54 00 A2 8F ?? ?? ?? 0? D8 00 A2 AF F0 00 A3 8F 21 20 00 02 D0 00 A5 27 10 00 62 24 DC 00 A6 27 0C 00 03 24 01 00 07 24 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF F0 00 A5 8F 00 00 44 8E 10 00 A3 8C 25 10 82 00 00 00 42 AE FF FF 63 24 ?? ?? ?? 0? 10 00 A3 AC F0 00 A9 8F 1F 00 03 24 21 20 00 02 0C 00 22 25 D0 00 A5 27 DC 00 A6 27 01 00 07 24 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF 00 00 43 8E 25 10 62 00 ?? ?? ?? 0? 00 00 42 AE F0 00 A9 8F 1F 00 03 24 21 20 00 02 0C 00 22 25 D0 00 A5 27 DC 00 A6 27 01 00 07 24 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF 00 00 43 8E 25 10 62 00 ?? ?? ?? 0? 00 00 42 AE F0 00 A3 8F 21 20 00 02 D0 00 A5 27 10 00 62 24 DC 00 A6 27 0C 00 03 24 01 00 07 24 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF F0 00 A5 8F 00 00 44 8E 10 00 A3 8C 25 10 82 00 00 00 42 AE FF FF 63 24 ?? ?? ?? 0? 10 00 A3 AC F0 00 A3 8F 21 20 00 02 D0 00 A5 27 10 00 62 24 DC 00 A6 27 0C 00 03 24 01 00 07 24 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF F0 00 A5 8F 00 00 44 8E 10 00 A3 8C 25 10 82 00 00 00 42 AE FF FF 63 24 ?? ?? ?? 0? 10 00 A3 AC }
	condition:
		$1
}

rule file_164_162_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale"
		size = 1696
		refs = "003c _ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale 0098 _Mbtowcx 00a8 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 012c _ZNSs5_GrowEmb 01c0 _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv 01dc _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 0204 _Wctombx 0218 memchr 0300 _ZdlPv 0550 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 60 FF BD 27 84 00 B3 AF 21 98 80 00 B4 00 A4 8F 9C 00 BF AF 90 00 B6 AF 80 00 B2 AF A4 00 A5 AF 21 90 C0 00 21 B0 E0 00 98 00 BE AF 94 00 B7 AF 8C 00 B5 AF 88 00 B4 AF 7C 00 B1 AF ?? ?? ?? 0? 78 00 B0 AF 00 00 43 8C 28 00 A4 27 21 28 40 00 10 00 63 8C 60 00 A4 AF 74 00 A2 AF 09 F8 60 00 70 00 A0 AF 38 00 A3 8F 1B 01 60 14 74 00 A2 8F 08 00 62 8E 30 00 03 24 1C 00 A4 27 18 00 A5 27 01 00 06 24 20 00 A7 27 18 00 A3 A3 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 21 20 40 02 21 28 C0 02 ?? ?? ?? 0? 1C 00 B0 8F DE 00 40 10 A4 00 B1 8F B0 00 A2 8F 08 00 04 24 20 00 03 24 70 00 42 30 08 00 43 10 6C 00 A4 AF 10 00 03 24 6C 00 A3 AF 40 00 03 24 03 00 43 10 0A 00 03 24 0A 18 02 00 6C 00 A3 AF 21 20 40 02 ?? ?? ?? 0? 21 28 C0 02 B5 00 40 10 6C 00 A3 8F FC 00 60 14 21 80 00 00 64 00 A0 AF 0A 00 17 24 44 00 B4 27 0F 00 02 24 21 20 80 02 01 00 05 24 21 30 00 00 58 00 A2 AF 54 00 A0 AF ?? ?? ?? 0? 44 00 A0 A3 98 00 40 14 58 00 A4 8F A4 00 A4 8F ?? ?? 1E 3C 21 80 00 00 1F 00 84 24 68 00 A4 AF 21 A8 00 00 ?? ?? ?? 0? ?? ?? DE 27 05 00 A0 16 68 00 A3 8F 00 00 23 82 30 00 02 24 06 00 62 10 68 00 A3 8F 2B 10 23 02 04 00 40 10 58 00 A2 8F 01 00 31 26 01 00 15 24 58 00 A2 8F 44 00 A3 8F 10 00 42 2C 0B 18 82 02 21 10 70 00 00 00 44 80 01 00 03 24 64 00 A3 AF 7F 00 03 24 04 00 83 10 00 00 00 00 00 00 43 90 01 00 63 24 00 00 43 A0 ?? ?? ?? 0? 21 20 40 02 21 20 40 02 ?? ?? ?? 0? 21 28 C0 02 1B 00 40 14 58 00 A6 8F ?? ?? ?? 0? 21 20 40 02 08 00 67 8E 0C 00 63 8E 18 00 A4 27 21 28 40 00 20 00 A6 27 18 00 A0 A3 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A3 AF 18 00 A5 83 21 20 C0 03 21 30 E0 02 ?? ?? ?? 0? 00 00 25 A2 CE FF 40 14 58 00 A6 8F 44 00 A2 8F 10 00 C3 2C 0B 10 83 02 21 10 50 00 00 00 42 80 48 00 40 14 70 00 A4 8F 0A 00 00 12 3C 00 A7 8F 44 00 A2 8F 10 00 C3 2C 0B 10 83 02 21 10 50 00 00 00 42 80 02 00 40 58 64 00 A0 AF 01 00 10 26 3C 00 A7 8F 28 00 A2 8F 60 00 A4 8F 10 00 E5 2C 0A 20 45 00 64 00 A2 8F 42 00 40 10 21 28 80 00 17 00 00 12 00 00 00 00 00 00 84 80 7F 00 02 24 13 00 82 10 00 00 00 00 44 00 A3 8F 10 00 C2 2C 7F 00 08 24 0B 18 82 02 FF FF 10 26 32 00 00 16 21 10 70 00 00 00 62 80 2A 20 82 00 0A 00 80 54 A4 00 B1 8F 01 00 A2 80 2A 10 02 00 04 00 00 12 21 28 45 00 00 00 A4 80 F4 FF 88 54 FF FF 10 26 90 00 A0 12 30 00 02 24 10 00 C6 2C 04 00 C0 14 00 00 20 A2 ?? ?? ?? 0? 44 00 A4 8F 3C 00 A7 8F 0F 00 02 24 10 00 E7 2C 58 00 A2 AF 54 00 A0 AF 03 00 E0 14 44 00 A0 A3 ?? ?? ?? 0? 28 00 A4 8F 9C 00 BF 8F 6C 00 A2 8F 98 00 BE 8F 94 00 B7 8F 90 00 B6 8F 8C 00 B5 8F 88 00 B4 8F 84 00 B3 8F 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 A0 00 BD 27 B8 FF 80 10 00 00 00 00 ?? ?? ?? 0? 21 20 40 02 70 00 A3 8F 71 00 62 10 58 00 A6 8F ?? ?? ?? 0? 00 00 00 00 00 00 42 80 D2 FF 44 50 01 00 A2 80 ?? ?? ?? 0? A4 00 B1 8F 44 00 A3 8F 10 00 84 2C 0B 18 84 02 00 00 70 A0 58 00 A3 8F 10 00 63 2C 03 00 60 14 45 00 A2 27 44 00 A2 8F 01 00 42 24 01 00 03 24 54 00 A3 AF ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? 21 20 40 02 49 FF 50 14 6C 00 A3 8F ?? ?? ?? 0? 21 20 40 02 21 20 40 02 ?? ?? ?? 0? 21 28 C0 02 73 00 40 10 6C 00 A4 8F A5 00 80 14 08 00 03 24 6C 00 A3 AF 6C 00 A4 8F 01 00 02 24 64 00 A2 AF 0A 00 02 24 3B 00 82 14 6C 00 A3 8F 64 00 B0 8F ?? ?? ?? 0? 0A 00 17 24 ?? ?? ?? 0? 21 20 40 02 21 A0 40 00 08 00 62 8E 2B 00 11 24 1C 00 A4 27 18 00 A5 27 01 00 06 24 20 00 A7 27 18 00 B1 A3 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A2 8F 83 00 82 12 A4 00 A2 8F ?? ?? ?? 0? 21 20 40 02 21 A8 40 00 08 00 62 8E 2D 00 14 24 1C 00 A4 27 18 00 A5 27 01 00 06 24 20 00 A7 27 18 00 B4 A3 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A2 8F 00 FF A2 16 A4 00 B1 8F 00 00 34 A2 A4 00 A3 8F 21 20 40 02 ?? ?? ?? 0? 01 00 71 24 ?? ?? ?? 0? B0 00 A2 8F 00 00 43 8C 21 20 40 00 0C 00 62 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 70 00 A2 AF 64 00 A0 AF 6C 00 A4 8F 0A 00 02 24 C7 FF 82 10 6C 00 A3 8F 64 00 A4 8F 08 00 02 24 26 80 62 00 21 10 00 02 16 00 17 24 0A 20 90 00 08 00 03 24 21 80 80 00 ?? ?? ?? 0? 0A B8 62 00 00 00 22 A2 ?? ?? ?? 0? 01 00 31 26 54 00 A3 8F FE FF 62 2C 06 00 40 54 01 00 63 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 54 00 A3 8F 01 00 63 24 21 28 60 00 21 20 80 02 21 30 00 00 ?? ?? ?? 0? 74 00 A3 AF 0F 00 40 10 74 00 A3 8F 58 00 A2 8F 10 00 42 2C 0D 00 40 14 54 00 A4 8F 44 00 A2 8F 21 20 44 00 00 00 80 A0 58 00 A2 8F 44 00 A4 8F 54 00 A3 AF 10 00 42 2C 0B 20 82 02 21 18 83 00 00 00 60 A0 ?? ?? ?? 0? 01 00 10 26 ?? ?? ?? 0? 21 10 80 02 ?? ?? ?? 0? 21 20 40 02 21 80 40 00 08 00 62 8E 78 00 03 24 1C 00 A4 27 18 00 A5 27 01 00 06 24 20 00 A7 27 18 00 A3 A3 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A2 8F 13 00 02 12 6C 00 A4 8F ?? ?? ?? 0? 21 20 40 02 21 80 40 00 08 00 62 8E 58 00 03 24 1C 00 A4 27 18 00 A5 27 01 00 06 24 20 00 A7 27 18 00 A3 A3 1C 00 A0 AF 20 00 A0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A2 8F 6B FF 02 16 6C 00 A4 8F 03 00 80 10 10 00 02 24 0E 00 82 14 01 00 03 24 ?? ?? ?? 0? 21 20 40 02 10 00 02 24 64 00 A0 AF ?? ?? ?? 0? 6C 00 A2 AF 21 20 40 02 00 00 51 A0 ?? ?? ?? 0? 01 00 51 24 ?? ?? ?? 0? B0 00 A2 8F 01 00 03 24 ?? ?? ?? 0? 64 00 A3 AF }
	condition:
		$1
}

rule file_164_163_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERPv"
		size = 392
		refs = "0070 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 00b4 _Stoulx 00c4 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_"
	strings:
		$1 = { 98 FF BD 27 88 00 A2 8F 60 00 B3 AF 21 98 80 00 24 00 42 8C 21 20 A0 00 FF FF 05 24 00 00 42 8C 58 00 B1 AF 64 00 BF AF 04 00 43 8C 5C 00 B2 AF 54 00 B0 AF 70 00 A6 AF 74 00 A7 AF 8C 00 B1 8F 1C 00 A0 AF 03 00 65 10 20 00 A2 AF 01 00 63 24 04 00 43 AC 40 00 02 24 24 00 B0 27 10 00 A2 AF 21 28 00 02 20 00 A2 27 70 00 A6 27 7C 00 A7 27 ?? ?? ?? 0? 14 00 A2 AF 20 00 A4 8F 0B 00 80 50 21 20 00 02 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 23 00 60 50 00 00 83 8C 21 20 00 02 18 00 A5 27 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 70 00 A4 27 7C 00 A5 27 ?? ?? ?? 0? 21 90 40 00 05 00 40 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 17 00 50 10 1C 00 A2 8F 15 00 40 14 90 00 A2 8F 64 00 BF 8F 58 00 B1 8F 00 00 52 AC 70 00 A2 8F 5C 00 B2 8F 54 00 B0 8F 00 00 62 AE 74 00 A2 8F 04 00 62 AE 78 00 A2 8F 08 00 62 AE 21 10 60 02 60 00 B3 8F 08 00 E0 03 68 00 BD 27 04 00 63 8C 09 F8 60 00 48 00 A2 AF ?? ?? ?? 0? 48 00 A2 8F 00 00 22 8E 64 00 BF 8F 5C 00 B2 8F 02 00 42 34 00 00 22 AE 70 00 A2 8F 58 00 B1 8F 54 00 B0 8F 00 00 62 AE 74 00 A2 8F 04 00 62 AE 78 00 A2 8F 08 00 62 AE 21 10 60 02 60 00 B3 8F 08 00 E0 03 68 00 BD 27 }
	condition:
		$1
}

rule file_164_164_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERy"
		size = 408
		refs = "0074 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0088 _Stoullx 00c8 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_"
	strings:
		$1 = { A0 FF BD 27 80 00 A2 8F 58 00 B4 AF 21 A0 80 00 24 00 43 8C 21 20 A0 00 68 00 A6 AF 00 00 63 8C FF FF 06 24 4C 00 B1 AF 04 00 65 8C 5C 00 BF AF 54 00 B3 AF 50 00 B2 AF 48 00 B0 AF 6C 00 A7 AF 84 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B0 27 21 28 00 02 68 00 A6 27 74 00 A7 27 10 00 A2 AF 20 00 A2 27 ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 21 90 40 00 0A 00 80 10 21 98 60 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 1F 00 40 50 00 00 82 8C 68 00 A4 27 ?? ?? ?? 0? 74 00 A5 27 05 00 40 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 19 00 50 10 1C 00 A2 8F 17 00 40 14 88 00 A2 8F 5C 00 BF 8F 4C 00 B1 8F 00 00 52 AC 04 00 53 AC 68 00 A2 8F 54 00 B3 8F 50 00 B2 8F 00 00 82 AE 6C 00 A2 8F 48 00 B0 8F 04 00 82 AE 70 00 A2 8F 08 00 82 AE 21 10 80 02 58 00 B4 8F 08 00 E0 03 60 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 68 00 A4 27 00 00 22 8E 5C 00 BF 8F 54 00 B3 8F 02 00 42 34 00 00 22 AE 68 00 A2 8F 50 00 B2 8F 4C 00 B1 8F 00 00 82 AE 6C 00 A2 8F 48 00 B0 8F 04 00 82 AE 70 00 A2 8F 08 00 82 AE 21 10 80 02 58 00 B4 8F 08 00 E0 03 60 00 BD 27 }
	condition:
		$1
}

rule file_164_165_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERx"
		size = 408
		refs = "0074 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0088 _Stollx 00c8 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_"
	strings:
		$1 = { A0 FF BD 27 80 00 A2 8F 58 00 B4 AF 21 A0 80 00 24 00 43 8C 21 20 A0 00 68 00 A6 AF 00 00 63 8C FF FF 06 24 4C 00 B1 AF 04 00 65 8C 5C 00 BF AF 54 00 B3 AF 50 00 B2 AF 48 00 B0 AF 6C 00 A7 AF 84 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B0 27 21 28 00 02 68 00 A6 27 74 00 A7 27 10 00 A2 AF 20 00 A2 27 ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 21 90 40 00 0A 00 80 10 21 98 60 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 1F 00 40 50 00 00 82 8C 68 00 A4 27 ?? ?? ?? 0? 74 00 A5 27 05 00 40 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 19 00 50 10 1C 00 A2 8F 17 00 40 14 88 00 A2 8F 5C 00 BF 8F 4C 00 B1 8F 00 00 52 AC 04 00 53 AC 68 00 A2 8F 54 00 B3 8F 50 00 B2 8F 00 00 82 AE 6C 00 A2 8F 48 00 B0 8F 04 00 82 AE 70 00 A2 8F 08 00 82 AE 21 10 80 02 58 00 B4 8F 08 00 E0 03 60 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 68 00 A4 27 00 00 22 8E 5C 00 BF 8F 54 00 B3 8F 02 00 42 34 00 00 22 AE 68 00 A2 8F 50 00 B2 8F 4C 00 B1 8F 00 00 82 AE 6C 00 A2 8F 48 00 B0 8F 04 00 82 AE 70 00 A2 8F 08 00 82 AE 21 10 80 02 58 00 B4 8F 08 00 E0 03 60 00 BD 27 }
	condition:
		$1
}

rule file_164_166_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERm"
		size = 388
		refs = "0070 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0084 _Stoulx 00c0 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_"
	strings:
		$1 = { A0 FF BD 27 80 00 A2 8F 58 00 B3 AF 21 98 80 00 24 00 43 8C 21 20 A0 00 68 00 A6 AF 00 00 63 8C FF FF 06 24 50 00 B1 AF 04 00 65 8C 5C 00 BF AF 54 00 B2 AF 4C 00 B0 AF 6C 00 A7 AF 84 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B0 27 21 28 00 02 68 00 A6 27 74 00 A7 27 10 00 A2 AF 20 00 A2 27 ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 0A 00 80 10 21 90 40 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 1D 00 40 50 00 00 82 8C 68 00 A4 27 ?? ?? ?? 0? 74 00 A5 27 05 00 40 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 17 00 50 10 1C 00 A2 8F 15 00 40 14 88 00 A2 8F 5C 00 BF 8F 50 00 B1 8F 00 00 52 AC 68 00 A2 8F 54 00 B2 8F 4C 00 B0 8F 00 00 62 AE 6C 00 A2 8F 04 00 62 AE 70 00 A2 8F 08 00 62 AE 21 10 60 02 58 00 B3 8F 08 00 E0 03 60 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 68 00 A4 27 00 00 22 8E 5C 00 BF 8F 54 00 B2 8F 02 00 42 34 00 00 22 AE 68 00 A2 8F 50 00 B1 8F 4C 00 B0 8F 00 00 62 AE 6C 00 A2 8F 04 00 62 AE 70 00 A2 8F 08 00 62 AE 21 10 60 02 58 00 B3 8F 08 00 E0 03 60 00 BD 27 }
	condition:
		$1
}

rule file_164_167_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERl"
		size = 388
		refs = "0070 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0084 _Stolx 00c0 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_"
	strings:
		$1 = { A0 FF BD 27 80 00 A2 8F 58 00 B3 AF 21 98 80 00 24 00 43 8C 21 20 A0 00 68 00 A6 AF 00 00 63 8C FF FF 06 24 50 00 B1 AF 04 00 65 8C 5C 00 BF AF 54 00 B2 AF 4C 00 B0 AF 6C 00 A7 AF 84 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B0 27 21 28 00 02 68 00 A6 27 74 00 A7 27 10 00 A2 AF 20 00 A2 27 ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 0A 00 80 10 21 90 40 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 1D 00 40 50 00 00 82 8C 68 00 A4 27 ?? ?? ?? 0? 74 00 A5 27 05 00 40 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 17 00 50 10 1C 00 A2 8F 15 00 40 14 88 00 A2 8F 5C 00 BF 8F 50 00 B1 8F 00 00 52 AC 68 00 A2 8F 54 00 B2 8F 4C 00 B0 8F 00 00 62 AE 6C 00 A2 8F 04 00 62 AE 70 00 A2 8F 08 00 62 AE 21 10 60 02 58 00 B3 8F 08 00 E0 03 60 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 68 00 A4 27 00 00 22 8E 5C 00 BF 8F 54 00 B2 8F 02 00 42 34 00 00 22 AE 68 00 A2 8F 50 00 B1 8F 4C 00 B0 8F 00 00 62 AE 6C 00 A2 8F 04 00 62 AE 70 00 A2 8F 08 00 62 AE 21 10 60 02 58 00 B3 8F 08 00 E0 03 60 00 BD 27 }
	condition:
		$1
}

rule file_164_168_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERj"
		size = 424
		refs = "0070 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 00c4 _Stoulx 00d4 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_"
	strings:
		$1 = { 98 FF BD 27 88 00 A2 8F 5C 00 B2 AF 21 90 80 00 24 00 43 8C 21 20 A0 00 70 00 A6 AF 00 00 63 8C FF FF 06 24 54 00 B0 AF 04 00 65 8C 64 00 BF AF 60 00 B3 AF 58 00 B1 AF 74 00 A7 AF 8C 00 B0 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B1 27 10 00 A2 AF 21 28 20 02 20 00 A2 27 70 00 A6 27 7C 00 A7 27 ?? ?? ?? 0? 14 00 A2 AF 20 00 A4 8F 0B 00 80 10 24 00 A3 83 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 2B 00 60 50 00 00 83 8C 24 00 A3 83 25 00 B3 27 18 00 A5 27 2D 00 63 38 0B 98 23 02 21 20 60 02 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 70 00 A4 27 7C 00 A5 27 ?? ?? ?? 0? 21 88 40 00 05 00 40 10 18 00 A2 8F 00 00 02 8E 01 00 42 34 00 00 02 AE 18 00 A2 8F 1B 00 62 12 1C 00 A2 8F 19 00 40 14 24 00 A3 83 23 10 11 00 64 00 BF 8F 2D 00 63 38 0A 88 43 00 90 00 A2 8F 60 00 B3 8F 54 00 B0 8F 00 00 51 AC 70 00 A2 8F 58 00 B1 8F 00 00 42 AE 74 00 A2 8F 04 00 42 AE 78 00 A2 8F 08 00 42 AE 21 10 40 02 5C 00 B2 8F 08 00 E0 03 68 00 BD 27 04 00 63 8C 09 F8 60 00 48 00 A2 AF ?? ?? ?? 0? 48 00 A2 8F 00 00 02 8E 64 00 BF 8F 60 00 B3 8F 02 00 42 34 00 00 02 AE 70 00 A2 8F 58 00 B1 8F 54 00 B0 8F 00 00 42 AE 74 00 A2 8F 04 00 42 AE 78 00 A2 8F 08 00 42 AE 21 10 40 02 5C 00 B2 8F 08 00 E0 03 68 00 BD 27 }
	condition:
		$1
}

rule file_164_169_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERt"
		size = 452
		refs = "0070 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 00c4 _Stoulx 00d4 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_"
	strings:
		$1 = { 98 FF BD 27 88 00 A2 8F 5C 00 B2 AF 21 90 80 00 24 00 43 8C 21 20 A0 00 70 00 A6 AF 00 00 63 8C FF FF 06 24 54 00 B0 AF 04 00 65 8C 64 00 BF AF 60 00 B3 AF 58 00 B1 AF 74 00 A7 AF 8C 00 B0 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B1 27 10 00 A2 AF 21 28 20 02 20 00 A2 27 70 00 A6 27 7C 00 A7 27 ?? ?? ?? 0? 14 00 A2 AF 20 00 A4 8F 0B 00 80 10 24 00 A3 83 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 3F 00 60 50 00 00 83 8C 24 00 A3 83 25 00 B3 27 18 00 A5 27 2D 00 63 38 0B 98 23 02 21 20 60 02 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 70 00 A4 27 7C 00 A5 27 ?? ?? ?? 0? 21 88 40 00 05 00 40 10 18 00 A2 8F 00 00 02 8E 01 00 42 34 00 00 02 AE 18 00 A2 8F 19 00 62 12 1C 00 A2 8F 17 00 40 14 01 00 02 3C 2B 10 22 02 14 00 40 10 24 00 A4 83 2D 00 03 24 27 00 83 10 21 10 20 02 90 00 A3 8F 00 00 62 A4 70 00 A2 8F 64 00 BF 8F 60 00 B3 8F 00 00 42 AE 74 00 A2 8F 58 00 B1 8F 54 00 B0 8F 04 00 42 AE 78 00 A2 8F 08 00 42 AE 21 10 40 02 5C 00 B2 8F 08 00 E0 03 68 00 BD 27 00 00 02 8E 64 00 BF 8F 60 00 B3 8F 02 00 42 34 00 00 02 AE 70 00 A2 8F 58 00 B1 8F 54 00 B0 8F 00 00 42 AE 74 00 A2 8F 04 00 42 AE 78 00 A2 8F 08 00 42 AE 21 10 40 02 5C 00 B2 8F 08 00 E0 03 68 00 BD 27 04 00 63 8C 09 F8 60 00 48 00 A2 AF ?? ?? ?? 0? 48 00 A2 8F 90 00 A3 8F 23 10 11 00 ?? ?? ?? 0? 00 00 62 A4 }
	condition:
		$1
}

rule file_164_170_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERb"
		size = 1320
		refs = "0068 _ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale 00bc _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 011c _ZSt14_Xlength_errorPKc 0144 _ZNSbIwSt11char_traitsIwESaIwEE6appendEmw 01c4 _ZSt10_GetloctxtIwSt19istreambuf_iteratorIwSt11char_traitsIwEEEiRT0_S5_mPKT_ 01e4 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0298 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 02ac _Stoulx 03f0 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 0460 wmemcpy"
	strings:
		$1 = { 58 FF BD 27 C8 00 A2 8F 88 00 B0 AF 21 80 80 00 10 00 43 8C 21 20 A0 00 98 00 B4 AF 00 80 65 30 A4 00 BF AF A0 00 B6 AF 9C 00 B5 AF 94 00 B3 AF 90 00 B2 AF 8C 00 B1 AF B0 00 A6 AF B4 00 A7 AF 84 00 A0 10 CC 00 B4 8F 24 00 42 8C FF FF 04 24 00 00 42 8C 04 00 43 8C 03 00 64 10 18 00 A2 AF 01 00 63 24 04 00 43 AC ?? ?? ?? 0? 18 00 A4 27 18 00 A4 8F 0E 00 80 10 21 90 40 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 06 00 40 14 60 00 B1 27 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 60 00 B1 27 21 20 20 02 21 28 00 00 ?? ?? ?? 0? 21 30 00 00 74 00 A2 8F C7 00 40 10 04 00 42 2C C1 00 40 10 60 00 A2 8F 60 00 A0 AF 64 00 A3 27 00 00 42 8E 01 00 04 24 28 00 B3 27 14 00 42 8C 21 28 40 02 70 00 A4 AF 21 20 60 02 09 F8 40 00 00 00 60 AC 38 00 B6 8F FF FF C2 2E 83 00 40 14 70 00 A2 8F FF FF 16 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 84 00 C0 16 70 00 B5 8F 21 20 60 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 21 20 20 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 00 00 42 8E 44 00 B3 27 21 20 60 02 18 00 42 8C 09 F8 40 00 21 28 40 02 54 00 B5 8F FF FF A2 2E 83 00 40 50 FF FF 15 24 70 00 A2 8F 27 10 02 00 2B 10 A2 02 7F 00 40 10 ?? ?? 04 3C 82 00 A0 16 70 00 B2 8F 21 20 60 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 74 00 A7 8F 60 00 A2 8F B0 00 B2 27 04 00 E7 2C 0B 10 27 02 BC 00 B3 27 21 28 60 02 21 20 40 02 02 00 06 24 ?? ?? ?? 0? 21 38 40 00 21 20 20 02 01 00 05 24 21 30 00 00 ?? ?? ?? 0? 21 A8 40 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 04 00 40 10 00 00 00 00 00 00 82 8E 01 00 42 34 00 00 82 AE 83 00 A0 06 D0 00 A2 8F 2B A8 15 00 00 00 55 A0 B0 00 A2 8F A4 00 BF 8F A0 00 B6 8F 00 00 02 AE B4 00 A2 8F 9C 00 B5 8F 98 00 B4 8F 04 00 02 AE B8 00 A2 8F 94 00 B3 8F 90 00 B2 8F 08 00 02 AE 8C 00 B1 8F 21 10 00 02 88 00 B0 8F 08 00 E0 03 A8 00 BD 27 24 00 42 8C FF FF 06 24 20 00 A0 AF 00 00 42 8C 04 00 45 8C 03 00 A6 10 24 00 A2 AF 01 00 A5 24 04 00 45 AC 60 00 B1 27 B0 00 B2 27 BC 00 B3 27 21 28 20 02 21 30 40 02 21 38 60 02 24 00 A2 27 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 20 02 1C 00 A5 27 ?? ?? ?? 0? 20 00 A7 27 24 00 A4 8F 10 00 80 10 1C 00 A3 8F 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 07 00 60 14 1C 00 A3 8F 00 00 83 8C 04 00 63 8C 09 F8 60 00 80 00 A2 AF 80 00 A2 8F 1C 00 A3 8F B8 FF 71 10 FF FF 15 24 20 00 A3 8F B6 FF 60 14 21 20 40 02 02 00 43 2C ?? ?? ?? 0? 0B A8 43 00 27 10 02 00 2B 10 C2 02 7D FF 40 10 ?? ?? 04 3C 80 FF C0 12 21 20 60 02 70 00 B5 8F FF 3F 02 3C FF FF 42 34 21 A8 D5 02 2B 10 A2 02 6F 00 40 10 ?? ?? 04 3C 74 00 A2 8F 2B 18 55 00 31 00 60 14 70 00 A6 8F 34 00 A0 16 60 00 A3 8F 04 00 42 2C 70 00 A0 AF 0B 18 22 02 ?? ?? ?? 0? 00 00 60 AC ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 82 FF A0 52 21 20 60 02 70 00 B2 8F FF 3F 02 3C FF FF 42 34 21 90 B2 02 2B 10 42 02 5C 00 40 50 ?? ?? 04 3C 74 00 A2 8F 2B 18 52 00 37 00 60 14 70 00 A6 8F 3A 00 40 16 60 00 A3 8F 04 00 42 2C 70 00 A0 AF 0B 18 22 02 ?? ?? ?? 0? 00 00 60 AC 00 00 40 AC 60 00 A3 8F ?? ?? ?? 0? 04 00 63 24 70 00 A6 8F 21 20 20 02 ?? ?? ?? 0? 01 00 05 24 74 00 A2 8F 04 00 42 2C 36 FF 40 54 60 00 A0 AF ?? ?? ?? 0? 60 00 A2 8F 00 00 82 8E 02 00 42 34 ?? ?? ?? 0? 00 00 82 AE 21 20 20 02 ?? ?? ?? 0? 21 28 A0 02 3F FF A0 12 74 00 A2 8F 04 00 42 2C 14 00 40 10 21 20 20 02 70 00 A2 8F 3C 00 A5 8F 21 30 C0 02 80 10 02 00 21 20 82 00 28 00 A2 8F 04 00 A5 2C 0B 10 65 02 ?? ?? ?? 0? 21 28 40 00 74 00 A2 8F 60 00 A4 8F 80 18 15 00 04 00 42 2C 0B 20 22 02 21 10 83 00 70 00 B5 AF ?? ?? ?? 0? 00 00 40 AC ?? ?? ?? 0? 60 00 A4 8F 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 3B FF 40 12 74 00 A2 8F 04 00 42 2C 14 00 40 10 21 20 20 02 70 00 A2 8F 58 00 A5 8F 21 30 A0 02 80 10 02 00 21 20 82 00 44 00 A2 8F 04 00 A5 2C 0B 10 65 02 ?? ?? ?? 0? 21 28 40 00 74 00 A2 8F 60 00 A4 8F 80 18 12 00 04 00 42 2C 0B 20 22 02 21 10 83 00 70 00 B2 AF ?? ?? ?? 0? 00 00 40 AC ?? ?? ?? 0? 60 00 A4 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 74 00 A2 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 74 00 A2 8F }
	condition:
		$1
}

rule file_164_171_4 {
	meta:
		name = "_ZNSbIwSt11char_traitsIwESaIwEE6insertEmmw"
		size = 564
		refs = "0074 _ZSt14_Xlength_errorPKc 00f8 _ZSt14_Xout_of_rangePKc 0114 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 0150 wmemmove 0180 wmemset"
	strings:
		$1 = { 10 00 82 8C D0 FF BD 27 20 00 B2 AF 2B 18 45 00 1C 00 B1 AF 18 00 B0 AF 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 21 80 80 00 21 90 A0 00 30 00 60 14 21 88 C0 00 27 10 02 00 2B 10 22 02 0C 00 40 10 ?? ?? 04 3C 10 00 20 56 10 00 13 8E 2C 00 BF 8F 21 10 00 02 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF F3 FF 20 12 10 00 A7 8F 10 00 13 8E FF 3F 02 3C FF FF 42 34 21 98 33 02 2B 10 62 02 61 00 40 10 ?? ?? 04 3C 14 00 02 8E 2B 18 53 00 18 00 60 54 10 00 06 8E 1E 00 60 16 04 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 2C 00 BF 8F 10 00 00 AE 21 10 00 02 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 00 00 60 AC 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF 10 00 02 8E ?? ?? ?? 0? 10 00 A7 8F 21 20 00 02 21 28 60 02 ?? ?? ?? 0? 10 00 A7 AF CB FF 60 12 10 00 A7 8F 14 00 02 8E 04 00 42 2C 28 00 40 14 10 00 06 8E 00 00 05 8E 21 20 32 02 80 20 04 00 80 A0 12 00 21 20 A4 00 23 30 D2 00 21 28 B4 00 ?? ?? ?? 0? 10 00 A7 AF 01 00 02 24 28 00 22 12 10 00 A7 8F 14 00 02 8E 04 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 20 94 00 21 28 E0 00 ?? ?? ?? 0? 21 30 20 02 14 00 03 8E 04 00 63 2C 02 00 60 14 21 10 00 02 00 00 02 8E 2C 00 BF 8F 80 18 13 00 21 10 43 00 10 00 13 AE 28 00 B4 8F 00 00 40 AC 24 00 B3 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 32 02 80 20 04 00 21 28 00 02 80 A0 12 00 21 20 04 02 21 28 B4 00 23 30 D2 00 ?? ?? ?? 0? 10 00 A7 AF 01 00 02 24 DA FF 22 16 10 00 A7 8F 14 00 03 8E 04 00 63 2C 02 00 60 14 21 10 00 02 00 00 02 8E 21 A0 54 00 ?? ?? ?? 0? 00 00 87 AE ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF ?? ?? ?? 0? 10 00 A7 8F }
	condition:
		$1
}

rule file_164_172_4 {
	meta:
		name = "_ZNKSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetmfldERS3_S5_bRSt8ios_base"
		size = 4268
		refs = "0068 _ZNSt9_FacetptrISt10moneypunctIwLb1EEE6_PsaveE 0074 _ZNSt10moneypunctIwLb1EE2idE 0080 _ZNSt6locale2id7_Id_cntE 0104 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 01d0 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0230 wmemmove 02cc _ZNSt9_FacetptrISt10moneypunctIwLb0EEE6_PsaveE 02d8 _ZNSt10moneypunctIwLb0EE2idE 0378 _ZNSt9_FacetptrISt5ctypeIwEE6_PsaveE 037c _ZNSt5ctypeIwE2idE 0440 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 0454 _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv 0524 _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm 067c _Mbtowcx 0714 _ZdlPv 0784 _ZNSs5_GrowEmb 08b0 _ZNSbIwSt11char_traitsIwESaIwEE6appendEmw 0af8 _ZNSbIwSt11char_traitsIwESaIwEE6insertEmmw 0b80 _ZSt14_Xlength_errorPKc 0dd0 _ZNSt6locale16_GetgloballocaleEv 0e8c _ZNSt10moneypunctIwLb1EE7_GetcatEPPKNSt6locale5facetEPKS1_ 0eb8 _ZNSt6locale5facet9_RegisterEv 0ec8 _ZNSt10moneypunctIwLb0EE7_GetcatEPPKNSt6locale5facetEPKS1_ 1000 _ZNSt5ctypeIwE7_GetcatEPPKNSt6locale5facetEPKS1_ 1074 abort"
	strings:
		$1 = { 30 FE BD 27 E0 01 A2 93 C4 01 B7 AF AC 01 B1 AF A8 01 B0 AF CC 01 BF AF C8 01 BE AF C0 01 B6 AF BC 01 B5 AF B8 01 B4 AF B4 01 B3 AF B0 01 B2 AF 21 B8 80 00 D4 01 A5 AF 21 80 C0 00 9A 00 40 10 21 88 E0 00 E4 01 A3 8F 24 00 62 8C FF FF 03 24 00 00 44 8C 04 00 82 8C 03 00 43 10 18 00 A4 AF 01 00 42 24 04 00 82 AC ?? ?? 12 3C ?? ?? 02 3C ?? ?? 43 8E ?? ?? 53 8C 07 00 60 16 28 00 A3 AF ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 98 C0 00 ?? ?? A6 AC ?? ?? 46 AC 0C 00 82 8C 2B 10 62 02 99 02 40 50 14 00 82 90 08 00 85 8C 80 10 13 00 21 10 A2 00 00 00 54 8C 93 02 80 52 14 00 82 90 0E 00 80 10 38 00 B6 27 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 38 00 B6 27 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 21 28 00 00 21 30 00 00 ?? ?? ?? 0? 21 20 C0 02 21 20 E0 02 21 28 00 00 ?? ?? ?? 0? 21 30 00 00 00 00 82 8E 20 00 A4 27 21 28 80 02 28 00 42 8C 09 F8 40 00 90 01 A4 AF 94 01 A0 AF 8C 01 A0 AF 90 01 A2 8F 00 00 52 80 76 00 02 24 3A 01 42 12 77 00 42 2A 7B 00 40 10 78 00 02 24 24 00 02 24 F9 00 42 12 2B 00 02 24 C1 00 42 12 20 00 02 24 77 00 42 12 8C 01 A3 8F 8C 01 A4 8F 90 01 A5 8F 04 00 02 24 01 00 84 24 01 00 A5 24 8C 01 A4 AF EB FF 82 14 90 01 A5 AF 48 00 A3 8F 02 00 62 2C 43 02 40 14 4C 00 A2 8F 38 00 B2 8F 04 00 42 2C 0B 90 C2 02 38 00 A6 8F 80 18 03 00 04 00 52 26 0B 30 C2 02 21 30 C3 00 21 28 20 02 08 00 46 12 21 20 00 02 ?? ?? ?? 0? 00 00 00 00 99 00 40 10 4C 00 A2 8F 48 00 A3 8F 04 00 42 2C 80 18 03 00 02 00 40 14 21 10 C0 02 38 00 A2 8F 21 18 43 00 2C 02 43 12 94 01 A5 8F 10 00 F0 8E FF FF 02 2E 9E 02 40 14 FC FF 05 24 FF FF 10 24 14 00 E2 8E 04 00 42 2C 02 00 40 14 21 20 E0 02 00 00 E4 8E 21 28 85 00 ?? ?? ?? 0? 21 30 00 00 14 00 E3 8E 10 00 E4 8E 21 10 E0 02 04 00 63 2C 02 00 60 14 23 80 90 00 00 00 E2 8E 80 18 10 00 21 10 43 00 10 00 F0 AE 00 00 40 AC 21 20 C0 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 CC 01 BF 8F 21 10 E0 02 C8 01 BE 8F C4 01 B7 8F C0 01 B6 8F BC 01 B5 8F B8 01 B4 8F B4 01 B3 8F B0 01 B2 8F AC 01 B1 8F A8 01 B0 8F 08 00 E0 03 D0 01 BD 27 E4 01 A4 8F FF FF 03 24 24 00 82 8C 00 00 44 8C 04 00 82 8C 03 00 43 10 1C 00 A4 AF 01 00 42 24 04 00 82 AC ?? ?? 12 3C ?? ?? 02 3C ?? ?? 43 8E ?? ?? 53 8C 07 00 60 16 28 00 A3 AF ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 98 C0 00 ?? ?? A6 AC ?? ?? 46 AC 0C 00 82 8C 2B 10 62 02 08 00 40 50 14 00 82 90 08 00 85 8C 80 10 13 00 21 10 A2 00 00 00 54 8C 68 FF 80 16 00 00 00 00 14 00 82 90 B2 02 40 14 21 A0 60 00 E5 02 80 52 28 00 A4 27 ?? ?? ?? 0? 1C 00 A4 8F 8D FF 42 16 8C 01 A4 8F 8C 01 A3 8F 03 00 02 24 88 FF 62 10 E4 01 A4 8F FF FF 03 24 24 00 82 8C 00 00 44 8C 04 00 82 8C 03 00 43 10 24 00 A4 AF 01 00 42 24 04 00 82 AC ?? ?? 05 3C ?? ?? 03 3C ?? ?? A2 8C ?? ?? 75 8C 08 00 A0 16 28 00 A2 AF ?? ?? 05 3C ?? ?? A3 8C 01 00 63 24 21 A8 60 00 ?? ?? A3 AC ?? ?? 03 3C ?? ?? 75 AC 0C 00 83 8C 2B 18 A3 02 81 01 60 54 08 00 85 8C 14 00 83 90 83 02 60 14 21 98 40 00 0C 03 60 12 90 01 A5 8F 24 00 A4 8F 00 00 B2 80 0D 00 80 50 21 A8 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 84 01 40 50 00 00 82 8C 90 01 A2 8F 00 00 52 80 21 A8 00 00 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 6E 01 40 10 00 00 00 00 20 00 02 24 53 FF 42 56 8C 01 A4 8F 75 FF A0 52 10 00 F0 8E ?? ?? ?? 0? 8C 01 A4 8F ?? ?? ?? 0? 21 20 00 02 00 00 43 8E 64 FF 43 54 4C 00 A2 8F ?? ?? ?? 0? 21 20 00 02 4C 00 A2 8F 48 00 A3 8F ?? ?? ?? 0? 04 00 42 2C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 3F FF 40 14 8C 01 A4 8F 00 00 82 8E 8C 00 A4 27 21 28 80 02 18 00 42 8C 09 F8 40 00 21 90 00 00 9C 00 A2 8F 1C 02 40 54 00 00 82 8E 8C 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 CD 01 40 16 21 28 80 02 00 00 82 8E E0 00 A4 27 1C 00 42 8C 09 F8 40 00 21 90 00 00 F0 00 A2 8F 98 02 40 54 00 00 82 8E E0 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 1E 02 40 52 00 00 82 8E ?? ?? ?? 0? 21 20 00 02 00 00 82 8E 01 00 03 24 FC 00 A4 27 1C 00 42 8C 21 28 80 02 09 F8 40 00 94 01 A3 AF 21 20 C0 02 FC 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 FC 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 8C 01 A4 8F 00 00 82 8E 54 00 B3 27 21 20 60 02 14 00 42 8C 09 F8 40 00 21 28 80 02 E4 01 A4 8F 10 00 82 8C 80 00 42 30 2F 01 40 10 21 20 00 02 8C 01 A4 8F 03 00 02 24 69 01 82 10 48 00 A2 8F 68 00 B2 8F 04 00 52 2E 54 00 A2 8F 0B 10 72 02 21 90 40 00 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 0E 00 40 14 68 00 A2 8F 54 00 A5 8F 64 00 A3 8F 04 00 42 2C 0B 28 62 02 80 18 03 00 21 28 A3 00 09 00 45 12 21 20 00 02 ?? ?? ?? 0? 00 00 00 00 00 00 43 8E 12 00 43 10 68 00 A2 8F 64 00 A3 8F 04 00 42 2C 80 18 03 00 02 00 40 14 21 10 60 02 54 00 A2 8F 21 18 43 00 26 90 43 02 21 20 60 02 01 00 05 24 21 30 00 00 ?? ?? ?? 0? 2B 90 12 00 FD FE 40 56 10 00 F0 8E ?? ?? ?? 0? 8C 01 A4 8F 21 20 00 02 ?? ?? ?? 0? 04 00 52 26 ?? ?? ?? 0? 21 28 20 02 00 00 82 8E 50 01 A5 27 21 20 80 02 20 00 42 8C 09 F8 40 00 88 01 A5 AF D4 01 A3 8F 21 A8 40 00 2C 00 A4 27 08 00 62 8C 28 00 A5 27 30 00 03 24 01 00 06 24 30 00 A7 27 28 00 A3 A3 2C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 00 00 82 8E 50 01 A4 27 21 28 80 02 10 00 42 8C 09 F8 40 00 2C 00 B3 8F 60 01 A2 8F 23 00 40 54 00 00 82 8E 09 00 72 26 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 6F 00 40 10 00 00 00 00 00 00 82 8E 08 00 42 8C 09 F8 40 00 21 20 80 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 90 40 00 03 00 40 14 21 F0 00 00 6B 01 40 16 00 00 00 00 21 90 00 00 10 00 E2 8E A4 00 40 14 2A 10 D5 03 64 01 A7 8F 01 00 12 24 10 00 E7 2C 04 00 E0 14 0F 00 02 24 ?? ?? ?? 0? 50 01 A4 8F 0F 00 02 24 64 01 A2 AF 60 01 A0 AF ?? ?? ?? 0? 50 01 A0 A3 0C 00 42 8C 09 F8 40 00 21 20 80 02 DA FF 40 10 9C 01 A2 AF 64 01 A2 8F 50 01 A3 8F 88 01 A4 8F 10 00 42 2C 0A 20 62 00 00 00 82 90 7F 00 42 2C D2 FF 40 10 09 00 72 26 6C 01 BE 27 0F 00 02 24 21 20 C0 03 01 00 05 24 21 30 00 00 80 01 A2 AF 7C 01 A0 AF ?? ?? ?? 0? 6C 01 A0 A3 52 01 40 14 80 01 A4 8F 09 00 65 26 21 90 00 00 98 01 A5 AF 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 4F 00 40 14 80 01 A3 8F ?? ?? ?? 0? 21 20 00 02 2A 10 53 00 56 00 40 10 80 01 A3 8F 10 00 62 2C 3E 00 40 14 21 10 C0 03 6C 01 A2 8F 21 10 52 00 00 00 42 80 3D 00 40 14 00 00 00 00 42 00 40 16 21 10 40 02 21 20 00 00 10 00 63 2C 64 01 A7 8F 50 01 A6 8F 88 01 A5 8F 10 00 E7 2C 0F 00 80 14 0B 30 A7 00 0F 01 40 10 7F 00 04 24 00 00 C5 80 0C 01 A4 10 6C 01 A4 8F 7F 00 08 24 0A F0 83 00 FF FF 42 24 00 01 40 14 21 20 C2 03 00 00 C4 83 2A 28 A4 00 00 01 A0 50 01 00 C4 80 06 00 60 14 0F 00 02 24 ?? ?? ?? 0? 6C 01 A4 8F 64 01 A7 8F 10 00 E7 2C 0F 00 02 24 80 01 A2 AF 7C 01 A0 AF 6C 01 A0 A3 ?? ?? ?? 0? 01 00 12 24 ?? ?? ?? 0? 21 20 00 02 2A 10 53 00 8F FF 40 54 00 00 82 8E ?? ?? ?? 0? 21 20 00 02 2A 10 42 02 89 FF 40 14 21 20 00 02 ?? ?? ?? 0? 00 00 00 00 21 30 40 00 21 20 E0 02 ?? ?? ?? 0? 01 00 05 24 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 10 52 00 00 00 42 80 C5 FF 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 9C 01 A5 8F A1 00 45 10 80 01 A3 8F C0 FF 40 12 21 10 40 02 6C 01 A2 8F 10 00 63 2C 0B 10 C3 03 21 10 52 00 00 00 42 80 9F 01 40 58 21 10 40 02 01 00 42 26 ?? ?? ?? 0? 21 20 00 00 ?? ?? ?? 0? 21 20 00 02 98 01 A3 8F 2A 10 62 00 A6 FF 40 14 80 01 A3 8F ?? ?? ?? 0? 21 20 00 02 21 30 40 00 21 20 E0 02 ?? ?? ?? 0? 01 00 05 24 80 01 A2 8F 6C 01 A3 8F 7F 00 04 24 10 00 42 2C 0B 18 C2 03 21 10 72 00 00 00 43 80 04 00 64 10 00 00 00 00 00 00 43 90 01 00 63 24 00 00 43 A0 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 00 02 09 00 40 10 64 01 A7 8F 01 00 DE 27 21 20 E0 02 01 00 05 24 ?? ?? ?? 0? 21 30 60 02 FB FF D5 57 01 00 DE 27 64 01 A7 8F ?? ?? ?? 0? 10 00 E7 2C 80 18 15 00 21 18 A3 00 00 00 73 8C 83 FE 60 16 00 00 00 00 ?? ?? ?? 0? 14 00 83 90 ?? ?? ?? 0? 21 20 00 02 00 00 63 8E 21 20 60 02 44 01 05 24 08 00 63 8C 09 F8 60 00 21 30 40 00 8A FE 40 10 21 20 00 02 ?? ?? ?? 0? 01 00 15 24 ?? ?? ?? 0? 21 28 20 02 04 00 42 8C 09 F8 40 00 21 A8 00 00 90 01 A3 8F ?? ?? ?? 0? 00 00 72 80 ?? ?? ?? 0? 21 28 20 02 D0 FE 40 14 8C 01 A4 8F ?? ?? ?? 0? 21 20 00 02 68 00 B2 8F 54 00 A3 8F 04 00 52 2E 0B 18 72 02 00 00 63 8C C6 FE 43 10 64 00 B5 8F FF FF A2 2E 2D 01 40 14 54 00 A4 8F FC FF 05 24 FF FF 15 24 21 30 00 00 0B 20 72 02 ?? ?? ?? 0? 21 28 85 00 64 00 A2 8F 68 00 B2 8F 54 00 A3 8F 23 A8 55 00 04 00 52 2E 0B 18 72 02 80 10 15 00 21 10 62 00 64 00 B5 AF ?? ?? ?? 0? 00 00 40 AC 94 01 A5 8F ED FD A0 50 21 20 C0 02 D4 01 A3 8F 28 00 A5 27 30 00 A7 27 08 00 62 8C 2C 00 A4 27 2D 00 03 24 01 00 06 24 28 00 A3 A3 2C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 2C 00 A7 8F 21 20 E0 02 21 28 00 00 ?? ?? ?? 0? 01 00 06 24 ?? ?? ?? 0? 21 20 C0 02 C3 00 40 14 21 A0 60 00 DE 00 80 52 28 00 A4 27 ?? ?? ?? 0? 18 00 A4 8F 02 00 42 2C 97 FE 40 10 68 00 B2 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 41 01 40 10 68 00 B2 8F 64 00 B5 8F FF FF A2 2E F7 00 40 14 01 00 A6 26 FF FF 15 24 54 00 A2 8F 04 00 52 2E 21 20 60 02 80 28 15 00 ?? ?? ?? 0? 0A 20 52 00 7C 01 A3 8F FE FF 62 2C 06 00 40 54 01 00 63 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 7C 01 A3 8F 01 00 63 24 21 28 60 00 21 20 C0 03 21 30 00 00 ?? ?? ?? 0? A0 01 A3 AF 0F 00 40 10 A0 01 A3 8F 80 01 A2 8F 10 00 42 2C 6A 00 40 14 7C 01 A4 8F 6C 01 A2 8F 21 20 44 00 00 00 80 A0 80 01 A2 8F 6C 01 A4 8F 7C 01 A3 AF 10 00 42 2C 0B 20 C2 03 21 18 83 00 00 00 60 A0 ?? ?? ?? 0? 01 00 52 26 ?? ?? ?? 0? 21 20 00 02 00 00 82 8E A8 00 A4 27 18 00 42 8C 09 F8 40 00 21 28 80 02 21 20 C0 02 A8 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 A8 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 8C 01 A4 8F 00 00 84 80 03 FF 85 14 00 00 00 00 01 00 C4 80 2A 20 04 00 0A 00 40 14 21 30 86 00 04 00 60 14 0F 00 02 24 ?? ?? ?? 0? 6C 01 A4 8F 0F 00 02 24 80 01 A2 AF 7C 01 A0 AF ?? ?? ?? 0? 6C 01 A0 A3 00 00 C5 80 ED FE A8 14 FF FF 42 24 ?? ?? ?? 0? 00 00 00 00 76 FD 00 12 80 28 10 00 ?? ?? ?? 0? 14 00 E2 8E ?? ?? ?? 0? 21 20 00 02 93 FE 52 14 21 F0 00 00 09 00 72 26 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 90 00 40 14 2A 18 D5 03 5C 00 60 14 00 00 00 00 ?? ?? ?? 0? 21 90 00 00 6C 01 A3 8F 10 00 84 2C 0B 18 C4 03 00 00 60 A0 80 01 A3 8F 10 00 63 2C 03 00 60 14 6D 01 A2 27 6C 01 A2 8F 01 00 42 24 01 00 03 24 7C 01 A3 AF ?? ?? ?? 0? 00 00 40 A0 70 00 B3 27 21 28 80 02 18 00 42 8C 09 F8 40 00 21 20 60 02 84 00 A3 8F 70 00 A2 8F 21 20 00 02 04 00 63 2C 0B 10 63 02 ?? ?? ?? 0? 00 00 52 8C 21 20 60 02 26 10 42 02 01 00 05 24 21 30 00 00 ?? ?? ?? 0? 01 00 52 2C ?? ?? ?? 0? 8C 00 A4 27 ?? ?? ?? 0? 21 10 C0 03 18 01 A4 27 18 00 42 8C 09 F8 40 00 21 28 80 02 28 01 B2 8F 18 01 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 FA FC 40 12 8C 01 A4 8F 00 00 82 8E 34 01 A4 27 1C 00 42 8C 09 F8 40 00 21 28 80 02 34 01 A4 27 01 00 05 24 21 30 00 00 ?? ?? ?? 0? 44 01 B2 8F 94 01 A4 8F 01 00 02 24 0A 20 52 00 ?? ?? ?? 0? 94 01 A4 AF ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 A3 02 6B 00 60 54 08 00 42 8C 28 00 A2 8F ?? ?? ?? 0? 21 98 40 00 ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 63 02 69 00 60 54 08 00 42 8C 28 00 A3 8F ?? ?? ?? 0? 21 A0 60 00 ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 63 02 6A 00 60 54 08 00 42 8C 28 00 A3 8F ?? ?? ?? 0? 21 A0 60 00 ?? ?? ?? 0? 21 20 00 02 2A 10 53 00 03 00 40 10 00 00 00 00 ?? ?? ?? 0? 01 00 12 24 ?? ?? ?? 0? 21 20 00 02 2A 10 42 02 FA FF 40 14 21 20 00 02 ?? ?? ?? 0? 01 00 DE 27 21 30 40 00 21 20 E0 02 ?? ?? ?? 0? 01 00 05 24 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 18 00 A5 27 FF FF 03 24 80 00 43 10 00 00 00 00 28 00 B4 8F 04 00 82 8E 03 00 43 10 ?? ?? 54 AE 01 00 42 24 04 00 82 AE ?? ?? ?? 0? 21 20 80 02 ?? ?? ?? 0? 18 00 A4 8F ?? ?? ?? 0? 1C 00 A5 27 FF FF 03 24 6D 00 43 10 00 00 00 00 28 00 B4 8F 04 00 82 8E 03 00 43 10 ?? ?? 54 AE 01 00 42 24 04 00 82 AE ?? ?? ?? 0? 21 20 80 02 ?? ?? ?? 0? 1C 00 A4 8F 2A 10 D5 03 FA FD 40 14 01 00 12 24 ?? ?? ?? 0? 21 90 00 00 9B FD A0 12 80 28 15 00 ?? ?? ?? 0? 54 00 A4 8F 97 FD A0 52 04 00 52 2E ?? ?? ?? 0? 21 30 00 00 C4 00 B3 27 21 28 80 02 1C 00 42 8C 09 F8 40 00 21 20 60 02 D8 00 A3 8F C4 00 A2 8F 21 20 00 02 04 00 63 2C 0B 10 63 02 ?? ?? ?? 0? 00 00 52 8C 21 20 60 02 26 10 42 02 01 00 05 24 21 30 00 00 ?? ?? ?? 0? 01 00 52 2C ?? ?? ?? 0? E0 00 A4 27 ?? ?? ?? 0? 01 00 04 24 80 A8 15 00 21 A8 55 00 00 00 B3 8E 33 00 60 12 24 00 A4 8F ?? ?? ?? 0? 00 00 00 00 80 98 13 00 21 98 53 00 00 00 74 8E 41 FC 80 16 1C 00 A4 8F 28 00 B4 8F 3E FC 80 16 00 00 00 00 ?? ?? ?? 0? 28 00 A4 27 80 98 13 00 21 98 53 00 00 00 74 8E 37 FC 80 16 18 00 A4 8F 28 00 B4 8F 34 FC 80 16 00 00 00 00 ?? ?? ?? 0? 28 00 A4 27 28 00 A4 27 }
	condition:
		$1
}

rule file_164_173_4 {
	meta:
		name = "_ZNKSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_bRSt8ios_baseRNSt5_IosbIiE8_IostateERSbIwS2_SaIwEE"
		size = 208
		refs = "0038 _ZNKSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetmfldERS3_S5_bRSt8ios_base 0044 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0098 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 00c0 _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm"
	strings:
		$1 = { B8 FF BD 27 68 00 A2 93 3C 00 B0 AF 50 00 A6 AF 10 00 A2 AF 6C 00 A2 8F 54 00 A7 AF 21 80 80 00 50 00 A6 27 18 00 A4 27 5C 00 A7 27 40 00 B1 AF 44 00 BF AF 70 00 B1 8F ?? ?? ?? 0? 14 00 A2 AF 50 00 A4 27 ?? ?? ?? 0? 5C 00 A5 27 05 00 40 10 28 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 28 00 A2 8F 14 00 40 14 74 00 A4 8F 00 00 22 8E 02 00 42 34 00 00 22 AE 50 00 A2 8F 18 00 A4 27 01 00 05 24 00 00 02 AE 54 00 A2 8F 21 30 00 00 04 00 02 AE 58 00 A2 8F ?? ?? ?? 0? 08 00 02 AE 44 00 BF 8F 21 10 00 02 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 48 00 BD 27 18 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 ?? ?? ?? 0? 50 00 A2 8F }
	condition:
		$1
}

rule file_164_174_4 {
	meta:
		name = "_ZNKSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_bRSt8ios_baseRNSt5_IosbIiE8_IostateERe"
		size = 904
		refs = "005c _ZNKSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetmfldERS3_S5_bRSt8ios_base 0068 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 00bc _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 011c _Mbtowcx 0148 _ZNSs5_GrowEmb 02d0 _ZSt14_Xlength_errorPKc 0304 _Stoldx 0344 _ZdlPv"
	strings:
		$1 = { 68 FF BD 27 B8 00 A2 93 78 00 B2 AF 30 00 B2 27 10 00 A2 AF BC 00 A2 8F 7C 00 B3 AF A0 00 A6 AF A4 00 A7 AF 21 98 80 00 A0 00 A6 27 21 20 40 02 AC 00 A7 27 80 00 B4 AF 70 00 B0 AF 94 00 BF AF 21 80 A0 00 90 00 BE AF 8C 00 B7 AF 88 00 B6 AF 84 00 B5 AF 74 00 B1 AF C0 00 B4 8F ?? ?? ?? 0? 14 00 A2 AF A0 00 A4 27 ?? ?? ?? 0? AC 00 A5 27 05 00 40 10 40 00 A2 8F 00 00 82 8E 01 00 42 34 00 00 82 AE 40 00 A2 8F 1B 00 40 54 08 00 02 8E 00 00 82 8E 02 00 42 34 00 00 82 AE A0 00 A2 8F 21 20 40 02 01 00 05 24 00 00 62 AE A4 00 A2 8F 21 30 00 00 04 00 62 AE A8 00 A2 8F ?? ?? ?? 0? 08 00 62 AE 94 00 BF 8F 21 10 60 02 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 18 00 A5 27 30 00 03 24 24 00 A4 27 01 00 06 24 28 00 A7 27 18 00 A3 A3 24 00 A0 AF 28 00 A0 AF 2C 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 40 00 A5 8F 0F 00 02 24 24 00 B1 8F 60 00 A2 AF 5C 00 A0 AF 0C 00 A2 10 4C 00 A0 A3 4C 00 B0 27 21 20 00 02 ?? ?? ?? 0? 01 00 06 24 06 00 40 10 60 00 A3 8F 4C 00 A2 8F 5C 00 A0 AF 10 00 63 2C 0A 80 43 00 00 00 00 A2 44 00 A2 8F 30 00 A3 8F 04 00 42 2C 0B 18 42 02 00 00 62 8C 2A 18 51 00 06 00 60 14 5C 00 B5 8F 09 00 23 26 2A 10 62 00 1D 00 40 10 21 B8 00 00 5C 00 B5 8F FE FF A2 2E 74 00 40 10 ?? ?? 04 3C 01 00 B5 26 4C 00 B0 27 21 20 00 02 21 28 A0 02 ?? ?? ?? 0? 21 30 00 00 11 00 40 10 01 00 17 24 60 00 A2 8F 10 00 42 2C 66 00 40 10 5C 00 A3 8F 21 10 00 02 21 10 43 00 2D 00 03 24 00 00 43 A0 60 00 A3 8F 4C 00 A2 8F 5C 00 B5 AF 10 00 63 2C 0A 80 43 00 21 A8 15 02 00 00 A0 A2 01 00 17 24 40 00 A2 8F 2B 10 E2 02 32 00 40 10 30 00 15 24 23 A8 B1 02 ?? ?? 16 3C FF 00 B5 32 80 F0 17 00 4C 00 B0 27 ?? ?? ?? 0? ?? ?? D6 26 01 00 63 24 21 28 60 00 21 20 00 02 21 30 00 00 ?? ?? ?? 0? 68 00 A3 AF 11 00 40 10 68 00 A3 8F 60 00 A4 8F 5C 00 A5 8F 10 00 84 2C 02 00 80 14 21 10 00 02 4C 00 A2 8F 21 10 45 00 21 88 B1 02 00 00 51 A0 60 00 A2 8F 4C 00 A4 8F 5C 00 A3 AF 10 00 42 2C 0B 20 02 02 21 18 83 00 00 00 60 A0 40 00 A2 8F 01 00 F7 26 2B 10 E2 02 0E 00 40 10 04 00 DE 27 44 00 A4 8F 30 00 A2 8F 5C 00 A3 8F 04 00 84 2C 0B 10 44 02 21 20 5E 00 FE FF 62 2C DB FF 40 14 00 00 91 8C ?? ?? ?? 0? 21 20 C0 02 ?? ?? ?? 0? 5C 00 A3 8F 60 00 A3 8F 4C 00 A2 8F 4C 00 B0 27 10 00 63 2C 0A 80 43 00 21 20 00 02 1C 00 A5 27 21 30 00 00 20 00 A7 27 ?? ?? ?? 0? 20 00 A0 AF 21 28 60 00 1C 00 A3 8F 12 00 70 10 21 20 40 00 20 00 A3 8F 10 00 60 54 00 00 82 8E C4 00 A2 8F 00 00 44 AC 04 00 45 AC 60 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 4C 00 A4 8F 0F 00 02 24 60 00 A2 AF 5C 00 A0 AF ?? ?? ?? 0? 4C 00 A0 A3 00 00 82 8E 02 00 42 34 ?? ?? ?? 0? 00 00 82 AE ?? ?? ?? 0? 4C 00 A2 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 5C 00 B5 8F }
	condition:
		$1
}

rule file_164_175_4 {
	meta:
		name = "_ZNKSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE8_PutmfldES3_bRSt8ios_basewbSbIwS2_SaIwEE"
		size = 3520
		refs = "0074 _ZNSt9_FacetptrISt10moneypunctIwLb1EEE6_PsaveE 0080 _ZNSt10moneypunctIwLb1EE2idE 008c _ZNSt6locale2id7_Id_cntE 0130 _Mbtowcx 0208 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0258 _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm 0364 _ZNSt19ostreambuf_iteratorIwSt11char_traitsIwEEaSEw 04c8 _ZdlPv 0524 _ZNSt9_FacetptrISt10moneypunctIwLb0EEE6_PsaveE 0530 _ZNSt10moneypunctIwLb0EE2idE 0644 _ZSt14_Xout_of_rangePKc 06d4 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 071c wmemmove 0930 _ZSt14_Xlength_errorPKc 0b40 _ZNSbIwSt11char_traitsIwESaIwEE6insertEmmw 0c88 _ZNSt6locale16_GetgloballocaleEv 0cd4 _ZNSt10moneypunctIwLb0EE7_GetcatEPPKNSt6locale5facetEPKS1_ 0d00 _ZNSt6locale5facet9_RegisterEv 0d14 _ZNSt10moneypunctIwLb1EE7_GetcatEPPKNSt6locale5facetEPKS1_ 0da0 abort"
	strings:
		$1 = { 68 FE BD 27 A8 01 A2 93 90 01 BE AF 80 01 B4 AF 7C 01 B3 AF 74 01 B1 AF 70 01 B0 AF 94 01 BF AF 8C 01 B7 AF 88 01 B6 AF 84 01 B5 AF 78 01 B2 AF 98 01 A4 AF 21 88 A0 00 A0 01 A6 AF A4 01 A7 AF AC 01 BE 8F B0 01 B3 8F B8 01 B0 8F 2D 01 40 10 B4 01 B4 93 24 00 C2 8F FF FF 03 24 00 00 44 8C 04 00 82 8C 03 00 43 10 18 00 A4 AF 01 00 42 24 04 00 82 AC ?? ?? 16 3C ?? ?? 02 3C ?? ?? C3 8E ?? ?? 57 8C 07 00 E0 16 2C 00 A3 AF ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 B8 C0 00 ?? ?? A6 AC ?? ?? 46 AC 0C 00 82 8C 2B 10 E2 02 AD 02 40 50 14 00 82 90 08 00 85 8C 80 10 17 00 21 10 A2 00 00 00 55 8C A6 02 A0 12 2C 00 B2 27 0F 00 80 50 08 00 22 8E 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 06 00 40 54 08 00 22 8E 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 08 00 22 8E 01 00 06 24 54 00 A7 27 21 28 40 02 30 00 03 24 30 00 A4 27 2C 00 A3 A3 30 00 A0 AF 54 00 A0 AF 58 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 00 00 A2 8E 30 00 A3 8F 9C 00 B2 27 10 00 42 8C 21 20 40 02 58 01 A3 AF 09 F8 40 00 21 28 A0 02 00 00 A2 8E 20 00 42 8C 09 F8 40 00 21 20 A0 02 C3 1F 02 00 10 00 06 8E 26 B0 62 00 23 B0 C3 02 2B 10 C6 02 6C 02 40 10 9C 00 A3 8F B0 00 A2 8F 10 00 42 2C 0B 18 42 02 00 00 62 80 7F 00 03 24 18 00 43 50 B8 00 A2 27 15 00 40 18 21 20 A0 02 00 00 A2 8E ?? ?? 17 3C 0C 00 42 8C FF 3F 11 3C 09 F8 40 00 ?? ?? F7 26 B0 00 A3 8F 50 01 A2 AF 9C 00 A2 8F 10 00 63 2C 10 00 07 8E 0A 90 43 00 00 00 42 82 21 18 40 02 23 38 F6 00 FF FF 44 24 FF 00 84 30 7E 00 84 2C 0A 01 80 14 2B 20 47 00 B8 00 A2 27 21 20 40 00 21 28 00 00 21 30 00 00 ?? ?? ?? 0? 4C 01 A2 AF D3 01 80 12 00 00 A2 8E 24 00 A3 27 21 20 60 00 28 00 42 8C 50 01 A3 AF 09 F8 40 00 21 28 A0 02 24 00 A2 8F D4 00 A4 27 20 00 A2 AF 00 00 A2 8E 1C 00 42 8C 09 F8 40 00 21 28 A0 02 FF FF 07 24 B8 00 A4 27 D4 00 A5 27 ?? ?? ?? 0? 21 30 00 00 D4 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 0C 01 A2 27 21 20 40 00 21 30 00 00 21 28 00 00 ?? ?? ?? 0? 48 01 A2 AF 10 00 C6 8F 80 00 C2 30 D4 01 40 54 00 00 A2 8E 1C 01 B9 8F C8 00 B8 8F 21 10 00 00 21 18 00 00 21 58 00 00 76 00 04 24 2B 78 16 00 01 00 12 24 03 00 0A 24 78 00 08 24 24 00 07 24 2B 00 0C 24 20 00 0D 24 04 00 05 24 20 00 AE 27 21 48 C2 01 00 00 29 81 21 01 24 11 77 00 2E 29 C7 00 C0 11 00 00 00 00 05 00 27 51 21 18 79 00 03 00 2C 51 21 18 78 00 C3 00 2D 51 01 00 63 24 01 00 42 24 F2 FF 45 14 20 00 AE 27 18 00 C2 8F 05 00 40 18 21 88 00 00 2B 88 62 00 23 18 43 00 0A 18 11 00 21 88 60 00 0E 00 C6 30 02 00 02 24 16 00 C2 10 54 01 A6 AF 08 00 02 24 03 02 C2 10 A0 01 A2 8F 8C 00 A2 AF A4 01 A2 8F 08 00 20 12 90 00 A2 AF 8C 00 B2 27 FF FF 31 26 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 FC FF 20 16 FF FF 31 26 8C 00 A3 8F 90 00 A2 8F 21 88 00 00 34 00 A3 AF 38 00 A2 AF A0 01 A3 AF A4 01 A2 AF 23 10 16 00 80 10 02 00 5C 01 A2 AF 20 00 B4 27 76 00 17 24 00 00 82 82 39 01 57 10 77 00 43 28 7A 00 60 10 78 00 04 24 24 00 03 24 F3 00 43 10 2B 00 03 24 1C 01 43 10 20 00 03 24 0D 01 43 10 A0 01 A2 8F 50 01 A4 8F 01 00 94 26 F2 FF 94 54 00 00 82 82 C8 00 B4 8F 02 00 82 2E 18 00 40 14 CC 00 A2 8F 04 00 42 2C 03 00 40 14 BC 00 B0 27 B8 00 B0 8F 04 00 10 26 A0 01 A2 8F FF FF 94 26 8C 00 B2 27 8C 00 A2 AF A4 01 A2 8F 90 00 A2 AF 00 00 05 8E 21 20 40 02 ?? ?? ?? 0? FF FF 94 26 FB FF 80 16 04 00 10 26 8C 00 A3 8F 90 00 A2 8F 94 00 A3 AF 98 00 A2 AF A0 01 A3 AF A4 01 A2 AF A0 01 A2 8F 18 00 C0 AF 8C 00 A2 AF A4 01 A2 8F 08 00 20 12 90 00 A2 AF 8C 00 B2 27 FF FF 31 26 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 FC FF 20 16 FF FF 31 26 98 01 AE 8F 8C 00 A2 8F 01 00 05 24 21 30 00 00 00 00 C2 AD 90 00 A2 8F 0C 01 A4 27 ?? ?? ?? 0? 04 00 C2 AD B8 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 B0 00 A2 8F 10 00 42 2C 04 00 40 14 94 01 BF 8F ?? ?? ?? 0? 9C 00 A4 8F 94 01 BF 8F 98 01 A2 8F 90 01 BE 8F 8C 01 B7 8F 88 01 B6 8F 84 01 B5 8F 80 01 B4 8F 7C 01 B3 8F 78 01 B2 8F 74 01 B1 8F 70 01 B0 8F 08 00 E0 03 98 01 BD 27 24 00 C2 8F FF FF 03 24 00 00 44 8C 04 00 82 8C 03 00 43 10 1C 00 A4 AF 01 00 42 24 04 00 82 AC ?? ?? 16 3C ?? ?? 02 3C ?? ?? C3 8E ?? ?? 57 8C 07 00 E0 16 2C 00 A3 AF ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 B8 C0 00 ?? ?? A6 AC ?? ?? 46 AC 0C 00 82 8C 2B 10 E2 02 08 00 40 50 14 00 82 90 08 00 85 8C 80 10 17 00 21 10 A2 00 00 00 55 8C D5 FE A0 16 2C 00 B2 27 14 00 82 90 C1 01 40 14 21 A8 60 00 D1 01 A0 52 2C 00 B2 27 1C 00 A4 8F ?? ?? ?? 0? 2C 00 B2 27 8E FF 44 14 50 01 A4 8F 54 01 A2 8F 08 00 03 24 8A FF 43 14 50 01 A4 8F A0 01 A2 8F 8C 00 A2 AF A4 01 A2 8F 08 00 20 12 90 00 A2 AF 8C 00 B2 27 FF FF 31 26 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 FC FF 20 56 FF FF 31 26 8C 00 A3 8F 90 00 A2 8F 21 88 00 00 4C 00 A3 AF 50 00 A2 AF A0 01 A3 AF ?? ?? ?? 0? A4 01 A2 AF 40 FF 28 55 01 00 42 24 41 FF 4A 50 18 00 C2 8F ?? ?? ?? 0? 01 00 0B 24 F7 FE 80 50 B8 00 A2 27 10 00 12 8E 23 38 E2 00 2B 10 47 02 0A 00 40 10 FE FF 42 2E ?? ?? 04 3C ?? ?? 84 24 68 01 A3 AF ?? ?? ?? 0? 64 01 A7 AF 10 00 12 8E 64 01 A7 8F 68 01 A3 8F FE FF 42 2E B9 00 40 10 21 20 E0 02 01 00 52 26 FF FF 22 36 2B 10 42 02 AE 00 40 10 21 20 E0 02 14 00 02 8E 2B 20 52 00 11 00 80 54 10 00 06 8E 19 00 40 16 04 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 10 00 00 AE 00 00 80 AC 01 00 62 80 03 00 40 18 01 00 64 24 ?? ?? ?? 0? 21 18 80 00 21 20 60 00 00 00 62 80 ?? ?? ?? 0? 21 18 80 00 21 20 00 02 21 28 40 02 68 01 A3 AF ?? ?? ?? 0? 64 01 A7 AF 68 01 A3 8F F0 FF 40 12 64 01 A7 8F 14 00 02 8E 04 00 42 2C 8A 00 40 14 01 00 E4 24 00 00 05 8E 80 20 04 00 21 20 A4 00 10 00 06 8E 80 40 07 00 21 28 A8 00 23 30 C7 00 68 01 A3 AF 64 01 A7 AF ?? ?? ?? 0? 60 01 A8 AF 14 00 02 8E 68 01 A3 8F 64 01 A7 8F 04 00 42 2C 74 00 40 14 60 01 A8 8F 00 00 02 8E 50 01 A4 8F 21 40 48 00 00 00 04 AD 00 00 04 8E 80 10 12 00 21 10 82 00 10 00 12 AE ?? ?? ?? 0? 00 00 40 AC 10 00 09 8E 2B 88 C9 02 03 00 20 16 21 70 00 00 23 70 49 02 21 70 D6 01 21 48 E9 01 21 18 23 01 ?? ?? ?? 0? 21 18 6E 00 20 01 A6 8F 0C 01 A2 8F 48 01 AE 8F 04 00 C6 2C 1C 01 A3 8F 0A 70 46 00 A0 01 A2 8F 21 30 C0 01 8C 00 A2 AF A4 01 A2 8F 0C 00 60 10 90 00 A2 AF 8C 00 B2 27 00 00 C5 8C FF FF 63 24 21 20 40 02 68 01 A3 AF ?? ?? ?? 0? 60 01 A6 AF 60 01 A6 8F 68 01 A3 8F F7 FF 60 14 04 00 C6 24 8C 00 A3 8F 90 00 A2 8F 5C 00 A3 AF 60 00 A2 AF A0 01 A3 AF ?? ?? ?? 0? A4 01 A2 AF 8C 00 A4 27 21 28 60 02 8C 00 A2 AF A4 01 A2 8F ?? ?? ?? 0? 90 00 A2 AF 8C 00 A3 8F 90 00 A2 8F 44 00 A3 AF 48 00 A2 AF A0 01 A3 AF ?? ?? ?? 0? A4 01 A2 AF C8 00 A2 8F E6 FE 40 10 50 01 A4 8F CC 00 A2 8F B8 00 A3 8F 4C 01 A4 8F 04 00 42 2C 0A 20 62 00 A0 01 A2 8F 00 00 85 8C 8C 00 A4 27 8C 00 A2 AF A4 01 A2 8F ?? ?? ?? 0? 90 00 A2 AF 8C 00 A3 8F 90 00 A2 8F 64 00 A3 AF 68 00 A2 AF A0 01 A3 AF ?? ?? ?? 0? A4 01 A2 AF 63 00 C0 56 10 00 03 8E 14 00 02 8E 04 00 42 2C B7 00 40 10 21 30 00 02 A0 01 A2 8F 10 00 03 8E 8C 00 A2 AF A4 01 A2 8F 0C 00 60 10 90 00 A2 AF 8C 00 B2 27 00 00 C5 8C FF FF 63 24 21 20 40 02 68 01 A3 AF ?? ?? ?? 0? 60 01 A6 AF 60 01 A6 8F 68 01 A3 8F F7 FF 60 14 04 00 C6 24 8C 00 A3 8F 90 00 A2 8F 6C 00 A3 AF 70 00 A2 AF A0 01 A3 AF ?? ?? ?? 0? A4 01 A2 AF 50 01 AE 8F 21 40 08 02 21 20 00 02 ?? ?? ?? 0? 00 00 0E AD 80 20 04 00 21 28 00 02 ?? ?? ?? 0? 21 20 04 02 68 01 A3 AF ?? ?? ?? 0? 64 01 A7 AF 64 01 A7 8F ?? ?? ?? 0? 68 01 A3 8F 68 01 A3 AF ?? ?? ?? 0? 64 01 A7 AF 10 00 12 8E 64 01 A7 8F ?? ?? ?? 0? 68 01 A3 8F 24 00 AE 27 28 00 A4 27 24 00 42 8C 21 28 A0 02 09 F8 40 00 50 01 AE AF 28 00 A2 8F F0 00 A4 27 20 00 A2 AF 00 00 A2 8E 18 00 42 8C 09 F8 40 00 21 28 A0 02 FF FF 07 24 B8 00 A4 27 F0 00 A5 27 ?? ?? ?? 0? 21 30 00 00 F0 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 0C 01 A2 27 21 20 40 00 21 30 00 00 21 28 00 00 ?? ?? ?? 0? 48 01 A2 AF 10 00 C6 8F 80 00 C2 30 30 FE 40 10 1C 01 B9 8F 00 00 A2 8E 28 01 A4 27 14 00 42 8C 09 F8 40 00 21 28 A0 02 0C 01 A4 27 28 01 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 21 30 00 00 28 01 A4 27 ?? ?? ?? 0? 01 00 05 24 ?? ?? ?? 0? 10 00 C6 8F 2B 10 C3 02 5C 00 40 10 58 01 A5 8F 14 00 02 8E 04 00 42 2C 56 00 40 10 21 30 00 02 A0 01 A2 8F 23 18 76 00 8C 00 B2 27 8C 00 A2 AF A4 01 A2 8F 0B 00 60 10 90 00 A2 AF 00 00 C5 8C FF FF 63 24 21 20 40 02 68 01 A3 AF ?? ?? ?? 0? 60 01 A6 AF 60 01 A6 8F 68 01 A3 8F F7 FF 60 14 04 00 C6 24 00 00 A2 8E 90 00 A3 8F 8C 00 A4 8F 08 00 42 8C 80 00 A3 AF A4 01 A3 AF 7C 00 A4 AF A0 01 A4 AF 09 F8 40 00 21 20 A0 02 21 28 40 00 ?? ?? ?? 0? A0 01 A4 27 14 00 03 8E 04 00 63 2C 32 00 60 10 21 10 00 02 10 00 06 8E 5C 01 AE 8F 21 18 C0 02 80 30 06 00 21 10 46 00 21 30 4E 00 A0 01 A2 8F 8C 00 A2 AF A4 01 A2 8F 90 00 A2 AF 00 00 C5 8C FF FF 63 24 21 20 40 02 68 01 A3 AF ?? ?? ?? 0? 60 01 A6 AF 60 01 A6 8F 68 01 A3 8F F7 FF 60 14 04 00 C6 24 8C 00 A3 8F 90 00 A2 8F 84 00 A3 AF 88 00 A2 AF A0 01 A3 AF ?? ?? ?? 0? A4 01 A2 AF 58 01 A7 8F 23 30 C6 02 21 20 00 02 21 28 00 00 ?? ?? ?? 0? 01 00 C6 24 ?? ?? ?? 0? B8 00 A2 27 10 FE 60 55 23 10 16 00 ?? ?? ?? 0? A0 01 A2 8F 14 00 82 90 51 00 40 14 21 A8 60 00 68 00 A0 52 2C 00 B2 27 18 00 A4 8F ?? ?? ?? 0? 2C 00 B2 27 ?? ?? ?? 0? 00 00 06 8E ?? ?? ?? 0? 00 00 02 8E ?? ?? ?? 0? 00 00 06 8E ?? ?? ?? 0? A0 01 A4 27 00 00 A2 8E 08 00 42 8C 09 F8 40 00 21 20 A0 02 21 28 40 00 ?? ?? ?? 0? A0 01 A4 27 A0 01 A2 8F 10 00 03 8E 8C 00 A2 AF A4 01 A2 8F 23 30 C3 02 0B 00 C0 10 90 00 A2 AF 8C 00 B2 27 58 01 A5 8F FF FF C6 24 21 20 40 02 ?? ?? ?? 0? 60 01 A6 AF 60 01 A6 8F FA FF C0 14 58 01 A5 8F 10 00 03 8E 14 00 05 8E 8C 00 A4 8F 90 00 A2 8F 04 00 A5 2C 3C 00 A4 AF 40 00 A2 AF A0 01 A4 AF A4 01 A2 AF 02 00 A0 14 21 30 00 02 00 00 06 8E A0 01 A2 8F 8C 00 A2 AF A4 01 A2 8F 0C 00 60 10 90 00 A2 AF 8C 00 B2 27 00 00 C5 8C FF FF 63 24 21 20 40 02 68 01 A3 AF ?? ?? ?? 0? 60 01 A6 AF 60 01 A6 8F 68 01 A3 8F F7 FF 60 14 04 00 C6 24 8C 00 A3 8F 90 00 A2 8F 74 00 A3 AF 78 00 A2 AF A0 01 A3 AF ?? ?? ?? 0? A4 01 A2 AF ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 E3 02 37 00 60 54 08 00 42 8C 2C 00 A3 8F ?? ?? ?? 0? 21 A8 60 00 ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 E3 02 24 00 60 54 08 00 42 8C 2C 00 A3 8F ?? ?? ?? 0? 21 A8 60 00 21 20 40 02 ?? ?? ?? 0? 1C 00 A5 27 FF FF 03 24 33 00 43 10 00 00 00 00 2C 00 B5 8F 04 00 A2 8E 03 00 43 10 ?? ?? D5 AE 01 00 42 24 04 00 A2 AE ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? 1C 00 A4 8F 21 20 40 02 ?? ?? ?? 0? 18 00 A5 27 FF FF 03 24 1F 00 43 10 00 00 00 00 2C 00 B5 8F 04 00 A2 8E 03 00 43 10 ?? ?? D5 AE 01 00 42 24 04 00 A2 AE ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? 18 00 A4 8F 80 B8 17 00 21 B8 57 00 00 00 F5 8E 86 FF A0 16 18 00 A4 8F 2C 00 B5 8F D8 FC A0 16 2C 00 B2 27 ?? ?? ?? 0? 21 20 40 02 80 B8 17 00 21 B8 57 00 00 00 F5 8E 03 FE A0 16 1C 00 A4 8F 2C 00 B5 8F CE FC A0 16 2C 00 B2 27 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 1C 00 A4 8F }
	condition:
		$1
}

rule file_164_176_4 {
	meta:
		name = "_ZNKSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_bRSt8ios_basewRKSbIwS2_SaIwEE"
		size = 800
		refs = "006c _Mbtowcx 0118 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 016c _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm 01cc _ZNKSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE8_PutmfldES3_bRSt8ios_basewbSbIwS2_SaIwEE 02a0 _ZNSbIwSt11char_traitsIwESaIwEE6appendEmw 02c4 _ZNSbIwSt11char_traitsIwESaIwEE5_CopyEmm 02e8 wmemcpy 0310 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 68 FF BD 27 08 00 A2 8C 88 00 B6 AF B4 00 B6 8F 7C 00 B3 AF 74 00 B1 AF A0 00 A6 AF A4 00 A7 AF 30 00 03 24 21 88 A0 00 21 98 80 00 28 00 A5 27 2C 00 A4 27 01 00 06 24 30 00 A7 27 8C 00 B7 AF 84 00 B5 AF 94 00 BF AF 90 00 BE AF 80 00 B4 AF 78 00 B2 AF 70 00 B0 AF A8 00 B5 93 28 00 A3 A3 2C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 14 00 C2 8E 04 00 42 2C 02 00 40 14 2C 00 B7 8F 00 00 D6 8E 08 00 22 8E 2D 00 03 24 2C 00 A4 27 28 00 A5 27 01 00 06 24 30 00 A7 27 00 00 D0 8E 28 00 A3 A3 2C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 2C 00 A2 8F 7B 00 02 12 21 A0 00 00 00 00 C2 8E 2A 18 57 00 55 00 60 14 21 F0 00 00 09 00 E5 26 2A 10 A2 00 52 00 40 14 21 90 00 00 21 10 C0 02 04 00 43 8C 01 00 52 26 80 F0 12 00 2A 20 77 00 4B 00 80 14 2A 18 A3 00 F9 FF 60 10 04 00 42 24 38 00 B0 27 21 20 00 02 21 28 00 00 ?? ?? ?? 0? 21 30 00 00 4C 00 A5 8F 38 00 A2 8F 21 20 00 02 04 00 A3 2C 0A 20 43 00 2B 30 C4 02 4A 00 C0 54 FF 3F 02 3C 48 00 A6 8F 80 30 06 00 21 20 86 00 2B 20 C4 02 44 00 80 50 FF 3F 02 3C 0B 10 03 02 23 B0 C2 02 21 20 00 02 21 28 00 02 83 30 16 00 ?? ?? ?? 0? 21 38 40 02 49 00 40 12 21 20 00 02 54 00 B2 27 21 20 40 02 21 30 00 00 ?? ?? ?? 0? 21 28 00 00 21 20 40 02 21 28 00 02 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 AC 00 A2 8F A4 00 A7 8F A0 00 A6 8F 14 00 A2 AF B0 00 A2 8F 21 28 20 02 21 20 60 02 18 00 A2 AF 10 00 B5 AF 1C 00 B4 AF ?? ?? ?? 0? 20 00 B2 AF 21 20 40 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 21 20 00 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 94 00 BF 8F 21 10 60 02 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 21 90 00 00 38 00 B0 27 21 20 00 02 21 28 00 00 ?? ?? ?? 0? 21 30 00 00 4C 00 A5 8F 38 00 A2 8F 21 20 00 02 04 00 A3 2C 0A 20 43 00 2B 30 C4 02 BA FF C0 50 48 00 A6 8F FF 3F 02 3C FF FF 42 34 2B 10 42 02 28 00 40 10 ?? ?? 04 3C 2B 10 B2 00 10 00 40 14 21 20 A0 00 14 00 40 16 38 00 A2 8F 04 00 A5 2C 48 00 A0 AF 0B 10 05 02 00 00 40 AC 21 20 00 02 01 00 05 24 ?? ?? ?? 0? 21 30 E0 02 ?? ?? ?? 0? 54 00 B2 27 04 00 D6 26 ?? ?? ?? 0? 01 00 14 24 48 00 A6 8F 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 F2 FF 40 12 4C 00 A4 8F 38 00 A2 8F 04 00 84 2C 21 28 C0 02 0B 10 04 02 21 20 40 00 ?? ?? ?? 0? 21 30 40 02 4C 00 A3 8F 38 00 A2 8F 48 00 B2 AF 04 00 63 2C 0B 10 03 02 21 F0 5E 00 ?? ?? ?? 0? 00 00 C0 AF ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 4C 00 A5 8F }
	condition:
		$1
}

rule file_164_177_4 {
	meta:
		name = "_ZNKSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_bRSt8ios_basewe"
		size = 684
		refs = "0054 dpcmp 00c0 dpdiv 0108 _ZNSbIwSt11char_traitsIwESaIwEE5_TidyEbm 0124 sprintf 0170 _Mbtowcx 018c _ZNSbIwSt11char_traitsIwESaIwEE6appendEmw 0200 _ZNSbIwSt11char_traitsIwESaIwEE6assignERKS2_mm 0230 _ZNKSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE8_PutmfldES3_bRSt8ios_basewbSbIwS2_SaIwEE"
	strings:
		$1 = { 38 FF BD 27 E8 00 A8 8F B0 00 B4 AF EC 00 B4 8F B8 00 B6 AF A0 00 B0 AF D0 00 A6 AF D4 00 A7 AF 21 B0 80 00 21 80 A0 00 21 20 00 01 21 28 80 02 21 30 00 00 21 38 00 00 C0 00 BE AF BC 00 B7 AF 98 00 A8 AF C4 00 BF AF B4 00 B5 AF AC 00 B3 AF A8 00 B2 AF ?? ?? ?? 0? A4 00 B1 AF D8 00 B7 93 98 00 A8 8F 04 00 41 04 21 F0 00 00 00 80 02 3C 26 A0 82 02 01 00 1E 24 ?? ?? 11 3C ?? ?? 24 8E ?? ?? 25 8E 21 30 00 01 21 38 80 02 ?? ?? ?? 0? 98 00 A8 AF 21 A8 00 00 18 00 40 1C 98 00 A8 8F ?? ?? 02 3C ?? ?? 52 8C ?? ?? 53 8C 21 A8 00 00 88 13 11 24 21 20 00 01 21 28 80 02 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 21 40 40 00 21 30 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 44 8C 04 00 45 8C 21 A0 60 00 21 38 80 02 ?? ?? ?? 0? 98 00 A8 AF 0A 00 B5 26 65 00 40 18 98 00 A8 8F 38 00 A4 27 21 28 00 00 21 30 00 00 ?? ?? ?? 0? 98 00 A8 AF 98 00 A8 8F ?? ?? 05 3C 21 38 80 02 21 30 00 01 70 00 A4 27 ?? ?? ?? 0? ?? ?? A5 24 5B 00 40 18 70 00 A3 27 21 A0 62 00 2C 00 B2 27 30 00 B1 27 28 00 B3 27 00 00 68 90 08 00 02 8E 21 28 60 02 01 00 06 24 21 38 20 02 21 20 40 02 28 00 A8 A3 98 00 A3 AF 2C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 98 00 A3 8F 2C 00 A6 8F 38 00 A4 27 01 00 63 24 01 00 05 24 ?? ?? ?? 0? 98 00 A3 AF 98 00 A3 8F EB FF 74 54 00 00 68 90 08 00 02 8E 30 00 03 24 21 38 20 02 21 20 40 02 21 28 60 02 01 00 06 24 28 00 A3 A3 2C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 2C 00 A6 8F 54 00 B1 27 38 00 A4 27 ?? ?? ?? 0? 21 28 A0 02 21 20 20 02 21 30 00 00 ?? ?? ?? 0? 21 28 00 00 21 20 20 02 38 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 DC 00 A2 8F D4 00 A7 8F D0 00 A6 8F 14 00 A2 AF E0 00 A2 8F 21 28 00 02 21 20 C0 02 18 00 A2 AF 10 00 B7 AF 1C 00 BE AF ?? ?? ?? 0? 20 00 B1 AF 21 20 20 02 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 38 00 A4 27 01 00 05 24 ?? ?? ?? 0? 21 30 00 00 C4 00 BF 8F 21 10 C0 02 C0 00 BE 8F BC 00 B7 8F B8 00 B6 8F B4 00 B5 8F B0 00 B4 8F AC 00 B3 8F A8 00 B2 8F A4 00 B1 8F A0 00 B0 8F 08 00 E0 03 C8 00 BD 27 8A FF B1 56 21 20 00 01 ?? ?? ?? 0? 38 00 A4 27 2C 00 B2 27 30 00 B1 27 ?? ?? ?? 0? 28 00 B3 27 }
	condition:
		$1
}

rule file_164_178_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE11_PutgroupedES3_PKcmw"
		size = 388
		refs = "0054 memchr 00b0 _Mbtowcx 00c0 _ZNSt19ostreambuf_iteratorIwSt11char_traitsIwEEaSEw"
	strings:
		$1 = { A0 FF BD 27 4C 00 B4 AF 44 00 B2 AF 74 00 B4 8F 70 00 B2 8F 54 00 B6 AF 40 00 B1 AF 3C 00 B0 AF 21 B0 80 00 68 00 A6 AF 21 80 C0 00 08 00 B1 24 21 20 40 02 21 28 00 00 21 30 80 02 58 00 B7 AF 50 00 B5 AF 5C 00 BF AF 48 00 B3 AF 78 00 B5 8F 6C 00 A7 AF ?? ?? ?? 0? 21 B8 E0 00 39 00 40 10 21 98 80 02 23 98 52 00 23 A0 93 02 68 00 A2 8F 2C 00 B7 AF 28 00 A2 AF 17 00 60 12 28 00 B0 A3 21 80 53 02 21 B8 40 02 00 00 E3 92 00 00 22 8E 18 00 A5 27 1C 00 A4 27 01 00 06 24 30 00 A7 27 18 00 A3 A3 1C 00 A0 AF 30 00 A0 AF 34 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A5 8F 01 00 F7 26 ?? ?? ?? 0? 28 00 A4 27 F0 FF F0 56 00 00 E3 92 28 00 B0 93 2C 00 B7 8F 28 00 A3 8F 2C 00 A2 8F 68 00 A3 AF 19 00 80 12 6C 00 A2 AF 0C 00 A0 52 21 90 53 02 28 00 A4 27 ?? ?? ?? 0? 21 28 A0 02 2C 00 B7 8F 28 00 A2 8F 28 00 B0 93 24 00 B7 AF 20 00 A2 AF 68 00 A2 AF 6C 00 B7 AF 21 90 53 02 01 00 52 26 FF FF 94 26 21 20 40 02 21 28 00 00 ?? ?? ?? 0? 21 30 80 02 CB FF 40 54 23 98 52 00 21 98 80 02 ?? ?? ?? 0? 21 A0 00 00 5C 00 BF 8F 04 00 C2 AE 00 00 C3 AE 21 10 C0 02 58 00 B7 8F 54 00 B6 8F 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 60 00 BD 27 }
	condition:
		$1
}

rule file_164_179_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_IputES3_RSt8ios_basewPcm"
		size = 1064
		refs = "0074 _ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale 0194 _ZNSt19ostreambuf_iteratorIwSt11char_traitsIwEEaSEw 0200 _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE11_PutgroupedES3_PKcmw 0238 _ZdlPv 02a0 memmove"
	strings:
		$1 = { 68 FF BD 27 80 00 B4 AF A8 00 B4 8F 88 00 B6 AF 21 B0 80 00 24 00 82 8E FF FF 04 24 90 00 BE AF 00 00 42 8C 8C 00 B7 AF 7C 00 B3 AF 04 00 43 8C 78 00 B2 AF 74 00 B1 AF 70 00 B0 AF 94 00 BF AF 84 00 B5 AF 21 F0 A0 00 A0 00 A6 AF A4 00 A7 AF AC 00 B0 8F B0 00 B1 8F B4 00 B3 8F FF 00 D7 30 21 90 E0 00 03 00 64 10 20 00 A2 AF 01 00 63 24 04 00 43 AC ?? ?? ?? 0? 20 00 A4 27 20 00 A4 8F 0A 00 80 10 21 A8 40 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 8A 00 40 50 00 00 82 8C 00 00 A3 8E 3C 00 A2 27 01 00 08 24 10 00 63 8C 21 20 40 00 5C 00 A2 AF 64 00 A8 AF 09 F8 60 00 21 28 A0 02 00 00 23 82 2B 00 04 24 5C 00 A2 8F 06 00 64 10 64 00 A8 8F 2D 00 04 24 03 00 64 10 30 00 04 24 9F 00 64 10 21 40 00 00 50 00 A9 8F 3C 00 A3 8F 10 00 29 2D 0A 10 69 00 00 00 44 80 21 48 40 00 7F 00 02 24 0A 00 82 50 18 00 82 8E 07 00 80 18 21 18 60 02 FF FF 85 24 FF 00 A5 30 23 10 68 00 7E 00 A5 2C 4F 00 A0 14 2B 10 82 00 18 00 82 8E 05 00 40 18 21 18 00 00 2B 18 62 02 23 10 53 00 0A 10 03 00 21 18 40 00 10 00 82 8E 02 00 04 24 0E 00 42 30 5F 00 44 10 08 00 04 24 87 00 44 10 A0 00 A2 8F 38 00 B2 AF 34 00 A2 AF 0C 00 60 10 34 00 B7 A3 34 00 B2 27 FF FF 63 24 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 68 00 A3 AF 68 00 A3 8F FA FF 60 14 FF FF 63 24 38 00 B2 8F 34 00 B7 93 38 00 A2 8F 34 00 A3 8F 28 00 A2 AF A4 00 A2 AF A0 00 A2 27 24 00 A3 AF A0 00 A3 AF 58 00 A2 AF 00 00 A2 8E 0C 00 42 8C 09 F8 40 00 21 20 A0 02 A0 00 B7 A3 A0 00 A6 8F 58 00 A4 8F 21 28 C0 03 21 38 40 02 18 00 A2 AF A4 00 B2 AF 10 00 B1 AF ?? ?? ?? 0? 14 00 B3 AF A0 00 A2 8F 18 00 80 AE 34 00 A2 AF A4 00 A2 8F 38 00 A2 AF 34 00 A3 8F 50 00 A2 8F 00 00 C3 AE 38 00 A3 8F 10 00 42 2C 03 00 40 14 04 00 C3 AE ?? ?? ?? 0? 3C 00 A4 8F 94 00 BF 8F 21 10 C0 02 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 23 18 64 00 21 38 23 02 01 00 64 24 21 20 24 02 AD FF 40 10 21 28 E0 00 01 00 73 26 23 30 63 02 68 00 A3 AF 60 00 A7 AF 64 00 A8 AF ?? ?? ?? 0? 5C 00 A9 AF 60 00 A7 8F 00 00 E0 A0 5C 00 A9 8F 68 00 A3 8F 64 00 A8 8F 01 00 24 81 29 00 80 18 01 00 22 25 ?? ?? ?? 0? 21 48 40 00 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 A3 8E 00 00 A2 8E 21 20 A0 02 0C 00 42 8C 09 F8 40 00 68 00 A3 AF A0 00 B7 A3 A0 00 A6 8F A0 00 A4 27 21 28 C0 03 21 38 40 02 18 00 A2 AF A4 00 B2 AF 10 00 B1 AF ?? ?? ?? 0? 14 00 B3 AF A0 00 A2 8F 68 00 A3 8F 18 00 80 AE 34 00 A2 AF A4 00 A2 8F B9 FF 60 10 38 00 A2 AF 34 00 B2 27 FF FF 63 24 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 68 00 A3 AF 68 00 A3 8F FA FF 60 54 FF FF 63 24 ?? ?? ?? 0? 34 00 A3 8F ?? ?? ?? 0? 00 00 24 81 01 00 23 82 78 00 04 24 5F FF 64 10 02 00 08 24 58 00 63 38 ?? ?? ?? 0? 0B 40 03 00 A0 00 B7 A3 A0 00 A6 8F A0 00 A2 27 21 20 40 00 08 00 C5 27 21 38 40 02 58 00 A2 AF 10 00 B1 AF 14 00 A8 AF 68 00 A3 AF 64 00 A8 AF ?? ?? ?? 0? A4 00 B2 AF A0 00 A2 8F 64 00 A8 8F 68 00 A3 8F 34 00 A2 AF A4 00 A2 8F 21 88 28 02 23 98 68 02 0A 00 60 10 38 00 A2 AF 34 00 B2 27 FF FF 63 24 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 68 00 A3 AF 68 00 A3 8F FA FF 60 14 FF FF 63 24 38 00 B2 8F 34 00 A2 8F 34 00 B7 93 30 00 B2 AF 2C 00 A2 AF A0 00 A2 AF ?? ?? ?? 0? A4 00 B2 AF }
	condition:
		$1
}

rule file_164_180_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewPKv"
		size = 164
		refs = "0054 sprintf 0080 _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_IputES3_RSt8ios_basewPcm"
	strings:
		$1 = { 88 FF BD 27 80 00 A6 AF 90 00 A6 8F 6C 00 B1 AF 6C 00 02 24 28 00 B1 27 70 00 B2 AF 68 00 B0 AF 21 90 A0 00 21 80 80 00 84 00 A7 AF 21 20 20 02 20 00 A5 27 25 00 03 24 21 00 A2 A3 22 00 A2 A3 21 38 00 00 78 00 02 24 74 00 BF AF 20 00 A3 A3 23 00 A2 A3 ?? ?? ?? 0? 24 00 A0 A3 88 00 A3 8F 80 00 A6 8F 84 00 A7 8F 10 00 A3 AF 8C 00 A3 8F 21 20 00 02 21 28 40 02 18 00 B1 AF 1C 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 74 00 BF 8F 21 10 00 02 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 78 00 BD 27 }
	condition:
		$1
}

rule file_164_181_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewy"
		size = 304
		refs = "00b8 sprintf 00e0 _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_IputES3_RSt8ios_basewPcm"
	strings:
		$1 = { 80 FF BD 27 74 00 B2 AF 90 00 B2 8F 6C 00 B0 AF 21 80 80 00 10 00 44 8E 25 00 03 24 78 00 B3 AF 00 04 82 30 7C 00 BF AF 70 00 B1 AF 21 98 A0 00 88 00 A6 AF 8C 00 A7 AF 33 00 40 10 20 00 A3 A3 2B 00 02 24 21 00 A2 A3 25 00 A3 27 24 00 A8 27 23 00 A5 27 22 00 A2 27 80 00 86 30 07 00 C0 10 6C 00 06 24 23 00 03 24 00 00 43 A0 02 00 A8 24 03 00 A3 24 21 10 A0 00 01 00 A5 24 00 00 46 A0 70 00 87 30 00 00 A6 A0 20 00 05 24 04 00 E5 10 6F 00 02 24 40 00 05 24 20 00 E5 10 75 00 02 24 98 00 A6 8F 9C 00 A7 8F 28 00 B1 27 21 20 20 02 20 00 A5 27 00 00 02 A1 ?? ?? ?? 0? 00 00 60 A0 94 00 A3 8F 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 60 02 10 00 B2 AF 18 00 B1 AF 1C 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 7C 00 BF 8F 21 10 00 02 78 00 B3 8F 74 00 B2 8F 70 00 B1 8F 6C 00 B0 8F 08 00 E0 03 80 00 BD 27 24 00 A3 27 23 00 A8 27 22 00 A5 27 ?? ?? ?? 0? 21 00 A2 27 00 02 84 30 58 00 02 24 78 00 05 24 ?? ?? ?? 0? 0A 10 A4 00 }
	condition:
		$1
}

rule file_164_182_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewx"
		size = 304
		refs = "00b8 sprintf 00e0 _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_IputES3_RSt8ios_basewPcm"
	strings:
		$1 = { 80 FF BD 27 74 00 B2 AF 90 00 B2 8F 6C 00 B0 AF 21 80 80 00 10 00 44 8E 25 00 03 24 78 00 B3 AF 00 04 82 30 7C 00 BF AF 70 00 B1 AF 21 98 A0 00 88 00 A6 AF 8C 00 A7 AF 33 00 40 10 20 00 A3 A3 2B 00 02 24 21 00 A2 A3 25 00 A3 27 24 00 A8 27 23 00 A5 27 22 00 A2 27 80 00 86 30 07 00 C0 10 6C 00 06 24 23 00 03 24 00 00 43 A0 02 00 A8 24 03 00 A3 24 21 10 A0 00 01 00 A5 24 00 00 46 A0 70 00 87 30 00 00 A6 A0 20 00 05 24 04 00 E5 10 6F 00 02 24 40 00 05 24 20 00 E5 10 64 00 02 24 98 00 A6 8F 9C 00 A7 8F 28 00 B1 27 21 20 20 02 20 00 A5 27 00 00 02 A1 ?? ?? ?? 0? 00 00 60 A0 94 00 A3 8F 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 60 02 10 00 B2 AF 18 00 B1 AF 1C 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 7C 00 BF 8F 21 10 00 02 78 00 B3 8F 74 00 B2 8F 70 00 B1 8F 6C 00 B0 8F 08 00 E0 03 80 00 BD 27 24 00 A3 27 23 00 A8 27 22 00 A5 27 ?? ?? ?? 0? 21 00 A2 27 00 02 84 30 58 00 02 24 78 00 05 24 ?? ?? ?? 0? 0A 10 A4 00 }
	condition:
		$1
}

rule file_164_183_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewm"
		size = 284
		refs = "00a8 sprintf 00d0 _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_IputES3_RSt8ios_basewPcm"
	strings:
		$1 = { 80 FF BD 27 74 00 B2 AF 90 00 B2 8F 6C 00 B0 AF 21 80 80 00 10 00 42 8E 25 00 04 24 78 00 B3 AF 00 04 43 30 7C 00 BF AF 70 00 B1 AF 21 98 A0 00 88 00 A6 AF 8C 00 A7 AF 2F 00 60 10 20 00 A4 A3 2B 00 03 24 21 00 A3 A3 24 00 A8 27 23 00 A3 27 22 00 A4 27 80 00 45 30 06 00 A0 10 6C 00 06 24 23 00 05 24 00 00 85 A0 02 00 68 24 21 20 60 00 01 00 63 24 00 00 86 A0 70 00 45 30 20 00 04 24 04 00 A4 10 6F 00 07 24 40 00 04 24 1E 00 A4 10 75 00 07 24 98 00 A6 8F 28 00 B1 27 00 00 67 A0 21 20 20 02 20 00 A5 27 ?? ?? ?? 0? 00 00 00 A1 94 00 A3 8F 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 60 02 10 00 B2 AF 18 00 B1 AF 1C 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 7C 00 BF 8F 21 10 00 02 78 00 B3 8F 74 00 B2 8F 70 00 B1 8F 6C 00 B0 8F 08 00 E0 03 80 00 BD 27 23 00 A8 27 22 00 A3 27 ?? ?? ?? 0? 21 00 A4 27 00 02 42 30 58 00 07 24 78 00 04 24 ?? ?? ?? 0? 0A 38 82 00 }
	condition:
		$1
}

rule file_164_184_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewl"
		size = 284
		refs = "00a8 sprintf 00d0 _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_IputES3_RSt8ios_basewPcm"
	strings:
		$1 = { 80 FF BD 27 74 00 B2 AF 90 00 B2 8F 6C 00 B0 AF 21 80 80 00 10 00 42 8E 25 00 04 24 78 00 B3 AF 00 04 43 30 7C 00 BF AF 70 00 B1 AF 21 98 A0 00 88 00 A6 AF 8C 00 A7 AF 2F 00 60 10 20 00 A4 A3 2B 00 03 24 21 00 A3 A3 24 00 A8 27 23 00 A3 27 22 00 A4 27 80 00 45 30 06 00 A0 10 6C 00 06 24 23 00 05 24 00 00 85 A0 02 00 68 24 21 20 60 00 01 00 63 24 00 00 86 A0 70 00 45 30 20 00 04 24 04 00 A4 10 6F 00 07 24 40 00 04 24 1E 00 A4 10 64 00 07 24 98 00 A6 8F 28 00 B1 27 00 00 67 A0 21 20 20 02 20 00 A5 27 ?? ?? ?? 0? 00 00 00 A1 94 00 A3 8F 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 60 02 10 00 B2 AF 18 00 B1 AF 1C 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 7C 00 BF 8F 21 10 00 02 78 00 B3 8F 74 00 B2 8F 70 00 B1 8F 6C 00 B0 8F 08 00 E0 03 80 00 BD 27 23 00 A8 27 22 00 A3 27 ?? ?? ?? 0? 21 00 A4 27 00 02 42 30 58 00 07 24 78 00 04 24 ?? ?? ?? 0? 0A 38 82 00 }
	condition:
		$1
}

rule file_164_185_4 {
	meta:
		name = "_ZNSs6appendEPKcm"
		size = 552
		refs = "00f0 _ZNSs5_GrowEmb 0120 memcpy 017c _ZSt14_Xout_of_rangePKc 01a4 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { D8 FF BD 27 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 21 88 A0 00 21 80 80 00 7F 00 A0 10 21 90 C0 00 14 00 83 8C 10 00 63 2C 02 00 60 14 21 10 80 00 00 00 82 8C 2B 10 22 02 09 00 40 54 10 00 02 8E 02 00 60 14 21 20 00 02 00 00 04 8E 10 00 02 8E 21 20 82 00 2B 20 24 02 0F 00 80 14 00 00 00 00 27 10 02 00 2B 10 42 02 52 00 40 10 ?? ?? 04 3C 55 00 40 56 10 00 13 8E 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 31 00 60 14 21 18 00 02 00 00 03 8E 23 88 23 02 2B 18 51 00 31 00 60 14 ?? ?? 04 3C 23 18 51 00 2B 20 43 02 0A 90 64 00 27 10 02 00 2B 10 42 02 34 00 40 10 ?? ?? 04 3C EA FF 40 12 24 00 BF 8F 10 00 13 8E 21 20 00 02 21 30 00 00 21 98 53 02 ?? ?? ?? 0? 21 28 60 02 E2 FF 40 10 24 00 BF 8F 14 00 02 8E 10 00 42 2C 42 00 40 14 10 00 04 8E 00 00 05 8E 21 20 A4 00 21 28 B1 00 21 30 40 02 ?? ?? ?? 0? 00 00 00 00 14 00 03 8E 10 00 63 2C 02 00 60 14 21 10 00 02 00 00 02 8E 21 10 53 00 10 00 13 AE 00 00 40 A0 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 23 88 23 02 2B 18 51 00 D3 FF 60 10 23 18 51 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 02 8E 23 18 51 00 2B 20 43 02 0A 90 64 00 27 10 02 00 2B 10 42 02 CE FF 40 14 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 B5 FF 40 12 24 00 BF 8F ?? ?? ?? 0? 10 00 13 8E ?? ?? ?? 0? ?? ?? 84 24 AF FF 40 12 24 00 BF 8F 10 00 13 8E 21 20 00 02 21 30 00 00 21 98 53 02 ?? ?? ?? 0? 21 28 60 02 A7 FF 40 10 24 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 10 00 02 8E 21 28 20 02 21 30 40 02 ?? ?? ?? 0? 21 20 82 00 21 28 00 02 ?? ?? ?? 0? 21 20 04 02 ?? ?? ?? 0? 10 00 82 8C }
	condition:
		$1
}

rule file_164_186_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_FputES3_RSt8ios_basewPKcmmmm"
		size = 3220
		refs = "0080 _ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale 0128 _Mbtowcx 014c localeconv 0174 memchr 01c8 _ZNSs6appendEPKcm 02a0 strcspn 02f0 _ZSt14_Xout_of_rangePKc 0314 _ZNSs5_GrowEmb 0348 memmove 043c _ZNSt19ostreambuf_iteratorIwSt11char_traitsIwEEaSEw 04cc _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE11_PutgroupedES3_PKcmw 0774 _ZdlPv 0804 _ZSt14_Xlength_errorPKc 0924 memset 0b80 _ZNSs6appendEmc"
	strings:
		$1 = { 08 FF BD 27 08 01 A3 8F F8 00 A4 AF 00 01 A6 AF 24 00 62 8C FF 00 C6 30 FF FF 04 24 00 00 42 8C EC 00 B7 AF E8 00 B6 AF 04 00 43 8C E4 00 B5 AF E0 00 B4 AF D0 00 B0 AF F4 00 BF AF F0 00 BE AF DC 00 B3 AF D8 00 B2 AF D4 00 B1 AF FC 00 A5 AF 04 01 A7 AF 0C 01 B6 8F 10 01 B7 8F 14 01 B4 8F 18 01 B5 8F 1C 01 B0 8F B8 00 A6 AF C8 00 A7 AF 03 00 64 10 28 00 A2 AF 01 00 63 24 04 00 43 AC ?? ?? ?? 0? 28 00 A4 27 28 00 A4 8F 0A 00 80 10 21 F0 40 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 C8 01 40 50 00 00 82 8C 00 00 C2 8F 78 00 A4 27 B0 00 A4 AF 10 00 42 8C 09 F8 40 00 21 28 C0 03 00 00 C2 8F 01 00 05 24 21 20 C0 03 0C 00 42 8C 09 F8 40 00 BC 00 A5 AF FC 00 A6 8F C0 00 A2 AF 0F 00 03 24 08 00 C2 8C A8 00 A3 AF 2C 00 A4 27 30 00 03 24 20 00 A5 27 01 00 06 24 70 00 A7 27 20 00 A3 A3 A4 00 A0 AF 94 00 A0 A3 2C 00 A0 AF 70 00 A0 AF 74 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 00 00 E2 82 2B 00 03 24 04 00 43 10 2C 00 B3 8F 2D 00 42 38 01 00 42 2C BC 00 A2 AF ?? ?? ?? 0? 00 00 00 00 2C 00 42 8C 20 01 A6 8F 65 00 05 24 00 00 42 90 21 20 E0 02 26 00 A0 A3 24 00 A2 A3 65 00 02 24 ?? ?? ?? 0? 25 00 A2 A3 24 00 A5 83 20 01 A6 8F 21 20 E0 02 ?? ?? ?? 0? C4 00 A2 AF 21 88 40 00 8C 00 A2 8F 78 00 A3 8F B0 00 A4 8F 10 00 42 2C 0A 20 62 00 00 00 82 80 7F 00 03 24 98 01 43 10 0A 80 11 00 96 01 40 18 20 01 A6 8F 94 00 B2 27 21 28 E0 02 ?? ?? ?? 0? 21 20 40 02 C4 00 A5 8F 69 02 A0 10 21 20 40 02 A8 02 20 12 21 28 80 02 C4 00 A6 8F A4 00 A2 8F 23 18 D7 00 2B 20 43 00 DE 01 80 14 ?? ?? 04 3C 27 10 02 00 2B 10 02 02 D3 01 40 10 ?? ?? 04 3C A7 01 00 16 A4 00 A2 8F 6F 02 20 12 A4 00 A2 8F 23 88 37 02 01 00 30 26 2B 18 50 00 33 02 60 14 ?? ?? 04 3C 27 18 02 00 2B 18 A3 02 29 02 60 10 ?? ?? 04 3C FF 01 A0 16 21 B8 55 00 2B 18 51 00 F8 01 60 14 ?? ?? 04 3C 27 10 02 00 2B 10 82 02 EE 01 40 10 ?? ?? 04 3C C8 01 80 16 A4 00 B0 8F C4 00 A0 AF 21 A8 00 00 A8 00 A4 8F 94 00 A2 8F 8C 00 B1 8F 10 00 84 2C 0B 10 44 02 21 20 40 00 B0 00 A6 8F 78 00 A2 8F 10 00 31 2E 24 00 A5 27 0A 30 51 00 ?? ?? ?? 0? 21 88 C0 00 21 80 40 00 00 00 22 82 ?? ?? 17 3C FF FF 43 24 FF 00 63 30 7E 00 63 2C 39 00 60 10 ?? ?? F7 26 BC 00 A4 8F 23 18 04 02 2B 18 43 00 35 00 60 50 A8 00 A2 8F A4 00 B4 8F 23 80 02 02 2B 10 90 02 05 00 40 10 FE FF 82 2E ?? ?? ?? 0? 21 20 E0 02 A4 00 B4 8F FE FF 82 2E 40 01 40 10 ?? ?? 04 3C 01 00 94 26 21 20 40 02 21 28 80 02 ?? ?? ?? 0? 21 30 00 00 1A 00 40 50 01 00 22 82 A8 00 A2 8F 10 00 42 2C 32 01 40 10 94 00 A5 8F 01 00 04 26 21 20 44 02 21 28 40 02 A4 00 A6 8F 21 28 B0 00 ?? ?? ?? 0? 23 30 D0 00 A8 00 A2 8F 94 00 A3 8F 10 00 42 2C 0B 18 42 02 21 10 70 00 00 00 40 A0 A8 00 A2 8F 94 00 A3 8F A4 00 B4 AF 10 00 42 2C 0B 18 42 02 21 A0 74 00 00 00 80 A2 01 00 22 82 17 01 40 18 01 00 23 26 21 88 60 00 FF FF 43 24 FF 00 63 30 7E 00 63 2C CA FF 60 14 BC 00 A4 8F A8 00 A2 8F 10 00 42 2C 02 00 40 14 21 B8 40 02 94 00 B7 8F A4 00 A5 8F 21 80 00 00 21 A0 00 00 20 01 A5 AF 08 01 A6 8F 18 00 C2 8C 09 00 40 18 21 88 00 00 C4 00 A4 8F 20 01 A5 8F 21 18 85 00 2B 88 62 00 23 10 43 00 0A 10 11 00 21 88 40 00 08 01 A6 8F 02 00 03 24 10 00 C2 8C 0E 00 42 30 24 01 43 10 08 00 03 24 BD 01 43 10 C8 00 A2 8F B8 00 A3 8F 6C 00 A2 AF 00 01 A2 8F 68 00 A2 AF 0C 00 20 12 68 00 A3 A3 68 00 B2 27 FF FF 31 26 21 20 40 02 ?? ?? ?? 0? 21 28 C0 02 FC FF 20 16 FF FF 31 26 6C 00 A4 8F 68 00 A5 93 C8 00 A4 AF B8 00 A5 AF 68 00 A3 8F 6C 00 A2 8F C8 00 B2 8F 00 01 A6 27 30 00 A3 AF 34 00 A2 AF 00 01 A3 AF 04 01 A2 AF 21 88 00 00 BC 00 A6 AF 24 00 A5 83 20 01 A6 8F ?? ?? ?? 0? 21 20 E0 02 4A 00 40 10 B8 00 A5 8F 23 10 57 00 01 00 43 24 00 01 A5 A3 14 00 A2 AF 00 01 A6 8F C0 00 A2 8F BC 00 A4 8F FC 00 A5 8F 21 38 40 02 04 01 B2 AF 18 00 A2 AF B8 00 A3 AF ?? ?? ?? 0? 10 00 B7 AF 00 01 A2 8F 68 00 B2 27 68 00 A2 AF 04 01 A2 8F 07 00 80 12 6C 00 A2 AF FF FF 94 26 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 FC FF 80 56 FF FF 94 26 00 00 C2 8F 6C 00 A3 8F 68 00 A5 8F 08 00 42 8C 21 20 C0 03 44 00 A3 AF 04 01 A3 AF 40 00 A5 AF 09 F8 40 00 00 01 A5 AF 21 28 40 00 00 01 A2 8F 21 20 40 02 68 00 A2 AF 04 01 A2 8F ?? ?? ?? 0? 6C 00 A2 AF 6C 00 A4 8F 68 00 A3 8F 68 00 A5 93 21 10 80 00 48 00 A3 AF 4C 00 A4 AF 00 01 A3 AF 09 00 A0 12 04 01 A4 AF FF FF B5 26 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 FC FF A0 56 FF FF B5 26 68 00 A5 93 6C 00 A2 8F 6C 00 A3 8F B8 00 A6 8F 68 00 A4 8F 54 00 A3 AF 04 01 A3 AF 20 01 A3 8F 21 B8 E6 02 50 00 A4 AF 23 18 66 00 00 01 A4 AF 20 01 A3 AF 21 90 40 00 B8 00 A5 AF 20 01 A6 8F 21 20 E0 02 ?? ?? ?? 0? 65 00 05 24 97 00 40 10 B8 00 A4 8F 23 10 57 00 14 00 A2 AF 00 01 A4 A3 00 01 A6 8F BC 00 A4 8F FC 00 A5 8F 01 00 54 24 C0 00 A2 8F 21 38 40 02 04 01 B2 AF 18 00 A2 AF ?? ?? ?? 0? 10 00 B7 AF 00 01 A2 8F 68 00 B2 27 68 00 A2 AF 04 01 A2 8F 07 00 00 12 6C 00 A2 AF FF FF 10 26 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 FC FF 00 56 FF FF 10 26 08 01 A3 8F 6C 00 A2 8F 10 00 64 8C 68 00 A3 8F 5C 00 A2 AF 00 02 84 30 58 00 A3 AF 00 01 A3 AF 71 00 80 10 04 01 A2 AF ?? ?? 03 3C ?? ?? 63 24 FC 00 A4 8F 01 00 06 24 70 00 A7 27 08 00 82 8C 00 01 A4 8F 20 00 A5 27 21 B8 F4 02 68 00 A4 AF 04 01 A4 8F 6C 00 A4 AF 00 00 63 90 2C 00 A4 27 2C 00 A0 AF 20 00 A3 A3 70 00 A0 AF 74 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 2C 00 A5 8F ?? ?? ?? 0? 21 20 40 02 68 00 A3 8F 6C 00 A2 8F 20 01 A5 8F 00 01 A3 AF 68 00 A3 93 23 A0 B4 00 21 38 40 00 00 01 A3 A3 04 01 A2 AF 00 01 A6 8F C0 00 A2 8F BC 00 A4 8F FC 00 A5 8F 18 00 A2 AF 10 00 B7 AF ?? ?? ?? 0? 14 00 B4 AF 00 01 A2 8F 68 00 A2 AF 04 01 A2 8F 6C 00 A2 AF 68 00 A3 8F 6C 00 A2 8F 08 01 A4 8F 60 00 A3 AF 64 00 A2 AF 18 00 80 AC 00 01 A3 AF 08 00 20 12 04 01 A2 AF 68 00 B2 27 FF FF 31 26 21 20 40 02 ?? ?? ?? 0? 21 28 C0 02 FC FF 20 56 FF FF 31 26 68 00 A3 8F F8 00 A5 8F A8 00 A2 8F 00 00 A3 AC 6C 00 A3 8F 10 00 42 2C 03 00 40 14 04 00 A3 AC ?? ?? ?? 0? 94 00 A4 8F 0F 00 02 24 A8 00 A2 AF 8C 00 A2 8F A4 00 A0 AF 10 00 42 2C 03 00 40 14 94 00 A0 A3 ?? ?? ?? 0? 78 00 A4 8F F4 00 BF 8F F8 00 A2 8F F0 00 BE 8F EC 00 B7 8F E8 00 B6 8F E4 00 B5 8F E0 00 B4 8F DC 00 B3 8F D8 00 B2 8F D4 00 B1 8F D0 00 B0 8F 08 00 E0 03 F8 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 C2 8F 21 18 20 02 00 00 22 82 ?? ?? ?? 0? 21 88 60 00 01 00 04 26 ?? ?? ?? 0? 21 20 A4 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? A4 00 B4 8F 21 10 B4 02 21 10 50 00 ?? ?? ?? 0? C4 00 A2 AF ?? ?? 03 3C ?? ?? ?? 0? ?? ?? 63 24 B8 00 A3 8F 20 01 A2 8F BC 00 A4 8F 00 01 A3 A3 00 01 A6 8F C0 00 A3 8F FC 00 A5 8F 21 38 40 02 14 00 A2 AF 04 01 B2 AF 10 00 B7 AF ?? ?? ?? 0? 18 00 A3 AF 00 01 A2 8F 68 00 A2 AF 04 01 A2 8F A8 FF 00 12 6C 00 A2 AF 68 00 B2 27 FF FF 10 26 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 FC FF 00 56 FF FF 10 26 ?? ?? ?? 0? 68 00 A3 8F 00 01 A4 27 C8 00 B2 8F ?? ?? ?? 0? BC 00 A4 AF 21 20 40 02 21 30 00 00 21 10 02 02 21 28 40 00 CC 00 A3 AF ?? ?? ?? 0? B4 00 A2 AF 52 FE 40 10 CC 00 A3 8F A8 00 A2 8F 10 00 42 2C AD 00 40 10 94 00 A5 8F 21 20 03 02 21 20 44 02 21 28 40 02 A4 00 A6 8F 21 28 A3 00 CC 00 A3 AF ?? ?? ?? 0? 23 30 C3 00 01 00 02 24 AB 00 02 12 CC 00 A3 8F A8 00 A4 8F 94 00 A2 8F 30 00 05 24 10 00 84 2C 0B 10 44 02 21 20 43 00 ?? ?? ?? 0? 21 30 00 02 B4 00 A2 8F A8 00 A3 8F A4 00 A2 AF 94 00 A2 8F 10 00 63 2C 0B 10 43 02 B4 00 A3 8F 21 10 43 00 ?? ?? ?? 0? 00 00 40 A0 ?? ?? 84 24 ?? ?? ?? 0? CC 00 A3 AF 2C FE 00 12 CC 00 A3 8F ?? ?? ?? 0? A4 00 A2 8F ?? ?? 84 24 ?? ?? ?? 0? CC 00 A3 AF A4 00 A2 8F ?? ?? ?? 0? CC 00 A3 8F 21 20 40 02 21 30 00 00 21 80 90 02 ?? ?? ?? 0? 21 28 00 02 34 FE 40 50 C4 00 A0 AF A8 00 A2 8F 10 00 42 2C 7B 00 40 10 94 00 A5 8F 21 20 91 02 21 20 44 02 21 28 40 02 A4 00 A6 8F 21 28 B1 00 ?? ?? ?? 0? 23 30 D1 00 01 00 02 24 85 00 82 12 A8 00 A4 8F 94 00 A2 8F 30 00 05 24 10 00 84 2C 0B 10 44 02 21 20 51 00 ?? ?? ?? 0? 21 30 80 02 A8 00 A3 8F 94 00 A2 8F A4 00 B0 AF 10 00 63 2C 0B 10 43 02 21 80 50 00 ?? ?? ?? 0? 00 00 00 A2 ?? ?? ?? 0? ?? ?? 84 24 13 FE 80 52 C4 00 A0 AF ?? ?? ?? 0? A4 00 B0 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? A4 00 A2 8F 21 20 40 02 21 28 E0 02 ?? ?? ?? 0? 21 30 00 00 1E 00 40 10 A4 00 A2 8F A8 00 A2 8F 10 00 42 2C 51 00 40 10 94 00 A5 8F 21 20 15 02 21 20 44 02 21 28 40 02 A4 00 A6 8F 21 28 B0 00 ?? ?? ?? 0? 23 30 D0 00 01 00 02 24 60 00 A2 12 A8 00 A4 8F 94 00 A2 8F 30 00 05 24 10 00 84 2C 0B 10 44 02 21 20 50 00 ?? ?? ?? 0? 21 30 A0 02 A8 00 A3 8F 94 00 A2 8F A4 00 B7 AF 10 00 63 2C 0B 10 43 02 21 B8 57 00 00 00 E0 A2 A4 00 A2 8F 2B 18 51 00 E1 FD 60 50 27 10 02 00 ?? ?? ?? 0? ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 D7 FD A0 12 A4 00 A2 8F ?? ?? ?? 0? 21 B8 55 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? A4 00 A2 8F BC 00 A2 8F 47 00 40 14 00 01 A6 27 C8 00 B2 8F BC 00 A6 AF 00 01 A2 8F 6C 00 B2 AF 68 00 A2 AF B8 00 A2 8F 0B 00 20 12 68 00 A2 A3 68 00 B2 27 FF FF 31 26 21 20 40 02 ?? ?? ?? 0? 21 28 C0 02 FC FF 20 56 FF FF 31 26 68 00 A3 93 6C 00 B2 8F B8 00 A3 AF 68 00 A3 8F 6C 00 A2 8F 21 88 00 00 38 00 A3 AF 3C 00 A2 AF 00 01 A3 AF ?? ?? ?? 0? 04 01 A2 AF 21 28 00 02 ?? ?? ?? 0? 30 00 06 24 ?? ?? ?? 0? 00 00 00 00 21 20 03 02 ?? ?? ?? 0? 21 20 A4 00 21 20 91 02 ?? ?? ?? 0? 21 20 A4 00 21 20 15 02 ?? ?? ?? 0? 21 20 A4 00 A8 00 A4 8F 94 00 A2 8F 10 00 84 2C 0B 10 44 02 21 18 43 00 30 00 02 24 ?? ?? ?? 0? 00 00 62 A0 21 20 40 02 21 28 80 02 ?? ?? ?? 0? 30 00 06 24 ?? ?? ?? 0? C4 00 B5 AF A8 00 A3 8F 94 00 A2 8F 10 00 63 2C 0B 10 43 02 21 88 51 00 30 00 02 24 ?? ?? ?? 0? 00 00 22 A2 A8 00 A3 8F 94 00 A2 8F 10 00 63 2C 0B 10 43 02 21 80 50 00 30 00 02 24 ?? ?? ?? 0? 00 00 02 A2 B8 00 A3 8F FC 00 A2 8F C8 00 A7 8F 00 01 A3 A3 00 01 A6 8F 00 01 A4 27 08 00 45 24 01 00 02 24 BC 00 A4 AF 10 00 B7 AF 04 01 A7 AF ?? ?? ?? 0? 14 00 A2 AF 20 01 A4 8F 00 01 A5 93 01 00 F7 26 FF FF 84 24 20 01 A4 AF 04 01 B2 8F ?? ?? ?? 0? B8 00 A5 AF 21 20 40 02 ?? ?? ?? 0? 30 00 06 24 ?? ?? ?? 0? 21 A0 00 00 }
	condition:
		$1
}

rule file_164_187_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewe"
		size = 896
		refs = "0124 sprintf 0158 _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_FputES3_RSt8ios_basewPKcmmmm 01c0 dpcmp 0224 dpdiv 0318 dpmul"
	strings:
		$1 = { 18 FF BD 27 D4 00 B5 AF F8 00 B5 8F DC 00 B7 AF E0 00 BE AF 14 00 B7 8E D0 00 B4 AF E4 00 BF AF D8 00 B6 AF CC 00 B3 AF C8 00 B2 AF C4 00 B1 AF C0 00 B0 AF 21 A0 80 00 21 F0 A0 00 F0 00 A6 AF F4 00 A7 AF 00 01 A8 8F A5 00 E0 1A 04 01 A3 8F 10 00 B3 8E 31 00 E2 2A 30 00 11 24 0B 88 E2 02 23 B8 F1 02 00 18 72 32 00 10 02 24 4F 00 42 12 21 B0 00 00 21 80 00 00 25 00 04 24 00 04 62 32 44 00 40 10 30 00 A4 A3 2B 00 02 24 31 00 A2 A3 36 00 A7 27 35 00 A9 27 34 00 A5 27 33 00 A4 27 32 00 A2 27 00 01 73 32 08 00 60 12 2E 00 06 24 23 00 05 24 00 00 45 A0 03 00 89 24 02 00 85 24 04 00 87 24 21 10 80 00 01 00 84 24 00 00 46 A0 2A 00 06 24 00 00 86 A0 4C 00 04 24 00 00 A4 A0 00 10 04 24 08 00 44 12 66 00 02 24 00 18 04 24 05 00 44 12 61 00 02 24 65 00 02 24 00 08 52 3A 67 00 04 24 0B 10 92 00 38 00 B2 27 00 00 22 A1 21 20 40 02 10 00 A8 AF 14 00 A3 AF 30 00 A5 27 21 30 20 02 ?? ?? ?? 0? 00 00 E0 A0 FC 00 A3 8F F0 00 A6 8F F4 00 A7 8F 21 20 80 02 21 28 C0 03 10 00 B5 AF 18 00 B2 AF 1C 00 B0 AF 20 00 B6 AF 24 00 B7 AF 28 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF E4 00 BF 8F 21 10 80 02 E0 00 BE 8F DC 00 B7 8F D8 00 B6 8F D4 00 B5 8F D0 00 B4 8F CC 00 B3 8F C8 00 B2 8F C4 00 B1 8F C0 00 B0 8F 08 00 E0 03 E8 00 BD 27 35 00 A7 27 34 00 A9 27 33 00 A5 27 32 00 A4 27 ?? ?? ?? 0? 31 00 A2 27 21 20 00 01 21 28 60 00 21 30 00 00 21 38 00 00 BC 00 A3 AF ?? ?? ?? 0? B8 00 A8 AF BC 00 A3 8F 67 00 40 04 B8 00 A8 8F B0 00 A0 AF ?? ?? 10 3C ?? ?? 04 8E ?? ?? 05 8E 21 30 00 01 21 38 60 00 BC 00 A3 AF ?? ?? ?? 0? B8 00 A8 AF 21 80 00 00 BC 00 A3 8F 1A 00 40 1C B8 00 A8 8F 21 80 00 00 88 13 16 24 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C 21 20 00 01 ?? ?? ?? 0? 21 28 60 00 21 40 40 00 21 30 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 44 8C 04 00 45 8C 21 38 60 00 BC 00 A3 AF ?? ?? ?? 0? B8 00 A8 AF 0A 00 10 26 BC 00 A3 8F 03 00 40 1C B8 00 A8 8F EB FF 16 16 ?? ?? 02 3C 21 30 00 01 21 38 60 00 21 20 00 00 21 28 00 00 BC 00 A3 AF ?? ?? ?? 0? B8 00 A8 AF 21 B0 00 00 BC 00 A3 8F 0E 00 41 04 B8 00 A8 8F 0A 00 E2 2A 0C 00 40 14 B0 00 A4 8F ?? ?? 09 3C ?? ?? 26 8D ?? ?? 27 8D 21 20 00 01 21 28 60 00 ?? ?? ?? 0? B4 00 A9 AF BC 00 A3 8F 0F 00 40 18 B8 00 A8 8F B0 00 A4 8F 69 FF 80 10 00 80 02 3C ?? ?? ?? 0? 26 18 62 00 10 00 B3 8E 00 10 62 32 5B FF 40 14 31 00 E2 2A 21 B8 00 00 ?? ?? ?? 0? 06 00 11 24 F4 FF C4 12 B0 00 A4 8F ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C 21 20 00 01 ?? ?? ?? 0? 21 28 60 00 21 40 40 00 21 20 40 00 ?? ?? 02 3C ?? ?? 42 24 F6 FF F7 26 00 00 46 8C 04 00 47 8C 0A 00 E2 2A 21 28 60 00 E1 FF 40 14 0A 00 D6 26 BC 00 A3 AF ?? ?? ?? 0? B8 00 A8 AF BC 00 A3 8F DB FF 40 1C B8 00 A8 8F ?? ?? ?? 0? 88 13 04 24 01 00 02 24 B0 00 A2 AF 00 80 02 3C ?? ?? ?? 0? 26 18 62 00 }
	condition:
		$1
}

rule file_164_188_4 {
	meta:
		name = "_ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE6do_putES3_RSt8ios_basewd"
		size = 780
		refs = "0110 sprintf 0144 _ZNKSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE5_FputES3_RSt8ios_basewPKcmmmm 0198 fpmul 01a4 fpcmp 0200 fpdiv"
	strings:
		$1 = { 20 FF BD 27 D8 00 BE AF F0 00 BE 8F D0 00 B6 AF D4 00 B7 AF 14 00 D6 8F C0 00 B2 AF DC 00 BF AF CC 00 B5 AF C8 00 B4 AF C4 00 B3 AF BC 00 B1 AF B8 00 B0 AF 21 B8 80 00 E4 00 A5 AF E8 00 A6 AF EC 00 A7 AF 99 00 C0 1A F8 00 B2 8F 10 00 D4 8F 31 00 C2 2A 30 00 11 24 0B 88 C2 02 23 B0 D1 02 00 18 93 32 00 10 02 24 4A 00 62 12 ?? ?? 02 3C 21 A8 00 00 21 80 00 00 25 00 03 24 00 04 82 32 3F 00 40 10 30 00 A3 A3 2B 00 02 24 31 00 A2 A3 35 00 A3 27 34 00 A8 27 33 00 A4 27 32 00 A2 27 00 01 94 32 07 00 80 12 2E 00 05 24 23 00 03 24 00 00 43 A0 02 00 88 24 03 00 83 24 21 10 80 00 01 00 84 24 00 00 45 A0 2A 00 05 24 00 00 85 A0 00 10 04 24 08 00 64 12 66 00 02 24 00 18 04 24 05 00 64 12 61 00 02 24 65 00 02 24 00 08 73 3A 67 00 04 24 0B 10 93 00 38 00 B3 27 21 20 60 02 30 00 A5 27 21 30 20 02 21 38 40 02 00 00 02 A1 ?? ?? ?? 0? 00 00 60 A0 F4 00 A3 8F E8 00 A6 8F EC 00 A7 8F E4 00 A5 8F 21 20 E0 02 10 00 BE AF 18 00 B3 AF 1C 00 B0 AF 20 00 B5 AF 24 00 B6 AF 28 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF DC 00 BF 8F 21 10 E0 02 D8 00 BE 8F D4 00 B7 8F D0 00 B6 8F CC 00 B5 8F C8 00 B4 8F C4 00 B3 8F C0 00 B2 8F BC 00 B1 8F B8 00 B0 8F 08 00 E0 03 E0 00 BD 27 34 00 A3 27 33 00 A8 27 32 00 A4 27 ?? ?? ?? 0? 31 00 A2 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 B1 FF 40 10 21 A8 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 00 00 4E 00 40 04 01 00 02 24 B0 00 A0 AF ?? ?? 10 3C ?? ?? 04 8E 21 28 40 02 ?? ?? ?? 0? 21 80 00 00 11 00 40 1C 21 20 00 00 21 80 00 00 88 13 15 24 ?? ?? 03 3C ?? ?? 63 24 00 00 65 8C 21 20 40 02 ?? ?? ?? 0? 0A 00 10 26 21 90 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 44 8C ?? ?? ?? 0? 21 28 40 02 29 00 40 18 21 20 00 00 ?? ?? ?? 0? 21 28 40 02 19 00 41 04 21 A8 00 00 0A 00 C2 2A 17 00 40 14 B0 00 A4 8F ?? ?? 03 3C ?? ?? 65 8C 21 20 40 02 ?? ?? ?? 0? B4 00 A3 AF 10 00 40 1C B0 00 A4 8F ?? ?? 02 3C ?? ?? 42 24 00 00 45 8C 21 20 40 02 ?? ?? ?? 0? F6 FF D6 26 ?? ?? 03 3C 21 90 40 00 21 20 40 00 ?? ?? 63 24 0A 00 C2 2A 00 00 65 8C 11 00 40 10 0A 00 B5 26 B0 00 A4 8F 76 FF 80 10 00 80 02 3C ?? ?? ?? 0? 26 90 52 00 10 00 D4 8F 00 10 82 32 67 FF 40 14 31 00 C2 2A 21 B0 00 00 ?? ?? ?? 0? 06 00 11 24 CA FF 15 16 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 00 ?? ?? ?? 0? 00 00 00 00 EE FF 40 1C B0 00 A4 8F 88 13 03 24 EB FF A3 12 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 24 B0 00 A2 AF 00 80 02 3C ?? ?? ?? 0? 26 90 52 00 }
	condition:
		$1
}

rule file_164_189_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE9_GetffldxEPcRS3_S6_RSt8ios_basePi"
		size = 3236
		refs = "0060 _ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale 00e0 _Mbtowcx 0164 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 01f0 _ZNSs5_GrowEmb 022c _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 02b4 _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv 0348 _ZdlPv 0548 _ZSt14_Xlength_errorPKc 0824 localeconv"
	strings:
		$1 = { 50 FF BD 27 C0 00 A2 8F B0 00 A4 AF FF FF 04 24 24 00 42 8C 8C 00 B1 AF 88 00 B0 AF 00 00 42 8C AC 00 BF AF A8 00 BE AF 04 00 43 8C A4 00 B7 AF A0 00 B6 AF 9C 00 B5 AF 98 00 B4 AF 94 00 B3 AF 90 00 B2 AF B4 00 A5 AF 21 80 C0 00 21 88 E0 00 03 00 64 10 1C 00 A2 AF 01 00 63 24 04 00 43 AC ?? ?? ?? 0? 1C 00 A4 27 1C 00 A4 8F 0A 00 80 10 78 00 A2 AF 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 EC 00 40 50 00 00 82 8C 78 00 A3 8F 2C 00 A4 27 68 00 A4 AF 00 00 62 8C 10 00 42 8C 09 F8 40 00 21 28 60 00 B0 00 A5 8F 30 00 03 24 20 00 A4 27 08 00 A2 8C 01 00 06 24 18 00 A5 27 24 00 A7 27 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF B0 00 A3 8F 20 00 A4 27 18 00 A5 27 08 00 62 8C 01 00 06 24 61 00 03 24 24 00 A7 27 20 00 B6 8F 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF B0 00 A4 8F 41 00 03 24 18 00 A5 27 08 00 82 8C 01 00 06 24 20 00 A4 27 24 00 A7 27 20 00 B4 8F 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 74 00 A2 AF F2 01 40 10 B4 00 B5 8F 78 00 12 24 30 00 02 24 00 00 A2 A2 01 00 B2 A2 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 02 00 B5 26 B0 00 40 10 40 00 A2 8F 2C 00 A3 8F 68 00 A5 8F 10 00 42 2C 0A 28 62 00 00 00 A2 80 7F 00 03 24 BB 00 43 10 21 98 00 00 B9 00 40 18 3C 00 A2 8F 67 02 40 14 78 00 A5 8F 70 00 A0 AF 48 00 A2 27 6C 00 A2 AF 21 20 40 00 01 00 05 24 0F 00 02 24 21 30 00 00 5C 00 A2 AF 58 00 A0 AF ?? ?? ?? 0? 48 00 A0 A3 4B 02 40 14 5C 00 A4 8F 74 00 A2 8F 21 20 00 02 21 28 20 02 05 00 42 24 21 90 00 00 21 F0 00 00 21 B8 00 00 ?? ?? ?? 0? 7C 00 A2 AF 2A 00 40 14 5C 00 A2 8F ?? ?? ?? 0? 21 20 00 02 2A 18 56 00 06 00 60 14 2A 18 54 00 09 00 C3 26 2A 18 62 00 08 00 60 10 23 18 56 00 2A 18 54 00 A3 00 60 14 05 00 83 26 2A 18 62 00 A0 00 60 14 23 18 54 00 0A 00 63 24 A1 00 60 04 30 00 E2 2A 75 01 40 14 21 20 00 02 01 00 DE 27 5C 00 A2 8F 48 00 A3 8F 6C 00 A4 8F 10 00 42 2C 0A 20 62 00 21 10 92 00 00 00 44 80 7F 00 03 24 04 00 83 10 01 00 13 24 00 00 43 90 01 00 63 24 00 00 43 A0 ?? ?? ?? 0? 21 20 00 02 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 D8 FF 40 10 5C 00 A2 8F C6 01 40 16 10 00 47 2C 70 00 A0 AF 40 00 A5 8F 2C 00 A2 8F 68 00 A4 8F 10 00 A5 2C 0A 20 45 00 70 00 A2 8F 12 00 40 14 21 28 80 00 10 00 40 12 7F 00 02 24 00 00 83 80 0D 00 62 10 48 00 A4 8F 6C 00 A2 8F 7F 00 08 24 0B 20 47 00 FF FF 52 26 F1 01 40 16 21 10 92 00 00 00 82 80 2A 18 62 00 F3 01 60 50 01 00 A3 80 01 00 04 24 70 00 A4 AF 04 00 E0 14 0F 00 02 24 ?? ?? ?? 0? 48 00 A4 8F 0F 00 02 24 5C 00 A2 AF 58 00 A0 AF 48 00 A0 A3 06 00 60 12 21 20 00 02 04 00 E0 16 30 00 02 24 00 00 A2 A2 01 00 B5 26 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1D 01 40 10 00 00 00 00 10 01 E0 12 21 28 20 02 74 00 A2 8F 74 00 A4 8F 0A 00 03 24 05 00 42 24 23 18 64 00 ?? ?? 12 3C 78 00 A2 AF 7C 00 A3 AF ?? ?? 52 26 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 7C 00 40 10 00 00 00 00 96 00 60 16 21 20 00 02 21 90 60 02 70 00 A4 8F 03 00 80 54 B4 00 B5 8F B4 00 A5 8F 0A A8 B2 00 00 00 A0 A2 C4 00 A2 8F 00 00 5E AC 40 00 A2 8F 10 00 42 2C 04 00 40 14 AC 00 BF 8F ?? ?? ?? 0? 2C 00 A4 8F AC 00 BF 8F 21 10 00 00 A8 00 BE 8F A4 00 B7 8F A0 00 B6 8F 9C 00 B5 8F 98 00 B4 8F 94 00 B3 8F 90 00 B2 8F 8C 00 B1 8F 88 00 B0 8F 08 00 E0 03 B0 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 78 00 A3 8F ?? ?? ?? 0? 21 20 00 02 4E FF 56 14 40 00 A2 8F ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 71 01 40 10 40 00 A2 8F 2C 00 A3 8F 68 00 A5 8F 10 00 42 2C 0A 28 62 00 00 00 A2 80 7F 00 03 24 47 FF 43 14 01 00 13 24 74 00 A2 8F 74 00 A3 8F 0A 00 12 24 05 00 42 24 23 18 43 02 21 F0 00 00 21 B8 00 00 70 00 A2 AF 7C 00 A3 AF 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 EF 00 40 10 00 00 00 00 ?? ?? ?? 0? 70 00 A0 AF 74 00 A4 8F 2A 18 44 00 B4 01 60 10 7C 00 A5 8F 5C 00 A2 8F 48 00 A3 8F 6C 00 A5 8F 10 00 44 2C 0B 18 A4 00 21 18 72 00 00 00 63 80 6F FF 60 10 70 00 A3 8F 6D FF 60 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 70 00 A4 8F 68 FF 82 14 5C 00 A2 8F 58 00 A3 8F FE FF 62 2C 06 00 40 54 01 00 63 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 58 00 A3 8F 01 00 63 24 21 28 60 00 48 00 A4 27 21 30 00 00 ?? ?? ?? 0? 80 00 A3 AF 10 00 40 10 80 00 A3 8F 5C 00 A2 8F 10 00 42 2C 68 01 40 14 58 00 A4 8F 48 00 A2 8F 21 20 44 00 00 00 80 A0 5C 00 A2 8F 48 00 A4 8F 6C 00 A5 8F 10 00 42 2C 58 00 A3 AF 0A 28 82 00 21 18 A3 00 00 00 60 A0 ?? ?? ?? 0? 01 00 52 26 ?? ?? ?? 0? 21 20 00 02 2A 18 56 00 05 00 60 14 2A 18 54 00 09 00 C3 26 2A 18 62 00 A9 00 60 10 2A 18 54 00 0F 01 60 14 05 00 83 26 2A 18 62 00 0C 01 60 14 0A 00 05 24 23 18 B4 00 21 10 62 00 74 FF 40 04 30 00 E3 2A 05 00 60 10 21 10 52 00 00 00 42 90 01 00 F7 26 00 00 A2 A2 01 00 B5 26 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 01 00 13 24 ?? ?? ?? 0? 21 28 20 02 69 FF 40 14 21 90 60 02 ?? ?? ?? 0? 21 20 00 02 B0 00 A4 8F 21 90 40 00 70 00 03 24 08 00 82 8C 18 00 A5 27 20 00 A4 27 01 00 06 24 24 00 A7 27 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 15 00 42 12 70 00 02 24 ?? ?? ?? 0? 21 20 00 02 B0 00 A5 8F 21 90 40 00 50 00 03 24 08 00 A2 8C 20 00 A4 27 18 00 A5 27 01 00 06 24 24 00 A7 27 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 43 FF 42 16 21 90 60 02 70 00 02 24 00 00 A2 A2 ?? ?? ?? 0? 21 20 00 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 01 00 B5 26 40 01 40 10 21 90 00 00 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 33 01 40 10 00 00 00 00 04 00 40 12 09 00 C5 26 30 00 02 24 00 00 A2 A2 01 00 B5 26 30 00 17 24 21 A0 00 00 74 00 A5 AF ?? ?? ?? 0? 23 B8 F6 02 ?? ?? ?? 0? 21 20 00 02 2A 10 56 00 26 FF 40 14 70 00 A4 8F ?? ?? ?? 0? 21 20 00 02 74 00 A3 8F 2A 10 62 00 1F FF 40 14 08 00 83 2A 07 00 60 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 21 10 E2 02 00 00 A2 A2 01 00 94 26 01 00 B5 26 ?? ?? ?? 0? 21 20 00 02 21 90 60 02 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 E6 FF 40 10 70 00 A4 8F 11 FF 80 10 B4 00 A5 8F ?? ?? ?? 0? B4 00 B5 8F ?? ?? ?? 0? 21 20 00 02 09 00 56 14 21 20 00 02 ?? ?? ?? 0? FF FF DE 27 01 00 13 24 21 28 20 02 ?? ?? ?? 0? 21 20 00 02 F5 FF 40 10 00 00 00 00 ED FE C1 07 74 00 A2 8F 30 00 02 24 00 00 A2 A2 01 00 DE 27 ?? ?? ?? 0? 01 00 B5 26 ?? ?? ?? 0? 21 20 00 02 78 00 A5 8F 21 90 40 00 00 00 A2 8C 08 00 42 8C 09 F8 40 00 21 20 A0 00 DB FE 42 16 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 2C 00 42 8C 21 20 00 02 00 00 42 90 00 00 A2 A2 ?? ?? ?? 0? 01 00 B5 26 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 80 00 A3 AF 0B 00 56 10 80 00 A3 8F ?? ?? 04 3C ?? ?? 84 24 21 18 64 00 00 00 62 90 01 00 F7 26 00 00 A2 A2 ?? ?? ?? 0? 01 00 B5 26 ?? ?? ?? 0? 23 10 56 00 F6 FF E0 16 ?? ?? 04 3C ?? ?? ?? 0? 5C 00 A2 8F ?? ?? ?? 0? 21 20 00 02 2A 18 56 00 06 00 60 14 2A 18 54 00 09 00 C3 26 2A 18 62 00 08 00 60 10 23 18 56 00 2A 18 54 00 AF 00 60 14 05 00 83 26 2A 18 62 00 AC 00 60 14 23 18 54 02 21 18 62 00 01 FF 60 04 30 00 E2 2A 06 00 40 14 21 20 00 02 01 00 DE 27 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 01 00 13 24 ?? ?? ?? 0? 80 00 A3 AF 09 00 56 10 80 00 A3 8F ?? ?? 02 3C ?? ?? 42 24 21 18 62 00 00 00 62 90 01 00 F7 26 00 00 A2 A2 ?? ?? ?? 0? 01 00 B5 26 F8 FF E0 16 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 B0 00 A3 8F 21 98 40 00 2B 00 12 24 08 00 62 8C 20 00 A4 27 18 00 A5 27 01 00 06 24 24 00 A7 27 18 00 B2 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 89 00 62 12 B4 00 A4 8F ?? ?? ?? 0? 21 20 00 02 B0 00 A3 8F 21 98 40 00 2D 00 12 24 08 00 62 8C 20 00 A4 27 18 00 A5 27 01 00 06 24 24 00 A7 27 18 00 B2 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F EA FD 62 16 B4 00 B5 8F 00 00 B2 A2 B4 00 A5 8F 21 20 00 02 ?? ?? ?? 0? 01 00 B5 24 ?? ?? ?? 0? 78 00 12 24 01 00 02 24 70 00 A2 AF 6C 00 A3 8F 48 00 A2 8F 0B 10 67 00 21 10 52 00 00 00 42 80 35 FE 40 58 40 00 A5 8F 01 00 52 26 ?? ?? ?? 0? 70 00 A0 AF 74 00 A4 8F 2A 18 44 00 69 FE 60 14 00 00 00 00 78 00 A5 8F 2A 18 A2 00 65 FE 60 14 7C 00 A3 8F ?? ?? ?? 0? 21 10 62 00 ?? ?? ?? 0? 21 20 00 02 B0 00 A3 8F 21 98 40 00 20 00 A4 27 08 00 62 8C 18 00 A5 27 01 00 06 24 24 00 A7 27 18 00 B2 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 14 00 62 12 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 B0 00 A4 8F 21 90 40 00 58 00 03 24 08 00 82 8C 18 00 A5 27 20 00 A4 27 01 00 06 24 24 00 A7 27 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 6C FE 42 56 40 00 A2 8F ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 40 00 A2 8F 00 00 46 80 03 00 C3 10 01 00 03 24 ?? ?? ?? 0? 70 00 A3 AF 01 00 A3 80 2A 18 03 00 0E FE 40 12 21 28 65 00 00 00 A3 80 03 FE 68 54 FF FF 52 26 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 48 00 A2 27 48 00 A3 8F 6C 00 A5 8F 10 00 84 2C 0B 18 A4 00 00 00 60 A0 5C 00 A3 8F 10 00 63 2C 03 00 60 14 49 00 A2 27 48 00 A2 8F 01 00 42 24 01 00 03 24 58 00 A3 AF ?? ?? ?? 0? 00 00 40 A0 00 00 A2 8C 0C 00 42 8C 09 F8 40 00 21 20 A0 00 ?? ?? ?? 0? 70 00 A2 AF 74 00 A4 8F 2A 18 44 00 F6 FD 60 54 70 00 A0 AF 70 00 A5 8F 2A 18 A2 00 51 FE 60 14 7C 00 A4 8F ?? ?? ?? 0? 21 18 82 00 00 00 92 A0 B4 00 A5 8F 21 20 00 02 ?? ?? ?? 0? 01 00 B5 24 ?? ?? ?? 0? 78 00 12 24 2A 18 A2 00 4B FE 60 14 23 18 44 00 ?? ?? ?? 0? 0A 00 63 24 ?? ?? ?? 0? 21 20 00 02 CB FE 56 14 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 90 60 02 ?? ?? ?? 0? 21 20 00 02 B0 00 A3 8F 21 A0 40 00 2B 00 12 24 08 00 62 8C 20 00 A4 27 18 00 A5 27 01 00 06 24 24 00 A7 27 18 00 B2 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 15 00 82 52 00 00 B2 A2 ?? ?? ?? 0? 21 20 00 02 B0 00 A4 8F 21 A0 40 00 2D 00 12 24 08 00 82 8C 18 00 A5 27 20 00 A4 27 01 00 06 24 24 00 A7 27 18 00 B2 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 9C FE 82 56 21 90 00 00 00 00 B2 A2 21 20 00 02 ?? ?? ?? 0? 01 00 B5 26 ?? ?? ?? 0? 21 90 00 00 }
	condition:
		$1
}

rule file_164_190_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetffldEPcRS3_S6_RSt8ios_basePi"
		size = 2608
		refs = "0070 _ZSt9use_facetISt8numpunctIwEERKT_RKSt6locale 00f0 _Mbtowcx 0100 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0164 _ZNSs5_GrowEmb 01ac _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEEdeEv 0258 _ZdlPv 0400 _ZNSt19istreambuf_iteratorIwSt11char_traitsIwEEppEv 0668 localeconv 0834 _ZSt14_Xlength_errorPKc 0950 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE9_GetffldxEPcRS3_S6_RSt8ios_basePi"
	strings:
		$1 = { 58 FF BD 27 B8 00 A2 8F 00 18 03 24 88 00 B2 AF 10 00 48 8C 80 00 B0 AF A4 00 BF AF 00 18 08 31 A0 00 BE AF 9C 00 B7 AF 98 00 B6 AF 94 00 B5 AF 90 00 B4 AF 8C 00 B3 AF 84 00 B1 AF A8 00 A4 AF AC 00 A5 AF 21 80 C0 00 3F 02 03 11 21 90 E0 00 24 00 42 8C FF FF 04 24 00 00 42 8C 04 00 43 8C 03 00 64 10 1C 00 A2 AF 01 00 63 24 04 00 43 AC ?? ?? ?? 0? 1C 00 A4 27 1C 00 A4 8F 0A 00 80 10 70 00 A2 AF 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 B9 00 40 50 00 00 82 8C 70 00 A3 8F 2C 00 A4 27 68 00 A4 AF 00 00 62 8C 10 00 42 8C 09 F8 40 00 21 28 60 00 A8 00 A3 8F 20 00 A4 27 18 00 A5 27 08 00 62 8C 01 00 06 24 30 00 03 24 24 00 A7 27 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 20 00 B4 8F 99 01 40 10 AC 00 B5 8F 40 00 A2 8F 2C 00 A3 8F 68 00 A4 8F 10 00 42 2C 0A 20 62 00 00 00 82 80 7F 00 03 24 9B 00 43 10 30 00 11 24 99 00 40 18 3C 00 A2 8F FC 01 40 14 70 00 A3 8F 6C 00 A0 AF 48 00 BE 27 0F 00 02 24 21 20 C0 03 01 00 05 24 21 30 00 00 5C 00 A2 AF 58 00 A0 AF ?? ?? ?? 0? 48 00 A0 A3 E2 01 40 14 5C 00 A4 8F 30 00 02 24 09 00 84 26 23 10 54 00 21 88 00 00 21 B0 00 00 21 B8 00 00 21 98 00 00 74 00 A4 AF 78 00 A2 AF 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 6A 00 40 14 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 2A 10 54 00 3F 01 40 10 5C 00 A2 8F 10 00 43 2C 02 00 60 14 21 18 C0 03 48 00 A3 8F 21 18 71 00 00 00 63 80 56 00 60 14 6C 00 A4 8F 5E 00 20 16 48 00 A3 8F 6C 00 A0 AF 10 00 42 2C 40 00 A5 8F 2C 00 A3 8F 68 00 A4 8F 10 00 A5 2C 0A 20 65 00 6C 00 A3 8F 11 00 60 14 21 28 80 00 0F 00 20 12 7F 00 03 24 00 00 84 80 0C 00 83 10 48 00 A3 8F 7F 00 06 24 0A F0 62 00 FF FF 31 26 A1 01 20 16 21 18 D1 03 00 00 C3 83 2A 20 83 00 A3 01 80 50 01 00 A3 80 01 00 03 24 6C 00 A3 AF 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 48 00 A4 8F 0F 00 02 24 5C 00 A2 AF 58 00 A0 AF 48 00 A0 A3 06 00 60 12 21 20 00 02 04 00 E0 16 30 00 02 24 00 00 A2 A2 01 00 B5 26 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 EA 00 40 10 00 00 00 00 DD 00 E0 12 21 28 40 02 30 00 11 24 09 00 9E 26 23 88 34 02 21 28 40 02 ?? ?? ?? 0? 21 20 00 02 54 00 40 10 00 00 00 00 68 00 60 16 21 20 00 02 21 88 60 02 6C 00 A4 8F 03 00 80 54 AC 00 B5 8F AC 00 A2 8F 0A A8 51 00 00 00 A0 A2 40 00 A2 8F 10 00 42 2C 04 00 40 14 A4 00 BF 8F ?? ?? ?? 0? 2C 00 A4 8F A4 00 BF 8F 21 10 C0 02 A0 00 BE 8F 9C 00 B7 8F 98 00 B6 8F 94 00 B5 8F 90 00 B4 8F 8C 00 B3 8F 88 00 B2 8F 84 00 B1 8F 80 00 B0 8F 08 00 E0 03 A8 00 BD 27 AA FF 80 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 6C 00 A3 8F 36 01 62 10 58 00 A3 8F A5 FF 20 12 5C 00 A2 8F 48 00 A3 8F 10 00 42 2C 01 00 04 24 0B 18 C2 03 6C 00 A4 AF 21 18 71 00 00 00 63 80 9F FF 60 58 40 00 A5 8F 01 00 31 26 ?? ?? ?? 0? 6C 00 A0 AF 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 70 00 A3 8F 21 B0 00 00 21 B8 00 00 21 98 00 00 09 00 9E 26 23 88 34 02 21 28 40 02 ?? ?? ?? 0? 21 20 00 02 03 00 40 10 00 00 00 00 ?? ?? ?? 0? 6C 00 A0 AF ?? ?? ?? 0? 21 20 00 02 2A 10 54 00 A5 FF 40 54 6C 00 A0 AF ?? ?? ?? 0? 21 20 00 02 2A 10 C2 03 F5 FF 40 14 30 00 E3 2A A6 00 60 14 00 00 00 00 01 00 D6 26 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 01 00 13 24 ?? ?? ?? 0? 21 20 00 02 2A 10 54 00 A9 FF 40 14 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 2A 10 C2 03 A4 FF 40 14 30 00 E3 2A 07 00 60 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 21 10 22 02 00 00 A2 A2 01 00 F7 26 01 00 B5 26 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 01 00 13 24 ?? ?? ?? 0? 21 28 40 02 97 FF 40 14 21 88 60 02 ?? ?? ?? 0? 21 20 00 02 A8 00 A3 8F 21 88 40 00 20 00 A4 27 08 00 62 8C 18 00 A5 27 65 00 03 24 01 00 06 24 24 00 A7 27 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 15 00 22 12 65 00 02 24 ?? ?? ?? 0? 21 20 00 02 A8 00 A4 8F 21 88 40 00 45 00 03 24 08 00 82 8C 18 00 A5 27 20 00 A4 27 01 00 06 24 24 00 A7 27 18 00 A3 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 71 FF 22 16 21 88 60 02 65 00 02 24 00 00 A2 A2 ?? ?? ?? 0? 21 20 00 02 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 01 00 B5 26 13 01 40 10 21 88 00 00 21 28 40 02 ?? ?? ?? 0? 21 20 00 02 06 01 40 10 00 00 00 00 05 00 20 12 09 00 82 26 30 00 02 24 00 00 A2 A2 01 00 B5 26 09 00 82 26 30 00 1E 24 21 B8 00 00 70 00 A2 AF ?? ?? ?? 0? 23 F0 D4 03 ?? ?? ?? 0? 21 20 00 02 2A 10 54 00 53 FF 40 14 6C 00 A4 8F ?? ?? ?? 0? 21 20 00 02 70 00 A3 8F 2A 10 62 00 4C FF 40 14 08 00 E3 2A 07 00 60 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 21 10 C2 03 00 00 A2 A2 01 00 F7 26 01 00 B5 26 ?? ?? ?? 0? 21 20 00 02 21 88 60 02 21 28 40 02 ?? ?? ?? 0? 21 20 00 02 E6 FF 40 10 6C 00 A4 8F 3E FF 80 10 AC 00 A2 8F ?? ?? ?? 0? AC 00 B5 8F ?? ?? ?? 0? 21 20 00 02 09 00 54 14 21 20 00 02 ?? ?? ?? 0? FF FF D6 26 01 00 13 24 21 28 40 02 ?? ?? ?? 0? 21 20 00 02 F5 FF 40 10 00 00 00 00 20 FF C1 06 30 00 11 24 30 00 02 24 00 00 A2 A2 01 00 D6 26 ?? ?? ?? 0? 01 00 B5 26 ?? ?? ?? 0? 21 20 00 02 70 00 A4 8F 21 88 40 00 00 00 82 8C 08 00 42 8C 09 F8 40 00 00 00 00 00 0E FF 22 16 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 2C 00 42 8C 21 20 00 02 00 00 42 90 00 00 A2 A2 ?? ?? ?? 0? 01 00 B5 26 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 2D 00 54 10 21 20 00 02 ?? ?? ?? 0? 01 00 F7 26 21 10 22 02 00 00 A2 A2 ?? ?? ?? 0? 01 00 B5 26 ?? ?? ?? 0? 21 20 00 02 74 00 A3 8F 2A 10 62 00 BD FE 40 14 5C 00 A2 8F 30 00 E2 2A 12 00 40 14 00 00 00 00 01 00 D6 26 5C 00 A2 8F 48 00 A3 8F 10 00 42 2C 0B 18 C2 03 21 10 71 00 00 00 44 80 7F 00 03 24 04 00 83 10 01 00 13 24 00 00 43 90 01 00 63 24 00 00 43 A0 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 00 02 0D 00 54 10 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 78 00 A3 8F 01 00 F7 26 21 10 62 00 00 00 A2 A2 ?? ?? ?? 0? 01 00 B5 26 D3 FF E0 16 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 F3 FF E0 16 5C 00 A2 8F ?? ?? ?? 0? 48 00 A3 8F ?? ?? ?? 0? 21 20 00 02 A8 00 A4 8F 21 98 40 00 2B 00 11 24 08 00 82 8C 18 00 A5 27 20 00 A4 27 01 00 06 24 24 00 A7 27 18 00 B1 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 3A 00 62 12 AC 00 A2 8F ?? ?? ?? 0? 21 20 00 02 A8 00 A3 8F 21 98 40 00 2D 00 11 24 08 00 62 8C 20 00 A4 27 18 00 A5 27 01 00 06 24 24 00 A7 27 18 00 B1 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 43 FE 62 16 AC 00 B5 8F 00 00 B1 A2 AC 00 A2 8F 21 20 00 02 ?? ?? ?? 0? 01 00 55 24 ?? ?? ?? 0? 40 00 A2 8F FE FF 62 2C 06 00 40 54 01 00 63 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 58 00 A3 8F 01 00 63 24 21 28 60 00 21 20 C0 03 21 30 00 00 ?? ?? ?? 0? 7C 00 A3 AF 0F 00 40 10 7C 00 A3 8F 5C 00 A2 8F 10 00 42 2C 21 00 40 14 58 00 A4 8F 48 00 A2 8F 21 20 44 00 00 00 80 A0 5C 00 A2 8F 48 00 A4 8F 58 00 A3 AF 10 00 42 2C 0B 20 C2 03 21 18 83 00 00 00 60 A0 ?? ?? ?? 0? 01 00 31 26 21 20 00 02 00 00 51 A0 ?? ?? ?? 0? 01 00 55 24 ?? ?? ?? 0? 40 00 A2 8F 00 00 63 80 03 00 64 10 01 00 04 24 ?? ?? ?? 0? 6C 00 A4 AF 01 00 A3 80 2A 18 03 00 5E FE 20 12 21 28 65 00 00 00 A4 80 53 FE 86 54 FF FF 31 26 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 10 C0 03 48 00 A3 8F 10 00 84 2C 0B 18 C4 03 00 00 60 A0 5C 00 A3 8F 10 00 63 2C 03 00 60 14 49 00 A2 27 48 00 A2 8F 01 00 42 24 01 00 03 24 58 00 A3 AF ?? ?? ?? 0? 00 00 40 A0 00 00 62 8C 0C 00 42 8C 09 F8 40 00 21 20 60 00 ?? ?? ?? 0? 6C 00 A2 AF 10 00 A2 AF BC 00 A2 8F ?? ?? ?? 0? 14 00 A2 AF ?? ?? ?? 0? 21 B0 40 00 ?? ?? ?? 0? 21 20 00 02 F8 FE 54 14 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 88 60 02 ?? ?? ?? 0? 21 20 00 02 A8 00 A3 8F 21 B8 40 00 2B 00 11 24 08 00 62 8C 20 00 A4 27 18 00 A5 27 01 00 06 24 24 00 A7 27 18 00 B1 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F 15 00 E2 52 00 00 B1 A2 ?? ?? ?? 0? 21 20 00 02 A8 00 A4 8F 21 B8 40 00 2D 00 11 24 08 00 82 8C 18 00 A5 27 20 00 A4 27 01 00 06 24 24 00 A7 27 18 00 B1 A3 20 00 A0 AF 24 00 A0 AF 28 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A2 8F C9 FE E2 56 21 88 00 00 00 00 B1 A2 21 20 00 02 ?? ?? ?? 0? 01 00 B5 26 ?? ?? ?? 0? 21 88 00 00 }
	condition:
		$1
}

rule file_164_191_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERe"
		size = 348
		refs = "0054 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetffldEPcRS3_S6_RSt8ios_basePi 0068 _Stoldx 0084 _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0148 ldexpl"
	strings:
		$1 = { 78 FF BD 27 A8 00 A2 8F 70 00 B0 AF 24 00 B0 27 78 00 B2 AF 90 00 A6 AF 94 00 A7 AF 90 00 A6 27 9C 00 A7 27 10 00 A2 AF 21 90 80 00 20 00 A2 27 21 20 A0 00 21 28 00 02 84 00 BF AF 80 00 B5 AF 7C 00 B4 AF 74 00 B1 AF 1C 00 A0 AF AC 00 B1 8F 20 00 A0 AF ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A6 8F 21 A0 40 00 31 00 C0 14 21 A8 60 00 90 00 A4 27 ?? ?? ?? 0? 9C 00 A5 27 05 00 40 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 14 00 50 10 1C 00 A2 8F 12 00 40 14 B0 00 A2 8F 84 00 BF 8F 74 00 B1 8F 00 00 54 AC 04 00 55 AC 90 00 A2 8F 80 00 B5 8F 7C 00 B4 8F 00 00 42 AE 94 00 A2 8F 70 00 B0 8F 04 00 42 AE 98 00 A2 8F 08 00 42 AE 21 10 40 02 78 00 B2 8F 08 00 E0 03 88 00 BD 27 00 00 22 8E 84 00 BF 8F 80 00 B5 8F 02 00 42 34 00 00 22 AE 90 00 A2 8F 7C 00 B4 8F 74 00 B1 8F 00 00 42 AE 94 00 A2 8F 70 00 B0 8F 04 00 42 AE 98 00 A2 8F 08 00 42 AE 21 10 40 02 78 00 B2 8F 08 00 E0 03 88 00 BD 27 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 80 30 06 00 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 }
	condition:
		$1
}

rule file_164_192_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERd"
		size = 320
		refs = "0050 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetffldEPcRS3_S6_RSt8ios_basePi 0064 _Stodx 007c _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0130 ldexp"
	strings:
		$1 = { 78 FF BD 27 A8 00 A2 8F 74 00 B0 AF 24 00 B0 27 7C 00 B2 AF 90 00 A6 AF 94 00 A7 AF 90 00 A6 27 9C 00 A7 27 10 00 A2 AF 21 90 80 00 20 00 A2 27 21 20 A0 00 21 28 00 02 84 00 BF AF 80 00 B3 AF 78 00 B1 AF 1C 00 A0 AF AC 00 B1 8F 20 00 A0 AF ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 18 00 A5 27 21 20 00 02 ?? ?? ?? 0? 1C 00 A7 27 20 00 A5 8F 2E 00 A0 14 21 98 40 00 90 00 A4 27 ?? ?? ?? 0? 9C 00 A5 27 05 00 40 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 12 00 50 10 1C 00 A2 8F 10 00 40 14 B0 00 A2 8F 84 00 BF 8F 78 00 B1 8F 00 00 53 AC 90 00 A2 8F 80 00 B3 8F 74 00 B0 8F 00 00 42 AE 94 00 A2 8F 04 00 42 AE 98 00 A2 8F 08 00 42 AE 21 10 40 02 7C 00 B2 8F 08 00 E0 03 88 00 BD 27 00 00 22 8E 84 00 BF 8F 80 00 B3 8F 02 00 42 34 00 00 22 AE 90 00 A2 8F 78 00 B1 8F 74 00 B0 8F 00 00 42 AE 94 00 A2 8F 04 00 42 AE 98 00 A2 8F 08 00 42 AE 21 10 40 02 7C 00 B2 8F 08 00 E0 03 88 00 BD 27 21 20 40 00 ?? ?? ?? 0? 80 28 05 00 ?? ?? ?? 0? 21 98 40 00 }
	condition:
		$1
}

rule file_164_193_4 {
	meta:
		name = "_ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERf"
		size = 320
		refs = "0050 _ZNKSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE8_GetffldEPcRS3_S6_RSt8ios_basePi 0064 _Stofx 007c _ZNKSt19istreambuf_iteratorIwSt11char_traitsIwEE5equalERKS2_ 0130 ldexpf"
	strings:
		$1 = { 78 FF BD 27 A8 00 A2 8F 74 00 B0 AF 24 00 B0 27 7C 00 B2 AF 90 00 A6 AF 94 00 A7 AF 90 00 A6 27 9C 00 A7 27 10 00 A2 AF 21 90 80 00 20 00 A2 27 21 20 A0 00 21 28 00 02 84 00 BF AF 80 00 B3 AF 78 00 B1 AF 1C 00 A0 AF AC 00 B1 8F 20 00 A0 AF ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 18 00 A5 27 21 20 00 02 ?? ?? ?? 0? 1C 00 A7 27 20 00 A5 8F 2E 00 A0 14 21 98 40 00 90 00 A4 27 ?? ?? ?? 0? 9C 00 A5 27 05 00 40 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 12 00 50 10 1C 00 A2 8F 10 00 40 14 B0 00 A2 8F 84 00 BF 8F 78 00 B1 8F 00 00 53 AC 90 00 A2 8F 80 00 B3 8F 74 00 B0 8F 00 00 42 AE 94 00 A2 8F 04 00 42 AE 98 00 A2 8F 08 00 42 AE 21 10 40 02 7C 00 B2 8F 08 00 E0 03 88 00 BD 27 00 00 22 8E 84 00 BF 8F 80 00 B3 8F 02 00 42 34 00 00 22 AE 90 00 A2 8F 78 00 B1 8F 74 00 B0 8F 00 00 42 AE 94 00 A2 8F 04 00 42 AE 98 00 A2 8F 08 00 42 AE 21 10 40 02 7C 00 B2 8F 08 00 E0 03 88 00 BD 27 21 20 40 00 ?? ?? ?? 0? 80 28 05 00 ?? ?? ?? 0? 21 98 40 00 }
	condition:
		$1
}

rule file_164_194_4 {
	meta:
		name = "_GLOBAL__I__ZNSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE"
		size = 648
		refs = "0000 _ZGVNSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE 001c _ZNSt8time_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE 0030 _ZGVNSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE 005c _ZGVNSt8numpunctIwE2idE 0088 _ZGVNSt7collateIwE2idE 00b4 _ZGVNSt8messagesIwE2idE 00e0 _ZGVNSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE 010c _ZGVNSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE 0138 _ZGVNSt10moneypunctIwLb0EE2idE 0164 _ZGVNSt10moneypunctIwLb1EE2idE 0190 _ZGVNSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE 01c8 _ZNSt8time_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE 01dc _ZNSt10moneypunctIwLb1EE2idE 01f0 _ZNSt10moneypunctIwLb0EE2idE 0204 _ZNSt9money_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE 0218 _ZNSt9money_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE 022c _ZNSt8messagesIwE2idE 0240 _ZNSt7collateIwE2idE 0254 _ZNSt8numpunctIwE2idE 0268 _ZNSt7num_putIwSt19ostreambuf_iteratorIwSt11char_traitsIwEEE2idE 027c _ZNSt7num_getIwSt19istreambuf_iteratorIwSt11char_traitsIwEEE2idE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 05 3C ?? ?? 44 AC 01 00 02 24 92 00 62 10 ?? ?? A0 AC ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 82 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 72 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 62 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 52 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 42 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 32 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 22 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 12 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 03 00 62 10 00 00 00 00 08 00 E0 03 00 00 00 00 FD FF 80 14 ?? ?? 02 3C 08 00 E0 03 ?? ?? 40 AC EF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC DF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC CF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC BF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC AF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC 9F FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC 8F FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC 7F FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC 6F FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC }
	condition:
		$1
}

rule file_167_0_4 {
	meta:
		name = "ranmatch"
		size = 172
	strings:
		$1 = { 03 00 C2 2C 18 00 40 14 00 00 00 00 ?? ?? ?? 0? 2D 00 07 24 00 00 82 8C FF FF C6 24 21 00 45 10 21 20 60 00 03 00 C2 2C 0F 00 40 14 00 00 00 00 04 00 82 8C F7 FF 47 14 04 00 83 24 00 00 82 8C 2A 10 A2 00 05 00 40 14 FD FF C6 24 08 00 82 8C 2A 10 45 00 09 00 40 10 01 00 02 24 03 00 C2 2C F3 FF 40 10 0C 00 84 24 04 00 C0 10 21 10 00 00 00 00 83 8C 06 00 65 14 01 00 02 24 08 00 E0 03 00 00 00 00 00 00 82 8C FC FF 45 10 01 00 02 24 FF FF C6 24 FB FF C0 14 04 00 84 24 08 00 E0 03 21 10 00 00 08 00 E0 03 01 00 02 24 }
	condition:
		$1
}

rule file_167_1_4 {
	meta:
		name = "_WGetstr"
		size = 1380
		refs = "00c4 _Iswctype 01bc wmemchr 01e8 _Wctomb 0220 memcpy 0448 wcschr 04d4 _Fail_s"
	strings:
		$1 = { A8 FF BD 27 4C 00 B7 AF 34 00 B1 AF 30 00 B0 AF 54 00 BF AF 50 00 BE AF 48 00 B6 AF 44 00 B5 AF 40 00 B4 AF 3C 00 B3 AF 38 00 B2 AF 21 18 80 00 21 80 A0 00 20 00 91 8C 18 00 A0 AF 1C 00 A0 AF F6 00 A0 04 21 B8 00 00 18 00 62 8C 16 01 40 18 00 00 00 00 24 00 64 80 6C 00 31 3A 01 00 31 2E 9F 00 80 10 14 00 62 AC 14 00 62 8C 21 90 00 00 FF FF 14 24 FF FF 42 24 01 00 15 24 27 00 40 04 14 00 62 AC 10 00 65 8C 00 00 62 8C 04 00 64 8C 01 00 A5 24 10 00 65 AC 01 00 06 24 2C 00 A3 AF 09 F8 40 00 21 28 00 00 21 38 40 00 1F 00 54 10 2C 00 A3 8F 38 00 00 1A 21 20 E0 00 09 00 05 24 2C 00 A3 AF ?? ?? ?? 0? 28 00 A7 AF 2C 00 A3 8F 16 00 40 14 28 00 A7 8F 40 00 20 12 21 28 E0 00 24 00 62 80 09 00 40 14 02 00 12 24 1C 00 62 8C AD 00 40 10 FF FF 42 24 00 00 67 AE 04 00 73 26 25 00 75 A0 1C 00 62 AC 02 00 12 24 14 00 62 8C FF FF 42 24 DB FF 41 04 14 00 62 AC 10 00 62 8C FF FF 07 24 01 00 42 24 10 00 62 AC 7F 00 20 12 02 00 02 24 FF FF 02 24 9D 00 E2 54 10 00 65 8C 10 00 62 8C FF FF 42 24 A5 00 00 12 10 00 62 AC 02 00 02 24 E8 00 42 52 24 00 64 80 01 00 52 32 EF 00 40 12 FF FF 02 24 54 00 BF 8F 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 CF FF 00 12 00 00 00 00 29 00 E0 16 00 00 00 00 35 00 C0 13 24 00 A4 8F 20 00 A6 8F 21 28 E0 00 2C 00 A3 AF ?? ?? ?? 0? 28 00 A7 AF 2C 00 A3 8F D8 FF 40 14 28 00 A7 8F C4 FF 20 56 24 00 62 80 21 28 E0 00 10 00 A4 27 18 00 A6 27 2C 00 A3 AF ?? ?? ?? 0? 28 00 A7 AF 21 90 40 00 2C 00 A3 8F 6B 00 40 04 28 00 A7 8F 24 00 62 80 C1 FF 40 54 02 00 12 24 1C 00 62 8C 2B 10 52 00 64 00 40 14 21 20 C0 02 21 30 40 02 ?? ?? ?? 0? 10 00 A5 27 2C 00 A3 8F 21 B0 D2 02 1C 00 62 8C 25 00 75 A0 23 90 52 00 1C 00 72 AC ?? ?? ?? 0? 02 00 12 24 19 00 C0 13 24 00 A4 8F 20 00 A6 8F 21 28 E0 00 2C 00 A3 AF ?? ?? ?? 0? 28 00 A7 AF 2C 00 A3 8F 9B FF 40 10 28 00 A7 8F B1 FF 20 56 FF FF 02 24 ?? ?? ?? 0? 02 00 02 24 20 00 A6 8F 21 28 E0 00 2C 00 A3 AF ?? ?? ?? 0? 28 00 A7 AF 2C 00 A3 8F 8F FF 40 14 28 00 A7 8F A5 FF 20 56 FF FF 02 24 ?? ?? ?? 0? 02 00 02 24 20 00 A6 8F 21 28 E0 00 2C 00 A3 AF ?? ?? ?? 0? 28 00 A7 AF 2C 00 A3 8F 83 FF 40 14 28 00 A7 8F 99 FF 20 56 FF FF 02 24 ?? ?? ?? 0? 02 00 02 24 76 00 20 12 08 00 62 8C 00 00 53 8C 04 00 42 24 96 00 60 12 08 00 62 AC 26 00 64 80 5B FF 80 50 14 00 62 8C 00 00 44 8C 04 00 42 24 87 00 80 04 08 00 62 AC 1C 00 62 8C 2B 10 82 00 52 FF 40 54 1C 00 64 AC ?? ?? ?? 0? 14 00 62 8C 82 FF 42 16 FF FF 02 24 10 00 A4 27 21 28 00 00 18 00 A6 27 2C 00 A3 AF ?? ?? ?? 0? 28 00 A7 AF FF FF 54 24 2C 00 A3 8F 21 10 00 00 83 FF 80 06 28 00 A7 8F 1C 00 64 8C 2B 20 94 00 7F FF 80 14 21 10 20 02 24 00 62 80 70 FF 40 14 FF FF 02 24 21 20 C0 02 21 30 80 02 ?? ?? ?? 0? 10 00 A5 27 2C 00 A3 8F 21 B0 D4 02 28 00 A7 8F 1C 00 62 8C 23 A0 54 00 ?? ?? ?? 0? 1C 00 74 AC 01 00 12 24 10 00 65 8C 00 00 62 8C 04 00 64 8C FF FF A5 24 10 00 65 AC 21 30 00 00 21 28 E0 00 2C 00 A3 AF 09 F8 40 00 28 00 A7 AF 2C 00 A3 8F 5D FF 00 16 28 00 A7 8F 02 00 03 24 5D FF 43 16 01 00 02 24 54 00 BF 8F 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 0C 00 84 8C 5E 00 06 24 21 F0 00 00 04 00 85 8C 04 00 82 24 2C 00 A6 10 0C 00 62 AC 04 00 44 24 5D 00 A5 38 0B 20 45 00 5D 00 05 24 ?? ?? ?? 0? 2C 00 A3 AF 21 20 40 00 2C 00 A3 8F 43 FF 80 10 21 10 00 00 0C 00 62 8C 0C 00 64 AC 21 B8 00 00 23 20 82 00 83 20 04 00 24 00 A2 AF 03 00 82 28 F2 FE 40 14 20 00 A4 AF 24 00 A2 8F 2D 00 05 24 04 00 44 24 20 00 A2 8F ?? ?? ?? 0? FE FF 46 24 2B B8 02 00 ?? ?? ?? 0? 2C 00 A3 8F EA FE 00 12 01 00 02 24 FF 7F 02 3C ?? ?? ?? 0? FF FF 42 34 00 00 56 8C 04 00 42 24 8C FF C0 16 08 00 62 AC ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 25 00 05 24 ?? ?? ?? 0? 27 10 02 00 08 00 82 24 08 00 85 8C 5E 00 1E 24 ?? ?? ?? 0? 0C 00 62 AC 1B FF 80 14 01 00 02 24 1C 00 63 8C 18 FF 60 10 21 10 00 00 0D 00 20 56 00 00 60 AE 00 00 C0 A2 ?? ?? ?? 0? 01 00 02 24 27 38 07 00 ?? ?? ?? 0? 0B 10 07 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 21 00 05 24 ?? ?? ?? 0? 27 10 02 00 ?? ?? ?? 0? 01 00 02 24 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 28 00 05 24 ?? ?? ?? 0? 27 10 02 00 }
	condition:
		$1
}

rule file_168_0_4 {
	meta:
		name = "wcsftime"
		size = 364
		refs = "00c0 _Wctob 00f4 _Wcsftime"
	strings:
		$1 = { B8 FF BD 27 34 00 B5 AF 30 00 B4 AF 28 00 B2 AF 20 00 B0 AF 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 2C 00 B3 AF 24 00 B1 AF 21 A8 A0 00 21 90 80 00 21 A0 C0 00 21 80 E0 00 14 00 A0 10 21 10 00 00 00 00 C3 8C 46 00 60 10 21 B0 80 00 25 00 17 24 45 00 11 24 4F 00 13 24 18 00 77 10 04 00 9E 26 FF FF B5 26 00 00 C3 AE 21 A0 C0 03 27 00 A0 12 04 00 D6 26 00 00 83 8E F7 FF 60 14 00 00 00 00 23 90 D2 02 83 10 12 00 00 00 C0 AE 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 04 00 84 8E E6 FF 40 58 00 00 83 8E 18 00 B7 A3 19 00 A2 A3 1A 00 51 10 08 00 94 26 18 00 53 10 02 00 07 24 21 20 C0 02 21 28 A0 02 18 00 A6 27 ?? ?? ?? 0? 10 00 B0 AF 04 00 40 04 23 A8 A2 02 80 18 02 00 DB FF A0 16 21 B0 C3 02 44 00 BF 8F 21 10 00 00 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 00 00 84 8E E7 FF 80 10 02 00 07 24 ?? ?? ?? 0? 04 00 94 26 1A 00 A2 A3 ?? ?? ?? 0? 03 00 07 24 ?? ?? ?? 0? 00 00 C0 AE }
	condition:
		$1
}

rule file_169_0_4 {
	meta:
		name = "ccos"
		size = 100
		refs = "0018 cimag 0028 creal 0038 _Cbuild 0044 ccosh"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 21 88 80 00 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 18 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 00 80 04 3C 26 20 92 00 ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_239_0_4 {
	meta:
		name = "ccosf"
		size = 100
		refs = "0018 cimagf 0028 crealf 0038 _FCbuild 0044 ccoshf"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 21 88 80 00 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 18 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 00 80 04 3C 26 20 92 00 ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_170_1_4 {
	meta:
		name = "sscanf"
		size = 72
		refs = "0034 _Scanf"
	strings:
		$1 = { D8 FF BD 27 30 00 A2 27 21 18 A0 00 28 00 A4 AF ?? ?? 04 3C 30 00 A6 AF 34 00 A7 AF 28 00 A5 27 ?? ?? 84 24 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_458_1_4 {
	meta:
		name = "swscanf"
		size = 72
		refs = "0034 _WScanf"
	strings:
		$1 = { D8 FF BD 27 30 00 A2 27 21 18 A0 00 28 00 A4 AF ?? ?? 04 3C 30 00 A6 AF 34 00 A7 AF 28 00 A5 27 ?? ?? 84 24 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_171_0_4 {
	meta:
		name = "strchr"
		size = 64
	strings:
		$1 = { 00 00 83 80 20 2C 05 7C 0B 00 65 10 21 10 80 00 06 00 60 54 01 00 42 24 08 00 E0 03 21 10 00 00 05 00 60 50 21 10 00 00 01 00 42 24 00 00 43 80 FB FF 65 14 00 00 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_172_0_4 {
	meta:
		name = "wcsrtombs_s"
		size = 688
		refs = "00a0 _Getmbcurmax 00bc _Wctomb 00f0 memcpy 0144 _Fail_s"
	strings:
		$1 = { B0 FF BD 27 48 00 BE AF 44 00 B7 AF 30 00 B2 AF 2C 00 B1 AF 28 00 B0 AF 4C 00 BF AF 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 34 00 B3 AF 21 B8 80 00 54 00 A5 AF 21 90 C0 00 21 F0 E0 00 60 00 B0 8F 49 00 80 10 64 00 B1 8F 48 00 E0 10 54 00 A2 8F 00 00 F3 8C 45 00 60 12 00 00 00 00 43 00 20 12 00 00 00 00 5C 00 A0 10 00 00 00 00 41 00 C0 18 00 00 00 00 3F 00 00 06 00 00 00 00 75 00 00 12 54 00 B4 8F 21 B0 00 00 00 00 22 8E 04 00 24 96 10 00 B5 27 18 00 A2 AF 06 00 22 96 1C 00 A4 AF ?? ?? ?? 0? 20 00 A2 AF 2B 10 02 02 29 00 40 10 00 00 00 00 00 00 65 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 20 02 5B 00 40 04 21 18 40 00 0B 00 95 12 2B 10 02 02 51 00 40 14 18 00 A4 8F 2B 10 43 02 4E 00 40 14 21 30 60 00 21 20 80 02 10 00 A5 27 ?? ?? ?? 0? 24 00 A3 AF 24 00 A3 8F 05 00 60 10 23 80 03 02 21 A0 83 02 FF FF 82 82 64 00 40 50 21 18 76 00 21 B0 C3 02 04 00 73 26 4E 00 00 12 23 90 43 02 D9 FF 40 56 00 00 22 8E 00 00 D3 AF ?? ?? 04 3C FF FF 02 24 00 00 80 A2 ?? ?? 84 24 00 00 E2 AE ?? ?? ?? 0? 1D 00 05 24 ?? ?? ?? 0? 4C 00 BF 8F ?? ?? ?? 0? 00 00 00 00 2B 10 42 02 ?? ?? ?? 0? 0A A8 82 02 54 00 A2 8F 06 00 40 10 00 00 00 00 04 00 40 12 00 00 00 00 02 00 40 06 54 00 A4 8F 00 00 80 A0 04 00 E0 12 ?? ?? 04 3C FF FF 02 24 00 00 E2 AE ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1A 00 05 24 4C 00 BF 8F 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 ED FF C0 14 21 80 00 00 00 00 65 8E 10 00 A4 27 ?? ?? ?? 0? 21 30 20 02 10 00 A4 27 0F 00 40 04 21 18 82 00 05 00 40 50 21 80 02 02 FF FF 63 80 0E 00 60 50 FF FF 10 26 21 80 02 02 ?? ?? ?? 0? 04 00 73 26 1C 00 A2 8F 00 00 24 AE 20 00 A4 8F 04 00 22 A6 ?? ?? ?? 0? 06 00 24 A6 FF FF 02 24 00 00 E2 AE ?? ?? ?? 0? 58 00 02 24 21 10 02 02 00 00 E2 AE ?? ?? ?? 0? 21 10 00 00 21 B0 00 00 B5 FF 40 12 00 00 D3 AF 54 00 A2 8F 00 00 40 A0 4C 00 BF 8F 00 00 F6 AE 21 10 00 00 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 FF FF 63 24 00 00 C0 AF ?? ?? ?? 0? 00 00 E3 AE }
	condition:
		$1
}

rule file_173_0_4 {
	meta:
		name = "mbrtoc16"
		size = 448
		refs = "00f8 _Errno"
	strings:
		$1 = { 06 00 E2 80 58 00 A0 10 00 00 E9 8C 10 00 03 24 3E 00 43 10 00 00 00 00 31 00 C0 50 06 00 E2 A4 21 18 A0 00 10 00 0B 24 C0 00 0D 24 E0 00 0E 24 F0 00 0F 24 F8 00 18 24 FC 00 19 24 12 00 40 18 80 00 0C 24 00 00 68 90 C0 00 0A 31 2A 00 4C 15 3F 00 08 31 80 49 09 00 FF FF 42 24 25 48 28 01 20 14 02 7C 21 00 40 50 11 00 02 3C 27 00 4B 10 00 00 00 00 FF FF C6 24 19 00 C0 50 06 00 E2 A4 F0 FF 40 1C 01 00 63 24 00 00 69 90 20 44 09 7C F4 FF 01 05 00 00 00 00 E0 00 22 31 23 00 4D 50 1F 00 29 31 F0 00 22 31 22 00 4E 50 0F 00 29 31 F8 00 22 31 31 00 4F 50 07 00 29 31 FC 00 22 31 30 00 58 50 03 00 29 31 0B 00 59 14 FF FF C6 24 03 00 29 31 EA FF C0 14 05 00 02 24 06 00 E2 A4 00 00 E9 AC 08 00 E0 03 FE FF 02 24 2B 10 22 01 12 00 40 54 01 00 02 3C ?? ?? 02 3C 58 00 03 24 ?? ?? 43 AC 08 00 E0 03 FF FF 02 24 04 00 80 10 FF 03 29 31 00 DC 02 24 25 48 22 01 00 00 89 A4 06 00 E0 A4 08 00 E0 03 FD FF 02 24 ?? ?? ?? 0? 01 00 02 24 ?? ?? ?? 0? 02 00 02 24 2B 10 22 01 12 00 40 10 00 00 00 00 01 00 80 54 00 00 89 A4 06 00 E0 A4 18 00 20 11 21 10 00 00 01 00 62 24 08 00 E0 03 23 10 45 00 ?? ?? 05 3C 01 00 06 24 ?? ?? A5 24 ?? ?? ?? 0? 21 20 00 00 ?? ?? ?? 0? 03 00 02 24 ?? ?? ?? 0? 04 00 02 24 05 00 80 10 82 4A 09 00 C0 FF 29 25 00 D8 02 24 25 10 22 01 00 00 82 A4 01 00 62 24 10 00 03 24 06 00 E3 A4 08 00 E0 03 23 10 45 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_174_0_4 {
	meta:
		name = "run"
		size = 124
		refs = "0034 _Mtx_lock 0044 _Cnd_signal 004c _Mtx_unlock"
	strings:
		$1 = { D8 FF BD 27 14 00 B1 AF 0C 00 91 8C 20 00 B4 AF 1C 00 B3 AF 10 00 94 8C 08 00 93 8C 21 10 80 00 21 20 20 02 24 00 BF AF 18 00 B2 AF 10 00 B0 AF 04 00 52 8C ?? ?? ?? 0? 00 00 50 8C 01 00 02 24 21 20 60 02 ?? ?? ?? 0? 00 00 82 AE ?? ?? ?? 0? 21 20 20 02 21 20 40 02 21 C8 00 02 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 20 03 28 00 BD 27 }
	condition:
		$1
}

rule file_174_1_4 {
	meta:
		name = "_Thrd_start"
		size = 40
		refs = "0014 pthread_create"
	strings:
		$1 = { 21 10 A0 00 E8 FF BD 27 21 38 C0 00 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 21 30 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_596_0_4 {
	meta:
		name = "fseek"
		size = 40
		refs = "0014 _Fspos"
	strings:
		$1 = { 21 10 A0 00 E8 FF BD 27 21 38 C0 00 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 21 30 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_174_2_4 {
	meta:
		name = "_Thrd_join"
		size = 68
		refs = "0010 pthread_join"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A5 27 05 00 40 14 04 00 03 24 03 00 00 12 21 18 00 00 10 00 A2 8F 00 00 02 AE 1C 00 BF 8F 21 10 60 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_174_3_4 {
	meta:
		name = "_Thrd_detach"
		size = 40
		refs = "0008 pthread_detach"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 04 00 03 24 0A 18 02 00 21 10 60 00 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_174_5_4 {
	meta:
		name = "_Thrd_sleep"
		size = 112
		refs = "001c _Xtime_diff_to_ts 0048 nanosleep 0024 _Errno"
	strings:
		$1 = { D0 FF BD 27 21 28 80 00 10 00 A4 27 28 00 B2 AF 24 00 B1 AF 20 00 B0 AF 2C 00 BF AF ?? ?? ?? 0? FF FF 10 24 ?? ?? 12 3C ?? ?? ?? 0? 04 00 11 24 09 00 51 14 18 00 A2 8F 10 00 A2 AF 1C 00 A2 8F 14 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 18 00 A5 27 F7 FF 50 10 ?? ?? 42 8E 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_174_10_4 {
	meta:
		name = "_Thrd_abort"
		size = 44
		refs = "0010 fputs 0014 _Stderr 001c fputc 0024 abort"
		altNames = "abort_handler_s"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF ?? ?? 10 3C 14 00 BF AF ?? ?? ?? 0? ?? ?? 05 26 0A 00 04 24 ?? ?? ?? 0? ?? ?? 05 26 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_174_11_4 {
	meta:
		name = "_Thrd_create"
		size = 216
		refs = "0030 _Cnd_init 003c _Mtx_init 0060 _Mtx_lock 0074 _Thrd_start 008c _Cnd_wait 00a0 _Mtx_unlock 00a8 _Cnd_destroy 00b0 _Mtx_destroy"
	strings:
		$1 = { A0 FF BD 27 50 00 B1 AF 2C 00 B1 27 54 00 B2 AF 4C 00 B0 AF 21 90 80 00 14 00 B0 27 21 20 20 02 5C 00 BF AF 40 00 A6 AF 58 00 B3 AF 10 00 A0 AF ?? ?? ?? 0? 21 98 A0 00 01 00 05 24 ?? ?? ?? 0? 21 20 00 02 40 00 A6 8F 21 20 00 02 10 00 A2 27 1C 00 A6 AF 18 00 B3 AF 20 00 B1 AF 24 00 B0 AF ?? ?? ?? 0? 28 00 A2 AF ?? ?? 05 3C 21 20 40 02 ?? ?? A5 24 ?? ?? ?? 0? 18 00 A6 27 05 00 40 10 21 90 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 28 00 02 10 00 A2 8F FC FF 40 10 21 20 20 02 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 00 02 5C 00 BF 8F 21 10 40 02 58 00 B3 8F 54 00 B2 8F 50 00 B1 8F 4C 00 B0 8F 08 00 E0 03 60 00 BD 27 }
	condition:
		$1
}

rule file_175_1_4 {
	meta:
		name = "vfwprintf"
		size = 56
		refs = "0024 _WPrintf"
	strings:
		$1 = { 21 18 80 00 21 10 A0 00 ?? ?? 04 3C E0 FF BD 27 21 38 C0 00 ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_606_1_4 {
	meta:
		name = "vfprintf"
		size = 56
		refs = "0024 _Printf"
	strings:
		$1 = { 21 18 80 00 21 10 A0 00 ?? ?? 04 3C E0 FF BD 27 21 38 C0 00 ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_621_1_4 {
	meta:
		name = "vfscanf"
		size = 56
		refs = "0024 _Scanf"
	strings:
		$1 = { 21 18 80 00 21 10 A0 00 ?? ?? 04 3C E0 FF BD 27 21 38 C0 00 ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_446_1_4 {
	meta:
		name = "vfwscanf"
		size = 56
		refs = "0024 _WScanf"
	strings:
		$1 = { 21 18 80 00 21 10 A0 00 ?? ?? 04 3C E0 FF BD 27 21 38 C0 00 ?? ?? 84 24 21 28 60 00 21 30 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_177_0_4 {
	meta:
		name = "_WPutstr"
		size = 428
		refs = "0090 _Mbtowc 00cc _WPuttxt 010c free 018c malloc"
	strings:
		$1 = { C0 FE BD 27 38 01 B7 AF 30 00 97 8C 34 01 B6 AF 1C 01 B0 AF 3C 01 BF AF 30 01 B5 AF 2C 01 B4 AF 28 01 B3 AF 24 01 B2 AF 20 01 B1 AF 21 B0 80 00 53 00 E0 06 21 80 A0 00 3C 00 C2 96 38 00 D3 8E 10 00 A0 AF 04 00 42 30 04 00 40 14 14 00 A0 AF 41 00 62 2E 4D 00 40 10 00 00 00 00 18 00 B5 27 21 88 A0 02 40 00 13 24 3D 00 E0 12 21 90 00 00 FF 7F 14 3C 14 00 C3 8E ?? ?? ?? 0? FF FF 94 36 80 20 03 00 21 28 00 02 21 20 24 02 21 30 80 02 ?? ?? ?? 0? 10 00 A7 27 1A 00 42 04 FF FF 12 24 28 00 40 10 14 00 C3 8E 01 00 63 24 FF FF F7 26 29 00 E0 12 14 00 C3 AE 21 80 02 02 2B 10 73 00 21 20 C0 02 EE FF 40 14 21 28 20 02 ?? ?? ?? 0? 38 00 C0 AE 0B 00 40 04 21 90 40 00 21 20 00 00 14 00 C0 AE 21 28 00 02 21 20 24 02 21 30 80 02 ?? ?? ?? 0? 10 00 A7 27 E9 FF 41 04 00 00 00 00 FF FF 12 24 04 00 35 12 3C 01 BF 8F ?? ?? ?? 0? 21 20 20 02 3C 01 BF 8F 21 10 40 02 38 01 B7 8F 34 01 B6 8F 30 01 B5 8F 2C 01 B4 8F 28 01 B3 8F 24 01 B2 8F 20 01 B1 8F 1C 01 B0 8F 08 00 E0 03 40 01 BD 27 80 20 03 00 21 20 24 02 00 00 84 8C D6 FF 80 54 01 00 63 24 EA FF 40 16 00 00 00 00 21 20 C0 02 ?? ?? ?? 0? 21 28 20 02 E5 FF 40 14 21 90 40 00 38 00 C0 AE ?? ?? ?? 0? 14 00 C0 AE FF 7F 17 3C ?? ?? ?? 0? FF FF F7 36 ?? ?? ?? 0? 21 20 60 02 21 88 40 00 FF FF 12 24 B2 FF 40 14 18 00 B5 27 ?? ?? ?? 0? 3C 01 BF 8F }
	condition:
		$1
}

rule file_179_1_4 {
	meta:
		name = "fwscanf_s"
		size = 104
		refs = "003c _WScanf 0058 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 30 00 A6 AF 24 00 BF AF 21 10 80 00 34 00 A7 AF 0E 00 80 10 21 30 A0 00 0C 00 A0 10 30 00 A3 27 ?? ?? 04 3C 21 28 40 00 ?? ?? 84 24 01 00 02 24 21 38 60 00 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_532_1_4 {
	meta:
		name = "fprintf_s"
		size = 104
		refs = "003c _Printf 0058 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 30 00 A6 AF 24 00 BF AF 21 10 80 00 34 00 A7 AF 0E 00 80 10 21 30 A0 00 0C 00 A0 10 30 00 A3 27 ?? ?? 04 3C 21 28 40 00 ?? ?? 84 24 01 00 02 24 21 38 60 00 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_182_0_4 {
	meta:
		name = "erfcf"
		size = 748
		refs = "001c _FDtest 006c fpcmp 00dc _Feraise 0120 erff 0130 fpsub 0174 _FPoly 0198 fpdiv 0270 _FDint 0294 fpadd 02a0 fpmul 02a8 expf 02dc _FExp"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF ?? ?? ?? 0? 1C 00 B0 AF 01 00 03 24 37 00 43 10 02 00 03 24 2E 00 43 10 2C 00 BF 8F 0A 00 40 14 30 00 B0 8F ?? ?? 02 3C ?? ?? 42 8C 2C 00 BF 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2A 00 40 04 00 00 00 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2C 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 54 00 40 04 ?? ?? 12 3C ?? ?? 52 26 01 00 13 24 08 00 11 24 00 00 45 8E 21 20 00 02 ?? ?? ?? 0? 18 00 52 26 4D 00 40 04 ?? ?? 02 3C 01 00 73 26 F9 FF 71 56 00 00 45 8E ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 21 10 00 00 30 00 A2 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 32 00 A3 87 CE FF 61 04 21 10 00 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 16 00 43 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 04 00 06 24 ?? ?? ?? 0? 30 00 A2 AF 30 00 A4 8F ?? ?? 05 3C 04 00 06 24 ?? ?? A5 24 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 04 00 06 24 ?? ?? ?? 0? 30 00 A2 AF 30 00 A4 8F ?? ?? 05 3C 04 00 06 24 ?? ?? A5 24 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 2C 00 BF 8F 21 98 00 00 ?? ?? 02 3C ?? ?? 44 8C 21 28 00 02 ?? ?? ?? 0? ?? ?? 10 3C 18 00 03 24 02 20 63 72 ?? ?? 10 26 21 80 90 00 04 00 05 8E ?? ?? ?? 0? 21 20 40 00 08 00 05 8E 0C 00 06 8E 21 20 40 00 ?? ?? ?? 0? 10 00 A2 AF 14 00 06 8E 10 00 05 8E 10 00 A4 8F ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 90 40 00 30 00 A2 8F 10 00 A4 27 08 00 05 24 ?? ?? ?? 0? 10 00 A2 AF 30 00 B0 8F 10 00 B1 8F 21 28 00 02 ?? ?? ?? 0? 21 20 20 02 21 28 00 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 10 00 A4 8F 00 80 05 3C 21 80 40 00 ?? ?? ?? 0? 26 28 A4 00 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 10 00 A2 AF 21 28 40 00 10 00 A4 27 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 10 00 A2 8F }
	condition:
		$1
}

rule file_184_0_4 {
	meta:
		name = "unescape"
		size = 232
	strings:
		$1 = { 2F 00 C0 18 21 10 00 00 00 00 A3 90 20 3C 03 7C 0D 00 E0 04 E0 00 67 2C 03 00 80 10 FF FF C6 24 00 00 83 AC 04 00 84 24 25 00 C0 18 01 00 42 24 01 00 A5 24 00 00 A3 90 20 3C 03 7C F6 FF E1 04 00 00 00 00 E0 00 67 2C 21 00 E0 14 FF FF C7 24 1F 00 E0 10 01 00 A5 24 00 00 A8 90 40 00 09 2D 1B 00 20 15 20 4C 08 7C 20 FF 63 24 0F 00 21 05 FB FF C6 24 FF FF E7 24 01 00 A5 24 80 FF 09 25 15 00 E0 10 C0 19 03 00 00 00 A8 90 25 18 23 01 40 00 09 2D 0E 00 20 15 20 54 08 7C 10 00 E6 50 FF FF 02 24 F4 FF 42 05 FF FF E7 24 80 19 03 00 C0 FF 08 25 21 30 E0 00 ?? ?? ?? 0? 25 18 03 01 01 00 80 54 00 00 80 AC 08 00 E0 03 01 00 42 24 08 00 E0 03 FF FF 02 24 08 00 E0 03 FF FF 02 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_184_1_4 {
	meta:
		name = "hexval"
		size = 68
		refs = "0014 strchr"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF ?? ?? 10 3C 21 28 80 00 14 00 BF AF ?? ?? ?? 0? ?? ?? 04 26 21 18 40 00 04 00 60 10 F0 FF 02 24 ?? ?? 02 26 23 10 62 00 20 14 02 7C 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_184_2_4 {
	meta:
		name = "gripe"
		size = 60
		refs = "0010 fputs 0014 _Stderr"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF ?? ?? 10 3C 14 00 BF AF ?? ?? ?? 0? ?? ?? 05 26 ?? ?? 04 3C ?? ?? 05 26 ?? ?? ?? 0? ?? ?? 84 24 14 00 BF 8F 21 10 00 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_184_3_4 {
	meta:
		name = "_Locsum"
		size = 104
		refs = "0018 _Locterm"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 20 00 A4 AF 1C 00 BF AF 20 00 A4 27 00 00 A0 AC ?? ?? ?? 0? 21 80 A0 00 06 00 40 14 21 18 00 00 ?? ?? ?? 0? 1C 00 BF 8F 10 00 A2 8F 21 10 62 00 00 00 02 AE 20 00 A4 27 ?? ?? ?? 0? 10 00 A5 27 F9 FF 40 54 00 00 03 8E 20 00 A3 8F 1C 00 BF 8F 21 10 60 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_184_4_4 {
	meta:
		name = "_Makeloc"
		size = 1496
		refs = "000c _Clocale 0054 _Readloc 00b8 _Makewct 0128 _Locsum 016c _Makestab 02cc free 02f4 strlen 0310 malloc 0328 memcpy 0364 strchr 03a0 _Skip 03d4 _Locvar 0428 strrchr"
	strings:
		$1 = { B0 FF BD 27 48 00 BE AF 3C 00 B5 AF ?? ?? 1E 3C ?? ?? 15 3C 40 00 B6 AF 30 00 B2 AF 2C 00 B1 AF 28 00 B0 AF 4C 00 BF AF 44 00 B7 AF 38 00 B4 AF 34 00 B3 AF 21 90 80 00 21 88 A0 00 21 80 C0 00 01 00 16 24 ?? ?? B5 26 ?? ?? DE 27 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 10 00 A6 27 23 00 40 10 21 A0 40 00 08 00 82 8E 0A 00 43 2C F8 FF 60 10 21 20 40 02 80 10 02 00 21 10 A2 02 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 10 00 A6 8F 21 20 00 02 ?? ?? ?? 0? 21 28 80 02 E3 FF 40 14 21 20 40 02 ?? ?? ?? 0? 21 20 20 02 21 B0 40 00 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 10 00 A6 27 DF FF 40 14 21 A0 40 00 21 B0 00 00 4C 00 BF 8F 21 10 C0 02 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 27 04 00 40 10 00 00 00 00 00 00 42 80 05 00 40 50 04 00 82 8E ?? ?? ?? 0? 21 20 20 02 21 B0 40 00 04 00 82 8E 14 00 A3 8F 21 10 02 02 ?? ?? ?? 0? 00 00 43 A0 10 00 A6 8F 21 20 00 02 ?? ?? ?? 0? 21 28 80 02 B6 FF 40 14 21 20 40 02 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 B0 40 00 ?? ?? 02 3C ?? ?? 42 24 74 01 03 8E 74 01 44 8C 09 00 64 50 80 01 03 8E 78 01 05 8E 78 01 44 8C F7 00 A4 10 7C 01 05 8E 7C 01 44 8C 01 00 A4 50 7C 01 03 AE 80 01 03 8E 80 01 44 8C 09 00 64 50 8C 01 03 8E 84 01 05 8E 84 01 44 8C E2 00 A4 10 88 01 05 8E 88 01 44 8C 01 00 A4 50 88 01 03 AE 8C 01 03 8E 8C 01 44 8C 10 00 64 50 A0 01 03 8E 90 01 05 8E 90 01 44 8C DC 00 A4 10 94 01 05 8E 94 01 44 8C 01 00 A4 50 94 01 03 AE 98 01 05 8E 98 01 44 8C C6 00 A4 10 9C 01 05 8E 9C 01 44 8C 01 00 A4 50 9C 01 03 AE A0 01 03 8E A0 01 44 8C 10 00 64 10 4C 00 BF 8F A4 01 05 8E A4 01 44 8C C0 00 A4 10 A8 01 05 8E A8 01 44 8C 01 00 A4 50 A8 01 03 AE AC 01 05 8E AC 01 44 8C 01 00 A4 50 AC 01 03 AE B0 01 04 8E B0 01 42 8C A3 00 82 10 4C 00 BF 8F 21 10 C0 02 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 04 00 82 8E 21 18 02 02 21 10 C2 03 00 00 64 8C 00 00 42 8C 04 00 82 50 10 00 A4 8F ?? ?? ?? 0? 00 00 00 00 10 00 A4 8F 22 00 03 24 00 00 82 80 7D 00 43 50 01 00 84 24 27 00 03 24 4E 00 43 50 01 00 84 24 ?? ?? ?? 0? 00 00 00 00 01 00 53 24 08 00 83 8E 09 00 02 24 38 00 62 10 10 00 A5 8F ?? ?? ?? 0? 21 20 60 02 74 FF 40 10 10 00 A5 8F 21 20 40 00 21 30 60 02 ?? ?? ?? 0? 20 00 A2 AF 20 00 A3 8F 04 00 84 8E 08 00 82 8E 21 20 04 02 42 FF 40 14 00 00 83 AC 00 00 65 80 3F FF A0 10 ?? ?? 02 3C ?? ?? 53 24 5E 00 14 24 21 B8 60 02 21 20 60 02 ?? ?? ?? 0? 20 00 A3 AF 06 00 40 10 20 00 A3 8F 00 00 45 80 02 00 B4 10 7F 00 04 24 23 20 57 00 00 00 64 A0 01 00 63 24 00 00 65 80 F4 FF A0 54 21 20 60 02 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 10 00 A4 8F 00 00 43 80 46 FF 60 10 21 20 40 00 ?? ?? ?? 0? 14 00 A5 27 42 FF 40 10 00 00 00 00 00 00 42 80 3F FF 40 14 10 00 A2 8F 14 00 A5 8F ?? ?? ?? 0? 00 00 44 80 1C FF 40 14 21 20 40 02 ?? ?? ?? 0? 00 00 00 00 21 20 00 00 ?? ?? ?? 0? 21 30 60 02 3D FF 42 04 21 B0 00 00 ?? ?? ?? 0? 80 20 02 00 38 FF 40 10 10 00 A5 8F 21 20 40 00 21 30 60 02 ?? ?? ?? 0? 20 00 A2 AF ?? ?? ?? 0? 20 00 A3 8F ?? ?? ?? 0? 27 00 05 24 B0 FF 40 10 10 00 A4 8F 21 20 40 00 ?? ?? ?? 0? 1C 00 A2 AF 00 00 42 80 21 00 40 14 1C 00 A5 8F 10 00 B7 8F 01 00 F3 26 58 00 B3 10 10 00 B3 AF 02 00 E2 26 21 FF A2 10 03 00 F7 26 21 18 60 02 ?? ?? ?? 0? 21 10 60 02 00 00 62 A0 21 10 E0 02 4F 00 B7 10 01 00 63 24 02 00 F7 26 FF FF E4 26 17 FF A4 50 21 B0 00 00 00 00 44 80 20 00 A3 AF ?? ?? ?? 0? 1C 00 A5 AF FF FF E4 82 ?? ?? ?? 0? 18 00 A2 AF 18 00 A6 8F 20 00 A3 8F 21 10 46 00 ED FF 41 04 1C 00 A5 8F ?? ?? ?? 0? 21 B0 00 00 ?? ?? ?? 0? 10 00 A4 8F ?? ?? ?? 0? 22 00 05 24 06 00 40 10 21 98 40 00 ?? ?? ?? 0? 21 20 40 00 00 00 42 80 2A 00 40 50 00 00 60 A2 10 00 A4 8F ?? ?? ?? 0? 00 00 82 80 21 10 C0 02 B0 01 03 AE 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 9C 01 44 8C 3C FF A4 14 98 01 03 AE ?? ?? ?? 0? 9C 01 03 AE A8 01 44 8C 42 FF A4 14 A4 01 03 AE ?? ?? ?? 0? A8 01 03 AE 88 01 44 8C 20 FF A4 14 84 01 03 AE ?? ?? ?? 0? 88 01 03 AE 94 01 44 8C 26 FF A4 14 90 01 03 AE ?? ?? ?? 0? 94 01 03 AE 7C 01 44 8C 0B FF A4 14 78 01 03 AE ?? ?? ?? 0? 7C 01 03 AE 10 00 A2 8F 01 00 42 24 21 20 40 00 ?? ?? ?? 0? 10 00 A2 AF ?? ?? ?? 0? 01 00 53 24 21 18 60 02 23 98 73 00 01 00 73 26 4D FF 61 06 00 00 60 A0 ?? ?? ?? 0? 21 B0 00 00 }
	condition:
		$1
}

rule file_185_0_4 {
	meta:
		name = "wcschr"
		size = 60
	strings:
		$1 = { 00 00 83 8C 0B 00 65 10 21 10 80 00 06 00 60 54 04 00 42 24 08 00 E0 03 21 10 00 00 05 00 60 50 21 10 00 00 04 00 42 24 00 00 43 8C FB FF 65 14 00 00 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_186_0_4 {
	meta:
		name = "strrchr"
		size = 40
	strings:
		$1 = { 20 2C 05 7C ?? ?? ?? 0? 21 10 00 00 01 00 84 24 00 00 83 80 26 30 65 00 FC FF 60 14 0A 10 86 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_189_0_4 {
	meta:
		name = "srand"
		size = 84
		refs = "0000 _Tls_setup__Randinit 0020 _Tls_setup__Randseed 0028 _Randinit 0044 _Randseed"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 04 00 40 10 1C 00 BF AF 09 F8 40 00 10 00 A4 AF 10 00 A4 8F ?? ?? 02 3C ?? ?? 42 8C ?? ?? 03 3C 04 00 40 10 ?? ?? 60 A0 09 F8 40 00 10 00 A4 AF 10 00 A4 8F 1C 00 BF 8F ?? ?? 02 3C ?? ?? 44 AC 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_192_0_4 {
	meta:
		name = "remainderf"
		size = 28
		refs = "0008 remquof"
		altNames = "remainder"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_444_0_4 {
	meta:
		name = "logl"
		size = 28
		refs = "0008 _LLog"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_331_0_4 {
	meta:
		name = "sinl"
		size = 28
		refs = "0008 _LSin"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_597_0_4 {
	meta:
		name = "strtod"
		size = 28
		refs = "0008 _Stod"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_363_0_4 {
	meta:
		name = "strtof"
		size = 28
		refs = "0008 _Stof"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_268_0_4 {
	meta:
		name = "strtold"
		size = 28
		refs = "0008 _Stold"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_590_0_4 {
	meta:
		name = "wcstod"
		size = 28
		refs = "0008 _WStod"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_556_0_4 {
	meta:
		name = "wcstof"
		size = 28
		refs = "0008 _WStof"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_511_0_4 {
	meta:
		name = "wcstold"
		size = 28
		refs = "0008 _WStold"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 30 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_193_0_4 {
	meta:
		name = "lcong48"
		size = 104
	strings:
		$1 = { 0A 00 85 94 08 00 82 94 04 00 86 94 02 00 83 94 06 00 87 94 00 2C 05 00 00 00 88 94 25 28 A2 00 00 34 06 00 0C 00 84 94 25 30 C3 00 00 4C 05 00 ?? ?? 02 3C 00 54 06 00 02 2C 05 00 25 38 27 01 ?? ?? 03 3C 02 34 06 00 25 40 48 01 ?? ?? 47 AC ?? ?? 45 AC ?? ?? 02 3C ?? ?? 68 AC ?? ?? 66 AC 08 00 E0 03 ?? ?? 44 A4 }
	condition:
		$1
}

rule file_193_1_4 {
	meta:
		name = "seed48"
		size = 112
	strings:
		$1 = { 00 00 85 94 ?? ?? 02 3C 0B 00 08 24 ?? ?? 07 3C 02 00 83 94 04 00 86 94 ?? ?? 45 A4 ?? ?? E8 A4 02 00 87 94 ?? ?? 42 24 00 34 06 00 02 00 47 A4 25 30 C3 00 04 00 84 94 00 3C 06 00 ?? ?? 03 3C 02 34 06 00 25 28 E5 00 ?? ?? 66 AC EC DE 06 3C ?? ?? 65 AC 6D E6 C6 34 ?? ?? 03 3C 05 00 07 24 ?? ?? 66 AC ?? ?? 67 AC 08 00 E0 03 04 00 44 A4 }
	condition:
		$1
}

rule file_193_2_4 {
	meta:
		name = "srand48"
		size = 76
	strings:
		$1 = { 02 2C 04 00 C3 17 04 00 00 24 04 00 ?? ?? 03 3C 0E 33 84 34 00 14 02 00 25 10 A2 00 ?? ?? 64 AC EC DE 04 3C ?? ?? 62 AC 6D E6 84 34 ?? ?? 02 3C 05 00 05 24 ?? ?? 44 AC ?? ?? 45 AC 0B 00 03 24 ?? ?? 02 3C 08 00 E0 03 ?? ?? 43 A4 }
	condition:
		$1
}

rule file_193_3_4 {
	meta:
		name = "drand48"
		size = 132
		refs = "0064 __floatunsisf 0070 ldexp"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 06 3C ?? ?? 43 8C ?? ?? C7 8C ?? ?? C4 8C ?? ?? 45 8C ?? ?? 06 3C 02 20 83 70 ?? ?? C6 94 E8 FF BD 27 14 00 BF AF 19 00 67 00 12 40 00 00 10 48 00 00 02 18 A7 70 21 20 64 00 21 18 C8 00 21 20 89 00 2B 28 66 00 21 28 A4 00 FF FF A5 30 00 34 05 00 02 24 03 00 25 20 C4 00 ?? ?? 43 AC ?? ?? ?? 0? ?? ?? 45 AC 21 20 40 00 ?? ?? ?? 0? E0 FF 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_193_4_4 {
	meta:
		name = "erand48"
		size = 156
		refs = "007c __floatunsisf 0088 ldexp"
	strings:
		$1 = { 04 00 85 94 02 00 88 94 00 00 87 94 21 10 80 00 00 2C 05 00 ?? ?? 04 3C ?? ?? 86 8C 25 28 A8 00 ?? ?? 84 8C 00 1C 05 00 25 18 67 00 02 30 C3 70 02 3C 05 00 ?? ?? 05 3C ?? ?? A5 94 E8 FF BD 27 14 00 BF AF 19 00 83 00 12 40 00 00 21 28 05 01 00 00 45 A4 10 48 00 00 02 50 87 70 2B 20 A8 00 21 18 46 01 21 18 69 00 21 18 83 00 00 34 03 00 02 24 05 00 25 20 C4 00 02 00 44 A4 ?? ?? ?? 0? 04 00 43 A4 21 20 40 00 ?? ?? ?? 0? E0 FF 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_193_5_4 {
	meta:
		name = "lrand48"
		size = 100
	strings:
		$1 = { ?? ?? 03 3C ?? ?? 05 3C ?? ?? 64 8C ?? ?? A6 8C ?? ?? A2 8C ?? ?? 67 8C ?? ?? 05 3C 02 10 44 70 ?? ?? A5 94 19 00 86 00 12 40 00 00 10 48 00 00 02 20 E6 70 21 10 82 00 21 20 A8 00 21 10 49 00 2B 28 85 00 21 28 A2 00 FF FF A5 30 C0 33 05 00 42 14 04 00 ?? ?? 64 AC ?? ?? 65 AC 08 00 E0 03 25 10 C2 00 }
	condition:
		$1
}

rule file_193_6_4 {
	meta:
		name = "nrand48"
		size = 128
	strings:
		$1 = { 04 00 83 94 02 00 88 94 00 00 85 94 ?? ?? 06 3C 00 1C 03 00 ?? ?? C7 8C 25 18 68 00 ?? ?? C6 8C 00 14 03 00 25 28 45 00 02 38 E5 70 02 14 03 00 ?? ?? 03 3C ?? ?? 63 94 19 00 C5 00 12 40 00 00 21 18 03 01 00 00 83 A4 10 48 00 00 02 28 C2 70 21 10 A7 00 21 10 49 00 2B 28 68 00 21 28 A2 00 FF FF A5 30 02 3C 03 00 C0 33 05 00 42 14 03 00 02 00 87 A4 04 00 85 A4 08 00 E0 03 25 10 C2 00 }
	condition:
		$1
}

rule file_193_7_4 {
	meta:
		name = "mrand48"
		size = 100
	strings:
		$1 = { ?? ?? 03 3C ?? ?? 05 3C ?? ?? 64 8C ?? ?? A6 8C ?? ?? A2 8C ?? ?? 67 8C ?? ?? 05 3C 02 10 44 70 ?? ?? A5 94 19 00 86 00 12 40 00 00 10 48 00 00 02 20 E6 70 21 10 82 00 21 20 A8 00 21 10 49 00 2B 28 85 00 21 28 A2 00 FF FF A5 30 00 34 05 00 02 14 04 00 ?? ?? 64 AC ?? ?? 65 AC 08 00 E0 03 25 10 C2 00 }
	condition:
		$1
}

rule file_193_8_4 {
	meta:
		name = "jrand48"
		size = 120
	strings:
		$1 = { 04 00 83 94 02 00 88 94 00 00 85 94 ?? ?? 06 3C 00 1C 03 00 ?? ?? C7 8C 25 18 68 00 ?? ?? C6 8C 00 14 03 00 25 28 45 00 02 38 E5 70 02 14 03 00 ?? ?? 03 3C ?? ?? 63 94 19 00 C5 00 12 40 00 00 21 18 03 01 00 00 83 A4 10 48 00 00 02 28 C2 70 21 10 A7 00 21 10 49 00 2B 28 68 00 21 28 A2 00 00 34 05 00 02 14 03 00 25 10 C2 00 02 00 82 A4 08 00 E0 03 04 00 85 A4 }
	condition:
		$1
}

rule file_194_0_4 {
	meta:
		name = "bsearch"
		size = 220
	strings:
		$1 = { D0 FF BD 27 24 00 B5 AF 14 00 B1 AF 10 00 B0 AF 2C 00 BF AF 28 00 B6 AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 21 80 80 00 21 A8 E0 00 40 00 B1 8F 10 00 C0 10 21 10 00 00 21 B0 A0 00 21 90 C0 00 42 98 12 00 02 10 75 72 21 20 00 02 21 A0 56 00 09 F8 20 02 21 28 80 02 1B 00 40 04 27 18 13 00 0E 00 40 10 21 90 43 02 F5 FF 40 16 21 B0 95 02 21 10 00 00 2C 00 BF 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F 21 10 80 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 21 90 60 02 DD FF 40 16 42 98 12 00 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_195_0_4 {
	meta:
		name = "_WStodx"
		size = 540
		refs = "0038 _WStopfx 00ac _Inf 00b8 _Nan 00d4 _WStoflt 00f8 _Dtentox 0118 _WStoxflt 0134 _Dscale 0154 sitofp 0184 fpmul 01a0 fpadd"
	strings:
		$1 = { B8 FF BD 27 2C 00 B1 AF 48 00 A4 AF 21 88 80 00 48 00 A4 27 38 00 B4 AF 34 00 B3 AF 30 00 B2 AF 28 00 B0 AF 44 00 BF AF 40 00 B6 AF 3C 00 B5 AF 21 90 A0 00 21 98 C0 00 ?? ?? ?? 0? 21 80 E0 00 02 00 00 12 08 00 54 30 00 00 00 AE F7 FF 03 24 24 18 43 00 01 00 02 24 1A 00 62 10 02 00 02 24 29 00 62 10 03 00 02 24 10 00 62 10 04 00 04 24 11 00 64 10 21 10 00 00 03 00 80 12 44 00 BF 8F 00 80 03 3C 26 10 62 00 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 48 00 A5 8F 21 30 40 02 21 20 20 02 1C 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF 1D 00 40 14 21 90 40 00 21 10 00 00 18 00 A2 AF 21 20 40 00 1C 00 A5 8F 21 30 00 02 ?? ?? ?? 0? 21 28 65 02 ?? ?? ?? 0? 00 00 00 00 48 00 A5 8F 21 30 40 02 21 20 20 02 1C 00 A7 27 ?? ?? ?? 0? 10 00 A3 AF 25 00 40 14 21 90 40 00 21 10 00 00 18 00 A2 AF 1C 00 A5 8F ?? ?? ?? 0? 18 00 A4 27 18 00 A4 8F 21 28 60 02 ?? ?? ?? 0? 21 30 00 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 20 00 A4 8F 21 20 40 00 02 00 42 2A E2 FF 40 14 18 00 A4 AF ?? ?? 02 3C ?? ?? 51 8C 80 90 12 00 20 00 A3 27 24 00 B5 27 21 90 72 00 ?? ?? ?? 0? 21 28 20 02 00 00 A4 8E 21 B0 40 00 ?? ?? ?? 0? 04 00 B5 26 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 F6 FF B2 16 21 20 40 00 ?? ?? ?? 0? 18 00 A2 AF ?? ?? ?? 0? 20 00 A4 8F 02 00 43 2A DA FF 60 14 18 00 A2 AF ?? ?? 03 3C ?? ?? 71 8C 80 90 12 00 20 00 A3 27 24 00 B5 27 21 90 72 00 21 28 20 02 ?? ?? ?? 0? 21 20 40 00 00 00 A4 8E 21 B0 40 00 ?? ?? ?? 0? 04 00 B5 26 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 F6 FF B2 16 21 28 20 02 ?? ?? ?? 0? 18 00 A2 AF }
	condition:
		$1
}

rule file_700_0_4 {
	meta:
		name = "_Stodx"
		size = 540
		refs = "0038 _Stopfx 00ac _Inf 00b8 _Nan 00d4 _Stoflt 00f8 _Dtentox 0118 _Stoxflt 0134 _Dscale 0154 sitofp 0184 fpmul 01a0 fpadd"
	strings:
		$1 = { B8 FF BD 27 2C 00 B1 AF 48 00 A4 AF 21 88 80 00 48 00 A4 27 38 00 B4 AF 34 00 B3 AF 30 00 B2 AF 28 00 B0 AF 44 00 BF AF 40 00 B6 AF 3C 00 B5 AF 21 90 A0 00 21 98 C0 00 ?? ?? ?? 0? 21 80 E0 00 02 00 00 12 08 00 54 30 00 00 00 AE F7 FF 03 24 24 18 43 00 01 00 02 24 1A 00 62 10 02 00 02 24 29 00 62 10 03 00 02 24 10 00 62 10 04 00 04 24 11 00 64 10 21 10 00 00 03 00 80 12 44 00 BF 8F 00 80 03 3C 26 10 62 00 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 48 00 A5 8F 21 30 40 02 21 20 20 02 1C 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF 1D 00 40 14 21 90 40 00 21 10 00 00 18 00 A2 AF 21 20 40 00 1C 00 A5 8F 21 30 00 02 ?? ?? ?? 0? 21 28 65 02 ?? ?? ?? 0? 00 00 00 00 48 00 A5 8F 21 30 40 02 21 20 20 02 1C 00 A7 27 ?? ?? ?? 0? 10 00 A3 AF 25 00 40 14 21 90 40 00 21 10 00 00 18 00 A2 AF 1C 00 A5 8F ?? ?? ?? 0? 18 00 A4 27 18 00 A4 8F 21 28 60 02 ?? ?? ?? 0? 21 30 00 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 20 00 A4 8F 21 20 40 00 02 00 42 2A E2 FF 40 14 18 00 A4 AF ?? ?? 02 3C ?? ?? 51 8C 80 90 12 00 20 00 A3 27 24 00 B5 27 21 90 72 00 ?? ?? ?? 0? 21 28 20 02 00 00 A4 8E 21 B0 40 00 ?? ?? ?? 0? 04 00 B5 26 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 F6 FF B2 16 21 20 40 00 ?? ?? ?? 0? 18 00 A2 AF ?? ?? ?? 0? 20 00 A4 8F 02 00 43 2A DA FF 60 14 18 00 A2 AF ?? ?? 03 3C ?? ?? 71 8C 80 90 12 00 20 00 A3 27 24 00 B5 27 21 90 72 00 21 28 20 02 ?? ?? ?? 0? 21 20 40 00 00 00 A4 8E 21 B0 40 00 ?? ?? ?? 0? 04 00 B5 26 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 F6 FF B2 16 21 28 20 02 ?? ?? ?? 0? 18 00 A2 AF }
	condition:
		$1
}

rule file_196_0_4 {
	meta:
		name = "scin"
		size = 56
	strings:
		$1 = { 21 10 A0 00 04 00 C0 14 00 00 83 8C FF FF 63 24 08 00 E0 03 00 00 83 AC 00 00 65 80 04 00 A0 10 FF FF 02 24 01 00 62 24 00 00 82 AC 00 00 62 80 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_196_1_4 {
	meta:
		name = "vsscanf_s"
		size = 92
		refs = "0030 _Scanf 004c _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 20 00 A4 AF 21 10 A0 00 0C 00 80 10 21 38 C0 00 0A 00 A0 10 ?? ?? 04 3C 21 30 40 00 ?? ?? 84 24 01 00 02 24 20 00 A5 27 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_197_0_4 {
	meta:
		name = "_Putfld"
		size = 2996
		refs = "025c memchr 0308 fptodp 03a0 _Fail_s 05cc _Litob 0758 _Ldtob 0838 _Putstr 0a28 strlen"
	strings:
		$1 = { C0 FF BD 27 34 00 B4 AF 20 A4 06 7C DB FF 82 26 FF 00 42 30 54 00 43 2C 30 00 B3 AF 3C 00 BF AF 38 00 B5 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 16 00 60 14 21 98 80 00 14 00 63 8E 25 00 06 24 21 10 00 00 21 28 E3 00 01 00 64 24 00 00 A6 A0 05 00 80 12 14 00 64 AE 21 38 E4 00 02 00 63 24 00 00 F4 A0 14 00 63 AE 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 03 3C 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3E 00 83 80 6C 00 02 24 56 00 62 50 2C 00 67 8E 2C 00 87 8C 3F 02 E0 04 21 10 E0 00 00 00 A8 8C FF FF 06 24 21 18 00 01 00 00 64 8C FF FF 42 24 04 00 63 24 FC FF 46 14 10 00 64 AE 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 2C 00 62 AE 35 02 80 50 ?? ?? 04 3C 30 00 66 8E F4 01 C0 04 00 00 00 00 ?? ?? ?? 0? 21 28 00 00 26 02 40 50 30 00 62 8E 10 00 63 8E 23 10 43 00 1C 00 62 AE 21 10 00 00 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 14 00 83 8C 25 00 04 24 21 10 00 00 21 38 E3 00 00 00 E4 A0 3C 00 BF 8F 01 00 63 24 14 00 63 AE 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 2C 00 95 8C 0F 01 A0 06 4C 00 11 24 F8 FF 12 24 ?? ?? ?? 0? FF FF 10 24 00 00 44 8C 04 00 42 24 00 00 A2 AC 18 00 A5 AF ?? ?? ?? 0? 1C 00 A7 AF 1C 00 A7 8F 18 00 A5 8F FF FF B5 26 00 00 62 AE FF 00 B0 12 04 00 63 AE 3E 00 62 82 F2 FF 51 14 00 00 A2 8C 07 00 42 24 24 10 52 00 08 00 43 24 00 00 A3 AC 04 00 43 8C ?? ?? ?? 0? 00 00 42 8C 6C 00 02 24 3E 00 82 A0 2C 00 67 8E 0E 00 E0 04 21 18 E0 00 00 00 A8 8C FF FF 06 24 21 20 00 01 FF FF 63 24 00 00 82 8C FD FF 66 14 04 00 84 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 28 01 40 14 2C 00 63 AE ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1B 00 05 24 ?? ?? ?? 0? 27 10 02 00 2C 00 82 8C BF 00 40 04 6C 00 08 24 71 00 09 24 6A 00 0A 24 ?? ?? ?? 0? F8 FF 0B 24 8B 00 69 50 00 00 A3 8C 89 00 6A 50 00 00 A3 8C 00 00 A6 8C 21 18 00 00 00 00 C4 8C 04 00 C6 24 00 00 A6 AC FF FF 42 24 00 00 64 AE 04 00 63 AE AD 00 40 04 2C 00 62 AE 3E 00 63 82 F0 FF 68 14 00 00 00 00 00 00 A4 8C 21 18 00 00 04 00 86 24 00 00 A6 AC ?? ?? ?? 0? 00 00 84 8C 3E 00 83 80 6C 00 02 24 C6 01 62 50 2C 00 87 8C 2C 00 88 8C 0E 00 00 05 21 20 00 00 00 00 A9 8C 21 10 00 01 FF FF 06 24 21 18 20 01 FF FF 42 24 00 00 64 80 2C 00 62 AE FC FF 46 14 04 00 63 24 01 00 08 25 80 40 08 00 21 48 28 01 00 00 A9 AC 14 00 63 8E 21 10 00 00 21 38 E3 00 01 00 63 24 00 00 E4 A0 ?? ?? ?? 0? 14 00 63 AE 2C 00 82 8C 5F 00 40 04 6C 00 06 24 71 00 08 24 6A 00 09 24 ?? ?? ?? 0? F8 FF 0A 24 10 00 69 10 00 00 A4 8C 00 00 83 8C 04 00 84 24 00 00 A4 AC C3 27 03 00 FF FF 42 24 00 00 63 AE 04 00 64 AE 51 00 40 04 2C 00 62 AE 3E 00 63 82 F5 FF 66 50 00 00 A4 8C F1 FF 68 14 00 00 00 00 00 00 A4 8C 07 00 84 24 24 20 8A 00 08 00 83 24 00 00 A3 AC 00 00 83 8C ?? ?? ?? 0? 04 00 84 8C 3F 00 82 80 66 01 40 54 ?? ?? 04 3C 3E 00 82 90 9E FF 42 24 FF 00 42 30 19 00 43 2C 96 00 60 14 ?? ?? 03 3C 2C 00 67 8E 7E 01 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 71 01 80 10 2C 00 62 AE 34 00 63 8E 21 10 00 00 ?? ?? ?? 0? 00 00 83 AC 2C 00 83 8C 62 01 60 04 FF FF 06 24 00 00 A2 8C 04 00 42 24 00 00 A2 AC FF FF 63 24 FC FF 66 14 FC FF 44 8C 21 40 80 00 2C 00 63 AE 21 48 00 00 14 00 62 8E 00 00 68 AE 04 00 69 AE 21 38 E2 00 21 20 60 02 10 00 67 AE ?? ?? ?? 0? 78 00 05 24 3C 00 BF 8F 21 10 00 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 07 00 63 24 24 18 6B 00 08 00 64 24 00 00 A4 AC 00 00 64 8C ?? ?? ?? 0? 04 00 63 8C 00 00 83 8C 3E 00 62 82 68 00 04 24 11 01 44 10 62 00 04 24 29 01 44 10 74 00 04 24 7B 00 44 10 7A 00 04 24 7A 00 44 10 C3 17 03 00 04 00 62 8E 0D 01 42 04 14 00 62 8E 3C 00 62 96 02 00 43 30 F8 00 60 10 01 00 42 30 14 00 62 8E 2B 00 04 24 21 18 E2 00 01 00 42 24 00 00 64 A0 14 00 62 AE 21 38 E2 00 10 00 67 AE 21 20 60 02 ?? ?? ?? 0? 21 28 80 02 3C 00 BF 8F 21 10 00 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 3E 00 62 82 68 00 03 24 E7 00 43 10 62 00 03 24 FF 00 43 10 74 00 03 24 53 00 43 10 7A 00 03 24 01 00 43 50 04 00 60 AE 3C 00 62 96 08 00 42 30 E4 FF 40 50 14 00 62 8E 00 00 62 8E 04 00 63 8E 25 10 43 00 DF FF 40 50 14 00 62 8E 78 00 02 24 53 00 82 52 14 00 62 8E 58 00 02 24 50 00 82 12 14 00 62 8E ?? ?? ?? 0? 21 38 E2 00 2C 00 75 AE 06 00 62 86 DB 00 42 04 14 00 62 8E 3C 00 62 96 02 00 43 30 32 00 60 54 14 00 62 8E 01 00 42 30 E8 00 40 14 14 00 62 8E 21 38 E2 00 10 00 67 AE 21 20 60 02 ?? ?? ?? 0? 21 28 80 02 3C 00 BF 8F 21 10 00 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2B 00 04 24 21 18 E2 00 01 00 42 24 00 00 64 A0 ?? ?? ?? 0? 14 00 62 AE ?? ?? ?? 0? 04 00 60 AE C3 17 03 00 00 00 63 AE ?? ?? ?? 0? 04 00 62 AE 21 20 60 02 ?? ?? ?? 0? 21 28 40 00 00 00 42 28 FF FF 03 24 0A 18 02 00 ?? ?? ?? 0? 21 10 60 00 30 00 05 24 21 20 E2 00 02 00 42 24 00 00 85 A0 01 00 94 A0 ?? ?? ?? 0? 14 00 62 AE 2C 00 87 8C AF 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 ?? ?? ?? 0? 01 00 E7 24 2C 00 87 8C A3 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 96 00 80 10 2C 00 62 AE 34 00 63 8E 21 10 00 00 C3 2F 03 00 00 00 83 AC ?? ?? ?? 0? 04 00 85 AC 2C 00 87 8C 8D 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 80 00 80 10 2C 00 62 AE 34 00 63 8E 21 10 00 00 ?? ?? ?? 0? 00 00 83 A4 2C 00 87 8C 79 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 6C 00 80 10 2C 00 62 AE 34 00 63 8E 21 10 00 00 ?? ?? ?? 0? 00 00 83 A0 2C 00 87 8C 65 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 ?? ?? ?? 0? 01 00 E7 24 2C 00 87 8C 59 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 ?? ?? ?? 0? 01 00 E7 24 2C 00 87 8C 4D 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 ?? ?? ?? 0? 01 00 E7 24 ?? ?? ?? 0? 00 00 00 00 1C 00 62 AE ?? ?? ?? 0? 21 10 00 00 0E FF 40 10 14 00 62 8E 20 00 04 24 21 18 E2 00 01 00 42 24 00 00 64 A0 ?? ?? ?? 0? 14 00 62 AE 00 00 62 96 04 00 60 AE ?? ?? ?? 0? 00 00 62 AE 20 1E 03 7C C3 17 03 00 00 00 63 AE ?? ?? ?? 0? 04 00 62 AE 2D 00 04 24 21 18 E2 00 01 00 42 24 00 00 64 A0 ?? ?? ?? 0? 14 00 62 AE 2D 00 04 24 21 18 E2 00 01 00 42 24 00 00 64 A0 ?? ?? ?? 0? 14 00 62 AE ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? 27 10 02 00 00 00 62 92 04 00 60 AE ?? ?? ?? 0? 00 00 62 AE 20 1C 03 7C C3 17 03 00 00 00 63 AE ?? ?? ?? 0? 04 00 62 AE 20 00 04 24 21 18 E2 00 01 00 42 24 00 00 64 A0 ?? ?? ?? 0? 14 00 62 AE 1C 00 62 AE ?? ?? ?? 0? 21 10 00 00 ?? ?? ?? 0? 10 00 84 8C 21 40 00 00 ?? ?? ?? 0? 21 48 00 00 ?? ?? 84 24 ?? ?? ?? 0? 1A 00 05 24 ?? ?? ?? 0? 27 10 02 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? 27 10 02 00 0E 00 E0 04 21 10 00 00 00 00 A8 8C 21 18 E0 00 FF FF 06 24 21 20 00 01 FF FF 63 24 00 00 82 8C 2C 00 63 AE FC FF 66 14 04 00 84 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC FF FF 10 24 30 00 70 AE 21 20 60 02 10 00 A5 27 10 00 A2 AF ?? ?? ?? 0? 14 00 A0 AF 00 00 42 28 0A 80 02 00 ?? ?? ?? 0? 21 10 00 02 }
	condition:
		$1
}

rule file_198_0_4 {
	meta:
		name = "_FTgamma"
		size = 988
		refs = "0038 fpcmp 0088 fpadd 0098 fpmul 00c0 fpsub 00d0 _FDunscale 0198 fpdiv 0250 _FPow 0298 _FPoly 02d0 expf"
	strings:
		$1 = { C8 FF BD 27 30 00 B6 AF ?? ?? 02 3C 00 00 96 8C 24 00 B3 AF 21 98 80 00 ?? ?? 44 8C 28 00 B4 AF 21 A0 A0 00 21 28 C0 02 34 00 BF AF 2C 00 B5 AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 18 00 B0 AF 7D 00 40 18 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 C0 02 5F 00 41 04 ?? ?? 02 3C ?? ?? 10 3C ?? ?? 04 8E 21 28 C0 02 ?? ?? ?? 0? 10 00 B6 AF D8 00 40 04 ?? ?? 11 8E ?? ?? 15 3C ?? ?? B2 8E 21 80 C0 02 21 20 C0 02 ?? ?? ?? 0? 21 28 40 02 21 B0 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 21 20 20 02 21 28 C0 02 ?? ?? ?? 0? 21 80 40 00 F5 FF 43 04 21 20 C0 02 10 00 B0 AF ?? ?? A5 8E ?? ?? ?? 0? 21 20 C0 02 21 20 80 02 10 00 A5 27 ?? ?? ?? 0? 21 80 40 00 10 00 B6 8F ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? 00 00 76 AE ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 C0 02 55 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 C0 02 4A 00 40 04 ?? ?? 02 3C ?? ?? 11 3C ?? ?? 25 8E ?? ?? ?? 0? 21 20 C0 02 58 00 41 04 ?? ?? 15 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 C0 02 21 80 40 00 ?? ?? 02 3C 00 00 80 A6 ?? ?? ?? 0? ?? ?? 56 8C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 C0 02 21 28 40 00 21 30 80 02 ?? ?? ?? 0? 21 20 C0 02 21 88 40 00 00 00 82 96 ?? ?? 03 3C ?? ?? 64 8C 23 10 02 00 21 28 C0 02 ?? ?? ?? 0? 00 00 82 A6 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 01 00 06 24 ?? ?? ?? 0? 21 80 40 00 ?? ?? 05 3C 07 00 06 24 21 20 00 02 ?? ?? A5 24 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 00 80 04 3C 26 20 96 00 00 00 62 AE ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 34 00 BF 8F 00 00 62 AE 30 00 B6 8F 21 10 00 00 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 C0 02 21 80 40 00 ?? ?? ?? 0? 00 00 80 A6 ?? ?? 02 3C ?? ?? 45 8C 21 20 C0 02 ?? ?? ?? 0? 21 80 C0 02 21 20 40 00 ?? ?? ?? 0? 21 28 C0 02 21 20 80 02 10 00 A5 27 ?? ?? ?? 0? 10 00 A2 AF ?? ?? ?? 0? 10 00 B6 8F ?? ?? B0 8E ?? ?? 24 8E 21 28 C0 02 ?? ?? ?? 0? 10 00 B0 AF 10 00 41 04 ?? ?? 31 8E 21 90 00 02 21 20 C0 02 ?? ?? ?? 0? 21 28 40 02 21 B0 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 21 20 20 02 21 28 C0 02 ?? ?? ?? 0? 21 80 40 00 F5 FF 42 04 21 20 C0 02 10 00 B0 AF ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 15 3C }
	condition:
		$1
}

rule file_199_0_4 {
	meta:
		name = "prout"
		size = 72
		refs = "0020 fwrite"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF 21 38 80 00 21 80 80 00 21 20 A0 00 01 00 05 24 1C 00 BF AF 18 00 B1 AF ?? ?? ?? 0? 21 88 C0 00 1C 00 BF 8F 26 10 51 00 0B 80 02 00 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_199_1_4 {
	meta:
		name = "vfprintf_s"
		size = 92
		refs = "0030 _Printf 004c _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 10 80 00 21 18 A0 00 0C 00 80 10 21 38 C0 00 0A 00 A0 10 ?? ?? 04 3C 21 28 40 00 ?? ?? 84 24 01 00 02 24 21 30 60 00 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_389_1_4 {
	meta:
		name = "vfwscanf_s"
		size = 92
		refs = "0030 _WScanf 004c _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 10 80 00 21 18 A0 00 0C 00 80 10 21 38 C0 00 0A 00 A0 10 ?? ?? 04 3C 21 28 40 00 ?? ?? 84 24 01 00 02 24 21 30 60 00 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_200_0_4 {
	meta:
		name = "fwide"
		size = 88
	strings:
		$1 = { 0F 00 A2 04 00 00 82 94 07 00 A0 50 00 00 82 94 00 00 83 94 00 40 65 30 07 00 A0 14 FF FF 02 24 00 80 62 34 00 00 82 A4 00 40 44 30 C2 1B 02 00 FF FF 02 24 0A 10 64 00 08 00 E0 03 00 00 00 00 20 1E 02 7C F9 FF 62 04 00 40 44 30 00 40 42 34 ?? ?? ?? 0? 00 00 82 A4 }
	condition:
		$1
}

rule file_201_0_4 {
	meta:
		name = "_WFwprep"
		size = 312
		refs = "00a0 fflush 00d8 malloc 0104 _Closreg"
	strings:
		$1 = { 0C 00 85 8C 30 00 82 8C E0 FF BD 27 14 00 B0 AF 2B 10 A2 00 1C 00 BF AF 18 00 B1 AF 21 80 80 00 16 00 40 14 21 18 00 00 00 00 82 94 02 00 03 24 02 50 46 30 20 00 C3 14 00 A0 46 30 00 A0 03 34 14 00 C3 50 08 00 83 8C 00 0C 43 30 04 00 60 14 04 00 11 8E 48 00 03 26 1F 00 23 12 00 00 00 00 08 00 03 8E 00 A0 04 24 25 10 44 00 30 00 03 AE 2C 00 11 AE 00 00 02 A6 21 18 00 00 1C 00 BF 8F 21 10 60 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 2B 28 A3 00 EC FF A0 14 00 0C 43 30 ?? ?? ?? 0? 00 00 00 00 F4 FF 40 14 FF FF 03 24 ?? ?? ?? 0? 00 00 02 96 00 40 45 30 00 02 03 24 00 82 04 24 0A 18 85 00 25 10 43 00 00 00 02 A6 ?? ?? ?? 0? FF FF 03 24 ?? ?? ?? 0? 20 00 04 24 0D 00 40 10 04 00 02 AE 00 00 04 96 20 00 43 24 0C 00 02 AE 40 00 84 34 10 00 02 AE 14 00 02 AE 00 00 04 A6 ?? ?? ?? 0? 08 00 03 AE 04 00 11 8E ?? ?? ?? 0? 00 00 02 96 49 00 02 26 04 00 11 AE 0C 00 11 AE ?? ?? ?? 0? 08 00 02 AE 04 00 11 8E ?? ?? ?? 0? 00 00 02 96 }
	condition:
		$1
}

rule file_202_0_4 {
	meta:
		name = "_Btowc"
		size = 88
		refs = "0030 _Mbtowc"
	strings:
		$1 = { D8 FF BD 27 20 00 B0 AF FF FF 10 24 24 00 BF AF 0C 00 90 10 21 10 80 00 14 00 A4 27 10 00 A5 27 01 00 06 24 18 00 A7 27 18 00 A0 AF 1C 00 A0 AF ?? ?? ?? 0? 10 00 A2 A3 14 00 A3 8F 00 00 42 28 0A 80 62 00 24 00 BF 8F 21 10 00 02 20 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_204_0_4 {
	meta:
		name = "strerrorlen_s"
		size = 36
		refs = "0008 _Strerror 0010 strlen"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_205_0_4 {
	meta:
		name = "div"
		size = 36
		altNames = "ldiv"
	strings:
		$1 = { 1A 00 A6 00 F4 01 C0 00 21 10 80 00 12 18 00 00 00 00 83 AC 02 38 66 70 23 28 A7 00 08 00 E0 03 04 00 85 AC }
	condition:
		$1
}

rule file_206_0_4 {
	meta:
		name = "_Log"
		size = 884
		refs = "0028 _Dunscale 004c _Feraise 0054 _Inf 0094 fpcmp 00b0 fpsub 00c0 fpadd 00cc fpdiv 00dc fpmul 01bc sitofp 030c _Nan"
	strings:
		$1 = { D0 FF BD 27 1C 00 B1 AF 30 00 A4 AF 21 88 A0 00 10 00 A4 27 30 00 A5 27 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF ?? ?? ?? 0? 18 00 B0 AF 01 00 03 24 7F 00 43 10 02 00 03 24 80 00 43 10 2C 00 BF 8F 0F 00 40 14 36 00 A2 87 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 43 8C 00 80 02 3C 26 10 62 00 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 9F 00 40 04 30 00 B0 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 70 00 42 04 21 20 00 02 10 00 B3 87 ?? ?? 14 3C ?? ?? 85 8E ?? ?? ?? 0? 21 20 00 02 ?? ?? 85 8E 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 A0 40 00 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 60 02 ?? ?? ?? 0? 21 80 40 00 2D 00 20 16 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 36 00 A2 87 32 00 40 04 2C 00 BF 8F 30 00 A2 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 21 28 00 02 10 00 B3 97 21 80 40 00 FF FF 73 26 ?? ?? ?? 0? 20 9E 13 7C 26 00 20 1A ?? ?? 11 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 80 40 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 02 21 A0 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 ?? ?? 25 8E 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 ?? ?? ?? 0? 2C 00 BF 8F }
	condition:
		$1
}

rule file_206_1_4 {
	meta:
		name = "_Logpoly"
		size = 200
		refs = "0014 fpmul 0024 fpadd"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 45 8C E8 FF BD 27 14 00 BF AF 10 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_207_0_4 {
	meta:
		name = "_Cosh"
		size = 336
		refs = "0014 _Dtest 006c fpcmp 0078 _Inf 00b4 _Xbig 00d4 _Exp 00f8 _Feraise 0100 _Nan 0128 fpdiv 0134 fpadd 0140 fpmul"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 1C 00 A5 AF 21 80 40 00 ?? ?? ?? 0? 1C 00 A4 27 18 00 00 06 02 00 03 24 2B 00 03 12 14 00 BF 8F 02 00 03 24 03 00 43 10 01 00 03 24 06 00 03 12 00 00 00 00 1C 00 A2 8F 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 25 00 40 10 00 00 00 00 1C 00 A4 8F ?? ?? ?? 0? 21 28 00 00 1E 00 41 04 ?? ?? 02 3C ?? ?? 43 8C 00 80 02 3C ?? ?? ?? 0? 26 10 62 00 EB FF 41 04 21 28 00 00 18 00 B0 8F ?? ?? ?? 0? 21 20 00 02 05 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 50 00 18 00 B0 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 11 00 40 04 ?? ?? 02 3C 1C 00 A5 8F 18 00 A4 27 ?? ?? ?? 0? FF FF 06 24 14 00 BF 8F 18 00 A2 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? ?? ?? 42 8C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 45 8C FF FF 06 24 ?? ?? ?? 0? 18 00 A4 27 18 00 B0 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1C 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 14 00 BF 8F }
	condition:
		$1
}

rule file_371_0_4 {
	meta:
		name = "_FCosh"
		size = 336
		refs = "0014 _FDtest 006c fpcmp 0078 _FInf 00b4 _FXbig 00d4 _FExp 00f8 _Feraise 0100 _FNan 0128 fpdiv 0134 fpadd 0140 fpmul"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 1C 00 A5 AF 21 80 40 00 ?? ?? ?? 0? 1C 00 A4 27 18 00 00 06 02 00 03 24 2B 00 03 12 14 00 BF 8F 02 00 03 24 03 00 43 10 01 00 03 24 06 00 03 12 00 00 00 00 1C 00 A2 8F 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 25 00 40 10 00 00 00 00 1C 00 A4 8F ?? ?? ?? 0? 21 28 00 00 1E 00 41 04 ?? ?? 02 3C ?? ?? 43 8C 00 80 02 3C ?? ?? ?? 0? 26 10 62 00 EB FF 41 04 21 28 00 00 18 00 B0 8F ?? ?? ?? 0? 21 20 00 02 05 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 50 00 18 00 B0 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 11 00 40 04 ?? ?? 02 3C 1C 00 A5 8F 18 00 A4 27 ?? ?? ?? 0? FF FF 06 24 14 00 BF 8F 18 00 A2 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? ?? ?? 42 8C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 45 8C FF FF 06 24 ?? ?? ?? 0? 18 00 A4 27 18 00 B0 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1C 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 14 00 BF 8F }
	condition:
		$1
}

rule file_208_0_4 {
	meta:
		name = "isalnum"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 32 02 42 30 }
	condition:
		$1
}

rule file_210_1_4 {
	meta:
		name = "vwscanf_s"
		size = 84
		refs = "0018 _Stdin 0028 _WScanf 0044 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 30 80 00 0B 00 80 10 21 38 A0 00 ?? ?? 04 3C ?? ?? 05 3C 01 00 02 24 ?? ?? 84 24 ?? ?? A5 24 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_226_1_4 {
	meta:
		name = "vprintf_s"
		size = 84
		refs = "0018 _Stdout 0028 _Printf 0044 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 30 80 00 0B 00 80 10 21 38 A0 00 ?? ?? 04 3C ?? ?? 05 3C 01 00 02 24 ?? ?? 84 24 ?? ?? A5 24 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_211_0_4 {
	meta:
		name = "mbrlen"
		size = 80
		refs = "001c _Mbtowc"
	strings:
		$1 = { E8 FF BD 27 21 38 C0 00 14 00 BF AF 21 10 80 00 07 00 E0 10 21 30 A0 00 21 20 00 00 ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? 07 3C ?? ?? E7 24 21 20 00 00 ?? ?? ?? 0? 21 28 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_212_0_4 {
	meta:
		name = "_Dint"
		size = 348
	strings:
		$1 = { 06 00 83 94 FF 07 02 24 00 51 66 7C 40 00 C2 10 20 2E 05 7C FF 7F 62 30 28 00 40 50 04 00 82 94 33 04 02 24 23 28 45 00 23 30 A6 00 20 2E 06 7C 20 00 A0 18 21 10 00 00 35 00 A2 28 40 00 40 10 03 29 05 00 ?? ?? 02 3C 80 18 05 00 ?? ?? 42 24 21 10 62 00 00 00 42 8C 0F 00 C6 30 ?? ?? 03 3C ?? ?? 63 24 40 30 06 00 40 10 02 00 21 10 82 00 21 30 C3 00 00 00 47 94 00 00 C3 94 24 18 E3 00 26 38 67 00 00 00 47 A4 02 00 02 24 18 00 A2 50 02 00 82 94 03 00 02 24 12 00 A2 50 04 00 82 94 01 00 02 24 15 00 A2 50 00 00 82 94 FF FF 02 24 0A 10 03 00 08 00 E0 03 00 00 00 00 D9 FF 40 14 33 04 02 24 02 00 82 94 D6 FF 40 54 33 04 02 24 00 00 87 94 D3 FF E0 54 33 04 02 24 08 00 E0 03 00 00 00 00 04 00 80 A4 25 18 62 00 02 00 82 94 02 00 80 A4 25 18 62 00 00 00 82 94 00 00 80 A4 25 18 62 00 FF FF 02 24 08 00 E0 03 0A 10 03 00 0F 00 63 30 E7 FF 60 14 02 00 02 24 04 00 83 94 E4 FF 60 14 00 00 00 00 02 00 83 94 E1 FF 60 14 01 00 03 24 00 00 84 94 08 00 E0 03 0A 10 64 00 00 80 63 30 06 00 83 A4 04 00 80 A4 02 00 80 A4 00 00 80 A4 08 00 E0 03 FF FF 02 24 }
	condition:
		$1
}

rule file_213_0_4 {
	meta:
		name = "_FCmulcc"
		size = 228
		refs = "0028 crealf 0038 cimagf 0068 fpmul 0084 fpsub 00b0 fpadd 00bc _FCbuild"
	strings:
		$1 = { D8 FF BD 27 20 00 B4 AF 10 00 B0 AF 21 A0 80 00 21 80 A0 00 24 00 BF AF 1C 00 B3 AF 18 00 B2 AF 21 98 E0 00 14 00 B1 AF ?? ?? ?? 0? 21 88 C0 00 21 20 80 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 A0 40 00 21 88 40 00 21 20 40 02 ?? ?? ?? 0? 21 28 80 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 20 00 02 21 28 80 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_697_0_4 {
	meta:
		name = "_Cmulcc"
		size = 228
		refs = "0028 creal 0038 cimag 0068 fpmul 0084 fpsub 00b0 fpadd 00bc _Cbuild"
	strings:
		$1 = { D8 FF BD 27 20 00 B4 AF 10 00 B0 AF 21 A0 80 00 21 80 A0 00 24 00 BF AF 1C 00 B3 AF 18 00 B2 AF 21 98 E0 00 14 00 B1 AF ?? ?? ?? 0? 21 88 C0 00 21 20 80 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 A0 40 00 21 88 40 00 21 20 40 02 ?? ?? ?? 0? 21 28 80 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 20 00 02 21 28 80 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_215_0_4 {
	meta:
		name = "memcpy_s"
		size = 192
		refs = "0080 memset 0090 _Fail_s"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 26 00 80 10 21 10 A0 00 25 00 A2 04 ?? ?? 04 3C 19 00 C0 50 21 28 00 00 16 00 E0 04 2B 18 A7 00 15 00 60 14 21 28 00 00 21 28 C7 00 2B 40 85 00 0C 00 00 15 21 18 80 00 07 00 E0 10 14 00 BF 8F 00 00 C2 90 01 00 C6 24 00 00 62 A0 FC FF C5 14 01 00 63 24 14 00 BF 8F 21 10 00 00 08 00 E0 03 18 00 BD 27 21 40 82 00 2B 40 C8 00 F2 FF 00 11 00 00 00 00 21 28 00 00 ?? ?? ?? 0? 21 30 40 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 23 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_216_0_4 {
	meta:
		name = "wcstok"
		size = 188
		refs = "0028 wcsspn 0044 wcscspn"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 21 88 80 00 21 90 A0 00 25 00 80 10 21 80 C0 00 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 80 10 02 00 21 88 22 02 00 00 22 8E 12 00 40 10 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 80 10 02 00 21 10 22 02 00 00 43 8C 09 00 60 54 00 00 40 AC 1C 00 BF 8F 00 00 02 AE 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 04 00 42 24 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 21 88 00 00 00 00 02 AE 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 D1 8C }
	condition:
		$1
}

rule file_217_0_4 {
	meta:
		name = "memchr"
		size = 72
	strings:
		$1 = { 0F 00 C0 10 21 10 00 00 00 00 83 90 FF 00 A5 30 06 00 65 14 21 10 80 00 ?? ?? ?? 0? 00 00 00 00 00 00 82 90 06 00 45 10 21 10 80 00 FF FF C6 24 FB FF C0 14 01 00 84 24 08 00 E0 03 21 10 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_221_0_4 {
	meta:
		name = "_FDtest"
		size = 96
	strings:
		$1 = { 02 00 82 94 80 7F 05 24 80 7F 43 30 0E 00 65 50 7F 00 43 30 FF 7F 42 30 06 00 40 50 00 00 84 94 FF FF 02 24 FE FF 04 24 0A 10 83 00 08 00 E0 03 00 00 00 00 FD FF 80 10 FE FF 04 24 FF FF 02 24 08 00 E0 03 0A 10 83 00 F8 FF 60 14 02 00 02 24 00 00 84 94 01 00 03 24 08 00 E0 03 0A 10 64 00 }
	condition:
		$1
}

rule file_222_0_4 {
	meta:
		name = "ceil"
		size = 108
		refs = "0018 _Dint 003c fpcmp 0054 fpadd"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 21 28 00 00 21 80 80 00 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 06 00 40 04 21 20 00 00 1C 00 BF 8F 10 00 A2 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 02 F9 FF 41 04 1C 00 BF 8F ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_328_0_4 {
	meta:
		name = "ceilf"
		size = 108
		refs = "0018 _FDint 003c fpcmp 0054 fpadd"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 21 28 00 00 21 80 80 00 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 06 00 40 04 21 20 00 00 1C 00 BF 8F 10 00 A2 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 02 F9 FF 41 04 1C 00 BF 8F ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_224_0_4 {
	meta:
		name = "round"
		size = 132
		refs = "0010 _Dint 004c fpadd 0074 fpsub"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 01 00 05 24 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 FF FF 42 24 01 00 03 24 2B 10 62 00 0F 00 40 10 18 00 A2 8F 18 00 A4 27 ?? ?? ?? 0? 21 28 00 00 09 00 40 10 1E 00 A2 87 0B 00 40 04 18 00 A4 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 18 00 A2 8F 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 14 00 BF 8F }
	condition:
		$1
}

rule file_225_0_4 {
	meta:
		name = "wcsspn"
		size = 100
	strings:
		$1 = { 00 00 83 8C 15 00 60 10 21 10 00 00 00 00 A8 8C 0B 00 00 11 21 38 80 00 05 00 68 14 21 10 A0 00 ?? ?? ?? 0? 04 00 E7 24 08 00 66 50 04 00 E7 24 04 00 42 24 00 00 46 8C FB FF C0 14 00 00 00 00 23 20 E4 00 08 00 E0 03 83 10 04 00 00 00 E3 8C F1 FF 60 14 23 10 E4 00 83 10 02 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_227_0_4 {
	meta:
		name = "setvbuf"
		size = 320
		refs = "0090 _Closreg 00f8 free 011c malloc"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 20 00 B2 AF 21 80 80 00 26 00 C0 14 21 88 00 00 00 00 03 96 00 30 64 30 1C 00 80 14 FF FF 02 24 2E 00 E0 04 21 90 A0 00 06 00 E0 14 00 00 00 00 33 00 A0 50 00 08 02 24 48 00 12 26 00 08 11 24 01 00 07 24 31 00 40 12 21 20 E0 00 40 00 62 30 25 00 40 54 04 00 04 8E FF F3 63 30 25 88 71 00 21 38 47 02 00 00 11 A6 04 00 12 AE 08 00 07 AE 0C 00 12 AE 10 00 12 AE 2C 00 12 AE 14 00 12 AE ?? ?? ?? 0? 30 00 12 AE 21 10 00 00 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 01 00 02 24 0A 00 C2 10 02 00 03 24 FF FF 02 24 D6 FF C3 10 00 08 11 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 00 04 11 24 FF 7F 07 3C ?? ?? ?? 0? FF FF E7 34 ?? ?? ?? 0? 10 00 A7 AF 00 00 03 96 10 00 A7 8F ?? ?? ?? 0? BF FF 63 30 CD FF 22 12 20 00 07 24 21 20 E0 00 ?? ?? ?? 0? 10 00 A7 AF 21 90 40 00 10 00 A7 8F DB FF 40 12 FF FF 02 24 00 00 03 96 ?? ?? ?? 0? 40 00 31 36 }
	condition:
		$1
}

rule file_228_1_4 {
	meta:
		name = "vsnprintf_s"
		size = 120
		refs = "0040 _Printf 0068 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 15 00 80 10 21 10 80 00 14 00 A0 10 ?? ?? 04 3C 13 00 A0 04 ?? ?? 84 24 0F 00 C0 10 ?? ?? 04 3C FF FF A3 24 18 00 A2 AF ?? ?? 84 24 01 00 02 24 18 00 A5 27 1C 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 18 00 A3 8F 01 00 60 54 00 00 60 A0 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1A 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_229_0_4 {
	meta:
		name = "_Wctombx"
		size = 740
		refs = "0068 _Getmbcurmax 0110 _Errno"
	strings:
		$1 = { 00 00 E2 8C D0 FF BD 27 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 20 00 B4 AF 21 90 80 00 21 98 A0 00 21 88 C0 00 52 00 40 10 40 00 B0 8F 63 00 80 10 06 00 C3 94 20 14 03 7C 10 00 43 28 2F 00 60 10 80 10 02 00 21 10 02 02 00 00 56 8C 2B 00 C0 12 21 A8 00 00 21 A0 00 00 ?? ?? ?? 0? 00 00 00 00 2A 10 A2 02 25 00 40 10 01 00 94 26 F0 0F 82 2A 22 00 40 10 FF 00 62 32 40 10 02 00 21 B0 C2 02 00 00 C2 96 1D 00 40 10 20 1E 02 7C 2A 00 60 04 00 1A 45 7C 00 10 43 30 04 00 60 10 00 20 44 30 00 1A 13 00 02 9E 13 00 25 98 63 02 0A 00 80 10 21 18 00 00 FF 00 47 30 20 1C 02 7C 20 34 13 7C 21 20 55 02 0A 18 C7 00 00 00 83 A0 01 00 B5 26 21 A0 00 00 01 00 63 2C 00 40 42 30 25 18 62 00 18 00 60 14 2C 00 BF 8F 80 28 05 00 21 28 05 02 00 00 B6 8C D8 FF C0 16 00 00 00 00 58 00 03 24 ?? ?? 02 3C ?? ?? 43 AC FF FF 15 24 2C 00 BF 8F 21 10 A0 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 FF 00 43 30 ?? ?? ?? 0? 04 38 73 7C 21 10 A0 02 06 00 25 A6 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 44 00 80 10 80 FF 02 24 24 10 A2 00 14 00 40 14 00 F8 02 24 01 00 95 24 00 00 85 A0 23 A8 B2 02 2C 00 BF 8F 21 10 A0 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 00 00 C0 AC 04 00 C0 AC 00 00 55 94 ?? ?? ?? 0? 00 0F B5 32 24 10 A2 00 1B 00 40 10 83 19 05 00 FF FF 02 3C 24 10 A2 00 1D 00 40 14 E0 FF 02 3C 03 1B 05 00 E0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 95 24 02 00 07 24 FF FF E3 24 06 00 02 24 02 10 62 70 80 FF 06 24 21 18 A0 02 FA FF 05 24 07 20 53 00 3F 00 84 30 25 20 86 00 FA FF 42 24 00 00 64 A0 FA FF 45 14 01 00 63 24 21 A8 A7 02 ?? ?? ?? 0? 23 A8 B2 02 C0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 95 24 ?? ?? ?? 0? 01 00 07 24 24 10 A2 00 0C 00 40 14 00 FC 02 3C 83 1C 05 00 F0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 95 24 ?? ?? ?? 0? 03 00 07 24 00 00 C0 AC 04 00 C0 AC ?? ?? ?? 0? 21 A8 00 00 24 10 A2 00 08 00 40 54 83 1F 05 00 03 1E 05 00 F8 FF 02 24 25 10 62 00 00 00 82 A0 01 00 95 24 ?? ?? ?? 0? 04 00 07 24 FC FF 02 24 25 10 62 00 00 00 82 A0 01 00 95 24 ?? ?? ?? 0? 05 00 07 24 }
	condition:
		$1
}

rule file_229_1_4 {
	meta:
		name = "_Wctomb"
		size = 168
		refs = "0000 _Tls_setup__Mbstate 0038 _Tls_setup__Wcstate 0064 _Wcstate 006c _Mbstate 0074 _Wctombx"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D0 FF BD 27 08 00 40 10 2C 00 BF AF 18 00 A4 AF 1C 00 A5 AF 09 F8 40 00 20 00 A6 AF 20 00 A6 8F 1C 00 A5 8F 18 00 A4 8F 0E 00 80 10 21 10 00 00 ?? ?? 02 3C ?? ?? 42 8C 11 00 40 50 ?? ?? 02 3C 18 00 A4 AF 1C 00 A5 AF 09 F8 40 00 20 00 A6 AF 18 00 A4 8F 1C 00 A5 8F 20 00 A6 8F ?? ?? 02 3C ?? ?? 42 24 ?? ?? 07 3C ?? ?? E7 24 ?? ?? ?? 0? 10 00 A2 AF 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 ?? ?? 07 3C ?? ?? 42 24 ?? ?? E7 24 ?? ?? ?? 0? 10 00 A2 AF 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_230_0_4 {
	meta:
		name = "llround"
		size = 192
		refs = "0010 _Dtest 0034 round 004c fpcmp 0070 __fixsfdi 0098 _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 21 20 00 00 18 00 40 10 21 28 00 00 03 00 40 04 03 00 42 28 1A 00 40 14 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F 21 80 40 00 ?? ?? 02 3C ?? ?? 44 8C 21 28 00 02 ?? ?? ?? 0? 18 00 B0 AF 10 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 0B 00 40 1C 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 28 60 00 14 00 BF 8F 21 10 80 00 21 18 A0 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 21 20 00 00 21 28 00 00 21 10 80 00 21 18 A0 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_569_0_4 {
	meta:
		name = "llroundf"
		size = 192
		refs = "0010 _FDtest 0034 roundf 004c fpcmp 0070 __fixsfdi 0098 _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 21 20 00 00 18 00 40 10 21 28 00 00 03 00 40 04 03 00 42 28 1A 00 40 14 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F 21 80 40 00 ?? ?? 02 3C ?? ?? 44 8C 21 28 00 02 ?? ?? ?? 0? 18 00 B0 AF 10 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 0B 00 40 1C 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 28 60 00 14 00 BF 8F 21 10 80 00 21 18 A0 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 21 20 00 00 21 28 00 00 21 10 80 00 21 18 A0 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_231_0_4 {
	meta:
		name = "cacosl"
		size = 1416
		refs = "0038 creall 0054 cimagl 0064 _LDtest 00ac dpadd 00c8 _LCbuild 00dc csqrtl 0100 dpsub 01c4 conjl 01f4 atan2l 0230 dpcmp 024c dpdiv 0260 dpmul 0288 asinhl 02d0 _LLog 03b8 _LInf"
	strings:
		$1 = { 98 FF BD 27 4C 00 B3 AF 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 21 90 80 00 21 80 C0 00 21 98 A0 00 21 88 E0 00 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF ?? ?? ?? 0? 50 00 B4 AF 21 30 00 02 21 28 60 02 21 38 20 02 21 20 40 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 9E 00 03 12 00 00 00 00 A5 00 43 10 01 00 03 24 BE 00 03 12 00 00 00 00 F6 00 43 10 10 00 A4 8F ?? ?? 12 3C ?? ?? 46 8E ?? ?? 47 8E 14 00 A5 8F ?? ?? ?? 0? 00 80 14 3C 21 20 40 00 1C 00 A2 8F 18 00 A6 8F 21 28 60 00 26 10 54 00 ?? ?? ?? 0? 21 38 40 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 80 80 00 21 88 A0 00 ?? ?? 44 8E ?? ?? 45 8E 10 00 A6 8F 14 00 A7 8F 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF 21 20 40 00 1C 00 A2 8F 18 00 A6 8F 21 28 60 00 26 10 54 00 ?? ?? ?? 0? 21 38 40 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 30 00 A4 AF 34 00 A5 AF 28 00 A4 8F 2C 00 A5 8F 21 30 00 02 21 38 20 02 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 28 00 A4 8F 2C 00 A5 8F 21 30 00 02 21 38 20 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 20 00 A4 8F 24 00 A5 8F 30 00 A6 8F 34 00 A7 8F 21 A8 40 00 ?? ?? ?? 0? 21 B0 60 00 20 00 A4 8F 24 00 A5 8F 30 00 A6 8F 34 00 A7 8F 38 00 A2 AF ?? ?? ?? 0? 3C 00 A3 AF 28 00 A4 8F 2C 00 A5 8F 21 30 00 02 21 38 20 02 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 21 40 80 00 21 48 A0 00 21 30 00 01 21 38 20 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 20 00 A4 8F 24 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 28 60 00 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 3C ?? ?? C4 8C ?? ?? C5 8C 21 38 60 02 21 30 40 02 21 B8 40 00 21 F0 60 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 66 00 41 04 ?? ?? 06 3C 20 00 A4 8F 24 00 A5 8F 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 21 20 40 00 21 30 A0 02 21 38 C0 02 ?? ?? ?? 0? 21 28 60 00 38 00 A6 8F 3C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 A8 40 02 21 B0 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 A0 02 21 28 C0 02 21 30 00 00 21 38 00 00 21 98 40 00 ?? ?? ?? 0? 21 90 60 00 25 00 40 10 21 30 E0 02 21 38 C0 03 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 7B 00 40 18 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 21 30 00 00 21 30 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 21 98 40 00 ?? ?? ?? 0? 21 90 60 00 69 00 50 10 01 00 03 24 55 00 43 50 1C 00 B2 8F 10 00 B0 8F 14 00 B1 8F 21 98 00 02 ?? ?? ?? 0? 21 90 20 02 01 00 02 24 71 00 02 12 ?? ?? 02 3C 59 00 00 16 18 00 B0 8F ?? ?? 02 3C 18 00 B3 8F 1C 00 B2 8F ?? ?? 50 8C ?? ?? 51 8C 21 20 00 02 21 30 60 02 21 28 20 02 ?? ?? ?? 0? 21 38 40 02 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 72 00 50 10 10 00 A4 8F 14 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 4F 00 41 04 21 80 00 00 ?? ?? 02 3C ?? ?? 50 8C ?? ?? 51 8C 1E 00 A3 87 ?? ?? 02 3C ?? ?? 53 8C E0 FF 60 04 ?? ?? 52 8C 00 80 02 3C ?? ?? ?? 0? 26 90 42 02 ?? ?? C4 8C ?? ?? C5 8C 21 38 C0 02 ?? ?? ?? 0? 21 30 A0 02 0B 00 40 04 38 00 A4 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 A0 02 ?? ?? ?? 0? 21 28 C0 02 3C 00 41 04 38 00 A6 8F 26 B0 D4 02 38 00 A4 8F 3C 00 A5 8F 21 30 A0 02 ?? ?? ?? 0? 21 38 C0 02 21 20 40 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 20 00 A6 8F 24 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 00 80 02 3C 10 00 B0 8F 14 00 B1 8F 18 00 B3 8F ?? ?? ?? 0? 26 90 42 02 1C 00 B2 8F ?? ?? 02 3C 00 80 03 3C 18 00 B3 8F 26 90 43 02 ?? ?? 50 8C ?? ?? ?? 0? ?? ?? 51 8C 1C 00 B1 8F 21 98 00 02 ?? ?? ?? 0? 21 90 20 02 10 00 B0 8F 14 00 B1 8F 18 00 B3 8F ?? ?? ?? 0? 1C 00 B2 8F 21 28 C0 02 ?? ?? ?? 0? 21 30 00 00 21 30 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 21 98 40 00 ?? ?? ?? 0? 21 90 60 00 ?? ?? ?? 0? 21 88 00 00 18 00 B0 8F 1C 00 B1 8F ?? ?? 53 8C ?? ?? ?? 0? ?? ?? 52 8C 3C 00 A7 8F 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 20 00 A6 8F 24 00 A7 8F 21 20 A0 02 21 28 C0 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 98 40 00 ?? ?? ?? 0? 21 90 60 00 14 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 05 00 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 50 8C ?? ?? ?? 0? ?? ?? 51 8C ?? ?? 50 8C ?? ?? ?? 0? ?? ?? 51 8C }
	condition:
		$1
}

rule file_232_0_4 {
	meta:
		name = "abort"
		size = 24
		refs = "0008 raise 0010 exit"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 06 00 04 24 ?? ?? ?? 0? 01 00 04 24 }
	condition:
		$1
}

rule file_233_0_4 {
	meta:
		name = "_Strcollx"
		size = 356
		refs = "002c memset 007c memcmp 00c4 _CStrxfrm"
	strings:
		$1 = { 60 FF BD 27 98 00 B3 AF 94 00 B2 AF 8C 00 B0 AF 21 90 A0 00 21 98 80 00 21 28 00 00 10 00 A4 27 21 80 C0 00 3C 00 06 24 9C 00 BF AF ?? ?? ?? 0? 90 00 B1 AF 4C 00 A4 27 21 28 00 00 ?? ?? ?? 0? 3C 00 06 24 70 00 B2 AF 21 90 00 00 21 88 00 00 18 00 40 12 34 00 B3 AF 1F 00 20 12 4C 00 A4 27 2B 98 51 02 21 10 40 02 0A 10 33 02 21 98 40 00 25 00 40 10 21 30 40 00 30 00 A4 8F ?? ?? ?? 0? 6C 00 A5 8F 26 00 40 14 9C 00 BF 8F 2A 00 51 12 30 00 A3 8F 21 18 73 00 6C 00 A2 8F 23 90 53 02 30 00 A3 AF 21 10 53 00 6C 00 A2 AF EA FF 40 16 23 88 33 02 10 00 A4 27 34 00 A6 27 21 38 00 02 20 00 05 24 ?? ?? ?? 0? 30 00 A4 AF E4 FF 20 16 21 90 40 00 4C 00 A4 27 70 00 A6 27 21 38 00 02 20 00 05 24 ?? ?? ?? 0? 6C 00 A4 AF 21 88 40 00 2B 98 51 02 21 10 40 02 0A 10 33 02 21 98 40 00 DD FF 40 14 21 30 40 00 04 00 51 12 21 10 00 00 FF FF 02 24 01 00 03 24 0A 10 71 00 9C 00 BF 8F 98 00 B3 8F 94 00 B2 8F 90 00 B1 8F 8C 00 B0 8F 08 00 E0 03 A0 00 BD 27 21 18 73 00 FF FF 64 80 D6 FF 80 54 6C 00 A2 8F 9C 00 BF 8F 98 00 B3 8F 94 00 B2 8F 90 00 B1 8F 8C 00 B0 8F 08 00 E0 03 A0 00 BD 27 }
	condition:
		$1
}

rule file_233_1_4 {
	meta:
		name = "strcoll"
		size = 60
		refs = "0000 _Tls_setup__Costate 0028 _Costate 0034 _Strcollx"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 06 00 40 10 1C 00 BF AF 10 00 A4 AF 09 F8 40 00 14 00 A5 AF 14 00 A5 8F 10 00 A4 8F ?? ?? 06 3C 1C 00 BF 8F ?? ?? C6 24 ?? ?? ?? 0? 20 00 BD 27 }
	condition:
		$1
}

rule file_605_1_4 {
	meta:
		name = "wcscoll"
		size = 60
		refs = "0000 _Tls_setup__WCostate 0028 _WCostate 0034 _Wcscollx"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 06 00 40 10 1C 00 BF AF 10 00 A4 AF 09 F8 40 00 14 00 A5 AF 14 00 A5 8F 10 00 A4 8F ?? ?? 06 3C 1C 00 BF 8F ?? ?? C6 24 ?? ?? ?? 0? 20 00 BD 27 }
	condition:
		$1
}

rule file_234_0_4 {
	meta:
		name = "lrintl"
		size = 244
		refs = "0018 _LDtest 0040 nearbyintl 005c dpcmp 00a8 dptoli 00c4 _Feraise"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 24 00 A5 AF 21 18 40 00 22 00 60 10 21 10 00 00 03 00 60 04 03 00 63 28 23 00 60 14 00 00 00 00 20 00 A4 8F ?? ?? ?? 0? 24 00 A5 8F 20 00 A6 8F 24 00 A7 8F 21 20 40 00 21 28 60 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 1F 00 40 14 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 0F 00 40 1C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 08 00 40 1C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 1C 00 BF 8F 21 10 00 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 20 00 04 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_235_0_4 {
	meta:
		name = "truncl"
		size = 48
		refs = "0014 _LDint"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 1C 00 A5 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 18 00 A2 8F 1C 00 A3 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_236_0_4 {
	meta:
		name = "_Vacopy"
		size = 36
		refs = "0010 memcpy"
	strings:
		$1 = { E8 FF BD 27 1C 00 A5 AF 04 00 06 24 14 00 BF AF ?? ?? ?? 0? 1C 00 A5 27 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_237_0_4 {
	meta:
		name = "_Wctob"
		size = 76
		refs = "0024 _Wctomb"
	strings:
		$1 = { D8 FF BD 27 20 00 B0 AF FF FF 10 24 24 00 BF AF 09 00 90 10 21 28 80 00 10 00 A4 27 18 00 A6 27 18 00 A0 AF ?? ?? ?? 0? 1C 00 A0 AF 10 00 A3 93 01 00 42 38 0A 80 62 00 24 00 BF 8F 21 10 00 02 20 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_238_0_4 {
	meta:
		name = "cacoshl"
		size = 1592
		refs = "0034 creall 0050 cimagl 0060 _LDtest 00ac dpsub 00c8 _LCbuild 00dc csqrtl 0100 dpadd 01bc dpcmp 01d8 dpdiv 01ec dpmul 0214 asinhl 025c _LLog 02ec atan2l 035c _LInf"
	strings:
		$1 = { 98 FF BD 27 50 00 B3 AF 4C 00 B2 AF 48 00 B1 AF 44 00 B0 AF 21 90 80 00 21 80 C0 00 21 98 A0 00 21 88 E0 00 64 00 BF AF 60 00 B7 AF 5C 00 B6 AF 58 00 B5 AF ?? ?? ?? 0? 54 00 B4 AF 21 30 00 02 21 28 60 02 21 38 20 02 21 20 40 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 A5 00 03 12 00 00 00 00 AC 00 43 10 01 00 03 24 CF 00 03 52 ?? ?? 03 3C B0 00 43 10 ?? ?? 10 3C 10 00 A4 8F 14 00 A5 8F ?? ?? 06 8E ?? ?? 07 8E 00 80 16 3C ?? ?? ?? 0? ?? ?? 15 3C 21 20 40 00 1C 00 A2 8F 18 00 A6 8F 21 28 60 00 26 10 56 00 ?? ?? ?? 0? 21 38 40 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 28 00 A4 AF ?? ?? 06 8E ?? ?? 07 8E 10 00 A4 8F 2C 00 A5 AF 14 00 A5 8F 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 18 00 A6 8F 1C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 38 00 A4 AF 3C 00 A5 AF 20 00 A4 8F 24 00 A5 8F 28 00 A6 8F 2C 00 A7 8F 30 00 A2 AF ?? ?? ?? 0? 34 00 A3 AF 20 00 A4 8F 24 00 A5 8F 28 00 A6 8F 2C 00 A7 8F 21 88 40 00 ?? ?? ?? 0? 21 90 60 00 30 00 A4 8F 34 00 A5 8F 38 00 A6 8F 3C 00 A7 8F 21 98 40 00 ?? ?? ?? 0? 21 A0 60 00 30 00 A4 8F 34 00 A5 8F 38 00 A6 8F 3C 00 A7 8F 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF ?? ?? A4 8E ?? ?? A5 8E 21 30 20 02 21 38 40 02 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 9D 00 41 04 ?? ?? A4 8E 28 00 A4 8F 2C 00 A5 8F 21 30 20 02 ?? ?? ?? 0? 21 38 40 02 21 20 40 00 21 30 60 02 21 38 80 02 ?? ?? ?? 0? 21 28 60 00 20 00 A4 8F 24 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 98 20 02 21 A0 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 60 02 21 28 80 02 21 30 00 00 21 38 00 00 21 88 40 00 ?? ?? ?? 0? 21 90 60 00 11 00 40 10 21 30 20 02 21 38 40 02 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 CA 00 40 1C 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 21 30 00 00 21 30 40 00 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 21 88 40 00 21 90 60 00 1E 00 A2 87 96 00 40 04 ?? ?? 06 8E ?? ?? 07 8E 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 8F 18 00 A6 8F 1C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 40 80 00 21 48 A0 00 21 30 00 01 21 38 20 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 20 00 A6 8F 24 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 28 60 00 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? ?? 0? 21 20 20 02 6D 00 50 10 10 00 B1 8F 01 00 03 24 3D 00 43 50 ?? ?? 02 3C 14 00 B2 8F 21 10 20 02 ?? ?? ?? 0? 21 18 40 02 01 00 02 24 3B 00 02 52 ?? ?? 02 3C 18 00 B1 8F 1C 00 B2 8F 21 10 20 02 ?? ?? ?? 0? 21 18 40 02 18 00 A4 8F 1C 00 A5 8F ?? ?? 02 3C 21 30 00 00 21 38 00 00 ?? ?? 51 8C ?? ?? ?? 0? ?? ?? 52 8C 51 00 40 04 ?? ?? 03 3C ?? ?? 03 3C ?? ?? 62 8C ?? ?? 63 8C 21 20 20 02 21 28 40 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 64 00 BF 8F 60 00 B7 8F 5C 00 B6 8F 58 00 B5 8F 54 00 B4 8F 50 00 B3 8F 4C 00 B2 8F 48 00 B1 8F 44 00 B0 8F 08 00 E0 03 68 00 BD 27 ?? ?? 71 8C 76 00 50 10 ?? ?? 72 8C 10 00 A4 8F 14 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 3B 00 41 04 21 10 00 00 ?? ?? 03 3C ?? ?? 62 8C ?? ?? 63 8C 1E 00 A4 87 E2 FF 81 04 21 20 20 02 00 80 04 3C ?? ?? ?? 0? 26 18 64 00 ?? ?? 51 8C ?? ?? 52 8C 14 00 A3 8F ?? ?? ?? 0? 10 00 A2 8F ?? ?? 51 8C ?? ?? 52 8C 1C 00 A3 8F ?? ?? ?? 0? 18 00 A2 8F ?? ?? A5 8E 21 30 60 02 ?? ?? ?? 0? 21 38 80 02 0B 00 40 04 20 00 A4 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 60 02 ?? ?? ?? 0? 21 28 80 02 59 00 41 04 20 00 A6 8F 26 A0 96 02 20 00 A4 8F 24 00 A5 8F 21 30 60 02 ?? ?? ?? 0? 21 38 80 02 21 20 40 00 21 30 20 02 21 38 40 02 ?? ?? ?? 0? 21 28 60 00 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 14 00 B2 8F 18 00 A2 8F ?? ?? ?? 0? 1C 00 A3 8F ?? ?? ?? 0? 21 18 00 00 ?? ?? 07 8E 1C 00 B0 8F 18 00 B4 8F 10 00 A4 8F 14 00 A5 8F 00 80 13 3C 26 80 13 02 18 00 B4 AF ?? ?? ?? 0? 1C 00 B0 AF 21 20 40 00 21 30 80 02 21 38 00 02 ?? ?? ?? 0? 21 28 60 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 40 80 00 21 48 A0 00 21 30 00 01 21 38 20 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 20 00 A6 8F 24 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 28 60 00 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? ?? 0? 26 18 73 00 21 28 80 02 ?? ?? ?? 0? 21 30 00 00 21 30 40 00 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 21 88 40 00 ?? ?? ?? 0? 21 90 60 00 10 00 A4 8F 14 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 1B 00 43 04 ?? ?? 03 3C ?? ?? 03 3C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 24 00 A7 8F 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 28 00 A6 8F 2C 00 A7 8F 21 20 60 02 21 28 80 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 90 60 00 ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C }
	condition:
		$1
}

rule file_240_0_4 {
	meta:
		name = "acoshl"
		size = 496
		refs = "0024 _LDtest 0058 dpcmp 0088 _LEps 0090 dpdiv 00bc _LLog 00d4 dpadd 0138 _Feraise 0140 _LNan 0158 dpsub 0188 dpmul 0194 sqrtl 01b4 log1pl"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF ?? ?? ?? 0? 2C 00 A5 AF 01 00 03 24 34 00 43 10 02 00 03 24 35 00 43 10 28 00 A2 8F ?? ?? 10 3C 28 00 B2 8F 2C 00 B3 8F ?? ?? 06 8E ?? ?? 07 8E 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 35 00 40 04 ?? ?? 06 8E ?? ?? 07 8E 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 52 00 40 10 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C ?? ?? 02 3C ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 28 00 40 04 ?? ?? 06 8E 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 30 00 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 24 00 BF 8F 21 20 60 00 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 2E 00 A2 87 CD FF 40 04 28 00 A2 8F 2C 00 A4 8F 24 00 BF 8F 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 03 3C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 64 8C ?? ?? 07 8E 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 ?? ?? 06 8E ?? ?? 07 8E 21 20 40 02 21 28 60 02 21 88 40 00 ?? ?? ?? 0? 21 A0 60 00 21 20 40 00 21 30 20 02 21 38 80 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 28 60 00 21 30 20 02 ?? ?? ?? 0? 21 38 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 60 00 24 00 BF 8F 21 20 00 00 21 10 00 00 21 18 80 00 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_242_1_4 {
	meta:
		name = "snprintf_s"
		size = 136
		refs = "0050 _Printf 0078 _Fail_s"
	strings:
		$1 = { D0 FF BD 27 2C 00 BF AF 21 10 80 00 18 00 80 10 3C 00 A7 AF 17 00 A0 10 ?? ?? 04 3C 16 00 A0 04 ?? ?? 84 24 12 00 C0 10 ?? ?? 04 3C 3C 00 A3 27 FF FF A8 24 21 38 60 00 1C 00 A2 AF ?? ?? 84 24 01 00 02 24 1C 00 A5 27 18 00 A3 AF 20 00 A8 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A3 8F 01 00 60 54 00 00 60 A0 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_243_2_4 {
	meta:
		name = "exit"
		size = 208
		refs = "000c _Atcount 0034 _Atfuns 0068 _Atcount0 00ac free 00c0 _Exit"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 14 00 B0 AF ?? ?? 13 3C ?? ?? 10 3C ?? ?? 62 8E ?? ?? 03 8E 18 00 B1 AF 24 00 BF AF 2B 18 43 00 1C 00 B2 AF 26 00 60 10 21 88 80 00 ?? ?? 12 3C ?? ?? 44 8E 80 18 02 00 01 00 42 24 21 18 83 00 00 00 63 8C 09 F8 60 00 ?? ?? 62 AE ?? ?? 62 8E ?? ?? 03 8E 2B 18 43 00 F6 FF 60 14 ?? ?? 44 8E ?? ?? 13 3C ?? ?? 62 8E 0A 00 40 10 ?? ?? 44 8E FF FF 43 24 80 10 03 00 21 10 82 00 00 00 42 8C 09 F8 40 00 ?? ?? 63 AE ?? ?? 62 8E F8 FF 40 14 ?? ?? 44 8E ?? ?? 13 3C ?? ?? 73 26 04 00 93 10 50 00 02 24 ?? ?? ?? 0? 00 00 00 00 50 00 02 24 21 20 20 02 ?? ?? 53 AE ?? ?? ?? 0? ?? ?? 02 AE ?? ?? ?? 0? ?? ?? 12 3C }
	condition:
		$1
}

rule file_244_0_4 {
	meta:
		name = "_WStoull"
		size = 876
		refs = "004c _Iswctype 01a8 _Towctrans 01b8 wmemchr 021c _Errno 02cc __udivdi3"
	strings:
		$1 = { A8 FF BD 27 50 00 BE AF 48 00 B6 AF 30 00 B0 AF 54 00 BF AF 4C 00 B7 AF 44 00 B5 AF 40 00 B4 AF 3C 00 B3 AF 38 00 B2 AF 34 00 B1 AF 21 F0 80 00 21 B0 A0 00 21 80 C0 00 ?? ?? ?? 0? 21 18 80 00 04 00 63 24 00 00 64 8C 09 00 05 24 ?? ?? ?? 0? 28 00 A3 AF FA FF 40 14 28 00 A3 8F 00 00 75 8C 2D 00 02 24 82 00 A2 12 2B 00 02 24 02 00 A2 52 04 00 63 24 2B 00 15 24 05 00 00 06 01 00 02 24 03 00 02 12 25 00 02 2A 13 00 40 14 00 00 00 00 21 40 00 00 02 00 C0 12 21 48 00 00 00 00 DE AE 54 00 BF 8F 21 10 00 01 21 18 20 01 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 67 00 00 12 10 00 02 24 8C 00 02 52 00 00 64 8C 00 00 64 8C 30 00 02 24 9C 00 82 14 21 90 00 02 21 50 60 00 30 00 02 24 04 00 4A 25 00 00 44 8D FE FF 82 50 04 00 4A 25 21 90 00 02 ?? ?? 11 3C 21 38 00 00 ?? ?? 31 26 21 30 00 00 14 00 A7 AF 21 B8 40 01 10 00 A6 AF 21 40 00 00 21 48 00 00 21 38 00 00 21 98 20 02 ?? ?? ?? 0? C3 A7 10 00 18 00 88 02 04 00 F7 26 20 3C 04 7C 00 00 E4 8E 10 00 A8 AF 14 00 A9 AF C3 2F 07 00 00 00 09 72 12 10 00 00 19 00 10 01 12 40 00 00 10 48 00 00 21 48 49 00 21 10 E8 00 21 28 A9 00 2B 30 47 00 21 28 C5 00 21 40 40 00 21 48 A0 00 01 00 05 24 28 00 A3 AF 18 00 A7 AF 20 00 A8 AF 24 00 A9 AF ?? ?? ?? 0? 1C 00 AA AF 21 28 40 00 21 20 20 02 ?? ?? ?? 0? 21 30 40 02 23 20 53 00 83 20 04 00 28 00 A3 8F 18 00 A7 8F 20 00 A8 8F 24 00 A9 8F DB FF 40 14 1C 00 AA 8F 21 90 00 01 AA FF E3 12 21 88 20 01 ?? ?? 02 3C ?? ?? 42 24 21 10 02 02 00 00 43 80 23 10 EA 02 83 10 02 00 23 10 43 00 3A 00 42 04 2D 00 02 24 20 00 40 10 C3 2F 07 00 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 21 B8 C0 03 FF FF 08 24 FF FF 09 24 9B FF C0 12 54 00 BF 8F 00 00 D7 AE 21 10 00 01 21 18 20 01 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? ?? 0? 04 00 63 24 00 00 64 8C 30 00 02 24 2F 00 82 10 0A 00 12 24 0A 00 10 24 ?? ?? ?? 0? 21 50 60 00 23 20 07 01 2B 10 04 01 23 28 25 01 23 28 A2 00 2B 18 25 01 DC FF 60 54 22 00 03 24 04 00 A9 14 21 30 00 02 D8 FF 40 14 22 00 03 24 21 30 00 02 C3 3F 10 00 20 00 A8 AF ?? ?? ?? 0? 24 00 A9 AF 10 00 A4 8F 20 00 A8 8F CE FF 44 14 24 00 A9 8F 14 00 A6 8F CC FF C3 14 22 00 03 24 2D 00 02 24 CE FF A2 16 23 90 12 00 2B 10 12 00 23 88 11 00 23 88 22 02 21 40 40 02 ?? ?? ?? 0? 21 48 20 02 30 00 02 24 DC FF 82 14 10 00 12 24 04 00 62 8C 78 00 04 24 03 00 44 10 58 00 04 24 72 FF 44 14 21 50 60 00 ?? ?? ?? 0? 08 00 63 24 04 00 62 8C 78 00 04 24 03 00 44 10 58 00 04 24 69 FF 44 14 08 00 10 24 08 00 63 24 ?? ?? ?? 0? 10 00 10 24 ?? ?? ?? 0? 21 50 60 00 }
	condition:
		$1
}

rule file_245_0_4 {
	meta:
		name = "clearerr"
		size = 28
	strings:
		$1 = { 00 00 82 94 03 00 43 30 02 00 60 10 FF FC 42 30 00 00 82 A4 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_246_0_4 {
	meta:
		name = "clog"
		size = 1024
		refs = "0028 creal 0038 cimag 0044 _Dtest 0070 atan2 0094 fpcmp 0128 fpdiv 0138 _Log 0148 fpmul 0150 log1p 016c fpadd 0178 _Cbuild 0268 _Inf 02e0 _Feraise 0314 _Dint 0344 fpsub"
	strings:
		$1 = { C0 FF BD 27 24 00 B1 AF 20 00 B0 AF 21 88 A0 00 21 80 80 00 3C 00 BF AF 28 00 B2 AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF ?? ?? ?? 0? 2C 00 B3 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 21 90 40 00 02 00 02 24 69 00 02 52 01 00 02 24 53 00 42 12 14 00 A4 8F ?? ?? ?? 0? 10 00 A5 8F 21 88 40 00 01 00 02 24 7A 00 02 52 ?? ?? 02 3C 77 00 42 12 10 00 B0 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 05 00 41 04 14 00 B2 8F 00 80 02 3C 26 80 50 00 10 00 B0 AF 14 00 B2 8F 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 04 00 41 04 21 20 00 02 00 80 02 3C 26 90 52 00 14 00 B2 AF ?? ?? ?? 0? 21 28 40 02 5D 00 42 04 14 00 B0 AF 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 7B 00 40 10 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 56 00 40 1C ?? ?? 02 3C 14 00 B2 8F ?? ?? 44 8C ?? ?? ?? 0? 21 28 40 02 7B 00 40 58 18 00 A4 27 21 28 00 02 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 21 28 40 02 21 20 40 02 ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 20 40 00 3C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 01 00 02 24 3C 00 02 12 ?? ?? 02 3C 14 00 A4 8F ?? ?? ?? 0? 21 28 80 00 21 28 40 00 21 20 60 00 3C 00 BF 8F 21 10 A0 00 21 18 80 00 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 2F 00 42 12 ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? 21 28 80 00 3C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 10 00 B2 AF ?? ?? ?? 0? 21 80 40 02 ?? ?? ?? 0? 14 00 B2 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 20 02 3C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 44 8C ?? ?? ?? 0? 14 00 A5 8F 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? 44 8C ?? ?? ?? 0? 10 00 A5 8F 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 44 8C 00 80 02 3C 21 28 20 02 ?? ?? ?? 0? 26 20 82 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 1A 00 05 24 18 00 B0 AF ?? ?? ?? 0? 1C 00 B2 AF 1C 00 A4 27 ?? ?? ?? 0? 1A 00 05 24 18 00 B3 8F 1C 00 B0 8F 21 20 60 02 ?? ?? ?? 0? 21 28 60 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 10 00 B4 8F 21 28 60 02 14 00 B2 8F 21 20 80 02 ?? ?? ?? 0? 21 A8 40 00 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 98 40 00 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 A0 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 }
	condition:
		$1
}

rule file_247_0_4 {
	meta:
		name = "fgets"
		size = 500
		refs = "0068 memchr 0090 memcpy 0158 _Frprep"
	strings:
		$1 = { D0 FF BD 27 02 00 A2 28 18 00 B1 AF 14 00 B0 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 21 80 80 00 67 00 40 14 21 88 C0 00 00 00 C2 94 00 40 42 30 2C 00 40 14 FF FF B3 24 0C 00 C4 8C 21 90 00 02 28 00 26 8E 3F 00 C0 50 10 00 26 8E 2B 10 86 00 10 00 26 AE 3E 00 40 10 28 00 20 AE 0A 00 05 24 ?? ?? ?? 0? 23 30 C4 00 21 A8 40 00 47 00 40 10 01 00 54 24 0C 00 25 8E 23 A0 85 02 2B 10 74 02 48 00 40 14 21 20 40 02 ?? ?? ?? 0? 21 30 80 02 0C 00 24 8E 21 90 54 02 21 20 94 00 04 00 A0 16 0C 00 24 AE 23 98 74 02 E6 FF 60 5E 28 00 26 8E 44 00 50 12 2C 00 BF 8F 00 00 40 A2 2C 00 BF 8F 21 10 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 18 00 C2 8C 21 90 80 00 48 00 C4 24 2B 18 44 00 0D 00 60 10 0A 00 05 24 00 00 43 90 01 00 42 24 FF FF 73 26 00 00 43 A2 18 00 22 AE 00 00 43 92 E6 FF 65 10 01 00 52 26 E4 FF 60 12 2B 18 44 00 F6 FF 60 54 00 00 43 90 E0 FF 60 1A 00 00 00 00 28 00 26 8E C4 FF C0 14 0C 00 24 8E 10 00 26 8E 2B 10 86 00 C5 FF 40 14 0A 00 05 24 ?? ?? ?? 0? 21 20 20 02 1A 00 40 04 2C 00 BF 8F 00 00 22 96 00 01 42 30 D1 FF 40 14 0A 00 05 24 10 00 26 8E 0C 00 24 8E ?? ?? ?? 0? 23 30 C4 00 21 A8 40 00 BB FF 40 14 01 00 54 24 10 00 34 8E 0C 00 25 8E 23 A0 85 02 2B 10 74 02 BA FF 40 10 21 20 40 02 ?? ?? ?? 0? 21 30 60 02 0C 00 22 8E 21 90 53 02 21 98 53 00 BF FF 50 16 0C 00 33 AE 2C 00 BF 8F 21 80 00 00 21 10 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_249_0_4 {
	meta:
		name = "ccosh"
		size = 688
		refs = "0020 creal 0030 cimag 003c _Dtest 0088 fpcmp 0078 _Inf 00a4 _Cbuild 00e0 _Nan 0124 _Sin 0130 _Cosh 0150 _Sinh 0200 _Feraise 022c _Zero 0278 fpmul"
	strings:
		$1 = { C8 FF BD 27 24 00 B1 AF 20 00 B0 AF 21 88 A0 00 21 80 80 00 34 00 BF AF 30 00 B4 AF 2C 00 B3 AF ?? ?? ?? 0? 28 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 21 00 03 12 01 00 04 24 68 00 44 10 00 00 00 00 4B 00 43 10 00 00 00 00 2C 00 04 16 14 00 A4 8F 76 00 40 14 ?? ?? 10 3C 10 00 A4 8F ?? ?? 02 3C 21 28 00 00 ?? ?? ?? 0? ?? ?? 50 8C 04 00 41 04 14 00 A5 8F 14 00 A5 8F 00 80 02 3C 26 28 A2 00 ?? ?? ?? 0? 21 20 00 02 34 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 39 00 40 10 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 80 00 21 28 40 00 21 20 60 00 34 00 BF 8F 21 10 A0 00 21 18 80 00 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 B0 8F ?? ?? ?? 0? 01 00 05 24 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 14 00 A4 8F 10 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 34 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 40 00 00 12 ?? ?? 02 3C D2 FF 04 56 ?? ?? 44 8C ?? ?? 02 3C ?? ?? 44 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 14 00 A5 8F ?? ?? ?? 0? ?? ?? 44 8C 34 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 18 00 A2 AF 0D 00 00 16 18 00 A2 8F 14 00 A4 8F 21 28 00 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C 9F FF 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 A8 FF 02 56 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 02 3C 01 00 05 24 ?? ?? ?? 0? ?? ?? 14 8E 14 00 A4 8F ?? ?? 12 8E 21 28 00 00 ?? ?? ?? 0? 21 98 40 00 21 88 40 00 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 44 8C ?? ?? ?? 0? 10 00 A5 8F 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_506_0_4 {
	meta:
		name = "ccoshf"
		size = 688
		refs = "0020 crealf 0030 cimagf 003c _FDtest 0088 fpcmp 0078 _FInf 00a4 _FCbuild 00e0 _FNan 0124 _FSin 0130 _FCosh 0150 _FSinh 0200 _Feraise 022c _FZero 0278 fpmul"
	strings:
		$1 = { C8 FF BD 27 24 00 B1 AF 20 00 B0 AF 21 88 A0 00 21 80 80 00 34 00 BF AF 30 00 B4 AF 2C 00 B3 AF ?? ?? ?? 0? 28 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 21 00 03 12 01 00 04 24 68 00 44 10 00 00 00 00 4B 00 43 10 00 00 00 00 2C 00 04 16 14 00 A4 8F 76 00 40 14 ?? ?? 10 3C 10 00 A4 8F ?? ?? 02 3C 21 28 00 00 ?? ?? ?? 0? ?? ?? 50 8C 04 00 41 04 14 00 A5 8F 14 00 A5 8F 00 80 02 3C 26 28 A2 00 ?? ?? ?? 0? 21 20 00 02 34 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 39 00 40 10 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 80 00 21 28 40 00 21 20 60 00 34 00 BF 8F 21 10 A0 00 21 18 80 00 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 B0 8F ?? ?? ?? 0? 01 00 05 24 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 14 00 A4 8F 10 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 34 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 40 00 00 12 ?? ?? 02 3C D2 FF 04 56 ?? ?? 44 8C ?? ?? 02 3C ?? ?? 44 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 14 00 A5 8F ?? ?? ?? 0? ?? ?? 44 8C 34 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 18 00 A2 AF 0D 00 00 16 18 00 A2 8F 14 00 A4 8F 21 28 00 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C 9F FF 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 A8 FF 02 56 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 02 3C 01 00 05 24 ?? ?? ?? 0? ?? ?? 14 8E 14 00 A4 8F ?? ?? 12 8E 21 28 00 00 ?? ?? ?? 0? 21 98 40 00 21 88 40 00 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 44 8C ?? ?? ?? 0? 10 00 A5 8F 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_250_0_4 {
	meta:
		name = "log1pl"
		size = 468
		refs = "0024 _LDtest 0060 dpcmp 0094 dpadd 00ac _LLog 00c8 dpsub 00f0 dpdiv 0178 _Feraise 0184 _LInf 01c4 _LNan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B5 AF 1C 00 B4 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF ?? ?? ?? 0? 2C 00 A5 AF 01 00 03 24 42 00 43 10 02 00 03 24 44 00 43 10 28 00 A5 8F 43 00 40 10 2C 00 A4 8F ?? ?? 12 3C 28 00 B0 8F 2C 00 B1 8F ?? ?? 46 8E ?? ?? 47 8E 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 54 00 40 04 ?? ?? 46 8E ?? ?? 47 8E 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 3D 00 40 10 ?? ?? 12 3C ?? ?? 46 8E ?? ?? 47 8E 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 80 60 00 21 28 00 02 21 20 40 00 21 30 00 00 ?? ?? ?? 0? 21 88 40 00 ?? ?? 46 8E ?? ?? 47 8E 21 20 20 02 21 28 00 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 30 20 02 21 38 00 02 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B5 8F 1C 00 B4 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 2E 00 A2 87 C2 FF 40 04 ?? ?? 12 3C 28 00 A5 8F 2C 00 A4 8F 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B5 8F 1C 00 B4 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 24 00 BF 8F 00 80 02 3C 26 20 82 00 21 18 80 00 21 10 A0 00 20 00 B5 8F 1C 00 B4 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 44 8C }
	condition:
		$1
}

rule file_252_0_4 {
	meta:
		name = "_Dnorm"
		size = 372
	strings:
		$1 = { 06 00 83 94 06 00 85 24 01 00 02 24 00 80 6B 30 0F 00 63 30 FF FF 6B 31 15 00 60 14 06 00 83 A4 04 00 87 94 4B 00 E0 10 04 00 88 24 02 00 86 24 ?? ?? ?? 0? 01 00 02 24 00 00 07 95 00 00 A7 A4 00 00 C3 94 F0 FF 42 24 00 00 03 A5 00 00 83 94 00 00 C3 A4 00 00 80 A4 00 00 A3 94 F6 FF 60 10 20 16 02 7C 10 00 65 2C 1B 00 A0 10 20 00 65 2C 00 00 87 94 04 00 86 94 02 00 85 94 C2 43 06 00 40 18 03 00 25 18 03 01 C2 4B 05 00 C2 43 07 00 40 30 06 00 40 28 05 00 FF FF 63 30 25 28 A8 00 25 30 C9 00 40 38 07 00 FF FF 42 24 10 00 68 2C FF FF C6 30 FF FF A5 30 FF FF E7 30 EF FF 00 15 20 16 02 7C 06 00 83 A4 00 00 87 A4 04 00 86 A4 02 00 85 A4 20 00 65 2C 1B 00 A0 14 0F 00 63 30 06 00 83 94 00 00 87 94 02 00 86 94 04 00 85 94 C0 43 03 00 C0 53 06 00 C0 4B 05 00 42 38 07 00 42 30 06 00 42 28 05 00 42 18 03 00 25 28 05 01 25 38 47 01 25 30 26 01 01 00 42 24 20 00 68 2C FF FF E7 30 FF FF C6 30 FF FF A5 30 F0 FF 00 11 20 16 02 7C 06 00 83 A4 00 00 87 A4 02 00 86 A4 04 00 85 A4 0F 00 63 30 25 18 6B 00 08 00 E0 03 06 00 83 A4 02 00 89 94 B5 FF 20 15 02 00 86 24 00 00 89 94 B5 FF 20 55 01 00 02 24 ?? ?? ?? 0? 25 18 6B 00 }
	condition:
		$1
}

rule file_253_0_4 {
	meta:
		name = "gets_s"
		size = 408
		refs = "0034 _Files 0098 fgetc 00e0 _Fail_s"
	strings:
		$1 = { D0 FF BD 27 14 00 B0 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 57 00 A0 10 21 80 80 00 4F 00 80 50 ?? ?? 04 3C 4C 00 A0 04 ?? ?? 12 3C 21 A8 A4 00 21 98 80 00 ?? ?? 44 8E FF FF 11 24 0A 00 14 24 0C 00 82 8C 10 00 83 8C 2B 18 43 00 0F 00 60 10 01 00 45 24 00 00 42 90 0C 00 85 AC 12 00 54 50 00 00 60 A2 01 00 73 26 19 00 75 12 ?? ?? 04 3C FF FF 62 A2 ?? ?? 44 8E 0C 00 82 8C 10 00 83 8C 2B 18 43 00 F3 FF 60 14 01 00 45 24 ?? ?? ?? 0? 00 00 00 00 F1 FF 51 14 00 00 00 00 1B 00 13 52 00 00 00 A2 00 00 60 A2 2C 00 BF 8F 21 10 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 15 00 05 24 FF FF 11 24 0A 00 13 24 ?? ?? 44 8E 0C 00 82 8C 10 00 83 8C 2B 18 43 00 10 00 60 10 01 00 45 24 00 00 42 90 F8 FF 53 14 0C 00 85 AC 00 00 00 A2 2C 00 BF 8F 21 80 00 00 21 10 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 00 00 00 00 F2 FF 51 50 00 00 00 A2 E7 FF 53 54 ?? ?? 44 8E ?? ?? ?? 0? 00 00 00 A2 ?? ?? 04 3C 00 00 00 A2 ?? ?? 84 24 ?? ?? ?? 0? 15 00 05 24 ?? ?? ?? 0? 21 80 00 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? 21 80 00 00 }
	condition:
		$1
}

rule file_254_0_4 {
	meta:
		name = "_Closreg"
		size = 60
		refs = "001c _Atexit"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF ?? ?? 10 3C ?? ?? 02 82 06 00 40 14 14 00 BF AF ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 02 00 02 24 ?? ?? 02 A2 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_254_1_4 {
	meta:
		name = "fclose"
		size = 244
		refs = "003c fflush 0060 close 0074 remove 0080 free 008c _Fofree 00bc _Errno"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 1C 00 BF AF 10 00 B0 AF 21 88 80 00 2B 00 80 10 FF FF 12 24 00 00 82 94 03 00 42 30 21 00 40 10 00 00 00 00 03 00 82 80 1E 00 40 04 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 21 90 40 00 00 00 22 96 40 00 42 30 24 00 40 14 00 00 00 00 03 00 24 82 04 00 20 AE ?? ?? ?? 0? FF FF 10 24 3C 00 24 8E 07 00 80 10 0B 90 02 02 ?? ?? ?? 0? 00 00 00 00 3C 00 24 8E ?? ?? ?? 0? 0B 90 02 02 3C 00 20 AE ?? ?? ?? 0? 21 20 20 02 1C 00 BF 8F 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 20 20 02 09 00 03 24 ?? ?? 02 3C ?? ?? 43 AC FF FF 12 24 1C 00 BF 8F 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 04 00 24 8E ?? ?? ?? 0? 03 00 24 82 }
	condition:
		$1
}

rule file_254_2_4 {
	meta:
		name = "closeall"
		size = 104
		refs = "0008 _Files 0044 fclose"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF ?? ?? 10 3C ?? ?? 10 26 18 00 B1 AF 1C 00 BF AF 50 00 11 26 00 00 04 8E 0A 00 80 10 04 00 10 26 00 00 82 94 03 00 42 30 06 00 40 10 00 00 00 00 03 00 82 80 03 00 40 04 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 F4 FF 11 56 00 00 04 8E 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_258_0_4 {
	meta:
		name = "roundl"
		size = 184
		refs = "0014 _LDint 0058 dpadd 00a4 dpsub"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 1C 00 A5 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 01 00 05 24 FF FF 42 24 01 00 03 24 2B 10 62 00 15 00 40 10 18 00 A5 8F 18 00 A4 27 ?? ?? ?? 0? 21 28 00 00 0F 00 40 10 1E 00 A2 87 14 00 40 04 ?? ?? 02 3C 18 00 A4 8F 1C 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 14 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 08 00 E0 03 18 00 BD 27 18 00 A5 8F 1C 00 A4 8F 14 00 BF 8F 21 10 A0 00 21 18 80 00 08 00 E0 03 18 00 BD 27 18 00 A4 8F 1C 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_259_0_4 {
	meta:
		name = "sqrt"
		size = 428
		refs = "0020 _Dunscale 0068 fpmul 0078 fpadd 00a4 fpdiv 0124 _Dscale 0198 _Feraise 01a0 _Nan"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A5 27 10 00 A4 27 2C 00 BF AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF ?? ?? ?? 0? 1C 00 B0 AF 01 00 03 24 47 00 43 10 02 00 03 24 49 00 43 50 30 00 A2 8F 47 00 40 10 30 00 A2 8F 36 00 A2 87 53 00 40 04 10 00 B1 87 01 00 22 32 48 00 40 54 30 00 A4 8F 30 00 B0 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 C2 1F 11 00 21 88 71 00 14 00 A4 27 43 28 11 00 ?? ?? ?? 0? 14 00 A2 AF 2C 00 BF 8F 14 00 A2 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 36 00 A2 87 11 00 40 04 00 00 00 00 30 00 A2 8F 2C 00 BF 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 FF FF 31 26 20 8E 11 7C ?? ?? ?? 0? 21 28 80 00 21 80 40 00 30 00 A2 AF ?? ?? ?? 0? 10 00 B1 A7 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C }
	condition:
		$1
}

rule file_260_0_4 {
	meta:
		name = "bsearch_s"
		size = 336
		refs = "0118 _Fail_s"
	strings:
		$1 = { C8 FF BD 27 30 00 B7 AF 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF 34 00 BF AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 18 00 B1 AF 21 80 80 00 21 B8 E0 00 48 00 B2 8F 36 00 C0 04 4C 00 B3 8F 35 00 E2 04 ?? ?? 04 3C 16 00 C0 10 21 10 00 00 31 00 80 10 ?? ?? 04 3C 30 00 A0 50 ?? ?? 84 24 2D 00 40 12 21 88 A0 00 21 A0 C0 00 42 A8 14 00 02 10 B7 72 21 20 00 02 21 30 60 02 21 B0 51 00 09 F8 40 02 21 28 C0 02 1D 00 40 04 27 18 15 00 0F 00 40 10 21 A0 83 02 F4 FF 80 16 21 88 D7 02 21 10 00 00 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 34 00 BF 8F 21 10 C0 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 A0 A0 02 DA FF 80 16 42 A8 14 00 ?? ?? ?? 0? 21 10 00 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 34 00 BF 8F 21 10 00 00 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_261_0_4 {
	meta:
		name = "wcstombs_s"
		size = 532
		refs = "0084 _Wctomb 00bc _Getmbcurmax 0100 memcpy 016c _Fail_s"
	strings:
		$1 = { B8 FF BD 27 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 24 00 B0 AF 21 A8 80 00 21 98 A0 00 21 A0 C0 00 21 88 E0 00 58 00 B2 8F 10 00 A0 AF 42 00 80 10 14 00 A0 AF 3F 00 E0 10 FF FF 02 24 3A 00 A0 10 00 00 00 00 3C 00 C0 58 00 00 A2 AE 3A 00 42 06 00 00 A2 AE 14 00 40 16 21 80 00 00 ?? ?? ?? 0? 2B A0 14 02 15 00 60 12 21 20 70 02 00 00 25 8E ?? ?? ?? 0? 10 00 A6 27 49 00 40 04 44 00 BF 8F 05 00 40 10 21 80 02 02 21 10 70 02 FF FF 42 80 50 00 40 50 FF FF 10 26 FF FF 52 26 1B 00 40 52 2B A0 14 02 04 00 31 26 ?? ?? ?? 0? 23 B0 90 02 2B 10 C2 02 EB FF 40 10 00 00 00 00 00 00 25 8E 18 00 A4 27 ?? ?? ?? 0? 10 00 A6 27 33 00 40 04 21 B8 40 00 2B B0 C2 02 2C 00 C0 16 00 00 00 00 04 00 60 12 21 20 70 02 18 00 A5 27 ?? ?? ?? 0? 21 30 40 00 E4 FF E0 16 21 80 17 02 FF FF 52 26 E9 FF 40 56 04 00 31 26 2B A0 14 02 14 00 80 12 21 10 00 00 12 00 60 12 00 00 B0 AE 21 80 70 02 ?? ?? ?? 0? 00 00 00 A2 CA FF C0 10 00 00 00 00 FF FF 02 24 00 00 A2 AE 06 00 60 12 ?? ?? 04 3C 05 00 80 12 ?? ?? 84 24 01 00 83 06 00 00 60 A2 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 44 00 BF 8F 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 13 00 60 16 21 80 02 02 ?? ?? ?? 0? FF FF 52 26 44 00 BF 8F FF FF 02 24 00 00 A2 AE 40 00 B7 8F 58 00 02 24 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 00 00 B0 AE FF FF 02 24 ?? ?? 04 3C 00 00 A2 AE ?? ?? 84 24 00 00 60 A2 ?? ?? ?? 0? 1C 00 05 24 ?? ?? ?? 0? 44 00 BF 8F }
	condition:
		$1
}

rule file_262_0_4 {
	meta:
		name = "clogf"
		size = 1024
		refs = "0028 crealf 0038 cimagf 0044 _FDtest 0070 atan2f 0094 fpcmp 0128 fpdiv 0138 _FLog 0148 fpmul 0150 log1pf 016c fpadd 0178 _FCbuild 0268 _FInf 02e0 _Feraise 0314 _FDint 0344 fpsub"
	strings:
		$1 = { C0 FF BD 27 24 00 B1 AF 20 00 B0 AF 21 88 A0 00 21 80 80 00 3C 00 BF AF 28 00 B2 AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF ?? ?? ?? 0? 2C 00 B3 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 21 90 40 00 02 00 02 24 69 00 02 52 01 00 02 24 53 00 42 12 14 00 A4 8F ?? ?? ?? 0? 10 00 A5 8F 21 88 40 00 01 00 02 24 7A 00 02 52 ?? ?? 02 3C 77 00 42 12 10 00 B0 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 05 00 41 04 14 00 B2 8F 00 80 02 3C 26 80 50 00 10 00 B0 AF 14 00 B2 8F 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 04 00 41 04 21 20 00 02 00 80 02 3C 26 90 52 00 14 00 B2 AF ?? ?? ?? 0? 21 28 40 02 5D 00 42 04 14 00 B0 AF 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 7B 00 40 10 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 56 00 40 1C ?? ?? 02 3C 14 00 B2 8F ?? ?? 44 8C ?? ?? ?? 0? 21 28 40 02 7B 00 40 58 18 00 A4 27 21 28 00 02 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 21 28 40 02 21 20 40 02 ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 20 40 00 3C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 01 00 02 24 3C 00 02 12 ?? ?? 02 3C 14 00 A4 8F ?? ?? ?? 0? 21 28 80 00 21 28 40 00 21 20 60 00 3C 00 BF 8F 21 10 A0 00 21 18 80 00 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 2F 00 42 12 ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? 21 28 80 00 3C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 10 00 B2 AF ?? ?? ?? 0? 21 80 40 02 ?? ?? ?? 0? 14 00 B2 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 20 02 3C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 44 8C ?? ?? ?? 0? 14 00 A5 8F 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? 44 8C ?? ?? ?? 0? 10 00 A5 8F 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 44 8C 00 80 02 3C 21 28 20 02 ?? ?? ?? 0? 26 20 82 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 0B 00 05 24 18 00 B0 AF ?? ?? ?? 0? 1C 00 B2 AF 1C 00 A4 27 ?? ?? ?? 0? 0B 00 05 24 18 00 B3 8F 1C 00 B0 8F 21 20 60 02 ?? ?? ?? 0? 21 28 60 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 10 00 B4 8F 21 28 60 02 14 00 B2 8F 21 20 80 02 ?? ?? ?? 0? 21 A8 40 00 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 98 40 00 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 A0 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 }
	condition:
		$1
}

rule file_263_0_4 {
	meta:
		name = "fopen"
		size = 56
		refs = "000c _Fofind 0024 _Foprep"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 18 00 A4 AF ?? ?? ?? 0? 1C 00 A5 AF 18 00 A4 8F 1C 00 A5 8F 21 30 40 00 FF FF 07 24 ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_264_0_4 {
	meta:
		name = "fopen_s"
		size = 236
		refs = "003c _Fofind 0058 _Foprep 00b4 _Fail_s"
	strings:
		$1 = { D0 FF BD 27 28 00 B2 AF 20 00 B0 AF 2C 00 BF AF 24 00 B1 AF 21 80 80 00 2E 00 80 10 21 90 C0 00 22 00 A0 10 00 00 80 AC 20 00 C0 10 75 00 02 24 00 00 C3 80 14 00 62 10 55 00 11 24 ?? ?? ?? 0? 18 00 A5 AF 18 00 A5 8F 21 30 40 00 FF FF 07 24 21 20 A0 00 21 28 40 02 ?? ?? ?? 0? 10 00 B1 AF 21 18 40 00 22 00 02 24 00 00 03 AE 0B 10 03 00 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 01 00 D2 24 00 00 42 82 61 00 03 24 E9 FF 43 10 75 00 11 24 77 00 42 38 55 00 03 24 ?? ?? ?? 0? 0B 88 62 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 16 00 05 24 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1E 00 05 24 ?? ?? ?? 0? 2C 00 BF 8F }
	condition:
		$1
}

rule file_265_0_4 {
	meta:
		name = "fegetround"
		size = 104
		refs = "0010 _Tls_setup__Fenv 0030 _Fenv"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 00 00 42 94 10 00 C2 A7 10 00 C2 97 82 12 02 00 FF FF 42 30 03 00 42 30 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_266_0_4 {
	meta:
		name = "_WFrprep"
		size = 356
		refs = "006c read 010c malloc"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF 21 80 80 00 2C 00 03 8E 0C 00 84 8C 1C 00 BF AF 18 00 B1 AF 2B 18 83 00 1F 00 60 14 01 00 02 24 00 00 03 96 00 01 64 30 1B 00 80 14 21 10 00 00 01 60 64 30 01 00 02 24 2B 00 82 14 00 40 65 30 00 0C 63 30 19 00 60 10 04 00 11 8E 08 00 06 8E 03 00 04 82 21 28 20 02 0C 00 11 AE 2C 00 11 AE 30 00 11 AE ?? ?? ?? 0? 23 30 D1 00 32 00 42 04 00 00 04 96 12 00 40 10 00 90 03 24 00 00 05 96 2C 00 04 8E 25 18 A3 00 21 10 82 00 2C 00 02 AE 00 00 03 A6 01 00 02 24 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 48 00 02 26 14 00 22 12 00 00 00 00 ?? ?? ?? 0? 08 00 06 8E 00 00 03 96 1C 00 BF 8F 00 81 04 24 FF 6E 63 30 25 18 64 00 00 00 03 A6 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 00 02 02 24 00 82 04 24 0A 10 85 00 25 18 62 00 00 00 03 A6 ?? ?? ?? 0? FF FF 02 24 ?? ?? ?? 0? 20 00 04 24 0F 00 40 10 04 00 02 AE 00 00 03 96 20 00 46 24 08 00 06 AE 40 00 63 34 00 00 03 A6 10 00 02 AE 14 00 02 AE ?? ?? ?? 0? 21 88 40 00 00 82 03 24 FF FF 02 24 25 18 83 00 ?? ?? ?? 0? 00 00 03 A6 49 00 06 26 04 00 11 AE ?? ?? ?? 0? 08 00 06 AE }
	condition:
		$1
}

rule file_267_0_4 {
	meta:
		name = "_FCsubcr"
		size = 112
		refs = "0020 crealf 0030 cimagf 0040 fpsub 004c _FCbuild"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 21 90 C0 00 14 00 B0 AF 21 88 80 00 ?? ?? ?? 0? 21 80 A0 00 21 98 40 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_351_0_4 {
	meta:
		name = "_Caddcr"
		size = 112
		refs = "0020 creal 0030 cimag 0040 fpadd 004c _Cbuild"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 21 90 C0 00 14 00 B0 AF 21 88 80 00 ?? ?? ?? 0? 21 80 A0 00 21 98 40 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_584_0_4 {
	meta:
		name = "_Csubcr"
		size = 112
		refs = "0020 creal 0030 cimag 0040 fpsub 004c _Cbuild"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 21 90 C0 00 14 00 B0 AF 21 88 80 00 ?? ?? ?? 0? 21 80 A0 00 21 98 40 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_512_0_4 {
	meta:
		name = "_FCaddcr"
		size = 112
		refs = "0020 crealf 0030 cimagf 0040 fpadd 004c _FCbuild"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 21 90 C0 00 14 00 B0 AF 21 88 80 00 ?? ?? ?? 0? 21 80 A0 00 21 98 40 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_271_0_4 {
	meta:
		name = "clog10"
		size = 96
		refs = "0014 clog 0024 fpmul"
	strings:
		$1 = { E0 FF BD 27 10 00 B0 AF ?? ?? 10 3C 1C 00 BF AF 18 00 B2 AF ?? ?? ?? 0? 14 00 B1 AF ?? ?? 05 8E 21 20 40 00 ?? ?? ?? 0? 21 90 60 00 ?? ?? 05 8E 21 20 40 02 ?? ?? ?? 0? 21 88 40 00 1C 00 BF 8F 21 20 40 00 21 18 80 00 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_406_0_4 {
	meta:
		name = "clog10f"
		size = 96
		refs = "0014 clogf 0024 fpmul"
	strings:
		$1 = { E0 FF BD 27 10 00 B0 AF ?? ?? 10 3C 1C 00 BF AF 18 00 B2 AF ?? ?? ?? 0? 14 00 B1 AF ?? ?? 05 8E 21 20 40 00 ?? ?? ?? 0? 21 90 60 00 ?? ?? 05 8E 21 20 40 02 ?? ?? ?? 0? 21 88 40 00 1C 00 BF 8F 21 20 40 00 21 18 80 00 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_273_0_4 {
	meta:
		name = "_Skip"
		size = 68
		refs = "0020 strspn"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF 00 00 82 80 07 00 40 10 21 80 80 00 ?? ?? 05 3C 01 00 84 24 ?? ?? ?? 0? ?? ?? A5 24 01 00 42 24 21 80 02 02 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_273_1_4 {
	meta:
		name = "_Findloc"
		size = 500
		refs = "002c getenv 006c fopen 008c _Readloc 00b0 memcmp 00c4 _Skip 00d8 malloc 00f8 _Clocale 0148 memcpy 0164 _Makeloc 0188 fputs 018c _Stderr 01a0 _Freeloc 01a8 free 01b4 fclose"
	strings:
		$1 = { C8 FE BD 27 28 01 B3 AF 21 98 80 00 ?? ?? 04 3C ?? ?? 84 24 24 01 B2 AF 20 01 B1 AF 34 01 BF AF 30 01 B5 AF 2C 01 B4 AF 1C 01 B0 AF ?? ?? ?? 0? 21 90 A0 00 0B 00 40 14 21 88 00 00 34 01 BF 8F 21 10 20 02 30 01 B5 8F 2C 01 B4 8F 28 01 B3 8F 24 01 B2 8F 20 01 B1 8F 1C 01 B0 8F 08 00 E0 03 38 01 BD 27 ?? ?? 05 3C 21 20 40 00 ?? ?? ?? 0? ?? ?? A5 24 F1 FF 40 10 21 80 40 00 01 00 11 24 FF FF 54 26 21 20 00 02 14 00 A5 27 ?? ?? ?? 0? 10 00 A6 27 47 00 40 50 21 88 00 00 08 00 42 8C F9 FF 51 14 21 20 00 02 10 00 A4 8F 21 28 60 02 ?? ?? ?? 0? 21 30 40 02 F3 FF 40 54 21 20 00 02 10 00 A4 8F ?? ?? ?? 0? 21 20 94 00 00 00 42 80 ED FF 40 14 21 20 00 02 ?? ?? ?? 0? C4 01 04 24 34 00 40 10 21 88 40 00 ?? ?? ?? 0? 01 00 44 26 3C 00 40 10 21 A8 40 00 ?? ?? 14 3C ?? ?? 94 26 21 18 80 02 21 10 20 02 C0 01 84 26 00 00 68 8C 04 00 67 8C 08 00 66 8C 0C 00 65 8C 10 00 63 24 00 00 48 AC 04 00 47 AC 08 00 46 AC 0C 00 45 AC F6 FF 64 14 10 00 42 24 00 00 63 8C 21 30 40 02 21 20 A0 02 21 28 60 02 ?? ?? ?? 0? 00 00 43 AC 21 90 B2 02 00 00 22 AE 21 20 00 02 00 00 40 A2 14 00 A5 27 ?? ?? ?? 0? 21 30 20 02 05 00 40 10 ?? ?? 12 3C 04 00 82 8E 04 00 22 AE ?? ?? ?? 0? 04 00 91 AE 14 00 A4 27 ?? ?? ?? 0? ?? ?? 45 26 ?? ?? 04 3C ?? ?? 45 26 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 20 02 21 88 00 00 ?? ?? ?? 0? 21 20 00 02 34 01 BF 8F 21 10 20 02 30 01 B5 8F 2C 01 B4 8F 28 01 B3 8F 24 01 B2 8F 20 01 B1 8F 1C 01 B0 8F 08 00 E0 03 38 01 BD 27 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 88 00 00 }
	condition:
		$1
}

rule file_274_0_4 {
	meta:
		name = "strerror_s"
		size = 232
		refs = "0030 _Strerror 003c strlen 0054 memcpy 0098 _Fail_s 00c0 strcpy"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 20 00 B2 AF 21 88 80 00 1D 00 80 10 21 80 A0 00 1C 00 A0 10 ?? ?? 04 3C 1A 00 A0 04 21 28 00 00 ?? ?? ?? 0? 21 20 C0 00 21 20 40 00 ?? ?? ?? 0? 10 00 A2 AF 2B 10 50 00 1D 00 40 14 10 00 A5 8F 21 20 20 02 ?? ?? ?? 0? FF FF 06 26 21 18 30 02 04 00 02 2E FF FF 60 A0 0E 00 40 14 21 90 00 00 FC FF 04 26 ?? ?? 05 3C 21 20 24 02 ?? ?? A5 24 ?? ?? ?? 0? 03 00 06 24 ?? ?? ?? 0? 24 00 BF 8F ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 21 90 40 00 24 00 BF 8F 21 10 40 02 1C 00 B1 8F 20 00 B2 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 21 90 00 00 21 10 40 02 1C 00 B1 8F 20 00 B2 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_276_0_4 {
	meta:
		name = "_LCaddcc"
		size = 296
		refs = "0044 creall 007c cimagl 00c4 dpadd 00f4 _LCbuild"
	strings:
		$1 = { B8 FF BD 27 30 00 B3 AF 2C 00 B2 AF 64 00 B3 8F 60 00 B2 8F 28 00 B1 AF 24 00 B0 AF 5C 00 B1 8F 58 00 B0 8F 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 21 B8 A0 00 21 B0 80 00 38 00 B5 AF 34 00 B4 AF 21 A8 E0 00 ?? ?? ?? 0? 21 A0 C0 00 21 20 00 02 21 28 20 02 21 30 40 02 21 38 60 02 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 21 20 C0 02 21 28 E0 02 21 30 80 02 21 38 A0 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 21 20 00 02 21 28 20 02 21 30 40 02 21 38 60 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 18 00 A8 8F 1C 00 A9 8F 10 00 AA 8F 14 00 AB 8F 21 20 00 01 21 28 20 01 21 30 40 01 21 38 60 01 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 20 80 02 21 28 A0 02 21 30 40 02 21 38 60 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 44 00 BF 8F 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 }
	condition:
		$1
}

rule file_730_0_4 {
	meta:
		name = "_LCsubcc"
		size = 296
		refs = "0044 creall 007c cimagl 00c4 dpsub 00f4 _LCbuild"
	strings:
		$1 = { B8 FF BD 27 30 00 B3 AF 2C 00 B2 AF 64 00 B3 8F 60 00 B2 8F 28 00 B1 AF 24 00 B0 AF 5C 00 B1 8F 58 00 B0 8F 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 21 B8 A0 00 21 B0 80 00 38 00 B5 AF 34 00 B4 AF 21 A8 E0 00 ?? ?? ?? 0? 21 A0 C0 00 21 20 00 02 21 28 20 02 21 30 40 02 21 38 60 02 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 21 20 C0 02 21 28 E0 02 21 30 80 02 21 38 A0 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 21 20 00 02 21 28 20 02 21 30 40 02 21 38 60 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 18 00 A8 8F 1C 00 A9 8F 10 00 AA 8F 14 00 AB 8F 21 20 00 01 21 28 20 01 21 30 40 01 21 38 60 01 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 20 80 02 21 28 A0 02 21 30 40 02 21 38 60 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 44 00 BF 8F 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 }
	condition:
		$1
}

rule file_277_0_4 {
	meta:
		name = "lrintf"
		size = 196
		refs = "0010 _FDtest 0034 nearbyintf 0044 fpcmp 0080 fptosi 0098 _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 21 18 40 00 1A 00 60 10 21 10 00 00 03 00 60 04 03 00 63 28 1A 00 60 14 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F 18 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 19 00 40 14 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 0C 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 07 00 40 1C 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 21 10 00 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 20 00 04 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_758_0_4 {
	meta:
		name = "lrint"
		size = 196
		refs = "0010 _Dtest 0034 nearbyint 0044 fpcmp 0080 fptosi 0098 _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 21 18 40 00 1A 00 60 10 21 10 00 00 03 00 60 04 03 00 63 28 1A 00 60 14 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F 18 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 19 00 40 14 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 0C 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 07 00 40 1C 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 21 10 00 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 20 00 04 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_278_0_4 {
	meta:
		name = "_Getfld"
		size = 1044
		refs = "01b8 _Getstr 0230 _Getfloat 0248 _Getint 0404 _Fail_s"
	strings:
		$1 = { 0C 00 82 8C E8 FF BD 27 10 00 B0 AF 14 00 BF AF 22 00 80 A0 00 00 42 90 DB FF 42 24 FF 00 42 30 54 00 43 2C 06 00 60 14 21 80 80 00 14 00 BF 8F 21 10 00 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? 03 3C 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6C 00 02 24 21 00 82 A0 21 20 00 02 ?? ?? ?? 0? 01 00 05 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 10 00 83 8C 00 00 82 8C 04 00 84 8C 01 00 63 24 10 00 03 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 28 40 00 25 00 03 24 F1 FF A3 10 01 00 02 24 FF FF 02 24 34 00 A2 50 10 00 03 8E 10 00 02 8E 00 00 03 8E 04 00 04 8E FF FF 42 24 10 00 02 AE 09 F8 60 00 21 30 00 00 ?? ?? ?? 0? 21 10 00 00 ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? FF FF 05 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 20 00 83 80 CA FF 60 14 01 00 02 24 21 00 82 90 9E FF 42 24 FF 00 42 30 19 00 43 2C 0E 00 60 14 ?? ?? 03 3C 08 00 02 8E 00 00 43 8C 04 00 42 24 4E 00 60 10 08 00 02 AE 10 00 04 8E 01 00 02 24 ?? ?? ?? 0? 00 00 64 AC FF FF 02 24 FF FF 63 24 ?? ?? ?? 0? 10 00 03 AE 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 82 8C 00 00 43 8C 04 00 42 24 22 00 60 10 08 00 82 AC 10 00 84 8C 01 00 02 24 ?? ?? ?? 0? 00 00 64 AC 08 00 82 8C 00 00 43 8C 04 00 42 24 19 00 60 10 08 00 82 AC 10 00 84 8C 01 00 02 24 C3 2F 04 00 00 00 64 AC ?? ?? ?? 0? 04 00 65 AC 08 00 82 8C 00 00 43 8C 04 00 42 24 0E 00 60 10 08 00 82 AC 10 00 84 8C 01 00 02 24 ?? ?? ?? 0? 00 00 64 A4 08 00 82 8C 00 00 43 8C 04 00 42 24 05 00 60 10 08 00 82 AC 10 00 84 8C 01 00 02 24 ?? ?? ?? 0? 00 00 64 A0 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? 27 10 02 00 }
	condition:
		$1
}

rule file_279_0_4 {
	meta:
		name = "remove"
		size = 60
		refs = "000c rmdir 001c unlink"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 04 00 40 10 21 18 00 00 ?? ?? ?? 0? 21 20 00 02 21 18 40 00 14 00 BF 8F 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_280_0_4 {
	meta:
		name = "prout"
		size = 116
		refs = "003c memcpy"
	strings:
		$1 = { 04 00 82 8C E0 FF BD 27 18 00 B1 AF 2B 18 46 00 14 00 B0 AF 1C 00 BF AF 21 80 80 00 04 00 60 10 21 88 C0 00 01 00 03 24 08 00 83 AC 21 88 40 00 0B 00 20 12 1C 00 BF 8F 00 00 04 8E ?? ?? ?? 0? 21 30 20 02 00 00 02 8E 04 00 03 8E 21 10 51 00 23 88 71 00 00 00 02 AE 04 00 11 AE 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_280_1_4 {
	meta:
		name = "vsprintf_s"
		size = 220
		refs = "004c _Printf 0084 _Fail_s"
	strings:
		$1 = { D0 FF BD 27 28 00 B0 AF 2C 00 BF AF 1B 00 80 10 21 80 80 00 1A 00 A0 50 ?? ?? 04 3C 18 00 A2 04 ?? ?? 04 3C 27 00 C0 50 00 00 80 A0 FF FF A2 24 ?? ?? 04 3C 1C 00 A2 AF ?? ?? 84 24 01 00 02 24 18 00 A5 27 18 00 B0 AF 20 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A3 8F 11 00 60 14 FF FF 43 28 15 00 60 14 18 00 A3 8F 00 00 60 A0 2C 00 BF 8F 28 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 21 10 00 00 2C 00 BF 8F 28 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1C 00 05 24 ?? ?? ?? 0? 21 10 00 00 00 00 00 A2 ?? ?? ?? 0? 21 10 00 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 20 00 05 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_281_0_4 {
	meta:
		name = "strtok"
		size = 184
		refs = "0028 strspn 0040 strcspn"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 1C 00 BF AF 14 00 B1 AF 10 00 B0 AF 25 00 80 10 21 90 A0 00 21 88 80 00 ?? ?? 10 3C 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 21 88 22 02 00 00 22 82 11 00 40 10 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 21 10 22 02 00 00 43 80 09 00 60 54 00 00 40 A0 1C 00 BF 8F ?? ?? 02 AE 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 42 24 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 21 88 00 00 ?? ?? 02 AE 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 11 8E }
	condition:
		$1
}

rule file_282_0_4 {
	meta:
		name = "acos"
		size = 404
		refs = "001c _Dtest 0038 fpcmp 0084 _Feraise 0090 _Nan 00d4 fpsub 00e4 fpadd 00f0 fpmul 00f8 sqrt 0104 fpdiv 0110 _Atan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 02 00 03 24 21 00 43 10 28 00 B0 8F 21 28 00 00 02 00 11 24 ?? ?? ?? 0? 21 20 00 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 50 00 28 00 B0 AF 04 00 11 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 19 00 40 18 ?? ?? 12 3C ?? ?? 45 8E ?? ?? ?? 0? 21 20 00 02 2D 00 40 18 ?? ?? 44 8E ?? ?? ?? 0? 01 00 04 24 24 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 28 00 A2 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 44 8E ?? ?? ?? 0? 21 28 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 28 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 02 00 25 3A 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_582_0_4 {
	meta:
		name = "acosf"
		size = 404
		refs = "001c _FDtest 0038 fpcmp 0084 _Feraise 0090 _FNan 00d4 fpsub 00e4 fpadd 00f0 fpmul 00f8 sqrtf 0104 fpdiv 0110 _FAtan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 02 00 03 24 21 00 43 10 28 00 B0 8F 21 28 00 00 02 00 11 24 ?? ?? ?? 0? 21 20 00 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 50 00 28 00 B0 AF 04 00 11 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 19 00 40 18 ?? ?? 12 3C ?? ?? 45 8E ?? ?? ?? 0? 21 20 00 02 2D 00 40 18 ?? ?? 44 8E ?? ?? ?? 0? 01 00 04 24 24 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 28 00 A2 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 44 8E ?? ?? ?? 0? 21 28 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 28 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 02 00 25 3A 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_283_0_4 {
	meta:
		name = "_LCsubcr"
		size = 164
		refs = "002c creall 0048 cimagl 0064 dpsub 0078 _LCbuild"
	strings:
		$1 = { D0 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 21 88 E0 00 2C 00 BF AF 28 00 B5 AF ?? ?? ?? 0? 24 00 B4 AF 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 40 00 A6 8F 44 00 A7 8F 21 20 80 02 21 28 A0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_550_0_4 {
	meta:
		name = "_LCaddcr"
		size = 164
		refs = "002c creall 0048 cimagl 0064 dpadd 0078 _LCbuild"
	strings:
		$1 = { D0 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 21 88 E0 00 2C 00 BF AF 28 00 B5 AF ?? ?? ?? 0? 24 00 B4 AF 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 40 00 A6 8F 44 00 A7 8F 21 20 80 02 21 28 A0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_285_0_4 {
	meta:
		name = "_FPoly"
		size = 116
		refs = "0038 fpmul 0048 fpadd"
		altNames = "_Poly"
	strings:
		$1 = { D8 FF BD 27 14 00 B0 AF FF FF D0 24 1C 00 B2 AF 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 21 88 A0 00 21 90 80 00 0C 00 00 06 00 00 A2 8C FF FF 13 24 21 20 40 00 21 28 40 02 ?? ?? ?? 0? 04 00 31 26 00 00 25 8E FF FF 10 26 ?? ?? ?? 0? 21 20 40 00 F8 FF 13 56 21 20 40 00 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_286_0_4 {
	meta:
		name = "_Readloc"
		size = 392
		refs = "0058 strlen 00a4 fgets 00f0 _Skip 0118 strspn 012c _Loctab 0154 strncmp"
	strings:
		$1 = { C0 FF BD 27 34 00 B7 AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 3C 00 BF AF 38 00 BE AF 21 88 80 00 21 80 A0 00 21 B8 C0 00 20 00 15 24 00 01 12 24 0A 00 13 24 5C 00 14 24 25 00 16 24 00 00 15 A2 ?? ?? ?? 0? 01 00 1E 24 ?? ?? ?? 0? 00 00 00 00 21 F0 5E 00 FF FF C2 27 21 10 02 02 00 00 43 80 21 28 1E 02 02 00 C4 2F 0F 00 73 14 FE FF DE 27 1B 00 80 54 00 00 40 A0 FE FF A3 80 18 00 74 54 00 00 40 A0 21 18 1E 02 21 20 60 00 23 28 5E 02 21 30 20 02 ?? ?? ?? 0? 10 00 A3 AF 10 00 A3 8F E9 FF 40 14 21 20 60 00 21 80 00 00 3C 00 BF 8F 21 10 00 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 21 20 00 02 21 F0 40 00 00 00 42 80 D3 FF 56 50 00 00 15 A2 D1 FF 40 50 00 00 15 A2 ?? ?? 05 3C 21 20 C0 03 ?? ?? ?? 0? ?? ?? A5 24 21 88 40 00 E5 FF 40 10 21 80 00 00 ?? ?? 02 3C ?? ?? 44 8C E2 FF 80 10 3C 00 BF 8F ?? ?? ?? 0? ?? ?? 50 24 00 00 04 8E DC FF 80 50 21 80 00 00 21 28 C0 03 ?? ?? ?? 0? 21 30 20 02 F9 FF 40 54 0C 00 10 26 ?? ?? ?? 0? 00 00 04 8E F5 FF 51 54 0C 00 10 26 FF FF 24 26 ?? ?? ?? 0? 21 20 C4 03 ?? ?? ?? 0? 00 00 E2 AE }
	condition:
		$1
}

rule file_287_0_4 {
	meta:
		name = "strncat"
		size = 100
	strings:
		$1 = { 00 00 83 80 05 00 60 10 21 10 80 00 01 00 84 24 00 00 83 80 FE FF 60 54 01 00 84 24 0F 00 C0 50 00 00 80 A0 00 00 A3 80 0A 00 60 10 21 30 86 00 ?? ?? ?? 0? 00 00 83 A0 00 00 A3 80 07 00 60 50 00 00 80 A0 00 00 83 A0 01 00 84 24 FA FF 86 14 01 00 A5 24 08 00 E0 03 00 00 80 A0 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_288_0_4 {
	meta:
		name = "_Foprep"
		size = 468
		refs = "004c memset 0134 _Fopen 0144 _Closreg 019c _Errno 01a4 fclose"
	strings:
		$1 = { D0 FF BD 27 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 21 98 C0 00 21 A0 80 00 21 90 A0 00 40 00 B0 8F 45 00 C0 10 20 8C 07 7C 02 00 D6 90 00 00 D5 94 21 20 C0 00 21 28 00 00 ?? ?? ?? 0? 4C 00 06 24 48 00 62 26 28 00 63 26 FF FF 04 24 03 00 64 A2 04 00 62 AE 0C 00 62 AE 10 00 62 AE 2C 00 62 AE 14 00 62 AE 30 00 62 AE 18 00 62 AE 02 00 76 A2 1C 00 63 AE 00 00 43 82 80 00 B5 32 72 00 04 24 FF FF B5 32 07 00 64 10 01 00 02 24 77 00 04 24 04 00 64 10 1A 00 02 24 16 00 02 24 61 00 63 38 0B 10 03 00 25 A8 55 00 03 00 A2 32 3D 00 40 10 00 00 75 A6 01 00 52 26 00 00 42 82 62 00 04 24 2B 00 05 24 0C 00 44 10 03 00 06 24 0E 00 45 14 00 00 00 00 00 00 62 96 03 00 43 30 0A 00 66 10 03 00 42 34 00 00 62 A6 01 00 52 26 00 00 42 82 F6 FF 44 14 00 00 00 00 00 00 62 96 20 00 43 30 F8 FF 60 10 20 00 42 34 19 00 80 12 00 00 00 00 14 00 00 16 00 00 65 96 55 00 06 3A 21 20 80 02 ?? ?? ?? 0? 01 00 C6 2C 17 00 40 04 03 00 62 A2 ?? ?? ?? 0? 00 00 00 00 2C 00 BF 8F 21 10 60 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 40 00 A5 34 ?? ?? ?? 0? FF FF A5 30 06 00 20 06 ?? ?? 10 3C ?? ?? ?? 0? 03 00 71 A2 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? 10 3C ?? ?? 11 8E ?? ?? ?? 0? 21 20 60 02 21 98 00 00 ?? ?? ?? 0? ?? ?? 11 AE ?? ?? ?? 0? 21 20 60 02 16 00 03 24 ?? ?? 02 3C ?? ?? 43 AC ?? ?? ?? 0? 21 98 00 00 }
	condition:
		$1
}

rule file_289_0_4 {
	meta:
		name = "rot3"
		size = 288
		refs = "00b0 memcpy"
	strings:
		$1 = { D0 FE BD 27 40 00 E2 2C 28 01 B5 AF 18 01 B1 AF 14 01 B0 AF 2C 01 BF AF 24 01 B4 AF 20 01 B3 AF 1C 01 B2 AF 21 A8 80 00 21 80 A0 00 18 00 40 10 21 88 C0 00 0E 00 E0 10 2C 01 BF 8F 21 10 00 00 00 00 24 92 00 00 A3 82 01 00 42 24 00 00 A4 A2 00 00 04 92 01 00 B5 26 00 00 24 A2 00 00 03 A2 01 00 31 26 F6 FF 47 14 01 00 10 26 2C 01 BF 8F 28 01 B5 8F 24 01 B4 8F 20 01 B3 8F 1C 01 B2 8F 18 01 B1 8F 14 01 B0 8F 08 00 E0 03 30 01 BD 27 21 A0 E0 00 00 01 12 24 01 01 93 2E 21 10 40 02 0B 10 93 02 21 98 40 00 21 28 A0 02 10 00 A4 27 ?? ?? ?? 0? 21 30 40 00 21 20 A0 02 21 28 20 02 ?? ?? ?? 0? 21 30 60 02 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 60 02 23 A0 93 02 21 20 00 02 10 00 A5 27 ?? ?? ?? 0? 21 30 60 02 21 A8 B3 02 21 80 13 02 E8 FF 80 16 21 88 33 02 2C 01 BF 8F 28 01 B5 8F 24 01 B4 8F 20 01 B3 8F 1C 01 B2 8F 18 01 B1 8F 14 01 B0 8F 08 00 E0 03 30 01 BD 27 }
	condition:
		$1
}

rule file_289_1_4 {
	meta:
		name = "swap"
		size = 240
		refs = "0098 memcpy"
	strings:
		$1 = { D8 FE BD 27 40 00 C2 2C 20 01 B4 AF 10 01 B0 AF 24 01 BF AF 1C 01 B3 AF 18 01 B2 AF 14 01 B1 AF 21 A0 80 00 14 00 40 10 21 80 A0 00 0B 00 C0 10 24 01 BF 8F 21 10 00 00 00 00 83 82 00 00 04 92 01 00 42 24 00 00 84 A2 00 00 03 A2 01 00 94 26 F9 FF 46 14 01 00 10 26 24 01 BF 8F 20 01 B4 8F 1C 01 B3 8F 18 01 B2 8F 14 01 B1 8F 10 01 B0 8F 08 00 E0 03 28 01 BD 27 21 98 C0 00 00 01 11 24 01 01 72 2E 21 10 20 02 0B 10 72 02 21 90 40 00 21 28 80 02 10 00 A4 27 ?? ?? ?? 0? 21 30 40 00 21 20 80 02 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 23 98 72 02 21 20 00 02 10 00 A5 27 ?? ?? ?? 0? 21 30 40 02 21 A0 92 02 ED FF 60 16 21 80 12 02 24 01 BF 8F 20 01 B4 8F 1C 01 B3 8F 18 01 B2 8F 14 01 B1 8F 10 01 B0 8F 08 00 E0 03 28 01 BD 27 }
	condition:
		$1
}

rule file_289_2_4 {
	meta:
		name = "med3"
		size = 224
	strings:
		$1 = { D8 FF BD 27 14 00 B1 AF 38 00 B1 8F 18 00 B2 AF 21 90 80 00 20 00 B4 AF 1C 00 B3 AF 10 00 B0 AF 21 20 A0 00 21 80 A0 00 24 00 BF AF 21 28 40 02 21 98 C0 00 09 F8 20 02 21 A0 E0 00 1A 00 40 04 21 20 60 02 09 F8 20 02 21 28 00 02 1F 00 40 04 21 20 00 02 09 F8 20 02 21 28 40 02 08 00 40 04 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 21 20 40 02 21 28 00 02 21 30 80 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F ?? ?? ?? 0? 28 00 BD 27 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 30 80 02 21 20 60 02 09 F8 20 02 21 28 00 02 E3 FF 41 04 21 20 00 02 21 28 60 02 ?? ?? ?? 0? 21 30 80 02 ?? ?? ?? 0? 21 20 00 02 }
	condition:
		$1
}

rule file_289_3_4 {
	meta:
		name = "adjust_heap"
		size = 364
	strings:
		$1 = { C0 FF BD 27 30 00 B6 AF 01 00 B6 24 40 B0 16 00 2B 10 D6 00 2C 00 B5 AF 28 00 B4 AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 3C 00 BF AF 38 00 BE AF 34 00 B7 AF 24 00 B3 AF 21 A8 A0 00 21 80 C0 00 21 90 80 00 21 88 E0 00 3C 00 40 14 50 00 B4 8F 02 10 E5 70 23 98 07 00 21 18 44 00 02 10 F6 70 ?? ?? ?? 0? 21 F0 44 00 09 F8 80 02 10 00 A3 AF 13 00 40 04 10 00 A3 8F 21 B8 C0 03 21 F0 C0 02 01 00 D6 27 21 20 60 00 21 28 E0 02 21 30 20 02 ?? ?? ?? 0? 40 B0 16 00 2B 10 16 02 13 00 40 14 2B 10 BE 02 02 10 D1 72 21 18 E0 02 21 F0 52 00 21 B8 D3 03 21 20 C0 03 EB FF D0 16 21 28 E0 02 FF FF DE 26 01 00 D6 27 21 20 60 00 21 28 E0 02 21 30 20 02 ?? ?? ?? 0? 40 B0 16 00 2B 10 16 02 F1 FF 40 10 02 10 D1 72 2B 10 BE 02 08 00 40 14 21 80 C0 03 ?? ?? ?? 0? 3C 00 BF 8F ?? ?? ?? 0? 00 00 00 00 2B 10 B0 02 0C 00 40 10 21 B8 60 02 FF FF 10 26 42 80 10 00 02 10 11 72 21 20 E0 02 21 98 52 00 09 F8 80 02 21 28 60 02 21 28 E0 02 21 20 60 02 F1 FF 40 1C 21 30 20 02 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_289_4_4 {
	meta:
		name = "rotate"
		size = 188
		refs = "0060 memcpy 0070 memmove"
	strings:
		$1 = { D0 FE BD 27 1C 01 B3 AF 23 98 A4 00 18 01 B2 AF 14 01 B1 AF 10 01 B0 AF 2C 01 BF AF 28 01 B6 AF 24 01 B5 AF 20 01 B4 AF 21 80 80 00 21 90 A0 00 21 88 C0 00 17 00 C0 10 21 98 66 02 21 B0 C0 00 00 01 14 24 01 01 D5 2E 21 10 80 02 0B 10 D5 02 23 28 22 02 21 A8 40 00 10 00 A4 27 21 28 45 02 ?? ?? ?? 0? 21 30 40 00 21 20 15 02 21 28 00 02 ?? ?? ?? 0? 23 30 75 02 23 B0 D5 02 21 20 00 02 10 00 A5 27 ?? ?? ?? 0? 21 30 A0 02 EE FF C0 16 01 01 D5 2E 2C 01 BF 8F 28 01 B6 8F 24 01 B5 8F 20 01 B4 8F 1C 01 B3 8F 18 01 B2 8F 14 01 B1 8F 10 01 B0 8F 08 00 E0 03 30 01 BD 27 }
	condition:
		$1
}

rule file_289_5_4 {
	meta:
		name = "intro_sort"
		size = 1256
	strings:
		$1 = { B8 FF BD 27 34 00 B5 AF 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 24 00 B1 AF 20 00 B0 AF 50 00 A6 AF 21 98 80 00 21 A8 A0 00 21 90 E0 00 FA 00 C0 10 58 00 B4 8F 21 00 A2 2C CB 00 40 14 23 88 07 00 02 10 B2 72 42 A8 15 00 21 B8 53 00 21 B0 F1 02 23 10 D3 02 1B 00 52 00 F4 01 40 02 12 10 00 00 02 18 B2 72 21 A8 73 00 29 00 43 2C E2 00 60 14 21 F0 B2 02 C2 10 02 00 01 00 42 24 02 10 52 70 21 20 60 02 21 38 40 02 10 00 B4 AF 21 18 62 02 40 30 02 00 21 28 60 00 21 30 66 02 23 80 02 00 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A2 8F 21 20 B0 02 21 28 A0 02 21 30 A2 02 21 38 40 02 ?? ?? ?? 0? 10 00 B4 AF 18 00 A2 8F FE FF 05 24 21 80 D0 02 02 30 45 70 21 38 40 02 21 28 00 02 10 00 B4 AF 21 20 D6 00 ?? ?? ?? 0? 21 30 C0 02 1C 00 A3 8F 21 28 A0 02 21 30 00 02 21 20 60 00 21 38 40 02 ?? ?? ?? 0? 10 00 B4 AF 2B 10 75 02 21 B0 A0 02 05 00 40 14 21 80 A0 02 ?? ?? ?? 0? 2B 10 D7 03 0E 00 60 10 21 B0 00 02 21 80 D1 02 21 28 C0 02 09 F8 80 02 21 20 00 02 F9 FF 40 10 2B 18 70 02 ?? ?? ?? 0? 21 80 C0 02 09 F8 80 02 21 28 00 02 06 00 40 14 21 18 00 02 21 F0 D2 03 2B 10 D7 03 F9 FF 40 14 21 20 C0 03 21 18 00 02 21 A8 C0 03 2B B0 D7 03 28 00 C0 56 1C 00 A3 AF 2B 10 63 02 04 00 40 54 21 38 71 00 ?? ?? ?? 0? 21 38 60 00 21 38 71 00 21 28 00 02 21 20 E0 00 1C 00 A3 AF 09 F8 80 02 18 00 A7 AF 18 00 A7 8F 21 30 40 02 1C 00 A3 8F 07 00 40 04 21 28 E0 00 27 00 40 14 21 38 60 00 21 80 11 02 ?? ?? ?? 0? 21 20 00 02 18 00 A7 8F 2B 10 67 02 ED FF 40 14 21 18 E0 00 20 00 67 12 00 00 00 00 2C 00 B7 12 21 18 F1 00 21 20 A0 02 21 A8 B2 02 21 28 60 00 21 30 40 02 2B B0 B7 02 ?? ?? ?? 0? 1C 00 A3 AF DB FF C0 12 1C 00 A3 8F 1C 00 A3 AF 21 20 00 02 09 F8 80 02 21 28 A0 02 0A 00 40 04 1C 00 A3 8F D4 FF 40 14 2B 10 63 02 21 20 C0 03 21 28 A0 02 21 30 40 02 ?? ?? ?? 0? 1C 00 A3 AF 1C 00 A3 8F 21 F0 D2 03 21 A8 B2 02 ?? ?? ?? 0? 2B B0 B7 02 E2 FF 67 16 00 00 00 00 25 00 B7 12 23 10 13 02 1D 00 D5 13 21 20 A0 02 21 28 00 02 21 30 C0 03 ?? ?? ?? 0? 21 38 40 02 21 A8 B2 02 21 80 12 02 21 F0 D2 03 21 18 60 02 ?? ?? ?? 0? 2B B0 B7 02 21 80 11 02 09 00 70 10 21 F0 D1 03 21 20 60 00 21 28 C0 03 21 30 00 02 21 38 40 02 ?? ?? ?? 0? 1C 00 A3 AF ?? ?? ?? 0? 1C 00 A3 8F 21 20 00 02 21 28 C0 03 21 30 40 02 ?? ?? ?? 0? 1C 00 A3 AF ?? ?? ?? 0? 1C 00 A3 8F 21 20 C0 03 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 ?? ?? ?? 0? 21 A8 B2 02 1B 00 52 00 F4 01 40 02 23 A8 BE 02 50 00 A4 8F 42 18 04 00 82 20 04 00 21 20 83 00 12 10 00 00 1B 00 B2 02 F4 01 40 02 12 A8 00 00 2B 18 A2 02 28 00 60 14 50 00 A4 AF 50 00 A6 8F 21 20 60 02 21 28 40 00 21 38 40 02 10 00 B4 AF ?? ?? ?? 0? 21 98 C0 03 50 00 A2 8F 2F 00 40 10 21 00 A2 2E 38 FF 40 10 02 10 B2 72 02 00 A2 2E 49 00 40 14 21 88 60 02 23 80 12 00 FF FF B5 26 45 00 A0 12 21 88 32 02 21 20 20 02 09 F8 80 02 21 28 60 02 03 00 41 04 21 B0 20 02 ?? ?? ?? 0? 21 20 60 02 21 B8 D0 02 21 20 20 02 09 F8 80 02 21 28 E0 02 FB FF 42 04 21 B0 E0 02 EF FF 36 12 21 20 C0 02 21 28 20 02 ?? ?? ?? 0? 21 30 40 02 ?? ?? ?? 0? FF FF B5 26 50 00 A6 8F 12 28 00 00 21 20 C0 03 21 38 40 02 10 00 B4 AF ?? ?? ?? 0? 21 A8 40 00 ?? ?? ?? 0? 50 00 A2 8F 21 20 60 02 21 28 A0 02 21 30 C0 02 21 38 40 02 ?? ?? ?? 0? 10 00 B4 AF ?? ?? ?? 0? 2B 10 75 02 21 00 A2 2E D3 FF 40 14 02 00 A2 2E 42 80 15 00 FF FF 10 26 21 20 60 02 21 28 00 02 21 30 A0 02 21 38 40 02 ?? ?? ?? 0? 10 00 B4 AF F9 FF 00 16 FF FF 10 26 02 10 B2 72 23 88 12 00 01 00 16 24 21 80 53 00 21 80 11 02 21 20 60 02 21 28 00 02 21 30 40 02 ?? ?? ?? 0? FF FF B5 26 21 20 60 02 21 28 00 00 21 30 A0 02 21 38 40 02 ?? ?? ?? 0? 10 00 B4 AF F4 FF B6 16 21 80 11 02 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 21 28 20 02 ?? ?? ?? 0? 21 30 40 02 ?? ?? ?? 0? FF FF B5 26 }
	condition:
		$1
}

rule file_289_6_4 {
	meta:
		name = "qsort"
		size = 52
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 18 C0 00 06 00 80 10 21 10 E0 00 04 00 E0 10 21 30 A0 00 21 38 60 00 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_290_0_4 {
	meta:
		name = "_ZNSt3tr110_Rng_abortEPKc"
		size = 60
		refs = "0010 fputs 0014 _Stderr 001c fputc 0024 abort"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF ?? ?? 10 3C 14 00 BF AF ?? ?? ?? 0? ?? ?? 05 26 ?? ?? 05 26 ?? ?? ?? 0? 0A 00 04 24 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_291_0_4 {
	meta:
		name = "wmemcmp"
		size = 76
	strings:
		$1 = { 06 00 C0 14 21 10 00 00 ?? ?? ?? 0? 00 00 00 00 04 00 84 24 0A 00 C0 10 04 00 A5 24 00 00 83 8C 00 00 A2 8C FA FF 62 50 FF FF C6 24 2A 18 62 00 01 00 04 24 FF FF 02 24 08 00 E0 03 0A 10 83 00 21 10 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_292_0_4 {
	meta:
		name = "csinhf"
		size = 492
		refs = "0014 crealf 0024 cimagf 0030 _FDtest 0074 _FCbuild 00a4 _FNan 00dc _FSin 00e8 _FSinh 0108 _FCosh 01a0 fpmul 01b0 _FInf 01d4 _Feraise"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 24 00 BF AF ?? ?? ?? 0? 21 80 80 00 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 15 00 03 12 01 00 04 24 60 00 44 50 FF FF 10 32 39 00 43 50 FF FF 10 32 1D 00 04 16 14 00 A4 8F 4A 00 40 14 00 00 00 00 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 8F 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 30 00 40 10 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 80 00 21 28 40 00 21 20 60 00 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 10 00 B0 8F ?? ?? ?? 0? 01 00 05 24 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 14 00 A4 8F 10 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 02 00 10 2E D8 FF 00 12 ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 14 00 A5 8F ?? ?? ?? 0? ?? ?? 44 8C 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 01 00 05 24 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 80 40 00 14 00 A4 8F ?? ?? 02 3C ?? ?? 51 8C ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 02 00 10 2E B2 FF 00 12 ?? ?? 02 3C ?? ?? ?? 0? 10 00 A4 8F }
	condition:
		$1
}

rule file_688_0_4 {
	meta:
		name = "csinh"
		size = 492
		refs = "0014 creal 0024 cimag 0030 _Dtest 0074 _Cbuild 00a4 _Nan 00dc _Sin 00e8 _Sinh 0108 _Cosh 01a0 fpmul 01b0 _Inf 01d4 _Feraise"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 24 00 BF AF ?? ?? ?? 0? 21 80 80 00 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 15 00 03 12 01 00 04 24 60 00 44 50 FF FF 10 32 39 00 43 50 FF FF 10 32 1D 00 04 16 14 00 A4 8F 4A 00 40 14 00 00 00 00 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 8F 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 30 00 40 10 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 80 00 21 28 40 00 21 20 60 00 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 10 00 B0 8F ?? ?? ?? 0? 01 00 05 24 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 14 00 A4 8F 10 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 02 00 10 2E D8 FF 00 12 ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 14 00 A5 8F ?? ?? ?? 0? ?? ?? 44 8C 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 01 00 05 24 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 80 40 00 14 00 A4 8F ?? ?? 02 3C ?? ?? 51 8C ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 02 00 10 2E B2 FF 00 12 ?? ?? 02 3C ?? ?? ?? 0? 10 00 A4 8F }
	condition:
		$1
}

rule file_293_0_4 {
	meta:
		name = "_LAtan"
		size = 820
		refs = "0040 dpcmp 0060 dpmul 0078 dpsub 0094 dpadd 00a8 dpdiv 00c0 _LRteps 0324 _Feraise"
	strings:
		$1 = { D0 FF BD 27 20 00 B4 AF 21 A0 80 00 ?? ?? 04 3C 1C 00 B3 AF 21 98 A0 00 ?? ?? 85 8C ?? ?? 84 8C 18 00 B2 AF 21 38 60 02 21 90 C0 00 21 30 80 02 2C 00 BF AF 28 00 B7 AF 24 00 B6 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 1D 00 41 04 ?? ?? 02 3C ?? ?? 10 3C ?? ?? 06 8E ?? ?? 07 8E 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 06 8E ?? ?? 07 8E 21 20 80 02 21 28 60 02 21 B0 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 C0 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 01 00 52 36 21 A0 40 00 21 98 60 00 ?? ?? 02 3C ?? ?? 50 8C ?? ?? 51 8C 00 80 02 3C 26 10 02 02 21 20 80 02 21 30 20 02 21 28 60 02 ?? ?? ?? 0? 21 38 40 00 20 00 40 04 21 20 80 02 21 20 20 02 21 30 80 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 02 19 00 40 04 21 20 80 02 02 00 42 32 04 00 40 10 07 00 42 32 00 80 02 3C 26 98 62 02 07 00 42 32 76 00 40 14 ?? ?? 03 3C 08 00 52 32 02 00 40 12 00 80 02 3C 26 98 62 02 2C 00 BF 8F 21 10 80 02 21 18 60 02 28 00 B7 8F 24 00 B6 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 21 30 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 21 30 40 00 21 20 80 02 21 28 60 02 21 38 60 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 B0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 B8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 80 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 98 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 ?? ?? ?? 0? 21 98 60 00 ?? ?? 63 24 C0 10 02 00 21 10 43 00 00 00 46 8C 04 00 47 8C 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 20 00 04 24 21 A0 40 00 ?? ?? ?? 0? 21 98 60 00 ?? ?? ?? 0? 08 00 52 32 }
	condition:
		$1
}

rule file_294_0_4 {
	meta:
		name = "asinhl"
		size = 416
		refs = "0020 _LDtest 006c dpcmp 009c _LEps 00a4 dpdiv 00d4 dpmul 00f0 dpadd 00fc sqrtl 0144 log1pl 0178 _LLog"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 2C 00 A5 AF 02 00 03 24 2B 10 62 00 0A 00 40 14 28 00 B0 8F 28 00 A2 8F 2C 00 A3 8F 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 2C 00 B2 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 06 00 41 04 21 88 00 00 00 80 02 3C 26 90 42 02 28 00 B0 AF 2C 00 B2 AF 01 00 11 24 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C ?? ?? 02 3C ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 21 30 40 00 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 2C 00 41 04 21 20 00 02 ?? ?? 13 3C 21 30 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 40 02 ?? ?? 66 8E ?? ?? 67 8E 21 80 60 00 21 20 40 00 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 66 8E ?? ?? 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 BD FF 20 12 24 00 BF 8F 00 80 04 3C 26 18 64 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 40 02 ?? ?? ?? 0? 21 30 00 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_295_0_4 {
	meta:
		name = "_LDsign"
		size = 56
	strings:
		$1 = { F8 FF BD 27 04 00 BE AF 21 F0 A0 03 08 00 C4 AF 0C 00 C5 AF 08 00 C2 27 06 00 42 24 00 00 42 94 00 80 42 30 21 E8 C0 03 04 00 BE 8F 08 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_297_0_4 {
	meta:
		name = "_LLog"
		size = 1396
		refs = "0038 _LDunscale 005c _Feraise 0068 _LInf 00c8 dpcmp 00ec dpsub 0108 dpadd 011c dpdiv 0138 dpmul 029c litodp 04b8 _LNan"
	strings:
		$1 = { B8 FF BD 27 48 00 A4 AF 4C 00 A5 AF 10 00 A4 27 48 00 A5 27 2C 00 B2 AF 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 28 00 B1 AF 24 00 B0 AF ?? ?? ?? 0? 21 90 C0 00 01 00 03 24 C7 00 43 10 02 00 03 24 C9 00 43 10 48 00 A5 8F 15 00 40 14 4E 00 A2 87 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 00 80 02 3C 26 20 82 00 44 00 BF 8F 21 10 A0 00 21 18 80 00 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 00 01 40 04 ?? ?? 06 3C 48 00 B1 8F 4C 00 B0 8F ?? ?? C7 8C ?? ?? C6 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 B6 00 42 04 21 20 20 02 10 00 B5 87 ?? ?? 16 3C ?? ?? C6 8E ?? ?? C7 8E 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 ?? ?? C6 8E ?? ?? C7 8E 21 20 20 02 21 28 00 02 21 98 40 00 ?? ?? ?? 0? 21 A0 60 00 21 30 40 00 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 40 00 21 28 60 00 21 38 60 00 21 B0 60 00 ?? ?? ?? 0? 21 B8 40 00 21 88 60 00 21 80 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 20 02 ?? ?? ?? 0? 21 20 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 38 C0 02 21 28 60 00 ?? ?? ?? 0? 21 30 E0 02 21 20 A0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 B0 40 00 4A 00 40 16 21 A8 60 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 00 ?? ?? ?? 0? 21 28 A0 02 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 38 60 00 21 20 60 02 ?? ?? ?? 0? 21 28 80 02 21 88 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 80 60 00 21 20 C0 02 ?? ?? ?? 0? 21 28 A0 02 21 30 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 44 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 4E 00 A2 87 51 00 40 04 00 00 00 00 48 00 A5 8F 4C 00 A4 8F 44 00 BF 8F 21 10 A0 00 21 18 80 00 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 21 30 20 02 21 28 00 02 ?? ?? ?? 0? 21 38 00 02 10 00 B5 97 21 88 40 00 21 80 60 00 FF FF B5 26 ?? ?? ?? 0? 20 AE 15 7C 3C 00 40 1A ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 02 ?? ?? ?? 0? 21 28 80 02 21 40 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 02 21 28 80 02 18 00 A8 AF ?? ?? ?? 0? 1C 00 A3 AF 21 90 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 98 60 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 C0 02 21 28 A0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 18 00 A8 8F 1C 00 A9 8F 21 30 40 00 21 38 60 00 21 20 00 01 ?? ?? ?? 0? 21 28 20 01 21 88 40 00 ?? ?? 02 3C 21 80 60 00 ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 44 8C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 02 ?? ?? ?? 0? 21 28 80 02 21 40 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 02 21 28 80 02 18 00 A8 AF ?? ?? ?? 0? 1C 00 A3 AF 21 90 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 18 00 A8 8F 1C 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 28 60 00 21 30 C0 02 ?? ?? ?? 0? 21 38 A0 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_297_1_4 {
	meta:
		name = "_LLogpoly"
		size = 304
		refs = "0020 dpmul 0038 dpadd"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C E0 FF BD 27 1C 00 BF AF 18 00 B1 AF 14 00 B0 AF 21 88 A0 00 ?? ?? ?? 0? 21 80 80 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_298_0_4 {
	meta:
		name = "freopen_s"
		size = 288
		refs = "005c fclose 0084 _Foprep 00c0 _Fail_s"
	strings:
		$1 = { C8 FF BD 27 2C 00 B2 AF 24 00 B0 AF 34 00 BF AF 30 00 B3 AF 28 00 B1 AF 21 80 80 00 3A 00 80 10 21 90 A0 00 24 00 A0 10 00 00 80 AC 23 00 C0 50 ?? ?? 04 3C 20 00 E0 10 75 00 02 24 00 00 C3 80 28 00 62 10 55 00 11 24 00 00 F3 94 21 20 E0 00 7F FF 62 32 00 00 E2 A4 18 00 A6 AF ?? ?? ?? 0? 1C 00 A7 AF 1C 00 A7 8F 18 00 A6 8F 80 00 73 32 00 00 F3 A4 21 28 C0 00 21 20 40 02 21 30 E0 00 FF FF 07 24 ?? ?? ?? 0? 10 00 B1 AF 21 18 40 00 22 00 02 24 00 00 03 AE 0B 10 03 00 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 16 00 05 24 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 01 00 C6 24 00 00 C2 80 61 00 03 24 D5 FF 43 10 75 00 11 24 77 00 42 38 55 00 03 24 ?? ?? ?? 0? 0B 88 62 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1E 00 05 24 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_299_0_4 {
	meta:
		name = "wcscpy_s"
		size = 236
		refs = "0030 wcslen 00b0 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 1C 00 BF AF 26 00 80 10 21 80 80 00 25 00 A0 10 ?? ?? 04 3C 24 00 A0 04 ?? ?? 84 24 28 00 C0 10 21 20 C0 00 10 00 A5 AF ?? ?? ?? 0? 14 00 A6 AF 10 00 A5 8F 2B 18 45 00 21 00 60 10 14 00 A6 8F 80 38 02 00 21 18 C7 00 2B 18 03 02 05 00 60 10 80 28 05 00 21 28 05 02 2B 28 C5 00 19 00 A0 14 ?? ?? 04 3C 08 00 40 10 21 18 00 02 00 00 C4 8C FF FF 42 24 04 00 C6 24 00 00 64 AC FB FF 40 14 04 00 63 24 21 80 07 02 1C 00 BF 8F 00 00 00 AE 21 10 00 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 23 00 05 24 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C 00 00 00 AE ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_300_0_4 {
	meta:
		name = "isxdigit"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 01 00 42 30 }
	condition:
		$1
}

rule file_301_0_4 {
	meta:
		name = "norm"
		size = 116
		refs = "0018 creal 0028 cimag 0038 fpmul 0054 fpadd"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 21 88 80 00 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 18 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 88 40 00 21 20 40 02 ?? ?? ?? 0? 21 28 40 02 21 20 20 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_402_0_4 {
	meta:
		name = "normf"
		size = 116
		refs = "0018 crealf 0028 cimagf 0038 fpmul 0054 fpadd"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 10 00 B0 AF 21 88 80 00 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 18 00 B2 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 88 40 00 21 20 40 02 ?? ?? ?? 0? 21 28 40 02 21 20 20 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_302_0_4 {
	meta:
		name = "_WScanf"
		size = 1112
		refs = "0038 _Vacopy 0080 _Iswctype 019c wcschr 01e0 _WGetfld"
	strings:
		$1 = { 98 FF BD 27 10 00 A4 AF 14 00 A5 AF 18 00 A4 27 21 28 E0 00 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 48 00 B0 AF 40 00 A6 AF 64 00 BF AF 54 00 B3 AF 50 00 B2 AF 4C 00 B1 AF ?? ?? ?? 0? 21 B0 E0 00 78 00 A2 8F 40 00 A6 8F ?? ?? 14 3C ?? ?? 15 3C 36 00 A2 A3 20 00 A0 AF 1C 00 A6 AF FF FF 10 24 ?? ?? 94 26 ?? ?? B5 26 00 00 C4 8C 25 00 02 24 26 00 82 50 04 00 C3 8C AA 00 80 10 64 00 BF 8F ?? ?? ?? 0? 09 00 05 24 90 00 40 10 1C 00 A2 8F 20 00 A2 8F 14 00 A4 8F 21 28 00 00 01 00 42 24 20 00 A2 AF 10 00 A2 8F 09 F8 40 00 01 00 06 24 21 20 40 00 09 00 05 24 ?? ?? ?? 0? 21 88 40 00 F4 FF 40 14 20 00 A2 8F FF FF 02 24 7C 00 22 12 20 00 A2 8F 14 00 A4 8F 21 28 20 02 FF FF 42 24 20 00 A2 AF 10 00 A2 8F 09 F8 40 00 21 30 00 00 1C 00 A6 8F 25 00 02 24 04 00 C6 24 00 00 C4 8C DD FF 82 14 1C 00 A6 AF 04 00 C3 8C 04 00 C2 24 2A 00 04 24 8F 00 64 10 1C 00 A2 AF 34 00 A0 A3 28 00 A0 AF 00 00 44 8C FF 7F 11 3C 04 00 05 24 FF FF 31 36 ?? ?? ?? 0? 0A 00 12 24 11 00 40 10 1C 00 A2 8F 28 00 A2 8F 32 00 51 10 02 20 52 70 1C 00 A6 8F 00 00 C3 8C 21 10 83 00 D0 FF 42 24 28 00 A2 AF 04 00 C2 24 1C 00 A2 AF 00 00 44 8C ?? ?? ?? 0? 04 00 05 24 F3 FF 40 14 28 00 A2 8F 1C 00 A2 8F 2E 00 03 24 00 00 45 8C 7D 00 A3 50 04 00 44 8C FF FF 02 24 2C 00 A2 AF ?? ?? ?? 0? 21 20 80 02 9F 00 40 10 1C 00 A2 8F 00 00 43 8C 04 00 44 24 1C 00 A4 AF 68 00 04 24 69 00 64 10 30 00 A3 AF 6C 00 04 24 8A 00 64 10 04 00 45 8C ?? ?? ?? 0? 21 20 A0 02 12 00 40 10 20 00 A2 8F ?? ?? ?? 0? 10 00 A4 27 2A 00 40 18 64 00 BF 8F 1C 00 A6 8F 35 00 A2 83 27 18 10 00 0A 80 03 00 2B 10 02 00 04 00 C6 24 21 80 02 02 ?? ?? ?? 0? 1C 00 A6 AF 1C 00 A6 8F 04 00 C2 24 ?? ?? ?? 0? 1C 00 A2 AF 14 00 A4 8F 21 28 00 00 01 00 42 24 20 00 A2 AF 10 00 A2 8F 09 F8 40 00 01 00 06 24 21 20 40 00 09 00 05 24 ?? ?? ?? 0? 21 88 40 00 F4 FF 40 14 20 00 A2 8F FF FF 02 24 7B 00 22 12 20 00 A2 8F 14 00 A4 8F 21 28 20 02 FF FF 42 24 20 00 A2 AF 10 00 A2 8F 09 F8 40 00 21 30 00 00 ?? ?? ?? 0? 10 00 A4 27 DA FF 40 1C 1C 00 A6 8F 64 00 BF 8F 27 18 10 00 0B 10 03 02 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 68 00 BD 27 FF FF 42 24 ?? ?? ?? 0? 20 00 A2 AF 14 00 A4 8F 21 28 00 00 00 00 51 8C 20 00 A2 8F 01 00 42 24 20 00 A2 AF 10 00 A2 8F 09 F8 40 00 01 00 06 24 80 FF 22 52 1C 00 A6 8F FF FF 03 24 08 00 43 10 20 00 A3 8F 21 28 40 00 14 00 A4 8F 10 00 A2 8F FF FF 63 24 20 00 A3 AF 09 F8 40 00 21 30 00 00 64 00 BF 8F 00 00 02 2A 0B 80 02 00 21 10 00 02 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 68 00 BD 27 08 00 C2 24 34 00 A3 A3 ?? ?? ?? 0? 1C 00 A2 AF 04 00 45 8C 99 FF A3 14 62 00 03 24 30 00 A3 AF 08 00 43 24 1C 00 A3 AF ?? ?? ?? 0? 08 00 45 8C 04 00 43 24 1C 00 A3 AF 2A 00 03 24 27 00 83 10 0A 00 13 24 99 19 11 3C 2C 00 A0 AF C9 99 31 36 ?? ?? ?? 0? FF FF 12 24 D0 FF 84 24 21 18 83 00 2C 00 A3 AF 04 00 44 8C 04 00 42 24 1C 00 A2 AF ?? ?? ?? 0? 04 00 05 24 10 00 40 10 1C 00 A2 8F 2C 00 A4 8F 00 00 43 8C 23 28 23 02 2B 28 A4 00 F1 FF A0 10 02 20 93 70 ?? ?? ?? 0? 2C 00 B2 AF 76 FF A3 14 71 00 03 24 30 00 A3 AF 08 00 45 8C 08 00 42 24 ?? ?? ?? 0? 1C 00 A2 AF 21 20 80 02 ?? ?? ?? 0? 00 00 45 8C 63 FF 40 14 1C 00 A2 8F 30 00 A0 AF ?? ?? ?? 0? 00 00 45 8C 00 00 C3 8E 08 00 44 24 1C 00 A4 AF 2C 00 A3 AF 08 00 45 8C ?? ?? ?? 0? 04 00 D6 26 FF FF 42 24 ?? ?? ?? 0? 20 00 A2 AF }
	condition:
		$1
}

rule file_303_0_4 {
	meta:
		name = "_Dsign"
		size = 52
	strings:
		$1 = { F8 FF BD 27 04 00 BE AF 21 F0 A0 03 08 00 C4 AF 08 00 C2 27 06 00 42 24 00 00 42 94 00 80 42 30 21 E8 C0 03 04 00 BE 8F 08 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_304_0_4 {
	meta:
		name = "_WStofx"
		size = 540
		refs = "003c _WStopfx 00b8 _FInf 00c4 _FNan 00e0 _WStoflt 0104 _FDtentox 0120 _WStoxflt 013c _FDscale 015c sitofp 0184 fpmul 01a0 fpadd"
	strings:
		$1 = { B0 FF BD 27 2C 00 B0 AF 50 00 A4 AF 21 80 80 00 50 00 A4 27 44 00 B6 AF 40 00 B5 AF 3C 00 B4 AF 30 00 B1 AF 4C 00 BF AF 48 00 B7 AF 38 00 B3 AF 34 00 B2 AF 21 88 A0 00 21 B0 C0 00 ?? ?? ?? 0? 21 A0 E0 00 02 00 80 12 08 00 55 30 00 00 80 AE F7 FF 03 24 24 18 43 00 01 00 02 24 1C 00 62 10 02 00 04 24 2B 00 64 10 50 00 A5 8F 03 00 02 24 11 00 62 10 04 00 04 24 12 00 64 10 21 10 00 00 03 00 A0 12 4C 00 BF 8F 00 80 03 3C 26 10 62 00 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 50 00 A5 8F 21 20 00 02 21 30 20 02 1C 00 A7 27 ?? ?? ?? 0? 10 00 A3 AF 1C 00 40 14 21 90 40 00 21 10 00 00 18 00 A2 AF 21 20 40 00 1C 00 A5 8F 21 30 80 02 ?? ?? ?? 0? 21 28 C5 02 ?? ?? ?? 0? 00 00 00 00 21 20 00 02 21 30 20 02 1C 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF 24 00 40 14 21 90 40 00 21 10 00 00 18 00 A2 AF 1C 00 A5 8F ?? ?? ?? 0? 18 00 A4 27 18 00 A4 8F 21 28 C0 02 ?? ?? ?? 0? 21 30 80 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 20 00 A4 8F 21 20 40 00 02 00 42 2A E3 FF 40 14 18 00 A4 AF ?? ?? 02 3C ?? ?? 53 8C 24 00 B1 27 01 00 10 24 ?? ?? ?? 0? 21 28 60 02 00 00 24 8E 21 B8 40 00 ?? ?? ?? 0? 01 00 10 26 21 28 40 00 ?? ?? ?? 0? 21 20 E0 02 04 00 31 26 F5 FF 12 16 21 20 40 00 ?? ?? ?? 0? 18 00 A2 AF ?? ?? ?? 0? 20 00 A4 8F 02 00 43 2A DB FF 60 14 18 00 A2 AF ?? ?? 03 3C ?? ?? 73 8C 24 00 B1 27 01 00 10 24 21 28 60 02 ?? ?? ?? 0? 21 20 40 00 00 00 24 8E 21 B8 40 00 ?? ?? ?? 0? 01 00 10 26 21 28 40 00 21 20 E0 02 ?? ?? ?? 0? 04 00 31 26 F5 FF 12 16 21 28 60 02 ?? ?? ?? 0? 18 00 A2 AF }
	condition:
		$1
}

rule file_474_0_4 {
	meta:
		name = "_Stofx"
		size = 540
		refs = "003c _Stopfx 00b8 _FInf 00c4 _FNan 00e0 _Stoflt 0104 _FDtentox 0120 _Stoxflt 013c _FDscale 015c sitofp 0184 fpmul 01a0 fpadd"
	strings:
		$1 = { B0 FF BD 27 2C 00 B0 AF 50 00 A4 AF 21 80 80 00 50 00 A4 27 44 00 B6 AF 40 00 B5 AF 3C 00 B4 AF 30 00 B1 AF 4C 00 BF AF 48 00 B7 AF 38 00 B3 AF 34 00 B2 AF 21 88 A0 00 21 B0 C0 00 ?? ?? ?? 0? 21 A0 E0 00 02 00 80 12 08 00 55 30 00 00 80 AE F7 FF 03 24 24 18 43 00 01 00 02 24 1C 00 62 10 02 00 04 24 2B 00 64 10 50 00 A5 8F 03 00 02 24 11 00 62 10 04 00 04 24 12 00 64 10 21 10 00 00 03 00 A0 12 4C 00 BF 8F 00 80 03 3C 26 10 62 00 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 50 00 A5 8F 21 20 00 02 21 30 20 02 1C 00 A7 27 ?? ?? ?? 0? 10 00 A3 AF 1C 00 40 14 21 90 40 00 21 10 00 00 18 00 A2 AF 21 20 40 00 1C 00 A5 8F 21 30 80 02 ?? ?? ?? 0? 21 28 C5 02 ?? ?? ?? 0? 00 00 00 00 21 20 00 02 21 30 20 02 1C 00 A7 27 ?? ?? ?? 0? 10 00 A2 AF 24 00 40 14 21 90 40 00 21 10 00 00 18 00 A2 AF 1C 00 A5 8F ?? ?? ?? 0? 18 00 A4 27 18 00 A4 8F 21 28 C0 02 ?? ?? ?? 0? 21 30 80 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 20 00 A4 8F 21 20 40 00 02 00 42 2A E3 FF 40 14 18 00 A4 AF ?? ?? 02 3C ?? ?? 53 8C 24 00 B1 27 01 00 10 24 ?? ?? ?? 0? 21 28 60 02 00 00 24 8E 21 B8 40 00 ?? ?? ?? 0? 01 00 10 26 21 28 40 00 ?? ?? ?? 0? 21 20 E0 02 04 00 31 26 F5 FF 12 16 21 20 40 00 ?? ?? ?? 0? 18 00 A2 AF ?? ?? ?? 0? 20 00 A4 8F 02 00 43 2A DB FF 60 14 18 00 A2 AF ?? ?? 03 3C ?? ?? 73 8C 24 00 B1 27 01 00 10 24 21 28 60 02 ?? ?? ?? 0? 21 20 40 00 00 00 24 8E 21 B8 40 00 ?? ?? ?? 0? 01 00 10 26 21 28 40 00 21 20 E0 02 ?? ?? ?? 0? 04 00 31 26 F5 FF 12 16 21 28 60 02 ?? ?? ?? 0? 18 00 A2 AF }
	condition:
		$1
}

rule file_305_0_4 {
	meta:
		name = "ilogbl"
		size = 100
		refs = "0014 _LDunscale"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 24 00 A5 AF 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 20 00 A5 27 08 00 40 10 00 80 03 3C 03 00 40 04 03 00 42 28 08 00 40 14 1C 00 BF 8F 10 00 A3 97 FF FF 63 24 20 1E 03 7C 1C 00 BF 8F 21 10 60 00 08 00 E0 03 20 00 BD 27 FF 7F 03 3C FF FF 63 34 21 10 60 00 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_307_1_4 {
	meta:
		name = "sprintf"
		size = 92
		refs = "0038 _Printf"
	strings:
		$1 = { D8 FF BD 27 21 18 A0 00 30 00 A2 27 20 00 B0 AF 21 80 80 00 ?? ?? 04 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 21 28 00 02 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 02 00 40 04 21 80 02 02 00 00 00 A2 24 00 BF 8F 20 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_308_0_4 {
	meta:
		name = "acosh"
		size = 328
		refs = "0018 _Dtest 0040 fpcmp 006c fpdiv 0068 _Eps 008c _Log 009c fpadd 00ec _Feraise 00f4 _Nan 0100 fpsub 011c fpmul 0124 sqrt 0138 log1p"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 27 00 43 10 02 00 03 24 28 00 43 10 20 00 A3 8F 20 00 B0 8F ?? ?? 11 3C ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 28 00 40 04 ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 1D 00 40 10 21 18 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1F 00 40 04 ?? ?? 25 8E 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 21 18 40 00 21 10 60 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 26 00 A2 87 DA FF 40 04 20 00 A3 8F 1C 00 BF 8F 21 10 60 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 25 8E 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 18 40 00 }
	condition:
		$1
}

rule file_310_0_4 {
	meta:
		name = "casinhl"
		size = 1572
		refs = "0038 creall 0054 cimagl 0064 _LDtest 00a8 dpsub 00bc _LCbuild 00d0 csqrtl 00f4 dpadd 0158 dpcmp 0190 __muldc3 01c8 atan2l 03a8 dpdiv 03c0 dpmul 03e0 asinhl 0444 _LLog 0514 _LZero"
	strings:
		$1 = { 80 FF BD 27 64 00 B3 AF 60 00 B2 AF 5C 00 B1 AF 58 00 B0 AF 21 90 80 00 21 80 C0 00 21 98 A0 00 21 88 E0 00 7C 00 BF AF 78 00 BE AF 74 00 B7 AF 70 00 B6 AF 6C 00 B5 AF ?? ?? ?? 0? 68 00 B4 AF 21 30 00 02 21 28 60 02 21 38 20 02 21 20 40 02 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 20 00 A4 27 2C 00 A3 AF ?? ?? ?? 0? 28 00 A2 AF 28 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 66 00 03 12 00 00 00 00 6E 00 43 10 01 00 03 24 82 00 03 12 00 00 00 00 72 00 43 10 ?? ?? 10 3C ?? ?? 04 8E ?? ?? 05 8E 28 00 A6 8F ?? ?? ?? 0? 2C 00 A7 8F 20 00 A6 8F 24 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 98 80 00 ?? ?? 06 8E ?? ?? 07 8E 28 00 A4 8F 21 B8 A0 00 2C 00 A5 8F 21 90 40 00 ?? ?? ?? 0? 21 B0 60 00 21 20 40 00 24 00 A2 8F 21 28 60 00 20 00 A6 8F 00 80 03 3C 26 10 43 00 ?? ?? ?? 0? 21 38 40 00 21 30 80 00 21 38 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 20 00 A8 8F 24 00 BE 8F 21 88 80 00 21 A8 A0 00 21 20 00 01 21 30 00 00 21 38 00 00 21 28 C0 03 54 00 A8 AF 21 80 40 00 ?? ?? ?? 0? 21 A0 60 00 5D 00 40 14 54 00 A8 8F 21 50 00 02 21 10 20 02 21 30 60 02 21 38 E0 02 10 00 AA AF 21 20 40 02 21 28 C0 02 14 00 B4 AF 18 00 A2 AF 1C 00 B5 AF ?? ?? ?? 0? 54 00 A8 AF 21 50 80 00 21 58 A0 00 28 00 B0 8F 2C 00 B1 8F 21 30 40 01 21 38 60 01 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 54 00 A8 8F 21 28 C0 03 21 20 00 01 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 7C 00 BF 8F 78 00 BE 8F 74 00 B7 8F 70 00 B6 8F 6C 00 B5 8F 68 00 B4 8F 64 00 B3 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 80 00 BD 27 27 00 50 10 20 00 A8 8F 26 00 40 10 24 00 BE 8F 01 00 03 24 B4 00 43 50 28 00 A8 8F 21 10 00 01 ?? ?? ?? 0? 21 18 C0 03 01 00 02 24 1C 00 02 52 20 00 A8 8F 28 00 A8 8F 2C 00 BE 8F 21 10 00 01 ?? ?? ?? 0? 21 18 C0 03 28 00 A8 8F 2C 00 BE 8F 21 30 00 00 21 20 00 01 21 38 00 00 21 28 C0 03 ?? ?? ?? 0? 54 00 A8 AF 11 00 40 04 54 00 A8 8F ?? ?? 03 3C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 8B 00 50 10 2E 00 A2 87 20 00 A8 8F 9A 00 40 04 24 00 BE 8F 21 10 00 00 ?? ?? ?? 0? 21 18 00 00 24 00 BE 8F 28 00 A2 8F ?? ?? ?? 0? 2C 00 A3 8F ?? ?? 03 3C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 21 20 40 02 21 28 C0 02 21 30 60 02 ?? ?? ?? 0? 21 38 E0 02 21 20 40 02 21 28 C0 02 21 30 60 02 21 38 E0 02 21 F0 40 00 ?? ?? ?? 0? 38 00 A3 AF 21 20 00 02 21 28 80 02 21 30 20 02 21 38 A0 02 30 00 A2 AF ?? ?? ?? 0? 34 00 A3 AF 21 20 00 02 21 28 80 02 21 30 20 02 21 38 A0 02 40 00 A2 AF ?? ?? ?? 0? 44 00 A3 AF 48 00 A2 AF 4C 00 A3 AF 38 00 A2 8F ?? ?? 03 3C ?? ?? 64 8C ?? ?? 65 8C 21 30 C0 03 21 38 40 00 ?? ?? ?? 0? 50 00 A3 AF 41 00 40 04 50 00 A3 8F 30 00 A8 8F 34 00 A2 8F ?? ?? 64 8C ?? ?? 65 8C 21 30 00 01 ?? ?? ?? 0? 21 38 40 00 7A 00 41 04 ?? ?? 06 3C 30 00 A3 8F 34 00 A2 8F 48 00 A4 8F 4C 00 A5 8F 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 38 00 A2 8F 21 28 60 00 21 30 C0 03 ?? ?? ?? 0? 21 38 40 00 40 00 A4 8F 44 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 40 40 00 21 F0 60 00 34 00 A2 8F 30 00 A3 8F 21 30 00 00 21 28 40 00 21 20 60 00 21 38 00 00 ?? ?? ?? 0? 54 00 A8 AF 55 FF 40 10 54 00 A8 8F 21 30 00 01 21 38 C0 03 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 42 00 40 1C 54 00 A8 8F 30 00 A3 8F 34 00 A2 8F 21 30 00 00 21 20 60 00 ?? ?? ?? 0? 21 28 40 00 54 00 A8 8F 21 28 C0 03 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 21 40 40 00 ?? ?? ?? 0? 21 F0 60 00 38 00 A2 8F 40 00 A4 8F 44 00 A5 8F 21 30 C0 03 ?? ?? ?? 0? 21 38 40 00 21 20 40 00 21 28 60 00 34 00 A2 8F 30 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 48 00 A6 8F 4C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 38 00 A4 8F 30 00 BE AF ?? ?? ?? 0? 34 00 A4 AF 20 00 A8 8F 28 00 A4 8F 2C 00 A5 8F 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 54 00 A8 AF 24 00 BE 8F 0F 00 40 04 54 00 A8 8F ?? ?? 03 3C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 2C 00 BE 8F 20 00 A2 8F ?? ?? ?? 0? 24 00 A3 8F ?? ?? 02 3C ?? ?? 44 8C 00 80 03 3C ?? ?? 42 8C ?? ?? ?? 0? 26 18 83 00 ?? ?? 03 3C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 30 00 A3 8F 34 00 A2 8F 21 30 00 00 21 20 60 00 21 28 40 00 ?? ?? ?? 0? 54 00 A8 AF 54 00 A8 8F 21 28 C0 03 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 21 40 40 00 ?? ?? ?? 0? 21 F0 60 00 30 00 A3 8F 34 00 A2 8F ?? ?? C7 8C ?? ?? C6 8C 21 20 60 00 ?? ?? ?? 0? 21 28 40 00 07 00 43 04 30 00 A3 8F 34 00 A2 8F 00 80 03 3C 26 10 43 00 34 00 A2 AF ?? ?? ?? 0? 30 00 A3 8F 34 00 A2 8F 40 00 A6 8F 44 00 A7 8F 21 20 60 00 ?? ?? ?? 0? 21 28 40 00 21 40 40 00 38 00 A2 8F 48 00 A6 8F 4C 00 A7 8F 21 20 C0 03 21 28 40 00 54 00 A8 AF ?? ?? ?? 0? 50 00 A3 AF 54 00 A8 8F 50 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 40 40 00 ?? ?? ?? 0? 21 F0 60 00 }
	condition:
		$1
}

rule file_311_0_4 {
	meta:
		name = "strncat_s"
		size = 296
		refs = "0044 strnlen_s 00dc _Fail_s"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 20 00 B2 AF 21 88 80 00 2E 00 80 10 21 80 A0 00 2D 00 A0 50 ?? ?? 04 3C 2B 00 A2 04 ?? ?? 04 3C 33 00 C0 50 ?? ?? 04 3C 31 00 E2 04 ?? ?? 04 3C 14 00 A6 AF ?? ?? ?? 0? 10 00 A7 AF 14 00 A6 8F 10 00 A7 8F 21 90 40 00 21 20 C0 00 ?? ?? ?? 0? 21 28 E0 00 21 18 52 00 2B 80 70 00 23 00 00 12 14 00 A6 8F 21 28 C2 00 2B 18 25 02 04 00 60 10 21 90 32 02 2B 18 D2 00 1D 00 60 14 ?? ?? 04 3C 09 00 40 50 00 00 40 A2 21 18 40 02 00 00 C4 90 01 00 C6 24 00 00 64 A0 FC FF C5 14 01 00 63 24 21 90 42 02 00 00 40 A2 24 00 BF 8F 21 10 00 00 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 24 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C 00 00 20 A2 ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_315_0_4 {
	meta:
		name = "_LPow"
		size = 3120
		refs = "004c _LDunscale 005c _LDint 0080 dpcmp 0200 dpmul 0214 dpadd 0220 dptoli 022c litodp 028c dpsub 02bc dpdiv 02fc _LLogpoly 0490 _Feraise 0548 _LZero 0570 _LInf 0658 _LNan 08b4 _LExp 0924 _LXp_setw 094c _LXp_addx 09b0 _LXp_addh 09d4 memcpy 09e8 _LXp_mulh 0abc _LXp_getw"
	strings:
		$1 = { F0 FE BD 27 EC 00 B1 AF 10 01 A4 AF 14 01 A5 AF 18 00 A4 27 10 01 A5 27 20 01 B1 8F 0C 01 BF AF F0 00 B2 AF E8 00 B0 AF 18 01 A6 AF 1C 01 A7 AF 20 00 A6 AF 24 00 A7 AF 08 01 BE AF 04 01 B7 AF 00 01 B6 AF FC 00 B5 AF F8 00 B4 AF ?? ?? ?? 0? F4 00 B3 AF 20 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 02 00 20 12 21 90 40 00 00 00 20 A6 07 00 40 16 18 01 A4 8F 1C 01 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 38 00 40 10 ?? ?? 02 3C 1F 00 00 06 02 00 02 24 05 01 02 12 10 01 A5 8F 02 00 02 24 11 01 42 12 18 01 A5 8F 01 00 02 24 2A 01 02 52 16 01 A2 87 3D 01 42 12 1E 01 A2 87 77 01 40 04 00 00 00 00 17 01 40 12 20 00 A4 27 21 28 00 00 21 20 00 00 0C 01 BF 8F 21 10 A0 00 21 18 80 00 08 01 BE 8F 04 01 B7 8F 00 01 B6 8F FC 00 B5 8F F8 00 B4 8F F4 00 B3 8F F0 00 B2 8F EC 00 B1 8F E8 00 B0 8F 08 00 E0 03 10 01 BD 27 18 00 B3 87 01 00 02 24 24 00 62 16 ?? ?? 02 3C 10 01 B4 8F 14 01 B5 8F ?? ?? 46 8C ?? ?? 47 8C 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 0B 00 40 10 ?? ?? 02 3C 19 00 53 16 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 D3 FF 40 14 01 00 02 24 ?? ?? 02 3C ?? ?? 44 8C 21 28 00 00 0C 01 BF 8F 21 10 A0 00 21 18 80 00 08 01 BE 8F 04 01 B7 8F 00 01 B6 8F FC 00 B5 8F F8 00 B4 8F F4 00 B3 8F F0 00 B2 8F EC 00 B1 8F E8 00 B0 8F 08 00 E0 03 10 01 BD 27 BD FF 40 1E 02 00 02 24 16 01 A2 87 23 01 40 04 10 01 B0 8F 14 01 B2 8F 21 20 00 00 21 28 00 00 21 30 00 02 ?? ?? ?? 0? 21 38 40 02 FC 00 41 04 21 F0 00 00 01 00 02 24 05 01 62 12 ?? ?? 06 3C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 13 3C 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 ?? ?? 66 8E ?? ?? 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 E0 FF 55 24 ?? ?? ?? 0? 21 20 A0 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 66 8E ?? ?? 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 17 3C 21 98 40 00 21 A0 60 00 40 A9 15 00 ?? ?? 02 3C ?? ?? 42 24 21 20 00 02 21 30 60 02 21 28 40 02 21 38 80 02 21 10 55 00 ?? ?? ?? 0? D0 00 A2 AF 21 20 60 02 21 30 00 02 21 28 80 02 21 38 40 02 21 A8 40 00 ?? ?? ?? 0? 21 B0 60 00 21 30 40 00 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 40 00 21 28 60 00 21 38 60 00 21 90 40 00 ?? ?? ?? 0? 21 80 60 00 21 30 60 00 21 38 40 00 21 28 C0 00 21 20 40 00 10 01 B5 AF 14 01 B6 AF E4 00 A6 AF ?? ?? ?? 0? E0 00 A7 AF E4 00 A6 8F E0 00 A7 8F 10 01 A8 8F 14 01 A9 8F 21 20 C0 00 21 28 60 00 21 30 E0 00 21 38 80 00 21 20 40 00 C0 00 A8 AF ?? ?? ?? 0? C4 00 A9 AF C0 00 A6 8F C4 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? E4 8E ?? ?? E5 8E 21 30 60 02 21 38 80 02 E4 00 A2 AF ?? ?? ?? 0? E0 00 A3 AF 21 20 40 00 21 28 60 00 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 E4 00 A8 8F E0 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 40 02 21 38 00 02 ?? ?? ?? 0? 21 28 60 00 C0 00 A4 8F C4 00 A5 8F 21 98 60 00 21 30 40 00 21 38 60 02 ?? ?? 10 3C ?? ?? ?? 0? 21 90 40 00 ?? ?? 06 8E ?? ?? 07 8E 21 A8 60 00 21 28 A0 02 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 18 00 A4 87 21 B0 60 00 ?? ?? ?? 0? E4 00 A2 AF D0 00 A9 8F 21 20 40 00 21 28 60 00 00 00 26 8D 04 00 27 8D D8 00 A2 AF ?? ?? ?? 0? DC 00 A3 AF E4 00 A8 8F 21 28 C0 02 21 30 40 00 21 20 00 01 ?? ?? ?? 0? 21 38 60 00 18 01 A4 8F 1C 01 A5 8F C8 00 A4 AF CC 00 A5 AF C8 00 A6 8F CC 00 A7 8F 21 20 40 00 21 28 60 00 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 28 60 00 21 20 40 00 2C 00 A3 AF E0 00 A3 AF 21 B0 40 00 ?? ?? ?? 0? 28 00 A2 AF 95 00 41 04 E0 00 A3 8F 10 00 04 24 28 00 A0 AF ?? ?? ?? 0? 2C 00 A0 AF 15 01 C0 13 28 00 A5 8F 2C 00 A4 8F 00 80 02 3C ?? ?? ?? 0? 26 20 82 00 14 01 A4 8F 0C 01 BF 8F 21 10 A0 00 21 18 80 00 08 01 BE 8F 04 01 B7 8F 00 01 B6 8F FC 00 B5 8F F8 00 B4 8F F4 00 B3 8F F0 00 B2 8F EC 00 B1 8F E8 00 B0 8F 08 00 E0 03 10 01 BD 27 1C 01 A4 8F 0C 01 BF 8F 21 10 A0 00 21 18 80 00 08 01 BE 8F 04 01 B7 8F 00 01 B6 8F FC 00 B5 8F F8 00 B4 8F F4 00 B3 8F F0 00 B2 8F EC 00 B1 8F E8 00 B0 8F 08 00 E0 03 10 01 BD 27 ?? ?? ?? 0? FF FF 05 24 E8 FE 41 04 21 28 00 00 16 01 A2 87 E6 FE 43 04 21 20 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 20 82 00 42 00 40 04 1E 01 A2 87 DB FE 40 04 21 28 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 0C 01 BF 8F 21 18 80 00 21 10 A0 00 08 01 BE 8F 04 01 B7 8F 00 01 B6 8F FC 00 B5 8F F8 00 B4 8F F4 00 B3 8F F0 00 B2 8F EC 00 B1 8F E8 00 B0 8F 08 00 E0 03 10 01 BD 27 50 01 40 04 18 00 A2 87 ED FF 40 1C ?? ?? 02 3C 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 00 80 02 3C 26 90 42 02 20 00 A4 27 FF FF 05 24 10 01 B0 AF ?? ?? ?? 0? 14 01 B2 AF 21 F0 40 00 18 00 B3 87 10 01 B0 8F ?? ?? ?? 0? 14 01 B2 8F ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 F7 FE 41 04 ?? ?? 02 3C 21 20 00 02 21 30 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 40 02 ?? ?? 17 3C 21 80 40 00 21 90 60 00 21 A8 00 00 21 98 00 00 ?? ?? ?? 0? ?? ?? F4 8E DD FE 40 12 00 00 00 00 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 44 8C 26 01 40 04 00 00 00 00 BF FF 40 16 ?? ?? 02 3C 20 00 A4 27 ?? ?? ?? 0? FF FF 05 24 BA FF 41 04 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 20 82 00 ?? ?? ?? 0? 04 00 04 24 B1 FF 40 16 ?? ?? 02 3C 20 00 A4 27 ?? ?? ?? 0? FF FF 05 24 AC FF 41 04 ?? ?? 02 3C 16 01 A2 87 A9 FF 41 04 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 44 8C ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 38 60 00 ?? ?? ?? 0? 21 30 C0 02 81 00 40 1C E0 00 A3 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 28 60 00 ?? ?? ?? 0? 21 20 C0 02 79 00 40 1C E0 00 A3 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C C8 00 A6 8F ?? ?? ?? 0? CC 00 A7 8F 71 00 41 04 E0 00 A3 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C C8 00 A4 8F ?? ?? ?? 0? CC 00 A5 8F 69 00 41 04 E0 00 A3 8F 21 28 60 00 21 20 C0 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 25 01 41 04 E0 00 A3 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 40 00 C8 00 A6 8F CC 00 A7 8F 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 D0 00 A8 8F 21 98 40 00 21 A0 60 00 08 00 04 8D 0C 00 05 8D 10 00 06 8D ?? ?? ?? 0? 14 00 07 8D C8 00 A4 8F CC 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 8E ?? ?? 07 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 D0 00 A9 8F D8 00 A4 8F DC 00 A5 8F 00 00 26 8D 04 00 27 8D 21 98 40 00 ?? ?? ?? 0? 21 A0 60 00 CC 00 A5 8F C8 00 A4 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 20 40 02 E4 00 A2 AF ?? ?? ?? 0? E0 00 A3 AF E4 00 A6 8F E0 00 A7 8F 21 20 C0 00 21 28 E0 00 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 8E ?? ?? 07 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 28 00 A2 AF 2C 00 A3 AF 03 00 20 12 ?? ?? E6 8E 00 00 32 A6 21 90 00 00 ?? ?? E7 8E 28 00 A4 27 ?? ?? ?? 0? 10 00 B2 AF F2 FE 40 10 21 18 40 00 01 00 02 24 F3 FE 62 14 ?? ?? 02 3C ?? ?? 43 8C ?? ?? 42 8C 08 00 04 24 2C 00 A3 AF ?? ?? ?? 0? 28 00 A2 AF ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 2C 00 A4 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 38 60 00 ?? ?? ?? 0? 21 30 C0 02 EC FF 40 04 01 00 03 24 C0 00 A6 8F C4 00 A7 8F 40 00 A4 27 ?? ?? ?? 0? 04 00 05 24 21 30 40 02 21 38 60 02 02 00 05 24 ?? ?? ?? 0? 30 00 A4 27 40 00 A4 27 04 00 05 24 30 00 A6 27 ?? ?? ?? 0? 02 00 07 24 40 00 A4 8F 44 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 70 00 40 14 60 00 B4 27 60 00 B3 27 21 20 60 02 04 00 05 24 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 D0 00 A6 8F 04 00 05 24 03 00 07 24 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 18 00 A4 87 21 38 60 00 21 20 60 02 21 30 40 00 ?? ?? ?? 0? 04 00 05 24 1C 01 A7 8F 18 01 A6 8F 40 00 A4 27 ?? ?? ?? 0? 02 00 05 24 21 28 60 02 20 00 06 24 ?? ?? ?? 0? 80 00 A4 27 40 00 A6 8F 44 00 A7 8F 80 00 A4 27 ?? ?? ?? 0? 04 00 05 24 48 00 A4 8F 4C 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 70 00 40 14 21 28 60 02 80 00 B2 8F 84 00 B3 8F 21 30 00 00 21 38 00 00 21 20 40 02 21 28 60 02 10 01 B2 AF ?? ?? ?? 0? 14 01 B3 AF 17 00 40 10 10 01 A4 27 88 00 B4 8F 8C 00 B5 8F 21 30 00 00 21 38 00 00 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 0E 00 40 50 10 01 A4 27 90 00 A6 8F 94 00 A7 8F 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 10 01 A2 AF 14 01 A3 AF 10 01 A4 27 ?? ?? ?? 0? 21 28 00 00 14 01 A3 8F 10 01 A6 8F 00 80 02 3C 26 10 62 00 21 38 40 00 04 00 05 24 ?? ?? ?? 0? 80 00 A4 27 80 00 A4 27 ?? ?? ?? 0? 04 00 05 24 ?? ?? 06 8E ?? ?? 07 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 10 01 A4 8F 14 01 A5 8F 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF ?? ?? ?? 0? 21 90 40 00 9D FE 40 18 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 73 FD 40 16 21 28 00 00 20 00 A4 27 ?? ?? ?? 0? FF FF 05 24 8B FE 40 04 ?? ?? 02 3C 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 ?? ?? 15 3C ?? ?? A5 26 20 00 06 24 ?? ?? ?? 0? 21 20 80 02 40 00 A6 8F 44 00 A7 8F 21 20 80 02 04 00 05 24 ?? ?? ?? 0? 48 00 B2 27 21 98 80 02 ?? ?? B5 26 00 00 44 8E 04 00 45 8E 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 21 28 A0 02 20 00 06 24 82 FF 40 10 A0 00 A4 27 ?? ?? ?? 0? 00 00 00 00 00 00 46 8E 04 00 47 8E A0 00 A4 27 ?? ?? ?? 0? 04 00 05 24 08 00 52 26 21 20 80 02 04 00 05 24 A0 00 A6 27 ?? ?? ?? 0? 04 00 07 24 EA FF 92 56 00 00 44 8E ?? ?? ?? 0? D0 00 A6 8F A0 00 A4 27 ?? ?? ?? 0? 20 00 06 24 48 00 A6 8F 4C 00 A7 8F A0 00 A4 27 ?? ?? ?? 0? 04 00 05 24 80 00 A4 27 04 00 05 24 A0 00 A6 27 ?? ?? ?? 0? 04 00 07 24 ?? ?? ?? 0? 80 00 B2 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 90 40 00 }
	condition:
		$1
}

rule file_316_0_4 {
	meta:
		name = "dmul"
		size = 84
		refs = "001c _FDunscale 0028 fpmul 0038 _FDscale"
	strings:
		$1 = { D8 FF BD 27 1C 00 B0 AF 21 80 80 00 20 00 B1 AF 10 00 A4 27 21 88 A0 00 24 00 BF AF ?? ?? ?? 0? 21 28 00 02 00 00 04 8E ?? ?? ?? 0? 21 28 20 02 10 00 A5 87 21 20 00 02 ?? ?? ?? 0? 00 00 02 AE 24 00 BF 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_336_0_4 {
	meta:
		name = "dmul"
		size = 84
		refs = "001c _Dunscale 0028 fpmul 0038 _Dscale"
	strings:
		$1 = { D8 FF BD 27 1C 00 B0 AF 21 80 80 00 20 00 B1 AF 10 00 A4 27 21 88 A0 00 24 00 BF AF ?? ?? ?? 0? 21 28 00 02 00 00 04 8E ?? ?? ?? 0? 21 28 20 02 10 00 A5 87 21 20 00 02 ?? ?? ?? 0? 00 00 02 AE 24 00 BF 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_316_1_4 {
	meta:
		name = "_FDtentox"
		size = 440
		refs = "0034 fpcmp 006c fpmul 00d0 _Errno 0134 fpdiv"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 21 90 A0 00 28 00 A4 AF 21 88 C0 00 20 00 A0 10 21 80 80 00 21 28 00 00 ?? ?? ?? 0? 21 80 80 00 1C 00 40 10 24 00 BF 8F 2A 00 40 06 ?? ?? 02 3C ?? ?? 10 3C ?? ?? 42 8C ?? ?? 10 26 14 00 13 26 01 00 43 32 21 20 40 00 03 00 60 10 43 90 12 00 ?? ?? ?? 0? 00 00 05 8E 03 00 40 12 04 00 10 26 F8 FF 13 16 01 00 43 32 28 00 A4 27 ?? ?? ?? 0? 21 28 40 00 3C 00 40 04 00 00 00 00 FF FF 42 30 02 00 42 2C 0B 00 40 14 22 00 03 24 28 00 B0 8F 24 00 BF 8F 21 10 00 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 02 3C F4 FF 20 12 ?? ?? 43 AC 00 00 22 8E 28 00 B0 8F 01 00 42 34 ?? ?? ?? 0? 00 00 22 AE ?? ?? 10 3C ?? ?? 13 3C ?? ?? 02 8E ?? ?? 73 26 23 90 12 00 14 00 74 26 01 00 43 32 21 20 40 00 03 00 60 10 42 90 12 00 ?? ?? ?? 0? 00 00 65 8E 03 00 40 12 04 00 73 26 F8 FF 74 16 01 00 43 32 ?? ?? 04 8E ?? ?? ?? 0? 21 28 40 00 21 28 40 00 ?? ?? ?? 0? 28 00 A4 27 D4 FF 41 04 FF FF 42 30 D3 FF 40 12 02 00 42 2C ?? ?? 02 3C ?? ?? 50 8C 28 00 A4 27 ?? ?? ?? 0? 21 28 00 02 CA FF 41 04 FF FF 52 26 FB FF 40 16 28 00 A4 27 ?? ?? ?? 0? FF FF 42 30 C5 FF 40 12 FF FF 42 30 ?? ?? 02 3C ?? ?? 50 8C 28 00 A4 27 ?? ?? ?? 0? 21 28 00 02 BD FF 41 04 FF FF 52 26 FB FF 40 1E 28 00 A4 27 ?? ?? ?? 0? FF FF 42 30 }
	condition:
		$1
}

rule file_317_0_4 {
	meta:
		name = "casinf"
		size = 156
		refs = "001c cimagf 0030 crealf 003c _FCbuild 0048 casinhf"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 21 20 20 02 21 28 00 02 21 90 40 00 ?? ?? ?? 0? 00 80 10 3C 21 28 40 00 ?? ?? ?? 0? 26 20 12 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 26 28 50 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_748_0_4 {
	meta:
		name = "casin"
		size = 156
		refs = "001c cimag 0030 creal 003c _Cbuild 0048 casinh"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 21 20 20 02 21 28 00 02 21 90 40 00 ?? ?? ?? 0? 00 80 10 3C 21 28 40 00 ?? ?? ?? 0? 26 20 12 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 26 28 50 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_726_0_4 {
	meta:
		name = "catan"
		size = 156
		refs = "001c cimag 0030 creal 003c _Cbuild 0048 catanh"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 21 20 20 02 21 28 00 02 21 90 40 00 ?? ?? ?? 0? 00 80 10 3C 21 28 40 00 ?? ?? ?? 0? 26 20 12 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 26 28 50 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_378_0_4 {
	meta:
		name = "catanf"
		size = 156
		refs = "001c cimagf 0030 crealf 003c _FCbuild 0048 catanhf"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 21 20 20 02 21 28 00 02 21 90 40 00 ?? ?? ?? 0? 00 80 10 3C 21 28 40 00 ?? ?? ?? 0? 26 20 12 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 26 28 50 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_618_0_4 {
	meta:
		name = "csin"
		size = 156
		refs = "001c cimag 0030 creal 003c _Cbuild 0048 csinh"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 21 20 20 02 21 28 00 02 21 90 40 00 ?? ?? ?? 0? 00 80 10 3C 21 28 40 00 ?? ?? ?? 0? 26 20 12 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 26 28 50 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_753_0_4 {
	meta:
		name = "csinf"
		size = 156
		refs = "001c cimagf 0030 crealf 003c _FCbuild 0048 csinhf"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 21 20 20 02 21 28 00 02 21 90 40 00 ?? ?? ?? 0? 00 80 10 3C 21 28 40 00 ?? ?? ?? 0? 26 20 12 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 26 28 50 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_483_0_4 {
	meta:
		name = "ctan"
		size = 156
		refs = "001c cimag 0030 creal 003c _Cbuild 0048 ctanh"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 21 20 20 02 21 28 00 02 21 90 40 00 ?? ?? ?? 0? 00 80 10 3C 21 28 40 00 ?? ?? ?? 0? 26 20 12 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 26 28 50 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_707_0_4 {
	meta:
		name = "ctanf"
		size = 156
		refs = "001c cimagf 0030 crealf 003c _FCbuild 0048 ctanhf"
	strings:
		$1 = { D8 FF BD 27 18 00 B1 AF 14 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 1C 00 B2 AF 21 20 20 02 21 28 00 02 21 90 40 00 ?? ?? ?? 0? 00 80 10 3C 21 28 40 00 ?? ?? ?? 0? 26 20 12 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 60 00 21 28 60 00 21 88 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 26 28 50 00 ?? ?? ?? 0? 21 20 60 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_318_0_4 {
	meta:
		name = "cacosh"
		size = 940
		refs = "002c creal 003c cimag 0048 _Dtest 0088 fpsub 0098 _Cbuild 00a4 csqrt 00b8 fpadd 0124 fpmul 0148 asinh 0190 atan2 027c fpcmp 0074 _Inf"
	strings:
		$1 = { C0 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 21 80 80 00 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 5E 00 03 12 00 00 00 00 6F 00 43 10 01 00 03 24 94 00 03 52 ?? ?? 03 3C 7D 00 43 10 ?? ?? 10 3C 10 00 A4 8F ?? ?? 05 8E ?? ?? ?? 0? 00 80 15 3C 14 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 26 28 B5 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 05 8E 10 00 A4 8F 21 98 60 00 ?? ?? ?? 0? 21 88 40 00 14 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 20 02 21 28 60 02 21 90 60 00 ?? ?? ?? 0? 21 A0 40 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 B8 40 00 21 28 40 02 21 20 80 02 ?? ?? ?? 0? 21 B0 40 00 21 28 40 02 21 20 80 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 21 20 E0 02 ?? ?? ?? 0? 21 88 40 00 21 20 C0 02 21 28 60 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 20 40 00 21 90 40 00 1A 00 A2 87 74 00 40 04 ?? ?? 05 8E ?? ?? ?? 0? 10 00 A4 8F 14 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 50 00 50 10 01 00 03 24 45 00 43 10 ?? ?? 02 3C 10 00 B2 8F 21 28 40 02 ?? ?? ?? 0? 21 20 40 02 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 01 00 02 24 36 00 02 12 ?? ?? 02 3C 14 00 B2 8F 21 28 40 02 ?? ?? ?? 0? 21 20 40 02 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 14 00 A4 8F ?? ?? 02 3C 21 28 00 00 ?? ?? ?? 0? ?? ?? 52 8C 23 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 2F 00 50 10 ?? ?? 72 8C 10 00 A4 8F ?? ?? ?? 0? 21 28 00 00 03 00 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 1A 00 A2 87 AE FF 41 04 00 80 02 3C ?? ?? ?? 0? 26 28 45 00 ?? ?? 52 8C ?? ?? ?? 0? 10 00 A5 8F ?? ?? 52 8C ?? ?? ?? 0? 14 00 A5 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 10 00 B2 8F ?? ?? ?? 0? 14 00 A5 8F 14 00 B0 8F 10 00 A4 8F 26 80 15 02 ?? ?? ?? 0? 14 00 B0 AF 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 26 28 55 00 10 00 A4 8F ?? ?? ?? 0? 21 28 00 00 04 00 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 45 8C }
	condition:
		$1
}

rule file_319_0_4 {
	meta:
		name = "hypotl"
		size = 140
		refs = "000c _LHypot 0030 _LDscale 0040 _Feraise"
	strings:
		$1 = { D0 FF BD 27 18 00 A2 27 2C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 18 00 A5 8F 20 00 A2 AF 04 00 A0 14 24 00 A3 AF 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 20 00 A4 27 08 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 2C 00 BF 8F 20 00 A2 8F 24 00 A3 8F 08 00 E0 03 30 00 BD 27 06 00 43 10 00 00 00 00 20 00 A2 8F 24 00 A3 8F 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 08 00 04 24 20 00 A2 8F ?? ?? ?? 0? 24 00 A3 8F }
	condition:
		$1
}

rule file_320_0_4 {
	meta:
		name = "wcstombs"
		size = 440
		refs = "004c _Getmbcurmax 006c _Wctomb 00cc memcpy"
	strings:
		$1 = { C0 FF BD 27 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 3C 00 BF AF 38 00 B5 AF 34 00 B4 AF 21 88 80 00 21 80 A0 00 21 90 C0 00 10 00 A0 AF 14 00 A0 AF 21 98 00 00 2B 10 72 02 03 00 40 14 00 00 00 00 44 00 20 16 3C 00 BF 8F ?? ?? ?? 0? 23 A8 53 02 2B 10 A2 02 11 00 40 54 00 00 05 8E 0E 00 20 12 21 20 33 02 00 00 05 8E ?? ?? ?? 0? 10 00 A6 27 2E 00 40 04 3C 00 BF 8F 05 00 40 10 21 98 62 02 21 10 33 02 FF FF 42 80 1A 00 40 50 FF FF 72 26 ?? ?? ?? 0? 04 00 10 26 00 00 05 8E 18 00 A4 27 ?? ?? ?? 0? 10 00 A6 27 1F 00 40 04 21 A0 40 00 2B 10 A2 02 18 00 40 14 00 00 00 00 04 00 20 12 21 20 33 02 18 00 A5 27 ?? ?? ?? 0? 21 30 80 02 EF FF 80 12 21 98 74 02 10 00 A2 27 21 A0 54 00 07 00 82 82 D3 FF 40 14 04 00 10 26 3C 00 BF 8F FF FF 72 26 21 10 40 02 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 18 00 20 16 04 00 10 26 ?? ?? ?? 0? 21 98 74 02 3C 00 BF 8F FF FF 12 24 21 10 40 02 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 21 90 60 02 21 10 40 02 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 21 20 33 02 18 00 A5 27 ?? ?? ?? 0? 21 30 A0 02 3C 00 BF 8F 21 10 40 02 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_321_0_4 {
	meta:
		name = "_Freeloc"
		size = 512
		refs = "0008 _Loctab 0034 _Clocale 00a8 free"
	strings:
		$1 = { D0 FF BD 27 28 00 B5 AF ?? ?? 15 3C ?? ?? A2 8E 18 00 B1 AF 2C 00 BF AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF 25 00 40 10 21 88 80 00 ?? ?? 13 3C ?? ?? 12 3C ?? ?? B5 26 ?? ?? 73 26 ?? ?? 52 26 08 00 A2 8E 09 00 43 2C 19 00 60 50 0C 00 B5 26 80 10 02 00 21 10 62 02 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 A2 8E 21 18 22 02 21 10 42 02 00 00 64 8C 00 00 42 8C 04 00 82 50 0C 00 B5 26 ?? ?? ?? 0? FE FF 84 24 0C 00 B5 26 00 00 A2 8E E3 FF 40 54 08 00 A2 8E 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 04 00 A2 8E 21 18 22 02 21 10 42 02 00 00 70 8C 00 00 54 8C EE FF 14 52 0C 00 B5 26 00 00 04 8E 00 00 82 8E 04 00 82 10 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 00 00 82 8E 36 00 40 10 21 20 00 00 21 10 00 00 08 00 83 8E 01 00 42 24 C0 20 02 00 FC FF 60 14 08 00 94 26 21 20 04 02 00 00 84 8C 08 00 80 10 00 00 00 00 C0 A0 02 00 21 A0 14 02 ?? ?? ?? 0? 00 00 00 00 08 00 84 8E FC FF 80 14 08 00 94 26 ?? ?? ?? 0? 21 20 00 02 0C 00 B5 26 00 00 A2 8E B3 FF 40 54 08 00 A2 8E ?? ?? ?? 0? 2C 00 BF 8F 04 00 B0 8E 21 80 30 02 3C 00 14 26 00 00 04 8E 04 00 80 10 00 00 00 00 FE FF 82 94 05 00 40 14 FE FF 84 24 C0 FF 14 12 04 00 10 26 ?? ?? ?? 0? 00 00 04 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 04 00 A2 8E 21 18 22 02 21 10 42 02 00 00 64 8C 00 00 42 8C B4 FF 82 10 0C 00 B5 26 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 A2 8E ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_323_0_4 {
	meta:
		name = "_Fspos"
		size = 444
		refs = "005c fflush 0078 _Errno 00c0 lseek 015c _Nnl"
	strings:
		$1 = { 00 00 82 94 D0 FF BD 27 24 00 B3 AF 03 00 42 30 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 2C 00 BF AF 28 00 B4 AF 21 80 80 00 21 90 A0 00 21 88 C0 00 0A 00 40 14 FF FF 13 24 2C 00 BF 8F 21 10 60 02 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 10 00 A7 AF F4 FF 40 14 10 00 A7 8F 03 00 E2 2C 04 00 40 14 16 00 03 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 AC 04 00 40 12 01 00 02 24 00 00 42 8E 21 88 22 02 01 00 02 24 26 00 E2 10 02 00 02 24 06 00 E2 50 03 00 04 82 08 00 E0 14 FF FF 13 24 E2 FF 33 12 2C 00 BF 8F 03 00 04 82 21 28 20 02 ?? ?? ?? 0? 21 30 E0 00 21 88 40 00 FF FF 13 24 DA FF 33 12 2C 00 BF 8F 00 00 02 96 00 30 43 30 0B 00 60 10 48 00 05 26 04 00 03 8E 28 00 04 26 0C 00 03 AE 10 00 03 AE 2C 00 03 AE 14 00 03 AE 30 00 03 AE 18 00 05 AE 1C 00 04 AE 28 00 00 AE 05 00 40 12 FF CE 42 30 08 00 44 8E 0C 00 43 8E 34 00 04 AE 38 00 03 AE 00 00 02 A6 ?? ?? ?? 0? 21 98 00 00 00 00 02 96 00 10 42 30 05 00 40 54 18 00 05 8E DD FF 20 56 03 00 04 82 ?? ?? ?? 0? 00 00 02 96 48 00 06 26 21 20 00 02 ?? ?? ?? 0? 10 00 A7 AF 28 00 06 8E 21 A0 40 00 0C 00 05 8E 10 00 C0 10 10 00 A7 8F 21 20 00 02 ?? ?? ?? 0? 10 00 A7 AF 0C 00 05 8E 2C 00 06 8E 21 20 00 02 21 98 40 00 ?? ?? ?? 0? 23 88 34 02 23 88 22 02 23 88 33 02 C4 FF 20 16 10 00 A7 8F ?? ?? ?? 0? 00 00 02 96 ?? ?? ?? 0? 10 00 06 8E }
	condition:
		$1
}

rule file_324_0_4 {
	meta:
		name = "fminl"
		size = 312
		refs = "002c _LDtest 0064 dpcmp"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 14 00 B0 AF 24 00 BF AF 02 00 10 24 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 2C 00 A5 AF 30 00 A6 AF ?? ?? ?? 0? 34 00 A7 AF 22 00 50 10 30 00 B3 8F ?? ?? ?? 0? 30 00 A4 27 32 00 50 10 28 00 B3 8F 30 00 B0 8F 2C 00 B2 8F 34 00 B1 8F 21 20 60 02 21 30 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 20 02 0B 00 40 04 21 20 60 02 21 30 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 20 02 18 00 40 14 24 00 BF 8F 2E 00 A2 87 00 00 42 28 0A 98 02 02 0A 90 22 02 24 00 BF 8F 21 10 60 02 21 18 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 34 00 B2 8F 24 00 BF 8F 21 10 60 02 21 18 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 98 00 02 21 90 20 02 21 10 60 02 21 18 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 2C 00 B2 8F 24 00 BF 8F 21 10 60 02 21 18 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_325_0_4 {
	meta:
		name = "memcmp"
		size = 76
	strings:
		$1 = { 06 00 C0 14 21 10 00 00 ?? ?? ?? 0? 00 00 00 00 01 00 84 24 0A 00 C0 10 01 00 A5 24 00 00 83 90 00 00 A2 90 FA FF 62 50 FF FF C6 24 2B 18 62 00 01 00 04 24 FF FF 02 24 08 00 E0 03 0A 10 83 00 21 10 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_326_2_4 {
	meta:
		name = "med3"
		size = 256
	strings:
		$1 = { D0 FF BD 27 14 00 B0 AF 44 00 B0 8F 1C 00 B2 AF 40 00 B2 8F 20 00 B3 AF 21 98 80 00 28 00 B5 AF 24 00 B4 AF 18 00 B1 AF 21 A0 C0 00 21 88 A0 00 21 20 A0 00 2C 00 BF AF 21 28 60 02 21 30 00 02 09 F8 40 02 21 A8 E0 00 1E 00 40 04 21 20 80 02 21 28 20 02 09 F8 40 02 21 30 00 02 23 00 40 04 21 20 20 02 21 28 60 02 09 F8 40 02 21 30 00 02 09 00 40 04 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 60 02 21 28 20 02 21 30 A0 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F ?? ?? ?? 0? 30 00 BD 27 21 20 60 02 21 28 20 02 ?? ?? ?? 0? 21 30 A0 02 21 20 80 02 21 28 20 02 09 F8 40 02 21 30 00 02 DF FF 41 04 21 20 20 02 21 28 80 02 ?? ?? ?? 0? 21 30 A0 02 ?? ?? ?? 0? 21 20 20 02 }
	condition:
		$1
}

rule file_326_3_4 {
	meta:
		name = "adjust_heap"
		size = 400
	strings:
		$1 = { C0 FF BD 27 34 00 B7 AF 01 00 B7 24 40 B8 17 00 2B 10 D7 00 30 00 B6 AF 2C 00 B5 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 3C 00 BF AF 38 00 BE AF 28 00 B4 AF 21 B0 A0 00 21 80 C0 00 21 90 80 00 21 88 E0 00 50 00 B5 8F 44 00 40 14 54 00 B3 8F 02 10 E5 70 23 A0 11 00 21 38 44 00 02 10 37 72 ?? ?? ?? 0? 21 18 44 00 10 00 A3 AF 09 F8 A0 02 14 00 A7 AF 10 00 A3 8F 16 00 40 04 14 00 A7 8F 21 F0 60 00 21 10 E0 02 21 20 E0 00 21 28 C0 03 21 30 20 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A2 8F 01 00 57 24 40 B8 17 00 2B 18 17 02 16 00 60 14 2B 18 C2 02 02 10 F1 72 21 38 C0 03 21 18 52 00 21 F0 74 00 21 20 60 00 21 28 C0 03 E6 FF F0 16 21 30 60 02 FF FF E2 26 21 20 E0 00 21 28 C0 03 21 30 20 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A2 8F 01 00 57 24 40 B8 17 00 2B 18 17 02 EE FF 60 50 02 10 F1 72 2B 18 C2 02 08 00 60 14 21 80 40 00 ?? ?? ?? 0? 3C 00 BF 8F ?? ?? ?? 0? 00 00 00 00 2B 10 D0 02 0D 00 40 10 21 F0 80 02 FF FF 10 26 42 80 10 00 02 10 11 72 21 20 C0 03 21 30 60 02 21 A0 52 00 09 F8 A0 02 21 28 80 02 21 28 C0 03 21 20 80 02 F0 FF 40 1C 21 30 20 02 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_326_5_4 {
	meta:
		name = "intro_sort"
		size = 1376
	strings:
		$1 = { B0 FF BD 27 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 34 00 B3 AF 30 00 B2 AF 4C 00 BF AF 48 00 BE AF 44 00 B7 AF 2C 00 B1 AF 28 00 B0 AF 58 00 A6 AF 21 98 80 00 21 B0 A0 00 21 90 E0 00 60 00 B5 8F 15 01 C0 10 64 00 B4 8F 21 00 A2 2C E2 00 40 14 23 88 07 00 02 10 D2 72 42 B0 16 00 21 F0 53 00 21 B8 D1 03 23 10 F3 02 1B 00 52 00 F4 01 40 02 12 10 00 00 02 18 D2 72 21 B0 73 00 21 20 D2 02 29 00 43 2C FB 00 60 14 18 00 A4 AF C2 10 02 00 01 00 42 24 02 10 52 70 21 20 60 02 21 38 40 02 10 00 B5 AF 14 00 B4 AF 21 18 62 02 40 30 02 00 21 28 60 00 21 30 66 02 23 80 02 00 20 00 A3 AF ?? ?? ?? 0? 1C 00 A2 AF 1C 00 A2 8F 21 20 D0 02 21 28 C0 02 21 30 C2 02 21 38 40 02 10 00 B5 AF ?? ?? ?? 0? 14 00 B4 AF 1C 00 A2 8F FE FF 05 24 21 80 F0 02 02 30 45 70 21 38 40 02 21 28 00 02 10 00 B5 AF 14 00 B4 AF 21 20 D7 00 ?? ?? ?? 0? 21 30 E0 02 20 00 A3 8F 21 28 C0 02 21 30 00 02 21 20 60 00 21 38 40 02 10 00 B5 AF ?? ?? ?? 0? 14 00 B4 AF 2B 10 76 02 21 B8 C0 02 05 00 40 14 21 80 C0 02 ?? ?? ?? 0? 18 00 A3 8F 09 00 60 10 21 B8 00 02 21 80 F1 02 21 28 E0 02 21 20 00 02 09 F8 A0 02 21 30 80 02 F8 FF 40 10 2B 18 70 02 21 80 E0 02 18 00 A3 8F 2B 10 7E 00 08 00 40 14 18 00 A4 8F ?? ?? ?? 0? 18 00 B6 8F 21 20 92 00 2B 10 9E 00 07 00 40 10 18 00 A4 AF 18 00 A4 8F 21 28 00 02 09 F8 A0 02 21 30 80 02 F7 FF 40 10 18 00 A4 8F 18 00 B6 8F 21 18 00 02 2B B8 DE 02 29 00 E0 56 20 00 A3 AF 2B 10 63 02 04 00 40 54 21 38 71 00 ?? ?? ?? 0? 21 38 60 00 21 38 71 00 21 28 00 02 21 20 E0 00 21 30 80 02 20 00 A3 AF 09 F8 A0 02 1C 00 A7 AF 1C 00 A7 8F 21 30 40 02 20 00 A3 8F 07 00 40 04 21 28 E0 00 2A 00 40 14 21 38 60 00 21 80 11 02 ?? ?? ?? 0? 21 20 00 02 1C 00 A7 8F 2B 10 67 02 EC FF 40 14 21 18 E0 00 23 00 67 12 00 00 00 00 30 00 DE 12 21 18 F1 00 21 20 C0 02 21 B0 D2 02 21 28 60 00 21 30 40 02 2B B8 DE 02 ?? ?? ?? 0? 20 00 A3 AF DA FF E0 12 20 00 A3 8F 20 00 A3 AF 21 20 00 02 21 28 C0 02 09 F8 A0 02 21 30 80 02 0C 00 40 04 20 00 A3 8F D2 FF 40 14 2B 10 63 02 18 00 A4 8F 21 28 C0 02 21 30 40 02 ?? ?? ?? 0? 20 00 A3 AF 18 00 A5 8F 20 00 A3 8F 21 28 B2 00 18 00 A5 AF 21 B0 D2 02 ?? ?? ?? 0? 2B B8 DE 02 DF FF 67 16 00 00 00 00 28 00 DE 12 18 00 A6 8F 20 00 D6 10 21 20 C0 02 21 28 00 02 ?? ?? ?? 0? 21 38 40 02 18 00 A2 8F 21 B0 D2 02 21 80 12 02 21 10 52 00 18 00 A2 AF 21 18 60 02 ?? ?? ?? 0? 2B B8 DE 02 18 00 A4 8F 21 80 11 02 21 20 91 00 09 00 70 10 18 00 A4 AF 18 00 A5 8F 21 20 60 00 21 30 00 02 21 38 40 02 ?? ?? ?? 0? 20 00 A3 AF ?? ?? ?? 0? 20 00 A3 8F 18 00 A5 8F 21 20 00 02 21 30 40 02 ?? ?? ?? 0? 20 00 A3 AF ?? ?? ?? 0? 20 00 A3 8F 21 20 C0 00 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 ?? ?? ?? 0? 18 00 A2 8F 23 10 13 02 1B 00 52 00 F4 01 40 02 18 00 A5 8F 58 00 A4 8F 23 B0 C5 02 42 18 04 00 82 20 04 00 21 20 83 00 12 10 00 00 1B 00 D2 02 F4 01 40 02 12 B0 00 00 2B 18 C2 02 2B 00 60 14 58 00 A4 AF 58 00 A6 8F 21 20 60 02 21 28 40 00 21 38 40 02 10 00 B5 AF 14 00 B4 AF ?? ?? ?? 0? 18 00 B3 8F 58 00 A2 8F 33 00 40 10 21 00 C2 2E 21 FF 40 10 02 10 D2 72 02 00 C2 2E 4F 00 40 14 21 88 60 02 23 80 12 00 FF FF D6 26 4B 00 C0 12 21 88 32 02 21 20 20 02 21 28 60 02 09 F8 A0 02 21 30 80 02 03 00 41 04 21 B8 20 02 ?? ?? ?? 0? 21 20 60 02 21 F0 F0 02 21 20 20 02 21 28 C0 03 09 F8 A0 02 21 30 80 02 FA FF 42 04 21 B8 C0 03 ED FF 37 12 21 20 E0 02 21 28 20 02 ?? ?? ?? 0? 21 30 40 02 ?? ?? ?? 0? FF FF D6 26 18 00 A4 8F 58 00 A6 8F 12 28 00 00 21 38 40 02 10 00 B5 AF 14 00 B4 AF ?? ?? ?? 0? 21 B0 40 00 ?? ?? ?? 0? 58 00 A2 8F 21 20 60 02 21 28 C0 02 21 30 E0 02 21 38 40 02 10 00 B5 AF ?? ?? ?? 0? 14 00 B4 AF ?? ?? ?? 0? 2B 10 76 02 21 00 C2 2E CF FF 40 14 02 00 C2 2E 42 80 16 00 FF FF 10 26 21 20 60 02 21 28 00 02 21 30 C0 02 21 38 40 02 10 00 B5 AF ?? ?? ?? 0? 14 00 B4 AF F8 FF 00 16 FF FF 10 26 02 10 D2 72 23 88 12 00 01 00 17 24 21 80 53 00 21 80 11 02 21 20 60 02 21 28 00 02 21 30 40 02 ?? ?? ?? 0? FF FF D6 26 21 20 60 02 21 28 00 00 21 30 C0 02 21 38 40 02 10 00 B5 AF ?? ?? ?? 0? 14 00 B4 AF F3 FF D7 16 21 80 11 02 4C 00 BF 8F 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 21 28 20 02 ?? ?? ?? 0? 21 30 40 02 ?? ?? ?? 0? FF FF D6 26 }
	condition:
		$1
}

rule file_326_6_4 {
	meta:
		name = "qsort_s"
		size = 148
		refs = "0080 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 18 C0 00 1A 00 A0 04 21 40 E0 00 19 00 C2 04 ?? ?? 04 3C 0F 00 A0 10 00 00 00 00 15 00 80 50 ?? ?? 04 3C 13 00 E0 50 ?? ?? 04 3C 30 00 A2 8F 21 30 A0 00 21 38 60 00 14 00 A2 AF ?? ?? ?? 0? 10 00 A8 AF 21 10 00 00 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 FC FF 80 10 21 10 00 00 F3 FF E0 14 21 10 A0 00 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 16 00 05 24 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_327_0_4 {
	meta:
		name = "wmemchr"
		size = 72
	strings:
		$1 = { 0D 00 C0 10 21 10 80 00 00 00 83 8C 06 00 65 54 FF FF C6 24 ?? ?? ?? 0? 00 00 00 00 00 00 43 8C 07 00 65 10 FF FF C6 24 FC FF C0 14 04 00 42 24 08 00 E0 03 21 10 00 00 08 00 E0 03 21 10 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_330_3_4 {
	meta:
		name = "_ZNKSt5ctypeIcE10do_tolowerEc"
		size = 24
	strings:
		$1 = { 0C 00 82 8C FF 00 A5 30 40 28 05 00 21 10 45 00 08 00 E0 03 00 00 42 80 }
	condition:
		$1
}

rule file_330_4_4 {
	meta:
		name = "_ZNKSt5ctypeIcE10do_tolowerEPcPKc"
		size = 52
	strings:
		$1 = { 0A 00 A6 10 21 10 A0 00 00 00 43 90 0C 00 85 8C 40 18 03 00 21 18 A3 00 00 00 63 84 00 00 43 A0 01 00 42 24 F9 FF 46 54 00 00 43 90 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_330_5_4 {
	meta:
		name = "_ZNKSt5ctypeIcE10do_toupperEc"
		size = 24
	strings:
		$1 = { 10 00 82 8C FF 00 A5 30 40 28 05 00 21 10 45 00 08 00 E0 03 00 00 42 80 }
	condition:
		$1
}

rule file_330_6_4 {
	meta:
		name = "_ZNKSt5ctypeIcE10do_toupperEPcPKc"
		size = 52
	strings:
		$1 = { 0A 00 A6 10 21 10 A0 00 00 00 43 90 10 00 85 8C 40 18 03 00 21 18 A3 00 00 00 63 84 00 00 43 A0 01 00 42 24 F9 FF 46 54 00 00 43 90 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_330_21_4 {
	meta:
		name = "_ZNKSt7_MpunctIcE13do_pos_formatEv"
		size = 20
	strings:
		$1 = { 20 00 A3 8C 21 10 80 00 03 00 83 A8 08 00 E0 03 00 00 83 B8 }
	condition:
		$1
}

rule file_330_29_4 {
	meta:
		name = "_ZNKSt7collateIcE7do_hashEPKcS2_"
		size = 36
	strings:
		$1 = { 06 00 A6 10 21 10 00 00 00 00 A3 80 02 16 22 00 01 00 A5 24 FC FF A6 14 21 10 43 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_330_41_4 {
	meta:
		name = "_ZNKSt5ctypeIcE9do_narrowEPKcS2_cPc"
		size = 48
		refs = "0014 memcpy"
	strings:
		$1 = { E8 FF BD 27 28 00 A4 8F 10 00 B0 AF 21 80 C0 00 14 00 BF AF ?? ?? ?? 0? 23 30 C5 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_42_4 {
	meta:
		name = "_ZNKSt5ctypeIcE8do_widenEPKcS2_Pc"
		size = 48
		refs = "0014 memcpy"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 20 E0 00 21 80 C0 00 14 00 BF AF ?? ?? ?? 0? 23 30 C5 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_46_4 {
	meta:
		name = "_ZNSt5ctypeIcED1Ev"
		size = 108
		refs = "0004 _ZTVSt5ctypeIcE 0028 free 0034 _ZTVNSt6locale5facetE 005c _ZdaPv"
	strings:
		$1 = { 14 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 B0 AF 14 00 BF AF 21 80 80 00 00 00 83 AC 0A 00 40 18 08 00 84 8C ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 F9 FF 40 10 14 00 BF 8F F8 FF 80 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 14 00 BF 8F }
	condition:
		$1
}

rule file_330_48_4 {
	meta:
		name = "_ZNSt10moneypunctIcLb1EED1Ev"
		size = 132
		refs = "0010 _ZTVSt7_MpunctIcE 0024 _ZdaPv 006c _ZTVNSt6locale5facetE"
		altNames = "_ZNSt10moneypunctIcLb0EED1Ev _ZNSt7_MpunctIcED1Ev"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 10 00 04 8E 04 00 80 50 14 00 04 8E ?? ?? ?? 0? 00 00 00 00 14 00 04 8E 04 00 80 50 18 00 04 8E ?? ?? ?? 0? 00 00 00 00 18 00 04 8E 04 00 80 10 14 00 BF 8F ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_49_4 {
	meta:
		name = "_ZNSt5ctypeIcED0Ev"
		size = 116
		refs = "0004 _ZTVSt5ctypeIcE 0028 free 0030 _ZTVNSt6locale5facetE 003c _ZdlPv 0064 _ZdaPv"
	strings:
		$1 = { 14 00 82 8C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 10 00 B0 AF 14 00 BF AF 21 80 80 00 00 00 83 AC 0C 00 40 18 08 00 84 8C ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 F7 FF 40 10 ?? ?? 02 3C F6 FF 80 50 ?? ?? 42 24 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_330_51_4 {
	meta:
		name = "_ZNSt10moneypunctIcLb0EED0Ev"
		size = 140
		refs = "0010 _ZTVSt7_MpunctIcE 0024 _ZdaPv 0068 _ZTVNSt6locale5facetE 0074 _ZdlPv"
		altNames = "_ZNSt10moneypunctIcLb1EED0Ev _ZNSt7_MpunctIcED0Ev"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 10 00 04 8E 04 00 80 50 14 00 04 8E ?? ?? ?? 0? 00 00 00 00 14 00 04 8E 04 00 80 50 18 00 04 8E ?? ?? ?? 0? 00 00 00 00 18 00 04 8E 04 00 80 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_58_4 {
	meta:
		name = "_ZNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 344
		refs = "0058 _ZNSt8_LocinfoC1EPKc 0060 _Znwm 0074 _ZTVSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE 0080 _Getpmbstate 0088 _Getpwcstate 009c _Getptimes 00a8 strlen 00b4 _Znam 0130 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 70 FF BD 27 7C 00 B0 AF 8C 00 BF AF 88 00 B3 AF 84 00 B2 AF 80 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 09 00 40 50 00 00 A2 8C 8C 00 BF 8F 05 00 02 24 88 00 B3 8F 84 00 B2 8F 80 00 B1 8F 7C 00 B0 8F 08 00 E0 03 90 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 1C 00 04 24 21 90 40 00 2F 00 40 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 40 AE ?? ?? ?? 0? 00 00 42 AE ?? ?? ?? 0? 21 88 40 00 18 00 42 AE 14 00 51 AE 08 00 40 AE ?? ?? ?? 0? 0C 00 40 AE 04 00 51 8C ?? ?? ?? 0? 21 20 20 02 01 00 53 24 ?? ?? ?? 0? 21 20 60 02 07 00 60 12 21 98 53 00 21 18 40 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 73 14 01 00 31 26 ?? ?? ?? 0? 08 00 42 AE 10 00 51 8C ?? ?? ?? 0? 21 20 20 02 01 00 53 24 ?? ?? ?? 0? 21 20 60 02 07 00 60 12 21 98 53 00 21 18 40 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 73 14 01 00 31 26 0C 00 42 AE 02 00 02 24 10 00 42 AE 21 10 40 02 00 00 02 AE ?? ?? ?? 0? 10 00 A4 27 8C 00 BF 8F 05 00 02 24 88 00 B3 8F 84 00 B2 8F 80 00 B1 8F 7C 00 B0 8F 08 00 E0 03 90 00 BD 27 }
	condition:
		$1
}

rule file_330_59_4 {
	meta:
		name = "_ZNSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_"
		size = 392
		refs = "0058 _ZNSt8_LocinfoC1EPKc 0060 _Znwm 0074 _ZTVSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE 0080 _Getptimes 00c4 _Getpmbstate 00cc _Getpwcstate 0160 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 20 FF BD 27 CC 00 B0 AF DC 00 BF AF D8 00 B3 AF D4 00 B2 AF D0 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 09 00 40 50 00 00 A2 8C DC 00 BF 8F 05 00 02 24 D8 00 B3 8F D4 00 B2 8F D0 00 B1 8F CC 00 B0 8F 08 00 E0 03 E0 00 BD 27 64 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 64 00 04 24 21 88 40 00 3B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE 08 00 32 26 21 18 40 02 50 00 44 24 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 00 00 42 8C ?? ?? ?? 0? 00 00 62 AC ?? ?? ?? 0? 21 98 40 00 60 00 22 AE 5C 00 33 AE 64 00 A2 27 10 00 A3 27 B4 00 A4 27 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 00 00 44 8C 10 00 A2 27 00 00 64 AC 60 00 A3 27 00 00 47 8C 04 00 46 8C 08 00 45 8C 0C 00 44 8C 10 00 42 24 00 00 47 AE 04 00 46 AE 08 00 45 AE 0C 00 44 AE F6 FF 43 14 10 00 52 26 00 00 43 8C 21 10 20 02 00 00 43 AE 00 00 02 AE ?? ?? ?? 0? 64 00 A4 27 DC 00 BF 8F 05 00 02 24 D8 00 B3 8F D4 00 B2 8F D0 00 B1 8F CC 00 B0 8F 08 00 E0 03 E0 00 BD 27 }
	condition:
		$1
}

rule file_330_60_4 {
	meta:
		name = "_ZNSt7_MpunctIcE5_InitERKSt8_Locinfob"
		size = 740
		refs = "0020 _Getpmbstate 0028 _Getpwcstate 0034 localeconv 0054 strlen 0060 _Znam 01d0 memcpy"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF FF 00 D2 30 10 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 88 40 00 30 00 02 AE ?? ?? ?? 0? 2C 00 11 AE 0C 00 51 8C 08 00 00 AE 10 00 00 AE 21 20 20 02 14 00 00 AE 18 00 00 AE ?? ?? ?? 0? 21 98 40 00 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 A0 54 00 21 18 40 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 31 26 28 00 03 92 7B 00 60 10 08 00 02 AE 04 00 71 8E ?? ?? ?? 0? 21 20 20 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 A0 54 00 21 18 40 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 31 26 10 00 02 AE 22 00 62 92 05 00 42 2C 66 00 40 10 ?? ?? 11 3C 18 00 71 8E ?? ?? ?? 0? 21 20 20 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 A0 54 00 21 18 40 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 31 26 14 00 02 AE 1F 00 62 92 05 00 42 2C 51 00 40 10 ?? ?? 11 3C 14 00 71 8E ?? ?? ?? 0? 21 20 20 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 18 40 00 21 A0 54 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 31 26 08 00 63 8E 18 00 02 AE 28 00 02 92 00 00 63 90 0C 00 03 A2 10 00 63 8E 00 00 63 90 38 00 40 10 0D 00 03 A2 23 00 63 82 7F 00 64 2C 02 00 80 14 1C 00 03 AE 1C 00 00 AE 21 00 63 82 20 00 64 82 06 00 40 14 22 00 65 82 03 00 62 2C 03 00 40 10 02 00 82 2C 32 00 40 14 05 00 A2 2C ?? ?? 05 3C ?? ?? A5 24 20 00 11 26 21 20 20 02 ?? ?? ?? 0? 04 00 06 24 28 00 02 92 1E 00 63 82 1D 00 64 82 06 00 40 14 1F 00 65 82 03 00 62 2C 03 00 40 10 02 00 82 2C 2E 00 40 14 05 00 A2 2C ?? ?? 05 3C ?? ?? A5 24 24 00 10 26 21 20 00 02 ?? ?? ?? 0? 04 00 06 24 0B 00 40 12 24 00 BF 8F ?? ?? 12 3C ?? ?? 45 26 04 00 06 24 ?? ?? ?? 0? 21 20 20 02 21 20 00 02 ?? ?? 45 26 ?? ?? ?? 0? 04 00 06 24 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 1C 00 63 82 ?? ?? ?? 0? ?? ?? 31 26 ?? ?? ?? 0? ?? ?? 31 26 ?? ?? ?? 0? 00 00 71 8E CE FF 40 10 0A 00 02 24 18 00 62 00 05 00 02 24 00 00 82 70 12 10 00 00 21 28 45 00 80 10 05 00 ?? ?? 05 3C ?? ?? A5 24 ?? ?? ?? 0? 21 28 A2 00 D2 FF 40 10 0A 00 02 24 18 00 62 00 05 00 02 24 00 00 82 70 12 10 00 00 21 28 45 00 80 10 05 00 ?? ?? 05 3C ?? ?? A5 24 ?? ?? ?? 0? 21 28 A2 00 }
	condition:
		$1
}

rule file_330_61_4 {
	meta:
		name = "_ZNSt10moneypunctIcLb0EE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 180
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _ZTVSt7_MpunctIcE 0078 _ZNSt7_MpunctIcE5_InitERKSt8_Locinfob 0084 _ZTVSt10moneypunctIcLb0EE 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 80 00 B0 AF 84 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 84 00 BF 8F 03 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 34 00 04 24 10 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 04 00 40 AC 28 00 40 A0 21 20 40 00 10 00 A5 27 01 00 06 24 ?? ?? ?? 0? 78 00 A2 AF 78 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 03 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_330_62_4 {
	meta:
		name = "_ZNSt10moneypunctIcLb1EE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 184
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _ZTVSt7_MpunctIcE 007c _ZNSt7_MpunctIcE5_InitERKSt8_Locinfob 0088 _ZTVSt10moneypunctIcLb1EE 009c _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 78 FF BD 27 80 00 B0 AF 84 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 84 00 BF 8F 03 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 34 00 04 24 11 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 01 00 03 24 28 00 43 A0 04 00 40 AC 21 20 40 00 10 00 A5 27 01 00 06 24 ?? ?? ?? 0? 78 00 A2 AF 78 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 84 00 BF 8F 03 00 02 24 80 00 B0 8F 08 00 E0 03 88 00 BD 27 }
	condition:
		$1
}

rule file_330_64_4 {
	meta:
		name = "_ZNSs6assignERKSsmm"
		size = 596
		refs = "00a0 _ZNSs5_CopyEmm 00d8 memcpy 012c _ZSt14_Xout_of_rangePKc 01a4 memmove 01d8 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 10 00 A2 8C D0 FF BD 27 28 00 B3 AF 2B 18 46 00 20 00 B1 AF 1C 00 B0 AF 2C 00 BF AF 24 00 B2 AF 21 98 A0 00 21 88 C0 00 3E 00 60 14 21 80 80 00 23 10 51 00 2B 90 E2 00 0A 38 52 00 44 00 13 12 21 90 E0 00 FF FF 02 24 63 00 E2 50 ?? ?? 04 3C 14 00 02 8E 2B 18 52 00 10 00 60 54 10 00 06 8E 15 00 40 16 10 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 00 AE 00 00 60 A0 2C 00 BF 8F 21 10 00 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 15 00 40 12 2C 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 14 00 62 8E 10 00 42 2C 01 00 40 50 00 00 73 8E 21 28 71 02 ?? ?? ?? 0? 21 30 40 02 14 00 03 8E 10 00 63 2C 0C 00 60 10 21 10 00 02 21 10 52 00 10 00 12 AE 00 00 40 A0 2C 00 BF 8F 21 10 00 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 00 00 02 8E ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF 10 00 62 8E 10 00 A7 8F 23 10 51 00 2B 90 E2 00 0A 38 52 00 BE FF 13 16 21 90 E0 00 10 00 06 8E 21 90 F1 00 2B 10 D2 00 39 00 40 14 ?? ?? 04 3C 23 98 D2 00 FF FF 02 24 1E 00 62 52 14 00 02 8E 1C 00 60 56 14 00 02 8E 2B 10 26 02 0A 88 C2 00 DE FF 20 12 2C 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 28 91 00 ?? ?? ?? 0? 23 30 D1 00 14 00 03 8E 10 00 04 8E 21 10 00 02 10 00 63 2C 02 00 60 14 23 88 91 00 00 00 02 8E 21 10 51 00 10 00 11 AE ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 02 8E 10 00 42 2C 13 00 40 50 00 00 02 8E 21 10 00 02 21 20 12 02 21 90 72 02 21 28 52 00 ?? ?? ?? 0? 21 30 00 00 14 00 03 8E 10 00 04 8E 21 10 00 02 10 00 63 2C 02 00 60 14 23 98 93 00 00 00 02 8E 21 10 53 00 10 00 13 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 06 8E ?? ?? ?? 0? 21 20 52 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 06 8E }
	condition:
		$1
}

rule file_330_65_4 {
	meta:
		name = "_ZNSt7collateIcE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 516
		refs = "0060 strlen 00f0 _ZNSs6assignERKSsmm 0110 _ZNSt8_LocinfoC1EPKc 0118 _Znwm 012c _ZTVSt7collateIcE 0138 _Getpcostate 0140 _Getpwcostate 0158 _ZNSt8_LocinfoD1Ev 0170 _ZdlPv 0188 _ZNSs5_CopyEmm 01bc memcpy 01f0 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 58 FF BD 27 98 00 B0 AF A4 00 BF AF A0 00 B2 AF 9C 00 B1 AF 04 00 80 10 21 80 80 00 00 00 82 8C 08 00 40 50 00 00 A2 8C A4 00 BF 8F 01 00 02 24 A0 00 B2 8F 9C 00 B1 8F 98 00 B0 8F 08 00 E0 03 A8 00 BD 27 0F 00 03 24 24 00 A3 AF 18 00 51 8C 1C 00 42 24 20 00 A0 AF 0A 88 51 00 21 20 20 02 ?? ?? ?? 0? 10 00 A0 A3 24 00 A4 8F 10 00 A6 8F 21 38 40 00 10 00 83 2C 10 00 A2 27 0A 10 C3 00 2B 10 22 02 0F 00 40 10 20 00 A5 8F FF FF 02 24 56 00 E2 50 ?? ?? 04 3C 2B 10 87 00 38 00 40 14 20 00 A6 8F 3E 00 E0 14 10 00 A3 8F 10 00 84 2C 10 00 A2 27 0A 10 64 00 20 00 A0 AF ?? ?? ?? 0? 00 00 40 A0 10 00 A2 27 0A 10 C3 00 21 10 45 00 2B 10 22 02 EE FF 40 50 FF FF 02 24 03 00 60 10 10 00 A4 27 10 00 A4 27 21 30 80 00 21 28 80 00 ?? ?? ?? 0? 23 30 26 02 24 00 A5 8F 10 00 A3 8F 10 00 A2 27 10 00 A5 2C 0A 10 65 00 2C 00 A4 27 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 10 00 04 24 21 88 40 00 0B 00 20 12 21 10 00 00 ?? ?? 02 3C ?? ?? 42 24 04 00 20 AE ?? ?? ?? 0? 00 00 22 AE ?? ?? ?? 0? 21 90 40 00 0C 00 22 AE 08 00 32 AE 21 10 20 02 00 00 02 AE ?? ?? ?? 0? 2C 00 A4 27 24 00 A2 8F 10 00 42 2C B0 FF 40 54 A4 00 BF 8F ?? ?? ?? 0? 10 00 A4 8F ?? ?? ?? 0? A4 00 BF 8F 21 28 E0 00 10 00 A4 27 ?? ?? ?? 0? 90 00 A7 AF 90 00 A7 8F D9 FF E0 50 24 00 A5 8F 24 00 A4 8F 10 00 A3 8F 10 00 84 2C 10 00 A2 27 0A 10 64 00 21 20 40 00 21 30 E0 00 21 28 20 02 ?? ?? ?? 0? 90 00 A7 AF 24 00 A4 8F 10 00 A3 8F 90 00 A7 8F 10 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 47 00 20 00 A7 AF ?? ?? ?? 0? 00 00 40 A0 ?? ?? 84 24 ?? ?? ?? 0? 90 00 A7 AF 24 00 A4 8F ?? ?? ?? 0? 90 00 A7 8F }
	condition:
		$1
}

rule file_330_66_4 {
	meta:
		name = "_ZNKSt7_MpunctIcE11do_groupingEv"
		size = 404
		refs = "002c strlen 00e0 _ZNSs6assignERKSsmm 010c _ZNSs5_CopyEmm 013c memcpy 0184 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 08 00 B1 8C 0F 00 02 24 20 00 B2 AF 18 00 B0 AF 24 00 BF AF 21 80 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 ?? ?? ?? 0? 21 20 20 02 21 38 40 00 11 00 20 12 21 90 00 02 14 00 02 8E 10 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 2B 18 23 02 0A 00 60 54 FF FF 02 24 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 04 8E 21 18 64 00 2B 18 23 02 15 00 60 14 00 00 00 00 FF FF 02 24 3E 00 E2 10 ?? ?? 04 3C 14 00 02 8E 2B 18 47 00 1B 00 60 54 10 00 06 8E 22 00 E0 14 10 00 42 2C 01 00 40 50 00 00 12 8E 10 00 00 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 01 00 40 50 00 00 12 8E 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 23 30 32 02 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 E0 00 21 20 00 02 ?? ?? ?? 0? 10 00 A7 AF 10 00 A7 8F F4 FF E0 10 24 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 30 E0 00 21 28 20 02 ?? ?? ?? 0? 10 00 A7 AF 14 00 02 8E 10 00 42 2C 02 00 40 14 10 00 A7 8F 00 00 12 8E 21 90 47 02 10 00 07 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF ?? ?? ?? 0? 10 00 A7 8F }
	condition:
		$1
}

rule file_330_67_4 {
	meta:
		name = "_ZNKSt7_MpunctIcE16do_negative_signEv"
		size = 404
		refs = "002c strlen 00e0 _ZNSs6assignERKSsmm 010c _ZNSs5_CopyEmm 013c memcpy 0184 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B1 8C 0F 00 02 24 20 00 B2 AF 18 00 B0 AF 24 00 BF AF 21 80 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 ?? ?? ?? 0? 21 20 20 02 21 38 40 00 11 00 20 12 21 90 00 02 14 00 02 8E 10 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 2B 18 23 02 0A 00 60 54 FF FF 02 24 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 04 8E 21 18 64 00 2B 18 23 02 15 00 60 14 00 00 00 00 FF FF 02 24 3E 00 E2 10 ?? ?? 04 3C 14 00 02 8E 2B 18 47 00 1B 00 60 54 10 00 06 8E 22 00 E0 14 10 00 42 2C 01 00 40 50 00 00 12 8E 10 00 00 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 01 00 40 50 00 00 12 8E 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 23 30 32 02 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 E0 00 21 20 00 02 ?? ?? ?? 0? 10 00 A7 AF 10 00 A7 8F F4 FF E0 10 24 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 30 E0 00 21 28 20 02 ?? ?? ?? 0? 10 00 A7 AF 14 00 02 8E 10 00 42 2C 02 00 40 14 10 00 A7 8F 00 00 12 8E 21 90 47 02 10 00 07 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF ?? ?? ?? 0? 10 00 A7 8F }
	condition:
		$1
}

rule file_330_68_4 {
	meta:
		name = "_ZNKSt7_MpunctIcE16do_positive_signEv"
		size = 404
		refs = "002c strlen 00e0 _ZNSs6assignERKSsmm 010c _ZNSs5_CopyEmm 013c memcpy 0184 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 14 00 B1 8C 0F 00 02 24 20 00 B2 AF 18 00 B0 AF 24 00 BF AF 21 80 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 ?? ?? ?? 0? 21 20 20 02 21 38 40 00 11 00 20 12 21 90 00 02 14 00 02 8E 10 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 2B 18 23 02 0A 00 60 54 FF FF 02 24 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 04 8E 21 18 64 00 2B 18 23 02 15 00 60 14 00 00 00 00 FF FF 02 24 3E 00 E2 10 ?? ?? 04 3C 14 00 02 8E 2B 18 47 00 1B 00 60 54 10 00 06 8E 22 00 E0 14 10 00 42 2C 01 00 40 50 00 00 12 8E 10 00 00 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 01 00 40 50 00 00 12 8E 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 23 30 32 02 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 E0 00 21 20 00 02 ?? ?? ?? 0? 10 00 A7 AF 10 00 A7 8F F4 FF E0 10 24 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 30 E0 00 21 28 20 02 ?? ?? ?? 0? 10 00 A7 AF 14 00 02 8E 10 00 42 2C 02 00 40 14 10 00 A7 8F 00 00 12 8E 21 90 47 02 10 00 07 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF ?? ?? ?? 0? 10 00 A7 8F }
	condition:
		$1
}

rule file_330_69_4 {
	meta:
		name = "_ZNKSt7_MpunctIcE14do_curr_symbolEv"
		size = 404
		refs = "002c strlen 00e0 _ZNSs6assignERKSsmm 010c _ZNSs5_CopyEmm 013c memcpy 0184 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 10 00 B1 8C 0F 00 02 24 20 00 B2 AF 18 00 B0 AF 24 00 BF AF 21 80 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 ?? ?? ?? 0? 21 20 20 02 21 38 40 00 11 00 20 12 21 90 00 02 14 00 02 8E 10 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 2B 18 23 02 0A 00 60 54 FF FF 02 24 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 04 8E 21 18 64 00 2B 18 23 02 15 00 60 14 00 00 00 00 FF FF 02 24 3E 00 E2 10 ?? ?? 04 3C 14 00 02 8E 2B 18 47 00 1B 00 60 54 10 00 06 8E 22 00 E0 14 10 00 42 2C 01 00 40 50 00 00 12 8E 10 00 00 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 01 00 40 50 00 00 12 8E 21 20 00 02 21 28 00 02 ?? ?? ?? 0? 23 30 32 02 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 E0 00 21 20 00 02 ?? ?? ?? 0? 10 00 A7 AF 10 00 A7 8F F4 FF E0 10 24 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 30 E0 00 21 28 20 02 ?? ?? ?? 0? 10 00 A7 AF 14 00 02 8E 10 00 42 2C 02 00 40 14 10 00 A7 8F 00 00 12 8E 21 90 47 02 10 00 07 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 10 00 A7 AF ?? ?? ?? 0? 10 00 A7 8F }
	condition:
		$1
}

rule file_330_70_4 {
	meta:
		name = "_ZNKSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basecPK2tmcc"
		size = 752
		refs = "00cc _CStrftime 00f4 _ZSt14_Xlength_errorPKc 01f0 _ZdlPv 0234 _ZNSs5_CopyEmm 0268 memset"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 43 24 90 FF BD 27 04 00 63 90 ?? ?? 48 8C 90 00 A2 83 1C 00 A3 A3 0F 00 03 24 58 00 B4 AF 54 00 B3 AF 50 00 B2 AF 4C 00 B1 AF 21 98 80 00 6C 00 BF AF 68 00 BE AF 64 00 B7 AF 60 00 B6 AF 5C 00 B5 AF 48 00 B0 AF 21 88 A0 00 78 00 A6 AF 7C 00 A7 AF 88 00 B2 8F 8C 00 A4 83 21 A0 C0 00 18 00 A8 AF 34 00 A3 AF 30 00 A0 AF 98 00 40 14 20 00 A0 A3 1A 00 A4 A3 30 00 A5 8F 10 00 1E 24 ?? ?? 15 3C 27 10 05 00 2B 10 C2 03 08 00 31 26 ?? ?? B5 26 FF FF 16 24 01 00 17 24 14 00 40 10 20 00 B0 27 17 00 C0 17 21 18 BE 00 34 00 A4 8F 20 00 A2 8F 18 00 A6 27 10 00 84 2C 0B 10 04 02 21 20 40 00 21 38 40 02 ?? ?? ?? 0? 10 00 B1 AF 24 00 40 14 21 18 40 00 30 00 A5 8F 40 F0 1E 00 27 10 05 00 2B 10 C2 03 EE FF 40 14 00 00 00 00 ?? ?? ?? 0? 21 20 A0 02 EC FF C0 13 30 00 A5 8F 21 18 BE 00 75 00 76 10 21 20 A0 02 34 00 A2 8F 2B 20 43 00 44 00 80 14 30 00 A6 8F 49 00 60 14 18 00 A6 27 20 00 A3 8F 10 00 42 2C 30 00 A0 AF 0B 18 02 02 00 00 60 A0 34 00 A4 8F 20 00 A2 8F 30 00 A5 8F 10 00 84 2C 0B 10 04 02 21 20 40 00 21 38 40 02 ?? ?? ?? 0? 10 00 B1 AF DE FF 40 10 21 18 40 00 34 00 A4 8F 20 00 A2 8F 20 00 B1 27 10 00 84 2C 0A 88 44 00 FF FF 10 24 FF FF 63 24 12 00 60 10 01 00 31 26 7C 00 A4 8F 4E 00 80 10 00 00 25 82 24 00 86 8C 00 00 C2 8C 43 00 40 10 01 00 47 24 34 00 88 8C 00 00 08 8D 23 40 02 01 3F 00 00 59 00 00 82 8C FF FF 63 24 00 00 C7 AC 01 00 31 26 F0 FF 60 14 00 00 45 A0 78 00 A3 8F 34 00 A2 8F 00 00 63 AE 7C 00 A3 8F 10 00 42 2C 00 00 74 A2 03 00 40 14 04 00 63 AE ?? ?? ?? 0? 20 00 A4 8F 6C 00 BF 8F 21 10 60 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 21 28 60 00 21 20 00 02 ?? ?? ?? 0? 40 00 A3 AF 40 00 A3 8F 13 00 60 10 34 00 A2 8F 13 00 D7 13 30 00 A4 8F 20 00 A6 8F 10 00 42 2C 21 28 00 00 0B 30 02 02 21 20 C4 00 21 30 C0 03 ?? ?? ?? 0? 40 00 A3 AF 40 00 A3 8F 34 00 A2 8F 20 00 A4 8F 30 00 A3 AF 10 00 42 2C 0B 20 02 02 21 18 83 00 00 00 60 A0 ?? ?? ?? 0? 30 00 A5 8F 20 00 A5 8F 10 00 42 2C 0B 28 02 02 21 20 A4 00 ?? ?? ?? 0? 00 00 80 A0 00 00 82 8C FF 00 A5 30 10 00 42 8C 09 F8 40 00 40 00 A3 AF AE FF 50 14 40 00 A3 8F ?? ?? ?? 0? 01 00 14 24 1A 00 A2 A3 ?? ?? ?? 0? 1B 00 A4 A3 ?? ?? ?? 0? 40 00 A3 AF ?? ?? ?? 0? 40 00 A3 8F }
	condition:
		$1
}

rule file_330_71_4 {
	meta:
		name = "_ZNKSt7collateIcE12do_transformEPKcS2_"
		size = 1248
		refs = "00e0 strlen 0118 _Strxfrmx 0148 _ZdlPv 01fc _ZSt14_Xlength_errorPKc 02b0 memmove 02f0 _ZNSs5_CopyEmm 0324 memset 0464 memcpy"
	strings:
		$1 = { 90 FF BD 27 64 00 B7 AF 0F 00 02 24 23 B8 E6 00 68 00 BE AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 6C 00 BF AF 60 00 B6 AF 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 21 A8 C0 00 21 F0 E0 00 21 A0 80 00 21 98 A0 00 14 00 82 AC 10 00 80 AC 1D 01 E0 12 00 00 80 A0 10 00 A5 27 10 00 A2 27 FF FF E4 24 21 28 B7 00 30 00 A2 AF 34 00 A4 AF 21 90 E0 02 21 18 00 00 01 00 02 24 FF FF 16 24 38 00 A5 AF 7F 00 40 10 27 10 03 00 23 90 43 02 2B 10 42 02 5A 00 40 10 ?? ?? 04 3C 49 00 40 16 21 80 72 00 10 00 83 8E 14 00 82 8E 10 00 42 2C 02 00 40 14 21 88 80 02 00 00 91 8E 34 00 A6 8F 0F 00 04 24 21 80 A0 02 00 00 C2 80 24 00 A4 AF 20 00 A0 AF 50 00 40 14 10 00 A0 A3 ?? ?? ?? 0? 21 90 00 00 ?? ?? ?? 0? 3C 00 A5 AF 40 00 A3 8F 01 00 42 24 2B 20 43 00 10 00 80 10 3C 00 A5 8F 23 18 65 00 21 88 25 02 21 80 02 02 08 00 67 8E 21 28 00 02 21 30 60 00 21 20 20 02 ?? ?? ?? 0? 40 00 A3 AF 40 00 A3 8F 01 00 45 24 21 20 00 02 2B 10 65 00 EB FF 40 10 21 90 45 02 24 00 A2 8F 10 00 42 2C 04 00 40 54 10 00 83 8E ?? ?? ?? 0? 10 00 A4 8F 10 00 83 8E 0F 00 02 24 24 00 A2 AF 2B 10 72 00 20 00 A0 AF 04 00 40 10 10 00 A0 A3 C4 FF 40 16 00 00 00 00 21 90 00 00 23 30 72 00 FF FF 11 24 79 00 D1 50 14 00 82 8E 75 00 C0 14 6C 00 BF 8F 21 10 80 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 BC 00 16 12 ?? ?? 04 3C 14 00 82 8E 2B 18 50 00 46 00 60 54 10 00 86 8E 4A 00 00 16 01 00 03 24 10 00 42 2C 02 00 40 14 21 18 80 02 00 00 83 8E 10 00 80 AE ?? ?? ?? 0? 00 00 60 A0 ?? ?? ?? 0? ?? ?? 84 24 A6 FF 40 12 10 00 83 8E ?? ?? ?? 0? 21 80 72 00 14 00 D5 13 24 00 B0 8F 72 00 F6 12 ?? ?? 04 3C 21 90 00 00 21 80 00 00 21 80 F0 02 A6 00 16 12 ?? ?? 04 3C 24 00 A2 8F 2B 20 50 00 72 00 80 14 20 00 A6 8F 77 00 00 16 10 00 A4 8F 30 00 A5 8F 10 00 42 2C 20 00 A0 AF 0A 28 82 00 00 00 A0 A0 24 00 B0 8F 10 00 A2 8F 30 00 A6 8F 10 00 10 2E 0A 30 50 00 ?? ?? ?? 0? 21 80 C0 00 23 80 72 00 03 00 16 12 14 00 82 8E 86 FF 00 12 00 00 00 00 10 00 42 2C 12 00 40 14 21 10 80 02 00 00 82 8E 21 20 52 00 21 28 12 02 21 28 45 00 ?? ?? ?? 0? 21 30 00 00 14 00 83 8E 10 00 84 8E 21 10 80 02 10 00 63 2C 02 00 60 14 23 80 90 00 00 00 82 8E 21 10 50 00 10 00 90 AE ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? 21 20 92 02 21 20 80 02 ?? ?? ?? 0? 21 28 00 02 69 FF 00 12 01 00 03 24 14 00 82 8E 0F 00 43 12 10 00 84 8E 10 00 42 2C 02 00 40 14 21 18 80 02 00 00 83 8E 21 20 64 00 21 28 00 00 ?? ?? ?? 0? 21 30 40 02 14 00 83 8E 10 00 63 2C E7 FF 60 14 21 10 80 02 ?? ?? ?? 0? 00 00 82 8E 10 00 42 2C 02 00 40 14 21 18 80 02 00 00 83 8E 21 18 64 00 ?? ?? ?? 0? 00 00 60 A0 21 88 C0 00 14 00 82 8E 10 00 42 2C 25 00 40 50 00 00 85 8E 21 28 80 02 21 20 92 02 21 90 32 02 23 30 D1 00 ?? ?? ?? 0? 21 28 B2 00 14 00 83 8E 10 00 84 8E 21 10 80 02 10 00 63 2C 02 00 60 14 23 88 91 00 00 00 82 8E 21 10 51 00 10 00 91 AE 00 00 40 A0 6C 00 BF 8F 21 10 80 02 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 ?? ?? 84 24 ?? ?? ?? 0? 40 00 A3 AF 20 00 B0 8F 40 00 A3 8F ?? ?? ?? 0? 21 90 00 02 ?? ?? ?? 0? 21 20 B2 00 10 00 A4 27 21 28 00 02 ?? ?? ?? 0? 40 00 A3 AF 91 FF 00 12 40 00 A3 8F 24 00 A2 8F 10 00 42 2C 1F 00 40 10 10 00 A5 8F 38 00 A4 8F 10 00 A5 27 21 30 40 02 ?? ?? ?? 0? 40 00 A3 AF 24 00 A4 8F 10 00 A2 8F 30 00 A6 8F 10 00 84 2C 21 28 A0 02 0A 30 44 00 21 20 C0 00 ?? ?? ?? 0? 21 30 E0 02 24 00 A4 8F 10 00 A2 8F 30 00 A5 8F 10 00 84 2C 20 00 B0 AF 0B 10 A4 00 21 80 50 00 00 00 00 A2 24 00 B0 8F 10 00 A2 8F 30 00 A6 8F 10 00 10 2E 40 00 A3 8F 0A 30 50 00 ?? ?? ?? 0? 21 80 C0 00 ?? ?? ?? 0? 21 20 B7 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 82 8E ?? ?? ?? 0? 21 18 00 00 ?? ?? 84 24 ?? ?? ?? 0? 40 00 A3 AF ?? ?? ?? 0? 40 00 A3 8F }
	condition:
		$1
}

rule file_330_72_4 {
	meta:
		name = "_ZNSt6locale7_Locimp9_MakexlocERKSt8_LocinfoiPS0_PKS_"
		size = 3916
		refs = "0044 _ZNSt9_FacetptrISt7collateIcEE6_PsaveE 0050 _ZNSt7collateIcE2idE 005c _ZNSt6locale2id7_Id_cntE 00c0 _ZNSt6locale7_Locimp7_AddfacEPNS_5facetEm 00d8 _ZNSt8messagesIcE2idE 00e8 _ZNSt9_FacetptrISt8messagesIcEE6_PsaveE 0168 _ZNSt9_FacetptrISt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEE6_PsaveE 0174 _ZNSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE 01f4 _ZNSt9_FacetptrISt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEEE6_PsaveE 01f8 _ZNSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 0278 _ZNSt9_FacetptrISt10moneypunctIcLb0EEE6_PsaveE 027c _ZNSt10moneypunctIcLb0EE2idE 02fc _ZNSt9_FacetptrISt10moneypunctIcLb1EEE6_PsaveE 0300 _ZNSt10moneypunctIcLb1EE2idE 0388 _ZNSt9_FacetptrISt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEE6_PsaveE 0394 _ZNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE 0414 _ZNSt9_FacetptrISt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEEE6_PsaveE 0418 _ZNSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 059c _Znwm 05b0 _ZTVSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE 05b8 _Getpmbstate 05c0 _Getpwcstate 05d4 _Getptimes 05e0 strlen 05ec _Znam 0690 _ZTVSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE 07c4 _ZTVSt7collateIcE 07d0 _Getpcostate 07d8 _Getpwcostate 082c _ZTVSt8messagesIcE 088c _ZTVSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE 08e0 _ZTVSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE 092c _ZTVSt7_MpunctIcE 094c _ZNSt7_MpunctIcE5_InitERKSt8_Locinfob 0958 _ZTVSt10moneypunctIcLb0EE 09bc _ZTVSt10moneypunctIcLb1EE 0a04 _ZNSt6locale16_GetgloballocaleEv 0bb4 _ZNSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 0be0 _ZNSt6locale5facet9_RegisterEv 0bf0 _ZNSt10moneypunctIcLb1EE7_GetcatEPPKNSt6locale5facetEPKS1_ 0c2c _ZNSt7collateIcE7_GetcatEPPKNSt6locale5facetEPKS1_ 0c68 _ZNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 0ca4 _ZNSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 0ce0 _ZNSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 0d1c _ZNSt10moneypunctIcLb0EE7_GetcatEPPKNSt6locale5facetEPKS1_ 0e84 _ZNSt8_LocinfoC1EPKc 0eac _ZNSt8_LocinfoD1Ev 0edc abort"
	strings:
		$1 = { 00 FF BD 27 01 00 A2 30 E8 00 B3 AF E4 00 B2 AF E0 00 B1 AF DC 00 B0 AF FC 00 BF AF F8 00 B7 AF F4 00 B6 AF F0 00 B5 AF EC 00 B4 AF 21 88 A0 00 21 98 80 00 21 80 C0 00 23 00 40 10 21 90 E0 00 DB 01 E0 10 ?? ?? 16 3C ?? ?? 14 3C ?? ?? C3 8E ?? ?? 86 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? 84 AE 00 00 42 8E 0C 00 44 8C 2B 20 C4 00 2A 01 80 54 08 00 45 8C 14 00 42 90 AB 02 40 14 21 A8 60 00 E5 02 A0 12 10 00 A4 27 ?? ?? 86 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 83 AE ?? ?? ?? 0? 21 28 A0 02 20 00 22 32 23 00 40 50 04 00 22 32 D2 01 40 12 ?? ?? 14 3C ?? ?? 86 8E ?? ?? 16 3C 07 00 C0 14 ?? ?? D7 8E ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 83 AE 00 00 42 8E 0C 00 43 8C 2B 18 C3 00 FF 00 60 54 08 00 44 8C 14 00 42 90 79 02 40 14 00 00 00 00 52 03 E0 12 21 A8 E0 02 ?? ?? 86 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 83 AE ?? ?? ?? 0? 21 28 A0 02 04 00 22 32 87 00 40 50 10 00 31 32 C4 01 40 12 ?? ?? 16 3C ?? ?? 14 3C ?? ?? C3 8E ?? ?? 86 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? 84 AE 00 00 42 8E 0C 00 44 8C 2B 20 C4 00 D3 00 80 54 08 00 45 8C 14 00 42 90 40 02 40 14 21 A8 60 00 BA 02 A0 12 10 00 A4 27 ?? ?? 86 8E 07 00 C0 14 21 28 A0 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 83 AE 21 20 00 02 ?? ?? 14 3C ?? ?? ?? 0? ?? ?? 15 3C ?? ?? 83 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 42 8E 0C 00 44 8C 2B 20 C4 00 C7 00 80 54 08 00 45 8C 14 00 42 90 15 02 40 14 21 B0 60 00 A8 02 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE 21 28 C0 02 ?? ?? 14 3C ?? ?? ?? 0? ?? ?? 15 3C ?? ?? 83 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 42 8E 0C 00 44 8C 2B 20 C4 00 AD 00 80 54 08 00 45 8C 14 00 42 90 08 02 40 14 21 B0 60 00 96 02 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE 21 28 C0 02 ?? ?? 14 3C ?? ?? ?? 0? ?? ?? 15 3C ?? ?? 83 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 42 8E 0C 00 44 8C 2B 20 C4 00 93 00 80 54 08 00 45 8C 14 00 42 90 09 02 40 14 21 B0 60 00 2A 02 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE ?? ?? ?? 0? 21 28 C0 02 10 00 31 32 45 00 20 12 FC 00 BF 8F 85 00 40 12 ?? ?? 14 3C ?? ?? 11 3C ?? ?? 83 8E ?? ?? 26 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? 24 AE 00 00 42 8E 0C 00 44 8C 2B 20 C4 00 3D 00 80 54 08 00 45 8C 14 00 42 90 EE 01 40 14 21 98 60 00 23 02 60 12 10 00 A4 27 ?? ?? 26 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 23 AE 21 28 60 02 ?? ?? 11 3C ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 24 8E ?? ?? 66 8E 07 00 C0 14 10 00 A4 AF ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 63 AE 00 00 42 8E 0C 00 43 8C 2B 18 C3 00 23 00 60 54 08 00 45 8C 14 00 42 90 6B 01 40 14 21 A0 80 00 D5 01 80 12 10 00 A4 27 ?? ?? 66 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 63 AE ?? ?? ?? 0? 21 28 80 02 FC 00 BF 8F F8 00 B7 8F F4 00 B6 8F F0 00 B5 8F EC 00 B4 8F E8 00 B3 8F E4 00 B2 8F E0 00 B1 8F DC 00 B0 8F 08 00 E0 03 00 01 BD 27 80 20 06 00 21 20 A4 00 00 00 93 8C C6 FF 60 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 18 06 00 21 18 A3 00 00 00 74 8C E0 FF 80 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 95 8C 30 FF A0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 18 06 00 21 18 83 00 00 00 75 8C 04 FF A0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 95 8C D9 FE A0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C 3C FF C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C 56 FF C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C 70 FF C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 ?? ?? ?? 0? 1C 00 04 24 2E 00 40 10 21 90 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 ?? ?? ?? 0? 00 00 42 AE ?? ?? ?? 0? 21 88 40 00 18 00 42 AE 14 00 51 AE 08 00 40 AE ?? ?? ?? 0? 0C 00 40 AE 04 00 51 8C ?? ?? ?? 0? 21 20 20 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 A0 54 00 21 18 40 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 31 26 ?? ?? ?? 0? 08 00 42 AE 10 00 51 8C ?? ?? ?? 0? 21 20 20 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 18 40 00 21 A0 54 00 00 00 24 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 31 26 0C 00 42 AE 02 00 02 24 10 00 42 AE ?? ?? 02 3C ?? ?? 46 8C FC 00 C0 10 ?? ?? 03 3C 21 28 40 02 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 64 00 04 24 3D 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? D0 00 A5 AF D0 00 A5 8F 50 00 44 24 08 00 B1 24 21 18 20 02 00 00 49 8C 04 00 48 8C 08 00 47 8C 0C 00 46 8C 10 00 42 24 00 00 69 AC 04 00 68 AC 08 00 67 AC 0C 00 66 AC F6 FF 44 14 10 00 63 24 00 00 42 8C 00 00 62 AC ?? ?? ?? 0? D0 00 A5 AF ?? ?? ?? 0? 21 90 40 00 D0 00 A5 8F 50 00 63 26 60 00 A2 AC 5C 00 B2 AC 14 00 A2 27 00 00 68 8E 04 00 67 8E 08 00 66 8E 0C 00 64 8E 10 00 73 26 00 00 48 AC 04 00 47 AC 08 00 46 AC 0C 00 44 AC F6 FF 63 16 10 00 42 24 00 00 64 8E 14 00 A3 27 00 00 44 AC 64 00 A2 27 00 00 68 8C 04 00 67 8C 08 00 66 8C 0C 00 64 8C 10 00 63 24 00 00 28 AE 04 00 27 AE 08 00 26 AE 0C 00 24 AE F6 FF 62 14 10 00 31 26 00 00 62 8C 00 00 22 AE ?? ?? 02 3C ?? ?? 46 8C 06 00 C0 14 ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? 44 AC ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? FC 00 BF 8F ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? D0 00 A5 AF ?? ?? ?? 0? 21 A0 40 00 D0 00 A5 8F 0C 00 A2 AC 08 00 B4 AC ?? ?? 02 3C ?? ?? 46 8C 06 00 C0 14 ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? 44 AC ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 20 00 22 32 ?? ?? ?? 0? 08 00 04 24 04 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 14 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 04 00 22 32 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? D0 00 A5 AF ?? ?? ?? 0? 21 A0 40 00 D0 00 A5 8F 0C 00 A2 AC 08 00 B4 AC ?? ?? 02 3C ?? ?? 46 8C 6D 00 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? D0 00 A5 AF ?? ?? ?? 0? 21 A0 40 00 D0 00 A5 8F 0C 00 A2 AC 08 00 B4 AC ?? ?? 02 3C ?? ?? 46 8C 46 00 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 34 00 04 24 0E 00 40 10 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 04 00 40 AC 28 00 40 A0 21 20 40 00 21 28 60 02 21 30 00 00 ?? ?? ?? 0? D0 00 A2 AF D0 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC ?? ?? 03 3C ?? ?? 66 8C 35 00 C0 50 ?? ?? 04 3C 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 34 00 04 24 0F 00 40 10 ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC 01 00 03 24 28 00 43 A0 04 00 40 AC 21 20 40 00 21 28 60 02 21 30 00 00 ?? ?? ?? 0? D0 00 A2 AF D0 00 A2 8F ?? ?? 03 3C ?? ?? 63 24 00 00 43 AC ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 14 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 10 00 31 32 ?? ?? ?? 0? D0 00 A6 AF 0C 00 43 8C D0 00 A6 8F 2B 18 C3 00 CF 00 60 54 08 00 42 8C 10 00 A4 8F ?? ?? ?? 0? 21 A0 80 00 ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? ?? 0? ?? ?? 44 AC ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? ?? 0? ?? ?? 65 AC ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? ?? 0? ?? ?? 44 AC ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? ?? 0? ?? ?? 44 AC ?? ?? ?? 0? D0 00 A6 AF 0C 00 43 8C D0 00 A6 8F 2B 18 C3 00 CB 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 B0 60 00 ?? ?? ?? 0? D0 00 A6 AF 0C 00 43 8C D0 00 A6 8F 2B 18 C3 00 AD 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 A8 60 00 ?? ?? ?? 0? D0 00 A6 AF 0C 00 43 8C D0 00 A6 8F 2B 18 C3 00 C1 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 B0 60 00 ?? ?? ?? 0? D0 00 A6 AF 0C 00 43 8C D0 00 A6 8F 2B 18 C3 00 82 FD 60 10 80 30 06 00 08 00 42 8C 21 30 46 00 00 00 D5 8C 7D FD A0 12 00 00 00 00 ?? ?? ?? 0? ?? ?? 86 8E ?? ?? ?? 0? D0 00 A6 AF 0C 00 43 8C D0 00 A6 8F 2B 18 C3 00 95 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 A8 60 00 ?? ?? ?? 0? D0 00 A6 AF 0C 00 43 8C D0 00 A6 8F 2B 18 C3 00 A9 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 B0 60 00 ?? ?? ?? 0? D0 00 A6 AF 0C 00 43 8C D0 00 A6 8F 2B 18 C3 00 A9 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 98 60 00 ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 C6 00 43 10 00 00 00 00 10 00 B4 8F 04 00 82 8E 03 00 43 10 ?? ?? 34 AE 01 00 42 24 04 00 82 AE ?? ?? ?? 0? 21 20 80 02 ?? ?? ?? 0? ?? ?? 66 8E ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 CF 00 43 10 00 00 00 00 10 00 B6 8F 04 00 C2 8E 03 00 43 10 ?? ?? 96 AE 01 00 42 24 04 00 C2 AE ?? ?? ?? 0? 21 20 C0 02 ?? ?? ?? 0? ?? ?? A6 8E ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 BC 00 43 10 00 00 00 00 10 00 B5 8F 04 00 A2 8E 03 00 43 10 ?? ?? D5 AE 01 00 42 24 04 00 A2 AE ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? ?? ?? 86 8E ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 A9 00 43 10 00 00 00 00 10 00 B3 8F 04 00 62 8E 03 00 43 10 ?? ?? 93 AE 01 00 42 24 04 00 62 AE ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? ?? ?? 26 8E ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 96 00 43 10 00 00 00 00 10 00 B5 8F 04 00 A2 8E 03 00 43 10 ?? ?? D5 AE 01 00 42 24 04 00 A2 AE ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? ?? ?? 86 8E ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 83 00 43 10 00 00 00 00 10 00 B6 8F 04 00 C2 8E 03 00 43 10 ?? ?? 96 AE 01 00 42 24 04 00 C2 AE ?? ?? ?? 0? 21 20 C0 02 ?? ?? ?? 0? ?? ?? A6 8E ?? ?? ?? 0? 21 28 40 02 FF FF 03 24 70 00 43 10 00 00 00 00 10 00 B6 8F 04 00 C2 8E 03 00 43 10 ?? ?? 96 AE 01 00 42 24 04 00 C2 AE ?? ?? ?? 0? 21 20 C0 02 ?? ?? ?? 0? ?? ?? A6 8E 80 30 06 00 21 30 46 00 00 00 D4 8C C0 FD 80 56 ?? ?? 66 8E 10 00 B4 8F BD FD 80 56 ?? ?? 66 8E ?? ?? ?? 0? 10 00 A4 27 80 30 06 00 21 30 46 00 00 00 D5 8C 0D FD A0 56 ?? ?? 86 8E 10 00 B5 8F 0A FD A0 56 ?? ?? 86 8E ?? ?? ?? 0? 10 00 A4 27 80 30 06 00 21 30 46 00 00 00 D5 8C BA FC A0 56 ?? ?? 86 8E 10 00 B5 8F B7 FC A0 56 ?? ?? 86 8E ?? ?? ?? 0? 10 00 A4 27 80 30 06 00 21 30 46 00 00 00 D6 8C 1A FD C0 56 ?? ?? A6 8E 10 00 B6 8F 17 FD C0 56 ?? ?? A6 8E ?? ?? ?? 0? 10 00 A4 27 80 30 06 00 21 30 46 00 00 00 D6 8C 31 FD C0 56 ?? ?? A6 8E 10 00 B6 8F 2E FD C0 56 ?? ?? A6 8E ?? ?? ?? 0? 10 00 A4 27 80 30 06 00 21 30 46 00 00 00 D6 8C 48 FD C0 56 ?? ?? A6 8E 10 00 B6 8F 45 FD C0 56 ?? ?? A6 8E ?? ?? ?? 0? 10 00 A4 27 80 30 06 00 21 30 46 00 00 00 D3 8C 63 FD 60 56 ?? ?? 26 8E 10 00 B3 8F 60 FD 60 56 ?? ?? 26 8E ?? ?? ?? 0? 10 00 A4 27 00 00 42 8E 68 00 A4 27 21 A8 00 00 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 08 00 04 24 05 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 A8 40 00 ?? ?? ?? 0? 68 00 A4 27 04 00 A2 8E FF FF 03 24 03 00 43 10 ?? ?? D5 AE 01 00 42 24 04 00 A2 AE ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? ?? ?? 86 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 66 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? A6 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? A6 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 86 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 26 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 86 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? A6 8E }
	condition:
		$1
}

rule file_330_73_4 {
	meta:
		name = "_ZNSs6assignEPKcS0_"
		size = 1620
		refs = "0094 _ZSt14_Xout_of_rangePKc 00ec memmove 029c _ZSt14_Xlength_errorPKc 04dc _ZNSs5_CopyEmm 0534 memcpy"
	strings:
		$1 = { 14 00 82 8C C8 FF BD 27 1C 00 B2 AF 10 00 42 2C 14 00 B0 AF 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 18 00 B1 AF 21 80 80 00 02 00 40 14 21 90 A0 00 00 00 84 8C 10 00 03 8E E6 00 46 12 21 28 83 00 38 00 40 10 21 88 00 02 23 88 91 00 23 A8 A4 00 0A 88 04 00 0A A8 05 00 07 00 40 12 23 98 D2 00 02 00 40 14 21 20 00 02 00 00 04 8E 2B 20 44 02 2E 00 80 10 00 00 00 00 2B 10 71 00 06 00 40 10 23 10 71 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 03 8E 23 10 71 00 2B A0 A2 02 0A A8 54 00 23 B0 75 00 27 10 13 00 2B 10 C2 02 FE 00 40 10 21 A0 A0 02 2B 10 74 02 0B 00 40 10 23 B0 D1 02 14 00 02 8E 10 00 42 2C FD 00 40 14 21 20 33 02 00 00 02 8E 21 20 44 00 21 28 91 02 21 28 45 00 ?? ?? ?? 0? 21 30 C0 02 25 10 93 02 DC 00 40 54 10 00 15 8E 34 00 BF 8F 21 10 00 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 00 00 11 8E 02 00 40 14 21 20 00 02 00 00 04 8E 21 20 83 00 2B 20 44 02 CE FF 80 50 2B 10 71 00 02 00 40 14 21 A0 00 02 00 00 14 8E 2B 10 71 00 3D 00 40 14 23 90 54 02 2B 10 72 00 3B 00 40 14 ?? ?? 04 3C 23 10 72 00 23 20 71 00 2B A0 A4 02 2B 28 62 02 0A A8 94 00 0A 98 45 00 23 B0 75 00 27 10 13 00 2B 10 C2 02 3E 00 40 10 21 A0 A0 02 21 A8 D3 02 2B 18 75 00 43 00 60 14 23 B0 D1 02 14 00 02 8E 2B 18 93 02 4F 00 60 14 2B 18 32 02 10 00 42 2C 7A 00 40 50 00 00 05 8E 21 28 00 02 21 20 11 02 21 28 B2 00 ?? ?? ?? 0? 21 30 60 02 14 00 02 8E 10 00 42 2C 79 00 40 14 21 98 71 02 00 00 02 8E 21 20 53 00 21 88 91 02 21 28 51 00 ?? ?? ?? 0? 21 30 C0 02 14 00 03 8E 10 00 63 2C 02 00 60 14 21 10 00 02 00 00 02 8E 21 10 55 00 10 00 15 AE 00 00 40 A0 34 00 BF 8F 21 10 00 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 03 8E 23 10 72 00 23 20 71 00 2B A0 A4 02 2B 28 62 02 0A A8 94 00 0A 98 45 00 23 B0 75 00 27 10 13 00 2B 10 C2 02 C4 FF 40 14 21 A0 A0 02 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 03 8E 23 B0 75 00 21 A8 D3 02 2B 18 75 00 BF FF 60 10 23 B0 D1 02 FF FF 02 24 DC 00 A2 52 ?? ?? 04 3C 14 00 02 8E 2B 18 55 00 D3 00 60 54 10 00 06 8E B8 FF A0 16 2B 18 93 02 10 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 00 AE ?? ?? ?? 0? 00 00 60 A0 15 00 60 14 21 B8 91 02 10 00 42 2C AF 00 40 14 21 20 71 02 00 00 02 8E 21 20 44 00 21 A0 91 02 21 28 54 00 ?? ?? ?? 0? 21 30 C0 02 14 00 02 8E 10 00 42 2C A3 00 40 14 21 28 00 02 00 00 05 8E 21 20 B1 00 21 28 B2 00 ?? ?? ?? 0? 21 30 60 02 ?? ?? ?? 0? 14 00 03 8E 2B 18 57 02 7D 00 60 14 10 00 42 2C 9E 00 40 50 00 00 05 8E 21 20 71 02 21 28 00 02 21 20 04 02 21 28 B7 00 ?? ?? ?? 0? 21 30 C0 02 14 00 02 8E 10 00 42 2C 9E 00 40 14 21 10 00 02 00 00 02 8E 21 20 51 00 21 90 72 02 23 A0 54 02 21 28 54 00 ?? ?? ?? 0? 21 30 60 02 ?? ?? ?? 0? 14 00 03 8E 21 30 60 02 21 20 B1 00 ?? ?? ?? 0? 21 28 B2 00 14 00 02 8E 10 00 42 2C 89 FF 40 10 21 98 71 02 21 10 00 02 ?? ?? ?? 0? 21 20 13 02 02 00 40 14 21 90 00 02 00 00 12 8E 23 90 92 00 0A 90 04 00 23 A8 A4 00 2B 10 72 00 7C 00 40 14 0A A8 05 00 23 30 72 00 2B A0 A6 02 0A A8 D4 00 3B FF A0 12 21 A0 A0 02 14 00 02 8E 10 00 42 2C 6C 00 40 50 00 00 02 8E 21 10 00 02 21 20 12 02 21 28 92 02 23 30 D4 00 ?? ?? ?? 0? 21 28 45 00 14 00 03 8E 10 00 04 8E 21 10 00 02 10 00 63 2C 02 00 60 14 23 A0 94 00 00 00 02 8E 21 10 54 00 10 00 14 AE ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 21 A8 75 02 23 A8 B4 02 72 00 A2 12 ?? ?? 04 3C 14 00 02 8E 2B 18 55 00 13 00 60 54 10 00 06 8E 17 00 A0 16 2B 18 93 02 10 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 00 AE ?? ?? ?? 0? 00 00 60 A0 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 16 8E ?? ?? ?? 0? 23 B0 D5 02 21 10 00 02 ?? ?? ?? 0? 21 20 04 02 21 20 00 02 ?? ?? ?? 0? 21 28 A0 02 06 FF A0 12 2B 18 93 02 14 00 02 8E 0B 00 60 10 10 00 42 2C 12 00 40 14 21 20 33 02 00 00 02 8E 21 20 44 00 21 28 91 02 21 28 45 00 ?? ?? ?? 0? 21 30 C0 02 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 20 91 00 21 28 40 02 ?? ?? ?? 0? 21 30 60 02 ?? ?? ?? 0? 14 00 03 8E 21 10 00 02 ?? ?? ?? 0? 21 20 04 02 25 00 40 14 21 28 00 02 00 00 05 8E 21 20 B1 00 21 28 B2 00 ?? ?? ?? 0? 21 30 80 02 14 00 02 8E 10 00 42 2C 27 00 40 14 21 88 71 02 00 00 05 8E 21 20 B1 00 21 28 B7 00 ?? ?? ?? 0? 21 30 C0 02 14 00 02 8E 10 00 42 2C 1C 00 40 14 21 10 00 02 00 00 02 8E 21 20 57 00 21 90 72 02 21 28 52 00 ?? ?? ?? 0? 23 30 74 02 ?? ?? ?? 0? 14 00 03 8E ?? ?? ?? 0? 21 20 11 02 21 10 00 02 ?? ?? ?? 0? 21 20 04 02 ?? ?? ?? 0? 21 20 52 00 21 20 71 02 ?? ?? ?? 0? 21 20 A4 00 ?? ?? ?? 0? 21 20 11 02 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 03 8E ?? ?? ?? 0? 21 20 11 02 ?? ?? ?? 0? 21 20 17 02 21 28 00 02 ?? ?? ?? 0? 21 20 11 02 21 20 00 02 ?? ?? ?? 0? 21 28 A0 02 ?? ?? ?? 0? 14 00 02 8E ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 02 8E ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 02 8E }
	condition:
		$1
}

rule file_330_74_4 {
	meta:
		name = "_ZSt9_LStrcollIcEiPKT_S2_S2_S2_PKSt8_Collvec"
		size = 464
		refs = "00a0 _ZdlPv 0108 _Strcollx 0118 strlen 0180 _ZNSs6assignEPKcS0_"
	strings:
		$1 = { 90 FF BD 27 0F 00 03 24 64 00 B4 AF 23 A0 A4 00 60 00 B3 AF 5C 00 B2 AF 58 00 B1 AF 54 00 B0 AF 6C 00 BF AF 68 00 B5 AF 21 88 80 00 21 10 A0 00 21 90 C0 00 80 00 B0 8F 24 00 A3 AF 20 00 A0 AF 10 00 A0 A3 40 00 A3 AF 3C 00 A0 AF 2C 00 A0 A3 04 00 80 12 23 98 E6 00 FF FF A3 80 50 00 60 14 10 00 B5 27 04 00 60 12 00 00 00 00 FF FF E2 80 41 00 40 14 2C 00 B5 27 37 00 80 12 FF FF 02 24 20 00 60 56 00 00 06 8E 01 00 02 24 40 00 A3 8F 10 00 63 2C 06 00 60 14 0F 00 03 24 2C 00 A4 8F ?? ?? ?? 0? 48 00 A2 AF 48 00 A2 8F 0F 00 03 24 40 00 A3 AF 24 00 A3 8F 3C 00 A0 AF 10 00 63 2C 05 00 60 14 2C 00 A0 A3 10 00 A4 8F ?? ?? ?? 0? 48 00 A2 AF 48 00 A2 8F 6C 00 BF 8F 68 00 B5 8F 64 00 B4 8F 60 00 B3 8F 5C 00 B2 8F 58 00 B1 8F 54 00 B0 8F 08 00 E0 03 70 00 BD 27 21 90 42 02 00 00 06 8E 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 DE FF 40 14 21 20 20 02 ?? ?? ?? 0? 00 00 00 00 01 00 42 24 2B 20 54 00 0D 00 80 10 2B 18 53 00 0C 00 60 50 2B 18 93 02 23 A0 82 02 05 00 80 12 23 98 62 02 D1 FF 60 52 01 00 02 24 ?? ?? ?? 0? 21 88 22 02 FF FF 02 24 ?? ?? ?? 0? 0A 10 13 00 2B 18 93 02 C9 FF 60 14 FF FF 02 24 26 98 93 02 ?? ?? ?? 0? 2B 10 13 00 21 28 40 02 21 20 A0 02 ?? ?? ?? 0? 21 30 E0 00 40 00 B2 8F 2C 00 A2 8F 10 00 52 2E 0A A8 52 00 ?? ?? ?? 0? 21 90 A0 02 21 28 80 00 21 30 40 00 21 20 A0 02 ?? ?? ?? 0? 48 00 A7 AF 24 00 B1 8F 10 00 A2 8F 48 00 A7 8F 10 00 31 2E 0A A8 51 00 ?? ?? ?? 0? 21 88 A0 02 }
	condition:
		$1
}

rule file_330_76_4 {
	meta:
		name = "_ZNKSt8messagesIcE6do_getEiiiRKSs"
		size = 428
		refs = "0090 _ZNSs5_CopyEmm 00c8 memcpy 010c _ZSt14_Xlength_errorPKc 0128 _ZSt14_Xout_of_rangePKc 0164 memmove"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 3C 00 B3 8F 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 0F 00 02 24 10 00 80 AC 21 80 80 00 14 00 82 AC 21 90 80 00 00 00 80 A0 39 00 93 10 10 00 71 8E FF FF 03 24 32 00 23 12 ?? ?? 04 3C 2B 18 51 00 0F 00 60 54 10 00 06 8E 14 00 20 16 10 00 42 2C 01 00 40 50 00 00 12 8E 10 00 00 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 15 00 20 12 24 00 BF 8F 14 00 02 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 14 00 62 8E 10 00 42 2C 02 00 40 14 21 28 60 02 00 00 65 8E ?? ?? ?? 0? 21 30 20 02 14 00 02 8E 10 00 42 2C 01 00 40 50 00 00 12 8E 21 90 51 02 10 00 11 AE 00 00 40 A2 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 02 8E F4 FF 20 12 24 00 BF 8F ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 13 8E FF FF 02 24 23 98 71 02 15 00 62 16 00 00 00 00 14 00 02 8E 10 00 42 2C 15 00 40 14 21 20 11 02 00 00 02 8E 21 20 51 00 21 28 71 02 21 28 45 00 ?? ?? ?? 0? 21 30 00 00 14 00 02 8E 10 00 03 8E 10 00 42 2C 02 00 40 14 23 98 73 00 00 00 12 8E 21 90 53 02 10 00 13 AE ?? ?? ?? 0? 00 00 40 A2 D6 FF 60 12 24 00 BF 8F ?? ?? ?? 0? 14 00 02 8E ?? ?? ?? 0? 21 10 00 02 }
	condition:
		$1
}

rule file_330_77_4 {
	meta:
		name = "_ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetintERS3_S5_iiRi"
		size = 2492
		refs = "00fc _Stolx"
	strings:
		$1 = { 04 00 A2 90 A0 FF BD 27 4C 00 B5 AF 48 00 B4 AF 3C 00 B1 AF 5C 00 BF AF 58 00 BE AF 54 00 B7 AF 50 00 B6 AF 44 00 B3 AF 40 00 B2 AF 38 00 B0 AF 21 A0 A0 00 21 A8 C0 00 B0 01 40 10 21 88 E0 00 04 00 A2 92 9D 01 40 10 00 00 A4 8E 00 00 83 8E 7A 01 60 10 00 00 00 00 7A 01 80 10 04 00 82 92 18 00 B0 27 21 B0 00 02 21 B8 00 00 01 00 1E 24 FF FF 13 24 5F 00 40 10 30 00 12 24 04 00 A2 92 6E 00 40 10 00 00 A4 8E 00 00 83 8E 3F 00 60 10 00 00 00 00 40 00 80 50 04 00 82 92 05 00 E0 52 04 00 82 92 30 00 02 24 00 00 C2 A2 01 00 D6 26 04 00 82 92 01 00 13 24 FF FF 12 24 A0 00 40 10 37 00 BE 27 04 00 A2 92 AF 00 40 10 00 00 A4 8E 00 00 83 8E 75 00 60 10 00 00 00 00 76 00 80 50 04 00 82 92 0A B0 17 02 00 00 C0 A2 21 20 00 02 10 00 A5 27 0A 00 06 24 14 00 A7 27 ?? ?? ?? 0? 14 00 A0 AF 21 90 40 00 04 00 82 92 9C 01 40 50 00 00 84 8E 04 00 A2 92 89 01 40 10 00 00 A4 8E 00 00 83 8E 01 00 82 2C 2B 20 04 00 0B 10 83 00 10 00 A3 8F 50 00 70 10 14 00 A3 8F 4E 00 60 14 2A 88 51 02 4C 00 20 16 70 00 A3 8F 2A 18 72 00 49 00 60 14 74 00 A3 8F 5C 00 BF 8F 58 00 BE 8F 00 00 72 AC 54 00 B7 8F 50 00 B6 8F 4C 00 B5 8F 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 60 00 BD 27 C3 FF 80 10 00 00 00 00 04 00 82 92 95 00 40 10 00 00 00 00 05 00 82 82 BD FF 52 14 00 00 00 00 00 00 84 8E 8B 00 80 50 04 00 9E A2 20 00 83 8C 00 00 62 8C 81 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 7B 00 A0 18 01 00 42 24 00 00 62 AC 04 00 80 A2 04 00 82 92 01 00 17 24 A4 FF 40 54 04 00 A2 92 00 00 84 8E AF 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C A5 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 A0 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 04 00 9E A2 04 00 A2 92 94 FF 40 14 00 00 A4 8E 95 00 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 8B 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 86 00 60 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 ?? ?? ?? 0? 04 00 BE A2 5C 00 BF 8F 02 00 42 34 58 00 BE 8F 54 00 B7 8F 50 00 B6 8F 4C 00 B5 8F 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 60 00 BD 27 8E FF 80 50 0A B0 17 02 04 00 82 92 60 00 40 10 00 00 00 00 05 00 82 82 30 00 43 28 87 FF 60 54 0A B0 17 02 04 00 83 92 C9 00 60 50 00 00 84 8E 3A 00 43 28 81 FF 60 50 0A B0 17 02 04 00 83 92 85 00 60 10 2B 18 DE 02 00 00 84 8E 00 00 C2 A2 95 00 80 10 21 B0 C3 02 20 00 83 8C 00 00 62 8C 97 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 91 00 A0 18 01 00 42 24 00 00 62 AC 04 00 80 A2 21 10 00 00 01 00 17 24 63 FF 40 54 04 00 A2 92 00 00 84 8E 64 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 5A 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 55 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 04 00 93 A2 04 00 A2 92 53 FF 40 14 00 00 A4 8E 5B 00 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 51 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 4C 00 60 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 ?? ?? ?? 0? 04 00 B3 A2 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 83 FF 53 54 04 00 80 A2 04 00 9E A2 00 00 80 AE 04 00 82 92 ?? ?? ?? 0? 01 00 17 24 7F 00 60 50 05 00 82 82 20 00 62 8C 00 00 42 8C 75 00 40 50 00 00 62 8C 30 00 64 8C 00 00 84 8C 23 20 82 00 70 00 80 58 00 00 62 8C 00 00 42 90 20 14 02 7C 05 00 82 A2 04 00 9E A2 1B FF 52 14 00 00 00 00 ?? ?? ?? 0? 00 00 84 8E 63 00 60 50 05 00 82 82 20 00 62 8C 00 00 42 8C 59 00 40 50 00 00 62 8C 30 00 64 8C 00 00 84 8C 23 20 82 00 54 00 80 58 00 00 62 8C 00 00 42 90 20 14 02 7C 05 00 82 A2 ?? ?? ?? 0? 04 00 93 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 48 01 53 54 00 00 A4 8E 00 00 A0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 BE A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 5F FF 53 54 05 00 82 A2 00 00 80 AE ?? ?? ?? 0? 04 00 9E A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 AA FF 52 54 05 00 82 A2 00 00 80 AE ?? ?? ?? 0? 04 00 93 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 31 01 52 54 00 00 A4 8E 00 00 A0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 B3 A2 00 00 84 8E 26 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 1C 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 17 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 05 00 82 82 04 00 93 A2 2B 18 DE 02 00 00 C2 A2 6D FF 80 14 21 B0 C3 02 00 00 80 AE 04 00 93 A2 01 00 02 24 ?? ?? ?? 0? 01 00 17 24 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 6C FF 52 14 01 00 02 24 00 00 80 AE ?? ?? ?? 0? 04 00 93 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 02 01 52 54 00 00 84 8E 00 00 80 AE 21 20 00 00 05 00 82 82 ?? ?? ?? 0? 04 00 93 A2 1C 00 42 8C 09 F8 40 00 21 20 60 00 AB FF 52 54 20 14 02 7C 05 00 82 82 00 00 80 AE ?? ?? ?? 0? 04 00 93 A2 1C 00 42 8C 09 F8 40 00 21 20 60 00 8F FF 53 54 20 14 02 7C 05 00 82 82 00 00 80 AE ?? ?? ?? 0? 04 00 9E A2 98 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 8E 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 89 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 05 00 82 82 ?? ?? ?? 0? 04 00 93 A2 88 FE 80 10 04 00 82 92 6F 00 40 10 00 00 00 00 05 00 82 82 2B 00 03 24 08 00 43 50 00 00 84 8E 04 00 83 92 57 00 60 50 00 00 84 8E 2D 00 03 24 7C FE 43 54 04 00 82 92 00 00 84 8E C3 00 80 10 18 00 A2 A3 20 00 83 8C 00 00 62 8C B9 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 B3 00 A0 18 01 00 42 24 00 00 62 AC 04 00 80 A2 21 10 00 00 19 00 B6 27 ?? ?? ?? 0? 18 00 B0 27 79 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 83 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 7E 00 60 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 A2 A2 00 00 A4 8C 65 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 5A 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 55 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 01 00 02 24 ?? ?? ?? 0? 04 00 82 A2 4A 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 6B 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 66 00 60 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 A2 A2 53 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 48 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 43 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 01 00 02 24 ?? ?? ?? 0? 04 00 82 A2 0C 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 54 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 4F 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 01 00 03 24 05 00 82 82 ?? ?? ?? 0? 04 00 83 A2 55 00 60 50 01 00 03 24 20 00 62 8C 00 00 42 8C 4B 00 40 50 00 00 62 8C 30 00 64 8C 00 00 84 8C 23 20 82 00 46 00 80 58 00 00 62 8C 00 00 42 90 20 14 02 7C 01 00 03 24 05 00 82 A2 ?? ?? ?? 0? 04 00 83 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 76 FF 52 54 05 00 82 A2 00 00 80 AE 05 00 82 82 ?? ?? ?? 0? 04 00 93 A2 00 00 A0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 A2 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 A9 FF 43 54 05 00 82 A2 01 00 02 24 00 00 80 AE ?? ?? ?? 0? 04 00 82 A2 00 00 A0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 A2 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 BB FF 43 54 05 00 82 A2 01 00 02 24 00 00 80 AE ?? ?? ?? 0? 04 00 82 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 00 00 A4 8E ?? ?? ?? 0? 05 00 A2 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 D6 FF 43 50 01 00 02 24 00 00 A4 8E ?? ?? ?? 0? 05 00 A2 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 AF FF 43 54 05 00 82 A2 ?? ?? ?? 0? 00 00 80 AE 1C 00 42 8C 09 F8 40 00 21 20 60 00 FF FF 03 24 B7 FF 43 14 01 00 03 24 05 00 82 82 00 00 80 AE ?? ?? ?? 0? 04 00 83 A2 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 4A FF 43 54 04 00 80 A2 01 00 02 24 04 00 82 A2 00 00 80 AE 01 00 02 24 19 00 B6 27 ?? ?? ?? 0? 18 00 B0 27 ?? ?? ?? 0? 05 00 82 A2 ?? ?? ?? 0? 05 00 A2 A2 ?? ?? ?? 0? 05 00 A2 A2 }
	condition:
		$1
}

rule file_330_78_4 {
	meta:
		name = "_ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE11do_get_yearES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 180
		refs = "0040 _ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetintERS3_S5_iiRi"
	strings:
		$1 = { D0 FF BD 27 28 00 B1 AF 4C 00 B1 8F F3 07 02 24 24 00 B0 AF 38 00 A6 AF 3C 00 A7 AF 10 00 A2 AF 21 80 80 00 18 00 A2 27 21 20 A0 00 40 00 A6 27 38 00 A5 27 21 38 00 00 2C 00 BF AF 18 00 A0 AF ?? ?? ?? 0? 14 00 A2 AF 00 00 23 8E 25 10 43 00 02 00 43 30 08 00 60 14 00 00 22 AE 18 00 A2 8F 6C 07 43 28 0E 00 60 14 64 00 43 24 50 00 A3 8F 94 F8 42 24 14 00 62 AC 38 00 A3 8F 21 10 00 02 00 00 03 AE 3C 00 A3 8F 04 00 03 AE 2C 00 BF 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 30 00 BD 27 45 00 44 28 0B 10 64 00 50 00 A3 8F ?? ?? ?? 0? 14 00 62 AC }
	condition:
		$1
}

rule file_330_79_4 {
	meta:
		name = "_ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE11do_get_dateES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 6556
		refs = "12c0 _ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetintERS3_S5_iiRi"
	strings:
		$1 = { 00 00 A2 8C 78 FF BD 27 90 00 A6 AF 94 00 A7 AF 08 00 42 8C 7C 00 B7 AF 78 00 B6 AF 74 00 B5 AF 70 00 B4 AF 64 00 B1 AF 60 00 B0 AF 84 00 BF AF 80 00 BE AF 6C 00 B3 AF 68 00 B2 AF 21 88 80 00 21 20 A0 00 21 80 A0 00 A0 00 B7 8F A4 00 B5 8F 09 F8 40 00 A8 00 B6 8F 94 00 A3 93 02 00 14 24 72 01 60 10 0B A0 42 00 9C 00 A2 93 5D 01 40 10 98 00 A2 8F 90 00 A4 8F 18 01 80 10 00 00 00 00 18 01 40 10 94 00 A2 93 94 00 A2 93 B4 00 40 10 90 00 A4 8F 01 00 12 24 FF FF 1E 24 20 00 13 24 9C 00 A2 93 9F 00 40 10 98 00 A4 8F 90 00 A2 8F 77 00 40 10 00 00 00 00 77 00 80 10 94 00 A3 93 94 00 A2 93 24 01 40 10 9C 00 A2 93 35 01 40 10 98 00 A4 8F 90 00 A2 8F CC 00 40 10 00 00 00 00 CC 00 80 10 94 00 A3 93 94 00 A2 93 01 00 1E 24 FF FF 13 24 EC 01 40 10 20 00 12 24 9C 00 A2 93 FB 01 40 10 98 00 A4 8F 90 00 A2 8F CE 01 40 10 00 00 00 00 CE 01 80 10 94 00 A3 93 94 00 A2 93 2E 03 40 10 9C 00 A2 93 40 03 40 10 98 00 A4 8F 98 00 A2 8F 90 00 A4 8F AF 02 80 10 00 00 00 00 AF 02 40 10 94 00 A2 93 94 00 A2 93 F7 01 40 10 90 00 A4 8F 01 00 12 24 FF FF 1E 24 20 00 13 24 9C 00 A2 93 F7 01 40 10 98 00 A4 8F 90 00 A2 8F 90 01 40 10 00 00 00 00 90 01 80 10 94 00 A3 93 94 00 A2 93 61 03 40 10 90 00 A4 8F 9C 00 A2 93 02 03 40 10 98 00 A4 8F 90 00 A2 8F 34 01 40 10 00 00 00 00 34 01 80 10 94 00 A3 93 94 00 A2 93 01 00 1E 24 FF FF 13 24 5D 01 40 10 20 00 12 24 9C 00 A2 93 6C 01 40 10 98 00 A4 8F 90 00 A2 8F 3F 01 40 10 00 00 00 00 3F 01 80 10 94 00 A3 93 94 00 A2 93 DD 02 40 10 90 00 A4 8F 9C 00 A2 93 CA 02 40 10 98 00 A4 8F 90 00 A2 8F A5 02 40 10 00 00 00 00 A5 02 80 10 94 00 A3 93 00 00 A2 8E 02 00 42 34 00 00 A2 AE 94 00 A2 93 2B 03 40 10 90 00 A4 8F 9C 00 A2 93 11 03 40 10 90 00 A2 8F 22 03 40 10 98 00 A4 8F 05 00 80 10 90 00 A3 8F 00 00 A2 8E 01 00 42 34 00 00 A2 AE 90 00 A3 8F 21 10 20 02 00 00 23 AE 94 00 A3 8F 04 00 23 AE 84 00 BF 8F 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 8B FF 80 10 94 00 A3 93 40 00 60 10 00 00 00 00 95 00 A2 83 87 FF 53 14 94 00 A2 93 90 00 A4 8F 38 00 80 50 90 00 A0 AF 20 00 83 8C 00 00 62 8C 2E 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 28 00 A0 18 01 00 42 24 00 00 62 AC 94 00 A0 A3 21 00 80 50 90 00 A0 AF 20 00 82 8C 00 00 42 8C 67 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 62 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 36 00 80 50 98 00 A0 AF 20 00 82 8C 00 00 42 8C 2C 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 27 00 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 ?? ?? ?? 0? 9C 00 B2 A3 E3 FF 80 54 20 00 82 8C 90 00 A0 AF 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 7A 05 5E 14 90 00 A4 8F 90 00 A0 AF ?? ?? ?? 0? 94 00 B2 A3 4C 00 40 50 95 00 A2 83 20 00 43 8C 00 00 63 8C 41 00 60 50 00 00 43 8C 30 00 44 8C 00 00 84 8C 23 20 83 00 3C 00 80 58 00 00 43 8C 00 00 62 90 20 14 02 7C 95 00 A2 A3 94 00 B2 A3 3A FF 53 14 94 00 A2 93 ?? ?? ?? 0? 90 00 A4 8F 1C 00 42 8C 09 F8 40 00 00 00 00 00 5D 05 5E 54 98 00 A4 8F 98 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 9C 00 B2 A3 36 FF 80 10 94 00 A3 93 1D 03 60 10 00 00 00 00 95 00 A2 83 3A 00 03 24 0B 00 43 10 94 00 A3 93 E9 03 60 10 90 00 A4 8F 2C 00 03 24 06 00 43 10 94 00 A3 93 19 04 60 10 90 00 A4 8F 2F 00 03 24 27 FF 43 14 94 00 A2 93 90 00 A4 8F 57 03 80 10 01 00 02 24 20 00 83 8C 00 00 62 8C 4C 03 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 46 03 A0 18 01 00 42 24 00 00 62 AC 94 00 A0 A3 ?? ?? ?? 0? 21 10 00 00 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 9C FF 43 54 95 00 A2 A3 ?? ?? ?? 0? 90 00 A0 AF 21 20 40 00 1C 00 62 8C 09 F8 40 00 00 00 00 00 C2 FF 5E 54 20 14 02 7C 95 00 A2 83 90 00 A0 AF ?? ?? ?? 0? 94 00 B2 A3 EA FE 40 10 94 00 A2 93 C7 02 40 10 95 00 A2 83 30 00 43 28 79 03 60 10 94 00 A3 93 9C 00 A2 8F 98 00 A3 8F 90 00 A6 8F 94 00 A7 8F 00 00 04 8E 50 00 A6 AF 54 00 A7 AF 58 00 A3 AF 5C 00 A2 AF 10 00 A3 AF 14 00 A2 AF 18 00 B7 AF 1C 00 B5 AF 20 00 B6 AF 18 00 82 8C 21 28 00 02 09 F8 40 00 28 00 A4 27 28 00 A2 8F 02 00 14 24 90 00 A2 AF 2C 00 A2 97 ?? ?? ?? 0? 94 00 A2 A7 90 00 A4 8F 07 03 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C FC 02 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 F7 02 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 94 00 A2 A3 9C 00 A2 93 CD FE 40 14 98 00 A4 8F E0 02 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C B3 03 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 AE 03 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 9C 00 A2 A3 98 00 A4 8F 21 03 80 10 01 00 03 24 20 00 82 8C 00 00 42 8C 98 03 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 93 03 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 21 10 80 00 01 00 03 24 ?? ?? ?? 0? 9C 00 A3 A3 90 00 A4 8F C8 02 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C BD 02 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 B8 02 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 CE FE 80 10 94 00 A3 93 40 02 60 10 00 00 00 00 95 00 A2 83 3A 00 03 24 30 02 43 14 94 00 A3 93 90 00 A4 8F 96 02 80 10 01 00 02 24 20 00 83 8C 00 00 62 8C 8B 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 85 02 A0 18 01 00 42 24 00 00 62 AC 94 00 A0 A3 ?? ?? ?? 0? 21 10 00 00 C3 FE 80 10 94 00 A3 93 C6 00 60 10 00 00 00 00 95 00 A2 83 BF FE 52 14 94 00 A2 93 90 00 A4 8F B3 00 80 50 94 00 BE A3 20 00 83 8C 00 00 62 8C A9 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 A3 00 A0 18 01 00 42 24 00 00 62 AC 94 00 A0 A3 94 00 A2 93 A6 FE 40 14 9C 00 A2 93 90 00 A4 8F FF 00 80 50 90 00 A0 AF 20 00 82 8C 00 00 42 8C F5 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 F0 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 94 00 BE A3 9C 00 A2 93 96 FE 40 14 98 00 A4 8F DC 00 80 50 98 00 A0 AF 20 00 82 8C 00 00 42 8C D2 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 CD 00 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 ?? ?? ?? 0? 9C 00 BE A3 72 FE 80 10 94 00 A3 93 AD 00 60 10 00 00 00 00 95 00 A2 83 6E FE 53 14 94 00 A2 93 90 00 A4 8F 71 00 80 50 90 00 A0 AF 20 00 83 8C 00 00 62 8C 67 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 61 00 A0 18 01 00 42 24 00 00 62 AC 94 00 A0 A3 4B 00 80 50 90 00 A0 AF 20 00 82 8C 00 00 42 8C D1 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 CC 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 34 FE 80 10 94 00 A3 93 78 00 60 10 00 00 00 00 95 00 A2 83 30 FE 52 14 94 00 A2 93 90 00 A4 8F 5F 00 80 50 94 00 BE A3 20 00 83 8C 00 00 62 8C 55 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 4F 00 A0 18 01 00 42 24 00 00 62 AC 94 00 A0 A3 94 00 A2 93 17 FE 40 14 9C 00 A2 93 90 00 A4 8F 87 00 80 50 90 00 A0 AF 20 00 82 8C 00 00 42 8C 7D 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 78 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 94 00 BE A3 9C 00 A2 93 07 FE 40 14 98 00 A4 8F 87 00 80 50 98 00 A0 AF 20 00 82 8C 00 00 42 8C 7D 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 78 00 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 ?? ?? ?? 0? 9C 00 BE A3 B9 FF 80 54 20 00 82 8C 90 00 A0 AF 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 83 00 80 50 98 00 A0 AF 20 00 82 8C 00 00 42 8C 79 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 74 00 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 ?? ?? ?? 0? 9C 00 B2 A3 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 FE 03 5E 14 90 00 A4 8F 90 00 A0 AF ?? ?? ?? 0? 94 00 B2 A3 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 5B FF 53 54 94 00 A0 A3 94 00 BE A3 90 00 A0 AF ?? ?? ?? 0? 94 00 A2 93 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 AF FF 53 54 94 00 A0 A3 94 00 BE A3 90 00 A0 AF ?? ?? ?? 0? 94 00 A2 93 7D 00 40 50 95 00 A2 83 20 00 43 8C 00 00 63 8C 72 00 60 50 00 00 43 8C 30 00 44 8C 00 00 84 8C 23 20 83 00 6D 00 80 58 00 00 43 8C 00 00 62 90 20 14 02 7C 95 00 A2 A3 ?? ?? ?? 0? 94 00 BE A3 63 00 40 50 95 00 A2 83 20 00 43 8C 00 00 63 8C 58 00 60 50 00 00 43 8C 30 00 44 8C 00 00 84 8C 23 20 83 00 53 00 80 58 00 00 43 8C 00 00 62 90 20 14 02 7C 95 00 A2 A3 ?? ?? ?? 0? 94 00 BE A3 49 00 40 50 95 00 A2 83 20 00 43 8C 00 00 63 8C 3E 00 60 50 00 00 43 8C 30 00 44 8C 00 00 84 8C 23 20 83 00 39 00 80 58 00 00 43 8C 00 00 62 90 20 14 02 7C 95 00 A2 A3 ?? ?? ?? 0? 94 00 B2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 87 FF 53 54 95 00 A2 A3 90 00 A0 AF ?? ?? ?? 0? 94 00 BE A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 AC 03 53 54 98 00 A4 8F 98 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 9C 00 BE A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 9D 03 53 54 98 00 A4 8F 98 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 9C 00 BE A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 0F FF 53 54 95 00 A2 A3 90 00 A0 AF ?? ?? ?? 0? 94 00 BE A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 8E 03 5E 54 98 00 A4 8F 98 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 9C 00 B2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 32 FF 43 54 95 00 A2 A3 ?? ?? ?? 0? 90 00 A0 AF 21 20 40 00 1C 00 62 8C 09 F8 40 00 00 00 00 00 C5 FF 5E 54 20 14 02 7C 95 00 A2 83 90 00 A0 AF ?? ?? ?? 0? 94 00 B2 A3 21 20 40 00 1C 00 62 8C 09 F8 40 00 00 00 00 00 AB FF 53 54 20 14 02 7C 95 00 A2 83 90 00 A0 AF ?? ?? ?? 0? 94 00 BE A3 21 20 40 00 1C 00 62 8C 09 F8 40 00 00 00 00 00 91 FF 53 54 20 14 02 7C 95 00 A2 83 90 00 A0 AF ?? ?? ?? 0? 94 00 BE A3 53 FD 40 10 94 00 A2 93 EF 00 40 10 95 00 A2 83 30 00 43 28 9C 01 60 10 94 00 A3 93 02 00 02 24 1A 00 82 12 98 00 A3 8F 9C 00 A2 8F 90 00 A6 8F 94 00 A7 8F 00 00 04 8E 58 00 A3 AF 10 00 A3 AF 50 00 A6 AF 54 00 A7 AF 5C 00 A2 AF 14 00 A2 AF 18 00 B7 AF 1C 00 B5 AF 20 00 B6 AF 18 00 82 8C 21 28 00 02 09 F8 40 00 38 00 A4 27 3C 00 A2 97 38 00 A4 8F 04 00 83 3A 94 00 A2 A7 03 00 02 24 90 00 A4 AF ?? ?? ?? 0? 0A A0 43 00 00 00 A2 8E 02 00 42 34 ?? ?? ?? 0? 00 00 A2 AE 5D FD 80 10 94 00 A3 93 EA 00 60 10 00 00 00 00 95 00 A2 83 30 00 43 28 AA 01 60 10 94 00 A3 93 04 00 02 24 55 FD 82 56 00 00 A2 8E 98 00 A3 8F 9C 00 A2 8F 90 00 A6 8F 94 00 A7 8F 00 00 04 8E 50 00 A3 AF 10 00 A3 AF 58 00 A6 AF 5C 00 A7 AF 54 00 A2 AF 14 00 A2 AF 18 00 B7 AF 1C 00 B5 AF 20 00 B6 AF 18 00 82 8C 21 28 00 02 09 F8 40 00 40 00 A4 27 44 00 A2 97 40 00 A3 8F 94 00 A2 A7 ?? ?? ?? 0? 90 00 A3 AF 38 01 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2D 02 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 28 02 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 9C 00 A2 A3 25 01 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 1A 01 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 15 01 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 0A 01 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 1F 02 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 1A 02 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 9C 00 A2 A3 90 00 A4 8F 20 01 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 15 01 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 10 01 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 94 00 A2 A3 9C 00 A2 93 C4 FC 40 14 98 00 A2 8F 98 00 A4 8F D6 00 80 10 01 00 03 24 20 00 82 8C 00 00 42 8C 04 02 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 FF 01 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 21 10 80 00 01 00 03 24 ?? ?? ?? 0? 9C 00 A3 A3 98 00 A4 8F F0 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C E0 01 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 DB 01 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 01 00 02 24 9C 00 A2 A3 90 00 A2 8F E0 FC 40 14 00 00 00 00 E4 FC 80 14 90 00 A3 8F ?? ?? ?? 0? 00 00 A2 8E D7 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C CC 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 C7 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 83 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 78 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 73 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 32 01 60 10 90 00 A4 8F 2C 00 03 24 CD FD 43 10 94 00 A3 93 62 01 60 10 90 00 A4 8F 2F 00 03 24 90 FC 43 54 94 00 A2 93 ?? ?? ?? 0? 90 00 A4 8F E6 01 40 10 01 00 03 24 20 00 43 8C 00 00 63 8C DB 01 60 50 00 00 43 8C 30 00 44 8C 00 00 84 8C 23 20 83 00 D6 01 80 58 00 00 43 8C 00 00 62 90 20 14 02 7C 01 00 03 24 95 00 A2 A3 ?? ?? ?? 0? 94 00 A3 A3 CA 01 80 10 01 00 03 24 20 00 82 8C 00 00 42 8C C0 01 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 BB 01 60 58 00 00 82 8C 00 00 42 90 20 14 02 7C 01 00 03 24 95 00 A2 A3 ?? ?? ?? 0? }
	condition:
		$1
}

rule file_330_80_4 {
	meta:
		name = "_ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE11do_get_timeES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 788
		refs = "004c _ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetintERS3_S5_iiRi"
	strings:
		$1 = { D0 FF BD 27 20 00 B1 AF 50 00 B1 8F 24 00 B2 AF 4C 00 B2 8F 17 00 03 24 28 00 B3 AF 1C 00 B0 AF 38 00 A6 AF 3C 00 A7 AF 08 00 22 26 21 80 A0 00 21 98 80 00 40 00 A6 27 21 20 A0 00 21 38 00 00 38 00 A5 27 10 00 A3 AF 2C 00 BF AF ?? ?? ?? 0? 14 00 A2 AF 00 00 43 8E 25 10 43 00 21 18 40 00 10 00 40 10 00 00 42 AE 02 00 64 34 02 00 84 34 00 00 44 AE 38 00 A3 8F 21 10 60 02 00 00 63 AE 3C 00 A3 8F 04 00 63 AE 2C 00 BF 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 3C 00 A2 93 07 00 40 10 3D 00 A2 83 3A 00 03 24 16 00 43 50 38 00 A4 8F 00 00 43 8E ?? ?? ?? 0? 02 00 64 34 38 00 A4 8F 83 00 80 10 01 00 03 24 20 00 82 8C 00 00 42 8C 79 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 74 00 60 58 00 00 82 8C 00 00 42 90 20 14 02 7C 01 00 03 24 3D 00 A2 A3 ?? ?? ?? 0? 3C 00 A3 A3 3B 00 80 10 01 00 02 24 20 00 83 8C 00 00 62 8C 31 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 2B 00 A0 18 01 00 42 24 00 00 62 AC 3C 00 A0 A3 3B 00 03 24 04 00 22 26 21 20 00 02 38 00 A5 27 40 00 A6 27 21 38 00 00 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF 00 00 43 8E 25 10 43 00 21 20 40 00 BD FF 40 14 00 00 42 AE 3C 00 A2 93 06 00 40 10 3D 00 A2 83 3A 00 03 24 1F 00 43 50 38 00 A4 8F ?? ?? ?? 0? 00 00 44 8E 38 00 A4 8F 58 00 80 10 01 00 03 24 20 00 82 8C 00 00 42 8C 4E 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 49 00 60 58 00 00 82 8C 00 00 42 90 20 14 02 7C 01 00 03 24 3D 00 A2 A3 ?? ?? ?? 0? 3C 00 A3 A3 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 D1 FF 43 14 01 00 02 24 38 00 A0 AF ?? ?? ?? 0? 3C 00 A2 A3 2A 00 80 10 01 00 02 24 20 00 83 8C 00 00 62 8C 20 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 1A 00 A0 18 01 00 42 24 00 00 62 AC 3C 00 A0 A3 21 20 00 02 38 00 A5 27 40 00 A6 27 3B 00 02 24 21 38 00 00 14 00 B1 AF ?? ?? ?? 0? 10 00 A2 AF 00 00 43 8E 25 10 62 00 00 00 42 AE 38 00 A3 8F 21 10 60 02 00 00 63 AE 3C 00 A3 8F 04 00 63 AE 2C 00 BF 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 E2 FF 43 14 01 00 02 24 38 00 A0 AF ?? ?? ?? 0? 3C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 89 FF 43 14 01 00 03 24 3D 00 A2 83 38 00 A0 AF ?? ?? ?? 0? 3C 00 A3 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 B4 FF 43 14 01 00 03 24 3D 00 A2 83 38 00 A0 AF ?? ?? ?? 0? 3C 00 A3 A3 }
	condition:
		$1
}

rule file_330_81_4 {
	meta:
		name = "_ZSt10_GetloctxtIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEiRT0_S5_mPKT_"
		size = 1616
		refs = "00c0 _ZdlPv 0104 _ZNSs5_CopyEmm 0130 memset 02cc _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 88 FF BD 27 64 00 B5 AF 60 00 B4 AF 5C 00 B3 AF 58 00 B2 AF 74 00 BF AF 70 00 BE AF 6C 00 B7 AF 68 00 B6 AF 54 00 B1 AF 50 00 B0 AF 00 00 E2 80 21 90 E0 00 21 A0 80 00 21 A8 A0 00 09 00 40 10 21 98 C0 00 21 20 E0 00 21 18 40 00 26 28 62 00 01 00 83 80 01 00 A5 2C 21 98 65 02 FB FF 60 14 01 00 84 24 0F 00 02 24 24 00 A2 AF FF FF 02 24 20 00 A0 AF 94 00 62 12 10 00 A0 A3 24 00 A2 8F 2B 18 53 00 1E 00 60 54 20 00 A6 8F 21 00 60 16 10 00 A4 8F 10 00 42 2C 10 00 A3 27 0A 18 82 00 20 00 A0 AF 00 00 60 A0 FE FF 06 24 24 00 A2 8F 10 00 42 2C 06 00 40 14 74 00 BF 8F 10 00 A4 8F ?? ?? ?? 0? 40 00 A6 AF 40 00 A6 8F 74 00 BF 8F 21 10 C0 00 70 00 BE 8F 6C 00 B7 8F 68 00 B6 8F 64 00 B5 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 78 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 21 28 60 02 E6 FF 60 12 24 00 A2 8F 01 00 03 24 72 00 63 12 10 00 A4 8F 10 00 42 2C 10 00 A3 27 0B 20 62 00 21 28 00 00 ?? ?? ?? 0? 21 30 60 02 24 00 A4 8F 10 00 A3 8F 10 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 53 00 20 00 B3 AF D4 FF 60 12 00 00 40 A0 02 00 08 24 01 00 05 24 FE FF 06 24 10 00 BE 27 7F 00 10 24 01 00 0A 24 FF FF 11 24 80 00 A7 2C 21 10 00 02 0B 10 A7 00 21 B8 00 00 21 48 00 00 21 B0 00 00 ?? ?? ?? 0? 21 38 40 00 10 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 57 00 00 00 42 80 1C 00 40 50 21 B0 C5 02 21 B0 C2 02 01 00 F7 26 26 00 F3 12 00 00 00 00 21 10 56 02 00 00 42 80 F2 FF 40 50 24 00 A4 8F 00 00 43 82 EF FF 43 50 24 00 A4 8F 01 00 D6 26 21 10 56 02 00 00 42 80 EA FF 40 50 24 00 A4 8F FB FF 43 54 01 00 D6 26 24 00 A4 8F 10 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 57 00 00 00 42 80 E8 FF 40 54 21 B0 C2 02 21 B0 C5 02 21 18 56 02 00 00 62 80 00 00 4B 82 04 00 62 51 10 00 A2 8F 30 00 40 54 04 00 82 92 10 00 A2 8F 21 30 E0 02 0B 10 C4 03 21 20 57 00 01 00 F7 26 DC FF F3 16 00 00 87 A0 95 FF 20 11 24 00 A2 8F 04 00 82 92 B2 00 40 50 00 00 84 8E 04 00 A2 92 A0 00 40 10 00 00 A4 8E 00 00 82 8E CF 00 40 10 00 00 00 00 8A FF 80 54 24 00 A2 8F 20 00 45 8C 00 00 A3 8C 8C 00 60 50 00 00 43 8C 30 00 44 8C 00 00 84 8C 23 20 83 00 86 00 80 18 01 00 63 24 00 00 A3 AC 04 00 80 A2 01 00 08 25 FF FF 05 25 ?? ?? ?? 0? FF FF 06 24 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 04 26 ?? ?? ?? 0? ?? ?? 04 26 ?? ?? ?? 0? 24 00 A2 8F 10 00 42 2C 10 00 A3 27 0A 18 82 00 ?? ?? ?? 0? 00 00 60 A0 2B 00 40 50 00 00 84 8E 04 00 A2 92 18 00 40 50 00 00 A4 8E 00 00 A2 8E 00 00 84 8E 0A 00 80 10 00 00 00 00 0B 00 40 50 04 00 82 92 24 00 A3 8F 10 00 A2 8F 10 00 63 2C 0B 10 C3 03 21 10 57 00 ?? ?? ?? 0? 00 00 47 A0 F9 FF 40 50 24 00 A3 8F 04 00 82 92 25 00 40 10 00 00 63 80 05 00 82 82 F3 FF 43 14 24 00 A3 8F ?? ?? ?? 0? 01 00 09 24 3F 00 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 29 00 40 50 00 00 82 8C 30 00 8B 8C 00 00 6B 8D 23 58 62 01 24 00 60 59 00 00 82 8C 00 00 42 90 05 00 A2 A2 21 10 80 00 ?? ?? ?? 0? 04 00 AA A2 44 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 2E 00 40 50 00 00 82 8C 30 00 8B 8C 00 00 6B 8D 23 58 62 01 29 00 60 59 00 00 82 8C 00 00 42 90 05 00 82 A2 ?? ?? ?? 0? 04 00 8A A2 73 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 5D 00 40 50 00 00 82 8C 30 00 8B 8C 00 00 6B 8D 23 58 62 01 58 00 60 59 00 00 82 8C 00 00 42 90 05 00 82 A2 ?? ?? ?? 0? 04 00 8A A2 1C 00 42 8C 34 00 A3 AF 38 00 A5 AF 40 00 A6 AF 3C 00 A7 AF 44 00 A8 AF 30 00 A9 AF 09 F8 40 00 48 00 AA AF 34 00 A3 8F 38 00 A5 8F 40 00 A6 8F 3C 00 A7 8F 44 00 A8 8F 30 00 A9 8F 75 00 51 14 48 00 AA 8F 00 00 A0 AE 21 10 00 00 ?? ?? ?? 0? 04 00 AA A2 1C 00 42 8C 34 00 A3 AF 38 00 A5 AF 40 00 A6 AF 3C 00 A7 AF 44 00 A8 AF 30 00 A9 AF 09 F8 40 00 48 00 AA AF 34 00 A3 8F 38 00 A5 8F 40 00 A6 8F 3C 00 A7 8F 44 00 A8 8F 30 00 A9 8F C9 FF 51 14 48 00 AA 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 00 00 43 8C 21 20 40 00 20 00 62 8C 44 00 A8 AF 09 F8 40 00 48 00 AA AF 44 00 A8 8F 74 FF 51 14 48 00 AA 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 4C 00 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 3E 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 39 00 60 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 ?? ?? ?? 0? 04 00 AA A2 31 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 23 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 1E 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 ?? ?? ?? 0? 04 00 8A A2 1C 00 42 8C 34 00 A3 AF 38 00 A5 AF 40 00 A6 AF 3C 00 A7 AF 44 00 A8 AF 30 00 A9 AF 09 F8 40 00 48 00 AA AF 34 00 A3 8F 38 00 A5 8F 40 00 A6 8F 3C 00 A7 8F 44 00 A8 8F 30 00 A9 8F 9A FF 51 14 48 00 AA 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 BC FE 80 10 24 00 A2 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 1C 00 42 8C 40 00 A6 AF 44 00 A8 AF 09 F8 40 00 48 00 AA AF 40 00 A6 8F 44 00 A8 8F DC FF 51 14 48 00 AA 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 1C 00 42 8C 40 00 A6 AF 44 00 A8 AF 09 F8 40 00 48 00 AA AF 40 00 A6 8F 44 00 A8 8F 09 00 51 14 48 00 AA 8F 00 00 A0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 AA A2 00 00 A4 8E 05 00 A2 A2 ?? ?? ?? 0? 21 10 80 00 00 00 A4 8E ?? ?? ?? 0? 05 00 A2 A2 }
	condition:
		$1
}

rule file_330_82_4 {
	meta:
		name = "_ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE16do_get_monthnameES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 164
		refs = "0030 _ZSt10_GetloctxtIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEiRT0_S5_mPKT_"
	strings:
		$1 = { 0C 00 A2 8C E0 FF BD 27 18 00 B1 AF 28 00 A6 AF 2C 00 A7 AF 21 88 80 00 30 00 A5 27 28 00 A4 27 21 30 00 00 21 38 40 00 14 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 3C 00 B0 8F 0D 00 40 04 40 00 A3 8F 43 10 02 00 10 00 62 AC 28 00 A3 8F 21 10 20 02 00 00 23 AE 2C 00 A3 8F 04 00 23 AE 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 02 8E 02 00 42 34 00 00 02 AE 28 00 A3 8F 21 10 20 02 00 00 23 AE 2C 00 A3 8F 04 00 23 AE 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_330_83_4 {
	meta:
		name = "_ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE14do_get_weekdayES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tm"
		size = 164
		refs = "0030 _ZSt10_GetloctxtIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEiRT0_S5_mPKT_"
	strings:
		$1 = { 08 00 A2 8C E0 FF BD 27 18 00 B1 AF 28 00 A6 AF 2C 00 A7 AF 21 88 80 00 30 00 A5 27 28 00 A4 27 21 30 00 00 21 38 40 00 14 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 3C 00 B0 8F 0D 00 40 04 40 00 A3 8F 43 10 02 00 18 00 62 AC 28 00 A3 8F 21 10 20 02 00 00 23 AE 2C 00 A3 8F 04 00 23 AE 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 02 8E 02 00 42 34 00 00 02 AE 28 00 A3 8F 21 10 20 02 00 00 23 AE 2C 00 A3 8F 04 00 23 AE 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_330_84_4 {
	meta:
		name = "_ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetfmtES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tmPKc"
		size = 1932
		refs = "006c _ZNSt5ctypeIcE2idE 007c _ZNSt9_FacetptrISt5ctypeIcEE6_PsaveE 0080 _ZNSt6locale2id7_Id_cntE 00d0 _ZNSt8_LocinfoC1EPKc 00d8 _Znwm 00ec _Tolotab 00f8 _Touptab 00f4 _Ctype 0104 _ZTVSt5ctypeIcE 0130 _ZNSt8_LocinfoD1Ev 0160 _ZNSt6locale5facet9_RegisterEv 06ec _ZNSt6locale16_GetgloballocaleEv"
	strings:
		$1 = { 28 FF BD 27 C0 00 B4 AF F0 00 B4 8F B0 00 B0 AF FF FF 03 24 24 00 82 8E D0 00 BE AF CC 00 B7 AF 00 00 50 8C C8 00 B6 AF C4 00 B5 AF 04 00 02 8E BC 00 B3 AF D4 00 BF AF B8 00 B2 AF B4 00 B1 AF 21 A8 80 00 21 98 A0 00 E0 00 A6 AF E4 00 A7 AF F4 00 B6 8F FC 00 A8 8F E8 00 B7 8F 03 00 43 10 EC 00 BE 93 01 00 42 24 04 00 02 AE ?? ?? 02 3C ?? ?? 52 8C ?? ?? 11 3C 07 00 40 16 ?? ?? 23 8E ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 90 A0 00 ?? ?? 85 AC ?? ?? 45 AC 0C 00 02 8E 2B 10 42 02 34 00 40 54 08 00 04 8E 14 00 02 92 8F 01 40 54 A4 00 A3 AF 34 00 60 14 21 48 60 00 18 00 05 8E 1C 00 02 26 38 00 A4 27 0A 28 45 00 AC 00 A8 AF ?? ?? ?? 0? A8 00 A3 AF ?? ?? ?? 0? 18 00 04 24 AC 00 A8 8F 10 00 40 10 A8 00 A9 8F ?? ?? 03 3C ?? ?? 64 8C ?? ?? 05 3C ?? ?? 03 3C ?? ?? 63 8C ?? ?? A5 8C ?? ?? 06 3C ?? ?? C6 24 04 00 40 AC 00 00 46 AC 08 00 45 AC 0C 00 44 AC 10 00 43 AC 14 00 40 AC 21 48 40 00 38 00 A4 27 AC 00 A8 AF ?? ?? ?? 0? A8 00 A9 AF A8 00 A9 8F FF FF 03 24 AC 00 A8 8F 04 00 22 8D 03 00 43 10 ?? ?? 29 AE 01 00 42 24 04 00 22 AD 21 20 20 01 AC 00 A8 AF ?? ?? ?? 0? A8 00 A9 AF A8 00 A9 8F ?? ?? ?? 0? AC 00 A8 8F 80 10 12 00 21 10 82 00 00 00 49 8C CA FF 20 51 14 00 02 92 04 00 02 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 03 AE 21 10 60 00 37 01 40 50 00 00 02 8E 00 00 04 81 15 00 80 10 E4 00 A2 93 25 00 11 24 20 00 12 24 01 00 03 24 FF FF 10 24 F0 00 91 50 00 00 62 8E 85 00 92 14 E4 00 A2 93 41 00 40 10 E0 00 A5 8F 4F 00 C0 13 00 00 00 00 23 00 A0 10 00 00 00 00 23 00 E0 12 E4 00 A2 93 01 00 08 25 00 00 04 81 F1 FF 80 14 E4 00 A2 93 BF 00 40 10 E0 00 A5 8F 24 01 C0 13 00 00 00 00 30 01 A0 10 00 00 00 00 05 00 E0 12 E0 00 A3 8F 00 00 C2 8E 01 00 42 34 00 00 C2 AE E0 00 A3 8F 21 10 A0 02 00 00 A3 AE E4 00 A3 8F 04 00 A3 AE D4 00 BF 8F D0 00 BE 8F CC 00 B7 8F C8 00 B6 8F C4 00 B5 8F C0 00 B4 8F BC 00 B3 8F B8 00 B2 8F B4 00 B1 8F B0 00 B0 8F 08 00 E0 03 D8 00 BD 27 DF FF E0 12 E4 00 A2 93 4A 00 40 10 E5 00 A2 83 08 00 24 8D FF 00 42 30 40 10 02 00 21 10 82 00 00 00 42 94 44 01 42 30 D6 FF 40 50 01 00 08 25 E0 00 A5 8F 3A 00 A0 50 E0 00 A0 AF 20 00 A4 8C 00 00 82 8C 29 00 40 50 00 00 A2 8C 30 00 A6 8C 00 00 C6 8C 23 30 C2 00 23 00 C0 18 01 00 42 24 00 00 82 AC E4 00 A0 A3 6E 00 A0 50 E0 00 A0 AF 20 00 A2 8C 00 00 42 8C 5D 00 40 50 00 00 A2 8C 30 00 A4 8C 00 00 84 8C 23 20 82 00 58 00 80 58 00 00 A2 8C 00 00 42 90 E5 00 A2 A3 E4 00 A3 A3 B3 FF C0 17 00 00 00 00 4E 00 E0 52 21 B8 00 00 20 00 E2 8E 00 00 42 8C 3F 00 40 50 00 00 E2 8E 30 00 E4 8E 00 00 84 8C 23 20 82 00 3A 00 80 58 00 00 E2 8E 00 00 42 90 ED 00 A2 A3 E0 00 A5 8F ?? ?? ?? 0? 01 00 1E 24 00 00 A2 8C 21 20 A0 00 20 00 42 8C A4 00 A3 AF A0 00 A5 AF AC 00 A8 AF 09 F8 40 00 A8 00 A9 AF A4 00 A3 8F A0 00 A5 8F AC 00 A8 8F D3 FF 50 14 A8 00 A9 8F E0 00 A0 AF E4 00 A3 A3 92 FF C0 17 21 28 00 00 ?? ?? ?? 0? 00 00 00 00 75 00 A0 50 E0 00 A0 AF 20 00 A2 8C 00 00 42 8C 65 00 40 50 00 00 A2 8C 30 00 A4 8C 00 00 84 8C 23 20 82 00 60 00 80 58 00 00 A2 8C 00 00 42 90 E5 00 A2 A3 ?? ?? ?? 0? E4 00 A3 A3 2F 00 40 10 E5 00 A2 83 3F 00 82 14 E0 00 A5 8F 8E 00 A0 50 E0 00 A0 AF 20 00 A4 8C 00 00 82 8C 7F 00 40 50 00 00 A2 8C 30 00 A6 8C 00 00 C6 8C 23 30 C2 00 79 00 C0 18 01 00 42 24 00 00 82 AC ?? ?? ?? 0? E4 00 A0 A3 21 20 E0 02 1C 00 42 8C A4 00 A3 AF AC 00 A8 AF 09 F8 40 00 A8 00 A9 AF A4 00 A3 8F AC 00 A8 8F BF FF 50 14 A8 00 A9 8F 21 B8 00 00 E0 00 A5 8F ?? ?? ?? 0? 01 00 1E 24 21 20 A0 00 1C 00 42 8C A4 00 A3 AF A0 00 A5 AF AC 00 A8 AF 09 F8 40 00 A8 00 A9 AF A4 00 A3 8F A0 00 A5 8F AC 00 A8 8F 9F FF 50 14 A8 00 A9 8F E0 00 A0 AF 21 28 00 00 ?? ?? ?? 0? E4 00 A3 A3 E0 00 A5 8F 72 00 A0 50 E0 00 A0 AF 20 00 A2 8C 00 00 42 8C 5F 00 40 50 00 00 A2 8C 30 00 A6 8C 00 00 C6 8C 23 30 C2 00 5A 00 C0 58 00 00 A2 8C 00 00 42 90 20 14 02 7C E5 00 A2 A3 E4 00 A3 A3 C3 FF 82 10 00 00 00 00 00 00 C2 8E 02 00 42 34 00 00 C2 AE E4 00 A2 93 43 FF 40 14 00 00 00 00 98 00 A0 10 01 00 02 24 20 00 A2 8C 00 00 42 8C 8C 00 40 50 00 00 A2 8C 30 00 A3 8C 00 00 63 8C 23 18 62 00 87 00 60 58 00 00 A2 8C 00 00 42 90 E5 00 A2 A3 01 00 02 24 E4 00 A2 A3 34 FF C0 17 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 21 20 A0 00 1C 00 42 8C A4 00 A3 AF AC 00 A8 AF 09 F8 40 00 A8 00 A9 AF A4 00 A3 8F AC 00 A8 8F 99 FF 50 14 A8 00 A9 8F E5 00 A2 83 E0 00 A0 AF ?? ?? ?? 0? E4 00 A3 A3 01 00 04 81 E0 00 A6 8F 20 00 42 8C EC 00 BE A3 EC 00 A5 8F E4 00 A7 8F 01 00 08 25 14 00 A5 AF F8 00 A5 8F 24 00 A4 AF A4 00 A3 AF 20 00 A5 AF AC 00 A8 AF A8 00 A9 AF E8 00 B7 AF 10 00 B7 AF 18 00 B4 AF 1C 00 B6 AF 28 00 A0 AF 30 00 A4 27 09 F8 40 00 21 28 60 02 30 00 A2 8F A4 00 A3 8F AC 00 A8 8F E0 00 A2 AF 34 00 A2 97 A8 00 A9 8F ?? ?? ?? 0? E4 00 A2 A7 00 00 A2 8C 21 20 A0 00 20 00 42 8C A4 00 A3 AF AC 00 A8 AF 09 F8 40 00 A8 00 A9 AF A4 00 A3 8F AC 00 A8 8F 7F FF 50 14 A8 00 A9 8F E0 00 A0 AF ?? ?? ?? 0? E4 00 A3 A3 21 20 A0 00 1C 00 42 8C A4 00 A3 AF A0 00 A5 AF AC 00 A8 AF 09 F8 40 00 A8 00 A9 AF A4 00 A3 8F A0 00 A5 8F AC 00 A8 8F 45 00 50 14 A8 00 A9 8F 00 00 04 81 E5 00 A2 83 E0 00 A0 AF 21 28 00 00 ?? ?? ?? 0? E4 00 A3 A3 21 20 00 02 04 00 42 8C AC 00 A8 AF 09 F8 40 00 A8 00 A9 AF A8 00 A9 8F ?? ?? ?? 0? AC 00 A8 8F 27 00 E0 52 21 B8 00 00 20 00 E2 8E 00 00 42 8C 1C 00 40 50 00 00 E2 8E 30 00 E3 8E 00 00 63 8C 23 10 62 00 17 00 40 58 00 00 E2 8E E0 00 A5 8F D2 FE A0 14 00 00 00 00 D6 FE E0 16 E0 00 A3 8F ?? ?? ?? 0? 00 00 C2 8E ?? ?? ?? 0? AC 00 A8 AF 0C 00 44 8C A4 00 A3 8F 2B 20 44 02 6C FE 80 10 AC 00 A8 8F 08 00 42 8C 80 90 12 00 21 90 52 00 00 00 49 8E 9C FE 20 55 04 00 02 8E ?? ?? ?? 0? 00 00 00 00 1C 00 42 8C 09 F8 40 00 21 20 E0 02 FF FF 03 24 E6 FF 43 54 E0 00 A5 8F 21 B8 00 00 ?? ?? ?? 0? E0 00 A5 8F 21 20 A0 00 1C 00 42 8C 09 F8 40 00 A0 00 A5 AF FF FF 03 24 75 FF 43 14 A0 00 A5 8F 01 00 02 24 E0 00 A0 AF 21 28 00 00 ?? ?? ?? 0? E4 00 A2 A3 20 14 02 7C 00 00 04 81 ?? ?? ?? 0? E5 00 A2 A3 }
	condition:
		$1
}

rule file_330_85_4 {
	meta:
		name = "_ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tmcc"
		size = 2016
		refs = "0288 _ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetintERS3_S5_iiRi 0364 _ZNKSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetfmtES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateEP2tmPKc 0708 _ZSt10_GetloctxtIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEiRT0_S5_mPKT_"
	strings:
		$1 = { 60 FF BD 27 C4 00 A2 83 90 00 B0 AF 21 80 80 00 BF FF 42 24 FF 00 42 30 39 00 44 2C 98 00 B2 AF 94 00 B1 AF 9C 00 BF AF A8 00 A6 AF AC 00 A7 AF B8 00 A3 8F BC 00 B1 8F C0 00 B2 8F 1C 00 80 14 28 00 A0 AF 00 00 22 8E 02 00 42 34 00 00 22 AE AC 00 A2 93 75 00 40 10 A8 00 A4 8F B4 00 A2 93 53 00 40 10 A8 00 A2 8F 64 00 40 10 B0 00 A4 8F 05 00 80 10 A8 00 A3 8F 00 00 22 8E 01 00 42 34 00 00 22 AE A8 00 A3 8F 21 10 00 02 00 00 03 AE AC 00 A3 8F 04 00 03 AE 9C 00 BF 8F 98 00 B2 8F 94 00 B1 8F 90 00 B0 8F 08 00 E0 03 A0 00 BD 27 ?? ?? 04 3C 80 10 02 00 ?? ?? 84 24 21 10 82 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 00 A4 8F 41 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 4B 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 46 00 60 58 00 00 82 8C 00 00 42 90 B5 00 A2 A3 01 00 02 24 B4 00 A2 A3 A8 00 A2 8F 9E FF 40 14 00 00 00 00 9E FF 80 10 A8 00 A3 8F 21 10 00 02 00 00 03 AE AC 00 A3 8F 04 00 03 AE 9C 00 BF 8F 98 00 B2 8F 94 00 B1 8F 90 00 B0 8F 08 00 E0 03 A0 00 BD 27 2E 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 23 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 1E 00 60 58 00 00 82 8C 00 00 42 90 AD 00 A2 A3 01 00 02 24 ?? ?? ?? 0? AC 00 A2 A3 21 20 A0 00 1C 00 52 26 A8 00 A5 27 B0 00 A6 27 21 38 00 00 35 00 02 24 10 00 A2 AF ?? ?? ?? 0? 14 00 B2 AF 00 00 23 8E 25 10 62 00 ?? ?? ?? 0? 00 00 22 AE 04 00 52 26 21 20 A0 00 B0 00 A6 27 A8 00 A5 27 21 38 00 00 ?? ?? ?? 0? 3B 00 02 24 B0 00 A0 AF 21 20 00 00 ?? ?? ?? 0? B4 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 E0 FF 43 54 AD 00 A2 A3 01 00 02 24 A8 00 A0 AF ?? ?? ?? 0? AC 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 B0 00 A4 8F ?? ?? ?? 0? B5 00 A2 A3 21 20 A0 00 08 00 52 26 A8 00 A5 27 B0 00 A6 27 21 38 00 00 ?? ?? ?? 0? 17 00 02 24 B0 00 A2 8F A8 00 A6 8F AC 00 A7 8F 10 00 A2 AF B4 00 A2 8F 44 00 A4 27 18 00 A3 AF 14 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 24 00 A2 AF 1C 00 B1 AF ?? ?? ?? 0? 20 00 B2 AF 48 00 A2 97 44 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF 63 00 02 24 21 20 A0 00 10 00 A2 AF A8 00 A5 27 28 00 A2 27 B0 00 A6 27 21 38 00 00 ?? ?? ?? 0? 14 00 A2 AF 00 00 23 8E 25 10 43 00 02 00 43 30 27 FF 60 14 00 00 22 AE 28 00 A3 8F 64 00 02 24 02 10 62 70 94 F8 42 24 ?? ?? ?? 0? 14 00 42 AE B0 00 A4 8F B4 00 A2 8F A8 00 A6 8F AC 00 A7 8F 00 00 A8 8C 7C 00 A4 AF 10 00 A4 AF 18 00 A3 AF 84 00 A6 AF 88 00 A7 AF 80 00 A2 AF 14 00 A2 AF 1C 00 B1 AF 20 00 B2 AF 18 00 02 8D 09 F8 40 00 34 00 A4 27 38 00 A2 97 34 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF 21 20 A0 00 08 00 52 26 A8 00 A5 27 B0 00 A6 27 21 38 00 00 ?? ?? ?? 0? 0B 00 02 24 63 00 02 24 21 20 A0 00 10 00 A2 AF A8 00 A5 27 28 00 A2 27 B0 00 A6 27 21 38 00 00 ?? ?? ?? 0? 14 00 A2 AF 00 00 23 8E 25 10 43 00 02 00 43 30 F6 FE 60 14 00 00 22 AE 28 00 A2 8F 45 00 44 28 64 00 43 24 0B 10 64 00 ?? ?? ?? 0? 14 00 42 AE B0 00 A2 8F A8 00 A6 8F AC 00 A7 8F 10 00 A2 AF B4 00 A2 8F 64 00 A4 27 18 00 A3 AF 14 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 24 00 A2 AF 1C 00 B1 AF ?? ?? ?? 0? 20 00 B2 AF 68 00 A2 97 64 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF 21 20 A0 00 0C 00 52 26 A8 00 A5 27 B0 00 A6 27 01 00 07 24 ?? ?? ?? 0? 1F 00 02 24 B0 00 A2 8F A8 00 A6 8F AC 00 A7 8F 10 00 A2 AF B4 00 A2 8F 3C 00 A4 27 18 00 A3 AF 14 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 24 00 A2 AF 1C 00 B1 AF ?? ?? ?? 0? 20 00 B2 AF 40 00 A2 97 3C 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF B0 00 A4 8F B4 00 A2 8F A8 00 A6 8F AC 00 A7 8F 00 00 A8 8C 84 00 A4 AF 10 00 A4 AF 18 00 A3 AF 7C 00 A6 AF 80 00 A7 AF 88 00 A2 AF 14 00 A2 AF 1C 00 B1 AF 20 00 B2 AF 1C 00 02 8D 09 F8 40 00 74 00 A4 27 78 00 A2 97 74 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF B0 00 A2 8F A8 00 A6 8F AC 00 A7 8F 10 00 A2 AF B4 00 A2 8F 5C 00 A4 27 18 00 A3 AF 14 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 24 00 A2 AF 1C 00 B1 AF ?? ?? ?? 0? 20 00 B2 AF 60 00 A2 97 5C 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF B0 00 A4 8F B4 00 A2 8F A8 00 A6 8F AC 00 A7 8F 00 00 A8 8C 84 00 A4 AF 10 00 A4 AF 18 00 A3 AF 7C 00 A6 AF 80 00 A7 AF 88 00 A2 AF 14 00 A2 AF 1C 00 B1 AF 20 00 B2 AF 14 00 02 8D 09 F8 40 00 2C 00 A4 27 30 00 A2 97 2C 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF B0 00 A2 8F A8 00 A6 8F AC 00 A7 8F 10 00 A2 AF B4 00 A2 8F 6C 00 A4 27 18 00 A3 AF 14 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 24 00 A2 AF 1C 00 B1 AF ?? ?? ?? 0? 20 00 B2 AF 70 00 A2 97 6C 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF 21 20 A0 00 18 00 52 26 A8 00 A5 27 B0 00 A6 27 21 38 00 00 ?? ?? ?? 0? 06 00 02 24 B0 00 A2 8F A8 00 A6 8F AC 00 A7 8F 10 00 A2 AF B4 00 A2 8F 54 00 A4 27 18 00 A3 AF 14 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 24 00 A2 AF 1C 00 B1 AF ?? ?? ?? 0? 20 00 B2 AF 58 00 A2 97 54 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF ?? ?? 07 3C A8 00 A4 27 B0 00 A5 27 21 30 00 00 ?? ?? ?? 0? ?? ?? E7 24 4C FE 40 04 28 00 A2 AF 0C 00 04 24 02 28 44 70 08 00 43 8E 21 10 A3 00 ?? ?? ?? 0? 08 00 42 AE B0 00 A2 8F A8 00 A6 8F AC 00 A7 8F 10 00 A2 AF B4 00 A2 8F 4C 00 A4 27 18 00 A3 AF 14 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 24 00 A2 AF 1C 00 B1 AF ?? ?? ?? 0? 20 00 B2 AF 50 00 A2 97 4C 00 A3 8F AC 00 A2 A7 ?? ?? ?? 0? A8 00 A3 AF 0C 00 02 24 21 20 A0 00 10 00 A2 AF A8 00 A5 27 28 00 A2 27 B0 00 A6 27 01 00 07 24 ?? ?? ?? 0? 14 00 A2 AF 00 00 23 8E 25 10 43 00 02 00 43 30 28 FE 60 14 00 00 22 AE 28 00 A2 8F FF FF 42 24 ?? ?? ?? 0? 10 00 42 AE 21 20 A0 00 1C 00 52 26 A8 00 A5 27 B0 00 A6 27 01 00 07 24 ?? ?? ?? 0? 6E 01 02 24 }
	condition:
		$1
}

rule file_330_86_4 {
	meta:
		name = "_ZNKSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE8_PutmfldES3_bRSt8ios_basecbSs"
		size = 6152
		refs = "0074 _ZNSt10moneypunctIcLb1EE2idE 0084 _ZNSt9_FacetptrISt10moneypunctIcLb1EEE6_PsaveE 0088 _ZNSt6locale2id7_Id_cntE 012c _ZNSt10moneypunctIcLb0EE2idE 013c _ZNSt9_FacetptrISt10moneypunctIcLb0EEE6_PsaveE 02c8 _ZSt14_Xout_of_rangePKc 03ac _ZNSs6assignERKSsmm 03c8 _ZdlPv 0894 _ZNSs5_CopyEmm 08e0 memmove 0c70 _ZSt14_Xlength_errorPKc 1108 _ZNSt8_LocinfoC1EPKc 1110 _Znwm 1124 _ZTVSt7_MpunctIcE 1148 _ZNSt7_MpunctIcE5_InitERKSt8_Locinfob 1154 _ZTVSt10moneypunctIcLb1EE 1174 _ZNSt8_LocinfoD1Ev 11a4 _ZNSt6locale5facet9_RegisterEv 1224 _ZTVSt10moneypunctIcLb0EE 1644 memset 16a4 _ZNSt6locale16_GetgloballocaleEv"
	strings:
		$1 = { C0 FD BD 27 50 02 A2 93 38 02 BE AF 30 02 B6 AF 2C 02 B5 AF 20 02 B2 AF 1C 02 B1 AF 3C 02 BF AF 34 02 B7 AF 28 02 B4 AF 24 02 B3 AF 18 02 B0 AF 21 B0 80 00 48 02 A6 AF 4C 02 A7 AF 54 02 B5 8F 60 02 A8 8F 58 02 B1 83 5C 02 BE 93 FF 00 D2 30 2F 00 40 10 21 18 E0 00 24 00 A2 8E FF FF 04 24 00 00 53 8C 04 00 62 8E 02 00 44 10 01 00 42 24 04 00 62 AE ?? ?? 02 3C ?? ?? 57 8C ?? ?? 14 3C 07 00 E0 16 ?? ?? 84 8E ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 B8 C0 00 ?? ?? A6 AC ?? ?? 46 AC 0C 00 62 8E 2B 10 E2 02 0E 04 40 50 14 00 62 92 08 00 65 8E 80 10 17 00 21 10 A2 00 00 00 50 8C 08 04 00 52 14 00 62 92 04 00 62 8E FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 64 AE 21 10 80 00 38 00 40 54 00 00 02 8E 00 00 62 8E 21 20 60 02 04 00 42 8C 10 02 A3 AF 09 F8 40 00 14 02 A8 AF 10 02 A3 8F ?? ?? ?? 0? 14 02 A8 8F 24 00 A2 8E FF FF 04 24 00 00 53 8C 04 00 62 8E 02 00 44 10 01 00 42 24 04 00 62 AE ?? ?? 02 3C ?? ?? 57 8C ?? ?? 14 3C 07 00 E0 16 ?? ?? 84 8E ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 B8 C0 00 ?? ?? A6 AC ?? ?? 46 AC 0C 00 62 8E 2B 10 E2 02 15 04 40 50 14 00 62 92 08 00 65 8E 80 10 17 00 21 10 A2 00 00 00 50 8C 0F 04 00 52 14 00 62 92 04 00 62 8E FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 64 AE 21 10 80 00 0A 00 40 54 00 00 02 8E 00 00 62 8E 21 20 60 02 04 00 42 8C 10 02 A3 AF 09 F8 40 00 14 02 A8 AF 14 02 A8 8F 10 02 A3 8F 00 00 02 8E 7C 00 B7 27 21 28 00 02 10 00 42 8C 21 20 E0 02 10 02 A3 AF 09 F8 40 00 14 02 A8 AF 00 00 02 8E 20 00 42 8C 09 F8 40 00 21 20 00 02 14 02 A8 8F C3 27 02 00 26 98 82 00 10 00 05 8D 23 98 64 02 2B 10 65 02 87 03 40 10 10 02 A3 8F 90 00 A2 8F 7C 00 A4 8F 10 00 42 2C 0B 20 E2 02 00 00 82 80 7F 00 04 24 47 00 44 50 0F 00 02 24 44 00 40 18 21 20 00 02 00 00 02 8E FF FF 14 24 0C 00 42 8C 10 02 A3 AF 09 F8 40 00 14 02 A8 AF 90 00 A9 8F 21 28 40 00 7C 00 A2 8F 10 00 29 2D 14 02 A8 8F 0A B8 49 00 00 00 E2 82 10 00 07 8D 10 02 A3 8F FF FF 44 24 FF 00 84 30 7E 00 84 2C 21 48 E0 02 23 38 F3 00 21 B8 A0 00 2C 00 80 10 F4 01 A3 AF 2B 20 47 00 2A 00 80 50 F4 01 A3 8F 10 00 0A 8D 23 38 E2 00 2B 10 47 01 0C 00 40 10 FE FF 42 2D ?? ?? 04 3C ?? ?? 84 24 08 02 A7 AF 14 02 A8 AF ?? ?? ?? 0? 0C 02 A9 AF 14 02 A8 8F 0C 02 A9 8F 08 02 A7 8F 10 00 0A 8D FE FF 42 2D 5E 02 40 10 01 00 4A 25 69 02 54 11 ?? ?? 04 3C 14 00 02 8D 2B 20 4A 00 60 01 80 54 10 00 06 8D 6C 01 40 15 10 00 42 2C 02 00 40 14 21 20 00 01 00 00 04 8D 10 00 00 AD 00 00 80 A0 01 00 22 81 08 01 40 18 01 00 24 25 21 48 80 00 FF FF 44 24 FF 00 84 30 7E 00 84 2C D7 FF 80 14 2B 20 47 00 F4 01 A3 8F 0F 00 02 24 AC 00 A2 AF A8 00 A0 AF 5A 02 C0 13 98 00 A0 A3 00 00 02 8E 14 00 BE 27 21 20 C0 03 28 00 42 8C 21 28 00 02 10 02 A3 AF 09 F8 40 00 14 02 A8 AF 14 00 A2 8F 98 00 A6 27 B4 00 A4 27 10 00 A2 AF 00 00 02 8E F4 01 A6 AF 1C 00 42 8C 09 F8 40 00 21 28 00 02 F4 01 A4 8F B4 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 C8 00 A2 8F 10 02 A3 8F 10 00 42 2C 05 00 40 14 14 02 A8 8F ?? ?? ?? 0? B4 00 A4 8F 14 02 A8 8F 10 02 A3 8F B4 00 A0 A3 10 00 B7 8E 0F 00 02 24 C8 00 A2 AF 0F 00 02 24 00 01 A2 AF 80 00 E2 32 C4 00 A0 AF FC 00 A0 AF 5A 02 40 14 EC 00 A0 A3 FC 00 B8 8F A8 00 B4 8F 2B C8 13 00 21 10 00 00 21 20 00 00 21 60 00 00 76 00 05 24 F8 01 B9 AF 03 00 0B 24 78 00 0A 24 24 00 09 24 2B 00 0D 24 20 00 0E 24 04 00 07 24 10 00 AF 27 21 30 E2 01 00 00 C6 80 8D 01 C5 10 77 00 CF 28 F4 00 E0 11 00 00 00 00 05 00 C9 50 21 20 98 00 03 00 CD 50 21 20 94 00 F0 00 CE 50 01 00 84 24 01 00 42 24 F2 FF 47 14 10 00 AF 27 18 00 A2 8E 05 00 40 18 21 30 00 00 2B 30 82 00 23 20 44 00 0A 20 06 00 21 30 80 00 0E 00 F7 32 02 00 02 24 22 00 E2 12 08 00 02 24 F9 02 E2 12 00 00 00 00 48 02 B2 A3 48 02 A2 8F 4C 02 A3 AF 70 00 A3 AF 12 00 C0 10 6C 00 A2 AF FF 00 34 32 0C 00 60 50 01 00 12 24 24 00 64 8C 00 00 82 8C 9E 00 40 10 01 00 45 24 34 00 67 8C 00 00 E7 8C 23 38 E2 00 9A 00 E0 58 00 00 62 8C 00 00 85 AC 00 00 51 A0 FF FF C6 24 F1 FF C0 14 00 00 00 00 6C 00 B2 A3 6C 00 A2 8F 70 00 A3 AF 20 00 A3 AF 1C 00 A2 AF 48 02 A2 AF 4C 02 A3 AF 21 30 00 00 23 28 13 00 FF 00 2F 32 EC 00 B9 27 F8 01 B0 AF 10 00 A9 27 21 80 00 01 76 00 14 24 00 02 A5 AF FC 01 AF AF F0 01 B9 AF 21 40 40 02 00 00 22 81 92 01 54 10 77 00 44 28 8B 00 80 10 78 00 04 24 24 00 04 24 4F 01 44 10 2B 00 04 24 1F 01 44 10 20 00 04 24 05 01 44 50 48 02 A8 A3 01 00 29 25 F3 FF C9 57 00 00 22 81 A8 00 A2 8F 02 00 44 2C 29 00 80 14 21 90 00 01 AC 00 A4 8F 10 00 84 2C 03 00 80 14 99 00 B4 27 98 00 B4 8F 01 00 94 26 48 02 B2 A3 48 02 A4 8F 01 00 93 26 4C 02 A3 AF 70 00 A3 AF 6C 00 A4 AF 21 A0 82 02 ?? ?? ?? 0? FF FF 10 24 24 00 64 8C 00 00 82 8C DF 00 40 10 01 00 47 24 34 00 68 8C 00 00 08 8D 23 40 02 01 DB 00 00 59 00 00 62 8C 00 00 87 AC 00 00 45 A0 01 00 73 26 08 00 74 52 6C 00 B2 A3 F1 FF 60 14 FF FF 65 82 01 00 12 24 01 00 73 26 FB FF 74 16 00 00 00 00 6C 00 B2 A3 6C 00 A2 8F 78 00 A3 AF 74 00 A2 AF 48 02 A2 AF 48 02 B2 A3 48 02 A2 8F 18 00 A0 AE 4C 02 A3 AF 6C 00 A2 AF 13 00 C0 10 70 00 A3 AF FF 00 30 32 FF FF 13 24 0C 00 60 50 01 00 12 24 24 00 64 8C 00 00 82 8C AF 00 40 10 01 00 45 24 34 00 67 8C 00 00 E7 8C 23 38 E2 00 AB 00 E0 58 00 00 62 8C 00 00 85 AC 00 00 51 A0 FF FF C6 24 F1 FF C0 14 00 00 00 00 00 01 A2 8F 04 00 C3 AE 6C 00 A3 8F 10 00 42 2C 00 00 C3 AE 03 00 40 14 00 00 D2 A2 ?? ?? ?? 0? EC 00 A4 8F 0F 00 02 24 00 01 A2 AF AC 00 A2 8F FC 00 A0 AF 10 00 42 2C 03 00 40 14 EC 00 A0 A3 ?? ?? ?? 0? 98 00 A4 8F 0F 00 02 24 AC 00 A2 AF 90 00 A2 8F A8 00 A0 AF 10 00 42 2C 03 00 40 14 98 00 A0 A3 ?? ?? ?? 0? 7C 00 A4 8F 3C 02 BF 8F 21 10 C0 02 38 02 BE 8F 34 02 B7 8F 30 02 B6 8F 2C 02 B5 8F 28 02 B4 8F 24 02 B3 8F 20 02 B2 8F 1C 02 B1 8F 18 02 B0 8F 08 00 E0 03 40 02 BD 27 21 20 20 01 00 00 22 81 ?? ?? ?? 0? 21 48 80 00 00 00 62 8C 21 20 60 00 21 28 80 02 10 00 42 8C 10 02 A3 AF 04 02 A6 AF 09 F8 40 00 14 02 A8 AF FF FF 04 24 10 02 A3 8F 04 02 A6 8F 5E FF 44 14 14 02 A8 8F ?? ?? ?? 0? 01 00 12 24 7D FF 44 54 01 00 29 25 08 00 02 24 7A FF E2 56 01 00 29 25 48 02 A8 A3 48 02 A2 8F 4C 02 A3 AF 70 00 A3 AF 11 00 C0 10 6C 00 A2 AF 0C 00 60 50 01 00 08 24 24 00 64 8C 00 00 82 8C 1A 00 40 10 01 00 45 24 34 00 67 8C 00 00 E7 8C 23 38 E2 00 16 00 E0 58 00 00 62 8C 00 00 85 AC 00 00 51 A0 FF FF C6 24 F1 FF C0 14 00 00 00 00 6C 00 A8 A3 6C 00 A2 8F 70 00 A3 AF 38 00 A3 AF 34 00 A2 AF 48 02 A2 AF 4C 02 A3 AF ?? ?? ?? 0? 21 30 00 00 13 FF CA 54 01 00 42 24 14 FF 4B 50 18 00 A2 8E ?? ?? ?? 0? 01 00 0C 24 00 00 62 8C FC 01 A5 8F 21 20 60 00 10 00 42 8C 10 02 A3 AF 04 02 A6 AF 14 02 A8 AF 09 F8 40 00 0C 02 A9 AF FF FF 04 24 10 02 A3 8F 04 02 A6 8F 14 02 A8 8F E0 FF 44 14 0C 02 A9 8F ?? ?? ?? 0? 01 00 08 24 21 20 00 01 21 28 40 01 08 02 A7 AF 14 02 A8 AF 0C 02 A9 AF ?? ?? ?? 0? 04 02 AA AF 04 02 AA 8F 08 02 A7 8F 14 02 A8 8F 9D FE 40 11 0C 02 A9 8F 14 00 02 8D 10 00 42 2C E6 00 40 14 01 00 E4 24 00 00 05 8D 21 20 A4 00 10 00 06 8D 21 28 A7 00 08 02 A7 AF 23 30 C7 00 14 02 A8 AF 0C 02 A9 AF ?? ?? ?? 0? 04 02 AA AF 14 02 A8 8F 08 02 A7 8F 0C 02 A9 8F 14 00 04 8D 21 10 00 01 10 00 84 2C 02 00 80 14 04 02 AA 8F 00 00 02 8D 21 10 47 00 00 00 57 A0 14 00 04 8D 10 00 84 2C 02 00 80 14 21 10 00 01 00 00 02 8D 21 10 4A 00 10 00 0A AD ?? ?? ?? 0? 00 00 40 A0 00 00 62 8C 21 20 60 00 21 28 00 02 10 00 42 8C 10 02 A3 AF 09 F8 40 00 04 02 A6 AF 10 02 A3 8F 50 FF 53 14 04 02 A6 8F ?? ?? ?? 0? 01 00 12 24 00 00 62 8C 21 20 60 00 FF 00 A5 30 10 00 42 8C 10 02 A3 AF 09 F8 40 00 04 02 A6 AF 10 02 A3 8F 20 FF 50 14 04 02 A6 8F ?? ?? ?? 0? 01 00 12 24 48 02 A2 8F 4C 02 A3 AF 70 00 A3 AF CD 01 60 10 6C 00 A2 AF 24 00 64 8C 00 00 82 8C BB 01 40 50 00 00 62 8C 34 00 65 8C 00 00 A5 8C 23 28 A2 00 B5 01 A0 18 01 00 45 24 00 00 85 AC 00 00 51 A0 6C 00 A8 A3 6C 00 A2 8F 70 00 A3 AF 30 00 A3 AF 2C 00 A2 AF 48 02 A2 AF ?? ?? ?? 0? 4C 02 A3 AF A8 00 A2 8F E3 FE 40 50 01 00 29 25 AC 00 A2 8F 98 00 A4 8F F4 01 AF 8F 48 02 A8 A3 10 00 42 2C 0A 78 82 00 48 02 A4 8F 4C 02 A3 AF 70 00 A3 AF 6C 00 A4 AF 54 02 60 10 00 00 E5 81 24 00 64 8C 00 00 82 8C 42 02 40 50 00 00 62 8C 34 00 67 8C 00 00 E7 8C 23 38 E2 00 3C 02 E0 18 01 00 47 24 00 00 87 AC 00 00 45 A0 6C 00 A8 A3 6C 00 A2 8F 70 00 A3 AF 48 00 A3 AF 44 00 A2 AF 48 02 A2 AF ?? ?? ?? 0? 4C 02 A3 AF 10 00 06 8D 2B C8 66 02 04 00 20 17 21 78 00 00 01 00 19 24 23 78 26 03 21 78 F3 01 F8 01 B9 8F 21 30 26 03 21 20 C4 00 ?? ?? ?? 0? 21 20 8F 00 00 01 B2 8F EC 00 A2 8F F0 01 A4 8F 10 00 52 2E 48 02 A8 A3 0A 20 52 00 FC 00 A7 8F 48 02 A2 8F 21 90 80 00 4C 02 A3 AF 6C 00 A2 AF 17 00 E0 10 70 00 A3 AF ?? ?? ?? 0? 21 38 87 00 24 00 64 8C 00 00 82 8C 19 00 40 10 01 00 4A 24 34 00 6B 8C 00 00 6B 8D 23 58 62 01 15 00 60 59 00 00 62 8C 00 00 8A AC 00 00 45 A0 01 00 52 26 08 00 47 52 6C 00 A8 A3 F1 FF 60 14 00 00 45 82 01 00 08 24 01 00 52 26 FB FF 47 16 00 00 00 00 6C 00 A8 A3 6C 00 A2 8F 70 00 A3 AF 40 00 A3 AF 3C 00 A2 AF 48 02 A2 AF ?? ?? ?? 0? 4C 02 A3 AF 00 00 62 8C 21 20 60 00 FF 00 A5 30 10 00 42 8C 10 02 A3 AF 04 02 A6 AF 08 02 A7 AF 14 02 A8 AF 09 F8 40 00 0C 02 A9 AF FF FF 05 24 10 02 A3 8F 04 02 A6 8F 08 02 A7 8F 14 02 A8 8F DF FF 45 14 0C 02 A9 8F ?? ?? ?? 0? 01 00 08 24 9D 00 60 56 10 00 07 8E 14 00 02 8E 10 00 42 2C B3 01 40 10 21 90 00 02 48 02 A8 A3 48 02 A2 8F 10 00 07 8E 4C 02 A3 AF 6C 00 A2 AF 17 00 E0 10 70 00 A3 AF ?? ?? ?? 0? 21 38 47 02 24 00 64 8C 00 00 82 8C 79 00 40 10 01 00 4A 24 34 00 6B 8C 00 00 6B 8D 23 58 62 01 75 00 60 59 00 00 62 8C 00 00 8A AC 00 00 45 A0 01 00 52 26 08 00 47 52 6C 00 A8 A3 F1 FF 60 14 00 00 45 82 01 00 08 24 01 00 52 26 FB FF 47 16 00 00 00 00 6C 00 A8 A3 6C 00 A2 8F 70 00 A3 AF 50 00 A3 AF 4C 00 A2 AF 48 02 A2 AF ?? ?? ?? 0? 4C 02 A3 AF 21 28 00 01 ?? ?? ?? 0? 21 20 04 01 ?? ?? 04 3C ?? ?? 84 24 08 02 A7 AF 14 02 A8 AF ?? ?? ?? 0? 0C 02 A9 AF 14 02 A8 8F 0C 02 A9 8F 10 00 0A 8D 01 00 4A 25 9A FD 54 15 08 02 A7 8F ?? ?? 04 3C ?? ?? 84 24 08 02 A7 AF 14 02 A8 AF 0C 02 A9 AF ?? ?? ?? 0? 04 02 AA AF 04 02 AA 8F 0C 02 A9 8F 14 02 A8 8F ?? ?? ?? 0? 08 02 A7 8F 00 00 02 8E 98 00 AF 27 18 00 A4 27 24 00 42 8C 21 28 00 02 10 02 A3 AF 14 02 A8 AF 09 F8 40 00 F4 01 AF AF 18 00 A2 8F D0 00 A4 27 10 00 A2 AF 00 00 02 8E 18 00 42 8C 09 F8 40 00 21 28 00 02 F4 01 A4 8F D0 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 E4 00 A2 8F 10 02 A3 8F 10 00 42 2C 05 00 40 14 14 02 A8 8F ?? ?? ?? 0? D0 00 A4 8F 14 02 A8 8F 10 02 A3 8F D0 00 A0 A3 10 00 B7 8E 0F 00 02 24 E4 00 A2 AF 0F 00 02 24 00 01 A2 AF 80 00 E2 32 E0 00 A0 AF 14 00 BE 27 FC 00 A0 AF A8 FD 40 10 EC 00 A0 A3 00 00 02 8E 08 01 A4 27 21 28 00 02 14 00 42 8C 10 02 A3 AF 09 F8 40 00 14 02 A8 AF EC 00 A4 27 08 01 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 1C 01 A2 8F 10 02 A3 8F 10 00 42 2C 05 00 40 14 14 02 A8 8F ?? ?? ?? 0? 08 01 A4 8F 14 02 A8 8F 10 02 A3 8F 0F 00 02 24 10 00 B7 8E 1C 01 A2 AF 18 01 A0 AF ?? ?? ?? 0? 08 01 A0 A3 00 00 62 8C 21 20 60 00 FF 00 A5 30 10 00 42 8C 10 02 A3 AF 04 02 A6 AF 08 02 A7 AF 14 02 A8 AF 09 F8 40 00 0C 02 A9 AF FF FF 04 24 10 02 A3 8F 04 02 A6 8F 08 02 A7 8F 14 02 A8 8F 7F FF 44 14 0C 02 A9 8F ?? ?? ?? 0? 01 00 08 24 2B 10 67 02 58 01 40 10 00 00 00 00 14 00 02 8E 10 00 42 2C 16 01 40 10 21 90 00 02 48 02 A8 A3 48 02 A2 8F 23 38 F3 00 4C 02 A3 AF 6C 00 A2 AF 17 00 E0 10 70 00 A3 AF ?? ?? ?? 0? 21 38 47 02 24 00 64 8C 00 00 82 8C 5D 00 40 10 01 00 4A 24 34 00 6B 8C 00 00 6B 8D 23 58 62 01 59 00 60 59 00 00 62 8C 00 00 8A AC 00 00 45 A0 01 00 52 26 08 00 47 12 F8 01 B9 8F F1 FF 60 14 00 00 45 82 01 00 08 24 01 00 52 26 FB FF 47 16 00 00 00 00 F8 01 B9 8F 00 00 22 8F 6C 00 A8 A3 6C 00 A4 8F 08 00 42 8C 70 00 A3 AF 5C 00 A4 AF 60 00 A3 AF 48 02 A4 AF 4C 02 A3 AF 10 02 A3 AF 04 02 A6 AF 14 02 A8 AF 0C 02 A9 AF 09 F8 40 00 21 20 20 03 10 02 A3 8F 04 02 A6 8F 14 02 A8 8F FC 00 60 10 0C 02 A9 8F 24 00 65 8C 00 00 A4 8C EA 00 80 50 00 00 67 8C 34 00 67 8C 00 00 E7 8C 23 38 E4 00 E4 00 E0 18 01 00 87 24 00 00 A7 AC 00 00 82 A0 14 00 04 8E 10 00 84 2C 02 00 80 14 21 10 00 02 00 00 02 8E 10 00 12 8E 00 02 A5 8F 48 02 A8 A3 21 10 52 00 21 90 45 00 48 02 A2 8F 4C 02 A3 AF 70 00 A3 AF 6C 00 A2 AF ?? ?? ?? 0? 21 38 53 02 24 00 64 8C 00 00 82 8C DF 00 40 10 01 00 4A 24 34 00 6B 8C 00 00 6B 8D 23 58 62 01 DB 00 60 59 00 00 62 8C 00 00 8A AC 00 00 45 A0 01 00 52 26 08 00 47 52 6C 00 A8 A3 F1 FF 60 14 00 00 45 82 01 00 08 24 01 00 52 26 FB FF 47 16 00 00 00 00 6C 00 A8 A3 6C 00 A2 8F 70 00 A3 AF 68 00 A3 AF 64 00 A2 AF 48 02 A2 AF ?? ?? ?? 0? 4C 02 A3 AF 00 00 62 8C 21 20 60 00 FF 00 A5 30 10 00 42 8C 10 02 A3 AF 04 02 A6 AF 08 02 A7 AF 14 02 A8 AF }
	condition:
		$1
}

rule file_330_87_4 {
	meta:
		name = "_ZNKSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_bRSt8ios_basecRKSs"
		size = 736
		refs = "0154 _ZSt14_Xlength_errorPKc 017c _ZNSs5_CopyEmm 01a0 memcpy 01e4 _ZNSs6assignERKSsmm 0210 _ZNKSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE8_PutmfldES3_bRSt8ios_basecbSs 0228 _ZdlPv"
	strings:
		$1 = { 78 FF BD 27 80 00 B7 AF A4 00 B7 8F 74 00 B4 AF 70 00 B3 AF 14 00 E2 8E 68 00 B1 AF 64 00 B0 AF 10 00 42 2C 84 00 BF AF 7C 00 B6 AF 78 00 B5 AF 6C 00 B2 AF 21 88 80 00 21 80 A0 00 90 00 A6 AF 94 00 A7 AF 98 00 B4 93 02 00 40 14 A0 00 B3 83 00 00 F7 8E 00 00 E2 82 2D 00 03 24 41 00 43 10 21 90 00 00 30 00 43 28 0A 00 60 14 21 A8 00 00 3A 00 42 28 08 00 40 50 0F 00 02 24 01 00 B5 26 21 10 F5 02 00 00 42 80 30 00 43 28 27 00 60 10 3A 00 42 28 0F 00 02 24 3C 00 A2 AF FF FF 02 24 38 00 A0 AF 28 00 A0 A3 29 00 A2 12 0F 00 04 24 2B 10 95 00 2F 00 40 14 38 00 A6 8F 33 00 A0 16 28 00 B6 27 10 00 84 2C 03 00 80 14 21 10 C0 02 28 00 A2 8F 28 00 B6 27 38 00 A0 AF 00 00 40 A0 38 00 B5 8F FE FF A2 2E 73 00 40 10 ?? ?? 04 3C 01 00 B5 26 FF FF 02 24 75 00 A2 12 ?? ?? 04 3C 3C 00 A2 8F 2B 18 55 00 5E 00 60 14 38 00 A6 8F 61 00 A0 16 28 00 A3 8F 10 00 42 2C 38 00 A0 AF 0B 18 C2 02 ?? ?? ?? 0? 00 00 60 A0 D4 FF 40 54 01 00 B5 26 0F 00 02 24 3C 00 A2 AF FF FF 02 24 38 00 A0 AF 28 00 A0 A3 D9 FF A2 16 0F 00 04 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 3C 00 A4 8F 01 00 F7 26 00 00 E2 82 ?? ?? ?? 0? 01 00 12 24 28 00 B6 27 21 20 C0 02 ?? ?? ?? 0? 21 28 A0 02 D6 FF A0 12 3C 00 A4 8F 28 00 A2 8F 10 00 84 2C 21 28 E0 02 0B 10 C4 02 21 20 40 00 ?? ?? ?? 0? 21 30 A0 02 3C 00 A3 8F 28 00 A2 8F 38 00 B5 AF 10 00 63 2C 0B 10 C3 02 21 A8 55 00 00 00 A0 A2 44 00 B5 27 21 20 A0 02 21 28 C0 02 21 30 00 00 FF FF 07 24 0F 00 02 24 58 00 A2 AF 54 00 A0 AF ?? ?? ?? 0? 44 00 A0 A3 9C 00 A2 8F 90 00 A6 8F 94 00 A7 8F 21 20 20 02 21 28 00 02 14 00 A2 AF 10 00 B4 AF 18 00 B3 AF 1C 00 B2 AF ?? ?? ?? 0? 20 00 B5 AF 58 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 44 00 A4 8F 0F 00 02 24 58 00 A2 AF 3C 00 A2 8F 54 00 A0 AF 10 00 42 2C 03 00 40 14 44 00 A0 A3 ?? ?? ?? 0? 28 00 A4 8F 84 00 BF 8F 21 10 20 02 80 00 B7 8F 7C 00 B6 8F 78 00 B5 8F 74 00 B4 8F 70 00 B3 8F 6C 00 B2 8F 68 00 B1 8F 64 00 B0 8F 08 00 E0 03 88 00 BD 27 21 20 C0 02 ?? ?? ?? 0? 21 28 A0 02 CC FF A0 12 3C 00 A2 8F 10 00 42 2C 0A 00 40 14 38 00 A3 8F 28 00 A2 8F 21 10 43 00 30 00 03 24 ?? ?? ?? 0? 00 00 43 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 38 00 B5 8F ?? ?? ?? 0? 21 10 C0 02 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 3C 00 A2 8F }
	condition:
		$1
}

rule file_330_88_4 {
	meta:
		name = "_ZNKSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_bRSt8ios_basece"
		size = 1528
		refs = "0058 dpcmp 00b8 dpdiv 0110 sprintf 0234 _ZSt14_Xlength_errorPKc 02e0 memcpy 0310 _ZdlPv 0358 _Znwm 0398 _ZNSs5_CopyEmm 041c _ZNKSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE8_PutmfldES3_bRSt8ios_basecbSs 0554 memset 0584 _ZTVSt9bad_alloc 0598 _ZNKSt9exception6_RaiseEv 05ac _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 38 FF BD 27 A8 00 B2 AF A4 00 B1 AF E8 00 B2 8F EC 00 B1 8F B0 00 B4 AF CC 00 A5 AF 21 A0 80 00 D0 00 A6 AF D4 00 A7 AF 21 20 40 02 21 28 20 02 21 30 00 00 21 38 00 00 C0 00 BE AF B4 00 B5 AF C4 00 BF AF BC 00 B7 AF B8 00 B6 AF AC 00 B3 AF A0 00 B0 AF D8 00 BE 93 ?? ?? ?? 0? E0 00 B5 83 05 00 43 04 90 00 A0 AF 00 80 02 3C 26 88 22 02 01 00 02 24 90 00 A2 AF ?? ?? 10 3C ?? ?? 04 8E ?? ?? 05 8E 21 30 40 02 ?? ?? ?? 0? 21 38 20 02 17 00 40 1C 21 98 00 00 ?? ?? 02 3C ?? ?? 56 8C ?? ?? 57 8C 21 98 00 00 88 13 10 24 21 20 40 02 21 28 20 02 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 88 60 00 ?? ?? 03 3C ?? ?? 63 24 00 00 64 8C 04 00 65 8C 21 30 40 00 21 38 20 02 21 90 40 00 ?? ?? ?? 0? 0A 00 73 26 A3 00 40 18 00 00 00 00 ?? ?? 05 3C 0F 00 02 24 21 30 40 02 21 38 20 02 64 00 A4 27 ?? ?? A5 24 40 00 A2 AF 3C 00 A0 AF ?? ?? ?? 0? 2C 00 A0 A3 2D 00 40 58 3C 00 B1 8F 64 00 B7 27 ?? ?? 12 3C 21 88 E2 02 ?? ?? ?? 0? ?? ?? 52 26 10 00 C6 2C 2C 00 A2 27 0A 10 66 00 3C 00 A0 AF 00 00 40 A0 01 00 F7 26 20 00 F1 52 3C 00 B1 8F 3C 00 B6 8F FE FF C2 2E 35 00 40 10 00 00 F0 82 01 00 D6 26 FF FF 02 24 38 00 C2 12 40 00 A6 8F 2B 10 D6 00 3B 00 40 14 0F 00 C3 36 EC FF C0 12 2C 00 A3 8F 10 00 C6 2C 3C 00 A2 8F 02 00 C0 14 2C 00 A3 27 2C 00 A3 8F 21 10 62 00 00 00 50 A0 40 00 A4 8F 2C 00 A3 8F 2C 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 56 00 01 00 F7 26 3C 00 B6 AF E3 FF F1 16 00 00 40 A0 3C 00 B1 8F 27 10 11 00 2B 10 62 02 AE 00 40 10 ?? ?? 04 3C B1 00 60 56 21 88 33 02 0F 00 02 24 FF FF 03 24 5C 00 A2 AF 58 00 A0 AF C0 00 23 12 48 00 A0 A3 2B 18 51 00 62 00 60 14 58 00 A6 8F 66 00 20 16 48 00 B0 27 10 00 42 2C BD 00 40 14 21 10 00 02 48 00 A2 8F 58 00 A0 AF 48 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? 21 20 40 02 3C 00 B6 8F FF FF 02 24 01 00 D6 26 CA FF C2 16 40 00 A6 8F ?? ?? ?? 0? 21 20 40 02 40 00 A6 8F 2B 10 D6 00 C7 FF 40 10 0F 00 C3 36 FF FF 02 24 46 00 62 10 3C 00 A8 8F AA AA 02 3C AB AA 42 34 19 00 62 00 42 10 06 00 10 58 00 00 42 20 0B 00 2B 20 82 00 08 00 80 10 01 00 64 24 FE FF 03 24 23 18 62 00 2B 18 66 00 2A 00 60 14 FF FF 04 24 21 18 46 00 01 00 64 24 27 00 80 14 21 38 00 00 0F 00 00 11 10 00 C6 2C 2C 00 A5 8F 2C 00 A2 27 21 20 E0 00 0B 28 46 00 21 30 00 01 9C 00 A3 AF 94 00 A7 AF ?? ?? ?? 0? 98 00 A8 AF 40 00 A6 8F 98 00 A8 8F 94 00 A7 8F 9C 00 A3 8F 10 00 C6 2C 0A 00 C0 14 10 00 64 2C 2C 00 A4 8F 9C 00 A3 AF 94 00 A7 AF ?? ?? ?? 0? 98 00 A8 AF 98 00 A8 8F 94 00 A7 8F 9C 00 A3 8F 10 00 64 2C 2C 00 A2 27 2C 00 A7 AF 0B 38 44 00 21 38 E8 00 40 00 A3 AF 3C 00 A8 AF 81 FF C0 12 00 00 E0 A0 ?? ?? ?? 0? 40 00 A6 8F FE FF 03 24 9C 00 A3 AF ?? ?? ?? 0? 98 00 A8 AF 9C 00 A3 8F 87 00 40 10 98 00 A8 8F 21 38 40 00 ?? ?? ?? 0? 40 00 A6 8F 4D FF 70 16 21 20 40 02 ?? ?? ?? 0? ?? ?? 05 3C ?? ?? ?? 0? 21 18 C0 02 48 00 B0 27 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 14 00 20 12 5C 00 A2 8F 48 00 A3 8F 10 00 42 2C 40 00 A5 8F 21 20 00 02 0A 20 62 00 2C 00 A3 8F 10 00 A5 2C 2C 00 A2 27 0A 10 65 00 21 30 20 02 ?? ?? ?? 0? 21 28 40 00 5C 00 A3 8F 48 00 A2 8F 58 00 B1 AF 10 00 63 2C 0B 10 03 02 21 88 51 00 00 00 20 A2 DC 00 A2 8F D0 00 A6 8F D4 00 A7 8F 14 00 A2 AF CC 00 A5 8F 90 00 A2 8F 21 20 80 02 10 00 BE AF 1C 00 A2 AF 18 00 B5 AF ?? ?? ?? 0? 20 00 B0 AF 5C 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 48 00 A4 8F 0F 00 02 24 5C 00 A2 AF 40 00 A2 8F 58 00 A0 AF 10 00 42 2C 03 00 40 14 48 00 A0 A3 ?? ?? ?? 0? 2C 00 A4 8F C4 00 BF 8F 21 10 80 02 C0 00 BE 8F BC 00 B7 8F B8 00 B6 8F B4 00 B5 8F B0 00 B4 8F AC 00 B3 8F A8 00 B2 8F A4 00 B1 8F A0 00 B0 8F 08 00 E0 03 C8 00 BD 27 ?? ?? ?? 0? ?? ?? 84 24 52 FF 60 12 3C 00 B1 8F 21 88 33 02 FF FF 02 24 4E 00 22 52 ?? ?? 04 3C 40 00 A2 8F 2B 18 51 00 17 00 60 14 3C 00 A6 8F 1A 00 20 16 2C 00 A4 8F 10 00 42 2C 2C 00 A3 27 0A 18 82 00 3C 00 A0 AF 00 00 60 A0 3C 00 B1 8F 0F 00 02 24 FF FF 03 24 5C 00 A2 AF 58 00 A0 AF 42 FF 23 16 48 00 A0 A3 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 5C 00 A2 8F 58 00 A0 AF ?? ?? ?? 0? 00 00 40 A0 2C 00 A4 27 ?? ?? ?? 0? 21 28 20 02 14 00 20 12 40 00 A2 8F 01 00 03 24 24 00 63 12 3C 00 A4 8F 2C 00 A5 8F 10 00 42 2C 2C 00 A3 27 0A 18 A2 00 21 20 64 00 30 00 05 24 ?? ?? ?? 0? 21 30 60 02 40 00 A4 8F 2C 00 A3 8F 2C 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 51 00 3C 00 B1 AF 00 00 40 A0 ?? ?? ?? 0? 3C 00 B1 8F ?? ?? 0A 3C ?? ?? 4A 25 28 00 A4 27 9C 00 A3 AF 98 00 A8 AF ?? ?? ?? 0? 28 00 AA AF ?? ?? 0B 3C ?? ?? 6B 25 28 00 A4 27 ?? ?? ?? 0? 28 00 AB AF 40 00 A6 8F 21 38 00 00 98 00 A8 8F ?? ?? ?? 0? 9C 00 A3 8F 2C 00 A5 8F 10 00 42 2C 2C 00 A3 27 0A 18 A2 00 21 18 64 00 30 00 02 24 ?? ?? ?? 0? 00 00 62 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 40 00 A2 8F }
	condition:
		$1
}

rule file_330_89_4 {
	meta:
		name = "_ZNKSt19istreambuf_iteratorIcSt11char_traitsIcEE5_PeekEv"
		size = 152
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 00 00 84 8C 19 00 80 10 14 00 BF AF 20 00 82 8C 00 00 42 8C 0F 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 0A 00 60 58 00 00 82 8C 00 00 42 90 20 14 02 7C 05 00 02 A2 14 00 BF 8F 01 00 03 24 04 00 03 A2 10 00 B0 8F 08 00 E0 03 18 00 BD 27 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 F4 FF 43 14 20 14 02 7C 14 00 BF 8F 01 00 03 24 05 00 02 82 00 00 00 AE 04 00 03 A2 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_330_90_4 {
	meta:
		name = "_ZNKSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetmfldERS3_S5_bRSt8ios_base"
		size = 10972
		refs = "0060 _ZNSt10moneypunctIcLb1EE2idE 0070 _ZNSt9_FacetptrISt10moneypunctIcLb1EEE6_PsaveE 0074 _ZNSt6locale2id7_Id_cntE 0240 memmove 0294 _ZNSt10moneypunctIcLb0EE2idE 02a4 _ZNSt9_FacetptrISt10moneypunctIcLb0EEE6_PsaveE 02f4 _ZNSt8_LocinfoC1EPKc 02fc _Znwm 030c _ZTVSt7_MpunctIcE 032c _ZNSt7_MpunctIcE5_InitERKSt8_Locinfob 0338 _ZTVSt10moneypunctIcLb0EE 0350 _ZNSt8_LocinfoD1Ev 0378 _ZNSt6locale5facet9_RegisterEv 03d4 _ZNSt5ctypeIcE2idE 03dc _ZNSt9_FacetptrISt5ctypeIcEE6_PsaveE 0450 _Tolotab 0454 _Touptab 0460 _Ctype 0468 _ZTVSt5ctypeIcE 063c _ZdlPv 0714 _ZNSs6assignERKSsmm 0ae0 _ZNKSt19istreambuf_iteratorIcSt11char_traitsIcEE5_PeekEv 0c14 _ZSt14_Xlength_errorPKc 0c70 _ZNSs5_CopyEmm 1d28 _ZTVSt10moneypunctIcLb1EE 2778 _ZNSt6locale16_GetgloballocaleEv"
	strings:
		$1 = { 28 FD BD 27 E8 02 A2 93 D0 02 BE AF CC 02 B7 AF D4 02 BF AF C8 02 B6 AF C4 02 B5 AF C0 02 B4 AF BC 02 B3 AF B8 02 B2 AF B4 02 B1 AF B0 02 B0 AF 21 F0 80 00 21 B8 C0 00 8E 00 40 10 21 18 E0 00 EC 02 A4 8F 24 00 82 8C FF FF 04 24 00 00 51 8C 04 00 22 8E 02 00 44 10 01 00 42 24 04 00 22 AE ?? ?? 02 3C ?? ?? 53 8C ?? ?? 12 3C 07 00 60 16 ?? ?? 54 8E ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 98 A0 00 ?? ?? 85 AC ?? ?? 45 AC 0C 00 22 8E 2B 10 62 02 0A 07 40 50 14 00 22 92 08 00 24 8E 80 10 13 00 21 10 82 00 00 00 50 8C 04 07 00 52 14 00 22 92 04 00 22 8E FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 24 AE 21 10 80 00 08 00 40 54 00 00 C0 A3 00 00 22 8E 21 20 20 02 04 00 42 8C 09 F8 40 00 AC 02 A3 AF AC 02 A3 8F 00 00 C0 A3 14 00 A0 A3 00 00 02 8E 0F 00 04 24 21 28 00 02 28 00 42 8C 14 00 C4 AF 28 00 A4 AF 10 00 C0 AF 24 00 A0 AF AC 02 A3 AF 09 F8 40 00 10 00 A4 27 AC 02 A3 8F ?? ?? 12 3C 10 00 B1 27 21 98 00 00 94 02 A0 AF ?? ?? 52 26 00 00 22 82 76 00 04 24 1D 02 44 10 77 00 44 28 95 00 80 10 78 00 04 24 24 00 04 24 7E 01 44 10 2B 00 04 24 1C 01 44 10 20 00 04 24 91 00 44 10 03 00 02 24 01 00 73 26 04 00 02 24 F0 FF 62 16 01 00 31 26 24 00 A4 8F 02 00 82 2C 76 03 40 14 28 00 A2 8F 14 00 A5 8F 14 00 B1 27 10 00 42 2C 0A 88 A2 00 14 00 B2 27 01 00 13 24 FF FF 10 24 14 00 A5 8F 01 00 31 26 0B 28 42 02 21 28 A4 00 0F 00 25 12 00 00 00 00 04 00 E2 92 F3 00 40 50 00 00 E4 8E 04 00 62 90 E1 00 40 10 00 00 64 8C 00 00 E2 8E BA 00 40 10 00 00 00 00 BB 00 80 50 04 00 E4 92 28 00 A2 8F 24 00 A4 8F 10 00 42 2C 02 00 40 14 14 00 A2 27 14 00 A2 8F 21 20 44 00 56 03 24 12 94 02 A6 8F 10 00 D0 8F FF FF 02 2E 83 01 40 14 00 00 00 00 FF FF 10 24 14 00 C2 8F 10 00 42 2C 02 00 40 14 21 20 C0 03 00 00 C4 8F 21 28 90 00 ?? ?? ?? 0? 21 30 00 00 14 00 C3 8F 10 00 C4 8F 21 10 C0 03 10 00 63 2C 02 00 60 14 23 80 90 00 00 00 C2 8F 21 10 50 00 10 00 D0 AF ?? ?? ?? 0? 00 00 40 A0 EC 02 A6 8F FF FF 04 24 24 00 C2 8C 00 00 51 8C 04 00 22 8E 02 00 44 10 01 00 42 24 04 00 22 AE ?? ?? 02 3C ?? ?? 53 8C ?? ?? 12 3C 07 00 60 16 ?? ?? 54 8E ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 98 A0 00 ?? ?? 85 AC ?? ?? 45 AC 0C 00 22 8E 2B 10 62 02 2F 00 40 54 08 00 24 8E 14 00 22 92 79 09 40 14 00 00 00 00 75 FF 80 16 21 80 80 02 18 00 25 8E 1C 00 22 26 C8 01 A4 27 0A 28 45 00 ?? ?? ?? 0? AC 02 A3 AF ?? ?? ?? 0? 34 00 04 24 11 00 40 10 AC 02 A3 8F ?? ?? 04 3C ?? ?? 84 24 00 00 44 AC 04 00 40 AC 28 00 40 A0 21 20 40 00 C8 01 A5 27 01 00 06 24 ?? ?? ?? 0? A4 02 A2 AF A4 02 A2 8F ?? ?? 04 3C AC 02 A3 8F ?? ?? 84 24 00 00 44 AC 21 80 40 00 C8 01 A4 27 ?? ?? ?? 0? AC 02 A3 AF 04 00 02 8E FF FF 04 24 ?? ?? 50 AE 03 00 44 10 AC 02 A3 8F 01 00 42 24 04 00 02 AE 21 20 00 02 ?? ?? ?? 0? AC 02 A3 AF ?? ?? ?? 0? AC 02 A3 8F 80 10 13 00 21 10 82 00 00 00 50 8C 48 FF 00 56 04 00 22 8E ?? ?? ?? 0? 14 00 22 92 73 FF 44 54 01 00 73 26 03 00 02 24 6F FF 62 12 EC 02 A7 8F FF FF 04 24 24 00 E2 8C 00 00 54 8C 04 00 82 8E 02 00 44 10 01 00 42 24 04 00 82 AE ?? ?? 02 3C ?? ?? 56 8C ?? ?? 06 3C 08 00 C0 16 ?? ?? C4 8C ?? ?? 02 3C ?? ?? 45 8C ?? ?? 07 3C 01 00 A5 24 21 B0 A0 00 ?? ?? 45 AC ?? ?? E5 AC 0C 00 82 8E 2B 10 C2 02 6B 03 40 54 08 00 85 8E 14 00 82 92 D7 08 40 54 AC 02 A3 AF 6B 03 80 14 21 A8 80 00 18 00 85 8E 1C 00 82 26 2C 02 A4 27 0A 28 45 00 ?? ?? ?? 0? AC 02 A3 AF ?? ?? ?? 0? 18 00 04 24 10 00 40 10 AC 02 A3 8F ?? ?? 04 3C ?? ?? 06 3C ?? ?? 85 8C ?? ?? C4 8C ?? ?? 06 3C ?? ?? C6 8C ?? ?? 07 3C ?? ?? E7 24 04 00 40 AC 00 00 47 AC 08 00 46 AC 0C 00 45 AC 10 00 44 AC 14 00 40 AC 21 A8 40 00 2C 02 A4 27 ?? ?? ?? 0? AC 02 A3 AF 04 00 A2 8E ?? ?? 04 3C ?? ?? 95 AC FF FF 04 24 03 00 44 10 AC 02 A3 8F 01 00 42 24 04 00 A2 AE 21 20 A0 02 ?? ?? ?? 0? AC 02 A3 AF ?? ?? ?? 0? AC 02 A3 8F 49 FF 80 50 28 00 A2 8F 04 00 E4 92 EE 02 80 10 00 00 00 00 05 00 E2 82 00 00 24 82 42 FF 82 54 28 00 A2 8F 00 00 E4 8E 17 00 80 50 00 00 E0 AE 20 00 85 8C 00 00 A2 8C 0D 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 07 00 C0 18 01 00 42 24 00 00 A2 AC 04 00 E0 A2 28 00 A2 8F 24 00 A4 8F ?? ?? ?? 0? 10 00 42 2C 00 00 82 8C 20 00 42 8C 09 F8 40 00 AC 02 A3 AF F6 FF 50 14 AC 02 A3 8F 00 00 E0 AE ?? ?? ?? 0? 04 00 F3 A2 F9 02 80 50 00 00 60 AC 20 00 82 8C 00 00 42 8C EF 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 EA 02 A0 58 00 00 82 8C 00 00 42 90 05 00 62 A0 ?? ?? ?? 0? 04 00 73 A0 F3 02 80 50 00 00 E0 AE 20 00 82 8C 00 00 42 8C E9 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 E4 02 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 ?? ?? ?? 0? 04 00 F3 A2 04 00 E2 92 C0 03 40 50 00 00 E4 8E 04 00 62 90 9E 03 40 10 00 00 64 8C 00 00 E2 8E AD 03 40 10 00 00 00 00 DE FE 80 54 01 00 73 26 00 00 02 8E 68 00 A4 27 21 28 00 02 18 00 42 8C AC 02 A3 AF 09 F8 40 00 21 A0 00 00 78 00 A2 8F 74 06 40 14 AC 02 A3 8F 7C 00 A2 8F 10 00 42 2C 06 00 40 14 0F 00 02 24 68 00 A4 8F ?? ?? ?? 0? AC 02 A3 AF AC 02 A3 8F 0F 00 02 24 7C 00 A2 AF 78 00 A0 AF DC 05 80 16 68 00 A0 A3 00 00 02 8E BC 00 A4 27 21 28 00 02 1C 00 42 8C AC 02 A3 AF 09 F8 40 00 21 A0 00 00 CC 00 A2 8F BA 08 40 14 AC 02 A3 8F D0 00 A2 8F 10 00 42 2C 06 00 40 14 0F 00 02 24 BC 00 A4 8F ?? ?? ?? 0? AC 02 A3 AF AC 02 A3 8F 0F 00 02 24 D0 00 A2 AF CC 00 A0 AF 07 08 80 12 BC 00 A0 A3 00 00 E4 8E 5D 08 80 10 01 00 02 24 20 00 85 8C 00 00 A2 8C 52 08 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 4C 08 C0 18 01 00 42 24 00 00 A2 AC 04 00 E0 A2 00 00 02 8E D8 00 A4 27 21 28 00 02 1C 00 42 8C 09 F8 40 00 AC 02 A3 AF 14 00 A4 27 D8 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 EC 00 A2 8F 10 00 42 2C 04 00 40 14 AC 02 A3 8F ?? ?? ?? 0? D8 00 A4 8F AC 02 A3 8F 0F 00 02 24 EC 00 A2 AF 01 00 02 24 E8 00 A0 AF D8 00 A0 A3 ?? ?? ?? 0? 94 02 A2 AF 00 00 02 8E 30 00 B4 27 21 20 80 02 14 00 42 8C 21 28 00 02 09 F8 40 00 AC 02 A3 AF EC 02 A7 8F 10 00 E2 8C 80 00 42 30 67 03 40 10 AC 02 A3 8F 03 00 02 24 76 05 62 12 24 00 A2 8F 44 00 B5 8F 10 00 B5 2E 30 00 A4 8F 04 00 E2 92 0B 20 95 02 25 00 40 10 21 A8 80 00 01 00 16 24 FF FF 05 24 04 00 62 90 56 00 40 10 00 00 64 8C 00 00 E6 8E 2E 00 C0 10 00 00 00 00 2E 00 80 10 44 00 A2 8F 44 00 A2 8F 40 00 A4 8F 10 00 42 2C 01 00 40 50 30 00 B4 8F 21 A0 84 02 26 A8 B4 02 05 00 40 14 2B A8 15 00 30 00 A4 8F ?? ?? ?? 0? AC 02 A3 AF AC 02 A3 8F 0F 00 02 24 44 00 A2 AF 40 00 A0 AF 56 FE A0 12 30 00 A0 A3 10 00 D0 8F FF FF 02 2E 80 FE 40 50 FF FF 10 24 D1 01 00 52 28 00 A2 8F ?? ?? ?? 0? 14 00 C2 8F 00 00 E4 8E 31 00 80 50 00 00 E0 AE 20 00 82 8C 00 00 42 8C 2C 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 27 02 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 E2 A2 D4 FF 80 10 44 00 A2 8F 10 00 42 2C 02 00 40 14 21 38 80 02 30 00 A7 8F 40 00 A4 8F 21 38 E4 00 CF FF A7 12 00 00 00 00 04 00 E2 92 33 00 40 10 00 00 00 00 05 00 E2 82 00 00 A4 82 C6 FF 82 14 44 00 A2 8F 00 00 E4 8E 29 00 80 10 01 00 B5 26 20 00 86 8C 00 00 C2 8C 1E 00 40 50 00 00 82 8C 30 00 87 8C 00 00 E7 8C 23 38 E2 00 18 00 E0 18 01 00 42 24 00 00 C2 AC 04 00 E0 A2 D3 FF 80 54 20 00 82 8C 00 00 E0 AE 01 00 02 24 ?? ?? ?? 0? 04 00 E2 A2 B1 01 80 50 00 00 60 AC 20 00 82 8C 00 00 42 8C A5 01 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 A0 01 C0 58 00 00 82 8C 00 00 42 90 05 00 62 A0 ?? ?? ?? 0? 04 00 76 A0 00 00 82 8C 20 00 42 8C AC 02 A3 AF 09 F8 40 00 98 02 A5 AF 98 02 A5 8F 59 08 45 14 AC 02 A3 8F 00 00 E0 AE ?? ?? ?? 0? 04 00 F6 A2 DE 01 C0 50 05 00 E2 82 20 00 C2 8C 00 00 42 8C D1 01 40 50 00 00 C2 8C 30 00 C4 8C 00 00 84 8C 23 20 82 00 CC 01 80 58 00 00 C2 8C 00 00 42 90 20 14 02 7C 05 00 E2 A2 ?? ?? ?? 0? 04 00 F6 A2 00 00 02 8E 21 20 00 02 2C 01 B6 27 20 00 42 8C 09 F8 40 00 AC 02 A3 AF 21 A0 40 00 00 00 02 8E 21 20 C0 02 10 00 42 8C 09 F8 40 00 21 28 00 02 3C 01 A2 8F F7 02 40 14 AC 02 A3 8F 04 00 E2 92 B7 00 40 50 00 00 E4 8E 04 00 62 90 01 00 16 24 43 01 40 10 FF FF 15 24 00 00 64 8C 00 00 E5 8E BF 00 A0 10 00 00 00 00 C0 00 80 50 04 00 E2 92 00 00 02 8E 21 20 00 02 08 00 42 8C 09 F8 40 00 AC 02 A3 AF 21 A8 40 00 04 00 E2 92 1E 05 40 10 AC 02 A3 8F 04 00 62 90 2E 05 40 10 00 00 64 8C 00 00 E2 8E 17 00 40 10 00 00 00 00 17 00 80 10 21 38 00 00 21 A8 00 00 10 00 C2 8F 4A 00 40 14 2A 20 F4 00 40 01 A8 8F 01 00 15 24 10 00 08 2D 06 00 00 15 0F 00 02 24 2C 01 A4 8F ?? ?? ?? 0? AC 02 A3 AF AC 02 A3 8F 0F 00 02 24 40 01 A2 AF 3C 01 A0 AF 5A FF A0 16 2C 01 A0 A3 ?? ?? ?? 0? 01 00 73 26 EB FF 80 10 21 38 00 00 E9 FF A0 12 21 38 00 00 04 00 E2 92 06 00 40 54 05 00 E2 82 21 20 E0 02 ?? ?? ?? 0? AC 02 A3 AF AC 02 A3 8F 05 00 E2 82 DF FF 55 14 21 38 00 00 00 00 E4 8E 01 00 15 24 C2 05 80 10 FF FF 16 24 20 00 85 8C 00 00 A2 8C 39 06 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 33 06 C0 18 01 00 42 24 00 00 A2 AC 04 00 E0 A2 20 00 82 8C 00 00 42 8C 76 06 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 71 06 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 04 00 F5 A2 04 00 62 90 AD 05 40 50 00 00 64 8C 00 00 64 8C 00 00 E2 8E 76 05 40 10 00 00 00 00 76 05 80 10 2A 20 F4 00 2A 10 F4 00 B9 FF 40 14 01 00 15 24 10 00 C2 8F B9 FF 40 10 21 A8 00 00 2A 20 F4 00 4A 00 80 10 FF FF 16 24 FE FF 44 2C 17 00 80 10 21 20 40 02 01 00 42 24 1D 00 56 10 21 20 40 02 14 00 C4 8F 2B 28 82 00 24 00 A0 54 10 00 C6 8F 2E 00 40 14 10 00 84 2C 02 00 80 14 21 10 C0 03 00 00 C2 8F 10 00 C0 AF 00 00 40 A0 01 00 E7 24 37 00 F4 10 40 01 A8 8F 10 00 C2 8F FE FF 44 2C ED FF 80 14 01 00 42 24 21 20 40 02 AC 02 A3 AF ?? ?? ?? 0? A8 02 A7 AF 10 00 C2 8F A8 02 A7 8F 01 00 42 24 E6 FF 56 14 AC 02 A3 8F 21 20 40 02 A4 02 A2 AF AC 02 A3 AF ?? ?? ?? 0? A8 02 A7 AF A4 02 A2 8F 14 00 C4 8F A8 02 A7 8F 2B 28 82 00 DF FF A0 10 AC 02 A3 8F 10 00 C6 8F 21 28 40 00 21 20 C0 03 A4 02 A2 AF AC 02 A3 AF ?? ?? ?? 0? A8 02 A7 AF A4 02 A2 8F AC 02 A3 8F DB FF 40 10 A8 02 A7 8F 14 00 C4 8F 10 00 84 2C 24 01 80 14 10 00 C5 8F 00 00 C4 8F 21 28 85 00 30 00 06 24 00 00 A6 A0 14 00 C5 8F 10 00 A5 2C 02 00 A0 14 21 20 C0 03 00 00 C4 8F 21 20 82 00 01 00 E7 24 10 00 C2 AF CC FF F4 14 00 00 80 A0 40 01 A8 8F ?? ?? ?? 0? 10 00 08 2D 44 00 80 50 00 00 E0 AE 20 00 82 8C 00 00 42 8C D4 01 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 CF 01 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 E2 A2 44 FF 80 50 00 00 02 8E 04 00 E2 92 B8 00 40 10 00 00 00 00 05 00 E2 82 30 00 44 28 3D FF 80 54 00 00 02 8E 04 00 E4 92 CE 03 80 50 00 00 E4 8E 3A 00 44 28 37 FF 80 50 00 00 02 8E 04 00 E4 92 27 00 80 50 00 00 E4 8E 10 00 C7 8F FE FF E4 2C 37 00 80 10 21 20 40 02 01 00 E7 24 3D 00 F5 10 21 20 40 02 14 00 C4 8F 2B 28 87 00 44 00 A0 54 10 00 C6 8F 4E 00 E0 14 10 00 84 2C 02 00 80 14 21 10 C0 03 00 00 C2 8F 10 00 C0 AF 00 00 40 A0 00 00 E4 8E 57 00 80 50 04 00 F6 A2 20 00 85 8C 00 00 A2 8C 8A 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 84 00 C0 18 01 00 42 24 00 00 A2 AC 04 00 E0 A2 C0 FF 80 54 20 00 82 8C 00 00 E0 AE 01 00 02 24 ?? ?? ?? 0? 04 00 E2 A2 99 00 80 50 00 00 E0 AE 20 00 82 8C 00 00 42 8C 8F 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 8A 00 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 05 00 E2 82 04 00 F6 A2 10 00 C7 8F FE FF E4 2C CD FF 80 14 01 00 E7 24 21 20 40 02 A4 02 A2 AF ?? ?? ?? 0? AC 02 A3 AF 10 00 C7 8F AC 02 A3 8F 01 00 E7 24 C6 FF F5 14 A4 02 A2 8F 21 20 40 02 A4 02 A2 AF AC 02 A3 AF ?? ?? ?? 0? A8 02 A7 AF A8 02 A7 8F 14 00 C4 8F AC 02 A3 8F 2B 28 87 00 BF FF A0 10 A4 02 A2 8F 10 00 C6 8F 21 28 E0 00 21 20 C0 03 A4 02 A2 AF AC 02 A3 AF ?? ?? ?? 0? A8 02 A7 AF A8 02 A7 8F A4 02 A2 8F BB FF E0 10 AC 02 A3 8F 14 00 C4 8F 10 00 84 2C 23 00 80 14 10 00 C5 8F 00 00 C4 8F 21 28 85 00 00 00 A2 A0 14 00 C4 8F 10 00 84 2C 02 00 80 14 21 10 C0 03 00 00 C2 8F 21 10 47 00 10 00 C7 AF 00 00 40 A0 00 00 E4 8E AD FF 80 54 20 00 85 8C 04 00 F6 A2 04 00 62 90 BF FE 40 14 00 00 E0 AE 00 00 64 8C 59 00 80 50 00 00 60 AC 20 00 82 8C 00 00 42 8C 4F 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 4A 00 A0 58 00 00 82 8C 00 00 42 90 05 00 62 A0 ?? ?? ?? 0? 04 00 76 A0 ?? ?? ?? 0? 21 20 C0 03 94 02 A6 8F 81 00 C0 54 10 00 D0 8F 28 00 A2 8F 10 00 42 2C 04 00 40 14 D4 02 BF 8F ?? ?? ?? 0? 14 00 A4 8F D4 02 BF 8F 21 10 C0 03 CC 02 B7 8F D0 02 BE 8F C8 02 B6 8F C4 02 B5 8F C0 02 B4 8F BC 02 B3 8F B8 02 B2 8F B4 02 B1 8F B0 02 B0 8F 08 00 E0 03 D8 02 BD 27 1C 00 42 8C AC 02 A3 AF 09 F8 40 00 98 02 A5 AF 98 02 A5 8F A9 06 45 14 AC 02 A3 8F 00 00 60 AC 21 20 00 00 ?? ?? ?? 0? 04 00 76 A0 00 00 82 8C 20 00 42 8C 09 F8 40 00 AC 02 A3 AF C4 FF 55 10 AC 02 A3 8F }
	condition:
		$1
}

rule file_330_91_4 {
	meta:
		name = "_ZNKSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_bRSt8ios_baseRNSt5_IosbIiE8_IostateERSs"
		size = 472
		refs = "0038 _ZNKSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetmfldERS3_S5_bRSt8ios_base 00a8 _ZdlPv 00d0 _ZNSs6assignERKSsmm"
	strings:
		$1 = { B8 FF BD 27 60 00 A2 93 40 00 B1 AF 50 00 A6 AF 10 00 A2 AF 64 00 A2 8F 54 00 A7 AF 21 88 80 00 50 00 A6 27 18 00 A4 27 58 00 A7 27 3C 00 B0 AF 14 00 A2 AF 44 00 BF AF ?? ?? ?? 0? 68 00 B0 8F 54 00 A2 93 3D 00 40 10 50 00 A4 8F 5C 00 A2 93 23 00 40 10 50 00 A2 8F 34 00 40 10 58 00 A4 8F 05 00 80 10 28 00 A2 8F 00 00 02 8E 01 00 42 34 00 00 02 AE 28 00 A2 8F 13 00 40 14 6C 00 A4 8F 00 00 02 8E 02 00 42 34 00 00 02 AE 50 00 A3 8F 2C 00 A2 8F 00 00 23 AE 54 00 A3 8F 10 00 42 2C 03 00 40 14 04 00 23 AE ?? ?? ?? 0? 18 00 A4 8F 44 00 BF 8F 21 10 20 02 3C 00 B0 8F 40 00 B1 8F 08 00 E0 03 48 00 BD 27 18 00 A5 27 21 30 00 00 ?? ?? ?? 0? FF FF 07 24 ?? ?? ?? 0? 50 00 A3 8F 58 00 A4 8F 25 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2F 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 2A 00 60 58 00 00 82 8C 00 00 42 90 5D 00 A2 A3 01 00 02 24 5C 00 A2 A3 50 00 A2 8F CE FF 40 14 00 00 00 00 D2 FF 80 54 28 00 A2 8F ?? ?? ?? 0? 00 00 02 8E 1A 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 0F 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 0A 00 60 58 00 00 82 8C 00 00 42 90 55 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 54 00 A2 A3 58 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 5C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 F4 FF 43 54 55 00 A2 A3 01 00 02 24 50 00 A0 AF ?? ?? ?? 0? 54 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 58 00 A4 8F ?? ?? ?? 0? 5D 00 A2 A3 }
	condition:
		$1
}

rule file_330_92_4 {
	meta:
		name = "_ZNKSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_bRSt8ios_baseRNSt5_IosbIiE8_IostateERe"
		size = 1424
		refs = "0058 _ZNKSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetmfldERS3_S5_bRSt8ios_base 00c8 _ZdlPv 0308 _Stoldx 0400 _ZSt14_Xlength_errorPKc 0434 _ZNSs5_CopyEmm 0580 memcpy"
	strings:
		$1 = { 78 FF BD 27 A0 00 A2 93 60 00 B0 AF 20 00 B0 27 10 00 A2 AF A4 00 A2 8F 64 00 B1 AF 90 00 A6 AF 94 00 A7 AF 21 88 80 00 90 00 A6 27 21 20 00 02 98 00 A7 27 70 00 B4 AF 14 00 A2 AF 84 00 BF AF 80 00 BE AF 7C 00 B7 AF 78 00 B6 AF 74 00 B5 AF 6C 00 B3 AF 68 00 B2 AF ?? ?? ?? 0? A8 00 B4 8F 94 00 A2 93 D6 00 40 10 90 00 A4 8F 9C 00 A2 93 BC 00 40 10 90 00 A2 8F CD 00 40 10 98 00 A4 8F 05 00 80 10 30 00 A5 8F 00 00 82 8E 01 00 42 34 00 00 82 AE 30 00 A5 8F 1A 00 A0 14 0F 00 02 24 00 00 82 8E 02 00 42 34 00 00 82 AE 90 00 A3 8F 34 00 A2 8F 00 00 23 AE 94 00 A3 8F 10 00 42 2C 03 00 40 14 04 00 23 AE ?? ?? ?? 0? 20 00 A4 8F 84 00 BF 8F 21 10 20 02 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 50 00 A2 AF 4C 00 A0 AF 3C 00 A0 A3 1F 00 A2 10 18 00 B5 27 FF FF 03 24 02 01 A3 10 ?? ?? 04 3C 2B 18 45 00 09 01 60 14 10 00 A3 2C 10 00 60 10 18 00 B5 27 4C 00 A3 8F 10 00 42 2C 2B 90 A3 00 0A 28 72 00 06 00 40 14 21 90 A0 00 09 01 A0 14 3C 00 B3 8F ?? ?? ?? 0? 21 20 60 02 18 00 B5 27 21 90 B2 02 0F 00 02 24 50 00 A2 AF 24 00 40 A2 50 00 A4 8F 3C 00 A3 8F 3C 00 A2 27 10 00 84 2C 0A 10 64 00 4C 00 A0 AF 00 00 40 A0 34 00 A2 8F 20 00 A3 8F 10 00 42 2C 0B 18 02 02 00 00 62 80 30 00 43 28 05 00 60 14 4C 00 B2 8F 3A 00 42 28 15 00 40 14 21 B8 00 00 4C 00 B2 8F FE FF 42 2E DE 00 40 10 ?? ?? 04 3C 01 00 52 26 FF FF 02 24 E4 00 42 12 ?? ?? 04 3C 50 00 A2 8F 2B 18 52 00 AE 00 60 14 4C 00 A6 8F B2 00 40 16 3C 00 A4 8F 10 00 42 2C 3C 00 A3 27 0A 18 82 00 4C 00 A0 AF 01 00 17 24 00 00 60 A0 30 00 A2 8F 2B 10 E2 02 34 00 40 10 50 00 A3 8F ?? ?? 13 3C ?? ?? 73 26 ?? ?? ?? 0? FF FF 12 24 10 00 42 2C 3C 00 A3 27 0A 18 82 00 4C 00 A0 AF 00 00 60 A0 30 00 A2 8F 01 00 F7 26 2B 10 E2 02 26 00 40 10 50 00 A3 8F 34 00 A3 8F 20 00 A2 8F 4C 00 B6 8F 10 00 63 2C 0B 10 03 02 21 18 57 00 FE FF C2 2E 63 00 40 10 00 00 7E 80 01 00 D6 26 66 00 D2 12 50 00 A2 8F 2B 18 56 00 69 00 60 14 4C 00 A6 8F E6 FF C0 12 3C 00 A4 8F 10 00 42 2C 6C 00 40 14 4C 00 A3 8F 3C 00 A2 8F 21 18 43 00 00 00 7E A0 50 00 A4 8F 3C 00 A3 8F 3C 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 56 00 4C 00 B6 AF 00 00 40 A0 30 00 A2 8F 01 00 F7 26 2B 10 E2 02 DE FF 40 14 34 00 A3 8F 50 00 A3 8F 3C 00 A2 8F 3C 00 B0 27 10 00 63 2C 0A 80 43 00 21 20 00 02 21 28 A0 02 21 30 00 00 1C 00 A7 27 ?? ?? ?? 0? 1C 00 A0 AF 21 28 60 00 18 00 A3 8F 4F 00 70 10 21 20 40 00 1C 00 A3 8F 4D 00 60 54 00 00 82 8E AC 00 A2 8F 00 00 44 AC 04 00 45 AC 50 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 3C 00 A4 8F 0F 00 02 24 50 00 A2 AF 4C 00 A0 AF ?? ?? ?? 0? 3C 00 A0 A3 98 00 A4 8F 49 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 60 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 5B 00 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 01 00 02 24 9C 00 A2 A3 90 00 A2 8F 35 FF 40 14 00 00 00 00 39 FF 80 14 30 00 A5 8F ?? ?? ?? 0? 00 00 82 8E 30 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 25 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 20 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 ?? ?? ?? 0? 21 20 60 02 4C 00 B6 8F 01 00 D6 26 9C FF D2 16 50 00 A2 8F ?? ?? ?? 0? 21 20 60 02 50 00 A2 8F 2B 18 56 00 99 FF 60 10 4C 00 A6 8F 3C 00 A4 27 ?? ?? ?? 0? 21 28 C0 02 80 FF C0 12 50 00 A2 8F 10 00 42 2C 96 FF 40 10 4C 00 A3 8F ?? ?? ?? 0? 3C 00 A2 27 00 00 82 8E 02 00 42 34 ?? ?? ?? 0? 00 00 82 AE 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 DE FF 43 54 95 00 A2 A3 01 00 02 24 90 00 A0 AF ?? ?? ?? 0? 94 00 A2 A3 98 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 9C 00 A2 A3 3C 00 A4 27 ?? ?? ?? 0? 21 28 40 02 57 FF 40 12 01 00 17 24 50 00 A2 8F 10 00 42 2C 18 00 40 10 4C 00 A3 8F 3C 00 A2 27 21 10 43 00 2D 00 03 24 00 00 43 A0 50 00 A4 8F 3C 00 A3 8F 3C 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 52 00 4C 00 B2 AF 01 00 17 24 ?? ?? ?? 0? 00 00 40 A0 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 E0 FF 43 50 01 00 02 24 98 00 A4 8F ?? ?? ?? 0? 9D 00 A2 A3 ?? ?? ?? 0? 3C 00 A2 8F ?? ?? 84 24 ?? ?? ?? 0? 58 00 A5 AF 50 00 A2 8F ?? ?? ?? 0? 58 00 A5 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 4C 00 B2 8F 4C 00 A6 8F 3C 00 A4 27 ?? ?? ?? 0? 18 00 B5 27 ?? ?? ?? 0? 50 00 A4 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 50 00 A2 8F 3C 00 A4 27 21 28 60 02 ?? ?? ?? 0? 21 30 40 02 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_330_93_4 {
	meta:
		name = "_GLOBAL__I__ZNSt6locale7_Locimp9_MakexlocERKSt8_LocinfoiPS0_PKS_"
		size = 516
		refs = "0000 _ZGVNSt7collateIcE2idE 002c _ZGVNSt8messagesIcE2idE 0058 _ZGVNSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE 0084 _ZGVNSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 00b0 _ZGVNSt10moneypunctIcLb0EE2idE 00dc _ZGVNSt10moneypunctIcLb1EE2idE 0108 _ZGVNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE 0134 _ZGVNSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 016c _ZNSt8time_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 0180 _ZNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE 0194 _ZNSt10moneypunctIcLb1EE2idE 01a8 _ZNSt10moneypunctIcLb0EE2idE 01bc _ZNSt9money_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 01d0 _ZNSt9money_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE 01e4 _ZNSt8messagesIcE2idE 01f8 _ZNSt7collateIcE2idE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 72 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 62 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 52 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 42 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 32 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 22 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 12 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 03 00 62 10 00 00 00 00 08 00 E0 03 00 00 00 00 FD FF 80 14 ?? ?? 02 3C 08 00 E0 03 ?? ?? 40 AC EF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC DF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC CF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC BF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC AF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC 9F FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC 8F FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC }
	condition:
		$1
}

rule file_333_0_4 {
	meta:
		name = "_Tgamma"
		size = 876
		refs = "0038 fpcmp 0088 fpadd 0098 fpmul 00c4 fpsub 00d4 _Dunscale 00f0 _Poly 0114 fpdiv 01d4 _Pow 0254 exp"
	strings:
		$1 = { C8 FF BD 27 18 00 B0 AF ?? ?? 02 3C 00 00 90 8C 24 00 B3 AF 21 98 80 00 ?? ?? 44 8C 28 00 B4 AF 21 A0 A0 00 21 28 00 02 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 20 00 B2 AF ?? ?? ?? 0? 1C 00 B1 AF 5E 00 40 18 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 3E 00 41 04 ?? ?? 02 3C ?? ?? 11 3C ?? ?? 24 8E 21 28 00 02 ?? ?? ?? 0? 10 00 B0 AF BB 00 40 04 ?? ?? 31 8E ?? ?? 15 3C ?? ?? B2 8E 21 B0 00 02 21 20 C0 02 ?? ?? ?? 0? 21 28 40 02 21 B0 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 21 20 20 02 21 28 C0 02 ?? ?? ?? 0? 21 80 40 00 F5 FF 43 04 21 20 C0 02 10 00 B0 AF ?? ?? A5 8E 21 20 C0 02 ?? ?? ?? 0? 00 00 00 00 21 20 80 02 10 00 A5 27 ?? ?? ?? 0? 21 88 40 00 10 00 B0 8F ?? ?? 05 3C 00 00 70 AE 21 20 20 02 ?? ?? A5 24 ?? ?? ?? 0? 07 00 06 24 ?? ?? 05 3C 21 20 20 02 06 00 06 24 ?? ?? A5 24 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 58 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 4C 00 40 04 ?? ?? 02 3C ?? ?? 12 3C ?? ?? 45 8E ?? ?? ?? 0? 21 20 00 02 5B 00 41 04 ?? ?? 15 3C ?? ?? 03 3C ?? ?? 02 3C ?? ?? 42 8C ?? ?? 65 8C 21 20 00 02 10 00 A2 AF ?? ?? ?? 0? 21 80 40 00 21 88 40 00 ?? ?? ?? 0? 00 00 80 A6 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 21 30 80 02 ?? ?? ?? 0? 21 20 00 02 21 90 40 00 00 00 82 96 ?? ?? 03 3C ?? ?? 64 8C 23 10 02 00 21 28 00 02 ?? ?? ?? 0? 00 00 82 A6 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 01 00 06 24 ?? ?? ?? 0? 21 88 40 00 ?? ?? 05 3C 0D 00 06 24 21 20 20 02 ?? ?? A5 24 ?? ?? ?? 0? 21 A0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 00 80 04 3C 26 20 90 00 00 00 62 AE ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 34 00 BF 8F 00 00 62 AE 30 00 B6 8F 21 10 00 00 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? 10 00 B0 AF 21 88 40 00 ?? ?? ?? 0? 00 00 80 A6 ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? 21 88 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 80 02 10 00 A5 27 ?? ?? ?? 0? 10 00 A2 AF ?? ?? ?? 0? 10 00 B0 8F ?? ?? B1 8E ?? ?? 44 8E 21 28 00 02 ?? ?? ?? 0? 10 00 B1 AF 10 00 41 04 ?? ?? 52 8E 21 A8 20 02 21 20 00 02 ?? ?? ?? 0? 21 28 A0 02 21 80 40 00 21 20 20 02 ?? ?? ?? 0? 21 28 40 00 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 88 40 00 F5 FF 42 04 21 20 00 02 10 00 B1 AF ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 B0 00 02 ?? ?? ?? 0? ?? ?? 15 3C }
	condition:
		$1
}

rule file_334_0_4 {
	meta:
		name = "fgetc"
		size = 192
		refs = "0070 _Frprep"
	strings:
		$1 = { 18 00 82 8C 48 00 83 24 E8 FF BD 27 2B 18 43 00 10 00 B0 AF 14 00 BF AF 05 00 60 10 21 80 80 00 00 00 83 94 00 40 63 30 1E 00 60 54 00 00 43 90 28 00 02 8E 03 00 40 50 10 00 02 8E 10 00 02 AE 28 00 00 AE 0C 00 03 8E 2B 10 62 00 08 00 40 10 01 00 62 24 00 00 63 90 0C 00 02 AE 14 00 BF 8F 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 21 20 00 02 F8 FF 40 18 FF FF 03 24 0C 00 02 8E 14 00 BF 8F 00 00 43 90 01 00 44 24 0C 00 04 AE 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 01 00 44 24 18 00 04 AE 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_335_0_4 {
	meta:
		name = "fegetexceptflag"
		size = 176
		refs = "0030 _Tls_setup__Fenv 0050 _Fenv"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 10 00 BE AF 21 F0 A0 03 18 00 C4 AF 1C 00 C5 AF 1C 00 C2 8F 3D 00 42 30 1C 00 C2 AF 1C 00 C2 8F 10 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 02 00 43 94 02 00 43 A4 02 00 43 94 18 00 C2 8F 00 00 43 A4 18 00 C2 8F 00 00 42 94 20 1E 02 7C 1C 00 C2 8F 20 16 02 7C 24 10 62 00 20 16 02 7C FF FF 43 30 18 00 C2 8F 00 00 43 A4 21 10 00 00 21 E8 C0 03 14 00 BF 8F 10 00 BE 8F 18 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_336_1_4 {
	meta:
		name = "_Dtentox"
		size = 420
		refs = "0034 fpcmp 006c fpmul 00d0 _Errno 0134 fpdiv"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 21 90 A0 00 28 00 A4 AF 21 80 C0 00 20 00 A0 10 21 88 80 00 21 28 00 00 ?? ?? ?? 0? 21 88 80 00 1C 00 40 10 24 00 BF 8F 2A 00 40 06 ?? ?? 02 3C ?? ?? 11 3C ?? ?? 42 8C ?? ?? 31 26 20 00 33 26 01 00 43 32 21 20 40 00 03 00 60 10 43 90 12 00 ?? ?? ?? 0? 00 00 25 8E 03 00 40 12 04 00 31 26 F8 FF 33 16 01 00 43 32 28 00 A4 27 ?? ?? ?? 0? 21 28 40 00 37 00 40 04 00 00 00 00 FF FF 42 30 02 00 42 2C 0B 00 40 14 22 00 03 24 28 00 B1 8F 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 02 3C F4 FF 00 12 ?? ?? 43 AC 00 00 02 8E 28 00 B1 8F 01 00 42 34 ?? ?? ?? 0? 00 00 02 AE ?? ?? 11 3C ?? ?? 13 3C ?? ?? 22 8E ?? ?? 73 26 23 90 12 00 20 00 74 26 01 00 43 32 21 20 40 00 03 00 60 10 42 90 12 00 ?? ?? ?? 0? 00 00 65 8E 03 00 40 12 04 00 73 26 F8 FF 74 16 01 00 43 32 ?? ?? 24 8E ?? ?? ?? 0? 21 28 40 00 21 28 40 00 ?? ?? ?? 0? 28 00 A4 27 D4 FF 43 04 FF FF 42 30 D1 FF 40 12 28 00 A4 27 ?? ?? ?? 0? 21 28 00 00 FB FF 40 04 FF FF 52 26 ?? ?? ?? 0? FF FF 42 30 CA FF 40 12 FF FF 42 30 ?? ?? 02 3C ?? ?? 51 8C 28 00 A4 27 ?? ?? ?? 0? 21 28 20 02 C2 FF 41 04 FF FF 52 26 FB FF 40 1E 28 00 A4 27 ?? ?? ?? 0? FF FF 42 30 }
	condition:
		$1
}

rule file_337_0_4 {
	meta:
		name = "strncpy_s"
		size = 248
		refs = "0040 strnlen_s 00b4 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 24 00 BF AF 21 80 80 00 25 00 80 10 21 88 A0 00 24 00 A0 50 ?? ?? 04 3C 22 00 A2 04 ?? ?? 04 3C 29 00 C0 10 ?? ?? 04 3C 26 00 E0 04 21 20 C0 00 21 28 E0 00 ?? ?? ?? 0? 10 00 A6 AF 2B 18 51 00 20 00 60 10 10 00 A6 8F 21 28 C2 00 2B 18 05 02 04 00 60 10 21 88 11 02 2B 88 D1 00 1A 00 20 16 ?? ?? 04 3C 07 00 40 10 21 18 00 02 00 00 C4 90 01 00 C6 24 00 00 64 A0 FC FF C5 14 01 00 63 24 21 80 02 02 00 00 00 A2 24 00 BF 8F 21 10 00 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 24 00 05 24 24 00 BF 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C 00 00 00 A2 ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 24 00 BF 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_338_0_4 {
	meta:
		name = "atanhl"
		size = 556
		refs = "0028 _LDtest 0080 dpcmp 00dc _Feraise 00ec _LInf 012c dpadd 0148 dpsub 015c dpdiv 0168 log1pl 0180 dpmul 01c8 _LNan"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 34 00 A5 AF 0D 00 40 14 02 00 03 24 30 00 A5 8F 34 00 A3 8F 2C 00 BF 8F 21 10 A0 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 F3 FF 43 10 30 00 B0 8F 34 00 B3 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 60 02 06 00 41 04 21 90 00 00 00 80 02 3C 26 98 62 02 30 00 B0 AF 34 00 B3 AF 01 00 12 24 ?? ?? 11 3C ?? ?? 24 8E ?? ?? 25 8E 21 30 00 02 ?? ?? ?? 0? 21 38 60 02 40 00 40 04 ?? ?? 26 8E ?? ?? 27 8E 21 20 00 02 ?? ?? ?? 0? 21 28 60 02 13 00 40 14 21 30 00 02 ?? ?? ?? 0? 04 00 04 24 45 00 40 12 ?? ?? 02 3C ?? ?? 43 8C ?? ?? 45 8C 2C 00 BF 8F 00 80 02 3C 26 18 62 00 28 00 B5 8F 21 10 A0 00 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 00 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 ?? ?? 24 8E ?? ?? 25 8E 21 30 00 02 21 38 60 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 38 60 00 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 AD FF 40 12 21 28 40 00 2C 00 BF 8F 00 80 02 3C 26 18 62 00 28 00 B5 8F 21 10 A0 00 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C 2C 00 BF 8F ?? ?? 43 8C 28 00 B5 8F 21 10 A0 00 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 45 8C 2C 00 BF 8F ?? ?? 43 8C 28 00 B5 8F 21 10 A0 00 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_339_0_4 {
	meta:
		name = "tempnam"
		size = 196
		refs = "0024 strlen 0044 malloc 0060 strcpy 0090 mktemp"
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 21 98 80 00 21 20 A0 00 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 18 00 B2 AF ?? ?? ?? 0? 21 88 A0 00 22 00 60 12 21 80 40 00 ?? ?? ?? 0? 21 20 60 02 08 00 04 26 21 20 82 00 ?? ?? ?? 0? 21 90 40 00 21 A0 40 00 11 00 80 12 21 10 00 00 21 28 60 02 21 20 80 02 ?? ?? ?? 0? 21 90 92 02 01 00 53 26 2F 00 02 24 21 20 60 02 21 28 20 02 ?? ?? ?? 0? 00 00 42 A2 ?? ?? 05 3C 21 20 70 02 ?? ?? ?? 0? ?? ?? A5 24 ?? ?? ?? 0? 21 20 80 02 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 }
	condition:
		$1
}

rule file_340_0_4 {
	meta:
		name = "ilogb"
		size = 96
		refs = "0010 _Dunscale"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A5 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 27 08 00 40 10 00 80 03 3C 03 00 40 04 03 00 42 28 08 00 40 14 1C 00 BF 8F 10 00 A3 97 FF FF 63 24 20 1E 03 7C 1C 00 BF 8F 21 10 60 00 08 00 E0 03 20 00 BD 27 FF 7F 03 3C FF FF 63 34 21 10 60 00 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_557_0_4 {
	meta:
		name = "ilogbf"
		size = 96
		refs = "0010 _FDunscale"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A5 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 27 08 00 40 10 00 80 03 3C 03 00 40 04 03 00 42 28 08 00 40 14 1C 00 BF 8F 10 00 A3 97 FF FF 63 24 20 1E 03 7C 1C 00 BF 8F 21 10 60 00 08 00 E0 03 20 00 BD 27 FF 7F 03 3C FF FF 63 34 21 10 60 00 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_341_0_4 {
	meta:
		name = "wmemcpy_s"
		size = 196
		refs = "0084 wmemset 0094 _Fail_s"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 27 00 80 10 21 10 A0 00 26 00 A2 04 ?? ?? 04 3C 1A 00 C0 50 21 28 00 00 17 00 E0 04 2B 18 A7 00 15 00 60 14 80 18 07 00 21 18 C3 00 2B 18 83 00 0D 00 60 14 80 18 05 00 08 00 E0 10 14 00 BF 8F 00 00 C2 8C FF FF E7 24 04 00 C6 24 00 00 82 AC FB FF E0 14 04 00 84 24 14 00 BF 8F 21 10 00 00 08 00 E0 03 18 00 BD 27 21 18 83 00 2B 18 C3 00 F1 FF 60 10 00 00 00 00 21 28 00 00 ?? ?? ?? 0? 21 30 40 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 24 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_342_0_4 {
	meta:
		name = "cexp"
		size = 716
		refs = "0018 creal 0028 cimag 0034 _Dtest 007c _Sin 008c _Exp 00b8 _Cbuild 0148 fpcmp 0174 _Zero 020c _Feraise 0214 _Nan 0238 fpmul"
	strings:
		$1 = { D0 FF BD 27 24 00 B1 AF 20 00 B0 AF 21 88 A0 00 21 80 80 00 2C 00 BF AF ?? ?? ?? 0? 28 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 21 90 40 00 02 00 02 24 21 00 02 12 00 00 00 00 2D 00 42 12 01 00 02 24 38 00 02 12 10 00 B1 8F 68 00 42 12 10 00 A2 8F 14 00 A4 8F 01 00 05 24 18 00 A2 AF ?? ?? ?? 0? 1C 00 A2 AF 21 28 40 00 21 30 00 00 ?? ?? ?? 0? 18 00 A4 27 14 00 A4 8F ?? ?? ?? 0? 21 28 00 00 21 28 40 00 1C 00 A4 27 ?? ?? ?? 0? 21 30 00 00 18 00 B1 8F 1C 00 A5 8F ?? ?? ?? 0? 21 20 20 02 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 2D 00 40 16 10 00 A5 8F 10 00 B1 8F 14 00 A5 8F 21 20 20 02 18 00 B1 AF ?? ?? ?? 0? 1C 00 A5 AF 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 2A 00 02 12 14 00 A5 8F 21 88 A0 00 21 20 20 02 18 00 A5 AF ?? ?? ?? 0? 1C 00 A5 AF 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 26 00 41 04 00 00 00 00 34 00 50 16 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 18 00 A5 AF 05 00 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C 26 28 A2 00 1C 00 A5 AF ?? ?? ?? 0? 21 88 00 00 21 88 A0 00 21 20 20 02 18 00 A5 AF ?? ?? ?? 0? 1C 00 A5 AF 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 10 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 0C 00 43 04 14 00 A5 8F 21 10 00 00 18 00 A2 AF 1C 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 88 40 00 2F 00 50 12 00 00 00 00 1D 00 40 16 14 00 A4 8F 14 00 A5 8F 18 00 B1 AF ?? ?? ?? 0? 1C 00 A5 AF ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C 18 00 A5 AF 1C 00 A5 AF ?? ?? ?? 0? 21 88 A0 00 ?? ?? ?? 0? 01 00 05 24 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 1C 00 A2 AF ?? ?? ?? 0? 18 00 B1 8F ?? ?? ?? 0? 01 00 05 24 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 28 40 00 1C 00 A2 AF ?? ?? ?? 0? 18 00 B1 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C 10 00 B1 8F ?? ?? 45 8C 18 00 B1 AF ?? ?? ?? 0? 1C 00 A5 AF }
	condition:
		$1
}

rule file_588_0_4 {
	meta:
		name = "cexpf"
		size = 716
		refs = "0018 crealf 0028 cimagf 0034 _FDtest 007c _FSin 008c _FExp 00b8 _FCbuild 0148 fpcmp 0174 _FZero 020c _Feraise 0214 _FNan 0238 fpmul"
	strings:
		$1 = { D0 FF BD 27 24 00 B1 AF 20 00 B0 AF 21 88 A0 00 21 80 80 00 2C 00 BF AF ?? ?? ?? 0? 28 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 21 90 40 00 02 00 02 24 21 00 02 12 00 00 00 00 2D 00 42 12 01 00 02 24 38 00 02 12 10 00 B1 8F 68 00 42 12 10 00 A2 8F 14 00 A4 8F 01 00 05 24 18 00 A2 AF ?? ?? ?? 0? 1C 00 A2 AF 21 28 40 00 21 30 00 00 ?? ?? ?? 0? 18 00 A4 27 14 00 A4 8F ?? ?? ?? 0? 21 28 00 00 21 28 40 00 1C 00 A4 27 ?? ?? ?? 0? 21 30 00 00 18 00 B1 8F 1C 00 A5 8F ?? ?? ?? 0? 21 20 20 02 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 2D 00 40 16 10 00 A5 8F 10 00 B1 8F 14 00 A5 8F 21 20 20 02 18 00 B1 AF ?? ?? ?? 0? 1C 00 A5 AF 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 2A 00 02 12 14 00 A5 8F 21 88 A0 00 21 20 20 02 18 00 A5 AF ?? ?? ?? 0? 1C 00 A5 AF 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 26 00 41 04 00 00 00 00 34 00 50 16 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 18 00 A5 AF 05 00 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C 26 28 A2 00 1C 00 A5 AF ?? ?? ?? 0? 21 88 00 00 21 88 A0 00 21 20 20 02 18 00 A5 AF ?? ?? ?? 0? 1C 00 A5 AF 2C 00 BF 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 10 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 0C 00 43 04 14 00 A5 8F 21 10 00 00 18 00 A2 AF 1C 00 A2 AF 21 28 40 00 ?? ?? ?? 0? 21 88 40 00 2F 00 50 12 00 00 00 00 1D 00 40 16 14 00 A4 8F 14 00 A5 8F 18 00 B1 AF ?? ?? ?? 0? 1C 00 A5 AF ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C 18 00 A5 AF 1C 00 A5 AF ?? ?? ?? 0? 21 88 A0 00 ?? ?? ?? 0? 01 00 05 24 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 1C 00 A2 AF ?? ?? ?? 0? 18 00 B1 8F ?? ?? ?? 0? 01 00 05 24 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 28 40 00 1C 00 A2 AF ?? ?? ?? 0? 18 00 B1 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C 10 00 B1 8F ?? ?? 45 8C 18 00 B1 AF ?? ?? ?? 0? 1C 00 A5 AF }
	condition:
		$1
}

rule file_343_0_4 {
	meta:
		name = "casinh"
		size = 812
		refs = "002c creal 003c cimag 0048 _Dtest 0084 fpsub 0090 _Cbuild 009c csqrt 00b0 fpadd 00e8 fpcmp 0104 __mulsc3 0120 atan2 0228 _Zero 02c4 fpmul 02e8 asinh"
	strings:
		$1 = { C0 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 21 80 80 00 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 3F 00 03 12 00 00 00 00 45 00 43 10 01 00 03 24 68 00 03 12 00 00 00 00 52 00 43 10 ?? ?? 12 3C ?? ?? 44 8E ?? ?? ?? 0? 14 00 A5 8F 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 45 8E 14 00 A4 8F 21 80 60 00 ?? ?? ?? 0? 21 88 40 00 10 00 A5 8F 21 20 40 00 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 10 00 B4 8F 21 28 00 00 21 90 40 00 21 20 80 02 ?? ?? ?? 0? 21 98 60 00 64 00 40 54 21 20 20 02 21 28 00 02 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 20 20 02 14 00 B0 8F 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 37 00 50 10 10 00 B4 8F 35 00 40 10 01 00 03 24 69 00 43 50 14 00 B4 8F ?? ?? ?? 0? 21 28 80 02 01 00 02 24 2D 00 02 12 14 00 B4 8F 21 28 80 02 ?? ?? ?? 0? 21 20 80 02 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 14 00 B4 8F 21 28 00 00 ?? ?? ?? 0? 21 20 80 02 28 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 38 00 50 10 1A 00 A2 87 10 00 B4 8F C2 FF 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 10 00 B4 8F 14 00 A5 8F ?? ?? ?? 0? 21 20 80 02 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 21 28 00 02 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 B0 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 B8 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 A0 40 00 21 A8 40 00 21 28 80 02 ?? ?? ?? 0? 21 20 E0 02 21 20 C0 02 21 28 A0 02 ?? ?? ?? 0? 21 A0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 10 00 B4 8F 05 00 40 04 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 10 00 A5 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C }
	condition:
		$1
}

rule file_344_0_4 {
	meta:
		name = "casinhf"
		size = 1092
		refs = "0030 crealf 0040 cimagf 004c _FDtest 008c fpsub 0098 _FCbuild 00a4 csqrtf 00b8 fpadd 00ec fpcmp 0108 __mulsc3 0124 atan2f 0238 _FZero 0320 fpdiv 032c fpmul 0344 asinhf 0378 _FLog"
	strings:
		$1 = { B8 FF BD 27 24 00 B1 AF 20 00 B0 AF 21 88 A0 00 21 80 80 00 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF 2C 00 B3 AF ?? ?? ?? 0? 28 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 40 00 03 12 00 00 00 00 46 00 43 10 01 00 03 24 6B 00 03 12 00 00 00 00 54 00 43 10 ?? ?? 12 3C ?? ?? 44 8E 14 00 A5 8F ?? ?? ?? 0? 00 80 14 3C 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 45 8E 14 00 A4 8F 21 80 60 00 ?? ?? ?? 0? 21 88 40 00 10 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 26 28 B4 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 10 00 B5 8F 21 28 00 00 21 90 40 00 21 20 A0 02 ?? ?? ?? 0? 21 98 60 00 68 00 40 54 21 20 20 02 21 28 00 02 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 20 20 02 14 00 B0 8F 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 39 00 50 10 10 00 B5 8F 37 00 40 10 01 00 03 24 99 00 43 50 14 00 B5 8F ?? ?? ?? 0? 21 28 A0 02 01 00 02 24 2F 00 02 12 14 00 B5 8F 21 28 A0 02 ?? ?? ?? 0? 21 20 A0 02 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 14 00 B5 8F 21 28 00 00 ?? ?? ?? 0? 21 20 A0 02 2A 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 A0 02 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 66 00 50 10 16 00 A2 87 10 00 B5 8F BF FF 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 10 00 B5 8F 14 00 A5 8F ?? ?? ?? 0? 21 20 A0 02 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 21 28 00 02 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 A8 40 00 21 20 40 02 21 28 60 02 21 B0 40 00 ?? ?? ?? 0? ?? ?? 17 3C 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 F0 40 00 ?? ?? E4 8E 21 28 A0 02 ?? ?? ?? 0? 18 00 A2 AF 2B 00 40 04 21 20 C0 03 ?? ?? E4 8E ?? ?? ?? 0? 21 28 C0 02 09 00 40 04 18 00 A4 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 C0 02 3F 00 43 04 21 20 C0 02 26 B0 D4 02 18 00 A4 8F ?? ?? ?? 0? 21 28 C0 02 21 20 40 00 ?? ?? ?? 0? 21 28 A0 02 21 28 40 00 ?? ?? ?? 0? 21 20 C0 03 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 20 C0 02 21 28 00 00 ?? ?? ?? 0? 21 A8 40 00 68 FF 40 10 21 28 00 02 21 20 00 00 ?? ?? ?? 0? 21 28 A0 02 20 00 40 1C 21 20 C0 02 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? 21 A8 40 00 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 ?? ?? ?? 0? 21 28 C0 02 18 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 21 B0 A0 02 ?? ?? ?? 0? 21 20 40 00 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 10 00 B5 8F 05 00 40 04 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 10 00 A5 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? 21 A8 40 00 ?? ?? ?? 0? 21 28 C0 03 18 00 A5 8F 21 20 A0 02 ?? ?? ?? 0? 21 A0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 A8 40 00 }
	condition:
		$1
}

rule file_345_0_4 {
	meta:
		name = "sqrtf"
		size = 384
		refs = "0020 _FDunscale 0068 fpmul 0078 fpadd 00a4 fpdiv 00f8 _FDscale 016c _Feraise 0174 _FNan"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A5 27 10 00 A4 27 2C 00 BF AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF ?? ?? ?? 0? 1C 00 B0 AF 01 00 03 24 3C 00 43 10 02 00 03 24 3E 00 43 50 30 00 A2 8F 3C 00 40 10 30 00 A2 8F 32 00 A2 87 48 00 40 04 10 00 B1 87 01 00 22 32 3D 00 40 54 30 00 A4 8F 30 00 B0 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 C2 1F 11 00 21 88 71 00 14 00 A4 27 43 28 11 00 ?? ?? ?? 0? 14 00 A2 AF 2C 00 BF 8F 14 00 A2 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 32 00 A2 87 11 00 40 04 00 00 00 00 30 00 A2 8F 2C 00 BF 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 FF FF 31 26 20 8E 11 7C ?? ?? ?? 0? 21 28 80 00 21 80 40 00 30 00 A2 AF ?? ?? ?? 0? 10 00 B1 A7 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C }
	condition:
		$1
}

rule file_347_0_4 {
	meta:
		name = "fmod"
		size = 500
		refs = "0024 _Dtest 0088 _Feraise 0090 _Nan 00c8 fpcmp 010c _Dunscale 0150 _Dscale 01cc fpsub"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 18 00 B0 AF 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 34 00 A5 AF 21 80 40 00 ?? ?? ?? 0? 34 00 A4 27 20 00 00 06 02 00 03 24 08 00 03 12 30 00 B3 8F 02 00 03 24 51 00 43 10 01 00 03 24 0C 00 03 12 00 00 00 00 0A 00 40 10 30 00 B3 8F 2C 00 BF 8F 21 10 60 02 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 53 8C 2C 00 BF 8F 28 00 B4 8F 21 10 60 02 20 00 B2 8F 24 00 B3 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 E3 FF 41 04 21 28 00 00 34 00 B0 8F ?? ?? ?? 0? 21 20 00 02 06 00 41 04 30 00 B1 8F 00 80 02 3C 26 10 50 00 21 80 40 00 34 00 A2 AF 30 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 30 00 40 04 00 80 02 3C 21 88 00 00 10 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 B0 AF 30 00 A2 8F FF FF 10 24 14 00 A2 AF 12 00 A4 27 ?? ?? ?? 0? 14 00 A5 27 2F 00 40 10 12 00 B2 87 10 00 A2 87 23 90 42 02 10 00 40 06 30 00 B3 8F 34 00 A2 8F 21 28 40 02 14 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 B4 8F 30 00 B3 8F 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 17 00 40 18 21 20 60 02 FF FF 52 26 F3 FF 50 16 34 00 A2 8F B9 FF 20 12 2C 00 BF 8F 00 80 02 3C ?? ?? ?? 0? 26 98 53 00 34 00 B3 8F 2C 00 BF 8F 28 00 B4 8F 21 10 60 02 20 00 B2 8F 24 00 B3 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 26 88 22 02 30 00 B1 AF ?? ?? ?? 0? 01 00 11 24 ?? ?? ?? 0? 21 28 80 02 21 98 40 00 30 00 A2 AF D0 FF 41 06 14 00 A2 AF ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 30 00 B3 8F }
	condition:
		$1
}

rule file_769_0_4 {
	meta:
		name = "fmodf"
		size = 500
		refs = "0024 _FDtest 0088 _Feraise 0090 _FNan 00c8 fpcmp 010c _FDunscale 0150 _FDscale 01cc fpsub"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 18 00 B0 AF 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 34 00 A5 AF 21 80 40 00 ?? ?? ?? 0? 34 00 A4 27 20 00 00 06 02 00 03 24 08 00 03 12 30 00 B3 8F 02 00 03 24 51 00 43 10 01 00 03 24 0C 00 03 12 00 00 00 00 0A 00 40 10 30 00 B3 8F 2C 00 BF 8F 21 10 60 02 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 53 8C 2C 00 BF 8F 28 00 B4 8F 21 10 60 02 20 00 B2 8F 24 00 B3 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 E3 FF 41 04 21 28 00 00 34 00 B0 8F ?? ?? ?? 0? 21 20 00 02 06 00 41 04 30 00 B1 8F 00 80 02 3C 26 10 50 00 21 80 40 00 34 00 A2 AF 30 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 30 00 40 04 00 80 02 3C 21 88 00 00 10 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 B0 AF 30 00 A2 8F FF FF 10 24 14 00 A2 AF 12 00 A4 27 ?? ?? ?? 0? 14 00 A5 27 2F 00 40 10 12 00 B2 87 10 00 A2 87 23 90 42 02 10 00 40 06 30 00 B3 8F 34 00 A2 8F 21 28 40 02 14 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 B4 8F 30 00 B3 8F 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 17 00 40 18 21 20 60 02 FF FF 52 26 F3 FF 50 16 34 00 A2 8F B9 FF 20 12 2C 00 BF 8F 00 80 02 3C ?? ?? ?? 0? 26 98 53 00 34 00 B3 8F 2C 00 BF 8F 28 00 B4 8F 21 10 60 02 20 00 B2 8F 24 00 B3 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 26 88 22 02 30 00 B1 AF ?? ?? ?? 0? 01 00 11 24 ?? ?? ?? 0? 21 28 80 02 21 98 40 00 30 00 A2 AF D0 FF 41 06 14 00 A2 AF ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 30 00 B3 8F }
	condition:
		$1
}

rule file_349_0_4 {
	meta:
		name = "wcsncat"
		size = 84
	strings:
		$1 = { 00 00 83 8C 05 00 60 10 21 10 80 00 04 00 84 24 00 00 83 8C FE FF 60 54 04 00 84 24 08 00 C0 54 00 00 A3 8C 08 00 E0 03 00 00 80 AC 00 00 83 AC 04 00 A5 24 04 00 C0 10 04 00 84 24 00 00 A3 8C FA FF 60 54 FF FF C6 24 00 00 80 AC 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_350_0_4 {
	meta:
		name = "_FHypot"
		size = 848
		refs = "0030 _FDunscale 006c fpcmp 00fc _FDscale 0124 fpsub 015c fpdiv 016c fpmul 017c fpadd 0184 sqrtf 01dc _FInf"
	strings:
		$1 = { C8 FF BD 27 38 00 A4 AF 3C 00 A5 AF 10 00 A4 27 38 00 A5 27 34 00 BF AF 20 00 B1 AF 1C 00 B0 AF 30 00 B5 AF 21 80 C0 00 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 12 00 A4 27 3C 00 A5 27 ?? ?? ?? 0? 21 88 40 00 01 00 03 24 63 00 23 12 00 00 00 AE 61 00 43 10 02 00 03 24 8E 00 23 12 38 00 B2 8F 81 00 43 10 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 05 00 41 04 3C 00 B1 8F 00 80 02 3C 26 90 52 00 38 00 B2 AF 3C 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 05 00 41 04 21 20 20 02 00 80 02 3C 26 88 51 00 3C 00 B1 AF 21 20 20 02 ?? ?? ?? 0? 21 28 00 00 54 00 40 14 21 20 40 02 ?? ?? ?? 0? 21 28 00 00 3A 00 40 10 21 90 00 00 10 00 B3 87 00 00 63 2A 03 00 62 26 0A 10 63 02 83 10 02 00 20 16 02 7C 02 00 03 24 40 10 02 00 0A 10 62 00 38 00 A4 27 23 28 62 02 ?? ?? ?? 0? 00 00 02 AE 00 00 02 8E 12 00 A5 87 3C 00 A4 27 ?? ?? ?? 0? 23 28 A2 00 38 00 B0 8F 3C 00 B1 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 1E 00 40 10 34 00 BF 8F 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 5B 00 43 04 21 20 40 02 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 80 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 20 02 ?? ?? ?? 0? 21 28 40 00 38 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 90 40 00 34 00 BF 8F 21 10 40 02 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 02 3C ?? ?? 52 8C 34 00 BF 8F 30 00 B5 8F 21 10 40 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 21 28 00 00 08 00 40 14 10 00 B4 87 12 00 B5 87 21 98 A0 02 10 00 B5 A7 12 00 B4 A7 38 00 B1 AF ?? ?? ?? 0? 3C 00 B2 AF 12 00 B5 87 2A 10 95 02 F7 FF 40 14 21 98 80 02 A3 FF 95 16 00 00 63 2A 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 9E FF 41 04 00 00 63 2A ?? ?? ?? 0? 21 98 A0 02 3C 00 B2 8F 34 00 BF 8F 30 00 B5 8F 21 10 40 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 34 00 BF 8F 30 00 B5 8F 21 10 40 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 21 28 20 02 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 8E 21 20 40 00 ?? ?? ?? 0? 21 88 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 05 8E 21 20 40 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 3C 00 A4 8F }
	condition:
		$1
}

rule file_457_0_4 {
	meta:
		name = "_Hypot"
		size = 848
		refs = "0030 _Dunscale 006c fpcmp 00fc _Dscale 0124 fpsub 015c fpdiv 016c fpmul 017c fpadd 0184 sqrt 01dc _Inf"
	strings:
		$1 = { C8 FF BD 27 38 00 A4 AF 3C 00 A5 AF 10 00 A4 27 38 00 A5 27 34 00 BF AF 20 00 B1 AF 1C 00 B0 AF 30 00 B5 AF 21 80 C0 00 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 12 00 A4 27 3C 00 A5 27 ?? ?? ?? 0? 21 88 40 00 01 00 03 24 63 00 23 12 00 00 00 AE 61 00 43 10 02 00 03 24 8E 00 23 12 38 00 B2 8F 81 00 43 10 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 05 00 41 04 3C 00 B1 8F 00 80 02 3C 26 90 52 00 38 00 B2 AF 3C 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 05 00 41 04 21 20 20 02 00 80 02 3C 26 88 51 00 3C 00 B1 AF 21 20 20 02 ?? ?? ?? 0? 21 28 00 00 54 00 40 14 21 20 40 02 ?? ?? ?? 0? 21 28 00 00 3A 00 40 10 21 90 00 00 10 00 B3 87 00 00 63 2A 03 00 62 26 0A 10 63 02 83 10 02 00 20 16 02 7C 02 00 03 24 40 10 02 00 0A 10 62 00 38 00 A4 27 23 28 62 02 ?? ?? ?? 0? 00 00 02 AE 00 00 02 8E 12 00 A5 87 3C 00 A4 27 ?? ?? ?? 0? 23 28 A2 00 38 00 B0 8F 3C 00 B1 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 1E 00 40 10 34 00 BF 8F 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 5B 00 43 04 21 20 40 02 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 80 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 20 02 ?? ?? ?? 0? 21 28 40 00 38 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 90 40 00 34 00 BF 8F 21 10 40 02 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 02 3C ?? ?? 52 8C 34 00 BF 8F 30 00 B5 8F 21 10 40 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 21 28 00 00 08 00 40 14 10 00 B4 87 12 00 B5 87 21 98 A0 02 10 00 B5 A7 12 00 B4 A7 38 00 B1 AF ?? ?? ?? 0? 3C 00 B2 AF 12 00 B5 87 2A 10 95 02 F7 FF 40 14 21 98 80 02 A3 FF 95 16 00 00 63 2A 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 9E FF 41 04 00 00 63 2A ?? ?? ?? 0? 21 98 A0 02 3C 00 B2 8F 34 00 BF 8F 30 00 B5 8F 21 10 40 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 34 00 BF 8F 30 00 B5 8F 21 10 40 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 21 28 20 02 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 8E 21 20 40 00 ?? ?? ?? 0? 21 88 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 05 8E 21 20 40 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 3C 00 A4 8F }
	condition:
		$1
}

rule file_352_0_4 {
	meta:
		name = "_Gettime"
		size = 196
		refs = "003c strchr 008c strlen"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 00 00 82 80 21 98 80 00 21 90 A0 00 21 88 C0 00 03 00 40 10 21 80 00 00 01 00 93 24 21 80 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 11 00 40 10 00 00 00 00 14 00 40 1A 24 00 BF 8F 00 00 43 80 FF FF 52 26 F6 FF 60 14 01 00 53 24 24 00 BF 8F 21 98 40 00 21 10 60 02 00 00 20 AE 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 20 60 02 EF FF 40 1E 21 10 62 02 24 00 BF 8F 23 10 53 00 00 00 22 AE 1C 00 B2 8F 21 10 60 02 18 00 B1 8F 20 00 B3 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_353_1_4 {
	meta:
		name = "vsscanf"
		size = 56
		refs = "0024 _Scanf"
	strings:
		$1 = { E0 FF BD 27 21 10 A0 00 20 00 A4 AF ?? ?? 04 3C 21 38 C0 00 20 00 A5 27 ?? ?? 84 24 21 30 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_699_1_4 {
	meta:
		name = "vswscanf"
		size = 56
		refs = "0024 _WScanf"
	strings:
		$1 = { E0 FF BD 27 21 10 A0 00 20 00 A4 AF ?? ?? 04 3C 21 38 C0 00 20 00 A5 27 ?? ?? 84 24 21 30 40 00 1C 00 BF AF ?? ?? ?? 0? 10 00 A0 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_354_0_4 {
	meta:
		name = "copysign"
		size = 132
	strings:
		$1 = { F0 FF BD 27 0C 00 BE AF 21 F0 A0 03 10 00 C4 AF 14 00 C5 AF 10 00 C2 27 06 00 42 24 00 00 C2 AF 14 00 C2 27 06 00 42 24 04 00 C2 AF 00 00 C2 8F 00 00 42 94 20 16 02 7C FF 7F 42 30 20 1E 02 7C 04 00 C2 8F 00 00 42 94 20 26 02 7C 00 80 02 24 24 10 82 00 20 16 02 7C 25 10 62 00 20 16 02 7C FF FF 43 30 00 00 C2 8F 00 00 43 A4 10 00 C2 8F 21 E8 C0 03 0C 00 BE 8F 10 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_357_0_4 {
	meta:
		name = "atan2"
		size = 404
		refs = "0020 _Dtest 0078 _Atan 00cc fpcmp 00e8 fpdiv"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 2C 00 A4 27 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF ?? ?? ?? 0? 2C 00 A5 AF 21 88 40 00 ?? ?? ?? 0? 28 00 A4 27 19 00 20 1A 02 00 03 24 39 00 43 10 24 00 BF 8F 3E 00 23 52 2C 00 A2 8F 2A 00 22 12 21 20 00 00 2E 00 A5 87 32 00 A3 87 08 00 10 24 00 00 A5 28 2C 00 60 04 0A 80 05 00 02 00 03 3A 01 00 42 38 0A 80 62 00 ?? ?? ?? 0? 21 28 00 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 E7 FF 40 1C 00 00 00 00 2E 00 A2 87 35 00 40 04 28 00 B3 8F 28 00 B3 8F 21 80 00 00 32 00 A2 87 2B 00 40 04 2C 00 B2 8F 2C 00 B2 8F 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 20 00 42 04 21 20 40 02 E6 FF 20 12 21 20 00 00 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C 2E 00 A5 87 ?? ?? 64 8C 32 00 A3 87 08 00 10 24 00 00 A5 28 D6 FF 61 04 0A 80 05 00 06 00 10 3A ?? ?? ?? 0? FF FF 10 32 28 00 A2 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 60 02 21 20 40 00 ?? ?? ?? 0? 02 00 10 3A 00 80 02 3C 06 00 10 3A 26 90 42 02 ?? ?? ?? 0? 2C 00 B2 AF 00 80 02 3C 08 00 10 24 26 98 62 02 ?? ?? ?? 0? 28 00 B3 AF }
	condition:
		$1
}

rule file_358_0_4 {
	meta:
		name = "iswgraph"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 05 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_359_0_4 {
	meta:
		name = "_ZNSt3tr18_XLgammaEf"
		size = 300
		refs = "002c fpadd 003c _FLog 0060 fpmul 006c fpsub 00a4 fpdiv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 45 8C D0 FF BD 27 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 21 98 80 00 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 88 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 60 02 ?? ?? ?? 0? ?? ?? 10 3C 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 05 8E 21 20 60 02 ?? ?? ?? 0? 21 A0 40 00 ?? ?? 10 8E ?? ?? 15 3C ?? ?? B5 26 21 B0 40 00 18 00 B2 26 21 88 00 02 00 00 A4 8E 21 28 C0 02 ?? ?? ?? 0? 04 00 B5 26 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 C0 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 F4 FF B2 16 21 B0 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 2C 00 BF 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_359_1_4 {
	meta:
		name = "_ZNSt3tr18_XLgammaEd"
		size = 300
		refs = "002c fpadd 003c _Log 0060 fpmul 006c fpsub 00a4 fpdiv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 45 8C D0 FF BD 27 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 21 98 80 00 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 88 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 60 02 ?? ?? ?? 0? ?? ?? 10 3C 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 05 8E 21 20 60 02 ?? ?? ?? 0? 21 A0 40 00 ?? ?? 10 8E ?? ?? 15 3C ?? ?? B5 26 21 B0 40 00 18 00 B2 26 21 88 00 02 00 00 A4 8E 21 28 C0 02 ?? ?? ?? 0? 04 00 B5 26 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 C0 02 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 F4 FF B2 16 21 B0 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 2C 00 BF 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_359_2_4 {
	meta:
		name = "_ZNSt3tr18_XLgammaEe"
		size = 460
		refs = "003c dpadd 0054 _LLog 0088 dpmul 00a0 dpsub 00f8 dpdiv"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C B8 FF BD 27 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 21 B8 A0 00 21 B0 80 00 34 00 B5 AF 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 24 00 B1 AF ?? ?? ?? 0? 20 00 B0 AF 21 88 60 00 21 28 20 02 21 20 40 00 21 30 00 00 ?? ?? ?? 0? 21 98 40 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 A8 60 00 21 20 40 00 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 12 3C 21 20 60 02 21 28 20 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 46 8E ?? ?? 47 8E 21 20 C0 02 21 28 E0 02 ?? ?? 13 3C 10 00 A2 AF 14 00 A3 AF ?? ?? ?? 0? ?? ?? 73 26 21 80 00 00 ?? ?? 51 8E ?? ?? 54 8E ?? ?? 55 8E 21 40 40 00 21 F0 60 00 30 00 72 26 00 00 64 8E 04 00 65 8E 21 30 00 01 21 38 C0 03 ?? ?? ?? 0? 18 00 A8 AF 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 18 00 A8 8F 21 28 C0 03 21 30 80 02 21 20 00 01 21 38 A0 02 21 80 40 00 21 88 60 00 ?? ?? ?? 0? 08 00 73 26 21 40 40 00 EA FF 72 16 21 F0 60 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 38 E0 02 21 30 C0 02 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 30 00 00 21 20 40 00 21 28 60 00 14 00 A2 8F 10 00 A3 8F 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 }
	condition:
		$1
}

rule file_361_0_4 {
	meta:
		name = "_Feraise"
		size = 108
		refs = "001c feraiseexcept 0038 _Errno"
	strings:
		$1 = { E8 FF BD 27 18 00 83 30 20 00 82 34 10 00 B0 AF 21 80 80 00 0B 80 43 00 14 00 BF AF ?? ?? ?? 0? 21 20 00 02 01 00 02 32 09 00 40 14 1C 00 10 32 03 00 00 12 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 21 00 03 24 ?? ?? 02 3C 10 00 B0 8F ?? ?? 43 AC 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_362_0_4 {
	meta:
		name = "_Dtest"
		size = 136
	strings:
		$1 = { 06 00 82 94 F0 7F 05 24 F0 7F 43 30 13 00 65 50 0F 00 43 30 FF 7F 42 30 06 00 40 50 04 00 82 94 FF FF 02 24 FE FF 04 24 0A 10 83 00 08 00 E0 03 00 00 00 00 FB FF 40 14 FF FF 02 24 02 00 82 94 F8 FF 40 54 FF FF 02 24 00 00 84 94 F5 FF 80 54 FF FF 02 24 ?? ?? ?? 0? 00 00 00 00 F3 FF 60 14 02 00 02 24 04 00 83 94 F0 FF 60 14 00 00 00 00 02 00 83 94 ED FF 60 14 01 00 03 24 00 00 84 94 08 00 E0 03 0A 10 64 00 }
	condition:
		$1
}

rule file_364_0_4 {
	meta:
		name = "getint"
		size = 124
		refs = "000c _Ctype"
	strings:
		$1 = { FF FF A5 24 1B 00 A0 04 21 10 00 00 ?? ?? 02 3C 00 00 83 90 ?? ?? 47 8C 40 30 03 00 21 30 E6 00 00 00 C6 94 20 00 C6 30 12 00 C0 10 FF FF 02 24 21 10 00 00 0A 00 09 24 ?? ?? ?? 0? FF FF 08 24 00 00 83 90 40 30 03 00 21 30 E6 00 00 00 C6 94 20 00 C6 30 07 00 C0 50 FF FF 02 24 02 30 49 70 FF FF A5 24 01 00 84 24 21 10 C3 00 F4 FF A8 14 D0 FF 42 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_364_1_4 {
	meta:
		name = "_Getdst"
		size = 576
		refs = "0080 strchr 0094 malloc 00b0 _Ctype 0224 free"
	strings:
		$1 = { B8 FF BD 27 28 00 B2 AF 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF 2C 00 B3 AF 24 00 B1 AF 20 00 B0 AF 00 00 91 80 0E 00 20 16 21 90 00 00 44 00 BF 8F 21 10 40 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 01 00 90 24 21 20 00 02 ?? ?? ?? 0? 02 00 12 24 01 00 52 26 ?? ?? ?? 0? 21 28 20 02 FC FF 40 54 01 00 44 24 05 00 04 24 ?? ?? ?? 0? 02 20 44 72 E6 FF 40 10 21 90 40 00 21 18 40 00 21 A8 00 00 28 00 17 24 ?? ?? 13 3C 2B 00 16 24 ?? ?? ?? 0? 2D 00 1E 24 02 00 05 24 18 00 A3 AF ?? ?? ?? 0? 10 00 A7 AF 18 00 A3 8F 06 00 04 26 01 00 62 A0 14 00 A6 8F 10 00 A7 8F 0C 00 C6 2C 4E 00 C0 10 64 00 E7 2C 4C 00 E0 10 00 00 00 00 01 00 62 90 64 00 42 2C 48 00 40 10 00 00 00 00 00 00 82 80 2B 00 56 50 01 00 85 80 29 00 5E 50 01 00 85 80 00 00 60 A0 00 00 82 80 43 00 40 50 FF FF 02 24 3D 00 22 16 05 00 63 24 01 00 90 24 00 00 02 82 2F 00 57 10 01 00 04 26 04 00 75 A0 21 20 00 02 02 00 05 24 ?? ?? ?? 0? 18 00 A3 AF 18 00 A3 8F FF FF 42 24 FF 00 46 30 03 00 66 A0 02 00 04 26 02 00 05 24 18 00 A3 AF ?? ?? ?? 0? 14 00 A6 AF 18 00 A3 8F FF FF 42 24 FF 00 47 30 02 00 67 A0 04 00 02 92 ?? ?? 65 8E 21 A0 A0 02 40 10 02 00 21 10 A2 00 00 00 42 94 04 00 04 26 20 00 42 30 C4 FF 40 14 14 00 A6 8F ?? ?? ?? 0? 01 00 60 A0 D0 FF A2 24 FF 00 42 30 07 00 46 2C 16 00 C0 10 30 00 A5 38 07 00 06 24 0A 10 C5 00 00 00 62 A0 00 00 85 80 03 00 B6 10 07 00 42 24 ?? ?? ?? 0? 02 00 84 24 00 00 62 A0 ?? ?? ?? 0? 02 00 84 24 04 00 05 24 ?? ?? ?? 0? 18 00 A3 AF 94 F8 55 24 05 00 A0 06 18 00 A3 8F 05 00 02 82 29 00 04 24 C9 FF 44 10 06 00 10 26 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 90 00 00 05 00 62 A0 ?? ?? ?? 0? 09 00 74 A0 }
	condition:
		$1
}

rule file_365_0_4 {
	meta:
		name = "_WStoll"
		size = 460
		refs = "0034 _Iswctype 0060 _WStoull 00e8 _Errno"
	strings:
		$1 = { D0 FF BD 27 18 00 B0 AF 10 00 B0 27 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 2C 00 BF AF 28 00 B4 AF 21 88 80 00 21 90 C0 00 0B 80 A5 00 21 98 80 00 00 00 64 8E ?? ?? ?? 0? 09 00 05 24 FC FF 40 54 04 00 73 26 00 00 74 8E 2D 00 02 24 33 00 82 12 2B 00 02 24 31 00 82 12 21 20 60 02 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 00 00 04 8E 33 00 93 10 2B 00 14 24 33 00 24 12 25 20 43 00 2B 00 04 24 3B 00 84 12 2D 00 04 24 0D 00 84 12 00 80 04 3C 21 20 40 00 21 28 60 00 2C 00 BF 8F 21 10 80 00 21 18 A0 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 01 00 85 24 2B 28 65 00 06 00 A0 10 2C 00 BF 8F 3A 00 64 54 23 10 02 00 38 00 40 10 23 10 02 00 2C 00 BF 8F 22 00 03 24 ?? ?? 02 3C 21 20 00 00 00 80 05 3C ?? ?? 43 AC 28 00 B4 8F 21 10 80 00 21 18 A0 00 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 04 00 73 26 21 20 60 02 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 00 00 04 8E CF FF 93 14 00 00 00 00 00 00 11 AE 25 20 43 00 CE FF 80 10 2B 00 04 24 ?? ?? 02 3C 22 00 03 24 ?? ?? 43 AC 2D 00 02 24 21 20 00 00 09 00 82 16 00 80 05 3C ?? ?? ?? 0? 2C 00 BF 8F 21 20 40 00 C8 FF 61 04 21 28 60 00 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 2C 00 BF 8F FF 7F 05 3C FF FF 04 24 FF FF A5 34 21 10 80 00 21 18 A0 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 2B 20 02 00 23 18 03 00 ?? ?? ?? 0? 23 18 64 00 }
	condition:
		$1
}

rule file_366_0_4 {
	meta:
		name = "wctype"
		size = 192
		refs = "0000 _Tls_setup__Wctype 0030 _Wctype 0064 strcmp"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D8 FF BD 27 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF 03 00 40 10 21 88 80 00 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 52 8C 21 98 00 00 08 00 44 8E 0E 00 80 10 08 00 50 26 10 00 52 26 ?? ?? ?? 0? 01 00 13 24 21 80 40 02 01 00 73 26 0F 00 80 10 08 00 52 26 ?? ?? ?? 0? 21 28 20 02 F9 FF 40 54 00 00 44 8E 00 00 02 8E 0A 98 02 00 24 00 BF 8F 21 10 60 02 1C 00 B2 8F 20 00 B3 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 21 98 00 00 21 10 60 02 1C 00 B2 8F 20 00 B3 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_367_0_4 {
	meta:
		name = "asctime_s"
		size = 292
		refs = "00c4 _CTinfo 00d0 _CStrftime 00f0 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 37 00 80 10 21 38 C0 00 36 00 A0 50 ?? ?? 04 3C 33 00 A0 04 1A 00 A2 2C 39 00 40 54 00 00 80 A0 37 00 C0 50 00 00 80 A0 18 00 C2 8C 33 00 40 04 07 00 42 28 32 00 40 50 00 00 80 A0 10 00 C2 8C 2E 00 40 04 0C 00 42 28 2D 00 40 50 00 00 80 A0 0C 00 C2 8C 29 00 40 18 20 00 42 28 28 00 40 50 00 00 80 A0 08 00 C2 8C 24 00 40 04 3C 00 42 28 23 00 40 50 00 00 80 A0 04 00 C2 8C 1F 00 40 04 3C 00 42 28 1E 00 40 50 00 00 80 A0 00 00 C2 8C 1A 00 40 04 3C 00 42 28 19 00 40 50 00 00 80 A0 14 00 C2 8C 94 F8 43 28 14 00 60 14 A4 1F 42 28 13 00 40 50 00 00 80 A0 ?? ?? 06 3C ?? ?? 02 3C ?? ?? 42 24 ?? ?? C6 24 ?? ?? ?? 0? 10 00 A2 AF 22 00 03 24 0B 18 02 00 ?? ?? ?? 0? 21 10 60 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 24 00 05 24 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 00 00 80 A0 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_368_0_4 {
	meta:
		name = "isalpha"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 12 02 42 30 }
	condition:
		$1
}

rule file_370_0_4 {
	meta:
		name = "exp2f"
		size = 404
		refs = "0014 _FDtest 005c fpcmp 0080 fpmul 0094 _FExp 00ec _FDint 00f8 fptosi 010c fpsub 0180 fpadd"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B1 AF ?? ?? ?? 0? 24 00 B0 AF 01 00 03 24 24 00 43 10 02 00 03 24 1D 00 43 50 30 00 A2 8F 08 00 40 14 30 00 B1 8F 2C 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 18 00 40 1C ?? ?? 02 3C 21 30 00 00 ?? ?? 10 3C ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? 18 00 A6 AF ?? ?? 05 8E 18 00 A6 8F 30 00 A4 27 ?? ?? ?? 0? 30 00 A2 AF 30 00 A2 8F 2C 00 BF 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 30 00 BD 27 32 00 A3 87 F8 FF 61 04 21 10 00 00 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? 44 8C ?? ?? ?? 0? 21 28 20 02 03 00 40 1C 21 30 00 00 ?? ?? ?? 0? ?? ?? 10 3C 21 28 00 00 10 00 A4 27 ?? ?? ?? 0? 10 00 B1 AF 10 00 B0 8F ?? ?? ?? 0? 21 20 00 02 30 00 A4 8F 20 36 02 7C 21 28 00 02 ?? ?? ?? 0? 18 00 A6 AF 21 88 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 20 02 0A 00 41 04 18 00 A6 8F ?? ?? 10 3C ?? ?? 05 8E 01 00 C6 24 21 20 20 02 ?? ?? ?? 0? 18 00 A6 AF 21 88 40 00 ?? ?? ?? 0? 18 00 A6 8F ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? 18 00 A6 AF DC FF 41 04 18 00 A6 8F ?? ?? 10 3C ?? ?? 05 8E FF FF C6 24 21 20 20 02 ?? ?? ?? 0? 18 00 A6 AF 21 88 40 00 ?? ?? ?? 0? 18 00 A6 8F }
	condition:
		$1
}

rule file_372_0_4 {
	meta:
		name = "_Stopfx"
		size = 624
		refs = "0004 _Ctype"
	strings:
		$1 = { 00 00 86 8C ?? ?? 02 3C ?? ?? 43 8C 21 38 C0 00 ?? ?? ?? 0? 00 00 C2 80 00 00 E2 80 FF 00 48 30 40 40 08 00 21 40 68 00 00 00 08 95 44 01 08 31 F9 FF 00 55 01 00 E7 24 2D 00 08 24 4D 00 48 10 2B 00 42 38 01 00 42 2C 21 48 00 00 21 38 E2 00 00 00 E2 80 6E 00 08 24 21 00 48 10 4E 00 08 24 1F 00 48 10 69 00 08 24 0A 00 48 10 49 00 08 24 09 00 48 50 01 00 E3 80 30 00 05 24 40 00 45 50 01 00 E2 80 01 00 22 35 21 30 E0 00 08 00 E0 03 00 00 86 AC 01 00 E3 80 6E 00 02 24 04 00 62 10 01 00 E7 24 4E 00 08 24 08 00 68 14 21 10 00 00 01 00 E3 80 66 00 02 24 43 00 62 10 01 00 E7 24 46 00 08 24 40 00 68 10 21 10 00 00 66 00 A0 50 00 00 86 AC 00 00 A6 AC 08 00 E0 03 00 00 86 AC 01 00 E8 80 61 00 02 24 04 00 02 11 01 00 E7 24 41 00 09 24 F5 FF 09 15 21 10 00 00 01 00 E8 80 6E 00 02 24 04 00 02 11 01 00 E7 24 4E 00 09 24 EE FF 09 15 21 10 00 00 01 00 E8 80 01 00 E6 24 28 00 07 24 E9 FF 07 15 04 00 02 24 21 10 C0 00 5F 00 09 24 01 00 42 24 00 00 47 80 FF 00 E8 30 40 40 08 00 21 40 68 00 00 00 08 95 32 02 08 31 F9 FF 00 55 01 00 42 24 F7 FF E9 50 01 00 42 24 01 00 43 24 29 00 E7 38 04 00 02 24 ?? ?? ?? 0? 0A 30 67 00 01 00 E7 24 ?? ?? ?? 0? 08 00 09 24 78 00 05 24 03 00 45 10 58 00 05 24 BE FF 45 14 01 00 22 35 02 00 E2 80 2E 00 05 24 30 00 45 10 02 00 E6 24 FF 00 42 30 40 10 02 00 21 18 62 00 00 00 62 94 01 00 42 30 B3 FF 40 50 01 00 22 35 ?? ?? ?? 0? 02 00 22 35 01 00 E3 80 01 00 E6 24 69 00 07 24 04 00 67 10 03 00 22 35 49 00 07 24 BA FF 67 14 00 00 00 00 01 00 C3 80 6E 00 08 24 04 00 68 10 01 00 C7 24 4E 00 08 24 B3 FF 68 14 00 00 00 00 01 00 E3 80 69 00 08 24 04 00 68 10 01 00 E7 24 49 00 08 24 AC FF 68 14 00 00 00 00 01 00 E3 80 74 00 08 24 04 00 68 10 01 00 E7 24 54 00 08 24 A5 FF 68 14 00 00 00 00 01 00 E3 80 79 00 08 24 04 00 68 10 01 00 E7 24 59 00 08 24 9E FF 68 14 00 00 00 00 ?? ?? ?? 0? 01 00 E6 24 ?? ?? ?? 0? 01 00 C2 80 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_375_0_4 {
	meta:
		name = "mbrtowc"
		size = 76
		refs = "0014 _Mbtowc"
	strings:
		$1 = { E8 FF BD 27 0E 00 E0 10 14 00 BF AF 06 00 A0 50 ?? ?? 05 3C ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 21 20 00 00 ?? ?? ?? 0? ?? ?? A5 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? 07 3C ?? ?? ?? 0? ?? ?? E7 24 }
	condition:
		$1
}

rule file_376_0_4 {
	meta:
		name = "feholdexcept"
		size = 168
		refs = "0014 _Tls_setup__Fenv 0034 _Fenv"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 20 00 C4 AF ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 10 00 C2 AF 20 00 C2 8F 10 00 C3 8F 00 00 64 94 02 00 63 94 00 00 44 A4 02 00 43 A4 10 00 C2 8F 00 00 42 94 3D 00 42 34 FF FF 43 30 10 00 C2 8F 00 00 43 A4 10 00 C2 8F 02 00 43 94 C2 FF 02 24 24 10 62 00 FF FF 43 30 10 00 C2 8F 02 00 43 A4 21 10 00 00 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_379_0_4 {
	meta:
		name = "atanl"
		size = 380
		refs = "0020 _LDtest 007c dpcmp 00cc dpdiv 00f0 _LAtan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 2C 00 A5 AF 01 00 03 24 3B 00 43 10 02 00 03 24 04 00 43 10 2C 00 A4 8F 0B 00 40 14 28 00 B2 8F 2C 00 A4 8F 24 00 BF 8F 28 00 A2 8F 21 18 80 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 2C 00 B1 8F 21 30 00 00 21 38 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 06 00 41 04 21 80 00 00 00 80 02 3C 26 88 22 02 28 00 B2 AF 2C 00 B1 AF 08 00 10 24 ?? ?? 13 3C ?? ?? 64 8E ?? ?? 65 8E 21 30 40 02 ?? ?? ?? 0? 21 38 20 02 0C 00 41 04 21 20 40 02 ?? ?? 64 8E ?? ?? 65 8E 21 30 40 02 ?? ?? ?? 0? 21 38 20 02 21 90 40 00 21 88 60 00 28 00 A2 AF 2C 00 A3 AF 02 00 10 3A 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 30 00 02 24 00 BF 8F 21 20 60 00 21 18 80 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 2E 00 A2 87 0B 00 40 04 ?? ?? 03 3C ?? ?? 64 8C 24 00 BF 8F ?? ?? 62 8C 20 00 B3 8F 21 18 80 00 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 03 3C ?? ?? 64 8C 24 00 BF 8F ?? ?? 62 8C 20 00 B3 8F 21 18 80 00 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_382_0_4 {
	meta:
		name = "wcrtomb_s"
		size = 392
		refs = "0048 _Getmbcurmax 0064 _Wctomb 00c4 memcpy 0120 _Fail_s"
	strings:
		$1 = { C8 FF BD 27 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 21 88 C0 00 34 00 BF AF 30 00 B3 AF 21 80 80 00 21 90 A0 00 32 00 80 10 48 00 A6 8F 30 00 C0 10 00 00 00 00 43 00 A0 10 00 00 00 00 2E 00 20 1A 00 00 00 00 1C 00 A6 AF ?? ?? ?? 0? 18 00 A7 AF 2B 10 22 02 1C 00 A6 8F 11 00 40 14 18 00 A7 8F 21 20 40 02 ?? ?? ?? 0? 21 28 E0 00 21 98 40 00 17 00 63 06 00 00 13 AE 34 00 BF 8F FF FF 02 24 00 00 02 AE 30 00 B3 8F 58 00 02 24 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 21 28 E0 00 F0 FF 40 18 21 98 40 00 2B 88 22 02 2B 00 20 16 21 20 40 02 10 00 A5 27 ?? ?? ?? 0? 21 30 40 00 00 00 13 AE 21 10 00 00 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 05 00 40 12 00 00 00 00 03 00 20 12 00 00 00 00 01 00 23 06 00 00 40 A2 04 00 00 12 ?? ?? 04 3C FF FF 02 24 00 00 02 AE ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 F3 FF 20 16 FF FF 02 24 ?? ?? ?? 0? 10 00 A4 27 21 98 40 00 C8 FF 60 06 34 00 BF 8F ?? ?? ?? 0? 00 00 13 AE FF FF 02 24 ?? ?? 04 3C 00 00 02 AE ?? ?? 84 24 ?? ?? ?? 0? 1C 00 05 24 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_383_0_4 {
	meta:
		name = "ctime"
		size = 36
		refs = "0008 localtime 0010 asctime"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_384_0_4 {
	meta:
		name = "fabs"
		size = 168
		refs = "0010 _Dtest 0050 fpcmp 008c _Inf"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 1B 00 43 10 02 00 03 24 14 00 43 10 18 00 B0 8F 06 00 40 14 21 80 00 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 18 00 B0 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 F7 FF 41 04 14 00 BF 8F 00 80 02 3C 26 80 50 00 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? 02 3C ?? ?? 50 8C 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_631_0_4 {
	meta:
		name = "fabsf"
		size = 168
		refs = "0010 _FDtest 0050 fpcmp 008c _FInf"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 1B 00 43 10 02 00 03 24 14 00 43 10 18 00 B0 8F 06 00 40 14 21 80 00 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 18 00 B0 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 F7 FF 41 04 14 00 BF 8F 00 80 02 3C 26 80 50 00 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? 02 3C ?? ?? 50 8C 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_385_0_4 {
	meta:
		name = "_LHypot"
		size = 1188
		refs = "0040 _LDunscale 008c dpcmp 013c _LDscale 0174 dpsub 01c8 dpdiv 01e4 dpmul 01fc dpadd 0208 sqrtl 0288 _LInf"
	strings:
		$1 = { C0 FF BD 27 24 00 B2 AF 40 00 A4 AF 44 00 A5 AF 50 00 B2 8F 10 00 A4 27 40 00 A5 27 3C 00 BF AF 1C 00 B0 AF 48 00 A6 AF 4C 00 A7 AF 38 00 B7 AF 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 20 00 B1 AF 12 00 A4 27 48 00 A5 27 ?? ?? ?? 0? 21 80 40 00 01 00 03 24 8A 00 03 12 00 00 40 AE 88 00 43 10 02 00 03 24 C5 00 03 52 40 00 B5 8F B2 00 43 10 40 00 B4 8F 44 00 B1 8F 21 30 00 00 21 38 00 00 21 20 80 02 ?? ?? ?? 0? 21 28 20 02 06 00 41 04 48 00 B3 8F 00 80 02 3C 26 88 22 02 40 00 B4 AF 44 00 B1 AF 48 00 B3 8F 4C 00 B0 8F 21 30 00 00 21 38 00 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 05 00 41 04 21 20 60 02 00 80 02 3C 26 80 02 02 48 00 B3 AF 4C 00 B0 AF 21 28 00 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 75 00 40 14 21 20 80 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 9C 00 40 50 21 A8 00 00 10 00 B5 87 00 00 A3 2A 03 00 A2 26 0A 10 A3 02 83 10 02 00 20 16 02 7C 02 00 03 24 40 10 02 00 0A 10 62 00 23 28 A2 02 40 00 A4 27 ?? ?? ?? 0? 00 00 42 AE 00 00 42 8E 12 00 A5 87 48 00 A4 27 ?? ?? ?? 0? 23 28 A2 00 40 00 B0 8F 44 00 B1 8F 48 00 B2 8F 4C 00 B3 8F 21 20 00 02 21 28 20 02 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 21 A0 60 00 21 30 40 00 21 38 80 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 A8 40 00 3F 00 40 10 3C 00 BF 8F 21 30 A0 02 21 38 80 02 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 81 00 43 04 21 28 80 02 21 20 00 02 21 28 20 02 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 21 30 40 00 21 20 40 00 21 28 60 00 21 38 60 00 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 28 60 00 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 21 20 40 02 21 28 60 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 40 00 A6 8F 44 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 BF 8F 21 A8 40 00 21 A0 60 00 21 10 A0 02 21 18 80 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 02 3C ?? ?? 55 8C ?? ?? 54 8C 3C 00 BF 8F 21 10 A0 02 21 18 80 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 21 28 20 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 0A 00 40 14 10 00 B6 87 12 00 B7 87 21 A8 E0 02 10 00 B7 A7 12 00 B6 A7 40 00 B3 AF 44 00 B0 AF 48 00 B4 AF ?? ?? ?? 0? 4C 00 B1 AF 12 00 B7 87 2A 10 D7 02 F5 FF 40 14 21 A8 C0 02 80 FF D7 16 00 00 A3 2A 21 20 80 02 21 30 60 02 21 28 20 02 ?? ?? ?? 0? 21 38 00 02 79 FF 41 04 00 00 A3 2A ?? ?? ?? 0? 21 A8 E0 02 48 00 B5 8F 4C 00 B4 8F 3C 00 BF 8F 21 10 A0 02 21 18 80 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 21 A0 00 00 44 00 B4 8F 3C 00 BF 8F 21 10 A0 02 21 18 80 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 21 30 40 02 ?? ?? 14 3C 21 38 60 02 ?? ?? ?? 0? 21 20 A0 02 ?? ?? 86 8E ?? ?? 87 8E 21 80 60 00 21 20 40 00 21 28 00 02 ?? ?? ?? 0? 21 88 40 00 21 20 40 00 21 28 60 00 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? 86 8E ?? ?? 87 8E 21 90 60 00 21 20 40 00 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 48 00 A4 8F ?? ?? ?? 0? 4C 00 A5 8F }
	condition:
		$1
}

rule file_388_0_4 {
	meta:
		name = "_Tls_dtor_rules"
		size = 36
		refs = "0010 free"
		altNames = "_Tls_dtor_namalloc"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 44 8C E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_388_1_4 {
	meta:
		name = "_Tls_setupx_rules"
		size = 64
		refs = "001c _Atexit"
		altNames = "_Tls_setupx_global_locale _Tls_setupx_namalloc"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF ?? ?? 10 3C ?? ?? 02 82 06 00 40 14 14 00 BF AF ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 02 00 02 24 ?? ?? 02 A2 14 00 BF 8F 01 00 02 24 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_388_2_4 {
	meta:
		name = "_Isdst"
		size = 568
		refs = "0034 _Tls_setup__Times 0040 _Times 006c _Daysto 01d0 _Gettime 01f4 _Getdst 0208 free 0224 _Getzone"
	strings:
		$1 = { B8 FF BD 27 34 00 B5 AF 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 24 00 B1 AF 20 00 B0 AF ?? ?? ?? 0? 21 A8 80 00 ?? ?? 02 3C ?? ?? 42 8C 03 00 40 10 ?? ?? 10 3C 09 F8 40 00 00 00 00 00 ?? ?? 10 26 ?? ?? 12 3C 4C 00 04 8E ?? ?? 42 8E 54 00 44 14 ?? ?? 11 3C 14 00 A4 8E 21 28 00 00 ?? ?? ?? 0? 6D 01 12 24 14 00 A4 8E 21 80 40 00 07 00 02 24 02 90 92 70 ?? ?? 36 8E 1C 00 B1 8E 08 00 A5 8E 00 00 C3 92 21 F0 00 00 01 00 52 26 21 90 50 02 1A 00 42 02 F4 01 40 00 18 00 02 24 10 90 00 00 0E 00 52 26 02 30 22 72 FF 00 02 24 2F 00 62 10 21 88 C5 00 05 00 D6 26 18 00 13 24 07 00 14 24 ?? ?? ?? 0? FF 00 17 24 00 00 62 90 27 00 57 10 05 00 D6 26 14 00 A4 8E FF FF C2 92 2A 10 82 00 F9 FF 40 14 21 18 C0 02 ?? ?? ?? 0? FE FF C5 92 FD FF C5 92 FB FF C3 92 01 00 C6 2F 23 28 B0 00 23 20 43 02 21 10 A2 00 08 00 67 2C 09 00 60 10 21 20 82 00 1A 00 94 00 F4 01 80 02 10 18 00 00 23 20 83 02 0A 20 03 00 21 10 44 00 F9 FF 43 24 0B 10 67 00 02 20 53 70 FC FF C5 92 21 10 85 00 2A 10 22 02 09 00 40 14 21 18 C0 02 04 00 C2 92 FF FF DE 92 05 00 D6 26 26 F0 C2 03 00 00 62 90 0B 30 1E 00 DB FF 57 14 21 F0 C0 00 44 00 BF 8F 21 10 C0 03 3C 00 B7 8F 40 00 BE 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 00 00 82 80 0F 00 40 14 00 00 00 00 50 00 04 8E 00 00 82 80 17 00 40 10 00 00 00 00 03 00 05 24 ?? ?? ?? 0? 10 00 A6 27 4C 00 02 AE 21 20 40 00 00 00 42 80 03 00 40 10 00 00 00 00 FF FF 84 24 4C 00 04 AE ?? ?? ?? 0? FF FF 1E 24 DF FF 40 10 ?? ?? 11 3C ?? ?? 24 8E ?? ?? ?? 0? 18 00 A2 AF 4C 00 03 8E 18 00 A2 8F ?? ?? 43 AE ?? ?? ?? 0? ?? ?? 22 AE ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 50 00 02 AE }
	condition:
		$1
}

rule file_390_0_4 {
	meta:
		name = "_Nnl"
		size = 20
	strings:
		$1 = { 2B 10 A6 00 23 28 C5 00 0A 28 02 00 08 00 E0 03 21 10 A0 00 }
	condition:
		$1
}

rule file_390_1_4 {
	meta:
		name = "_Fgpos"
		size = 256
		refs = "0020 lseek"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 14 00 B0 AF 1C 00 BF AF 21 88 80 00 03 00 84 80 21 80 A0 00 01 00 06 24 ?? ?? ?? 0? 21 28 00 00 00 00 23 96 03 00 64 30 07 00 80 14 FF FF 04 24 FF FF 02 24 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 FA FF 44 10 00 20 64 30 12 00 80 10 00 10 63 30 04 00 23 8E 0C 00 24 8E 2B 28 64 00 23 18 83 00 0A 18 05 00 21 10 43 00 F1 FF 00 12 1C 00 BF 8F 34 00 24 8E 38 00 23 8E C3 2F 02 00 00 00 02 AE 04 00 05 AE 08 00 04 AE 0C 00 03 AE ?? ?? ?? 0? 21 10 00 00 F4 FF 60 10 48 00 25 26 18 00 23 8E 28 00 24 8E 2B 38 65 00 23 18 A3 00 0A 18 07 00 21 38 60 00 0C 00 80 10 0C 00 23 8E 2C 00 25 8E 2B 30 64 00 23 20 83 00 0A 20 06 00 23 10 47 00 2B 30 65 00 23 18 A3 00 0A 18 06 00 23 10 44 00 ?? ?? ?? 0? 23 10 43 00 ?? ?? ?? 0? 10 00 24 8E }
	condition:
		$1
}

rule file_391_0_4 {
	meta:
		name = "_FPow"
		size = 2068
		refs = "0040 _FDunscale 0050 _FDint 006c fpcmp 00dc _FZero 01b8 fpadd 01dc fpsub 01f8 fpdiv 0208 fpmul 0218 _FLogpoly 024c sitofp 033c fptosi 03b4 _FExp 03cc _FInf 03d8 _Feraise 0510 _FNan 05ac _FXp_setw 05d0 _FXp_addx 0610 _FXp_addh 0630 memcpy 0640 _FXp_mulh 06d4 _FXp_getw"
	strings:
		$1 = { 68 FF BD 27 98 00 A4 AF 9C 00 A5 AF 14 00 A5 AF 10 00 A4 27 98 00 A5 27 94 00 BF AF 78 00 B2 AF 74 00 B1 AF 70 00 B0 AF 90 00 BE AF 21 80 C0 00 8C 00 B7 AF 88 00 B6 AF 84 00 B5 AF 80 00 B4 AF ?? ?? ?? 0? 7C 00 B3 AF 14 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 88 40 00 02 00 00 12 21 90 40 00 00 00 00 A6 05 00 40 16 9C 00 A4 8F ?? ?? ?? 0? 21 28 00 00 30 00 40 10 ?? ?? 02 3C 1C 00 20 06 02 00 02 24 DC 00 22 52 98 00 B0 8F 02 00 02 24 E6 00 42 52 9C 00 B0 8F 01 00 02 24 F0 00 22 52 9A 00 A2 87 01 01 42 12 9E 00 A2 87 29 01 40 04 00 00 00 00 21 00 40 16 21 80 00 00 14 00 A4 27 ?? ?? ?? 0? FF FF 05 24 1D 00 41 04 94 00 BF 8F 9A 00 A2 87 1B 00 41 04 21 10 00 02 ?? ?? 02 3C ?? ?? 50 8C 00 80 02 3C ?? ?? ?? 0? 26 80 02 02 10 00 B3 87 01 00 02 24 1D 00 62 16 98 00 B4 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 09 00 40 10 ?? ?? 02 3C 15 00 53 16 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 DB FF 40 14 01 00 02 24 ?? ?? 02 3C ?? ?? 50 8C 94 00 BF 8F 21 10 00 02 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 C7 FF 40 1E 02 00 02 24 9A 00 A2 87 E0 00 40 04 98 00 B3 8F 21 20 00 00 21 B8 00 00 ?? ?? ?? 0? 21 28 60 02 D2 00 41 04 00 80 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 09 00 41 04 ?? ?? 11 3C 21 20 60 02 ?? ?? ?? 0? 21 28 60 02 21 98 40 00 10 00 A2 97 FF FF 42 24 10 00 A2 A7 ?? ?? 11 3C ?? ?? 25 8E 21 20 60 02 ?? ?? ?? 0? ?? ?? 1E 3C ?? ?? 25 8E 21 20 60 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 21 A0 40 00 ?? ?? ?? 0? 98 00 B2 AF 98 00 B2 8F 21 28 80 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 10 00 A4 87 ?? ?? ?? 0? 21 B0 40 00 21 20 40 02 21 28 C0 02 ?? ?? ?? 0? 21 A8 40 00 ?? ?? C5 8F 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 9C 00 B3 8F 21 20 40 00 14 00 A2 AF ?? ?? ?? 0? 21 28 60 02 21 18 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 60 00 18 00 A3 AF ?? ?? ?? 0? 68 00 A3 AF 85 00 40 04 68 00 A3 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 60 00 B0 00 40 1C 68 00 A3 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 00 AA 00 40 1C 68 00 A3 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 60 02 A4 00 41 04 68 00 A3 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 9E 00 41 04 68 00 A3 8F 21 20 60 00 ?? ?? ?? 0? 21 28 00 00 33 01 41 04 68 00 A3 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 28 60 02 21 20 80 02 ?? ?? ?? 0? 68 00 A6 AF 21 28 60 02 21 20 A0 02 ?? ?? ?? 0? 21 90 40 00 68 00 A6 8F 21 98 40 00 ?? ?? ?? 0? 21 20 C0 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? C5 8F ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 68 00 A6 8F 18 00 A2 AF 03 00 00 12 ?? ?? 25 8E 00 00 06 A6 21 30 00 00 ?? ?? ?? 0? 18 00 A4 27 42 00 40 10 21 18 40 00 01 00 02 24 05 00 62 14 ?? ?? 02 3C ?? ?? 42 8C 08 00 04 24 ?? ?? ?? 0? 18 00 A2 AF 56 FF E0 52 18 00 B0 8F 18 00 B0 8F 00 80 02 3C ?? ?? ?? 0? 26 80 02 02 94 00 BF 8F 90 00 BE 8F 21 10 00 02 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 94 00 BF 8F 90 00 BE 8F 21 10 00 02 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 2E 00 40 04 9E 00 A2 87 34 FF 40 04 21 80 00 00 ?? ?? 02 3C ?? ?? 50 8C 94 00 BF 8F 21 10 00 02 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 93 00 40 04 10 00 A2 87 21 FF 40 18 21 80 00 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C 21 10 00 00 10 00 04 24 ?? ?? ?? 0? 18 00 A2 AF ?? ?? ?? 0? 00 00 00 00 26 98 62 02 14 00 A4 27 FF FF 05 24 ?? ?? ?? 0? 98 00 B3 AF 21 B8 40 00 ?? ?? ?? 0? 98 00 B3 8F 20 FF 40 12 00 00 00 00 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C 7B 00 40 04 00 00 00 00 D3 FF 40 16 ?? ?? 02 3C 14 00 A4 27 ?? ?? ?? 0? FF FF 05 24 CE FF 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 50 8C 00 80 02 3C ?? ?? ?? 0? 26 80 02 02 ?? ?? ?? 0? 04 00 04 24 C5 FF 40 16 ?? ?? 02 3C 14 00 A4 27 ?? ?? ?? 0? FF FF 05 24 C0 FF 41 04 ?? ?? 02 3C 9A 00 A2 87 F0 FF 40 04 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 60 00 89 FF 40 04 01 00 03 24 24 00 A4 27 04 00 05 24 ?? ?? ?? 0? 21 30 40 02 02 00 05 24 21 30 C0 02 ?? ?? ?? 0? 1C 00 A4 27 24 00 A4 27 04 00 05 24 1C 00 A6 27 ?? ?? ?? 0? 02 00 07 24 24 00 A4 8F ?? ?? ?? 0? 21 28 00 00 52 00 40 14 34 00 B3 27 34 00 B4 27 21 20 80 02 04 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 10 00 A4 87 21 30 40 00 21 20 80 02 ?? ?? ?? 0? 04 00 05 24 9C 00 A6 8F 24 00 A4 27 ?? ?? ?? 0? 02 00 05 24 21 28 80 02 10 00 06 24 ?? ?? ?? 0? 44 00 A4 27 24 00 A6 8F 44 00 A4 27 ?? ?? ?? 0? 04 00 05 24 28 00 A4 8F ?? ?? ?? 0? 21 28 00 00 59 00 40 14 21 28 80 02 44 00 B2 8F 21 28 00 00 21 20 40 02 ?? ?? ?? 0? 98 00 B2 AF 0F 00 40 10 98 00 A4 27 48 00 B3 8F 21 28 00 00 ?? ?? ?? 0? 21 20 60 02 09 00 40 50 98 00 A4 27 4C 00 A5 8F ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 98 00 A2 AF 98 00 A4 27 ?? ?? ?? 0? 21 28 00 00 98 00 A6 8F 00 80 02 3C 04 00 05 24 26 30 C2 00 ?? ?? ?? 0? 44 00 A4 27 44 00 A4 27 ?? ?? ?? 0? 04 00 05 24 ?? ?? C5 8F ?? ?? ?? 0? 21 20 40 00 98 00 A4 8F ?? ?? ?? 0? 18 00 A2 AF ?? ?? ?? 0? 21 30 40 00 8F FE 40 1C 21 80 00 00 ?? ?? ?? 0? ?? ?? 02 3C 8B FE 40 16 21 80 00 00 14 00 A4 27 ?? ?? ?? 0? FF FF 05 24 87 FE 41 04 94 00 BF 8F ?? ?? ?? 0? ?? ?? 02 3C ?? ?? 15 3C ?? ?? A5 26 10 00 06 24 ?? ?? ?? 0? 21 20 60 02 24 00 A6 8F 21 20 60 02 04 00 05 24 ?? ?? ?? 0? 28 00 B2 27 21 A0 60 02 ?? ?? B5 26 00 00 44 8E ?? ?? ?? 0? 21 28 00 00 21 28 A0 02 10 00 06 24 A2 FF 40 10 54 00 A4 27 ?? ?? ?? 0? 00 00 00 00 00 00 46 8E 54 00 A4 27 ?? ?? ?? 0? 04 00 05 24 04 00 52 26 21 20 60 02 04 00 05 24 54 00 A6 27 ?? ?? ?? 0? 04 00 07 24 ED FF 72 56 00 00 44 8E ?? ?? ?? 0? 00 00 00 00 54 00 A4 27 ?? ?? ?? 0? 10 00 06 24 28 00 A6 8F 54 00 A4 27 ?? ?? ?? 0? 04 00 05 24 44 00 A4 27 04 00 05 24 54 00 A6 27 ?? ?? ?? 0? 04 00 07 24 ?? ?? ?? 0? 44 00 B2 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 30 40 00 }
	condition:
		$1
}

rule file_393_0_4 {
	meta:
		name = "iswlower"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 06 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_394_0_4 {
	meta:
		name = "ctime_s"
		size = 72
		refs = "001c localtime_s 002c asctime_s"
	strings:
		$1 = { B8 FF BD 27 40 00 B1 AF 3C 00 B0 AF 21 88 80 00 21 80 A0 00 21 20 C0 00 44 00 BF AF ?? ?? ?? 0? 10 00 A5 27 21 30 40 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 44 00 BF 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 48 00 BD 27 }
	condition:
		$1
}

rule file_395_0_4 {
	meta:
		name = "llrintl"
		size = 272
		refs = "0018 _LDtest 0040 nearbyintl 005c dpcmp 00a8 __fixdfdi 00d4 _Feraise"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 24 00 A5 AF 1C 00 BF AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 21 20 00 00 24 00 40 10 21 28 00 00 03 00 40 04 03 00 42 28 27 00 40 14 00 00 00 00 20 00 A4 8F ?? ?? ?? 0? 24 00 A5 8F 20 00 A6 8F 24 00 A7 8F 21 20 40 00 21 28 60 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 26 00 40 14 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 13 00 40 1C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 0C 00 40 1C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 28 60 00 1C 00 BF 8F 21 10 80 00 21 18 A0 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 1C 00 BF 8F 21 20 00 00 21 28 00 00 21 10 80 00 21 18 A0 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 20 00 04 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_396_1_4 {
	meta:
		name = "fscanf_s"
		size = 104
		refs = "003c _Scanf 0058 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 30 00 A6 AF 24 00 BF AF 21 10 80 00 34 00 A7 AF 0E 00 80 10 21 30 A0 00 0C 00 A0 10 30 00 A3 27 ?? ?? 04 3C 21 28 40 00 ?? ?? 84 24 01 00 02 24 21 38 60 00 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_397_0_4 {
	meta:
		name = "fmodl"
		size = 660
		refs = "0034 _LDtest 00a8 _Feraise 00b4 _LNan 0104 dpcmp 0160 _LDunscale 01b4 _LDscale 025c dpsub"
	strings:
		$1 = { C0 FF BD 27 40 00 A4 AF 40 00 A4 27 20 00 B0 AF 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 24 00 B1 AF 44 00 A5 AF 48 00 A6 AF ?? ?? ?? 0? 4C 00 A7 AF 21 80 40 00 ?? ?? ?? 0? 48 00 A4 27 28 00 00 06 02 00 03 24 08 00 03 12 40 00 B4 8F 02 00 03 24 6A 00 43 10 01 00 03 24 10 00 03 12 00 00 00 00 0E 00 40 10 40 00 B4 8F 44 00 B3 8F 3C 00 BF 8F 21 10 80 02 21 18 60 02 38 00 B7 8F 34 00 B6 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 53 8C ?? ?? 54 8C 3C 00 BF 8F 21 18 60 02 21 10 80 02 38 00 B7 8F 34 00 B6 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 DB FF 41 04 4C 00 B1 8F 48 00 B0 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 06 00 43 04 40 00 B0 8F 00 80 02 3C 26 88 22 02 48 00 B0 AF 4C 00 B1 AF 40 00 B0 8F 44 00 B1 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 3F 00 40 04 00 80 02 3C 21 88 00 00 4C 00 A3 8F 48 00 A2 8F 10 00 A4 27 18 00 A5 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 40 00 A2 8F 44 00 A3 8F FF FF 10 24 18 00 A2 AF 1C 00 A3 AF 12 00 A4 27 ?? ?? ?? 0? 18 00 A5 27 3F 00 40 10 12 00 B2 87 10 00 A2 87 23 90 42 02 3C 00 40 06 40 00 B4 8F 48 00 A2 8F 4C 00 A3 8F 21 28 40 02 18 00 A4 27 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 40 00 B4 8F 44 00 B3 8F 18 00 B6 8F 1C 00 B7 8F 21 30 80 02 21 38 60 02 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 1C 00 40 18 21 20 80 02 FF FF 52 26 ED FF 50 16 48 00 A2 8F A1 FF 20 12 3C 00 BF 8F 00 80 02 3C ?? ?? ?? 0? 26 98 62 02 48 00 B4 8F 4C 00 B3 8F 3C 00 BF 8F 21 10 80 02 21 18 60 02 38 00 B7 8F 34 00 B6 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 26 88 22 02 44 00 B1 AF 40 00 B0 AF ?? ?? ?? 0? 01 00 11 24 21 28 60 02 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 A0 40 00 21 98 60 00 40 00 A2 AF 44 00 A3 AF 18 00 A2 AF C0 FF 41 06 1C 00 A3 AF ?? ?? ?? 0? 00 00 00 00 40 00 B4 8F ?? ?? ?? 0? 44 00 B3 8F }
	condition:
		$1
}

rule file_403_0_4 {
	meta:
		name = "cpowl"
		size = 612
		refs = "0044 cimagl 0058 dpcmp 0074 clogl 0098 __muldc3 00b4 cexpl 0120 creall 0150 powl 0164 _LCbuild 01b0 _LLog 0200 dpmul"
	strings:
		$1 = { B0 FF BD 27 48 00 B7 AF 44 00 B6 AF 40 00 B5 AF 3C 00 B4 AF 38 00 B3 AF 34 00 B2 AF 30 00 B1 AF 2C 00 B0 AF 21 A0 80 00 21 A8 A0 00 21 B0 C0 00 21 B8 E0 00 4C 00 BF AF 60 00 B0 8F 64 00 B2 8F 68 00 B1 8F ?? ?? ?? 0? 6C 00 B3 8F 21 20 40 00 21 28 60 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 21 00 40 10 21 30 20 02 21 30 C0 02 21 38 E0 02 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 21 30 80 00 21 38 A0 00 10 00 B0 AF 14 00 B2 AF 18 00 B1 AF 1C 00 B3 AF 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 40 80 00 21 48 A0 00 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 20 01 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 21 38 60 02 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 21 28 60 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 22 00 40 54 21 38 E0 02 21 20 80 02 21 28 A0 02 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 20 00 02 21 28 40 02 21 30 20 02 21 38 60 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 28 60 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 21 30 C0 02 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 30 00 00 21 38 E0 02 21 30 C0 02 21 20 80 02 21 28 A0 02 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 30 00 00 20 00 A8 8F 24 00 A9 8F 21 A0 40 00 21 20 00 01 21 28 20 01 21 A8 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 40 02 21 20 80 02 21 28 A0 02 21 30 20 02 21 38 60 02 21 90 40 00 ?? ?? ?? 0? 21 80 60 00 21 30 40 00 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 }
	condition:
		$1
}

rule file_404_0_4 {
	meta:
		name = "logbf"
		size = 144
		refs = "0010 _FDunscale 0038 sitofp 004c _Feraise 0054 _FInf"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A5 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 27 01 00 03 24 17 00 43 10 02 00 03 24 12 00 43 10 1C 00 BF 8F 07 00 40 10 10 00 A4 97 FF FF 84 24 ?? ?? ?? 0? 20 26 04 7C 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 43 8C 1C 00 BF 8F 00 80 02 3C 26 10 62 00 08 00 E0 03 20 00 BD 27 20 00 A2 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_713_0_4 {
	meta:
		name = "logb"
		size = 144
		refs = "0010 _Dunscale 0038 sitofp 004c _Feraise 0054 _Inf"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A5 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 27 01 00 03 24 17 00 43 10 02 00 03 24 12 00 43 10 1C 00 BF 8F 07 00 40 10 10 00 A4 97 FF FF 84 24 ?? ?? ?? 0? 20 26 04 7C 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 43 8C 1C 00 BF 8F 00 80 02 3C 26 10 62 00 08 00 E0 03 20 00 BD 27 20 00 A2 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_405_0_4 {
	meta:
		name = "atanf"
		size = 276
		refs = "0018 _FDtest 0060 fpcmp 009c fpdiv 00b0 _FAtan"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 2A 00 43 10 02 00 03 24 04 00 43 10 1C 00 BF 8F 08 00 40 14 20 00 B1 8F 1C 00 BF 8F 20 00 A2 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 21 28 00 00 21 80 00 00 ?? ?? ?? 0? 21 20 20 02 05 00 41 04 ?? ?? 12 3C 00 80 02 3C 26 88 51 00 20 00 B1 AF 08 00 10 24 ?? ?? 44 8E ?? ?? ?? 0? 21 28 20 02 08 00 41 04 21 20 20 02 ?? ?? 44 8E 21 28 20 02 ?? ?? ?? 0? 02 00 10 3A 21 88 40 00 20 00 A2 AF 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 22 00 A2 87 08 00 40 04 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_407_0_4 {
	meta:
		name = "ranmatch"
		size = 172
	strings:
		$1 = { 03 00 C2 2C 18 00 40 14 FF 00 A5 30 ?? ?? ?? 0? 2D 00 07 24 00 00 82 90 FF FF C6 24 21 00 45 10 21 20 60 00 03 00 C2 2C 0F 00 40 14 00 00 00 00 01 00 82 90 F7 FF 47 14 01 00 83 24 00 00 82 90 2B 10 A2 00 05 00 40 14 FD FF C6 24 02 00 82 90 2B 10 45 00 09 00 40 10 01 00 02 24 03 00 C2 2C F3 FF 40 10 03 00 84 24 04 00 C0 10 21 10 00 00 00 00 83 90 06 00 65 14 01 00 02 24 08 00 E0 03 00 00 00 00 00 00 82 90 FC FF 45 10 01 00 02 24 FF FF C6 24 FB FF C0 14 01 00 84 24 08 00 E0 03 21 10 00 00 08 00 E0 03 01 00 02 24 }
	condition:
		$1
}

rule file_407_1_4 {
	meta:
		name = "_Getstr"
		size = 1592
		refs = "0070 _Ctype 0178 _Mbtowc 02a8 memchr 04c8 strchr 054c _Fail_s 059c strlen"
	strings:
		$1 = { 90 FF BD 27 68 00 BE AF 48 00 B0 AF 6C 00 BF AF 64 00 B7 AF 60 00 B6 AF 5C 00 B5 AF 58 00 B4 AF 54 00 B3 AF 50 00 B2 AF 4C 00 B1 AF 21 18 80 00 21 80 A0 00 21 00 94 80 14 00 A0 AF 18 00 A0 AF 15 01 A0 04 21 F0 00 00 18 00 62 8C 34 01 40 18 00 00 00 00 20 00 64 80 6C 00 94 3A 01 00 94 2E E5 00 80 10 14 00 62 AC 21 98 00 00 21 90 00 00 ?? ?? 11 3C 1C 00 B7 27 14 00 62 8C FF FF 42 24 28 00 40 04 14 00 62 AC 10 00 65 8C 00 00 62 8C 04 00 64 8C 01 00 A5 24 10 00 65 AC 01 00 06 24 44 00 A3 AF 09 F8 40 00 21 28 00 00 21 40 40 00 FF FF 02 24 5E 01 02 11 44 00 A3 8F 70 00 00 1A ?? ?? 24 8E 40 10 08 00 21 10 82 00 00 00 42 94 44 01 42 30 7A 00 40 54 10 00 65 8C 20 00 80 16 10 00 A4 27 20 00 62 80 E3 FF 40 14 02 00 12 24 1C 00 62 8C 33 01 40 10 01 00 04 24 00 00 C8 A2 1C 00 62 8C 01 00 D6 26 FF FF 42 24 1C 00 62 AC 14 00 62 8C 22 00 64 A0 FF FF 42 24 DA FF 41 04 14 00 62 AC 10 00 62 8C 01 00 42 24 FF FF 42 24 10 00 62 AC 09 01 00 12 FF FF 08 24 02 00 02 24 22 01 42 52 20 00 64 80 01 00 52 32 9A 00 40 16 FF FF 02 24 27 40 08 00 ?? ?? ?? 0? 0B 10 08 00 21 10 93 00 01 00 75 26 14 00 A7 27 0C 00 48 A0 21 28 E0 02 21 30 A0 02 ?? ?? ?? 0? 44 00 A3 AF 21 38 40 00 FF FF 02 24 71 00 E2 10 44 00 A3 8F 65 00 E0 14 FE FF 02 24 10 00 A2 8F FE 00 40 10 2A 10 F5 00 22 00 40 50 21 98 A0 02 1B 00 A5 27 21 90 F3 02 21 48 A7 00 ?? ?? ?? 0? FF FF 08 24 10 00 6A 8C 00 00 62 8C 04 00 64 8C FF FF 4A 25 10 00 6A AC 44 00 A3 AF 38 00 A7 AF 40 00 A8 AF 09 F8 40 00 3C 00 A9 AF 3C 00 A9 8F FF FF 52 26 44 00 A3 8F 38 00 A7 8F 0A 00 49 12 40 00 A8 8F 00 00 42 82 21 30 00 00 ED FF 48 14 21 28 40 00 10 00 62 8C FF FF 52 26 FF FF 42 24 F8 FF 49 16 10 00 62 AC FF FF B5 26 23 98 F3 00 21 98 B3 02 20 00 62 80 0D 00 40 54 18 00 62 8C 1C 00 62 8C 8D FF 40 10 01 00 12 24 34 00 A5 8F 10 00 A4 8F FF FF 42 24 00 00 A4 AC 04 00 A5 24 34 00 A5 AF 22 00 72 A0 1C 00 62 AC 18 00 62 8C 21 98 00 00 02 00 12 24 FF FF 42 24 ?? ?? ?? 0? 18 00 62 AC 96 FF 00 12 00 00 00 00 1B 00 C0 17 28 00 A5 8F 28 00 A4 8F 6C 00 80 10 2C 00 A4 8F 30 00 A6 8F 21 28 00 01 44 00 A3 AF ?? ?? ?? 0? 40 00 A8 AF 44 00 A3 8F 89 FF 40 10 40 00 A8 8F 10 00 65 8C 00 00 62 8C 04 00 64 8C FF FF A5 24 10 00 65 AC 21 30 00 00 21 28 00 01 44 00 A3 AF 09 F8 40 00 40 00 A8 AF 40 00 A8 8F 9C 00 00 12 44 00 A3 8F ?? ?? ?? 0? 02 00 02 24 5D 00 A0 10 2C 00 A4 8F 30 00 A6 8F 21 28 00 01 44 00 A3 AF ?? ?? ?? 0? 40 00 A8 AF 44 00 A3 8F 70 FF 40 10 40 00 A8 8F ?? ?? ?? 0? 10 00 65 8C 2F 00 E2 10 08 00 A2 2E FD FF 02 24 26 10 E2 00 0A 38 02 00 2A 10 F5 00 9B FF 40 54 1B 00 A5 27 ?? ?? ?? 0? 21 98 A0 02 21 80 F5 02 0D 00 A0 1E FF FF 11 24 ?? ?? ?? 0? FF FF 02 24 10 00 67 8C 00 00 62 8C 04 00 64 8C FF FF E7 24 10 00 67 AC FF FF 10 26 09 F8 40 00 44 00 A3 AF 0A 00 F0 12 44 00 A3 8F FF FF 02 82 21 30 00 00 F3 FF 51 14 21 28 40 00 10 00 62 8C FF FF 10 26 FF FF 42 24 F8 FF F0 16 10 00 62 AC FF FF 02 24 0B 10 12 00 6C 00 BF 8F 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 D9 FF 40 10 01 00 52 36 ?? ?? ?? 0? 21 98 A0 02 4E 00 80 12 08 00 62 8C 00 00 44 8C 04 00 42 24 08 00 62 AC 7F 00 80 10 34 00 A4 AF 23 00 64 80 14 FF 80 10 21 98 00 00 00 00 44 8C 04 00 42 24 72 00 80 04 08 00 62 AC 1C 00 62 8C 2B 10 82 00 0C FF 40 54 1C 00 64 AC ?? ?? ?? 0? 21 90 00 00 30 00 A6 8F 21 28 00 01 44 00 A3 AF ?? ?? ?? 0? 40 00 A8 AF 44 00 A3 8F 1E FF 40 14 40 00 A8 8F ?? ?? ?? 0? 10 00 65 8C 30 00 A6 8F 21 28 00 01 44 00 A3 AF ?? ?? ?? 0? 40 00 A8 AF 44 00 A3 8F 14 FF 40 14 40 00 A8 8F ?? ?? ?? 0? 10 00 65 8C 0C 00 84 8C 28 00 A0 AF 5E 00 06 24 01 00 82 24 0C 00 62 AC 01 00 85 80 3F 00 A6 50 02 00 82 24 5D 00 A5 38 01 00 A4 2C 21 20 44 00 5D 00 05 24 ?? ?? ?? 0? 44 00 A3 AF 21 20 40 00 44 00 A3 8F B7 FF 80 10 21 10 00 00 0C 00 65 8C 0C 00 64 AC 21 F0 00 00 23 20 85 00 03 00 82 28 2C 00 A5 AF D3 FE 40 14 30 00 A4 AF 30 00 A2 8F 01 00 A4 24 2D 00 05 24 ?? ?? ?? 0? FE FF 46 24 2B F0 02 00 ?? ?? ?? 0? 44 00 A3 8F CC FE 00 12 01 00 02 24 FF 7F 02 3C ?? ?? ?? 0? FF FF 42 34 00 00 56 8C 04 00 42 24 B5 FF C0 16 08 00 62 AC ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 24 00 05 24 ?? ?? ?? 0? 27 10 02 00 02 00 03 24 F9 FE 43 16 01 00 02 24 6C 00 BF 8F 68 00 BE 8F 64 00 B7 8F 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 70 00 BD 27 21 20 E0 02 ?? ?? ?? 0? 44 00 A3 AF 01 00 47 24 ?? ?? ?? 0? 44 00 A3 8F 0C 00 62 AC 02 00 85 80 5E 00 04 24 ?? ?? ?? 0? 28 00 A4 AF ?? ?? ?? 0? 01 00 12 24 7A FF 80 14 01 00 02 24 1C 00 63 8C 77 FF 60 10 21 10 00 00 10 00 80 56 34 00 A2 8F 00 00 C0 A2 ?? ?? ?? 0? 01 00 02 24 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 20 00 05 24 ?? ?? ?? 0? 27 10 02 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 27 00 05 24 ?? ?? ?? 0? 27 10 02 00 00 00 40 AC ?? ?? ?? 0? 01 00 02 24 ?? ?? ?? 0? 10 00 62 8C }
	condition:
		$1
}

rule file_409_0_4 {
	meta:
		name = "frexpl"
		size = 64
		refs = "0018 _LDunscale"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 2C 00 A5 AF 10 00 A4 27 28 00 A5 27 24 00 BF AF ?? ?? ?? 0? 18 00 A6 AF 10 00 A4 87 18 00 A6 8F 24 00 BF 8F 28 00 A2 8F 2C 00 A3 8F 00 00 C4 AC 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_410_0_4 {
	meta:
		name = "_FDunscale"
		size = 172
		refs = "0028 _FDnorm"
	strings:
		$1 = { 02 00 A3 94 E0 FF BD 27 18 00 B0 AF C0 39 62 7C 21 80 80 00 FF 00 04 24 0D 00 44 10 1C 00 BF AF 18 00 40 14 21 20 A0 00 ?? ?? ?? 0? 10 00 A5 AF 13 00 40 18 10 00 A5 8F 00 00 00 A6 21 10 00 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 00 A6 02 00 A3 94 7F 00 63 30 F8 FF 60 14 02 00 02 24 00 00 A4 94 1C 00 BF 8F 01 00 03 24 0A 10 64 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 02 00 A3 94 1C 00 BF 8F 7F 80 63 30 82 FF 44 24 00 3F 63 34 02 00 A3 A4 FF FF 02 24 00 00 04 A6 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_411_0_4 {
	meta:
		name = "mbstowcs_s"
		size = 452
		refs = "0078 _Mbtowc 013c _Fail_s"
	strings:
		$1 = { C0 FF BD 27 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 24 00 B1 AF 20 00 B0 AF 3C 00 BF AF 38 00 B6 AF 34 00 B5 AF 21 90 80 00 21 80 A0 00 21 88 C0 00 21 A0 E0 00 50 00 B3 8F 14 00 A0 AF 37 00 80 10 18 00 A0 AF 34 00 E0 10 FF FF 02 24 2F 00 A0 10 00 00 00 00 31 00 C0 58 00 00 42 AE 2F 00 62 06 00 00 42 AE 4C 00 60 12 21 A8 00 00 21 28 80 02 21 30 60 02 10 00 A4 27 ?? ?? ?? 0? 14 00 A7 27 21 B0 00 02 14 00 40 04 2B 18 B1 02 37 00 60 10 00 00 00 00 02 00 00 12 10 00 A3 8F 00 00 C3 AE 46 00 60 50 00 00 55 AE 23 98 62 02 01 00 B5 26 39 00 60 12 04 00 D6 26 21 A0 82 02 21 28 80 02 21 30 60 02 10 00 A4 27 ?? ?? ?? 0? 14 00 A7 27 EE FF 41 04 2B 18 B1 02 3C 00 BF 8F FF FF 02 24 00 00 42 AE 38 00 B6 8F 58 00 02 24 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 D5 FF C0 10 00 00 00 00 FF FF 02 24 00 00 42 AE 06 00 00 12 ?? ?? 04 3C 05 00 20 12 ?? ?? 84 24 01 00 23 06 00 00 00 AE ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 3C 00 BF 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 CF FF 00 12 23 98 62 02 FF FF 02 24 ?? ?? 04 3C 00 00 42 AE ?? ?? 84 24 00 00 00 AE ?? ?? ?? 0? 1C 00 05 24 ?? ?? ?? 0? 3C 00 BF 8F 2B 88 B1 02 E9 FF 20 12 21 10 00 00 E7 FF 00 12 00 00 55 AE 80 A8 15 00 21 80 15 02 ?? ?? ?? 0? 00 00 00 AE ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_413_0_4 {
	meta:
		name = "nextafter"
		size = 56
		refs = "0010 fptodp 0020 nexttoward"
		altNames = "nextafterf"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 14 00 BF AF ?? ?? ?? 0? 21 20 A0 00 21 30 40 00 21 20 00 02 ?? ?? ?? 0? 21 38 60 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_414_0_4 {
	meta:
		name = "feraiseexcept"
		size = 196
		refs = "002c _Tls_setup__Fenv 004c _Fenv 00a0 raise"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 20 00 C4 AF 20 00 C2 8F 3D 00 42 30 20 00 C2 AF 20 00 C2 8F 20 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 10 00 C2 AF 10 00 C2 8F 02 00 42 94 20 1E 02 7C 20 00 C2 8F 20 16 02 7C 25 10 62 00 20 16 02 7C FF FF 43 30 10 00 C2 8F 02 00 43 A4 10 00 C2 8F 00 00 42 94 27 18 02 00 20 00 C2 8F 24 10 62 00 04 00 40 10 00 00 00 00 08 00 04 24 ?? ?? ?? 0? 00 00 00 00 21 10 00 00 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_415_0_4 {
	meta:
		name = "_Wcsftime"
		size = 616
		refs = "0010 _Times 0094 _Mbtowc 0054 _Tls_setup__Times 0178 _Gentime"
	strings:
		$1 = { 70 FF BD 27 80 00 B6 AF A0 00 B6 8F 7C 00 B5 AF ?? ?? 15 3C 88 00 BE AF 84 00 B7 AF 78 00 B4 AF 74 00 B3 AF 70 00 B2 AF 6C 00 B1 AF 68 00 B0 AF 8C 00 BF AF 21 98 80 00 21 80 A0 00 21 F0 C0 00 21 B8 E0 00 20 00 A0 AF 24 00 A0 AF 21 88 80 00 21 90 00 00 ?? ?? 14 3C ?? ?? B5 26 25 10 57 02 1D 00 40 10 8C 00 BF 8F 07 00 E0 16 18 00 A0 AF FF FF 52 26 80 10 12 00 18 00 A3 27 21 10 62 00 18 00 5E 8C 24 00 57 8C 18 00 A4 27 21 28 C0 03 21 30 E0 02 ?? ?? ?? 0? 20 00 A7 27 1B 00 40 58 00 00 C2 83 18 00 A3 8F 21 F0 C2 03 EB FF 60 10 23 B8 E2 02 4E 00 00 12 25 00 02 24 15 00 62 10 25 10 57 02 00 00 23 AE FF FF 10 26 E6 FF 40 14 04 00 31 26 8C 00 BF 8F 23 88 33 02 83 10 11 00 88 00 BE 8F 84 00 B7 8F 80 00 B6 8F 7C 00 B5 8F 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 ?? ?? ?? 0? 2B 10 02 00 EB FF E0 12 00 00 00 00 00 00 C8 83 45 00 02 24 3F 00 02 11 4F 00 02 24 3E 00 02 51 01 00 DE 27 21 30 00 00 21 40 00 00 ?? ?? 82 8E 07 00 40 50 00 00 C7 83 60 00 A6 AF 09 F8 40 00 64 00 A8 AF 64 00 A8 8F 60 00 A6 8F 00 00 C7 83 1C 00 A2 27 10 00 A2 AF 21 20 C0 02 48 00 A2 27 21 28 A0 02 64 00 A8 AF ?? ?? ?? 0? 14 00 A2 AF 64 00 A8 8F 1C 00 A6 8F 21 18 40 00 2B 40 08 00 23 B8 E8 02 01 00 DE 27 25 00 C0 18 FF FF F7 26 28 00 A0 AF ?? ?? ?? 0? 2C 00 A0 AF 18 00 A4 8F FF FF 10 26 23 30 C2 00 00 00 24 AE 1C 00 A6 AF A6 FF C0 18 04 00 31 26 21 18 62 00 21 28 60 00 18 00 A4 27 28 00 A7 27 ?? ?? ?? 0? 60 00 A3 AF 9E FF 40 18 60 00 A3 8F F0 FF 00 16 1C 00 A6 8F 8C 00 BF 8F 21 10 00 00 88 00 BE 8F 84 00 B7 8F 80 00 B6 8F 7C 00 B5 8F 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 90 00 BD 27 01 00 DE 27 ?? ?? ?? 0? 21 30 00 01 0B 00 E0 52 23 B8 06 00 03 00 42 2E 08 00 40 50 23 B8 06 00 80 10 12 00 18 00 A4 27 21 10 82 00 18 00 5E AC 24 00 57 AC 01 00 52 26 23 B8 06 00 ?? ?? ?? 0? 21 F0 60 00 }
	condition:
		$1
}

rule file_416_0_4 {
	meta:
		name = "mbsrtowcs_s"
		size = 524
		refs = "00d4 _Mbtowc 012c _Fail_s"
	strings:
		$1 = { B8 FF BD 27 3C 00 B7 AF 34 00 B5 AF 30 00 B4 AF 28 00 B2 AF 24 00 B1 AF 20 00 B0 AF 44 00 BF AF 40 00 BE AF 38 00 B6 AF 2C 00 B3 AF 21 88 80 00 21 A8 A0 00 21 B8 C0 00 21 A0 E0 00 58 00 B2 8F 2E 00 80 10 5C 00 B0 8F 2C 00 E0 10 00 00 00 00 00 00 F6 8C 29 00 C0 12 00 00 00 00 27 00 00 12 00 00 00 00 3F 00 A0 10 00 00 00 00 25 00 C0 18 00 00 00 00 23 00 40 06 00 00 00 00 4D 00 40 12 FF 7F 13 3C 21 F0 A0 00 21 18 00 00 ?? ?? ?? 0? FF FF 73 36 05 00 40 54 01 00 63 24 00 00 C4 8F 55 00 80 50 00 00 80 AE 01 00 63 24 FF FF F7 26 21 B0 C2 02 41 00 72 10 04 00 DE 27 45 00 E0 52 00 00 96 AE 21 20 C0 03 21 28 C0 02 21 30 60 02 21 38 00 02 ?? ?? ?? 0? 18 00 A3 AF ED FF 41 04 18 00 A3 8F FF FF 03 24 00 00 96 AE 58 00 02 24 00 00 C0 AF ?? ?? ?? 0? 00 00 23 AE 05 00 A0 12 00 00 00 00 03 00 E0 12 00 00 00 00 01 00 E3 06 00 00 A0 AE 04 00 20 12 ?? ?? 04 3C FF FF 02 24 00 00 22 AE ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1A 00 05 24 44 00 BF 8F 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 EE FF C0 14 FF FF 02 24 FF 7F 13 3C 21 90 00 00 FF FF 73 36 21 28 C0 02 10 00 A4 27 21 30 60 02 ?? ?? ?? 0? 21 38 00 02 1C 00 42 04 FF FF 02 24 05 00 40 54 01 00 52 26 10 00 A3 8F E4 FF 60 50 00 00 32 AE 01 00 52 26 ?? ?? ?? 0? 21 B0 C2 02 21 F0 A0 00 21 18 00 00 05 00 E0 12 00 00 96 AE 00 00 C0 AF 21 10 00 00 ?? ?? ?? 0? 00 00 23 AE ?? ?? 04 3C FF FF 02 24 00 00 A0 AE ?? ?? 84 24 00 00 22 AE ?? ?? ?? 0? 1E 00 05 24 ?? ?? ?? 0? 44 00 BF 8F ?? ?? ?? 0? 00 00 23 AE 00 00 22 AE ?? ?? ?? 0? 58 00 02 24 }
	condition:
		$1
}

rule file_417_5_4 {
	meta:
		name = "_Z41__static_initialization_and_destruction_0ii.clone.6"
		size = 168
		refs = "0020 _ZNSt6_WinitD1Ev 0030 _ZNSt8ios_base4InitD1Ev 008c _ZNSt8ios_base4InitC1Ev 0098 _ZNSt6_WinitC1Ev"
	strings:
		$1 = { E0 FF BD 27 01 00 02 24 1C 00 BF AF 18 00 B1 AF 1D 00 82 10 14 00 B0 AF 16 00 80 14 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? ?? ?? 11 3C ?? ?? 22 8E 0A 00 43 2C 0C 00 60 10 ?? ?? 10 3C ?? ?? 10 26 80 18 02 00 21 18 03 02 00 00 63 8C 01 00 42 24 09 F8 60 00 ?? ?? 22 AE ?? ?? 22 8E 0A 00 43 2C F8 FF 60 14 80 18 02 00 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_417_6_4 {
	meta:
		name = "_Atexit"
		size = 80
		refs = "003c abort"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 43 8C E8 FF BD 27 0B 00 60 10 14 00 BF AF FF FF 63 24 ?? ?? 05 3C 14 00 BF 8F 80 30 03 00 ?? ?? A5 24 21 28 C5 00 ?? ?? 43 AC 00 00 A4 AC 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_418_0_4 {
	meta:
		name = "_FExp"
		size = 1028
		refs = "0028 _FDtest 006c fpcmp 0070 _FInf 0108 fpmul 0134 _Feraise 013c _FNan 01f0 fpadd 01f8 fptosi 0204 sitofp 0224 fpsub 0250 _FEps 0290 _FDscale 03b0 fpdiv"
	strings:
		$1 = { C8 FF BD 27 10 00 A6 AF 34 00 BF AF 20 00 B1 AF 1C 00 B0 AF 3C 00 A5 AF 21 80 80 00 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 21 88 40 00 ?? ?? ?? 0? 3C 00 A4 27 4D 00 20 06 10 00 A6 8F 02 00 03 24 0F 00 23 12 34 00 BF 8F 02 00 03 24 15 00 43 50 3C 00 A2 8F 1F 00 40 14 01 00 12 24 ?? ?? 02 3C 00 00 04 8E ?? ?? ?? 0? ?? ?? 45 8C 2F 00 40 10 3C 00 A2 8F 21 88 00 00 00 00 02 AE 34 00 BF 8F 21 10 20 02 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 34 00 BF 8F 02 00 11 24 00 00 02 AE 30 00 B5 8F 21 10 20 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 0E 00 52 10 ?? ?? 02 3C 7E 00 20 12 ?? ?? 45 8C 00 00 11 8E ?? ?? ?? 0? 21 20 20 02 71 00 40 14 3C 00 A4 8F 3C 00 A5 8F 21 20 20 02 ?? ?? ?? 0? 01 00 11 24 ?? ?? ?? 0? 00 00 02 AE ?? ?? 45 8C 00 00 04 8E 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 69 00 40 14 3C 00 A2 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 42 8C 34 00 BF 8F 02 00 11 24 00 00 02 AE 30 00 B5 8F 21 10 20 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 B7 FF 41 04 02 00 03 24 00 00 11 8E ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? 10 00 A6 AF 49 00 40 04 10 00 A6 8F ?? ?? 02 3C ?? ?? 44 8C 21 28 20 02 ?? ?? ?? 0? 10 00 A6 AF 8A 00 40 04 10 00 A6 8F ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? 10 00 A6 AF 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 90 40 00 7C 00 41 04 10 00 A6 8F ?? ?? 02 3C ?? ?? 44 8C 21 28 40 02 ?? ?? ?? 0? 10 00 A6 AF ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 90 40 00 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 A0 40 00 ?? ?? 02 3C ?? ?? 51 8C 00 80 04 3C 21 28 80 02 ?? ?? ?? 0? 26 20 91 00 2C 00 41 04 10 00 A6 8F 21 20 80 02 ?? ?? ?? 0? 21 28 20 02 27 00 41 04 10 00 A6 8F 3C 00 A2 8F 00 00 02 AE 21 20 00 02 ?? ?? ?? 0? 21 28 46 02 18 00 40 10 21 88 40 00 01 00 02 24 78 FF 22 56 34 00 BF 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 34 00 BF 8F 3C 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 88 00 00 ?? ?? ?? 0? 00 00 02 AE 01 00 11 24 ?? ?? ?? 0? 00 00 02 AE 3C 00 A2 8F 21 20 00 02 21 28 C0 00 ?? ?? ?? 0? 00 00 02 AE 05 00 40 14 21 88 40 00 ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 34 00 BF 8F 5E FF 52 54 34 00 BF 8F ?? ?? ?? 0? 00 00 00 00 21 20 80 02 21 28 80 02 ?? ?? ?? 0? 10 00 A6 AF 21 A8 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 A0 02 ?? ?? ?? 0? ?? ?? 13 3C 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 A0 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 28 40 00 21 20 20 02 ?? ?? ?? 0? 21 A0 40 00 ?? ?? 65 8E ?? ?? ?? 0? 21 20 40 00 21 20 20 02 21 28 80 02 ?? ?? ?? 0? 21 A8 40 00 ?? ?? 65 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 3C 00 A5 8F ?? ?? ?? 0? 21 20 40 00 00 00 02 AE ?? ?? ?? 0? 10 00 A6 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 44 8C ?? ?? 02 3C ?? ?? 44 8C 3C 00 A5 8F ?? ?? ?? 0? 01 00 11 24 00 00 02 AE ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_419_0_4 {
	meta:
		name = "_Stoulx"
		size = 780
		refs = "0048 _Ctype 0154 _Tolotab 01a0 memchr 01f4 _Errno"
	strings:
		$1 = { B0 FF BD 27 3C 00 B5 AF 30 00 B2 AF 2C 00 B1 AF 4C 00 BF AF 48 00 BE AF 44 00 B7 AF 40 00 B6 AF 38 00 B4 AF 34 00 B3 AF 28 00 B0 AF 21 A8 E0 00 21 88 80 00 54 00 A5 AF 02 00 E0 10 21 90 C0 00 00 00 E0 AC 00 00 3E 82 ?? ?? 02 3C ?? ?? 43 8C FF 00 C2 33 40 10 02 00 21 10 62 00 00 00 42 94 44 01 42 30 0A 00 40 10 21 B8 20 02 01 00 F7 26 00 00 FE 82 FF 00 C2 33 40 10 02 00 21 10 62 00 00 00 42 94 44 01 42 30 F9 FF 40 54 01 00 F7 26 2D 00 02 24 6D 00 C2 13 2B 00 02 24 02 00 C2 53 01 00 F7 26 2B 00 1E 24 05 00 40 06 01 00 02 24 03 00 42 12 25 00 42 2A 12 00 40 14 00 00 00 00 54 00 A2 8F 02 00 40 10 21 18 00 00 00 00 51 AC 4C 00 BF 8F 21 10 60 00 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 53 00 40 12 10 00 02 24 64 00 42 52 00 00 E2 82 00 00 E2 82 30 00 03 24 79 00 43 14 21 48 40 02 21 40 E0 02 30 00 03 24 01 00 08 25 00 00 02 81 FE FF 43 50 01 00 08 25 21 48 40 02 ?? ?? 13 3C ?? ?? 73 26 21 38 00 01 21 B0 00 00 21 18 00 00 ?? ?? 0A 3C ?? ?? ?? 0? 21 A0 60 02 02 10 69 70 20 84 04 7C 21 B0 60 00 21 18 50 00 01 00 E2 80 01 00 E7 24 ?? ?? 45 8D 40 10 02 00 21 20 60 02 21 10 A2 00 00 00 45 84 21 30 20 01 14 00 A3 AF 10 00 A7 AF 18 00 A8 AF 1C 00 A9 AF ?? ?? ?? 0? 20 00 AA AF 23 20 54 00 14 00 A3 8F 10 00 A7 8F 18 00 A8 8F 1C 00 A9 8F E8 FF 40 14 20 00 AA 8F 41 00 F7 10 ?? ?? 02 3C ?? ?? 42 24 21 90 42 02 00 00 42 82 23 40 E8 00 23 40 02 01 2C 00 00 05 23 10 03 00 21 00 00 51 23 80 70 00 22 00 03 24 ?? ?? 02 3C 03 00 A0 12 ?? ?? 43 AC 01 00 02 24 00 00 A2 AE FF FF 03 24 54 00 A2 8F AF FF 40 10 4C 00 BF 8F 00 00 47 AC 48 00 BE 8F 21 10 60 00 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 ?? ?? ?? 0? 01 00 F7 26 00 00 E2 82 30 00 03 24 20 00 43 10 0A 00 09 24 0A 00 12 24 ?? ?? ?? 0? 21 40 E0 02 2B 10 70 00 DF FF 40 54 22 00 03 24 1B 00 09 02 F4 01 20 01 12 80 00 00 DA FF 16 56 22 00 03 24 23 10 03 00 2D 00 DE 3B ?? ?? ?? 0? 0A 18 5E 00 30 00 03 24 F0 FF 43 14 10 00 09 24 01 00 E2 82 78 00 03 24 03 00 43 10 58 00 03 24 9A FF 43 14 21 40 E0 02 ?? ?? ?? 0? 02 00 F7 26 54 00 A4 8F 7F FF 80 10 21 18 00 00 ?? ?? ?? 0? 00 00 91 AC 01 00 E2 82 78 00 03 24 03 00 43 10 58 00 03 24 8C FF 43 14 08 00 12 24 02 00 F7 26 ?? ?? ?? 0? 10 00 12 24 ?? ?? ?? 0? 21 40 E0 02 }
	condition:
		$1
}

rule file_422_0_4 {
	meta:
		name = "llroundl"
		size = 236
		refs = "0018 _LDtest 0040 roundl 0068 dpcmp 0094 __fixdfdi 00c0 _Feraise"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 24 00 A5 AF 1C 00 BF AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 21 20 00 00 1F 00 40 10 21 28 00 00 03 00 40 04 03 00 42 28 22 00 40 14 00 00 00 00 20 00 A4 8F ?? ?? ?? 0? 24 00 A5 8F 21 80 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 00 02 21 38 60 00 21 88 60 00 20 00 B0 AF ?? ?? ?? 0? 24 00 A3 AF 13 00 40 1C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 0C 00 40 1C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 28 60 00 1C 00 BF 8F 21 10 80 00 21 18 A0 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 1C 00 BF 8F 21 20 00 00 21 28 00 00 21 10 80 00 21 18 A0 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_425_0_4 {
	meta:
		name = "tanhf"
		size = 724
		refs = "001c _FDtest 0068 fpcmp 0088 _FRteps 00b8 fpmul 00e4 fpadd 0114 fpdiv 0294 expf 02bc fpsub"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 01 00 03 24 48 00 43 10 02 00 03 24 04 00 43 10 28 00 B1 8F 0A 00 40 14 21 28 00 00 28 00 B1 8F 24 00 BF 8F 21 10 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 80 00 00 ?? ?? ?? 0? 21 20 20 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 88 51 00 28 00 B1 AF 01 00 10 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 21 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 33 00 41 04 ?? ?? 02 3C 21 20 20 02 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 21 20 20 02 ?? ?? ?? 0? 21 90 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 C9 FF 00 12 24 00 BF 8F 00 80 02 3C 26 88 51 00 21 10 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 2A 00 A2 87 49 00 40 04 ?? ?? 02 3C ?? ?? 51 8C 24 00 BF 8F 20 00 B3 8F 21 10 20 02 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 0B 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 38 00 40 04 ?? ?? 02 3C A6 FF 00 12 ?? ?? 51 8C ?? ?? ?? 0? 24 00 BF 8F ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? ?? ?? 11 3C 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 21 20 40 02 ?? ?? ?? 0? 21 98 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 00 21 20 40 02 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 76 FF 00 12 21 88 40 00 ?? ?? ?? 0? 24 00 BF 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 51 8C 21 28 20 02 ?? ?? ?? 0? 21 20 20 02 ?? ?? 11 3C ?? ?? ?? 0? 21 20 40 00 ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 ?? ?? 24 8E ?? ?? ?? 0? 21 28 40 00 5F FF 00 12 21 88 40 00 ?? ?? ?? 0? 24 00 BF 8F }
	condition:
		$1
}

rule file_426_0_4 {
	meta:
		name = "csqrtl"
		size = 944
		refs = "002c creall 0048 cimagl 005c _LDtest 008c _LHypot 00b8 dpcmp 00d0 ldexpl 00e4 dpadd 0104 sqrtl 0194 dpdiv 01ac _LCbuild 0220 _LInf 02d4 dpmul 0330 _LZero"
	strings:
		$1 = { B0 FF BD 27 40 00 B3 AF 3C 00 B2 AF 38 00 B1 AF 34 00 B0 AF 21 88 C0 00 21 80 80 00 21 90 A0 00 21 98 E0 00 4C 00 BF AF 48 00 B5 AF ?? ?? ?? 0? 44 00 B4 AF 21 20 00 02 21 28 40 02 21 30 20 02 21 38 60 02 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 28 00 A4 27 28 00 A2 AF 2C 00 A3 AF ?? ?? ?? 0? 01 00 14 24 85 00 54 10 21 A8 40 00 ?? ?? ?? 0? 20 00 A4 27 60 00 54 10 20 00 A4 8F 24 00 A5 8F 28 00 A6 8F 2C 00 A7 8F 18 00 A2 27 ?? ?? ?? 0? 10 00 A2 AF 18 00 B3 8F 21 80 40 00 8A 00 60 12 21 88 60 00 20 00 B4 8F 24 00 B2 8F 21 30 00 00 21 38 00 00 21 20 80 02 ?? ?? ?? 0? 21 28 40 02 5F 00 40 04 00 80 02 3C 21 20 80 02 21 28 40 02 ?? ?? ?? 0? 23 30 13 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 38 60 00 21 30 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 18 00 A6 8F 21 20 40 00 21 28 60 00 C2 17 06 00 21 30 46 00 43 30 06 00 ?? ?? ?? 0? FF FF C6 24 20 00 A6 8F 24 00 A7 8F 21 20 00 00 21 28 00 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 69 00 40 18 2E 00 A2 87 83 00 40 04 28 00 B2 8F 2C 00 B3 8F 21 30 00 00 21 38 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 3E 00 40 10 21 30 00 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 20 02 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 28 60 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 00 00 00 00 21 80 40 00 21 90 60 00 21 88 80 00 21 98 A0 00 4C 00 BF 8F 21 10 00 02 21 18 40 02 21 20 20 02 21 28 60 02 48 00 B5 8F 44 00 B4 8F 40 00 B3 8F 3C 00 B2 8F 38 00 B1 8F 34 00 B0 8F 08 00 E0 03 50 00 BD 27 02 00 02 24 25 00 A2 12 21 30 00 00 24 00 A5 8F ?? ?? ?? 0? 21 38 00 00 0D 00 41 04 2E 00 A2 87 4C 00 40 04 ?? ?? 03 3C ?? ?? 02 3C ?? ?? 43 8C ?? ?? 42 8C 21 30 60 00 21 38 40 00 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 ?? ?? ?? 0? 26 90 42 02 ?? ?? 03 3C ?? ?? 64 8C 36 00 40 04 ?? ?? 65 8C 21 18 00 00 21 10 00 00 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 38 20 02 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 28 00 A6 8F ?? ?? ?? 0? 2C 00 A7 8F 20 00 B4 8F 24 00 B5 8F 21 38 00 00 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 C6 FF 41 04 4C 00 BF 8F 28 00 A4 8F 2C 00 A5 8F 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 30 00 02 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 20 02 28 00 A4 8F 2C 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 03 3C ?? ?? 66 8C ?? ?? 63 8C 00 80 02 3C 26 10 C2 00 21 38 40 00 ?? ?? ?? 0? 21 30 60 00 ?? ?? 64 8C 00 80 02 3C ?? ?? 63 8C ?? ?? ?? 0? 26 10 82 00 21 28 20 02 21 38 20 02 21 30 00 02 21 20 00 02 ?? ?? ?? 0? 2C 00 B3 8F 28 00 A6 8F 00 80 12 3C 26 98 72 02 21 20 C0 00 21 28 60 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 26 88 32 02 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 }
	condition:
		$1
}

rule file_427_0_4 {
	meta:
		name = "wcscspn"
		size = 112
	strings:
		$1 = { 00 00 83 8C 16 00 60 10 21 10 00 00 00 00 A8 8C 21 38 80 00 0C 00 00 51 04 00 E7 24 12 00 68 50 23 20 E4 00 ?? ?? ?? 0? 21 10 A0 00 0E 00 66 50 23 20 E4 00 04 00 42 24 00 00 46 8C FB FF C0 14 00 00 00 00 04 00 E7 24 00 00 E3 8C F1 FF 60 14 00 00 00 00 23 10 E4 00 08 00 E0 03 83 10 02 00 08 00 E0 03 00 00 00 00 08 00 E0 03 83 10 04 00 }
	condition:
		$1
}

rule file_429_0_4 {
	meta:
		name = "wcscat_s"
		size = 296
		refs = "0038 wcsnlen_s 0048 wcslen 00d4 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 20 00 B2 AF 21 88 80 00 2C 00 80 10 21 80 A0 00 2B 00 A0 50 ?? ?? 04 3C 29 00 A2 04 ?? ?? 04 3C 31 00 C0 50 ?? ?? 04 3C ?? ?? ?? 0? 10 00 A6 AF 10 00 A6 8F 21 90 40 00 ?? ?? ?? 0? 21 20 C0 00 21 18 52 00 2B 80 70 00 26 00 00 12 10 00 A6 8F 80 28 02 00 21 18 C5 00 2B 18 23 02 2C 00 60 10 80 90 12 00 21 90 32 02 2B 18 D2 00 1E 00 60 54 ?? ?? 04 3C 0A 00 40 10 24 00 BF 8F 21 18 40 02 00 00 C4 8C FF FF 42 24 04 00 C6 24 00 00 64 AC FB FF 40 14 04 00 63 24 21 90 45 02 24 00 BF 8F 00 00 40 AE 21 10 00 00 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 23 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C 00 00 20 AE ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 90 32 02 }
	condition:
		$1
}

rule file_430_0_4 {
	meta:
		name = "feof"
		size = 56
	strings:
		$1 = { F0 FF BD 27 0C 00 BE AF 21 F0 A0 03 10 00 C4 AF 10 00 C2 8F 00 00 42 94 00 01 42 30 00 00 C2 AF 00 00 C2 8F 21 E8 C0 03 0C 00 BE 8F 10 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_431_0_4 {
	meta:
		name = "_WLdtob"
		size = 2316
		refs = "0070 _LDunscale 00c4 wmemcpy 0198 _WGenld 01f0 dpcmp 0284 dpmul 02a0 dpdiv 0318 dptoli 0330 litodp 0344 dpsub 0388 ldiv 0684 _LDscale"
	strings:
		$1 = { F8 FE BD 27 E4 00 B1 AF E0 00 B0 AF 04 01 BF AF 00 01 BE AF FC 00 B7 AF F8 00 B6 AF F4 00 B5 AF F0 00 B4 AF EC 00 B3 AF E8 00 B2 AF 00 00 82 8C 04 00 83 8C 21 80 80 00 20 00 A2 AF 61 00 02 24 21 88 A0 00 09 00 A2 10 24 00 A3 AF 41 00 02 24 07 00 A2 50 18 00 A4 27 30 00 82 8C 3D 00 42 04 06 00 02 24 34 00 40 10 67 00 02 24 18 00 A4 27 ?? ?? ?? 0? 21 28 00 02 02 00 03 24 22 00 43 50 61 00 02 24 38 00 40 58 61 00 03 24 61 00 02 24 1A 00 22 12 10 00 04 8E 65 00 02 24 17 00 22 12 66 00 02 24 15 00 22 12 67 00 02 24 14 00 22 12 ?? ?? 05 3C ?? ?? 05 3C ?? ?? A5 24 03 00 02 24 1C 00 02 AE ?? ?? ?? 0? 03 00 06 24 04 01 BF 8F 00 01 BE 8F FC 00 B7 8F F8 00 B6 8F F4 00 B5 8F F0 00 B4 8F EC 00 B3 8F E8 00 B2 8F E4 00 B1 8F E0 00 B0 8F 08 00 E0 03 08 01 BD 27 ?? ?? 05 3C ?? ?? ?? 0? ?? ?? A5 24 14 00 22 12 10 00 04 8E 65 00 02 24 11 00 22 12 66 00 02 24 0F 00 22 12 67 00 02 24 0E 00 22 52 ?? ?? 05 3C ?? ?? 05 3C ?? ?? ?? 0? ?? ?? A5 24 03 00 A2 10 47 00 02 24 CB FF A2 14 18 00 A4 27 01 00 02 24 ?? ?? ?? 0? 30 00 02 AE ?? ?? ?? 0? 30 00 82 AC ?? ?? 05 3C ?? ?? ?? 0? ?? ?? A5 24 E5 00 23 12 41 00 03 24 EF 00 23 52 10 00 03 8E 15 00 40 54 61 00 02 24 18 00 A0 A7 D0 00 A0 AF 30 00 A6 27 D0 00 A7 8F 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 10 00 A2 AF 04 01 BF 8F 00 01 BE 8F FC 00 B7 8F F8 00 B6 8F F4 00 B5 8F F0 00 B4 8F EC 00 B3 8F E8 00 B2 8F E4 00 B1 8F E0 00 B0 8F 08 00 E0 03 08 01 BD 27 07 01 22 12 41 00 02 24 A9 01 22 12 20 00 B2 8F 24 00 B3 8F 21 30 00 00 21 38 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 06 00 41 04 18 00 A3 87 00 80 02 3C 26 98 62 02 20 00 B2 AF 24 00 B3 AF 18 00 A3 87 97 75 02 24 02 18 62 70 01 00 02 3C A0 86 42 34 1A 00 62 00 F4 01 40 00 12 10 00 00 FC FF 42 24 20 16 02 7C C2 00 40 04 18 00 A2 A7 1B 00 40 10 FC FF 03 24 24 10 43 00 21 90 40 00 AA 01 40 18 18 00 A2 A7 ?? ?? 02 3C ?? ?? 13 3C ?? ?? 43 8C ?? ?? 73 26 21 10 00 00 01 00 46 32 21 20 40 00 21 28 60 00 04 00 C0 10 43 90 12 00 00 00 66 8E ?? ?? ?? 0? 04 00 67 8E F7 FF 40 16 08 00 73 26 20 00 A4 8F 24 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 20 00 A2 AF 24 00 A3 AF 66 00 02 24 69 01 22 12 30 00 12 8E 46 00 03 24 66 01 23 12 07 00 02 24 21 10 52 00 14 00 43 28 13 00 14 24 0B A0 43 00 30 00 02 24 81 01 80 1A 30 00 A2 AF 20 00 B6 8F 24 00 B7 8F 21 20 00 00 21 28 00 00 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 79 01 41 04 34 00 BE 27 21 A8 C0 03 30 00 12 24 FF FF 13 24 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 F8 FF 94 26 13 00 80 1A 21 40 40 00 21 20 40 00 ?? ?? ?? 0? D8 00 A2 AF 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C ?? ?? ?? 0? 21 28 60 00 D8 00 A8 8F 20 00 A2 AF 24 00 A3 AF 3C 01 00 19 20 00 B5 26 07 00 16 24 21 28 00 01 28 00 A4 27 ?? ?? ?? 0? 0A 00 06 24 2C 00 A2 8F 28 00 A8 8F FC FF B5 26 30 00 42 24 8A 00 00 19 00 00 A2 AE FF FF D6 26 F5 FF D3 16 21 28 00 01 0A 00 80 1A 20 00 B5 26 20 00 B6 8F 24 00 B7 8F 21 20 00 00 21 28 00 00 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 CF FF 40 04 21 20 C0 02 30 00 12 8E 18 00 A2 97 34 00 A4 8F 23 A8 BE 02 07 00 42 24 20 16 02 7C 30 00 03 24 83 A8 15 00 18 00 A2 A7 09 00 83 14 21 30 C0 03 30 00 04 24 04 00 C6 24 00 00 C3 8C FF FF 42 24 FF FF B5 26 FB FF 64 10 20 16 02 7C 18 00 A2 A7 66 00 02 24 06 01 22 12 FF FF 52 32 46 00 02 24 03 01 22 12 65 00 03 24 03 00 23 12 01 00 02 24 45 00 22 3A 01 00 42 2C 21 10 52 00 20 1E 02 7C 2A 20 A3 02 20 16 15 7C 0B 18 44 00 22 00 60 04 2A A8 75 00 07 01 A0 12 30 00 02 24 80 10 03 00 21 10 C2 00 00 00 45 8C 39 00 04 24 30 00 02 24 35 00 A5 28 0A 10 85 00 21 50 40 00 FF FF 65 24 80 48 05 00 21 48 C9 00 00 00 28 8D 21 20 A0 00 0C 00 02 15 21 38 00 01 FE FF 62 24 80 10 02 00 ?? ?? ?? 0? 21 10 C2 00 FF FF 65 24 00 00 47 8C 21 48 40 00 20 1E 05 7C FF FF 84 24 FA FF E8 10 FC FF 42 24 39 00 02 24 2E 00 42 11 01 00 E7 24 2F 00 82 04 18 00 A2 97 D0 00 A3 AF ?? ?? ?? 0? 18 00 A2 87 10 00 03 8E 30 00 05 24 78 00 04 24 00 00 65 AC 04 00 63 24 00 00 64 AC 14 00 04 8E 04 00 63 24 10 00 03 AE 02 00 83 24 ?? ?? ?? 0? 14 00 03 AE 30 00 05 24 58 00 04 24 00 00 65 AC ?? ?? ?? 0? 04 00 63 24 03 00 12 24 23 10 42 02 FC FF 03 24 24 90 43 00 23 10 12 00 55 FF 40 1A 18 00 A2 A7 20 00 A2 8F 24 00 A3 8F ?? ?? 13 3C ?? ?? 73 26 01 00 46 32 21 20 40 00 21 28 60 00 04 00 C0 10 43 90 12 00 00 00 66 8E ?? ?? ?? 0? 04 00 67 8E F7 FF 40 16 08 00 73 26 ?? ?? ?? 0? 20 00 A2 AF D4 FF 81 04 00 00 27 AD 18 00 A2 97 01 00 63 24 20 1E 03 7C 01 00 42 24 20 16 02 7C FC FF C6 24 18 00 A2 A7 ?? ?? ?? 0? D0 00 A3 AF FF FF D6 26 78 FF C0 06 00 00 00 00 FC FF B5 26 FF FF D6 26 FD FF C1 06 00 00 B2 AE ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 D4 00 A2 AF 30 00 12 8E A7 00 40 06 21 00 02 24 01 00 55 26 20 AE 15 7C D0 00 B5 AF 02 00 B3 26 20 00 A4 8F 24 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 90 00 41 04 00 00 05 8E 04 00 04 8E 00 80 02 3C 26 20 82 00 18 00 A6 97 20 00 A5 AF 24 00 A4 AF FC FF C6 24 18 00 A6 A7 A6 00 60 1A 30 00 A0 AF 21 30 A0 00 21 38 80 00 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 A0 00 41 04 34 00 BE 27 21 A0 C0 03 FF FF 12 24 20 00 A4 27 ?? ?? ?? 0? 1C 00 05 24 20 00 B6 8F 24 00 B7 8F F9 FF 73 26 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 0C 00 60 1A 21 40 40 00 21 20 40 00 ?? ?? ?? 0? D8 00 A2 AF 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 D8 00 A8 8F 20 00 A2 AF 24 00 A3 AF 67 00 00 19 1C 00 94 26 06 00 02 24 0F 00 03 31 FC FF 94 26 03 41 08 00 4D 00 00 11 00 00 83 AE FF FF 42 24 FA FF 52 14 0F 00 03 31 08 00 60 1A 1C 00 94 26 20 00 A6 8F 24 00 A7 8F 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 D8 FF 40 04 20 00 A4 27 30 00 12 8E D0 00 A3 8F 23 A0 9E 02 83 A0 14 00 2A 10 83 02 03 00 40 10 00 00 00 00 20 AE 14 7C D0 00 B5 AF 31 00 A0 06 21 30 C0 03 D0 00 A4 8F 2A A0 94 00 4E 00 80 12 21 10 00 00 80 10 15 00 21 10 A2 03 34 00 43 8C 0F 00 02 24 08 00 63 28 0B 10 03 00 21 38 40 00 D0 00 A5 8F FF FF A3 24 80 20 03 00 21 20 C4 03 00 00 86 8C 0B 00 C2 14 21 28 C0 00 D0 00 A4 8F FE FF 82 24 80 10 02 00 21 20 C2 03 00 00 85 8C FF FF B5 26 20 AE 15 7C FF FF 63 24 FA FF A6 10 FC FF 42 24 0F 00 02 24 44 00 E2 50 01 00 A5 24 3B 00 60 04 21 30 C0 03 FF FF A3 26 0D 00 60 04 D0 00 B5 AF 80 10 03 00 21 10 C2 00 FF FF 05 24 00 00 44 8C D4 00 A7 8F FF FF 63 24 80 20 04 00 21 20 E4 00 00 00 84 8C 00 00 44 AC F8 FF 65 14 FC FF 42 24 26 00 40 06 D0 00 A3 8F D0 00 B5 AF ?? ?? ?? 0? 18 00 A2 87 FF FF 42 24 B5 FF 40 04 00 00 00 00 FC FF 94 26 FF FF 42 24 FD FF 41 04 00 00 80 AE ?? ?? ?? 0? 00 00 00 00 18 00 A2 97 01 00 42 24 ?? ?? ?? 0? FF FF 42 30 18 00 A2 87 ?? ?? ?? 0? 0B 00 42 24 ?? ?? ?? 0? 07 00 16 24 ?? ?? ?? 0? 04 00 04 8E ?? ?? ?? 0? 06 00 02 24 ?? ?? 02 3C ?? ?? 42 24 ?? ?? ?? 0? D4 00 A2 AF ?? ?? ?? 0? 30 00 0A 24 ?? ?? ?? 0? 21 38 00 00 23 00 13 24 D0 00 A2 AF ?? ?? ?? 0? 21 00 15 24 FF FF 62 24 30 00 02 AE ?? ?? ?? 0? 18 00 A2 87 18 00 A2 97 01 00 B5 26 20 AE 15 7C 04 00 42 24 18 00 A2 A7 ?? ?? ?? 0? 30 00 A6 27 ?? ?? ?? 0? 00 00 85 AC 34 00 BE 27 ?? ?? ?? 0? 21 A8 C0 03 34 00 BE 27 ?? ?? ?? 0? 21 A0 C0 03 ?? ?? 02 3C ?? ?? 43 8C ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_433_0_4 {
	meta:
		name = "_Call_once"
		size = 40
		refs = "0014 _pthread_once"
	strings:
		$1 = { 00 00 83 8C E8 FF BD 27 02 00 02 24 03 00 62 10 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_434_0_4 {
	meta:
		name = "_LSinh"
		size = 964
		refs = "0038 _LDtest 0088 dpmul 00d4 dpcmp 00fc _LRteps 0198 dpadd 0224 dpsub 0264 dpdiv 029c _Feraise 02a4 _LNan 0134 _LXbig 0360 _LExp"
	strings:
		$1 = { C0 FF BD 27 40 00 A4 AF 40 00 A4 27 1C 00 B0 AF 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF 44 00 A5 AF 48 00 A6 AF ?? ?? ?? 0? 4C 00 A7 AF 21 80 40 00 ?? ?? ?? 0? 48 00 A4 27 1B 00 00 06 02 00 03 24 97 00 03 12 3C 00 BF 8F 02 00 03 24 A0 00 43 10 01 00 03 24 8A 00 03 12 00 00 00 00 03 00 00 16 40 00 A4 8F 88 00 43 10 00 00 00 00 44 00 A5 8F 48 00 A6 8F ?? ?? ?? 0? 4C 00 A7 8F 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 E8 FF 41 04 44 00 B4 8F 40 00 B0 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 80 02 06 00 41 04 21 88 00 00 00 80 02 3C 26 A0 82 02 40 00 B0 AF 44 00 B4 AF 01 00 11 24 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 80 02 81 00 40 04 48 00 A6 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 80 02 7F 00 41 04 ?? ?? 02 3C 21 28 80 02 21 38 80 02 21 30 00 02 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 38 80 02 21 30 00 02 21 28 60 00 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 B0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 B8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 38 80 02 21 28 60 00 ?? ?? ?? 0? 21 30 00 02 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 A8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 48 00 A6 8F 4C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 84 FF 20 12 3C 00 BF 8F 00 80 04 3C ?? ?? ?? 0? 26 18 64 00 7A FF 40 14 40 00 A4 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 03 3C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 40 00 A2 8F 44 00 A3 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 3C 00 BF 8F 48 00 A2 8F 4C 00 A3 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 4C 00 A7 8F 21 20 00 02 ?? ?? ?? 0? 21 28 80 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 80 02 17 00 43 04 48 00 A6 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 40 00 A4 27 FF FF 02 24 ?? ?? ?? 0? 10 00 A2 AF 40 00 B2 8F 44 00 B3 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? ?? 0? 48 00 A6 8F 4C 00 A7 8F FF FF 02 24 40 00 A4 27 ?? ?? ?? 0? 10 00 A2 AF 40 00 A2 8F ?? ?? ?? 0? 44 00 A3 8F }
	condition:
		$1
}

rule file_435_0_4 {
	meta:
		name = "scin"
		size = 52
	strings:
		$1 = { 21 10 A0 00 04 00 C0 14 00 00 83 8C FC FF 63 24 08 00 E0 03 00 00 83 AC 00 00 62 8C 03 00 40 10 04 00 63 24 08 00 E0 03 00 00 83 AC 08 00 E0 03 FF FF 02 24 }
	condition:
		$1
}

rule file_435_1_4 {
	meta:
		name = "vswscanf_s"
		size = 92
		refs = "0030 _WScanf 004c _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 20 00 A4 AF 21 10 A0 00 0C 00 80 10 21 38 C0 00 0A 00 A0 10 ?? ?? 04 3C 21 30 40 00 ?? ?? 84 24 01 00 02 24 20 00 A5 27 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_436_0_4 {
	meta:
		name = "_FDscale"
		size = 556
		refs = "004c _FInf 006c _FDnorm"
	strings:
		$1 = { 02 00 83 94 E0 FF BD 27 FF 00 02 24 C0 39 66 7C 18 00 B0 AF 1C 00 BF AF 52 00 C2 10 21 80 80 00 12 00 C0 10 00 00 00 00 19 00 A0 18 23 10 06 00 FF 00 02 24 23 10 46 00 2A 10 A2 00 14 00 40 54 23 10 06 00 20 1E 03 7C 5B 00 60 04 ?? ?? 02 3C ?? ?? 42 8C 00 00 02 AE 01 00 02 24 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 10 00 A5 AF 21 30 40 00 10 00 A5 8F F7 FF C0 1C 21 10 00 00 EA FF A0 1C 02 00 03 96 23 10 06 00 2A 10 45 00 5A 00 40 54 21 28 C5 00 FF FF A5 24 21 30 A6 00 FF 00 62 30 18 00 C4 24 00 80 63 30 80 00 42 34 18 00 84 2C FF FF 63 30 44 00 80 10 02 00 02 A6 20 36 06 7C F1 FF C5 28 07 00 A0 10 21 20 00 00 10 00 C6 24 00 00 04 96 02 00 00 A6 00 00 02 A6 20 36 06 7C 21 10 00 00 23 30 06 00 20 36 06 7C 10 00 C0 10 25 28 43 00 00 00 05 96 02 00 08 96 10 00 07 24 23 38 E6 00 04 10 E2 00 2B 20 04 00 04 38 E5 00 07 28 C5 00 25 28 45 00 25 20 E4 00 07 30 C8 00 FF FF 84 30 00 00 05 A6 FF FF C2 30 25 28 43 00 01 80 02 34 2B 10 82 00 12 00 40 14 02 00 05 A6 00 00 02 96 01 00 42 24 FF FF 42 30 30 00 40 10 00 00 02 A6 ?? ?? ?? 0? 02 00 05 96 7F 00 63 30 BC FF 60 14 02 00 02 24 00 00 84 94 1C 00 BF 8F 01 00 03 24 0A 10 64 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 00 80 02 34 16 00 82 50 00 00 02 96 B0 FF 65 14 FF FF 02 24 00 00 03 96 1C 00 BF 8F 18 00 B0 8F 0A 10 03 00 08 00 E0 03 20 00 BD 27 ?? ?? 43 8C 00 80 02 3C 26 10 62 00 00 00 02 AE ?? ?? ?? 0? 01 00 02 24 1C 00 BF 8F 02 00 03 A6 00 00 00 A6 21 10 00 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 01 00 44 30 E9 FF 80 10 01 00 42 24 ?? ?? ?? 0? FF FF 42 30 C0 29 05 00 7F 80 63 30 25 18 A3 00 02 00 03 A6 ?? ?? ?? 0? FF FF 02 24 02 00 03 96 FF FF 02 24 01 00 63 24 ?? ?? ?? 0? 02 00 03 A6 }
	condition:
		$1
}

rule file_437_0_4 {
	meta:
		name = "fmaf"
		size = 644
		refs = "0034 _FDunscale 00e4 _FDscale 00f4 _FXp_setw 0124 _FXp_mulh 0130 fpcmp 014c _FXp_addx 0158 _FXp_getw 01c4 fpmul 01d0 fpadd 020c _Feraise 0214 _FNan"
	strings:
		$1 = { 98 FF BD 27 68 00 A4 AF 6C 00 A5 AF 18 00 A4 AF 1C 00 A5 AF 10 00 A4 27 18 00 A5 27 5C 00 B1 AF 58 00 B0 AF 64 00 BF AF 60 00 B2 AF 70 00 A6 AF 20 00 A6 AF ?? ?? ?? 0? 02 00 10 24 55 00 50 10 21 88 40 00 12 00 A4 27 ?? ?? ?? 0? 1C 00 A5 27 49 00 50 10 21 90 40 00 14 00 A4 27 ?? ?? ?? 0? 20 00 A5 27 6E 00 50 10 01 00 03 24 73 00 23 12 00 00 00 00 4E 00 43 12 00 00 00 00 69 00 43 10 64 00 BF 8F 4F 00 20 12 6C 00 A5 8F 4D 00 40 12 00 00 00 00 4A 00 40 10 10 00 A5 87 12 00 B0 87 6E 00 A3 97 6A 00 A4 97 21 80 05 02 14 00 A5 97 72 00 A2 97 26 18 83 00 23 28 B0 00 20 2E 05 7C 00 80 63 30 00 80 42 30 3D 00 62 10 14 00 A5 A7 FE FF A2 28 3A 00 40 14 03 00 A2 28 39 00 40 50 6C 00 A5 8F ?? ?? ?? 0? 20 00 A4 27 18 00 A6 8F 34 00 A4 27 ?? ?? ?? 0? 04 00 05 24 1C 00 A6 8F 24 00 A4 27 ?? ?? ?? 0? 02 00 05 24 20 00 A6 8F 02 00 05 24 ?? ?? ?? 0? 2C 00 A4 27 24 00 A6 8F 34 00 A4 27 ?? ?? ?? 0? 04 00 05 24 28 00 A4 8F ?? ?? ?? 0? 21 28 00 00 44 00 40 14 18 00 A6 8F 2C 00 A6 27 02 00 07 24 04 00 05 24 ?? ?? ?? 0? 34 00 A4 27 34 00 A4 27 ?? ?? ?? 0? 04 00 05 24 20 00 A4 27 21 28 00 02 ?? ?? ?? 0? 20 00 A2 AF ?? ?? ?? 0? 20 00 A2 8F 6C 00 A2 8F 64 00 BF 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 68 00 BD 27 64 00 BF 8F 68 00 A2 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 68 00 BD 27 16 00 20 12 01 00 03 24 0D 00 43 10 6E 00 A3 97 6C 00 A5 8F ?? ?? ?? 0? 68 00 A4 8F 70 00 A5 8F ?? ?? ?? 0? 21 20 40 00 64 00 BF 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 68 00 BD 27 6A 00 A4 97 72 00 A2 97 26 18 83 00 00 80 63 30 00 80 42 30 EF FF 62 10 6C 00 A5 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 64 00 BF 8F 70 00 A2 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 68 00 BD 27 F3 FF 40 12 01 00 03 24 ?? ?? ?? 0? 00 00 00 00 44 00 A4 27 ?? ?? ?? 0? 04 00 05 24 28 00 A6 8F 44 00 A4 27 ?? ?? ?? 0? 04 00 05 24 34 00 A4 27 04 00 05 24 44 00 A6 27 ?? ?? ?? 0? 04 00 07 24 ?? ?? ?? 0? 2C 00 A6 27 }
	condition:
		$1
}

rule file_439_0_4 {
	meta:
		name = "wcscpy"
		size = 36
	strings:
		$1 = { 21 10 80 00 21 18 80 00 00 00 A4 8C 04 00 A5 24 00 00 64 AC FC FF 80 14 04 00 63 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_440_0_4 {
	meta:
		name = "calloc"
		size = 116
		refs = "0018 malloc 0034 memset"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 11 00 80 14 18 00 B0 AF 02 30 A4 70 21 20 C0 00 ?? ?? ?? 0? 10 00 A6 AF 21 80 40 00 10 00 A6 8F 05 00 00 12 21 10 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 21 10 00 02 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 FF FF 02 24 1B 00 44 00 F4 01 80 00 12 18 00 00 2B 18 65 00 EA FF 60 10 21 10 00 00 ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_441_0_4 {
	meta:
		name = "lround"
		size = 164
		refs = "0010 _Dtest 0034 round 004c fpcmp 0070 fptosi 0088 _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 21 18 40 00 16 00 60 10 21 10 00 00 03 00 60 04 03 00 63 28 16 00 60 14 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F 21 80 40 00 ?? ?? 02 3C ?? ?? 44 8C 21 28 00 02 ?? ?? ?? 0? 18 00 B0 AF 0C 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 07 00 40 1C 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 21 10 00 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_610_0_4 {
	meta:
		name = "lroundf"
		size = 164
		refs = "0010 _FDtest 0034 roundf 004c fpcmp 0070 fptosi 0088 _Feraise"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 10 00 B0 AF 21 18 40 00 16 00 60 10 21 10 00 00 03 00 60 04 03 00 63 28 16 00 60 14 00 00 00 00 ?? ?? ?? 0? 18 00 A4 8F 21 80 40 00 ?? ?? 02 3C ?? ?? 44 8C 21 28 00 02 ?? ?? ?? 0? 18 00 B0 AF 0C 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 07 00 40 1C 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 21 10 00 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_442_0_4 {
	meta:
		name = "_Locvar"
		size = 104
		refs = "0020 strchr"
	strings:
		$1 = { E0 FF BD 27 20 14 04 7C 18 00 B1 AF ?? ?? 11 3C 14 00 B0 AF ?? ?? 24 26 21 80 A0 00 1C 00 BF AF ?? ?? ?? 0? 21 28 40 00 09 00 40 10 21 18 00 00 ?? ?? 31 26 23 10 51 00 ?? ?? 03 3C ?? ?? 63 24 80 10 02 00 21 10 43 00 00 00 50 AC 01 00 03 24 1C 00 BF 8F 21 10 60 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_442_1_4 {
	meta:
		name = "_Locterm"
		size = 480
		refs = "003c _Skip 005c _Ctype 00b8 _Stoul 0118 strchr"
	strings:
		$1 = { 00 00 82 8C D0 FF BD 27 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 2C 00 BF AF 21 88 80 00 21 A0 A0 00 21 80 00 00 10 00 A2 AF 2B 00 12 24 ?? ?? ?? 0? 2D 00 13 24 ?? ?? ?? 0? 00 00 00 00 10 00 A2 AF 00 00 45 80 FB FF B2 10 21 20 40 00 F9 FF B3 50 01 00 10 3A ?? ?? 03 3C ?? ?? 64 8C FF 00 A3 30 40 18 03 00 21 18 83 00 00 00 63 94 20 00 63 30 0D 00 60 14 27 00 03 24 22 00 A3 50 01 00 43 80 22 00 A0 14 21 10 00 00 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 40 00 10 00 A5 27 ?? ?? ?? 0? 21 30 00 00 10 00 A4 8F 00 00 82 AE 04 00 00 12 00 00 00 00 00 00 82 8E 23 10 02 00 00 00 82 AE ?? ?? ?? 0? FF FF 84 24 2C 00 BF 8F 00 00 22 AE 28 00 B4 8F 01 00 02 24 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 12 00 60 54 02 00 43 80 ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 64 26 15 00 40 10 21 90 40 00 ?? ?? 73 26 23 90 53 00 ?? ?? 02 3C 80 90 12 00 ?? ?? 42 24 10 00 A4 8F 21 10 42 02 00 00 42 8C 01 00 84 24 10 00 A4 AF ?? ?? ?? 0? 00 00 82 AE EF FF 65 14 ?? ?? 13 3C 01 00 43 90 03 00 42 24 10 00 A2 AF 21 20 40 00 ?? ?? ?? 0? 00 00 83 AE 10 00 A2 8F 24 00 03 24 00 00 44 80 C2 FF 83 54 21 10 00 00 01 00 45 80 BF FF A0 10 21 10 00 00 ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 64 26 21 18 40 00 B9 FF 60 10 21 10 40 02 ?? ?? 73 26 23 18 73 00 ?? ?? 02 3C 40 18 03 00 ?? ?? 42 24 10 00 A4 8F 21 10 62 00 00 00 42 94 02 00 84 24 10 00 A4 AF ?? ?? ?? 0? 00 00 82 AE }
	condition:
		$1
}

rule file_443_28_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE9underflowEv"
		size = 152
	strings:
		$1 = { 20 00 82 8C E0 FF BD 27 18 00 B1 AF 00 00 42 8C 1C 00 BF AF 14 00 B0 AF 0D 00 40 10 21 88 80 00 30 00 83 8C 00 00 63 8C 2B 18 43 00 09 00 60 50 00 00 22 8E 00 00 50 8C 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 22 8E 20 00 42 8C 09 F8 40 00 21 20 20 02 21 80 40 00 FF FF 02 24 F3 FF 02 12 21 20 20 02 00 00 22 8E 14 00 42 8C 09 F8 40 00 21 28 00 02 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_443_32_4 {
	meta:
		name = "_ZNSt15basic_streambufIwSt11char_traitsIwEE5uflowEv"
		size = 80
	strings:
		$1 = { 00 00 82 8C E8 FF BD 27 10 00 B0 AF 1C 00 42 8C 14 00 BF AF 09 F8 40 00 21 80 80 00 FF FF 03 24 07 00 43 10 14 00 BF 8F 20 00 02 8E 00 00 44 8C 00 00 83 8C 04 00 84 24 00 00 44 AC 14 00 BF 8F 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_43_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE5imbueERKSt6locale"
		size = 480
		refs = "0004 _ZNSt7codecvtIwc9_MbstatetE2idE 0030 _ZNSt9_FacetptrISt7codecvtIwc9_MbstatetEE6_PsaveE 0034 _ZNSt6locale2id7_Id_cntE 0084 _ZNSt8_LocinfoC1EPKc 008c _Znwm 00a0 _ZTVSt7codecvtIwc9_MbstatetE 00a8 _Getpmbstate 00b0 _Getpwcstate 00c4 _ZNSt8_LocinfoD1Ev 00e4 _ZNSt6locale5facet9_RegisterEv 01a8 _ZNSt6locale16_GetgloballocaleEv"
	strings:
		$1 = { 68 FF BD 27 ?? ?? 02 3C 88 00 B2 AF ?? ?? 52 8C 8C 00 B3 AF ?? ?? 13 3C 90 00 B4 AF 80 00 B0 AF 94 00 BF AF 84 00 B1 AF 21 80 80 00 07 00 40 16 ?? ?? 74 8E ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 90 80 00 ?? ?? 64 AC ?? ?? 44 AC 00 00 A2 8C 0C 00 43 8C 2B 18 43 02 26 00 60 54 08 00 44 8C 14 00 42 90 50 00 40 14 00 00 00 00 26 00 80 16 21 88 80 02 00 00 A2 8C 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 10 00 04 24 0B 00 40 10 21 90 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 ?? ?? ?? 0? 00 00 42 AE ?? ?? ?? 0? 21 88 40 00 0C 00 42 AE 08 00 51 AE 21 88 40 02 ?? ?? ?? 0? 10 00 A4 27 04 00 22 8E FF FF 03 24 03 00 43 10 ?? ?? 71 AE 01 00 42 24 04 00 22 AE ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 00 00 22 8E 80 18 12 00 21 18 83 00 00 00 71 8C D8 FF 20 52 14 00 42 90 00 00 22 8E 08 00 42 8C 09 F8 40 00 21 20 20 02 1B 00 40 14 94 00 BF 8F 08 00 07 26 0C 00 06 26 18 00 05 26 1C 00 04 26 28 00 03 26 2C 00 02 26 44 00 11 AE 10 00 07 AE 14 00 06 AE 20 00 05 AE 24 00 04 AE 30 00 03 AE 34 00 02 AE 0C 00 00 AE 1C 00 00 AE 2C 00 00 AE 08 00 00 AE 18 00 00 AE 28 00 00 AE 90 00 B4 8F 8C 00 B3 8F 88 00 B2 8F 84 00 B1 8F 80 00 B0 8F 08 00 E0 03 98 00 BD 27 44 00 00 AE 90 00 B4 8F 8C 00 B3 8F 88 00 B2 8F 84 00 B1 8F 80 00 B0 8F 08 00 E0 03 98 00 BD 27 ?? ?? ?? 0? 78 00 A5 AF 0C 00 43 8C 2B 18 43 02 AC FF 60 10 78 00 A5 8F 08 00 42 8C 80 90 12 00 21 90 52 00 00 00 51 8E CE FF 20 56 00 00 22 8E ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_443_44_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE4syncEv"
		size = 108
		refs = "0040 fflush"
	strings:
		$1 = { 5C 00 82 8C E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 1C 00 BF AF 10 00 B0 AF 21 88 80 00 0C 00 40 10 21 90 00 00 00 00 82 8C FF FF 05 24 10 00 42 8C 09 F8 40 00 FF FF 10 24 06 00 50 10 1C 00 BF 8F ?? ?? ?? 0? 5C 00 24 8E 00 00 42 28 0B 90 02 02 1C 00 BF 8F 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_443_45_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE6setbufEPwi"
		size = 216
		refs = "0028 setvbuf 0034 _ZZNSt13basic_filebufIwSt11char_traitsIwEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 5C 00 84 8C 14 00 BF AF 21 38 C0 00 08 00 80 10 21 10 00 00 2A 00 A0 10 21 30 00 00 ?? ?? ?? 0? 80 38 07 00 06 00 40 10 ?? ?? 02 3C 21 10 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? 44 24 ?? ?? 43 8C 14 00 BF 8F 04 00 82 8C 08 00 09 26 0C 00 08 26 18 00 07 26 1C 00 06 26 28 00 05 26 2C 00 04 26 01 00 0A 24 54 00 02 AE 58 00 0A A2 21 10 00 02 4C 00 00 A2 10 00 09 AE 14 00 08 AE 20 00 07 AE 24 00 06 AE 30 00 05 AE 34 00 04 AE 0C 00 00 AE 1C 00 00 AE 2C 00 00 AE 08 00 00 AE 18 00 00 AE 28 00 00 AE 50 00 03 AE 44 00 00 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 02 00 06 24 ?? ?? ?? 0? 0B 30 07 00 }
	condition:
		$1
}

rule file_443_52_4 {
	meta:
		name = "_ZNSt15basic_streambufIwSt11char_traitsIwEE6xsgetnEPwi"
		size = 244
		refs = "0070 wmemcpy"
	strings:
		$1 = { D0 FF BD 27 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 2C 00 BF AF 18 00 B1 AF 14 00 B0 AF 21 90 C0 00 21 A0 80 00 21 98 A0 00 1A 00 C0 18 21 A8 00 00 FF FF 10 24 20 00 82 8E 21 20 60 02 00 00 42 8C 1E 00 40 10 21 28 40 00 30 00 83 8E 00 00 63 8C 23 10 62 00 83 10 02 00 2A 18 52 00 21 88 40 00 0A 88 43 02 15 00 40 18 21 30 20 02 ?? ?? ?? 0? 23 90 51 02 20 00 82 8E 80 18 11 00 21 98 63 02 00 00 44 8C 21 A8 B1 02 21 18 83 00 E9 FF 40 1E 00 00 43 AC 2C 00 BF 8F 21 10 A0 02 24 00 B4 8F 28 00 B5 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 00 00 82 8E 21 20 80 02 20 00 42 8C 09 F8 40 00 FF FF 52 26 F1 FF 50 10 2C 00 BF 8F 00 00 62 AE 01 00 B5 26 D4 FF 40 1E 04 00 73 26 ?? ?? ?? 0? 2C 00 BF 8F }
	condition:
		$1
}

rule file_443_53_4 {
	meta:
		name = "_ZNSt15basic_streambufIwSt11char_traitsIwEE6xsputnEPKwi"
		size = 244
		refs = "0070 wmemcpy"
	strings:
		$1 = { D0 FF BD 27 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 2C 00 BF AF 18 00 B1 AF 14 00 B0 AF 21 90 C0 00 21 A0 80 00 21 98 A0 00 1A 00 C0 18 21 A8 00 00 FF FF 10 24 24 00 82 8E 21 28 60 02 00 00 42 8C 1E 00 40 10 21 20 40 00 34 00 83 8E 00 00 63 8C 23 10 62 00 83 10 02 00 2A 18 52 00 21 88 40 00 0A 88 43 02 15 00 40 18 21 30 20 02 ?? ?? ?? 0? 23 90 51 02 24 00 82 8E 80 18 11 00 21 98 63 02 00 00 44 8C 21 A8 B1 02 21 18 83 00 E9 FF 40 1E 00 00 43 AC 2C 00 BF 8F 21 10 A0 02 24 00 B4 8F 28 00 B5 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 00 00 82 8E 00 00 65 8E 21 20 80 02 10 00 42 8C FF FF 52 26 09 F8 40 00 04 00 73 26 EF FF 50 10 2C 00 BF 8F D4 FF 40 1E 01 00 B5 26 ?? ?? ?? 0? 21 10 A0 02 }
	condition:
		$1
}

rule file_443_54_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE9pbackfailEw"
		size = 308
		refs = "0118 ungetwc"
	strings:
		$1 = { 20 00 82 8C E0 FF BD 27 14 00 B1 AF 00 00 43 8C 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 21 80 80 00 0C 00 60 10 21 88 A0 00 10 00 84 8C 00 00 84 8C 2B 20 83 00 08 00 80 50 5C 00 05 8E FF FF 04 24 2C 00 A4 50 1C 00 BF 8F FC FF 64 8C 1F 00 91 10 FC FF 65 24 5C 00 05 8E 1E 00 A0 10 FF FF 12 24 14 00 32 12 1C 00 BF 8F 44 00 04 8E 2A 00 80 10 00 00 00 00 48 00 04 26 17 00 64 10 1C 00 BF 8F 10 00 05 8E 48 00 11 AE 00 00 A6 8C 04 00 86 10 30 00 03 8E 3C 00 06 AE 00 00 66 8C 40 00 06 AE 04 00 86 24 00 00 A4 AC 00 00 44 AC 00 00 66 AC 1C 00 BF 8F 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 45 AC 1C 00 BF 8F FF FF 11 24 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 21 88 00 00 FC FF 63 24 00 00 43 AC 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 20 20 02 E4 FF 52 14 1C 00 BF 8F 20 00 02 8E ?? ?? ?? 0? 00 00 43 8C }
	condition:
		$1
}

rule file_443_57_4 {
	meta:
		name = "_ZNSt13basic_ostreamIwSt11char_traitsIwEED1Ev"
		size = 52
		refs = "0000 _ZTVSt13basic_ostreamIwSt11char_traitsIwEE 0014 _ZTVSt9basic_iosIwSt11char_traitsIwEE 0020 _ZNSt8ios_baseD2Ev"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 00 00 82 AC ?? ?? 02 3C ?? ?? 42 24 04 00 82 AC ?? ?? ?? 0? 04 00 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_41_4 {
	meta:
		name = "_ZNSoD1Ev"
		size = 52
		refs = "0000 _ZTVSo 0014 _ZTVSt9basic_iosIcSt11char_traitsIcEE 0020 _ZNSt8ios_baseD2Ev"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 00 00 82 AC ?? ?? 02 3C ?? ?? 42 24 04 00 82 AC ?? ?? ?? 0? 04 00 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_59_4 {
	meta:
		name = "_ZNSt13basic_istreamIwSt11char_traitsIwEED1Ev"
		size = 52
		refs = "0000 _ZTVSt13basic_istreamIwSt11char_traitsIwEE 0014 _ZTVSt9basic_iosIwSt11char_traitsIwEE 0020 _ZNSt8ios_baseD2Ev"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 00 00 82 AC ?? ?? 02 3C ?? ?? 42 24 08 00 82 AC ?? ?? ?? 0? 08 00 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_43_4 {
	meta:
		name = "_ZNSiD1Ev"
		size = 52
		refs = "0000 _ZTVSi 0014 _ZTVSt9basic_iosIcSt11char_traitsIcEE 0020 _ZNSt8ios_baseD2Ev"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 00 00 82 AC ?? ?? 02 3C ?? ?? 42 24 08 00 82 AC ?? ?? ?? 0? 08 00 84 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_63_4 {
	meta:
		name = "_Z41__static_initialization_and_destruction_1ii.clone.82"
		size = 80
		refs = "0008 _ZGVNSt4fposI9_MbstatetE4_StzE 0038 _ZNSt4fposI9_MbstatetE4_StzE"
	strings:
		$1 = { 01 00 02 24 03 00 82 10 ?? ?? 02 3C 08 00 E0 03 00 00 00 00 ?? ?? 45 8C ?? ?? 46 8C 01 00 A3 24 2B 28 65 00 21 28 A6 00 ?? ?? 43 AC F7 FF 64 14 ?? ?? 45 AC F5 FF A0 14 ?? ?? 03 3C ?? ?? 62 24 ?? ?? 60 AC 04 00 40 A4 08 00 E0 03 06 00 40 A4 }
	condition:
		$1
}

rule file_443_67_4 {
	meta:
		name = "_ZNSt15basic_streambufIwSt11char_traitsIwEED0Ev"
		size = 144
		refs = "000c _ZTVSt15basic_streambufIwSt11char_traitsIwEE 0058 _ZdlPv"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 38 00 91 8C ?? ?? 02 3C ?? ?? 42 24 14 00 B0 AF 1C 00 BF AF 21 80 80 00 0F 00 20 12 00 00 82 AC 00 00 24 8E 0A 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 0A 00 40 50 00 00 82 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 00 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_634_60_4 {
	meta:
		name = "_ZNSt15basic_streambufIcSt11char_traitsIcEED0Ev"
		size = 144
		refs = "000c _ZTVSt15basic_streambufIcSt11char_traitsIcEE 0058 _ZdlPv"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 38 00 91 8C ?? ?? 02 3C ?? ?? 42 24 14 00 B0 AF 1C 00 BF AF 21 80 80 00 0F 00 20 12 00 00 82 AC 00 00 24 8E 0A 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 0A 00 40 50 00 00 82 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 00 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_443_68_4 {
	meta:
		name = "_ZNSt13basic_istreamIwSt11char_traitsIwEED0Ev"
		size = 72
		refs = "0000 _ZTVSt13basic_istreamIwSt11char_traitsIwEE 0018 _ZTVSt9basic_iosIwSt11char_traitsIwEE 0028 _ZNSt8ios_baseD2Ev 0030 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 10 00 B0 AF 00 00 82 AC ?? ?? 02 3C ?? ?? 42 24 21 80 80 00 08 00 82 AC ?? ?? ?? 0? 08 00 84 24 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_61_4 {
	meta:
		name = "_ZNSiD0Ev"
		size = 72
		refs = "0000 _ZTVSi 0018 _ZTVSt9basic_iosIcSt11char_traitsIcEE 0028 _ZNSt8ios_baseD2Ev 0030 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 10 00 B0 AF 00 00 82 AC ?? ?? 02 3C ?? ?? 42 24 21 80 80 00 08 00 82 AC ?? ?? ?? 0? 08 00 84 24 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_71_4 {
	meta:
		name = "_ZNSt13basic_ostreamIwSt11char_traitsIwEED0Ev"
		size = 72
		refs = "0000 _ZTVSt13basic_ostreamIwSt11char_traitsIwEE 0018 _ZTVSt9basic_iosIwSt11char_traitsIwEE 0028 _ZNSt8ios_baseD2Ev 0030 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 10 00 B0 AF 00 00 82 AC ?? ?? 02 3C ?? ?? 42 24 21 80 80 00 04 00 82 AC ?? ?? ?? 0? 04 00 84 24 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_64_4 {
	meta:
		name = "_ZNSoD0Ev"
		size = 72
		refs = "0000 _ZTVSo 0018 _ZTVSt9basic_iosIcSt11char_traitsIcEE 0028 _ZNSt8ios_baseD2Ev 0030 _ZdlPv"
	strings:
		$1 = { ?? ?? 02 3C E8 FF BD 27 ?? ?? 42 24 14 00 BF AF 10 00 B0 AF 00 00 82 AC ?? ?? 02 3C ?? ?? 42 24 21 80 80 00 04 00 82 AC ?? ?? ?? 0? 04 00 84 24 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_443_74_4 {
	meta:
		name = "_ZNSt15basic_streambufIwSt11char_traitsIwEE7seekoffElNSt5_IosbIiE8_SeekdirENS4_9_OpenmodeE"
		size = 84
		refs = "0000 _ZSt4_Fpz 000c _ZNSt4fposI9_MbstatetE4_StzE 0010 _ZSt7_BADOFF"
		altNames = "_ZNSt15basic_streambufIcSt11char_traitsIcEE7seekoffElNSt5_IosbIiE8_SeekdirENS4_9_OpenmodeE"
	strings:
		$1 = { ?? ?? 05 3C ?? ?? 03 3C ?? ?? A2 24 ?? ?? 6B 24 ?? ?? 06 3C ?? ?? CA 8C ?? ?? A9 8C 04 00 48 8C 08 00 47 8C 0C 00 46 8C ?? ?? 65 8C 04 00 63 8D 21 10 80 00 00 00 8A AC 08 00 89 AC 0C 00 88 AC 10 00 87 AC 14 00 86 AC 18 00 85 AC 08 00 E0 03 1C 00 83 AC }
	condition:
		$1
}

rule file_443_75_4 {
	meta:
		name = "_ZNSt15basic_streambufIwSt11char_traitsIwEE7seekposESt4fposI9_MbstatetENSt5_IosbIiE9_OpenmodeE"
		size = 92
		refs = "0000 _ZSt4_Fpz 000c _ZNSt4fposI9_MbstatetE4_StzE 0010 _ZSt7_BADOFF"
		altNames = "_ZNSt15basic_streambufIcSt11char_traitsIcEE7seekposESt4fposI9_MbstatetENSt5_IosbIiE9_OpenmodeE"
	strings:
		$1 = { ?? ?? 05 3C ?? ?? 03 3C ?? ?? A2 24 ?? ?? 6D 24 ?? ?? 08 3C ?? ?? 0C 8D ?? ?? AB 8C 04 00 4A 8C 08 00 49 8C 0C 00 48 8C ?? ?? 65 8C 04 00 A3 8D 21 10 80 00 08 00 A6 AF 0C 00 A7 AF 00 00 8C AC 08 00 8B AC 0C 00 8A AC 10 00 89 AC 14 00 88 AC 18 00 85 AC 08 00 E0 03 1C 00 83 AC }
	condition:
		$1
}

rule file_443_76_4 {
	meta:
		name = "_ZNSt15basic_streambufIwSt11char_traitsIwEED1Ev"
		size = 124
		refs = "000c _ZTVSt15basic_streambufIwSt11char_traitsIwEE 0050 _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 38 00 90 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 0F 00 00 12 00 00 82 AC 00 00 04 8E 0A 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 07 00 40 50 00 00 82 8C ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_634_69_4 {
	meta:
		name = "_ZNSt15basic_streambufIcSt11char_traitsIcEED1Ev"
		size = 124
		refs = "000c _ZTVSt15basic_streambufIcSt11char_traitsIcEE 0050 _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 38 00 90 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 0F 00 00 12 00 00 82 AC 00 00 04 8E 0A 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 07 00 40 50 00 00 82 8C ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_443_83_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEED0Ev"
		size = 1184
		refs = "0010 _ZTVSt13basic_filebufIwSt11char_traitsIwEE 0068 _ZTVSt15basic_streambufIwSt11char_traitsIwEE 00a8 _ZdlPv 011c fclose 0124 _ZZNSt13basic_filebufIwSt11char_traitsIwEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit 01cc memset 01f0 _ZTVSt9bad_alloc 028c fwrite 0398 _Znwm 03ac _ZNKSt9exception6_RaiseEv 03b8 _ZNSt9exceptionD2Ev 03dc memcpy 0468 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 98 FF BD 27 54 00 B5 AF 21 A8 80 00 5C 00 84 8C ?? ?? 02 3C ?? ?? 42 24 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 50 00 B4 AF 4C 00 B3 AF 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 06 00 80 10 00 00 A2 AE 10 00 A2 8E 48 00 A3 26 00 00 45 8C 9E 00 A3 50 40 00 A3 8E 58 00 A2 92 27 00 40 14 00 00 00 00 38 00 B0 8E ?? ?? 02 3C ?? ?? 42 24 0F 00 00 12 00 00 A2 AE 00 00 04 8E 0A 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 11 00 40 50 00 00 82 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 A0 02 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 0A 00 80 10 ?? ?? 02 3C 44 00 A2 8E 04 00 40 10 00 00 00 00 4C 00 A2 92 20 00 40 54 00 00 A2 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C 08 00 A9 26 0C 00 A8 26 18 00 A7 26 1C 00 A6 26 28 00 A5 26 2C 00 A4 26 58 00 A0 A2 4C 00 A0 A2 10 00 A9 AE 14 00 A8 AE 20 00 A7 AE 24 00 A6 AE 30 00 A5 AE 34 00 A4 AE 0C 00 A0 AE 1C 00 A0 AE 2C 00 A0 AE 08 00 A0 AE 18 00 A0 AE 28 00 A0 AE 5C 00 A0 AE 50 00 A3 AE 54 00 A2 AE ?? ?? ?? 0? 44 00 A0 AE 21 20 A0 02 10 00 42 8C 09 F8 40 00 FF FF 05 24 FF FF 03 24 45 00 43 10 20 00 B0 27 0F 00 02 24 21 20 00 02 21 28 00 00 08 00 06 24 34 00 A2 AF 30 00 A0 AF ?? ?? ?? 0? 20 00 A0 A3 34 00 A2 8F 10 00 42 2C 03 00 40 14 28 00 A3 27 20 00 A3 8F 08 00 63 24 08 00 02 24 ?? ?? 12 3C ?? ?? 13 3C 30 00 A2 AF 50 00 B1 26 00 00 60 A0 ?? ?? 52 26 ?? ?? 73 26 44 00 A4 8E 34 00 A6 8F 18 00 A3 27 00 00 82 8C 10 00 A3 AF 20 00 A3 8F 30 00 A7 8F 10 00 C6 2C 1C 00 42 8C 0B 18 06 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 20 02 01 00 03 24 06 00 43 10 03 00 03 24 13 00 43 50 34 00 A2 8F 11 00 40 14 34 00 A2 8F 4C 00 A0 A2 34 00 A4 8F 20 00 A2 8F 18 00 B4 8F 10 00 84 2C 0B 10 04 02 23 A0 82 02 1A 00 80 12 21 20 40 00 5C 00 A7 8E 01 00 05 24 ?? ?? ?? 0? 21 30 80 02 15 00 82 52 4C 00 A2 92 34 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 20 00 A4 8F 0F 00 02 24 34 00 A2 AF 30 00 A0 AF 20 00 A0 A3 ?? ?? ?? 0? 5C 00 A4 8E 3C 00 A7 8E 20 00 A6 8E 30 00 A5 8E 00 00 47 AC 00 00 C3 AC ?? ?? ?? 0? 00 00 A3 AC 4C 00 A2 92 EC FF 40 10 34 00 A2 8F C6 FF 80 56 44 00 A4 8E 30 00 B6 8F F7 FF C2 2E 58 00 40 10 00 00 00 00 08 00 D6 26 FF FF 02 24 5E 00 C2 12 00 00 00 00 34 00 A5 8F 2B 10 B6 00 08 00 40 14 21 18 A0 00 3D 00 C0 16 20 00 A2 8F 10 00 A5 2C 30 00 A0 AF 0B 10 05 02 ?? ?? ?? 0? 00 00 40 A0 0F 00 D7 36 FF FF 02 24 49 00 E2 12 30 00 B4 8F AA AA 02 3C AB AA 42 34 19 00 E2 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 42 00 60 10 01 00 E4 26 FE FF 03 24 23 18 62 00 2B 18 65 00 3C 00 60 10 21 B8 45 00 FF FF 04 24 FE FF 17 24 ?? ?? ?? 0? 00 00 00 00 07 00 40 14 21 F0 40 00 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B2 AF 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B2 AF 34 00 A5 8F 09 00 80 12 10 00 A5 2C 20 00 A2 8F 21 20 C0 03 0B 10 05 02 21 28 40 00 ?? ?? ?? 0? 21 30 80 02 34 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 E2 2E ?? ?? ?? 0? 20 00 A4 8F 10 00 E2 2E 21 30 00 02 0A 30 C2 03 21 10 D4 00 20 00 BE AF 34 00 B7 AF 30 00 B4 AF 7C FF C0 12 00 00 40 A0 34 00 A3 8F 20 00 A2 8F 10 00 63 2C 21 20 00 02 0A 20 43 00 30 00 A2 8F 21 28 00 00 08 00 06 24 ?? ?? ?? 0? 21 20 82 00 34 00 A3 8F 20 00 A2 8F 30 00 B6 AF 10 00 63 2C 0B 10 03 02 21 B0 56 00 ?? ?? ?? 0? 00 00 C0 A2 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 30 00 B6 8F 21 B8 C0 02 01 00 E4 26 D0 FF 80 10 21 F0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 34 00 A5 8F }
	condition:
		$1
}

rule file_443_84_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE7seekoffElNSt5_IosbIiE8_SeekdirENS4_9_OpenmodeE"
		size = 1368
		refs = "0084 fseek 0094 _ZSt4_Fpz 00a0 _ZNSt4fposI9_MbstatetE4_StzE 00b8 _ZSt7_BADOFF 0148 memset 016c _ZTVSt9bad_alloc 020c fwrite 0234 _ZdlPv 0258 fgetpos 03dc _Znwm 0424 memcpy 04e4 _ZSt14_Xlength_errorPKc 052c _ZNKSt9exception6_RaiseEv 0538 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 20 00 A2 8C 78 FF BD 27 64 00 B1 AF 00 00 42 8C 48 00 B1 24 80 00 BE AF 7C 00 B7 AF 78 00 B6 AF 60 00 B0 AF 84 00 BF AF 74 00 B5 AF 70 00 B4 AF 6C 00 B3 AF 68 00 B2 AF 21 B8 A0 00 21 B0 80 00 21 F0 C0 00 C9 00 22 12 21 80 E0 00 5C 00 E4 8E 11 00 80 50 ?? ?? 04 3C 44 00 E2 8E 04 00 40 10 00 00 00 00 4C 00 E2 92 2A 00 40 54 00 00 E2 8E 03 00 C0 17 01 00 02 24 77 00 02 12 00 00 00 00 21 28 C0 03 ?? ?? ?? 0? 21 30 00 02 72 00 40 50 5C 00 E4 8E ?? ?? 04 3C ?? ?? 03 3C ?? ?? 82 24 ?? ?? 68 24 ?? ?? 87 8C 04 00 46 8C 08 00 45 8C 0C 00 44 8C 04 00 02 8D ?? ?? 08 3C ?? ?? 63 8C ?? ?? 08 8D 84 00 BF 8F 1C 00 C2 AE 00 00 C8 AE 21 10 C0 02 08 00 C7 AE 0C 00 C6 AE 10 00 C5 AE 14 00 C4 AE 18 00 C3 AE 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 21 20 E0 02 10 00 42 8C 09 F8 40 00 FF FF 05 24 FF FF 03 24 DA FF 43 10 30 00 B2 27 0F 00 02 24 21 20 40 02 21 28 00 00 08 00 06 24 44 00 A2 AF 40 00 A0 AF ?? ?? ?? 0? 30 00 A0 A3 44 00 A2 8F 10 00 42 2C 03 00 40 14 38 00 A3 27 30 00 A3 8F 08 00 63 24 08 00 02 24 ?? ?? 15 3C ?? ?? 14 3C 40 00 A2 AF 50 00 F3 26 00 00 60 A0 ?? ?? B5 26 ?? ?? 94 26 44 00 E4 8E 44 00 A6 8F 18 00 A3 27 00 00 82 8C 10 00 A3 AF 30 00 A3 8F 40 00 A7 8F 10 00 C6 2C 1C 00 42 8C 0B 18 46 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 60 02 01 00 03 24 06 00 43 10 03 00 03 24 15 00 43 50 01 00 12 24 13 00 40 54 21 90 00 00 4C 00 E0 A2 44 00 A4 8F 30 00 A2 8F 18 00 A3 8F 10 00 84 2C 0B 10 44 02 23 18 62 00 44 00 60 10 21 20 40 00 5C 00 E7 8E 21 30 60 00 01 00 05 24 ?? ?? ?? 0? 5C 00 A3 AF 5C 00 A3 8F 3D 00 62 50 4C 00 E2 92 21 90 00 00 44 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 30 00 A4 8F 0F 00 02 24 44 00 A2 AF 40 00 A0 AF 92 FF 40 12 30 00 A0 A3 ?? ?? ?? 0? 5C 00 E4 8E ?? ?? ?? 0? 20 00 A5 27 8D FF 40 14 ?? ?? 04 3C 10 00 E3 8E 00 00 62 8C 09 00 22 56 56 00 E2 96 40 00 E2 8E 3C 00 E6 8E 20 00 E5 8E 30 00 E4 8E 00 00 66 AC 00 00 A2 AC 00 00 82 AC 56 00 E2 96 50 00 E4 8E 54 00 E3 96 2C 00 A6 97 2E 00 A5 97 20 00 A8 8F 24 00 A9 8F 28 00 A7 8F 84 00 BF 8F 1E 00 C2 A6 00 00 C0 AE 21 10 C0 02 08 00 C8 AE 0C 00 C9 AE 10 00 C7 AE 14 00 C6 A6 16 00 C5 A6 18 00 C4 AE 1C 00 C3 A6 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 4C 00 E2 92 C4 FF 40 50 01 00 12 24 9C FF 60 54 44 00 E4 8E 40 00 A3 8F F7 FF 62 2C 6E 00 40 10 00 00 00 00 08 00 63 24 FF FF 02 24 74 00 62 10 21 20 80 02 44 00 A5 8F 2B 10 A3 00 0F 00 40 14 0F 00 67 34 51 00 60 14 30 00 A2 8F 10 00 A5 2C 40 00 A0 AF 0B 10 45 02 ?? ?? ?? 0? 00 00 40 A0 01 00 02 24 37 FF E2 54 5C 00 E4 8E 44 00 A3 8C FC FF C2 24 ?? ?? ?? 0? 0A F0 43 00 FF FF 02 24 59 00 E2 10 40 00 A9 8F AA AA 02 3C AB AA 42 34 19 00 E2 00 42 10 05 00 10 58 00 00 42 20 0B 00 2B 20 82 00 52 00 80 10 01 00 E4 24 FE FF 04 24 23 20 82 00 2B 20 85 00 4C 00 80 10 21 38 45 00 FF FF 04 24 FE FF 07 24 5C 00 A3 AF 54 00 A7 AF ?? ?? ?? 0? 58 00 A9 AF 5C 00 A3 8F 54 00 A7 8F 4B 00 40 10 58 00 A9 8F 44 00 A5 8F 21 40 40 00 11 00 20 11 10 00 A5 2C 30 00 A2 8F 21 20 00 01 0B 10 45 02 21 28 40 00 21 30 20 01 5C 00 A3 AF 54 00 A7 AF 50 00 A8 AF ?? ?? ?? 0? 58 00 A9 AF 44 00 A5 8F 58 00 A9 8F 50 00 A8 8F 54 00 A7 8F 5C 00 A3 8F 10 00 A5 2C 0C 00 A0 14 10 00 E2 2C 30 00 A4 8F 5C 00 A3 AF 54 00 A7 AF 50 00 A8 AF ?? ?? ?? 0? 58 00 A9 AF 58 00 A9 8F 50 00 A8 8F 54 00 A7 8F 5C 00 A3 8F 10 00 E2 2C 30 00 A8 AF 0B 40 42 02 21 40 09 01 44 00 A7 AF 40 00 A9 AF 3E FF 60 10 00 00 00 A1 44 00 A5 8F 30 00 A2 8F 10 00 A5 2C 21 20 40 02 0A 20 45 00 40 00 A2 8F 21 28 00 00 08 00 06 24 21 20 82 00 ?? ?? ?? 0? 5C 00 A3 AF 44 00 A4 8F 30 00 A2 8F 5C 00 A3 8F 10 00 84 2C 0B 10 44 02 40 00 A3 AF 21 18 43 00 ?? ?? ?? 0? 00 00 60 A0 ?? ?? ?? 0? 21 20 80 02 ?? ?? ?? 0? 40 00 A3 8F 21 38 60 00 01 00 E4 24 BF FF 80 10 21 40 00 00 ?? ?? ?? 0? 5C 00 A3 AF ?? ?? ?? 0? 5C 00 A3 AF ?? ?? ?? 0? 5C 00 A3 8F 1C 00 A4 27 5C 00 A3 AF 54 00 A7 AF 58 00 A9 AF ?? ?? ?? 0? 1C 00 B5 AF 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B5 AF 44 00 A5 8F 21 40 00 00 58 00 A9 8F 54 00 A7 8F ?? ?? ?? 0? 5C 00 A3 8F }
	condition:
		$1
}

rule file_443_85_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE7seekposESt4fposI9_MbstatetENSt5_IosbIiE9_OpenmodeE"
		size = 1304
		refs = "0084 fsetpos 0268 _ZSt4_Fpz 00a0 _ZNSt4fposI9_MbstatetE4_StzE 00b8 _ZSt7_BADOFF 0148 memset 016c _ZTVSt9bad_alloc 0208 fwrite 022c _ZdlPv 025c fseek 0270 fgetpos 03dc _Znwm 0414 memcpy 04b4 _ZSt14_Xlength_errorPKc 04f4 _ZNKSt9exception6_RaiseEv 0500 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 80 FF BD 27 90 00 A3 8F 5C 00 A2 8C 70 00 B6 AF 20 00 A3 AF 94 00 A3 8F 6C 00 B5 AF 58 00 B0 AF 24 00 A3 AF 98 00 A3 8F 7C 00 BF AF 78 00 BE AF 28 00 A3 AF 9C 00 A3 8F 74 00 B7 AF 68 00 B4 AF 64 00 B3 AF 60 00 B2 AF 5C 00 B1 AF 21 B0 A0 00 21 A8 80 00 88 00 A6 AF 8C 00 A7 AF 2C 00 A3 AF 0C 00 40 10 21 80 C0 00 44 00 A3 8C 05 00 60 10 21 20 40 00 4C 00 A3 90 26 00 60 54 00 00 A2 8C 21 20 40 00 ?? ?? ?? 0? 20 00 A5 27 70 00 40 10 00 00 00 00 ?? ?? 04 3C ?? ?? 03 3C ?? ?? 82 24 ?? ?? 68 24 ?? ?? 87 8C 04 00 46 8C 08 00 45 8C 0C 00 44 8C 04 00 02 8D ?? ?? 08 3C ?? ?? 63 8C ?? ?? 08 8D 7C 00 BF 8F 1C 00 A2 AE 00 00 A8 AE 21 10 A0 02 08 00 A7 AE 0C 00 A6 AE 10 00 A5 AE 14 00 A4 AE 18 00 A3 AE 78 00 BE 8F 74 00 B7 8F 70 00 B6 8F 6C 00 B5 8F 68 00 B4 8F 64 00 B3 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 80 00 BD 27 21 20 A0 00 10 00 42 8C 09 F8 40 00 FF FF 05 24 FF FF 03 24 DA FF 43 10 30 00 B1 27 0F 00 02 24 21 20 20 02 21 28 00 00 08 00 06 24 44 00 A2 AF 40 00 A0 AF ?? ?? ?? 0? 30 00 A0 A3 44 00 A2 8F 10 00 42 2C 03 00 40 14 38 00 A3 27 30 00 A3 8F 08 00 63 24 08 00 02 24 ?? ?? 14 3C ?? ?? 13 3C 40 00 A2 AF 50 00 D2 26 00 00 60 A0 ?? ?? 94 26 ?? ?? 73 26 44 00 C4 8E 44 00 A6 8F 18 00 A3 27 00 00 82 8C 10 00 A3 AF 30 00 A3 8F 40 00 A7 8F 10 00 C6 2C 1C 00 42 8C 0B 18 26 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 40 02 01 00 03 24 06 00 43 10 03 00 03 24 13 00 43 50 01 00 11 24 11 00 40 54 21 88 00 00 4C 00 C0 A2 44 00 A4 8F 30 00 A2 8F 18 00 B7 8F 10 00 84 2C 0B 10 24 02 23 B8 E2 02 4D 00 E0 12 21 20 40 00 5C 00 C7 8E 01 00 05 24 ?? ?? ?? 0? 21 30 E0 02 48 00 E2 52 4C 00 C2 92 21 88 00 00 44 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 30 00 A4 8F 0F 00 02 24 44 00 A2 AF 40 00 A0 AF 94 FF 20 12 30 00 A0 A3 ?? ?? ?? 0? 5C 00 C2 8E 07 00 00 12 5C 00 C4 8E 21 28 00 02 ?? ?? ?? 0? 01 00 06 24 8C FF 40 14 ?? ?? 04 3C 5C 00 C4 8E ?? ?? ?? 0? 20 00 A5 27 87 FF 40 14 ?? ?? 04 3C 10 00 C9 8E A0 00 A6 8F A4 00 A7 97 00 00 23 8D A6 00 A8 97 48 00 C2 26 50 00 C6 AE 54 00 C7 A6 08 00 62 14 56 00 C8 A6 40 00 C2 8E 3C 00 C5 8E 20 00 C4 8E 30 00 C3 8E 00 00 25 AD 00 00 82 AC 00 00 62 AC 20 00 A4 8F 2E 00 A2 97 2C 00 A3 97 24 00 A5 8F 08 00 A4 AE 7C 00 BF 8F 28 00 A4 8F 16 00 A2 A6 00 00 A0 AE 21 10 A0 02 0C 00 A5 AE 10 00 A4 AE 14 00 A3 A6 18 00 A6 AE 1C 00 A7 A6 1E 00 A8 A6 78 00 BE 8F 74 00 B7 8F 70 00 B6 8F 6C 00 B5 8F 68 00 B4 8F 64 00 B3 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 80 00 BD 27 4C 00 C2 92 B9 FF 40 50 01 00 11 24 93 FF E0 56 44 00 C4 8E 40 00 B7 8F F7 FF E2 2E 59 00 40 10 00 00 00 00 08 00 F7 26 FF FF 02 24 5F 00 E2 12 00 00 00 00 44 00 A5 8F 2B 10 B7 00 08 00 40 14 0F 00 FE 36 3E 00 E0 16 30 00 A2 8F 10 00 A5 2C 40 00 A0 AF 0B 10 25 02 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 4B 00 C2 13 40 00 A7 8F AA AA 02 3C AB AA 42 34 19 00 C2 03 42 10 05 00 10 48 00 00 42 18 09 00 2B 18 62 00 44 00 60 10 01 00 C4 27 FE FF 03 24 23 18 62 00 2B 18 65 00 3E 00 60 10 21 F0 45 00 FF FF 04 24 FE FF 1E 24 ?? ?? ?? 0? 54 00 A7 AF 41 00 40 10 54 00 A7 8F 44 00 A5 8F 21 18 40 00 0D 00 E0 10 10 00 A5 2C 30 00 A2 8F 21 20 60 00 0B 10 25 02 21 28 40 00 21 30 E0 00 50 00 A3 AF ?? ?? ?? 0? 54 00 A7 AF 44 00 A5 8F 54 00 A7 8F 50 00 A3 8F 10 00 A5 2C 08 00 A0 14 10 00 C2 2F 30 00 A4 8F 50 00 A3 AF ?? ?? ?? 0? 54 00 A7 AF 54 00 A7 8F 50 00 A3 8F 10 00 C2 2F 30 00 A3 AF 0B 18 22 02 21 18 67 00 44 00 BE AF 40 00 A7 AF 48 FF E0 12 00 00 60 A0 44 00 A5 8F 30 00 A2 8F 10 00 A5 2C 21 20 20 02 0A 20 45 00 40 00 A2 8F 21 28 00 00 08 00 06 24 ?? ?? ?? 0? 21 20 82 00 44 00 A3 8F 30 00 A2 8F 40 00 B7 AF 10 00 63 2C 0B 10 23 02 21 B8 57 00 ?? ?? ?? 0? 00 00 E0 A2 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 40 00 B7 8F 21 F0 E0 02 01 00 C4 27 C9 FF 80 10 21 18 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 44 00 A5 8F 1C 00 A4 27 54 00 A7 AF ?? ?? ?? 0? 1C 00 B4 AF 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B4 AF 44 00 A5 8F 21 18 00 00 ?? ?? ?? 0? 54 00 A7 8F }
	condition:
		$1
}

rule file_443_86_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEED1Ev"
		size = 1176
		refs = "0010 _ZTVSt13basic_filebufIwSt11char_traitsIwEE 0068 _ZTVSt15basic_streambufIwSt11char_traitsIwEE 00a8 _ZdlPv 0114 fclose 011c _ZZNSt13basic_filebufIwSt11char_traitsIwEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit 01c4 memset 01e8 _ZTVSt9bad_alloc 0284 fwrite 0390 _Znwm 03a4 _ZNKSt9exception6_RaiseEv 03b0 _ZNSt9exceptionD2Ev 03d4 memcpy 0460 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 98 FF BD 27 54 00 B5 AF 21 A8 80 00 5C 00 84 8C ?? ?? 02 3C ?? ?? 42 24 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 50 00 B4 AF 4C 00 B3 AF 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 06 00 80 10 00 00 A2 AE 10 00 A2 8E 48 00 A3 26 00 00 45 8C 9C 00 A3 50 40 00 A3 8E 58 00 A2 92 25 00 40 14 00 00 00 00 38 00 B0 8E ?? ?? 02 3C ?? ?? 42 24 0F 00 00 12 00 00 A2 AE 00 00 04 8E 0A 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 0F 00 40 50 00 00 82 8C ?? ?? ?? 0? 21 20 00 02 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 0A 00 80 10 ?? ?? 02 3C 44 00 A2 8E 04 00 40 10 00 00 00 00 4C 00 A2 92 20 00 40 54 00 00 A2 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C 08 00 A9 26 0C 00 A8 26 18 00 A7 26 1C 00 A6 26 28 00 A5 26 2C 00 A4 26 58 00 A0 A2 4C 00 A0 A2 10 00 A9 AE 14 00 A8 AE 20 00 A7 AE 24 00 A6 AE 30 00 A5 AE 34 00 A4 AE 0C 00 A0 AE 1C 00 A0 AE 2C 00 A0 AE 08 00 A0 AE 18 00 A0 AE 28 00 A0 AE 5C 00 A0 AE 50 00 A3 AE 54 00 A2 AE ?? ?? ?? 0? 44 00 A0 AE 21 20 A0 02 10 00 42 8C 09 F8 40 00 FF FF 05 24 FF FF 03 24 45 00 43 10 20 00 B0 27 0F 00 02 24 21 20 00 02 21 28 00 00 08 00 06 24 34 00 A2 AF 30 00 A0 AF ?? ?? ?? 0? 20 00 A0 A3 34 00 A2 8F 10 00 42 2C 03 00 40 14 28 00 A3 27 20 00 A3 8F 08 00 63 24 08 00 02 24 ?? ?? 12 3C ?? ?? 13 3C 30 00 A2 AF 50 00 B1 26 00 00 60 A0 ?? ?? 52 26 ?? ?? 73 26 44 00 A4 8E 34 00 A6 8F 18 00 A3 27 00 00 82 8C 10 00 A3 AF 20 00 A3 8F 30 00 A7 8F 10 00 C6 2C 1C 00 42 8C 0B 18 06 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 20 02 01 00 03 24 06 00 43 10 03 00 03 24 13 00 43 50 34 00 A2 8F 11 00 40 14 34 00 A2 8F 4C 00 A0 A2 34 00 A4 8F 20 00 A2 8F 18 00 B4 8F 10 00 84 2C 0B 10 04 02 23 A0 82 02 1A 00 80 12 21 20 40 00 5C 00 A7 8E 01 00 05 24 ?? ?? ?? 0? 21 30 80 02 15 00 82 52 4C 00 A2 92 34 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 20 00 A4 8F 0F 00 02 24 34 00 A2 AF 30 00 A0 AF 20 00 A0 A3 ?? ?? ?? 0? 5C 00 A4 8E 3C 00 A7 8E 20 00 A6 8E 30 00 A5 8E 00 00 47 AC 00 00 C3 AC ?? ?? ?? 0? 00 00 A3 AC 4C 00 A2 92 EC FF 40 10 34 00 A2 8F C6 FF 80 56 44 00 A4 8E 30 00 B6 8F F7 FF C2 2E 58 00 40 10 00 00 00 00 08 00 D6 26 FF FF 02 24 5E 00 C2 12 00 00 00 00 34 00 A5 8F 2B 10 B6 00 08 00 40 14 21 18 A0 00 3D 00 C0 16 20 00 A2 8F 10 00 A5 2C 30 00 A0 AF 0B 10 05 02 ?? ?? ?? 0? 00 00 40 A0 0F 00 D7 36 FF FF 02 24 49 00 E2 12 30 00 B4 8F AA AA 02 3C AB AA 42 34 19 00 E2 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 42 00 60 10 01 00 E4 26 FE FF 03 24 23 18 62 00 2B 18 65 00 3C 00 60 10 21 B8 45 00 FF FF 04 24 FE FF 17 24 ?? ?? ?? 0? 00 00 00 00 07 00 40 14 21 F0 40 00 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B2 AF 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B2 AF 34 00 A5 8F 09 00 80 12 10 00 A5 2C 20 00 A2 8F 21 20 C0 03 0B 10 05 02 21 28 40 00 ?? ?? ?? 0? 21 30 80 02 34 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 E2 2E ?? ?? ?? 0? 20 00 A4 8F 10 00 E2 2E 21 30 00 02 0A 30 C2 03 21 10 D4 00 20 00 BE AF 34 00 B7 AF 30 00 B4 AF 7C FF C0 12 00 00 40 A0 34 00 A3 8F 20 00 A2 8F 10 00 63 2C 21 20 00 02 0A 20 43 00 30 00 A2 8F 21 28 00 00 08 00 06 24 ?? ?? ?? 0? 21 20 82 00 34 00 A3 8F 20 00 A2 8F 30 00 B6 AF 10 00 63 2C 0B 10 03 02 21 B0 56 00 ?? ?? ?? 0? 00 00 C0 A2 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 30 00 B6 8F 21 B8 C0 02 01 00 E4 26 D0 FF 80 10 21 F0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 34 00 A5 8F }
	condition:
		$1
}

rule file_443_87_4 {
	meta:
		name = "_ZNSt8ios_base5clearENSt5_IosbIiE8_IostateEb.clone.66"
		size = 2872
		refs = "004c _ZSt17iostream_categoryv 0054 _ZTVSt13runtime_error 0074 strlen 0130 memmove 0168 _ZTVNSt8ios_base7failureE 0178 _ZNKSt9exception6_RaiseEv 0190 _ZdlPv 01a8 _ZNSt9exceptionD2Ev 0630 _ZSt14_Xout_of_rangePKc 068c _Znwm 06c0 memcpy 0a48 _ZSt14_Xlength_errorPKc 0698 _ZTVSt9bad_alloc"
		altNames = "_ZNSt8ios_base5clearENSt5_IosbIiE8_IostateEb.clone.62"
	strings:
		$1 = { 17 00 C6 30 48 FF BD 27 24 28 C5 00 B4 00 BF AF B0 00 B6 AF AC 00 B5 AF A8 00 B4 AF A4 00 B3 AF A0 00 B2 AF 9C 00 B1 AF 98 00 B0 AF 60 00 A0 10 00 00 86 AC 5E 00 E0 14 04 00 A2 30 0C 01 40 14 02 00 A5 30 64 00 A0 14 00 00 00 00 ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 10 3C ?? ?? 84 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 1C 00 B0 AF 34 00 A2 AF 30 00 A0 AF ?? ?? ?? 0? 20 00 A0 A3 34 00 A5 8F 20 00 A3 8F 21 88 40 00 10 00 A4 2C 20 00 A2 27 0A 10 64 00 ?? ?? 93 26 2B 10 62 02 7A 00 40 14 FF FF 02 24 30 00 A6 8F 20 00 A2 27 0A 10 64 00 21 10 46 00 2B 10 62 02 73 00 40 10 FF FF 02 24 20 00 A2 27 0A 10 64 00 23 98 62 02 2B 10 D3 00 2B 02 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 22 02 0A 88 55 00 21 A8 33 02 2B 10 D5 00 20 02 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 C6 00 82 12 34 00 A2 8F C4 00 80 16 1C 00 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 34 00 A3 8F 20 00 A2 8F 20 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 30 00 A3 8F 34 00 A4 8F 20 00 A2 27 23 98 73 00 20 00 A3 8F 10 00 84 2C 30 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 3C 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 1C 00 A2 AF ?? ?? ?? 0? 40 00 B2 AF 34 00 A2 8F 10 00 42 2C 03 00 40 14 1C 00 B0 AF ?? ?? ?? 0? 20 00 A4 8F 0F 00 02 24 21 20 20 02 34 00 A2 AF 30 00 A0 AF ?? ?? ?? 0? 20 00 A0 A3 B4 00 BF 8F B0 00 B6 8F AC 00 B5 8F A8 00 B4 8F A4 00 B3 8F A0 00 B2 8F 9C 00 B1 8F 98 00 B0 8F 08 00 E0 03 B8 00 BD 27 ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 10 3C ?? ?? 84 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 44 00 B0 AF 5C 00 A2 AF 58 00 A0 AF ?? ?? ?? 0? 48 00 A0 A3 5C 00 A5 8F 48 00 A3 8F 21 88 40 00 10 00 A4 2C 48 00 A2 27 0A 10 64 00 ?? ?? 93 26 2B 10 62 02 09 00 40 14 FF FF 02 24 58 00 A6 8F 48 00 A2 27 0A 10 64 00 21 10 46 00 2B 10 62 02 1E 00 40 14 48 00 A2 27 FF FF 02 24 07 02 22 52 ?? ?? 04 3C 2B 10 B1 00 3C 01 40 54 0F 00 33 36 6C 01 20 16 48 00 A3 8F 10 00 A5 2C 48 00 A2 27 0A 10 65 00 58 00 A0 AF 44 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 EF 01 22 12 ?? ?? 04 3C 2B 10 B1 00 EA 00 40 14 0F 00 33 36 1A 01 20 16 20 00 A3 8F 10 00 A5 2C 20 00 A2 27 0A 10 65 00 30 00 A0 AF 1C 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 0A 10 64 00 23 98 62 02 2B 10 D3 00 D8 00 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 22 02 0A 88 55 00 21 A8 33 02 2B 10 D5 00 C1 01 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 C6 00 82 16 5C 00 A2 8F 10 00 42 2C B6 01 40 14 44 00 B1 27 48 00 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 5C 00 A4 8F 58 00 A6 8F 48 00 A3 8F 10 00 84 2C 48 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 58 00 A6 AF 00 00 40 A0 2B 10 66 02 0A 98 C2 00 12 00 60 12 5C 00 A3 8F 48 00 A2 8F 48 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 58 00 A3 8F 5C 00 A4 8F 48 00 A2 27 23 98 73 00 48 00 A3 8F 10 00 84 2C 58 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 64 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 44 00 A2 AF ?? ?? ?? 0? 68 00 B2 AF 5C 00 A2 8F 10 00 42 2C 03 00 40 14 44 00 B0 AF ?? ?? ?? 0? 48 00 A4 8F 21 20 20 02 0F 00 02 24 5C 00 A2 AF 58 00 A0 AF ?? ?? ?? 0? 48 00 A0 A3 B4 00 BF 8F B0 00 B6 8F AC 00 B5 8F A8 00 B4 8F A4 00 B3 8F A0 00 B2 8F 9C 00 B1 8F 98 00 B0 8F 08 00 E0 03 B8 00 BD 27 10 00 42 2C 81 00 40 10 20 00 A2 8F 1C 00 B1 27 21 20 35 02 04 00 84 24 20 00 A2 27 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 34 00 A4 8F 30 00 A6 8F 20 00 A3 8F 10 00 84 2C 20 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 30 00 A6 AF ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 10 3C ?? ?? 84 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 6C 00 B0 AF 84 00 A2 AF 80 00 A0 AF ?? ?? ?? 0? 70 00 A0 A3 84 00 A5 8F 70 00 A3 8F 21 88 40 00 10 00 A4 2C 70 00 A2 27 0A 10 64 00 ?? ?? 93 26 2B 10 62 02 46 00 40 14 FF FF 02 24 80 00 A6 8F 70 00 A2 27 0A 10 64 00 21 10 46 00 2B 10 62 02 3F 00 40 10 FF FF 02 24 70 00 A2 27 0A 10 64 00 23 98 62 02 2B 10 D3 00 4A 01 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 22 02 0A 88 55 00 21 A8 33 02 2B 10 D5 00 3F 01 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 1B 01 82 12 84 00 A2 8F 19 01 80 16 6C 00 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 84 00 A3 8F 70 00 A2 8F 70 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 80 00 A3 8F 84 00 A4 8F 70 00 A2 27 23 98 73 00 70 00 A3 8F 10 00 84 2C 80 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 8C 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 6C 00 A2 AF ?? ?? ?? 0? 90 00 B2 AF 84 00 A2 8F 10 00 42 2C 03 00 40 14 6C 00 B0 AF ?? ?? ?? 0? 70 00 A4 8F 0F 00 02 24 21 20 20 02 84 00 A2 AF 80 00 A0 AF ?? ?? ?? 0? 70 00 A0 A3 ?? ?? ?? 0? B4 00 BF 8F 2E 01 22 12 ?? ?? 04 3C 2B 10 B1 00 9D 00 40 14 0F 00 33 36 CD 00 20 16 70 00 A3 8F 10 00 A5 2C 70 00 A2 27 0A 10 65 00 80 00 A0 AF 6C 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 4D FF 80 12 44 00 B1 27 ?? ?? ?? 0? 5C 00 A2 8F 1C 00 B1 27 ?? ?? ?? 0? 21 20 55 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 58 00 A6 8F FF FF 02 24 FA 00 62 12 30 00 B6 8F AA AA 02 3C AB AA 42 34 19 00 62 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 F3 00 60 10 01 00 64 26 FE FF 03 24 23 18 62 00 2B 18 65 00 ED 00 60 10 21 98 45 00 FF FF 04 24 FE FF 13 24 ?? ?? ?? 0? 00 00 00 00 04 01 40 10 ?? ?? 15 3C 34 00 A5 8F 21 A8 40 00 0A 00 C0 12 10 00 A5 2C 20 00 A3 8F 20 00 A2 27 0A 10 65 00 21 28 40 00 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 34 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 63 2E ?? ?? ?? 0? 20 00 A4 8F 10 00 63 2E 20 00 A2 27 20 00 B5 AF 0B A8 43 00 21 A8 B6 02 34 00 B3 AF 30 00 B6 AF 0A 01 20 12 00 00 A0 A2 34 00 A5 8F 20 00 A3 8F 20 00 A2 27 10 00 A5 2C 21 20 40 00 0A 20 65 00 21 30 20 02 ?? ?? ?? 0? ?? ?? 85 26 34 00 A4 8F 20 00 A3 8F 20 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 51 00 30 00 B1 AF 1C 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 C0 00 62 12 58 00 B6 8F AA AA 02 3C AB AA 42 34 19 00 62 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 B9 00 60 10 01 00 64 26 FE FF 03 24 23 18 62 00 2B 18 65 00 B3 00 60 10 21 98 45 00 FF FF 04 24 FE FF 13 24 ?? ?? ?? 0? 00 00 00 00 D4 00 40 10 ?? ?? 15 3C 5C 00 A5 8F 21 A8 40 00 0A 00 C0 12 10 00 A5 2C 48 00 A3 8F 48 00 A2 27 0A 10 65 00 21 28 40 00 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 5C 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 63 2E ?? ?? ?? 0? 48 00 A4 8F 10 00 63 2E 48 00 A2 27 48 00 B5 AF 0B A8 43 00 21 A8 B6 02 5C 00 B3 AF 58 00 B6 AF C4 00 20 12 00 00 A0 A2 5C 00 A5 8F 48 00 A3 8F 48 00 A2 27 10 00 A5 2C 21 20 40 00 0A 20 65 00 21 30 20 02 ?? ?? ?? 0? ?? ?? 85 26 5C 00 A4 8F 48 00 A3 8F 48 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 51 00 58 00 B1 AF 44 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 86 00 62 12 80 00 B6 8F AA AA 02 3C AB AA 42 34 19 00 62 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 7F 00 60 10 01 00 64 26 FE FF 03 24 23 18 62 00 2B 18 65 00 79 00 60 10 21 98 45 00 FF FF 04 24 FE FF 13 24 ?? ?? ?? 0? 00 00 00 00 86 00 40 10 ?? ?? 15 3C 84 00 A5 8F 21 A8 40 00 0A 00 C0 12 10 00 A5 2C 70 00 A3 8F 70 00 A2 27 0A 10 65 00 21 28 40 00 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 84 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 63 2E ?? ?? ?? 0? 70 00 A4 8F 10 00 63 2E 70 00 A2 27 70 00 B5 AF 0B A8 43 00 21 A8 B6 02 84 00 B3 AF 80 00 B6 AF 84 00 20 12 00 00 A0 A2 84 00 A5 8F 70 00 A3 8F 70 00 A2 27 10 00 A5 2C 21 20 40 00 0A 20 65 00 21 30 20 02 ?? ?? ?? 0? ?? ?? 85 26 84 00 A4 8F 70 00 A3 8F 70 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 51 00 80 00 B1 AF 6C 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 30 00 A6 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 30 00 A6 8F 10 00 42 2C 1A 00 40 14 6C 00 B1 27 70 00 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 84 00 A4 8F 80 00 A6 8F 70 00 A3 8F 10 00 84 2C 70 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 80 00 A6 AF ?? ?? ?? 0? 00 00 40 A0 21 20 35 02 04 00 84 24 ?? ?? ?? 0? 48 00 A2 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 58 00 A6 8F 21 20 35 02 04 00 84 24 ?? ?? ?? 0? 70 00 A2 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 80 00 A6 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 80 00 A6 8F 21 98 20 02 01 00 64 26 1A FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 34 00 A5 8F 21 98 20 02 01 00 64 26 54 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 5C 00 A5 8F 21 98 20 02 01 00 64 26 8E FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 84 00 A5 8F ?? ?? B5 26 18 00 A4 27 ?? ?? ?? 0? 18 00 B5 AF 18 00 A4 27 ?? ?? ?? 0? 18 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 34 00 A5 8F ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 84 00 A5 8F ?? ?? B5 26 14 00 A4 27 ?? ?? ?? 0? 14 00 B5 AF 14 00 A4 27 ?? ?? ?? 0? 14 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 5C 00 A5 8F ?? ?? ?? 0? 44 00 B1 27 ?? ?? ?? 0? 1C 00 B1 27 ?? ?? ?? 0? 6C 00 B1 27 }
	condition:
		$1
}

rule file_443_88_4 {
	meta:
		name = "_ZNSsC1EPKc"
		size = 980
		refs = "003c strlen 0164 memmove 0220 _ZSt14_Xout_of_rangePKc 02b0 _Znwm 02e0 memcpy 02f8 _ZdlPv 0384 _ZSt14_Xlength_errorPKc 02bc _ZTVSt9bad_alloc 03b4 _ZNKSt9exception6_RaiseEv 03c0 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 0F 00 02 24 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 21 88 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 21 20 A0 00 ?? ?? ?? 0? 21 90 A0 00 21 98 40 00 11 00 40 12 21 80 20 02 14 00 22 8E 10 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 2B 18 43 02 0A 00 60 54 FF FF 02 24 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 26 8E 21 18 66 00 2B 18 43 02 18 00 60 14 00 00 00 00 FF FF 02 24 BB 00 62 12 ?? ?? 04 3C 14 00 22 8E 2B 18 53 00 6F 00 60 14 0F 00 74 36 9E 00 60 16 10 00 42 2C 01 00 40 50 00 00 30 8E 10 00 20 AE 00 00 00 A2 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 47 00 40 50 00 00 22 8E 21 10 20 02 23 90 42 02 2B 10 D2 00 47 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4B 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 22 00 82 52 14 00 22 8E 20 00 80 56 14 00 22 8E 2B 10 46 02 0A 90 C2 00 13 00 40 12 34 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 14 00 22 8E 10 00 23 8E 10 00 42 2C 02 00 40 14 23 90 72 00 00 00 30 8E 21 80 12 02 10 00 32 AE 00 00 00 A2 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 42 2C 27 00 40 14 21 20 33 02 00 00 22 8E 21 20 53 00 21 98 93 02 21 28 53 00 ?? ?? ?? 0? 21 30 00 00 14 00 23 8E 10 00 24 8E 21 10 20 02 10 00 63 2C 02 00 60 14 23 A0 94 00 00 00 22 8E 21 10 54 00 10 00 34 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 26 8E 23 90 42 02 2B 10 D2 00 BD FF 40 10 23 10 D2 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 26 8E 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 B9 FF 40 10 23 A0 D3 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E ?? ?? ?? 0? 21 10 20 02 FF FF 03 24 4A 00 83 12 10 00 36 8E AA AA 03 3C AB AA 63 34 19 00 83 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 43 00 80 10 01 00 84 26 FE FF 04 24 23 20 83 00 2B 20 82 00 3D 00 80 10 21 A0 62 00 FF FF 04 24 FE FF 14 24 ?? ?? ?? 0? 00 00 00 00 3C 00 40 10 ?? ?? 15 3C 21 A8 40 00 14 00 22 8E 09 00 C0 12 10 00 42 2C 02 00 40 14 21 28 20 02 00 00 25 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 14 00 22 8E 10 00 42 2C 04 00 40 14 10 00 82 2E ?? ?? ?? 0? 00 00 24 8E 10 00 82 2E 00 00 35 AE 0B A8 22 02 21 A8 B6 02 14 00 34 AE 10 00 36 AE 9D FF 60 12 00 00 A0 A2 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 40 02 ?? ?? ?? 0? 21 30 60 02 14 00 22 8E 10 00 42 2C 01 00 40 50 00 00 30 8E 21 80 13 02 10 00 33 AE 00 00 00 A2 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 22 8E 21 A0 60 02 01 00 84 26 CA FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 14 00 22 8E }
	condition:
		$1
}

rule file_443_89_4 {
	meta:
		name = "_ZNSt6_WinitD2Ev"
		size = 7080
		refs = "0000 _ZNSt6_Winit9_Init_cntE 0068 _ZSt5wcout 008c _ZSt5wcerr 00b0 _ZSt5wclog 0130 _ZSt17iostream_categoryv 0138 _ZTVSt13runtime_error 0158 strlen 0214 memmove 024c _ZTVNSt8ios_base7failureE 025c _ZNKSt9exception6_RaiseEv 0274 _ZdlPv 028c _ZNSt9exceptionD2Ev 0918 _ZNSsC1EPKc 1038 _ZSt14_Xout_of_rangePKc 119c _Znwm 11d0 memcpy 1544 _ZTVSt9bad_alloc 1a44 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { ?? ?? 03 3C ?? ?? 62 8C 38 FE BD 27 C4 01 BF AF FF FF 42 24 C0 01 B7 AF BC 01 B6 AF B8 01 B5 AF B4 01 B4 AF B0 01 B3 AF AC 01 B2 AF A8 01 B1 AF A4 01 B0 AF 0C 00 40 10 ?? ?? 62 AC C4 01 BF 8F C0 01 B7 8F BC 01 B6 8F B8 01 B5 8F B4 01 B4 8F B0 01 B3 8F AC 01 B2 8F A8 01 B1 8F A4 01 B0 8F 08 00 E0 03 C8 01 BD 27 ?? ?? 10 3C ?? ?? 02 8E ?? ?? 11 26 F4 FF 42 8C 21 10 22 02 08 00 43 8C 06 00 63 30 F6 00 60 50 28 00 44 8C ?? ?? 10 3C ?? ?? 02 8E ?? ?? 11 26 F4 FF 42 8C 21 10 22 02 08 00 43 8C 06 00 63 30 7C 00 60 50 28 00 44 8C ?? ?? 10 3C ?? ?? 02 8E ?? ?? 11 26 F4 FF 42 8C 21 10 22 02 08 00 43 8C 06 00 63 30 DC FF 60 14 C4 01 BF 8F 28 00 44 8C 00 00 82 8C 38 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 D4 FF 43 14 C4 01 BF 8F ?? ?? 02 8E F4 FF 42 8C 21 88 22 02 08 00 22 8E 0C 00 23 8E 04 00 42 34 17 00 42 30 24 18 43 00 C9 FF 60 10 08 00 22 AE 04 00 62 30 40 01 40 14 02 00 63 30 9C 02 60 14 00 00 00 00 ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 1C 01 B0 AF 34 01 A2 AF 30 01 A0 AF ?? ?? ?? 0? 20 01 A0 A3 34 01 A5 8F 20 01 A4 8F 20 01 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 1C 02 60 14 21 40 A0 00 30 01 A6 8F 20 01 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 16 02 60 50 FF FF 02 24 20 01 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 AC 03 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 99 03 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 2F 03 82 12 34 01 A2 8F 2D 03 80 16 1C 01 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 34 01 A3 8F 20 01 A2 8F 20 01 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 30 01 A3 8F 34 01 A4 8F 20 01 A2 27 23 98 73 00 20 01 A3 8F 10 00 84 2C 30 01 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 3C 01 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 1C 01 A2 AF ?? ?? ?? 0? 40 01 B2 AF 34 01 A2 8F 10 00 42 2C 03 00 40 14 1C 01 B0 AF ?? ?? ?? 0? 20 01 A4 8F 0F 00 02 24 21 20 20 02 34 01 A2 AF 30 01 A0 AF ?? ?? ?? 0? 20 01 A0 A3 ?? ?? ?? 0? C4 01 BF 8F 00 00 82 8C 38 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 80 FF 43 54 ?? ?? 10 3C ?? ?? 02 8E F4 FF 42 8C 21 88 22 02 08 00 22 8E 0C 00 23 8E 04 00 42 34 17 00 42 30 24 18 43 00 75 FF 60 10 08 00 22 AE 04 00 62 30 2A 01 40 14 02 00 63 30 D0 01 60 14 00 00 00 00 ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 A4 00 B0 AF BC 00 A2 AF B8 00 A0 AF ?? ?? ?? 0? A8 00 A0 A3 BC 00 A5 8F A8 00 A4 8F A8 00 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 9C 01 60 14 21 40 A0 00 B8 00 A6 8F A8 00 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 96 01 60 50 FF FF 02 24 A8 00 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 37 03 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 38 03 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 96 02 82 12 BC 00 A2 8F 94 02 80 16 A4 00 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 BC 00 A3 8F A8 00 A2 8F A8 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 B8 00 A3 8F BC 00 A4 8F A8 00 A2 27 23 98 73 00 A8 00 A3 8F 10 00 84 2C B8 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 C4 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 A4 00 A2 AF ?? ?? ?? 0? C8 00 B2 AF BC 00 A2 8F 10 00 42 2C 03 00 40 14 A4 00 B0 AF ?? ?? ?? 0? A8 00 A4 8F 0F 00 02 24 21 20 20 02 BC 00 A2 AF B8 00 A0 AF ?? ?? ?? 0? A8 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C 00 00 82 8C 38 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 06 FF 43 54 ?? ?? 10 3C ?? ?? 02 8E F4 FF 42 8C 21 88 22 02 08 00 22 8E 0C 00 23 8E 04 00 42 34 17 00 42 30 24 18 43 00 FB FE 60 10 08 00 22 AE 04 00 62 30 14 01 40 14 02 00 63 30 15 02 60 14 00 00 00 00 ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 2C 00 B0 AF 44 00 A2 AF 40 00 A0 AF ?? ?? ?? 0? 30 00 A0 A3 44 00 A5 8F 30 00 A4 8F 30 00 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 1C 01 60 14 21 40 A0 00 40 00 A6 8F 30 00 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 16 01 60 50 FF FF 02 24 30 00 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 D2 02 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 BB 02 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 39 02 82 12 44 00 A2 8F 37 02 80 16 2C 00 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 44 00 A3 8F 30 00 A2 8F 30 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 40 00 A3 8F 44 00 A4 8F 30 00 A2 27 23 98 73 00 30 00 A3 8F 10 00 84 2C 40 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 4C 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 2C 00 A2 AF ?? ?? ?? 0? 50 00 B2 AF 44 00 A2 8F 10 00 42 2C 03 00 40 14 2C 00 B0 AF ?? ?? ?? 0? 30 00 A4 8F 0F 00 02 24 21 20 20 02 44 00 A2 AF 40 00 A0 AF ?? ?? ?? 0? 30 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 6C 01 B0 AF 84 01 A2 AF 80 01 A0 AF ?? ?? ?? 0? 70 01 A0 A3 84 01 A5 8F 70 01 A4 8F 21 A0 40 00 10 00 A6 2C 70 01 A2 27 0A 10 86 00 ?? ?? 63 26 2B 10 62 00 1E 02 40 14 21 40 A0 00 80 01 A2 8F 70 01 A7 27 0A 38 86 00 21 38 E2 00 2B 38 67 00 18 02 E0 50 FF FF 02 24 70 01 A5 27 0A 28 86 00 23 98 65 00 2B 18 53 00 32 04 60 14 ?? ?? 04 3C 23 18 53 00 2B A8 83 02 0B 18 95 02 21 A8 73 00 2B 18 55 00 27 04 60 14 ?? ?? 04 3C 23 30 55 00 FF FF 14 24 89 02 D4 50 84 01 A2 8F 85 02 C0 14 6C 01 B1 27 2B 18 62 02 0A 98 43 00 12 00 60 12 84 01 A5 8F 70 01 A3 8F 70 01 A4 27 10 00 A5 2C 0A 20 65 00 21 28 93 00 ?? ?? ?? 0? 23 30 53 00 80 01 A3 8F 84 01 A4 8F 70 01 A2 27 23 98 73 00 70 01 A3 8F 10 00 84 2C 80 01 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 8C 01 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 6C 01 A2 AF ?? ?? ?? 0? 90 01 B2 AF 84 01 A2 8F 10 00 42 2C 03 00 40 14 6C 01 B0 AF ?? ?? ?? 0? 70 01 A4 8F 0F 00 02 24 21 20 20 02 84 01 A2 AF 80 01 A0 AF ?? ?? ?? 0? 70 01 A0 A3 ?? ?? ?? 0? C4 01 BF 8F ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 F4 00 B0 AF 0C 01 A2 AF 08 01 A0 AF ?? ?? ?? 0? F8 00 A0 A3 0C 01 A5 8F F8 00 A4 8F 21 A0 40 00 10 00 A6 2C F8 00 A2 27 0A 10 86 00 ?? ?? 63 26 2B 10 62 00 D2 01 40 14 21 40 A0 00 08 01 A2 8F F8 00 A7 27 0A 38 86 00 21 38 E2 00 2B 38 67 00 CC 01 E0 50 FF FF 02 24 F8 00 A5 27 0A 28 86 00 23 98 65 00 2B 18 53 00 DF 03 60 14 ?? ?? 04 3C 23 18 53 00 2B A8 83 02 0B 18 95 02 21 A8 73 00 2B 18 55 00 D4 03 60 14 ?? ?? 04 3C 23 30 55 00 FF FF 14 24 17 02 D4 50 0C 01 A2 8F 13 02 C0 14 F4 00 B1 27 2B 18 62 02 0A 98 43 00 12 00 60 12 0C 01 A5 8F F8 00 A3 8F F8 00 A4 27 10 00 A5 2C 0A 20 65 00 21 28 93 00 ?? ?? ?? 0? 23 30 53 00 08 01 A3 8F 0C 01 A4 8F F8 00 A2 27 23 98 73 00 F8 00 A3 8F 10 00 84 2C 08 01 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 14 01 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 F4 00 A2 AF ?? ?? ?? 0? 18 01 B2 AF 0C 01 A2 8F 10 00 42 2C 03 00 40 14 F4 00 B0 AF ?? ?? ?? 0? F8 00 A4 8F 0F 00 02 24 21 20 20 02 0C 01 A2 AF 08 01 A0 AF ?? ?? ?? 0? F8 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 3C ?? ?? 10 26 80 00 A4 27 ?? ?? A5 24 98 01 A2 AF ?? ?? ?? 0? 7C 00 B0 AF 98 01 A2 8F 01 00 03 24 7C 00 A4 27 A0 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 7C 00 A2 AF ?? ?? ?? 0? 9C 00 A3 AF 94 00 A2 8F 10 00 42 2C 03 00 40 14 7C 00 B0 AF ?? ?? ?? 0? 80 00 A4 8F 0F 00 02 24 7C 00 A4 27 94 00 A2 AF 90 00 A0 AF ?? ?? ?? 0? 80 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C FF FF 02 24 3A 04 82 12 ?? ?? 04 3C 2B 10 B4 00 7A 02 40 14 0F 00 95 36 AB 02 80 16 30 00 A3 8F 10 00 A5 2C 30 00 A2 27 0A 10 65 00 40 00 A0 AF 2C 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 26 04 82 12 ?? ?? 04 3C 2B 10 B4 00 E1 01 40 14 0F 00 95 36 12 02 80 16 A8 00 A3 8F 10 00 A5 2C A8 00 A2 27 0A 10 65 00 B8 00 A0 AF A4 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 12 04 82 12 ?? ?? 04 3C 2B 10 B4 00 17 02 40 14 0F 00 95 36 48 02 80 16 20 01 A3 8F 10 00 A5 2C 20 01 A2 27 0A 10 65 00 30 01 A0 AF 1C 01 B1 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 CC 00 B0 AF E4 00 A2 AF E0 00 A0 AF ?? ?? ?? 0? D0 00 A0 A3 E4 00 A5 8F D0 00 A4 8F D0 00 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 D0 00 60 14 21 40 A0 00 E0 00 A6 8F D0 00 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 CA 00 60 50 FF FF 02 24 D0 00 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 89 02 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 7E 02 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 35 01 82 12 E4 00 A2 8F 33 01 80 16 CC 00 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 E4 00 A3 8F D0 00 A2 8F D0 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 E0 00 A3 8F E4 00 A4 8F D0 00 A2 27 23 98 73 00 D0 00 A3 8F 10 00 84 2C E0 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 EC 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 CC 00 A2 AF ?? ?? ?? 0? F0 00 B2 AF E4 00 A2 8F 10 00 42 2C 03 00 40 14 CC 00 B0 AF ?? ?? ?? 0? D0 00 A4 8F 0F 00 02 24 21 20 20 02 E4 00 A2 AF E0 00 A0 AF ?? ?? ?? 0? D0 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 44 01 B0 AF 5C 01 A2 AF 58 01 A0 AF ?? ?? ?? 0? 48 01 A0 A3 5C 01 A5 8F 48 01 A4 8F 48 01 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 66 00 60 14 21 40 A0 00 58 01 A6 8F 48 01 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 60 00 60 50 FF FF 02 24 48 01 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 26 02 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 1B 02 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 C6 00 82 12 5C 01 A2 8F C4 00 80 16 44 01 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 5C 01 A3 8F 48 01 A2 8F 48 01 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 58 01 A3 8F 5C 01 A4 8F 48 01 A2 27 23 98 73 00 48 01 A3 8F 10 00 84 2C 58 01 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 64 01 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 44 01 A2 AF ?? ?? ?? 0? 68 01 B2 AF 5C 01 A2 8F 10 00 42 2C 03 00 40 14 44 01 B0 AF ?? ?? ?? 0? 48 01 A4 8F 0F 00 02 24 21 20 20 02 5C 01 A2 AF 58 01 A0 AF ?? ?? ?? 0? 48 01 A0 A3 ?? ?? ?? 0? C4 01 BF 8F ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 3C ?? ?? 10 26 58 00 A4 27 ?? ?? A5 24 98 01 A2 AF ?? ?? ?? 0? 54 00 B0 AF 98 01 A2 8F 01 00 03 24 54 00 A4 27 78 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 54 00 A2 AF ?? ?? ?? 0? 74 00 A3 AF 6C 00 A2 8F 10 00 42 2C 03 00 40 14 54 00 B0 AF ?? ?? ?? 0? 58 00 A4 8F 0F 00 02 24 54 00 A4 27 6C 00 A2 AF 68 00 A0 AF ?? ?? ?? 0? 58 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C FF FF 02 24 4D 03 82 12 ?? ?? 04 3C 2B 10 B4 00 1F 02 40 14 0F 00 95 36 56 02 80 16 48 01 A3 8F 10 00 A5 2C 48 01 A2 27 0A 10 65 00 58 01 A0 AF 44 01 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 39 03 82 12 ?? ?? 04 3C 2B 10 B4 00 C5 01 40 14 0F 00 95 36 FC 01 80 16 D0 00 A3 8F 10 00 A5 2C D0 00 A2 27 0A 10 65 00 E0 00 A0 AF CC 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 84 00 40 14 A4 00 B1 27 A8 00 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 BC 00 A4 8F B8 00 A6 8F A8 00 A3 8F 10 00 84 2C A8 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 B8 00 A6 AF ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 74 00 40 14 2C 00 B1 27 30 00 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 44 00 A4 8F 40 00 A6 8F 30 00 A3 8F 10 00 84 2C 30 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 40 00 A6 AF ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 58 00 40 14 1C 01 B1 27 20 01 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 34 01 A4 8F 30 01 A6 8F 20 01 A3 8F 10 00 84 2C 20 01 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 30 01 A6 AF ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 FE 02 82 12 ?? ?? 04 3C 2B 10 B4 00 28 02 40 14 0F 00 95 36 5F 02 80 16 70 01 A3 8F 10 00 A5 2C 70 01 A2 27 0A 10 65 00 80 01 A0 AF 6C 01 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 FA 02 82 12 ?? ?? 04 3C 2B 10 B4 00 64 02 40 14 0F 00 95 36 9B 02 80 16 F8 00 A3 8F 10 00 A5 2C F8 00 A2 27 0A 10 65 00 08 01 A0 AF F4 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 4B 01 40 14 44 01 B1 27 48 01 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 5C 01 A4 8F 58 01 A6 8F 48 01 A3 8F 10 00 84 2C 48 01 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 58 01 A6 AF ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 33 01 40 14 CC 00 B1 27 D0 00 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 E4 00 A4 8F E0 00 A6 8F D0 00 A3 8F 10 00 84 2C D0 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 E0 00 A6 AF }
	condition:
		$1
}

rule file_443_90_4 {
	meta:
		name = "_ZNSs5_TidyEbm"
		size = 128
		refs = "003c _ZdlPv 0070 memcpy"
	strings:
		$1 = { E0 FF BD 27 FF 00 A5 30 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 21 80 80 00 09 00 A0 10 21 88 C0 00 14 00 82 8C 10 00 42 2C 06 00 40 14 21 10 11 02 0E 00 C0 14 00 00 92 8C ?? ?? ?? 0? 21 20 40 02 21 10 11 02 00 00 40 A0 1C 00 BF 8F 0F 00 03 24 10 00 11 AE 14 00 03 AE 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_443_91_4 {
	meta:
		name = "_ZNSt6_WinitC2Ev"
		size = 3776
		refs = "0000 _ZNSt6_Winit9_Init_cntE 0070 _ZTVSt15basic_streambufIwSt11char_traitsIwEE 0088 _Znwm 0098 _ZNSt6locale5_InitEv 00a0 _ZNSt6locale16_GetgloballocaleEv 0100 _ZZNSt13basic_filebufIwSt11char_traitsIwEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit 0118 _Stdin 0120 _ZTVSt13basic_filebufIwSt11char_traitsIwEE 01f0 _Stdout 02b8 _ZTVSt13basic_istreamIwSt11char_traitsIwEE 02d0 _ZSt4wcin 02d8 _Stderr 03ac _ZNSt5ctypeIwE2idE 03bc _ZNSt9_FacetptrISt5ctypeIwEE6_PsaveE 03c0 _ZNSt6locale2id7_Id_cntE 0454 _ZNSt8ios_base7_AddstdEPS_ 0460 _ZSt5wcout 045c _ZTVSt13basic_ostreamIwSt11char_traitsIwEE 05b4 _ZSt5wcerr 070c _ZSt5wclog 08a8 _ZNSt8_LocinfoC1EPKc 08c0 _Tolotab 08c8 _Ctype 08cc _Touptab 08d8 _ZTVSt5ctypeIwE 08f4 _Getpmbstate 08fc _Getpwcstate 0910 _ZNSt8_LocinfoD1Ev 0930 _ZNSt6locale5facet9_RegisterEv 0b14 _ZSt17iostream_categoryv 0b18 _ZTVSt13runtime_error 0b30 _ZNSsC1EPKc 0b48 _ZTVNSt8ios_base7failureE 0b54 _ZNKSt9exception6_RaiseEv 0b6c _ZdlPv 0b84 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 43 8C B0 FD BD 27 4C 02 BF AF 48 02 BE AF 44 02 B7 AF 40 02 B6 AF 3C 02 B5 AF 38 02 B4 AF 34 02 B3 AF 30 02 B2 AF 2C 02 B1 AF 0F 00 60 04 28 02 B0 AF 4C 02 BF 8F 01 00 63 24 48 02 BE 8F 44 02 B7 8F 40 02 B6 8F 3C 02 B5 8F 38 02 B4 8F 34 02 B3 8F 30 02 B2 8F 2C 02 B1 8F 28 02 B0 8F ?? ?? 43 AC 08 00 E0 03 50 02 BD 27 ?? ?? 12 3C 01 00 03 24 ?? ?? 52 26 ?? ?? 16 3C 04 00 04 24 ?? ?? 43 AC ?? ?? ?? 0? ?? ?? D2 AE 0A 00 40 10 21 B8 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 E2 AE 04 00 43 8C FF FF 04 24 02 00 64 10 01 00 63 24 04 00 43 AC ?? ?? 05 3C ?? ?? D3 26 ?? ?? A5 24 10 00 65 AE ?? ?? 05 3C ?? ?? A5 24 14 00 65 AE ?? ?? 05 3C ?? ?? A5 24 20 00 65 AE ?? ?? 05 3C ?? ?? A5 24 24 00 65 AE ?? ?? 05 3C ?? ?? 14 3C ?? ?? A5 24 30 00 65 AE ?? ?? 90 26 ?? ?? 05 3C ?? ?? 83 8E 04 00 02 8E ?? ?? A5 24 34 00 65 AE ?? ?? 05 3C ?? ?? A5 24 ?? ?? 11 3C 38 00 77 AE ?? ?? 31 26 ?? ?? 15 3C 04 00 04 24 58 00 60 A2 4C 00 60 A2 0C 00 60 AE 1C 00 60 AE 2C 00 60 AE 08 00 60 AE 18 00 60 AE 28 00 60 AE 5C 00 65 AE 50 00 63 AE 54 00 62 AE 44 00 60 AE ?? ?? D1 AE ?? ?? ?? 0? ?? ?? B2 AE 0A 00 40 10 21 B8 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 E2 AE 04 00 43 8C FF FF 04 24 02 00 64 10 01 00 63 24 04 00 43 AC ?? ?? 05 3C ?? ?? BE 26 ?? ?? A5 24 10 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 14 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 20 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 24 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 30 00 C5 AF ?? ?? 05 3C ?? ?? 83 8E 04 00 02 8E ?? ?? A5 24 34 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 38 00 D7 AF ?? ?? 16 3C 04 00 04 24 58 00 C0 A3 4C 00 C0 A3 0C 00 C0 AF 1C 00 C0 AF 2C 00 C0 AF 08 00 C0 AF 18 00 C0 AF 28 00 C0 AF 5C 00 C5 AF 50 00 C3 AF 54 00 C2 AF 44 00 C0 AF ?? ?? B1 AE ?? ?? ?? 0? ?? ?? D2 AE 0A 00 40 10 21 B8 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 E2 AE 04 00 43 8C FF FF 04 24 02 00 64 10 01 00 63 24 04 00 43 AC ?? ?? 06 3C 04 00 03 8E ?? ?? C6 24 ?? ?? D0 26 10 00 06 AE ?? ?? 06 3C ?? ?? C6 24 14 00 06 AE ?? ?? 06 3C ?? ?? C6 24 20 00 06 AE ?? ?? 06 3C ?? ?? C6 24 24 00 06 AE ?? ?? 06 3C ?? ?? C6 24 30 00 06 AE 54 00 03 AE ?? ?? 06 3C ?? ?? 03 3C ?? ?? 85 8E ?? ?? 02 3C ?? ?? C6 24 ?? ?? 63 24 34 00 06 AE ?? ?? 55 24 ?? ?? 43 AC ?? ?? 06 3C ?? ?? 02 3C ?? ?? C6 24 ?? ?? 42 24 5C 00 06 AE 50 00 05 AE 08 00 B2 26 08 00 A2 AE 11 00 02 24 10 00 42 AE 04 00 04 24 06 00 02 24 14 00 42 AE 0C 00 00 AE 38 00 17 AE 58 00 00 A2 4C 00 00 A2 2C 00 00 AE 28 00 00 AE 44 00 00 AE 1C 00 00 AE 18 00 00 AE 08 00 00 AE 04 00 A0 AE ?? ?? D1 AE 24 00 40 AE 04 00 40 AE 0C 00 40 AE 18 00 40 AE 1C 00 40 AE 20 00 40 AE ?? ?? ?? 0? 08 00 40 AE 0A 00 40 10 21 A0 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 82 AE 04 00 43 8C FF FF 04 24 02 00 64 10 01 00 63 24 04 00 43 AC 00 00 91 8E FF FF 03 24 24 00 54 AE 04 00 22 8E 28 00 53 AE 03 00 43 10 2C 00 40 AE 01 00 42 24 04 00 22 AE ?? ?? 13 3C ?? ?? 77 8E ?? ?? 14 3C 07 00 E0 16 ?? ?? 83 8E ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 B8 80 00 ?? ?? 44 AC ?? ?? 64 AE 0C 00 22 8E 2B 10 E2 02 2A 01 40 50 14 00 22 92 08 00 24 8E 80 10 17 00 21 10 82 00 00 00 56 8C 24 01 C0 52 14 00 22 92 04 00 22 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 23 AE 21 10 60 00 06 00 40 54 00 00 C2 8E 00 00 22 8E 04 00 42 8C 09 F8 40 00 21 20 20 02 00 00 C2 8E 21 20 C0 02 28 00 42 8C 09 F8 40 00 20 00 05 24 28 00 43 8E 8D 01 60 10 30 00 42 AE ?? ?? ?? 0? 21 20 40 02 ?? ?? 16 3C ?? ?? 02 3C ?? ?? 52 24 ?? ?? D6 26 04 00 51 26 ?? ?? 56 AC ?? ?? 17 3C 11 00 02 24 10 00 22 AE ?? ?? F7 26 06 00 02 24 04 00 04 24 04 00 57 AE 24 00 20 AE 04 00 20 AE 0C 00 20 AE 14 00 22 AE 18 00 20 AE 1C 00 20 AE 20 00 20 AE ?? ?? ?? 0? 08 00 20 AE 0C 00 40 10 21 20 40 00 ?? ?? ?? 0? 1C 02 A2 AF 1C 02 A4 8F ?? ?? ?? 0? 00 00 82 AC 04 00 43 8C FF FF 05 24 03 00 65 10 1C 02 A4 8F 01 00 63 24 04 00 43 AC 00 00 83 8C 24 00 24 AE FF FF 04 24 04 00 62 8C 28 00 3E AE 03 00 44 10 2C 00 20 AE 01 00 42 24 04 00 62 AC ?? ?? 64 8E 08 00 80 14 ?? ?? 85 8E ?? ?? 02 3C ?? ?? 46 8C 01 00 C6 24 ?? ?? 46 AC ?? ?? 02 3C 21 20 C0 00 ?? ?? 46 AC 0C 00 62 8C 2B 10 82 00 0E 01 40 54 08 00 66 8C 14 00 62 90 3D 01 40 54 20 02 A3 AF F9 01 A0 10 21 F0 A0 00 04 00 62 8C FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 64 AC 21 10 80 00 06 00 40 54 00 00 C2 8F 00 00 62 8C 04 00 42 8C 09 F8 40 00 21 20 60 00 00 00 C2 8F 21 20 C0 03 28 00 42 8C 09 F8 40 00 20 00 05 24 28 00 23 8E 3F 01 60 10 30 00 22 AE ?? ?? ?? 0? 21 20 20 02 ?? ?? 02 3C ?? ?? 51 24 04 00 3E 26 ?? ?? 56 AC 11 00 02 24 10 00 C2 AF 06 00 02 24 04 00 04 24 34 00 B2 AE 04 00 37 AE 24 00 C0 AF 04 00 C0 AF 0C 00 C0 AF 14 00 C2 AF 18 00 C0 AF 1C 00 C0 AF 20 00 C0 AF ?? ?? ?? 0? 08 00 C0 AF 0C 00 40 10 21 18 40 00 ?? ?? ?? 0? 20 02 A2 AF 20 02 A3 8F ?? ?? ?? 0? 00 00 62 AC 04 00 44 8C FF FF 05 24 03 00 85 10 20 02 A3 8F 01 00 84 24 04 00 44 AC 00 00 75 8C 24 00 C3 AF FF FF 03 24 04 00 A2 8E 28 00 D0 AF 03 00 43 10 2C 00 C0 AF 01 00 42 24 04 00 A2 AE ?? ?? 64 8E 08 00 80 14 ?? ?? 85 8E ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 ?? ?? 43 AC ?? ?? 02 3C 21 20 60 00 ?? ?? 43 AC 0C 00 A2 8E 2B 10 82 00 B4 00 40 54 08 00 A3 8E 14 00 A2 92 DB 00 40 54 1C 02 A4 AF D7 01 A0 10 21 18 A0 00 04 00 A2 8E FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 A4 AE 21 10 80 00 08 00 40 54 00 00 62 8C 00 00 A2 8E 21 20 A0 02 04 00 42 8C 09 F8 40 00 20 02 A3 AF 20 02 A3 8F 00 00 62 8C 21 20 60 00 28 00 42 8C 09 F8 40 00 20 00 05 24 28 00 C3 8F F2 00 60 10 30 00 C2 AF ?? ?? ?? 0? 21 20 C0 03 14 00 23 8E ?? ?? 02 3C ?? ?? 55 24 04 00 BE 26 ?? ?? 56 AC 00 20 63 34 11 00 02 24 14 00 23 AE 10 00 C2 AF 06 00 02 24 04 00 04 24 30 00 32 AE 04 00 B7 AE 24 00 C0 AF 04 00 C0 AF 0C 00 C0 AF 14 00 C2 AF 18 00 C0 AF 1C 00 C0 AF 20 00 C0 AF ?? ?? ?? 0? 08 00 C0 AF 0A 00 40 10 21 B0 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 C2 AE 04 00 43 8C FF FF 04 24 02 00 64 10 01 00 63 24 04 00 43 AC 00 00 D1 8E FF FF 03 24 24 00 D6 AF 04 00 22 8E 28 00 D0 AF 03 00 43 10 2C 00 C0 AF 01 00 42 24 04 00 22 AE ?? ?? 73 8E 08 00 60 16 ?? ?? 96 8E ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 ?? ?? 43 AC ?? ?? 02 3C 21 98 60 00 ?? ?? 43 AC 0C 00 22 8E 2B 10 62 02 57 00 40 54 08 00 23 8E 14 00 22 92 77 00 40 14 00 00 00 00 27 01 C0 12 21 80 C0 02 04 00 22 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 23 AE 21 10 60 00 06 00 40 54 00 00 02 8E 00 00 22 8E 04 00 42 8C 09 F8 40 00 21 20 20 02 00 00 02 8E 21 20 00 02 28 00 42 8C 09 F8 40 00 20 00 05 24 28 00 C3 8F A6 00 60 10 30 00 C2 AF ?? ?? ?? 0? 21 20 C0 03 4C 02 BF 8F 30 00 B2 AE 48 02 BE 8F 44 02 B7 8F 40 02 B6 8F 3C 02 B5 8F 38 02 B4 8F 34 02 B3 8F 30 02 B2 8F 2C 02 B1 8F 28 02 B0 8F 08 00 E0 03 50 02 BD 27 41 00 40 14 00 00 00 00 DA FE 60 14 21 B0 60 00 18 00 25 8E 1C 00 22 26 88 00 A4 27 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 20 00 04 24 15 00 40 10 21 B8 40 00 ?? ?? 02 3C ?? ?? 43 8C ?? ?? 04 3C ?? ?? 02 3C ?? ?? 84 8C ?? ?? 42 8C ?? ?? 05 3C ?? ?? A5 24 00 00 E5 AE 08 00 E4 AE 0C 00 E3 AE 04 00 E0 AE 10 00 E2 AE ?? ?? ?? 0? 14 00 E0 AE ?? ?? ?? 0? 21 B0 40 00 1C 00 E2 AE 18 00 F6 AE 21 B0 E0 02 ?? ?? ?? 0? 88 00 A4 27 04 00 C2 8E FF FF 03 24 03 00 43 10 ?? ?? 96 AE 01 00 42 24 04 00 C2 AE ?? ?? ?? 0? 21 20 C0 02 ?? ?? ?? 0? 04 00 22 8E 80 10 13 00 21 10 62 00 00 00 50 8C AC FF 00 56 04 00 22 8E ?? ?? ?? 0? 14 00 22 92 80 10 04 00 21 10 62 00 00 00 43 8C 4F FF 60 54 04 00 A2 8E ?? ?? ?? 0? 14 00 A2 92 80 10 04 00 21 10 C2 00 00 00 5E 8C F5 FE C0 57 04 00 62 8C ?? ?? ?? 0? 14 00 62 90 ?? ?? ?? 0? 20 02 A3 AF 0C 00 44 8C 2B 20 E4 02 BB FF 80 10 20 02 A3 8F 08 00 42 8C 80 B8 17 00 21 B8 57 00 00 00 F6 8E 91 FE C0 56 04 00 22 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 63 02 85 FF 60 10 00 00 00 00 08 00 42 8C 80 98 13 00 21 98 53 00 00 00 70 8E 82 FF 00 56 04 00 22 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 18 02 A5 AF 0C 00 43 8C 1C 02 A4 8F 2B 18 83 00 20 FF 60 10 18 02 A5 8F 08 00 42 8C 80 20 04 00 21 20 44 00 00 00 83 8C 1D FF 60 54 04 00 A2 8E ?? ?? ?? 0? 00 00 00 00 1C 02 A4 AF ?? ?? ?? 0? 18 02 A5 AF 0C 00 46 8C 1C 02 A4 8F 20 02 A3 8F 2B 30 86 00 BC FE C0 10 18 02 A5 8F 08 00 42 8C 80 20 04 00 21 20 44 00 00 00 9E 8C B9 FE C0 57 04 00 62 8C ?? ?? ?? 0? 00 00 00 00 08 00 46 8E 0C 00 45 8E 08 00 44 26 04 00 C6 34 ?? ?? ?? 0? 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 08 00 26 8E 0C 00 25 8E 08 00 24 26 04 00 C6 34 ?? ?? ?? 0? 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 08 00 C6 8F 0C 00 C5 8F 08 00 C4 27 04 00 C6 34 ?? ?? ?? 0? 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 08 00 C2 8F 0C 00 C3 8F 04 00 42 34 17 00 42 30 24 18 43 00 55 FF 60 10 08 00 C2 AF 04 00 62 30 43 00 40 14 02 00 63 30 21 00 60 14 00 00 00 00 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 3C ?? ?? 10 26 14 00 A4 27 ?? ?? A5 24 18 02 A2 AF ?? ?? ?? 0? 10 00 B0 AF 18 02 A2 8F 01 00 03 24 10 00 A4 27 34 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 10 00 A2 AF ?? ?? ?? 0? 30 00 A3 AF 28 00 A2 8F 10 00 42 2C 03 00 40 14 10 00 B0 AF ?? ?? ?? 0? 14 00 A4 8F 0F 00 02 24 10 00 A4 27 28 00 A2 AF 24 00 A0 AF ?? ?? ?? 0? 14 00 A0 A3 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 3C ?? ?? 10 26 3C 00 A4 27 ?? ?? A5 24 18 02 A2 AF ?? ?? ?? 0? 38 00 B0 AF 18 02 A2 8F 01 00 03 24 38 00 A4 27 5C 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 38 00 A2 AF ?? ?? ?? 0? 58 00 A3 AF 50 00 A2 8F 10 00 42 2C 03 00 40 14 38 00 B0 AF ?? ?? ?? 0? 3C 00 A4 8F 0F 00 02 24 38 00 A4 27 50 00 A2 AF 4C 00 A0 AF ?? ?? ?? 0? 3C 00 A0 A3 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 3C ?? ?? 10 26 64 00 A4 27 ?? ?? A5 24 18 02 A2 AF ?? ?? ?? 0? 60 00 B0 AF 18 02 A2 8F 01 00 03 24 60 00 A4 27 84 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 60 00 A2 AF ?? ?? ?? 0? 80 00 A3 AF 78 00 A2 8F 10 00 42 2C 03 00 40 14 60 00 B0 AF ?? ?? ?? 0? 64 00 A4 8F 0F 00 02 24 60 00 A4 27 78 00 A2 AF 74 00 A0 AF ?? ?? ?? 0? 64 00 A0 A3 ?? ?? ?? 0? 00 00 00 00 18 00 25 8E 1C 00 22 26 B4 01 A4 27 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 20 00 04 24 15 00 40 10 21 98 40 00 ?? ?? 02 3C ?? ?? 43 8C ?? ?? 04 3C ?? ?? 02 3C ?? ?? 84 8C ?? ?? 42 8C ?? ?? 05 3C ?? ?? A5 24 00 00 65 AE 08 00 64 AE 0C 00 63 AE 04 00 60 AE 10 00 62 AE ?? ?? ?? 0? 14 00 60 AE ?? ?? ?? 0? 21 80 40 00 1C 00 62 AE 18 00 70 AE 21 80 60 02 ?? ?? ?? 0? B4 01 A4 27 04 00 02 8E FF FF 03 24 03 00 43 10 ?? ?? 90 AE 01 00 42 24 04 00 02 AE ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 04 00 22 8E 18 00 65 8C 1C 00 62 24 EC 00 A4 27 0A 28 45 00 ?? ?? ?? 0? 20 02 A3 AF ?? ?? ?? 0? 20 00 04 24 21 20 40 00 18 00 40 10 20 02 A3 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? 06 3C ?? ?? 02 3C ?? ?? C6 8C ?? ?? 42 8C ?? ?? 07 3C ?? ?? E7 24 04 00 80 AC 00 00 87 AC 08 00 86 AC 0C 00 85 AC 10 00 82 AC 14 00 80 AC ?? ?? ?? 0? 1C 02 A4 AF ?? ?? ?? 0? 21 F0 40 00 1C 02 A4 8F 20 02 A3 8F 18 00 9E AC 1C 00 82 AC 21 F0 80 00 EC 00 A4 27 ?? ?? ?? 0? 20 02 A3 AF 04 00 C2 8F FF FF 04 24 ?? ?? 9E AE 03 00 44 10 20 02 A3 8F 01 00 42 24 04 00 C2 AF 21 20 C0 03 ?? ?? ?? 0? 20 02 A3 AF ?? ?? ?? 0? 20 02 A3 8F 18 00 A5 8E 1C 00 A2 26 50 01 A4 27 0A 28 45 00 ?? ?? ?? 0? 20 02 A3 AF ?? ?? ?? 0? 20 00 04 24 21 20 40 00 18 00 40 10 20 02 A3 8F ?? ?? 02 3C ?? ?? 43 8C ?? ?? 05 3C ?? ?? 02 3C ?? ?? A5 8C ?? ?? 42 8C ?? ?? 06 3C ?? ?? C6 24 0C 00 83 AC 04 00 80 AC 00 00 86 AC 08 00 85 AC 10 00 82 AC 14 00 80 AC ?? ?? ?? 0? 1C 02 A4 AF ?? ?? ?? 0? 20 02 A2 AF 1C 02 A4 8F 20 02 A3 8F 1C 00 82 AC 18 00 83 AC 21 18 80 00 50 01 A4 27 ?? ?? ?? 0? 20 02 A3 AF 20 02 A3 8F FF FF 04 24 04 00 62 8C 03 00 44 10 ?? ?? 83 AE 01 00 42 24 04 00 62 AC 21 20 60 00 ?? ?? ?? 0? 20 02 A3 AF ?? ?? ?? 0? 20 02 A3 8F }
	condition:
		$1
}

rule file_443_93_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE5uflowEv"
		size = 892
		refs = "0088 fgetc 0180 memmove 01d8 _ZdlPv 024c _ZNSs5_CopyEmm 02c4 memcpy 02d8 _ZSt14_Xlength_errorPKc 0304 fgetwc 0360 ungetc"
	strings:
		$1 = { 20 00 83 8C 98 FF BD 27 5C 00 B3 AF 00 00 62 8C 64 00 BF AF 60 00 B4 AF 58 00 B2 AF 54 00 B1 AF 50 00 B0 AF 06 00 40 10 21 98 80 00 30 00 84 8C 00 00 84 8C 2B 20 44 00 72 00 80 14 64 00 BF 8F 5C 00 64 8E 67 00 80 10 FF FF 02 24 10 00 62 8E 48 00 65 26 00 00 46 8C 74 00 C5 50 40 00 65 8E 44 00 62 8E A7 00 40 10 ?? ?? 12 3C 0F 00 02 24 40 00 A2 AF 3C 00 A0 AF 2C 00 A0 A3 ?? ?? 52 26 50 00 70 26 20 00 B1 27 ?? ?? ?? 0? 00 00 00 00 FF FF 03 24 9F 00 43 10 3C 00 B4 8F FE FF 83 2E 8D 00 60 10 21 20 40 02 01 00 94 26 FF FF 03 24 90 00 83 12 21 20 40 02 40 00 A3 8F 2B 20 74 00 60 00 80 14 3C 00 A6 8F 65 00 80 16 2C 00 A4 8F 10 00 63 2C 2C 00 A2 27 0A 10 83 00 3C 00 A0 AF 00 00 40 A0 44 00 64 8E 28 00 A3 27 40 00 A5 8F 00 00 82 8C 10 00 A3 AF 24 00 A3 27 18 00 A3 AF 1C 00 A3 AF 2C 00 A3 8F 14 00 B1 AF 3C 00 A7 8F 10 00 A5 2C 2C 00 A6 27 14 00 42 8C 0A 30 65 00 21 38 C7 00 09 F8 40 00 21 28 00 02 24 00 40 04 02 00 43 28 20 00 60 10 03 00 03 24 24 00 A2 8F 77 00 22 16 40 00 A5 8F 2C 00 A3 8F 28 00 B4 8F 3C 00 A6 8F 10 00 A5 2C 2C 00 A2 27 0A 10 65 00 23 10 82 02 2B A0 C2 00 0B 10 D4 00 10 00 40 10 21 A0 40 00 2C 00 A4 27 0A 20 65 00 21 28 82 00 ?? ?? ?? 0? 23 30 C2 00 3C 00 A3 8F 40 00 A4 8F 2C 00 A2 27 23 A0 74 00 2C 00 A3 8F 10 00 84 2C 3C 00 B4 AF 0A 10 64 00 21 10 54 00 00 00 40 A0 ?? ?? ?? 0? 5C 00 64 8E 38 00 43 10 3C 00 A2 8F 40 00 A3 8F FF FF 02 24 10 00 63 2C 06 00 60 14 64 00 BF 8F 2C 00 A4 8F ?? ?? ?? 0? 48 00 A2 AF 48 00 A2 8F 64 00 BF 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 68 00 BD 27 04 00 44 24 60 00 B4 8F 00 00 42 8C 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 00 00 64 AC 08 00 E0 03 68 00 BD 27 3C 00 67 8E 30 00 66 8E 00 00 47 AC 00 00 65 AC ?? ?? ?? 0? 00 00 C5 AC 2C 00 A4 27 21 28 80 02 ?? ?? ?? 0? 48 00 A2 AF A3 FF 80 12 48 00 A2 8F 40 00 A3 8F 10 00 63 2C 21 00 60 14 3C 00 A4 8F 2C 00 A3 8F 21 20 64 00 00 00 82 A0 40 00 A4 8F 2C 00 A3 8F 2C 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 54 00 3C 00 B4 AF ?? ?? ?? 0? 00 00 40 A0 04 00 42 2C 79 FF 40 54 5C 00 64 8E 40 00 A5 8F 2C 00 A3 8F 2C 00 A2 27 10 00 A5 2C 0A 10 65 00 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 04 00 06 24 20 00 A2 8F ?? ?? ?? 0? 40 00 A3 8F ?? ?? ?? 0? 48 00 A2 AF 3C 00 B4 8F ?? ?? ?? 0? 48 00 A2 8F ?? ?? ?? 0? 2C 00 A3 27 ?? ?? ?? 0? 48 00 A2 AF ?? ?? ?? 0? 48 00 A2 8F ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 64 00 BF 8F FF FF 02 24 ?? ?? ?? 0? 40 00 A3 8F 40 00 A3 8F 2C 00 A5 8F 3C 00 B0 8F 10 00 66 2C 2C 00 A4 27 28 00 A2 8F 0A 20 A6 00 21 20 90 00 23 80 82 00 04 00 00 1E FF FF 10 26 ?? ?? ?? 0? 20 00 A2 8F FF FF 10 26 21 10 50 00 00 00 44 80 ?? ?? ?? 0? 5C 00 65 8E FA FF 00 56 28 00 A2 8F 40 00 A3 8F ?? ?? ?? 0? 20 00 A2 8F }
	condition:
		$1
}

rule file_443_94_4 {
	meta:
		name = "_ZNSsC1Emc"
		size = 568
		refs = "00e8 _Znwm 0118 memcpy 0130 _ZdlPv 0174 memset 01e4 _ZSt14_Xlength_errorPKc 00f4 _ZTVSt9bad_alloc 0218 _ZNKSt9exception6_RaiseEv 0224 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { C8 FF BD 27 0F 00 02 24 FF FF 03 24 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 21 80 80 00 21 88 A0 00 20 9C 06 7C 14 00 82 AC 21 90 80 00 10 00 80 AC 66 00 A3 10 00 00 80 A0 2B 18 51 00 12 00 60 14 0F 00 34 36 41 00 20 56 01 00 03 24 10 00 42 2C 01 00 40 50 00 00 12 8E 10 00 00 AE 00 00 40 A2 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 03 24 49 00 83 12 10 00 16 8E AA AA 03 3C AB AA 63 34 19 00 83 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 42 00 80 10 01 00 84 26 FE FF 04 24 23 20 83 00 2B 20 82 00 3C 00 80 10 21 A0 62 00 FF FF 04 24 FE FF 14 24 ?? ?? ?? 0? 00 00 00 00 47 00 40 10 ?? ?? 15 3C 21 A8 40 00 14 00 02 8E 09 00 C0 12 10 00 42 2C 02 00 40 14 21 28 00 02 00 00 05 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 14 00 02 8E 10 00 42 2C 04 00 40 14 10 00 82 2E ?? ?? ?? 0? 00 00 04 8E 10 00 82 2E 00 00 15 AE 0B A8 02 02 21 A8 B6 02 14 00 14 AE 10 00 16 AE C8 FF 20 12 00 00 A0 A2 14 00 02 8E 01 00 03 24 26 00 23 12 10 00 42 2C 15 00 40 10 21 20 00 02 21 28 60 02 ?? ?? ?? 0? 21 30 20 02 14 00 02 8E 10 00 42 2C 01 00 40 50 00 00 12 8E 21 90 51 02 10 00 11 AE 00 00 40 A2 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 00 00 04 8E 21 A0 20 02 01 00 84 26 CB FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 14 3C ?? ?? ?? 0? ?? ?? 84 26 ?? ?? ?? 0? ?? ?? 84 26 ?? ?? ?? 0? 14 00 02 8E 02 00 40 14 21 18 00 02 00 00 03 8E ?? ?? ?? 0? 00 00 73 A0 ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 14 00 02 8E }
	condition:
		$1
}

rule file_443_95_4 {
	meta:
		name = "_ZNSs6appendEmc"
		size = 668
		refs = "0078 _ZSt14_Xlength_errorPKc 0144 _Znwm 0174 memcpy 018c _ZdlPv 01dc memset 0150 _ZTVSt9bad_alloc 027c _ZNKSt9exception6_RaiseEv 0288 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 10 00 82 8C C8 FF BD 27 24 00 B3 AF 27 10 02 00 2B 10 A2 00 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 20 00 B2 AF 21 80 80 00 21 88 A0 00 0E 00 40 10 20 9C 06 7C 12 00 20 56 10 00 12 8E 34 00 BF 8F 21 10 00 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 F2 FF 20 12 34 00 BF 8F 10 00 12 8E FF FF 02 24 21 90 32 02 73 00 42 52 ?? ?? 04 3C 14 00 02 8E 2B 18 52 00 14 00 60 14 0F 00 54 36 43 00 40 56 01 00 04 24 10 00 42 2C 02 00 40 14 21 18 00 02 00 00 03 8E 10 00 00 AE 00 00 60 A0 34 00 BF 8F 21 10 00 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 03 24 53 00 83 12 10 00 16 8E AA AA 03 3C AB AA 63 34 19 00 83 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 4C 00 80 10 01 00 84 26 FE FF 04 24 23 20 83 00 2B 20 82 00 46 00 80 10 21 A0 62 00 FF FF 04 24 FE FF 14 24 ?? ?? ?? 0? 00 00 00 00 49 00 40 10 ?? ?? 15 3C 21 A8 40 00 14 00 02 8E 09 00 C0 12 10 00 42 2C 02 00 40 14 21 28 00 02 00 00 05 8E 21 20 A0 02 ?? ?? ?? 0? 21 30 C0 02 14 00 02 8E 10 00 42 2C 04 00 40 14 10 00 82 2E ?? ?? ?? 0? 00 00 04 8E 10 00 82 2E 00 00 15 AE 0B A8 02 02 21 A8 B6 02 14 00 14 AE 10 00 16 AE A6 FF 40 12 00 00 A0 A2 14 00 02 8E 01 00 04 24 1C 00 24 12 10 00 03 8E 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 20 83 00 21 28 60 02 ?? ?? ?? 0? 21 30 20 02 14 00 03 8E 10 00 63 2C 02 00 60 14 21 10 00 02 00 00 02 8E 21 10 52 00 10 00 12 AE 00 00 40 A0 34 00 BF 8F 21 10 00 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 42 2C 02 00 40 14 21 20 00 02 00 00 04 8E 21 18 83 00 ?? ?? ?? 0? 00 00 73 A0 21 A0 40 02 01 00 84 26 C1 FF 80 10 21 A8 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 02 8E ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 21 A8 00 00 ?? ?? ?? 0? 14 00 02 8E }
	condition:
		$1
}

rule file_443_96_4 {
	meta:
		name = "_ZNSt13basic_filebufIwSt11char_traitsIwEE8overflowEw"
		size = 656
		refs = "00d0 memset 0190 fwrite 01b4 _ZdlPv 023c _ZNSs6appendEmc 0260 fputwc"
	strings:
		$1 = { 98 FF BD 27 FF FF 02 24 5C 00 B5 AF 58 00 B4 AF 64 00 BF AF 60 00 B6 AF 54 00 B3 AF 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 21 A0 A0 00 65 00 A2 10 21 A8 80 00 24 00 83 8C 00 00 62 8C 14 00 40 50 5C 00 A5 8E 34 00 84 8C 00 00 84 8C 2B 20 44 00 0F 00 80 50 5C 00 A5 8E 04 00 44 24 00 00 64 AC 00 00 45 AC 64 00 BF 8F 21 10 80 02 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 68 00 BD 27 6E 00 A0 10 48 00 A3 26 10 00 A2 8E 00 00 44 8C 54 00 83 50 40 00 A3 8E 44 00 A2 8E 72 00 40 10 2C 00 B0 27 0F 00 02 24 21 20 00 02 21 28 00 00 08 00 06 24 20 00 B4 AF 40 00 A2 AF 3C 00 A0 AF ?? ?? ?? 0? 2C 00 A0 A3 40 00 A2 8F 10 00 42 2C 03 00 40 14 34 00 A3 27 2C 00 A3 8F 08 00 63 24 08 00 02 24 3C 00 A2 AF 50 00 B2 26 00 00 60 A0 20 00 B1 27 01 00 13 24 40 00 A2 8F 2C 00 A5 8F 44 00 A4 8E 10 00 42 2C 0B 28 02 02 21 10 A0 00 3C 00 A5 8F 00 00 83 8C 24 00 A6 27 21 28 45 00 14 00 A2 AF 28 00 A2 27 10 00 A6 AF 18 00 A5 AF 1C 00 A2 AF 18 00 62 8C 21 28 40 02 21 30 20 02 09 F8 40 00 24 00 A7 27 11 00 40 04 02 00 43 28 3C 00 60 10 03 00 03 24 40 00 B6 8F 2C 00 A2 8F 01 00 05 24 10 00 D6 2E 0B 10 16 02 28 00 B6 8F 21 20 40 00 23 B0 C2 02 21 00 C0 12 21 30 C0 02 ?? ?? ?? 0? 5C 00 A7 8E 1E 00 56 10 24 00 A2 8F FF FF 14 24 40 00 A2 8F 10 00 42 2C AE FF 40 54 64 00 BF 8F ?? ?? ?? 0? 2C 00 A4 8F ?? ?? ?? 0? 64 00 BF 8F 64 00 BF 8F 21 A0 00 00 21 10 80 02 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 68 00 BD 27 3C 00 A7 8E 20 00 A6 8E 30 00 A4 8E 00 00 47 AC 00 00 C3 AC ?? ?? ?? 0? 00 00 83 AC 24 00 A2 8F E3 FF 22 16 4C 00 B3 A2 BB FF C0 16 40 00 A2 8F 3C 00 A2 8F 21 20 00 02 08 00 05 24 20 00 42 2C DA FF 40 10 21 30 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 40 00 A2 8F ?? ?? ?? 0? FF FF 14 24 D3 FF 43 54 FF FF 14 24 20 00 A4 8F ?? ?? ?? 0? 5C 00 A5 8E 27 10 02 00 FF FF 03 24 ?? ?? ?? 0? 0A A0 62 00 ?? ?? ?? 0? 21 20 80 02 27 10 02 00 FF FF 03 24 ?? ?? ?? 0? 0A A0 62 00 }
	condition:
		$1
}

rule file_443_97_4 {
	meta:
		name = "_Z41__static_initialization_and_destruction_0ii.clone.81"
		size = 2484
		refs = "0038 _ZSt5wclog 003c _ZTVSt9basic_iosIwSt11char_traitsIwEE 0040 _ZTVSt13basic_ostreamIwSt11char_traitsIwEE 0058 _ZNSt8ios_baseD2Ev 0060 _ZSt5wcerr 0078 _ZSt5wcout 0090 _ZSt4wcin 0094 _ZTVSt13basic_istreamIwSt11char_traitsIwEE 00bc _ZTVSt13basic_filebufIwSt11char_traitsIwEE 00ec _ZTVSt15basic_streambufIwSt11char_traitsIwEE 0140 _ZdlPv 0264 _ZNSt6_WinitD1Ev 0270 _ZNSt8ios_base4InitD1Ev 02ac _ZNSt8ios_base4InitC1Ev 02b8 _ZNSt6_WinitC1Ev 0308 _ZNSt8ios_base7_AddstdEPS_ 03c4 fclose 03cc _ZZNSt13basic_filebufIwSt11char_traitsIwEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit 064c _ZNSt13basic_filebufIwSt11char_traitsIwEE8overflowEw 066c _ZNSsC1Emc 0704 fwrite 094c _ZNSs6appendEmc"
	strings:
		$1 = { 60 FF BD 27 01 00 02 24 9C 00 BF AF 98 00 BE AF 94 00 B7 AF 90 00 B6 AF 8C 00 B5 AF 88 00 B4 AF 84 00 B3 AF 80 00 B2 AF 7C 00 B1 AF 9E 00 82 10 78 00 B0 AF 90 00 80 14 ?? ?? 03 3C ?? ?? 10 3C ?? ?? 11 3C ?? ?? 62 24 ?? ?? 10 26 ?? ?? 31 26 04 00 44 24 ?? ?? 71 AC ?? ?? ?? 0? 04 00 50 AC ?? ?? 03 3C ?? ?? 62 24 04 00 44 24 ?? ?? 71 AC ?? ?? ?? 0? 04 00 50 AC ?? ?? 03 3C ?? ?? 62 24 04 00 44 24 ?? ?? 71 AC ?? ?? ?? 0? 04 00 50 AC ?? ?? 03 3C ?? ?? 05 3C ?? ?? 62 24 ?? ?? 17 3C ?? ?? A5 24 08 00 44 24 ?? ?? 65 AC ?? ?? F6 26 ?? ?? ?? 0? 08 00 50 AC 5C 00 C2 8E ?? ?? 10 3C ?? ?? 10 26 07 00 40 10 ?? ?? F0 AE 10 00 C2 8E ?? ?? 03 3C ?? ?? 63 24 00 00 44 8C 46 01 83 50 40 00 C3 8E 58 00 C2 92 AD 00 40 14 ?? ?? 11 3C 38 00 D2 8E ?? ?? 31 26 13 00 40 12 ?? ?? F1 AE 00 00 44 8E 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? 1E 3C ?? ?? D7 27 5C 00 E2 8E 07 00 40 10 ?? ?? D0 AF 10 00 E2 8E ?? ?? 03 3C ?? ?? 63 24 00 00 44 8C 30 01 83 50 40 00 E3 8E 58 00 E2 92 EE 00 40 54 5C 00 E4 8E 38 00 F2 8E 13 00 40 12 ?? ?? D1 AF 00 00 44 8E 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? 17 3C ?? ?? F6 26 5C 00 C2 8E 07 00 40 10 ?? ?? F0 AE 10 00 C2 8E ?? ?? 03 3C ?? ?? 63 24 00 00 44 8C 06 01 83 50 40 00 C3 8E 58 00 C2 92 9A 00 40 54 5C 00 C4 8E 38 00 D0 8E 13 00 00 12 ?? ?? F1 AE 00 00 04 8E 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 9C 00 BF 8F 98 00 BE 8F 94 00 B7 8F 90 00 B6 8F 8C 00 B5 8F 88 00 B4 8F 84 00 B3 8F 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 A0 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 02 3C ?? ?? 42 24 ?? ?? 05 3C ?? ?? A2 AC ?? ?? 05 3C ?? ?? A2 AC ?? ?? 05 3C ?? ?? A2 AC ?? ?? 02 3C ?? ?? 03 3C ?? ?? 42 24 ?? ?? 62 AC ?? ?? 64 24 ?? ?? 03 3C ?? ?? 63 24 ?? ?? 02 3C 08 00 84 24 ?? ?? 43 AC ?? ?? ?? 0? ?? ?? 11 3C ?? ?? 02 3C ?? ?? 31 26 ?? ?? 44 24 ?? ?? 10 3C ?? ?? 10 26 ?? ?? 51 AC 04 00 84 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 AC ?? ?? 02 3C ?? ?? 44 24 ?? ?? 51 AC 04 00 84 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 AC ?? ?? 02 3C ?? ?? 44 24 ?? ?? 51 AC 04 00 84 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 AC 9C 00 BF 8F 98 00 BE 8F 94 00 B7 8F 90 00 B6 8F 8C 00 B5 8F 88 00 B4 8F 84 00 B3 8F 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 A0 00 BD 27 5C 00 C4 8E 0A 00 80 10 ?? ?? 02 3C 44 00 C2 8E 04 00 40 10 00 00 00 00 4C 00 C2 92 1F 01 40 54 21 20 C0 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C ?? ?? 04 3C ?? ?? 84 24 10 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 14 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 20 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 24 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 38 00 D2 8E 30 00 C4 AE ?? ?? 11 3C ?? ?? 04 3C ?? ?? 84 24 ?? ?? 31 26 58 00 C0 A2 4C 00 C0 A2 34 00 C4 AE 0C 00 C0 AE 1C 00 C0 AE 2C 00 C0 AE 08 00 C0 AE 18 00 C0 AE 28 00 C0 AE 5C 00 C0 AE 50 00 C3 AE 54 00 C2 AE 44 00 C0 AE 27 FF 40 16 ?? ?? F1 AE ?? ?? ?? 0? ?? ?? 1E 3C 0A 00 80 10 ?? ?? 02 3C 44 00 C2 8E 04 00 40 10 00 00 00 00 4C 00 C2 92 AF 00 40 54 21 20 C0 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C ?? ?? 04 3C ?? ?? 84 24 10 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 14 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 20 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 24 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 38 00 D0 8E 30 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 58 00 C0 A2 4C 00 C0 A2 34 00 C4 AE 0C 00 C0 AE 1C 00 C0 AE 2C 00 C0 AE 08 00 C0 AE 18 00 C0 AE 28 00 C0 AE 5C 00 C0 AE 50 00 C3 AE 54 00 C2 AE 44 00 C0 AE 3C FF 00 16 ?? ?? F1 AE ?? ?? ?? 0? ?? ?? 04 3C 0A 00 80 10 ?? ?? 02 3C 44 00 E2 8E 04 00 40 10 00 00 00 00 4C 00 E2 92 3F 00 40 54 21 20 E0 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C ?? ?? 04 3C ?? ?? 84 24 10 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 14 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 20 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 24 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 38 00 F2 8E 30 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 58 00 E0 A2 4C 00 E0 A2 34 00 E4 AE 0C 00 E0 AE 1C 00 E0 AE 2C 00 E0 AE 08 00 E0 AE 18 00 E0 AE 28 00 E0 AE 5C 00 E0 AE 50 00 E3 AE 54 00 E2 AE 44 00 E0 AE E8 FE 40 16 ?? ?? D1 AF ?? ?? ?? 0? ?? ?? 17 3C 3C 00 C6 8E 20 00 C5 8E 30 00 C4 8E 00 00 46 AC 00 00 A3 AC ?? ?? ?? 0? 00 00 83 AC 3C 00 C6 8E 20 00 C5 8E 30 00 C4 8E 00 00 46 AC 00 00 A3 AC ?? ?? ?? 0? 00 00 83 AC 3C 00 E6 8E 20 00 E5 8E 30 00 E4 8E 00 00 46 AC 00 00 A3 AC ?? ?? ?? 0? 00 00 83 AC ?? ?? ?? 0? FF FF 05 24 FF FF 03 24 39 00 43 10 08 00 05 24 38 00 B3 27 21 20 60 02 21 30 00 00 ?? ?? ?? 0? ?? ?? 14 3C 18 00 B2 27 ?? ?? 94 26 01 00 15 24 03 00 16 24 44 00 E4 8E 4C 00 A6 8F 38 00 A3 8F 00 00 82 8C 48 00 A7 8F 10 00 B2 AF 10 00 C6 2C 1C 00 42 8C 0B 18 66 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 80 02 07 00 55 10 4C 00 A3 8F 16 00 56 50 4C 00 A2 8F 14 00 40 14 4C 00 A2 8F 4C 00 E0 A2 4C 00 A3 8F 38 00 A2 8F 01 00 05 24 10 00 63 2C 0B 10 63 02 21 18 40 00 21 20 40 00 18 00 A2 8F 23 18 43 00 8D 00 60 10 21 30 60 00 5C 00 E7 8E ?? ?? ?? 0? 70 00 A3 AF 70 00 A3 8F 88 00 62 50 4C 00 E2 92 4C 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 38 00 A4 8F 0F 00 02 24 4C 00 A2 AF 48 00 A0 AF 38 00 A0 A3 ?? ?? ?? 0? 5C 00 E4 8E ?? ?? ?? 0? FF FF 05 24 FF FF 03 24 37 00 43 10 54 00 B0 27 21 20 00 02 08 00 05 24 21 30 00 00 ?? ?? ?? 0? ?? ?? 13 3C 18 00 B2 27 ?? ?? 73 26 01 00 14 24 03 00 15 24 44 00 C4 8E 68 00 A6 8F 54 00 A3 8F 00 00 82 8C 64 00 A7 8F 10 00 B2 AF 10 00 C6 2C 1C 00 42 8C 0B 18 06 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 60 02 07 00 54 10 68 00 BE 8F 14 00 55 50 68 00 A2 8F 12 00 40 14 68 00 A2 8F 4C 00 C0 A2 68 00 BE 8F 54 00 A2 8F 01 00 05 24 10 00 DE 2F 0B 10 1E 02 21 F0 40 00 21 20 40 00 18 00 A2 8F 23 F0 5E 00 64 00 C0 13 21 30 C0 03 ?? ?? ?? 0? 5C 00 C7 8E 61 00 C2 53 4C 00 C2 92 68 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 54 00 A4 8F 0F 00 02 24 68 00 A2 AF 64 00 A0 AF 54 00 A0 A3 ?? ?? ?? 0? 5C 00 C4 8E ?? ?? ?? 0? FF FF 05 24 FF FF 03 24 37 00 43 10 1C 00 B1 27 21 20 20 02 08 00 05 24 21 30 00 00 ?? ?? ?? 0? ?? ?? 13 3C 18 00 B2 27 ?? ?? 73 26 01 00 14 24 03 00 15 24 44 00 C4 8E 30 00 A6 8F 1C 00 A3 8F 00 00 82 8C 2C 00 A7 8F 10 00 B2 AF 10 00 C6 2C 1C 00 42 8C 0B 18 26 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 60 02 07 00 54 10 30 00 BE 8F 14 00 55 50 30 00 A2 8F 12 00 40 14 30 00 A2 8F 4C 00 C0 A2 30 00 BE 8F 1C 00 A2 8F 01 00 05 24 10 00 DE 2F 0B 10 3E 02 21 F0 40 00 21 20 40 00 18 00 A2 8F 23 F0 5E 00 1C 00 C0 13 21 30 C0 03 ?? ?? ?? 0? 5C 00 C7 8E 19 00 C2 53 4C 00 C2 92 30 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 1C 00 A4 8F 0F 00 02 24 30 00 A2 AF 2C 00 A0 AF 1C 00 A0 A3 ?? ?? ?? 0? 5C 00 C4 8E 4C 00 E2 92 79 FF 40 10 4C 00 A2 8F 52 FF 60 54 44 00 E4 8E 21 20 60 02 08 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 44 00 E4 8E 4C 00 C2 92 E8 FF 40 10 30 00 A2 8F C3 FF C0 57 44 00 C4 8E 21 20 20 02 08 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 44 00 C4 8E 4C 00 C2 92 A0 FF 40 10 68 00 A2 8F 7B FF C0 57 44 00 C4 8E 21 20 00 02 08 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 44 00 C4 8E }
	condition:
		$1
}

rule file_443_98_4 {
	meta:
		name = "_GLOBAL__I__ZNSt6_Winit9_Init_cntE"
		size = 32
		altNames = "_GLOBAL__I__ZNSt8ios_base4Init9_Init_cntE"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 04 24 14 00 BF 8F 01 00 04 24 ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_443_99_4 {
	meta:
		name = "_GLOBAL__D__ZNSt6_Winit9_Init_cntE"
		size = 32
		altNames = "_GLOBAL__D__ZNSt8ios_base4Init9_Init_cntE"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 20 00 00 14 00 BF 8F 21 20 00 00 ?? ?? ?? 0? 18 00 BD 27 }
	condition:
		$1
}

rule file_445_0_4 {
	meta:
		name = "iswblank"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 0C 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_447_0_4 {
	meta:
		name = "prout"
		size = 120
		refs = "0038 wmemcpy"
	strings:
		$1 = { 04 00 82 8C E0 FF BD 27 10 00 B0 AF 2B 18 46 00 21 80 C0 00 14 00 B1 AF 0B 80 43 00 21 88 80 00 18 00 B2 AF 1C 00 BF AF 21 90 80 00 0B 00 00 12 0B 88 03 00 00 00 84 8C ?? ?? ?? 0? 21 30 00 02 00 00 44 8E 04 00 43 8E 80 10 10 00 21 10 82 00 23 80 70 00 00 00 42 AE 04 00 50 AE 1C 00 BF 8F 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_447_1_4 {
	meta:
		name = "vswprintf"
		size = 80
		refs = "0020 _WPrintf"
	strings:
		$1 = { D8 FF BD 27 0E 00 A0 14 24 00 BF AF 18 00 A0 AF 1C 00 A0 AF ?? ?? 04 3C ?? ?? 84 24 18 00 A5 27 ?? ?? ?? 0? 10 00 A0 AF 18 00 A3 8F 01 00 60 54 00 00 60 AC 24 00 BF 8F 08 00 E0 03 28 00 BD 27 FF FF A5 24 18 00 A4 AF ?? ?? ?? 0? 1C 00 A5 AF }
	condition:
		$1
}

rule file_448_0_4 {
	meta:
		name = "_Atan"
		size = 552
		refs = "0028 fpcmp 0044 fpmul 0054 fpsub 0064 fpadd 0070 fpdiv 007c _Rteps 0218 _Feraise"
	strings:
		$1 = { D8 FF BD 27 ?? ?? 02 3C 1C 00 B2 AF 21 90 80 00 ?? ?? 44 8C 18 00 B1 AF 21 88 A0 00 21 28 40 02 24 00 BF AF 20 00 B3 AF ?? ?? ?? 0? 14 00 B0 AF 13 00 41 04 ?? ?? 02 3C ?? ?? 10 3C ?? ?? 05 8E 21 20 40 02 ?? ?? ?? 0? 01 00 31 36 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? 05 8E 21 20 40 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 90 40 00 ?? ?? 02 3C ?? ?? 50 8C 00 80 05 3C 21 20 40 02 ?? ?? ?? 0? 26 28 B0 00 1A 00 40 04 21 20 40 02 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 15 00 40 04 21 20 40 02 02 00 22 32 04 00 40 10 07 00 22 32 00 80 02 3C 26 90 52 00 07 00 22 32 4C 00 40 14 ?? ?? 03 3C 08 00 31 32 02 00 20 12 00 80 02 3C 26 90 52 00 24 00 BF 8F 21 10 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 40 02 21 28 40 00 21 20 40 02 ?? ?? ?? 0? 21 80 40 00 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 90 40 00 ?? ?? 63 24 80 10 02 00 21 10 43 00 00 00 45 8C ?? ?? ?? 0? 21 20 40 02 20 00 04 24 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? 08 00 31 32 }
	condition:
		$1
}

rule file_449_0_4 {
	meta:
		name = "_LExp"
		size = 1508
		refs = "0038 _LDtest 0070 _LInf 0080 dpcmp 0158 dpmul 019c _Feraise 01a8 _LNan 0284 dpadd 0290 dptoli 029c litodp 02d0 dpsub 0314 _LEps 0378 _LDscale 057c dpdiv"
	strings:
		$1 = { C0 FF BD 27 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 3C 00 BF AF 21 80 80 00 38 00 BE AF 34 00 B7 AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 48 00 A6 AF 4C 00 A7 AF ?? ?? ?? 0? 50 00 B1 8F 21 90 40 00 ?? ?? ?? 0? 48 00 A4 27 68 00 40 06 02 00 03 24 13 00 43 12 3C 00 BF 8F 02 00 03 24 1C 00 43 50 48 00 A2 8F 2B 00 40 14 01 00 13 24 ?? ?? 02 3C 00 00 04 8E 04 00 05 8E ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 44 00 40 10 48 00 A2 8F 4C 00 A3 8F 21 90 00 00 00 00 02 AE 04 00 03 AE 3C 00 BF 8F 21 10 40 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 4C 00 A3 8F 3C 00 BF 8F 02 00 12 24 00 00 02 AE 04 00 03 AE 21 10 40 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 15 00 53 10 ?? ?? 03 3C AE 00 40 12 ?? ?? 02 3C 00 00 12 8E 04 00 13 8E ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 98 00 40 14 48 00 A4 8F 48 00 A6 8F 4C 00 A7 8F 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 01 00 12 24 00 00 02 AE ?? ?? ?? 0? 04 00 03 AE ?? ?? 64 8C 00 80 02 3C ?? ?? 63 8C 26 10 82 00 04 00 05 8E 00 00 04 8E 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 8C 00 40 14 48 00 A2 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 43 8C 3C 00 BF 8F ?? ?? 42 8C 02 00 12 24 04 00 03 AE 00 00 02 AE 38 00 BE 8F 21 10 40 02 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 9B FF 41 04 00 00 00 00 ?? ?? 02 3C 00 00 12 8E 04 00 13 8E ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 62 00 40 04 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 DE 00 40 04 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 21 A8 60 00 21 20 40 00 21 28 A0 02 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 21 A0 40 00 CD 00 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 A0 40 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 A8 60 00 21 20 40 00 21 28 A0 02 ?? ?? ?? 0? 21 B0 40 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 98 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 21 28 A0 02 ?? ?? ?? 0? 21 90 60 00 21 30 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 21 40 40 00 ?? ?? 02 3C ?? ?? 52 8C ?? ?? 53 8C 21 F0 60 00 00 80 03 3C 26 18 43 02 21 30 00 01 21 20 60 02 21 28 60 00 21 38 C0 03 ?? ?? ?? 0? 14 00 A8 AF 37 00 41 04 14 00 A8 8F 21 20 00 01 21 30 60 02 21 28 C0 03 ?? ?? ?? 0? 21 38 40 02 30 00 41 04 14 00 A8 8F 48 00 A2 8F 4C 00 A3 8F 00 00 02 AE 04 00 03 AE 21 20 00 02 ?? ?? ?? 0? 21 28 91 02 1F 00 40 10 21 90 40 00 01 00 02 24 45 FF 42 56 3C 00 BF 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 3C 00 BF 8F 48 00 A4 8F 4C 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 21 90 00 00 00 00 02 AE ?? ?? ?? 0? 04 00 03 AE 4C 00 A3 8F 01 00 12 24 00 00 02 AE ?? ?? ?? 0? 04 00 03 AE 48 00 A2 8F 4C 00 A3 8F 21 20 00 02 21 28 20 02 00 00 02 AE ?? ?? ?? 0? 04 00 03 AE 05 00 40 14 21 90 40 00 ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 3C 00 BF 8F 24 FF 53 54 3C 00 BF 8F ?? ?? ?? 0? 00 00 00 00 21 30 00 01 21 20 00 01 21 28 C0 03 21 38 C0 03 ?? ?? ?? 0? 14 00 A8 AF 21 98 60 00 21 90 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 60 02 ?? ?? ?? 0? 21 20 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 21 A8 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 B0 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 14 00 A8 8F 21 20 40 00 21 28 60 00 21 30 00 01 ?? ?? ?? 0? 21 38 C0 03 ?? ?? 17 3C 21 20 A0 02 21 30 40 00 21 28 C0 02 21 38 60 00 21 98 40 00 ?? ?? ?? 0? 21 90 60 00 ?? ?? E6 8E ?? ?? E7 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 A0 02 21 30 60 02 21 28 C0 02 21 38 40 02 14 00 A2 AF ?? ?? ?? 0? 10 00 A3 AF ?? ?? E6 8E ?? ?? E7 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 14 00 A8 8F 10 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 48 00 A6 8F 4C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 00 00 02 AE ?? ?? ?? 0? 04 00 03 AE ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 48 00 A6 8F 4C 00 A7 8F ?? ?? ?? 0? 01 00 12 24 00 00 02 AE 04 00 03 AE ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 3C 00 BF 8F }
	condition:
		$1
}

rule file_450_0_4 {
	meta:
		name = "fgetwc"
		size = 664
		refs = "0094 _Mbtowc 010c strlen 01e8 _WFrprep 0220 memmove 0230 memcpy"
	strings:
		$1 = { 1C 00 82 8C 28 00 83 24 C0 FF BD 27 2B 18 43 00 2C 00 B5 AF 3C 00 BF AF 38 00 BE AF 34 00 B7 AF 30 00 B6 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 38 00 60 14 21 A8 80 00 18 00 96 8C 48 00 90 24 34 00 91 24 FF FF 12 24 FE FF 13 24 08 00 14 24 23 B8 16 02 05 00 E0 52 0C 00 B6 8E 00 00 A2 86 07 00 40 04 21 F0 E0 02 0C 00 B6 8E 2C 00 BE 8E 2B 10 DE 02 73 00 40 10 00 00 00 00 23 F0 D6 03 10 00 A4 27 21 28 C0 02 21 30 C0 03 ?? ?? ?? 0? 21 38 20 02 30 00 52 10 21 18 40 00 17 00 40 50 10 00 A2 8F 2A 00 53 10 08 00 C2 2F FD FF 02 24 47 00 62 10 10 00 A2 8F 37 00 E0 52 0C 00 A4 8E 18 00 A4 8E 21 18 83 00 18 00 A3 AE 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 EE FF 40 14 00 00 00 00 ?? ?? ?? 0? 21 20 C0 02 ?? ?? ?? 0? 01 00 43 24 3C 00 BF 8F 04 00 43 24 38 00 BE 8F 00 00 42 8C 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 1C 00 83 AC 08 00 E0 03 40 00 BD 27 21 00 40 14 00 00 00 00 00 00 A3 96 3C 00 BF 8F FF FF 02 24 00 02 63 34 00 00 A3 A6 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 3C 00 BF 8F 38 00 BE 8F 21 18 83 00 0C 00 A3 AE 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 21 18 00 00 21 00 E0 12 23 20 9E 02 ?? ?? ?? 0? 21 20 A0 02 DB FF 40 18 23 B0 97 02 0C 00 A2 8E 2C 00 BE 8E 18 00 A5 8E 23 F0 C2 03 2B 10 D6 03 0A F0 C2 02 23 B0 DE 02 40 00 D6 26 21 B0 B6 02 21 20 C0 02 ?? ?? ?? 0? 21 30 E0 02 0C 00 A5 8E 21 30 C0 03 ?? ?? ?? 0? 21 20 D7 02 0C 00 A2 8E 18 00 B6 AE 21 F0 5E 00 ?? ?? ?? 0? 0C 00 BE AE ?? ?? ?? 0? 21 20 A0 02 9F FF 40 18 FF FF 02 24 0C 00 B6 8E ?? ?? ?? 0? 2C 00 BE 8E 40 00 84 24 0C 00 A5 8E 21 20 A4 02 18 00 A4 AE ?? ?? ?? 0? 21 30 C0 03 0C 00 A2 8E 21 10 5E 00 B5 FF C0 13 0C 00 A2 AE ?? ?? ?? 0? 21 B8 C0 03 }
	condition:
		$1
}

rule file_451_0_4 {
	meta:
		name = "imaxdiv"
		size = 168
		refs = "003c __divdi3"
		altNames = "lldiv"
	strings:
		$1 = { D8 FF BD 27 20 00 B4 AF 18 00 B2 AF 3C 00 B4 8F 38 00 B2 8F 1C 00 B3 AF 14 00 B1 AF 10 00 B0 AF 21 88 C0 00 21 80 80 00 21 28 E0 00 21 20 C0 00 21 98 E0 00 21 30 40 02 24 00 BF AF ?? ?? ?? 0? 21 38 80 02 18 00 82 02 21 20 40 00 04 00 03 AE 24 00 BF 8F 00 00 02 AE 20 00 B4 8F 21 10 00 02 00 00 72 70 12 18 00 00 19 00 92 00 18 00 B2 8F 12 20 00 00 10 28 00 00 21 28 65 00 23 18 24 02 23 98 65 02 2B 88 23 02 23 88 71 02 0C 00 11 AE 08 00 03 AE 1C 00 B3 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_455_0_4 {
	meta:
		name = "malloc"
		size = 500
		refs = "0058 _Aldata 00c4 _Size_block 0114 _Getmem 0128 free"
	strings:
		$1 = { D8 FF BD 27 F8 FF 02 24 1C 00 B3 AF 0F 00 93 24 24 98 62 02 2B 20 93 00 24 00 BF AF 20 00 B4 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 09 00 80 14 21 10 00 00 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 08 00 63 2E ?? ?? 10 3C 08 00 02 24 0B 98 43 00 21 90 00 02 ?? ?? 11 3C ?? ?? 04 8E 49 00 80 10 ?? ?? 42 26 00 00 82 8C 0F 00 40 10 ?? ?? 03 26 00 00 45 8C 2B 18 B3 00 2B 00 60 10 21 18 40 00 ?? ?? ?? 0? 04 00 64 24 2B 28 B3 00 25 00 A0 50 00 00 82 8C 04 00 64 24 04 00 63 8C FA FF 60 54 00 00 65 8C ?? ?? 03 26 04 00 63 8C 12 00 43 10 ?? ?? 34 8E 00 00 65 8C 2B 20 B3 00 07 00 80 54 04 00 64 24 ?? ?? ?? 0? 21 10 60 00 2B 28 B3 00 14 00 A0 50 00 00 82 8C 04 00 64 24 04 00 63 8C FA FF 43 54 00 00 65 8C ?? ?? ?? 0? ?? ?? 34 8E 36 00 74 12 42 A0 14 00 2B 10 93 02 0B A0 62 02 ?? ?? ?? 0? 21 20 80 02 F9 FF 40 10 00 00 00 00 00 00 54 AC ?? ?? ?? 0? 08 00 44 24 ?? ?? ?? 0? ?? ?? 04 8E 00 00 45 8C F8 FF A3 24 2B 18 73 00 12 00 60 54 04 00 43 8C 21 18 53 00 00 00 83 AC 04 00 46 8C 23 28 B3 00 04 00 66 AC 00 00 83 8C 00 00 65 AC 00 00 53 AC 05 00 60 10 21 20 00 00 04 00 64 8C 04 00 63 24 0A 18 04 00 21 20 60 00 ?? ?? 04 AE ?? ?? ?? 0? 08 00 42 24 ?? ?? ?? 0? 00 00 83 AC 04 00 42 8C DB FF 40 10 ?? ?? 34 8E 00 00 45 8C 2B 18 B3 00 07 00 60 54 04 00 44 24 ?? ?? ?? 0? ?? ?? 04 3C 2B 18 73 00 DD FF 60 50 00 00 82 8C 04 00 44 24 04 00 42 8C FA FF 40 54 00 00 43 8C ?? ?? ?? 0? ?? ?? 34 8E ?? ?? ?? 0? 21 10 00 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 }
	condition:
		$1
}

rule file_456_0_4 {
	meta:
		name = "_Getzone"
		size = 488
		refs = "003c getenv 0080 _Ctype"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF ?? ?? 10 3C ?? ?? 02 82 1C 00 BF AF 08 00 40 10 18 00 B1 AF 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? 11 3C 08 00 40 10 ?? ?? 22 AE 02 00 03 24 ?? ?? 03 A2 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 26 00 40 10 ?? ?? 22 AE ?? ?? 03 3C ?? ?? 08 3C ?? ?? 66 8C ?? ?? 08 25 ?? ?? 03 3C ?? ?? 63 24 04 00 07 25 00 00 44 80 FF 00 85 30 40 28 05 00 21 28 C5 00 00 00 A5 94 12 02 A5 30 18 00 A0 50 ?? ?? 02 3C 00 00 64 A0 00 00 44 90 04 00 64 A0 01 00 63 24 F3 FF 67 14 01 00 42 24 00 00 43 80 2D 00 04 24 13 00 64 10 2B 00 04 24 02 00 64 50 01 00 42 24 2B 00 03 24 09 00 03 A1 00 00 43 80 FF 00 64 30 40 20 04 00 21 20 C4 00 00 00 84 94 20 00 84 30 09 00 80 54 0A 00 03 A1 ?? ?? 02 3C ?? ?? 42 24 02 00 03 24 ?? ?? 22 AE ?? ?? ?? 0? ?? ?? 03 A2 ?? ?? ?? 0? 01 00 42 24 01 00 43 80 FF 00 64 30 40 20 04 00 21 20 C4 00 00 00 84 94 20 00 84 30 F2 FF 80 50 ?? ?? 02 3C 0B 00 03 A1 02 00 43 80 FF 00 65 30 40 28 05 00 21 28 C5 00 00 00 A5 94 12 02 A5 30 15 00 A0 10 02 00 44 24 05 00 03 A1 03 00 43 80 FF 00 64 30 40 20 04 00 21 20 C4 00 00 00 84 94 12 02 84 30 E0 FF 80 50 ?? ?? 02 3C 06 00 03 A1 04 00 43 80 FF 00 64 30 40 20 04 00 21 30 C4 00 00 00 C4 94 12 02 84 30 D7 FF 80 50 ?? ?? 02 3C 07 00 03 A1 05 00 44 24 00 00 82 80 D2 FF 40 54 ?? ?? 02 3C 02 00 03 24 ?? ?? 28 AE 21 10 00 01 ?? ?? ?? 0? ?? ?? 03 A2 }
	condition:
		$1
}

rule file_459_1_4 {
	meta:
		name = "fwprintf"
		size = 72
		refs = "0034 _WPrintf"
	strings:
		$1 = { D8 FF BD 27 30 00 A2 27 21 40 80 00 21 18 A0 00 ?? ?? 04 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 21 28 00 01 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_473_1_4 {
	meta:
		name = "fprintf"
		size = 72
		refs = "0034 _Printf"
	strings:
		$1 = { D8 FF BD 27 30 00 A2 27 21 40 80 00 21 18 A0 00 ?? ?? 04 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 21 28 00 01 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_673_1_4 {
	meta:
		name = "fscanf"
		size = 72
		refs = "0034 _Scanf"
	strings:
		$1 = { D8 FF BD 27 30 00 A2 27 21 40 80 00 21 18 A0 00 ?? ?? 04 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 21 28 00 01 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_480_1_4 {
	meta:
		name = "fwscanf"
		size = 72
		refs = "0034 _WScanf"
	strings:
		$1 = { D8 FF BD 27 30 00 A2 27 21 40 80 00 21 18 A0 00 ?? ?? 04 3C 30 00 A6 AF 34 00 A7 AF ?? ?? 84 24 21 28 00 01 21 30 60 00 21 38 40 00 24 00 BF AF 18 00 A2 AF ?? ?? ?? 0? 10 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_461_0_4 {
	meta:
		name = "_LTgamma"
		size = 1340
		refs = "004c dpcmp 00c8 dpadd 00e8 dpmul 0134 dpsub 0148 _LDunscale 0170 _LPoly 01a4 dpdiv 02bc _LPow 0380 expl"
	strings:
		$1 = { A8 FF BD 27 38 00 B2 AF 34 00 B1 AF 30 00 B0 AF 04 00 91 8C 00 00 90 8C 21 90 80 00 ?? ?? 04 3C 50 00 BE AF 21 F0 A0 00 ?? ?? 85 8C ?? ?? 84 8C 21 30 00 02 21 38 20 02 54 00 BF AF 4C 00 B7 AF 48 00 B6 AF 44 00 B5 AF 40 00 B4 AF ?? ?? ?? 0? 3C 00 B3 AF 8F 00 40 18 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 61 00 41 04 ?? ?? 06 3C ?? ?? 13 3C ?? ?? 64 8E ?? ?? 65 8E 21 30 00 02 21 38 20 02 18 00 B0 AF ?? ?? ?? 0? 1C 00 B1 AF 23 01 40 04 ?? ?? 02 3C ?? ?? 54 8C ?? ?? 55 8C ?? ?? 76 8E ?? ?? 77 8E 20 00 A2 AF 21 40 00 02 21 98 20 02 21 20 00 01 21 28 60 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 98 60 00 21 40 40 00 21 20 00 02 21 28 20 02 21 30 40 00 21 38 60 02 ?? ?? ?? 0? 28 00 A8 AF 28 00 A8 8F 21 38 60 02 21 20 C0 02 21 30 00 01 21 28 E0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 EA FF 41 04 28 00 A8 8F 18 00 B0 AF 1C 00 B1 AF 20 00 A4 8F 21 28 60 02 ?? ?? 86 8C ?? ?? 87 8C 21 20 00 01 ?? ?? ?? 0? 00 00 00 00 21 20 C0 03 18 00 A5 27 21 98 40 00 ?? ?? ?? 0? 21 A0 60 00 18 00 B0 8F 1C 00 B1 8F ?? ?? 06 3C 21 20 60 02 21 28 80 02 00 00 50 AE 04 00 51 AE ?? ?? C6 24 ?? ?? ?? 0? 07 00 07 24 ?? ?? 06 3C 21 20 60 02 21 28 80 02 ?? ?? C6 24 06 00 07 24 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 21 30 60 02 21 38 80 02 ?? ?? ?? 0? 21 28 60 00 54 00 BF 8F 21 20 60 00 21 18 80 00 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 84 00 40 04 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 72 00 40 04 ?? ?? 06 3C ?? ?? 13 3C ?? ?? 66 8E ?? ?? 67 8E 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 8A 00 41 04 ?? ?? 02 3C ?? ?? 15 3C ?? ?? 06 3C ?? ?? A2 8E ?? ?? A3 8E ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 21 28 20 02 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 21 98 40 00 21 A0 60 00 00 00 C0 A7 21 80 00 00 ?? ?? ?? 0? ?? ?? B1 8E ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 30 40 00 21 20 00 02 21 28 20 02 21 38 60 00 ?? ?? ?? 0? 10 00 BE AF 21 B0 40 00 00 00 C2 97 21 B8 60 00 ?? ?? 03 3C ?? ?? 64 8C ?? ?? 65 8C 23 10 02 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 00 00 C2 A7 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 98 60 00 ?? ?? 06 3C 21 28 60 02 21 20 40 00 ?? ?? C6 24 01 00 07 24 ?? ?? ?? 0? 21 A0 40 00 ?? ?? 06 3C 21 20 80 02 21 28 60 02 ?? ?? C6 24 0D 00 07 24 28 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 28 00 A8 8F 24 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 00 80 02 3C 26 88 22 02 21 20 00 02 21 28 20 02 00 00 54 AE 04 00 43 AE ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 54 00 BF 8F 21 20 00 00 00 00 42 AE 04 00 43 AE 21 10 00 00 21 18 80 00 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 21 28 20 02 18 00 B0 AF ?? ?? ?? 0? 1C 00 B1 AF 21 98 40 00 21 A0 60 00 ?? ?? ?? 0? 00 00 C0 A7 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 21 20 C0 03 18 00 A5 27 18 00 A2 AF 1C 00 A3 AF ?? ?? ?? 0? 21 98 00 02 21 A0 20 02 18 00 B0 8F ?? ?? ?? 0? 1C 00 B1 8F ?? ?? 56 8C ?? ?? 55 8C ?? ?? 64 8E ?? ?? 65 8E 21 30 00 02 21 38 20 02 20 00 A2 AF 18 00 B6 AF ?? ?? ?? 0? 1C 00 B5 AF 1C 00 41 04 20 00 A3 8F 21 98 00 00 ?? ?? 74 8C 21 20 00 02 21 28 20 02 21 30 C0 02 ?? ?? ?? 0? 21 38 A0 02 21 88 60 00 21 20 60 02 21 28 80 02 21 30 40 00 21 38 20 02 ?? ?? ?? 0? 21 80 40 00 21 98 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 44 8C 04 00 45 8C 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 A0 60 00 EB FF 42 04 21 20 00 02 18 00 B3 AF 1C 00 B4 AF ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C 21 40 00 02 21 98 20 02 ?? ?? ?? 0? 20 00 A3 AF }
	condition:
		$1
}

rule file_463_0_4 {
	meta:
		name = "wcstok_s"
		size = 428
		refs = "0168 _Fail_s"
	strings:
		$1 = { 00 00 A3 8C E8 FF BD 27 55 00 60 04 14 00 BF AF 54 00 C0 50 ?? ?? 04 3C 52 00 E0 50 ?? ?? 04 3C 01 00 80 50 00 00 E4 8C 53 00 60 50 ?? ?? 04 3C 00 00 8A 8C 5B 00 40 11 21 10 00 00 00 00 CB 8C 0C 00 60 11 21 10 80 00 21 60 60 00 05 00 6A 15 21 40 C0 00 ?? ?? ?? 0? FF FF 8C 25 34 00 2A 51 FF FF 8C 25 04 00 08 25 00 00 09 8D FB FF 20 15 00 00 00 00 23 10 44 00 83 40 02 00 80 10 08 00 21 10 82 00 00 00 4A 8C 23 18 68 00 30 00 40 11 00 00 A3 AC 3D 00 60 10 21 20 40 00 00 00 CB 8C 21 60 60 00 0C 00 60 51 FF FF 8C 25 0F 00 4B 11 21 40 C0 00 ?? ?? ?? 0? 04 00 08 25 0C 00 2A 51 23 20 82 00 04 00 08 25 00 00 09 8D FB FF 20 15 00 00 00 00 FF FF 8C 25 2C 00 80 11 04 00 84 24 00 00 8A 8C EF FF 40 15 00 00 00 00 23 20 82 00 83 20 04 00 80 30 04 00 21 30 46 00 00 00 C8 8C 23 18 64 00 06 00 00 11 00 00 A3 AC 00 00 C0 AC 03 00 60 10 04 00 C6 24 FF FF 63 24 00 00 A3 AC 00 00 E6 AC 14 00 BF 8F 08 00 E0 03 18 00 BD 27 11 00 80 51 ?? ?? 04 3C 04 00 42 24 00 00 4A 8C C2 FF 40 15 00 00 00 00 ?? ?? ?? 0? 23 10 44 00 14 00 BF 8F 21 10 00 00 08 00 E0 03 18 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 ?? ?? ?? 0? 21 10 00 00 ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? 21 10 00 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1C 00 05 24 ?? ?? ?? 0? 21 10 00 00 ?? ?? ?? 0? 21 40 00 00 }
	condition:
		$1
}

rule file_466_0_4 {
	meta:
		name = "_WStopfx"
		size = 664
		refs = "002c _Iswctype"
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 18 00 B2 AF 21 80 80 00 21 88 A0 00 00 00 93 8C 00 00 64 8E ?? ?? ?? 0? 09 00 05 24 FC FF 40 54 04 00 73 26 00 00 62 8E 2D 00 03 24 55 00 43 10 2B 00 03 24 57 00 43 10 21 90 00 00 6E 00 03 24 2E 00 43 10 4E 00 03 24 2C 00 43 10 69 00 03 24 0F 00 43 10 49 00 03 24 0D 00 43 10 30 00 03 24 4F 00 43 50 04 00 62 8E 01 00 42 36 24 00 BF 8F 00 00 13 AE 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 04 00 62 8E 6E 00 03 24 04 00 43 10 04 00 73 26 4E 00 03 24 09 00 43 54 00 00 13 8E 04 00 62 8E 66 00 03 24 4A 00 43 10 04 00 73 26 46 00 03 24 48 00 43 50 04 00 63 8E 00 00 13 8E 21 10 00 00 E6 FF 20 12 24 00 BF 8F 00 00 33 AE 20 00 B4 8F 00 00 13 AE 18 00 B2 8F 1C 00 B3 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 04 00 62 8E 61 00 03 24 04 00 43 10 04 00 73 26 41 00 03 24 EE FF 43 54 00 00 13 8E 04 00 62 8E 6E 00 03 24 04 00 43 10 04 00 73 26 4E 00 03 24 E7 FF 43 54 00 00 13 8E 04 00 64 8E 28 00 03 24 04 00 73 26 E3 FF 83 14 04 00 02 24 21 A0 60 02 5F 00 12 24 04 00 94 26 00 00 84 8E ?? ?? ?? 0? 01 00 05 24 FC FF 40 54 04 00 94 26 00 00 82 8E F9 FF 52 10 04 00 94 26 29 00 43 38 04 00 02 24 ?? ?? ?? 0? 0A 98 83 02 04 00 73 26 00 00 62 8E ?? ?? ?? 0? 08 00 12 24 04 00 73 26 ?? ?? ?? 0? 00 00 62 8E 78 00 03 24 03 00 43 10 58 00 03 24 AF FF 43 14 01 00 42 36 08 00 64 8E 2E 00 02 24 2E 00 82 10 08 00 71 26 ?? ?? ?? 0? 0B 00 05 24 A7 FF 40 50 01 00 42 36 02 00 42 36 ?? ?? ?? 0? 21 98 20 02 04 00 63 8E 69 00 04 24 04 00 73 26 04 00 64 10 03 00 42 36 49 00 04 24 B5 FF 64 14 00 00 00 00 04 00 63 8E 6E 00 05 24 04 00 65 10 04 00 64 26 4E 00 05 24 AE FF 65 14 00 00 00 00 04 00 83 8C 69 00 05 24 04 00 65 10 04 00 84 24 49 00 05 24 A7 FF 65 14 00 00 00 00 04 00 83 8C 74 00 05 24 04 00 65 10 04 00 84 24 54 00 05 24 A0 FF 65 14 00 00 00 00 04 00 83 8C 79 00 05 24 04 00 65 10 04 00 84 24 59 00 05 24 99 FF 65 14 00 00 00 00 ?? ?? ?? 0? 04 00 93 24 ?? ?? ?? 0? 04 00 24 8E }
	condition:
		$1
}

rule file_467_0_4 {
	meta:
		name = "_Assert"
		size = 140
		refs = "0020 _Stderr 002c fputs 006c fflush 0074 raise 007c exit"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 1C 00 BF AF 10 00 B0 AF 21 88 A0 00 1A 00 A0 10 21 90 80 00 ?? ?? 10 3C ?? ?? 04 3C ?? ?? 05 26 ?? ?? ?? 0? ?? ?? 84 24 21 20 20 02 ?? ?? ?? 0? ?? ?? 05 26 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? ?? ?? 05 26 21 20 40 02 ?? ?? ?? 0? ?? ?? 05 26 ?? ?? 04 3C ?? ?? 05 26 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 21 20 00 00 ?? ?? ?? 0? 06 00 04 24 ?? ?? ?? 0? 01 00 04 24 ?? ?? ?? 0? ?? ?? 10 3C }
	condition:
		$1
}

rule file_468_0_4 {
	meta:
		name = "_Xp_getw"
		size = 228
		refs = "0038 fpcmp 0070 fpadd"
		altNames = "_FXp_getw"
	strings:
		$1 = { D8 FF BD 27 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 21 88 A0 00 21 90 80 00 19 00 A0 10 21 80 00 00 01 00 02 24 1E 00 A2 10 21 28 00 00 00 00 90 8C ?? ?? ?? 0? 21 20 00 02 11 00 40 10 02 00 22 2A 20 00 40 14 21 28 00 00 04 00 53 8E ?? ?? ?? 0? 21 20 60 02 0A 00 40 10 02 00 02 24 1B 00 22 12 21 20 00 02 08 00 45 8E ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 80 40 00 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 00 00 90 8C 24 00 BF 8F 20 00 B3 8F 21 10 00 02 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 04 00 53 8E ?? ?? ?? 0? 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 }
	condition:
		$1
}

rule file_468_1_4 {
	meta:
		name = "_Xp_setw"
		size = 344
		refs = "0038 _Dunscale 00a4 _Dint 00b4 _Dscale 00c4 fpsub 00e4 fpcmp"
	strings:
		$1 = { D0 FF BD 27 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF 2C 00 BF AF 1C 00 B0 AF 21 98 C0 00 21 90 A0 00 21 88 80 00 0D 00 A0 18 14 00 A6 AF 01 00 02 24 12 00 A2 10 10 00 A4 27 ?? ?? ?? 0? 14 00 A5 27 0E 00 40 50 14 00 B3 8F 15 00 40 18 14 00 A2 8F 21 18 00 00 04 00 23 AE 00 00 22 AE 2C 00 BF 8F 21 10 20 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F 00 00 33 AE 21 10 20 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 1A 00 05 24 ?? ?? ?? 0? 14 00 A4 27 10 00 A5 87 14 00 A4 27 ?? ?? ?? 0? 04 00 30 26 14 00 A5 8F 21 20 60 02 ?? ?? ?? 0? 00 00 25 AE 21 98 40 00 04 00 22 AE 02 00 02 24 E1 FF 42 12 2C 00 BF 8F 21 20 60 02 ?? ?? ?? 0? 21 28 00 00 03 00 40 14 21 18 00 00 ?? ?? ?? 0? 08 00 23 AE 21 28 00 02 ?? ?? ?? 0? 10 00 A4 27 21 20 00 02 ?? ?? ?? 0? 1A 00 05 24 10 00 A5 87 ?? ?? ?? 0? 21 20 00 02 04 00 25 8E ?? ?? ?? 0? 21 20 60 02 03 00 03 24 CA FF 43 12 08 00 22 AE 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 C6 FF 40 10 2C 00 BF 8F 21 10 00 00 ?? ?? ?? 0? 0C 00 22 AE }
	condition:
		$1
}

rule file_468_2_4 {
	meta:
		name = "_Xp_addh"
		size = 1088
		refs = "0078 _Dunscale 0090 _Dtest 00bc _Feraise 00c4 _Nan 0188 fpcmp 0230 fpadd 02e4 _Dint 02f0 _Dscale 02fc fpsub"
	strings:
		$1 = { B0 FF BD 27 34 00 B3 AF 28 00 B0 AF 4C 00 BF AF 48 00 BE AF 44 00 B7 AF 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 30 00 B2 AF 2C 00 B1 AF 21 80 A0 00 21 98 80 00 58 00 A6 AF 0E 00 A0 14 14 00 A6 AF 4C 00 BF 8F 21 10 60 02 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 14 00 A5 27 26 00 40 18 02 00 11 24 16 00 51 10 58 00 A2 8F ?? ?? ?? 0? 21 20 60 02 12 00 40 58 58 00 A2 8F E7 FF 51 10 5E 00 A2 97 06 00 63 96 26 10 62 00 00 80 42 30 E3 FF 40 10 4C 00 BF 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 42 8C 02 00 10 2A DB FF 00 16 00 00 62 AE 21 10 00 00 ?? ?? ?? 0? 04 00 62 AE 4C 00 BF 8F 48 00 BE 8F 00 00 62 AE 44 00 B7 8F 21 10 60 02 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 C9 FF 40 10 4C 00 BF 8F C7 FF 00 1A FF FF 16 26 80 A8 16 00 21 A8 75 02 21 88 00 00 00 08 14 24 80 90 11 00 21 90 72 02 00 00 42 8E 12 00 A4 27 18 00 A5 27 ?? ?? ?? 0? 18 00 A2 AF BA FF 40 1C 4C 00 BF 8F AD 00 40 10 12 00 B7 87 10 00 A2 87 23 10 E2 02 E7 FF 43 28 71 00 60 10 1A 00 42 28 58 00 BE 8F 21 28 00 00 21 20 C0 03 ?? ?? ?? 0? 24 00 BE AF 26 00 40 10 24 00 A3 8F 21 18 40 02 ?? ?? ?? 0? 21 30 20 02 21 30 E0 02 01 00 D7 24 2A 10 F0 02 09 00 40 10 21 28 00 00 04 00 64 8C 04 00 63 24 24 00 A3 AF ?? ?? ?? 0? 20 00 A6 AF 24 00 A3 8F F4 FF 40 14 20 00 A6 8F 2A 10 F6 02 8C 00 40 10 26 10 17 02 01 00 F7 26 2A 10 37 02 07 00 40 10 80 10 17 00 21 10 62 02 FC FF 43 8C FF FF F7 26 00 00 43 AC FC FF F1 16 FC FF 42 24 21 10 00 00 00 00 5E AE 58 00 A2 AF 2A 10 30 02 C8 FF 40 14 80 90 11 00 ?? ?? ?? 0? 4C 00 BF 8F 00 00 45 8E ?? ?? ?? 0? 21 20 60 00 00 00 42 AE 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 B8 40 00 15 00 40 14 10 00 A4 27 21 B8 40 02 21 F0 20 02 01 00 DE 27 2A 10 D0 03 07 00 40 10 21 28 00 00 04 00 E4 8E 00 00 E4 AE ?? ?? ?? 0? 04 00 F7 26 F8 FF 40 54 01 00 DE 27 21 10 00 00 00 00 A2 AE 00 00 57 8E 21 28 40 00 ?? ?? ?? 0? 21 20 E0 02 68 FF 40 10 10 00 A4 27 58 00 A5 27 ?? ?? ?? 0? 58 00 B7 AF 10 00 A2 87 E6 FF 83 26 2A 18 62 00 2A 00 60 14 1A 00 42 24 01 00 31 26 5D FF 30 12 21 28 40 02 00 00 42 8E 12 00 A4 27 ?? ?? ?? 0? 58 00 A2 AF 21 20 40 02 ?? ?? ?? 0? 1A 00 05 24 12 00 A5 87 ?? ?? ?? 0? 21 20 40 02 58 00 A4 8F ?? ?? ?? 0? 00 00 45 8E 21 20 40 00 21 28 00 00 21 B8 40 00 58 00 A2 AF ?? ?? ?? 0? 12 00 B4 87 01 00 40 50 00 00 57 8E 10 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 B7 AF ?? ?? ?? 0? 2A 10 30 02 BB FF 40 14 58 00 A3 8F 21 28 00 00 21 20 60 00 ?? ?? ?? 0? 24 00 A3 AF B5 FF 40 10 24 00 A3 8F 01 00 31 26 ?? ?? ?? 0? 21 A0 E0 02 23 A0 54 00 20 2E 14 7C ?? ?? ?? 0? 58 00 A4 27 10 00 A5 87 ?? ?? ?? 0? 58 00 A4 27 00 00 44 8E ?? ?? ?? 0? 58 00 A5 8F 00 00 42 AE 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 0F 00 40 54 FF FF 31 26 21 A0 20 02 01 00 94 26 2A 10 90 02 07 00 40 10 21 28 00 00 04 00 44 8E 00 00 44 AE ?? ?? ?? 0? 04 00 52 26 F8 FF 40 14 01 00 94 26 21 10 00 00 00 00 A2 AE FF FF 31 26 56 FF 20 12 00 08 14 24 FF FF 22 26 80 10 02 00 21 10 62 02 00 00 42 8C 12 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 A2 AF ?? ?? ?? 0? 12 00 B4 87 ?? ?? ?? 0? 0A B8 C2 00 58 00 A2 8F 01 00 31 26 2A 80 30 02 06 FF 00 12 00 00 42 AE 80 88 11 00 21 88 71 02 21 10 00 00 ?? ?? ?? 0? 00 00 22 AE }
	condition:
		$1
}

rule file_468_3_4 {
	meta:
		name = "_Xp_mulh"
		size = 596
		refs = "0040 fpmul 004c _Dtest 00f4 fpcmp 0190 _Dunscale 019c _Dint 01ac _Dscale 01bc _Xp_addh 01cc fpsub 0240 _Feraise"
	strings:
		$1 = { A8 FF BD 27 4C 00 B7 AF 44 00 B5 AF 3C 00 B3 AF 54 00 BF AF 50 00 BE AF 48 00 B6 AF 40 00 B4 AF 38 00 B2 AF 34 00 B1 AF 30 00 B0 AF 21 98 A0 00 21 B8 80 00 12 00 A0 18 21 A8 C0 00 00 00 84 8C ?? ?? ?? 0? 21 28 C0 00 18 00 A4 27 ?? ?? ?? 0? 18 00 A2 AF 17 00 40 04 02 00 03 24 78 00 43 10 00 00 00 00 18 00 A3 8F 05 00 40 10 00 00 E3 AE 01 00 02 24 02 00 62 12 21 10 00 00 04 00 E2 AE 54 00 BF 8F 21 10 E0 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 21 10 00 00 00 00 E2 AE 21 A0 00 00 01 00 10 24 04 00 16 24 04 00 02 2A 2A 00 40 10 18 00 B1 8F 21 F0 90 02 2A 10 D3 03 51 00 40 10 80 90 1E 00 21 90 F2 02 00 00 43 8E 21 28 00 00 21 20 60 00 ?? ?? ?? 0? 28 00 A3 AF 49 00 40 10 28 00 A3 8F 01 00 DE 27 80 F0 1E 00 80 88 10 00 18 00 A2 27 21 F0 FE 02 ?? ?? ?? 0? 21 88 51 00 41 00 60 10 10 00 A2 27 00 00 C3 8F 04 00 DE 27 21 20 60 00 ?? ?? ?? 0? 28 00 A3 AF 39 00 40 10 28 00 A3 8F 21 28 60 00 21 20 A0 02 ?? ?? ?? 0? 01 00 10 26 21 28 00 00 21 18 90 02 00 00 22 AE 2A 18 73 00 00 00 45 AE 04 00 31 26 EC FF 16 16 21 90 C0 03 18 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 BE FF 40 10 14 00 A5 27 10 00 A4 27 ?? ?? ?? 0? 14 00 B1 AF 14 00 A4 27 ?? ?? ?? 0? 1A 00 05 24 10 00 A5 87 14 00 A4 27 ?? ?? ?? 0? 1C 00 B1 27 14 00 A6 8F 21 20 E0 02 ?? ?? ?? 0? 21 28 60 02 18 00 A4 8F 14 00 A5 8F ?? ?? ?? 0? 21 90 00 00 21 30 40 00 21 20 E0 02 ?? ?? ?? 0? 21 28 60 02 01 00 52 26 2A 10 50 02 08 00 40 10 21 28 00 00 00 00 22 8E FC FF 22 AE 21 20 40 00 ?? ?? ?? 0? 04 00 31 26 F7 FF 40 54 01 00 52 26 01 00 94 26 9A FF 93 12 FF FF 10 26 ?? ?? ?? 0? 04 00 02 2A 10 00 A2 27 80 80 10 00 21 80 50 00 21 10 00 00 08 00 02 AE ?? ?? ?? 0? 08 00 10 24 ?? ?? ?? 0? 01 00 04 24 18 00 A2 8F ?? ?? ?? 0? 00 00 E2 AE }
	condition:
		$1
}

rule file_468_4_4 {
	meta:
		name = "_Xp_movx"
		size = 52
		refs = "0018 memcpy"
		altNames = "_FXp_movx"
	strings:
		$1 = { 80 10 05 00 E8 FF BD 27 21 28 C0 00 21 30 40 00 14 00 BF AF 10 00 B0 AF ?? ?? ?? 0? 21 80 80 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_468_5_4 {
	meta:
		name = "_Xp_addx"
		size = 176
		refs = "003c fpcmp 0078 _Xp_addh"
	strings:
		$1 = { D0 FF BD 27 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 2C 00 BF AF 28 00 B5 AF 14 00 B0 AF 21 90 E0 00 21 98 80 00 21 A0 A0 00 16 00 E0 18 21 88 C0 00 00 00 D5 8C 21 28 00 00 ?? ?? ?? 0? 21 20 A0 02 10 00 40 10 21 80 00 00 ?? ?? ?? 0? 21 28 80 02 04 00 35 8E 04 00 31 26 ?? ?? ?? 0? 21 20 A0 02 09 00 40 10 2C 00 BF 8F 21 28 80 02 21 30 A0 02 21 20 60 02 ?? ?? ?? 0? 01 00 10 26 F4 FF 12 16 21 28 00 00 2C 00 BF 8F 21 10 60 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_469_5_4 {
	meta:
		name = "_FXp_addx"
		size = 176
		refs = "003c fpcmp 0078 _FXp_addh"
	strings:
		$1 = { D0 FF BD 27 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 2C 00 BF AF 28 00 B5 AF 14 00 B0 AF 21 90 E0 00 21 98 80 00 21 A0 A0 00 16 00 E0 18 21 88 C0 00 00 00 D5 8C 21 28 00 00 ?? ?? ?? 0? 21 20 A0 02 10 00 40 10 21 80 00 00 ?? ?? ?? 0? 21 28 80 02 04 00 35 8E 04 00 31 26 ?? ?? ?? 0? 21 20 A0 02 09 00 40 10 2C 00 BF 8F 21 28 80 02 21 30 A0 02 21 20 60 02 ?? ?? ?? 0? 01 00 10 26 F4 FF 12 16 21 28 00 00 2C 00 BF 8F 21 10 60 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_468_6_4 {
	meta:
		name = "_Xp_subx"
		size = 184
		refs = "0040 fpcmp 007c _Xp_addh"
	strings:
		$1 = { D0 FF BD 27 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 10 00 B0 AF 21 90 E0 00 21 98 80 00 21 A0 A0 00 16 00 E0 18 21 88 C0 00 00 00 D6 8C 21 28 00 00 ?? ?? ?? 0? 21 20 C0 02 10 00 40 10 21 80 00 00 ?? ?? ?? 0? 00 80 15 3C 04 00 36 8E 04 00 31 26 ?? ?? ?? 0? 21 20 C0 02 09 00 40 10 2C 00 BF 8F 21 28 80 02 26 30 B6 02 21 20 60 02 ?? ?? ?? 0? 01 00 10 26 F4 FF 12 16 21 28 00 00 2C 00 BF 8F 21 10 60 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_469_6_4 {
	meta:
		name = "_FXp_subx"
		size = 184
		refs = "0040 fpcmp 007c _FXp_addh"
	strings:
		$1 = { D0 FF BD 27 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 10 00 B0 AF 21 90 E0 00 21 98 80 00 21 A0 A0 00 16 00 E0 18 21 88 C0 00 00 00 D6 8C 21 28 00 00 ?? ?? ?? 0? 21 20 C0 02 10 00 40 10 21 80 00 00 ?? ?? ?? 0? 00 80 15 3C 04 00 36 8E 04 00 31 26 ?? ?? ?? 0? 21 20 C0 02 09 00 40 10 2C 00 BF 8F 21 28 80 02 26 30 B6 02 21 20 60 02 ?? ?? ?? 0? 01 00 10 26 F4 FF 12 16 21 28 00 00 2C 00 BF 8F 21 10 60 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_468_7_4 {
	meta:
		name = "_Xp_ldexpx"
		size = 140
		refs = "0048 ldexp 0058 fpcmp"
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 24 00 BF AF 20 00 B4 AF 10 00 B0 AF 21 88 A0 00 21 98 80 00 10 00 A0 18 21 90 C0 00 21 80 80 00 ?? ?? ?? 0? 21 A0 00 00 0B 00 91 12 04 00 10 26 00 00 04 8E 21 28 40 02 ?? ?? ?? 0? 01 00 94 26 00 00 02 AE 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 F5 FF 40 14 00 00 00 00 24 00 BF 8F 21 10 60 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_469_7_4 {
	meta:
		name = "_FXp_ldexpx"
		size = 140
		refs = "0048 ldexpf 0058 fpcmp"
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 24 00 BF AF 20 00 B4 AF 10 00 B0 AF 21 88 A0 00 21 98 80 00 10 00 A0 18 21 90 C0 00 21 80 80 00 ?? ?? ?? 0? 21 A0 00 00 0B 00 91 12 04 00 10 26 00 00 04 8E 21 28 40 02 ?? ?? ?? 0? 01 00 94 26 00 00 02 AE 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 F5 FF 40 14 00 00 00 00 24 00 BF 8F 21 10 60 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_468_8_4 {
	meta:
		name = "_Xp_mulx"
		size = 344
		refs = "004c fpcmp 0078 _Xp_mulh 00b4 _Xp_movx 013c _Xp_addx"
	strings:
		$1 = { C8 FF BD 27 30 00 B7 AF 28 00 B5 AF 24 00 B4 AF 18 00 B1 AF 14 00 B0 AF 34 00 BF AF 2C 00 B6 AF 20 00 B3 AF 1C 00 B2 AF 21 80 A0 00 21 A0 80 00 21 88 C0 00 21 A8 E0 00 11 00 A0 10 48 00 B7 8F 0F 00 E0 10 21 28 00 00 00 00 D2 8C ?? ?? ?? 0? 21 20 40 02 06 00 40 10 21 28 00 00 04 00 24 8E ?? ?? ?? 0? 04 00 36 26 11 00 40 14 21 30 80 02 21 20 80 02 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 34 00 BF 8F 21 10 80 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 20 E0 02 ?? ?? ?? 0? 21 28 00 02 00 00 26 8E 21 20 80 02 21 28 00 02 ?? ?? ?? 0? 80 90 10 00 02 00 A2 2A EA FF 40 14 21 90 F2 02 04 00 24 8E ?? ?? ?? 0? 21 28 00 00 E5 FF 40 10 08 00 31 26 ?? ?? ?? 0? 01 00 13 24 00 00 24 8E ?? ?? ?? 0? 04 00 31 26 DF FF 40 10 34 00 BF 8F 21 30 E0 02 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 00 00 C6 8E 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 01 00 73 26 21 28 00 02 21 20 80 02 21 30 40 02 ?? ?? ?? 0? 21 38 00 02 21 B0 20 02 EB FF 75 16 21 28 00 00 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_469_8_4 {
	meta:
		name = "_FXp_mulx"
		size = 344
		refs = "004c fpcmp 0078 _FXp_mulh 00b4 _FXp_movx 013c _FXp_addx"
	strings:
		$1 = { C8 FF BD 27 30 00 B7 AF 28 00 B5 AF 24 00 B4 AF 18 00 B1 AF 14 00 B0 AF 34 00 BF AF 2C 00 B6 AF 20 00 B3 AF 1C 00 B2 AF 21 80 A0 00 21 A0 80 00 21 88 C0 00 21 A8 E0 00 11 00 A0 10 48 00 B7 8F 0F 00 E0 10 21 28 00 00 00 00 D2 8C ?? ?? ?? 0? 21 20 40 02 06 00 40 10 21 28 00 00 04 00 24 8E ?? ?? ?? 0? 04 00 36 26 11 00 40 14 21 30 80 02 21 20 80 02 21 28 00 02 ?? ?? ?? 0? 21 30 40 02 34 00 BF 8F 21 10 80 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 20 E0 02 ?? ?? ?? 0? 21 28 00 02 00 00 26 8E 21 20 80 02 21 28 00 02 ?? ?? ?? 0? 80 90 10 00 02 00 A2 2A EA FF 40 14 21 90 F2 02 04 00 24 8E ?? ?? ?? 0? 21 28 00 00 E5 FF 40 10 08 00 31 26 ?? ?? ?? 0? 01 00 13 24 00 00 24 8E ?? ?? ?? 0? 04 00 31 26 DF FF 40 10 34 00 BF 8F 21 30 E0 02 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 00 00 C6 8E 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 01 00 73 26 21 28 00 02 21 20 80 02 21 30 40 02 ?? ?? ?? 0? 21 38 00 02 21 B0 20 02 EB FF 75 16 21 28 00 00 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_468_9_4 {
	meta:
		name = "_Xp_invx"
		size = 464
		refs = "0060 _Dtest 0080 _Inf 00d0 _Xp_movx 00e4 _Xp_mulh 0100 fpadd 0110 fpdiv 0120 _Xp_setw 014c _Xp_mulx 015c _Xp_addh 018c _Xp_addx"
	strings:
		$1 = { C8 FF BD 27 30 00 B6 AF 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 21 B0 A0 00 21 80 80 00 0C 00 A0 14 21 88 C0 00 34 00 BF 8F 21 10 00 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 40 04 01 00 03 24 10 00 43 50 21 10 00 00 EF FF 40 14 34 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 30 00 B6 8F 00 00 02 AE 2C 00 B5 8F 21 10 00 02 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 00 00 02 AE 80 98 16 00 21 A0 33 02 21 20 80 02 21 28 C0 02 21 30 00 02 ?? ?? ?? 0? 00 00 12 8E ?? ?? 02 3C ?? ?? 46 8C 21 20 80 02 ?? ?? ?? 0? 21 28 C0 02 02 00 C2 2A 2D 00 40 14 21 98 93 02 04 00 05 8E 21 20 40 02 ?? ?? ?? 0? ?? ?? 15 3C ?? ?? A4 8E 21 28 40 00 ?? ?? ?? 0? 01 00 12 24 21 30 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 C0 02 ?? ?? B5 8E 21 20 20 02 21 28 C0 02 ?? ?? ?? 0? 21 30 00 02 21 38 C0 02 21 20 20 02 21 28 C0 02 21 30 80 02 ?? ?? ?? 0? 10 00 B3 AF 21 20 20 02 21 28 C0 02 ?? ?? ?? 0? 21 30 A0 02 21 20 20 02 21 28 C0 02 21 30 00 02 21 38 C0 02 10 00 B3 AF ?? ?? ?? 0? 40 90 12 00 21 20 00 02 21 28 C0 02 21 30 20 02 ?? ?? ?? 0? 21 38 C0 02 2A 10 56 02 E5 FF 40 54 21 20 20 02 ?? ?? ?? 0? 34 00 BF 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 40 02 21 30 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 C0 02 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_469_9_4 {
	meta:
		name = "_FXp_invx"
		size = 464
		refs = "0060 _FDtest 0080 _FInf 00d0 _FXp_movx 00e4 _FXp_mulh 0100 fpadd 0110 fpdiv 0120 _FXp_setw 014c _FXp_mulx 015c _FXp_addh 018c _FXp_addx"
	strings:
		$1 = { C8 FF BD 27 30 00 B6 AF 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 21 B0 A0 00 21 80 80 00 0C 00 A0 14 21 88 C0 00 34 00 BF 8F 21 10 00 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 40 04 01 00 03 24 10 00 43 50 21 10 00 00 EF FF 40 14 34 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 30 00 B6 8F 00 00 02 AE 2C 00 B5 8F 21 10 00 02 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 00 00 02 AE 80 98 16 00 21 A0 33 02 21 20 80 02 21 28 C0 02 21 30 00 02 ?? ?? ?? 0? 00 00 12 8E ?? ?? 02 3C ?? ?? 46 8C 21 20 80 02 ?? ?? ?? 0? 21 28 C0 02 02 00 C2 2A 2D 00 40 14 21 98 93 02 04 00 05 8E 21 20 40 02 ?? ?? ?? 0? ?? ?? 15 3C ?? ?? A4 8E 21 28 40 00 ?? ?? ?? 0? 01 00 12 24 21 30 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 C0 02 ?? ?? B5 8E 21 20 20 02 21 28 C0 02 ?? ?? ?? 0? 21 30 00 02 21 38 C0 02 21 20 20 02 21 28 C0 02 21 30 80 02 ?? ?? ?? 0? 10 00 B3 AF 21 20 20 02 21 28 C0 02 ?? ?? ?? 0? 21 30 A0 02 21 20 20 02 21 28 C0 02 21 30 00 02 21 38 C0 02 10 00 B3 AF ?? ?? ?? 0? 40 90 12 00 21 20 00 02 21 28 C0 02 21 30 20 02 ?? ?? ?? 0? 21 38 C0 02 2A 10 56 02 E5 FF 40 54 21 20 20 02 ?? ?? ?? 0? 34 00 BF 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 40 02 21 30 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 C0 02 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_468_10_4 {
	meta:
		name = "_Xp_sqrtx"
		size = 496
		refs = "0068 _Dtest 007c fpcmp 008c _Feraise 0094 _Nan 00cc fpadd 00d4 sqrt 00e4 fpdiv 00f4 _Xp_setw 0120 _Xp_movx 0130 _Xp_mulh 0148 _Xp_mulx 0170 _Xp_addh"
	strings:
		$1 = { C0 FF BD 27 24 00 B2 AF 20 00 B1 AF 1C 00 B0 AF 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF 21 80 A0 00 21 90 80 00 0D 00 A0 14 21 88 C0 00 3C 00 BF 8F 21 10 40 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 00 00 00 00 0C 00 42 04 00 00 55 8E 00 00 44 8E ?? ?? ?? 0? 21 28 00 00 ED FF 41 04 3C 00 BF 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 42 8C ?? ?? ?? 0? 00 00 42 AE 21 28 00 00 ?? ?? ?? 0? 21 20 A0 02 F6 FF 40 04 80 A0 10 00 21 98 34 02 02 00 02 2A 3F 00 40 14 21 A0 74 02 04 00 45 8E ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 21 30 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 03 00 02 2A 27 00 40 14 ?? ?? 02 3C ?? ?? 56 8C ?? ?? 02 3C ?? ?? 57 8C 02 00 15 24 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 60 02 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 C0 02 21 20 20 02 21 28 00 02 21 30 40 02 21 38 00 02 ?? ?? ?? 0? 10 00 B4 AF 21 38 00 02 21 20 20 02 21 28 00 02 21 30 60 02 ?? ?? ?? 0? 10 00 B4 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 E0 02 40 A8 15 00 21 20 60 02 21 28 00 02 21 30 20 02 21 38 00 02 ?? ?? ?? 0? 10 00 B4 AF 2A 10 B0 02 E0 FF 40 54 21 20 20 02 21 28 00 02 21 20 40 02 21 30 60 02 21 38 00 02 ?? ?? ?? 0? 10 00 B4 AF ?? ?? ?? 0? 3C 00 BF 8F ?? ?? ?? 0? 21 20 A0 02 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 21 30 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 21 28 00 02 }
	condition:
		$1
}

rule file_469_10_4 {
	meta:
		name = "_FXp_sqrtx"
		size = 496
		refs = "0068 _FDtest 007c fpcmp 008c _Feraise 0094 _FNan 00cc fpadd 00d4 sqrtf 00e4 fpdiv 00f4 _FXp_setw 0120 _FXp_movx 0130 _FXp_mulh 0148 _FXp_mulx 0170 _FXp_addh"
	strings:
		$1 = { C0 FF BD 27 24 00 B2 AF 20 00 B1 AF 1C 00 B0 AF 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF 21 80 A0 00 21 90 80 00 0D 00 A0 14 21 88 C0 00 3C 00 BF 8F 21 10 40 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 00 00 00 00 0C 00 42 04 00 00 55 8E 00 00 44 8E ?? ?? ?? 0? 21 28 00 00 ED FF 41 04 3C 00 BF 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 42 8C ?? ?? ?? 0? 00 00 42 AE 21 28 00 00 ?? ?? ?? 0? 21 20 A0 02 F6 FF 40 04 80 A0 10 00 21 98 34 02 02 00 02 2A 3F 00 40 14 21 A0 74 02 04 00 45 8E ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 21 30 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 03 00 02 2A 27 00 40 14 ?? ?? 02 3C ?? ?? 56 8C ?? ?? 02 3C ?? ?? 57 8C 02 00 15 24 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 60 02 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 C0 02 21 20 20 02 21 28 00 02 21 30 40 02 21 38 00 02 ?? ?? ?? 0? 10 00 B4 AF 21 38 00 02 21 20 20 02 21 28 00 02 21 30 60 02 ?? ?? ?? 0? 10 00 B4 AF 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 E0 02 40 A8 15 00 21 20 60 02 21 28 00 02 21 30 20 02 21 38 00 02 ?? ?? ?? 0? 10 00 B4 AF 2A 10 B0 02 E0 FF 40 54 21 20 20 02 21 28 00 02 21 20 40 02 21 30 60 02 21 38 00 02 ?? ?? ?? 0? 10 00 B4 AF ?? ?? ?? 0? 3C 00 BF 8F ?? ?? ?? 0? 21 20 A0 02 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 21 30 40 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 21 28 00 02 }
	condition:
		$1
}

rule file_469_1_4 {
	meta:
		name = "_FXp_setw"
		size = 212
		refs = "0034 _FDunscale 0098 _FDint 00a4 _FDscale 00b4 fpsub"
	strings:
		$1 = { D8 FF BD 27 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 21 90 C0 00 21 88 A0 00 21 80 80 00 0D 00 A0 18 14 00 A6 AF 01 00 02 24 11 00 A2 10 10 00 A4 27 ?? ?? ?? 0? 14 00 A5 27 0D 00 40 50 14 00 B2 8F 13 00 40 18 14 00 A2 8F 21 18 00 00 04 00 03 AE 00 00 02 AE 24 00 BF 8F 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 00 00 12 AE 21 10 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 0C 00 05 24 ?? ?? ?? 0? 14 00 A4 27 10 00 A5 87 ?? ?? ?? 0? 14 00 A4 27 14 00 A5 8F 21 20 40 02 ?? ?? ?? 0? 00 00 05 AE 04 00 02 AE 02 00 02 24 E4 FF 22 12 21 10 00 00 ?? ?? ?? 0? 08 00 02 AE }
	condition:
		$1
}

rule file_469_2_4 {
	meta:
		name = "_FXp_addh"
		size = 1088
		refs = "0078 _FDunscale 0090 _FDtest 00bc _Feraise 00c4 _FNan 0188 fpcmp 0230 fpadd 02e4 _FDint 02f0 _FDscale 02fc fpsub"
	strings:
		$1 = { B0 FF BD 27 34 00 B3 AF 28 00 B0 AF 4C 00 BF AF 48 00 BE AF 44 00 B7 AF 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 30 00 B2 AF 2C 00 B1 AF 21 80 A0 00 21 98 80 00 58 00 A6 AF 0E 00 A0 14 14 00 A6 AF 4C 00 BF 8F 21 10 60 02 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 14 00 A5 27 26 00 40 18 02 00 11 24 16 00 51 10 58 00 A2 8F ?? ?? ?? 0? 21 20 60 02 12 00 40 58 58 00 A2 8F E7 FF 51 10 5A 00 A2 97 02 00 63 96 26 10 62 00 00 80 42 30 E3 FF 40 10 4C 00 BF 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 42 8C 02 00 10 2A DB FF 00 16 00 00 62 AE 21 10 00 00 ?? ?? ?? 0? 04 00 62 AE 4C 00 BF 8F 48 00 BE 8F 00 00 62 AE 44 00 B7 8F 21 10 60 02 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 C9 FF 40 10 4C 00 BF 8F C7 FF 00 1A FF FF 16 26 80 A8 16 00 21 A8 75 02 21 88 00 00 00 01 14 24 80 90 11 00 21 90 72 02 00 00 42 8E 12 00 A4 27 18 00 A5 27 ?? ?? ?? 0? 18 00 A2 AF BA FF 40 1C 4C 00 BF 8F AD 00 40 10 12 00 B7 87 10 00 A2 87 23 10 E2 02 F5 FF 43 28 71 00 60 10 0C 00 42 28 58 00 BE 8F 21 28 00 00 21 20 C0 03 ?? ?? ?? 0? 24 00 BE AF 26 00 40 10 24 00 A3 8F 21 18 40 02 ?? ?? ?? 0? 21 30 20 02 21 30 E0 02 01 00 D7 24 2A 10 F0 02 09 00 40 10 21 28 00 00 04 00 64 8C 04 00 63 24 24 00 A3 AF ?? ?? ?? 0? 20 00 A6 AF 24 00 A3 8F F4 FF 40 14 20 00 A6 8F 2A 10 F6 02 8C 00 40 10 26 10 17 02 01 00 F7 26 2A 10 37 02 07 00 40 10 80 10 17 00 21 10 62 02 FC FF 43 8C FF FF F7 26 00 00 43 AC FC FF F1 16 FC FF 42 24 21 10 00 00 00 00 5E AE 58 00 A2 AF 2A 10 30 02 C8 FF 40 14 80 90 11 00 ?? ?? ?? 0? 4C 00 BF 8F 00 00 45 8E ?? ?? ?? 0? 21 20 60 00 00 00 42 AE 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 B8 40 00 15 00 40 14 10 00 A4 27 21 B8 40 02 21 F0 20 02 01 00 DE 27 2A 10 D0 03 07 00 40 10 21 28 00 00 04 00 E4 8E 00 00 E4 AE ?? ?? ?? 0? 04 00 F7 26 F8 FF 40 54 01 00 DE 27 21 10 00 00 00 00 A2 AE 00 00 57 8E 21 28 40 00 ?? ?? ?? 0? 21 20 E0 02 68 FF 40 10 10 00 A4 27 58 00 A5 27 ?? ?? ?? 0? 58 00 B7 AF 10 00 A2 87 F4 FF 83 26 2A 18 62 00 2A 00 60 14 0C 00 42 24 01 00 31 26 5D FF 30 12 21 28 40 02 00 00 42 8E 12 00 A4 27 ?? ?? ?? 0? 58 00 A2 AF 21 20 40 02 ?? ?? ?? 0? 0C 00 05 24 12 00 A5 87 ?? ?? ?? 0? 21 20 40 02 58 00 A4 8F ?? ?? ?? 0? 00 00 45 8E 21 20 40 00 21 28 00 00 21 B8 40 00 58 00 A2 AF ?? ?? ?? 0? 12 00 B4 87 01 00 40 50 00 00 57 8E 10 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 B7 AF ?? ?? ?? 0? 2A 10 30 02 BB FF 40 14 58 00 A3 8F 21 28 00 00 21 20 60 00 ?? ?? ?? 0? 24 00 A3 AF B5 FF 40 10 24 00 A3 8F 01 00 31 26 ?? ?? ?? 0? 21 A0 E0 02 23 A0 54 00 20 2E 14 7C ?? ?? ?? 0? 58 00 A4 27 10 00 A5 87 ?? ?? ?? 0? 58 00 A4 27 00 00 44 8E ?? ?? ?? 0? 58 00 A5 8F 00 00 42 AE 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 0F 00 40 54 FF FF 31 26 21 A0 20 02 01 00 94 26 2A 10 90 02 07 00 40 10 21 28 00 00 04 00 44 8E 00 00 44 AE ?? ?? ?? 0? 04 00 52 26 F8 FF 40 14 01 00 94 26 21 10 00 00 00 00 A2 AE FF FF 31 26 56 FF 20 12 00 01 14 24 FF FF 22 26 80 10 02 00 21 10 62 02 00 00 42 8C 12 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 A2 AF ?? ?? ?? 0? 12 00 B4 87 ?? ?? ?? 0? 0A B8 C2 00 58 00 A2 8F 01 00 31 26 2A 80 30 02 06 FF 00 12 00 00 42 AE 80 88 11 00 21 88 71 02 21 10 00 00 ?? ?? ?? 0? 00 00 22 AE }
	condition:
		$1
}

rule file_469_3_4 {
	meta:
		name = "_FXp_mulh"
		size = 596
		refs = "0040 fpmul 004c _FDtest 00f4 fpcmp 0190 _FDunscale 019c _FDint 01ac _FDscale 01bc _FXp_addh 01cc fpsub 0240 _Feraise"
	strings:
		$1 = { A8 FF BD 27 4C 00 B7 AF 44 00 B5 AF 3C 00 B3 AF 54 00 BF AF 50 00 BE AF 48 00 B6 AF 40 00 B4 AF 38 00 B2 AF 34 00 B1 AF 30 00 B0 AF 21 98 A0 00 21 B8 80 00 12 00 A0 18 21 A8 C0 00 00 00 84 8C ?? ?? ?? 0? 21 28 C0 00 18 00 A4 27 ?? ?? ?? 0? 18 00 A2 AF 17 00 40 04 02 00 03 24 78 00 43 10 00 00 00 00 18 00 A3 8F 05 00 40 10 00 00 E3 AE 01 00 02 24 02 00 62 12 21 10 00 00 04 00 E2 AE 54 00 BF 8F 21 10 E0 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 21 10 00 00 00 00 E2 AE 21 A0 00 00 01 00 10 24 04 00 16 24 04 00 02 2A 2A 00 40 10 18 00 B1 8F 21 F0 90 02 2A 10 D3 03 51 00 40 10 80 90 1E 00 21 90 F2 02 00 00 43 8E 21 28 00 00 21 20 60 00 ?? ?? ?? 0? 28 00 A3 AF 49 00 40 10 28 00 A3 8F 01 00 DE 27 80 F0 1E 00 80 88 10 00 18 00 A2 27 21 F0 FE 02 ?? ?? ?? 0? 21 88 51 00 41 00 60 10 10 00 A2 27 00 00 C3 8F 04 00 DE 27 21 20 60 00 ?? ?? ?? 0? 28 00 A3 AF 39 00 40 10 28 00 A3 8F 21 28 60 00 21 20 A0 02 ?? ?? ?? 0? 01 00 10 26 21 28 00 00 21 18 90 02 00 00 22 AE 2A 18 73 00 00 00 45 AE 04 00 31 26 EC FF 16 16 21 90 C0 03 18 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 BE FF 40 10 14 00 A5 27 10 00 A4 27 ?? ?? ?? 0? 14 00 B1 AF 14 00 A4 27 ?? ?? ?? 0? 0C 00 05 24 10 00 A5 87 14 00 A4 27 ?? ?? ?? 0? 1C 00 B1 27 14 00 A6 8F 21 20 E0 02 ?? ?? ?? 0? 21 28 60 02 18 00 A4 8F 14 00 A5 8F ?? ?? ?? 0? 21 90 00 00 21 30 40 00 21 20 E0 02 ?? ?? ?? 0? 21 28 60 02 01 00 52 26 2A 10 50 02 08 00 40 10 21 28 00 00 00 00 22 8E FC FF 22 AE 21 20 40 00 ?? ?? ?? 0? 04 00 31 26 F7 FF 40 54 01 00 52 26 01 00 94 26 9A FF 93 12 FF FF 10 26 ?? ?? ?? 0? 04 00 02 2A 10 00 A2 27 80 80 10 00 21 80 50 00 21 10 00 00 08 00 02 AE ?? ?? ?? 0? 08 00 10 24 ?? ?? ?? 0? 01 00 04 24 18 00 A2 8F ?? ?? ?? 0? 00 00 E2 AE }
	condition:
		$1
}

rule file_470_0_4 {
	meta:
		name = "free"
		size = 236
		refs = "0020 _Aldata"
	strings:
		$1 = { 16 00 80 10 00 00 00 00 F8 FF 86 8C 08 00 C2 2C 12 00 40 14 F8 FF 84 24 07 00 C2 30 0F 00 40 14 ?? ?? 07 3C ?? ?? E2 24 04 00 43 8C 03 00 60 10 2B 28 83 00 0F 00 A0 50 04 00 62 8C 04 00 83 AC 04 00 44 AC 05 00 60 10 00 00 00 00 00 00 82 8C 21 28 82 00 1B 00 65 50 00 00 65 8C 08 00 E0 03 00 00 00 00 06 00 A0 10 21 50 40 00 21 18 40 00 04 00 62 8C FB FF 40 14 2B 28 44 00 21 50 00 00 00 00 68 8C 21 28 68 00 2B 48 85 00 F3 FF 20 15 00 00 00 00 11 00 A4 50 21 30 06 01 06 00 40 50 04 00 82 AC 21 30 86 00 2B 30 46 00 EB FF C0 14 00 00 00 00 04 00 82 AC 04 00 64 AC ?? ?? ?? 0? 04 00 83 8C 04 00 63 8C ?? ?? E0 AC 21 10 A2 00 00 00 82 AC 08 00 E0 03 04 00 83 AC 00 00 66 AC 21 20 60 00 ?? ?? ?? 0? 21 18 40 01 }
	condition:
		$1
}

rule file_472_0_4 {
	meta:
		name = "atan2f"
		size = 404
		refs = "0020 _FDtest 0078 _FAtan 00cc fpcmp 00e8 fpdiv"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 2C 00 A4 27 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF ?? ?? ?? 0? 2C 00 A5 AF 21 88 40 00 ?? ?? ?? 0? 28 00 A4 27 19 00 20 1A 02 00 03 24 39 00 43 10 24 00 BF 8F 3E 00 23 52 2C 00 A2 8F 2A 00 22 12 21 20 00 00 2A 00 A5 87 2E 00 A3 87 08 00 10 24 00 00 A5 28 2C 00 60 04 0A 80 05 00 02 00 03 3A 01 00 42 38 0A 80 62 00 ?? ?? ?? 0? 21 28 00 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 E7 FF 40 1C 00 00 00 00 2A 00 A2 87 35 00 40 04 28 00 B3 8F 28 00 B3 8F 21 80 00 00 2E 00 A2 87 2B 00 40 04 2C 00 B2 8F 2C 00 B2 8F 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 20 00 42 04 21 20 40 02 E6 FF 20 12 21 20 00 00 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C 2A 00 A5 87 ?? ?? 64 8C 2E 00 A3 87 08 00 10 24 00 00 A5 28 D6 FF 61 04 0A 80 05 00 06 00 10 3A ?? ?? ?? 0? FF FF 10 32 28 00 A2 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 60 02 21 20 40 00 ?? ?? ?? 0? 02 00 10 3A 00 80 02 3C 06 00 10 3A 26 90 42 02 ?? ?? ?? 0? 2C 00 B2 AF 00 80 02 3C 08 00 10 24 26 98 62 02 ?? ?? ?? 0? 28 00 B3 AF }
	condition:
		$1
}

rule file_476_0_4 {
	meta:
		name = "_ZNSt3tr1L3addEPyiS0_i"
		size = 176
	strings:
		$1 = { 29 00 E0 18 21 10 80 00 21 40 00 00 21 48 00 00 21 50 00 00 00 00 CB 8C 00 00 43 8C 04 00 CE 8C 04 00 4C 8C 21 18 63 01 2B 68 6B 00 21 60 CC 01 21 58 68 00 21 60 AC 01 21 60 89 01 2B 18 63 01 01 00 4A 25 00 00 4B AC 04 00 40 AC 21 40 6C 00 21 48 00 00 08 00 42 24 EE FF 47 15 08 00 C6 24 11 00 00 11 2A 10 45 01 0F 00 40 10 C0 10 0A 00 21 20 82 00 00 00 82 8C 04 00 83 8C 01 00 4A 25 21 10 02 01 21 18 23 01 2B 30 48 00 21 40 C3 00 21 48 00 00 00 00 82 AC 03 00 00 11 04 00 80 AC F4 FF 45 15 08 00 84 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_476_1_4 {
	meta:
		name = "_ZNSt3tr1L3mulEPyiy"
		size = 100
	strings:
		$1 = { 16 00 A0 18 21 40 00 00 21 10 00 00 21 18 00 00 04 00 8A 8C 00 00 89 8C 01 00 08 25 18 00 46 01 04 00 80 AC 00 00 27 71 12 50 00 00 19 00 26 01 12 60 00 00 21 48 4C 00 2B 58 22 01 10 68 00 00 21 68 4D 01 21 50 6D 00 00 00 89 AC 21 10 6A 01 21 18 00 00 EE FF 05 15 08 00 84 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_476_2_4 {
	meta:
		name = "_ZNSt3tr17_MP_GetEPy"
		size = 20
	strings:
		$1 = { 08 00 85 8C 04 00 83 8C 00 00 82 8C 08 00 E0 03 21 18 A3 00 }
	condition:
		$1
}

rule file_476_3_4 {
	meta:
		name = "_ZNSt3tr17_MP_AddEPyy"
		size = 52
	strings:
		$1 = { D8 FF BD 27 10 00 A6 AF 18 00 A7 AF 10 00 A6 27 05 00 05 24 02 00 07 24 24 00 BF AF 14 00 A0 AF ?? ?? ?? 0? 1C 00 A0 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_476_4_4 {
	meta:
		name = "_ZNSt3tr17_MP_MulEPyyy"
		size = 464
	strings:
		$1 = { E0 FF BD 27 34 00 A3 8F 30 00 A2 8F 00 00 A6 AF 18 00 A3 AF 04 00 A0 AF 08 00 A7 AF 0C 00 A0 AF 1C 00 A0 AF 21 28 80 00 21 18 00 00 05 00 06 24 21 40 00 00 21 48 00 00 01 00 63 24 00 00 A8 AC 04 00 A9 AC FB FF 66 14 08 00 A5 24 2F 00 40 50 21 10 00 00 00 00 A6 8F 08 00 AC 8F 04 00 AB 8F 19 00 C2 00 0C 00 AA 8F 00 00 88 8C 04 00 85 8C 08 00 89 8C 1C 00 A3 8F 04 00 80 AC 14 00 80 AC 12 30 00 00 10 38 00 00 19 00 82 01 12 60 00 00 10 68 00 00 02 70 62 71 02 58 42 71 21 38 C7 01 21 10 C8 00 21 28 E5 00 0C 00 88 8C 00 00 82 AC 2B 10 46 00 21 28 45 00 21 30 89 01 21 10 A6 00 2B 28 45 00 2B 30 CC 00 08 00 82 AC 18 00 A2 8F 0C 00 80 AC 21 68 6D 01 21 38 A8 01 21 30 C7 00 21 28 A6 00 10 00 85 AC 25 28 43 00 10 00 A0 14 00 00 A9 8F 21 40 00 00 21 48 00 00 18 00 88 AC 1C 00 89 AC 08 00 E0 03 20 00 BD 27 21 18 00 00 10 00 82 AC 14 00 83 AC 18 00 A2 8F 1C 00 A3 8F 25 28 43 00 F4 FF A0 10 21 40 00 00 00 00 A9 8F 04 00 AA 8F 0C 00 AC 8F 02 68 23 71 08 00 A7 8F 08 00 86 8C 0C 00 8B 8C 10 00 88 8C 0C 00 80 AC 1C 00 80 AC 20 00 BD 27 02 60 82 71 02 50 42 71 19 00 22 01 21 50 AA 01 12 70 00 00 21 30 C6 01 08 00 86 AC 10 78 00 00 21 78 4F 01 14 00 8A 8C 02 48 E3 70 2B 30 CE 00 14 00 80 AC 19 00 E2 00 21 18 2C 01 21 48 EB 01 21 30 C9 00 12 60 00 00 10 68 00 00 21 68 6D 00 21 18 88 01 21 30 66 00 2B 40 6C 00 21 10 AA 01 21 10 02 01 2B 18 C3 00 21 18 62 00 10 00 86 AC 08 00 E0 03 18 00 83 AC }
	condition:
		$1
}

rule file_476_5_4 {
	meta:
		name = "_ZNSt3tr17_MP_RemEPyy"
		size = 1132
		refs = "00d8 __udivdi3 01cc __umoddi3"
	strings:
		$1 = { 98 FF BD 27 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 54 00 B5 AF 50 00 B4 AF 4C 00 B3 AF 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 68 00 A4 AF 21 18 00 00 10 00 A6 AF 14 00 A0 AF 21 10 00 00 18 00 A7 AF FE 00 E0 14 1C 00 A0 AF 02 00 10 24 25 18 C3 00 08 00 A2 27 07 00 60 14 FF FF 10 26 00 00 46 8C 04 00 43 8C FF FF 10 26 25 18 C3 00 FB FF 60 10 F8 FF 42 24 FF FF 13 26 C0 10 13 00 10 00 A3 27 28 00 A2 AF 21 10 62 00 00 00 47 8C 04 00 42 8C 68 00 A4 8F 20 00 83 8C 24 00 84 8C 25 18 64 00 08 00 60 14 05 00 11 24 68 00 A3 8F 18 00 65 8C 1C 00 64 8C FF FF 31 26 25 20 A4 00 FB FF 80 10 F8 FF 63 24 01 00 E6 24 2B 38 C7 00 01 00 05 24 21 20 00 00 ?? ?? ?? 0? 21 38 E2 00 30 00 A2 AF 30 00 A5 8F 01 00 02 24 23 88 30 02 D6 00 A2 10 38 00 A3 AF 68 00 A4 8F 30 00 A6 8F 38 00 A7 8F ?? ?? ?? 0? 05 00 05 24 30 00 A6 8F 38 00 A7 8F 10 00 A4 27 ?? ?? ?? 0? 21 28 00 02 8D 00 20 06 C0 10 10 00 68 00 A9 8F 10 00 A8 27 21 90 30 02 FE FF 1E 26 C0 A8 12 00 C0 88 11 00 C0 F0 1E 00 FF FF 03 26 C0 98 13 00 21 10 02 01 24 00 A8 AF 21 A8 35 01 21 88 31 01 2C 00 A3 AF 28 00 B3 AF 21 F0 1E 01 34 00 A2 AF 20 00 B0 AF 24 00 A4 8F 28 00 A5 8F FC FF A3 8E 00 00 B7 8E 21 10 85 00 F8 FF A8 8E 00 00 56 8C 04 00 54 8C 21 B8 E3 02 21 20 00 01 21 28 E0 02 21 30 C0 02 21 38 80 02 ?? ?? ?? 0? 3C 00 A8 AF 21 80 40 00 25 10 43 00 21 98 60 00 62 00 40 10 3C 00 A8 8F 21 20 00 01 21 28 E0 02 21 30 C0 02 ?? ?? ?? 0? 21 38 80 02 21 20 56 00 FF FF 05 26 2B 40 82 00 21 18 74 00 2B 38 B0 00 FF FF 66 26 0D 00 60 16 21 18 03 01 00 00 CC 8F 04 00 C8 8F F4 FF A9 8E 19 00 90 01 21 10 49 00 10 68 00 00 12 60 00 00 02 48 10 71 21 68 2D 01 2B 40 4D 00 82 00 00 11 F0 FF AA 8E 21 80 A0 00 21 98 E6 00 E9 FF 60 10 21 10 80 00 20 00 A2 8F 42 00 40 18 24 00 A5 8F 34 00 AE 8F 21 20 20 02 21 10 00 00 21 18 00 00 01 00 0D 24 04 00 A6 8C 00 00 B8 8C 00 00 8A 8C 18 00 D0 00 04 00 8C 8C 23 38 02 00 2B 58 07 00 08 00 A5 24 00 00 13 73 12 30 00 00 19 00 10 03 12 C0 00 00 10 C8 00 00 21 C8 D9 00 23 30 58 01 2B 50 46 01 23 60 99 01 23 50 8A 01 21 38 C7 00 23 50 4B 01 23 50 43 01 2B 30 E6 00 21 10 CA 00 23 30 02 00 2B 50 06 00 21 18 00 00 03 00 40 10 23 50 AA 01 21 10 C0 00 21 18 40 01 00 00 87 AC 04 00 80 AC DF FF AE 14 08 00 84 24 25 20 62 00 18 00 80 10 05 00 44 2A 48 00 80 10 20 00 A8 8F 21 38 40 02 21 20 A0 02 01 00 09 24 00 00 88 8C 04 00 86 8C 01 00 E7 24 23 28 02 01 23 30 C3 00 2B 40 05 01 23 30 C8 00 23 40 06 00 2B 50 08 00 23 50 2A 01 21 10 00 01 21 18 40 01 05 00 E8 28 00 00 85 AC 30 00 C0 14 04 00 86 AC 00 00 85 AC 04 00 86 AC 2C 00 A2 8F FF FF 52 26 F8 FF B5 26 87 FF 42 16 F8 FF 31 26 30 00 A3 8F 01 00 02 24 3E 00 62 10 38 00 A4 8F 68 00 B1 8F 30 00 B4 8F 38 00 B3 8F 04 00 12 24 21 10 00 00 FF FF 10 24 24 00 35 8E 20 00 36 8E 21 30 80 02 21 A8 A2 02 21 20 C0 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 02 20 00 22 AE 24 00 23 AE 21 20 C0 02 21 28 A0 02 21 30 80 02 21 38 60 02 ?? ?? ?? 0? FF FF 52 26 EF FF 50 16 F8 FF 31 26 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 00 00 85 AC 04 00 80 AC BE FF 00 15 08 00 84 24 20 00 A8 8F 24 00 A6 8F 21 20 20 02 01 00 05 25 ?? ?? ?? 0? 21 38 00 01 ?? ?? ?? 0? 2C 00 A2 8F 82 FF 4D 14 2B 50 4C 01 7D FF 40 55 21 80 A0 00 ?? ?? ?? 0? 20 00 A2 8F 01 00 13 24 ?? ?? ?? 0? 02 00 10 24 2B FF 60 14 68 00 A4 8F ?? ?? ?? 0? 00 00 00 00 C3 FF 80 14 68 00 B1 8F ?? ?? ?? 0? 64 00 BF 8F }
	condition:
		$1
}

rule file_477_0_4 {
	meta:
		name = "_Puttxt"
		size = 852
	strings:
		$1 = { D0 FF BD 27 14 00 86 8C 18 00 B2 AF 38 00 92 8C 18 00 82 8C 1C 00 83 8C 20 00 87 8C 20 00 B4 AF 23 90 46 02 21 A0 80 00 23 90 42 02 24 00 84 8C 3C 00 82 96 23 90 43 02 28 00 83 8E 23 90 47 02 23 90 44 02 04 00 42 30 1C 00 B3 AF 2C 00 BF AF 28 00 B6 AF 24 00 B5 AF 14 00 B1 AF 10 00 B0 AF 21 98 A0 00 19 00 40 14 23 90 43 02 17 00 40 1A 00 00 00 00 0C 00 82 8E ?? ?? 10 3C 21 A8 40 02 20 00 11 24 ?? ?? 10 26 21 00 B6 2E 21 20 20 02 0B 20 B6 02 08 00 83 8E 21 B0 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 C0 02 23 A8 B6 02 77 00 40 10 0C 00 82 AE 34 00 83 8E 21 B0 76 00 F1 FF A0 1E 34 00 96 AE 14 00 86 8E 7B 00 C0 5C 08 00 82 8E 18 00 93 8E 16 00 60 5A 1C 00 86 8E 0C 00 82 8E ?? ?? 10 3C 20 00 11 24 ?? ?? 10 26 21 00 75 2E 21 20 20 02 0B 20 75 02 08 00 83 8E 21 A8 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 A0 02 23 98 75 02 5D 00 40 10 0C 00 82 AE 34 00 83 8E 21 A8 75 00 F1 FF 60 1E 34 00 95 AE 1C 00 86 8E 7B 00 C0 5C 08 00 82 8E 20 00 93 8E 16 00 60 5A 24 00 86 8E 0C 00 82 8E ?? ?? 10 3C 20 00 11 24 ?? ?? 10 26 21 00 75 2E 21 20 20 02 0B 20 75 02 08 00 83 8E 21 A8 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 A0 02 23 98 75 02 43 00 40 10 0C 00 82 AE 34 00 83 8E 21 A8 75 00 F1 FF 60 1E 34 00 95 AE 24 00 86 8E 53 00 C0 5C 1C 00 83 8E 28 00 93 8E 16 00 60 5A 3C 00 83 96 0C 00 82 8E ?? ?? 10 3C 20 00 11 24 ?? ?? 10 26 21 00 75 2E 21 20 20 02 0B 20 75 02 08 00 83 8E 21 A8 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 A0 02 23 98 75 02 29 00 40 10 0C 00 82 AE 34 00 83 8E 21 A8 75 00 F1 FF 60 1E 34 00 95 AE 3C 00 83 96 04 00 63 30 17 00 60 10 21 10 00 00 15 00 40 1A ?? ?? 10 3C 0C 00 82 8E 20 00 11 24 ?? ?? 10 26 21 00 53 2E 21 20 20 02 0B 20 53 02 08 00 83 8E 21 98 80 00 21 28 00 02 21 20 40 00 09 F8 60 00 21 30 60 02 23 90 53 02 10 00 40 10 0C 00 82 AE 34 00 83 8E 21 98 73 00 F1 FF 40 1E 34 00 93 AE 21 10 00 00 2C 00 BF 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F FF FF 02 24 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 0C 00 84 8E 09 F8 40 00 21 28 60 02 21 18 40 00 0C 00 82 AE E5 FF 60 10 FF FF 02 24 34 00 83 8E 14 00 82 8E 21 10 62 00 ?? ?? ?? 0? 34 00 82 AE 10 00 85 8E 08 00 82 8E 0C 00 84 8E 09 F8 40 00 21 28 A3 00 21 18 40 00 0C 00 82 AE D7 FF 60 10 FF FF 02 24 34 00 83 8E 24 00 82 8E 21 10 62 00 ?? ?? ?? 0? 34 00 82 AE 0C 00 84 8E 09 F8 40 00 10 00 85 8E 21 18 40 00 0C 00 82 AE CB FF 60 10 FF FF 02 24 34 00 83 8E 1C 00 82 8E 21 10 62 00 ?? ?? ?? 0? 34 00 82 AE }
	condition:
		$1
}

rule file_478_0_4 {
	meta:
		name = "tzset"
		size = 224
		refs = "0014 time 0020 gmtime 0028 mktime 0034 localtime 004c difftime 0054 fptosi 006c timezone 0090 strftime 007c daylight"
	strings:
		$1 = { D8 FF BD 27 21 20 00 00 24 00 BF AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 18 00 B0 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 A2 AF ?? ?? ?? 0? 21 20 40 00 10 00 A4 27 ?? ?? ?? 0? 21 88 40 00 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 40 00 20 00 03 8E ?? ?? 12 3C ?? ?? 11 3C 27 18 03 00 ?? ?? 08 3C C2 1F 03 00 ?? ?? 02 AD 20 00 00 AE ?? ?? 02 3C ?? ?? 44 26 08 00 05 24 ?? ?? 26 26 21 38 00 02 ?? ?? ?? 0? ?? ?? 43 AC 01 00 40 50 ?? ?? 40 A2 ?? ?? 12 3C 01 00 02 24 20 00 02 AE ?? ?? 44 26 08 00 05 24 ?? ?? 26 26 ?? ?? ?? 0? 21 38 00 02 01 00 40 50 ?? ?? 40 A2 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_479_0_4 {
	meta:
		name = "memalign"
		size = 160
		refs = "0044 malloc 0080 free"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 10 00 B0 AF 05 00 80 14 21 10 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 FF FF 90 24 24 20 04 02 FA FF 80 14 14 00 BF 8F 08 00 02 2E 15 00 40 14 00 00 00 00 21 20 05 02 ?? ?? ?? 0? 08 00 84 24 F1 FF 40 10 24 18 50 00 F0 FF 60 10 14 00 BF 8F 21 18 50 00 27 80 10 00 F8 FF 44 8C 24 80 70 00 23 18 02 02 08 00 63 24 23 20 83 00 F8 FF 04 AE 21 20 40 00 ?? ?? ?? 0? F8 FF 43 AC ?? ?? ?? 0? 21 10 00 02 ?? ?? ?? 0? 21 20 A0 00 ?? ?? ?? 0? 14 00 BF 8F }
	condition:
		$1
}

rule file_482_0_4 {
	meta:
		name = "ctanhf"
		size = 668
		refs = "0020 crealf 0030 cimagf 003c _FDtest 0074 tanf 008c _FSinh 009c fpmul 00a8 fpadd 00dc _FInf 00e4 fpcmp 0114 _FCbuild 0174 _FZero 0234 sqrtf 024c fpdiv 0070 _FNan"
	strings:
		$1 = { D0 FF BD 27 1C 00 B1 AF 18 00 B0 AF 21 88 A0 00 21 80 80 00 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF ?? ?? ?? 0? 20 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 01 00 03 24 3D 00 03 12 02 00 04 24 8A 00 44 50 14 00 A4 8F 55 00 04 12 14 00 B0 8F 80 00 43 10 ?? ?? 02 3C ?? ?? ?? 0? 14 00 A4 8F 21 88 40 00 ?? ?? 02 3C ?? ?? 50 8C 10 00 A4 8F ?? ?? ?? 0? 21 28 00 02 21 20 20 02 21 28 20 02 ?? ?? ?? 0? 21 90 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 21 28 40 02 ?? ?? ?? 0? 21 A0 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 98 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 60 02 4C 00 40 14 21 20 40 02 ?? ?? ?? 0? 21 28 00 00 46 00 40 04 ?? ?? 02 3C 21 20 20 02 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 28 40 00 21 20 60 00 2C 00 BF 8F 21 10 A0 00 21 18 80 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 10 00 A4 8F ?? ?? ?? 0? 21 28 00 00 2D 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 44 8C 16 00 A2 87 05 00 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C 26 28 A2 00 ?? ?? ?? 0? 00 00 00 00 2C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 21 28 00 00 10 00 B1 8F ?? ?? ?? 0? 21 20 00 02 01 00 40 54 21 80 20 02 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 2C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 50 8C ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 44 8C ?? ?? ?? 0? 21 28 80 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 21 28 80 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_484_0_4 {
	meta:
		name = "_FDnorm"
		size = 200
	strings:
		$1 = { 02 00 83 94 01 00 02 24 00 80 68 30 7F 00 63 30 FF FF 08 31 09 00 60 14 02 00 83 A4 00 00 85 94 26 00 A0 10 80 00 A6 2C 21 18 A0 00 02 00 85 A4 00 00 80 A4 0E 00 C0 10 F1 FF 02 24 00 00 85 94 C2 33 05 00 40 18 03 00 25 18 66 00 FF FF 63 30 40 28 05 00 FF FF 42 24 80 00 66 2C FF FF A5 30 F7 FF C0 14 20 16 02 7C 02 00 83 A4 00 00 85 A4 00 01 65 2C 11 00 A0 54 7F 00 63 30 02 00 87 94 ?? ?? ?? 0? 00 00 85 94 21 38 60 00 C0 33 03 00 42 28 05 00 40 78 E3 7C 25 28 C5 00 01 00 42 24 00 01 66 2C FF FF A5 30 F7 FF C0 10 20 16 02 7C 02 00 83 A4 00 00 85 A4 7F 00 63 30 25 18 68 00 08 00 E0 03 02 00 83 A4 }
	condition:
		$1
}

rule file_485_0_4 {
	meta:
		name = "wcscat"
		size = 68
	strings:
		$1 = { 00 00 83 8C 05 00 60 10 21 10 80 00 04 00 84 24 00 00 83 8C FE FF 60 54 04 00 84 24 00 00 A3 8C 06 00 60 10 00 00 83 AC 04 00 A5 24 00 00 A3 8C 04 00 84 24 FC FF 60 14 00 00 83 AC 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_486_1_4 {
	meta:
		name = "_ZNSt6locale7_LocimpD2Ev"
		size = 224
		refs = "000c _ZTVNSt6locale7_LocimpE 0094 free 00b4 _ZTVNSt6locale5facetE"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 0C 00 91 8C ?? ?? 02 3C ?? ?? 42 24 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 21 80 80 00 2C 00 20 12 00 00 82 AC FF 3F 12 3C FF FF 52 36 08 00 87 8C 21 90 32 02 80 90 12 00 21 10 F2 00 00 00 42 8C FF FF 31 26 0F 00 40 10 21 20 40 00 04 00 43 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 45 AC 21 18 A0 00 06 00 60 14 00 00 00 00 00 00 42 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 08 00 07 8E EC FF 20 16 FC FF 52 26 ?? ?? ?? 0? 21 20 E0 00 18 00 04 8E 04 00 80 10 1C 00 BF 8F ?? ?? ?? 0? 00 00 00 00 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 18 00 00 AE 00 00 02 AE 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 08 00 87 8C }
	condition:
		$1
}

rule file_486_3_4 {
	meta:
		name = "_Fac_tidy"
		size = 132
		refs = "005c _ZdlPv"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF ?? ?? 11 3C 14 00 B0 AF ?? ?? 30 8E 16 00 00 12 1C 00 BF AF 04 00 02 8E 00 00 05 8E 04 00 43 8C ?? ?? 25 AE FF FF 65 24 FE FF A6 2C 03 00 C0 10 21 20 40 00 04 00 45 AC 21 18 A0 00 05 00 60 14 00 00 00 00 00 00 42 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 30 8E ED FF 00 56 04 00 02 8E 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_486_4_4 {
	meta:
		name = "_ZNSt6locale7_LocimpD0Ev"
		size = 44
		refs = "000c _ZNSt6locale7_LocimpD1Ev 0014 _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_627_6_4 {
	meta:
		name = "_ZNSt8ios_baseD0Ev"
		size = 44
		refs = "000c _ZNSt8ios_baseD1Ev 0014 _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_486_5_4 {
	meta:
		name = "_Z41__static_initialization_and_destruction_0ii.clone.11"
		size = 132
		refs = "0008 _ZNSt5ctypeIcE2idE 0060 _ZNSt5ctypeIwE2idE 0068 _ZNSt7codecvtIwc9_MbstatetE2idE 0070 _ZNSt7codecvtIDsc9_MbstatetE2idE 0078 _ZNSt7codecvtIDic9_MbstatetE2idE"
	strings:
		$1 = { 01 00 02 24 15 00 82 10 ?? ?? 02 3C 11 00 80 14 ?? ?? 02 3C ?? ?? 44 8C 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 59 8C 08 00 20 03 00 00 00 00 08 00 E0 03 00 00 00 00 ?? ?? 40 AC ?? ?? 02 3C ?? ?? 40 AC ?? ?? 02 3C ?? ?? 40 AC ?? ?? 02 3C ?? ?? 40 AC ?? ?? 02 3C 08 00 E0 03 ?? ?? 40 AC }
	condition:
		$1
}

rule file_486_6_4 {
	meta:
		name = "_Deletegloballocale"
		size = 72
	strings:
		$1 = { 00 00 84 8C 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 59 8C 08 00 20 03 00 00 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_486_7_4 {
	meta:
		name = "_ZNSt6locale5_InitEv"
		size = 288
		refs = "000c _Getgloballocale 0044 _Znwm 005c _ZTVNSt6locale7_LocimpE 0080 malloc 009c memcpy 00a4 _Setgloballocale 00cc free 00fc _ZNSt6locale7_Locimp8_ClocptrE"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? 18 00 B1 AF 07 00 40 10 21 80 40 00 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 00 00 F7 FF 40 14 21 80 40 00 ?? ?? ?? 0? 20 00 04 24 15 00 40 10 21 80 40 00 01 00 02 24 04 00 02 AE ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 08 00 00 AE 0C 00 00 AE 10 00 00 AE 14 00 00 A2 1C 00 00 A2 18 00 00 AE ?? ?? ?? 0? 02 00 04 24 06 00 40 10 18 00 02 AE ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 ?? ?? ?? 0? 02 00 06 24 ?? ?? ?? 0? 21 20 00 02 18 00 04 8E ?? ?? 11 3C 3F 00 03 24 ?? ?? 22 26 0E 00 82 10 10 00 03 AE 04 00 80 50 02 00 04 24 ?? ?? ?? 0? 00 00 00 00 02 00 04 24 ?? ?? ?? 0? 18 00 00 AE 21 20 40 00 04 00 40 10 18 00 02 AE ?? ?? 25 26 ?? ?? ?? 0? 02 00 06 24 04 00 02 8E ?? ?? 03 3C ?? ?? 70 AC FF FF 03 24 02 00 43 10 01 00 42 24 04 00 02 AE ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 AC }
	condition:
		$1
}

rule file_486_8_4 {
	meta:
		name = "_ZNSt6locale5emptyEv"
		size = 148
		refs = "0010 _ZNSt6locale5_InitEv 0018 _Znwm 0028 _ZTVNSt6locale7_LocimpE 0054 malloc 0070 memcpy"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? ?? 0? 20 00 04 24 15 00 40 10 21 88 40 00 ?? ?? 03 3C 01 00 02 24 ?? ?? 63 24 04 00 22 AE 00 00 23 AE 08 00 20 AE 0C 00 20 AE 10 00 20 AE 14 00 22 A2 1C 00 20 A2 18 00 20 AE ?? ?? ?? 0? 02 00 04 24 06 00 40 10 18 00 22 AE ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 ?? ?? ?? 0? 02 00 06 24 1C 00 BF 8F 00 00 11 AE 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_486_9_4 {
	meta:
		name = "_ZNSt6locale7classicEv"
		size = 36
		refs = "0008 _ZNSt6locale5_InitEv"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_486_12_4 {
	meta:
		name = "_ZNSt6locale5facet9_RegisterEv"
		size = 100
		refs = "0020 _Znwm 0054 _Atexit 0050 _Fac_tidy"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF ?? ?? 11 3C ?? ?? 22 8E 14 00 B0 AF 1C 00 BF AF 0D 00 40 10 21 80 80 00 ?? ?? ?? 0? 08 00 04 24 03 00 40 10 ?? ?? 23 8E 04 00 50 AC 00 00 43 AC 1C 00 BF 8F ?? ?? 22 AE 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_486_13_4 {
	meta:
		name = "_ZNSt6locale7_LocimpC2Eb"
		size = 112
		refs = "0014 _ZTVNSt6locale7_LocimpE 003c malloc 0058 memcpy"
	strings:
		$1 = { E8 FF BD 27 01 00 02 24 10 00 B0 AF 14 00 BF AF 04 00 82 AC ?? ?? 02 3C ?? ?? 42 24 21 80 80 00 00 00 82 AC 08 00 80 AC 0C 00 80 AC 10 00 80 AC 14 00 85 A0 1C 00 80 A0 18 00 80 AC ?? ?? ?? 0? 02 00 04 24 06 00 40 10 18 00 02 AE ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 ?? ?? ?? 0? 02 00 06 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_486_14_4 {
	meta:
		name = "_ZNSt8_LocinfoC2EPKc"
		size = 396
		refs = "0018 _Getptimes 0070 setlocale 009c free 00cc malloc 00e4 memcpy"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 21 80 80 00 20 00 B2 AF ?? ?? ?? 0? 21 88 A0 00 50 00 44 24 21 18 00 02 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 00 00 42 8C 3F 00 04 24 21 28 00 00 00 00 62 AC 54 00 00 AE 58 00 00 A2 5C 00 00 AE ?? ?? ?? 0? 60 00 00 A2 03 00 40 14 21 90 40 00 ?? ?? 12 3C ?? ?? 52 26 54 00 04 8E 17 00 44 12 00 00 00 00 04 00 80 50 54 00 00 AE ?? ?? ?? 0? 00 00 00 00 54 00 00 AE 00 00 42 82 04 00 40 10 21 30 40 02 01 00 C6 24 00 00 C2 80 FE FF 40 14 01 00 C6 24 23 30 D2 00 21 20 C0 00 ?? ?? ?? 0? 10 00 A6 AF 54 00 02 AE 04 00 40 10 10 00 A6 8F 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 24 00 20 12 21 28 20 02 ?? ?? ?? 0? 3F 00 04 24 20 00 40 10 21 88 40 00 5C 00 04 8E 18 00 24 12 24 00 BF 8F 04 00 80 50 5C 00 00 AE ?? ?? ?? 0? 00 00 00 00 5C 00 00 AE 00 00 22 82 04 00 40 10 21 30 20 02 01 00 C6 24 00 00 C2 80 FE FF 40 14 01 00 C6 24 23 30 D1 00 21 20 C0 00 ?? ?? ?? 0? 10 00 A6 AF 5C 00 02 AE 04 00 40 10 10 00 A6 8F 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 11 3C ?? ?? ?? 0? ?? ?? 31 26 }
	condition:
		$1
}

rule file_486_15_4 {
	meta:
		name = "_ZNSt8_LocinfoC2ERKSs"
		size = 444
		refs = "0018 _Getptimes 0084 setlocale 00a8 free 00d8 malloc 00f0 memcpy"
	strings:
		$1 = { D8 FF BD 27 18 00 B0 AF 10 00 A5 AF 21 80 80 00 24 00 BF AF 20 00 B2 AF ?? ?? ?? 0? 1C 00 B1 AF 10 00 A5 8F 21 18 00 02 50 00 44 24 00 00 49 8C 04 00 48 8C 08 00 47 8C 0C 00 46 8C 10 00 42 24 00 00 69 AC 04 00 68 AC 08 00 67 AC 0C 00 66 AC F6 FF 44 14 10 00 63 24 00 00 42 8C 21 88 A0 00 00 00 62 AC 58 00 00 A2 60 00 00 A2 14 00 A2 8C 54 00 00 AE 10 00 42 2C 44 00 40 10 5C 00 00 AE 3F 00 04 24 ?? ?? ?? 0? 21 28 00 00 45 00 40 10 21 90 40 00 54 00 04 8E 17 00 44 12 00 00 00 00 04 00 80 50 54 00 00 AE ?? ?? ?? 0? 00 00 00 00 54 00 00 AE 00 00 42 82 04 00 40 10 21 30 40 02 01 00 C6 24 00 00 C2 80 FE FF 40 14 01 00 C6 24 23 30 D2 00 21 20 C0 00 ?? ?? ?? 0? 10 00 A6 AF 54 00 02 AE 04 00 40 10 10 00 A6 8F 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 2D 00 20 12 21 28 20 02 ?? ?? ?? 0? 3F 00 04 24 29 00 40 10 21 88 40 00 5C 00 04 8E 18 00 24 12 24 00 BF 8F 04 00 80 50 5C 00 00 AE ?? ?? ?? 0? 00 00 00 00 5C 00 00 AE 00 00 22 82 04 00 40 10 21 30 20 02 01 00 C6 24 00 00 C2 80 FE FF 40 14 01 00 C6 24 23 30 D1 00 21 20 C0 00 ?? ?? ?? 0? 10 00 A6 AF 5C 00 02 AE 04 00 40 10 10 00 A6 8F 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 00 00 B1 8C 3F 00 04 24 ?? ?? ?? 0? 21 28 00 00 BD FF 40 14 21 90 40 00 ?? ?? 12 3C ?? ?? ?? 0? ?? ?? 52 26 ?? ?? 11 3C ?? ?? ?? 0? ?? ?? 31 26 }
	condition:
		$1
}

rule file_486_16_4 {
	meta:
		name = "_ZNSt8_LocinfoD2Ev"
		size = 92
		refs = "0018 setlocale 002c free"
	strings:
		$1 = { 54 00 85 8C E8 FF BD 27 10 00 B0 AF 14 00 BF AF 03 00 A0 10 21 80 80 00 ?? ?? ?? 0? 3F 00 04 24 5C 00 04 8E 04 00 80 50 54 00 04 8E ?? ?? ?? 0? 00 00 00 00 54 00 04 8E 03 00 80 10 5C 00 00 AE ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 54 00 00 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_488_0_4 {
	meta:
		name = "fma"
		size = 644
		refs = "0034 _Dunscale 00e4 _Dscale 00f4 _Xp_setw 0124 _Xp_mulh 0130 fpcmp 014c _Xp_addx 0158 _Xp_getw 01c4 fpmul 01d0 fpadd 020c _Feraise 0214 _Nan"
	strings:
		$1 = { 98 FF BD 27 68 00 A4 AF 6C 00 A5 AF 18 00 A4 AF 1C 00 A5 AF 10 00 A4 27 18 00 A5 27 5C 00 B1 AF 58 00 B0 AF 64 00 BF AF 60 00 B2 AF 70 00 A6 AF 20 00 A6 AF ?? ?? ?? 0? 02 00 10 24 55 00 50 10 21 88 40 00 12 00 A4 27 ?? ?? ?? 0? 1C 00 A5 27 49 00 50 10 21 90 40 00 14 00 A4 27 ?? ?? ?? 0? 20 00 A5 27 6E 00 50 10 01 00 03 24 73 00 23 12 00 00 00 00 4E 00 43 12 00 00 00 00 69 00 43 10 64 00 BF 8F 4F 00 20 12 6C 00 A5 8F 4D 00 40 12 00 00 00 00 4A 00 40 10 10 00 A5 87 12 00 B0 87 72 00 A3 97 6E 00 A4 97 21 80 05 02 14 00 A5 97 76 00 A2 97 26 18 83 00 23 28 B0 00 20 2E 05 7C 00 80 63 30 00 80 42 30 3D 00 62 10 14 00 A5 A7 FE FF A2 28 3A 00 40 14 03 00 A2 28 39 00 40 50 6C 00 A5 8F ?? ?? ?? 0? 20 00 A4 27 18 00 A6 8F 34 00 A4 27 ?? ?? ?? 0? 04 00 05 24 1C 00 A6 8F 24 00 A4 27 ?? ?? ?? 0? 02 00 05 24 20 00 A6 8F 02 00 05 24 ?? ?? ?? 0? 2C 00 A4 27 24 00 A6 8F 34 00 A4 27 ?? ?? ?? 0? 04 00 05 24 28 00 A4 8F ?? ?? ?? 0? 21 28 00 00 44 00 40 14 18 00 A6 8F 2C 00 A6 27 02 00 07 24 04 00 05 24 ?? ?? ?? 0? 34 00 A4 27 34 00 A4 27 ?? ?? ?? 0? 04 00 05 24 20 00 A4 27 21 28 00 02 ?? ?? ?? 0? 20 00 A2 AF ?? ?? ?? 0? 20 00 A2 8F 6C 00 A2 8F 64 00 BF 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 68 00 BD 27 64 00 BF 8F 68 00 A2 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 68 00 BD 27 16 00 20 12 01 00 03 24 0D 00 43 10 72 00 A3 97 6C 00 A5 8F ?? ?? ?? 0? 68 00 A4 8F 70 00 A5 8F ?? ?? ?? 0? 21 20 40 00 64 00 BF 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 68 00 BD 27 6E 00 A4 97 76 00 A2 97 26 18 83 00 00 80 63 30 00 80 42 30 EF FF 62 10 6C 00 A5 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 64 00 BF 8F 70 00 A2 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 68 00 BD 27 F3 FF 40 12 01 00 03 24 ?? ?? ?? 0? 00 00 00 00 44 00 A4 27 ?? ?? ?? 0? 04 00 05 24 28 00 A6 8F 44 00 A4 27 ?? ?? ?? 0? 04 00 05 24 34 00 A4 27 04 00 05 24 44 00 A6 27 ?? ?? ?? 0? 04 00 07 24 ?? ?? ?? 0? 2C 00 A6 27 }
	condition:
		$1
}

rule file_489_0_4 {
	meta:
		name = "nexttowardl"
		size = 1104
		refs = "0034 _LDtest 0088 dpcmp 033c _Feraise"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 20 00 BE AF 1C 00 B1 AF 18 00 B0 AF 21 F0 A0 03 28 00 C4 AF 2C 00 C5 AF 30 00 C6 AF 34 00 C7 AF 28 00 C2 27 10 00 C2 AF 28 00 C4 27 ?? ?? ?? 0? 00 00 00 00 14 00 C2 A7 14 00 C3 87 02 00 02 24 EE 00 62 10 00 00 00 00 30 00 C2 27 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 18 40 00 02 00 02 24 0B 00 62 10 00 00 00 00 28 00 C4 8F 2C 00 C5 8F 30 00 C2 8F 34 00 C3 8F 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 07 00 40 14 00 00 00 00 30 00 C2 8F 34 00 C3 8F 28 00 C2 AF 2C 00 C3 AF ?? ?? ?? 0? 00 00 00 00 14 00 C3 87 01 00 02 24 1B 00 62 14 00 00 00 00 10 00 C2 8F 06 00 42 24 10 00 C3 8F 06 00 63 24 00 00 63 94 20 26 03 7C 00 80 03 24 24 18 83 00 20 1E 03 7C EF 7F 63 34 20 1E 03 7C FF FF 63 30 00 00 43 A4 10 00 C2 8F 04 00 42 24 FF FF 03 24 00 00 43 A4 10 00 C2 8F 02 00 42 24 FF FF 03 24 00 00 43 A4 10 00 C2 8F FF FF 03 24 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 14 00 C2 87 1C 00 40 14 00 00 00 00 10 00 C2 8F 06 00 51 24 28 00 C4 8F 2C 00 C5 8F 30 00 C2 8F 34 00 C3 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 04 00 40 10 00 00 00 00 21 10 00 00 ?? ?? ?? 0? 00 00 00 00 00 80 02 34 00 00 22 A6 10 00 C2 8F 01 00 03 24 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 28 00 C4 8F 2C 00 C5 8F 30 00 C2 8F 34 00 C3 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 10 00 40 10 00 00 00 00 28 00 C2 8F 2C 00 C3 8F 01 00 10 24 21 20 00 00 21 28 00 00 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 1F 00 40 14 00 00 00 00 30 00 C4 8F 34 00 C5 8F 28 00 C2 8F 2C 00 C3 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 3F 00 40 10 00 00 00 00 28 00 C2 8F 2C 00 C3 8F 01 00 10 24 21 20 40 00 21 28 60 00 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 30 00 40 10 00 00 00 00 10 00 C2 8F 00 00 42 94 01 00 42 24 FF FF 43 30 10 00 C2 8F 00 00 43 A4 10 00 C2 8F 00 00 42 94 54 00 40 14 00 00 00 00 10 00 C2 8F 02 00 42 24 00 00 43 94 01 00 63 24 FF FF 63 30 00 00 43 A4 00 00 42 94 44 00 40 14 00 00 00 00 10 00 C2 8F 04 00 42 24 00 00 43 94 01 00 63 24 FF FF 63 30 00 00 43 A4 00 00 42 94 3E 00 40 14 00 00 00 00 10 00 C2 8F 06 00 42 24 00 00 43 94 01 00 63 24 FF FF 63 30 00 00 43 A4 00 00 42 94 21 18 40 00 FF FF 02 3C FF 7F 42 34 24 18 62 00 F0 7F 02 24 33 00 62 14 00 00 00 00 08 00 04 24 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 10 00 C2 8F 00 00 42 94 FF FF 42 24 FF FF 43 30 10 00 C2 8F 00 00 43 A4 10 00 C2 8F 00 00 43 94 FF FF 02 34 24 00 62 14 00 00 00 00 10 00 C2 8F 02 00 42 24 00 00 43 94 FF FF 63 24 FF FF 63 30 00 00 43 A4 00 00 43 94 FF FF 02 34 1A 00 62 14 00 00 00 00 10 00 C2 8F 04 00 42 24 00 00 43 94 FF FF 63 24 FF FF 63 30 00 00 43 A4 00 00 43 94 FF FF 02 34 10 00 62 14 00 00 00 00 10 00 C2 8F 06 00 42 24 00 00 43 94 FF FF 63 24 FF FF 63 30 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 00 00 00 00 10 00 C2 8F 06 00 42 24 00 00 42 94 F0 7F 42 30 04 00 40 14 00 00 00 00 10 00 04 24 ?? ?? ?? 0? 00 00 00 00 28 00 C2 8F 2C 00 C3 8F 21 E8 C0 03 24 00 BF 8F 20 00 BE 8F 1C 00 B1 8F 18 00 B0 8F 28 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_490_0_4 {
	meta:
		name = "log10l"
		size = 28
		refs = "0008 _LLog"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 06 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_760_0_4 {
	meta:
		name = "cosl"
		size = 28
		refs = "0008 _LSin"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 01 00 06 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_492_0_4 {
	meta:
		name = "floorl"
		size = 172
		refs = "0024 _LDint 0060 dpcmp 0080 dpsub"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 21 80 80 00 21 28 00 00 10 00 A4 27 24 00 BF AF 10 00 B0 AF ?? ?? ?? 0? 14 00 B1 AF 0A 00 40 04 21 20 00 02 10 00 A5 8F 14 00 A4 8F 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 20 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 F3 FF 41 04 10 00 A5 8F ?? ?? 02 3C 10 00 A4 8F 14 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_493_0_4 {
	meta:
		name = "modff"
		size = 160
		refs = "0024 _FDint 004c fpsub 0078 _FZero"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 14 00 B0 AF 20 00 A4 AF 1C 00 BF AF 21 88 A0 00 00 00 A4 AC 21 80 80 00 21 20 A0 00 ?? ?? ?? 0? 21 28 00 00 06 00 40 04 02 00 43 28 0E 00 60 54 22 00 A2 87 02 00 03 24 06 00 43 10 1C 00 BF 8F 00 00 25 8E ?? ?? ?? 0? 21 20 00 02 21 80 40 00 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 F9 FF 41 04 21 80 00 00 ?? ?? 02 3C ?? ?? 50 8C 1C 00 BF 8F 00 80 02 3C 26 80 02 02 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_494_0_4 {
	meta:
		name = "strpbrk"
		size = 96
	strings:
		$1 = { 00 00 83 80 14 00 60 10 21 10 00 00 00 00 A7 80 21 10 80 00 0B 00 E0 50 01 00 42 24 0E 00 E3 10 21 20 A0 00 ?? ?? ?? 0? 01 00 84 24 0A 00 66 10 01 00 84 24 00 00 86 80 FC FF C0 14 00 00 00 00 01 00 42 24 00 00 43 80 F2 FF 60 14 00 00 00 00 08 00 E0 03 21 10 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_495_0_4 {
	meta:
		name = "tanl"
		size = 816
		refs = "002c _LDtest 0084 _LQuad 0094 _LRteps 00b8 dpcmp 00f4 _LDunscale 010c dpdiv 0124 _LDscale 0134 _Feraise 0150 _LNan 0190 dpmul 01cc dpadd 01f8 dpsub"
	strings:
		$1 = { C0 FF BD 27 40 00 A4 AF 40 00 A4 27 3C 00 BF AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 24 00 B1 AF 20 00 B0 AF ?? ?? ?? 0? 44 00 A5 AF 01 00 03 24 42 00 43 10 02 00 03 24 03 00 43 10 40 00 B6 8F 0E 00 40 14 00 00 00 00 44 00 B5 8F 3C 00 BF 8F 21 10 C0 02 21 18 A0 02 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 40 00 A4 27 21 98 40 00 ?? ?? 02 3C ?? ?? 50 8C ?? ?? 51 8C 40 00 B6 8F 44 00 B5 8F 00 80 03 3C 26 18 03 02 21 20 20 02 21 30 C0 02 21 28 60 00 ?? ?? ?? 0? 21 38 A0 02 31 00 41 04 21 30 C0 02 21 20 C0 02 21 30 20 02 21 28 A0 02 ?? ?? ?? 0? 21 38 00 02 2A 00 41 04 21 30 C0 02 01 00 73 32 DB FF 60 12 3C 00 BF 8F 10 00 A4 27 ?? ?? ?? 0? 40 00 A5 27 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 40 00 A6 8F ?? ?? ?? 0? 44 00 A7 8F 10 00 A5 87 40 00 A4 27 40 00 A2 AF 23 28 05 00 ?? ?? ?? 0? 44 00 A3 AF C8 FF 40 58 40 00 B6 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 40 00 B6 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 55 8C ?? ?? 56 8C 3C 00 BF 8F 21 18 A0 02 21 10 C0 02 34 00 B5 8F 38 00 B6 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 21 20 C0 02 21 28 A0 02 ?? ?? ?? 0? 21 38 A0 02 21 88 60 00 21 80 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 C0 02 21 30 00 02 21 28 A0 02 21 38 20 02 21 90 40 00 ?? ?? ?? 0? 21 A0 60 00 21 40 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 18 00 A8 AF ?? ?? ?? 0? 1C 00 A3 AF ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 18 00 A8 8F 1C 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 C0 02 21 28 A0 02 21 38 60 00 ?? ?? ?? 0? 01 00 73 32 0B 00 60 12 21 20 40 00 00 80 04 3C 26 A0 84 02 21 30 40 00 21 20 40 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 B0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 02 21 28 60 00 ?? ?? ?? 0? 21 38 80 02 21 B0 40 00 ?? ?? ?? 0? 21 A8 60 00 }
	condition:
		$1
}

rule file_496_0_4 {
	meta:
		name = "isgraph"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 3A 02 42 30 }
	condition:
		$1
}

rule file_497_0_4 {
	meta:
		name = "conjf"
		size = 80
		refs = "0014 crealf 0024 cimagf"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 80 00 24 00 BF AF ?? ?? ?? 0? 21 80 A0 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 00 80 04 3C 26 20 44 00 21 18 80 00 10 00 A2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_741_0_4 {
	meta:
		name = "conj"
		size = 80
		refs = "0014 creal 0024 cimag"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 80 00 24 00 BF AF ?? ?? ?? 0? 21 80 A0 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 00 80 04 3C 26 20 44 00 21 18 80 00 10 00 A2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_498_0_4 {
	meta:
		name = "fsetpos"
		size = 32
		refs = "000c _Fspos"
	strings:
		$1 = { E8 FF BD 27 21 30 00 00 14 00 BF AF ?? ?? ?? 0? 21 38 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_499_0_4 {
	meta:
		name = "isblank"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 04 04 42 30 }
	condition:
		$1
}

rule file_500_0_4 {
	meta:
		name = "_WGetint"
		size = 1748
		refs = "0044 wcschr 0114 wmemchr 02c4 _WStoull 041c _WStoll 06b4 _Fail_s"
	strings:
		$1 = { 0C 00 82 8C 40 FF BD 27 B4 00 B7 AF 21 B8 A0 00 00 00 45 8C 98 00 B0 AF ?? ?? 10 3C B8 00 BE AF 21 F0 80 00 ?? ?? 04 26 B0 00 B6 AF BC 00 BF AF AC 00 B5 AF A8 00 B4 AF A4 00 B3 AF A0 00 B2 AF 9C 00 B1 AF ?? ?? ?? 0? ?? ?? 10 26 23 80 50 00 ?? ?? 03 3C 18 00 C5 8F 83 80 10 00 ?? ?? 63 24 21 80 03 02 E0 00 A0 18 00 00 16 82 FF FF A5 24 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 14 00 C5 AF 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 21 18 40 00 2B 00 02 24 58 00 62 14 2D 00 02 24 14 00 C2 8F 10 00 A3 AF FF FF 42 24 A1 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 21 18 40 00 30 00 02 24 4C 00 62 10 14 00 B0 27 9A 00 C0 16 21 90 00 00 0A 00 11 24 21 90 00 00 FF FF 02 24 3B 01 62 10 ?? ?? 13 3C ?? ?? 73 26 21 28 60 00 21 20 60 02 21 30 20 02 ?? ?? ?? 0? 90 00 A3 AF 8C 00 B4 27 FF FF 15 24 1C 00 40 10 90 00 A3 8F 2B 10 14 02 04 00 40 50 14 00 C2 8F 00 00 03 AE 04 00 10 26 14 00 C2 8F FF FF 42 24 4B 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 4B 01 55 10 21 18 40 00 21 28 60 00 21 20 60 02 21 30 20 02 ?? ?? ?? 0? 90 00 A3 AF 01 00 12 24 E6 FF 40 14 90 00 A3 8F 10 00 C5 8F 00 00 C2 8F 04 00 C4 8F FF FF A5 24 10 00 C5 AF 21 30 00 00 09 F8 40 00 21 28 60 00 36 00 40 16 90 00 A3 8F 10 00 A2 27 BD 00 50 10 21 88 00 00 BC 00 BF 8F 21 10 20 02 B8 00 BE 8F B4 00 B7 8F B0 00 B6 8F AC 00 B5 8F A8 00 B4 8F A4 00 B3 8F A0 00 B2 8F 9C 00 B1 8F 98 00 B0 8F 08 00 E0 03 C0 00 BD 27 A8 FF 62 10 10 00 B0 27 30 00 02 24 B6 FF 62 14 00 00 00 00 14 00 C2 8F 00 00 03 AE 04 00 10 26 FF FF 42 24 73 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 21 18 40 00 78 00 02 24 9D 00 62 14 58 00 02 24 A4 00 C0 52 14 00 C2 8F 10 00 02 24 A1 00 C2 52 14 00 C2 8F ?? ?? ?? 0? 01 00 12 24 10 00 C2 8F 01 00 12 24 01 00 42 24 FF FF 42 24 10 00 C2 AF CC FF 40 12 FF FF 03 24 24 00 C2 83 01 00 11 24 CB FF 40 14 00 00 00 AE 0C 00 C2 8F 64 00 03 24 00 00 42 8C 58 00 43 10 69 00 03 24 56 00 43 10 10 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 30 C0 02 0C 00 C4 8F 25 00 D1 A3 00 00 85 8C 70 00 04 24 C5 00 A4 10 00 00 00 00 20 00 C4 8F 9E FF 84 24 19 00 85 2C 90 00 A0 14 ?? ?? 05 3C C2 00 E0 12 01 00 11 24 00 00 E2 AE BC 00 BF 8F 21 10 20 02 B8 00 BE 8F B4 00 B7 8F B0 00 B6 8F AC 00 B5 8F A8 00 B4 8F A4 00 B3 8F A0 00 B2 8F 9C 00 B1 8F 98 00 B0 8F 08 00 E0 03 C0 00 BD 27 10 00 C2 8F FF FF 03 24 14 00 B0 27 01 00 42 24 69 FF C0 12 10 00 C2 AF 21 90 00 00 0A 00 11 24 04 00 D1 12 08 00 C4 3A 08 00 11 24 16 00 02 24 0B 88 44 00 30 00 02 24 D4 00 62 14 00 00 00 00 14 00 C2 8F 30 00 12 24 FF FF 42 24 0F 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 09 00 52 14 21 18 40 00 14 00 C2 8F FF FF 42 24 F3 FF 41 04 14 00 C2 AF 10 00 C2 8F FF FF 03 24 01 00 42 24 10 00 C2 AF 30 00 02 24 00 00 02 AE 01 00 12 24 ?? ?? ?? 0? 04 00 10 26 FF 7F 05 3C ?? ?? ?? 0? FE FF A5 34 10 00 C2 8F FF FF 03 24 01 00 42 24 10 00 C2 AF D3 FF C0 16 01 00 12 24 ?? ?? ?? 0? 08 00 16 24 10 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 30 C0 02 20 00 C4 8F 01 00 05 24 25 00 C5 A3 9E FF 84 24 19 00 85 2C AF FF A0 10 ?? ?? 05 3C 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 84 8C 08 00 80 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 27 18 03 00 FF FF 02 24 ?? ?? ?? 0? 0A 88 43 00 63 FF 62 10 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 51 00 E0 12 01 00 11 24 00 00 E2 AE ?? ?? ?? 0? 04 00 E3 AE 00 00 03 AE 04 00 10 26 FF FF 42 24 2C 00 40 04 14 00 C2 AF 10 00 C3 8F 00 00 C2 8F 04 00 C4 8F 01 00 63 24 10 00 C3 AF 21 28 00 00 09 F8 40 00 01 00 06 24 21 18 40 00 10 00 16 24 ?? ?? ?? 0? 21 90 00 00 80 20 04 00 ?? ?? A5 24 21 20 A4 00 00 00 84 8C 08 00 80 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 10 00 C2 8F 10 00 16 24 FF FF 03 24 01 00 42 24 10 00 C2 AF ?? ?? ?? 0? 21 90 00 00 24 00 E0 12 01 00 11 24 ?? ?? ?? 0? 00 00 E2 A6 28 00 E0 12 01 00 11 24 ?? ?? ?? 0? 00 00 E2 A2 ?? ?? ?? 0? 10 00 C2 8F 14 00 E0 52 08 00 C4 8F ?? ?? ?? 0? 00 00 E2 AE 08 00 C4 8F 00 00 83 8C 04 00 84 24 26 00 60 10 08 00 C4 AF 00 00 62 AC ?? ?? ?? 0? 01 00 11 24 08 00 C5 8F 00 00 A4 8C 04 00 A5 24 1E 00 80 10 08 00 C5 AF 00 00 82 AC 04 00 83 AC ?? ?? ?? 0? 01 00 11 24 00 00 83 8C 04 00 84 24 16 00 60 10 08 00 C4 AF ?? ?? ?? 0? 00 00 62 AC 08 00 C4 8F 00 00 83 8C 04 00 84 24 0F 00 60 10 08 00 C4 AF 00 00 62 A4 ?? ?? ?? 0? 01 00 11 24 08 00 C4 8F 00 00 83 8C 04 00 84 24 07 00 60 10 08 00 C4 AF 00 00 62 A0 ?? ?? ?? 0? 01 00 11 24 10 00 C2 8F ?? ?? ?? 0? 01 00 12 24 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1F 00 05 24 ?? ?? ?? 0? 27 88 02 00 8D FE 40 52 FF FF 02 24 ?? ?? ?? 0? 30 00 02 24 }
	condition:
		$1
}

rule file_502_0_4 {
	meta:
		name = "tan"
		size = 560
		refs = "0020 _Dtest 0068 _Quad 0074 _Rteps 0088 fpcmp 00b8 _Dunscale 00c8 fpdiv 00dc _Dscale 00ec _Feraise 0104 _Nan 0130 fpmul 0158 fpadd 0174 fpsub"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 18 00 B0 AF 01 00 03 24 33 00 43 10 02 00 03 24 03 00 43 10 30 00 B3 8F 0A 00 40 14 00 00 00 00 2C 00 BF 8F 21 10 60 02 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 30 00 A4 27 21 88 40 00 ?? ?? 02 3C ?? ?? 50 8C 30 00 B3 8F 00 80 04 3C 26 20 90 00 ?? ?? ?? 0? 21 28 60 02 27 00 41 04 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 23 00 41 04 21 20 60 02 01 00 31 32 E6 FF 20 12 2C 00 BF 8F 10 00 A4 27 ?? ?? ?? 0? 30 00 A5 27 ?? ?? 02 3C 30 00 A5 8F ?? ?? ?? 0? ?? ?? 44 8C 10 00 A5 87 30 00 A4 27 30 00 A2 AF ?? ?? ?? 0? 23 28 05 00 D7 FF 40 58 30 00 B3 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 30 00 B3 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 53 8C 2C 00 BF 8F 28 00 B4 8F 21 10 60 02 20 00 B2 8F 24 00 B3 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 21 28 60 02 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? 01 00 31 32 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 60 02 21 28 00 02 ?? ?? ?? 0? 21 90 40 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 07 00 20 12 21 20 40 00 00 80 04 3C 26 20 92 00 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 21 98 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 }
	condition:
		$1
}

rule file_503_0_4 {
	meta:
		name = "strtol"
		size = 28
		refs = "0008 _Stolx"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 38 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_504_0_4 {
	meta:
		name = "_Mtx_init"
		size = 168
		refs = "0024 calloc 0048 pthread_cond_init 0058 free 007c pthread_mutex_init"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 21 80 80 00 00 00 80 AC 21 88 A0 00 01 00 04 24 ?? ?? ?? 0? 40 00 05 24 21 90 40 00 17 00 40 12 01 00 02 24 04 01 22 32 0F 00 40 10 04 00 44 26 24 00 44 26 ?? ?? ?? 0? 21 28 00 00 0A 00 40 10 04 00 44 26 ?? ?? ?? 0? 21 20 40 02 1C 00 BF 8F 04 00 02 24 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 00 00 00 51 AE 21 10 00 00 00 00 12 AE 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_504_1_4 {
	meta:
		name = "_Mtx_destroy"
		size = 100
		refs = "0020 pthread_mutex_destroy 003c free 0054 pthread_cond_destroy"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF 0D 00 80 10 21 80 80 00 00 00 84 8C 0B 00 80 10 14 00 BF 8F ?? ?? ?? 0? 04 00 84 24 00 00 04 8E 00 00 82 8C 04 01 42 30 07 00 40 14 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 24 00 84 24 ?? ?? ?? 0? 00 00 04 8E }
	condition:
		$1
}

rule file_504_2_4 {
	meta:
		name = "_Mtx_unlock"
		size = 132
		refs = "0030 pthread_mutex_unlock 0050 pthread_mutex_lock 0074 pthread_cond_signal"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 00 00 84 8C 14 00 BF AF 00 00 82 8C 04 01 42 30 0C 00 40 14 00 00 00 00 3C 00 82 8C FF FF 42 24 3C 00 82 AC ?? ?? ?? 0? 04 00 84 24 21 18 00 00 14 00 BF 8F 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 04 00 84 24 F8 FF 40 14 04 00 03 24 00 00 04 8E 3C 00 82 8C FF FF 42 24 F0 FF 40 14 3C 00 82 AC ?? ?? ?? 0? 24 00 84 24 ?? ?? ?? 0? 00 00 04 8E }
	condition:
		$1
}

rule file_504_3_4 {
	meta:
		name = "_Mtx_lock"
		size = 252
		refs = "001c pthread_mutex_lock 004c pthread_self 005c pthread_mutex_unlock 00d4 pthread_cond_wait"
	strings:
		$1 = { E0 FF BD 27 10 00 B0 AF 21 80 80 00 00 00 84 8C 1C 00 BF AF 18 00 B2 AF 04 00 84 24 ?? ?? ?? 0? 14 00 B1 AF 10 00 40 14 04 00 03 24 00 00 11 8E 00 00 22 8E 04 01 42 30 12 00 40 10 3C 00 22 8E 1C 00 40 14 21 90 00 00 01 00 52 26 ?? ?? ?? 0? 3C 00 32 AE 00 00 04 8E 38 00 22 AE ?? ?? ?? 0? 04 00 84 24 21 18 00 00 1C 00 BF 8F 21 10 60 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 01 00 42 24 ?? ?? ?? 0? 3C 00 22 AE 1C 00 BF 8F 21 18 00 00 38 00 22 AE 18 00 B2 8F 21 10 60 00 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 38 00 31 8E 0D 00 22 12 00 00 11 8E 3C 00 22 8E E0 FF 40 50 01 00 52 26 24 00 24 26 ?? ?? ?? 0? 04 00 25 26 00 00 11 8E 3C 00 22 8E FB FF 40 54 24 00 24 26 ?? ?? ?? 0? 21 90 00 00 ?? ?? ?? 0? 3C 00 32 8E }
	condition:
		$1
}

rule file_504_4_4 {
	meta:
		name = "_Mtx_trylock"
		size = 276
		refs = "0028 pthread_mutex_lock 0058 pthread_mutex_unlock 007c pthread_mutex_trylock 00bc pthread_self"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 21 88 80 00 00 00 84 8C 1C 00 BF AF 18 00 B2 AF 00 00 82 8C 04 01 42 30 16 00 40 10 10 00 B0 AF ?? ?? ?? 0? 04 00 84 24 0B 00 40 14 04 00 10 24 00 00 32 8E 3C 00 42 8E 1E 00 40 10 00 00 00 00 00 00 42 8E 00 01 42 30 22 00 40 14 03 00 10 24 ?? ?? ?? 0? 04 00 44 26 1C 00 BF 8F 21 10 00 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 04 00 84 24 1B 00 40 10 21 80 40 00 10 00 50 38 04 00 03 24 03 00 02 24 1C 00 BF 8F 0B 10 70 00 21 80 40 00 21 10 00 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 80 00 00 38 00 42 AE 00 00 32 8E 3C 00 42 8E 01 00 42 24 ?? ?? ?? 0? 3C 00 42 AE ?? ?? ?? 0? 38 00 52 8E F5 FF 42 12 00 00 32 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 32 8E 00 00 23 8E 38 00 42 AE 3C 00 62 8C 01 00 42 24 ?? ?? ?? 0? 3C 00 62 AC }
	condition:
		$1
}

rule file_504_5_4 {
	meta:
		name = "_Mtx_timedlock"
		size = 276
		refs = "0028 pthread_mutex_lock 0048 pthread_self 0064 pthread_mutex_unlock 009c _Xtime_to_ts 00b8 pthread_cond_timedwait"
	strings:
		$1 = { C8 FF BD 27 24 00 B0 AF 21 80 80 00 00 00 84 8C 2C 00 B2 AF 34 00 BF AF 04 00 84 24 30 00 B3 AF 28 00 B1 AF 04 00 12 24 ?? ?? ?? 0? 18 00 A5 AF 0F 00 40 14 34 00 BF 8F 00 00 11 8E 3C 00 22 8E 12 00 40 14 00 00 00 00 ?? ?? ?? 0? 21 90 00 00 38 00 22 AE 00 00 11 8E 3C 00 22 8E 01 00 42 24 3C 00 22 AE ?? ?? ?? 0? 04 00 24 26 34 00 BF 8F 21 10 40 02 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 38 00 31 8E 17 00 22 12 18 00 A5 8F ?? ?? ?? 0? 10 00 A4 27 21 90 00 00 ?? ?? ?? 0? 02 00 13 24 16 00 53 12 21 88 60 00 ?? ?? ?? 0? 21 90 60 02 91 00 42 38 0B 90 02 00 00 00 11 8E 10 00 A6 27 3C 00 22 8E 24 00 24 26 04 00 25 26 F4 FF 40 14 21 18 20 02 DF FF 40 16 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 00 00 03 8E 00 00 62 8C 00 01 42 30 D1 FF 40 14 21 88 60 00 21 88 60 00 ?? ?? ?? 0? 02 00 12 24 }
	condition:
		$1
}

rule file_504_6_4 {
	meta:
		name = "_Save_state"
		size = 152
		refs = "0058 pthread_mutex_lock 0078 pthread_cond_signal"
	strings:
		$1 = { 00 00 82 8C D8 FF BD 27 1C 00 B0 AF 04 01 42 30 24 00 BF AF 20 00 B1 AF 0D 00 40 14 21 80 80 00 3C 00 83 8C 38 00 82 8C 24 00 BF 8F 04 00 91 24 04 00 A3 AC 1C 00 B0 8F 3C 00 80 AC 00 00 A2 AC 21 10 20 02 20 00 B1 8F 08 00 E0 03 28 00 BD 27 04 00 91 24 21 20 20 02 ?? ?? ?? 0? 10 00 A5 AF 3C 00 03 8E 10 00 A5 8F 38 00 02 8E 24 00 04 26 04 00 A3 AC 3C 00 00 AE ?? ?? ?? 0? 00 00 A2 AC 24 00 BF 8F 21 10 20 02 1C 00 B0 8F 20 00 B1 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_504_7_4 {
	meta:
		name = "_Restore_state"
		size = 188
		refs = "0040 pthread_cond_wait 0064 pthread_mutex_unlock"
	strings:
		$1 = { 00 00 82 8C D8 FF BD 27 20 00 B3 AF 04 01 42 30 1C 00 B2 AF 24 00 BF AF 18 00 B1 AF 14 00 B0 AF 21 98 80 00 19 00 40 10 21 90 A0 00 3C 00 82 8C 08 00 40 10 04 00 90 24 24 00 91 24 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 3C 00 62 8E FC FF 40 14 21 20 20 02 04 00 43 8E 00 00 42 8E 21 20 00 02 3C 00 63 AE ?? ?? ?? 0? 38 00 62 AE 24 00 BF 8F 21 10 00 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 00 00 A2 8C 04 00 A3 8C 24 00 BF 8F 38 00 82 AC 20 00 B3 8F 21 10 00 00 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 3C 00 83 AC 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_504_8_4 {
	meta:
		name = "_Mtx_current_owns"
		size = 76
		refs = "0028 _Thrd_current 0034 _Thrd_equal"
	strings:
		$1 = { 00 00 83 8C E0 FF BD 27 1C 00 BF AF 3C 00 64 8C 04 00 80 14 21 10 00 00 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 38 00 64 8C ?? ?? ?? 0? 10 00 A4 AF 10 00 A4 8F ?? ?? ?? 0? 21 28 40 00 1C 00 BF 8F 2B 10 02 00 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_505_0_4 {
	meta:
		name = "_LPoly"
		size = 148
		refs = "004c dpmul 0064 dpadd"
	strings:
		$1 = { D8 FF BD 27 20 00 B4 AF FF FF F4 24 1C 00 B3 AF 18 00 B2 AF 10 00 B0 AF 24 00 BF AF 14 00 B1 AF 21 80 C0 00 21 90 80 00 21 98 A0 00 00 00 C2 8C 10 00 80 06 04 00 C3 8C FF FF 11 24 21 20 40 00 21 28 60 00 21 30 40 02 21 38 60 02 ?? ?? ?? 0? 08 00 10 26 00 00 06 8E 04 00 07 8E 21 20 40 00 21 28 60 00 ?? ?? ?? 0? FF FF 94 26 F4 FF 91 16 21 20 40 00 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_507_0_4 {
	meta:
		name = "truncf"
		size = 40
		refs = "0010 _FDint"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 14 00 BF 8F 18 00 A2 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_656_0_4 {
	meta:
		name = "trunc"
		size = 40
		refs = "0010 _Dint"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 21 28 00 00 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 14 00 BF 8F 18 00 A2 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_508_0_4 {
	meta:
		name = "_LFpcomp"
		size = 200
		refs = "0034 _LDtest 0070 dpcmp"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 18 00 B1 AF 14 00 B0 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 34 00 A5 AF 38 00 A6 AF 3C 00 A7 AF ?? ?? ?? 0? 02 00 10 24 18 00 50 10 21 88 00 00 ?? ?? ?? 0? 38 00 A4 27 14 00 50 10 30 00 B2 8F 34 00 B3 8F 38 00 B4 8F 3C 00 B5 8F 21 20 40 02 21 28 60 02 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 01 00 11 24 09 00 40 04 21 20 80 02 21 28 A0 02 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 00 00 42 28 04 00 03 24 21 88 00 02 0B 88 62 00 2C 00 BF 8F 21 10 20 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_509_0_4 {
	meta:
		name = "rewind"
		size = 60
		refs = "0018 _Fspos"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 28 00 00 21 80 80 00 21 30 00 00 14 00 BF AF ?? ?? ?? 0? 21 38 00 00 00 00 02 96 14 00 BF 8F FF FD 42 30 00 00 02 A6 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_510_0_4 {
	meta:
		name = "mbstowcs"
		size = 236
		refs = "007c _Mbtowc"
	strings:
		$1 = { C0 FF BD 27 2C 00 B2 AF FF 7F 12 3C 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 28 00 B1 AF 24 00 B0 AF 3C 00 BF AF 21 80 80 00 21 98 A0 00 21 88 C0 00 14 00 A0 AF 18 00 A0 AF 21 A8 80 00 21 A0 00 00 ?? ?? ?? 0? FF FF 52 36 00 00 A3 AE 13 00 60 10 04 00 B5 26 21 98 62 02 01 00 94 26 2B 10 91 02 21 28 60 02 10 00 A4 27 21 30 40 02 03 00 40 14 14 00 A7 27 0A 00 60 16 3C 00 BF 8F ?? ?? ?? 0? 00 00 00 00 0F 00 40 04 3C 00 BF 8F EE FF 00 16 10 00 A3 8F EF FF 60 14 04 00 B5 26 3C 00 BF 8F 21 10 80 02 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 FF FF 14 24 21 10 80 02 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_513_0_4 {
	meta:
		name = "rintl"
		size = 188
		refs = "0018 _LDtest 0034 _LRint 0050 dpcmp 0098 _Feraise"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 24 00 A5 AF 02 00 03 24 2B 10 62 00 13 00 40 10 20 00 B0 8F 20 00 A4 8F ?? ?? ?? 0? 24 00 A5 8F 20 00 A6 8F 24 00 A7 8F 21 88 60 00 21 20 40 00 21 28 20 02 ?? ?? ?? 0? 21 80 40 00 0F 00 40 14 1C 00 BF 8F 21 10 00 02 21 18 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 24 00 B1 8F 1C 00 BF 8F 21 10 00 02 21 18 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 20 00 04 24 1C 00 BF 8F 21 10 00 02 21 18 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_514_0_4 {
	meta:
		name = "cbrtl"
		size = 936
		refs = "0038 _LDunscale 00fc _LDscale 012c dpmul 0144 dpadd 01a4 dpdiv"
	strings:
		$1 = { B0 FF BD 27 50 00 A4 AF 54 00 A5 AF 10 00 A4 27 50 00 A5 27 4C 00 BF AF 48 00 BE AF 44 00 B7 AF 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 34 00 B3 AF 30 00 B2 AF 2C 00 B1 AF ?? ?? ?? 0? 28 00 B0 AF 02 00 03 24 2B 10 62 00 11 00 40 14 10 00 B7 87 50 00 A5 8F 54 00 A4 8F 4C 00 BF 8F 21 10 A0 00 21 18 80 00 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 55 55 08 3C 56 55 08 25 18 00 E8 02 C3 17 17 00 03 00 03 24 10 28 00 00 23 10 A2 00 20 16 02 7C 02 10 43 70 14 00 57 10 21 28 00 00 01 00 F7 26 21 18 E0 02 03 00 07 24 20 16 17 7C 18 00 48 00 C3 37 02 00 21 20 60 00 FF FF A5 24 01 00 63 24 10 58 00 00 23 30 66 01 20 36 06 7C 02 30 C7 70 F5 FF C4 14 01 00 57 24 50 00 A4 27 ?? ?? ?? 0? 10 00 A2 A7 10 00 B7 87 56 00 A2 87 9F 00 40 04 54 00 B1 8F 50 00 B0 8F 21 F0 00 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 21 28 20 02 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 90 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C ?? ?? 14 3C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 98 60 00 ?? ?? 86 8E ?? ?? 87 8E 21 20 00 02 21 28 20 02 21 A8 40 00 ?? ?? ?? 0? 21 B0 60 00 21 80 40 00 21 88 60 00 21 30 40 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 21 30 40 02 21 38 60 02 21 20 00 02 21 28 20 02 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 20 00 A8 8F 24 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 86 8E ?? ?? 87 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 98 40 00 21 90 60 00 21 30 40 00 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 38 60 00 21 20 00 02 21 30 60 02 21 28 20 02 21 38 40 02 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 20 00 A8 8F 24 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 A0 02 21 28 C0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 60 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 86 8E ?? ?? 87 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 18 00 A2 AF 05 00 C0 13 1C 00 A3 AF 00 80 04 3C 26 18 64 00 18 00 A2 AF 1C 00 A3 AF 55 55 02 3C 56 55 42 24 18 00 E2 02 C3 BF 17 00 18 00 A4 27 10 18 00 00 23 28 77 00 ?? ?? ?? 0? 20 2E 05 7C 18 00 A5 8F 1C 00 A4 8F 4C 00 BF 8F 21 10 A0 00 21 18 80 00 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 50 00 B0 8F 00 80 02 3C 26 88 22 02 50 00 B0 AF 54 00 B1 AF ?? ?? ?? 0? 01 00 1E 24 }
	condition:
		$1
}

rule file_515_0_4 {
	meta:
		name = "ungetwc"
		size = 100
	strings:
		$1 = { FF FF 03 24 03 00 83 14 21 10 80 00 08 00 E0 03 00 00 00 00 1C 00 A3 8C 20 00 A4 24 2B 20 83 00 03 00 80 54 00 00 A4 94 08 00 E0 03 FF FF 02 24 01 00 06 24 01 60 87 30 03 00 E6 10 00 90 06 24 08 00 E0 03 FF FF 02 24 FF 6E 84 30 25 20 86 00 FC FF 66 24 00 00 A4 A4 1C 00 A6 AC 08 00 E0 03 FC FF 62 AC }
	condition:
		$1
}

rule file_516_0_4 {
	meta:
		name = "tanhl"
		size = 1344
		refs = "0030 _LDtest 009c dpcmp 00c4 _LRteps 0108 dpmul 015c dpadd 0228 dpdiv 04e4 expl 0524 dpsub"
	strings:
		$1 = { C8 FF BD 27 38 00 A4 AF 38 00 A4 27 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 3C 00 A5 AF 01 00 03 24 8E 00 43 10 02 00 03 24 04 00 43 10 38 00 B4 8F 10 00 40 14 3C 00 B3 8F 38 00 B4 8F 3C 00 B3 8F 34 00 BF 8F 21 10 80 02 21 18 60 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 30 00 00 21 38 00 00 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 06 00 41 04 21 80 00 00 00 80 02 3C 26 98 62 02 38 00 B4 AF 3C 00 B3 AF 01 00 10 24 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 57 00 40 04 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 72 00 41 04 ?? ?? 06 3C 21 20 80 02 21 30 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 21 30 40 00 21 20 80 02 21 28 60 02 21 38 60 00 21 88 40 00 ?? ?? ?? 0? 21 90 60 00 21 B0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 B8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 98 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 80 02 21 28 60 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 21 98 60 00 89 FF 00 12 34 00 BF 8F 00 80 02 3C 26 98 62 02 21 18 60 02 21 10 80 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 3E 00 A2 87 8E 00 40 04 ?? ?? 02 3C ?? ?? 53 8C 34 00 BF 8F 21 A0 00 00 21 10 80 02 21 18 60 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? C7 8C ?? ?? C6 8C 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 0E 00 40 04 ?? ?? 02 3C ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 74 00 40 04 ?? ?? 02 3C ?? ?? 53 8C 56 FF 00 12 21 A0 00 00 ?? ?? ?? 0? 34 00 BF 8F ?? ?? 46 8C ?? ?? 47 8C 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 21 30 40 00 21 20 40 00 21 28 60 00 21 38 60 00 21 A8 40 00 ?? ?? ?? 0? 21 A0 60 00 21 30 40 00 21 20 A0 02 21 28 80 02 21 38 60 00 21 88 40 00 ?? ?? ?? 0? 21 90 60 00 21 B0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 B8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 A0 02 21 28 80 02 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 02 21 28 40 02 ?? ?? ?? 0? 21 A8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 13 3C 21 20 20 02 21 28 40 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 66 8E ?? ?? 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 90 40 00 21 88 60 00 21 30 40 00 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 38 60 00 21 20 40 02 21 30 40 02 21 28 20 02 21 38 20 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 ?? ?? 66 8E ?? ?? 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 ?? ?? 02 3C 21 A0 00 00 ?? ?? ?? 0? ?? ?? 53 8C 21 30 80 02 21 38 60 02 21 20 80 02 ?? ?? ?? 0? 21 28 60 02 ?? ?? 11 3C 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 26 8E ?? ?? 27 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 24 8E ?? ?? 25 8E 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 CA FE 00 12 21 98 60 00 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_517_0_4 {
	meta:
		name = "_Genld"
		size = 1392
		refs = "0034 localeconv 00dc memcpy 012c div"
	strings:
		$1 = { B8 FF BD 27 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 34 00 B3 AF 30 00 B2 AF 28 00 B0 AF 44 00 BF AF 2C 00 B1 AF 21 90 80 00 21 98 C0 00 20 84 05 7C 20 AE 07 7C ?? ?? ?? 0? 58 00 B4 87 2C 00 42 8C CA 00 A0 1A 00 00 56 80 66 00 02 24 91 00 02 12 46 00 02 24 8F 00 02 12 67 00 02 24 68 00 02 12 47 00 02 24 66 00 02 12 61 00 02 24 1B 01 02 12 41 00 03 3A 50 00 02 24 0A 80 43 00 1C 00 43 8E 10 00 45 8E 00 00 64 92 01 00 62 24 21 18 A3 00 00 00 64 A0 30 00 43 8E 78 00 60 18 1C 00 42 AE 10 00 43 8E 21 18 62 00 00 00 76 A0 30 00 43 8E 01 00 42 24 11 00 60 18 1C 00 42 AE FF FF B5 26 20 AE 15 7C 10 00 44 8E 2A 28 75 00 20 1E 03 7C 0B A8 65 00 21 30 A0 02 21 20 82 00 ?? ?? ?? 0? 01 00 65 26 1C 00 42 8E 30 00 43 8E 21 10 A2 02 23 A8 75 00 1C 00 42 AE 20 00 55 AE 10 00 51 8E 21 88 22 02 FB 00 80 06 00 00 30 A2 2B 00 02 24 01 00 22 A2 02 00 31 26 E5 00 80 1A 21 98 00 00 18 00 B5 27 21 28 80 02 10 00 A4 27 ?? ?? ?? 0? 0A 00 06 24 14 00 A3 8F 10 00 B4 87 21 10 B3 02 00 00 43 A0 F7 FF 80 1E 01 00 73 26 01 00 02 24 D8 00 62 12 21 18 60 02 21 10 B3 02 21 18 20 02 FF FF 44 90 FF FF 42 24 30 00 84 24 00 00 64 A0 FB FF A2 16 01 00 63 24 21 88 33 02 1C 00 43 8E 10 00 53 8E 3C 00 42 96 21 98 63 02 23 88 33 02 14 00 42 30 10 00 03 24 6A 00 43 14 24 00 51 AE 1C 00 44 8E 14 00 42 8E 20 00 43 8E 24 00 45 8E 21 10 82 00 28 00 44 8E 21 10 43 00 38 00 43 8E 21 10 45 00 21 10 44 00 2A 20 43 00 5D 00 80 10 44 00 BF 8F 23 10 62 00 18 00 42 AE 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 48 00 BD 27 FC FF 82 2A 73 00 40 50 30 00 42 8E 67 00 02 24 BE 00 02 16 47 00 02 24 30 00 42 8E 2A 18 A2 02 05 00 60 50 FF FF 42 24 3C 00 43 96 08 00 63 30 0A 10 A3 02 FF FF 42 24 00 00 43 28 0B 10 03 00 30 00 42 AE 67 00 10 3A 45 00 03 24 65 00 02 24 0B 10 70 00 10 00 45 8E 1C 00 43 8E 00 00 64 92 21 80 40 00 01 00 62 24 21 18 A3 00 00 00 64 A0 30 00 43 8E 8A FF 60 1C 1C 00 42 AE 3C 00 43 96 08 00 63 30 9E FF 60 50 10 00 51 8E ?? ?? ?? 0? 10 00 43 8E 01 00 94 26 20 A6 14 7C 5D 00 80 5A 1C 00 42 8E 2A 10 B4 02 34 00 40 14 10 00 44 8E 1C 00 42 8E 21 28 60 02 21 30 80 02 ?? ?? ?? 0? 21 20 82 00 1C 00 42 8E 30 00 43 8E 23 A8 B4 02 21 10 82 02 1C 00 42 AE 90 00 60 18 20 AE 15 7C 10 00 43 8E 21 18 62 00 00 00 76 A0 30 00 43 8E 01 00 42 24 1C 00 42 AE 10 00 44 8E 2A 28 75 00 20 1E 03 7C 0B A8 65 00 21 20 82 00 21 30 A0 02 ?? ?? ?? 0? 21 28 74 02 1C 00 43 8E 30 00 44 8E 3C 00 42 96 21 18 75 00 23 A8 95 00 1C 00 43 AE 20 00 55 AE 14 00 42 30 10 00 03 24 99 FF 43 50 1C 00 44 8E 44 00 BF 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 13 3C 01 00 15 24 ?? ?? ?? 0? ?? ?? 73 26 1C 00 42 8E 21 30 A0 02 21 28 60 02 ?? ?? ?? 0? 21 20 82 00 1C 00 42 8E 30 00 43 8E 23 A0 95 02 21 A8 A2 02 1C 00 55 AE 63 00 60 18 20 00 54 AE 10 00 42 8E 21 A8 55 00 00 00 B6 A2 24 00 44 8E 30 00 43 8E 3C 00 42 96 01 00 84 24 24 00 44 AE ?? ?? ?? 0? 28 00 43 AE 2A 18 82 02 8D FF 60 50 67 00 02 24 3C 00 43 96 01 00 94 26 08 00 63 30 03 00 60 14 20 A6 14 7C 2A 18 A2 02 0B 10 A3 02 23 10 54 00 00 00 43 28 0B 10 03 00 A6 FF 80 1E 30 00 42 AE 1C 00 42 8E 10 00 44 8E 01 00 43 24 21 10 82 00 30 00 04 24 00 00 44 A0 30 00 42 8E 47 00 40 18 1C 00 43 AE 10 00 42 8E 01 00 64 24 21 18 43 00 00 00 76 A0 30 00 42 8E 1C 00 44 AE 23 18 14 00 2A 20 43 00 05 00 80 50 21 10 82 02 23 A0 02 00 20 A6 14 7C 23 18 14 00 21 10 82 02 10 00 45 8E 1C 00 44 8E 20 36 02 7C 2A 38 55 00 0B A8 C7 00 20 00 43 AE 24 00 55 AE 21 20 A4 00 21 30 A0 02 30 00 42 AE ?? ?? ?? 0? 21 28 60 02 30 00 43 8E 3C 00 42 96 23 A8 75 00 ?? ?? ?? 0? 28 00 55 AE 21 18 00 00 65 00 02 24 0A 00 02 12 45 00 02 24 09 00 02 12 30 00 02 24 26 00 60 14 30 00 02 24 00 00 22 A2 ?? ?? ?? 0? 01 00 31 26 ?? ?? ?? 0? 70 00 10 24 30 00 02 24 00 00 22 A2 ?? ?? ?? 0? 01 00 31 26 23 A0 14 00 2D 00 02 24 01 00 22 A2 20 A6 14 7C ?? ?? ?? 0? 02 00 31 26 43 FF 02 52 30 00 42 8E ?? ?? ?? 0? 61 00 02 24 3C 00 44 96 08 00 84 30 75 FF 80 50 10 00 44 8E ?? ?? ?? 0? 10 00 43 8E 3C 00 42 96 08 00 44 30 9C FF 80 54 10 00 42 8E ?? ?? ?? 0? 28 00 43 AE 3C 00 44 96 08 00 84 30 BE FF 80 50 23 18 14 00 ?? ?? ?? 0? 10 00 42 8E 01 00 13 24 ?? ?? ?? 0? 18 00 B5 27 }
	condition:
		$1
}

rule file_518_0_4 {
	meta:
		name = "_Call_func"
		size = 16
	strings:
		$1 = { 00 00 82 8C 00 00 59 8C 08 00 20 03 00 00 00 00 }
	condition:
		$1
}

rule file_518_1_4 {
	meta:
		name = "_ZNSt4_PadC2Ev"
		size = 136
		refs = "0000 _ZTVSt4_Pad 0020 _Cnd_init 0030 _ZSt14_Throw_C_errori 0040 _Mtx_init 005c _Mtx_lock"
	strings:
		$1 = { ?? ?? 02 3C E0 FF BD 27 ?? ?? 42 24 14 00 B0 AF 1C 00 BF AF 18 00 B1 AF 21 80 80 00 00 00 82 AC ?? ?? ?? 0? 04 00 84 24 04 00 40 10 18 00 11 26 ?? ?? ?? 0? 21 20 40 00 18 00 11 26 21 20 20 02 ?? ?? ?? 0? 01 00 05 24 04 00 40 50 1C 00 00 A2 ?? ?? ?? 0? 21 20 40 00 1C 00 00 A2 ?? ?? ?? 0? 21 20 20 02 04 00 40 10 1C 00 BF 8F ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_518_2_4 {
	meta:
		name = "_ZNSt4_PadD2Ev"
		size = 100
		refs = "0004 _ZTVSt4_Pad 0028 _Mtx_unlock 0038 _ZSt14_Throw_C_errori 0040 _Mtx_destroy 0048 _Cnd_destroy"
	strings:
		$1 = { E0 FF BD 27 ?? ?? 02 3C 18 00 B1 AF ?? ?? 42 24 18 00 91 24 14 00 B0 AF 1C 00 BF AF 21 80 80 00 00 00 82 AC 21 20 20 02 ?? ?? ?? 0? 04 00 10 26 03 00 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 20 00 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_518_3_4 {
	meta:
		name = "_ZNSt4_Pad7_LaunchEPP12_rtpx_thread"
		size = 156
		refs = "0024 _Thrd_start 004c _Cnd_wait 005c _ZSt14_Throw_C_errori"
	strings:
		$1 = { E0 FF BD 27 10 00 B0 AF 21 80 80 00 21 20 A0 00 ?? ?? 05 3C 21 30 00 02 ?? ?? A5 24 1C 00 BF AF 18 00 B2 AF ?? ?? ?? 0? 14 00 B1 AF 17 00 40 14 00 00 00 00 04 00 12 26 18 00 11 26 1C 00 02 92 21 20 40 02 0B 00 40 14 21 28 20 02 ?? ?? ?? 0? 00 00 00 00 FA FF 40 50 1C 00 02 92 ?? ?? ?? 0? 21 20 40 00 1C 00 02 92 21 20 40 02 F7 FF 40 10 21 28 20 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 04 00 12 26 }
	condition:
		$1
}

rule file_518_4_4 {
	meta:
		name = "_ZNSt4_Pad8_ReleaseEv"
		size = 124
		refs = "0018 _Mtx_lock 0028 _ZSt14_Throw_C_errori 0038 _Cnd_signal 0050 _Mtx_unlock"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF 18 00 90 24 18 00 B1 AF 21 88 80 00 1C 00 BF AF ?? ?? ?? 0? 21 20 00 02 04 00 40 50 01 00 02 24 ?? ?? ?? 0? 21 20 40 00 01 00 02 24 1C 00 22 A2 ?? ?? ?? 0? 04 00 24 26 03 00 40 10 00 00 00 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 00 02 04 00 40 10 1C 00 BF 8F ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_519_0_4 {
	meta:
		name = "remquof"
		size = 776
		refs = "0038 _FDtest 00b4 _Feraise 00bc _FNan 0108 fpcmp 0150 _FDunscale 019c _FDscale 01e8 fpmul 021c fpsub"
	strings:
		$1 = { C0 FF BD 27 40 00 A4 AF 40 00 A4 27 1C 00 B1 AF 18 00 B0 AF 21 88 C0 00 3C 00 BF AF 38 00 BE AF 34 00 B7 AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF ?? ?? ?? 0? 44 00 A5 AF 44 00 A4 27 ?? ?? ?? 0? 21 80 40 00 01 00 20 56 00 00 20 AE 28 00 00 06 02 00 03 24 08 00 03 12 40 00 B7 8F 02 00 03 24 88 00 43 10 01 00 03 24 10 00 03 12 00 00 00 00 0E 00 40 10 40 00 B7 8F 3C 00 BF 8F 21 10 E0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 57 8C 3C 00 BF 8F 38 00 BE 8F 21 10 E0 02 30 00 B6 8F 34 00 B7 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 DB FF 41 04 21 28 00 00 44 00 B0 8F 21 A0 00 00 ?? ?? ?? 0? 21 20 00 02 07 00 41 04 40 00 B2 8F 00 80 02 3C 26 10 50 00 21 80 40 00 44 00 A2 AF 01 00 14 24 40 00 B2 8F 21 28 00 00 21 A8 00 00 ?? ?? ?? 0? 21 20 40 02 60 00 40 04 00 80 02 3C 10 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 B0 AF 40 00 A2 8F 21 90 00 00 FF FF 10 24 14 00 A2 AF 01 00 13 24 12 00 A4 27 ?? ?? ?? 0? 14 00 A5 27 59 00 40 10 10 00 A2 87 12 00 B6 87 23 B0 C2 02 10 00 C0 06 40 00 B7 8F 44 00 A2 8F 21 28 C0 02 14 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 BE 8F 40 00 B7 8F 21 20 C0 03 ?? ?? ?? 0? 21 28 E0 02 26 00 40 18 21 20 E0 02 FF FF D6 26 F3 FF D0 16 44 00 A2 8F 21 20 00 00 ?? ?? ?? 0? 21 28 E0 02 14 00 41 04 ?? ?? 02 3C 44 00 B0 8F ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 28 E0 02 ?? ?? ?? 0? 21 98 40 00 39 00 41 04 21 20 E0 02 21 20 00 00 ?? ?? ?? 0? 21 28 60 02 34 00 41 04 21 20 E0 02 ?? ?? ?? 0? 21 28 00 02 21 B8 40 00 01 00 52 26 04 00 20 12 00 F0 52 7E 23 10 12 00 0B 90 54 00 00 00 32 AE 90 FF A0 12 3C 00 BF 8F 00 80 02 3C ?? ?? ?? 0? 26 B8 57 00 ?? ?? ?? 0? 21 28 C0 03 21 B8 40 00 20 00 C2 2E 05 00 40 10 40 00 B7 AF 04 B0 D3 02 21 90 56 02 ?? ?? ?? 0? 14 00 B7 AF BB FF C1 06 14 00 B7 AF ?? ?? ?? 0? 21 20 00 00 44 00 B7 8F 3C 00 BF 8F 38 00 BE 8F 21 10 E0 02 30 00 B6 8F 34 00 B7 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 26 90 42 02 01 00 02 24 23 A0 54 00 40 00 B2 AF 20 A6 14 7C ?? ?? ?? 0? 01 00 15 24 ?? ?? ?? 0? 40 00 B7 8F ?? ?? ?? 0? 21 28 60 02 CE FF 40 14 01 00 42 32 CC FF 40 10 21 20 E0 02 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_722_0_4 {
	meta:
		name = "remquo"
		size = 776
		refs = "0038 _Dtest 00b4 _Feraise 00bc _Nan 0108 fpcmp 0150 _Dunscale 019c _Dscale 01e8 fpmul 021c fpsub"
	strings:
		$1 = { C0 FF BD 27 40 00 A4 AF 40 00 A4 27 1C 00 B1 AF 18 00 B0 AF 21 88 C0 00 3C 00 BF AF 38 00 BE AF 34 00 B7 AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF ?? ?? ?? 0? 44 00 A5 AF 44 00 A4 27 ?? ?? ?? 0? 21 80 40 00 01 00 20 56 00 00 20 AE 28 00 00 06 02 00 03 24 08 00 03 12 40 00 B7 8F 02 00 03 24 88 00 43 10 01 00 03 24 10 00 03 12 00 00 00 00 0E 00 40 10 40 00 B7 8F 3C 00 BF 8F 21 10 E0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 57 8C 3C 00 BF 8F 38 00 BE 8F 21 10 E0 02 30 00 B6 8F 34 00 B7 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 DB FF 41 04 21 28 00 00 44 00 B0 8F 21 A0 00 00 ?? ?? ?? 0? 21 20 00 02 07 00 41 04 40 00 B2 8F 00 80 02 3C 26 10 50 00 21 80 40 00 44 00 A2 AF 01 00 14 24 40 00 B2 8F 21 28 00 00 21 A8 00 00 ?? ?? ?? 0? 21 20 40 02 60 00 40 04 00 80 02 3C 10 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 B0 AF 40 00 A2 8F 21 90 00 00 FF FF 10 24 14 00 A2 AF 01 00 13 24 12 00 A4 27 ?? ?? ?? 0? 14 00 A5 27 59 00 40 10 10 00 A2 87 12 00 B6 87 23 B0 C2 02 10 00 C0 06 40 00 B7 8F 44 00 A2 8F 21 28 C0 02 14 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 BE 8F 40 00 B7 8F 21 20 C0 03 ?? ?? ?? 0? 21 28 E0 02 26 00 40 18 21 20 E0 02 FF FF D6 26 F3 FF D0 16 44 00 A2 8F 21 20 00 00 ?? ?? ?? 0? 21 28 E0 02 14 00 41 04 ?? ?? 02 3C 44 00 B0 8F ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 28 E0 02 ?? ?? ?? 0? 21 98 40 00 39 00 41 04 21 20 E0 02 21 20 00 00 ?? ?? ?? 0? 21 28 60 02 34 00 41 04 21 20 E0 02 ?? ?? ?? 0? 21 28 00 02 21 B8 40 00 01 00 52 26 04 00 20 12 00 F0 52 7E 23 10 12 00 0B 90 54 00 00 00 32 AE 90 FF A0 12 3C 00 BF 8F 00 80 02 3C ?? ?? ?? 0? 26 B8 57 00 ?? ?? ?? 0? 21 28 C0 03 21 B8 40 00 20 00 C2 2E 05 00 40 10 40 00 B7 AF 04 B0 D3 02 21 90 56 02 ?? ?? ?? 0? 14 00 B7 AF BB FF C1 06 14 00 B7 AF ?? ?? ?? 0? 21 20 00 00 44 00 B7 8F 3C 00 BF 8F 38 00 BE 8F 21 10 E0 02 30 00 B6 8F 34 00 B7 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 26 90 42 02 01 00 02 24 23 A0 54 00 40 00 B2 AF 20 A6 14 7C ?? ?? ?? 0? 01 00 15 24 ?? ?? ?? 0? 40 00 B7 8F ?? ?? ?? 0? 21 28 60 02 CE FF 40 14 01 00 42 32 CC FF 40 10 21 20 E0 02 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_520_1_4 {
	meta:
		name = "vfscanf_s"
		size = 92
		refs = "0030 _Scanf 004c _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 10 80 00 21 18 A0 00 0C 00 80 10 21 38 C0 00 0A 00 A0 10 ?? ?? 04 3C 21 28 40 00 ?? ?? 84 24 01 00 02 24 21 30 60 00 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_523_0_4 {
	meta:
		name = "tanf"
		size = 460
		refs = "001c _FDtest 0060 _FQuad 006c _FRteps 0080 fpcmp 00b0 _FDunscale 00c0 fpdiv 00d4 _FDscale 00e4 _Feraise 00fc _FNan 0124 fpmul 014c fpsub 0168 fpadd"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF ?? ?? ?? 0? 1C 00 B0 AF 01 00 03 24 32 00 43 10 02 00 03 24 03 00 43 10 30 00 B2 8F 09 00 40 14 00 00 00 00 2C 00 BF 8F 21 10 40 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 30 00 A4 27 21 80 40 00 ?? ?? 02 3C ?? ?? 51 8C 30 00 B2 8F 00 80 04 3C 26 20 91 00 ?? ?? ?? 0? 21 28 40 02 26 00 41 04 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 22 00 41 04 21 20 40 02 01 00 10 32 E7 FF 00 12 2C 00 BF 8F 10 00 A4 27 ?? ?? ?? 0? 30 00 A5 27 ?? ?? 02 3C 30 00 A5 8F ?? ?? ?? 0? ?? ?? 44 8C 10 00 A5 87 30 00 A4 27 30 00 A2 AF ?? ?? ?? 0? 23 28 05 00 D8 FF 40 58 30 00 B2 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 30 00 B2 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 52 8C 2C 00 BF 8F 28 00 B3 8F 21 10 40 02 20 00 B1 8F 24 00 B2 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 21 28 40 02 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 60 02 ?? ?? ?? 0? 01 00 10 32 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 88 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 07 00 00 12 21 20 40 00 00 80 04 3C 26 20 91 00 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? ?? 0? 21 90 40 00 }
	condition:
		$1
}

rule file_524_0_4 {
	meta:
		name = "mblen"
		size = 64
		refs = "0020 _Mbtowc"
	strings:
		$1 = { E0 FF BD 27 21 10 80 00 21 30 A0 00 21 20 00 00 10 00 A7 27 21 28 40 00 1C 00 BF AF 10 00 A0 AF ?? ?? ?? 0? 14 00 A0 AF 1C 00 BF 8F 00 00 44 28 FF FF 03 24 0B 10 64 00 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_525_0_4 {
	meta:
		name = "_FDsign"
		size = 52
	strings:
		$1 = { F8 FF BD 27 04 00 BE AF 21 F0 A0 03 08 00 C4 AF 08 00 C2 27 02 00 42 24 00 00 42 94 00 80 42 30 21 E8 C0 03 04 00 BE 8F 08 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_526_0_4 {
	meta:
		name = "_Iswctype"
		size = 184
		refs = "0000 _Tls_setup__Wctype 0028 _Wctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 06 00 40 10 1C 00 BF AF 10 00 A4 AF 09 F8 40 00 14 00 A5 AF 14 00 A5 8F 10 00 A4 8F ?? ?? 02 3C ?? ?? 42 8C 01 00 A6 24 C0 30 06 00 C0 28 05 00 21 28 45 00 21 30 46 00 04 00 A3 8C 04 00 C5 8C 00 00 42 8C 80 18 03 00 80 28 05 00 21 18 43 00 21 28 45 00 2B 30 65 00 0E 00 C0 10 21 10 00 00 00 00 62 8C 2A 10 82 00 06 00 40 54 0C 00 63 24 04 00 62 8C 2A 10 44 00 09 00 40 10 1C 00 BF 8F 0C 00 63 24 2B 10 65 00 F6 FF 40 54 00 00 62 8C 21 10 00 00 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 08 00 62 8C 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_528_0_4 {
	meta:
		name = "lgamma_big"
		size = 232
		refs = "0018 _FLog 0030 fpsub 0040 _FDunscale 0058 fpmul 0068 _FDscale 0078 _Feraise 009c fpdiv 00bc fpadd"
	strings:
		$1 = { D8 FF BD 27 21 28 00 00 24 00 BF AF 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF ?? ?? ?? 0? 21 80 80 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? ?? ?? 11 3C 10 00 A4 27 14 00 A5 27 ?? ?? ?? 0? 14 00 A2 AF ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 02 14 00 A4 8F ?? ?? ?? 0? 21 28 40 00 10 00 A5 87 14 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 0A 00 40 04 ?? ?? 24 8E ?? ?? ?? 0? 08 00 04 24 24 00 BF 8F 14 00 A2 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 14 00 A5 8F ?? ?? ?? 0? 21 20 40 00 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_528_1_4 {
	meta:
		name = "lgammaf"
		size = 796
		refs = "0028 _FDint 004c _FGamma_big 005c fpcmp 00f8 fpsub 010c _FPoly 012c fpdiv 0150 _Feraise 0158 _FInf 01a4 _FTgamma 01d0 _FLog 01e0 sitofp 01fc fpmul 0208 fpadd 0234 log1pf 0284 _FSin"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 14 00 A4 AF 21 28 00 00 14 00 A4 27 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 18 00 B0 AF 01 00 03 24 48 00 43 10 02 00 03 24 50 00 43 10 2C 00 BF 8F 3D 00 40 10 30 00 B0 8F ?? ?? 02 3C ?? ?? 52 8C 00 80 11 3C 21 20 00 02 ?? ?? ?? 0? 26 28 32 02 80 00 40 04 14 00 A5 8F 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 96 00 40 18 ?? ?? 12 3C ?? ?? 52 26 21 98 40 02 21 A0 00 00 0C 00 11 24 00 00 64 8E ?? ?? ?? 0? 21 28 00 02 05 00 41 04 21 20 00 02 ?? ?? ?? 0? 04 00 65 8E 8D 00 40 04 18 00 02 24 01 00 94 26 F5 FF 91 16 18 00 73 26 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 02 33 00 41 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2F 00 43 04 30 00 A4 27 ?? ?? 11 3C ?? ?? 31 26 04 00 25 8E ?? ?? ?? 0? 21 20 00 02 08 00 25 8E 0C 00 26 8E 21 20 40 00 ?? ?? ?? 0? 21 80 40 00 10 00 25 8E 14 00 26 8E 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 2C 00 BF 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 C1 FF 40 1C ?? ?? 02 3C ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 42 8C 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 30 00 A2 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 30 00 A4 27 ?? ?? ?? 0? 10 00 A5 27 30 00 B0 8F 21 28 00 00 14 00 A2 AF ?? ?? ?? 0? 21 20 00 02 03 00 41 04 21 28 00 00 00 80 02 3C 26 80 50 00 ?? ?? ?? 0? 21 20 00 02 10 00 A4 87 21 88 40 00 ?? ?? ?? 0? 23 20 04 00 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 00 80 02 3C ?? ?? ?? 0? 26 88 22 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 14 00 A4 8F ?? ?? ?? 0? 30 00 A2 AF 30 00 A5 8F ?? ?? ?? 0? 21 20 40 00 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 00 02 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 8E ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 30 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 8E ?? ?? ?? 0? 21 28 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 30 00 A4 8F 21 80 40 00 ?? ?? ?? 0? 26 20 91 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 2C 00 BF 8F 02 18 82 72 21 20 00 02 21 90 72 00 ?? ?? ?? 0? 08 00 45 8E 0C 00 45 8E ?? ?? ?? 0? 21 20 40 00 10 00 45 8E 14 00 46 8E ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 2C 00 BF 8F }
	condition:
		$1
}

rule file_529_0_4 {
	meta:
		name = "mbsinit"
		size = 24
	strings:
		$1 = { 03 00 80 10 01 00 02 24 06 00 82 94 01 00 42 2C 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_531_0_4 {
	meta:
		name = "_Exp"
		size = 1084
		refs = "0028 _Dtest 006c fpcmp 0070 _Inf 0108 fpmul 0134 _Feraise 013c _Nan 01f0 fpadd 01f8 fptosi 0204 sitofp 0224 fpsub 0250 _Eps 0290 _Dscale 03e8 fpdiv"
	strings:
		$1 = { C8 FF BD 27 10 00 A6 AF 34 00 BF AF 20 00 B1 AF 1C 00 B0 AF 3C 00 A5 AF 21 80 80 00 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 21 88 40 00 ?? ?? ?? 0? 3C 00 A4 27 4D 00 20 06 10 00 A6 8F 02 00 03 24 0F 00 23 12 34 00 BF 8F 02 00 03 24 15 00 43 50 3C 00 A2 8F 1F 00 40 14 01 00 12 24 ?? ?? 02 3C 00 00 04 8E ?? ?? ?? 0? ?? ?? 45 8C 2F 00 40 10 3C 00 A2 8F 21 88 00 00 00 00 02 AE 34 00 BF 8F 21 10 20 02 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 34 00 BF 8F 02 00 11 24 00 00 02 AE 30 00 B5 8F 21 10 20 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 0E 00 52 10 ?? ?? 02 3C 7E 00 20 12 ?? ?? 45 8C 00 00 11 8E ?? ?? ?? 0? 21 20 20 02 71 00 40 14 3C 00 A4 8F 3C 00 A5 8F 21 20 20 02 ?? ?? ?? 0? 01 00 11 24 ?? ?? ?? 0? 00 00 02 AE ?? ?? 45 8C 00 00 04 8E 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 69 00 40 14 3C 00 A2 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 42 8C 34 00 BF 8F 02 00 11 24 00 00 02 AE 30 00 B5 8F 21 10 20 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 B7 FF 41 04 02 00 03 24 00 00 11 8E ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? 10 00 A6 AF 49 00 40 04 10 00 A6 8F ?? ?? 02 3C ?? ?? 44 8C 21 28 20 02 ?? ?? ?? 0? 10 00 A6 AF 98 00 40 04 10 00 A6 8F ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? 10 00 A6 AF 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 90 40 00 8A 00 41 04 10 00 A6 8F ?? ?? 02 3C ?? ?? 44 8C 21 28 40 02 ?? ?? ?? 0? 10 00 A6 AF ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 90 40 00 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 A8 40 00 ?? ?? 02 3C ?? ?? 51 8C 00 80 04 3C 21 28 A0 02 ?? ?? ?? 0? 26 20 91 00 2C 00 41 04 10 00 A6 8F 21 20 A0 02 ?? ?? ?? 0? 21 28 20 02 27 00 41 04 10 00 A6 8F 3C 00 A2 8F 00 00 02 AE 21 20 00 02 ?? ?? ?? 0? 21 28 46 02 18 00 40 10 21 88 40 00 01 00 02 24 78 FF 22 56 34 00 BF 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 34 00 BF 8F 3C 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 88 00 00 ?? ?? ?? 0? 00 00 02 AE 01 00 11 24 ?? ?? ?? 0? 00 00 02 AE 3C 00 A2 8F 21 20 00 02 21 28 C0 00 ?? ?? ?? 0? 00 00 02 AE 05 00 40 14 21 88 40 00 ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 34 00 BF 8F 5E FF 52 54 34 00 BF 8F ?? ?? ?? 0? 00 00 00 00 21 20 A0 02 21 28 A0 02 ?? ?? ?? 0? 10 00 A6 AF 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 A0 02 21 28 40 00 21 20 60 02 ?? ?? ?? 0? 21 88 40 00 ?? ?? 85 8E ?? ?? ?? 0? 21 20 40 00 21 20 60 02 21 28 20 02 ?? ?? ?? 0? 21 A8 40 00 ?? ?? 85 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 3C 00 A5 8F ?? ?? ?? 0? 21 20 40 00 00 00 02 AE ?? ?? ?? 0? 10 00 A6 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 44 8C ?? ?? 02 3C ?? ?? 44 8C 3C 00 A5 8F ?? ?? ?? 0? 01 00 11 24 00 00 02 AE ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_533_0_4 {
	meta:
		name = "prout"
		size = 120
		refs = "003c wmemcpy"
	strings:
		$1 = { 04 00 82 8C E0 FF BD 27 18 00 B1 AF 2B 18 46 00 14 00 B0 AF 1C 00 BF AF 21 80 80 00 04 00 60 10 21 88 C0 00 01 00 03 24 08 00 83 AC 21 88 40 00 0C 00 20 12 1C 00 BF 8F 00 00 04 8E ?? ?? ?? 0? 21 30 20 02 00 00 04 8E 04 00 03 8E 80 10 11 00 21 10 82 00 23 88 71 00 00 00 02 AE 04 00 11 AE 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_533_1_4 {
	meta:
		name = "swprintf_s"
		size = 236
		refs = "0058 _WPrintf 0090 _Fail_s"
	strings:
		$1 = { D0 FF BD 27 28 00 B0 AF 2C 00 BF AF 21 80 80 00 1D 00 80 10 3C 00 A7 AF 1C 00 A0 50 ?? ?? 04 3C 1A 00 A2 04 ?? ?? 04 3C 29 00 C0 10 FF FF A3 24 3C 00 A2 27 ?? ?? 04 3C 21 38 40 00 18 00 A2 AF ?? ?? 84 24 01 00 02 24 1C 00 A5 27 20 00 A3 AF 1C 00 B0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 A3 8F 11 00 60 14 FF FF 43 28 15 00 60 14 1C 00 A3 8F 2C 00 BF 8F 28 00 B0 8F 00 00 60 AC 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 21 10 00 00 2C 00 BF 8F 28 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1C 00 05 24 ?? ?? ?? 0? 21 10 00 00 00 00 00 AE ?? ?? ?? 0? 21 10 00 00 00 00 80 AC ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 20 00 05 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_535_0_4 {
	meta:
		name = "_FDclass"
		size = 32
		refs = "000c _FDtest"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_685_0_4 {
	meta:
		name = "_Dclass"
		size = 32
		refs = "000c _Dtest"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_536_0_4 {
	meta:
		name = "lroundl"
		size = 208
		refs = "0018 _LDtest 0040 roundl 0068 dpcmp 0094 dptoli 00b0 _Feraise"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 24 00 A5 AF 21 18 40 00 1D 00 60 10 21 10 00 00 03 00 60 04 03 00 63 28 1E 00 60 14 00 00 00 00 20 00 A4 8F ?? ?? ?? 0? 24 00 A5 8F 21 80 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 00 02 21 38 60 00 21 88 60 00 20 00 B0 AF ?? ?? ?? 0? 24 00 A3 AF 0F 00 40 1C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 08 00 40 1C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 1C 00 BF 8F 21 10 00 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_537_0_4 {
	meta:
		name = "erfcl"
		size = 1116
		refs = "0030 _LDtest 00a8 dpcmp 012c _Feraise 01c0 erfl 01d8 dpsub 0238 _LPoly 026c dpdiv 0388 _LDint 03c8 dpadd 03dc dpmul 03e8 expl 0448 _LExp"
	strings:
		$1 = { B8 FF BD 27 48 00 A4 AF 48 00 A4 27 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF ?? ?? ?? 0? 4C 00 A5 AF 01 00 03 24 4E 00 43 10 02 00 03 24 3E 00 43 10 48 00 A5 8F 11 00 40 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 44 8C 21 28 00 00 44 00 BF 8F 21 10 A0 00 21 18 80 00 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 48 00 B0 8F 4C 00 B1 8F ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 42 00 40 04 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 47 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 7C 00 40 04 ?? ?? 14 3C ?? ?? 94 26 01 00 13 24 06 00 12 24 00 00 86 8E 04 00 87 8E 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 20 00 94 26 73 00 40 04 ?? ?? 02 3C 01 00 73 26 F7 FF 72 56 00 00 86 8E ?? ?? ?? 0? 10 00 04 24 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 4C 00 A4 8F 44 00 BF 8F 21 10 A0 00 21 18 80 00 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 4E 00 A2 87 54 00 40 04 44 00 BF 8F 21 28 00 00 21 20 00 00 21 10 A0 00 21 18 80 00 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 1F 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 06 3C 21 20 40 00 21 28 60 00 ?? ?? C6 24 08 00 07 24 48 00 A2 AF ?? ?? ?? 0? 4C 00 A3 AF 48 00 A4 8F 4C 00 A5 8F ?? ?? 06 3C 21 80 40 00 21 88 60 00 ?? ?? C6 24 ?? ?? ?? 0? 09 00 07 24 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 06 3C 21 20 40 00 21 28 60 00 ?? ?? C6 24 08 00 07 24 48 00 A2 AF ?? ?? ?? 0? 4C 00 A3 AF ?? ?? 06 3C 21 80 40 00 21 88 60 00 48 00 A4 8F 4C 00 A5 8F ?? ?? ?? 0? ?? ?? C6 24 ?? ?? 02 3C 21 28 00 00 ?? ?? ?? 0? ?? ?? 44 8C 21 98 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 84 24 40 99 13 00 21 98 64 02 08 00 66 8E 0C 00 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 10 00 66 8E 14 00 67 8E 21 20 40 00 21 28 60 00 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 18 00 66 8E 1C 00 67 8E 18 00 A4 8F 1C 00 A5 8F 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 A8 40 00 21 A0 60 00 48 00 A2 8F 4C 00 A3 8F 18 00 A4 27 11 00 05 24 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 48 00 B0 8F 4C 00 B1 8F 18 00 B2 8F 1C 00 B3 8F 21 30 00 02 21 38 20 02 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 21 30 00 02 21 38 20 02 21 20 40 02 21 28 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 38 60 00 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 80 40 00 1C 00 A2 8F 21 88 60 00 18 00 A3 8F 00 80 04 3C 21 40 40 00 26 10 44 00 21 28 00 01 21 20 60 00 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 21 28 20 02 21 30 A0 02 21 38 80 02 21 20 00 02 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 21 30 40 00 18 00 A4 27 21 38 60 00 ?? ?? ?? 0? 10 00 A0 AF 18 00 A5 8F ?? ?? ?? 0? 1C 00 A4 8F }
	condition:
		$1
}

rule file_539_0_4 {
	meta:
		name = "ccoshl"
		size = 896
		refs = "0034 creall 0050 cimagl 0060 _LDtest 00a4 _LInf 00b4 dpcmp 00dc _LCbuild 0114 _LNan 0164 _LSin 0178 _LCosh 01ac _LSinh 0268 _Feraise 02a4 _LZero 0330 dpmul"
	strings:
		$1 = { B0 FF BD 27 38 00 B3 AF 34 00 B2 AF 30 00 B1 AF 2C 00 B0 AF 21 90 80 00 21 80 C0 00 21 98 A0 00 21 88 E0 00 4C 00 BF AF 48 00 B7 AF 44 00 B6 AF 40 00 B5 AF ?? ?? ?? 0? 3C 00 B4 AF 21 30 00 02 21 28 60 02 21 38 20 02 21 20 40 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 25 00 03 12 01 00 04 24 79 00 44 10 00 00 00 00 5A 00 43 10 00 00 00 00 31 00 04 16 18 00 A4 8F 8D 00 40 14 14 00 A5 8F 10 00 A4 8F ?? ?? 02 3C 21 30 00 00 21 38 00 00 ?? ?? 50 8C ?? ?? ?? 0? ?? ?? 51 8C 7E 00 41 04 18 00 A3 8F 1C 00 A4 8F 00 80 02 3C 26 10 82 00 21 20 00 02 21 28 20 02 21 30 60 00 ?? ?? ?? 0? 21 38 40 00 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 45 00 40 10 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 1C 00 A5 8F 10 00 B0 8F 14 00 B1 8F ?? ?? ?? 0? 01 00 06 24 21 38 60 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 30 40 00 18 00 A4 8F 1C 00 A5 8F 10 00 B2 8F 14 00 B3 8F 21 30 00 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 20 00 02 21 28 20 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 59 00 00 12 ?? ?? 02 3C C7 FF 04 56 ?? ?? 44 8C ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C ?? ?? 02 3C ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C ?? ?? ?? 0? 4C 00 BF 8F 18 00 A6 8F 1C 00 A7 8F ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 45 8C 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 ?? ?? ?? 0? 20 00 A2 AF 13 00 00 16 20 00 A2 8F 18 00 A4 8F 1C 00 A5 8F ?? ?? 02 3C 21 30 00 00 21 38 00 00 ?? ?? 50 8C ?? ?? ?? 0? ?? ?? 51 8C 37 00 43 04 21 18 00 00 ?? ?? 03 3C ?? ?? 64 8C 00 80 02 3C ?? ?? 63 8C ?? ?? ?? 0? 26 10 82 00 ?? ?? ?? 0? 1C 00 A2 8F 95 FF 02 56 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 02 3C ?? ?? 10 3C ?? ?? 08 8E ?? ?? 09 8E 18 00 A4 8F 1C 00 A5 8F 01 00 06 24 20 00 A8 AF ?? ?? ?? 0? 24 00 A9 AF 18 00 A4 8F 1C 00 A5 8F 21 30 00 00 ?? ?? 14 8E ?? ?? 15 8E 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 20 00 A8 8F 24 00 A9 8F 21 90 40 00 21 98 60 00 21 20 00 01 21 28 20 01 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 20 80 02 21 28 A0 02 21 30 40 02 21 38 60 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 ?? ?? ?? 0? 21 20 00 02 10 00 A6 8F 14 00 A7 8F ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 4C 00 BF 8F ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_540_0_4 {
	meta:
		name = "asin"
		size = 408
		refs = "001c _Dtest 005c fpcmp 00a8 _Feraise 00b4 _Nan 00d8 fpsub 00e8 fpadd 00f4 fpmul 00fc sqrt 0108 fpdiv 0114 _Atan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 09 00 40 14 02 00 03 24 24 00 BF 8F 28 00 A2 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 F7 FF 43 10 28 00 B0 8F 21 28 00 00 21 88 00 00 ?? ?? ?? 0? 21 20 00 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 50 00 28 00 B0 AF 08 00 11 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 11 00 40 18 ?? ?? 12 3C ?? ?? 45 8E ?? ?? ?? 0? 21 20 00 02 25 00 40 18 ?? ?? 44 8E ?? ?? ?? 0? 01 00 04 24 24 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 44 8E ?? ?? ?? 0? 21 28 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 28 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 02 00 25 36 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_662_0_4 {
	meta:
		name = "asinf"
		size = 408
		refs = "001c _FDtest 005c fpcmp 00a8 _Feraise 00b4 _FNan 00d8 fpsub 00e8 fpadd 00f4 fpmul 00fc sqrtf 0108 fpdiv 0114 _FAtan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 09 00 40 14 02 00 03 24 24 00 BF 8F 28 00 A2 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 F7 FF 43 10 28 00 B0 8F 21 28 00 00 21 88 00 00 ?? ?? ?? 0? 21 20 00 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 80 50 00 28 00 B0 AF 08 00 11 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 11 00 40 18 ?? ?? 12 3C ?? ?? 45 8E ?? ?? ?? 0? 21 20 00 02 25 00 40 18 ?? ?? 44 8E ?? ?? ?? 0? 01 00 04 24 24 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 44 8E ?? ?? ?? 0? 21 28 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 00 02 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 28 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 02 00 25 36 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_541_0_4 {
	meta:
		name = "memmove_s"
		size = 232
		refs = "0084 memset 0094 _Fail_s"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 30 00 80 10 21 10 A0 00 2F 00 A2 04 ?? ?? 04 3C 1A 00 C0 50 21 28 00 00 17 00 E0 04 2B 18 A7 00 15 00 60 14 21 18 80 00 2B 28 C4 00 1C 00 A0 10 21 10 C0 00 21 28 C7 00 2B 40 85 00 18 00 00 11 00 00 00 00 13 00 E0 10 21 10 00 00 21 20 87 00 23 38 87 00 FF FF A5 24 00 00 A2 90 FF FF 84 24 FC FF 87 14 00 00 82 A0 21 10 00 00 14 00 BF 8F 08 00 E0 03 18 00 BD 27 21 28 00 00 ?? ?? ?? 0? 21 30 40 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 F1 FF E0 10 21 30 C7 00 00 00 44 90 01 00 42 24 00 00 64 A0 FC FF 46 14 01 00 63 24 ?? ?? ?? 0? 21 10 00 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 24 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_542_1_4 {
	meta:
		name = "_ZNKSt9exception6_RaiseEv"
		size = 76
		refs = "0000 _ZSt14_Raise_handler 0034 _ZSt6_ThrowRKSt9exception"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 10 00 B0 AF 14 00 BF AF 03 00 40 10 21 80 80 00 09 F8 40 00 00 00 00 00 00 00 02 8E 0C 00 42 8C 09 F8 40 00 21 20 00 02 ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_544_0_4 {
	meta:
		name = "puts"
		size = 84
		refs = "0014 fputs 0018 _Stdout 0040 fputc"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF ?? ?? 11 3C 14 00 B0 AF 1C 00 BF AF ?? ?? ?? 0? ?? ?? 25 26 07 00 41 04 FF FF 10 24 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 0A 00 04 24 ?? ?? ?? 0? ?? ?? 25 26 00 00 42 28 ?? ?? ?? 0? 0A 80 02 00 }
	condition:
		$1
}

rule file_545_0_4 {
	meta:
		name = "fread"
		size = 316
		refs = "00d0 memcpy 0110 _Frprep"
	strings:
		$1 = { D0 FF BD 27 14 00 B0 AF 02 80 C5 70 1C 00 B2 AF 18 00 B1 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 21 88 A0 00 21 90 E0 00 17 00 00 12 21 10 00 00 00 00 E2 94 00 40 42 30 1C 00 40 10 21 A8 80 00 18 00 E2 8C 21 98 00 02 ?? ?? ?? 0? 48 00 E4 24 01 00 B5 26 2B 18 44 00 33 00 60 10 00 00 00 00 00 00 43 90 FF FF 73 26 01 00 42 24 00 00 A3 A2 F7 FF 60 16 18 00 42 AE 23 80 13 02 1B 00 11 02 F4 01 20 02 12 10 00 00 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 21 98 00 02 ?? ?? ?? 0? 0C 00 54 8E 21 28 80 02 23 A0 54 00 2B 10 74 02 0B A0 62 02 21 20 A0 02 ?? ?? ?? 0? 21 30 80 02 0C 00 42 8E 23 98 74 02 21 A8 B4 02 21 A0 54 00 E4 FF 60 12 0C 00 54 AE 28 00 42 8E 03 00 40 50 10 00 42 8E 10 00 42 AE 28 00 40 AE 2B 18 82 02 ED FF 60 14 21 28 80 02 ?? ?? ?? 0? 21 20 40 02 D9 FF 40 58 23 80 13 02 0C 00 54 8E ?? ?? ?? 0? 10 00 42 8E F0 FF 60 56 0C 00 54 8E ?? ?? ?? 0? 23 80 13 02 }
	condition:
		$1
}

rule file_547_0_4 {
	meta:
		name = "cprojf"
		size = 220
		refs = "0018 crealf 0028 cimagf 0034 _FDtest 007c _FInf 008c _FCbuild 00bc _FZero"
	strings:
		$1 = { D8 FF BD 27 1C 00 B1 AF 18 00 B0 AF 21 88 80 00 21 80 A0 00 24 00 BF AF ?? ?? ?? 0? 20 00 B2 AF 21 28 00 02 21 20 20 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 90 40 00 01 00 03 24 0B 00 43 52 16 00 A2 87 08 00 43 10 24 00 BF 8F 21 10 20 02 21 18 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 16 00 A2 87 ?? ?? 03 3C ?? ?? 64 8C 0D 00 40 04 21 28 00 00 ?? ?? ?? 0? 00 00 00 00 21 88 40 00 21 80 60 00 24 00 BF 8F 21 10 20 02 21 18 00 02 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 28 A2 00 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 }
	condition:
		$1
}

rule file_548_0_4 {
	meta:
		name = "wcrtomb"
		size = 72
		refs = "0014 _Wctomb"
	strings:
		$1 = { E0 FF BD 27 0D 00 C0 10 1C 00 BF AF 06 00 80 50 10 00 A4 27 ?? ?? ?? 0? 00 00 00 00 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 30 00 05 24 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 06 3C ?? ?? ?? 0? ?? ?? C6 24 }
	condition:
		$1
}

rule file_549_0_4 {
	meta:
		name = "_Daysto"
		size = 116
	strings:
		$1 = { 15 00 80 18 FD FF 83 28 FF FF 82 24 83 10 02 00 03 00 83 30 0A 00 60 14 ?? ?? 03 3C 07 00 80 10 ?? ?? 03 3C ?? ?? 63 24 40 28 05 00 21 28 65 00 00 00 A3 84 08 00 E0 03 21 10 62 00 ?? ?? 03 3C ?? ?? 63 24 40 28 05 00 21 28 65 00 00 00 A3 84 08 00 E0 03 21 10 62 00 ED FF 60 10 21 10 00 00 04 00 02 24 23 10 44 00 83 10 02 00 ?? ?? ?? 0? 01 00 42 24 }
	condition:
		$1
}

rule file_549_1_4 {
	meta:
		name = "_Ttotm"
		size = 468
		refs = "00b4 _Daysto 0178 _Isdst"
	strings:
		$1 = { C0 FF BD 27 38 00 BE AF AA 83 1E 3C 80 7E DE 27 20 00 B2 AF 1C 00 B1 AF 3C 00 BF AF 34 00 B7 AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 18 00 B0 AF 21 88 80 00 21 90 C0 00 62 00 80 10 21 F0 BE 00 2E C2 15 3C 01 00 16 3C A2 91 17 3C 20 00 32 AE 21 98 C0 03 07 45 B5 26 ?? ?? 14 3C 80 51 D6 26 C5 B3 F7 36 19 00 75 02 07 00 02 24 6D 01 06 24 10 28 00 00 02 84 05 00 01 00 03 26 1A 00 62 00 F4 01 40 00 10 10 00 00 18 00 22 AE 1A 00 06 02 F4 01 C0 00 12 18 00 00 ?? ?? ?? 0? 02 30 66 70 FF FF 63 24 21 20 60 00 21 28 00 00 10 00 A3 AF ?? ?? ?? 0? 14 00 A6 AF 14 00 A6 8F 10 00 A3 8F 21 10 46 00 2A 20 02 02 F5 FF 80 14 93 FE C6 24 23 80 02 02 03 00 64 30 14 00 23 AE 1C 00 30 AE 04 00 80 14 ?? ?? 82 26 ?? ?? 05 3C ?? ?? A4 24 0B 10 83 00 21 18 40 00 0C 00 04 24 16 00 65 84 FF FF 84 24 2A 30 05 02 FC FF C0 14 FE FF 63 24 1B 00 76 02 F4 01 C0 02 01 00 10 26 23 28 05 02 0C 00 25 AE 10 0E 13 24 10 00 24 AE 10 18 00 00 19 00 77 00 10 28 00 00 C2 12 05 00 08 00 22 AE 02 20 53 70 88 88 02 3C 89 88 42 34 23 98 64 00 19 00 62 02 10 18 00 00 42 11 03 00 3C 00 03 24 02 20 43 70 04 00 22 AE 23 98 64 02 08 00 41 06 00 00 33 AE ?? ?? ?? 0? 21 20 20 02 21 90 40 00 03 00 40 18 20 00 22 AE ?? ?? ?? 0? 10 0E D3 27 3C 00 BF 8F 21 10 20 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 11 3C ?? ?? ?? 0? ?? ?? 31 26 }
	condition:
		$1
}

rule file_552_0_4 {
	meta:
		name = "strnlen_s"
		size = 72
	strings:
		$1 = { 0F 00 80 10 21 10 00 00 0D 00 A0 10 00 00 00 00 00 00 83 80 0A 00 60 10 21 28 85 00 ?? ?? ?? 0? 21 10 80 00 06 00 60 50 23 10 44 00 01 00 42 24 FC FF 45 54 00 00 43 80 08 00 E0 03 23 10 44 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_554_0_4 {
	meta:
		name = "expf"
		size = 116
		refs = "000c _FDtest 0048 _FExp"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 01 00 03 24 11 00 43 10 02 00 03 24 0C 00 43 50 18 00 A2 8F 05 00 40 14 ?? ?? 02 3C 14 00 BF 8F ?? ?? 42 8C 08 00 E0 03 18 00 BD 27 ?? ?? 45 8C 18 00 A4 27 ?? ?? ?? 0? 21 30 00 00 18 00 A2 8F 14 00 BF 8F 08 00 E0 03 18 00 BD 27 1A 00 A3 87 FA FF 61 04 21 10 00 00 ?? ?? ?? 0? 14 00 BF 8F }
	condition:
		$1
}

rule file_555_0_4 {
	meta:
		name = "strlen"
		size = 44
	strings:
		$1 = { 00 00 83 80 07 00 60 10 21 10 00 00 21 10 80 00 01 00 42 24 00 00 43 80 FE FF 60 54 01 00 42 24 23 10 44 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_558_1_4 {
	meta:
		name = "fwprintf_s"
		size = 104
		refs = "003c _WPrintf 0058 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 30 00 A6 AF 24 00 BF AF 21 10 80 00 34 00 A7 AF 0E 00 80 10 21 30 A0 00 0C 00 A0 10 30 00 A3 27 ?? ?? 04 3C 21 28 40 00 ?? ?? 84 24 01 00 02 24 21 38 60 00 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_559_0_4 {
	meta:
		name = "wcspbrk"
		size = 96
	strings:
		$1 = { 00 00 83 8C 14 00 60 10 21 10 00 00 00 00 A7 8C 21 10 80 00 0B 00 E0 50 04 00 42 24 0E 00 E3 10 21 20 A0 00 ?? ?? ?? 0? 04 00 84 24 0A 00 66 10 04 00 84 24 00 00 86 8C FC FF C0 14 00 00 00 00 04 00 42 24 00 00 43 8C F2 FF 60 14 00 00 00 00 08 00 E0 03 21 10 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_560_0_4 {
	meta:
		name = "erfc"
		size = 748
		refs = "001c _Dtest 006c fpcmp 00dc _Feraise 0120 erf 0130 fpsub 0174 _Poly 0198 fpdiv 0270 _Dint 0294 fpadd 02a0 fpmul 02a8 exp 02dc _Exp"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF ?? ?? ?? 0? 1C 00 B0 AF 01 00 03 24 37 00 43 10 02 00 03 24 2E 00 43 10 2C 00 BF 8F 0A 00 40 14 30 00 B0 8F ?? ?? 02 3C ?? ?? 42 8C 2C 00 BF 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2A 00 40 04 00 00 00 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2C 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 54 00 40 04 ?? ?? 12 3C ?? ?? 52 26 01 00 13 24 06 00 11 24 00 00 45 8E 21 20 00 02 ?? ?? ?? 0? 18 00 52 26 4D 00 40 04 ?? ?? 02 3C 01 00 73 26 F9 FF 71 56 00 00 45 8E ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 21 10 00 00 30 00 A2 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 36 00 A3 87 CE FF 61 04 21 10 00 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 16 00 43 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 08 00 06 24 ?? ?? ?? 0? 30 00 A2 AF 30 00 A4 8F ?? ?? 05 3C 09 00 06 24 ?? ?? A5 24 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 05 3C 21 20 40 00 ?? ?? A5 24 08 00 06 24 ?? ?? ?? 0? 30 00 A2 AF 30 00 A4 8F ?? ?? 05 3C 09 00 06 24 ?? ?? A5 24 ?? ?? ?? 0? 21 80 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 2C 00 BF 8F 21 98 00 00 ?? ?? 02 3C ?? ?? 44 8C 21 28 00 02 ?? ?? ?? 0? 18 00 10 24 02 20 70 72 ?? ?? 03 3C ?? ?? 63 24 21 80 83 00 04 00 05 8E ?? ?? ?? 0? 21 20 40 00 08 00 05 8E 0C 00 06 8E 21 20 40 00 ?? ?? ?? 0? 10 00 A2 AF 14 00 06 8E 10 00 05 8E 10 00 A4 8F ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 90 40 00 30 00 A2 8F 10 00 A4 27 11 00 05 24 ?? ?? ?? 0? 10 00 A2 AF 30 00 B0 8F 10 00 B1 8F 21 28 00 02 ?? ?? ?? 0? 21 20 20 02 21 28 00 02 21 20 20 02 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 21 20 40 00 10 00 A4 8F 00 80 05 3C 21 80 40 00 ?? ?? ?? 0? 26 28 A4 00 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 10 00 A2 AF 21 28 40 00 10 00 A4 27 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 10 00 A2 8F }
	condition:
		$1
}

rule file_561_0_4 {
	meta:
		name = "c16rtomb"
		size = 416
	strings:
		$1 = { F8 FF BD 27 FF FF A5 30 06 00 C2 80 47 00 80 10 00 00 C3 8C 13 00 40 10 00 24 A7 24 FF FF E7 30 00 04 E7 2C 0D 00 E0 10 FF FF 02 24 FF FF 02 3C 00 24 42 24 21 28 A2 00 06 00 C0 A4 25 28 A3 00 80 FF 02 24 24 10 A2 00 15 00 40 14 00 F8 02 24 01 00 82 24 00 00 85 A0 23 10 44 00 08 00 E0 03 08 00 BD 27 00 28 A2 24 FF FF 42 30 00 04 42 2C F4 FF 40 10 80 FF 02 24 FF FF 02 3C 40 28 42 24 21 28 A2 00 80 2A 05 00 01 00 02 24 06 00 C2 A4 00 00 C5 AC 21 10 00 00 08 00 E0 03 08 00 BD 27 24 10 A2 00 1B 00 40 10 82 19 05 00 FF FF 02 3C 24 10 A2 00 20 00 40 14 E0 FF 02 3C 02 1B 05 00 E0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 02 00 02 24 FF FF 46 24 06 00 03 24 02 18 C3 70 80 FF 09 24 21 30 40 01 FA FF 08 24 06 38 65 00 3F 00 E7 30 25 38 E9 00 FA FF 63 24 00 00 C7 A0 FA FF 68 14 01 00 C6 24 21 10 42 01 ?? ?? ?? 0? 23 10 44 00 C0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 ?? ?? ?? 0? 01 00 02 24 21 28 00 00 ?? ?? ?? 0? 21 20 A0 03 24 10 A2 00 0C 00 40 10 82 1C 05 00 00 FC 02 3C 24 10 A2 00 0E 00 40 14 82 1F 05 00 02 1E 05 00 F8 FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 ?? ?? ?? 0? 04 00 02 24 F0 FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 ?? ?? ?? 0? 03 00 02 24 FC FF 02 24 25 10 62 00 00 00 82 A0 01 00 8A 24 ?? ?? ?? 0? 05 00 02 24 }
	condition:
		$1
}

rule file_563_0_4 {
	meta:
		name = "nanl"
		size = 24
		refs = "0004 _LNan"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 18 80 00 08 00 E0 03 21 10 A0 00 }
	condition:
		$1
}

rule file_565_1_4 {
	meta:
		name = "wscanf_s"
		size = 108
		refs = "0024 _Stdin 0040 _WScanf 005c _Fail_s"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 21 10 80 00 2C 00 A5 AF 30 00 A6 AF 0F 00 80 10 34 00 A7 AF 2C 00 A3 27 ?? ?? 04 3C ?? ?? 05 3C 21 30 40 00 ?? ?? 84 24 01 00 02 24 ?? ?? A5 24 21 38 60 00 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_602_1_4 {
	meta:
		name = "printf_s"
		size = 108
		refs = "0024 _Stdout 0040 _Printf 005c _Fail_s"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 21 10 80 00 2C 00 A5 AF 30 00 A6 AF 0F 00 80 10 34 00 A7 AF 2C 00 A3 27 ?? ?? 04 3C ?? ?? 05 3C 21 30 40 00 ?? ?? 84 24 01 00 02 24 ?? ?? A5 24 21 38 60 00 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_566_0_4 {
	meta:
		name = "mbtowc"
		size = 140
		refs = "0014 _Getmbcurmax 0034 _Mbtowc"
	strings:
		$1 = { D8 FF BD 27 14 00 A4 AF 18 00 A5 AF 10 00 A6 AF 24 00 BF AF ?? ?? ?? 0? 00 00 00 00 10 00 A6 8F 14 00 A4 8F 2B 10 46 00 0A 00 40 14 18 00 A5 8F ?? ?? 07 3C ?? ?? ?? 0? ?? ?? E7 24 24 00 BF 8F 00 00 44 28 FF FF 03 24 0B 10 64 00 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 00 00 00 00 14 00 A4 8F 18 00 A5 8F ?? ?? 07 3C 21 30 40 00 ?? ?? ?? 0? ?? ?? E7 24 24 00 BF 8F 00 00 44 28 FF FF 03 24 0B 10 64 00 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_568_0_4 {
	meta:
		name = "clock"
		size = 36
		refs = "0008 time"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 20 00 00 14 00 BF 8F E8 03 03 24 02 10 43 70 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_570_1_4 {
	meta:
		name = "sprintf_s"
		size = 236
		refs = "0058 _Printf 0090 _Fail_s"
	strings:
		$1 = { D0 FF BD 27 28 00 B0 AF 2C 00 BF AF 21 80 80 00 1D 00 80 10 3C 00 A7 AF 1C 00 A0 50 ?? ?? 04 3C 1A 00 A2 04 ?? ?? 04 3C 29 00 C0 10 FF FF A3 24 3C 00 A2 27 ?? ?? 04 3C 21 38 40 00 18 00 A2 AF ?? ?? 84 24 01 00 02 24 1C 00 A5 27 20 00 A3 AF 1C 00 B0 AF 24 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 A3 8F 11 00 60 14 FF FF 43 28 15 00 60 14 1C 00 A3 8F 00 00 60 A0 2C 00 BF 8F 28 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 21 10 00 00 2C 00 BF 8F 28 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1B 00 05 24 ?? ?? ?? 0? 21 10 00 00 00 00 00 A2 ?? ?? ?? 0? 21 10 00 00 00 00 80 A0 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1F 00 05 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_571_0_4 {
	meta:
		name = "strspn"
		size = 96
	strings:
		$1 = { 00 00 83 80 14 00 60 10 21 10 00 00 00 00 A8 80 0B 00 00 11 21 10 80 00 05 00 68 14 21 30 A0 00 ?? ?? ?? 0? 01 00 42 24 07 00 67 50 01 00 42 24 01 00 C6 24 00 00 C7 80 FB FF E0 14 00 00 00 00 08 00 E0 03 23 10 44 00 00 00 43 80 F2 FF 60 14 00 00 00 00 23 10 44 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_572_0_4 {
	meta:
		name = "tmpfile"
		size = 108
		refs = "000c tmpnam 001c fopen 002c malloc 003c strcpy 005c fclose"
	strings:
		$1 = { D8 FF BD 27 10 00 A4 27 24 00 BF AF ?? ?? ?? 0? 20 00 B0 AF ?? ?? 05 3C 21 20 40 00 ?? ?? ?? 0? ?? ?? A5 24 08 00 40 10 21 80 40 00 ?? ?? ?? 0? 11 00 04 24 09 00 40 10 21 20 40 00 ?? ?? ?? 0? 10 00 A5 27 3C 00 02 AE 24 00 BF 8F 21 10 00 02 20 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 80 00 00 }
	condition:
		$1
}

rule file_573_0_4 {
	meta:
		name = "strdup"
		size = 48
		refs = "0008 strlen 0010 malloc 001c strcpy"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 AF ?? ?? ?? 0? 01 00 44 24 10 00 A5 8F ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_574_0_4 {
	meta:
		name = "tgammaf"
		size = 760
		refs = "0024 _FDint 0050 fpcmp 0060 _FGamma_big 0090 _FTgamma 00a0 fpadd 00ac fpdiv 00c0 _FDscale 00d0 _Feraise 0124 _FNan 0150 _FInf 01a4 fpsub 0200 fpmul 020c _FSin"
	strings:
		$1 = { C8 FF BD 27 38 00 A4 AF 14 00 A4 AF 21 28 00 00 14 00 A4 27 34 00 BF AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF ?? ?? ?? 0? 24 00 B0 AF 01 00 03 24 3F 00 43 10 02 00 03 24 28 00 43 50 38 00 A2 8F 2D 00 40 10 38 00 B0 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 94 00 40 18 00 80 11 3C ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? 26 28 B1 00 48 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2E 00 40 1C 38 00 A4 27 ?? ?? ?? 0? 10 00 A5 27 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 38 00 A5 8F ?? ?? ?? 0? 21 20 40 00 10 00 A5 87 38 00 A4 27 38 00 A2 AF ?? ?? ?? 0? 23 28 05 00 7C 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 38 00 A2 8F 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 21 28 00 00 ?? ?? ?? 0? 21 20 00 02 1A 00 40 10 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 CD FF 43 04 ?? ?? 02 3C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 3A 00 A2 87 E9 FF 43 04 38 00 A2 8F ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 08 00 04 24 34 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 04 00 04 24 3A 00 A2 87 F4 FF 41 04 34 00 BF 8F ?? ?? 02 3C ?? ?? 43 8C 00 80 02 3C ?? ?? ?? 0? 26 10 62 00 ?? ?? 12 3C ?? ?? 45 8E 26 20 30 02 ?? ?? ?? 0? 18 00 B0 AF 14 00 A5 8F 21 20 00 02 ?? ?? ?? 0? 1C 00 A2 AF 18 00 A4 27 FF FF 05 24 ?? ?? ?? 0? 14 00 A2 AF 38 00 B0 8F 18 00 A5 8F ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 39 00 42 04 14 00 A4 8F 14 00 A4 8F ?? ?? 13 3C ?? ?? 65 8E ?? ?? ?? 0? 00 80 11 3C 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 26 20 30 02 38 00 A4 8F ?? ?? 45 8E 21 80 40 00 ?? ?? ?? 0? 26 20 91 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 64 8E ?? ?? ?? 0? 21 28 40 00 10 00 A5 27 1C 00 A4 27 21 80 40 00 ?? ?? ?? 0? 18 00 A2 AF ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1C 00 A5 8F ?? ?? ?? 0? 21 20 40 00 10 00 A5 87 18 00 A4 27 ?? ?? ?? 0? 18 00 A2 AF 12 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 18 00 A2 8F ?? ?? ?? 0? 10 00 04 24 ?? ?? ?? 0? 21 10 00 00 87 FF 43 54 38 00 A2 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 38 00 A2 8F 26 20 91 00 ?? ?? ?? 0? 14 00 A4 AF 7E FF 43 54 18 00 A2 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 18 00 A2 8F }
	condition:
		$1
}

rule file_575_0_4 {
	meta:
		name = "fesettrapenable"
		size = 192
		refs = "0018 _Tls_setup__Fenv 0038 _Fenv"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 21 10 80 00 20 00 C2 A7 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 10 00 C2 AF 20 00 C2 97 3D 00 43 30 20 00 C2 97 04 00 62 10 00 00 00 00 01 00 02 24 ?? ?? ?? 0? 00 00 00 00 10 00 C2 8F 00 00 42 94 20 1E 02 7C C2 FF 02 24 24 10 62 00 20 1E 02 7C 20 00 C2 87 27 10 02 00 20 16 02 7C 3D 00 42 30 20 16 02 7C 25 10 62 00 20 16 02 7C FF FF 43 30 10 00 C2 8F 00 00 43 A4 21 10 00 00 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_576_0_4 {
	meta:
		name = "_Fwprep"
		size = 340
		refs = "0048 isatty 00ac fflush 00d0 malloc 00fc _Closreg"
	strings:
		$1 = { 0C 00 82 8C 14 00 85 8C E0 FF BD 27 14 00 B0 AF 2B 28 45 00 1C 00 BF AF 18 00 B1 AF 21 80 80 00 19 00 A0 14 21 18 00 00 00 00 83 94 02 00 05 24 02 90 66 30 36 00 C5 14 00 60 05 24 00 60 63 30 17 00 65 50 08 00 83 8C ?? ?? ?? 0? 03 00 04 82 04 00 40 18 00 00 02 96 FF F3 42 30 00 08 42 34 00 00 02 A6 00 08 43 30 16 00 60 10 04 00 11 8E 08 00 03 8E 00 60 42 34 10 00 11 AE 14 00 03 AE 00 00 02 A6 21 18 00 00 1C 00 BF 8F 21 10 60 00 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 2B 10 43 00 E8 FF 40 14 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 E4 FF 40 10 FF FF 03 24 ?? ?? ?? 0? 1C 00 BF 8F 48 00 03 26 EA FF 23 56 08 00 03 8E ?? ?? ?? 0? 20 00 04 24 16 00 40 10 04 00 02 AE 00 00 04 96 20 00 43 24 0C 00 02 AE 40 00 84 34 2C 00 02 AE 30 00 02 AE 00 00 04 A6 ?? ?? ?? 0? 08 00 03 AE 04 00 11 8E ?? ?? ?? 0? 00 00 02 96 20 1E 03 7C 00 00 65 28 00 02 02 24 00 42 04 24 0A 10 85 00 25 18 43 00 00 00 03 A6 ?? ?? ?? 0? FF FF 03 24 49 00 02 26 04 00 11 AE 0C 00 11 AE ?? ?? ?? 0? 08 00 02 AE 04 00 11 8E ?? ?? ?? 0? 00 00 02 96 }
	condition:
		$1
}

rule file_577_0_4 {
	meta:
		name = "_LCbuild"
		size = 28
	strings:
		$1 = { F0 FF BD 27 21 10 80 00 21 18 A0 00 21 20 C0 00 21 28 E0 00 08 00 E0 03 10 00 BD 27 }
	condition:
		$1
}

rule file_578_2_4 {
	meta:
		name = "_Getgloballocale"
		size = 36
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_578_3_4 {
	meta:
		name = "_Setgloballocale"
		size = 40
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 AF 10 00 A4 8F 1C 00 BF 8F ?? ?? 02 3C ?? ?? 44 AC 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_583_0_4 {
	meta:
		name = "norml"
		size = 192
		refs = "002c creall 0048 cimagl 0064 dpmul 0094 dpadd"
	strings:
		$1 = { D0 FF BD 27 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 21 90 80 00 21 98 A0 00 21 80 C0 00 21 88 E0 00 2C 00 BF AF 28 00 B5 AF ?? ?? ?? 0? 24 00 B4 AF 21 20 40 02 21 28 60 02 21 30 00 02 21 38 20 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 90 40 00 21 98 60 00 21 20 80 02 21 28 A0 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 20 40 02 21 28 60 02 21 30 40 02 21 38 60 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 2C 00 BF 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_585_0_4 {
	meta:
		name = "putenv"
		size = 20
		refs = "0004 _Errno"
	strings:
		$1 = { 0C 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 08 00 E0 03 FF FF 02 24 }
	condition:
		$1
}

rule file_586_0_4 {
	meta:
		name = "rand_r"
		size = 32
	strings:
		$1 = { 00 00 83 8C C6 41 02 3C 6D 4E 42 24 02 10 62 70 39 30 42 24 00 00 82 AC 08 00 E0 03 02 14 02 00 }
	condition:
		$1
}

rule file_587_0_4 {
	meta:
		name = "cacoshf"
		size = 1228
		refs = "0030 crealf 0040 cimagf 004c _FDtest 0090 fpsub 00a0 _FCbuild 00ac csqrtf 00c0 fpadd 012c fpcmp 0140 fpdiv 014c fpmul 0168 asinhf 019c _FLog 01f4 atan2f 0078 _FInf"
	strings:
		$1 = { C0 FF BD 27 1C 00 B1 AF 18 00 B0 AF 21 88 A0 00 21 80 80 00 3C 00 BF AF 38 00 BE AF 34 00 B7 AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF ?? ?? ?? 0? 20 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 77 00 03 12 00 00 00 00 89 00 43 10 01 00 03 24 B0 00 03 52 ?? ?? 03 3C 98 00 43 10 ?? ?? 10 3C 10 00 A4 8F ?? ?? 05 8E 00 80 1E 3C ?? ?? ?? 0? ?? ?? 16 3C 14 00 A5 8F 21 20 40 00 ?? ?? ?? 0? 26 28 BE 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 05 8E 10 00 A4 8F 21 98 60 00 ?? ?? ?? 0? 21 88 40 00 14 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 20 02 21 28 60 02 21 A0 60 00 ?? ?? ?? 0? 21 A8 40 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 90 40 00 21 20 A0 02 21 28 80 02 ?? ?? ?? 0? 21 88 40 00 21 20 A0 02 21 28 80 02 ?? ?? ?? 0? 21 B8 40 00 ?? ?? C4 8E 21 28 40 02 ?? ?? ?? 0? 21 98 40 00 94 00 43 04 ?? ?? C4 8E 21 20 E0 02 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 21 88 40 02 ?? ?? ?? 0? 00 00 00 00 21 20 20 02 21 28 00 00 ?? ?? ?? 0? 21 90 40 00 0D 00 40 10 16 00 A2 87 21 20 00 00 ?? ?? ?? 0? 21 28 40 02 AF 00 40 1C 21 20 20 02 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 16 00 A2 87 8F 00 40 04 14 00 B1 8F ?? ?? 05 8E ?? ?? ?? 0? 10 00 A4 8F 14 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 69 00 50 10 01 00 03 24 48 00 43 10 ?? ?? 02 3C 10 00 B2 8F 21 28 40 02 ?? ?? ?? 0? 21 20 40 02 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 01 00 02 24 38 00 02 12 ?? ?? 02 3C 14 00 B2 8F 21 28 40 02 ?? ?? ?? 0? 21 20 40 02 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 14 00 A4 8F ?? ?? 02 3C 21 28 00 00 ?? ?? ?? 0? ?? ?? 52 8C 3A 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 3C 00 BF 8F 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 4D 00 50 10 ?? ?? 72 8C 10 00 A4 8F ?? ?? ?? 0? 21 28 00 00 03 00 41 04 21 28 00 00 ?? ?? 02 3C ?? ?? 45 8C 16 00 A2 87 E7 FF 41 04 00 80 02 3C ?? ?? ?? 0? 26 28 45 00 ?? ?? 52 8C ?? ?? ?? 0? 10 00 A5 8F ?? ?? 52 8C ?? ?? ?? 0? 14 00 A5 8F ?? ?? ?? 0? 21 28 20 02 09 00 40 04 21 20 60 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 39 00 43 04 21 20 40 02 26 88 3E 02 21 20 60 02 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 E0 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 10 00 B2 8F ?? ?? ?? 0? 14 00 A5 8F ?? ?? 05 8E 10 00 A4 8F 00 80 10 3C 26 88 30 02 ?? ?? ?? 0? 14 00 B1 AF 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 26 28 50 00 ?? ?? ?? 0? 21 28 00 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 90 40 00 10 00 A4 8F ?? ?? ?? 0? 21 28 00 00 11 00 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 21 28 60 02 21 20 20 02 21 28 E0 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 90 40 00 ?? ?? ?? 0? ?? ?? 45 8C }
	condition:
		$1
}

rule file_591_0_4 {
	meta:
		name = "catanhl"
		size = 1720
		refs = "0034 creall 0050 cimagl 0060 _LDtest 00b4 dpcmp 010c dpdiv 0144 dpmul 0158 dpadd 02d8 _LZero 0308 _LCbuild 0418 sqrtl 045c _LLog 047c atan2l 050c _Feraise 0514 _LInf 056c dpsub 05f8 log1pl"
	strings:
		$1 = { B0 FF BD 27 38 00 B3 AF 34 00 B2 AF 30 00 B1 AF 2C 00 B0 AF 21 90 80 00 21 80 C0 00 21 98 A0 00 21 88 E0 00 4C 00 BF AF 48 00 B7 AF 44 00 B6 AF 40 00 B5 AF ?? ?? ?? 0? 3C 00 B4 AF 21 30 00 02 21 28 60 02 21 38 20 02 21 20 40 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 4E 00 03 12 00 00 00 00 54 00 43 10 01 00 02 24 8B 00 02 12 1E 00 A2 87 C3 00 40 04 1C 00 B3 8F 18 00 B2 8F 21 A0 60 02 10 00 B1 8F 14 00 B0 8F 21 30 00 00 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 4D 00 40 04 ?? ?? 15 3C ?? ?? A4 8E ?? ?? A5 8E 00 80 02 3C 26 98 62 02 21 30 20 02 21 38 00 02 1C 00 B3 AF 18 00 B2 AF ?? ?? ?? 0? 21 98 00 00 4E 00 41 04 ?? ?? A4 8E 18 00 B4 8F 1C 00 B5 8F ?? ?? 12 3C 21 30 20 02 21 38 00 02 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 ?? ?? 44 8E ?? ?? 45 8E 21 B8 40 00 21 B0 60 00 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 21 20 E0 02 21 30 E0 02 21 28 C0 02 21 38 C0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 ?? ?? 46 8E ?? ?? 47 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 00 02 21 28 20 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 20 80 02 21 28 A0 02 21 30 00 00 21 38 00 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 80 00 41 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 54 8C ?? ?? 52 8C 79 00 60 16 00 80 02 3C ?? ?? ?? 0? 26 90 42 02 CC 00 50 10 01 00 03 24 5F 00 43 10 10 00 B0 8F 14 00 B1 8F 21 A0 00 02 ?? ?? ?? 0? 21 90 20 02 FF FF 10 32 02 00 10 2E 63 00 00 16 18 00 B0 8F 1C 00 B1 8F 21 A0 00 02 ?? ?? ?? 0? 21 90 20 02 00 80 02 3C ?? ?? A4 8E ?? ?? A5 8E 26 80 02 02 21 30 20 02 21 38 00 02 10 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 01 00 13 24 B6 FF 42 04 18 00 B4 8F ?? ?? A4 8E ?? ?? A5 8E 21 30 40 02 ?? ?? ?? 0? 21 38 80 02 5D 00 43 04 ?? ?? 15 3C 18 00 B4 8F 1C 00 B5 8F 21 20 20 02 21 28 00 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 80 60 00 21 88 40 00 21 20 40 00 21 28 00 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 20 20 02 21 30 20 02 21 28 00 02 21 38 00 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 10 00 A4 8F 14 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 84 00 41 04 21 80 00 00 ?? ?? 02 3C ?? ?? 51 8C ?? ?? 50 8C 00 80 02 3C 26 88 22 02 1E 00 A2 87 83 00 40 04 ?? ?? 02 3C ?? ?? 54 8C ?? ?? 52 8C 21 20 00 02 21 30 80 02 21 28 20 02 ?? ?? ?? 0? 21 38 40 02 4C 00 BF 8F 48 00 B7 8F 44 00 B6 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 50 00 BD 27 18 00 A4 8F 1C 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 7D 00 40 04 ?? ?? 02 3C ?? ?? 54 8C ?? ?? 52 8C 21 80 00 00 ?? ?? ?? 0? 21 88 00 00 16 00 A2 87 6E 00 40 04 ?? ?? 02 3C 21 80 00 00 21 88 00 00 18 00 B4 8F ?? ?? ?? 0? 1C 00 B2 8F ?? ?? ?? 0? 26 88 22 02 ?? ?? 54 8C ?? ?? ?? 0? ?? ?? 52 8C 00 80 14 3C 18 00 B2 8F ?? ?? ?? 0? 26 A0 74 02 ?? ?? A6 8E ?? ?? A7 8E 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 66 00 40 14 21 30 00 00 18 00 B0 8F 1C 00 B1 8F 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 49 00 40 10 21 20 00 02 21 28 20 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 02 21 28 80 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 38 60 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 30 40 00 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 30 00 00 21 80 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 21 28 80 02 ?? ?? ?? 0? 21 88 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 18 00 A4 8F 1C 00 A5 8F 21 30 00 00 21 38 00 00 21 A0 40 00 ?? ?? ?? 0? 21 90 60 00 34 FF 41 04 00 80 02 3C ?? ?? ?? 0? 26 90 42 02 ?? ?? ?? 0? 21 88 00 00 10 00 B0 8F 14 00 B1 8F 18 00 B4 8F ?? ?? ?? 0? 1C 00 B2 8F ?? ?? 02 3C ?? ?? 54 8C ?? ?? ?? 0? ?? ?? 52 8C ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 50 8C ?? ?? 51 8C 18 00 B4 8F ?? ?? ?? 0? 1C 00 B2 8F ?? ?? 51 8C ?? ?? 50 8C 00 80 02 3C 26 88 22 02 18 00 B4 8F ?? ?? ?? 0? 1C 00 B2 8F ?? ?? 02 3C ?? ?? 54 8C ?? ?? 52 8C 21 80 00 00 ?? ?? ?? 0? 21 88 00 00 ?? ?? A4 8E ?? ?? A5 8E 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 21 20 40 02 21 30 40 02 21 28 80 02 21 38 80 02 21 B8 40 00 ?? ?? ?? 0? 21 B0 60 00 21 90 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 A0 60 00 21 30 E0 02 21 20 E0 02 21 28 C0 02 21 38 C0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 20 40 00 21 30 40 02 21 38 80 02 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 18 00 A4 8F 1C 00 A5 8F 21 80 40 00 21 30 80 00 21 38 A0 00 ?? ?? ?? 0? 21 88 60 00 ?? ?? A6 8E ?? ?? A7 8E 10 00 A4 8F 14 00 A5 8F 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 21 20 40 00 21 28 60 00 21 30 E0 02 ?? ?? ?? 0? 21 38 C0 02 21 20 40 00 21 30 40 02 21 38 80 02 ?? ?? ?? 0? 21 28 60 00 20 00 A8 8F 24 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 A0 40 00 ?? ?? ?? 0? 21 90 60 00 }
	condition:
		$1
}

rule file_594_0_4 {
	meta:
		name = "wcsrtombs"
		size = 544
		refs = "006c memcpy 009c _Getmbcurmax 00d4 _Wctomb"
	strings:
		$1 = { B8 FF BD 27 3C 00 B7 AF 28 00 B2 AF 24 00 B1 AF 20 00 B0 AF 44 00 BF AF 40 00 BE AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF 2C 00 B3 AF 21 B8 A0 00 21 90 E0 00 21 18 80 00 21 80 C0 00 61 00 E0 10 00 00 B1 8C 3D 00 60 50 00 00 25 8E 13 00 00 16 21 98 00 00 ?? ?? ?? 0? 00 00 F1 AE 06 00 67 10 00 00 00 00 5C 00 40 54 00 00 54 AE ?? ?? ?? 0? 1C 00 A3 AF 1C 00 A3 8F 04 00 C0 13 21 10 7E 00 FF FF 42 80 57 00 40 10 44 00 BF 8F 21 98 7E 02 1C 00 00 12 04 00 31 26 21 18 7E 00 ?? ?? ?? 0? 1C 00 A3 AF 1C 00 A3 8F 2B 10 02 02 21 30 40 02 05 00 40 10 21 38 60 00 00 00 54 8E 04 00 55 96 06 00 56 96 10 00 A7 27 00 00 25 8E 21 20 E0 00 1C 00 A3 AF ?? ?? ?? 0? 18 00 A7 AF 1C 00 A3 8F 21 F0 40 00 10 00 A5 27 2B 10 02 02 21 20 60 00 23 80 1E 02 21 30 C0 03 D8 FF C1 07 18 00 A7 8F FF FF 13 24 00 00 F1 AE 44 00 BF 8F 21 10 60 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 21 30 40 02 10 00 A4 27 21 80 00 00 0E 00 40 04 21 18 82 00 04 00 40 10 04 00 31 26 FF FF 63 80 1A 00 60 50 FF FF 10 26 00 00 25 8E 10 00 A4 27 21 30 40 02 ?? ?? ?? 0? 21 80 02 02 10 00 A4 27 F4 FF 41 04 21 18 82 00 44 00 BF 8F FF FF 13 24 21 10 60 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 12 3C ?? ?? ?? 0? ?? ?? 52 26 ?? ?? ?? 0? 21 98 02 02 04 00 55 A6 ?? ?? ?? 0? 06 00 56 A6 21 98 D3 03 FF FF 73 26 21 10 60 02 00 00 E0 AE 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 }
	condition:
		$1
}

rule file_595_0_4 {
	meta:
		name = "modf"
		size = 160
		refs = "0024 _Dint 004c fpsub 0078 _Zero"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF 14 00 B0 AF 20 00 A4 AF 1C 00 BF AF 21 88 A0 00 00 00 A4 AC 21 80 80 00 21 20 A0 00 ?? ?? ?? 0? 21 28 00 00 06 00 40 04 02 00 43 28 0E 00 60 54 26 00 A2 87 02 00 03 24 06 00 43 10 1C 00 BF 8F 00 00 25 8E ?? ?? ?? 0? 21 20 00 02 21 80 40 00 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 F9 FF 41 04 21 80 00 00 ?? ?? 02 3C ?? ?? 50 8C 1C 00 BF 8F 00 80 02 3C 26 80 02 02 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_599_0_4 {
	meta:
		name = "rand"
		size = 284
		refs = "0000 _Tls_setup__Randinit 001c _Tls_setup__Randseed 0034 _Randinit 0044 _Randseed"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 04 00 40 10 ?? ?? 0A 3C 09 F8 40 00 00 00 00 00 ?? ?? 0A 3C ?? ?? 42 81 30 00 40 14 6E 3C 05 3C ?? ?? 03 3C ?? ?? 66 8C 19 00 07 3C 21 10 00 00 0D 66 E7 24 5F F3 A5 34 08 00 04 24 02 40 C7 70 01 00 42 24 FD FF 44 14 21 30 05 01 ?? ?? 09 3C ?? ?? 29 25 19 00 07 3C 6E 3C 05 3C ?? ?? 66 AC 21 10 20 01 80 00 28 25 0D 66 E7 24 5F F3 A5 34 02 20 C7 70 21 30 85 00 00 00 46 AC 04 00 42 24 FC FF 48 14 02 20 C7 70 7C 00 24 8D 01 00 02 24 ?? ?? 42 A1 ?? ?? 07 3C 19 00 05 3C 0D 66 A5 24 02 40 C5 70 1F 00 84 30 6E 3C 02 3C 80 20 04 00 5F F3 42 34 21 20 24 01 14 00 BF 8F 18 00 BD 27 21 28 02 01 00 00 82 8C ?? ?? 65 AC 00 00 85 AC ?? ?? E2 AC 08 00 E0 03 00 E8 42 7C ?? ?? 03 3C ?? ?? 07 3C ?? ?? 09 3C ?? ?? 66 8C ?? ?? E4 8C ?? ?? ?? 0? ?? ?? 29 25 }
	condition:
		$1
}

rule file_600_0_4 {
	meta:
		name = "_WStoul"
		size = 684
		refs = "004c _Iswctype 0150 _Towctrans 0160 wmemchr 01b4 _Errno"
	strings:
		$1 = { B8 FF BD 27 40 00 BE AF 3C 00 B7 AF 28 00 B2 AF 44 00 BF AF 38 00 B6 AF 34 00 B5 AF 30 00 B4 AF 2C 00 B3 AF 24 00 B1 AF 20 00 B0 AF 21 F0 80 00 21 B8 A0 00 21 90 C0 00 ?? ?? ?? 0? 21 18 80 00 04 00 63 24 00 00 64 8C 09 00 05 24 ?? ?? ?? 0? 1C 00 A3 AF FA FF 40 14 1C 00 A3 8F 00 00 74 8C 2D 00 02 24 66 00 82 12 2B 00 02 24 02 00 82 52 04 00 63 24 2B 00 14 24 05 00 40 06 01 00 02 24 03 00 42 12 25 00 42 2A 11 00 40 14 00 00 00 00 02 00 E0 12 21 38 00 00 00 00 FE AE 44 00 BF 8F 21 10 E0 00 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 4D 00 40 12 10 00 02 24 5E 00 42 52 00 00 64 8C 00 00 64 8C 30 00 02 24 6E 00 82 14 21 80 40 02 21 48 60 00 30 00 02 24 04 00 29 25 00 00 24 8D FE FF 82 50 04 00 29 25 21 80 40 02 ?? ?? 13 3C ?? ?? 73 26 21 40 20 01 21 B0 00 00 21 38 00 00 ?? ?? ?? 0? 21 A8 60 02 02 10 F0 70 83 88 04 00 21 B0 E0 00 04 00 04 8D 04 00 08 25 21 38 51 00 01 00 05 24 1C 00 A3 AF 14 00 A7 AF 10 00 A8 AF ?? ?? ?? 0? 18 00 A9 AF 21 28 40 00 21 20 60 02 ?? ?? ?? 0? 21 30 00 02 23 20 55 00 1C 00 A3 8F 14 00 A7 8F 10 00 A8 8F EB FF 40 14 18 00 A9 8F C3 FF 03 11 ?? ?? 02 3C ?? ?? 42 24 21 90 42 02 00 00 43 82 23 10 09 01 83 10 02 00 23 10 43 00 29 00 42 04 23 10 07 00 1E 00 40 10 23 88 F1 00 22 00 03 24 ?? ?? 02 3C ?? ?? 43 AC 21 40 C0 03 FF FF 07 24 B5 FF E0 12 44 00 BF 8F 00 00 E8 AE 21 10 E0 00 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 04 00 63 24 00 00 64 8C 30 00 02 24 1B 00 82 10 0A 00 10 24 0A 00 12 24 ?? ?? ?? 0? 21 48 60 00 2B 10 F1 00 E2 FF 40 14 22 00 03 24 1B 00 30 02 F4 01 00 02 12 88 00 00 DE FF D1 16 ?? ?? 02 3C 23 10 07 00 2D 00 94 3A ?? ?? ?? 0? 0A 38 54 00 30 00 02 24 F0 FF 82 14 10 00 10 24 04 00 62 8C 78 00 04 24 03 00 44 10 58 00 04 24 A0 FF 44 14 21 48 60 00 ?? ?? ?? 0? 08 00 63 24 04 00 62 8C 78 00 04 24 03 00 44 10 58 00 04 24 97 FF 44 14 08 00 12 24 08 00 63 24 ?? ?? ?? 0? 10 00 12 24 ?? ?? ?? 0? 21 48 60 00 }
	condition:
		$1
}

rule file_603_0_4 {
	meta:
		name = "_Rint"
		size = 336
		refs = "0008 fegetround 0048 _Dint 0068 fpadd 00b0 fpsub"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 AF 01 00 03 24 1D 00 43 10 02 00 43 28 28 00 60 14 02 00 03 24 07 00 43 10 03 00 03 24 13 00 43 10 10 00 A4 27 10 00 A2 8F 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 F8 FF 40 10 16 00 A2 87 F7 FF 40 04 10 00 A2 8F ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 00 ?? ?? ?? 0? 10 00 A2 8F 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 E6 FF 40 10 16 00 A2 87 E5 FF 43 04 10 00 A2 8F ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 1C 00 BF 8F DD FF 40 14 10 00 A2 8F 10 00 A4 27 ?? ?? ?? 0? 01 00 05 24 11 00 40 14 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 D4 FF 40 10 10 00 A2 8F 10 00 A4 27 ?? ?? ?? 0? FF FF 05 24 CE FF 40 10 16 00 A2 87 0E 00 40 04 10 00 A4 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 1C 00 BF 8F ?? ?? ?? 0? 21 28 00 00 C3 FF 40 10 16 00 A2 87 CD FF 41 04 ?? ?? 02 3C ?? ?? ?? 0? 10 00 A4 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_604_1_4 {
	meta:
		name = "vscanf_s"
		size = 84
		refs = "0018 _Stdin 0028 _Scanf 0044 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 30 80 00 0B 00 80 10 21 38 A0 00 ?? ?? 04 3C ?? ?? 05 3C 01 00 02 24 ?? ?? 84 24 ?? ?? A5 24 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_605_0_4 {
	meta:
		name = "_Wcscollx"
		size = 400
		refs = "0060 _CWcsxfrm 0120 wmemcmp"
	strings:
		$1 = { A8 FE BD 27 4C 01 B2 AF 48 01 B1 AF 44 01 B0 AF 54 01 BF AF 50 01 B3 AF 21 80 C0 00 9C 00 A4 AF 98 00 A4 AF A4 00 A0 AF A8 00 A0 AF 30 01 A5 AF 2C 01 A5 AF 38 01 A0 AF 3C 01 A0 AF 21 90 00 00 21 88 00 00 17 00 20 16 00 00 00 00 18 00 A4 27 98 00 A5 27 20 00 06 24 A4 00 A7 27 A0 00 A4 AF ?? ?? ?? 0? 10 00 B0 AF 21 88 40 00 FF FF 42 24 80 10 02 00 18 00 A3 27 04 00 20 12 21 10 62 00 00 00 42 8C 07 00 40 10 00 00 00 00 98 00 A2 8F 00 00 42 8C EB FF 40 14 9C 00 A2 8F EB FF 20 12 98 00 A2 AF 19 00 40 16 2B 98 32 02 AC 00 A4 27 2C 01 A5 27 20 00 06 24 38 01 A7 27 34 01 A4 AF ?? ?? ?? 0? 10 00 B0 AF 21 90 40 00 FF FF 42 24 80 10 02 00 18 00 A3 27 04 00 40 12 21 10 62 00 94 00 42 8C 09 00 40 10 2B 98 32 02 2C 01 A2 8F 00 00 42 8C EB FF 40 14 00 00 00 00 30 01 A2 8F EA FF 40 12 2C 01 A2 AF 2B 98 32 02 21 10 20 02 A0 00 A4 8F 34 01 A5 8F 0A 10 53 02 21 30 40 00 ?? ?? ?? 0? 21 98 40 00 13 00 40 14 54 01 BF 8F 0A 00 32 12 A0 00 A3 8F 34 01 A4 8F 80 10 13 00 21 18 62 00 21 10 82 00 A0 00 A3 AF 23 88 33 02 34 01 A2 AF ?? ?? ?? 0? 23 90 53 02 FF FF 64 26 80 20 04 00 21 20 64 00 00 00 84 8C F3 FF 80 14 34 01 A4 8F 54 01 BF 8F 50 01 B3 8F 4C 01 B2 8F 48 01 B1 8F 44 01 B0 8F 08 00 E0 03 58 01 BD 27 }
	condition:
		$1
}

rule file_607_0_4 {
	meta:
		name = "_LXp_getw"
		size = 372
		refs = "0048 dpcmp 0094 dpadd"
	strings:
		$1 = { D0 FF BD 27 20 00 B3 AF 1C 00 B2 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 18 00 B1 AF 14 00 B0 AF 21 90 A0 00 2F 00 A0 10 21 98 80 00 01 00 02 24 39 00 A2 10 21 30 00 00 04 00 90 8C 00 00 91 8C 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 19 00 40 10 02 00 42 2A 3C 00 40 14 21 30 00 00 08 00 74 8E 0C 00 75 8E 21 38 00 00 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 0F 00 40 10 02 00 02 24 35 00 42 12 21 20 20 02 10 00 66 8E 14 00 67 8E 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 21 30 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 21 88 40 00 21 80 60 00 2C 00 BF 8F 21 10 20 02 21 18 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F 21 88 00 00 21 80 00 00 21 10 20 02 21 18 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 00 00 91 8C 04 00 90 8C 2C 00 BF 8F 21 10 20 02 21 18 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 08 00 74 8E ?? ?? ?? 0? 0C 00 75 8E 21 28 00 02 21 30 80 02 ?? ?? ?? 0? 21 38 A0 02 21 88 40 00 ?? ?? ?? 0? 21 80 60 00 }
	condition:
		$1
}

rule file_607_1_4 {
	meta:
		name = "_LXp_setw"
		size = 440
		refs = "0048 _LDunscale 00d4 _LDint 00e4 _LDscale 0100 dpsub 012c dpcmp"
	strings:
		$1 = { B8 FF BD 27 40 00 B5 AF 3C 00 B4 AF 34 00 B2 AF 30 00 B1 AF 44 00 BF AF 38 00 B3 AF 2C 00 B0 AF 21 A0 C0 00 21 A8 E0 00 21 90 A0 00 21 88 80 00 18 00 A6 AF 0F 00 A0 18 1C 00 A7 AF 01 00 02 24 17 00 A2 10 10 00 A4 27 ?? ?? ?? 0? 18 00 A5 27 12 00 40 50 18 00 B4 8F 1D 00 40 18 18 00 A2 8F 1C 00 A3 8F 08 00 20 AE 0C 00 20 AE 00 00 22 AE 04 00 23 AE 44 00 BF 8F 21 10 20 02 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 48 00 BD 27 1C 00 B5 8F 44 00 BF 8F 00 00 34 AE 04 00 35 AE 21 10 20 02 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 48 00 BD 27 1A 00 05 24 ?? ?? ?? 0? 18 00 A4 27 10 00 A5 87 18 00 A4 27 ?? ?? ?? 0? 08 00 30 26 18 00 A6 8F 1C 00 A7 8F 21 20 80 02 21 28 A0 02 00 00 26 AE ?? ?? ?? 0? 04 00 27 AE 21 98 40 00 21 20 40 00 08 00 22 AE 02 00 02 24 21 28 60 00 D5 FF 42 12 0C 00 23 AE 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 20 00 A3 AF 04 00 40 54 21 28 00 02 10 00 20 AE ?? ?? ?? 0? 14 00 20 AE ?? ?? ?? 0? 10 00 A4 27 21 20 00 02 ?? ?? ?? 0? 1A 00 05 24 10 00 A5 87 ?? ?? ?? 0? 21 20 00 02 20 00 A3 8F 08 00 26 8E 0C 00 27 8E 21 20 60 02 ?? ?? ?? 0? 21 28 60 00 03 00 04 24 21 28 60 00 10 00 22 AE B9 FF 44 12 14 00 23 AE 21 20 40 00 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 B4 FF 40 10 44 00 BF 8F 18 00 20 AE ?? ?? ?? 0? 1C 00 20 AE }
	condition:
		$1
}

rule file_607_2_4 {
	meta:
		name = "_LXp_addh"
		size = 1340
		refs = "0080 _LDunscale 0098 _LDtest 00c4 _Feraise 00d0 _LNan 01bc dpcmp 0294 dpadd 037c _LDint 0388 _LDscale 039c dpsub"
	strings:
		$1 = { A0 FF BD 27 44 00 B3 AF 38 00 B0 AF 5C 00 BF AF 58 00 BE AF 54 00 B7 AF 50 00 B6 AF 4C 00 B5 AF 48 00 B4 AF 40 00 B2 AF 3C 00 B1 AF 21 80 A0 00 21 98 80 00 68 00 A6 AF 6C 00 A7 AF 18 00 A6 AF 0E 00 A0 14 1C 00 A7 AF 5C 00 BF 8F 21 10 60 02 58 00 BE 8F 54 00 B7 8F 50 00 B6 8F 4C 00 B5 8F 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 60 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 18 00 A5 27 2A 00 40 18 02 00 11 24 18 00 51 10 68 00 A2 8F ?? ?? ?? 0? 21 20 60 02 14 00 40 58 68 00 A2 8F E7 FF 51 10 6E 00 A2 97 06 00 63 96 26 10 62 00 00 80 42 30 E3 FF 40 10 5C 00 BF 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 43 8C ?? ?? 42 8C 02 00 10 2A 04 00 63 AE D9 FF 00 16 00 00 62 AE 08 00 60 AE ?? ?? ?? 0? 0C 00 60 AE 6C 00 A3 8F 5C 00 BF 8F 00 00 62 AE 04 00 63 AE 21 10 60 02 58 00 BE 8F 54 00 B7 8F 50 00 B6 8F 4C 00 B5 8F 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 60 00 BD 27 C5 FF 40 10 5C 00 BF 8F C3 FF 00 1A FF FF 16 26 C0 A8 16 00 21 A8 75 02 21 90 00 00 00 08 14 24 C0 88 12 00 21 88 71 02 00 00 22 8E 04 00 23 8E 12 00 A4 27 20 00 A5 27 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF B4 FF 40 1C 5C 00 BF 8F E2 00 40 10 12 00 B7 87 10 00 A2 87 23 10 E2 02 E7 FF 43 28 97 00 60 10 1A 00 42 28 68 00 A3 8F 6C 00 BE 8F 21 30 00 00 21 20 60 00 21 38 00 00 21 28 C0 03 28 00 A3 AF 2C 00 A3 AF ?? ?? ?? 0? 30 00 BE AF 28 00 A3 8F 30 00 A8 8F 2E 00 40 10 2C 00 A9 8F 21 40 20 02 ?? ?? ?? 0? 21 48 40 02 21 48 E0 02 01 00 37 25 2A 10 F0 02 21 30 00 00 0C 00 40 10 21 38 00 00 08 00 04 8D 0C 00 05 8D 08 00 08 25 28 00 A3 AF 30 00 A8 AF ?? ?? ?? 0? 2C 00 A9 AF 28 00 A3 8F 30 00 A8 8F F0 FF 40 14 2C 00 A9 8F 2A 10 F6 02 B6 00 40 10 26 10 17 02 01 00 F7 26 2A 10 57 02 09 00 40 10 C0 10 17 00 21 10 62 02 F8 FF 44 8C FC FF 45 8C FF FF F7 26 00 00 44 AC 04 00 45 AC FA FF F2 16 F8 FF 42 24 00 00 23 AE 04 00 3E AE 68 00 A0 AF 6C 00 A0 AF 2A 10 50 02 B8 FF 40 14 C0 88 12 00 ?? ?? ?? 0? 5C 00 BF 8F 6C 00 A8 8F 00 00 26 8E 04 00 27 8E 21 20 20 01 ?? ?? ?? 0? 21 28 00 01 21 20 40 00 21 28 60 00 00 00 22 AE 04 00 23 AE 21 30 00 00 21 38 00 00 21 F0 40 00 ?? ?? ?? 0? 21 B8 60 00 1B 00 40 14 10 00 A4 27 21 B8 20 02 21 F0 40 02 01 00 DE 27 2A 10 D0 03 21 30 00 00 09 00 40 10 21 38 00 00 08 00 E4 8E 0C 00 E5 8E 00 00 E4 AE 04 00 E5 AE ?? ?? ?? 0? 08 00 F7 26 F5 FF 40 14 01 00 DE 27 00 00 A0 AE 04 00 A0 AE 00 00 3E 8E 04 00 37 8E 21 30 00 00 21 38 00 00 21 20 C0 03 ?? ?? ?? 0? 21 28 E0 02 47 FF 40 10 10 00 A4 27 68 00 A5 27 68 00 BE AF ?? ?? ?? 0? 6C 00 B7 AF 10 00 A2 87 E6 FF 83 26 2A 18 62 00 39 00 60 14 1A 00 42 24 01 00 52 26 3B FF 50 12 21 28 20 02 04 00 23 8E 00 00 22 8E 12 00 A4 27 6C 00 A3 AF ?? ?? ?? 0? 68 00 A2 AF 21 20 20 02 ?? ?? ?? 0? 1A 00 05 24 12 00 A5 87 ?? ?? ?? 0? 21 20 20 02 00 00 26 8E 04 00 27 8E 68 00 A4 8F ?? ?? ?? 0? 6C 00 A5 8F 21 20 40 00 21 28 60 00 21 30 00 00 21 38 00 00 21 F0 40 00 21 B8 60 00 68 00 A2 AF 6C 00 A3 AF ?? ?? ?? 0? 12 00 B4 87 03 00 40 14 10 00 A4 27 00 00 3E 8E 04 00 37 8E 18 00 A5 27 18 00 BE AF ?? ?? ?? 0? 1C 00 B7 AF ?? ?? ?? 0? 2A 10 50 02 A3 FF 40 14 68 00 A9 8F 6C 00 A8 8F 21 30 00 00 21 20 20 01 21 28 00 01 21 38 00 00 30 00 A8 AF ?? ?? ?? 0? 2C 00 A9 AF 30 00 A8 8F 99 FF 40 10 2C 00 A9 8F 01 00 52 26 ?? ?? ?? 0? 21 A0 E0 02 23 A0 54 00 20 2E 14 7C ?? ?? ?? 0? 68 00 A4 27 10 00 A5 87 ?? ?? ?? 0? 68 00 A4 27 68 00 A6 8F 6C 00 A7 8F 00 00 24 8E ?? ?? ?? 0? 04 00 25 8E 21 20 40 00 21 28 60 00 00 00 22 AE 04 00 23 AE 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 12 00 40 54 FF FF 52 26 21 A0 40 02 01 00 94 26 2A 10 90 02 21 30 00 00 09 00 40 10 21 38 00 00 08 00 24 8E 0C 00 25 8E 00 00 24 AE 04 00 25 AE ?? ?? ?? 0? 08 00 31 26 F5 FF 40 14 01 00 94 26 00 00 A0 AE 04 00 A0 AE FF FF 52 26 21 FF 40 12 00 08 14 24 FF FF 42 26 C0 10 02 00 21 10 62 02 04 00 43 8C 00 00 42 8C 12 00 A4 27 18 00 A5 27 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF ?? ?? ?? 0? 12 00 B4 87 ?? ?? ?? 0? 0A B8 22 01 68 00 A2 8F 6C 00 A3 8F 01 00 52 26 2A 80 50 02 00 00 22 AE C9 FE 00 12 04 00 23 AE C0 90 12 00 21 90 72 02 00 00 40 AE ?? ?? ?? 0? 04 00 40 AE }
	condition:
		$1
}

rule file_607_3_4 {
	meta:
		name = "_LXp_mulh"
		size = 752
		refs = "0044 dpmul 0054 _LDtest 0110 dpcmp 0204 _LDunscale 0210 _LDint 0220 _LDscale 0234 _LXp_addh 024c dpsub 02d4 _Feraise"
	strings:
		$1 = { 88 FF BD 27 70 00 BE AF 6C 00 B7 AF 68 00 B6 AF 5C 00 B3 AF 74 00 BF AF 64 00 B5 AF 60 00 B4 AF 58 00 B2 AF 54 00 B1 AF 50 00 B0 AF 21 98 A0 00 21 F0 80 00 21 B0 C0 00 15 00 A0 18 21 B8 E0 00 00 00 84 8C ?? ?? ?? 0? 04 00 C5 8F 20 00 A4 27 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 19 00 40 04 02 00 03 24 9B 00 43 10 20 00 A4 8F 24 00 A5 8F 00 00 C4 AF 06 00 40 10 04 00 C5 AF 01 00 02 24 04 00 62 12 74 00 BF 8F 08 00 C0 AF 0C 00 C0 AF 74 00 BF 8F 21 10 C0 03 6C 00 B7 8F 70 00 BE 8F 68 00 B6 8F 64 00 B5 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 78 00 BD 27 00 00 C0 AF 04 00 C0 AF 21 A0 00 00 01 00 10 24 04 00 15 24 04 00 02 2A 3A 00 40 10 21 88 90 02 2A 10 33 02 73 00 40 10 C0 90 11 00 21 90 D2 03 00 00 4A 8E 04 00 4B 8E 21 30 00 00 21 20 40 01 21 28 60 01 21 38 00 00 40 00 AA AF ?? ?? ?? 0? 44 00 AB AF 40 00 AA 8F 66 00 40 10 44 00 AB 8F 01 00 28 26 C0 40 08 00 C0 88 10 00 20 00 A2 27 21 40 C8 03 ?? ?? ?? 0? 21 88 51 00 5E 00 80 50 C0 80 10 00 00 00 0A 8D 04 00 0B 8D 08 00 08 25 21 20 40 01 21 28 60 01 48 00 A8 AF 40 00 AA AF ?? ?? ?? 0? 44 00 AB AF 48 00 A8 8F 40 00 AA 8F 50 00 40 10 44 00 AB 8F 21 30 40 01 21 38 60 01 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 48 00 A8 AF 48 00 A8 8F 01 00 10 26 21 30 00 00 21 38 00 00 21 20 90 02 00 00 22 AE 04 00 23 AE 2A 20 93 00 00 00 46 AE 04 00 47 AE 08 00 31 26 DF FF 15 16 21 90 00 01 20 00 A8 8F 24 00 A9 8F 21 30 00 00 21 20 00 01 21 28 20 01 21 38 00 00 48 00 A8 AF ?? ?? ?? 0? 40 00 A9 AF 48 00 A8 8F A7 FF 40 10 40 00 A9 8F 18 00 A5 27 10 00 A4 27 18 00 A8 AF ?? ?? ?? 0? 1C 00 A9 AF 18 00 A4 27 ?? ?? ?? 0? 1A 00 05 24 10 00 A5 87 18 00 A4 27 ?? ?? ?? 0? 28 00 B1 27 18 00 A6 8F 1C 00 A7 8F 21 20 C0 03 ?? ?? ?? 0? 21 28 60 02 20 00 A4 8F 24 00 A5 8F 18 00 A6 8F 1C 00 A7 8F ?? ?? ?? 0? 21 90 00 00 21 30 40 00 21 20 C0 03 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 01 00 52 26 2A 10 50 02 21 30 00 00 0B 00 40 10 21 38 00 00 00 00 22 8E 04 00 23 8E F8 FF 22 AE FC FF 23 AE 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 08 00 31 26 F3 FF 40 54 01 00 52 26 01 00 94 26 79 FF 93 12 FF FF 10 26 ?? ?? ?? 0? 04 00 02 2A C0 80 10 00 10 00 A2 27 21 80 50 00 10 00 00 AE 14 00 00 AE ?? ?? ?? 0? 08 00 10 24 ?? ?? ?? 0? 01 00 04 24 20 00 A2 8F 24 00 A3 8F 00 00 C2 AF ?? ?? ?? 0? 04 00 C3 AF }
	condition:
		$1
}

rule file_607_4_4 {
	meta:
		name = "_LXp_movx"
		size = 52
		refs = "0018 memcpy"
	strings:
		$1 = { C0 10 05 00 E8 FF BD 27 21 28 C0 00 21 30 40 00 14 00 BF AF 10 00 B0 AF ?? ?? ?? 0? 21 80 80 00 14 00 BF 8F 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_607_5_4 {
	meta:
		name = "_LXp_addx"
		size = 212
		refs = "004c dpcmp 0094 _LXp_addh"
	strings:
		$1 = { D0 FF BD 27 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 2C 00 BF AF 28 00 B7 AF 24 00 B6 AF 10 00 B0 AF 21 90 E0 00 21 98 80 00 21 A0 A0 00 1D 00 E0 18 21 88 C0 00 00 00 D6 8C 04 00 D7 8C 21 38 00 00 21 30 00 00 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 14 00 40 10 21 80 00 00 ?? ?? ?? 0? 21 30 C0 02 08 00 36 8E 0C 00 37 8E 08 00 31 26 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 0B 00 40 10 2C 00 BF 8F 21 30 C0 02 21 38 E0 02 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 01 00 10 26 21 30 00 00 F0 FF 12 16 21 38 00 00 2C 00 BF 8F 21 10 60 02 28 00 B7 8F 24 00 B6 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_607_6_4 {
	meta:
		name = "_LXp_subx"
		size = 224
		refs = "0050 dpcmp 009c _LXp_addh"
	strings:
		$1 = { C8 FF BD 27 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 14 00 B0 AF 34 00 BF AF 30 00 B7 AF 2C 00 B6 AF 28 00 B5 AF 18 00 B1 AF 21 90 E0 00 21 98 80 00 21 A0 A0 00 1E 00 E0 18 21 80 C0 00 00 00 D6 8C 04 00 D7 8C 21 38 00 00 21 30 00 00 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 15 00 40 10 21 88 00 00 ?? ?? ?? 0? 00 80 15 3C 08 00 16 8E 0C 00 17 8E 08 00 10 26 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 0C 00 40 10 34 00 BF 8F 26 B8 F5 02 21 30 C0 02 21 38 E0 02 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 01 00 31 26 21 30 00 00 EF FF 32 16 21 38 00 00 34 00 BF 8F 21 10 60 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_607_7_4 {
	meta:
		name = "_LXp_ldexpx"
		size = 156
		refs = "004c ldexpl 0068 dpcmp"
	strings:
		$1 = { D8 FF BD 27 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 24 00 BF AF 20 00 B4 AF 10 00 B0 AF 21 88 A0 00 21 98 80 00 14 00 A0 18 21 90 C0 00 21 80 80 00 ?? ?? ?? 0? 21 A0 00 00 0F 00 91 12 08 00 10 26 00 00 04 8E 04 00 05 8E 21 30 40 02 ?? ?? ?? 0? 01 00 94 26 21 20 40 00 21 28 60 00 00 00 02 AE 04 00 03 AE 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 F1 FF 40 14 00 00 00 00 24 00 BF 8F 21 10 60 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_607_8_4 {
	meta:
		name = "_LXp_mulx"
		size = 396
		refs = "005c dpcmp 0094 _LXp_mulh 00d0 _LXp_movx 016c _LXp_addx"
	strings:
		$1 = { C8 FF BD 27 30 00 B7 AF 28 00 B5 AF 24 00 B4 AF 18 00 B1 AF 14 00 B0 AF 34 00 BF AF 2C 00 B6 AF 20 00 B3 AF 1C 00 B2 AF 21 80 A0 00 21 A0 80 00 21 88 C0 00 21 A8 E0 00 18 00 A0 10 48 00 B7 8F 17 00 E0 10 34 00 BF 8F 00 00 D2 8C 04 00 D3 8C 21 38 00 00 21 30 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 08 00 40 10 21 30 00 00 08 00 24 8E 0C 00 25 8E 21 38 00 00 ?? ?? ?? 0? 08 00 36 26 12 00 40 14 21 30 80 02 21 20 80 02 21 28 00 02 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 34 00 BF 8F 21 10 80 02 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 21 20 E0 02 ?? ?? ?? 0? 21 28 00 02 00 00 26 8E 04 00 27 8E 21 20 80 02 21 28 00 02 ?? ?? ?? 0? C0 90 10 00 02 00 A2 2A E9 FF 40 14 21 90 F2 02 08 00 24 8E 0C 00 25 8E 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 E2 FF 40 10 10 00 31 26 ?? ?? ?? 0? 01 00 13 24 00 00 24 8E 04 00 25 8E ?? ?? ?? 0? 08 00 31 26 DB FF 40 10 34 00 BF 8F 21 30 E0 02 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 00 00 C6 8E 04 00 C7 8E 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 01 00 73 26 21 30 40 02 21 38 00 02 21 20 80 02 ?? ?? ?? 0? 21 28 00 02 21 B0 20 02 21 30 00 00 E8 FF 75 16 21 38 00 00 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_607_9_4 {
	meta:
		name = "_LXp_invx"
		size = 532
		refs = "0068 _LDtest 008c _LInf 00e8 _LXp_movx 0100 _LXp_mulh 0124 dpadd 0138 dpdiv 014c _LXp_setw 0180 _LXp_mulx 0194 _LXp_addh 01c4 _LXp_addx"
	strings:
		$1 = { C0 FF BD 27 30 00 B5 AF 20 00 B1 AF 1C 00 B0 AF 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 2C 00 B4 AF 28 00 B3 AF 24 00 B2 AF 21 A8 A0 00 21 80 80 00 0D 00 A0 14 21 88 C0 00 3C 00 BF 8F 21 10 00 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 00 00 00 00 17 00 40 04 01 00 03 24 13 00 43 50 00 00 00 AE EE FF 40 14 3C 00 BF 8F ?? ?? 02 3C ?? ?? 43 8C ?? ?? 42 8C 38 00 B7 8F 04 00 03 AE 00 00 02 AE 34 00 B6 8F 21 10 00 02 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 04 00 00 AE C0 98 15 00 21 A0 33 02 21 20 80 02 21 28 A0 02 21 30 00 02 00 00 16 8E ?? ?? ?? 0? 04 00 17 8E ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 02 00 A2 2A 34 00 40 14 21 98 93 02 08 00 06 8E 0C 00 07 8E 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? ?? ?? 16 3C ?? ?? C4 8E ?? ?? C5 8E 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 00 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? D7 8E ?? ?? D6 8E 01 00 12 24 21 20 20 02 21 28 A0 02 ?? ?? ?? 0? 21 30 00 02 21 20 20 02 21 28 A0 02 21 30 80 02 21 38 A0 02 ?? ?? ?? 0? 10 00 B3 AF 21 20 20 02 21 28 A0 02 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 20 20 02 21 28 A0 02 21 30 00 02 21 38 A0 02 10 00 B3 AF ?? ?? ?? 0? 40 90 12 00 21 20 00 02 21 28 A0 02 21 30 20 02 ?? ?? ?? 0? 21 38 A0 02 2A 10 55 02 E4 FF 40 54 21 20 20 02 ?? ?? ?? 0? 3C 00 BF 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 30 40 00 21 20 00 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? ?? 0? 3C 00 BF 8F }
	condition:
		$1
}

rule file_607_10_4 {
	meta:
		name = "_LXp_sqrtx"
		size = 572
		refs = "0068 _LDtest 0080 dpcmp 0090 _Feraise 009c _LNan 00ec dpadd 00f8 sqrtl 0110 dpdiv 0124 _LXp_setw 014c _LXp_movx 0160 _LXp_mulh 0178 _LXp_mulx 01ac _LXp_addh"
	strings:
		$1 = { C0 FF BD 27 24 00 B2 AF 20 00 B1 AF 1C 00 B0 AF 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF 21 80 A0 00 21 90 80 00 0D 00 A0 14 21 88 C0 00 3C 00 BF 8F 21 10 40 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 00 00 00 00 0F 00 40 04 21 30 00 00 00 00 44 8E 04 00 45 8E ?? ?? ?? 0? 21 38 00 00 EC FF 41 04 3C 00 BF 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 43 8C ?? ?? 42 8C 04 00 43 AE ?? ?? ?? 0? 00 00 42 AE 00 00 56 8E 04 00 57 8E 21 38 00 00 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 F1 FF 40 04 C0 A8 10 00 21 98 35 02 02 00 02 2A 48 00 40 14 21 A8 75 02 08 00 46 8E 0C 00 47 8E 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 60 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 03 00 02 2A 2A 00 40 14 ?? ?? 02 3C ?? ?? 56 8C ?? ?? 57 8C 02 00 14 24 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 30 60 02 21 20 20 02 21 28 00 02 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 20 20 02 21 28 00 02 21 30 40 02 21 38 00 02 ?? ?? ?? 0? 10 00 B5 AF 21 20 20 02 21 28 00 02 21 30 60 02 21 38 00 02 ?? ?? ?? 0? 10 00 B5 AF ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 40 A0 14 00 21 20 60 02 21 28 00 02 21 30 20 02 21 38 00 02 ?? ?? ?? 0? 10 00 B5 AF 2A 10 90 02 DC FF 40 54 21 20 20 02 21 28 00 02 21 20 40 02 21 30 60 02 21 38 00 02 ?? ?? ?? 0? 10 00 B5 AF ?? ?? ?? 0? 3C 00 BF 8F 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 60 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? ?? 0? 21 28 00 02 }
	condition:
		$1
}

rule file_608_0_4 {
	meta:
		name = "perror"
		size = 120
		refs = "0020 _Errno 0028 _Strerror 0034 fputs 0038 _Stderr 0040 fputc"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 04 00 80 10 10 00 B0 AF 00 00 82 80 10 00 40 14 ?? ?? 10 3C ?? ?? 10 3C ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 00 00 21 20 40 00 ?? ?? ?? 0? ?? ?? 05 26 ?? ?? 05 26 ?? ?? ?? 0? 0A 00 04 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? ?? ?? 05 26 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? ?? ?? 05 26 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_609_0_4 {
	meta:
		name = "fgetws"
		size = 196
		refs = "004c fgetwc"
	strings:
		$1 = { D0 FF BD 27 02 00 A2 28 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 2C 00 BF AF 28 00 B5 AF 18 00 B1 AF 14 00 B0 AF 21 A0 A0 00 21 90 80 00 1A 00 40 14 21 98 C0 00 21 A8 80 00 FF FF 10 24 0A 00 11 24 FF FF 94 26 08 00 80 12 21 20 60 02 ?? ?? ?? 0? 00 00 00 00 04 00 50 10 00 00 00 00 00 00 A2 AE F7 FF 51 14 04 00 B5 26 0B 00 B2 12 2C 00 BF 8F 21 10 40 02 00 00 A0 AE 24 00 B4 8F 28 00 B5 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 2C 00 BF 8F 21 90 00 00 21 10 40 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_611_0_4 {
	meta:
		name = "wmemmove"
		size = 112
	strings:
		$1 = { 2B 18 A4 00 10 00 60 10 21 10 80 00 80 20 06 00 21 18 A4 00 2B 38 43 00 0B 00 E0 10 00 00 00 00 07 00 C0 10 21 20 44 00 FC FF 63 24 00 00 65 8C FC FF 84 24 FF FF C6 24 FB FF C0 14 00 00 85 AC 08 00 E0 03 00 00 00 00 FD FF C0 10 21 18 40 00 00 00 A4 8C FF FF C6 24 04 00 A5 24 00 00 64 AC FB FF C0 14 04 00 63 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_612_0_4 {
	meta:
		name = "_Strerror"
		size = 1508
		refs = "005c strcpy"
	strings:
		$1 = { D0 FF BD 27 99 00 82 2C 18 00 B1 AF 14 00 B0 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 21 88 80 00 27 00 40 14 21 80 A0 00 E9 03 22 2E 57 01 40 14 ?? ?? 02 3C 5F 01 00 12 ?? ?? 12 3C 09 00 15 26 08 00 14 26 07 00 13 26 06 00 12 26 ?? ?? 05 3C 21 20 00 02 ?? ?? ?? 0? ?? ?? A5 24 0F 00 22 32 0A 00 43 28 02 00 60 14 30 00 44 24 57 00 44 24 03 89 11 00 0F 00 22 32 0A 00 43 28 00 00 A4 A2 02 00 60 14 30 00 44 24 57 00 44 24 03 89 11 00 0F 00 22 32 0A 00 43 28 44 01 60 10 00 00 84 A2 30 00 42 24 00 19 31 7E 0A 00 23 2A 3C 01 60 10 00 00 62 A2 30 00 31 26 ?? ?? ?? 0? 00 00 51 A2 ?? ?? 02 3C 80 18 04 00 ?? ?? 42 24 21 10 43 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 10 3C ?? ?? 10 26 2C 00 BF 8F 21 10 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 80 88 11 00 ?? ?? 42 24 21 88 22 02 ?? ?? ?? 0? 00 00 30 8E 57 00 31 26 ?? ?? ?? 0? 00 00 51 A2 ?? ?? ?? 0? 57 00 42 24 ?? ?? 13 3C ?? ?? 14 3C ?? ?? 15 3C ?? ?? 10 3C ?? ?? 52 26 ?? ?? 73 26 ?? ?? 94 26 ?? ?? B5 26 ?? ?? ?? 0? ?? ?? 10 26 }
	condition:
		$1
}

rule file_613_0_4 {
	meta:
		name = "_FErfc"
		size = 244
		refs = "001c fpmul 0040 fpadd 00c4 fpdiv 00d4 _FExp"
	strings:
		$1 = { D8 FF BD 27 1C 00 B0 AF 21 80 80 00 00 80 04 3C 26 20 90 00 21 28 00 02 24 00 BF AF ?? ?? ?? 0? 20 00 B1 AF ?? ?? 03 3C ?? ?? 65 8C 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 28 40 00 10 00 A4 27 ?? ?? ?? 0? 21 30 00 00 24 00 BF 8F 10 00 A2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_614_0_4 {
	meta:
		name = "acoshf"
		size = 328
		refs = "0018 _FDtest 0040 fpcmp 006c fpdiv 0068 _FEps 008c _FLog 009c fpadd 00ec _Feraise 00f4 _FNan 0100 fpsub 011c fpmul 0124 sqrtf 0138 log1pf"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 27 00 43 10 02 00 03 24 28 00 43 10 20 00 A3 8F 20 00 B0 8F ?? ?? 11 3C ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 28 00 40 04 ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 1D 00 40 10 21 18 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 1F 00 40 04 ?? ?? 25 8E 21 20 00 02 ?? ?? ?? 0? 21 28 00 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 1C 00 BF 8F 21 18 40 00 21 10 60 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 22 00 A2 87 DA FF 40 04 20 00 A3 8F 1C 00 BF 8F 21 10 60 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 43 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 25 8E 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 18 40 00 }
	condition:
		$1
}

rule file_615_0_4 {
	meta:
		name = "_Stoullx"
		size = 936
		refs = "0048 _Ctype 0174 _Tolotab 01fc memchr 0258 _Errno 030c __udivdi3"
	strings:
		$1 = { A8 FF BD 27 40 00 B4 AF 30 00 B0 AF 54 00 BF AF 50 00 BE AF 4C 00 B7 AF 48 00 B6 AF 44 00 B5 AF 3C 00 B3 AF 38 00 B2 AF 34 00 B1 AF 21 A0 E0 00 21 80 80 00 5C 00 A5 AF 02 00 E0 10 21 40 C0 00 00 00 E0 AC 00 00 15 82 ?? ?? 02 3C ?? ?? 44 8C FF 00 A2 32 40 10 02 00 21 10 82 00 00 00 42 94 44 01 42 30 0A 00 40 10 21 18 00 02 01 00 63 24 00 00 75 80 FF 00 A2 32 40 10 02 00 21 10 82 00 00 00 42 94 44 01 42 30 F9 FF 40 54 01 00 63 24 2D 00 02 24 88 00 A2 12 2B 00 02 24 02 00 A2 52 01 00 63 24 2B 00 15 24 05 00 00 05 01 00 02 24 03 00 02 11 25 00 02 29 14 00 40 14 00 00 00 00 5C 00 A2 8F 21 B0 00 00 02 00 40 10 21 B8 00 00 00 00 50 AC 54 00 BF 8F 21 10 C0 02 21 18 E0 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 6C 00 00 11 10 00 02 24 8E 00 02 51 00 00 62 80 00 00 62 80 30 00 04 24 9E 00 44 14 21 90 00 01 21 48 60 00 30 00 04 24 01 00 29 25 00 00 22 81 FE FF 44 50 01 00 29 25 21 90 00 01 21 28 00 00 ?? ?? 11 3C ?? ?? 31 26 21 20 00 00 14 00 A5 AF C3 2F 08 00 21 F0 20 01 10 00 A4 AF 21 B0 00 00 21 B8 00 00 21 38 00 00 ?? ?? 0A 3C 21 98 20 02 ?? ?? ?? 0? 18 00 A5 AF 18 00 A2 8F 20 3C 06 7C 01 00 DE 27 18 00 56 00 00 00 C2 83 10 00 B6 AF 14 00 B7 AF C3 5F 07 00 00 00 17 71 12 30 00 00 19 00 C8 02 12 B0 00 00 10 B8 00 00 21 B8 D7 00 21 30 F6 00 21 58 77 01 2B 60 C7 00 21 58 8B 01 21 B0 C0 00 21 B8 60 01 ?? ?? 45 8D 40 10 02 00 21 30 40 02 21 10 A2 00 00 00 45 84 21 20 20 02 24 00 A3 AF 1C 00 A7 AF 28 00 A8 AF 20 00 A9 AF ?? ?? ?? 0? 2C 00 AA AF 23 30 53 00 24 00 A3 8F 1C 00 A7 8F 28 00 A8 8F 20 00 A9 8F DA FF 40 14 2C 00 AA 8F 21 90 C0 02 A6 FF C3 13 21 88 E0 02 ?? ?? 02 3C ?? ?? 42 24 21 10 02 01 00 00 42 80 23 48 C9 03 23 48 22 01 3A 00 20 05 2D 00 02 24 23 00 20 11 C3 2F 07 00 22 00 03 24 ?? ?? 02 3C 03 00 80 12 ?? ?? 43 AC 01 00 02 24 00 00 82 AE FF FF 16 24 FF FF 17 24 5C 00 A2 8F 96 FF 40 10 54 00 BF 8F 00 00 5E AC 21 18 E0 02 21 10 C0 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? ?? 0? 01 00 63 24 00 00 62 80 30 00 04 24 2C 00 44 10 0A 00 12 24 0A 00 08 24 ?? ?? ?? 0? 21 48 60 00 23 20 C7 02 2B 10 C4 02 23 28 E5 02 23 28 A2 00 2B 18 E5 02 D9 FF 60 54 22 00 03 24 04 00 B7 14 21 30 00 01 D5 FF 40 14 22 00 03 24 21 30 00 01 ?? ?? ?? 0? C3 3F 08 00 10 00 A4 8F CF FF 44 54 22 00 03 24 14 00 A5 8F CC FF 65 14 22 00 03 24 2D 00 02 24 D0 FF A2 16 23 90 12 00 2B 10 12 00 23 88 11 00 23 88 22 02 21 B0 40 02 ?? ?? ?? 0? 21 B8 20 02 30 00 04 24 DF FF 44 14 10 00 12 24 01 00 62 80 78 00 04 24 03 00 44 10 58 00 04 24 70 FF 44 14 21 48 60 00 ?? ?? ?? 0? 02 00 63 24 01 00 62 80 78 00 04 24 03 00 44 10 58 00 04 24 67 FF 44 14 08 00 08 24 02 00 63 24 ?? ?? ?? 0? 10 00 08 24 ?? ?? ?? 0? 21 48 60 00 }
	condition:
		$1
}

rule file_617_0_4 {
	meta:
		name = "_WGetfloat"
		size = 3572
		refs = "01dc _Iswctype 0418 _WStold 042c _LDscale 0460 dptofp 0508 wmemchr 0588 _Wctob 0590 localeconv 0ca8 _Fail_s"
	strings:
		$1 = { 18 00 82 8C A0 FE BD 27 54 01 B7 AF 64 01 A5 AF 5C 01 BF AF 58 01 BE AF 50 01 B6 AF 4C 01 B5 AF 48 01 B4 AF 44 01 B3 AF 40 01 B2 AF 3C 01 B1 AF 38 01 B0 AF 21 B8 80 00 1A 01 40 18 FF FF 45 24 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 14 00 E5 AE 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 2B 00 02 24 68 00 C2 17 2D 00 02 24 14 00 E2 8E 18 00 BE AF FF FF 42 24 8D 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 30 00 02 24 5C 00 C2 13 1C 00 B0 27 6E 00 02 24 03 00 C2 13 4E 00 02 24 98 00 C2 17 69 00 02 24 14 00 E2 8E 6E 00 03 24 00 00 03 AE FF FF 42 24 04 00 10 26 AD 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 61 00 02 24 1C 02 C2 17 41 00 02 24 14 00 E2 8E 61 00 03 24 00 00 03 AE FF FF 42 24 04 00 10 26 9A 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 6E 00 02 24 9F 02 C2 17 4E 00 02 24 14 00 E2 8E FF FF 42 24 AF 02 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 28 00 02 24 DE 02 C2 17 5F 00 11 24 14 00 E2 8E 21 28 00 00 01 00 06 24 FF FF 42 24 C5 02 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE 21 F0 40 00 21 20 C0 03 ?? ?? ?? 0? 01 00 05 24 F0 FF 40 54 14 00 E2 8E EE FF D1 53 14 00 E2 8E 29 00 02 24 91 02 C2 13 FF FF 02 24 DF 02 C2 53 10 00 E2 8E ?? ?? ?? 0? 10 00 E3 8E 98 FF C2 13 18 00 B0 27 30 00 02 24 A7 FF C2 17 6E 00 02 24 14 00 E2 8E FF FF 42 24 A6 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 78 00 02 24 D6 01 C2 17 58 00 02 24 14 00 E2 8E 30 00 03 24 00 00 03 AE FF FF 42 24 78 00 03 24 04 00 03 AE 14 00 E2 AE D2 01 40 04 08 00 10 26 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 16 00 13 24 ?? ?? ?? 0? 21 90 00 00 10 00 E2 8E FF FF 1E 24 1C 00 B0 27 01 00 42 24 10 00 E2 AE 49 00 02 24 17 00 C2 13 0A 00 13 24 21 90 00 00 30 00 02 24 B9 02 C2 17 30 00 11 24 14 00 E2 8E 21 28 00 00 01 00 06 24 FF FF 42 24 24 01 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE F3 FF 51 10 21 F0 40 00 ?? ?? ?? 0? 01 00 12 24 E9 FF C2 17 49 00 02 24 14 00 E2 8E 69 00 03 24 00 00 03 AE FF FF 42 24 04 00 10 26 14 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 6E 00 02 24 5A 02 C2 17 4E 00 02 24 14 00 E2 8E 6E 00 03 24 00 00 03 AE FF FF 42 24 04 00 10 26 AA 01 41 04 14 00 E2 AE 10 00 E3 8E 01 00 63 24 FF FF 63 24 10 00 E3 AE 21 90 00 00 FF FF 1E 24 21 98 00 00 21 A0 00 00 10 00 40 56 24 00 E3 82 18 00 A3 27 78 01 03 12 21 10 00 00 5C 01 BF 8F 58 01 BE 8F 54 01 B7 8F 50 01 B6 8F 4C 01 B5 8F 48 01 B4 8F 44 01 B3 8F 40 01 B2 8F 3C 01 B1 8F 38 01 B0 8F 08 00 E0 03 60 01 BD 27 01 00 02 24 F2 FF 60 14 00 00 00 AE 0B 00 73 2A 28 00 60 16 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 30 00 00 10 00 A4 27 80 28 14 00 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 20 00 E2 8E 01 00 03 24 25 00 E3 A2 6C 00 03 24 03 00 43 10 4C 00 03 24 68 01 43 10 64 01 A2 8F 64 01 A2 8F 6D 01 40 10 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 8F 64 01 A3 8F 00 00 62 AC 5C 01 BF 8F 01 00 02 24 58 01 BE 8F 54 01 B7 8F 50 01 B6 8F 4C 01 B5 8F 48 01 B4 8F 44 01 B3 8F 40 01 B2 8F 3C 01 B1 8F 38 01 B0 8F 08 00 E0 03 60 01 BD 27 FF 7F 05 3C ?? ?? ?? 0? FE FF A5 34 21 28 00 00 ?? ?? ?? 0? 21 30 80 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 E2 8E 01 00 12 24 FF FF 1E 24 01 00 42 24 10 00 E2 AE 0A 00 13 24 30 00 02 24 00 00 02 AE 04 00 10 26 FF FF 02 24 3B 02 C2 13 ?? ?? 15 3C ?? ?? B5 26 21 28 C0 03 21 20 A0 02 21 30 60 02 ?? ?? ?? 0? 21 88 00 00 21 A0 00 00 FF FF 16 24 1B 00 40 10 30 00 23 2A 86 00 60 50 14 00 E2 8E 00 00 1E AE 14 00 E2 8E 01 00 31 26 04 00 10 26 FF FF 42 24 21 28 00 00 01 00 06 24 83 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE 1C 02 56 10 21 F0 40 00 21 28 C0 03 21 20 A0 02 ?? ?? ?? 0? 21 30 60 02 01 00 12 24 E7 FF 40 14 30 00 23 2A ?? ?? ?? 0? 21 20 C0 03 ?? ?? ?? 0? 21 A8 40 00 2C 00 42 8C 00 00 42 80 57 00 A2 52 14 00 E2 8E 22 00 20 16 FF FF 02 24 30 00 02 24 1F 00 C2 17 FF FF 02 24 14 00 E2 8E 30 00 12 24 21 28 00 00 FF FF 42 24 01 00 06 24 14 00 E2 AE 10 00 40 04 FF FF 94 26 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE 0C 00 52 14 21 F0 40 00 14 00 E2 8E 21 28 00 00 01 00 06 24 FF FF 42 24 14 00 E2 AE F2 FF 41 04 FF FF 94 26 10 00 E3 8E FF FF 1E 24 01 00 63 24 10 00 E3 AE CC 00 80 06 01 00 12 24 FF FF 02 24 E0 01 C2 13 ?? ?? 15 3C ?? ?? B5 26 FF FF 16 24 21 28 C0 03 21 30 60 02 ?? ?? ?? 0? 21 20 A0 02 21 28 00 00 01 00 06 24 D6 01 40 10 30 00 23 2A 05 00 60 50 14 00 E2 8E 00 00 1E AE 01 00 31 26 04 00 10 26 14 00 E2 8E 01 00 12 24 FF FF 42 24 47 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE E7 FF 56 14 21 F0 40 00 10 00 E3 8E FF FF 1E 24 01 00 12 24 0A 00 02 24 40 00 62 12 70 00 02 24 43 00 C2 13 50 00 02 24 42 00 C2 53 14 00 E2 8E FF FF 02 24 36 00 C2 13 21 28 C0 03 00 00 E2 8E 04 00 E4 8E FF FF 63 24 10 00 E3 AE 09 F8 40 00 21 30 00 00 ?? ?? ?? 0? 00 00 00 00 00 00 1E AE 04 00 10 26 FF FF 42 24 98 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 ?? ?? ?? 0? 21 F0 40 00 01 00 94 26 21 28 00 00 FF FF 42 24 01 00 06 24 7F FF 41 04 14 00 E2 AE 10 00 E2 8E FF FF 1E 24 21 20 C0 03 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE ?? ?? ?? 0? 21 A8 40 00 2C 00 42 8C 00 00 42 80 8A FF A2 16 01 00 12 24 ?? ?? ?? 0? 14 00 E2 8E 10 00 E2 8E FF FF 1E 24 01 00 12 24 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE 10 00 E3 8E 01 00 63 24 ?? ?? ?? 0? 10 00 E3 AE FF FF 63 24 ?? ?? ?? 0? 10 00 E3 AE 65 00 02 24 03 00 C2 13 45 00 02 24 C2 FF C2 17 FF FF 02 24 14 00 E2 8E 00 00 1E AE 04 00 10 26 FF FF 42 24 6B 00 40 04 14 00 E2 AE 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 2B 00 02 24 02 01 C2 17 2D 00 02 24 14 00 E2 8E 00 00 1E AE 04 00 10 26 FF FF 42 24 0C 01 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 30 00 02 24 51 00 C2 17 30 00 11 24 14 00 E2 8E 21 28 00 00 FF FF 42 24 01 00 06 24 0F 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE 0B 00 51 14 21 F0 40 00 14 00 E2 8E 21 28 00 00 01 00 06 24 FF FF 42 24 F3 FF 41 04 14 00 E2 AE 10 00 E2 8E FF FF 1E 24 01 00 42 24 10 00 E2 AE 30 00 02 24 00 00 02 AE 01 00 12 24 04 00 10 26 04 00 05 24 ?? ?? ?? 0? 21 20 C0 03 21 88 00 00 08 00 23 2A 21 28 00 00 1A 00 40 10 01 00 06 24 05 00 60 50 14 00 E2 8E 00 00 1E AE 01 00 31 26 04 00 10 26 14 00 E2 8E FF FF 1E 24 FF FF 42 24 E9 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE 21 F0 40 00 01 00 12 24 04 00 05 24 ?? ?? ?? 0? 21 20 C0 03 08 00 23 2A 21 28 00 00 E8 FF 40 14 01 00 06 24 ?? ?? ?? 0? 10 00 E3 8E 30 00 02 24 00 00 02 AE 01 00 94 26 ?? ?? ?? 0? 04 00 10 26 10 00 E3 8E FF FF 1E 24 01 00 63 24 ?? ?? ?? 0? 10 00 E3 AE E5 FD C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 01 00 63 24 10 00 E3 AE FF FF 1E 24 ?? ?? ?? 0? 21 90 00 00 27 F0 1E 00 FF FF 02 24 ?? ?? ?? 0? 0B 10 1E 00 2B FE C2 53 14 00 E2 8E 0A 00 13 24 ?? ?? ?? 0? 01 00 12 24 10 00 E2 8E 16 00 13 24 21 A0 00 00 01 00 42 24 10 00 E2 AE 21 88 00 00 21 90 00 00 ?? ?? ?? 0? FF FF 1E 24 A0 00 40 10 10 00 A4 8F 14 00 A5 8F 64 01 A3 8F 01 00 02 24 00 00 64 AC ?? ?? ?? 0? 04 00 65 AC 08 00 E2 8E 00 00 50 8C 04 00 42 24 A0 00 00 12 08 00 E2 AE 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 8F 00 00 02 AE ?? ?? ?? 0? 01 00 02 24 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 66 00 02 24 A2 00 C2 17 46 00 02 24 14 00 E2 8E FF FF 42 24 A2 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 69 00 02 24 A8 00 C2 17 49 00 02 24 14 00 E2 8E FF FF 42 24 38 FE 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 6E 00 02 24 05 00 C2 53 14 00 E2 8E 4E 00 02 24 3D 00 C2 17 FF FF 02 24 14 00 E2 8E FF FF 42 24 25 FE 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 69 00 02 24 99 00 C2 17 49 00 02 24 14 00 E2 8E FF FF 42 24 15 FE 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 74 00 02 24 8D 00 C2 17 54 00 02 24 14 00 E2 8E FF FF 42 24 05 FE 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 79 00 02 24 03 00 C2 13 59 00 02 24 0B 00 C2 17 FF FF 02 24 66 00 02 24 00 00 02 AE 01 00 12 24 04 00 10 26 21 98 00 00 ?? ?? ?? 0? 21 A0 00 00 62 FD C2 53 14 00 E2 8E FF FF 02 24 ED FD C2 13 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E FF FF 63 24 10 00 E3 AE 21 28 C0 03 09 F8 40 00 21 30 00 00 21 90 00 00 21 98 00 00 ?? ?? ?? 0? 21 A0 00 00 FF FE C2 53 14 00 E2 8E ?? ?? ?? 0? 30 00 02 24 10 00 E2 8E 01 00 42 24 FF FF 42 24 10 00 E2 AE FF FF 1E 24 6E 00 02 24 00 00 02 AE 01 00 12 24 04 00 10 26 21 98 00 00 ?? ?? ?? 0? 21 A0 00 00 10 00 E2 8E FF FF 1E 24 21 90 00 00 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE 08 00 E2 8E 00 00 43 8C 04 00 42 24 07 00 60 10 08 00 E2 AE 10 00 A4 8F 14 00 A5 8F 01 00 02 24 00 00 64 AC ?? ?? ?? 0? 04 00 65 AC ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 25 00 05 24 ?? ?? ?? 0? 27 10 02 00 10 00 E2 8E 01 00 12 24 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE 10 00 E2 8E FF FF 1E 24 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE A7 FD C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 5F FF C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 10 00 E3 8E FF FF 1E 24 01 00 63 24 FF FF 63 24 ?? ?? ?? 0? 10 00 E3 AE FF FF 02 24 33 00 C2 13 21 28 C0 03 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E FF FF 63 24 10 00 E3 AE 09 F8 40 00 21 30 00 00 ?? ?? ?? 0? 6E 00 02 24 59 FF C2 53 14 00 E2 8E FF FF 02 24 ED FF C2 13 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E FF FF 63 24 10 00 E3 AE 21 28 C0 03 09 F8 40 00 21 30 00 00 ?? ?? ?? 0? 66 00 02 24 21 90 00 00 21 98 00 00 FF FF 42 24 10 00 E2 AE ?? ?? ?? 0? 21 A0 00 00 68 FF C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 74 FF C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 46 FE 40 12 10 00 E3 8E ?? ?? ?? 0? 0A 00 02 24 C9 FD 40 52 FF FF 02 24 ?? ?? ?? 0? 30 00 02 24 ?? ?? ?? 0? 01 00 12 24 21 A0 00 00 ?? ?? ?? 0? 21 88 00 00 ?? ?? ?? 0? 10 00 E2 8E }
	condition:
		$1
}

rule file_619_0_4 {
	meta:
		name = "_Makestab"
		size = 756
		refs = "0060 _Skip 006c _Locsum 017c malloc 01a8 memcpy 029c _Clocale 02e4 memset"
	strings:
		$1 = { C0 FF BD 27 38 00 B5 AF 28 00 B1 AF 24 00 B0 AF 3C 00 BF AF 34 00 B4 AF 30 00 B3 AF 2C 00 B2 AF 00 00 C2 80 5B 00 03 24 21 88 80 00 21 80 A0 00 0B 00 43 10 21 A8 00 00 3C 00 BF 8F 21 10 A0 02 34 00 B4 8F 38 00 B5 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 21 20 C0 00 21 20 40 00 ?? ?? ?? 0? 18 00 A5 27 F0 FF 40 10 2C 00 03 24 00 00 44 80 6A 00 83 10 18 00 A3 8F 18 00 A0 AF FF 00 63 30 14 00 A3 AF 00 00 45 80 3A 00 04 24 76 00 A4 10 00 00 00 00 10 00 A3 AF 00 00 44 80 5D 00 03 24 E1 FF 83 14 21 A8 00 00 ?? ?? ?? 0? 21 20 40 00 00 00 44 80 24 00 03 24 15 00 83 14 21 A0 00 00 40 00 13 24 ?? ?? ?? 0? 24 00 12 24 11 00 72 54 21 20 40 00 0F 00 A0 54 21 20 40 00 02 00 94 36 ?? ?? ?? 0? 00 00 00 00 00 00 43 80 09 00 72 14 21 20 40 00 01 00 43 80 02 00 85 32 F3 FF 73 14 01 00 44 24 01 00 83 32 F5 FF 60 50 01 00 94 36 21 20 40 00 ?? ?? ?? 0? 1C 00 A5 27 68 00 40 10 00 00 00 00 00 00 42 80 BF FF 40 14 21 A8 00 00 18 00 B2 8F 04 00 02 8E 08 00 04 8E 0F 00 52 32 80 90 12 00 21 90 42 02 06 00 03 24 4F 00 83 10 21 90 32 02 00 00 53 8E 04 00 60 12 00 00 00 00 FE FF 62 96 15 00 40 14 14 00 A2 8F ?? ?? ?? 0? 02 02 04 24 21 98 40 00 AB FF 40 10 21 A8 00 00 04 00 02 8E 21 88 22 02 00 00 25 8E 50 00 A0 10 21 20 60 02 FE FF A5 24 ?? ?? ?? 0? 02 02 06 24 08 00 03 8E 04 00 02 24 2D 00 62 10 01 00 02 24 02 00 73 26 00 00 53 AE 14 00 A2 8F 10 00 A6 8F 2B 18 C2 00 98 FF 60 14 01 00 15 24 1C 00 A8 97 40 18 02 00 01 00 87 32 21 98 63 02 02 00 94 32 FF FF 45 30 0A 28 07 00 01 00 42 24 21 28 A8 00 2B 20 C2 00 21 18 00 00 02 00 80 12 FF FF A5 30 00 00 63 96 21 18 A3 00 00 00 63 A6 F4 FF 80 10 02 00 73 26 ?? ?? ?? 0? 01 00 15 24 08 00 04 8E 04 00 03 24 81 FF 83 14 3C 00 BF 8F 18 00 A3 8F 10 00 63 2C 7E FF 60 50 21 10 A0 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 14 00 A5 27 75 FF 40 10 14 00 A3 8F ?? ?? ?? 0? FF 00 63 30 ?? ?? ?? 0? 00 00 62 A6 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 10 00 A5 27 6A FF 40 10 21 A8 00 00 ?? ?? ?? 0? 10 00 A3 93 ?? ?? 04 3C ?? ?? 84 24 21 18 22 02 21 10 82 00 00 00 63 8C 00 00 42 8C B1 FF 62 10 00 00 00 00 00 00 53 8E C2 FF 60 16 14 00 A2 8F ?? ?? ?? 0? 00 00 00 00 9B FF 80 16 21 A8 00 00 ?? ?? ?? 0? 3C 00 BF 8F 21 28 00 00 ?? ?? ?? 0? 02 02 06 24 ?? ?? ?? 0? 08 00 03 8E }
	condition:
		$1
}

rule file_620_0_4 {
	meta:
		name = "islower"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 10 00 42 30 }
	condition:
		$1
}

rule file_622_0_4 {
	meta:
		name = "tgammal"
		size = 1056
		refs = "0030 _LDint 0068 dpcmp 0078 _LGamma_big 00c0 _LTgamma 00d8 dpadd 00ec dpdiv 0104 _LDscale 0114 _Feraise 018c _LNan 01bc _LInf 0230 dpsub 02bc dpmul 02d0 _LSin"
	strings:
		$1 = { B8 FF BD 27 48 00 A4 AF 4C 00 A5 AF 18 00 A4 AF 1C 00 A5 AF 18 00 A4 27 21 28 00 00 44 00 BF AF 40 00 B4 AF 3C 00 B3 AF 38 00 B2 AF 34 00 B1 AF ?? ?? ?? 0? 30 00 B0 AF 01 00 03 24 57 00 43 10 02 00 03 24 36 00 43 10 48 00 A5 8F 3F 00 40 10 48 00 B0 8F 4C 00 B1 8F ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 D4 00 40 18 ?? ?? 02 3C ?? ?? 47 8C ?? ?? 48 8C 00 80 12 3C 26 10 F2 00 21 20 00 02 21 30 00 01 21 28 20 02 ?? ?? ?? 0? 21 38 40 00 5D 00 40 04 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 3D 00 40 1C 48 00 A4 27 ?? ?? ?? 0? 10 00 A5 27 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 48 00 A6 8F 4C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 10 00 A5 87 48 00 A4 27 48 00 A2 AF 23 28 05 00 ?? ?? ?? 0? 4C 00 A3 AF B2 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 48 00 A5 8F 4C 00 A4 8F 44 00 BF 8F 21 10 A0 00 21 18 80 00 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 48 00 BD 27 4C 00 B1 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 00 40 10 21 20 00 02 21 28 20 02 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 B7 FF 41 04 ?? ?? 06 3C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 44 8C 4E 00 A2 87 DF FF 43 04 48 00 A5 8F ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 08 00 04 24 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 44 00 BF 8F 21 18 80 00 21 10 A0 00 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? ?? 0? 04 00 04 24 4E 00 A2 87 F0 FF 41 04 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 20 82 00 ?? ?? 13 3C ?? ?? 66 8E ?? ?? 67 8E 26 10 32 02 21 20 00 02 21 28 40 00 20 00 B0 AF ?? ?? ?? 0? 24 00 B1 AF 18 00 A6 8F 1C 00 A7 8F 21 20 00 02 21 28 20 02 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF 20 00 A4 27 FF FF 05 24 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 48 00 B0 8F 4C 00 B1 8F 20 00 A6 8F 24 00 A7 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 54 00 40 04 1C 00 A3 8F 18 00 A2 8F 1C 00 B2 8F ?? ?? 14 3C ?? ?? 86 8E ?? ?? 87 8E 21 28 40 02 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 00 ?? ?? ?? 0? 00 80 12 3C 26 88 32 02 21 20 00 02 21 28 20 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 80 40 00 4C 00 A2 8F ?? ?? 66 8E ?? ?? 67 8E 48 00 A4 8F 26 90 52 00 21 28 40 02 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 84 8E ?? ?? 85 8E 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 28 00 A4 27 10 00 A5 27 21 88 40 00 21 80 60 00 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF ?? ?? 66 8E ?? ?? 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 30 40 00 21 20 20 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 28 00 A6 8F 2C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 10 00 A5 87 20 00 A4 27 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 16 00 40 14 01 00 03 24 ?? ?? ?? 0? 10 00 04 24 20 00 A5 8F ?? ?? ?? 0? 24 00 A4 8F ?? ?? ?? 0? 10 00 04 24 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 51 FF 43 54 48 00 A5 8F ?? ?? ?? 0? 08 00 04 24 ?? ?? ?? 0? 48 00 A5 8F 18 00 A2 8F 26 90 72 00 18 00 A2 AF ?? ?? ?? 0? 1C 00 B2 AF ED FF 43 54 20 00 A5 8F ?? ?? ?? 0? 08 00 04 24 20 00 A5 8F ?? ?? ?? 0? 24 00 A4 8F }
	condition:
		$1
}

rule file_624_0_4 {
	meta:
		name = "_FSin"
		size = 524
		refs = "0020 _FDtest 0058 _FQuad 0060 _FRteps 0078 fpcmp 0088 fpmul 00b8 fpadd 00d4 fpsub 014c _Feraise 0154 _FNan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 21 80 A0 00 01 00 03 24 47 00 43 10 02 00 03 24 3D 00 43 50 28 00 B1 8F 06 00 40 14 01 00 02 32 2D 00 40 50 28 00 B1 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 51 8C ?? ?? ?? 0? 28 00 A4 27 ?? ?? 03 3C ?? ?? 72 8C 28 00 B1 8F 00 80 04 3C 26 20 92 00 21 28 20 02 ?? ?? ?? 0? 21 80 50 00 3E 00 40 04 21 20 20 02 ?? ?? ?? 0? 21 28 20 02 21 90 40 00 01 00 02 32 42 00 40 50 21 20 20 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 88 40 00 02 00 10 32 0B 00 00 12 24 00 BF 8F 00 80 02 3C 26 88 51 00 21 10 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 21 10 20 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 51 8C 24 00 BF 8F 20 00 B3 8F 21 10 20 02 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 40 02 C0 FF 41 04 21 20 20 02 01 00 02 32 DB FF 40 50 02 00 10 32 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 51 8C ?? ?? ?? 0? 21 28 40 02 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 21 88 40 00 }
	condition:
		$1
}

rule file_627_5_4 {
	meta:
		name = "_ZNSt8ios_baseD2Ev"
		size = 312
		refs = "0004 _ZTVSt8ios_base 009c _ZdlPv"
	strings:
		$1 = { 04 00 82 8C ?? ?? 03 3C E0 FF BD 27 ?? ?? 63 24 14 00 B0 AF 1C 00 BF AF 18 00 B1 AF 21 80 80 00 0E 00 40 10 00 00 83 AC ?? ?? 03 3C ?? ?? 63 24 21 10 43 00 00 00 43 90 FF FF 63 24 20 1C 03 7C 06 00 60 18 00 00 43 A0 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 20 00 11 8E 0A 00 20 52 1C 00 04 8E 08 00 22 8E 04 00 26 8E 21 20 00 00 09 F8 40 00 21 28 00 02 00 00 31 8E FA FF 20 56 08 00 22 8E 1C 00 04 8E 03 00 80 14 00 00 00 00 ?? ?? ?? 0? 20 00 04 8E ?? ?? ?? 0? 00 00 91 8C FD FF 20 16 21 20 20 02 20 00 04 8E 03 00 80 14 1C 00 00 AE ?? ?? ?? 0? 24 00 11 8E ?? ?? ?? 0? 00 00 91 8C FD FF 20 16 21 20 20 02 24 00 11 8E DC FF 20 12 20 00 00 AE 00 00 24 8E 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 20 02 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_627_7_4 {
	meta:
		name = "_ZNSt8ios_base7_AddstdEPS_"
		size = 104
	strings:
		$1 = { 01 00 02 24 ?? ?? 06 3C 04 00 82 AC ?? ?? C6 24 80 28 02 00 21 18 C5 00 00 00 63 8C 0A 00 60 50 ?? ?? 03 3C 08 00 83 10 ?? ?? 03 3C 04 00 82 8C 01 00 42 24 08 00 43 2C F5 FF 60 14 04 00 82 AC 80 28 02 00 ?? ?? 03 3C ?? ?? 63 24 21 10 43 00 00 00 43 90 21 28 C5 00 00 00 A4 AC 01 00 63 24 08 00 E0 03 00 00 43 A0 }
	condition:
		$1
}

rule file_628_0_4 {
	meta:
		name = "system"
		size = 128
		refs = "0018 fork 0030 wait 0070 execl 0078 exit"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 24 00 BF AF 1C 00 B0 AF 0B 00 80 10 21 88 80 00 ?? ?? ?? 0? 00 00 00 00 07 00 40 04 21 80 40 00 0B 00 40 10 ?? ?? 04 3C ?? ?? ?? 0? 21 20 00 00 FD FF 50 14 00 00 00 00 24 00 BF 8F FF FF 02 24 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 05 3C ?? ?? 06 3C ?? ?? 84 24 ?? ?? A5 24 ?? ?? C6 24 21 38 20 02 ?? ?? ?? 0? 10 00 A0 AF ?? ?? ?? 0? 01 00 04 24 }
	condition:
		$1
}

rule file_629_0_4 {
	meta:
		name = "cexpl"
		size = 940
		refs = "0024 creall 0040 cimagl 0050 _LDtest 00a8 _LSin 00bc _LExp 0104 _LCbuild 01a0 dpcmp 01dc _LZero 02ac _Feraise 02b4 _LNan 02dc dpmul"
	strings:
		$1 = { B0 FF BD 27 48 00 B3 AF 44 00 B2 AF 21 98 A0 00 40 00 B1 AF 3C 00 B0 AF 21 90 80 00 21 80 C0 00 4C 00 BF AF ?? ?? ?? 0? 21 88 E0 00 21 28 60 02 21 30 00 02 21 38 20 02 21 20 40 02 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 18 00 A4 27 24 00 A3 AF ?? ?? ?? 0? 20 00 A2 AF 20 00 A4 27 ?? ?? ?? 0? 21 80 40 00 21 98 40 00 02 00 02 24 2E 00 02 12 00 00 00 00 42 00 62 12 01 00 02 24 44 00 02 12 18 00 B1 8F 89 00 62 12 24 00 A5 8F 18 00 A2 8F 1C 00 A3 8F 20 00 A4 8F 01 00 06 24 28 00 A2 AF 2C 00 A3 AF 30 00 A2 AF ?? ?? ?? 0? 34 00 A3 AF 21 38 60 00 21 30 40 00 28 00 A4 27 ?? ?? ?? 0? 10 00 A0 AF 20 00 A4 8F 24 00 A5 8F ?? ?? ?? 0? 21 30 00 00 21 38 60 00 21 30 40 00 30 00 A4 27 ?? ?? ?? 0? 10 00 A0 AF 28 00 B1 8F 2C 00 B2 8F 30 00 A2 8F 34 00 A3 8F 21 20 20 02 21 28 40 02 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 4C 00 BF 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 50 00 BD 27 35 00 60 16 18 00 A2 8F 18 00 B1 8F 20 00 A2 8F 1C 00 B2 8F 24 00 A3 8F 21 20 20 02 21 28 40 02 21 30 40 00 21 38 60 00 28 00 B1 AF 2C 00 B2 AF 30 00 A2 AF ?? ?? ?? 0? 34 00 A3 AF 4C 00 BF 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 50 00 BD 27 32 00 02 12 20 00 A2 8F ?? ?? ?? 0? 24 00 A3 8F 1C 00 B2 8F 21 30 00 00 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 3A 00 41 04 00 00 00 00 44 00 70 16 20 00 A4 8F 24 00 A5 8F 21 30 00 00 21 38 00 00 28 00 A6 AF ?? ?? ?? 0? 2C 00 A7 AF 68 00 43 04 21 10 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 42 8C 00 80 03 3C 26 18 83 00 30 00 A2 AF 34 00 A3 AF 21 88 00 00 ?? ?? ?? 0? 21 90 00 00 1C 00 A3 8F 21 88 40 00 21 90 60 00 21 20 20 02 21 28 40 02 21 30 40 00 21 38 60 00 28 00 A2 AF 2C 00 A3 AF 30 00 A2 AF ?? ?? ?? 0? 34 00 A3 AF 4C 00 BF 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 50 00 BD 27 18 00 B1 8F 1C 00 B2 8F 21 30 00 00 21 38 00 00 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 B4 FF 43 04 20 00 A2 8F 28 00 A0 AF 2C 00 A0 AF 30 00 A0 AF 34 00 A0 AF 21 10 00 00 21 18 00 00 21 88 00 00 ?? ?? ?? 0? 21 90 00 00 39 00 70 12 00 00 00 00 22 00 60 16 20 00 A4 8F ?? ?? ?? 0? 20 00 A2 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 03 3C ?? ?? 62 8C ?? ?? ?? 0? ?? ?? 63 8C 24 00 A5 8F ?? ?? ?? 0? 01 00 06 24 21 20 40 00 21 38 00 00 21 28 60 00 ?? ?? ?? 0? 21 30 00 00 20 00 A4 8F 24 00 A5 8F 21 30 00 00 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF 21 20 40 00 21 28 60 00 21 30 00 00 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 30 00 A2 AF 34 00 A3 AF 28 00 B1 8F ?? ?? ?? 0? 2C 00 B2 8F 24 00 A5 8F ?? ?? ?? 0? 01 00 06 24 18 00 A6 8F 1C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 20 00 A4 8F 24 00 A5 8F 21 30 00 00 28 00 A2 AF ?? ?? ?? 0? 2C 00 A3 AF 21 20 40 00 21 28 60 00 18 00 A6 8F ?? ?? ?? 0? 1C 00 A7 8F ?? ?? ?? 0? 21 18 00 00 ?? ?? ?? 0? 01 00 04 24 ?? ?? 03 3C ?? ?? 62 8C 18 00 B1 8F 1C 00 B2 8F ?? ?? 63 8C 28 00 B1 AF 2C 00 B2 AF 30 00 A2 AF ?? ?? ?? 0? 34 00 A3 AF }
	condition:
		$1
}

rule file_630_0_4 {
	meta:
		name = "dmul"
		size = 108
		refs = "0024 _LDunscale 0038 dpmul 004c _LDscale"
	strings:
		$1 = { D8 FF BD 27 18 00 B0 AF 21 28 80 00 21 80 80 00 10 00 A4 27 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 21 98 E0 00 ?? ?? ?? 0? 21 90 C0 00 00 00 04 8E 04 00 05 8E 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 10 00 A5 87 21 20 00 02 00 00 02 AE ?? ?? ?? 0? 04 00 03 AE 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_630_1_4 {
	meta:
		name = "_LDtentox"
		size = 516
		refs = "0044 dpcmp 0088 dpmul 00cc _Errno 016c dpdiv"
	strings:
		$1 = { D8 FF BD 27 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 21 88 C0 00 28 00 A4 AF 2C 00 A5 AF 2E 00 C0 10 21 80 E0 00 28 00 B3 8F 2C 00 B2 8F 21 30 00 00 21 38 00 00 21 20 60 02 ?? ?? ?? 0? 21 28 40 02 28 00 40 10 24 00 BF 8F 2F 00 20 06 ?? ?? 12 3C ?? ?? 02 3C ?? ?? 52 26 ?? ?? 43 8C 40 00 53 26 21 10 00 00 01 00 26 32 21 20 40 00 21 28 60 00 04 00 C0 10 43 88 11 00 00 00 46 8E ?? ?? ?? 0? 04 00 47 8E 03 00 20 12 08 00 52 26 F6 FF 53 16 01 00 26 32 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 28 00 A4 27 45 00 40 04 00 00 00 00 FF FF 42 30 02 00 42 2C 09 00 40 10 28 00 B3 8F 22 00 03 24 ?? ?? 02 3C 04 00 00 12 ?? ?? 43 AC 00 00 02 8E 01 00 42 34 00 00 02 AE 28 00 B3 8F 2C 00 B2 8F 24 00 BF 8F 21 10 60 02 21 18 40 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 12 3C ?? ?? 13 3C ?? ?? 43 8E ?? ?? 73 26 23 88 11 00 40 00 74 26 21 10 00 00 01 00 26 32 21 20 40 00 21 28 60 00 04 00 C0 10 42 88 11 00 00 00 66 8E ?? ?? ?? 0? 04 00 67 8E 03 00 20 12 08 00 73 26 F6 FF 74 16 01 00 26 32 ?? ?? 44 8E ?? ?? 45 8E 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 28 00 A4 27 ?? ?? ?? 0? 21 38 60 00 CD FF 41 04 FF FF 42 30 CC FF 20 12 02 00 42 2C ?? ?? 02 3C ?? ?? 52 8C ?? ?? 53 8C 28 00 A4 27 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 C1 FF 41 04 FF FF 31 26 FA FF 20 56 28 00 A4 27 ?? ?? ?? 0? FF FF 42 30 BC FF 20 12 FF FF 42 30 ?? ?? 02 3C ?? ?? 52 8C ?? ?? 53 8C 28 00 A4 27 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 B2 FF 41 04 FF FF 31 26 FA FF 20 5E 28 00 A4 27 ?? ?? ?? 0? FF FF 42 30 }
	condition:
		$1
}

rule file_632_0_4 {
	meta:
		name = "ungetc"
		size = 124
	strings:
		$1 = { FF FF 03 24 03 00 83 14 21 10 80 00 08 00 E0 03 00 00 00 00 18 00 A3 8C 40 00 A4 24 2B 20 83 00 03 00 80 54 00 00 A4 94 08 00 E0 03 FF FF 02 24 01 00 06 24 01 A0 87 30 03 00 E6 50 28 00 A6 8C 08 00 E0 03 FF FF 02 24 FF AE 84 30 00 50 84 34 05 00 C0 10 00 00 A4 A4 FF FF 64 24 18 00 A4 AC 08 00 E0 03 FF FF 62 A0 10 00 A6 8C 04 00 A4 8C 28 00 A6 AC ?? ?? ?? 0? 10 00 A4 AC }
	condition:
		$1
}

rule file_633_1_4 {
	meta:
		name = "asctime"
		size = 72
		refs = "0010 _CTinfo 002c _CStrftime"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF ?? ?? 06 3C ?? ?? 10 3C ?? ?? 02 3C 21 38 80 00 ?? ?? 42 24 ?? ?? 04 26 1A 00 05 24 ?? ?? C6 24 1C 00 BF AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F ?? ?? 02 26 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_634_22_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE9underflowEv"
		size = 152
	strings:
		$1 = { 20 00 82 8C E0 FF BD 27 18 00 B1 AF 00 00 42 8C 1C 00 BF AF 14 00 B0 AF 0D 00 40 10 21 88 80 00 30 00 83 8C 00 00 63 8C 2B 18 43 00 09 00 60 50 00 00 22 8E 00 00 50 90 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 22 8E 20 00 42 8C 09 F8 40 00 21 20 20 02 21 80 40 00 FF FF 02 24 F3 FF 02 12 21 20 20 02 00 00 22 8E 14 00 42 8C 09 F8 40 00 21 28 00 02 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_634_26_4 {
	meta:
		name = "_ZNSt15basic_streambufIcSt11char_traitsIcEE5uflowEv"
		size = 80
	strings:
		$1 = { 00 00 82 8C E8 FF BD 27 10 00 B0 AF 1C 00 42 8C 14 00 BF AF 09 F8 40 00 21 80 80 00 FF FF 03 24 07 00 43 10 14 00 BF 8F 20 00 03 8E 00 00 62 8C 01 00 44 24 00 00 64 AC 00 00 43 90 14 00 BF 8F 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_634_29_4 {
	meta:
		name = "_ZNKSt7codecvtIcc9_MbstatetE6do_outERS0_PKcS4_RS4_PcS6_RS6_"
		size = 28
		altNames = "_ZNKSt7codecvtIcc9_MbstatetE5do_inERS0_PKcS4_RS4_PcS6_RS6_"
	strings:
		$1 = { 10 00 A2 8F 1C 00 A3 8F 00 00 46 AC 14 00 A4 8F 03 00 02 24 08 00 E0 03 00 00 64 AC }
	condition:
		$1
}

rule file_634_31_4 {
	meta:
		name = "_ZNKSt7codecvtIcc9_MbstatetE10do_unshiftERS0_PcS3_RS3_"
		size = 16
	strings:
		$1 = { 10 00 A3 8F 03 00 02 24 08 00 E0 03 00 00 66 AC }
	condition:
		$1
}

rule file_634_33_4 {
	meta:
		name = "_ZNKSt7codecvtIcc9_MbstatetE9do_lengthERKS0_PKcS5_m"
		size = 24
	strings:
		$1 = { 10 00 A3 8F 23 30 E6 00 2B 10 66 00 0A 18 C2 00 08 00 E0 03 21 10 60 00 }
	condition:
		$1
}

rule file_634_45_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE5imbueERKSt6locale"
		size = 456
		refs = "0004 _ZNSt7codecvtIcc9_MbstatetE2idE 0030 _ZNSt9_FacetptrISt7codecvtIcc9_MbstatetEE6_PsaveE 0034 _ZNSt6locale2id7_Id_cntE 0084 _ZNSt8_LocinfoC1EPKc 008c _Znwm 0098 _ZTVSt7codecvtIcc9_MbstatetE 00ac _ZNSt8_LocinfoD1Ev 00cc _ZNSt6locale5facet9_RegisterEv 0190 _ZNSt6locale16_GetgloballocaleEv"
	strings:
		$1 = { 68 FF BD 27 ?? ?? 02 3C 88 00 B2 AF ?? ?? 52 8C 8C 00 B3 AF ?? ?? 13 3C 90 00 B4 AF 80 00 B0 AF 94 00 BF AF 84 00 B1 AF 21 80 80 00 07 00 40 16 ?? ?? 74 8E ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 90 80 00 ?? ?? 64 AC ?? ?? 44 AC 00 00 A2 8C 0C 00 43 8C 2B 18 43 02 20 00 60 54 08 00 44 8C 14 00 42 90 4A 00 40 14 00 00 00 00 20 00 80 16 21 88 80 02 00 00 A2 8C 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 08 00 04 24 05 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 88 40 00 ?? ?? ?? 0? 10 00 A4 27 04 00 22 8E FF FF 03 24 03 00 43 10 ?? ?? 71 AE 01 00 42 24 04 00 22 AE ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 00 00 22 8E 80 18 12 00 21 18 83 00 00 00 71 8C DE FF 20 52 14 00 42 90 00 00 22 8E 08 00 42 8C 09 F8 40 00 21 20 20 02 1B 00 40 14 94 00 BF 8F 08 00 07 26 0C 00 06 26 18 00 05 26 1C 00 04 26 28 00 03 26 2C 00 02 26 44 00 11 AE 10 00 07 AE 14 00 06 AE 20 00 05 AE 24 00 04 AE 30 00 03 AE 34 00 02 AE 0C 00 00 AE 1C 00 00 AE 2C 00 00 AE 08 00 00 AE 18 00 00 AE 28 00 00 AE 90 00 B4 8F 8C 00 B3 8F 88 00 B2 8F 84 00 B1 8F 80 00 B0 8F 08 00 E0 03 98 00 BD 27 44 00 00 AE 90 00 B4 8F 8C 00 B3 8F 88 00 B2 8F 84 00 B1 8F 80 00 B0 8F 08 00 E0 03 98 00 BD 27 ?? ?? ?? 0? 78 00 A5 AF 0C 00 43 8C 2B 18 43 02 B2 FF 60 10 78 00 A5 8F 08 00 42 8C 80 90 12 00 21 90 52 00 00 00 51 8E CE FF 20 56 00 00 22 8E ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_634_46_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE4syncEv"
		size = 108
		refs = "0040 fflush"
	strings:
		$1 = { 58 00 82 8C E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 1C 00 BF AF 10 00 B0 AF 21 88 80 00 0C 00 40 10 21 90 00 00 00 00 82 8C FF FF 05 24 10 00 42 8C 09 F8 40 00 FF FF 10 24 06 00 50 10 1C 00 BF 8F ?? ?? ?? 0? 58 00 24 8E 00 00 42 28 0B 90 02 02 1C 00 BF 8F 21 10 40 02 14 00 B1 8F 18 00 B2 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_634_49_4 {
	meta:
		name = "_ZNSt15basic_streambufIcSt11char_traitsIcEE6xsgetnEPci"
		size = 240
		refs = "0070 memcpy"
	strings:
		$1 = { D0 FF BD 27 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 2C 00 BF AF 18 00 B1 AF 14 00 B0 AF 21 90 C0 00 21 A0 80 00 21 98 A0 00 19 00 C0 18 21 A8 00 00 FF FF 10 24 20 00 82 8E 21 20 60 02 00 00 42 8C 1D 00 40 10 21 28 40 00 30 00 83 8E 00 00 63 8C 23 10 62 00 2A 88 52 00 21 18 40 00 0A 18 51 02 21 88 60 00 14 00 40 18 21 30 60 00 ?? ?? ?? 0? 21 98 71 02 20 00 82 8E 21 A8 B1 02 00 00 43 8C 23 90 51 02 21 88 71 00 EA FF 40 1E 00 00 51 AC 2C 00 BF 8F 21 10 A0 02 24 00 B4 8F 28 00 B5 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 00 00 82 8E 21 20 80 02 20 00 42 8C 09 F8 40 00 FF FF 52 26 F1 FF 50 10 2C 00 BF 8F 00 00 62 A2 01 00 B5 26 D5 FF 40 1E 01 00 73 26 ?? ?? ?? 0? 2C 00 BF 8F }
	condition:
		$1
}

rule file_634_50_4 {
	meta:
		name = "_ZNSt15basic_streambufIcSt11char_traitsIcEE6xsputnEPKci"
		size = 240
		refs = "0070 memcpy"
	strings:
		$1 = { D0 FF BD 27 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 2C 00 BF AF 18 00 B1 AF 14 00 B0 AF 21 90 C0 00 21 A0 80 00 21 98 A0 00 19 00 C0 18 21 A8 00 00 FF FF 10 24 24 00 82 8E 21 28 60 02 00 00 42 8C 1D 00 40 10 21 20 40 00 34 00 83 8E 00 00 63 8C 23 10 62 00 2A 88 52 00 21 18 40 00 0A 18 51 02 21 88 60 00 14 00 40 18 21 30 60 00 ?? ?? ?? 0? 21 98 71 02 24 00 82 8E 21 A8 B1 02 00 00 43 8C 23 90 51 02 21 88 71 00 EA FF 40 1E 00 00 51 AC 2C 00 BF 8F 21 10 A0 02 24 00 B4 8F 28 00 B5 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 00 00 82 8E 00 00 65 92 21 20 80 02 10 00 42 8C FF FF 52 26 09 F8 40 00 01 00 73 26 EF FF 50 10 2C 00 BF 8F D5 FF 40 1E 01 00 B5 26 ?? ?? ?? 0? 21 10 A0 02 }
	condition:
		$1
}

rule file_634_57_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE9pbackfailEi"
		size = 308
		refs = "0118 ungetc"
	strings:
		$1 = { 20 00 82 8C E0 FF BD 27 14 00 B1 AF 00 00 43 8C 10 00 B0 AF 1C 00 BF AF 18 00 B2 AF 21 80 80 00 0C 00 60 10 21 88 A0 00 10 00 84 8C 00 00 84 8C 2B 20 83 00 08 00 80 50 58 00 05 8E FF FF 04 24 2A 00 A4 50 1C 00 BF 8F FF FF 64 90 30 00 24 12 FF FF 65 24 58 00 05 8E 1C 00 A0 10 FF FF 12 24 14 00 32 12 1C 00 BF 8F 44 00 04 8E 2A 00 80 10 00 00 00 00 48 00 04 26 15 00 64 10 1C 00 BF 8F 10 00 05 8E 48 00 11 A2 00 00 A6 8C 04 00 86 10 30 00 03 8E 3C 00 06 AE 00 00 66 8C 40 00 06 AE 01 00 86 24 00 00 A4 AC 00 00 44 AC 00 00 66 AC 1C 00 BF 8F 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F FF FF 11 24 21 10 20 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 21 88 00 00 FF FF 63 24 00 00 43 AC 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 45 AC ?? ?? ?? 0? FF 00 24 32 E4 FF 52 14 1C 00 BF 8F 20 00 02 8E ?? ?? ?? 0? 00 00 43 8C }
	condition:
		$1
}

rule file_634_59_4 {
	meta:
		name = "_Z41__static_initialization_and_destruction_1ii.clone.80"
		size = 144
		refs = "0008 _ZGVNSt4fposI9_MbstatetE4_StzE 0034 _ZGVNSt7codecvtIcc9_MbstatetE2idE 0064 _ZNSt7codecvtIcc9_MbstatetE2idE 0078 _ZNSt4fposI9_MbstatetE4_StzE"
	strings:
		$1 = { 01 00 02 24 03 00 82 10 ?? ?? 02 3C 08 00 E0 03 00 00 00 00 ?? ?? 45 8C ?? ?? 46 8C 01 00 A3 24 2B 28 65 00 21 28 A6 00 ?? ?? 43 AC 10 00 64 10 ?? ?? 45 AC ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 EC FF 62 14 00 00 00 00 EA FF 80 14 ?? ?? 02 3C 08 00 E0 03 ?? ?? 40 AC F1 FF A0 14 ?? ?? 02 3C ?? ?? 03 3C ?? ?? 62 24 ?? ?? 60 AC 04 00 40 A4 ?? ?? ?? 0? 06 00 40 A4 }
	condition:
		$1
}

rule file_634_68_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE6setbufEPci"
		size = 252
		refs = "0028 setvbuf 00bc _ZZNSt13basic_filebufIcSt11char_traitsIcEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 58 00 84 8C 14 00 BF AF 21 38 C0 00 30 00 80 10 21 18 00 00 33 00 A0 10 21 30 00 00 ?? ?? ?? 0? 00 00 00 00 2A 00 40 14 21 18 00 00 58 00 02 8E 08 00 08 26 0C 00 07 26 18 00 06 26 1C 00 05 26 28 00 04 26 2C 00 03 26 01 00 09 24 54 00 09 A2 49 00 00 A2 10 00 08 AE 14 00 07 AE 20 00 06 AE 24 00 05 AE 30 00 04 AE 34 00 03 AE 0C 00 00 AE 1C 00 00 AE 2C 00 00 AE 08 00 00 AE 18 00 00 AE 0B 00 40 10 28 00 00 AE 04 00 44 24 0C 00 43 24 10 00 45 24 14 00 42 24 10 00 04 AE 14 00 04 AE 20 00 03 AE 24 00 03 AE 30 00 05 AE 34 00 02 AE ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C 44 00 00 AE 4C 00 03 AE 50 00 02 AE 21 18 00 02 14 00 BF 8F 21 10 60 00 10 00 B0 8F 08 00 E0 03 18 00 BD 27 02 00 06 24 ?? ?? ?? 0? 0B 30 07 00 }
	condition:
		$1
}

rule file_634_76_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEED0Ev"
		size = 1184
		refs = "0010 _ZTVSt13basic_filebufIcSt11char_traitsIcEE 0068 _ZTVSt15basic_streambufIcSt11char_traitsIcEE 00a8 _ZdlPv 011c fclose 0124 _ZZNSt13basic_filebufIcSt11char_traitsIcEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit 01cc memset 01f0 _ZTVSt9bad_alloc 028c fwrite 0398 _Znwm 03ac _ZNKSt9exception6_RaiseEv 03b8 _ZNSt9exceptionD2Ev 03dc memcpy 0468 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 98 FF BD 27 54 00 B5 AF 21 A8 80 00 58 00 84 8C ?? ?? 02 3C ?? ?? 42 24 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 50 00 B4 AF 4C 00 B3 AF 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 06 00 80 10 00 00 A2 AE 10 00 A2 8E 48 00 A3 26 00 00 45 8C 9E 00 A3 50 40 00 A3 8E 54 00 A2 92 27 00 40 14 00 00 00 00 38 00 B0 8E ?? ?? 02 3C ?? ?? 42 24 0F 00 00 12 00 00 A2 AE 00 00 04 8E 0A 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 11 00 40 50 00 00 82 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 20 A0 02 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 0A 00 80 10 ?? ?? 02 3C 44 00 A2 8E 04 00 40 10 00 00 00 00 49 00 A2 92 20 00 40 54 00 00 A2 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C 08 00 A9 26 0C 00 A8 26 18 00 A7 26 1C 00 A6 26 28 00 A5 26 2C 00 A4 26 54 00 A0 A2 49 00 A0 A2 10 00 A9 AE 14 00 A8 AE 20 00 A7 AE 24 00 A6 AE 30 00 A5 AE 34 00 A4 AE 0C 00 A0 AE 1C 00 A0 AE 2C 00 A0 AE 08 00 A0 AE 18 00 A0 AE 28 00 A0 AE 58 00 A0 AE 4C 00 A3 AE 50 00 A2 AE ?? ?? ?? 0? 44 00 A0 AE 21 20 A0 02 10 00 42 8C 09 F8 40 00 FF FF 05 24 FF FF 03 24 45 00 43 10 20 00 B0 27 0F 00 02 24 21 20 00 02 21 28 00 00 08 00 06 24 34 00 A2 AF 30 00 A0 AF ?? ?? ?? 0? 20 00 A0 A3 34 00 A2 8F 10 00 42 2C 03 00 40 14 28 00 A3 27 20 00 A3 8F 08 00 63 24 08 00 02 24 ?? ?? 12 3C ?? ?? 13 3C 30 00 A2 AF 4C 00 B1 26 00 00 60 A0 ?? ?? 52 26 ?? ?? 73 26 44 00 A4 8E 34 00 A6 8F 18 00 A3 27 00 00 82 8C 10 00 A3 AF 20 00 A3 8F 30 00 A7 8F 10 00 C6 2C 1C 00 42 8C 0B 18 06 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 20 02 01 00 03 24 06 00 43 10 03 00 03 24 13 00 43 50 34 00 A2 8F 11 00 40 14 34 00 A2 8F 49 00 A0 A2 34 00 A4 8F 20 00 A2 8F 18 00 B4 8F 10 00 84 2C 0B 10 04 02 23 A0 82 02 1A 00 80 12 21 20 40 00 58 00 A7 8E 01 00 05 24 ?? ?? ?? 0? 21 30 80 02 15 00 82 52 49 00 A2 92 34 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 20 00 A4 8F 0F 00 02 24 34 00 A2 AF 30 00 A0 AF 20 00 A0 A3 ?? ?? ?? 0? 58 00 A4 8E 3C 00 A7 8E 20 00 A6 8E 30 00 A5 8E 00 00 47 AC 00 00 C3 AC ?? ?? ?? 0? 00 00 A3 AC 49 00 A2 92 EC FF 40 10 34 00 A2 8F C6 FF 80 56 44 00 A4 8E 30 00 B6 8F F7 FF C2 2E 58 00 40 10 00 00 00 00 08 00 D6 26 FF FF 02 24 5E 00 C2 12 00 00 00 00 34 00 A5 8F 2B 10 B6 00 08 00 40 14 21 18 A0 00 3D 00 C0 16 20 00 A2 8F 10 00 A5 2C 30 00 A0 AF 0B 10 05 02 ?? ?? ?? 0? 00 00 40 A0 0F 00 D7 36 FF FF 02 24 49 00 E2 12 30 00 B4 8F AA AA 02 3C AB AA 42 34 19 00 E2 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 42 00 60 10 01 00 E4 26 FE FF 03 24 23 18 62 00 2B 18 65 00 3C 00 60 10 21 B8 45 00 FF FF 04 24 FE FF 17 24 ?? ?? ?? 0? 00 00 00 00 07 00 40 14 21 F0 40 00 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B2 AF 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B2 AF 34 00 A5 8F 09 00 80 12 10 00 A5 2C 20 00 A2 8F 21 20 C0 03 0B 10 05 02 21 28 40 00 ?? ?? ?? 0? 21 30 80 02 34 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 E2 2E ?? ?? ?? 0? 20 00 A4 8F 10 00 E2 2E 21 30 00 02 0A 30 C2 03 21 10 D4 00 20 00 BE AF 34 00 B7 AF 30 00 B4 AF 7C FF C0 12 00 00 40 A0 34 00 A3 8F 20 00 A2 8F 10 00 63 2C 21 20 00 02 0A 20 43 00 30 00 A2 8F 21 28 00 00 08 00 06 24 ?? ?? ?? 0? 21 20 82 00 34 00 A3 8F 20 00 A2 8F 30 00 B6 AF 10 00 63 2C 0B 10 03 02 21 B0 56 00 ?? ?? ?? 0? 00 00 C0 A2 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 30 00 B6 8F 21 B8 C0 02 01 00 E4 26 D0 FF 80 10 21 F0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 34 00 A5 8F }
	condition:
		$1
}

rule file_634_77_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE7seekoffElNSt5_IosbIiE8_SeekdirENS4_9_OpenmodeE"
		size = 1368
		refs = "0084 fseek 0094 _ZSt4_Fpz 00a0 _ZNSt4fposI9_MbstatetE4_StzE 00b8 _ZSt7_BADOFF 0148 memset 016c _ZTVSt9bad_alloc 020c fwrite 0234 _ZdlPv 0258 fgetpos 03dc _Znwm 0424 memcpy 04e4 _ZSt14_Xlength_errorPKc 052c _ZNKSt9exception6_RaiseEv 0538 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 20 00 A2 8C 78 FF BD 27 68 00 B2 AF 00 00 42 8C 48 00 B2 24 80 00 BE AF 7C 00 B7 AF 64 00 B1 AF 60 00 B0 AF 84 00 BF AF 78 00 B6 AF 74 00 B5 AF 70 00 B4 AF 6C 00 B3 AF 21 F0 A0 00 21 B8 80 00 21 80 C0 00 C9 00 42 12 21 88 E0 00 58 00 C4 8F 11 00 80 50 ?? ?? 04 3C 44 00 C2 8F 04 00 40 10 00 00 00 00 49 00 C2 93 2A 00 40 54 00 00 C2 8F 03 00 00 16 01 00 02 24 77 00 22 12 00 00 00 00 21 28 00 02 ?? ?? ?? 0? 21 30 20 02 72 00 40 50 58 00 C4 8F ?? ?? 04 3C ?? ?? 03 3C ?? ?? 82 24 ?? ?? 68 24 ?? ?? 87 8C 04 00 46 8C 08 00 45 8C 0C 00 44 8C 04 00 02 8D ?? ?? 08 3C ?? ?? 63 8C ?? ?? 08 8D 84 00 BF 8F 1C 00 E2 AE 00 00 E8 AE 21 10 E0 02 08 00 E7 AE 0C 00 E6 AE 10 00 E5 AE 14 00 E4 AE 18 00 E3 AE 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 21 20 C0 03 10 00 42 8C 09 F8 40 00 FF FF 05 24 FF FF 03 24 DA FF 43 10 30 00 B3 27 0F 00 02 24 21 20 60 02 21 28 00 00 08 00 06 24 44 00 A2 AF 40 00 A0 AF ?? ?? ?? 0? 30 00 A0 A3 44 00 A2 8F 10 00 42 2C 03 00 40 14 38 00 A3 27 30 00 A3 8F 08 00 63 24 08 00 02 24 ?? ?? 16 3C ?? ?? 15 3C 40 00 A2 AF 4C 00 D4 27 00 00 60 A0 ?? ?? D6 26 ?? ?? B5 26 44 00 C4 8F 44 00 A6 8F 18 00 A3 27 00 00 82 8C 10 00 A3 AF 30 00 A3 8F 40 00 A7 8F 10 00 C6 2C 1C 00 42 8C 0B 18 66 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 80 02 01 00 03 24 06 00 43 10 03 00 03 24 15 00 43 50 01 00 13 24 13 00 40 54 21 98 00 00 49 00 C0 A3 44 00 A4 8F 30 00 A2 8F 18 00 A3 8F 10 00 84 2C 0B 10 64 02 23 18 62 00 44 00 60 10 21 20 40 00 58 00 C7 8F 21 30 60 00 01 00 05 24 ?? ?? ?? 0? 5C 00 A3 AF 5C 00 A3 8F 3D 00 62 50 49 00 C2 93 21 98 00 00 44 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 30 00 A4 8F 0F 00 02 24 44 00 A2 AF 40 00 A0 AF 92 FF 60 12 30 00 A0 A3 ?? ?? ?? 0? 58 00 C4 8F ?? ?? ?? 0? 20 00 A5 27 8D FF 40 14 ?? ?? 04 3C 10 00 C3 8F 00 00 62 8C 09 00 42 56 52 00 C2 97 40 00 C2 8F 3C 00 C6 8F 20 00 C5 8F 30 00 C4 8F 00 00 66 AC 00 00 A2 AC 00 00 82 AC 52 00 C2 97 4C 00 C4 8F 50 00 C3 97 2C 00 A6 97 2E 00 A5 97 20 00 A8 8F 24 00 A9 8F 28 00 A7 8F 84 00 BF 8F 1E 00 E2 A6 00 00 E0 AE 21 10 E0 02 08 00 E8 AE 0C 00 E9 AE 10 00 E7 AE 14 00 E6 A6 16 00 E5 A6 18 00 E4 AE 1C 00 E3 A6 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 49 00 C2 93 C4 FF 40 50 01 00 13 24 9C FF 60 54 44 00 C4 8F 40 00 A3 8F F7 FF 62 2C 6E 00 40 10 00 00 00 00 08 00 63 24 FF FF 02 24 74 00 62 10 21 20 A0 02 44 00 A5 8F 2B 10 A3 00 0F 00 40 14 0F 00 67 34 51 00 60 14 30 00 A2 8F 10 00 A5 2C 40 00 A0 AF 0B 10 65 02 ?? ?? ?? 0? 00 00 40 A0 01 00 02 24 37 FF E2 54 58 00 C4 8F 44 00 A2 8C 01 00 42 2C ?? ?? ?? 0? 23 80 C2 00 FF FF 02 24 59 00 E2 10 40 00 A9 8F AA AA 02 3C AB AA 42 34 19 00 E2 00 42 10 05 00 10 58 00 00 42 20 0B 00 2B 20 82 00 52 00 80 10 01 00 E4 24 FE FF 04 24 23 20 82 00 2B 20 85 00 4C 00 80 10 21 38 45 00 FF FF 04 24 FE FF 07 24 5C 00 A3 AF 54 00 A7 AF ?? ?? ?? 0? 58 00 A9 AF 5C 00 A3 8F 54 00 A7 8F 4B 00 40 10 58 00 A9 8F 44 00 A5 8F 21 40 40 00 11 00 20 11 10 00 A5 2C 30 00 A2 8F 21 20 00 01 0B 10 65 02 21 28 40 00 21 30 20 01 5C 00 A3 AF 54 00 A7 AF 50 00 A8 AF ?? ?? ?? 0? 58 00 A9 AF 44 00 A5 8F 58 00 A9 8F 50 00 A8 8F 54 00 A7 8F 5C 00 A3 8F 10 00 A5 2C 0C 00 A0 14 10 00 E2 2C 30 00 A4 8F 5C 00 A3 AF 54 00 A7 AF 50 00 A8 AF ?? ?? ?? 0? 58 00 A9 AF 58 00 A9 8F 50 00 A8 8F 54 00 A7 8F 5C 00 A3 8F 10 00 E2 2C 30 00 A8 AF 0B 40 62 02 21 40 09 01 44 00 A7 AF 40 00 A9 AF 3E FF 60 10 00 00 00 A1 44 00 A5 8F 30 00 A2 8F 10 00 A5 2C 21 20 60 02 0A 20 45 00 40 00 A2 8F 21 28 00 00 08 00 06 24 21 20 82 00 ?? ?? ?? 0? 5C 00 A3 AF 44 00 A4 8F 30 00 A2 8F 5C 00 A3 8F 10 00 84 2C 0B 10 64 02 40 00 A3 AF 21 18 43 00 ?? ?? ?? 0? 00 00 60 A0 ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? 40 00 A3 8F 21 38 60 00 01 00 E4 24 BF FF 80 10 21 40 00 00 ?? ?? ?? 0? 5C 00 A3 AF ?? ?? ?? 0? 5C 00 A3 AF ?? ?? ?? 0? 5C 00 A3 8F 1C 00 A4 27 5C 00 A3 AF 54 00 A7 AF 58 00 A9 AF ?? ?? ?? 0? 1C 00 B6 AF 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B6 AF 44 00 A5 8F 21 40 00 00 58 00 A9 8F 54 00 A7 8F ?? ?? ?? 0? 5C 00 A3 8F }
	condition:
		$1
}

rule file_634_78_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE7seekposESt4fposI9_MbstatetENSt5_IosbIiE9_OpenmodeE"
		size = 1304
		refs = "0084 fsetpos 0268 _ZSt4_Fpz 00a0 _ZNSt4fposI9_MbstatetE4_StzE 00b8 _ZSt7_BADOFF 0148 memset 016c _ZTVSt9bad_alloc 0208 fwrite 022c _ZdlPv 025c fseek 0270 fgetpos 03dc _Znwm 0414 memcpy 04b4 _ZSt14_Xlength_errorPKc 04f4 _ZNKSt9exception6_RaiseEv 0500 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 80 FF BD 27 90 00 A3 8F 58 00 A2 8C 70 00 B6 AF 20 00 A3 AF 94 00 A3 8F 6C 00 B5 AF 58 00 B0 AF 24 00 A3 AF 98 00 A3 8F 7C 00 BF AF 78 00 BE AF 28 00 A3 AF 9C 00 A3 8F 74 00 B7 AF 68 00 B4 AF 64 00 B3 AF 60 00 B2 AF 5C 00 B1 AF 21 B0 A0 00 21 A8 80 00 88 00 A6 AF 8C 00 A7 AF 2C 00 A3 AF 0C 00 40 10 21 80 C0 00 44 00 A3 8C 05 00 60 10 21 20 40 00 49 00 A3 90 26 00 60 54 00 00 A2 8C 21 20 40 00 ?? ?? ?? 0? 20 00 A5 27 70 00 40 10 00 00 00 00 ?? ?? 04 3C ?? ?? 03 3C ?? ?? 82 24 ?? ?? 68 24 ?? ?? 87 8C 04 00 46 8C 08 00 45 8C 0C 00 44 8C 04 00 02 8D ?? ?? 08 3C ?? ?? 63 8C ?? ?? 08 8D 7C 00 BF 8F 1C 00 A2 AE 00 00 A8 AE 21 10 A0 02 08 00 A7 AE 0C 00 A6 AE 10 00 A5 AE 14 00 A4 AE 18 00 A3 AE 78 00 BE 8F 74 00 B7 8F 70 00 B6 8F 6C 00 B5 8F 68 00 B4 8F 64 00 B3 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 80 00 BD 27 21 20 A0 00 10 00 42 8C 09 F8 40 00 FF FF 05 24 FF FF 03 24 DA FF 43 10 30 00 B1 27 0F 00 02 24 21 20 20 02 21 28 00 00 08 00 06 24 44 00 A2 AF 40 00 A0 AF ?? ?? ?? 0? 30 00 A0 A3 44 00 A2 8F 10 00 42 2C 03 00 40 14 38 00 A3 27 30 00 A3 8F 08 00 63 24 08 00 02 24 ?? ?? 14 3C ?? ?? 13 3C 40 00 A2 AF 4C 00 D2 26 00 00 60 A0 ?? ?? 94 26 ?? ?? 73 26 44 00 C4 8E 44 00 A6 8F 18 00 A3 27 00 00 82 8C 10 00 A3 AF 30 00 A3 8F 40 00 A7 8F 10 00 C6 2C 1C 00 42 8C 0B 18 26 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 40 02 01 00 03 24 06 00 43 10 03 00 03 24 13 00 43 50 01 00 11 24 11 00 40 54 21 88 00 00 49 00 C0 A2 44 00 A4 8F 30 00 A2 8F 18 00 B7 8F 10 00 84 2C 0B 10 24 02 23 B8 E2 02 4D 00 E0 12 21 20 40 00 58 00 C7 8E 01 00 05 24 ?? ?? ?? 0? 21 30 E0 02 48 00 E2 52 49 00 C2 92 21 88 00 00 44 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 30 00 A4 8F 0F 00 02 24 44 00 A2 AF 40 00 A0 AF 94 FF 20 12 30 00 A0 A3 ?? ?? ?? 0? 58 00 C2 8E 07 00 00 12 58 00 C4 8E 21 28 00 02 ?? ?? ?? 0? 01 00 06 24 8C FF 40 14 ?? ?? 04 3C 58 00 C4 8E ?? ?? ?? 0? 20 00 A5 27 87 FF 40 14 ?? ?? 04 3C 10 00 C9 8E A0 00 A6 8F A4 00 A7 97 00 00 23 8D A6 00 A8 97 48 00 C2 26 4C 00 C6 AE 50 00 C7 A6 08 00 62 14 52 00 C8 A6 40 00 C2 8E 3C 00 C5 8E 20 00 C4 8E 30 00 C3 8E 00 00 25 AD 00 00 82 AC 00 00 62 AC 20 00 A4 8F 2E 00 A2 97 2C 00 A3 97 24 00 A5 8F 08 00 A4 AE 7C 00 BF 8F 28 00 A4 8F 16 00 A2 A6 00 00 A0 AE 21 10 A0 02 0C 00 A5 AE 10 00 A4 AE 14 00 A3 A6 18 00 A6 AE 1C 00 A7 A6 1E 00 A8 A6 78 00 BE 8F 74 00 B7 8F 70 00 B6 8F 6C 00 B5 8F 68 00 B4 8F 64 00 B3 8F 60 00 B2 8F 5C 00 B1 8F 58 00 B0 8F 08 00 E0 03 80 00 BD 27 49 00 C2 92 B9 FF 40 50 01 00 11 24 93 FF E0 56 44 00 C4 8E 40 00 B7 8F F7 FF E2 2E 59 00 40 10 00 00 00 00 08 00 F7 26 FF FF 02 24 5F 00 E2 12 00 00 00 00 44 00 A5 8F 2B 10 B7 00 08 00 40 14 0F 00 FE 36 3E 00 E0 16 30 00 A2 8F 10 00 A5 2C 40 00 A0 AF 0B 10 25 02 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 4B 00 C2 13 40 00 A7 8F AA AA 02 3C AB AA 42 34 19 00 C2 03 42 10 05 00 10 48 00 00 42 18 09 00 2B 18 62 00 44 00 60 10 01 00 C4 27 FE FF 03 24 23 18 62 00 2B 18 65 00 3E 00 60 10 21 F0 45 00 FF FF 04 24 FE FF 1E 24 ?? ?? ?? 0? 54 00 A7 AF 41 00 40 10 54 00 A7 8F 44 00 A5 8F 21 18 40 00 0D 00 E0 10 10 00 A5 2C 30 00 A2 8F 21 20 60 00 0B 10 25 02 21 28 40 00 21 30 E0 00 50 00 A3 AF ?? ?? ?? 0? 54 00 A7 AF 44 00 A5 8F 54 00 A7 8F 50 00 A3 8F 10 00 A5 2C 08 00 A0 14 10 00 C2 2F 30 00 A4 8F 50 00 A3 AF ?? ?? ?? 0? 54 00 A7 AF 54 00 A7 8F 50 00 A3 8F 10 00 C2 2F 30 00 A3 AF 0B 18 22 02 21 18 67 00 44 00 BE AF 40 00 A7 AF 48 FF E0 12 00 00 60 A0 44 00 A5 8F 30 00 A2 8F 10 00 A5 2C 21 20 20 02 0A 20 45 00 40 00 A2 8F 21 28 00 00 08 00 06 24 ?? ?? ?? 0? 21 20 82 00 44 00 A3 8F 30 00 A2 8F 40 00 B7 AF 10 00 63 2C 0B 10 23 02 21 B8 57 00 ?? ?? ?? 0? 00 00 E0 A2 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 40 00 B7 8F 21 F0 E0 02 01 00 C4 27 C9 FF 80 10 21 18 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 44 00 A5 8F 1C 00 A4 27 54 00 A7 AF ?? ?? ?? 0? 1C 00 B4 AF 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B4 AF 44 00 A5 8F 21 18 00 00 ?? ?? ?? 0? 54 00 A7 8F }
	condition:
		$1
}

rule file_634_79_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEED1Ev"
		size = 1176
		refs = "0010 _ZTVSt13basic_filebufIcSt11char_traitsIcEE 0068 _ZTVSt15basic_streambufIcSt11char_traitsIcEE 00a8 _ZdlPv 0114 fclose 011c _ZZNSt13basic_filebufIcSt11char_traitsIcEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit 01c4 memset 01e8 _ZTVSt9bad_alloc 0284 fwrite 0390 _Znwm 03a4 _ZNKSt9exception6_RaiseEv 03b0 _ZNSt9exceptionD2Ev 03d4 memcpy 0460 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { 98 FF BD 27 54 00 B5 AF 21 A8 80 00 58 00 84 8C ?? ?? 02 3C ?? ?? 42 24 64 00 BF AF 60 00 BE AF 5C 00 B7 AF 58 00 B6 AF 50 00 B4 AF 4C 00 B3 AF 48 00 B2 AF 44 00 B1 AF 40 00 B0 AF 06 00 80 10 00 00 A2 AE 10 00 A2 8E 48 00 A3 26 00 00 45 8C 9C 00 A3 50 40 00 A3 8E 54 00 A2 92 25 00 40 14 00 00 00 00 38 00 B0 8E ?? ?? 02 3C ?? ?? 42 24 0F 00 00 12 00 00 A2 AE 00 00 04 8E 0A 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 0F 00 40 50 00 00 82 8C ?? ?? ?? 0? 21 20 00 02 64 00 BF 8F 60 00 BE 8F 5C 00 B7 8F 58 00 B6 8F 54 00 B5 8F 50 00 B4 8F 4C 00 B3 8F 48 00 B2 8F 44 00 B1 8F 40 00 B0 8F 08 00 E0 03 68 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 0A 00 80 10 ?? ?? 02 3C 44 00 A2 8E 04 00 40 10 00 00 00 00 49 00 A2 92 20 00 40 54 00 00 A2 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C 08 00 A9 26 0C 00 A8 26 18 00 A7 26 1C 00 A6 26 28 00 A5 26 2C 00 A4 26 54 00 A0 A2 49 00 A0 A2 10 00 A9 AE 14 00 A8 AE 20 00 A7 AE 24 00 A6 AE 30 00 A5 AE 34 00 A4 AE 0C 00 A0 AE 1C 00 A0 AE 2C 00 A0 AE 08 00 A0 AE 18 00 A0 AE 28 00 A0 AE 58 00 A0 AE 4C 00 A3 AE 50 00 A2 AE ?? ?? ?? 0? 44 00 A0 AE 21 20 A0 02 10 00 42 8C 09 F8 40 00 FF FF 05 24 FF FF 03 24 45 00 43 10 20 00 B0 27 0F 00 02 24 21 20 00 02 21 28 00 00 08 00 06 24 34 00 A2 AF 30 00 A0 AF ?? ?? ?? 0? 20 00 A0 A3 34 00 A2 8F 10 00 42 2C 03 00 40 14 28 00 A3 27 20 00 A3 8F 08 00 63 24 08 00 02 24 ?? ?? 12 3C ?? ?? 13 3C 30 00 A2 AF 4C 00 B1 26 00 00 60 A0 ?? ?? 52 26 ?? ?? 73 26 44 00 A4 8E 34 00 A6 8F 18 00 A3 27 00 00 82 8C 10 00 A3 AF 20 00 A3 8F 30 00 A7 8F 10 00 C6 2C 1C 00 42 8C 0B 18 06 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 20 02 01 00 03 24 06 00 43 10 03 00 03 24 13 00 43 50 34 00 A2 8F 11 00 40 14 34 00 A2 8F 49 00 A0 A2 34 00 A4 8F 20 00 A2 8F 18 00 B4 8F 10 00 84 2C 0B 10 04 02 23 A0 82 02 1A 00 80 12 21 20 40 00 58 00 A7 8E 01 00 05 24 ?? ?? ?? 0? 21 30 80 02 15 00 82 52 49 00 A2 92 34 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 20 00 A4 8F 0F 00 02 24 34 00 A2 AF 30 00 A0 AF 20 00 A0 A3 ?? ?? ?? 0? 58 00 A4 8E 3C 00 A7 8E 20 00 A6 8E 30 00 A5 8E 00 00 47 AC 00 00 C3 AC ?? ?? ?? 0? 00 00 A3 AC 49 00 A2 92 EC FF 40 10 34 00 A2 8F C6 FF 80 56 44 00 A4 8E 30 00 B6 8F F7 FF C2 2E 58 00 40 10 00 00 00 00 08 00 D6 26 FF FF 02 24 5E 00 C2 12 00 00 00 00 34 00 A5 8F 2B 10 B6 00 08 00 40 14 21 18 A0 00 3D 00 C0 16 20 00 A2 8F 10 00 A5 2C 30 00 A0 AF 0B 10 05 02 ?? ?? ?? 0? 00 00 40 A0 0F 00 D7 36 FF FF 02 24 49 00 E2 12 30 00 B4 8F AA AA 02 3C AB AA 42 34 19 00 E2 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 42 00 60 10 01 00 E4 26 FE FF 03 24 23 18 62 00 2B 18 65 00 3C 00 60 10 21 B8 45 00 FF FF 04 24 FE FF 17 24 ?? ?? ?? 0? 00 00 00 00 07 00 40 14 21 F0 40 00 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B2 AF 1C 00 A4 27 ?? ?? ?? 0? 1C 00 B2 AF 34 00 A5 8F 09 00 80 12 10 00 A5 2C 20 00 A2 8F 21 20 C0 03 0B 10 05 02 21 28 40 00 ?? ?? ?? 0? 21 30 80 02 34 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 E2 2E ?? ?? ?? 0? 20 00 A4 8F 10 00 E2 2E 21 30 00 02 0A 30 C2 03 21 10 D4 00 20 00 BE AF 34 00 B7 AF 30 00 B4 AF 7C FF C0 12 00 00 40 A0 34 00 A3 8F 20 00 A2 8F 10 00 63 2C 21 20 00 02 0A 20 43 00 30 00 A2 8F 21 28 00 00 08 00 06 24 ?? ?? ?? 0? 21 20 82 00 34 00 A3 8F 20 00 A2 8F 30 00 B6 AF 10 00 63 2C 0B 10 03 02 21 B0 56 00 ?? ?? ?? 0? 00 00 C0 A2 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 30 00 B6 8F 21 B8 C0 02 01 00 E4 26 D0 FF 80 10 21 F0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 34 00 A5 8F }
	condition:
		$1
}

rule file_634_82_4 {
	meta:
		name = "_ZNSt8ios_base4InitD2Ev"
		size = 7080
		refs = "0000 _ZNSt8ios_base4Init9_Init_cntE 0068 _ZSt4cout 008c _ZSt4cerr 00b0 _ZSt4clog 0130 _ZSt17iostream_categoryv 0138 _ZTVSt13runtime_error 0158 strlen 0214 memmove 024c _ZTVNSt8ios_base7failureE 025c _ZNKSt9exception6_RaiseEv 0274 _ZdlPv 028c _ZNSt9exceptionD2Ev 07ac _ZNSsC1EPKc 1038 _ZSt14_Xout_of_rangePKc 119c _Znwm 11d0 memcpy 1544 _ZTVSt9bad_alloc 1a44 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { ?? ?? 03 3C ?? ?? 62 8C 38 FE BD 27 C4 01 BF AF FF FF 42 24 C0 01 B7 AF BC 01 B6 AF B8 01 B5 AF B4 01 B4 AF B0 01 B3 AF AC 01 B2 AF A8 01 B1 AF A4 01 B0 AF 0C 00 40 10 ?? ?? 62 AC C4 01 BF 8F C0 01 B7 8F BC 01 B6 8F B8 01 B5 8F B4 01 B4 8F B0 01 B3 8F AC 01 B2 8F A8 01 B1 8F A4 01 B0 8F 08 00 E0 03 C8 01 BD 27 ?? ?? 10 3C ?? ?? 02 8E ?? ?? 11 26 F4 FF 42 8C 21 10 22 02 08 00 43 8C 06 00 63 30 F6 00 60 50 28 00 44 8C ?? ?? 10 3C ?? ?? 02 8E ?? ?? 11 26 F4 FF 42 8C 21 10 22 02 08 00 43 8C 06 00 63 30 7C 00 60 50 28 00 44 8C ?? ?? 10 3C ?? ?? 02 8E ?? ?? 11 26 F4 FF 42 8C 21 10 22 02 08 00 43 8C 06 00 63 30 DC FF 60 14 C4 01 BF 8F 28 00 44 8C 00 00 82 8C 38 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 D4 FF 43 14 C4 01 BF 8F ?? ?? 02 8E F4 FF 42 8C 21 88 22 02 08 00 22 8E 0C 00 23 8E 04 00 42 34 17 00 42 30 24 18 43 00 C9 FF 60 10 08 00 22 AE 04 00 62 30 40 01 40 14 02 00 63 30 41 02 60 14 00 00 00 00 ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 1C 01 B0 AF 34 01 A2 AF 30 01 A0 AF ?? ?? ?? 0? 20 01 A0 A3 34 01 A5 8F 20 01 A4 8F 20 01 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 1C 02 60 14 21 40 A0 00 30 01 A6 8F 20 01 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 16 02 60 50 FF FF 02 24 20 01 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 AC 03 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 9D 03 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 2F 03 82 12 34 01 A2 8F 2D 03 80 16 1C 01 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 34 01 A3 8F 20 01 A2 8F 20 01 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 30 01 A3 8F 34 01 A4 8F 20 01 A2 27 23 98 73 00 20 01 A3 8F 10 00 84 2C 30 01 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 3C 01 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 1C 01 A2 AF ?? ?? ?? 0? 40 01 B2 AF 34 01 A2 8F 10 00 42 2C 03 00 40 14 1C 01 B0 AF ?? ?? ?? 0? 20 01 A4 8F 0F 00 02 24 21 20 20 02 34 01 A2 AF 30 01 A0 AF ?? ?? ?? 0? 20 01 A0 A3 ?? ?? ?? 0? C4 01 BF 8F 00 00 82 8C 38 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 80 FF 43 54 ?? ?? 10 3C ?? ?? 02 8E F4 FF 42 8C 21 88 22 02 08 00 22 8E 0C 00 23 8E 04 00 42 34 17 00 42 30 24 18 43 00 75 FF 60 10 08 00 22 AE 04 00 62 30 2A 01 40 14 02 00 63 30 2B 02 60 14 00 00 00 00 ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 A4 00 B0 AF BC 00 A2 AF B8 00 A0 AF ?? ?? ?? 0? A8 00 A0 A3 BC 00 A5 8F A8 00 A4 8F A8 00 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 9C 01 60 14 21 40 A0 00 B8 00 A6 8F A8 00 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 96 01 60 50 FF FF 02 24 A8 00 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 37 03 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 38 03 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 96 02 82 12 BC 00 A2 8F 94 02 80 16 A4 00 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 BC 00 A3 8F A8 00 A2 8F A8 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 B8 00 A3 8F BC 00 A4 8F A8 00 A2 27 23 98 73 00 A8 00 A3 8F 10 00 84 2C B8 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 C4 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 A4 00 A2 AF ?? ?? ?? 0? C8 00 B2 AF BC 00 A2 8F 10 00 42 2C 03 00 40 14 A4 00 B0 AF ?? ?? ?? 0? A8 00 A4 8F 0F 00 02 24 21 20 20 02 BC 00 A2 AF B8 00 A0 AF ?? ?? ?? 0? A8 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C 00 00 82 8C 38 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 06 FF 43 54 ?? ?? 10 3C ?? ?? 02 8E F4 FF 42 8C 21 88 22 02 08 00 22 8E 0C 00 23 8E 04 00 42 34 17 00 42 30 24 18 43 00 FB FE 60 10 08 00 22 AE 04 00 62 30 D9 00 40 14 02 00 63 30 DA 01 60 14 00 00 00 00 ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 2C 00 B0 AF 44 00 A2 AF 40 00 A0 AF ?? ?? ?? 0? 30 00 A0 A3 44 00 A5 8F 30 00 A4 8F 30 00 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 1C 01 60 14 21 40 A0 00 40 00 A6 8F 30 00 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 16 01 60 50 FF FF 02 24 30 00 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 D2 02 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 B7 02 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 39 02 82 12 44 00 A2 8F 37 02 80 16 2C 00 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 44 00 A3 8F 30 00 A2 8F 30 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 40 00 A3 8F 44 00 A4 8F 30 00 A2 27 23 98 73 00 30 00 A3 8F 10 00 84 2C 40 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 4C 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 2C 00 A2 AF ?? ?? ?? 0? 50 00 B2 AF 44 00 A2 8F 10 00 42 2C 03 00 40 14 2C 00 B0 AF ?? ?? ?? 0? 30 00 A4 8F 0F 00 02 24 21 20 20 02 44 00 A2 AF 40 00 A0 AF ?? ?? ?? 0? 30 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 6C 01 B0 AF 84 01 A2 AF 80 01 A0 AF ?? ?? ?? 0? 70 01 A0 A3 84 01 A5 8F 70 01 A4 8F 21 A0 40 00 10 00 A6 2C 70 01 A2 27 0A 10 86 00 ?? ?? 63 26 2B 10 62 00 2D 02 40 14 21 40 A0 00 80 01 A2 8F 70 01 A7 27 0A 38 86 00 21 38 E2 00 2B 38 67 00 27 02 E0 50 FF FF 02 24 70 01 A5 27 0A 28 86 00 23 98 65 00 2B 18 53 00 36 04 60 14 ?? ?? 04 3C 23 18 53 00 2B A8 83 02 0B 18 95 02 21 A8 73 00 2B 18 55 00 2B 04 60 14 ?? ?? 04 3C 23 30 55 00 FF FF 14 24 72 02 D4 50 84 01 A2 8F 6E 02 C0 14 6C 01 B1 27 2B 18 62 02 0A 98 43 00 12 00 60 12 84 01 A5 8F 70 01 A3 8F 70 01 A4 27 10 00 A5 2C 0A 20 65 00 21 28 93 00 ?? ?? ?? 0? 23 30 53 00 80 01 A3 8F 84 01 A4 8F 70 01 A2 27 23 98 73 00 70 01 A3 8F 10 00 84 2C 80 01 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 8C 01 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 6C 01 A2 AF ?? ?? ?? 0? 90 01 B2 AF 84 01 A2 8F 10 00 42 2C 03 00 40 14 6C 01 B0 AF ?? ?? ?? 0? 70 01 A4 8F 0F 00 02 24 21 20 20 02 84 01 A2 AF 80 01 A0 AF ?? ?? ?? 0? 70 01 A0 A3 ?? ?? ?? 0? C4 01 BF 8F ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 3C ?? ?? 10 26 F8 00 A4 27 ?? ?? A5 24 98 01 A2 AF ?? ?? ?? 0? F4 00 B0 AF 98 01 A2 8F 01 00 03 24 F4 00 A4 27 18 01 A2 AF ?? ?? 02 3C ?? ?? 42 24 F4 00 A2 AF ?? ?? ?? 0? 14 01 A3 AF 0C 01 A2 8F 10 00 42 2C 03 00 40 14 F4 00 B0 AF ?? ?? ?? 0? F8 00 A4 8F 0F 00 02 24 F4 00 A4 27 0C 01 A2 AF 08 01 A0 AF ?? ?? ?? 0? F8 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 7C 00 B0 AF 94 00 A2 AF 90 00 A0 AF ?? ?? ?? 0? 80 00 A0 A3 94 00 A5 8F 80 00 A4 8F 21 A0 40 00 10 00 A6 2C 80 00 A2 27 0A 10 86 00 ?? ?? 63 26 2B 10 62 00 A3 01 40 14 21 40 A0 00 90 00 A2 8F 80 00 A7 27 0A 38 86 00 21 38 E2 00 2B 38 67 00 9D 01 E0 50 FF FF 02 24 80 00 A5 27 0A 28 86 00 23 98 65 00 2B 18 53 00 BF 03 60 14 ?? ?? 04 3C 23 18 53 00 2B A8 83 02 0B 18 95 02 21 A8 73 00 2B 18 55 00 AC 03 60 14 ?? ?? 04 3C 23 30 55 00 FF FF 14 24 0E 02 D4 50 94 00 A2 8F 0A 02 C0 14 7C 00 B1 27 2B 18 62 02 0A 98 43 00 12 00 60 12 94 00 A5 8F 80 00 A3 8F 80 00 A4 27 10 00 A5 2C 0A 20 65 00 21 28 93 00 ?? ?? ?? 0? 23 30 53 00 90 00 A3 8F 94 00 A4 8F 80 00 A2 27 23 98 73 00 80 00 A3 8F 10 00 84 2C 90 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 9C 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 7C 00 A2 AF ?? ?? ?? 0? A0 00 B2 AF 94 00 A2 8F 10 00 42 2C 03 00 40 14 7C 00 B0 AF ?? ?? ?? 0? 80 00 A4 8F 0F 00 02 24 21 20 20 02 94 00 A2 AF 90 00 A0 AF ?? ?? ?? 0? 80 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C FF FF 02 24 35 04 82 12 ?? ?? 04 3C 2B 10 B4 00 F0 01 40 14 0F 00 95 36 21 02 80 16 30 00 A3 8F 10 00 A5 2C 30 00 A2 27 0A 10 65 00 40 00 A0 AF 2C 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 21 04 82 12 ?? ?? 04 3C 2B 10 B4 00 6B 02 40 14 0F 00 95 36 9C 02 80 16 A8 00 A3 8F 10 00 A5 2C A8 00 A2 27 0A 10 65 00 B8 00 A0 AF A4 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 1C 04 82 12 ?? ?? 04 3C 2B 10 B4 00 17 02 40 14 0F 00 95 36 48 02 80 16 20 01 A3 8F 10 00 A5 2C 20 01 A2 27 0A 10 65 00 30 01 A0 AF 1C 01 B1 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 44 01 B0 AF 5C 01 A2 AF 58 01 A0 AF ?? ?? ?? 0? 48 01 A0 A3 5C 01 A5 8F 48 01 A4 8F 48 01 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 D0 00 60 14 21 40 A0 00 58 01 A6 8F 48 01 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 CA 00 60 50 FF FF 02 24 48 01 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 85 02 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 76 02 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 35 01 82 12 5C 01 A2 8F 33 01 80 16 44 01 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 5C 01 A3 8F 48 01 A2 8F 48 01 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 58 01 A3 8F 5C 01 A4 8F 48 01 A2 27 23 98 73 00 48 01 A3 8F 10 00 84 2C 58 01 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 64 01 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 44 01 A2 AF ?? ?? ?? 0? 68 01 B2 AF 5C 01 A2 8F 10 00 42 2C 03 00 40 14 44 01 B0 AF ?? ?? ?? 0? 48 01 A4 8F 0F 00 02 24 21 20 20 02 5C 01 A2 AF 58 01 A0 AF ?? ?? ?? 0? 48 01 A0 A3 ?? ?? ?? 0? C4 01 BF 8F ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 05 3C ?? ?? 10 26 D0 00 A4 27 ?? ?? A5 24 98 01 A2 AF ?? ?? ?? 0? CC 00 B0 AF 98 01 A2 8F 01 00 03 24 CC 00 A4 27 F0 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 CC 00 A2 AF ?? ?? ?? 0? EC 00 A3 AF E4 00 A2 8F 10 00 42 2C 03 00 40 14 CC 00 B0 AF ?? ?? ?? 0? D0 00 A4 8F 0F 00 02 24 CC 00 A4 27 E4 00 A2 AF E0 00 A0 AF ?? ?? ?? 0? D0 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 13 3C ?? ?? 10 3C ?? ?? 64 26 21 90 40 00 ?? ?? 10 26 0F 00 02 24 54 00 B0 AF 6C 00 A2 AF 68 00 A0 AF ?? ?? ?? 0? 58 00 A0 A3 6C 00 A5 8F 58 00 A4 8F 58 00 A3 27 10 00 A7 2C 21 A0 40 00 0A 18 87 00 ?? ?? 62 26 2B 18 43 00 46 00 60 14 21 40 A0 00 68 00 A6 8F 58 00 A3 27 0A 18 87 00 21 18 66 00 2B 18 43 00 40 00 60 50 FF FF 02 24 58 00 A3 27 0A 18 87 00 23 98 43 00 2B 10 D3 00 0E 02 40 14 ?? ?? 04 3C 23 10 D3 00 2B A8 82 02 0B 10 95 02 21 A8 53 00 2B 10 D5 00 FF 01 40 14 ?? ?? 04 3C 23 A0 D5 00 FF FF 02 24 A6 00 82 12 6C 00 A2 8F A4 00 80 16 54 00 B1 27 2B 10 66 02 0A 98 C2 00 12 00 60 12 6C 00 A3 8F 58 00 A2 8F 58 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 93 00 ?? ?? ?? 0? 23 30 D3 00 68 00 A3 8F 6C 00 A4 8F 58 00 A2 27 23 98 73 00 58 00 A3 8F 10 00 84 2C 68 00 B3 AF 0A 10 64 00 21 10 53 00 00 00 40 A0 01 00 02 24 74 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 21 20 20 02 54 00 A2 AF ?? ?? ?? 0? 78 00 B2 AF 6C 00 A2 8F 10 00 42 2C 03 00 40 14 54 00 B0 AF ?? ?? ?? 0? 58 00 A4 8F 0F 00 02 24 21 20 20 02 6C 00 A2 AF 68 00 A0 AF ?? ?? ?? 0? 58 00 A0 A3 ?? ?? ?? 0? ?? ?? 10 3C FF FF 02 24 4D 03 82 12 ?? ?? 04 3C 2B 10 B4 00 D4 01 40 14 0F 00 95 36 0B 02 80 16 58 00 A3 8F 10 00 A5 2C 58 00 A2 27 0A 10 65 00 68 00 A0 AF 54 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 39 03 82 12 ?? ?? 04 3C 2B 10 B4 00 10 02 40 14 0F 00 95 36 47 02 80 16 48 01 A3 8F 10 00 A5 2C 48 01 A2 27 0A 10 65 00 58 01 A0 AF 44 01 B1 27 ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 80 00 40 14 A4 00 B1 27 A8 00 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 BC 00 A4 8F B8 00 A6 8F A8 00 A3 8F 10 00 84 2C A8 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 B8 00 A6 AF ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 70 00 40 14 2C 00 B1 27 30 00 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 44 00 A4 8F 40 00 A6 8F 30 00 A3 8F 10 00 84 2C 30 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 40 00 A6 AF ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 60 00 40 14 1C 01 B1 27 20 01 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 34 01 A4 8F 30 01 A6 8F 20 01 A3 8F 10 00 84 2C 20 01 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 30 01 A6 AF ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 FE 02 82 12 ?? ?? 04 3C 2B 10 B4 00 28 02 40 14 0F 00 95 36 5F 02 80 16 80 00 A3 8F 10 00 A5 2C 80 00 A2 27 0A 10 65 00 90 00 A0 AF 7C 00 B1 27 ?? ?? ?? 0? 00 00 40 A0 FF FF 02 24 FA 02 82 12 ?? ?? 04 3C 2B 10 B4 00 64 02 40 14 0F 00 95 36 9B 02 80 16 70 01 A3 8F 10 00 A5 2C 70 01 A2 27 0A 10 65 00 80 01 A0 AF 6C 01 B1 27 ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 47 01 40 14 54 00 B1 27 58 00 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 6C 00 A4 8F 68 00 A6 8F 58 00 A3 8F 10 00 84 2C 58 00 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 68 00 A6 AF ?? ?? ?? 0? 00 00 40 A0 10 00 42 2C 37 01 40 14 44 01 B1 27 48 01 A2 8F 21 20 55 00 21 28 95 02 21 30 00 00 ?? ?? ?? 0? 21 28 45 00 5C 01 A4 8F 58 01 A6 8F 48 01 A3 8F 10 00 84 2C 48 01 A2 27 23 30 D4 00 0A 10 64 00 21 10 46 00 58 01 A6 AF }
	condition:
		$1
}

rule file_634_84_4 {
	meta:
		name = "_ZNSt8ios_base4InitC2Ev"
		size = 3884
		refs = "0000 _ZNSt8ios_base4Init9_Init_cntE 0078 _ZTVSt15basic_streambufIcSt11char_traitsIcEE 0088 _Znwm 0098 _ZNSt6locale5_InitEv 00a0 _ZNSt6locale16_GetgloballocaleEv 00bc _Stdin 00e8 _ZZNSt13basic_filebufIcSt11char_traitsIcEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit 010c _ZTVSt13basic_filebufIcSt11char_traitsIcEE 0198 _Stdout 01d0 _ZTVSi 01e4 _ZSt3cin 02d4 _ZNSt5ctypeIcE2idE 02e4 _ZNSt9_FacetptrISt5ctypeIcEE6_PsaveE 02e8 _ZNSt6locale2id7_Id_cntE 0398 _ZNSt8ios_base7_AddstdEPS_ 0390 _ZTVSo 03a0 _ZSt4cout 0580 _Stderr 05a4 _ZSt4cerr 0750 _ZSt4clog 08f0 _ZNSt8_LocinfoC1EPKc 0908 _Tolotab 0914 _Touptab 0910 _Ctype 0920 _ZTVSt5ctypeIcE 0948 _ZNSt8_LocinfoD1Ev 0970 _ZNSt6locale5facet9_RegisterEv 0b28 _ZSt17iostream_categoryv 0b30 _ZTVSt13runtime_error 0b4c _ZNSsC1EPKc 0b64 _ZTVNSt8ios_base7failureE 0b70 _ZNKSt9exception6_RaiseEv 0b90 _ZdlPv 0bb0 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 43 8C A8 FD BD 27 54 02 BF AF 50 02 BE AF 4C 02 B7 AF 48 02 B6 AF 44 02 B5 AF 40 02 B4 AF 3C 02 B3 AF 38 02 B2 AF 34 02 B1 AF 0F 00 60 04 30 02 B0 AF 54 02 BF 8F 01 00 63 24 50 02 BE 8F 4C 02 B7 8F 48 02 B6 8F 44 02 B5 8F 40 02 B4 8F 3C 02 B3 8F 38 02 B2 8F 34 02 B1 8F 30 02 B0 8F ?? ?? 43 AC 08 00 E0 03 58 02 BD 27 01 00 03 24 ?? ?? 43 AC ?? ?? 02 3C ?? ?? 42 24 ?? ?? 12 3C 04 00 04 24 ?? ?? ?? 0? ?? ?? 42 AE 0A 00 40 10 21 98 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 62 AE 04 00 43 8C FF FF 04 24 02 00 64 10 01 00 63 24 04 00 43 AC ?? ?? 02 3C ?? ?? 54 26 ?? ?? 42 24 20 00 82 AE 24 00 82 AE ?? ?? 02 3C ?? ?? 42 24 ?? ?? 10 3C 30 00 82 AE ?? ?? 02 3C ?? ?? 42 24 ?? ?? 11 26 ?? ?? 06 8E 04 00 25 8E 34 00 82 AE ?? ?? 02 3C ?? ?? 42 24 ?? ?? 03 3C ?? ?? 63 24 58 00 82 AE ?? ?? 16 3C ?? ?? 02 3C ?? ?? 42 24 ?? ?? D6 26 ?? ?? 15 3C 04 00 04 24 38 00 93 AE 54 00 80 A2 49 00 80 A2 0C 00 80 AE 1C 00 80 AE 2C 00 80 AE 08 00 80 AE 18 00 80 AE 28 00 80 AE 10 00 83 AE 14 00 83 AE 4C 00 86 AE 50 00 85 AE 44 00 80 AE ?? ?? 56 AE ?? ?? ?? 0? ?? ?? A2 AE 0B 00 40 10 21 B8 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 E2 AE 04 00 43 8C FF FF 04 24 04 00 64 10 ?? ?? 05 3C 01 00 63 24 04 00 43 AC ?? ?? 05 3C ?? ?? A3 26 ?? ?? A5 24 24 00 65 AC 20 00 65 AC ?? ?? 05 3C ?? ?? A5 24 30 00 65 AC ?? ?? 05 3C ?? ?? A5 24 34 00 65 AC ?? ?? 05 3C ?? ?? A5 24 58 00 65 AC ?? ?? 05 3C ?? ?? 08 8E 04 00 27 8E ?? ?? 02 3C ?? ?? A5 24 ?? ?? 53 24 ?? ?? 45 AC ?? ?? 06 3C ?? ?? 02 3C ?? ?? C6 24 ?? ?? 42 24 4C 00 68 AC 50 00 67 AC 08 00 72 26 14 00 66 AC 10 00 66 AC 08 00 62 AE 11 00 02 24 10 00 42 AE 04 00 04 24 06 00 02 24 14 00 42 AE 0C 00 60 AC 38 00 77 AC 54 00 60 A0 49 00 60 A0 2C 00 60 AC 28 00 60 AC 44 00 60 AC 1C 00 60 AC 18 00 60 AC 08 00 60 AC ?? ?? B6 AE 04 00 60 AE 24 00 40 AE 04 00 40 AE 0C 00 40 AE 18 00 40 AE 1C 00 40 AE 20 00 40 AE 08 00 40 AE ?? ?? ?? 0? 28 02 A3 AF 21 A8 40 00 0B 00 40 10 28 02 A3 8F ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 A2 AE 04 00 44 8C FF FF 05 24 03 00 85 10 28 02 A3 8F 01 00 84 24 04 00 44 AC 00 00 B7 8E FF FF 04 24 24 00 55 AE 04 00 E2 8E 28 00 54 AE 03 00 44 10 2C 00 40 AE 01 00 42 24 04 00 E2 AE ?? ?? 14 3C ?? ?? 84 8E ?? ?? 15 3C 07 00 80 14 ?? ?? A5 8E ?? ?? 02 3C ?? ?? 46 8C 01 00 C6 24 21 20 C0 00 ?? ?? 46 AC ?? ?? 86 AE 0C 00 E2 8E 2B 10 82 00 71 01 40 50 14 00 E2 92 08 00 E6 8E 80 10 04 00 21 10 C2 00 00 00 5E 8C 6B 01 C0 53 14 00 E2 92 04 00 E2 8E FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 E4 AE 21 10 80 00 08 00 40 54 00 00 C2 8F 00 00 E2 8E 21 20 E0 02 04 00 42 8C 09 F8 40 00 28 02 A3 AF 28 02 A3 8F 00 00 C2 8F 21 20 C0 03 20 00 05 24 18 00 42 8C 09 F8 40 00 28 02 A3 AF 28 00 44 8E 30 00 42 A2 D4 01 80 10 28 02 A3 8F 21 20 40 02 ?? ?? 17 3C 28 02 A3 AF ?? ?? ?? 0? ?? ?? F7 26 ?? ?? 02 3C ?? ?? 52 24 ?? ?? 57 AC ?? ?? 1E 3C 11 00 02 24 14 00 42 AE ?? ?? DE 27 06 00 02 24 04 00 46 26 04 00 04 24 04 00 5E AE 28 00 40 AE 08 00 40 AE 10 00 40 AE 18 00 42 AE 1C 00 40 AE 20 00 40 AE 24 00 40 AE 0C 00 40 AE ?? ?? ?? 0? 24 02 A6 AF 21 20 40 00 28 02 A3 8F 0E 00 40 10 24 02 A6 8F ?? ?? ?? 0? 20 02 A2 AF 20 02 A4 8F ?? ?? ?? 0? 00 00 82 AC 04 00 45 8C FF FF 07 24 28 02 A3 8F 20 02 A4 8F 03 00 A7 10 24 02 A6 8F 01 00 A5 24 04 00 45 AC 00 00 87 8C 24 00 C4 AC 04 00 E2 8C 28 00 C3 AC FF FF 03 24 03 00 43 10 2C 00 C0 AC 01 00 42 24 04 00 E2 AC ?? ?? 84 8E 08 00 80 14 ?? ?? A5 8E ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 ?? ?? 43 AC ?? ?? 02 3C 21 20 60 00 ?? ?? 43 AC 0C 00 E2 8C 2B 10 82 00 4A 01 40 54 08 00 E3 8C 14 00 E2 90 7C 01 40 54 20 02 A4 AF 23 02 A0 10 21 18 A0 00 04 00 E2 8C FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 E4 AC 21 10 80 00 0A 00 40 54 00 00 62 8C 00 00 E2 8C 21 20 E0 00 04 00 42 8C 28 02 A3 AF 09 F8 40 00 24 02 A6 AF 24 02 A6 8F 28 02 A3 8F 00 00 62 8C 21 20 60 00 20 00 05 24 18 00 42 8C 09 F8 40 00 24 02 A6 AF 24 02 A6 8F 28 00 C3 8C 7A 01 60 10 30 00 C2 A0 ?? ?? ?? 0? 21 20 C0 00 ?? ?? 02 3C ?? ?? 03 3C 34 00 72 AE ?? ?? 42 24 04 00 04 24 ?? ?? 62 AC ?? ?? ?? 0? 28 02 A3 AF 21 28 40 00 0D 00 40 10 28 02 A3 8F ?? ?? ?? 0? 1C 02 A2 AF 1C 02 A5 8F ?? ?? ?? 0? 00 00 A2 AC 04 00 44 8C FF FF 06 24 28 02 A3 8F 03 00 86 10 1C 02 A5 8F 01 00 84 24 04 00 44 AC ?? ?? 73 24 ?? ?? 76 AC ?? ?? 03 3C ?? ?? 63 24 30 00 63 AE ?? ?? 03 3C ?? ?? 09 8E 04 00 28 8E ?? ?? 02 3C ?? ?? 63 24 34 00 63 AE ?? ?? 50 24 ?? ?? 07 3C ?? ?? 06 3C ?? ?? 03 3C 04 00 11 26 ?? ?? E7 24 ?? ?? C6 24 ?? ?? 63 24 ?? ?? 57 AC 11 00 02 24 58 00 63 AE 38 00 65 AE 54 00 60 A2 49 00 60 A2 2C 00 60 AE 28 00 60 AE 24 00 66 AE 4C 00 69 AE 50 00 68 AE 44 00 60 AE 20 00 66 AE 1C 00 60 AE 18 00 60 AE 14 00 67 AE 10 00 67 AE 10 00 22 AE 06 00 02 24 0C 00 60 AE 08 00 60 AE 04 00 04 24 04 00 1E AE 24 00 20 AE 04 00 20 AE 0C 00 20 AE 14 00 22 AE 18 00 20 AE 1C 00 20 AE 20 00 20 AE ?? ?? ?? 0? 08 00 20 AE 0C 00 40 10 21 18 40 00 ?? ?? ?? 0? 28 02 A2 AF 28 02 A3 8F ?? ?? ?? 0? 00 00 62 AC 04 00 44 8C FF FF 05 24 03 00 85 10 28 02 A3 8F 01 00 84 24 04 00 44 AC 00 00 76 8C 24 00 23 AE FF FF 03 24 04 00 C2 8E 28 00 33 AE 03 00 43 10 2C 00 20 AE 01 00 42 24 04 00 C2 AE ?? ?? 84 8E 08 00 80 14 ?? ?? A5 8E ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 ?? ?? 43 AC ?? ?? 02 3C 21 20 60 00 ?? ?? 43 AC 0C 00 C2 8E 2B 10 82 00 B3 00 40 54 08 00 C3 8E 14 00 C2 92 DD 00 40 54 20 02 A4 AF EA 01 A0 10 21 18 A0 00 04 00 C2 8E FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 C4 AE 21 10 80 00 08 00 40 54 00 00 62 8C 00 00 C2 8E 21 20 C0 02 04 00 42 8C 09 F8 40 00 28 02 A3 AF 28 02 A3 8F 00 00 62 8C 21 20 60 00 18 00 42 8C 09 F8 40 00 20 00 05 24 28 00 23 8E 20 01 60 10 30 00 22 A2 ?? ?? ?? 0? 21 20 20 02 14 00 03 8E ?? ?? 02 3C ?? ?? 51 24 04 00 36 26 ?? ?? 57 AC 00 20 63 34 11 00 02 24 14 00 03 AE 10 00 C2 AE 06 00 02 24 04 00 04 24 30 00 12 AE 04 00 3E AE 24 00 C0 AE 04 00 C0 AE 0C 00 C0 AE 14 00 C2 AE 18 00 C0 AE 1C 00 C0 AE 20 00 C0 AE ?? ?? ?? 0? 08 00 C0 AE 0A 00 40 10 21 B8 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 E2 AE 04 00 43 8C FF FF 04 24 02 00 64 10 01 00 63 24 04 00 43 AC 00 00 F0 8E FF FF 03 24 24 00 D7 AE 04 00 02 8E 28 00 D3 AE 03 00 43 10 2C 00 C0 AE 01 00 42 24 04 00 02 AE ?? ?? 94 8E 08 00 80 16 ?? ?? B7 8E ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 ?? ?? 43 AC ?? ?? 02 3C 21 A0 60 00 ?? ?? 43 AC 0C 00 02 8E 2B 10 82 02 56 00 40 54 08 00 03 8E 14 00 02 92 79 00 40 14 00 00 00 00 71 01 E0 12 21 98 E0 02 04 00 02 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 03 AE 21 10 60 00 06 00 40 54 00 00 62 8E 00 00 02 8E 04 00 42 8C 09 F8 40 00 21 20 00 02 00 00 62 8E 21 20 60 02 18 00 42 8C 09 F8 40 00 20 00 05 24 28 00 C3 8E D4 00 60 10 30 00 C2 A2 ?? ?? ?? 0? 21 20 C0 02 54 02 BF 8F 30 00 32 AE 50 02 BE 8F 4C 02 B7 8F 48 02 B6 8F 44 02 B5 8F 40 02 B4 8F 3C 02 B3 8F 38 02 B2 8F 34 02 B1 8F 30 02 B0 8F 08 00 E0 03 58 02 BD 27 40 00 40 54 28 02 A3 AF 93 FE A0 14 21 F0 A0 00 18 00 E5 8E 1C 00 E2 26 88 00 A4 27 0A 28 45 00 ?? ?? ?? 0? 28 02 A3 AF ?? ?? ?? 0? 18 00 04 24 10 00 40 10 28 02 A3 8F ?? ?? 04 3C ?? ?? 85 8C ?? ?? 06 3C ?? ?? 04 3C ?? ?? 84 8C ?? ?? C6 8C ?? ?? 07 3C ?? ?? E7 24 04 00 40 AC 00 00 47 AC 08 00 46 AC 0C 00 45 AC 10 00 44 AC 14 00 40 AC 21 F0 40 00 88 00 A4 27 ?? ?? ?? 0? 28 02 A3 AF 04 00 C2 8F FF FF 04 24 ?? ?? BE AE 03 00 44 10 28 02 A3 8F 01 00 42 24 04 00 C2 AF 21 20 C0 03 ?? ?? ?? 0? 28 02 A3 AF ?? ?? ?? 0? 28 02 A3 8F 80 10 14 00 21 10 62 00 00 00 53 8C AD FF 60 56 04 00 02 8E ?? ?? ?? 0? 14 00 02 92 80 10 04 00 21 10 62 00 00 00 43 8C 50 FF 60 54 04 00 C2 8E ?? ?? ?? 0? 14 00 C2 92 80 10 04 00 21 10 62 00 00 00 43 8C B9 FE 60 54 04 00 E2 8C ?? ?? ?? 0? 14 00 E2 90 20 02 A4 AF ?? ?? ?? 0? 1C 02 A5 AF 0C 00 46 8C 20 02 A4 8F 28 02 A3 8F 2B 30 86 00 B9 FF C0 10 1C 02 A5 8F 08 00 42 8C 80 20 04 00 21 20 44 00 00 00 9E 8C 48 FE C0 57 04 00 E2 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 83 02 83 FF 60 10 00 00 00 00 08 00 42 8C 80 A0 14 00 21 A0 54 00 00 00 93 8E 80 FF 60 56 04 00 02 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 1C 02 A5 AF 0C 00 43 8C 20 02 A4 8F 2B 18 83 00 1E FF 60 10 1C 02 A5 8F 08 00 42 8C 80 20 04 00 21 20 44 00 00 00 83 8C 1B FF 60 54 04 00 C2 8E ?? ?? ?? 0? 00 00 00 00 1C 02 A5 AF 24 02 A6 AF ?? ?? ?? 0? 18 02 A7 AF 0C 00 43 8C 20 02 A4 8F 1C 02 A5 8F 24 02 A6 8F 2B 18 83 00 7B FE 60 10 18 02 A7 8F 08 00 42 8C 80 20 04 00 21 20 44 00 00 00 83 8C 78 FE 60 54 04 00 E2 8C ?? ?? ?? 0? 00 00 00 00 08 00 46 8E 0C 00 45 8E 08 00 44 26 04 00 C6 34 ?? ?? ?? 0? 21 38 00 00 ?? ?? ?? 0? 28 02 A3 8F 08 00 C2 8C 0C 00 C3 8C 04 00 42 34 17 00 42 30 24 18 43 00 81 FE 60 10 08 00 C2 AC 04 00 62 30 5F 00 40 14 02 00 63 30 37 00 60 14 00 00 00 00 ?? ?? ?? 0? 24 02 A6 AF ?? ?? 03 3C ?? ?? 05 3C ?? ?? 63 24 14 00 A4 27 ?? ?? A5 24 10 00 A3 AF 28 02 A3 AF ?? ?? ?? 0? 18 02 A2 AF 18 02 A2 8F 01 00 05 24 10 00 A4 27 34 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 10 00 A2 AF ?? ?? ?? 0? 30 00 A5 AF 28 00 A2 8F 28 02 A3 8F 24 02 A6 8F 10 00 42 2C 04 00 40 14 10 00 A3 AF ?? ?? ?? 0? 14 00 A4 8F 24 02 A6 8F 0F 00 02 24 10 00 A4 27 24 02 A6 AF 28 00 A2 AF 24 00 A0 AF ?? ?? ?? 0? 14 00 A0 A3 ?? ?? ?? 0? 24 02 A6 8F 08 00 26 8E 0C 00 25 8E 08 00 24 26 04 00 C6 34 ?? ?? ?? 0? 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 08 00 C6 8E 0C 00 C5 8E 08 00 C4 26 04 00 C6 34 ?? ?? ?? 0? 21 38 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 24 02 A6 AF ?? ?? 03 3C ?? ?? 05 3C ?? ?? 63 24 3C 00 A4 27 ?? ?? A5 24 38 00 A3 AF 28 02 A3 AF ?? ?? ?? 0? 18 02 A2 AF 18 02 A2 8F 01 00 05 24 38 00 A4 27 5C 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 38 00 A2 AF ?? ?? ?? 0? 58 00 A5 AF 50 00 A2 8F 28 02 A3 8F 24 02 A6 8F 10 00 42 2C 04 00 40 14 38 00 A3 AF ?? ?? ?? 0? 3C 00 A4 8F 24 02 A6 8F 0F 00 02 24 38 00 A4 27 24 02 A6 AF 50 00 A2 AF 4C 00 A0 AF ?? ?? ?? 0? 3C 00 A0 A3 ?? ?? ?? 0? 24 02 A6 8F ?? ?? ?? 0? 24 02 A6 AF ?? ?? 03 3C ?? ?? 05 3C ?? ?? 63 24 64 00 A4 27 ?? ?? A5 24 60 00 A3 AF 28 02 A3 AF ?? ?? ?? 0? 18 02 A2 AF 18 02 A2 8F 01 00 05 24 60 00 A4 27 84 00 A2 AF ?? ?? 02 3C ?? ?? 42 24 60 00 A2 AF ?? ?? ?? 0? 80 00 A5 AF 78 00 A2 8F 28 02 A3 8F 24 02 A6 8F 10 00 42 2C 04 00 40 14 60 00 A3 AF ?? ?? ?? 0? 64 00 A4 8F 24 02 A6 8F 0F 00 02 24 60 00 A4 27 24 02 A6 AF 78 00 A2 AF 74 00 A0 AF ?? ?? ?? 0? 64 00 A0 A3 ?? ?? ?? 0? 24 02 A6 8F 18 00 E5 8C 1C 00 E2 24 EC 00 A4 27 0A 28 45 00 28 02 A3 AF 24 02 A6 AF ?? ?? ?? 0? 18 02 A7 AF ?? ?? ?? 0? 18 00 04 24 28 02 A3 8F 24 02 A6 8F 10 00 40 10 18 02 A7 8F ?? ?? 03 3C ?? ?? 64 8C ?? ?? 05 3C ?? ?? 03 3C ?? ?? 63 8C ?? ?? A5 8C ?? ?? 08 3C ?? ?? 08 25 10 00 43 AC 04 00 40 AC 00 00 48 AC 08 00 45 AC 0C 00 44 AC 14 00 40 AC 21 18 40 00 EC 00 A4 27 28 02 A3 AF 24 02 A6 AF ?? ?? ?? 0? 18 02 A7 AF 28 02 A3 8F FF FF 04 24 24 02 A6 8F 04 00 62 8C ?? ?? A3 AE 03 00 44 10 18 02 A7 8F 01 00 42 24 04 00 62 AC 21 20 60 00 28 02 A3 AF 24 02 A6 AF ?? ?? ?? 0? 18 02 A7 AF 18 02 A7 8F 24 02 A6 8F ?? ?? ?? 0? 28 02 A3 8F 18 00 05 8E 1C 00 02 26 B4 01 A4 27 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 18 00 04 24 0F 00 40 10 ?? ?? 03 3C ?? ?? 64 8C ?? ?? 05 3C ?? ?? 03 3C ?? ?? 63 8C ?? ?? A5 8C ?? ?? 06 3C ?? ?? C6 24 04 00 40 AC 00 00 46 AC 08 00 45 AC 0C 00 44 AC 10 00 43 AC 14 00 40 AC 21 98 40 00 ?? ?? ?? 0? B4 01 A4 27 04 00 62 8E FF FF 03 24 03 00 43 10 ?? ?? B3 AE 01 00 42 24 04 00 62 AE ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 04 00 02 8E 18 00 C5 8E 1C 00 C2 26 50 01 A4 27 0A 28 45 00 ?? ?? ?? 0? 28 02 A3 AF ?? ?? ?? 0? 18 00 04 24 10 00 40 10 28 02 A3 8F ?? ?? 03 3C ?? ?? 64 8C ?? ?? 05 3C ?? ?? 03 3C ?? ?? 63 8C ?? ?? A5 8C ?? ?? 06 3C ?? ?? C6 24 10 00 43 AC 04 00 40 AC 00 00 46 AC 08 00 45 AC 0C 00 44 AC 14 00 40 AC 21 18 40 00 50 01 A4 27 ?? ?? ?? 0? 28 02 A3 AF 28 02 A3 8F FF FF 04 24 04 00 62 8C 03 00 44 10 ?? ?? A3 AE 01 00 42 24 04 00 62 AC 21 20 60 00 ?? ?? ?? 0? 28 02 A3 AF ?? ?? ?? 0? 28 02 A3 8F }
	condition:
		$1
}

rule file_634_86_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE5uflowEv"
		size = 908
		refs = "0088 fgetc 0184 memmove 01dc _ZdlPv 0250 _ZNSs5_CopyEmm 02c4 memcpy 02d8 _ZSt14_Xlength_errorPKc 0370 ungetc"
	strings:
		$1 = { 20 00 83 8C 98 FF BD 27 5C 00 B3 AF 00 00 62 8C 64 00 BF AF 60 00 B4 AF 58 00 B2 AF 54 00 B1 AF 50 00 B0 AF 06 00 40 10 21 98 80 00 30 00 84 8C 00 00 84 8C 2B 20 44 00 73 00 80 14 64 00 BF 8F 58 00 64 8E 68 00 80 10 FF FF 02 24 10 00 62 8E 48 00 65 26 00 00 46 8C 75 00 C5 50 40 00 65 8E 44 00 62 8E A7 00 40 10 ?? ?? 12 3C 0F 00 02 24 40 00 A2 AF 3C 00 A0 AF 2C 00 A0 A3 ?? ?? 52 26 4C 00 70 26 20 00 B1 27 ?? ?? ?? 0? 00 00 00 00 FF FF 03 24 A3 00 43 10 3C 00 B4 8F FE FF 83 2E 8D 00 60 10 21 20 40 02 01 00 94 26 FF FF 03 24 90 00 83 12 21 20 40 02 40 00 A3 8F 2B 20 74 00 61 00 80 14 3C 00 A6 8F 66 00 80 16 2C 00 A4 8F 10 00 63 2C 2C 00 A2 27 0A 10 83 00 3C 00 A0 AF 00 00 40 A0 44 00 64 8E 28 00 A3 27 40 00 A5 8F 00 00 82 8C 10 00 A3 AF 21 00 A3 27 18 00 A3 AF 24 00 A3 27 1C 00 A3 AF 2C 00 A3 8F 14 00 B1 AF 3C 00 A7 8F 10 00 A5 2C 2C 00 A6 27 14 00 42 8C 0A 30 65 00 21 38 C7 00 09 F8 40 00 21 28 00 02 24 00 40 04 02 00 43 28 20 00 60 10 03 00 03 24 24 00 A2 8F 7A 00 22 16 40 00 A5 8F 2C 00 A3 8F 28 00 B4 8F 3C 00 A6 8F 10 00 A5 2C 2C 00 A2 27 0A 10 65 00 23 10 82 02 2B A0 C2 00 0B 10 D4 00 10 00 40 10 21 A0 40 00 2C 00 A4 27 0A 20 65 00 21 28 82 00 ?? ?? ?? 0? 23 30 C2 00 3C 00 A3 8F 40 00 A4 8F 2C 00 A2 27 23 A0 74 00 2C 00 A3 8F 10 00 84 2C 3C 00 B4 AF 0A 10 64 00 21 10 54 00 00 00 40 A0 ?? ?? ?? 0? 58 00 64 8E 38 00 43 10 3C 00 A2 8F 40 00 A3 8F FF FF 02 24 10 00 63 2C 06 00 60 14 64 00 BF 8F 2C 00 A4 8F ?? ?? ?? 0? 48 00 A2 AF 48 00 A2 8F 64 00 BF 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 68 00 BD 27 01 00 44 24 00 00 64 AC 00 00 42 90 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 68 00 BD 27 3C 00 67 8E 30 00 66 8E 00 00 47 AC 00 00 65 AC ?? ?? ?? 0? 00 00 C5 AC 2C 00 A4 27 21 28 80 02 ?? ?? ?? 0? 48 00 A2 AF A2 FF 80 12 48 00 A2 8F 40 00 A3 8F 10 00 63 2C 20 00 60 14 3C 00 A4 8F 2C 00 A3 8F 21 20 64 00 00 00 82 A0 40 00 A4 8F 2C 00 A3 8F 2C 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 54 00 3C 00 B4 AF ?? ?? ?? 0? 00 00 40 A0 79 FF 40 50 58 00 64 8E 40 00 A5 8F 2C 00 A3 8F 2C 00 A2 27 10 00 A5 2C 0A 10 65 00 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 01 00 06 24 20 00 A2 93 ?? ?? ?? 0? 40 00 A3 8F ?? ?? ?? 0? 48 00 A2 AF 3C 00 B4 8F ?? ?? ?? 0? 48 00 A2 8F ?? ?? ?? 0? 2C 00 A3 27 ?? ?? ?? 0? 48 00 A2 AF ?? ?? ?? 0? 48 00 A2 8F ?? ?? ?? 0? 00 00 00 00 21 18 40 00 FF 00 64 30 FF FF 02 24 27 18 03 00 ?? ?? ?? 0? 0B 10 83 00 FF FF 02 24 ?? ?? ?? 0? 40 00 A3 8F 40 00 A3 8F 2C 00 A5 8F 3C 00 B0 8F 10 00 66 2C 2C 00 A4 27 28 00 A2 8F 0A 20 A6 00 21 20 90 00 23 80 82 00 04 00 00 1E FF FF 10 26 ?? ?? ?? 0? 20 00 A2 93 FF FF 10 26 21 10 50 00 00 00 44 80 ?? ?? ?? 0? 58 00 65 8E FA FF 00 56 28 00 A2 8F 40 00 A3 8F ?? ?? ?? 0? 20 00 A2 93 }
	condition:
		$1
}

rule file_634_89_4 {
	meta:
		name = "_ZNSt13basic_filebufIcSt11char_traitsIcEE8overflowEi"
		size = 656
		refs = "00d0 memset 0190 fwrite 01b4 _ZdlPv 023c _ZNSs6appendEmc 0260 fputc"
	strings:
		$1 = { 98 FF BD 27 FF FF 02 24 5C 00 B5 AF 58 00 B4 AF 64 00 BF AF 60 00 B6 AF 54 00 B3 AF 50 00 B2 AF 4C 00 B1 AF 48 00 B0 AF 21 A0 A0 00 65 00 A2 10 21 A8 80 00 24 00 83 8C 00 00 62 8C 14 00 40 50 58 00 A5 8E 34 00 84 8C 00 00 84 8C 2B 20 44 00 0F 00 80 50 58 00 A5 8E 01 00 44 24 00 00 64 AC 00 00 45 A0 64 00 BF 8F 21 10 80 02 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 68 00 BD 27 6E 00 A0 10 48 00 A3 26 10 00 A2 8E 00 00 44 8C 54 00 83 50 40 00 A3 8E 44 00 A2 8E 72 00 40 10 2C 00 B0 27 0F 00 02 24 21 20 00 02 21 28 00 00 08 00 06 24 20 00 B4 A3 40 00 A2 AF 3C 00 A0 AF ?? ?? ?? 0? 2C 00 A0 A3 40 00 A2 8F 10 00 42 2C 03 00 40 14 34 00 A3 27 2C 00 A3 8F 08 00 63 24 08 00 02 24 3C 00 A2 AF 4C 00 B2 26 00 00 60 A0 20 00 B1 27 01 00 13 24 40 00 A2 8F 2C 00 A5 8F 44 00 A4 8E 10 00 42 2C 0B 28 02 02 21 10 A0 00 3C 00 A5 8F 00 00 83 8C 24 00 A6 27 21 28 45 00 14 00 A2 AF 28 00 A2 27 10 00 A6 AF 18 00 A5 AF 1C 00 A2 AF 18 00 62 8C 21 28 40 02 21 30 20 02 09 F8 40 00 21 00 A7 27 11 00 40 04 02 00 43 28 3C 00 60 10 03 00 03 24 40 00 B6 8F 2C 00 A2 8F 01 00 05 24 10 00 D6 2E 0B 10 16 02 28 00 B6 8F 21 20 40 00 23 B0 C2 02 21 00 C0 12 21 30 C0 02 ?? ?? ?? 0? 58 00 A7 8E 1E 00 56 10 24 00 A2 8F FF FF 14 24 40 00 A2 8F 10 00 42 2C AE FF 40 54 64 00 BF 8F ?? ?? ?? 0? 2C 00 A4 8F ?? ?? ?? 0? 64 00 BF 8F 64 00 BF 8F 21 A0 00 00 21 10 80 02 60 00 B6 8F 5C 00 B5 8F 58 00 B4 8F 54 00 B3 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 68 00 BD 27 3C 00 A7 8E 20 00 A6 8E 30 00 A4 8E 00 00 47 AC 00 00 C3 AC ?? ?? ?? 0? 00 00 83 AC 24 00 A2 8F E3 FF 22 16 49 00 B3 A2 BB FF C0 16 40 00 A2 8F 3C 00 A2 8F 21 20 00 02 08 00 05 24 20 00 42 2C DA FF 40 10 21 30 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 40 00 A2 8F ?? ?? ?? 0? FF FF 14 24 D3 FF 43 54 FF FF 14 24 20 00 A4 83 ?? ?? ?? 0? 58 00 A5 8E 27 10 02 00 FF FF 03 24 ?? ?? ?? 0? 0A A0 62 00 ?? ?? ?? 0? 20 24 14 7C 27 10 02 00 FF FF 03 24 ?? ?? ?? 0? 0A A0 62 00 }
	condition:
		$1
}

rule file_634_90_4 {
	meta:
		name = "_Z41__static_initialization_and_destruction_0ii.clone.79"
		size = 2488
		refs = "0038 _ZSt4clog 003c _ZTVSo 0040 _ZTVSt9basic_iosIcSt11char_traitsIcEE 0058 _ZNSt8ios_baseD2Ev 0060 _ZSt4cerr 008c _ZTVSt13basic_filebufIcSt11char_traitsIcEE 00bc _ZTVSt15basic_streambufIcSt11char_traitsIcEE 0110 _ZdlPv 0118 _ZSt4cout 0130 _ZSt3cin 0134 _ZTVSi 02d8 _ZNSt8ios_base7_AddstdEPS_ 039c fclose 03a8 _ZZNSt13basic_filebufIcSt11char_traitsIcEE5_InitEP10_Dnk_filetNS2_7_InitflEE7_Stinit 0628 _ZNSt13basic_filebufIcSt11char_traitsIcEE8overflowEi 0648 _ZNSsC1Emc 06e0 fwrite 0950 _ZNSs6appendEmc"
	strings:
		$1 = { 60 FF BD 27 01 00 02 24 9C 00 BF AF 98 00 BE AF 94 00 B7 AF 90 00 B6 AF 8C 00 B5 AF 88 00 B4 AF 84 00 B3 AF 80 00 B2 AF 7C 00 B1 AF 9A 00 82 10 78 00 B0 AF 8C 00 80 14 ?? ?? 03 3C ?? ?? 11 3C ?? ?? 10 3C ?? ?? 62 24 ?? ?? 31 26 ?? ?? 10 26 04 00 44 24 ?? ?? 71 AC ?? ?? ?? 0? 04 00 50 AC ?? ?? 05 3C ?? ?? A2 24 ?? ?? 03 3C ?? ?? 7E 24 04 00 44 24 ?? ?? B1 AC 04 00 50 AC ?? ?? ?? 0? 74 00 A3 AF 74 00 A3 8F 58 00 C2 8F ?? ?? 12 3C ?? ?? 52 26 07 00 40 10 ?? ?? 72 AC 10 00 C2 8F ?? ?? 04 3C ?? ?? 84 24 00 00 45 8C 49 01 A4 50 40 00 C4 8F 54 00 C2 93 AF 00 40 14 ?? ?? 13 3C 38 00 D4 8F ?? ?? 73 26 13 00 80 12 ?? ?? 73 AC 00 00 84 8E 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 80 02 ?? ?? 03 3C ?? ?? 62 24 04 00 44 24 ?? ?? 71 AC ?? ?? ?? 0? 04 00 50 AC ?? ?? 03 3C ?? ?? 05 3C ?? ?? 62 24 ?? ?? 1E 3C ?? ?? A5 24 08 00 44 24 ?? ?? 65 AC ?? ?? D7 27 ?? ?? ?? 0? 08 00 50 AC 58 00 E2 8E 07 00 40 10 ?? ?? D2 AF 10 00 E2 8E ?? ?? 03 3C ?? ?? 63 24 00 00 44 8C 25 01 83 50 40 00 E3 8E 54 00 E2 92 E3 00 40 54 58 00 E4 8E 38 00 F0 8E 13 00 00 12 ?? ?? D3 AF 00 00 04 8E 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 ?? ?? 17 3C ?? ?? F6 26 58 00 C2 8E 07 00 40 10 ?? ?? F2 AE 10 00 C2 8E ?? ?? 03 3C ?? ?? 63 24 00 00 44 8C FB 00 83 50 40 00 C3 8E 54 00 C2 92 8F 00 40 54 58 00 C4 8E 38 00 D0 8E 13 00 00 12 ?? ?? F3 AE 00 00 04 8E 0E 00 80 10 00 00 00 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 05 00 40 14 00 00 00 00 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 9C 00 BF 8F 98 00 BE 8F 94 00 B7 8F 90 00 B6 8F 8C 00 B5 8F 88 00 B4 8F 84 00 B3 8F 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 A0 00 BD 27 ?? ?? 12 3C ?? ?? 52 26 ?? ?? 03 3C ?? ?? 72 AC ?? ?? 03 3C ?? ?? 72 AC ?? ?? 03 3C ?? ?? 02 3C ?? ?? 63 24 ?? ?? 43 AC ?? ?? 44 24 ?? ?? 03 3C ?? ?? 63 24 ?? ?? 02 3C 08 00 84 24 ?? ?? 43 AC ?? ?? ?? 0? ?? ?? 11 3C ?? ?? 02 3C ?? ?? 31 26 ?? ?? 44 24 ?? ?? 10 3C ?? ?? 10 26 ?? ?? 51 AC 04 00 84 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 AC ?? ?? 02 3C ?? ?? 44 24 ?? ?? 03 3C ?? ?? 51 AC 04 00 84 24 ?? ?? 02 3C ?? ?? 72 AC ?? ?? ?? 0? ?? ?? 50 AC ?? ?? 02 3C ?? ?? 44 24 ?? ?? 51 AC 04 00 84 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 AC 9C 00 BF 8F 98 00 BE 8F 94 00 B7 8F 90 00 B6 8F 8C 00 B5 8F 88 00 B4 8F 84 00 B3 8F 80 00 B2 8F 7C 00 B1 8F 78 00 B0 8F 08 00 E0 03 A0 00 BD 27 58 00 C4 8F 0B 00 80 10 ?? ?? 02 3C 44 00 C2 8F 04 00 40 10 00 00 00 00 49 00 C2 93 20 01 40 54 21 20 C0 03 ?? ?? ?? 0? 74 00 A3 AF 74 00 A3 8F ?? ?? 02 3C ?? ?? 45 24 ?? ?? 44 8C 04 00 A2 8C ?? ?? 05 3C ?? ?? A5 24 10 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 14 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 20 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 24 00 C5 AF ?? ?? 05 3C ?? ?? A5 24 38 00 D4 8F 30 00 C5 AF ?? ?? 13 3C ?? ?? 05 3C ?? ?? A5 24 ?? ?? 73 26 54 00 C0 A3 49 00 C0 A3 34 00 C5 AF 0C 00 C0 AF 1C 00 C0 AF 2C 00 C0 AF 08 00 C0 AF 18 00 C0 AF 28 00 C0 AF 58 00 C0 AF 4C 00 C4 AF 50 00 C2 AF 44 00 C0 AF 24 FF 80 16 ?? ?? 73 AC ?? ?? ?? 0? ?? ?? 03 3C 0A 00 80 10 ?? ?? 02 3C 44 00 C2 8E 04 00 40 10 00 00 00 00 49 00 C2 92 AF 00 40 54 21 20 C0 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C ?? ?? 04 3C ?? ?? 84 24 10 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 14 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 20 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 24 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 38 00 D0 8E 30 00 C4 AE ?? ?? 04 3C ?? ?? 84 24 54 00 C0 A2 49 00 C0 A2 34 00 C4 AE 0C 00 C0 AE 1C 00 C0 AE 2C 00 C0 AE 08 00 C0 AE 18 00 C0 AE 28 00 C0 AE 58 00 C0 AE 4C 00 C3 AE 50 00 C2 AE 44 00 C0 AE 47 FF 00 16 ?? ?? F3 AE ?? ?? ?? 0? 9C 00 BF 8F 0A 00 80 10 ?? ?? 02 3C 44 00 E2 8E 04 00 40 10 00 00 00 00 49 00 E2 92 3F 00 40 54 21 20 E0 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 44 24 ?? ?? 43 8C 04 00 82 8C ?? ?? 04 3C ?? ?? 84 24 10 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 14 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 20 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 24 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 38 00 F0 8E 30 00 E4 AE ?? ?? 04 3C ?? ?? 84 24 54 00 E0 A2 49 00 E0 A2 34 00 E4 AE 0C 00 E0 AE 1C 00 E0 AE 2C 00 E0 AE 08 00 E0 AE 18 00 E0 AE 28 00 E0 AE 58 00 E0 AE 4C 00 E3 AE 50 00 E2 AE 44 00 E0 AE F3 FE 00 16 ?? ?? D3 AF ?? ?? ?? 0? ?? ?? 17 3C 3C 00 C7 8F 20 00 C6 8F 30 00 C5 8F 00 00 47 AC 00 00 C4 AC ?? ?? ?? 0? 00 00 A4 AC 3C 00 C6 8E 20 00 C5 8E 30 00 C4 8E 00 00 46 AC 00 00 A3 AC ?? ?? ?? 0? 00 00 83 AC 3C 00 E6 8E 20 00 E5 8E 30 00 E4 8E 00 00 46 AC 00 00 A3 AC ?? ?? ?? 0? 00 00 83 AC ?? ?? ?? 0? FF FF 05 24 FF FF 03 24 39 00 43 10 38 00 B0 27 21 20 00 02 08 00 05 24 21 30 00 00 ?? ?? ?? 0? ?? ?? 11 3C 18 00 B4 27 ?? ?? 31 26 01 00 15 24 03 00 16 24 44 00 E4 8E 4C 00 A6 8F 38 00 A3 8F 00 00 82 8C 48 00 A7 8F 10 00 B4 AF 10 00 C6 2C 1C 00 42 8C 0B 18 06 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 20 02 07 00 55 10 4C 00 A3 8F 16 00 56 50 4C 00 A2 8F 14 00 40 14 4C 00 A2 8F 49 00 E0 A2 4C 00 A3 8F 38 00 A2 8F 01 00 05 24 10 00 63 2C 0B 10 03 02 21 18 40 00 21 20 40 00 18 00 A2 8F 23 18 43 00 AD 00 60 10 21 30 60 00 58 00 E7 8E ?? ?? ?? 0? 74 00 A3 AF 74 00 A3 8F A8 00 62 50 49 00 E2 92 4C 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 38 00 A4 8F 0F 00 02 24 4C 00 A2 AF 48 00 A0 AF 38 00 A0 A3 ?? ?? ?? 0? 58 00 E4 8E ?? ?? ?? 0? FF FF 05 24 FF FF 03 24 37 00 43 10 54 00 B0 27 21 20 00 02 08 00 05 24 21 30 00 00 ?? ?? ?? 0? ?? ?? 11 3C 18 00 B4 27 ?? ?? 31 26 01 00 12 24 03 00 15 24 44 00 C4 8E 68 00 A6 8F 54 00 A3 8F 00 00 82 8C 64 00 A7 8F 10 00 B4 AF 10 00 C6 2C 1C 00 42 8C 0B 18 06 02 21 30 60 00 21 38 67 00 09 F8 40 00 21 28 20 02 07 00 52 10 68 00 BE 8F 14 00 55 50 68 00 A2 8F 12 00 40 14 68 00 A2 8F 49 00 C0 A2 68 00 BE 8F 54 00 A2 8F 01 00 05 24 10 00 DE 2F 0B 10 1E 02 21 F0 40 00 21 20 40 00 18 00 A2 8F 23 F0 5E 00 63 00 C0 13 21 30 C0 03 ?? ?? ?? 0? 58 00 C7 8E 60 00 C2 53 49 00 C2 92 68 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 54 00 A4 8F 0F 00 02 24 68 00 A2 AF 64 00 A0 AF 54 00 A0 A3 ?? ?? ?? 0? 58 00 C4 8E FF FF 05 24 ?? ?? ?? 0? 74 00 A3 AF FF FF 04 24 3F 00 44 10 74 00 A3 8F 1C 00 B3 27 21 20 60 02 08 00 05 24 ?? ?? ?? 0? 21 30 00 00 74 00 A3 8F ?? ?? 15 3C 18 00 B4 27 ?? ?? B5 26 01 00 16 24 03 00 17 24 44 00 C4 8F 30 00 A6 8F 1C 00 A5 8F 00 00 82 8C 2C 00 A7 8F 10 00 B4 AF 10 00 C6 2C 1C 00 42 8C 0B 28 66 02 21 30 A0 00 21 38 A7 00 74 00 A3 AF 09 F8 40 00 21 28 A0 02 06 00 56 10 74 00 A3 8F 17 00 57 50 30 00 A2 8F 15 00 40 14 30 00 A2 8F 49 00 C0 A3 30 00 A8 8F 1C 00 A2 8F 01 00 05 24 10 00 08 2D 0B 10 68 02 21 40 40 00 21 20 40 00 18 00 A2 8F 23 40 48 00 16 00 00 11 21 30 00 01 58 00 C7 8F 74 00 A3 AF ?? ?? ?? 0? 70 00 A8 AF 70 00 A8 8F 0F 00 02 11 74 00 A3 8F 30 00 A2 8F 10 00 42 2C 06 00 40 14 0F 00 02 24 1C 00 A4 8F ?? ?? ?? 0? 74 00 A3 AF 74 00 A3 8F 0F 00 02 24 30 00 A2 AF 2C 00 A0 AF 1C 00 A0 A3 ?? ?? ?? 0? 58 00 C4 8F 49 00 C2 93 F1 FF 40 10 30 00 A2 8F C8 FF 00 55 44 00 C4 8F 21 20 60 02 08 00 05 24 21 30 00 00 ?? ?? ?? 0? 74 00 A3 AF ?? ?? ?? 0? 74 00 A3 8F 49 00 C2 92 A1 FF 40 10 68 00 A2 8F 7C FF C0 57 44 00 C4 8E 21 20 00 02 08 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 44 00 C4 8E 49 00 E2 92 59 FF 40 10 4C 00 A2 8F 32 FF 60 54 44 00 E4 8E 21 20 00 02 08 00 05 24 ?? ?? ?? 0? 21 30 00 00 ?? ?? ?? 0? 44 00 E4 8E }
	condition:
		$1
}

rule file_635_0_4 {
	meta:
		name = "_CStrxfrm"
		size = 1708
		refs = "0550 strlen"
	strings:
		$1 = { 00 00 E2 8C B8 FF BD 27 24 00 B0 AF 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 51 01 40 10 21 80 80 00 00 00 42 94 FF 0F 43 30 50 00 60 54 12 00 C3 94 80 00 A0 10 21 88 00 00 12 00 C2 94 10 00 43 2C 92 01 60 10 80 10 02 00 21 10 E2 00 00 00 42 8C 8F 01 40 50 01 00 11 24 04 00 C4 8C 00 00 83 90 40 18 03 00 21 10 43 00 00 00 42 94 87 01 40 10 01 00 03 24 21 40 00 00 ?? ?? ?? 0? 00 FF 0B 24 00 10 49 30 07 00 20 11 00 40 49 30 14 00 C9 94 00 52 09 00 02 4A 09 00 25 48 49 01 14 00 C9 A4 00 40 49 30 08 00 20 51 00 20 44 30 00 00 83 90 6C 00 60 50 00 00 C4 8C 01 00 84 24 04 00 C4 AC 21 18 00 00 00 20 44 30 0A 00 80 50 2B 10 05 01 FF 00 49 30 21 20 08 02 02 00 20 15 20 14 02 7C 14 00 C2 80 00 00 82 A0 3D 01 40 10 01 00 08 25 2B 10 05 01 3B 01 40 10 44 00 BF 8F 12 00 C2 94 10 00 44 2C D0 00 80 10 80 10 02 00 21 10 E2 00 00 00 42 8C CC 00 40 10 01 00 63 24 F0 0F 64 28 CA 00 80 10 01 00 11 25 04 00 C4 8C 00 00 89 90 40 48 09 00 21 10 49 00 00 00 42 94 C4 00 40 50 21 80 08 02 00 1A 4A 7C 20 4E 02 7C CC FF 21 05 12 00 CA A4 14 00 CA 94 FF 00 29 31 24 50 4B 01 25 48 2A 01 ?? ?? ?? 0? 14 00 C9 A4 06 00 60 14 00 F0 42 30 00 40 43 30 EC 00 60 14 12 00 C2 A4 00 00 C2 8C 04 00 C2 AC 2A 00 A0 10 21 88 00 00 21 18 00 00 FF 00 15 24 FF FF 16 24 01 00 14 24 00 F0 13 24 ?? ?? ?? 0? 80 FF 12 24 66 00 60 10 80 00 44 28 21 10 11 02 00 00 43 A0 01 00 31 26 21 18 00 00 2B 10 25 02 1B 00 40 10 44 00 BF 8F 0C 00 C2 8C F5 FF 40 14 00 00 00 00 14 00 C2 94 23 00 40 14 02 22 02 00 12 00 C2 94 00 40 42 30 66 00 40 54 04 00 C4 8C 04 00 C8 8C 00 00 04 91 03 00 80 10 01 00 08 25 21 10 80 00 04 00 C8 AC 67 00 40 10 14 00 C2 A4 10 00 C4 94 00 22 04 00 25 10 44 00 14 00 C2 A4 2B 10 25 02 E9 FF 40 54 0C 00 C2 8C 44 00 BF 8F 21 10 20 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 21 18 00 00 ?? ?? ?? 0? 04 00 C4 AC 80 20 04 00 21 20 E4 00 00 00 88 8C FF 00 44 30 40 20 04 00 21 20 04 01 00 00 88 94 20 26 08 7C 64 00 80 04 00 20 09 31 36 00 20 15 21 20 00 01 35 00 00 51 FF 0F 04 31 00 40 08 31 77 00 00 51 12 00 C2 94 12 00 CA 94 00 40 49 31 90 00 20 15 FF FF 08 24 01 00 08 24 0C 00 00 51 01 00 42 24 04 00 C9 8C 01 00 0B 25 FF 00 84 30 21 40 28 01 FF FF 09 91 21 40 00 00 03 00 20 11 26 20 24 01 21 40 00 00 0A 40 64 01 01 00 42 24 FF FF 42 30 02 22 02 00 80 20 04 00 21 20 E4 00 00 00 89 8C FF 00 44 30 40 20 04 00 21 20 24 01 14 00 C2 A4 00 00 84 94 00 40 89 30 E7 FF 20 15 00 00 00 00 B8 00 00 55 00 40 4A 31 14 00 C2 94 01 00 42 24 ?? ?? ?? 0? 14 00 C2 A4 32 00 80 14 21 20 11 02 83 11 02 00 25 10 52 00 00 00 82 A0 0C 00 C2 8C 01 00 31 26 3F 00 42 30 40 00 42 34 ?? ?? ?? 0? 0C 00 C2 AC FF 0F 04 31 00 10 08 31 EF FF 00 15 0C 00 C4 AC ?? ?? ?? 0? 14 00 C0 A4 00 00 C8 8C 2B 40 04 01 9E FF 00 11 21 10 00 00 FF FF 82 24 04 00 C2 AC FF FF 82 90 9B FF 40 14 14 00 C2 A4 10 00 C2 94 80 10 02 00 21 10 E2 00 00 00 42 8C 00 00 42 94 00 10 42 30 9F 00 40 10 21 10 11 02 00 00 54 A0 10 00 C2 94 01 00 31 26 01 00 42 24 FF FF 42 30 80 18 02 00 21 18 E3 00 00 00 63 8C 10 00 C2 A4 00 00 62 94 24 10 62 02 00 40 43 30 0B 00 60 14 12 00 C2 A4 00 00 C2 8C ?? ?? ?? 0? 04 00 C2 AC 00 00 82 A0 01 00 31 26 ?? ?? ?? 0? 0C 00 C0 AC FF 0F 08 31 ?? ?? ?? 0? 14 00 C8 A4 08 00 C2 8C 88 00 40 50 04 00 D7 8C 04 00 C2 AC ?? ?? ?? 0? 21 18 00 00 01 00 11 25 21 80 08 02 00 00 00 A2 44 00 BF 8F 10 00 02 24 12 00 C2 A4 40 00 B7 8F 21 10 20 02 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 00 20 42 30 4D FF 40 10 2B 10 25 02 01 00 63 24 FF FF 63 30 49 FF 75 14 00 00 00 00 21 10 11 02 00 00 56 A0 01 00 31 26 ?? ?? ?? 0? 21 18 00 00 00 00 29 91 26 20 24 01 0B 40 04 00 01 00 42 24 FF FF 42 30 02 22 02 00 80 20 04 00 21 20 E4 00 00 00 89 8C FF 00 44 30 40 20 04 00 21 20 24 01 14 00 C2 A4 00 00 84 94 00 40 89 30 8D FF 20 11 00 00 00 00 F1 FF 00 11 01 00 09 25 04 00 CC 8C 00 00 CB 8C FF 00 84 30 21 48 89 01 2B 58 69 01 E7 FF 60 15 FF FF 08 25 ?? ?? ?? 0? 21 40 00 00 04 00 D1 8C 10 00 A5 AF 14 00 A6 AF 21 20 20 02 ?? ?? ?? 0? 18 00 A7 AF 14 00 A6 8F 21 10 22 02 18 00 A7 8F 04 00 C2 AC 08 00 C2 AC ?? ?? ?? 0? 10 00 A5 8F 00 00 C3 8C 21 88 00 00 10 00 A0 10 04 00 C3 AC 00 00 62 80 01 00 11 24 07 00 40 14 00 00 82 A0 ?? ?? ?? 0? 04 00 C3 8C 01 00 42 80 01 00 31 26 26 00 40 10 00 00 02 A2 04 00 C2 8C 01 00 10 26 01 00 43 24 F8 FF 25 16 04 00 C3 AC 00 00 C3 AC 44 00 BF 8F 21 10 20 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 44 00 BF 8F 21 88 00 01 21 10 20 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 08 00 40 15 04 00 C2 8C FF FF 08 25 21 40 48 00 ?? ?? ?? 0? 04 00 C8 AC 04 00 C3 8C ?? ?? ?? 0? 00 00 C3 AC 01 00 08 25 21 40 48 00 ?? ?? ?? 0? 04 00 C8 AC 21 80 11 02 00 00 00 A2 ?? ?? ?? 0? 01 00 31 26 10 00 A5 AF 14 00 A6 AF 21 20 E0 02 ?? ?? ?? 0? 18 00 A7 AF 14 00 A6 8F 21 10 E2 02 21 18 00 00 04 00 C2 AC 08 00 C2 AC 10 00 A5 8F ?? ?? ?? 0? 18 00 A7 8F 01 00 11 24 ?? ?? ?? 0? 21 40 00 00 }
	condition:
		$1
}

rule file_637_0_4 {
	meta:
		name = "strncmp"
		size = 124
	strings:
		$1 = { 1C 00 C0 10 21 10 00 00 00 00 87 80 00 00 A3 80 12 00 67 54 00 00 A3 90 09 00 60 54 FF FF C6 24 ?? ?? ?? 0? 00 00 00 00 00 00 A2 80 00 00 83 80 0A 00 43 54 00 00 A3 90 06 00 40 10 FF FF C6 24 01 00 84 24 F8 FF C0 14 01 00 A5 24 08 00 E0 03 21 10 00 00 08 00 E0 03 21 10 00 00 00 00 84 90 FF FF 02 24 2B 20 83 00 01 00 03 24 08 00 E0 03 0A 10 64 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_638_0_4 {
	meta:
		name = "get_acsize"
		size = 80
		refs = "0014 _LDunscale"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 24 00 A5 AF 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 20 00 A5 27 10 00 A3 87 35 00 02 24 1C 00 BF 8F 1A 00 62 00 F4 01 40 00 06 00 03 24 20 00 BD 27 12 10 00 00 40 10 02 00 05 00 42 24 07 00 44 2C 08 00 E0 03 0A 10 64 00 }
	condition:
		$1
}

rule file_638_1_4 {
	meta:
		name = "_LQuad"
		size = 1868
		refs = "004c dpcmp 0088 dpmul 00c0 dpsub 00d4 _LDint 0118 _LDunscale 0144 _LDscale 0158 _LXp_setw 0184 memcpy 0198 _LXp_mulh 01dc _LXp_addx 0240 dpadd 03f0 _LXp_getw 0454 fmodl 0468 dptoli"
	strings:
		$1 = { 08 FF BD 27 DC 00 B2 AF D8 00 B1 AF ?? ?? 12 3C 04 00 91 8C D4 00 B0 AF 00 00 90 8C E8 00 B5 AF ?? ?? 45 8E 21 A8 80 00 ?? ?? 44 8E 21 30 00 02 21 38 20 02 F4 00 BF AF F0 00 B7 AF EC 00 B6 AF E4 00 B4 AF E0 00 B3 AF 18 00 B0 AF ?? ?? ?? 0? 1C 00 B1 AF 2D 00 41 04 ?? ?? 14 3C ?? ?? 86 8E ?? ?? 87 8E 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 27 00 41 04 10 00 A4 27 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 21 88 60 00 21 30 40 00 21 38 20 02 21 20 00 00 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 31 01 40 18 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 20 00 A4 27 21 28 00 00 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 20 00 B2 8F 24 00 B3 8F 21 30 00 00 21 38 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 32 01 40 54 ?? ?? 02 3C 18 00 A2 8F ?? ?? ?? 0? 1C 00 A3 8F 10 00 A4 27 20 00 A5 27 20 00 B0 AF ?? ?? ?? 0? 24 00 B1 AF 10 00 A2 87 56 00 43 28 84 00 60 14 18 00 A6 8F CA FF 42 24 43 11 02 00 40 29 02 00 18 00 A4 27 23 28 05 00 ?? ?? ?? 0? 10 00 A2 A7 1C 00 A7 8F 18 00 A6 8F 28 00 A4 27 ?? ?? ?? 0? 02 00 05 24 10 00 A5 87 30 00 11 24 ?? ?? 10 3C FF FF A5 24 02 10 B1 70 68 00 B3 27 ?? ?? 10 26 30 00 06 24 21 20 60 02 ?? ?? ?? 0? 21 28 50 00 28 00 A6 8F 2C 00 A7 8F 21 20 60 02 ?? ?? ?? 0? 06 00 05 24 30 00 A4 8F 34 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 53 01 40 14 10 00 A5 87 ?? ?? 02 3C 06 00 10 24 ?? ?? 56 8C ?? ?? 57 8C ?? ?? ?? 0? ?? ?? 11 3C 21 28 00 02 38 00 A6 27 ?? ?? ?? 0? 21 38 00 02 68 00 A8 8F 6C 00 A9 8F ?? ?? 46 8E ?? ?? 47 8E 21 20 00 01 21 28 20 01 C8 00 A8 AF ?? ?? ?? 0? CC 00 A9 AF C8 00 A8 8F CC 00 A9 8F 21 30 00 01 07 00 40 04 21 38 20 01 ?? ?? 84 8E ?? ?? ?? 0? ?? ?? 85 8E C8 00 A8 8F 4A 00 41 04 CC 00 A9 8F 70 00 A6 8F 74 00 A7 8F 21 20 00 01 ?? ?? ?? 0? 21 28 20 01 21 20 40 00 21 30 C0 02 21 38 E0 02 ?? ?? ?? 0? 21 28 60 00 20 00 A4 27 21 28 00 00 24 00 A3 AF ?? ?? ?? 0? 20 00 A2 AF 24 00 A3 8F 00 80 02 3C 20 00 A4 8F 26 10 62 00 ?? ?? 03 3C ?? ?? 63 24 00 00 66 8C 04 00 67 8C ?? ?? ?? 0? 21 28 40 00 21 38 60 00 28 00 A4 27 21 30 40 00 ?? ?? ?? 0? 02 00 05 24 C0 30 10 00 38 00 A4 27 ?? ?? ?? 0? ?? ?? 25 26 28 00 A6 8F 2C 00 A7 8F 38 00 A4 27 ?? ?? ?? 0? 21 28 00 02 30 00 A4 8F 34 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 BB FF 40 50 21 20 60 02 68 00 A4 8F ?? ?? ?? 0? 6C 00 A5 8F C0 30 02 00 98 00 A4 27 ?? ?? 25 26 ?? ?? ?? 0? 21 80 40 00 30 00 A6 8F 34 00 A7 8F 98 00 A4 27 ?? ?? ?? 0? 21 28 00 02 38 00 A4 27 21 28 00 02 98 00 A6 27 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 21 20 60 02 1C 00 A7 8F 68 00 B3 27 21 20 60 02 ?? ?? ?? 0? 06 00 05 24 ?? ?? ?? 0? ?? ?? 02 3C 70 00 A6 8F 74 00 A7 8F 21 20 00 01 ?? ?? ?? 0? 21 28 20 01 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 90 60 00 21 30 40 00 21 38 40 02 21 20 00 00 21 28 00 00 ?? ?? ?? 0? 21 88 40 00 3F 00 40 1C ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 20 00 A4 27 21 28 00 00 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 20 00 A4 8F 24 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 40 00 40 14 68 00 A4 8F 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 20 00 B2 8F 24 00 B3 8F 00 00 A2 AE ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 04 00 A3 AE 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 08 00 40 04 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 0A 00 41 04 21 20 40 02 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 21 90 40 00 21 98 60 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 F4 00 BF 8F 03 00 42 30 F0 00 B7 8F EC 00 B6 8F E8 00 B5 8F E4 00 B4 8F E0 00 B3 8F DC 00 B2 8F D8 00 B1 8F D4 00 B0 8F 08 00 E0 03 F8 00 BD 27 ?? ?? 46 8C ?? ?? 47 8C 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 20 00 A4 27 21 28 00 00 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 20 00 A4 8F 24 00 A5 8F 21 30 00 00 ?? ?? ?? 0? 21 38 00 00 C4 FF 40 50 21 20 60 02 68 00 A4 8F ?? ?? ?? 0? 6C 00 A5 8F ?? ?? 05 3C 98 00 A4 27 ?? ?? A5 24 C0 30 02 00 ?? ?? ?? 0? 21 80 40 00 24 00 A3 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 20 00 A4 8F 00 80 02 3C 26 10 62 00 ?? ?? ?? 0? 21 28 40 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 38 60 00 98 00 A4 27 21 28 00 02 ?? ?? ?? 0? 21 30 40 00 21 20 60 02 21 28 00 02 98 00 A6 27 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 21 20 60 02 ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 20 00 A4 27 21 28 00 00 20 00 A2 AF ?? ?? ?? 0? 24 00 A3 AF 20 00 B2 8F 24 00 B3 8F 21 30 00 00 21 38 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 D2 FE 40 50 18 00 A2 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 88 60 00 21 80 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 00 ?? ?? ?? 0? 21 28 20 02 18 00 A4 8F 1C 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 21 28 20 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 21 28 20 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 00 02 21 28 20 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 B0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 38 00 A4 27 30 00 06 24 FF FF A5 24 02 10 B1 70 ?? ?? ?? 0? 21 28 50 00 30 00 A6 8F 34 00 A7 8F 38 00 A4 27 ?? ?? ?? 0? 06 00 05 24 21 20 60 02 06 00 05 24 38 00 A6 27 ?? ?? ?? 0? 06 00 07 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_638_2_4 {
	meta:
		name = "_LQuadph"
		size = 608
		refs = "0030 _LQuad 0048 _LDint 0064 dpsub 0084 dpcmp 00bc dpadd 00c8 dptoli 00f8 dpmul 01a0 fmodl"
	strings:
		$1 = { B8 FF BD 27 44 00 BF AF 40 00 B7 AF 3C 00 B6 AF 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 21 88 E0 00 21 80 C0 00 ?? ?? ?? 0? 21 A0 80 00 10 00 A4 27 01 00 05 24 21 90 40 00 10 00 B0 AF ?? ?? ?? 0? 14 00 B1 AF 10 00 B6 8F 14 00 B7 8F 21 20 00 02 21 28 20 02 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 98 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 A8 60 00 40 00 40 04 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 3A 00 40 04 ?? ?? 02 3C 21 30 C0 02 21 20 C0 02 21 38 E0 02 ?? ?? ?? 0? 21 28 E0 02 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? 16 3C 00 00 84 8E 04 00 85 8E ?? ?? C6 8E ?? ?? C7 8E 18 00 A4 AF 1C 00 A5 AF 21 20 60 02 21 28 A0 02 03 00 42 30 ?? ?? ?? 0? 21 80 52 00 18 00 A4 8F 1C 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 88 60 00 21 30 40 00 21 38 20 02 ?? ?? ?? 0? 21 90 40 00 3F 00 40 18 ?? ?? 02 3C ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 17 00 40 18 44 00 BF 8F 00 00 92 AE 04 00 91 AE 21 10 00 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 60 02 ?? ?? ?? 0? 21 28 A0 02 ?? ?? C6 8E ?? ?? C7 8E 21 20 40 00 21 28 60 00 FF FF 10 26 ?? ?? ?? 0? 00 00 00 00 18 00 A4 8F 1C 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 44 00 BF 8F 00 00 82 AE 04 00 83 AE 21 10 00 02 40 00 B7 8F 3C 00 B6 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 46 8C ?? ?? 47 8C 21 20 60 02 ?? ?? ?? 0? 21 28 A0 02 21 20 40 00 21 28 60 00 ?? ?? C6 8E ?? ?? C7 8E ?? ?? ?? 0? 01 00 10 26 }
	condition:
		$1
}

rule file_639_0_4 {
	meta:
		name = "wcsncmp"
		size = 116
	strings:
		$1 = { 1A 00 C0 10 21 10 00 00 00 00 83 8C 00 00 A7 8C 12 00 67 54 2A 18 67 00 09 00 60 54 FF FF C6 24 ?? ?? ?? 0? 00 00 00 00 00 00 83 8C 00 00 A7 8C 0A 00 67 54 2A 18 67 00 06 00 60 10 FF FF C6 24 04 00 84 24 F8 FF C0 14 04 00 A5 24 08 00 E0 03 21 10 00 00 08 00 E0 03 21 10 00 00 FF FF 02 24 01 00 04 24 08 00 E0 03 0A 10 83 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_640_40_4 {
	meta:
		name = "__tcf_1"
		size = 44
		refs = "0004 _ZTVSt9bad_alloc 0018 _ZNSt9exceptionD2Ev"
		altNames = "__tcf_0"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 03 3C E8 FF BD 27 ?? ?? 63 24 ?? ?? 44 24 14 00 BF AF ?? ?? ?? 0? ?? ?? 43 AC 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_640_43_4 {
	meta:
		name = "_ZNSt8numpunctIcED0Ev"
		size = 120
		refs = "0010 _ZTVSt8numpunctIcE 0024 _ZdaPv 0054 _ZTVNSt6locale5facetE 0060 _ZdlPv"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 10 00 04 8E 04 00 80 50 14 00 04 8E ?? ?? ?? 0? 00 00 00 00 14 00 04 8E 04 00 80 10 ?? ?? 02 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_640_45_4 {
	meta:
		name = "_ZNSt8numpunctIcED1Ev"
		size = 112
		refs = "0010 _ZTVSt8numpunctIcE 0024 _ZdaPv 0058 _ZTVNSt6locale5facetE"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 08 00 84 8C ?? ?? 02 3C ?? ?? 42 24 14 00 BF AF 03 00 80 10 00 00 02 AE ?? ?? ?? 0? 00 00 00 00 10 00 04 8E 04 00 80 50 14 00 04 8E ?? ?? ?? 0? 00 00 00 00 14 00 04 8E 04 00 80 10 14 00 BF 8F ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 00 00 02 AE 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_640_46_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE11_PutgroupedES3_PKcmc.clone.60"
		size = 560
		refs = "005c memchr"
	strings:
		$1 = { A8 FF BD 27 40 00 B4 AF 68 00 B4 8F 30 00 B0 AF 6C 00 B0 83 4C 00 B7 AF 21 B8 E0 00 48 00 B6 AF 44 00 B5 AF 3C 00 B3 AF 5C 00 A5 AF 21 98 80 00 60 00 A6 AF 21 A8 C0 00 FF 00 B6 30 21 20 E0 02 21 28 00 00 21 30 80 02 38 00 B2 AF 34 00 B1 AF 54 00 BF AF 50 00 BE AF FF FF 11 24 ?? ?? ?? 0? FF 00 12 32 4B 00 40 10 21 18 80 02 23 18 57 00 23 30 83 02 5C 00 B6 A3 5C 00 A2 8F 60 00 B5 AF 14 00 B5 AF 18 00 60 10 10 00 A2 AF 21 F0 E0 02 ?? ?? ?? 0? 21 A0 77 00 24 00 A4 8E 00 00 82 8C 3E 00 40 10 01 00 47 24 34 00 A8 8E 00 00 08 8D 23 40 02 01 3A 00 00 59 00 00 A2 8E 00 00 87 AC 00 00 45 A0 01 00 DE 27 08 00 D4 53 10 00 B6 A3 F1 FF A0 16 00 00 C5 83 01 00 16 24 01 00 DE 27 FB FF D4 17 00 00 00 00 10 00 B6 A3 10 00 A2 8F 14 00 B5 AF 24 00 B5 AF 20 00 A2 AF 5C 00 A2 AF 32 00 C0 10 60 00 B5 AF 19 00 00 52 21 B8 E3 02 0F 00 A0 52 01 00 16 24 24 00 A2 8E 00 00 44 8C 3A 00 80 50 00 00 A2 8E 34 00 A5 8E 00 00 A5 8C 23 28 A4 00 34 00 A0 18 01 00 85 24 00 00 45 AC 21 10 40 02 00 00 90 A0 01 00 51 50 01 00 16 24 10 00 B6 A3 10 00 A2 8F 14 00 B5 AF 1C 00 B5 AF 18 00 A2 AF 5C 00 A2 AF 60 00 B5 AF 21 B8 E3 02 01 00 F7 26 FF FF D4 24 21 20 E0 02 21 28 00 00 ?? ?? ?? 0? 21 30 80 02 B9 FF 40 54 23 18 57 00 21 18 80 02 ?? ?? ?? 0? 21 30 00 00 00 00 A2 8E 21 20 A0 02 FF 00 A5 30 10 00 42 8C 2C 00 A3 AF 09 F8 40 00 28 00 A6 AF 2C 00 A3 8F C1 FF 51 14 28 00 A6 8F ?? ?? ?? 0? 01 00 16 24 54 00 BF 8F 00 00 62 AE 04 00 75 AE 21 10 60 02 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 00 00 A2 8E 21 20 A0 02 21 28 40 02 10 00 42 8C 2C 00 A3 AF 09 F8 40 00 28 00 A6 AF 2C 00 A3 8F ?? ?? ?? 0? 28 00 A6 8F }
	condition:
		$1
}

rule file_640_49_4 {
	meta:
		name = "_ZNSt5ctypeIcE7_GetcatEPPKNSt6locale5facetEPKS1_"
		size = 180
		refs = "0040 _ZNSt8_LocinfoC1EPKc 0048 _Znwm 0058 _Tolotab 0064 _Touptab 0060 _Ctype 0070 _ZTVSt5ctypeIcE 0098 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 80 FF BD 27 78 00 B0 AF 7C 00 BF AF 04 00 80 10 21 80 80 00 00 00 82 8C 06 00 40 50 00 00 A2 8C 7C 00 BF 8F 02 00 02 24 78 00 B0 8F 08 00 E0 03 80 00 BD 27 10 00 A4 27 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 18 00 04 24 10 00 40 10 21 18 00 00 ?? ?? 03 3C ?? ?? 64 8C ?? ?? 05 3C ?? ?? 03 3C ?? ?? 63 8C ?? ?? A5 8C ?? ?? 06 3C ?? ?? C6 24 10 00 43 AC 04 00 40 AC 00 00 46 AC 08 00 45 AC 0C 00 44 AC 14 00 40 AC 21 18 40 00 00 00 03 AE ?? ?? ?? 0? 10 00 A4 27 7C 00 BF 8F 02 00 02 24 78 00 B0 8F 08 00 E0 03 80 00 BD 27 }
	condition:
		$1
}

rule file_640_50_4 {
	meta:
		name = "_ZNSt6locale6globalERKS_"
		size = 380
		refs = "0028 _ZNSt6locale5_InitEv 0030 _ZNSt6locale16_GetgloballocaleEv 0084 _ZNSt6locale16_SetgloballocaleEPv 00e0 setlocale"
	strings:
		$1 = { D0 FF BD 27 2C 00 BF AF 14 00 B1 AF 10 00 B0 AF 21 88 A0 00 21 80 80 00 28 00 B6 AF 24 00 B5 AF 20 00 B4 AF 1C 00 B3 AF ?? ?? ?? 0? 18 00 B2 AF ?? ?? ?? 0? 00 00 02 AE 04 00 43 8C FF FF 04 24 02 00 64 10 01 00 63 24 04 00 43 AC ?? ?? ?? 0? 00 00 00 00 00 00 33 8E 28 00 62 12 2C 00 BF 8F 04 00 43 8C FF FF 64 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 44 AC 21 18 80 00 29 00 60 50 00 00 43 8C ?? ?? ?? 0? 21 20 60 02 04 00 62 8E FF FF 03 24 02 00 43 10 01 00 42 24 04 00 62 AE 10 00 74 8E 3F 00 02 24 3F 00 94 32 23 00 82 12 21 90 00 00 07 00 16 24 01 00 15 24 1C 00 71 26 01 00 52 26 04 20 55 02 43 20 04 00 0A 00 56 12 24 10 94 00 FB FF 40 10 01 00 52 26 18 00 65 8E ?? ?? ?? 0? 0A 28 25 02 04 20 55 02 43 20 04 00 F8 FF 56 16 24 10 94 00 2C 00 BF 8F 21 10 00 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 40 00 04 00 62 8C 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 00 00 33 8E 18 00 65 8E 1C 00 73 26 3F 00 04 24 ?? ?? ?? 0? 0A 28 65 02 2C 00 BF 8F 21 10 00 02 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_640_51_4 {
	meta:
		name = "_ZNSt6locale7_Locimp7_AddfacEPNS_5facetEm"
		size = 412
		refs = "00d0 realloc 014c _ZSt6_ThrowRKSt9exception 015c __cxa_guard_acquire 016c _ZTVSt9bad_alloc 0180 __cxa_guard_release 018c atexit"
	strings:
		$1 = { 0C 00 82 8C D0 FF BD 27 20 00 B2 AF 2B 10 C2 00 18 00 B0 AF 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 1C 00 B1 AF 21 80 80 00 24 00 40 10 21 90 A0 00 08 00 93 8C 04 00 42 8E FF FF 03 24 02 00 43 10 01 00 42 24 04 00 42 AE 80 88 06 00 21 98 71 02 00 00 64 8E 11 00 80 10 2C 00 BF 8F 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 08 00 40 14 2C 00 BF 8F 00 00 82 8C 04 00 42 8C 09 F8 40 00 00 00 00 00 08 00 13 8E 21 98 71 02 2C 00 BF 8F 00 00 72 AE 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 01 00 D1 24 28 00 22 2E 13 00 40 14 80 28 11 00 08 00 04 8E ?? ?? ?? 0? 10 00 A6 AF 21 98 40 00 15 00 40 10 10 00 A6 8F 0C 00 02 8E 2B 18 51 00 D1 FF 60 10 08 00 13 AE 80 18 02 00 21 18 63 02 01 00 42 24 00 00 60 AC FD FF 51 14 04 00 63 24 ?? ?? ?? 0? 0C 00 02 AE 08 00 04 8E A0 00 05 24 ?? ?? ?? 0? 10 00 A6 AF 28 00 11 24 21 98 40 00 ED FF 40 14 10 00 A6 8F ?? ?? 14 3C ?? ?? 82 82 07 00 40 10 ?? ?? 84 26 ?? ?? 14 3C ?? ?? 84 26 ?? ?? ?? 0? 10 00 A6 AF ?? ?? ?? 0? 10 00 A6 8F ?? ?? ?? 0? 10 00 A6 AF F7 FF 40 10 10 00 A6 8F ?? ?? 02 3C ?? ?? 84 26 ?? ?? 42 24 ?? ?? 14 3C 10 00 A6 AF ?? ?? ?? 0? ?? ?? 82 AE ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 A6 8F }
	condition:
		$1
}

rule file_640_54_4 {
	meta:
		name = "_ZNSt8numpunctIcE5_InitERKSt8_Locinfob"
		size = 428
		refs = "0020 localeconv 0040 _Getpmbstate 0048 _Getpwcstate 0050 strlen 005c _Znam"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 21 80 80 00 20 00 B4 AF 1C 00 B3 AF ?? ?? ?? 0? FF 00 D2 30 21 88 40 00 08 00 00 AE 10 00 00 AE 5A 00 40 16 14 00 00 AE 30 00 53 8C ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 A0 54 00 21 18 40 00 00 00 64 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 73 26 ?? ?? ?? 0? 08 00 02 AE ?? ?? ?? 0? 40 00 53 8C ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 A0 54 00 21 18 40 00 00 00 64 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 73 26 ?? ?? ?? 0? 10 00 02 AE ?? ?? ?? 0? 44 00 53 8C ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 01 00 54 24 ?? ?? ?? 0? 21 20 80 02 07 00 80 12 21 A0 54 00 21 18 40 00 00 00 64 92 00 00 64 A0 01 00 63 24 FC FF 74 14 01 00 73 26 2C 00 23 8E 14 00 02 AE ?? ?? ?? 0? 00 00 73 80 ?? ?? ?? 0? 00 00 00 00 0C 00 13 A2 34 00 22 8E ?? ?? ?? 0? 00 00 51 80 ?? ?? ?? 0? 00 00 00 00 0C 00 40 12 0D 00 11 A2 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 2E 00 02 24 ?? ?? ?? 0? 0C 00 02 A2 ?? ?? ?? 0? 00 00 00 00 2C 00 02 24 0D 00 02 A2 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 }
	condition:
		$1
}

rule file_640_55_4 {
	meta:
		name = "_ZNSt6locale7_Locimp8_MakelocERKSt8_LocinfoiPS0_PKS_"
		size = 2468
		refs = "0048 _ZNSt9_FacetptrISt5ctypeIcEE6_PsaveE 0054 _ZNSt5ctypeIcE2idE 0060 _ZNSt6locale2id7_Id_cntE 00c4 _ZNSt6locale7_Locimp7_AddfacEPNS_5facetEm 00dc _ZNSt9_FacetptrISt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEE6_PsaveE 00e8 _ZNSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE 0168 _ZNSt9_FacetptrISt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEEE6_PsaveE 016c _ZNSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 01e4 _ZNSt8numpunctIcE2idE 01f4 _ZNSt9_FacetptrISt8numpunctIcEE6_PsaveE 0270 _ZNSt7codecvtIcc9_MbstatetE2idE 0280 _ZNSt9_FacetptrISt7codecvtIcc9_MbstatetEE6_PsaveE 02fc _ZNSt6locale7_Locimp9_MakexlocERKSt8_LocinfoiPS0_PKS_ 0310 _ZNSt6locale7_Locimp9_MakewlocERKSt8_LocinfoiPS0_PKS_ 0340 free 0370 malloc 0388 memcpy 0450 _Znwm 045c _ZTVSt7codecvtIcc9_MbstatetE 04b4 _Tolotab 04c0 _Touptab 04bc _Ctype 04cc _ZTVSt5ctypeIcE 053c _ZTVSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE 0548 _Getpmbstate 0550 _Getpwcstate 0590 _ZTVSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE 05dc _ZTVSt8numpunctIcE 05f8 _ZNSt8numpunctIcE5_InitERKSt8_Locinfob 0670 _ZNSt6locale16_GetgloballocaleEv 0758 _ZNSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 0784 _ZNSt6locale5facet9_RegisterEv 0794 _ZNSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE7_GetcatEPPKNSt6locale5facetEPKS5_ 07d0 _ZNSt5ctypeIcE7_GetcatEPPKNSt6locale5facetEPKS1_ 0898 _ZNSt8_LocinfoC1EPKc 08d8 _ZNSt8_LocinfoD1Ev 0974 abort"
	strings:
		$1 = { F0 FE BD 27 F8 00 B4 AF 02 00 B4 30 F4 00 B3 AF F0 00 B2 AF EC 00 B1 AF E8 00 B0 AF 0C 01 BF AF 08 01 BE AF 04 01 B7 AF 00 01 B6 AF FC 00 B5 AF 21 90 A0 00 21 98 80 00 21 80 C0 00 23 00 80 12 21 88 E0 00 18 01 E0 10 ?? ?? 17 3C ?? ?? 15 3C ?? ?? E3 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 DD 00 80 54 08 00 45 8C 14 00 42 90 77 01 40 14 21 B0 60 00 CD 01 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE ?? ?? ?? 0? 21 28 C0 02 08 00 42 32 64 00 40 10 00 00 00 00 13 01 20 12 ?? ?? 17 3C ?? ?? 15 3C ?? ?? E3 8E ?? ?? A6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? A4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 B1 00 80 54 08 00 45 8C 14 00 42 90 6A 01 40 14 21 B0 60 00 99 01 C0 12 10 00 A4 27 ?? ?? A6 8E 07 00 C0 14 21 28 C0 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE 21 20 00 02 ?? ?? 15 3C ?? ?? ?? 0? ?? ?? 16 3C ?? ?? A3 8E ?? ?? C6 8E 07 00 C0 14 10 00 A3 AF ?? ?? 02 3C ?? ?? 44 8C 01 00 84 24 21 30 80 00 ?? ?? 44 AC ?? ?? C4 AE 00 00 22 8E 0C 00 44 8C 2B 20 C4 00 9E 00 80 54 08 00 45 8C 14 00 42 90 53 01 40 14 21 B8 60 00 69 01 E0 12 10 00 A4 27 ?? ?? C6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? C3 AE 21 28 E0 02 ?? ?? ?? 0? ?? ?? 15 3C ?? ?? A6 8E ?? ?? 16 3C 07 00 C0 14 ?? ?? DE 8E ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE 00 00 22 8E 0C 00 43 8C 2B 18 C3 00 85 00 60 54 08 00 44 8C 14 00 42 90 1B 01 40 14 00 00 00 00 94 01 C0 13 21 B8 C0 03 ?? ?? A6 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? A3 AE ?? ?? ?? 0? 21 28 E0 02 23 00 80 12 21 20 60 02 78 00 20 12 ?? ?? 14 3C ?? ?? 86 8E ?? ?? 16 3C 07 00 C0 14 ?? ?? D7 8E ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 83 AE 00 00 22 8E 0C 00 43 8C 2B 18 C3 00 46 00 60 54 08 00 44 8C 14 00 42 90 1A 01 40 14 00 00 00 00 92 01 E0 12 21 A8 E0 02 ?? ?? 86 8E 07 00 C0 14 21 20 00 02 ?? ?? 02 3C ?? ?? 43 8C 01 00 63 24 21 30 60 00 ?? ?? 43 AC ?? ?? 83 AE ?? ?? ?? 0? 21 28 A0 02 21 20 60 02 21 28 40 02 21 38 20 02 ?? ?? ?? 0? 21 30 00 02 21 20 60 02 21 28 40 02 21 38 20 02 ?? ?? ?? 0? 21 30 00 02 5C 00 71 8E 10 00 02 8E 18 00 04 8E 60 00 73 26 25 90 52 00 0A 88 71 02 17 00 24 12 10 00 12 AE 04 00 80 50 18 00 00 AE ?? ?? ?? 0? 00 00 00 00 18 00 00 AE 00 00 22 82 04 00 40 10 21 30 20 02 01 00 C6 24 00 00 C2 80 FE FF 40 14 01 00 C6 24 23 30 D1 00 21 20 C0 00 ?? ?? ?? 0? E0 00 A6 AF 18 00 02 AE 04 00 40 10 E0 00 A6 8F 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 0C 01 BF 8F 21 10 00 02 08 01 BE 8F 04 01 B7 8F 00 01 B6 8F FC 00 B5 8F F8 00 B4 8F F4 00 B3 8F F0 00 B2 8F EC 00 B1 8F E8 00 B0 8F 08 00 E0 03 10 01 BD 27 80 18 06 00 21 18 83 00 00 00 75 8C BD FF A0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C 52 FF C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 96 8C 26 FF C0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 20 06 00 21 20 A4 00 00 00 97 8C 65 FF E0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 80 18 06 00 21 18 83 00 00 00 77 8C 7E FF E0 16 00 00 00 00 ?? ?? ?? 0? 14 00 42 90 ?? ?? ?? 0? 08 00 04 24 04 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 54 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 ?? ?? ?? 0? 18 00 04 24 0E 00 40 10 ?? ?? 03 3C ?? ?? 64 8C ?? ?? 05 3C ?? ?? 03 3C ?? ?? 63 8C ?? ?? A5 8C ?? ?? 06 3C ?? ?? C6 24 04 00 40 AC 00 00 46 AC 08 00 45 AC 0C 00 44 AC 10 00 43 AC 14 00 40 AC ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 14 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 08 00 42 32 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? E0 00 A5 AF ?? ?? ?? 0? 21 A8 40 00 E0 00 A5 8F 0C 00 A2 AC 08 00 B5 AC ?? ?? 02 3C ?? ?? 46 8C 3A 00 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 10 00 04 24 0C 00 40 10 21 28 40 00 04 00 40 AC ?? ?? 02 3C ?? ?? 42 24 00 00 A2 AC ?? ?? ?? 0? E0 00 A5 AF ?? ?? ?? 0? 21 A8 40 00 E0 00 A5 8F 0C 00 A2 AC 08 00 B5 AC ?? ?? 02 3C ?? ?? 46 8C 1F 00 C0 10 ?? ?? 03 3C ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 18 00 04 24 0A 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 20 40 00 21 28 60 02 21 30 00 00 ?? ?? ?? 0? E0 00 A2 AF E0 00 A2 8F ?? ?? 03 3C ?? ?? 66 8C 08 00 C0 14 21 20 00 02 ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 30 A0 00 ?? ?? 85 AC ?? ?? 65 AC 21 20 00 02 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? ?? 0? ?? ?? 44 AC ?? ?? 64 8C 01 00 84 24 21 30 80 00 ?? ?? 64 AC ?? ?? ?? 0? ?? ?? 44 AC ?? ?? ?? 0? E0 00 A6 AF 0C 00 43 8C E0 00 A6 8F 2B 18 C3 00 6B 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 B0 60 00 ?? ?? ?? 0? E0 00 A6 AF 0C 00 43 8C E0 00 A6 8F 2B 18 C3 00 E0 FE 60 10 80 30 06 00 08 00 42 8C 21 30 46 00 00 00 D7 8C DB FE E0 12 00 00 00 00 ?? ?? ?? 0? ?? ?? A6 8E ?? ?? ?? 0? E0 00 A6 AF 0C 00 43 8C E0 00 A6 8F 2B 18 C3 00 5D 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 B0 60 00 ?? ?? ?? 0? E0 00 A6 AF 0C 00 43 8C E0 00 A6 8F 2B 18 C3 00 3F 00 60 54 08 00 42 8C 10 00 A3 8F ?? ?? ?? 0? 21 B8 60 00 ?? ?? ?? 0? E0 00 A6 AF 0C 00 43 8C E0 00 A6 8F 2B 18 C3 00 E1 FE 60 10 80 30 06 00 08 00 42 8C 21 30 46 00 00 00 D5 8C DC FE A0 12 00 00 00 00 ?? ?? ?? 0? ?? ?? 86 8E ?? ?? ?? 0? 21 28 20 02 FF FF 03 24 83 00 43 10 00 00 00 00 10 00 B7 8F 04 00 E2 8E 03 00 43 10 ?? ?? B7 AE 01 00 42 24 04 00 E2 AE ?? ?? ?? 0? 21 20 E0 02 ?? ?? ?? 0? ?? ?? C6 8E ?? ?? ?? 0? 21 28 20 02 FF FF 03 24 7C 00 43 10 00 00 00 00 10 00 B6 8F 04 00 C2 8E 03 00 43 10 ?? ?? F6 AE 01 00 42 24 04 00 C2 AE ?? ?? ?? 0? 21 20 C0 02 ?? ?? ?? 0? ?? ?? A6 8E ?? ?? ?? 0? 21 28 20 02 FF FF 03 24 69 00 43 10 00 00 00 00 10 00 B6 8F 04 00 C2 8E 03 00 43 10 ?? ?? F6 AE 01 00 42 24 04 00 C2 AE ?? ?? ?? 0? 21 20 C0 02 ?? ?? ?? 0? ?? ?? A6 8E 80 30 06 00 21 30 46 00 00 00 D7 8C 68 FE E0 56 ?? ?? C6 8E 10 00 B7 8F 65 FE E0 56 ?? ?? C6 8E ?? ?? ?? 0? 10 00 A4 27 80 30 06 00 21 30 46 00 00 00 D6 8C 18 FE C0 16 ?? ?? A6 8E 10 00 B6 8F 15 FE C0 16 10 00 A4 27 ?? ?? ?? 0? 00 00 00 00 80 30 06 00 21 30 46 00 00 00 D6 8C 33 FE C0 56 ?? ?? A6 8E 10 00 B6 8F 30 FE C0 56 ?? ?? A6 8E ?? ?? ?? 0? 10 00 A4 27 00 00 22 8E 14 00 A4 27 21 B8 00 00 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 18 00 04 24 0B 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 20 40 00 14 00 A5 27 01 00 06 24 ?? ?? ?? 0? E0 00 A2 AF E0 00 A2 8F 21 B8 40 00 ?? ?? ?? 0? 14 00 A4 27 04 00 E2 8E FF FF 03 24 03 00 43 10 ?? ?? D7 AE 01 00 42 24 04 00 E2 AE ?? ?? ?? 0? 21 20 E0 02 ?? ?? ?? 0? ?? ?? A6 8E 00 00 22 8E 78 00 A4 27 21 A8 00 00 18 00 45 8C 1C 00 42 24 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 08 00 04 24 05 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 A8 40 00 ?? ?? ?? 0? 78 00 A4 27 04 00 A2 8E FF FF 03 24 03 00 43 10 ?? ?? D5 AE 01 00 42 24 04 00 A2 AE ?? ?? ?? 0? 21 20 A0 02 ?? ?? ?? 0? ?? ?? 86 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? C6 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? A6 8E ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? ?? ?? A6 8E }
	condition:
		$1
}

rule file_640_56_4 {
	meta:
		name = "_ZNSt6locale7_LocimpC2ERKS0_"
		size = 480
		refs = "003c _ZTVNSt6locale7_LocimpE 0088 malloc 00a0 memcpy 00a8 _ZNSt6locale7_Locimp8_ClocptrE 0164 _ZSt6_ThrowRKSt9exception 0174 __cxa_guard_acquire 0184 _ZTVSt9bad_alloc 0194 __cxa_guard_release 01a0 atexit 01b4 _ZNSt8_LocinfoC1EPKc 01c8 _ZNSt6locale7_Locimp8_MakelocERKSt8_LocinfoiPS0_PKS_ 01d0 _ZNSt8_LocinfoD1Ev"
	strings:
		$1 = { 70 FF BD 27 84 00 B1 AF 21 88 A0 00 18 00 A5 8C 80 00 B0 AF 21 80 80 00 1C 00 24 26 0A 28 85 00 0C 00 26 8E 14 00 22 92 01 00 04 24 10 00 23 8E 8C 00 BF AF 88 00 B2 AF 04 00 04 AE ?? ?? 04 3C ?? ?? 84 24 0C 00 06 AE 00 00 04 AE 08 00 00 AE 10 00 03 AE 14 00 02 A2 1C 00 00 A2 18 00 00 AE 00 00 A2 80 04 00 40 10 21 30 A0 00 01 00 C6 24 00 00 C2 80 FE FF 40 14 01 00 C6 24 23 30 C5 00 21 20 C0 00 78 00 A5 AF ?? ?? ?? 0? 7C 00 A6 AF 18 00 02 AE 78 00 A5 8F 03 00 40 10 7C 00 A6 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? 02 3C ?? ?? 42 8C 3F 00 22 12 ?? ?? 05 3C 0C 00 04 8E 07 00 80 14 00 00 00 00 8C 00 BF 8F 88 00 B2 8F 84 00 B1 8F 80 00 B0 8F 08 00 E0 03 90 00 BD 27 ?? ?? ?? 0? 80 20 04 00 1A 00 40 10 08 00 02 AE 0C 00 03 8E F4 FF 60 10 80 10 03 00 08 00 25 8E 08 00 04 8E 21 28 A2 00 21 20 82 00 FF FF 08 24 FC FF A2 8C FF FF 63 24 FC FF A5 24 05 00 40 10 FC FF 82 AC 04 00 46 8C 02 00 C8 10 01 00 C7 24 04 00 47 AC F6 FF 60 14 FC FF 84 24 8C 00 BF 8F 88 00 B2 8F 84 00 B1 8F 80 00 B0 8F 08 00 E0 03 90 00 BD 27 ?? ?? 12 3C ?? ?? 42 82 06 00 40 10 00 00 00 00 ?? ?? 12 3C ?? ?? ?? 0? ?? ?? 44 26 ?? ?? ?? 0? 0C 00 03 8E ?? ?? ?? 0? ?? ?? 44 26 F9 FF 40 50 ?? ?? 12 3C ?? ?? 02 3C ?? ?? 44 26 ?? ?? 42 24 ?? ?? 12 3C ?? ?? ?? 0? ?? ?? 42 AE ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 00 00 00 00 10 00 A4 27 ?? ?? ?? 0? ?? ?? A5 24 10 00 A4 27 3F 00 05 24 21 30 00 02 ?? ?? ?? 0? 21 38 00 00 ?? ?? ?? 0? 10 00 A4 27 ?? ?? ?? 0? 8C 00 BF 8F }
	condition:
		$1
}

rule file_640_57_4 {
	meta:
		name = "_ZNSs5_GrowEmb"
		size = 568
		refs = "00b0 _ZdlPv 013c _Znwm 016c memcpy 01e8 _ZSt14_Xlength_errorPKc 0148 _ZTVSt9bad_alloc 0218 _ZNKSt9exception6_RaiseEv 0224 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { D0 FF BD 27 FF FF 02 24 20 00 B2 AF 1C 00 B1 AF 18 00 B0 AF 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 21 80 A0 00 21 88 80 00 6E 00 A2 10 FF 00 D2 30 14 00 22 8E 2B 18 50 00 2D 00 60 54 0F 00 12 36 11 00 40 56 10 00 03 2E 06 00 00 16 10 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 20 AE 00 00 60 A0 2C 00 BF 8F 2B 10 10 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 F7 FF 60 10 2C 00 BF 8F 10 00 23 8E 10 00 42 2C 2B 90 70 00 0A 18 12 02 05 00 40 14 21 90 60 00 53 00 60 14 00 00 33 8E ?? ?? ?? 0? 21 20 60 02 21 10 32 02 00 00 40 A0 2C 00 BF 8F 0F 00 03 24 10 00 32 AE 2B 10 10 00 14 00 23 AE 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 FF FF 03 24 35 00 43 12 10 00 34 8E AA AA 03 3C AB AA 63 34 19 00 43 02 42 18 02 00 10 38 00 00 42 20 07 00 2B 20 83 00 2E 00 80 10 01 00 44 26 FE FF 04 24 23 20 83 00 2B 20 82 00 28 00 80 10 21 90 62 00 FF FF 04 24 FE FF 12 24 ?? ?? ?? 0? 00 00 00 00 32 00 40 10 ?? ?? 13 3C 21 98 40 00 14 00 22 8E 09 00 80 12 10 00 42 2C 02 00 40 14 21 28 20 02 00 00 25 8E 21 20 60 02 ?? ?? ?? 0? 21 30 80 02 14 00 22 8E 10 00 42 2C 04 00 40 14 10 00 42 2E ?? ?? ?? 0? 00 00 24 8E 10 00 42 2E 00 00 33 AE 0B 98 22 02 21 98 74 02 14 00 32 AE 10 00 34 AE 00 00 60 A2 2C 00 BF 8F 2B 10 10 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 21 90 00 02 01 00 44 26 DF FF 80 10 21 98 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 14 00 22 8E 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 30 60 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 73 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B3 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B3 AF 21 98 00 00 ?? ?? ?? 0? 14 00 22 8E }
	condition:
		$1
}

rule file_640_58_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basecb"
		size = 1520
		refs = "0074 _ZNSt8numpunctIcE2idE 0084 _ZNSt9_FacetptrISt8numpunctIcEE6_PsaveE 0088 _ZNSt6locale2id7_Id_cntE 0138 _ZNSs5_GrowEmb 016c memcpy 0374 _ZdlPv 0534 _ZNSt8_LocinfoC1EPKc 053c _Znwm 0548 _ZTVSt8numpunctIcE 0564 _ZNSt8numpunctIcE5_InitERKSt8_Locinfob 0574 _ZNSt8_LocinfoD1Ev 0594 _ZNSt6locale5facet9_RegisterEv 05b4 _ZNSt6locale16_GetgloballocaleEv"
	strings:
		$1 = { E0 FE BD 27 F8 00 B0 AF 30 01 B0 8F 14 01 B7 AF 10 01 B6 AF 10 00 02 8E 04 01 B3 AF 00 01 B2 AF 00 80 42 30 FC 00 B1 AF 1C 01 BF AF 18 01 BE AF 0C 01 B5 AF 08 01 B4 AF 21 88 80 00 28 01 A6 AF 2C 01 A7 AF 34 01 B7 83 38 01 B3 93 FF 00 D2 30 1D 01 40 10 21 B0 E0 00 24 00 02 8E FF FF 03 24 00 00 54 8C 04 00 82 8E 02 00 43 10 01 00 42 24 04 00 82 AE ?? ?? 02 3C ?? ?? 43 8C ?? ?? 15 3C 07 00 60 14 ?? ?? A4 8E ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 18 C0 00 ?? ?? A6 AC ?? ?? 46 AC 0C 00 82 8E 2B 10 62 00 1B 01 40 50 14 00 82 92 08 00 85 8E 80 10 03 00 21 10 A2 00 00 00 5E 8C 15 01 C0 53 14 00 82 92 04 00 82 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 83 AE 21 10 60 00 06 00 40 14 0F 00 02 24 00 00 82 8E 04 00 42 8C 09 F8 40 00 21 20 80 02 0F 00 02 24 4C 00 A2 AF 48 00 A0 AF C4 00 60 12 38 00 A0 A3 00 00 C2 8F 54 00 B4 27 21 20 80 02 18 00 42 8C 21 28 C0 03 09 F8 40 00 38 00 B3 27 64 00 B5 8F 21 20 60 02 21 30 00 00 ?? ?? ?? 0? 21 28 A0 02 13 00 40 10 4C 00 A4 8F 38 00 A2 8F 68 00 A5 8F 10 00 84 2C 0B 10 64 02 21 20 40 00 54 00 A2 8F 10 00 A5 2C 21 30 A0 02 0A A0 45 00 ?? ?? ?? 0? 21 28 80 02 4C 00 A2 8F 38 00 A3 8F 48 00 B5 AF 10 00 42 2C 0B 18 62 02 21 A8 75 00 00 00 A0 A2 68 00 A2 8F 10 00 42 2C 02 01 40 10 00 00 00 00 0F 00 02 24 68 00 A2 AF 64 00 A0 AF 54 00 A0 A3 18 00 02 8E 06 00 40 18 21 F0 00 00 48 00 A3 8F 2B F0 62 00 23 10 43 00 0A 10 1E 00 21 F0 40 00 10 00 04 8E 02 00 03 24 0E 00 84 30 20 00 83 10 21 10 40 02 28 01 B2 A3 28 01 A2 8F 2C 01 B6 AF 34 00 B6 AF 13 00 C0 13 30 00 A2 AF FF 00 F4 32 FF FF 15 24 0C 00 C0 52 01 00 12 24 24 00 C3 8E 00 00 62 8C 66 00 40 10 01 00 44 24 34 00 C5 8E 00 00 A5 8C 23 28 A2 00 62 00 A0 58 00 00 C2 8E 00 00 64 AC 00 00 57 A0 FF FF DE 27 F1 FF C0 17 00 00 00 00 30 00 B2 A3 30 00 A3 8F 24 00 B6 AF 21 10 40 02 20 00 A3 AF 28 01 A3 AF 21 F0 00 00 4C 00 A4 8F 38 00 A3 8F 28 01 A2 A3 10 00 84 2C 0A 98 64 00 48 00 B5 8F 28 01 A3 8F 2C 01 B6 AF 34 00 B6 AF 30 00 A3 AF 18 00 A0 12 21 90 40 00 21 A8 75 02 ?? ?? ?? 0? FF FF 14 24 24 00 C3 8E 00 00 62 8C 4B 00 40 10 01 00 44 24 34 00 C6 8E 00 00 C6 8C 23 30 C2 00 47 00 C0 58 00 00 C2 8E 00 00 64 AC 00 00 45 A0 01 00 73 26 08 00 75 52 30 00 B2 A3 F1 FF C0 16 00 00 65 82 01 00 12 24 01 00 73 26 FB FF 75 16 00 00 00 00 30 00 B2 A3 30 00 A2 8F 2C 00 B6 AF 2C 01 B6 AF 28 00 A2 AF 28 01 A2 AF 18 00 00 AE 13 00 C0 13 34 00 B6 AF FF 00 F3 32 FF FF 10 24 0C 00 C0 52 01 00 12 24 24 00 C3 8E 00 00 62 8C 33 00 40 10 01 00 44 24 34 00 C5 8E 00 00 A5 8C 23 28 A2 00 2F 00 A0 58 00 00 C2 8E 00 00 64 AC 00 00 57 A0 FF FF DE 27 F1 FF C0 17 00 00 00 00 4C 00 A2 8F 30 00 A3 8F 04 00 36 AE 10 00 42 2C 00 00 23 AE 03 00 40 14 00 00 32 A2 ?? ?? ?? 0? 38 00 A4 8F 1C 01 BF 8F 21 10 20 02 18 01 BE 8F 14 01 B7 8F 10 01 B6 8F 0C 01 B5 8F 08 01 B4 8F 04 01 B3 8F 00 01 B2 8F FC 00 B1 8F F8 00 B0 8F 08 00 E0 03 20 01 BD 27 00 00 C2 8E 21 20 C0 02 10 00 42 8C 09 F8 40 00 21 28 80 02 9D FF 55 54 FF FF DE 27 ?? ?? ?? 0? 01 00 12 24 00 00 C2 8E 21 20 C0 02 10 00 42 8C 09 F8 40 00 FF 00 A5 30 B8 FF 54 54 01 00 73 26 ?? ?? ?? 0? 01 00 12 24 00 00 C2 8E 21 20 C0 02 10 00 42 8C 09 F8 40 00 21 28 60 02 D0 FF 50 54 FF FF DE 27 ?? ?? ?? 0? 01 00 12 24 00 00 C2 8F 70 00 B4 27 21 20 80 02 14 00 42 8C 21 28 C0 03 09 F8 40 00 38 00 B3 27 80 00 B5 8F 21 20 60 02 21 30 00 00 ?? ?? ?? 0? 21 28 A0 02 13 00 40 10 4C 00 A4 8F 38 00 A2 8F 84 00 A5 8F 10 00 84 2C 0B 10 64 02 21 20 40 00 70 00 A2 8F 10 00 A5 2C 21 30 A0 02 0A A0 45 00 ?? ?? ?? 0? 21 28 80 02 4C 00 A2 8F 38 00 A3 8F 48 00 B5 AF 10 00 42 2C 0B 18 62 02 21 A8 75 00 00 00 A0 A2 84 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 70 00 A4 8F 0F 00 02 24 84 00 A2 AF 80 00 A0 AF ?? ?? ?? 0? 70 00 A0 A3 00 00 A2 8C 10 00 B0 AF 14 00 B7 AF 18 00 B3 AF 0C 00 42 8C 09 F8 40 00 00 00 00 00 1C 01 BF 8F 21 10 20 02 18 01 BE 8F 14 01 B7 8F 10 01 B6 8F 0C 01 B5 8F 08 01 B4 8F 04 01 B3 8F 00 01 B2 8F FC 00 B1 8F F8 00 B0 8F 08 00 E0 03 20 01 BD 27 26 00 40 54 F4 00 A3 AF E9 FE 80 14 21 F0 80 00 18 00 85 8E 1C 00 82 26 8C 00 A4 27 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 18 00 04 24 0B 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 20 40 00 8C 00 A5 27 01 00 06 24 ?? ?? ?? 0? F0 00 A2 AF F0 00 A2 8F 21 F0 40 00 ?? ?? ?? 0? 8C 00 A4 27 04 00 C2 8F FF FF 03 24 03 00 43 10 ?? ?? BE AE 01 00 42 24 04 00 C2 AF ?? ?? ?? 0? 21 20 C0 03 ?? ?? ?? 0? 04 00 82 8E ?? ?? ?? 0? 54 00 A4 8F ?? ?? ?? 0? 0F 00 02 24 ?? ?? ?? 0? F0 00 A4 AF 0C 00 45 8C F4 00 A3 8F 2B 28 65 00 D5 FF A0 10 F0 00 A4 8F 08 00 42 8C 80 18 03 00 21 18 43 00 00 00 7E 8C BA FE C0 57 04 00 82 8E ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_640_59_4 {
	meta:
		name = "_ZNKSt8numpunctIcE11do_groupingEv"
		size = 628
		refs = "0034 strlen 0090 _ZNSs5_GrowEmb 00b8 memcpy 0178 memmove 0230 _ZSt14_Xout_of_rangePKc"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 08 00 B2 8C 0F 00 02 24 1C 00 B3 AF 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 21 88 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 ?? ?? ?? 0? 21 20 40 02 21 98 40 00 11 00 40 12 21 80 20 02 14 00 22 8E 10 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 2B 18 43 02 0A 00 60 54 21 20 20 02 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 26 8E 21 18 66 00 2B 18 43 02 1F 00 60 14 00 00 00 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 30 00 00 11 00 40 10 24 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 40 02 ?? ?? ?? 0? 21 30 60 02 14 00 22 8E 10 00 42 2C 01 00 40 50 00 00 30 8E 21 80 13 02 10 00 33 AE 00 00 00 A2 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 46 00 40 50 00 00 22 8E 21 10 20 02 23 90 42 02 2B 10 D2 00 46 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4A 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 21 00 82 52 14 00 22 8E 1F 00 80 56 14 00 22 8E 2B 10 46 02 0A 90 C2 00 E1 FF 40 12 24 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 14 00 22 8E 10 00 23 8E 10 00 42 2C 02 00 40 14 23 90 72 00 00 00 30 8E 21 80 12 02 10 00 32 AE 00 00 00 A2 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 10 00 42 2C 27 00 40 14 21 20 33 02 00 00 22 8E 21 20 53 00 21 98 93 02 21 28 53 00 ?? ?? ?? 0? 21 30 00 00 14 00 23 8E 10 00 24 8E 21 10 20 02 10 00 63 2C 02 00 60 14 23 A0 94 00 00 00 22 8E 21 10 54 00 10 00 34 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 26 8E 23 90 42 02 2B 10 D2 00 BE FF 40 10 23 10 D2 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 26 8E 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 BA FF 40 10 23 A0 D3 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E ?? ?? ?? 0? 21 10 20 02 }
	condition:
		$1
}

rule file_640_60_4 {
	meta:
		name = "_ZNKSt8numpunctIcE12do_falsenameEv"
		size = 628
		refs = "0034 strlen 0090 _ZNSs5_GrowEmb 00b8 memcpy 0178 memmove 0230 _ZSt14_Xout_of_rangePKc"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 10 00 B2 8C 0F 00 02 24 1C 00 B3 AF 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 21 88 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 ?? ?? ?? 0? 21 20 40 02 21 98 40 00 11 00 40 12 21 80 20 02 14 00 22 8E 10 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 2B 18 43 02 0A 00 60 54 21 20 20 02 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 26 8E 21 18 66 00 2B 18 43 02 1F 00 60 14 00 00 00 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 30 00 00 11 00 40 10 24 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 40 02 ?? ?? ?? 0? 21 30 60 02 14 00 22 8E 10 00 42 2C 01 00 40 50 00 00 30 8E 21 80 13 02 10 00 33 AE 00 00 00 A2 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 46 00 40 50 00 00 22 8E 21 10 20 02 23 90 42 02 2B 10 D2 00 46 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4A 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 21 00 82 52 14 00 22 8E 1F 00 80 56 14 00 22 8E 2B 10 46 02 0A 90 C2 00 E1 FF 40 12 24 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 14 00 22 8E 10 00 23 8E 10 00 42 2C 02 00 40 14 23 90 72 00 00 00 30 8E 21 80 12 02 10 00 32 AE 00 00 00 A2 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 10 00 42 2C 27 00 40 14 21 20 33 02 00 00 22 8E 21 20 53 00 21 98 93 02 21 28 53 00 ?? ?? ?? 0? 21 30 00 00 14 00 23 8E 10 00 24 8E 21 10 20 02 10 00 63 2C 02 00 60 14 23 A0 94 00 00 00 22 8E 21 10 54 00 10 00 34 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 26 8E 23 90 42 02 2B 10 D2 00 BE FF 40 10 23 10 D2 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 26 8E 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 BA FF 40 10 23 A0 D3 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E ?? ?? ?? 0? 21 10 20 02 }
	condition:
		$1
}

rule file_640_61_4 {
	meta:
		name = "_ZNKSt8numpunctIcE11do_truenameEv"
		size = 628
		refs = "0034 strlen 0090 _ZNSs5_GrowEmb 00b8 memcpy 0178 memmove 0230 _ZSt14_Xout_of_rangePKc"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 14 00 B2 8C 0F 00 02 24 1C 00 B3 AF 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 21 88 80 00 14 00 82 AC 10 00 80 AC 00 00 80 A0 ?? ?? ?? 0? 21 20 40 02 21 98 40 00 11 00 40 12 21 80 20 02 14 00 22 8E 10 00 42 2C 02 00 40 14 21 18 20 02 00 00 23 8E 2B 18 43 02 0A 00 60 54 21 20 20 02 02 00 40 14 21 18 20 02 00 00 23 8E 10 00 26 8E 21 18 66 00 2B 18 43 02 1F 00 60 14 00 00 00 00 21 20 20 02 21 28 60 02 ?? ?? ?? 0? 21 30 00 00 11 00 40 10 24 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 40 02 ?? ?? ?? 0? 21 30 60 02 14 00 22 8E 10 00 42 2C 01 00 40 50 00 00 30 8E 21 80 13 02 10 00 33 AE 00 00 00 A2 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 46 00 40 50 00 00 22 8E 21 10 20 02 23 90 42 02 2B 10 D2 00 46 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4A 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 21 00 82 52 14 00 22 8E 1F 00 80 56 14 00 22 8E 2B 10 46 02 0A 90 C2 00 E1 FF 40 12 24 00 BF 8F 14 00 22 8E 10 00 42 2C 02 00 40 14 21 20 20 02 00 00 24 8E 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 14 00 22 8E 10 00 23 8E 10 00 42 2C 02 00 40 14 23 90 72 00 00 00 30 8E 21 80 12 02 10 00 32 AE 00 00 00 A2 24 00 BF 8F 21 10 20 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 10 00 42 2C 27 00 40 14 21 20 33 02 00 00 22 8E 21 20 53 00 21 98 93 02 21 28 53 00 ?? ?? ?? 0? 21 30 00 00 14 00 23 8E 10 00 24 8E 21 10 20 02 10 00 63 2C 02 00 60 14 23 A0 94 00 00 00 22 8E 21 10 54 00 10 00 34 AE 00 00 40 A0 ?? ?? ?? 0? 10 00 26 8E 23 90 42 02 2B 10 D2 00 BE FF 40 10 23 10 D2 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 10 00 26 8E 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 BA FF 40 10 23 A0 D3 00 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 10 00 26 8E ?? ?? ?? 0? 21 10 20 02 }
	condition:
		$1
}

rule file_640_63_4 {
	meta:
		name = "_ZNSt8_Locinfo8_AddcatsEiPKc"
		size = 600
		refs = "0078 setlocale 00b4 strcmp 0110 free 011c malloc 0134 memcpy 01e4 _ZTVSt13runtime_error 0200 strlen 0210 _ZNSs6assignEPKcm 0218 _ZNKSt9exception6_RaiseEv 0230 _ZdlPv 0248 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { A8 FF BD 27 44 00 B2 AF 40 00 B1 AF 3C 00 B0 AF 54 00 BF AF 50 00 B5 AF 4C 00 B4 AF 48 00 B3 AF 21 90 C0 00 21 80 80 00 6D 00 C0 10 21 88 A0 00 00 00 43 82 2A 00 02 24 2C 00 62 50 01 00 42 82 62 00 20 12 3F 00 02 24 12 00 22 12 3F 00 04 24 21 98 00 00 07 00 15 24 01 00 14 24 01 00 73 26 04 20 74 02 43 20 04 00 09 00 75 12 24 10 91 00 FB FF 40 10 01 00 73 26 ?? ?? ?? 0? 21 28 40 02 04 20 74 02 43 20 04 00 F9 FF 75 16 24 10 91 00 3F 00 04 24 ?? ?? ?? 0? 21 28 40 02 21 88 40 00 14 00 20 12 60 00 02 26 5C 00 04 8E ?? ?? 05 3C 0A 20 44 00 ?? ?? ?? 0? ?? ?? A5 24 21 00 40 54 5C 00 04 8E 54 00 BF 8F 21 10 00 02 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 D4 FF 40 14 00 00 00 00 5C 00 04 8E ?? ?? 11 3C ?? ?? 22 26 F1 FF 82 10 54 00 BF 8F 04 00 80 50 02 00 04 24 ?? ?? ?? 0? 00 00 00 00 02 00 04 24 ?? ?? ?? 0? 5C 00 00 AE 21 20 40 00 E6 FF 40 10 5C 00 02 AE ?? ?? 25 26 ?? ?? ?? 0? 02 00 06 24 ?? ?? ?? 0? 54 00 BF 8F E0 FF 24 12 54 00 BF 8F 04 00 80 50 5C 00 00 AE ?? ?? ?? 0? 00 00 00 00 5C 00 00 AE 00 00 22 82 04 00 40 10 21 30 20 02 01 00 C6 24 00 00 C2 80 FE FF 40 14 01 00 C6 24 23 30 D1 00 21 20 C0 00 ?? ?? ?? 0? 30 00 A6 AF 5C 00 02 AE CC FF 40 10 30 00 A6 8F 21 28 20 02 ?? ?? ?? 0? 21 20 40 00 54 00 BF 8F 21 10 00 02 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 3F 00 04 24 ?? ?? ?? 0? 21 28 00 00 ?? ?? ?? 0? 21 88 40 00 ?? ?? 14 3C ?? ?? 13 3C ?? ?? 73 26 ?? ?? 84 26 0F 00 02 24 10 00 B3 AF 28 00 A2 AF 24 00 A0 AF ?? ?? ?? 0? 14 00 A0 A3 21 30 40 00 14 00 A4 27 ?? ?? ?? 0? ?? ?? 85 26 ?? ?? ?? 0? 10 00 A4 27 28 00 A2 8F 10 00 42 2C 03 00 40 14 10 00 B3 AF ?? ?? ?? 0? 14 00 A4 8F 0F 00 02 24 10 00 A4 27 28 00 A2 AF 24 00 A0 AF ?? ?? ?? 0? 14 00 A0 A3 ?? ?? ?? 0? 00 00 43 82 }
	condition:
		$1
}

rule file_640_64_4 {
	meta:
		name = "_ZNSt8_LocinfoC2EiPKc"
		size = 288
		refs = "0020 _Getptimes 0078 setlocale 009c free 00cc malloc 00e4 memcpy 010c _ZNSt8_Locinfo8_AddcatsEiPKc"
	strings:
		$1 = { D0 FF BD 27 24 00 B2 AF 20 00 B1 AF 21 90 80 00 1C 00 B0 AF 2C 00 BF AF 28 00 B3 AF 21 88 A0 00 ?? ?? ?? 0? 21 80 C0 00 50 00 44 24 21 18 40 02 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 00 00 42 8C 3F 00 04 24 21 28 00 00 00 00 62 AC 54 00 40 AE 58 00 40 A2 5C 00 40 AE ?? ?? ?? 0? 60 00 40 A2 24 00 40 10 21 98 40 00 54 00 44 8E 18 00 64 52 21 20 40 02 04 00 80 50 54 00 40 AE ?? ?? ?? 0? 00 00 00 00 54 00 40 AE 00 00 62 82 04 00 40 10 21 30 60 02 01 00 C6 24 00 00 C2 80 FE FF 40 14 01 00 C6 24 23 30 D3 00 21 20 C0 00 ?? ?? ?? 0? 10 00 A6 AF 54 00 42 AE 04 00 40 10 10 00 A6 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 21 20 40 02 21 28 20 02 21 30 00 02 2C 00 BF 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F ?? ?? ?? 0? 30 00 BD 27 ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 }
	condition:
		$1
}

rule file_640_65_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_IputES3_RSt8ios_basecPcm"
		size = 1644
		refs = "006c _ZNSt8numpunctIcE2idE 007c _ZNSt9_FacetptrISt8numpunctIcEE6_PsaveE 0080 _ZNSt6locale2id7_Id_cntE 00cc _ZNSt8_LocinfoC1EPKc 00d4 _Znwm 00e4 _ZTVSt8numpunctIcE 0100 _ZNSt8numpunctIcE5_InitERKSt8_Locinfob 0118 _ZNSt8_LocinfoD1Ev 0140 _ZNSt6locale5facet9_RegisterEv 0390 _ZdlPv 041c memmove 04b8 _ZNSt6locale16_GetgloballocaleEv"
	strings:
		$1 = { 10 FF BD 27 D8 00 B4 AF 00 01 B4 8F E4 00 B7 AF FF FF 03 24 24 00 82 8E E0 00 B6 AF DC 00 B5 AF 00 00 57 8C D0 00 B2 AF CC 00 B1 AF 04 00 E2 8E C8 00 B0 AF EC 00 BF AF E8 00 BE AF D4 00 B3 AF 21 A8 80 00 F8 00 A6 AF FC 00 A7 AF 08 01 B1 8F 0C 01 B2 8F 04 01 B0 83 FF 00 D6 30 03 00 43 10 21 40 E0 00 01 00 42 24 04 00 E2 AE ?? ?? 02 3C ?? ?? 43 8C ?? ?? 1E 3C 07 00 60 14 ?? ?? C4 8F ?? ?? 05 3C ?? ?? A6 8C 01 00 C6 24 21 18 C0 00 ?? ?? A6 AC ?? ?? 46 AC 0C 00 E2 8E 2B 10 62 00 2B 00 40 54 08 00 E5 8E 14 00 E2 92 01 01 40 54 C0 00 A3 AF 2B 00 80 14 21 98 80 00 18 00 E5 8E 1C 00 E2 26 54 00 A4 27 0A 28 45 00 ?? ?? ?? 0? BC 00 A8 AF ?? ?? ?? 0? 18 00 04 24 0D 00 40 10 BC 00 A8 8F ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 20 40 00 54 00 A5 27 01 00 06 24 ?? ?? ?? 0? B8 00 A2 AF B8 00 A2 8F BC 00 A8 8F 21 98 40 00 54 00 A4 27 ?? ?? ?? 0? BC 00 A8 AF 04 00 62 8E FF FF 03 24 ?? ?? D3 AF 03 00 43 10 BC 00 A8 8F 01 00 42 24 04 00 62 AE 21 20 60 02 ?? ?? ?? 0? BC 00 A8 AF ?? ?? ?? 0? BC 00 A8 8F 80 10 03 00 21 10 A2 00 00 00 53 8C D3 FF 60 52 14 00 E2 92 04 00 E2 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 E3 AE 21 10 60 00 B1 00 40 50 00 00 E2 8E 00 00 62 8E 38 00 B7 27 21 20 E0 02 10 00 42 8C 21 28 60 02 09 F8 40 00 BC 00 A8 AF 00 00 22 82 2B 00 03 24 01 00 1E 24 06 00 43 10 BC 00 A8 8F 2D 00 03 24 03 00 43 10 30 00 03 24 B4 00 43 10 21 F0 00 00 4C 00 A7 8F 38 00 A2 8F 10 00 E7 2C 0A B8 47 00 00 00 E3 82 7F 00 02 24 09 00 62 10 21 38 E0 02 07 00 60 18 21 B8 40 02 FF FF 64 24 FF 00 84 30 23 10 FE 02 7E 00 84 2C 7B 00 80 14 2B 10 62 00 18 00 82 8E 05 00 40 18 21 18 00 00 2B 18 42 02 23 10 52 00 0A 10 03 00 21 18 40 00 10 00 82 8E 02 00 04 24 0E 00 42 30 24 00 44 10 21 B8 C0 02 08 00 04 24 AD 00 44 10 F8 00 B6 A3 F8 00 A2 8F FC 00 A8 AF 34 00 A8 AF 13 00 60 10 30 00 A2 AF FF 00 17 32 FF FF 1E 24 0C 00 00 51 01 00 16 24 24 00 04 8D 00 00 82 8C 7A 00 40 10 01 00 45 24 34 00 06 8D 00 00 C6 8C 23 30 C2 00 76 00 C0 58 00 00 02 8D 00 00 85 AC 00 00 50 A0 FF FF 63 24 F1 FF 60 14 00 00 00 00 30 00 B6 A3 30 00 A2 8F 34 00 A8 AF 1C 00 A8 AF 18 00 A2 AF F8 00 A2 AF FC 00 A8 AF 21 B8 C0 02 21 18 00 00 00 00 62 8E 21 20 60 02 0C 00 42 8C C0 00 A3 AF 09 F8 40 00 BC 00 A8 AF BC 00 A8 8F F8 00 B7 A3 F8 00 A5 8F F8 00 A4 27 21 30 00 01 21 38 20 02 14 00 A2 AF FC 00 A8 AF ?? ?? ?? 0? 10 00 B2 AF F8 00 A2 93 FC 00 B3 8F F8 00 A4 8F C0 00 A3 8F 18 00 80 AE 34 00 B3 AF 30 00 A4 AF 13 00 60 10 21 A0 40 00 FF 00 11 32 FF FF 12 24 0C 00 60 52 01 00 14 24 24 00 64 8E 00 00 82 8C 21 00 40 10 01 00 45 24 34 00 66 8E 00 00 C6 8C 23 30 C2 00 1D 00 C0 58 00 00 62 8E 00 00 85 AC 00 00 50 A0 FF FF 63 24 F1 FF 60 14 00 00 00 00 4C 00 A2 8F 30 00 A3 8F 04 00 B3 AE 10 00 42 2C 00 00 A3 AE 03 00 40 14 00 00 B4 A2 ?? ?? ?? 0? 38 00 A4 8F EC 00 BF 8F 21 10 A0 02 E8 00 BE 8F E4 00 B7 8F E0 00 B6 8F DC 00 B5 8F D8 00 B4 8F D4 00 B3 8F D0 00 B2 8F CC 00 B1 8F C8 00 B0 8F 08 00 E0 03 F0 00 BD 27 00 00 62 8E 21 20 60 02 21 28 20 02 10 00 42 8C 09 F8 40 00 C0 00 A3 AF E0 FF 52 14 C0 00 A3 8F ?? ?? ?? 0? 01 00 14 24 23 B8 E3 02 21 18 37 02 01 00 E4 26 21 20 24 02 81 FF 40 10 21 28 60 00 01 00 52 26 23 30 57 02 C0 00 A3 AF B8 00 A7 AF ?? ?? ?? 0? BC 00 A8 AF C0 00 A3 8F 00 00 60 A0 B8 00 A7 8F BC 00 A8 8F 01 00 E3 80 15 00 60 18 01 00 E2 24 ?? ?? ?? 0? 21 38 40 00 21 20 E0 02 04 00 42 8C 09 F8 40 00 BC 00 A8 AF ?? ?? ?? 0? BC 00 A8 8F 00 00 02 8D 21 20 00 01 21 28 E0 02 10 00 42 8C C0 00 A3 AF 09 F8 40 00 BC 00 A8 AF C0 00 A3 8F 85 FF 5E 14 BC 00 A8 8F ?? ?? ?? 0? 01 00 16 24 ?? ?? ?? 0? 00 00 E3 80 01 00 22 82 78 00 03 24 4A FF 43 10 02 00 1E 24 58 00 42 38 ?? ?? ?? 0? 0B F0 02 00 B8 00 A4 AF ?? ?? ?? 0? BC 00 A8 AF 0C 00 45 8C C0 00 A3 8F B8 00 A4 8F 2B 28 65 00 F8 FE A0 10 BC 00 A8 8F 08 00 42 8C 80 18 03 00 21 18 43 00 00 00 73 8C 1F FF 60 56 04 00 E2 8E ?? ?? ?? 0? 00 00 00 00 F8 00 A2 8F FC 00 A8 AF 34 00 A8 AF 30 00 A2 AF 18 00 C0 13 21 30 20 02 21 30 3E 02 ?? ?? ?? 0? FF FF 17 24 24 00 04 8D 00 00 82 8C 37 00 40 10 01 00 47 24 34 00 09 8D 00 00 29 8D 23 48 22 01 33 00 20 59 00 00 02 8D 00 00 87 AC 00 00 45 A0 01 00 31 26 08 00 D1 50 30 00 B6 A3 F1 FF 00 15 00 00 25 82 01 00 16 24 01 00 31 26 FB FF D1 14 00 00 00 00 30 00 B6 A3 30 00 A2 8F 24 00 A8 AF FC 00 A8 AF 20 00 A2 AF F8 00 A2 AF 21 88 C0 00 23 90 5E 02 13 00 60 10 34 00 A8 AF FF 00 17 32 FF FF 1E 24 0C 00 00 51 01 00 16 24 24 00 04 8D 00 00 82 8C 23 00 40 10 01 00 45 24 34 00 06 8D 00 00 C6 8C 23 30 C2 00 1F 00 C0 58 00 00 02 8D 00 00 85 AC 00 00 50 A0 FF FF 63 24 F1 FF 60 14 00 00 00 00 30 00 B6 A3 30 00 A2 8F 34 00 A8 AF 2C 00 A8 AF 28 00 A2 AF F8 00 A2 AF FC 00 A8 AF 21 B8 C0 02 ?? ?? ?? 0? 21 18 00 00 00 00 02 8D 21 20 00 01 FF 00 A5 30 10 00 42 8C C0 00 A3 AF B8 00 A6 AF 09 F8 40 00 BC 00 A8 AF C0 00 A3 8F B8 00 A6 8F C6 FF 57 14 BC 00 A8 8F ?? ?? ?? 0? 01 00 16 24 00 00 02 8D 21 20 00 01 21 28 E0 02 10 00 42 8C C0 00 A3 AF 09 F8 40 00 BC 00 A8 AF C0 00 A3 8F DC FF 5E 14 BC 00 A8 8F ?? ?? ?? 0? 01 00 16 24 }
	condition:
		$1
}

rule file_640_66_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basecPKv"
		size = 172
		refs = "005c sprintf 0084 _ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_IputES3_RSt8ios_basecPcm"
	strings:
		$1 = { 80 FF BD 27 88 00 A6 AF 98 00 A6 8F 70 00 B1 AF 6C 00 02 24 28 00 B1 27 78 00 B3 AF 6C 00 B0 AF 21 98 A0 00 21 80 80 00 8C 00 A7 AF 21 20 20 02 20 00 A5 27 25 00 03 24 21 00 A2 A3 22 00 A2 A3 21 38 00 00 78 00 02 24 7C 00 BF AF 74 00 B2 AF 20 00 A3 A3 94 00 B2 83 23 00 A2 A3 ?? ?? ?? 0? 24 00 A0 A3 90 00 A3 8F 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 60 02 14 00 B2 AF 18 00 B1 AF 1C 00 A2 AF ?? ?? ?? 0? 10 00 A3 AF 7C 00 BF 8F 21 10 00 02 78 00 B3 8F 74 00 B2 8F 70 00 B1 8F 6C 00 B0 8F 08 00 E0 03 80 00 BD 27 }
	condition:
		$1
}

rule file_640_67_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basecy"
		size = 312
		refs = "00c0 sprintf 00e4 _ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_IputES3_RSt8ios_basecPcm"
	strings:
		$1 = { 80 FF BD 27 70 00 B2 AF 90 00 B2 8F 68 00 B0 AF 21 80 80 00 10 00 44 8E 25 00 03 24 78 00 B4 AF 00 04 82 30 74 00 B3 AF 7C 00 BF AF 6C 00 B1 AF 21 A0 A0 00 88 00 A6 AF 8C 00 A7 AF 94 00 B3 83 33 00 40 10 20 00 A3 A3 2B 00 02 24 21 00 A2 A3 25 00 A3 27 24 00 A8 27 23 00 A5 27 22 00 A2 27 80 00 86 30 07 00 C0 10 6C 00 06 24 23 00 03 24 00 00 43 A0 02 00 A8 24 03 00 A3 24 21 10 A0 00 01 00 A5 24 00 00 46 A0 70 00 87 30 00 00 A6 A0 20 00 05 24 04 00 E5 10 6F 00 02 24 40 00 05 24 20 00 E5 10 75 00 02 24 98 00 A6 8F 9C 00 A7 8F 28 00 B1 27 21 20 20 02 20 00 A5 27 00 00 02 A1 ?? ?? ?? 0? 00 00 60 A0 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 80 02 10 00 B2 AF 14 00 B3 AF 18 00 B1 AF ?? ?? ?? 0? 1C 00 A2 AF 7C 00 BF 8F 21 10 00 02 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 80 00 BD 27 24 00 A3 27 23 00 A8 27 22 00 A5 27 ?? ?? ?? 0? 21 00 A2 27 00 02 84 30 58 00 02 24 78 00 05 24 ?? ?? ?? 0? 0A 10 A4 00 }
	condition:
		$1
}

rule file_640_68_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basecx"
		size = 312
		refs = "00c0 sprintf 00e4 _ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_IputES3_RSt8ios_basecPcm"
	strings:
		$1 = { 80 FF BD 27 70 00 B2 AF 90 00 B2 8F 68 00 B0 AF 21 80 80 00 10 00 44 8E 25 00 03 24 78 00 B4 AF 00 04 82 30 74 00 B3 AF 7C 00 BF AF 6C 00 B1 AF 21 A0 A0 00 88 00 A6 AF 8C 00 A7 AF 94 00 B3 83 33 00 40 10 20 00 A3 A3 2B 00 02 24 21 00 A2 A3 25 00 A3 27 24 00 A8 27 23 00 A5 27 22 00 A2 27 80 00 86 30 07 00 C0 10 6C 00 06 24 23 00 03 24 00 00 43 A0 02 00 A8 24 03 00 A3 24 21 10 A0 00 01 00 A5 24 00 00 46 A0 70 00 87 30 00 00 A6 A0 20 00 05 24 04 00 E5 10 6F 00 02 24 40 00 05 24 20 00 E5 10 64 00 02 24 98 00 A6 8F 9C 00 A7 8F 28 00 B1 27 21 20 20 02 20 00 A5 27 00 00 02 A1 ?? ?? ?? 0? 00 00 60 A0 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 80 02 10 00 B2 AF 14 00 B3 AF 18 00 B1 AF ?? ?? ?? 0? 1C 00 A2 AF 7C 00 BF 8F 21 10 00 02 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 80 00 BD 27 24 00 A3 27 23 00 A8 27 22 00 A5 27 ?? ?? ?? 0? 21 00 A2 27 00 02 84 30 58 00 02 24 78 00 05 24 ?? ?? ?? 0? 0A 10 A4 00 }
	condition:
		$1
}

rule file_640_69_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basecm"
		size = 292
		refs = "00b0 sprintf 00d4 _ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_IputES3_RSt8ios_basecPcm"
	strings:
		$1 = { 80 FF BD 27 70 00 B2 AF 90 00 B2 8F 68 00 B0 AF 21 80 80 00 10 00 42 8E 25 00 04 24 78 00 B4 AF 00 04 43 30 74 00 B3 AF 7C 00 BF AF 6C 00 B1 AF 21 A0 A0 00 88 00 A6 AF 8C 00 A7 AF 94 00 B3 83 2F 00 60 10 20 00 A4 A3 2B 00 03 24 21 00 A3 A3 24 00 A8 27 23 00 A3 27 22 00 A4 27 80 00 45 30 06 00 A0 10 6C 00 06 24 23 00 05 24 00 00 85 A0 02 00 68 24 21 20 60 00 01 00 63 24 00 00 86 A0 70 00 45 30 20 00 04 24 04 00 A4 10 6F 00 07 24 40 00 04 24 1E 00 A4 10 75 00 07 24 98 00 A6 8F 28 00 B1 27 00 00 67 A0 21 20 20 02 20 00 A5 27 ?? ?? ?? 0? 00 00 00 A1 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 80 02 10 00 B2 AF 14 00 B3 AF 18 00 B1 AF ?? ?? ?? 0? 1C 00 A2 AF 7C 00 BF 8F 21 10 00 02 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 80 00 BD 27 23 00 A8 27 22 00 A3 27 ?? ?? ?? 0? 21 00 A4 27 00 02 42 30 58 00 07 24 78 00 04 24 ?? ?? ?? 0? 0A 38 82 00 }
	condition:
		$1
}

rule file_640_70_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basecl"
		size = 292
		refs = "00b0 sprintf 00d4 _ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_IputES3_RSt8ios_basecPcm"
	strings:
		$1 = { 80 FF BD 27 70 00 B2 AF 90 00 B2 8F 68 00 B0 AF 21 80 80 00 10 00 42 8E 25 00 04 24 78 00 B4 AF 00 04 43 30 74 00 B3 AF 7C 00 BF AF 6C 00 B1 AF 21 A0 A0 00 88 00 A6 AF 8C 00 A7 AF 94 00 B3 83 2F 00 60 10 20 00 A4 A3 2B 00 03 24 21 00 A3 A3 24 00 A8 27 23 00 A3 27 22 00 A4 27 80 00 45 30 06 00 A0 10 6C 00 06 24 23 00 05 24 00 00 85 A0 02 00 68 24 21 20 60 00 01 00 63 24 00 00 86 A0 70 00 45 30 20 00 04 24 04 00 A4 10 6F 00 07 24 40 00 04 24 1E 00 A4 10 64 00 07 24 98 00 A6 8F 28 00 B1 27 00 00 67 A0 21 20 20 02 20 00 A5 27 ?? ?? ?? 0? 00 00 00 A1 88 00 A6 8F 8C 00 A7 8F 21 20 00 02 21 28 80 02 10 00 B2 AF 14 00 B3 AF 18 00 B1 AF ?? ?? ?? 0? 1C 00 A2 AF 7C 00 BF 8F 21 10 00 02 78 00 B4 8F 74 00 B3 8F 70 00 B2 8F 6C 00 B1 8F 68 00 B0 8F 08 00 E0 03 80 00 BD 27 23 00 A8 27 22 00 A3 27 ?? ?? ?? 0? 21 00 A4 27 00 02 42 30 58 00 07 24 78 00 04 24 ?? ?? ?? 0? 0A 38 82 00 }
	condition:
		$1
}

rule file_640_71_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_FputES3_RSt8ios_basecPKcmmmm"
		size = 6768
		refs = "007c _ZNSt8numpunctIcE2idE 008c _ZNSt9_FacetptrISt8numpunctIcEE6_PsaveE 0090 _ZNSt6locale2id7_Id_cntE 00e4 _ZNSt8_LocinfoC1EPKc 00ec _Znwm 0104 _ZTVSt8numpunctIcE 0120 _ZNSt8numpunctIcE5_InitERKSt8_Locinfob 0148 _ZNSt8_LocinfoD1Ev 0180 _ZNSt6locale5facet9_RegisterEv 0244 localeconv 026c memchr 03d0 strcspn 0420 _ZSt14_Xout_of_rangePKc 09a4 _ZdlPv 0c78 _ZNSt6locale16_GetgloballocaleEv 0cf0 _ZNSs5_GrowEmb 0d40 memmove 0d88 memset 0dd8 _ZSt14_Xlength_errorPKc 0f60 memcpy 19b8 _ZTVSt9bad_alloc 19d0 _ZNKSt9exception6_RaiseEv 19e4 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { A0 FE BD 27 4C 01 B5 AF 70 01 B5 8F 54 01 B7 AF 50 01 B6 AF 24 00 A2 8E 21 B0 80 00 68 01 A6 AF 00 00 57 8C FF 00 C6 30 FF FF 04 24 04 00 E2 8E 48 01 B4 AF 40 01 B2 AF 3C 01 B1 AF 38 01 B0 AF 5C 01 BF AF 58 01 BE AF 44 01 B3 AF 6C 01 A7 AF 78 01 B2 8F 7C 01 A8 8F 80 01 B0 8F 84 01 A3 8F 88 01 B4 8F 74 01 B1 83 10 01 A6 AF 03 00 44 10 21 48 E0 00 01 00 42 24 04 00 E2 AE ?? ?? 02 3C ?? ?? 44 8C ?? ?? 1E 3C 07 00 80 14 ?? ?? C5 8F ?? ?? 06 3C ?? ?? C7 8C 01 00 E7 24 21 20 E0 00 ?? ?? C7 AC ?? ?? 47 AC 0C 00 E2 8E 2B 10 82 00 39 00 40 54 08 00 E6 8E 14 00 E2 92 EB 02 40 54 30 01 A3 AF 39 00 A0 14 21 98 A0 00 18 00 E5 8E 1C 00 E2 26 A8 00 A4 27 0A 28 45 00 30 01 A3 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF ?? ?? ?? 0? 18 00 04 24 30 01 A3 8F 2C 01 A8 8F 0F 00 40 10 34 01 A9 8F ?? ?? 04 3C ?? ?? 84 24 00 00 44 AC 04 00 40 AC 21 20 40 00 A8 00 A5 27 01 00 06 24 ?? ?? ?? 0? 20 01 A2 AF 20 01 A2 8F 34 01 A9 8F 2C 01 A8 8F 30 01 A3 8F 21 98 40 00 A8 00 A4 27 30 01 A3 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 04 00 62 8E FF FF 04 24 ?? ?? D3 AF 30 01 A3 8F 2C 01 A8 8F 03 00 44 10 34 01 A9 8F 01 00 42 24 04 00 62 AE 21 20 60 02 30 01 A3 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 34 01 A9 8F 2C 01 A8 8F ?? ?? ?? 0? 30 01 A3 8F 80 10 04 00 21 10 C2 00 00 00 53 8C C5 FF 60 52 14 00 E2 92 04 00 E2 8E FF FF 44 24 FE FF 85 2C 03 00 A0 10 00 00 00 00 04 00 E4 AE 21 10 80 00 BC 00 40 50 00 00 E2 8E 00 00 62 8E 70 00 BE 27 21 20 C0 03 10 00 42 8C 21 28 60 02 30 01 A3 AF 2C 01 A8 AF 09 F8 40 00 34 01 A9 AF 00 00 62 8E 21 20 60 02 0C 00 42 8C 09 F8 40 00 01 00 17 24 18 01 A2 AF 0F 00 02 24 A0 00 A2 AF 9C 00 A0 AF 8C 00 A0 A3 00 00 42 82 2B 00 04 24 30 01 A3 8F 2C 01 A8 8F 03 00 44 10 34 01 A9 8F 2D 00 57 38 01 00 F7 2E 30 01 A3 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 2C 00 42 8C 65 00 05 24 21 30 80 02 00 00 42 90 21 20 40 02 1A 00 A0 A3 18 00 A2 A3 65 00 02 24 ?? ?? ?? 0? 19 00 A2 A3 18 00 A5 83 21 20 40 02 21 30 80 02 ?? ?? ?? 0? 1C 01 A2 AF 21 38 40 00 84 00 A2 8F 70 00 A4 8F 30 01 A3 8F 10 00 42 2C 0B 20 C2 03 00 00 82 80 7F 00 04 24 0A 18 07 00 2C 01 A8 8F 8C 00 44 10 34 01 A9 8F 8A 00 40 18 A0 00 A5 8F 8C 00 A4 8F 8C 00 A2 27 10 00 A5 2C 0A 10 85 00 2B 10 42 02 07 00 40 14 9C 00 AB 8F 8C 00 A2 27 0A 10 85 00 21 10 4B 00 2B 10 42 02 83 03 40 14 8C 00 AA 27 27 10 0B 00 2B 10 82 02 8C 04 40 50 ?? ?? 04 3C E2 04 80 56 21 58 74 01 1C 01 A2 8F 2E 05 40 10 27 10 0B 00 67 05 E0 10 2B 10 02 01 1C 01 A2 8F 23 A0 52 00 2B 10 74 01 0F 04 40 54 ?? ?? 04 3C 27 10 0B 00 2B 10 62 00 A2 02 40 50 ?? ?? 04 3C 62 02 60 54 21 58 63 01 99 04 E0 10 23 90 F2 00 01 00 54 26 2B 10 74 01 0F 04 40 54 ?? ?? 04 3C 27 10 0B 00 2B 10 02 02 DF 02 40 50 ?? ?? 04 3C 19 04 00 56 21 58 70 01 2B 10 72 01 0E 04 40 54 ?? ?? 04 3C 27 58 0B 00 2B 58 0B 01 CD 02 60 11 ?? ?? 04 3C 99 02 00 15 9C 00 B0 8F 14 01 A0 AF 21 80 00 00 A0 00 A5 8F 8C 00 A4 8F 84 00 A3 8F 10 00 A5 2C 8C 00 A2 27 0B 20 45 00 70 00 A2 8F 10 00 63 2C 18 00 A5 27 0A F0 43 00 ?? ?? ?? 0? 34 01 A9 AF 21 A0 40 00 00 00 C2 83 FF FF 43 24 FF 00 63 30 7E 00 63 2C 2A 00 60 10 34 01 A9 8F 23 18 97 02 2B 18 43 00 27 00 60 50 A0 00 A2 8F 9C 00 B2 8F 23 A0 82 02 2B 10 54 02 08 00 40 10 FE FF 42 2E ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 34 01 A9 AF 9C 00 B2 8F 34 01 A9 8F FE FF 42 2E 08 03 40 10 01 00 52 26 FF FF 02 24 0F 03 42 12 ?? ?? 02 3C A0 00 A6 8F 2B 10 D2 00 13 03 40 14 0F 00 43 36 DF 02 40 16 8C 00 A3 8F 10 00 C6 2C 8C 00 A2 27 0A 10 66 00 9C 00 A0 AF 00 00 40 A0 01 00 C2 83 11 02 40 18 01 00 C3 27 21 F0 60 00 FF FF 43 24 FF 00 63 30 7E 00 63 2C D9 FF 60 14 23 18 97 02 A0 00 A2 8F 10 00 42 2C 02 00 40 14 8C 00 B2 27 8C 00 B2 8F 9C 00 B4 8F 21 18 00 00 ?? ?? ?? 0? 21 40 00 00 21 20 E0 02 04 00 42 8C 30 01 A3 AF 2C 01 A8 AF 09 F8 40 00 34 01 A9 AF 34 01 A9 8F 2C 01 A8 8F ?? ?? ?? 0? 30 01 A3 8F 21 10 08 02 21 10 43 00 14 01 A2 AF 18 00 A2 8E 07 00 40 18 21 F0 00 00 14 01 AB 8F 21 20 74 01 2B F0 82 00 23 10 44 00 0A 10 1E 00 21 F0 40 00 10 00 A2 8E 02 00 04 24 0E 00 42 30 23 00 44 10 10 01 A7 8F 08 00 04 24 35 03 44 10 00 00 00 00 68 01 A7 A3 68 01 A2 8F 6C 01 A9 AF 6C 00 A9 AF 12 00 C0 13 68 00 A2 AF FF 00 37 32 0C 00 20 51 01 00 07 24 24 00 24 8D 00 00 82 8C 64 01 40 10 01 00 45 24 34 00 26 8D 00 00 C6 8C 23 30 C2 00 60 01 C0 58 00 00 22 8D 00 00 85 AC 00 00 51 A0 FF FF DE 27 F1 FF C0 17 00 00 00 00 68 00 A7 A3 68 00 A2 8F 6C 00 A9 AF 24 00 A9 AF 20 00 A2 AF 68 01 A2 AF 6C 01 A9 AF 21 F0 00 00 18 00 A5 83 21 20 40 02 21 30 80 02 30 01 A3 AF 28 01 A7 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 30 01 A3 8F 28 01 A7 8F 2C 01 A8 8F 91 01 40 10 34 01 A9 8F 68 01 A7 A3 18 01 AB 8F 68 01 A5 8F 23 10 52 00 68 01 B7 27 01 00 4A 24 21 30 20 01 21 38 40 02 21 20 E0 02 6C 01 A9 AF 10 00 A2 AF 30 01 A3 AF 2C 01 A8 AF 10 01 AA AF ?? ?? ?? 0? 14 00 AB AF 6C 01 A9 8F 68 01 A2 8F 2C 01 A8 8F 68 01 A7 93 6C 00 A9 AF 68 00 A2 AF 12 00 00 11 30 01 A3 8F 30 00 06 24 0C 00 20 51 01 00 07 24 24 00 24 8D 00 00 82 8C 13 01 40 10 01 00 45 24 34 00 2A 8D 00 00 4A 8D 23 50 42 01 0F 01 40 59 00 00 22 8D 00 00 85 AC 00 00 46 A0 FF FF 08 25 F1 FF 00 15 00 00 00 00 00 00 62 8E 68 00 A7 A3 68 00 A4 8F 08 00 42 8C 6C 00 A9 AF 38 00 A4 AF 3C 00 A9 AF 68 01 A4 AF 6C 01 A9 AF 21 20 60 02 30 01 A3 AF 28 01 A7 AF 09 F8 40 00 34 01 A9 AF 68 01 A4 8F 34 01 A9 8F 30 01 A3 8F 68 00 A4 AF 6C 01 A4 8F 28 01 A7 8F 62 01 20 11 6C 00 A4 AF 24 00 25 8D 00 00 A4 8C 52 01 80 50 00 00 26 8D 34 00 26 8D 00 00 C6 8C 23 30 C4 00 4C 01 C0 18 01 00 86 24 00 00 A6 AC 00 00 82 A0 68 00 A7 A3 68 00 A2 8F 44 00 A9 AF 6C 01 A9 AF 40 00 A2 AF 68 01 A2 AF 13 00 00 12 6C 00 A9 AF FF FF 13 24 30 00 06 24 0C 00 20 51 01 00 07 24 24 00 24 8D 00 00 82 8C C8 00 40 10 01 00 45 24 34 00 28 8D 00 00 08 8D 23 40 02 01 C4 00 00 59 00 00 22 8D 00 00 85 AC 00 00 46 A0 FF FF 10 26 F1 FF 00 16 00 00 00 00 68 00 A7 A3 68 00 A2 8F 10 01 A5 8F 6C 00 A9 AF 4C 00 A9 AF 48 00 A2 AF 68 01 A2 AF 6C 01 A9 AF 21 90 45 02 23 A0 85 02 21 98 20 01 21 20 40 02 65 00 05 24 21 30 80 02 30 01 A3 AF ?? ?? ?? 0? 28 01 A7 AF 30 01 A3 8F E8 00 40 10 28 01 A7 8F 68 01 A7 A3 18 01 AA 8F 68 01 A5 8F 23 10 52 00 21 38 40 02 21 20 E0 02 21 30 60 02 01 00 50 24 10 00 A2 AF 6C 01 B3 AF ?? ?? ?? 0? 14 00 AA AF 6C 01 A8 8F 68 01 A2 8F 30 01 A3 8F 68 01 A7 93 6C 00 A8 AF 13 00 60 10 68 00 A2 AF FF FF 13 24 30 00 06 24 0C 00 00 51 01 00 07 24 24 00 04 8D 00 00 82 8C 7F 00 40 10 01 00 45 24 34 00 09 8D 00 00 29 8D 23 48 22 01 7B 00 20 59 00 00 02 8D 00 00 85 AC 00 00 46 A0 FF FF 63 24 F1 FF 60 14 00 00 00 00 68 00 A7 A3 10 00 A3 8E 68 00 A2 8F 54 00 A8 AF 00 02 63 30 50 00 A2 AF 68 01 A2 AF B0 00 60 10 6C 01 A8 AF 68 01 A3 8F ?? ?? 02 3C ?? ?? 42 24 68 00 A3 AF 6C 01 A3 8F 6C 00 A3 AF B0 00 00 11 00 00 45 80 24 00 03 8D 00 00 62 8C A5 02 40 50 00 00 02 8D 34 00 04 8D 00 00 84 8C 23 20 82 00 9F 02 80 18 01 00 44 24 00 00 64 AC 00 00 45 A0 68 00 A7 A3 68 00 A2 8F 18 01 AB 8F 23 A0 90 02 68 01 A2 AF 68 01 A7 A3 68 01 A5 8F 21 20 E0 02 21 30 00 01 21 38 50 02 58 00 A2 AF 10 00 B4 AF 6C 00 A8 AF 5C 00 A8 AF 6C 01 A8 AF ?? ?? ?? 0? 14 00 AB AF 68 01 A2 8F 68 01 B4 93 6C 01 B3 8F 68 00 A2 AF 68 00 B4 A3 68 00 A2 8F 64 00 B3 AF 6C 01 B3 AF 60 00 A2 AF 68 01 A2 AF 18 00 A0 AE 13 00 C0 13 6C 00 B3 AF FF 00 30 32 FF FF 12 24 0C 00 60 52 01 00 14 24 24 00 63 8E 00 00 62 8C 2A 00 40 10 01 00 44 24 34 00 65 8E 00 00 A5 8C 23 28 A2 00 26 00 A0 58 00 00 62 8E 00 00 64 AC 00 00 51 A0 FF FF DE 27 F1 FF C0 17 00 00 00 00 A0 00 A2 8F 68 00 A3 8F 04 00 D3 AE 10 00 42 2C 00 00 C3 AE 03 00 40 14 00 00 D4 A2 ?? ?? ?? 0? 8C 00 A4 8F 0F 00 02 24 A0 00 A2 AF 84 00 A2 8F 9C 00 A0 AF 10 00 42 2C 03 00 40 14 8C 00 A0 A3 ?? ?? ?? 0? 70 00 A4 8F 5C 01 BF 8F 21 10 C0 02 58 01 BE 8F 54 01 B7 8F 50 01 B6 8F 4C 01 B5 8F 48 01 B4 8F 44 01 B3 8F 40 01 B2 8F 3C 01 B1 8F 38 01 B0 8F 08 00 E0 03 60 01 BD 27 00 00 62 8E 21 20 60 02 10 00 42 8C 09 F8 40 00 21 28 00 02 D9 FF 52 54 FF FF DE 27 ?? ?? ?? 0? 01 00 14 24 00 00 02 8D 21 20 00 01 30 00 05 24 10 00 42 8C 30 01 A3 AF 20 01 A6 AF 28 01 A7 AF 09 F8 40 00 2C 01 A8 AF 30 01 A3 8F 20 01 A6 8F 28 01 A7 8F 7C FF 53 14 2C 01 A8 8F ?? ?? ?? 0? 01 00 07 24 00 00 22 8D 21 20 20 01 30 00 05 24 10 00 42 8C 30 01 A3 AF 20 01 A6 AF 28 01 A7 AF 09 F8 40 00 34 01 A9 AF 30 01 A3 8F 20 01 A6 8F 28 01 A7 8F 33 FF 53 14 34 01 A9 8F ?? ?? ?? 0? 01 00 07 24 00 00 22 8D 21 20 20 01 30 00 05 24 10 00 42 8C 30 01 A3 AF 20 01 A6 AF 28 01 A7 AF 2C 01 A8 AF 09 F8 40 00 34 01 A9 AF FF FF 04 24 30 01 A3 8F 20 01 A6 8F 28 01 A7 8F 2C 01 A8 8F E5 FE 44 14 34 01 A9 8F ?? ?? ?? 0? 01 00 07 24 00 00 22 8D 21 20 20 01 21 28 E0 02 10 00 42 8C 30 01 A3 AF 28 01 A7 AF 2C 01 A8 AF 09 F8 40 00 34 01 A9 AF FF FF 04 24 30 01 A3 8F 28 01 A7 8F 2C 01 A8 8F 96 FE 44 14 34 01 A9 8F ?? ?? ?? 0? 01 00 07 24 68 01 A3 8F ?? ?? 02 3C ?? ?? 42 24 68 00 A3 AF 6C 01 A3 8F 6C 00 A3 AF 52 FF 00 15 00 00 45 80 ?? ?? ?? 0? 01 00 07 24 68 01 A7 A3 18 01 A2 8F 68 01 A5 8F 21 30 60 02 21 20 E0 02 21 38 40 02 6C 01 B3 AF 10 00 B4 AF 14 00 A2 AF ?? ?? ?? 0? 30 01 A3 AF 6C 01 B3 8F 68 01 A2 8F 30 01 A3 8F 68 01 B4 93 6C 00 B3 AF 5E FF 60 10 68 00 A2 AF FF FF 10 24 11 00 60 12 30 00 12 24 24 00 64 8E 00 00 82 8C 0F 00 40 10 01 00 45 24 34 00 66 8E 00 00 C6 8C 23 30 C2 00 0B 00 C0 58 00 00 62 8E 00 00 85 AC 00 00 52 A0 FF FF 63 24 4E FF 60 50 68 00 B4 A3 F2 FF 60 56 24 00 64 8E ?? ?? ?? 0? 01 00 14 24 00 00 62 8E 21 20 60 02 30 00 05 24 10 00 42 8C 09 F8 40 00 30 01 A3 AF F2 FF 50 14 30 01 A3 8F ?? ?? ?? 0? 01 00 14 24 21 98 20 01 ?? ?? ?? 0? 68 01 B7 27 00 00 26 8D FF 00 45 30 21 20 20 01 10 00 C2 8C 30 01 A3 AF 28 01 A7 AF 09 F8 40 00 34 01 A9 AF FF FF 04 24 30 01 A3 8F 28 01 A7 8F AB FE 44 14 34 01 A9 8F ?? ?? ?? 0? 01 00 07 24 24 01 A4 AF 20 01 A5 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 0C 00 46 8C 24 01 A4 8F 30 01 A3 8F 20 01 A5 8F 2B 30 86 00 2C 01 A8 8F 0A FD C0 10 34 01 A9 8F 08 00 42 8C 80 20 04 00 21 20 44 00 00 00 93 8C 3F FD 60 56 04 00 E2 8E ?? ?? ?? 0? 00 00 00 00 21 18 C0 03 00 00 C2 83 ?? ?? ?? 0? 21 F0 60 00 8C 00 A4 27 21 28 60 01 21 30 00 00 30 01 A3 AF 28 01 A7 AF 2C 01 A8 AF 34 01 A9 AF 1C 01 AB AF ?? ?? ?? 0? 14 01 A4 AF 30 01 A3 8F 28 01 A7 8F 2C 01 A8 8F 2E 00 40 10 34 01 A9 8F A0 00 A2 8F 10 00 42 2C 12 02 40 10 8C 00 A5 8F 14 01 A5 8F 21 20 74 00 21 20 A4 00 9C 00 A6 8F 21 28 B4 00 30 01 A3 AF 23 30 D4 00 28 01 A7 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 30 01 A3 8F 01 00 02 24 28 01 A7 8F 2C 01 A8 8F 0A 02 62 10 34 01 A9 8F A0 00 A4 8F 8C 00 A2 8F 14 01 A6 8F 10 00 84 2C 30 00 05 24 0A 30 44 00 21 20 D4 00 21 30 60 00 28 01 A7 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 34 01 A9 8F 2C 01 A8 8F 28 01 A7 8F A0 00 A3 8F 8C 00 A2 8F 14 01 AB 8F 1C 01 AA 8F 10 00 63 2C 0B 10 63 01 21 10 4A 00 9C 00 AA AF 00 00 40 A0 ?? ?? ?? 0? 9C 00 AB 8F ?? ?? 84 24 30 01 A3 AF 28 01 A7 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 30 01 A3 8F 9C 00 AB 8F 34 01 A9 8F 2C 01 A8 8F 56 FD 60 10 28 01 A7 8F ?? ?? ?? 0? 21 58 63 01 8C 00 A2 27 21 20 40 00 21 80 10 01 21 28 00 02 21 30 00 00 2C 01 A8 AF 34 01 A9 AF ?? ?? ?? 0? 14 01 A2 AF 2C 01 A8 8F 5D FD 40 10 34 01 A9 8F A0 00 A2 8F 10 00 42 2C CC 01 40 10 8C 00 A5 8F 14 01 AA 8F 21 20 12 01 21 20 44 01 21 28 40 01 9C 00 A6 8F 21 28 B2 00 2C 01 A8 AF 23 30 D2 00 ?? ?? ?? 0? 34 01 A9 AF 2C 01 A8 8F 01 00 02 24 36 02 02 11 34 01 A9 8F A0 00 A4 8F 8C 00 A2 8F 14 01 A6 8F 10 00 84 2C 30 00 05 24 0A 30 44 00 21 20 D2 00 21 30 00 01 ?? ?? ?? 0? 34 01 A9 AF 34 01 A9 8F A0 00 A3 8F 8C 00 A2 8F 14 01 AA 8F 10 00 63 2C 9C 00 B0 AF 0B 10 43 01 21 80 50 00 ?? ?? ?? 0? 00 00 00 A2 ?? ?? 84 24 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 2C 01 A8 8F 30 FD 00 11 34 01 A9 8F ?? ?? ?? 0? 9C 00 B0 8F ?? ?? 84 24 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 9C 00 AB 8F 34 01 A9 8F ?? ?? ?? 0? 2C 01 A8 8F FE FF 03 24 30 01 A3 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 30 01 A3 8F 2C 01 A8 8F A3 02 40 10 34 01 A9 8F A0 00 A6 8F 21 38 40 00 11 00 00 11 10 00 C6 2C 8C 00 A5 8F 8C 00 A2 27 21 20 E0 00 0B 28 46 00 21 30 00 01 30 01 A3 AF 28 01 A7 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF A0 00 A6 8F 34 01 A9 8F 2C 01 A8 8F 28 01 A7 8F 30 01 A3 8F 10 00 C6 2C 0C 00 C0 14 10 00 64 2C 8C 00 A4 8F 30 01 A3 AF 28 01 A7 AF 2C 01 A8 AF ?? ?? ?? 0? 34 01 A9 AF 34 01 A9 8F 2C 01 A8 8F 28 01 A7 8F 30 01 A3 8F 10 00 64 2C 8C 00 A2 27 8C 00 A7 AF 0B 38 44 00 21 38 E8 00 A0 00 A3 AF 9C 00 A8 AF 29 FD 40 12 00 00 E0 A0 A0 00 A6 8F 10 00 C6 2C 1B 00 C0 10 8C 00 A5 8F 8C 00 AB 27 01 00 84 26 21 20 64 01 21 28 60 01 9C 00 A6 8F 21 28 B4 00 34 01 A9 AF }
	condition:
		$1
}

rule file_640_72_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basece"
		size = 904
		refs = "012c sprintf 0160 _ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_FputES3_RSt8ios_basecPKcmmmm 01c8 dpcmp 022c dpdiv 0320 dpmul"
	strings:
		$1 = { 10 FF BD 27 DC 00 B5 AF 00 01 B5 8F E4 00 B7 AF 04 01 A2 83 14 00 B7 8E E8 00 BE AF D8 00 B4 AF EC 00 BF AF E0 00 B6 AF D4 00 B3 AF D0 00 B2 AF CC 00 B1 AF C8 00 B0 AF 21 A0 80 00 21 F0 A0 00 F8 00 A6 AF FC 00 A7 AF 08 01 A8 8F 0C 01 A3 8F A5 00 E0 1A B0 00 A2 AF 10 00 B3 8E 31 00 E2 2A 30 00 11 24 0B 88 E2 02 23 B8 F1 02 00 18 72 32 00 10 02 24 4F 00 42 12 21 B0 00 00 21 80 00 00 25 00 04 24 00 04 62 32 44 00 40 10 30 00 A4 A3 2B 00 02 24 31 00 A2 A3 36 00 A7 27 35 00 A9 27 34 00 A5 27 33 00 A4 27 32 00 A2 27 00 01 73 32 08 00 60 12 2E 00 06 24 23 00 05 24 00 00 45 A0 03 00 89 24 02 00 85 24 04 00 87 24 21 10 80 00 01 00 84 24 00 00 46 A0 2A 00 06 24 00 00 86 A0 4C 00 04 24 00 00 A4 A0 00 10 04 24 08 00 44 12 66 00 02 24 00 18 04 24 05 00 44 12 61 00 02 24 65 00 02 24 00 08 52 3A 67 00 04 24 0B 10 92 00 38 00 B2 27 00 00 22 A1 21 20 40 02 10 00 A8 AF 14 00 A3 AF 30 00 A5 27 21 30 20 02 ?? ?? ?? 0? 00 00 E0 A0 B0 00 A3 8F F8 00 A6 8F FC 00 A7 8F 21 20 80 02 21 28 C0 03 10 00 B5 AF 18 00 B2 AF 1C 00 B0 AF 20 00 B6 AF 24 00 B7 AF 28 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF EC 00 BF 8F 21 10 80 02 E8 00 BE 8F E4 00 B7 8F E0 00 B6 8F DC 00 B5 8F D8 00 B4 8F D4 00 B3 8F D0 00 B2 8F CC 00 B1 8F C8 00 B0 8F 08 00 E0 03 F0 00 BD 27 35 00 A7 27 34 00 A9 27 33 00 A5 27 32 00 A4 27 ?? ?? ?? 0? 31 00 A2 27 21 20 00 01 21 28 60 00 21 30 00 00 21 38 00 00 C0 00 A3 AF ?? ?? ?? 0? BC 00 A8 AF C0 00 A3 8F 67 00 40 04 BC 00 A8 8F B4 00 A0 AF ?? ?? 10 3C ?? ?? 04 8E ?? ?? 05 8E 21 30 00 01 21 38 60 00 C0 00 A3 AF ?? ?? ?? 0? BC 00 A8 AF 21 80 00 00 C0 00 A3 8F 1A 00 40 1C BC 00 A8 8F 21 80 00 00 88 13 16 24 ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C 21 20 00 01 ?? ?? ?? 0? 21 28 60 00 21 40 40 00 21 30 40 00 ?? ?? 02 3C ?? ?? 42 24 00 00 44 8C 04 00 45 8C 21 38 60 00 C0 00 A3 AF ?? ?? ?? 0? BC 00 A8 AF 0A 00 10 26 C0 00 A3 8F 03 00 40 1C BC 00 A8 8F EB FF 16 16 ?? ?? 02 3C 21 30 00 01 21 38 60 00 21 20 00 00 21 28 00 00 C0 00 A3 AF ?? ?? ?? 0? BC 00 A8 AF 21 B0 00 00 C0 00 A3 8F 0E 00 41 04 BC 00 A8 8F 0A 00 E2 2A 0C 00 40 14 B4 00 A4 8F ?? ?? 09 3C ?? ?? 26 8D ?? ?? 27 8D 21 20 00 01 21 28 60 00 ?? ?? ?? 0? B8 00 A9 AF C0 00 A3 8F 0F 00 40 18 BC 00 A8 8F B4 00 A4 8F 69 FF 80 10 00 80 02 3C ?? ?? ?? 0? 26 18 62 00 10 00 B3 8E 00 10 62 32 5B FF 40 14 31 00 E2 2A 21 B8 00 00 ?? ?? ?? 0? 06 00 11 24 F4 FF C4 12 B4 00 A4 8F ?? ?? 02 3C ?? ?? 42 24 00 00 46 8C 04 00 47 8C 21 20 00 01 ?? ?? ?? 0? 21 28 60 00 21 40 40 00 21 20 40 00 ?? ?? 02 3C ?? ?? 42 24 F6 FF F7 26 00 00 46 8C 04 00 47 8C 0A 00 E2 2A 21 28 60 00 E1 FF 40 14 0A 00 D6 26 C0 00 A3 AF ?? ?? ?? 0? BC 00 A8 AF C0 00 A3 8F DB FF 40 1C BC 00 A8 8F ?? ?? ?? 0? 88 13 04 24 01 00 04 24 00 80 02 3C B4 00 A4 AF ?? ?? ?? 0? 26 18 62 00 }
	condition:
		$1
}

rule file_640_73_4 {
	meta:
		name = "_ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES3_RSt8ios_basecd"
		size = 788
		refs = "0118 sprintf 014c _ZNKSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE5_FputES3_RSt8ios_basecPKcmmmm 01a0 fpmul 01ac fpcmp 0208 fpdiv"
	strings:
		$1 = { 18 FF BD 27 E0 00 BE AF F8 00 BE 8F D8 00 B6 AF FC 00 A2 83 14 00 D6 8F DC 00 B7 AF C8 00 B2 AF E4 00 BF AF D4 00 B5 AF D0 00 B4 AF CC 00 B3 AF C4 00 B1 AF C0 00 B0 AF 21 B8 80 00 EC 00 A5 AF F0 00 A6 AF F4 00 A7 AF 00 01 B2 8F 99 00 C0 1A B0 00 A2 AF 10 00 D4 8F 31 00 C2 2A 30 00 11 24 0B 88 C2 02 23 B0 D1 02 00 18 93 32 00 10 02 24 4A 00 62 12 ?? ?? 02 3C 21 A8 00 00 21 80 00 00 25 00 03 24 00 04 82 32 3F 00 40 10 30 00 A3 A3 2B 00 02 24 31 00 A2 A3 35 00 A3 27 34 00 A8 27 33 00 A4 27 32 00 A2 27 00 01 94 32 07 00 80 12 2E 00 05 24 23 00 03 24 00 00 43 A0 02 00 88 24 03 00 83 24 21 10 80 00 01 00 84 24 00 00 45 A0 2A 00 05 24 00 00 85 A0 00 10 04 24 08 00 64 12 66 00 02 24 00 18 04 24 05 00 64 12 61 00 02 24 65 00 02 24 00 08 73 3A 67 00 04 24 0B 10 93 00 38 00 B3 27 21 20 60 02 30 00 A5 27 21 30 20 02 21 38 40 02 00 00 02 A1 ?? ?? ?? 0? 00 00 60 A0 B0 00 A3 8F F0 00 A6 8F F4 00 A7 8F EC 00 A5 8F 21 20 E0 02 10 00 BE AF 18 00 B3 AF 1C 00 B0 AF 20 00 B5 AF 24 00 B6 AF 28 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF E4 00 BF 8F 21 10 E0 02 E0 00 BE 8F DC 00 B7 8F D8 00 B6 8F D4 00 B5 8F D0 00 B4 8F CC 00 B3 8F C8 00 B2 8F C4 00 B1 8F C0 00 B0 8F 08 00 E0 03 E8 00 BD 27 34 00 A3 27 33 00 A8 27 32 00 A4 27 ?? ?? ?? 0? 31 00 A2 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 B1 FF 40 10 21 A8 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 00 00 4E 00 40 04 01 00 03 24 B4 00 A0 AF ?? ?? 10 3C ?? ?? 04 8E 21 28 40 02 ?? ?? ?? 0? 21 80 00 00 11 00 40 1C 21 20 00 00 21 80 00 00 88 13 15 24 ?? ?? 02 3C ?? ?? 42 24 00 00 45 8C 21 20 40 02 ?? ?? ?? 0? 0A 00 10 26 ?? ?? 03 3C ?? ?? 63 24 00 00 64 8C 21 28 40 00 ?? ?? ?? 0? 21 90 40 00 29 00 40 18 21 20 00 00 ?? ?? ?? 0? 21 28 40 02 19 00 41 04 21 A8 00 00 0A 00 C2 2A 17 00 40 14 B4 00 A4 8F ?? ?? 03 3C ?? ?? 65 8C 21 20 40 02 ?? ?? ?? 0? B8 00 A3 AF 10 00 40 1C B4 00 A4 8F ?? ?? 02 3C ?? ?? 42 24 00 00 45 8C 21 20 40 02 ?? ?? ?? 0? F6 FF D6 26 ?? ?? 03 3C 21 90 40 00 21 20 40 00 ?? ?? 63 24 0A 00 C2 2A 00 00 65 8C 11 00 40 10 0A 00 B5 26 B4 00 A4 8F 76 FF 80 10 00 80 02 3C ?? ?? ?? 0? 26 90 52 00 10 00 D4 8F 00 10 82 32 67 FF 40 14 31 00 C2 2A 21 B0 00 00 ?? ?? ?? 0? 06 00 11 24 CA FF 15 16 ?? ?? 02 3C ?? ?? ?? 0? 21 20 00 00 ?? ?? ?? 0? 00 00 00 00 EE FF 40 1C B4 00 A4 8F 88 13 04 24 EB FF A4 12 B4 00 A4 8F ?? ?? ?? 0? ?? ?? 02 3C 00 80 02 3C B4 00 A3 AF ?? ?? ?? 0? 26 90 52 00 }
	condition:
		$1
}

rule file_640_74_4 {
	meta:
		name = "_ZSt10_GetloctxtIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEiRT0_S5_mPKT_"
		size = 1844
		refs = "00c0 _ZdlPv 0128 memcpy 018c memset 036c _Znwm 0388 _ZSt14_Xlength_errorPKc 070c _ZTVSt9bad_alloc 0718 _ZNKSt9exception6_RaiseEv 0724 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 88 FF BD 27 64 00 B5 AF 60 00 B4 AF 5C 00 B3 AF 58 00 B2 AF 74 00 BF AF 70 00 BE AF 6C 00 B7 AF 68 00 B6 AF 54 00 B1 AF 50 00 B0 AF 00 00 E2 80 21 90 E0 00 21 A0 80 00 21 A8 A0 00 09 00 40 10 21 98 C0 00 21 20 E0 00 21 18 40 00 26 28 62 00 01 00 83 80 01 00 A5 2C 21 98 65 02 FB FF 60 14 01 00 84 24 0F 00 02 24 28 00 A2 AF FF FF 02 24 24 00 A0 AF C3 00 62 12 14 00 A0 A3 28 00 A2 8F 2B 18 53 00 A7 00 60 14 0F 00 71 36 38 00 60 16 14 00 A4 8F 10 00 42 2C 14 00 A3 27 0A 18 82 00 24 00 A0 AF 00 00 60 A0 FE FF 06 24 28 00 A2 8F 10 00 42 2C 06 00 40 14 74 00 BF 8F 14 00 A4 8F ?? ?? ?? 0? 40 00 A6 AF 40 00 A6 8F 74 00 BF 8F 21 10 C0 00 70 00 BE 8F 6C 00 B7 8F 68 00 B6 8F 64 00 B5 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 78 00 BD 27 21 88 60 02 01 00 24 26 98 00 80 14 21 B0 00 00 09 00 00 12 10 00 42 2C 14 00 A5 8F 14 00 A3 27 21 20 C0 02 0B 28 62 00 ?? ?? ?? 0? 21 30 00 02 28 00 A2 8F 10 00 42 2C 04 00 40 14 10 00 23 2E ?? ?? ?? 0? 14 00 A4 8F 10 00 23 2E 14 00 A2 27 0A 10 C3 02 21 10 50 00 14 00 B6 AF 28 00 B1 AF 24 00 B0 AF D0 FF 60 12 00 00 40 A0 28 00 A2 8F 01 00 03 24 8A 00 63 12 14 00 A4 8F 10 00 42 2C 14 00 A3 27 0B 20 62 00 21 28 00 00 ?? ?? ?? 0? 21 30 60 02 28 00 A4 8F 14 00 A3 8F 14 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 53 00 24 00 B3 AF BD FF 60 12 00 00 40 A0 02 00 08 24 01 00 05 24 FE FF 06 24 14 00 BE 27 7F 00 10 24 01 00 0A 24 FF FF 11 24 80 00 A7 2C 21 10 00 02 0B 10 A7 00 21 B8 00 00 21 48 00 00 21 B0 00 00 ?? ?? ?? 0? 21 38 40 00 14 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 57 00 00 00 42 80 1C 00 40 50 21 B0 C5 02 21 B0 C2 02 01 00 F7 26 26 00 F3 12 00 00 00 00 21 10 56 02 00 00 42 80 F2 FF 40 50 28 00 A4 8F 00 00 43 82 EF FF 43 50 28 00 A4 8F 01 00 D6 26 21 10 56 02 00 00 42 80 EA FF 40 50 28 00 A4 8F FB FF 43 54 01 00 D6 26 28 00 A4 8F 14 00 A2 8F 10 00 84 2C 0B 10 C4 03 21 10 57 00 00 00 42 80 E8 FF 40 54 21 B0 C2 02 21 B0 C5 02 21 18 56 02 00 00 62 80 00 00 4B 82 04 00 62 51 14 00 A2 8F 48 00 40 54 04 00 82 92 14 00 A2 8F 21 30 E0 02 0B 10 C4 03 21 20 57 00 01 00 F7 26 DC FF F3 16 00 00 87 A0 7E FF 20 11 28 00 A2 8F 04 00 82 92 CA 00 40 50 00 00 84 8E 04 00 A2 92 B8 00 40 10 00 00 A4 8E 00 00 82 8E E7 00 40 10 00 00 00 00 73 FF 80 54 28 00 A2 8F 20 00 45 8C 00 00 A3 8C A4 00 60 50 00 00 43 8C 30 00 44 8C 00 00 84 8C 23 20 83 00 9E 00 80 18 01 00 63 24 00 00 A3 AC 04 00 80 A2 01 00 08 25 FF FF 05 25 ?? ?? ?? 0? FF FF 06 24 FF FF 03 24 75 FF 23 12 24 00 B0 8F 03 00 03 24 1B 00 23 02 F4 01 60 00 42 18 02 00 12 20 00 00 2B 20 83 00 6F FF 80 10 01 00 24 26 FE FF 04 24 23 20 83 00 2B 20 82 00 69 FF 80 10 21 88 62 00 FF FF 04 24 FE FF 11 24 ?? ?? ?? 0? 00 00 00 00 E5 00 40 10 21 B0 40 00 ?? ?? ?? 0? 28 00 A2 8F ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 04 26 ?? ?? ?? 0? ?? ?? 04 26 ?? ?? ?? 0? 28 00 A2 8F 10 00 42 2C 14 00 A3 27 0A 18 82 00 ?? ?? ?? 0? 00 00 60 A0 2B 00 40 50 00 00 84 8E 04 00 A2 92 18 00 40 50 00 00 A4 8E 00 00 A2 8E 00 00 84 8E 0A 00 80 10 00 00 00 00 0B 00 40 50 04 00 82 92 28 00 A3 8F 14 00 A2 8F 10 00 63 2C 0B 10 C3 03 21 10 57 00 ?? ?? ?? 0? 00 00 47 A0 F9 FF 40 50 28 00 A3 8F 04 00 82 92 25 00 40 10 00 00 63 80 05 00 82 82 F3 FF 43 14 28 00 A3 8F ?? ?? ?? 0? 01 00 09 24 53 00 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 3D 00 40 50 00 00 82 8C 30 00 8B 8C 00 00 6B 8D 23 58 62 01 38 00 60 59 00 00 82 8C 00 00 42 90 05 00 A2 A2 21 10 80 00 ?? ?? ?? 0? 04 00 AA A2 2F 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 19 00 40 50 00 00 82 8C 30 00 8B 8C 00 00 6B 8D 23 58 62 01 14 00 60 59 00 00 82 8C 00 00 42 90 05 00 82 A2 ?? ?? ?? 0? 04 00 8A A2 73 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 5D 00 40 50 00 00 82 8C 30 00 8B 8C 00 00 6B 8D 23 58 62 01 58 00 60 59 00 00 82 8C 00 00 42 90 05 00 82 A2 ?? ?? ?? 0? 04 00 8A A2 1C 00 42 8C 34 00 A3 AF 38 00 A5 AF 40 00 A6 AF 3C 00 A7 AF 44 00 A8 AF 30 00 A9 AF 09 F8 40 00 48 00 AA AF 34 00 A3 8F 38 00 A5 8F 40 00 A6 8F 3C 00 A7 8F 44 00 A8 8F 30 00 A9 8F DE FF 51 14 48 00 AA 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 1C 00 42 8C 34 00 A3 AF 38 00 A5 AF 40 00 A6 AF 3C 00 A7 AF 44 00 A8 AF 30 00 A9 AF 09 F8 40 00 48 00 AA AF 34 00 A3 8F 38 00 A5 8F 40 00 A6 8F 3C 00 A7 8F 44 00 A8 8F 30 00 A9 8F 61 00 51 14 48 00 AA 8F 00 00 A0 AE 21 10 00 00 ?? ?? ?? 0? 04 00 AA A2 00 00 43 8C 21 20 40 00 20 00 62 8C 44 00 A8 AF 09 F8 40 00 48 00 AA AF 44 00 A8 8F 5C FF 51 14 48 00 AA 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 40 00 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 32 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 2D 00 60 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 ?? ?? ?? 0? 04 00 AA A2 3E 00 80 50 00 00 80 AE 20 00 82 8C 00 00 42 8C 30 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 2B 00 60 58 00 00 82 8C 00 00 42 90 05 00 82 A2 ?? ?? ?? 0? 04 00 8A A2 1C 00 42 8C 34 00 A3 AF 38 00 A5 AF 40 00 A6 AF 3C 00 A7 AF 44 00 A8 AF 30 00 A9 AF 09 F8 40 00 48 00 AA AF 34 00 A3 8F 38 00 A5 8F 40 00 A6 8F 3C 00 A7 8F 44 00 A8 8F 30 00 A9 8F 9A FF 51 14 48 00 AA 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 8D FE 80 10 28 00 A2 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 1C 00 42 8C 40 00 A6 AF 44 00 A8 AF 09 F8 40 00 48 00 AA AF 40 00 A6 8F 44 00 A8 8F 15 00 51 14 48 00 AA 8F 00 00 A0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 AA A2 1C 00 42 8C 40 00 A6 AF 44 00 A8 AF 09 F8 40 00 48 00 AA AF 40 00 A6 8F 44 00 A8 8F CF FF 51 14 48 00 AA 8F 00 00 80 AE ?? ?? ?? 0? 04 00 8A A2 00 00 A4 8E 05 00 A2 A2 ?? ?? ?? 0? 21 10 80 00 00 00 A4 8E ?? ?? ?? 0? 05 00 A2 A2 ?? ?? 17 3C ?? ?? F7 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B7 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B7 AF ?? ?? ?? 0? 28 00 A2 8F }
	condition:
		$1
}

rule file_640_75_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale"
		size = 4948
		refs = "0004 _ZNSt8numpunctIcE2idE 0048 _ZNSt9_FacetptrISt8numpunctIcEE6_PsaveE 004c _ZNSt6locale2id7_Id_cntE 00a4 _ZNSt8_LocinfoC1EPKc 00ac _Znwm 00c0 _ZTVSt8numpunctIcE 00dc _ZNSt8numpunctIcE5_InitERKSt8_Locinfob 00fc _ZNSt8_LocinfoD1Ev 012c _ZNSt6locale5facet9_RegisterEv 0254 _ZTVSt9bad_alloc 0344 _ZdlPv 061c memchr 0744 _ZNSt6locale16_GetgloballocaleEv 0918 _ZSt14_Xlength_errorPKc 0b70 memcpy 125c _ZNKSt9exception6_RaiseEv 1268 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 00 FF BD 27 ?? ?? 02 3C DC 00 B1 AF ?? ?? 51 8C D8 00 B0 AF ?? ?? 10 3C F4 00 B7 AF E8 00 B4 AF E4 00 B3 AF FC 00 BF AF F8 00 BE AF F0 00 B6 AF EC 00 B5 AF E0 00 B2 AF 21 B8 A0 00 21 18 C0 00 14 01 B3 8F 07 00 20 16 ?? ?? 14 8E ?? ?? 04 3C ?? ?? 85 8C 01 00 A5 24 21 88 A0 00 ?? ?? 85 AC ?? ?? 45 AC 00 00 62 8E 0C 00 44 8C 2B 20 24 02 33 00 80 54 08 00 45 8C 14 00 42 90 B1 01 40 54 D0 00 A3 AF 33 00 80 16 21 90 80 02 00 00 62 8E 4C 00 A4 27 18 00 45 8C 1C 00 42 24 D0 00 A3 AF 0A 28 45 00 ?? ?? ?? 0? D4 00 A7 AF ?? ?? ?? 0? 18 00 04 24 D0 00 A3 8F 0E 00 40 10 D4 00 A7 8F ?? ?? 04 3C ?? ?? 84 24 00 00 44 AC 04 00 40 AC 21 20 40 00 4C 00 A5 27 01 00 06 24 ?? ?? ?? 0? B8 00 A2 AF B8 00 A2 8F D4 00 A7 8F D0 00 A3 8F 21 90 40 00 4C 00 A4 27 D0 00 A3 AF ?? ?? ?? 0? D4 00 A7 AF 04 00 42 8E FF FF 04 24 ?? ?? 12 AE D0 00 A3 8F 03 00 44 10 D4 00 A7 8F 01 00 42 24 04 00 42 AE 21 20 40 02 D0 00 A3 AF ?? ?? ?? 0? D4 00 A7 AF D4 00 A7 8F ?? ?? ?? 0? D0 00 A3 8F 80 20 11 00 21 20 A4 00 00 00 92 8C CB FF 40 52 14 00 42 90 00 00 42 8E 14 00 A4 27 B0 00 A4 AF 10 00 42 8C 21 28 40 02 D0 00 A3 AF D4 00 A7 AF 09 F8 40 00 B4 00 A0 AF 24 00 A2 8F D0 00 A3 8F 13 01 40 14 D4 00 A7 8F 04 00 62 90 EE 00 40 50 00 00 64 8C 04 00 E2 90 FD 00 40 10 00 00 E4 8C 00 00 65 8C A4 00 A0 10 00 00 00 00 A5 00 80 50 04 00 62 90 04 00 65 90 21 48 E0 02 10 01 A2 8F 20 00 04 24 70 00 42 30 06 00 44 10 08 00 1E 24 40 00 04 24 03 00 44 10 10 00 1E 24 0A 00 1E 24 0A F0 02 00 B4 00 A0 50 00 00 64 8C 04 00 E2 90 C4 00 40 50 00 00 E4 8C 00 00 E2 8C 00 00 64 8C 68 00 80 10 00 00 00 00 69 00 40 50 04 00 62 90 6C 01 C0 17 21 28 00 00 21 98 00 00 0A 00 12 24 04 00 62 90 0F 00 04 24 44 00 A4 AF 01 00 04 24 30 00 A5 A3 40 00 A4 AF 31 00 A0 A3 1F 00 F5 26 21 40 00 00 76 01 40 10 21 88 00 00 04 00 E2 90 ?? ?? 10 3C ?? ?? 16 3C ?? ?? 10 26 ?? ?? D6 26 CC 01 40 10 ?? ?? 14 3C 00 00 E2 8C 00 00 64 8C DF 00 80 10 00 00 00 00 E0 00 40 50 04 00 62 90 44 00 A4 8F 0B 00 00 11 28 00 AA 8F 30 00 A3 8F 10 00 85 2C 30 00 A2 27 0A 10 65 00 21 10 48 00 00 00 42 80 03 00 40 58 21 98 00 00 01 00 08 25 28 00 AA 8F 14 00 A2 8F B0 00 AE 8F 10 00 47 2D 0A 70 47 00 1D 01 60 12 21 38 C0 01 15 00 00 11 00 00 00 00 00 00 C6 81 7F 00 02 24 11 00 C2 10 00 00 00 00 30 00 A3 8F 10 00 85 2C 30 00 A2 27 0A 10 65 00 FF FF 08 25 7F 00 05 24 0C 01 00 15 21 18 48 00 00 00 43 80 2A 30 C3 00 0A 00 C0 54 21 48 E0 02 01 00 E3 80 2A 18 03 00 FE 00 00 15 21 38 67 00 05 00 20 56 10 00 84 2C 30 00 02 24 00 00 22 A1 01 00 29 25 10 00 84 2C 04 00 80 14 00 00 20 A1 ?? ?? ?? 0? 30 00 A4 8F 28 00 AA 8F 0F 00 02 24 10 00 4A 2D 44 00 A2 AF 40 00 A0 AF 03 00 40 15 30 00 A0 A3 ?? ?? ?? 0? 14 00 A4 8F FC 00 BF 8F 21 10 C0 03 F4 00 B7 8F F8 00 BE 8F F0 00 B6 8F EC 00 B5 8F E8 00 B4 8F E4 00 B3 8F E0 00 B2 8F DC 00 B1 8F D8 00 B0 8F 08 00 E0 03 00 01 BD 27 9A FF 40 10 00 00 00 00 04 00 62 90 70 02 40 10 00 00 00 00 05 00 62 80 30 00 04 24 93 FF 44 14 00 00 00 00 00 00 64 8C 89 02 80 10 01 00 02 24 20 00 85 8C 00 00 A2 8C 27 03 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 21 03 C0 18 01 00 42 24 00 00 A2 AC 04 00 60 A0 20 00 82 8C 00 00 42 8C 80 03 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 7B 03 A0 58 00 00 82 8C 00 00 42 90 05 00 62 A0 01 00 02 24 ?? ?? ?? 0? 04 00 62 A0 5F FF 80 50 04 00 65 90 04 00 62 90 3A 02 40 10 00 00 00 00 05 00 62 80 2B 00 04 24 08 00 44 50 00 00 E2 A2 04 00 64 90 C7 00 80 50 00 00 64 8C 2D 00 04 24 52 FF 44 54 04 00 65 90 00 00 E2 A2 00 00 64 8C 1B 03 80 10 01 00 E9 26 20 00 85 8C 00 00 A2 8C 0D 03 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 07 03 C0 18 01 00 42 24 00 00 A2 AC 04 00 60 A0 ?? ?? ?? 0? 21 28 00 00 4A 02 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 3B 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 36 02 A0 58 00 00 82 8C 00 00 42 90 05 00 62 A0 01 00 02 24 04 00 62 A0 04 00 E2 90 40 FF 40 54 00 00 E2 8C 00 00 E4 8C 79 02 80 50 01 00 04 24 20 00 82 8C 00 00 42 8C 8F 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 8A 02 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A0 21 10 80 00 01 00 04 24 ?? ?? ?? 0? 04 00 E4 A0 64 02 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 57 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 52 02 A0 58 00 00 82 8C 00 00 42 90 05 00 62 A0 01 00 02 24 04 00 62 A0 04 00 E2 90 05 FF 40 14 00 00 E4 8C 5B 02 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 7A 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 75 02 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A0 01 00 02 24 ?? ?? ?? 0? 04 00 E2 A0 00 00 42 8E 0C 00 42 8C 09 F8 40 00 21 20 40 02 B4 00 A2 AF D4 00 A7 8F ?? ?? ?? 0? D0 00 A3 8F 24 FF 40 50 44 00 A4 8F 04 00 62 90 8F 00 40 10 21 30 40 02 05 00 65 80 21 20 00 02 00 00 25 A1 D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF ?? ?? ?? 0? CC 00 A9 AF D0 00 A3 8F D4 00 A7 8F C8 00 A8 8F 9F 00 40 10 CC 00 A9 8F 05 00 20 16 2B 10 35 01 00 00 24 81 30 00 02 24 05 00 82 10 2B 10 35 01 04 00 40 10 44 00 A4 8F 01 00 29 25 01 00 11 24 44 00 A4 8F 30 00 A5 8F 30 00 A2 27 10 00 84 2C 0A 10 A4 00 21 10 48 00 00 00 46 80 7F 00 02 24 07 00 C2 10 01 00 13 24 30 00 A2 27 0A 10 A4 00 21 10 48 00 00 00 44 90 01 00 84 24 00 00 44 A0 00 00 64 8C B7 00 80 10 01 00 02 24 20 00 85 8C 00 00 A2 8C CA 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 C4 00 C0 18 01 00 42 24 00 00 A2 AC 04 00 60 A0 55 00 80 50 00 00 60 AC 20 00 82 8C 00 00 42 8C 5B 01 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 56 01 A0 58 00 00 82 8C 00 00 42 90 05 00 62 A0 01 00 02 24 ?? ?? ?? 0? 04 00 62 A0 00 00 E6 80 01 FF C5 10 00 00 00 00 FF FF 08 25 F6 FE 00 11 21 18 48 00 00 00 63 80 F8 FE 66 50 01 00 E3 80 ?? ?? ?? 0? 21 48 E0 02 ?? ?? ?? 0? D4 00 A7 AF 0C 00 44 8C D0 00 A3 8F 2B 20 24 02 4A FE 80 10 D4 00 A7 8F 08 00 42 8C 80 88 11 00 21 88 51 00 00 00 32 8E 79 FE 40 56 00 00 42 8E ?? ?? ?? 0? 00 00 00 00 0C 00 80 50 00 00 60 AC 20 00 82 8C 00 00 42 8C 0D 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 08 02 A0 58 00 00 82 8C 00 00 42 90 05 00 62 A0 01 00 04 24 05 00 62 80 ?? ?? ?? 0? 04 00 64 A0 21 98 00 00 0A 00 02 24 55 01 C2 13 08 00 02 24 26 28 C2 03 21 10 A0 00 08 00 04 24 16 00 12 24 0A 90 82 00 21 30 60 02 04 00 62 90 0F 00 04 24 0A 30 65 02 21 28 C0 00 44 00 A4 AF 01 00 04 24 30 00 A5 A3 40 00 A4 AF 31 00 A0 A3 1F 00 F5 26 21 40 00 00 8C FE 40 14 21 88 00 00 00 00 64 8C AF FF 80 54 20 00 82 8C 00 00 60 AC 01 00 02 24 ?? ?? ?? 0? 04 00 62 A0 84 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 73 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 6E 00 A0 58 00 00 82 8C 00 00 42 90 20 2C 02 7C 01 00 02 24 05 00 65 A0 04 00 62 A0 00 00 25 A1 21 20 00 02 21 30 40 02 D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF ?? ?? ?? 0? CC 00 A9 AF D0 00 A3 8F D4 00 A7 8F C8 00 A8 8F 63 FF 40 14 CC 00 A9 8F 44 00 A4 8F 30 00 A5 8F 30 00 A2 27 10 00 86 2C 0A 10 A6 00 21 10 48 00 00 00 42 80 6D FE 40 10 B4 00 AE 8F 6B FE C0 11 00 00 00 00 04 00 62 90 FF 00 40 50 00 00 64 8C 05 00 62 80 B4 00 AF 8F 64 FE E2 55 44 00 A4 8F 40 00 AA 8F FE FF 42 2D 0D 00 40 14 01 00 4A 25 ?? ?? 84 26 D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF ?? ?? ?? 0? CC 00 A9 AF 40 00 AA 8F CC 00 A9 8F C8 00 A8 8F D4 00 A7 8F D0 00 A3 8F 01 00 4A 25 FF FF 02 24 DC 00 42 11 ?? ?? 84 26 44 00 A2 8F 2B 20 4A 00 55 00 80 14 0F 00 4B 35 B0 00 40 15 30 00 A5 8F 10 00 42 2C 30 00 A4 27 0A 20 A2 00 40 00 A0 AF 00 00 80 A0 01 00 08 25 00 00 64 8C 4D FF 80 54 20 00 85 8C 01 00 02 24 04 00 62 A0 04 00 E2 90 36 FE 40 14 00 00 60 AC 00 00 E4 8C 3E 00 80 50 01 00 04 24 20 00 82 8C 00 00 42 8C 2D 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 28 00 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A0 21 10 80 00 01 00 04 24 ?? ?? ?? 0? 04 00 E4 A0 00 00 82 8C 20 00 42 8C D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF 09 F8 40 00 CC 00 A9 AF FF FF 04 24 D0 00 A3 8F D4 00 A7 8F C8 00 A8 8F DD FF 44 10 CC 00 A9 8F 00 00 64 8C ?? ?? ?? 0? 04 00 60 A0 1C 00 42 8C D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF 09 F8 40 00 CC 00 A9 AF FF FF 04 24 D0 00 A3 8F D4 00 A7 8F C8 00 A8 8F 89 FF 44 14 CC 00 A9 8F 01 00 02 24 05 00 65 80 00 00 60 AC ?? ?? ?? 0? 04 00 62 A0 1C 00 42 8C D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF 09 F8 40 00 CC 00 A9 AF FF FF 04 24 D0 00 A3 8F D4 00 A7 8F C8 00 A8 8F 2E 02 44 14 CC 00 A9 8F 01 00 04 24 00 00 E0 AC 21 10 00 00 ?? ?? ?? 0? 04 00 E4 A0 FF FF 04 24 7B 00 64 11 40 00 AD 8F AA AA 04 3C AB AA 84 34 19 00 64 01 42 20 02 00 10 78 00 00 42 28 0F 00 2B 28 A4 00 74 00 A0 50 01 00 64 25 FE FF 05 24 23 28 A4 00 2B 28 A2 00 6E 00 A0 10 21 58 82 00 FF FF 04 24 FE FF 0B 24 D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF CC 00 A9 AF C4 00 AA AF C0 00 AB AF ?? ?? ?? 0? BC 00 AD AF D0 00 A3 8F D4 00 A7 8F C8 00 A8 8F CC 00 A9 8F C4 00 AA 8F C0 00 AB 8F C4 01 40 10 BC 00 AD 8F 21 60 40 00 44 00 A2 8F 19 00 A0 11 10 00 42 2C 30 00 A5 8F 30 00 A6 27 21 20 80 01 0B 28 C2 00 21 30 A0 01 D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF CC 00 A9 AF C4 00 AA AF C0 00 AB AF B8 00 AC AF ?? ?? ?? 0? BC 00 AD AF 44 00 A2 8F BC 00 AD 8F B8 00 AC 8F C0 00 AB 8F C4 00 AA 8F CC 00 A9 8F C8 00 A8 8F D4 00 A7 8F D0 00 A3 8F 10 00 42 2C 14 00 40 14 10 00 64 2D 30 00 A4 8F D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF CC 00 A9 AF C4 00 AA AF C0 00 AB AF B8 00 AC AF ?? ?? ?? 0? BC 00 AD AF BC 00 AD 8F B8 00 AC 8F C0 00 AB 8F C4 00 AA 8F CC 00 A9 8F C8 00 A8 8F D4 00 A7 8F D0 00 A3 8F 10 00 64 2D 30 00 A2 27 30 00 AC AF 0B 60 44 00 21 60 8D 01 44 00 AB AF 40 00 AD AF 58 FF 40 11 00 00 80 A1 44 00 A2 8F 10 00 42 2C 1C 00 40 14 40 00 A4 8F 30 00 A2 8F 21 20 44 00 00 00 80 A0 44 00 A5 8F 30 00 A4 8F 30 00 A2 27 10 00 A5 2C 0A 10 85 00 21 10 4A 00 40 00 AA AF 01 00 08 25 ?? ?? ?? 0? 00 00 40 A0 1C 00 42 8C D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF 09 F8 40 00 CC 00 A9 AF FF FF 04 24 D0 00 A3 8F D4 00 A7 8F C8 00 A8 8F A1 FE 44 14 CC 00 A9 8F ?? ?? ?? 0? 00 00 60 AC ?? ?? ?? 0? 30 00 A2 27 21 58 40 01 01 00 64 25 A5 FF 80 10 21 60 00 00 ?? ?? ?? 0? D0 00 A3 AF D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF CC 00 A9 AF ?? ?? ?? 0? C4 00 AA AF C4 00 AA 8F CC 00 A9 8F C8 00 A8 8F D4 00 A7 8F ?? ?? ?? 0? D0 00 A3 8F D0 00 80 50 01 00 04 24 20 00 82 8C 00 00 42 8C BF 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 BA 00 A0 58 00 00 82 8C 00 00 42 90 20 14 02 7C 01 00 04 24 05 00 62 A0 ?? ?? ?? 0? 04 00 64 A0 21 28 60 02 ?? ?? ?? 0? 0A 00 12 24 0C 01 A0 10 01 00 04 24 20 00 A2 8C 00 00 42 8C FE 00 40 50 00 00 A2 8C 30 00 A4 8C 00 00 84 8C 23 20 82 00 F9 00 80 58 00 00 A2 8C 00 00 42 90 20 14 02 7C 01 00 04 24 05 00 62 A0 ?? ?? ?? 0? 04 00 64 A0 ED 00 80 50 01 00 04 24 20 00 82 8C 00 00 42 8C DE 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 D9 00 A0 58 00 00 82 8C 00 00 42 90 20 14 02 7C 01 00 04 24 05 00 62 A0 ?? ?? ?? 0? 04 00 64 A0 1C 00 42 8C D0 00 A3 AF D4 00 A7 AF 09 F8 40 00 CC 00 A9 AF FF FF 04 24 D0 00 A3 8F D4 00 A7 8F C3 FD 44 14 CC 00 A9 8F 01 00 02 24 00 00 60 AC ?? ?? ?? 0? 04 00 62 A0 01 00 02 24 00 00 60 AC 04 00 62 A0 04 00 E2 90 43 00 40 50 00 00 E4 8C 00 00 E2 8C 00 00 64 8C 07 00 80 10 00 00 00 00 08 00 40 50 04 00 62 90 69 FE C0 17 01 00 13 24 ?? ?? ?? 0? 08 00 1E 24 FB FF 40 10 00 00 00 00 04 00 62 90 CD 00 40 10 00 00 00 00 05 00 62 80 78 00 04 24 07 00 44 10 00 00 00 00 04 00 64 90 DB 00 80 50 00 00 64 8C 58 00 04 24 EE FF 44 14 00 00 00 00 52 00 C0 17 10 00 02 24 00 00 64 8C 7A 00 80 10 01 00 02 24 20 00 85 8C 00 00 A2 8C 6B 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 65 00 C0 18 01 00 42 24 00 00 A2 AC 04 00 60 A0 21 98 00 00 ?? ?? ?? 0? 10 00 1E 24 1C 00 42 8C D0 00 A3 AF 09 F8 40 00 D4 00 A7 AF FF FF 04 24 D0 00 A3 8F A9 FD 44 14 D4 00 A7 8F 01 00 02 24 00 00 60 AC ?? ?? ?? 0? 04 00 62 A0 01 00 04 24 00 00 E0 AC 21 10 00 00 ?? ?? ?? 0? 04 00 E4 A0 01 00 02 24 00 00 E0 AC 21 20 00 00 ?? ?? ?? 0? 04 00 E2 A0 A9 00 80 50 01 00 04 24 20 00 82 8C 00 00 42 8C DD 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 D8 00 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A0 21 10 80 00 01 00 04 24 ?? ?? ?? 0? 04 00 E4 A0 1C 00 42 8C D0 00 A3 AF D4 00 A7 AF 09 F8 40 00 CC 00 A9 AF FF FF 04 24 D0 00 A3 8F D4 00 A7 8F DC FF 44 10 CC 00 A9 8F 00 00 E4 8C 05 00 E2 A0 ?? ?? ?? 0? 21 10 80 00 1C 00 42 8C D0 00 A3 AF 09 F8 40 00 D4 00 A7 AF FF FF 04 24 D0 00 A3 8F D5 FF 44 10 D4 00 A7 8F 00 00 E4 8C ?? ?? ?? 0? 05 00 E2 A0 AE FF C2 13 01 00 13 24 ?? ?? ?? 0? 0A 00 02 24 1C 00 42 8C D0 00 A3 AF 09 F8 40 00 D4 00 A7 AF FF FF 04 24 D0 00 A3 8F F3 FD 44 14 D4 00 A7 8F ?? ?? ?? 0? 00 00 60 AC 1C 00 42 8C D0 00 A3 AF D4 00 A7 AF C8 00 A8 AF }
	condition:
		$1
}

rule file_640_76_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERPv"
		size = 696
		refs = "0070 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 00b4 _Stoulx"
	strings:
		$1 = { 98 FF BD 27 80 00 A2 8F 70 00 A6 AF 74 00 A7 AF 24 00 42 8C 54 00 B0 AF 21 80 80 00 00 00 42 8C 21 20 A0 00 FF FF 05 24 04 00 43 8C 5C 00 B2 AF 64 00 BF AF 60 00 B3 AF 58 00 B1 AF 84 00 B2 8F 1C 00 A0 AF 03 00 65 10 20 00 A2 AF 01 00 63 24 04 00 43 AC 40 00 02 24 24 00 B1 27 10 00 A2 AF 21 28 20 02 20 00 A2 27 70 00 A6 27 78 00 A7 27 ?? ?? ?? 0? 14 00 A2 AF 20 00 A4 8F 0B 00 80 50 21 20 20 02 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 28 00 60 50 00 00 83 8C 21 20 20 02 18 00 A5 27 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 21 98 40 00 74 00 A2 93 2D 00 40 10 70 00 A4 8F 7C 00 A2 93 3D 00 40 10 78 00 A4 8F 70 00 A2 8F 4C 00 40 10 78 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 42 8E 01 00 42 34 00 00 42 AE 18 00 A2 8F 49 00 51 50 00 00 42 8E 1C 00 A2 8F 45 00 40 14 88 00 A2 8F 00 00 53 AC 70 00 A3 8F 21 10 00 02 00 00 03 AE 74 00 A3 8F 04 00 03 AE 64 00 BF 8F 60 00 B3 8F 5C 00 B2 8F 58 00 B1 8F 54 00 B0 8F 08 00 E0 03 68 00 BD 27 04 00 63 8C 09 F8 60 00 48 00 A2 AF 48 00 A2 8F 21 20 20 02 18 00 A5 27 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 21 98 40 00 74 00 A2 93 D7 FF 40 14 7C 00 A2 93 70 00 A4 8F 42 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 37 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 32 00 60 58 00 00 82 8C 00 00 42 90 75 00 A2 A3 01 00 02 24 74 00 A2 A3 7C 00 A2 93 C7 FF 40 14 70 00 A2 8F 78 00 A4 8F 24 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2E 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 29 00 60 58 00 00 82 8C 00 00 42 90 7D 00 A2 A3 01 00 02 24 7C 00 A2 A3 70 00 A2 8F B6 FF 40 14 00 00 00 00 B6 FF 80 10 18 00 A2 8F BB FF 51 14 1C 00 A2 8F 00 00 42 8E 02 00 42 34 00 00 42 AE 70 00 A3 8F 21 10 00 02 00 00 03 AE 74 00 A3 8F 04 00 03 AE 64 00 BF 8F 60 00 B3 8F 5C 00 B2 8F 58 00 B1 8F 54 00 B0 8F 08 00 E0 03 68 00 BD 27 78 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 7C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 CC FF 43 54 75 00 A2 A3 01 00 02 24 70 00 A0 AF ?? ?? ?? 0? 74 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 78 00 A4 8F ?? ?? ?? 0? 7D 00 A2 A3 }
	condition:
		$1
}

rule file_640_77_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERy"
		size = 684
		refs = "0074 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0088 _Stoullx"
	strings:
		$1 = { A0 FF BD 27 78 00 A2 8F 68 00 A6 AF 6C 00 A7 AF 24 00 43 8C 50 00 B2 AF 21 90 80 00 00 00 63 8C 21 20 A0 00 FF FF 06 24 04 00 65 8C 4C 00 B1 AF 5C 00 BF AF 58 00 B5 AF 54 00 B4 AF 48 00 B0 AF 7C 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B0 27 21 28 00 02 68 00 A6 27 70 00 A7 27 10 00 A2 AF 20 00 A2 27 ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 21 A0 40 00 0A 00 80 10 21 A8 60 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 24 00 40 50 00 00 82 8C 6C 00 A2 93 28 00 40 50 68 00 A4 8F 74 00 A2 93 38 00 40 10 70 00 A4 8F 68 00 A2 8F 47 00 40 10 70 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 44 00 50 50 00 00 22 8E 1C 00 A2 8F 40 00 40 14 80 00 A2 8F 00 00 54 AC 04 00 55 AC 68 00 A3 8F 21 10 40 02 00 00 43 AE 6C 00 A3 8F 04 00 43 AE 5C 00 BF 8F 58 00 B5 8F 54 00 B4 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 60 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 6C 00 A2 93 DC FF 40 14 74 00 A2 93 68 00 A4 8F 43 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 38 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 33 00 60 58 00 00 82 8C 00 00 42 90 6D 00 A2 A3 01 00 02 24 6C 00 A2 A3 74 00 A2 93 CC FF 40 14 68 00 A2 8F 70 00 A4 8F 25 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2F 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 2A 00 60 58 00 00 82 8C 00 00 42 90 75 00 A2 A3 01 00 02 24 74 00 A2 A3 68 00 A2 8F BB FF 40 14 00 00 00 00 BB FF 80 10 18 00 A2 8F C0 FF 50 14 1C 00 A2 8F 00 00 22 8E 02 00 42 34 00 00 22 AE 68 00 A3 8F 21 10 40 02 00 00 43 AE 6C 00 A3 8F 04 00 43 AE 5C 00 BF 8F 58 00 B5 8F 54 00 B4 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 60 00 BD 27 70 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 74 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 CB FF 43 54 6D 00 A2 A3 01 00 02 24 68 00 A0 AF ?? ?? ?? 0? 6C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 70 00 A4 8F ?? ?? ?? 0? 75 00 A2 A3 }
	condition:
		$1
}

rule file_640_78_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERx"
		size = 684
		refs = "0074 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0088 _Stollx"
	strings:
		$1 = { A0 FF BD 27 78 00 A2 8F 68 00 A6 AF 6C 00 A7 AF 24 00 43 8C 50 00 B2 AF 21 90 80 00 00 00 63 8C 21 20 A0 00 FF FF 06 24 04 00 65 8C 4C 00 B1 AF 5C 00 BF AF 58 00 B5 AF 54 00 B4 AF 48 00 B0 AF 7C 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B0 27 21 28 00 02 68 00 A6 27 70 00 A7 27 10 00 A2 AF 20 00 A2 27 ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 21 A0 40 00 0A 00 80 10 21 A8 60 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 24 00 40 50 00 00 82 8C 6C 00 A2 93 28 00 40 50 68 00 A4 8F 74 00 A2 93 38 00 40 10 70 00 A4 8F 68 00 A2 8F 47 00 40 10 70 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 44 00 50 50 00 00 22 8E 1C 00 A2 8F 40 00 40 14 80 00 A2 8F 00 00 54 AC 04 00 55 AC 68 00 A3 8F 21 10 40 02 00 00 43 AE 6C 00 A3 8F 04 00 43 AE 5C 00 BF 8F 58 00 B5 8F 54 00 B4 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 60 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 6C 00 A2 93 DC FF 40 14 74 00 A2 93 68 00 A4 8F 43 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 38 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 33 00 60 58 00 00 82 8C 00 00 42 90 6D 00 A2 A3 01 00 02 24 6C 00 A2 A3 74 00 A2 93 CC FF 40 14 68 00 A2 8F 70 00 A4 8F 25 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2F 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 2A 00 60 58 00 00 82 8C 00 00 42 90 75 00 A2 A3 01 00 02 24 74 00 A2 A3 68 00 A2 8F BB FF 40 14 00 00 00 00 BB FF 80 10 18 00 A2 8F C0 FF 50 14 1C 00 A2 8F 00 00 22 8E 02 00 42 34 00 00 22 AE 68 00 A3 8F 21 10 40 02 00 00 43 AE 6C 00 A3 8F 04 00 43 AE 5C 00 BF 8F 58 00 B5 8F 54 00 B4 8F 50 00 B2 8F 4C 00 B1 8F 48 00 B0 8F 08 00 E0 03 60 00 BD 27 70 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 74 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 CB FF 43 54 6D 00 A2 A3 01 00 02 24 68 00 A0 AF ?? ?? ?? 0? 6C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 70 00 A4 8F ?? ?? ?? 0? 75 00 A2 A3 }
	condition:
		$1
}

rule file_640_79_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERm"
		size = 664
		refs = "0070 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0084 _Stoulx"
	strings:
		$1 = { A0 FF BD 27 78 00 A2 8F 68 00 A6 AF 6C 00 A7 AF 24 00 43 8C 54 00 B2 AF 21 90 80 00 00 00 63 8C 21 20 A0 00 FF FF 06 24 04 00 65 8C 50 00 B1 AF 5C 00 BF AF 58 00 B3 AF 4C 00 B0 AF 7C 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B0 27 21 28 00 02 68 00 A6 27 70 00 A7 27 10 00 A2 AF 20 00 A2 27 ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 0A 00 80 10 21 98 40 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 22 00 40 50 00 00 82 8C 6C 00 A2 93 26 00 40 50 68 00 A4 8F 74 00 A2 93 36 00 40 10 70 00 A4 8F 68 00 A2 8F 45 00 40 10 70 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 42 00 50 50 00 00 22 8E 1C 00 A2 8F 3E 00 40 14 80 00 A2 8F 00 00 53 AC 68 00 A3 8F 21 10 40 02 00 00 43 AE 6C 00 A3 8F 04 00 43 AE 5C 00 BF 8F 58 00 B3 8F 54 00 B2 8F 50 00 B1 8F 4C 00 B0 8F 08 00 E0 03 60 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 6C 00 A2 93 DE FF 40 14 74 00 A2 93 68 00 A4 8F 42 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 37 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 32 00 60 58 00 00 82 8C 00 00 42 90 6D 00 A2 A3 01 00 02 24 6C 00 A2 A3 74 00 A2 93 CE FF 40 14 68 00 A2 8F 70 00 A4 8F 24 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2E 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 29 00 60 58 00 00 82 8C 00 00 42 90 75 00 A2 A3 01 00 02 24 74 00 A2 A3 68 00 A2 8F BD FF 40 14 00 00 00 00 BD FF 80 10 18 00 A2 8F C2 FF 50 14 1C 00 A2 8F 00 00 22 8E 02 00 42 34 00 00 22 AE 68 00 A3 8F 21 10 40 02 00 00 43 AE 6C 00 A3 8F 04 00 43 AE 5C 00 BF 8F 58 00 B3 8F 54 00 B2 8F 50 00 B1 8F 4C 00 B0 8F 08 00 E0 03 60 00 BD 27 70 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 74 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 CC FF 43 54 6D 00 A2 A3 01 00 02 24 68 00 A0 AF ?? ?? ?? 0? 6C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 70 00 A4 8F ?? ?? ?? 0? 75 00 A2 A3 }
	condition:
		$1
}

rule file_640_80_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERl"
		size = 664
		refs = "0070 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0084 _Stolx"
	strings:
		$1 = { A0 FF BD 27 78 00 A2 8F 68 00 A6 AF 6C 00 A7 AF 24 00 43 8C 54 00 B2 AF 21 90 80 00 00 00 63 8C 21 20 A0 00 FF FF 06 24 04 00 65 8C 50 00 B1 AF 5C 00 BF AF 58 00 B3 AF 4C 00 B0 AF 7C 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 A6 10 20 00 A3 AF 01 00 A5 24 04 00 65 AC 24 00 B0 27 21 28 00 02 68 00 A6 27 70 00 A7 27 10 00 A2 AF 20 00 A2 27 ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 0A 00 80 10 21 98 40 00 04 00 82 8C FF FF 43 24 FE FF 65 2C 03 00 A0 10 00 00 00 00 04 00 83 AC 21 10 60 00 22 00 40 50 00 00 82 8C 6C 00 A2 93 26 00 40 50 68 00 A4 8F 74 00 A2 93 36 00 40 10 70 00 A4 8F 68 00 A2 8F 45 00 40 10 70 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 42 00 50 50 00 00 22 8E 1C 00 A2 8F 3E 00 40 14 80 00 A2 8F 00 00 53 AC 68 00 A3 8F 21 10 40 02 00 00 43 AE 6C 00 A3 8F 04 00 43 AE 5C 00 BF 8F 58 00 B3 8F 54 00 B2 8F 50 00 B1 8F 4C 00 B0 8F 08 00 E0 03 60 00 BD 27 04 00 42 8C 09 F8 40 00 00 00 00 00 6C 00 A2 93 DE FF 40 14 74 00 A2 93 68 00 A4 8F 42 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 37 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 32 00 60 58 00 00 82 8C 00 00 42 90 6D 00 A2 A3 01 00 02 24 6C 00 A2 A3 74 00 A2 93 CE FF 40 14 68 00 A2 8F 70 00 A4 8F 24 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2E 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 29 00 60 58 00 00 82 8C 00 00 42 90 75 00 A2 A3 01 00 02 24 74 00 A2 A3 68 00 A2 8F BD FF 40 14 00 00 00 00 BD FF 80 10 18 00 A2 8F C2 FF 50 14 1C 00 A2 8F 00 00 22 8E 02 00 42 34 00 00 22 AE 68 00 A3 8F 21 10 40 02 00 00 43 AE 6C 00 A3 8F 04 00 43 AE 5C 00 BF 8F 58 00 B3 8F 54 00 B2 8F 50 00 B1 8F 4C 00 B0 8F 08 00 E0 03 60 00 BD 27 70 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 74 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 CC FF 43 54 6D 00 A2 A3 01 00 02 24 68 00 A0 AF ?? ?? ?? 0? 6C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 70 00 A4 8F ?? ?? ?? 0? 75 00 A2 A3 }
	condition:
		$1
}

rule file_640_81_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERj"
		size = 744
		refs = "0070 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 00c4 _Stoulx"
	strings:
		$1 = { 98 FF BD 27 80 00 A2 8F 70 00 A6 AF 74 00 A7 AF 24 00 43 8C 54 00 B0 AF 21 80 80 00 00 00 63 8C 21 20 A0 00 FF FF 05 24 04 00 66 8C 5C 00 B2 AF 64 00 BF AF 60 00 B3 AF 58 00 B1 AF 84 00 B2 8F 1C 00 A0 AF 10 00 42 8C 03 00 C5 10 20 00 A3 AF 01 00 C6 24 04 00 66 AC 24 00 B1 27 10 00 A2 AF 21 28 20 02 20 00 A2 27 70 00 A6 27 78 00 A7 27 ?? ?? ?? 0? 14 00 A2 AF 20 00 A4 8F 0B 00 80 10 24 00 A3 83 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 30 00 60 50 00 00 83 8C 24 00 A3 83 25 00 B3 27 18 00 A5 27 2D 00 63 38 0B 98 23 02 21 20 60 02 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 21 88 40 00 74 00 A2 93 35 00 40 10 70 00 A4 8F 7C 00 A2 93 45 00 40 10 78 00 A4 8F 70 00 A2 8F 54 00 40 10 78 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 42 8E 01 00 42 34 00 00 42 AE 18 00 A2 8F 51 00 62 52 00 00 42 8E 1C 00 A2 8F 4D 00 40 14 24 00 A3 83 23 10 11 00 2D 00 63 38 0A 88 43 00 88 00 A2 8F 00 00 51 AC 70 00 A3 8F 21 10 00 02 00 00 03 AE 74 00 A3 8F 04 00 03 AE 64 00 BF 8F 60 00 B3 8F 5C 00 B2 8F 58 00 B1 8F 54 00 B0 8F 08 00 E0 03 68 00 BD 27 25 00 B3 27 04 00 63 8C 09 F8 60 00 48 00 A2 AF 24 00 A3 83 48 00 A2 8F 18 00 A5 27 2D 00 63 38 0B 98 23 02 21 20 60 02 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 21 88 40 00 74 00 A2 93 CF FF 40 14 7C 00 A2 93 70 00 A4 8F 42 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 37 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 32 00 60 58 00 00 82 8C 00 00 42 90 75 00 A2 A3 01 00 02 24 74 00 A2 A3 7C 00 A2 93 BF FF 40 14 70 00 A2 8F 78 00 A4 8F 24 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2E 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 29 00 60 58 00 00 82 8C 00 00 42 90 7D 00 A2 A3 01 00 02 24 7C 00 A2 A3 70 00 A2 8F AE FF 40 14 00 00 00 00 AE FF 80 10 18 00 A2 8F B3 FF 62 16 1C 00 A2 8F 00 00 42 8E 02 00 42 34 00 00 42 AE 70 00 A3 8F 21 10 00 02 00 00 03 AE 74 00 A3 8F 04 00 03 AE 64 00 BF 8F 60 00 B3 8F 5C 00 B2 8F 58 00 B1 8F 54 00 B0 8F 08 00 E0 03 68 00 BD 27 78 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 7C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 CC FF 43 54 75 00 A2 A3 01 00 02 24 70 00 A0 AF ?? ?? ?? 0? 74 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 78 00 A4 8F ?? ?? ?? 0? 7D 00 A2 A3 }
	condition:
		$1
}

rule file_640_82_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERt"
		size = 768
		refs = "0070 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 00c4 _Stoulx"
	strings:
		$1 = { 98 FF BD 27 80 00 A2 8F 70 00 A6 AF 74 00 A7 AF 24 00 43 8C 54 00 B0 AF 21 80 80 00 00 00 63 8C 21 20 A0 00 FF FF 05 24 04 00 66 8C 58 00 B1 AF 64 00 BF AF 60 00 B3 AF 5C 00 B2 AF 84 00 B1 8F 1C 00 A0 AF 10 00 42 8C 03 00 C5 10 20 00 A3 AF 01 00 C6 24 04 00 66 AC 24 00 B2 27 10 00 A2 AF 21 28 40 02 20 00 A2 27 70 00 A6 27 78 00 A7 27 ?? ?? ?? 0? 14 00 A2 AF 20 00 A4 8F 0B 00 80 10 24 00 A3 83 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 41 00 60 50 00 00 83 8C 24 00 A3 83 25 00 B3 27 18 00 A5 27 2D 00 63 38 0B 98 43 02 21 20 60 02 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 21 90 40 00 74 00 A2 93 46 00 40 10 70 00 A4 8F 7C 00 A2 93 56 00 40 10 78 00 A4 8F 70 00 A2 8F 65 00 40 10 78 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 17 00 62 12 1C 00 A2 8F 15 00 40 14 01 00 02 3C 2B 10 42 02 12 00 40 10 24 00 A4 83 2D 00 03 24 59 00 83 10 21 10 40 02 88 00 A3 8F 00 00 62 A4 70 00 A3 8F 21 10 00 02 00 00 03 AE 74 00 A3 8F 04 00 03 AE 64 00 BF 8F 60 00 B3 8F 5C 00 B2 8F 58 00 B1 8F 54 00 B0 8F 08 00 E0 03 68 00 BD 27 00 00 22 8E 02 00 42 34 00 00 22 AE 70 00 A3 8F 21 10 00 02 00 00 03 AE 74 00 A3 8F 04 00 03 AE 64 00 BF 8F 60 00 B3 8F 5C 00 B2 8F 58 00 B1 8F 54 00 B0 8F 08 00 E0 03 68 00 BD 27 25 00 B3 27 04 00 63 8C 09 F8 60 00 48 00 A2 AF 24 00 A3 83 48 00 A2 8F 18 00 A5 27 2D 00 63 38 0B 98 43 02 21 20 60 02 21 30 40 00 ?? ?? ?? 0? 1C 00 A7 27 21 90 40 00 74 00 A2 93 BE FF 40 14 7C 00 A2 93 70 00 A4 8F 37 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 2C 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 27 00 60 58 00 00 82 8C 00 00 42 90 75 00 A2 A3 01 00 02 24 74 00 A2 A3 7C 00 A2 93 AE FF 40 14 70 00 A2 8F 78 00 A4 8F 19 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 23 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 1E 00 60 58 00 00 82 8C 00 00 42 90 7D 00 A2 A3 01 00 02 24 7C 00 A2 A3 70 00 A2 8F 9D FF 40 14 00 00 00 00 A1 FF 80 54 18 00 A2 8F ?? ?? ?? 0? 00 00 22 8E 88 00 A3 8F 23 10 12 00 ?? ?? ?? 0? 00 00 62 A4 78 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 7C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 D7 FF 43 54 75 00 A2 A3 01 00 02 24 70 00 A0 AF ?? ?? ?? 0? 74 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 78 00 A4 8F ?? ?? ?? 0? 7D 00 A2 A3 }
	condition:
		$1
}

rule file_640_83_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERb"
		size = 1828
		refs = "0064 _ZNSt8numpunctIcE2idE 0074 _ZNSt9_FacetptrISt8numpunctIcEE6_PsaveE 0078 _ZNSt6locale2id7_Id_cntE 0134 _ZSt14_Xlength_errorPKc 0154 _ZNSs5_GrowEmb 0190 memcpy 01f4 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetifldEPcRS3_S6_NSt5_IosbIiE9_FmtflagsERKSt6locale 0208 _Stoulx 0324 _ZdlPv 0424 _ZSt10_GetloctxtIcSt19istreambuf_iteratorIcSt11char_traitsIcEEEiRT0_S5_mPKT_ 05f4 _ZNSt8_LocinfoC1EPKc 05fc _Znwm 0608 _ZTVSt8numpunctIcE 0624 _ZNSt8numpunctIcE5_InitERKSt8_Locinfob 0634 _ZNSt8_LocinfoD1Ev 0654 _ZNSt6locale5facet9_RegisterEv 06ec _ZNSt6locale16_GetgloballocaleEv"
	strings:
		$1 = { F8 FE BD 27 20 01 A2 8F E8 00 B0 AF 21 80 80 00 10 00 43 8C 21 20 A0 00 F8 00 B4 AF 00 80 65 30 04 01 BF AF 00 01 B6 AF FC 00 B5 AF F4 00 B3 AF F0 00 B2 AF EC 00 B1 AF 10 01 A6 AF 14 01 A7 AF 5D 00 A0 10 24 01 B4 8F 24 00 42 8C FF FF 03 24 00 00 52 8C 04 00 42 8E 02 00 43 10 01 00 42 24 04 00 42 AE ?? ?? 02 3C ?? ?? 55 8C ?? ?? 13 3C 07 00 A0 16 ?? ?? 76 8E ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 A8 80 00 ?? ?? 64 AC ?? ?? 44 AC 0C 00 42 8E 2B 10 A2 02 4F 01 40 50 14 00 42 92 08 00 43 8E 80 10 15 00 21 10 62 00 00 00 51 8C 49 01 20 52 14 00 42 92 04 00 42 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 43 AE 21 10 60 00 06 00 40 54 5C 00 A0 A3 00 00 42 8E 04 00 42 8C 09 F8 40 00 21 20 40 02 5C 00 A0 A3 5D 00 A0 A3 00 00 22 8E 0F 00 03 24 24 00 B3 27 14 00 42 8C 70 00 A3 AF 01 00 03 24 6C 00 A3 AF 21 20 60 02 09 F8 40 00 21 28 20 02 34 00 B5 8F FF FF A2 2E 75 00 40 14 6C 00 A2 8F FF FF 15 24 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 75 00 A0 12 5C 00 B2 27 6C 00 B6 8F 21 20 40 02 21 30 00 00 21 B0 B6 02 ?? ?? ?? 0? 21 28 C0 02 6E 00 40 10 38 00 A2 8F 70 00 A2 8F 10 00 42 2C 46 01 40 10 21 20 40 02 6C 00 A2 8F 38 00 A5 8F 21 30 A0 02 21 20 82 00 24 00 A2 8F 10 00 A5 2C 0A 98 45 00 ?? ?? ?? 0? 21 28 60 02 70 00 A2 8F 5C 00 A3 8F 6C 00 B6 AF 10 00 42 2C 0B 18 42 02 21 B0 76 00 ?? ?? ?? 0? 00 00 C0 A2 24 00 42 8C FF FF 06 24 1C 00 A0 AF 00 00 42 8C 04 00 45 8C 03 00 A6 10 20 00 A2 AF 01 00 A5 24 04 00 45 AC 5C 00 B2 27 21 28 40 02 10 01 A6 27 18 01 A7 27 20 00 A2 27 10 00 A3 AF ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 40 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A4 8F 10 00 80 10 18 00 A3 8F 04 00 83 8C FF FF 65 24 FE FF A6 2C 03 00 C0 10 00 00 00 00 04 00 85 AC 21 18 A0 00 07 00 60 14 18 00 A3 8F 00 00 83 8C 04 00 63 8C 09 F8 60 00 E0 00 A2 AF E0 00 A2 8F 18 00 A3 8F 06 00 72 10 FF FF 11 24 1C 00 A3 8F 04 00 60 54 14 01 A2 93 02 00 43 2C 0B 88 43 00 14 01 A2 93 7A 00 40 10 10 01 A4 8F 1C 01 A2 93 8A 00 40 10 18 01 A4 8F 10 01 A2 8F 99 00 40 10 18 01 A4 8F 04 00 80 10 00 00 00 00 00 00 82 8E 01 00 42 34 00 00 82 AE 97 00 22 06 00 00 82 8E 28 01 A2 8F 2B 88 11 00 00 00 51 A0 10 01 A3 8F 21 10 00 02 00 00 03 AE 14 01 A3 8F 04 00 03 AE 04 01 BF 8F 00 01 B6 8F FC 00 B5 8F F8 00 B4 8F F4 00 B3 8F F0 00 B2 8F EC 00 B1 8F E8 00 B0 8F 08 00 E0 03 08 01 BD 27 27 10 02 00 2B 10 A2 02 8B FF 40 10 ?? ?? 04 3C 8D FF A0 16 5C 00 B2 27 38 00 A2 8F 10 00 42 2C 04 00 40 14 6C 00 B3 8F ?? ?? ?? 0? 24 00 A4 8F 6C 00 B3 8F 0F 00 02 24 38 00 A2 AF FE FF 62 2E 34 00 A0 AF CC 00 40 10 24 00 A0 A3 01 00 73 26 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 30 00 00 10 00 40 50 00 00 22 8E 70 00 A2 8F 10 00 42 2C BD 00 40 10 6C 00 A3 8F 21 10 40 02 21 18 43 00 00 00 60 A0 70 00 A2 8F 5C 00 A3 8F 6C 00 B3 AF 10 00 42 2C 0B 18 42 02 21 98 73 00 00 00 60 A2 00 00 22 8E 40 00 B3 27 21 28 20 02 18 00 42 8C 09 F8 40 00 21 20 60 02 50 00 B1 8F FF FF 22 2E 64 00 40 50 FF FF 11 24 6C 00 A2 8F 27 10 02 00 2B 10 22 02 60 00 40 50 ?? ?? 04 3C 63 00 20 56 6C 00 B5 8F 54 00 A2 8F 10 00 42 2C 04 00 40 14 70 00 A7 8F ?? ?? ?? 0? 40 00 A4 8F 70 00 A7 8F 5C 00 A2 8F 10 01 A4 27 10 00 E7 2C 0A 90 47 00 18 01 A5 27 0F 00 02 24 02 00 06 24 21 38 40 02 54 00 A2 AF 50 00 A0 AF ?? ?? ?? 0? 40 00 A0 A3 21 88 40 00 70 00 A2 8F 10 00 42 2C 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 5C 00 A4 8F 0F 00 02 24 70 00 A2 AF 14 01 A2 93 6C 00 A0 AF 89 FF 40 14 5C 00 A0 A3 10 01 A4 8F 95 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 8A 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 85 00 60 58 00 00 82 8C 00 00 42 90 15 01 A2 A3 01 00 02 24 14 01 A2 A3 1C 01 A2 93 7A FF 40 14 10 01 A2 8F 18 01 A4 8F 77 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 81 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 7C 00 60 58 00 00 82 8C 00 00 42 90 1D 01 A2 A3 01 00 02 24 1C 01 A2 A3 10 01 A2 8F 69 FF 40 14 00 00 00 00 6A FF 80 50 00 00 82 8E 6D FF 21 06 28 01 A2 8F 00 00 82 8E 02 00 42 34 00 00 82 AE 10 01 A3 8F 21 10 00 02 00 00 03 AE 14 01 A3 8F 04 00 03 AE 04 01 BF 8F 00 01 B6 8F FC 00 B5 8F F8 00 B4 8F F4 00 B3 8F F0 00 B2 8F EC 00 B1 8F E8 00 B0 8F 08 00 E0 03 08 01 BD 27 ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 A1 FF 20 12 54 00 A2 8F 6C 00 B5 8F 21 20 40 02 21 30 00 00 21 A8 35 02 ?? ?? ?? 0? 21 28 A0 02 99 FF 40 10 54 00 A2 8F 70 00 A2 8F 10 00 42 2C 37 00 40 10 21 20 40 02 6C 00 A2 8F 54 00 A5 8F 21 30 20 02 21 20 82 00 40 00 A2 8F 10 00 A5 2C 0A 98 45 00 ?? ?? ?? 0? 21 28 60 02 70 00 A2 8F 5C 00 A3 8F 6C 00 B5 AF 10 00 42 2C 0B 18 42 02 21 A8 75 00 ?? ?? ?? 0? 00 00 A0 A2 44 00 40 14 00 00 00 00 B5 FE C0 16 21 88 C0 02 18 00 45 8E 1C 00 42 26 7C 00 A4 27 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 18 00 04 24 0B 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 20 40 00 7C 00 A5 27 01 00 06 24 ?? ?? ?? 0? E0 00 A2 AF E0 00 A2 8F 21 88 40 00 ?? ?? ?? 0? 7C 00 A4 27 04 00 22 8E FF FF 03 24 03 00 43 10 ?? ?? 71 AE 01 00 42 24 04 00 22 AE ?? ?? ?? 0? 21 20 20 02 ?? ?? ?? 0? 04 00 42 8E ?? ?? ?? 0? 5C 00 A2 8F ?? ?? ?? 0? 5C 00 A4 8F ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 6C 00 B3 8F ?? ?? ?? 0? 5C 00 A4 8F 18 01 A0 AF 21 20 00 00 ?? ?? ?? 0? 1C 01 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 79 FF 43 54 15 01 A2 A3 01 00 02 24 10 01 A0 AF ?? ?? ?? 0? 14 01 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 18 01 A4 8F ?? ?? ?? 0? 1D 01 A2 A3 ?? ?? ?? 0? 00 00 00 00 0C 00 43 8C 2B 18 A3 02 B8 FF 60 10 00 00 00 00 08 00 42 8C 80 A8 15 00 21 A8 55 00 00 00 B1 8E 69 FE 20 56 04 00 42 8E ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_640_84_4 {
	meta:
		name = "_ZNSt19istreambuf_iteratorIcSt11char_traitsIcEE4_IncEv"
		size = 140
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 80 00 00 00 84 8C 17 00 80 10 14 00 BF AF 20 00 83 8C 00 00 62 8C 0D 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 07 00 A0 18 01 00 42 24 00 00 62 AC 14 00 BF 8F 04 00 00 A2 10 00 B0 8F 08 00 E0 03 18 00 BD 27 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 F6 FF 43 14 14 00 BF 8F 14 00 BF 8F 01 00 02 24 00 00 00 AE 04 00 02 A2 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_640_85_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE9_GetffldxEPcRS3_S6_RSt8ios_basePi"
		size = 10096
		refs = "0058 _ZNSt8numpunctIcE2idE 0068 _ZNSt9_FacetptrISt8numpunctIcEE6_PsaveE 006c _ZNSt6locale2id7_Id_cntE 00b4 _ZNSt8_LocinfoC1EPKc 00bc _Znwm 00c8 _ZTVSt8numpunctIcE 00e4 _ZNSt8numpunctIcE5_InitERKSt8_Locinfob 00f4 _ZNSt8_LocinfoD1Ev 0114 _ZNSt6locale5facet9_RegisterEv 0250 _ZTVSt9bad_alloc 0314 _ZdlPv 04e4 _ZSt14_Xlength_errorPKc 0b74 localeconv 15ac _ZNSt6locale16_GetgloballocaleEv 16e8 memcpy 1da4 _ZNSt19istreambuf_iteratorIcSt11char_traitsIcEE4_IncEv 2640 _ZNKSt9exception6_RaiseEv 264c _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 00 FF BD 27 10 01 A2 8F D8 00 B0 AF FF FF 03 24 24 00 42 8C F0 00 B6 AF EC 00 B5 AF 00 00 50 8C E4 00 B3 AF FC 00 BF AF 04 00 02 8E F8 00 BE AF F4 00 B7 AF E8 00 B4 AF E0 00 B2 AF DC 00 B1 AF 21 98 A0 00 21 A8 C0 00 03 00 43 10 21 B0 E0 00 01 00 42 24 04 00 02 AE ?? ?? 02 3C ?? ?? 54 8C ?? ?? 11 3C 07 00 80 16 ?? ?? 37 8E ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 A0 80 00 ?? ?? 64 AC ?? ?? 44 AC 0C 00 02 8E 2B 10 82 02 25 00 40 54 08 00 03 8E 14 00 02 92 44 05 40 14 00 00 00 00 25 00 E0 16 21 90 E0 02 18 00 05 8E 1C 00 02 26 4C 00 A4 27 ?? ?? ?? 0? 0A 28 45 00 ?? ?? ?? 0? 18 00 04 24 0B 00 40 10 ?? ?? 03 3C ?? ?? 63 24 04 00 40 AC 00 00 43 AC 21 20 40 00 4C 00 A5 27 01 00 06 24 ?? ?? ?? 0? B8 00 A2 AF B8 00 A2 8F 21 90 40 00 ?? ?? ?? 0? 4C 00 A4 27 04 00 42 8E FF FF 03 24 03 00 43 10 ?? ?? 32 AE 01 00 42 24 04 00 42 AE ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 04 00 02 8E 80 10 14 00 21 10 62 00 00 00 52 8C D9 FF 40 52 14 00 02 92 04 00 02 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 03 AE 21 10 60 00 12 01 40 50 00 00 02 8E 00 00 42 8E 14 00 A3 27 B0 00 A3 AF 10 00 42 8C 21 20 60 00 09 F8 40 00 21 28 40 02 04 00 A2 92 16 01 40 50 00 00 A4 8E 04 00 C2 92 26 01 40 50 00 00 C4 8E 00 00 A2 8E 35 01 40 10 00 00 C4 8E 35 01 80 10 21 F0 60 02 30 00 02 24 00 00 C2 A3 78 00 02 24 01 00 C2 A3 04 00 A2 92 9A 04 40 10 02 00 DE 27 04 00 C2 92 AB 04 40 50 00 00 C4 8E 00 00 C2 8E 00 00 A4 8E 44 01 80 10 00 00 00 00 45 01 40 50 04 00 A2 92 21 B8 00 00 28 00 A2 8F 14 00 A3 8F B0 00 A4 8F 10 00 42 2C 0A 20 62 00 00 00 82 80 7F 00 03 24 B0 03 43 50 04 00 A2 92 AD 03 40 18 24 00 A2 8F A4 05 40 54 00 00 42 8E B4 00 A0 AF 04 00 A2 92 0F 00 03 24 44 00 A3 AF 01 00 03 24 40 00 A3 AF 30 00 A0 A3 31 00 A0 A3 21 A0 00 00 21 80 00 00 05 03 40 10 21 18 00 00 04 00 C2 92 ?? ?? 11 3C ?? ?? 08 3C ?? ?? 31 26 ?? ?? 09 3C BE 00 40 10 ?? ?? 08 25 00 00 C4 8E 00 00 A2 8E 7B 00 40 10 00 00 00 00 7C 00 80 50 04 00 A4 92 44 00 A4 8F AC 04 80 56 30 00 A5 8F 21 88 00 00 10 00 84 2C 28 00 A7 8F 14 00 A2 8F B0 00 AE 8F 10 00 E7 2C 0A 70 47 00 17 00 20 16 21 38 C0 01 15 00 80 12 7F 00 02 24 00 00 C6 81 12 00 C2 10 30 00 A2 27 30 00 A5 8F 7F 00 08 24 0A 10 A4 00 FF FF 94 26 B0 04 80 16 21 28 54 00 00 00 45 80 2A 30 C5 00 08 00 C0 54 01 00 11 24 01 00 E5 80 2A 28 05 00 04 00 80 12 21 38 A7 00 00 00 E6 80 F4 FF C8 54 FF FF 94 26 06 00 80 14 0F 00 02 24 30 00 A4 8F ?? ?? ?? 0? D0 00 A3 AF D0 00 A3 8F 0F 00 02 24 44 00 A2 AF 40 00 A0 AF 30 00 A0 A3 07 00 E0 52 04 00 A2 92 05 00 60 54 04 00 A2 92 30 00 02 24 00 00 C2 A3 01 00 DE 27 04 00 A2 92 69 04 40 50 00 00 A4 8E 04 00 C2 92 56 04 40 10 00 00 C4 8E 00 00 A2 8E F5 01 40 10 00 00 00 00 F6 01 80 50 04 00 A4 92 04 00 A2 92 11 00 60 14 ?? ?? 05 3C 01 00 05 24 FF FF 14 24 CB 01 40 10 30 00 12 24 04 00 C2 92 DA 01 40 10 00 00 C4 8E 00 00 A2 8E AB 01 40 10 00 00 00 00 AC 01 80 50 04 00 A4 92 41 05 00 06 30 00 02 24 04 00 A2 92 ?? ?? 05 3C 01 00 14 24 FF FF 12 24 64 02 40 10 ?? ?? A5 24 04 00 C2 92 73 02 40 10 00 00 C4 8E 00 00 A2 8E 33 02 40 10 00 00 00 00 34 02 80 50 04 00 A4 92 E1 00 E0 16 21 18 E0 02 02 00 20 56 21 F0 60 02 0A F0 77 02 00 00 C0 A3 14 01 A2 8F 00 00 50 AC 28 00 A2 8F 10 00 42 2C 04 00 40 14 FC 00 BF 8F ?? ?? ?? 0? 14 00 A4 8F FC 00 BF 8F 21 10 00 00 F8 00 BE 8F F4 00 B7 8F F0 00 B6 8F EC 00 B5 8F E8 00 B4 8F E4 00 B3 8F E0 00 B2 8F DC 00 B1 8F D8 00 B0 8F 08 00 E0 03 00 01 BD 27 88 FF 80 10 44 00 A4 8F 04 00 A4 92 5D 02 80 10 00 00 00 00 05 00 A2 82 30 00 44 28 D3 01 80 10 3A 00 44 28 44 00 A4 8F 30 00 A6 8F 30 00 A5 27 10 00 87 2C 0A 28 C7 00 21 28 B4 00 00 00 A5 80 78 FF A0 10 B4 00 AF 8F 76 FF E0 11 00 00 00 00 04 00 A4 92 06 05 80 50 00 00 A4 8E B4 00 A4 8F 70 FF 82 14 44 00 A4 8F 40 00 A7 8F FE FF E2 2C 0B 00 40 14 01 00 E7 24 ?? ?? 24 25 D0 00 A3 AF CC 00 A8 AF ?? ?? ?? 0? C8 00 A9 AF 40 00 A7 8F C8 00 A9 8F CC 00 A8 8F D0 00 A3 8F 01 00 E7 24 FF FF 02 24 B7 04 E2 10 ?? ?? 24 25 44 00 A2 8F 2B 20 47 00 44 04 80 14 0F 00 EA 34 99 04 E0 14 30 00 A5 8F 10 00 42 2C 30 00 A4 27 0A 20 A2 00 40 00 A0 AF 00 00 80 A0 01 00 94 26 00 00 A4 8E C2 01 80 54 20 00 85 8C 01 00 02 24 04 00 A2 A2 04 00 C2 92 44 FF 40 14 00 00 A0 AE 00 00 C4 8E AA 02 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 9B 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 96 02 A0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 C2 A2 04 00 42 8C 09 F8 40 00 21 20 00 02 00 00 42 8E 14 00 A3 27 B0 00 A3 AF 10 00 42 8C 21 20 60 00 09 F8 40 00 21 28 40 02 04 00 A2 92 EE FE 40 54 04 00 C2 92 00 00 A4 8E 08 05 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C FD 04 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 F8 04 60 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 01 00 02 24 04 00 A2 A2 04 00 C2 92 DE FE 40 54 00 00 A2 8E 00 00 C4 8E 3F 05 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C F3 05 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 EE 05 60 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 01 00 02 24 04 00 C2 A2 00 00 A2 8E CD FE 40 14 00 00 00 00 CD FE 80 10 21 F0 60 02 04 00 A3 92 A6 04 60 10 00 00 00 00 05 00 A2 82 2B 00 03 24 08 00 43 50 00 00 62 A2 04 00 A3 92 D3 03 60 50 00 00 A4 8E 2D 00 03 24 C0 FE 43 14 21 F0 60 02 00 00 62 A2 00 00 A4 8E 15 07 80 10 01 00 7E 26 20 00 83 8C 00 00 62 8C 0B 07 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 05 07 A0 18 01 00 42 24 00 00 62 AC ?? ?? ?? 0? 04 00 A0 A2 BF FE 40 10 21 B8 00 00 04 00 A2 92 98 04 40 10 00 00 00 00 05 00 A2 82 30 00 03 24 B8 FE 43 14 21 B8 00 00 00 00 A4 8E D8 04 80 10 01 00 02 24 20 00 83 8C 00 00 62 8C BA 06 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 B4 06 A0 18 01 00 42 24 00 00 62 AC 04 00 A0 A2 20 00 82 8C 00 00 42 8C D3 05 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 CE 05 60 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 A2 A2 04 00 A2 92 1B 05 40 50 00 00 A4 8E 04 00 C2 92 08 05 40 10 00 00 C4 8E 00 00 A2 8E 8B 06 40 10 00 00 00 00 16 FF 80 14 00 00 00 00 04 00 A4 92 EB 06 80 10 00 00 00 00 05 00 A2 82 70 00 04 24 07 00 44 50 70 00 02 24 04 00 A4 92 41 07 80 50 00 00 A4 8E 50 00 04 24 09 FF 44 14 70 00 02 24 00 00 C2 A3 00 00 A4 8E 64 06 80 10 01 00 DE 27 20 00 85 8C 00 00 A2 8C 91 06 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 8B 06 C0 18 01 00 42 24 00 00 A2 AC 04 00 A0 A2 20 00 82 8C 00 00 42 8C 4D 07 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 48 07 A0 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 01 00 02 24 04 00 A2 A2 04 00 C2 92 4D 06 40 10 00 00 C4 8E 00 00 A2 8E 3F 05 40 10 00 00 00 00 40 05 80 50 04 00 A4 92 04 00 A2 92 21 B8 00 00 01 00 05 24 FF FF 14 24 16 05 40 10 30 00 12 24 04 00 C2 92 25 05 40 10 00 00 C4 8E 00 00 A2 8E F6 04 40 10 00 00 00 00 F7 04 80 50 04 00 A4 92 05 00 E0 52 04 00 A2 92 30 00 02 24 00 00 C2 A3 01 00 DE 27 04 00 A2 92 21 28 00 00 01 00 14 24 2A 00 40 10 FF FF 12 24 04 00 C2 92 3A 00 40 50 00 00 C4 8E 00 00 A2 8E 48 00 40 10 00 00 C4 8E C5 FE 80 14 00 00 00 00 04 00 A4 92 48 00 80 10 00 00 00 00 05 00 A2 82 30 00 44 28 BE FE 80 14 00 00 00 00 04 00 A4 92 FF 05 80 50 00 00 A4 8E 3A 00 44 28 B8 FE 80 10 08 00 A4 28 8C 05 80 54 04 00 A4 92 00 00 A4 8E 78 05 80 50 00 00 A0 AE 20 00 86 8C 00 00 C2 8C 6C 05 40 50 00 00 82 8C 30 00 87 8C 00 00 E7 8C 23 38 E2 00 66 05 E0 18 01 00 42 24 00 00 C2 AC 04 00 A0 A2 21 10 00 00 21 B8 60 00 D9 FF 40 54 04 00 C2 92 00 00 A4 8E A5 05 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 99 05 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 94 05 C0 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 04 00 B4 A2 04 00 C2 92 CA FF 40 54 00 00 A2 8E 00 00 C4 8E A4 05 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C AD 05 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 A8 05 C0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 04 00 D4 A2 00 00 A2 8E BA FF 40 14 00 00 00 00 7E FE 80 10 00 00 00 00 04 00 A4 92 BB FF 80 54 05 00 A2 82 AE 05 40 50 05 00 A2 82 20 00 44 8C 00 00 84 8C A1 05 80 50 00 00 46 8C 30 00 46 8C 00 00 C6 8C 23 30 C4 00 9C 05 C0 58 00 00 46 8C 00 00 82 90 20 14 02 7C 05 00 A2 A2 ?? ?? ?? 0? 04 00 B4 A2 57 FE 80 10 00 00 00 00 04 00 A4 92 88 01 80 10 00 00 00 00 05 00 A2 82 51 FE 52 14 00 00 00 00 00 00 A4 8E 11 01 80 10 FF FF 10 26 20 00 86 8C 00 00 C2 8C 06 01 40 50 00 00 82 8C 30 00 87 8C 00 00 E7 8C 23 38 E2 00 00 01 E0 18 01 00 42 24 00 00 C2 AC 04 00 A0 A2 04 00 A2 92 01 00 17 24 38 FE 40 54 04 00 C2 92 00 00 A4 8E 42 02 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 36 02 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 31 02 C0 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 04 00 A5 A2 04 00 C2 92 28 FE 40 14 00 00 C4 8E 26 02 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C 1A 02 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 15 02 C0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 ?? ?? ?? 0? 04 00 C5 A2 0E FE 80 50 04 00 A2 92 04 00 A4 92 93 03 80 10 00 00 00 00 05 00 B4 82 00 00 42 8E 21 20 40 02 08 00 42 8C 09 F8 40 00 D0 00 A3 AF 02 FE 54 14 D0 00 A3 8F ?? ?? ?? 0? 00 00 00 00 2C 00 42 8C 00 00 42 90 00 00 C2 A3 00 00 A4 8E 01 00 DE 27 A9 03 80 10 D0 00 A3 8F 20 00 85 8C 00 00 A2 8C 9F 03 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 99 03 C0 18 01 00 42 24 00 00 A2 AC 04 00 A0 A2 ?? ?? ?? 0? 21 10 00 00 06 00 80 14 D0 FF 45 24 61 00 44 28 15 04 80 14 67 00 44 28 16 04 80 10 A9 FF 45 24 26 FE A0 04 30 00 64 28 A1 00 80 54 04 00 A4 92 01 00 10 26 44 00 A4 8F 30 00 A5 8F 30 00 A2 27 10 00 84 2C 0A 10 A4 00 21 10 54 00 00 00 46 80 7F 00 02 24 07 00 C2 10 01 00 17 24 30 00 A2 27 0A 10 A4 00 21 10 54 00 00 00 44 90 01 00 84 24 00 00 44 A0 00 00 A4 8E 42 FE 80 10 01 00 02 24 20 00 85 8C 00 00 A2 8C B1 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 AB 00 C0 18 01 00 42 24 00 00 A2 AC 04 00 A0 A2 7D 00 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C DF 01 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 DA 01 A0 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 A2 A2 CF FD 80 10 00 00 00 00 04 00 A4 92 84 00 80 10 00 00 00 00 05 00 A2 82 30 00 44 28 C8 FD 80 14 3A 00 44 28 E8 00 80 14 61 00 44 28 65 06 80 14 67 00 44 28 66 06 80 10 47 00 44 28 A9 FF 42 24 BF FD 40 04 30 00 64 28 07 00 80 50 00 00 A4 8E 21 10 45 00 00 00 42 90 01 00 63 24 00 00 C2 A3 01 00 DE 27 00 00 A4 8E 4B 00 80 50 04 00 B4 A2 20 00 86 8C 00 00 C2 8C 3F 00 40 50 00 00 82 8C 30 00 87 8C 00 00 E7 8C 23 38 E2 00 39 00 E0 18 01 00 42 24 00 00 C2 AC 04 00 A0 A2 04 00 A2 92 01 00 17 24 9F FD 40 54 04 00 C2 92 00 00 A4 8E 91 00 80 50 00 00 A0 AE 20 00 82 8C 00 00 42 8C 85 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 80 00 C0 58 00 00 82 8C 00 00 42 90 05 00 A2 A2 04 00 B4 A2 04 00 C2 92 8F FD 40 14 00 00 C4 8E 8A 00 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C 7E 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 79 00 C0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 ?? ?? ?? 0? 04 00 D4 A2 65 00 40 10 01 00 04 24 20 00 44 8C 00 00 84 8C 55 00 80 50 00 00 45 8C 30 00 45 8C 00 00 A5 8C 23 28 A4 00 50 00 A0 58 00 00 45 8C 00 00 82 90 20 14 02 7C 01 00 04 24 05 00 A2 A2 ?? ?? ?? 0? 04 00 A4 A2 00 00 82 8C 20 00 42 8C D0 00 A3 AF 09 F8 40 00 BC 00 A5 AF D0 00 A3 8F C2 FF 52 14 BC 00 A5 8F 04 00 B4 A2 00 00 A0 AE 04 00 A2 92 ?? ?? ?? 0? 01 00 17 24 00 00 A4 8E 87 FF 80 54 20 00 82 8C 00 00 A0 AE 01 00 02 24 ?? ?? ?? 0? 04 00 A2 A2 68 00 80 10 30 00 04 24 7A 00 44 10 00 00 00 00 21 28 A8 00 00 00 A2 90 01 00 63 24 00 00 C2 A3 ?? ?? ?? 0? 01 00 DE 27 00 00 82 8C 20 00 42 8C D0 00 A3 AF 09 F8 40 00 BC 00 A5 AF D0 00 A3 8F FB FE 54 14 BC 00 A5 8F 04 00 A5 A2 00 00 A0 AE 04 00 A2 92 ?? ?? ?? 0? 01 00 17 24 48 01 40 50 05 00 A2 82 20 00 44 8C 00 00 84 8C 3B 01 80 50 00 00 46 8C 30 00 46 8C 00 00 C6 8C 23 30 C4 00 36 01 C0 58 00 00 46 8C 00 00 82 90 20 14 02 7C 05 00 A2 A2 ?? ?? ?? 0? 04 00 B4 A2 00 00 82 8C 20 00 42 8C D0 00 A3 AF CC 00 A8 AF 09 F8 40 00 C8 00 A9 AF FF FF 04 24 D0 00 A3 8F CC 00 A8 8F 83 FD 44 10 C8 00 A9 8F 00 00 A4 8E ?? ?? ?? 0? 04 00 A0 A2 21 20 40 00 1C 00 A2 8C D0 00 A3 AF CC 00 A8 AF 09 F8 40 00 C8 00 A9 AF FF FF 04 24 D0 00 A3 8F CC 00 A8 8F A8 FF 44 14 C8 00 A9 8F 01 00 04 24 05 00 A2 82 00 00 A0 AE ?? ?? ?? 0? 04 00 A4 A2 1C 00 42 8C D0 00 A3 AF 09 F8 40 00 BC 00 A5 AF D0 00 A3 8F 7C FF 52 14 BC 00 A5 8F 00 00 A0 AE ?? ?? ?? 0? 04 00 B4 A2 1C 00 42 8C D0 00 A3 AF 09 F8 40 00 BC 00 A5 AF D0 00 A3 8F E0 05 52 14 BC 00 A5 8F 00 00 C0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 D4 A2 1C 00 42 8C D0 00 A3 AF CC 00 A8 AF 09 F8 40 00 C8 00 A9 AF FF FF 04 24 D0 00 A3 8F CC 00 A8 8F }
	condition:
		$1
}

rule file_640_86_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetffldEPcRS3_S6_RSt8ios_basePi"
		size = 9020
		refs = "0068 _ZNSt8numpunctIcE2idE 0078 _ZNSt9_FacetptrISt8numpunctIcEE6_PsaveE 007c _ZNSt6locale2id7_Id_cntE 01a8 _ZTVSt9bad_alloc 026c _ZdlPv 042c _ZSt14_Xlength_errorPKc 08d4 localeconv 143c _ZNSt8_LocinfoC1EPKc 1444 _Znwm 1450 _ZTVSt8numpunctIcE 146c _ZNSt8numpunctIcE5_InitERKSt8_Locinfob 147c _ZNSt8_LocinfoD1Ev 149c _ZNSt6locale5facet9_RegisterEv 16e0 memcpy 1950 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE9_GetffldxEPcRS3_S6_RSt8ios_basePi 1990 _ZNSt6locale16_GetgloballocaleEv 1bcc _ZNSt19istreambuf_iteratorIcSt11char_traitsIcEE4_IncEv 21cc _ZNKSt9exception6_RaiseEv 21d8 _ZNSt9exceptionD2Ev"
	strings:
		$1 = { 00 FF BD 27 10 01 A2 8F 00 18 03 24 F4 00 B7 AF 10 00 48 8C F0 00 B6 AF FC 00 BF AF 00 18 08 31 F8 00 BE AF EC 00 B5 AF E8 00 B4 AF E4 00 B3 AF E0 00 B2 AF DC 00 B1 AF D8 00 B0 AF 04 01 A5 AF 21 B0 C0 00 40 06 03 11 21 B8 E0 00 24 00 42 8C FF FF 03 24 00 00 50 8C 04 00 02 8E 02 00 43 10 01 00 42 24 04 00 02 AE ?? ?? 02 3C ?? ?? 52 8C ?? ?? 11 3C 07 00 40 16 ?? ?? 33 8E ?? ?? 03 3C ?? ?? 64 8C 01 00 84 24 21 90 80 00 ?? ?? 64 AC ?? ?? 44 AC 0C 00 02 8E 2B 10 42 02 E0 04 40 50 14 00 02 92 08 00 03 8E 80 10 12 00 21 10 62 00 00 00 55 8C DA 04 A0 52 14 00 02 92 04 00 02 8E FF FF 43 24 FE FF 64 2C 03 00 80 10 00 00 00 00 04 00 03 AE 21 10 60 00 06 00 40 54 00 00 A2 8E 00 00 02 8E 04 00 42 8C 09 F8 40 00 21 20 00 02 00 00 A2 8E 1C 00 A3 27 B8 00 A3 AF 10 00 42 8C 21 20 60 00 09 F8 40 00 21 28 A0 02 04 00 C2 92 91 04 40 50 00 00 C4 8E 04 00 E2 92 7D 04 40 50 00 00 E4 8E 00 00 E2 8E 00 00 C4 8E 49 04 80 10 00 00 00 00 49 04 40 10 04 01 B0 8F 30 00 A2 8F 1C 00 A3 8F B8 00 AC 8F 10 00 42 2C 0A 60 62 00 00 00 82 81 7F 00 03 24 25 03 43 50 04 00 C2 92 22 03 40 18 2C 00 A2 8F DA 05 40 54 00 00 A2 8E BC 00 A0 AF 04 00 C2 92 0F 00 03 24 4C 00 A3 AF 01 00 03 24 48 00 A3 AF 38 00 A0 A3 39 00 A0 A3 21 18 00 00 21 88 00 00 21 90 00 00 83 02 40 10 21 F0 00 00 04 00 E2 92 ?? ?? 14 3C ?? ?? 13 3C ?? ?? 94 26 B9 00 40 10 ?? ?? 73 26 00 00 E4 8E 00 00 C2 8E 79 00 40 10 00 00 00 00 7A 00 80 50 04 00 C4 92 4C 00 A2 8F 7F 04 60 54 38 00 A5 8F 21 98 00 00 10 00 42 2C 30 00 A7 8F 1C 00 A4 8F B8 00 AC 8F 10 00 E7 2C 0A 60 87 00 19 00 60 16 21 38 80 01 17 00 60 10 00 00 00 00 00 00 86 81 7F 00 04 24 13 00 C4 10 00 00 00 00 38 00 A5 8F 38 00 A4 27 7F 00 08 24 0A 20 A2 00 FF FF 63 24 C0 04 60 14 21 28 83 00 00 00 85 80 2A 30 C5 00 08 00 C0 54 01 00 13 24 01 00 E5 80 2A 28 05 00 04 00 60 10 21 38 A7 00 00 00 E6 80 F4 FF C8 54 FF FF 63 24 04 00 40 14 0F 00 02 24 ?? ?? ?? 0? 38 00 A4 8F 0F 00 02 24 4C 00 A2 AF 48 00 A0 AF 38 00 A0 A3 07 00 C0 53 04 00 C2 92 05 00 40 56 04 00 C2 92 30 00 02 24 00 00 02 A2 01 00 10 26 04 00 C2 92 3C 04 40 50 00 00 C4 8E 04 00 E2 92 08 04 40 10 00 00 E4 8E 00 00 C2 8E 79 01 40 10 00 00 00 00 7A 01 80 50 04 00 C3 92 04 00 C2 92 11 00 40 16 01 00 15 24 01 00 03 24 FF FF 15 24 99 00 40 10 30 00 14 24 04 00 E2 92 A8 00 40 10 00 00 E4 8E 00 00 C2 8E 79 00 40 10 00 00 00 00 7A 00 80 50 04 00 C4 92 77 05 20 06 30 00 02 24 04 00 C2 92 01 00 15 24 FF FF 14 24 A7 01 40 50 00 00 C4 8E 04 00 E2 92 B5 01 40 10 00 00 E4 8E 00 00 C2 8E 7C 01 40 10 00 00 00 00 7D 01 80 50 04 00 C3 92 A1 00 C0 17 21 A8 C0 03 03 00 60 56 04 01 B0 8F 04 01 AD 8F 0A 80 BE 01 00 00 00 A2 30 00 A2 8F 10 00 42 2C 04 00 40 14 FC 00 BF 8F ?? ?? ?? 0? 1C 00 A4 8F FC 00 BF 8F 21 10 20 02 F8 00 BE 8F F4 00 B7 8F F0 00 B6 8F EC 00 B5 8F E8 00 B4 8F E4 00 B3 8F E0 00 B2 8F DC 00 B1 8F D8 00 B0 8F 08 00 E0 03 00 01 BD 27 8A FF 80 50 4C 00 A2 8F 04 00 C4 92 B1 01 80 10 00 00 00 00 05 00 C2 82 30 00 44 28 C1 01 80 50 04 00 C4 92 4C 00 A2 8F 10 00 44 2C 02 00 80 14 38 00 A4 27 38 00 A4 8F 21 20 83 00 00 00 84 80 7A FF 80 10 BC 00 AD 8F 78 FF A0 11 00 00 00 00 04 00 C2 92 F6 04 40 50 00 00 C4 8E 05 00 C2 82 BC 00 A4 8F 71 FF 82 14 4C 00 A2 8F 48 00 A7 8F FE FF E2 2C 07 00 40 14 01 00 E7 24 21 20 60 02 ?? ?? ?? 0? D0 00 A3 AF 48 00 A7 8F D0 00 A3 8F 01 00 E7 24 FF FF 02 24 DF 04 E2 10 21 20 60 02 4C 00 A2 8F 2B 20 47 00 78 04 80 14 0F 00 E8 34 C1 04 E0 14 38 00 A5 8F 10 00 42 2C 38 00 A4 27 0A 20 A2 00 48 00 A0 AF 00 00 80 A0 01 00 63 24 00 00 C4 8E B0 01 80 54 20 00 85 8C 01 00 02 24 04 00 C2 A2 04 00 E2 92 49 FF 40 14 00 00 C0 AE 00 00 E4 8E 3E 02 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 33 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 2E 02 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 E2 A2 89 FF 80 10 00 00 00 00 04 00 C4 92 2F 02 80 10 00 00 00 00 05 00 C2 82 83 FF 54 14 00 00 00 00 00 00 C4 8E B6 01 80 10 FF FF 31 26 20 00 85 8C 00 00 A2 8C AD 01 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 A7 01 C0 18 01 00 42 24 00 00 A2 AC 04 00 C0 A2 04 00 C2 92 01 00 1E 24 6A FF 40 54 04 00 E2 92 00 00 C4 8E F1 02 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C E7 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 E2 02 A0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 04 00 C3 A2 04 00 E2 92 5A FF 40 14 00 00 E4 8E D7 02 80 50 00 00 E0 AE 20 00 82 8C 00 00 42 8C CD 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 C8 02 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 ?? ?? ?? 0? 04 00 E3 A2 04 00 C2 92 09 04 40 50 00 00 C4 8E 04 00 E2 92 F6 03 40 10 00 00 E4 8E 00 00 C2 8E 48 06 40 10 00 00 00 00 56 FF 80 14 00 00 00 00 04 00 C3 92 84 06 60 10 00 00 00 00 05 00 C2 82 65 00 03 24 07 00 43 50 65 00 02 24 04 00 C3 92 CD 06 60 50 00 00 C4 8E 45 00 03 24 49 FF 43 14 65 00 02 24 00 00 02 A2 00 00 C4 8E 18 06 80 10 01 00 10 26 20 00 83 8C 00 00 62 8C 49 06 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 43 06 A0 18 01 00 42 24 00 00 62 AC 04 00 C0 A2 20 00 82 8C 00 00 42 8C E2 06 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 DD 06 60 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 01 00 02 24 04 00 C2 A2 04 00 E2 92 01 06 40 10 00 00 E4 8E 00 00 C2 8E 37 05 40 10 00 00 00 00 38 05 80 50 04 00 C3 92 04 00 C2 92 21 F0 00 00 01 00 03 24 FF FF 14 24 0E 05 40 10 30 00 12 24 04 00 E2 92 1D 05 40 10 00 00 E4 8E 00 00 C2 8E EE 04 40 10 00 00 00 00 EF 04 80 50 04 00 C4 92 05 00 C0 53 04 00 C2 92 30 00 02 24 00 00 02 A2 01 00 10 26 04 00 C2 92 21 18 00 00 01 00 14 24 2A 00 40 10 FF FF 12 24 04 00 E2 92 3A 00 40 50 00 00 E4 8E 00 00 C2 8E 48 00 40 10 00 00 E4 8E 05 FF 80 14 00 00 00 00 04 00 C4 92 48 00 80 10 00 00 00 00 05 00 C2 82 30 00 44 28 FE FE 80 14 00 00 00 00 04 00 C4 92 B5 05 80 50 00 00 C4 8E 3A 00 44 28 F8 FE 80 10 08 00 64 28 4E 05 80 54 04 00 C4 92 00 00 C4 8E 3C 05 80 50 00 00 C0 AE 20 00 85 8C 00 00 A2 8C 32 05 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 2C 05 C0 18 01 00 42 24 00 00 A2 AC 04 00 C0 A2 21 10 00 00 21 F0 A0 02 D9 FF 40 54 04 00 E2 92 00 00 C4 8E 71 05 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C 67 05 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 62 05 A0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 04 00 D4 A2 04 00 E2 92 CA FF 40 54 00 00 C2 8E 00 00 E4 8E 62 05 80 50 00 00 E0 AE 20 00 82 8C 00 00 42 8C 61 05 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 5C 05 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 04 00 F4 A2 00 00 C2 8E BA FF 40 14 00 00 00 00 BE FE 80 10 00 00 00 00 04 00 C4 92 BB FF 80 54 05 00 C2 82 66 05 40 50 05 00 C2 82 20 00 44 8C 00 00 84 8C 5B 05 80 50 00 00 45 8C 30 00 45 8C 00 00 A5 8C 23 28 A4 00 56 05 A0 58 00 00 45 8C 00 00 82 90 20 14 02 7C 05 00 C2 A2 ?? ?? ?? 0? 04 00 D4 A2 8A FE 80 50 04 00 C2 92 04 00 C3 92 0F 03 60 10 00 00 00 00 05 00 D4 82 00 00 A2 8E 08 00 42 8C 09 F8 40 00 21 20 A0 02 80 FE 82 56 04 00 C2 92 ?? ?? ?? 0? 00 00 00 00 2C 00 42 8C 00 00 42 90 00 00 02 A2 00 00 C4 8E 23 04 80 10 01 00 10 26 20 00 83 8C 00 00 62 8C 19 04 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 13 04 A0 18 01 00 42 24 00 00 62 AC 04 00 C0 A2 ?? ?? ?? 0? 21 10 00 00 86 FE 80 10 00 00 00 00 04 00 C3 92 AF 00 60 10 00 00 00 00 05 00 C2 82 30 00 43 28 7F FE 60 14 00 00 00 00 04 00 C3 92 27 02 60 50 00 00 C4 8E 3A 00 43 28 79 FE 60 10 00 00 00 00 30 00 43 2A 3F 00 60 54 04 00 C3 92 00 00 C4 8E 38 00 80 50 04 00 D5 A2 20 00 83 8C 00 00 62 8C 2E 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 28 00 A0 18 01 00 42 24 00 00 62 AC 04 00 C0 A2 04 00 C2 92 01 00 1E 24 5D FE 40 54 04 00 E2 92 00 00 C4 8E BE 00 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C B4 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 AF 00 60 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 04 00 D5 A2 04 00 E2 92 4D FE 40 14 00 00 E4 8E B5 00 80 50 00 00 E0 AE 20 00 82 8C 00 00 42 8C AB 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 A6 00 60 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 ?? ?? ?? 0? 04 00 F5 A2 00 00 82 8C 20 00 42 8C 09 F8 40 00 00 00 00 00 D6 FF 54 54 04 00 C0 A2 04 00 D5 A2 00 00 C0 AE 04 00 C2 92 ?? ?? ?? 0? 01 00 1E 24 72 00 60 50 00 00 C4 8E 00 00 02 A2 01 00 52 26 ?? ?? ?? 0? 01 00 10 26 AA 00 40 10 01 00 04 24 20 00 44 8C 00 00 84 8C 9E 00 80 50 00 00 45 8C 30 00 45 8C 00 00 A5 8C 23 28 A4 00 99 00 A0 58 00 00 45 8C 00 00 82 90 20 14 02 7C 01 00 04 24 05 00 C2 A2 04 00 C4 A2 30 00 44 28 43 FE 80 54 4C 00 A2 8F 04 00 C4 92 9A 00 80 50 00 00 C4 8E 3A 00 44 28 3D FE 80 50 4C 00 A2 8F 30 00 44 2A 62 00 80 54 04 00 C4 92 01 00 31 26 4C 00 A2 8F 38 00 A5 8F 38 00 A4 27 10 00 42 2C 0A 20 A2 00 21 20 83 00 00 00 86 80 7F 00 04 24 07 00 C4 10 01 00 1E 24 38 00 A4 27 0A 20 A2 00 21 20 83 00 00 00 82 90 01 00 42 24 00 00 82 A0 00 00 C4 8E 54 FE 80 10 01 00 02 24 20 00 85 8C 00 00 A2 8C 67 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 61 00 C0 18 01 00 42 24 00 00 A2 AC 04 00 C0 A2 13 00 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C CD 01 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 C8 01 A0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 01 00 02 24 ?? ?? ?? 0? 04 00 C2 A2 00 00 C4 8E F1 FF 80 54 20 00 82 8C 00 00 C0 AE 01 00 02 24 ?? ?? ?? 0? 04 00 C2 A2 00 00 82 8C 20 00 42 8C 09 F8 40 00 D0 00 A3 AF 56 FE 55 14 D0 00 A3 8F 04 00 C3 A2 00 00 C0 AE 04 00 C2 92 ?? ?? ?? 0? 01 00 1E 24 7B 01 40 50 05 00 C2 82 20 00 43 8C 00 00 63 8C 70 01 60 50 00 00 43 8C 30 00 44 8C 00 00 84 8C 23 20 83 00 6B 01 80 58 00 00 43 8C 00 00 62 90 20 14 02 7C 05 00 C2 A2 ?? ?? ?? 0? 04 00 D5 A2 84 01 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C 7A 01 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 75 01 60 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 05 00 C2 82 ?? ?? ?? 0? 04 00 D5 A2 29 01 80 10 30 00 04 24 3B 01 44 10 00 00 00 00 04 00 C4 92 3E 01 80 50 00 00 C4 8E 00 00 02 A2 01 00 52 26 ?? ?? ?? 0? 01 00 10 26 1C 00 42 8C 09 F8 40 00 00 00 00 00 50 FF 54 54 05 00 C2 A2 00 00 C0 AE ?? ?? ?? 0? 04 00 D5 A2 1C 00 42 8C 09 F8 40 00 00 00 00 00 99 05 54 54 00 00 E4 8E 00 00 E0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 F5 A2 00 00 82 8C 20 00 42 8C 09 F8 40 00 D0 00 A3 AF FF FF 04 24 E3 FD 44 10 D0 00 A3 8F 00 00 C4 8E ?? ?? ?? 0? 04 00 C0 A2 21 20 40 00 1C 00 A2 8C 09 F8 40 00 D0 00 A3 AF FF FF 04 24 63 FF 44 14 D0 00 A3 8F 01 00 04 24 05 00 C2 82 00 00 C0 AE ?? ?? ?? 0? 04 00 C4 A2 0C 00 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C AC 01 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 A7 01 A0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 01 00 04 24 05 00 C2 82 ?? ?? ?? 0? 04 00 C4 A2 1C 00 42 8C 09 F8 40 00 D0 00 A3 AF FF FF 04 24 5D 05 44 14 D0 00 A3 8F 01 00 02 24 00 00 E0 AE 21 20 00 00 ?? ?? ?? 0? 04 00 E2 A2 A3 02 40 50 05 00 C2 82 20 00 44 8C 00 00 84 8C 98 02 80 50 00 00 45 8C 30 00 45 8C 00 00 A5 8C 23 28 A4 00 93 02 A0 58 00 00 45 8C 00 00 82 90 20 14 02 7C 05 00 C2 A2 ?? ?? ?? 0? 04 00 C3 A2 04 00 C2 92 21 88 00 00 21 90 00 00 21 F0 00 00 01 00 03 24 FF FF 14 24 30 00 40 10 30 00 13 24 04 00 E2 92 3F 00 40 10 00 00 E4 8E 00 00 C2 8E 05 00 40 10 00 00 00 00 06 00 80 50 04 00 C4 92 ?? ?? ?? 0? 21 98 00 00 13 FD 80 50 21 98 00 00 04 00 C4 92 84 00 80 10 00 00 00 00 05 00 C2 82 30 00 44 28 0C FD 80 54 21 98 00 00 04 00 C4 92 84 02 80 50 00 00 C4 8E 3A 00 44 28 06 FD 80 50 21 98 00 00 30 00 44 2A 35 00 80 54 04 00 C4 92 01 00 31 26 00 00 C4 8E 3E 00 80 50 00 00 C0 AE 20 00 85 8C 00 00 A2 8C 66 00 40 50 00 00 82 8C 30 00 86 8C 00 00 C6 8C 23 30 C2 00 60 00 C0 18 01 00 42 24 00 00 A2 AC 04 00 C0 A2 21 10 00 00 01 00 1E 24 D3 FF 40 54 04 00 E2 92 00 00 C4 8E 77 00 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C 6D 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 68 00 A0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 04 00 C3 A2 04 00 E2 92 C3 FF 40 14 00 00 E4 8E 6E 00 80 50 00 00 E0 AE 20 00 82 8C 00 00 42 8C 64 00 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 5F 00 A0 58 00 00 82 8C 00 00 42 90 05 00 E2 A2 ?? ?? ?? 0? 04 00 E3 A2 10 00 80 50 00 00 C4 8E 1F 00 53 10 00 00 00 00 04 00 C4 92 22 00 80 50 00 00 C4 8E 00 00 02 A2 00 00 C4 8E 01 00 52 26 C5 FF 80 14 01 00 10 26 00 00 C0 AE 04 00 C3 A2 01 00 02 24 ?? ?? ?? 0? 01 00 1E 24 4D 02 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C 43 02 40 50 00 00 82 8C 30 00 85 8C 00 00 A5 8C 23 28 A2 00 3E 02 A0 58 00 00 82 8C 00 00 42 90 05 00 C2 A2 05 00 C2 82 04 00 C3 A2 E4 FF 53 54 04 00 C4 92 AB FF 40 52 00 00 C4 8E 04 00 C4 92 E2 FF 80 54 00 00 02 A2 00 00 C4 8E C4 03 80 50 00 00 C0 AE 20 00 82 8C 00 00 42 8C BA 03 40 50 }
	condition:
		$1
}

rule file_640_87_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERe"
		size = 600
		refs = "0054 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetffldEPcRS3_S6_RSt8ios_basePi 0068 _Stoldx 01e8 ldexpl"
	strings:
		$1 = { 78 FF BD 27 A0 00 A2 8F 70 00 B0 AF 24 00 B0 27 78 00 B2 AF 90 00 A6 AF 94 00 A7 AF 90 00 A6 27 98 00 A7 27 10 00 A2 AF 21 90 80 00 20 00 A2 27 21 20 A0 00 21 28 00 02 84 00 BF AF 80 00 B5 AF 7C 00 B4 AF 74 00 B1 AF 1C 00 A0 AF A4 00 B1 8F 20 00 A0 AF ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 21 20 00 02 18 00 A5 27 ?? ?? ?? 0? 1C 00 A7 27 20 00 A6 8F 21 A0 40 00 59 00 C0 14 21 A8 60 00 94 00 A2 93 46 00 40 10 90 00 A4 8F 9C 00 A2 93 2C 00 40 10 90 00 A2 8F 3D 00 40 10 98 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 12 00 50 10 1C 00 A2 8F 10 00 40 14 A8 00 A2 8F 00 00 54 AC 04 00 55 AC 90 00 A3 8F 21 10 40 02 00 00 43 AE 94 00 A3 8F 04 00 43 AE 84 00 BF 8F 80 00 B5 8F 7C 00 B4 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 88 00 BD 27 00 00 22 8E 02 00 42 34 00 00 22 AE 90 00 A3 8F 21 10 40 02 00 00 43 AE 94 00 A3 8F 04 00 43 AE 84 00 BF 8F 80 00 B5 8F 7C 00 B4 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 88 00 BD 27 98 00 A4 8F 2C 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 36 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 31 00 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 01 00 02 24 9C 00 A2 A3 90 00 A2 8F C5 FF 40 14 00 00 00 00 C9 FF 80 54 18 00 A2 8F ?? ?? ?? 0? 00 00 22 8E 21 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 16 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 11 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 80 30 06 00 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 98 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 9C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 54 95 00 A2 A3 01 00 02 24 90 00 A0 AF ?? ?? ?? 0? 94 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 98 00 A4 8F ?? ?? ?? 0? 9D 00 A2 A3 }
	condition:
		$1
}

rule file_640_88_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERd"
		size = 572
		refs = "0050 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetffldEPcRS3_S6_RSt8ios_basePi 0064 _Stodx 01d0 ldexp"
	strings:
		$1 = { 78 FF BD 27 A0 00 A2 8F 74 00 B0 AF 24 00 B0 27 7C 00 B2 AF 90 00 A6 AF 94 00 A7 AF 90 00 A6 27 98 00 A7 27 10 00 A2 AF 21 90 80 00 20 00 A2 27 21 20 A0 00 21 28 00 02 84 00 BF AF 80 00 B3 AF 78 00 B1 AF 1C 00 A0 AF A4 00 B1 8F 20 00 A0 AF ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 18 00 A5 27 21 20 00 02 ?? ?? ?? 0? 1C 00 A7 27 20 00 A5 8F 56 00 A0 14 21 98 40 00 94 00 A2 93 43 00 40 10 90 00 A4 8F 9C 00 A2 93 29 00 40 10 90 00 A2 8F 3A 00 40 10 98 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 10 00 50 10 1C 00 A2 8F 0E 00 40 14 A8 00 A2 8F 00 00 53 AC 90 00 A3 8F 21 10 40 02 00 00 43 AE 94 00 A3 8F 04 00 43 AE 84 00 BF 8F 80 00 B3 8F 7C 00 B2 8F 78 00 B1 8F 74 00 B0 8F 08 00 E0 03 88 00 BD 27 00 00 22 8E 02 00 42 34 00 00 22 AE 90 00 A3 8F 21 10 40 02 00 00 43 AE 94 00 A3 8F 04 00 43 AE 84 00 BF 8F 80 00 B3 8F 7C 00 B2 8F 78 00 B1 8F 74 00 B0 8F 08 00 E0 03 88 00 BD 27 98 00 A4 8F 2A 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 34 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 2F 00 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 01 00 02 24 9C 00 A2 A3 90 00 A2 8F C8 FF 40 14 00 00 00 00 CC FF 80 54 18 00 A2 8F ?? ?? ?? 0? 00 00 22 8E 1F 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 14 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 0F 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 21 20 40 00 ?? ?? ?? 0? 80 28 05 00 ?? ?? ?? 0? 21 98 40 00 98 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 9C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 EF FF 43 54 95 00 A2 A3 01 00 02 24 90 00 A0 AF ?? ?? ?? 0? 94 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 98 00 A4 8F ?? ?? ?? 0? 9D 00 A2 A3 }
	condition:
		$1
}

rule file_640_89_4 {
	meta:
		name = "_ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE6do_getES3_S3_RSt8ios_baseRNSt5_IosbIiE8_IostateERf"
		size = 572
		refs = "0050 _ZNKSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE8_GetffldEPcRS3_S6_RSt8ios_basePi 0064 _Stofx 01d0 ldexpf"
	strings:
		$1 = { 78 FF BD 27 A0 00 A2 8F 74 00 B0 AF 24 00 B0 27 7C 00 B2 AF 90 00 A6 AF 94 00 A7 AF 90 00 A6 27 98 00 A7 27 10 00 A2 AF 21 90 80 00 20 00 A2 27 21 20 A0 00 21 28 00 02 84 00 BF AF 80 00 B3 AF 78 00 B1 AF 1C 00 A0 AF A4 00 B1 8F 20 00 A0 AF ?? ?? ?? 0? 14 00 A2 AF 21 30 40 00 18 00 A5 27 21 20 00 02 ?? ?? ?? 0? 1C 00 A7 27 20 00 A5 8F 56 00 A0 14 21 98 40 00 94 00 A2 93 43 00 40 10 90 00 A4 8F 9C 00 A2 93 29 00 40 10 90 00 A2 8F 3A 00 40 10 98 00 A4 8F 05 00 80 10 18 00 A2 8F 00 00 22 8E 01 00 42 34 00 00 22 AE 18 00 A2 8F 10 00 50 10 1C 00 A2 8F 0E 00 40 14 A8 00 A2 8F 00 00 53 AC 90 00 A3 8F 21 10 40 02 00 00 43 AE 94 00 A3 8F 04 00 43 AE 84 00 BF 8F 80 00 B3 8F 7C 00 B2 8F 78 00 B1 8F 74 00 B0 8F 08 00 E0 03 88 00 BD 27 00 00 22 8E 02 00 42 34 00 00 22 AE 90 00 A3 8F 21 10 40 02 00 00 43 AE 94 00 A3 8F 04 00 43 AE 84 00 BF 8F 80 00 B3 8F 7C 00 B2 8F 78 00 B1 8F 74 00 B0 8F 08 00 E0 03 88 00 BD 27 98 00 A4 8F 2A 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 34 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 2F 00 60 58 00 00 82 8C 00 00 42 90 9D 00 A2 A3 01 00 02 24 9C 00 A2 A3 90 00 A2 8F C8 FF 40 14 00 00 00 00 CC FF 80 54 18 00 A2 8F ?? ?? ?? 0? 00 00 22 8E 1F 00 80 10 01 00 02 24 20 00 82 8C 00 00 42 8C 14 00 40 50 00 00 82 8C 30 00 83 8C 00 00 63 8C 23 18 62 00 0F 00 60 58 00 00 82 8C 00 00 42 90 95 00 A2 A3 01 00 02 24 ?? ?? ?? 0? 94 00 A2 A3 21 20 40 00 ?? ?? ?? 0? 80 28 05 00 ?? ?? ?? 0? 21 98 40 00 98 00 A0 AF 21 20 00 00 ?? ?? ?? 0? 9C 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 EF FF 43 54 95 00 A2 A3 01 00 02 24 90 00 A0 AF ?? ?? ?? 0? 94 00 A2 A3 1C 00 42 8C 09 F8 40 00 00 00 00 00 FF FF 03 24 ED FF 43 50 01 00 02 24 98 00 A4 8F ?? ?? ?? 0? 9D 00 A2 A3 }
	condition:
		$1
}

rule file_640_90_4 {
	meta:
		name = "_GLOBAL__I__ZNSt6locale6globalERKS_"
		size = 260
		refs = "0000 _ZGVNSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE 002c _ZGVNSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 0058 _ZGVNSt8numpunctIcE2idE 0084 _ZGVNSt7codecvtIcc9_MbstatetE2idE 00bc _ZNSt7codecvtIcc9_MbstatetE2idE 00d0 _ZNSt8numpunctIcE2idE 00e4 _ZNSt7num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE2idE 00f8 _ZNSt7num_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 32 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 22 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 12 00 62 10 00 00 00 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 01 00 83 24 2B 20 64 00 21 20 85 00 ?? ?? 43 AC ?? ?? 44 AC 01 00 02 24 03 00 62 10 00 00 00 00 08 00 E0 03 00 00 00 00 FD FF 80 14 ?? ?? 02 3C 08 00 E0 03 ?? ?? 40 AC EF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC DF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC CF FF 80 14 ?? ?? 02 3C ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 40 AC }
	condition:
		$1
}

rule file_641_0_4 {
	meta:
		name = "sqrtl"
		size = 636
		refs = "0030 _LDunscale 0084 dpmul 009c dpadd 00e4 dpdiv 01b0 _LDscale 0264 _Feraise 026c _LNan"
	strings:
		$1 = { C0 FF BD 27 40 00 A4 AF 44 00 A5 AF 10 00 A4 27 40 00 A5 27 3C 00 BF AF 38 00 B7 AF 34 00 B6 AF 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 24 00 B1 AF ?? ?? ?? 0? 20 00 B0 AF 01 00 03 24 6C 00 43 10 02 00 03 24 6E 00 43 10 40 00 A5 8F 6D 00 40 10 44 00 A4 8F 46 00 A2 87 82 00 40 04 10 00 B2 87 01 00 42 32 73 00 40 54 40 00 A4 8F 40 00 B0 8F 44 00 B1 8F ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 00 02 21 28 20 02 21 38 60 00 21 A0 40 00 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 98 60 00 21 A0 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 60 02 ?? ?? ?? 0? 21 20 60 00 21 20 00 02 21 30 80 02 21 28 20 02 21 38 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 98 60 00 21 20 00 02 21 28 20 02 21 38 60 02 21 30 40 00 ?? ?? ?? 0? 21 A0 40 00 21 30 40 00 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 C2 27 12 00 21 90 92 00 43 28 12 00 18 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A5 8F 1C 00 A4 8F 3C 00 BF 8F 21 10 A0 00 21 18 80 00 38 00 B7 8F 34 00 B6 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 46 00 A2 87 1B 00 40 04 00 00 00 00 40 00 A5 8F 44 00 A4 8F 3C 00 BF 8F 21 10 A0 00 21 18 80 00 38 00 B7 8F 34 00 B6 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 40 00 BD 27 44 00 A5 8F FF FF 52 26 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 20 96 12 7C 21 80 40 00 21 88 60 00 40 00 A2 AF 44 00 A3 AF ?? ?? ?? 0? 10 00 B2 A7 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? ?? ?? 44 8C }
	condition:
		$1
}

rule file_642_0_4 {
	meta:
		name = "_Atexit"
		size = 152
		refs = "000c _Atcount 0008 _Atcount0 0024 _Atfuns 0050 _Atrealloc 0090 abort"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF ?? ?? 03 3C ?? ?? 10 3C ?? ?? 02 8E ?? ?? 63 8C 2B 18 62 00 0C 00 60 10 1C 00 BF AF ?? ?? 03 3C ?? ?? 65 8C FF FF 42 24 1C 00 BF 8F 80 18 02 00 21 18 A3 00 ?? ?? 02 AE 18 00 B0 8F 00 00 64 AC 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 10 00 A4 AF 0D 00 40 10 10 00 A4 8F ?? ?? 02 8E ?? ?? 03 3C ?? ?? 65 8C FF FF 42 24 1C 00 BF 8F 80 18 02 00 21 18 A3 00 ?? ?? 02 AE 18 00 B0 8F 00 00 64 AC 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_644_0_4 {
	meta:
		name = "prout"
		size = 104
		refs = "002c wmemcpy"
	strings:
		$1 = { 04 00 82 8C E0 FF BD 27 18 00 B1 AF 2B 88 46 00 0A 10 D1 00 14 00 B0 AF 1C 00 BF AF 21 80 80 00 0B 00 40 10 21 88 40 00 00 00 84 8C ?? ?? ?? 0? 21 30 40 00 00 00 04 8E 04 00 03 8E 80 10 11 00 21 10 82 00 23 88 71 00 00 00 02 AE 04 00 11 AE 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_644_1_4 {
	meta:
		name = "vsnwprintf_s"
		size = 120
		refs = "0040 _WPrintf 0068 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 15 00 80 10 21 10 80 00 14 00 A0 10 ?? ?? 04 3C 13 00 A0 04 ?? ?? 84 24 0F 00 C0 10 ?? ?? 04 3C FF FF A3 24 18 00 A2 AF ?? ?? 84 24 01 00 02 24 18 00 A5 27 1C 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 18 00 A3 8F 01 00 60 54 00 00 60 AC 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1B 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_645_0_4 {
	meta:
		name = "clog10l"
		size = 148
		refs = "001c clogl 0038 dpmul"
	strings:
		$1 = { D8 FF BD 27 10 00 B0 AF ?? ?? 10 3C 24 00 BF AF 20 00 B5 AF 1C 00 B4 AF 18 00 B2 AF ?? ?? ?? 0? 14 00 B1 AF ?? ?? 06 8E ?? ?? 07 8E 21 A0 80 00 21 A8 A0 00 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 06 8E ?? ?? 07 8E 21 20 80 02 21 28 A0 02 21 90 40 00 ?? ?? ?? 0? 21 88 60 00 24 00 BF 8F 21 30 40 00 21 38 60 00 21 10 40 02 21 18 20 02 21 20 C0 00 21 28 E0 00 20 00 B5 8F 1C 00 B4 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_646_1_4 {
	meta:
		name = "swscanf_s"
		size = 104
		refs = "003c _WScanf 0058 _Fail_s"
	strings:
		$1 = { D8 FF BD 27 30 00 A6 AF 24 00 BF AF 28 00 A4 AF 34 00 A7 AF 0E 00 80 10 21 30 A0 00 0C 00 A0 10 ?? ?? 04 3C 30 00 A2 27 21 38 40 00 18 00 A2 AF ?? ?? 84 24 01 00 02 24 28 00 A5 27 ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_647_0_4 {
	meta:
		name = "csinhl"
		size = 680
		refs = "002c creall 0048 cimagl 0058 _LDtest 00a4 _LCbuild 00d4 _LNan 011c _LSin 0130 _LSinh 0164 _LCosh 0218 dpmul 0228 _LInf 0290 _Feraise"
	strings:
		$1 = { C0 FF BD 27 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 21 90 80 00 21 80 C0 00 21 98 A0 00 21 88 E0 00 3C 00 BF AF 38 00 B5 AF ?? ?? ?? 0? 34 00 B4 AF 21 30 00 02 21 28 60 02 21 38 20 02 21 20 40 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 17 00 03 12 01 00 04 24 85 00 44 50 FF FF 10 32 48 00 43 50 FF FF 10 32 21 00 04 16 18 00 A4 8F 5C 00 40 14 1C 00 A5 8F 10 00 A4 8F 14 00 A5 8F 18 00 A6 8F ?? ?? ?? 0? 1C 00 A7 8F 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 3E 00 40 10 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 80 00 ?? ?? ?? 0? 21 38 A0 00 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 1C 00 A5 8F 10 00 B0 8F 14 00 B1 8F ?? ?? ?? 0? 01 00 06 24 21 38 60 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 30 40 00 18 00 A4 8F 1C 00 A5 8F 10 00 B2 8F 14 00 B3 8F 21 30 00 00 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 02 00 10 2E CB FF 00 12 ?? ?? 02 3C 10 00 A4 8F 14 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C ?? ?? ?? 0? 3C 00 BF 8F 18 00 A6 8F 1C 00 A7 8F ?? ?? 44 8C ?? ?? ?? 0? ?? ?? 45 8C 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 01 00 06 24 10 00 A6 8F 14 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 90 40 00 18 00 A4 8F ?? ?? 02 3C 1C 00 A5 8F ?? ?? 54 8C ?? ?? 55 8C 21 30 00 00 ?? ?? ?? 0? 21 80 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 38 60 00 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? ?? 0? 02 00 10 2E 8F FF 00 12 ?? ?? 02 3C ?? ?? ?? 0? 10 00 A4 8F }
	condition:
		$1
}

rule file_648_0_4 {
	meta:
		name = "iswdigit"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 04 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_649_3_4 {
	meta:
		name = "_Fail_s"
		size = 172
		refs = "0018 strnlen_s 0080 fputs 0038 _Stderr 008c fputc"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF 1C 00 BF AF 18 00 B1 AF 14 00 80 10 21 80 80 00 ?? ?? ?? 0? 00 00 00 00 21 10 02 02 00 00 42 80 0F 00 40 14 ?? ?? 02 3C ?? ?? 42 8C 11 00 40 10 ?? ?? 11 3C 21 20 00 02 21 28 00 00 09 F8 40 00 22 00 06 24 1C 00 BF 8F 22 00 02 24 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C ?? ?? 10 3C F2 FF 40 14 ?? ?? 10 26 ?? ?? 11 3C 21 20 00 02 ?? ?? ?? 0? ?? ?? 25 26 ?? ?? 25 26 ?? ?? ?? 0? 0A 00 04 24 1C 00 BF 8F 22 00 02 24 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_650_0_4 {
	meta:
		name = "_FDint"
		size = 236
	strings:
		$1 = { 02 00 83 94 FF 00 02 24 C0 39 66 7C 2B 00 C2 10 20 2E 05 7C FF 7F 62 30 05 00 40 54 96 00 02 24 00 00 87 94 23 00 E0 10 00 00 00 00 96 00 02 24 23 28 45 00 23 30 A6 00 20 2E 06 7C 1D 00 A0 18 21 10 00 00 18 00 A2 28 23 00 40 10 03 29 05 00 ?? ?? 02 3C 80 18 05 00 ?? ?? 42 24 21 10 62 00 00 00 42 8C 0F 00 C6 30 ?? ?? 03 3C ?? ?? 63 24 40 30 06 00 40 10 02 00 21 10 82 00 21 30 C3 00 00 00 47 94 00 00 C3 94 24 18 E3 00 26 38 67 00 00 00 47 A4 01 00 02 24 05 00 A2 54 FF FF 02 24 00 00 82 94 00 00 80 A4 25 18 62 00 FF FF 02 24 0A 10 03 00 08 00 E0 03 00 00 00 00 7F 00 63 30 FC FF 60 14 02 00 02 24 00 00 84 94 01 00 03 24 08 00 E0 03 0A 10 64 00 00 80 63 30 02 00 83 A4 00 00 80 A4 08 00 E0 03 FF FF 02 24 }
	condition:
		$1
}

rule file_651_0_4 {
	meta:
		name = "feclearexcept"
		size = 152
		refs = "002c _Tls_setup__Fenv 004c _Fenv"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF 10 00 BE AF 21 F0 A0 03 18 00 C4 AF 18 00 C2 8F 3D 00 42 30 18 00 C2 AF 18 00 C2 8F 15 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 02 00 43 94 20 26 03 7C 18 00 C3 8F 20 1E 03 7C 27 18 03 00 20 1E 03 7C 24 18 83 00 20 1E 03 7C FF FF 63 30 02 00 43 A4 21 10 00 00 21 E8 C0 03 14 00 BF 8F 10 00 BE 8F 18 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_652_1_4 {
	meta:
		name = "vwprintf_s"
		size = 84
		refs = "0018 _Stdout 0028 _WPrintf 0044 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 21 30 80 00 0B 00 80 10 21 38 A0 00 ?? ?? 04 3C ?? ?? 05 3C 01 00 02 24 ?? ?? 84 24 ?? ?? A5 24 ?? ?? ?? 0? 10 00 A2 AF 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_653_0_4 {
	meta:
		name = "_WGenld"
		size = 1456
		refs = "0030 localeconv 003c _Btowc 00f0 wmemcpy 0144 div"
	strings:
		$1 = { B8 FF BD 27 44 00 BF AF 40 00 B5 AF 3C 00 B4 AF 38 00 B3 AF 34 00 B2 AF 30 00 B1 AF 2C 00 B0 AF 21 90 80 00 21 80 A0 00 21 88 C0 00 20 AE 07 7C ?? ?? ?? 0? 58 00 B3 87 2C 00 42 8C ?? ?? ?? 0? 00 00 44 80 21 A0 40 00 27 18 02 00 2E 00 02 24 D1 00 A0 1A 0A A0 43 00 66 00 02 24 96 00 02 12 46 00 02 24 94 00 02 12 67 00 02 24 6C 00 02 12 47 00 02 24 6A 00 02 12 61 00 02 24 1A 01 02 12 41 00 03 3A 50 00 02 24 0A 80 43 00 1C 00 42 8E 10 00 44 8E 00 00 25 8E 80 18 02 00 21 18 83 00 00 00 65 AC 30 00 43 8E 01 00 42 24 7C 00 60 18 1C 00 42 AE 80 18 02 00 21 18 83 00 00 00 74 AC 30 00 43 8E 01 00 42 24 12 00 60 18 1C 00 42 AE FF FF B5 26 20 AE 15 7C 2A 28 75 00 20 1E 03 7C 0B A8 65 00 80 10 02 00 21 20 82 00 21 30 A0 02 ?? ?? ?? 0? 04 00 25 26 1C 00 42 8E 30 00 43 8E 10 00 44 8E 21 10 A2 02 23 A8 75 00 1C 00 42 AE 20 00 55 AE 80 88 02 00 21 88 91 00 F4 00 60 06 00 00 30 AE 2B 00 02 24 04 00 22 AE 08 00 31 26 14 01 60 1A 21 A0 00 00 18 00 B5 27 21 28 60 02 10 00 A4 27 ?? ?? ?? 0? 0A 00 06 24 14 00 A3 8F 10 00 B3 87 21 10 B4 02 00 00 43 A0 F7 FF 60 1E 01 00 94 26 01 00 03 24 E7 00 83 12 21 10 80 02 10 00 44 8E 21 10 B4 02 21 18 20 02 FF FF 45 80 FF FF 42 24 30 00 A5 24 00 00 65 AC FB FF A2 16 04 00 63 24 80 A0 14 00 21 88 34 02 1C 00 43 8E 3C 00 42 96 80 18 03 00 21 20 83 00 23 88 24 02 83 88 11 00 14 00 42 30 10 00 03 24 6D 00 43 14 24 00 51 AE 1C 00 44 8E 14 00 42 8E 20 00 43 8E 24 00 45 8E 21 10 82 00 28 00 44 8E 21 10 43 00 38 00 43 8E 21 10 45 00 21 10 44 00 2A 20 43 00 60 00 80 10 44 00 BF 8F 23 10 62 00 18 00 42 AE 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 48 00 BD 27 FC FF 62 2A 79 00 40 50 30 00 42 8E 67 00 02 24 C4 00 02 16 47 00 02 24 30 00 42 8E 2A 18 A2 02 05 00 60 50 FF FF 42 24 3C 00 43 96 08 00 63 30 0A 10 A3 02 FF FF 42 24 00 00 43 28 0B 10 03 00 30 00 42 AE 67 00 10 3A 45 00 03 24 65 00 02 24 0B 10 70 00 21 80 40 00 1C 00 42 8E 10 00 44 8E 00 00 25 8E 80 18 02 00 21 18 83 00 00 00 65 AC 30 00 43 8E 01 00 42 24 86 FF 60 1C 1C 00 42 AE 3C 00 43 96 08 00 63 30 9B FF 60 50 80 88 02 00 ?? ?? ?? 0? 80 18 02 00 01 00 73 26 20 9E 13 7C 62 00 60 5A 1C 00 44 8E 2A 10 B3 02 36 00 40 14 1C 00 42 8E 10 00 44 8E 21 28 20 02 80 10 02 00 21 20 82 00 ?? ?? ?? 0? 21 30 60 02 1C 00 42 8E 30 00 43 8E 23 A8 B3 02 21 10 62 02 1C 00 42 AE 94 00 60 18 20 AE 15 7C 10 00 44 8E 80 18 02 00 01 00 42 24 21 18 83 00 00 00 74 AC 30 00 43 8E 1C 00 42 AE 2A 28 75 00 20 1E 03 7C 0B A8 65 00 80 10 02 00 80 98 13 00 21 20 82 00 21 30 A0 02 ?? ?? ?? 0? 21 28 33 02 1C 00 43 8E 30 00 44 8E 3C 00 42 96 21 18 75 00 23 A8 95 00 1C 00 43 AE 20 00 55 AE 14 00 42 30 10 00 03 24 96 FF 43 50 1C 00 44 8E 44 00 BF 8F 40 00 B5 8F 3C 00 B4 8F 38 00 B3 8F 34 00 B2 8F 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 11 3C 01 00 15 24 ?? ?? ?? 0? ?? ?? 31 26 10 00 44 8E 21 30 A0 02 80 10 02 00 21 28 20 02 ?? ?? ?? 0? 21 20 82 00 1C 00 42 8E 30 00 43 8E 23 98 75 02 21 A8 A2 02 1C 00 55 AE 65 00 60 18 20 00 53 AE 3C 00 44 96 10 00 43 8E 80 A8 15 00 21 10 80 00 21 A8 75 00 00 00 B4 AE 24 00 44 8E 30 00 43 8E 01 00 84 24 24 00 44 AE ?? ?? ?? 0? 28 00 43 AE 2A 18 62 02 87 FF 60 50 67 00 02 24 3C 00 43 96 01 00 73 26 08 00 63 30 03 00 60 14 20 9E 13 7C 2A 18 A2 02 0B 10 A3 02 23 10 53 00 00 00 43 28 0B 10 03 00 A1 FF 60 1E 30 00 42 AE 1C 00 44 8E 10 00 43 8E 30 00 05 24 80 10 04 00 21 10 62 00 00 00 45 AC 30 00 42 8E 01 00 84 24 48 00 40 18 1C 00 44 AE 80 10 04 00 21 10 62 00 00 00 54 AC 30 00 42 8E 01 00 84 24 1C 00 44 AE 23 28 13 00 2A 20 45 00 04 00 80 10 1C 00 44 8E 23 98 02 00 20 9E 13 7C 23 28 13 00 21 10 62 02 20 36 02 7C 2A 38 55 00 0B A8 C7 00 80 20 04 00 20 00 45 AE 24 00 55 AE 21 20 64 00 21 30 A0 02 30 00 42 AE ?? ?? ?? 0? 21 28 20 02 30 00 43 8E 3C 00 42 96 23 A8 75 00 ?? ?? ?? 0? 28 00 55 AE ?? ?? ?? 0? 70 00 10 24 23 98 13 00 2D 00 02 24 04 00 22 AE 20 9E 13 7C ?? ?? ?? 0? 08 00 31 26 10 00 44 8E 65 00 03 24 08 00 03 12 45 00 03 24 07 00 03 12 30 00 03 24 20 00 40 14 30 00 02 24 00 00 22 AE ?? ?? ?? 0? 04 00 31 26 30 00 03 24 00 00 23 AE ?? ?? ?? 0? 04 00 31 26 3D FF 02 52 30 00 42 8E ?? ?? ?? 0? 61 00 02 24 3C 00 44 96 08 00 84 30 6B FF 80 14 10 00 44 8E ?? ?? ?? 0? 2A 28 75 00 3C 00 44 96 08 00 85 30 9A FF A0 14 21 10 80 00 ?? ?? ?? 0? 28 00 43 AE ?? ?? ?? 0? 21 10 00 00 3C 00 45 96 08 00 A5 30 BD FF A0 10 23 28 13 00 ?? ?? ?? 0? 80 10 04 00 01 00 14 24 ?? ?? ?? 0? 18 00 B5 27 }
	condition:
		$1
}

rule file_654_0_4 {
	meta:
		name = "wmemcpy"
		size = 44
	strings:
		$1 = { 08 00 C0 10 21 10 80 00 21 18 80 00 00 00 A4 8C FF FF C6 24 04 00 A5 24 00 00 64 AC FB FF C0 14 04 00 63 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_655_1_4 {
	meta:
		name = "snwprintf_s"
		size = 136
		refs = "0050 _WPrintf 0078 _Fail_s"
	strings:
		$1 = { D0 FF BD 27 2C 00 BF AF 21 10 80 00 18 00 80 10 3C 00 A7 AF 17 00 A0 10 ?? ?? 04 3C 16 00 A0 04 ?? ?? 84 24 12 00 C0 10 ?? ?? 04 3C 3C 00 A3 27 FF FF A8 24 21 38 60 00 1C 00 A2 AF ?? ?? 84 24 01 00 02 24 1C 00 A5 27 18 00 A3 AF 20 00 A8 AF ?? ?? ?? 0? 10 00 A2 AF 1C 00 A3 8F 01 00 60 54 00 00 60 AC 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1A 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_657_0_4 {
	meta:
		name = "iswspace"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 09 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_658_0_4 {
	meta:
		name = "_LSin"
		size = 1036
		refs = "0030 _LDtest 006c _LQuad 0078 _LRteps 00a0 dpcmp 00bc dpmul 00fc dpsub 0128 dpadd 025c _Feraise 0268 _LNan"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 18 00 B2 AF 2C 00 BF AF 28 00 B7 AF 24 00 B6 AF 20 00 B4 AF 1C 00 B3 AF 14 00 B1 AF 10 00 B0 AF 34 00 A5 AF ?? ?? ?? 0? 21 90 C0 00 01 00 03 24 87 00 43 10 02 00 03 24 78 00 43 50 30 00 B4 8F 07 00 40 14 01 00 42 32 9F 00 40 50 30 00 B4 8F ?? ?? 02 3C ?? ?? 53 8C ?? ?? ?? 0? 21 A0 00 00 ?? ?? ?? 0? 30 00 A4 27 ?? ?? 03 3C ?? ?? 70 8C ?? ?? 71 8C 30 00 B4 8F 34 00 B3 8F 00 80 08 3C 26 40 08 02 21 20 20 02 21 30 80 02 21 28 00 01 21 38 60 02 ?? ?? ?? 0? 21 90 52 00 7D 00 40 04 21 20 80 02 21 30 80 02 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 21 80 40 00 01 00 42 32 83 00 40 10 21 88 60 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 A0 40 00 21 98 60 00 02 00 52 32 10 00 40 12 2C 00 BF 8F 00 80 02 3C 26 98 62 02 21 18 60 02 21 10 80 02 28 00 B7 8F 24 00 B6 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 34 00 B3 8F 2C 00 BF 8F 21 10 80 02 21 18 60 02 28 00 B7 8F 24 00 B6 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 53 8C ?? ?? 54 8C 2C 00 BF 8F 21 18 60 02 21 10 80 02 28 00 B7 8F 24 00 B6 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 30 00 BD 27 21 30 20 02 21 28 60 02 ?? ?? ?? 0? 21 38 00 02 80 FF 41 04 21 30 80 02 01 00 42 32 CB FF 40 50 02 00 52 32 ?? ?? 02 3C 21 A0 00 00 ?? ?? ?? 0? ?? ?? 53 8C ?? ?? ?? 0? 34 00 B3 8F 21 20 80 02 21 28 60 02 21 30 00 02 ?? ?? ?? 0? 21 38 60 00 21 B0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 B8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 28 60 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 C0 02 21 28 E0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 ?? ?? ?? 0? 21 98 60 00 }
	condition:
		$1
}

rule file_659_0_4 {
	meta:
		name = "strncpy"
		size = 92
	strings:
		$1 = { 0D 00 C0 10 21 10 80 00 00 00 A4 80 0C 00 80 10 21 18 40 00 ?? ?? ?? 0? FF FF C6 24 00 00 A4 80 07 00 80 10 01 00 63 24 FF FF C6 24 01 00 A5 24 FA FF C0 14 00 00 64 A0 08 00 E0 03 00 00 00 00 21 30 66 00 00 00 60 A0 01 00 63 24 FE FF 66 54 00 00 60 A0 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_660_0_4 {
	meta:
		name = "freopen"
		size = 100
		refs = "0028 fclose 0048 _Foprep"
	strings:
		$1 = { D0 FF BD 27 24 00 B0 AF 00 00 D0 94 2C 00 BF AF 28 00 B1 AF 7F FF 02 32 00 00 C2 A4 21 88 80 00 21 20 C0 00 18 00 A5 AF ?? ?? ?? 0? 1C 00 A6 AF 1C 00 A6 8F 18 00 A5 8F 80 00 10 32 00 00 D0 A4 21 20 20 02 FF FF 07 24 ?? ?? ?? 0? 10 00 A0 AF 2C 00 BF 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_661_0_4 {
	meta:
		name = "_Sin"
		size = 692
		refs = "0020 _Dtest 0058 _Quad 0060 _Rteps 0078 fpcmp 0088 fpmul 00b8 fpsub 00d4 fpadd 01a0 _Feraise 01a8 _Nan"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 21 80 A0 00 01 00 03 24 5C 00 43 10 02 00 03 24 52 00 43 50 28 00 B2 8F 06 00 40 14 01 00 02 32 42 00 40 50 28 00 B2 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 52 8C ?? ?? ?? 0? 28 00 A4 27 ?? ?? 03 3C ?? ?? 71 8C 28 00 B2 8F 00 80 04 3C 26 20 91 00 21 28 40 02 ?? ?? ?? 0? 21 80 50 00 53 00 40 04 21 20 40 02 ?? ?? ?? 0? 21 28 40 02 21 88 40 00 01 00 02 32 57 00 40 50 21 20 40 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 90 40 00 02 00 10 32 0B 00 00 12 24 00 BF 8F 00 80 02 3C 26 90 52 00 21 10 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 21 10 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 52 8C 24 00 BF 8F 20 00 B3 8F 21 10 40 02 18 00 B1 8F 1C 00 B2 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 20 02 AB FF 41 04 21 20 40 02 01 00 02 32 DB FF 40 50 02 00 10 32 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 52 8C ?? ?? ?? 0? 21 28 20 02 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 90 40 00 }
	condition:
		$1
}

rule file_663_0_4 {
	meta:
		name = "remquol"
		size = 1016
		refs = "0040 _LDtest 00c4 _Feraise 00d0 _LNan 0128 dpcmp 0184 _LDunscale 01e0 _LDscale 026c dpmul 02c4 dpsub"
	strings:
		$1 = { A8 FF BD 27 34 00 B1 AF 68 00 B1 8F 58 00 A4 AF 58 00 A4 27 30 00 B0 AF 54 00 BF AF 50 00 BE AF 4C 00 B7 AF 48 00 B6 AF 44 00 B5 AF 40 00 B4 AF 3C 00 B3 AF 38 00 B2 AF 5C 00 A5 AF 60 00 A6 AF ?? ?? ?? 0? 64 00 A7 AF 60 00 A4 27 ?? ?? ?? 0? 21 80 40 00 01 00 20 56 00 00 20 AE 2C 00 00 06 02 00 03 24 08 00 03 12 58 00 A8 8F 02 00 03 24 B8 00 43 10 01 00 03 24 12 00 03 12 00 00 00 00 10 00 40 10 58 00 A8 8F 5C 00 BE 8F 54 00 BF 8F 21 18 C0 03 21 10 00 01 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? 5E 8C ?? ?? 48 8C 54 00 BF 8F 21 18 C0 03 21 10 00 01 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 D7 FF 41 04 64 00 B2 8F 60 00 B0 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 06 00 41 04 21 A0 00 00 00 80 02 3C 26 90 42 02 60 00 B0 AF 64 00 B2 AF 01 00 14 24 58 00 B0 8F 5C 00 B2 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 40 02 8A 00 40 04 21 A8 00 00 64 00 A3 8F 60 00 A2 8F 10 00 A4 27 18 00 A5 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 58 00 A2 8F 5C 00 A3 8F 21 90 00 00 18 00 A2 AF 1C 00 A3 AF FF FF 10 24 01 00 13 24 12 00 A4 27 ?? ?? ?? 0? 18 00 A5 27 80 00 40 10 10 00 A2 87 12 00 B6 87 23 B0 C2 02 7D 00 C0 06 58 00 A8 8F 64 00 A3 8F 60 00 A2 8F 21 28 C0 02 18 00 A4 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF 58 00 A8 8F 18 00 AA 8F 1C 00 AB 8F 5C 00 BE 8F 21 30 00 01 21 20 40 01 21 28 60 01 21 38 C0 03 28 00 A8 AF 20 00 AA AF ?? ?? ?? 0? 24 00 AB AF 28 00 A8 8F 20 00 AA 8F 37 00 40 18 24 00 AB 8F FF FF D6 26 E8 FF D0 16 64 00 A3 8F 21 30 00 01 21 38 C0 03 21 20 00 00 21 28 00 00 ?? ?? ?? 0? 28 00 A8 AF 22 00 41 04 28 00 A8 8F ?? ?? 02 3C 60 00 B6 8F 64 00 B7 8F ?? ?? 46 8C ?? ?? 47 8C 21 20 C0 02 ?? ?? ?? 0? 21 28 E0 02 28 00 A8 8F 21 20 40 00 21 28 60 00 21 30 00 01 21 38 C0 03 21 80 40 00 ?? ?? ?? 0? 21 98 60 00 4B 00 41 04 28 00 A8 8F 21 30 00 02 21 38 60 02 21 20 00 00 ?? ?? ?? 0? 21 28 00 00 44 00 41 04 28 00 A8 8F 21 20 00 01 21 28 C0 03 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 40 40 00 21 F0 60 00 01 00 52 26 04 00 20 12 00 F0 52 7E 23 10 12 00 0B 90 54 00 00 00 32 AE 68 FF A0 12 54 00 BF 8F 00 80 02 3C ?? ?? ?? 0? 26 F0 C2 03 21 20 00 01 21 28 C0 03 21 30 40 01 ?? ?? ?? 0? 21 38 60 01 20 00 C6 2E 21 40 40 00 21 F0 60 00 58 00 A2 AF 06 00 C0 10 5C 00 A3 AF 04 B0 D3 02 21 90 56 02 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 18 00 A8 AF 98 FF C1 06 1C 00 BE AF ?? ?? ?? 0? 21 30 00 01 64 00 BE 8F 60 00 A8 8F 54 00 BF 8F 21 18 C0 03 21 10 00 01 50 00 BE 8F 4C 00 B7 8F 48 00 B6 8F 44 00 B5 8F 40 00 B4 8F 3C 00 B3 8F 38 00 B2 8F 34 00 B1 8F 30 00 B0 8F 08 00 E0 03 58 00 BD 27 00 80 02 3C 26 90 42 02 01 00 02 24 23 A0 54 00 58 00 B0 AF 5C 00 B2 AF 20 A6 14 7C ?? ?? ?? 0? 01 00 15 24 58 00 A8 8F ?? ?? ?? 0? 5C 00 BE 8F 21 20 00 01 21 30 00 02 21 28 C0 03 21 38 60 02 ?? ?? ?? 0? 28 00 A8 AF BE FF 40 14 28 00 A8 8F 01 00 42 32 BB FF 40 10 21 20 00 01 ?? ?? ?? 0? 21 28 C0 03 }
	condition:
		$1
}

rule file_664_0_4 {
	meta:
		name = "fesetexceptflag"
		size = 228
		refs = "0050 _Tls_setup__Fenv 0070 _Fenv"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 20 00 C4 AF 24 00 C5 AF 24 00 C2 8F 3D 00 42 30 24 00 C2 AF 24 00 C2 8F 27 00 40 10 00 00 00 00 20 00 C2 8F 00 00 42 94 20 1E 02 7C 24 00 C2 8F 20 16 02 7C 24 10 62 00 20 16 02 7C 10 00 C2 A7 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 14 00 C2 AF 14 00 C2 8F 02 00 42 94 20 1E 02 7C 24 00 C2 8F 20 16 02 7C 27 10 02 00 20 16 02 7C 24 10 62 00 20 16 02 7C FF FF 43 30 14 00 C2 8F 02 00 43 A4 14 00 C2 8F 02 00 43 94 10 00 C2 97 25 10 62 00 FF FF 43 30 14 00 C2 8F 02 00 43 A4 21 10 00 00 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_665_0_4 {
	meta:
		name = "fputs"
		size = 372
		refs = "005c strlen 0084 memcpy 00a0 fflush 0128 strrchr 0144 _Fwprep"
	strings:
		$1 = { D0 FF BD 27 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 21 90 80 00 21 88 A0 00 01 00 10 24 00 00 42 82 2B 00 40 50 00 00 22 96 0C 00 23 8E 14 00 22 8E 2B 10 62 00 3F 00 40 10 00 00 00 00 00 00 22 96 00 04 42 30 34 00 40 14 21 20 40 02 ?? ?? ?? 0? 21 20 40 02 21 A0 40 00 21 A8 00 00 0C 00 24 8E 14 00 33 8E 23 98 64 02 2B 10 74 02 0E 00 40 14 21 28 40 02 ?? ?? ?? 0? 21 30 80 02 0C 00 22 8E 21 90 54 02 21 A0 54 00 E4 FF A0 12 0C 00 34 AE ?? ?? ?? 0? 21 20 20 02 E1 FF 40 50 00 00 42 82 ?? ?? ?? 0? FF FF 03 24 ?? ?? ?? 0? 21 30 60 02 0C 00 22 8E 21 90 53 02 21 98 53 00 0C 00 33 AE 00 00 42 82 D9 FF 40 54 0C 00 23 8E 00 00 22 96 00 08 43 30 1D 00 60 14 00 00 00 00 00 0C 42 30 03 00 40 10 21 18 00 00 0C 00 22 8E 14 00 22 AE 2C 00 BF 8F 21 10 60 00 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 0A 00 05 24 CA FF 40 10 21 A8 40 00 23 A0 12 02 ?? ?? ?? 0? 21 A0 54 00 ?? ?? ?? 0? 21 20 20 02 C0 FF 43 04 00 00 22 96 ?? ?? ?? 0? FF FF 03 24 ?? ?? ?? 0? 21 20 20 02 E6 FF 40 14 FF FF 03 24 ?? ?? ?? 0? 00 00 22 96 }
	condition:
		$1
}

rule file_666_0_4 {
	meta:
		name = "iswupper"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 0A 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_667_0_4 {
	meta:
		name = "fmaxf"
		size = 196
		refs = "001c _FDtest 0044 fpcmp"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 14 00 B0 AF 1C 00 BF AF 02 00 10 24 18 00 B1 AF ?? ?? ?? 0? 24 00 A5 AF 16 00 50 10 24 00 B1 8F ?? ?? ?? 0? 24 00 A4 27 1C 00 50 10 20 00 B0 8F 24 00 B1 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 06 00 40 04 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 0E 00 40 10 22 00 A2 87 21 88 00 02 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 14 00 B0 8F 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 F3 FF 43 04 21 88 00 02 ?? ?? ?? 0? 1C 00 BF 8F 20 00 B1 8F 1C 00 BF 8F 14 00 B0 8F 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_671_0_4 {
	meta:
		name = "toupper"
		size = 24
		refs = "0000 _Touptab"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 08 00 E0 03 00 00 42 84 }
	condition:
		$1
}

rule file_672_0_4 {
	meta:
		name = "tolower"
		size = 24
		refs = "0000 _Tolotab"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 08 00 E0 03 00 00 42 84 }
	condition:
		$1
}

rule file_674_5_4 {
	meta:
		name = "_ZSt7_FiopenPKcNSt5_IosbIiE9_OpenmodeEi"
		size = 464
		refs = "00ac fopen 00d0 fseek 00e0 fclose 014c __cxa_guard_acquire 01c0 __cxa_guard_release"
	strings:
		$1 = { D8 FF BD 27 14 00 B0 AF ?? ?? 10 3C ?? ?? 02 82 1C 00 B2 AF 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 21 90 80 00 49 00 40 10 21 88 A0 00 ?? ?? 13 3C 40 01 24 7E ?? ?? 62 8E 25 20 91 00 08 00 85 30 02 00 83 34 0B 20 65 00 28 00 40 10 21 80 00 00 9B FF 03 24 24 20 83 00 0A 00 44 10 40 00 22 32 ?? ?? 03 3C ?? ?? 63 24 00 00 62 8C 01 00 10 26 2D 00 40 10 04 00 63 24 FC FF 44 54 00 00 62 8C 40 00 22 32 05 00 40 10 ?? ?? 02 3C 01 00 84 30 1E 00 80 14 ?? ?? 05 3C ?? ?? 02 3C ?? ?? 42 24 80 80 10 00 21 80 02 02 00 00 05 8E ?? ?? ?? 0? 21 20 40 02 0D 00 40 10 21 80 40 00 04 00 31 32 0B 00 20 12 24 00 BF 8F 21 20 00 02 21 28 00 00 ?? ?? ?? 0? 02 00 06 24 05 00 40 10 24 00 BF 8F ?? ?? ?? 0? 21 20 00 02 21 80 00 00 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 20 40 02 ?? ?? ?? 0? ?? ?? A5 24 E0 FF 40 50 ?? ?? 02 3C ?? ?? ?? 0? 21 20 40 00 24 00 BF 8F 21 80 00 00 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? ?? ?? 04 26 B6 FF 40 10 ?? ?? 13 3C ?? ?? 62 26 12 00 03 24 08 00 43 AC 0A 00 03 24 0C 00 43 AC 81 00 03 24 10 00 43 AC 82 00 03 24 14 00 43 AC 92 00 03 24 18 00 43 AC 8A 00 03 24 1C 00 43 AC 03 00 03 24 20 00 43 AC 13 00 03 24 24 00 43 AC 0B 00 03 24 28 00 43 AC 83 00 03 24 2C 00 43 AC 93 00 03 24 30 00 43 AC 8B 00 03 24 ?? ?? 04 26 ?? ?? ?? 0? 34 00 43 AC ?? ?? ?? 0? 40 01 24 7E }
	condition:
		$1
}

rule file_674_6_4 {
	meta:
		name = "_ZSt7_FiopenPKwNSt5_IosbIiE9_OpenmodeEi"
		size = 100
		refs = "0024 wcstombs 0040 _ZSt7_FiopenPKcNSt5_IosbIiE9_OpenmodeEi"
	strings:
		$1 = { D8 FE BD 27 21 10 80 00 20 01 B1 AF 1C 01 B0 AF 10 00 A4 27 21 88 A0 00 21 80 C0 00 21 28 40 00 24 01 BF AF ?? ?? ?? 0? 04 01 06 24 FF FF 04 24 06 00 44 10 21 18 00 00 10 00 A4 27 21 28 20 02 ?? ?? ?? 0? 21 30 00 02 21 18 40 00 24 01 BF 8F 21 10 60 00 20 01 B1 8F 1C 01 B0 8F 08 00 E0 03 28 01 BD 27 }
	condition:
		$1
}

rule file_675_0_4 {
	meta:
		name = "expl"
		size = 152
		refs = "0010 _LDtest 005c _LExp"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 24 00 A5 AF 01 00 03 24 18 00 43 10 02 00 03 24 10 00 43 10 20 00 A5 8F 08 00 40 14 ?? ?? 02 3C ?? ?? 44 8C 1C 00 BF 8F 21 28 00 00 21 10 A0 00 21 18 80 00 08 00 E0 03 20 00 BD 27 ?? ?? 46 8C ?? ?? 47 8C 20 00 A4 27 ?? ?? ?? 0? 10 00 A0 AF 20 00 A5 8F 24 00 A4 8F 1C 00 BF 8F 21 10 A0 00 21 18 80 00 08 00 E0 03 20 00 BD 27 26 00 A2 87 F8 FF 43 04 20 00 A5 8F 21 28 00 00 ?? ?? ?? 0? 21 20 00 00 }
	condition:
		$1
}

rule file_677_0_4 {
	meta:
		name = "_Getmbcurmax"
		size = 48
		refs = "0000 _Tls_setup__Mbcurmax 0020 _Mbcurmax"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E8 FF BD 27 03 00 40 10 14 00 BF AF 09 F8 40 00 00 00 00 00 14 00 BF 8F ?? ?? 02 3C ?? ?? 42 80 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_679_0_4 {
	meta:
		name = "_LCmulcc"
		size = 384
		refs = "003c creall 0058 cimagl 00ac dpmul 00e4 dpsub 0130 dpadd 014c _LCbuild"
	strings:
		$1 = { C0 FF BD 27 38 00 B7 AF 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 21 B0 80 00 21 B8 A0 00 21 A0 C0 00 21 A8 E0 00 3C 00 BF AF 28 00 B3 AF 24 00 B2 AF 54 00 B3 8F 50 00 B2 8F 20 00 B1 AF ?? ?? ?? 0? 1C 00 B0 AF 21 20 C0 02 21 28 E0 02 21 30 80 02 21 38 A0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 58 00 A6 8F 5C 00 A7 8F 21 20 40 02 21 28 60 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 58 00 A6 8F 5C 00 A7 8F 21 20 40 02 21 28 60 02 21 B0 40 00 ?? ?? ?? 0? 21 B8 60 00 21 90 40 00 21 98 60 00 21 20 00 02 21 28 20 02 21 30 C0 02 ?? ?? ?? 0? 21 38 E0 02 21 20 80 02 21 28 A0 02 21 30 40 02 21 38 60 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 A8 8F 14 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 21 20 00 02 21 28 20 02 21 30 40 02 21 38 60 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 21 20 80 02 21 28 A0 02 21 30 C0 02 21 38 E0 02 21 80 40 00 ?? ?? ?? 0? 21 88 60 00 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 10 00 A8 8F 14 00 A9 8F 21 30 40 00 21 20 00 01 21 28 20 01 ?? ?? ?? 0? 21 38 60 00 3C 00 BF 8F 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_680_0_4 {
	meta:
		name = "cbrtf"
		size = 580
		refs = "002c _FDunscale 00dc _FDscale 0108 fpmul 0118 fpadd 0154 fpdiv"
	strings:
		$1 = { C8 FF BD 27 38 00 A4 AF 38 00 A5 27 10 00 A4 27 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 1C 00 B1 AF ?? ?? ?? 0? 18 00 B0 AF 02 00 03 24 2B 10 62 00 0C 00 40 14 10 00 B4 87 34 00 BF 8F 38 00 A2 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 55 55 08 3C 56 55 08 25 18 00 88 02 C3 17 14 00 03 00 03 24 10 28 00 00 23 10 A2 00 20 16 02 7C 02 10 43 70 14 00 54 10 21 28 00 00 01 00 94 26 21 18 80 02 03 00 07 24 20 16 14 7C 18 00 48 00 C3 37 02 00 21 20 60 00 FF FF A5 24 01 00 63 24 10 58 00 00 23 30 66 01 20 36 06 7C 02 30 C7 70 F5 FF C4 14 01 00 54 24 38 00 A4 27 ?? ?? ?? 0? 10 00 A2 A7 10 00 B4 87 3A 00 A2 87 50 00 40 04 38 00 B0 8F 38 00 B0 8F 21 98 00 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 00 02 ?? ?? ?? 0? ?? ?? 12 3C ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 20 20 02 21 28 20 02 ?? ?? ?? 0? 21 A8 40 00 ?? ?? 45 8E 21 20 00 02 ?? ?? ?? 0? 21 B0 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 C0 02 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 04 00 60 12 14 00 A2 AF 00 80 03 3C 26 10 43 00 14 00 A2 AF 55 55 02 3C 56 55 42 24 18 00 82 02 C3 A7 14 00 14 00 A4 27 10 18 00 00 23 28 74 00 ?? ?? ?? 0? 20 2E 05 7C 34 00 BF 8F 14 00 A2 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 00 80 02 3C 01 00 13 24 26 80 02 02 ?? ?? ?? 0? 38 00 B0 AF }
	condition:
		$1
}

rule file_681_0_4 {
	meta:
		name = "_Xtime_get_ticks"
		size = 76
		refs = "000c gettimeofday"
	strings:
		$1 = { E0 FF BD 27 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 A2 8F 10 00 A5 8F 0F 00 04 3C C3 1F 02 00 13 00 40 00 40 42 84 24 1C 00 BF 8F 11 00 60 00 20 00 BD 27 00 00 A4 70 10 28 00 00 21 18 A0 00 08 00 E0 03 12 10 00 00 }
	condition:
		$1
}

rule file_681_1_4 {
	meta:
		name = "_Xtime_to_ts"
		size = 24
	strings:
		$1 = { 04 00 A6 8C 00 00 A3 8C 21 10 80 00 04 00 86 AC 08 00 E0 03 00 00 83 AC }
	condition:
		$1
}

rule file_681_2_4 {
	meta:
		name = "xtime_get"
		size = 128
		refs = "0048 gettimeofday"
	strings:
		$1 = { D8 FF BD 27 01 00 02 24 20 00 B1 AF 1C 00 B0 AF 24 00 BF AF 21 80 A0 00 08 00 A2 10 21 88 80 00 24 00 BF 8F 21 80 00 00 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 F9 FF 80 10 24 00 BF 8F 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 14 00 A3 8F E8 03 02 24 24 00 BF 8F 02 10 62 70 10 00 A3 8F 00 00 23 AE 04 00 22 AE 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_681_3_4 {
	meta:
		name = "_Xtime_diff_to_ts"
		size = 260
		refs = "001c xtime_get"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 21 80 80 00 01 00 05 24 24 00 BF AF ?? ?? ?? 0? 10 00 A4 27 04 00 22 8E 06 00 41 04 00 00 23 8E 9A 3B 04 3C 00 CA 84 34 21 10 44 00 FE FF 40 04 FF FF 63 24 9A 3B 05 3C 00 CA A5 34 2A 20 45 00 08 00 80 14 14 00 A4 8F 65 C4 06 3C 00 36 C6 24 21 10 46 00 2A 20 45 00 FD FF 80 10 01 00 63 24 14 00 A4 8F 2A 28 44 00 14 00 A0 50 23 10 44 00 10 00 A5 8F 9A 3B 06 3C 00 CA C6 34 27 28 05 00 23 20 C4 00 21 18 65 00 10 00 60 04 21 10 82 00 02 00 60 14 2A 20 02 00 0A 10 04 00 24 00 BF 8F 04 00 02 AE 00 00 03 AE 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 10 00 A4 8F 23 18 64 00 F2 FF 61 04 00 00 00 00 24 00 BF 8F 21 10 00 00 21 18 00 00 04 00 02 AE 00 00 03 AE 21 10 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_682_0_4 {
	meta:
		name = "fwrite"
		size = 520
		refs = "0094 memcpy 00bc fflush 0184 _Fwprep 01ac memchr"
	strings:
		$1 = { C8 FF BD 27 24 00 B5 AF 02 A8 C5 70 28 00 B6 AF 20 00 B4 AF 34 00 BF AF 30 00 BE AF 2C 00 B7 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 21 A0 A0 00 21 10 C0 00 64 00 A0 12 21 B0 E0 00 3A 00 A0 10 21 88 80 00 21 80 A0 02 01 00 12 24 0C 00 C3 8E 14 00 C2 8E 2B 10 62 00 49 00 40 10 00 00 00 00 00 00 C2 96 00 04 42 30 4E 00 40 14 21 20 20 02 21 B8 00 02 21 F0 00 00 0C 00 C4 8E 14 00 D3 8E 23 98 64 02 2B 10 77 02 33 00 40 14 21 28 20 02 ?? ?? ?? 0? 21 30 E0 02 0C 00 D3 8E 04 00 C2 8E 21 88 37 02 21 98 77 02 0C 00 D3 AE 23 80 17 02 05 00 C0 13 23 98 62 02 ?? ?? ?? 0? 21 20 C0 02 05 00 40 54 00 00 C2 96 E1 FF 00 56 0C 00 C3 8E 21 98 00 00 00 00 C2 96 00 08 43 30 0A 00 60 10 00 0C 42 30 08 00 60 16 21 20 C0 02 0C 00 D2 8E ?? ?? ?? 0? 04 00 D1 8E 40 00 40 54 23 98 51 02 00 00 C2 96 00 0C 42 30 03 00 40 10 23 80 B0 02 0C 00 C2 8E 14 00 C2 AE 23 98 13 02 1B 00 74 02 F4 01 80 02 12 10 00 00 34 00 BF 8F 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 21 30 60 02 0C 00 C2 8E 21 88 33 02 23 80 13 02 21 98 53 00 B6 FF 00 16 0C 00 D3 AE ?? ?? ?? 0? 21 98 00 00 ?? ?? ?? 0? 21 20 C0 02 D2 FF 40 04 21 98 00 00 00 00 C2 96 00 04 42 30 B6 FF 40 50 21 B8 00 02 21 20 20 02 0A 00 05 24 ?? ?? ?? 0? 21 30 00 02 21 F0 40 00 B0 FF 40 10 21 B8 00 02 23 B8 51 02 ?? ?? ?? 0? 21 B8 57 00 34 00 BF 8F 21 10 00 00 30 00 BE 8F 2C 00 B7 8F 28 00 B6 8F 24 00 B5 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? ?? 0? 00 00 C2 96 }
	condition:
		$1
}

rule file_683_0_4 {
	meta:
		name = "erf"
		size = 744
		refs = "0018 _Dtest 0044 fpcmp 005c _Erf_small 0070 _Erf_one 00fc _Erfc 010c fpsub 0130 fpmul 0154 fpadd 029c fpdiv"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 2A 00 43 10 02 00 03 24 21 00 43 50 20 00 B0 8F 1F 00 40 50 20 00 B0 8F 20 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 A0 00 40 04 00 80 10 3C 21 90 00 00 21 80 20 02 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 2F 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 1E 00 40 04 ?? ?? 02 3C ?? ?? 50 8C 0A 00 40 12 1C 00 BF 8F 00 80 02 3C 26 80 50 00 21 10 00 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 21 10 00 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 26 00 A2 87 81 00 40 04 ?? ?? 02 3C ?? ?? 50 8C 1C 00 BF 8F 18 00 B2 8F 21 10 00 02 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 20 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? C2 97 02 00 21 20 20 02 ?? ?? ?? 0? 21 28 20 02 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 1C 00 BF 8F 21 80 40 00 21 10 00 02 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 01 00 12 24 ?? ?? ?? 0? 26 80 30 02 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 50 8C }
	condition:
		$1
}

rule file_686_0_4 {
	meta:
		name = "_LRint"
		size = 412
		refs = "000c fegetround 0058 _LDint 0080 dpadd 00e0 dpsub"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 10 00 A4 AF ?? ?? ?? 0? 14 00 A5 AF 01 00 03 24 26 00 43 10 02 00 43 28 34 00 60 14 02 00 03 24 0A 00 43 10 03 00 03 24 1C 00 43 10 10 00 A4 27 10 00 A5 8F 14 00 A4 8F 1C 00 BF 8F 21 10 A0 00 21 18 80 00 08 00 E0 03 20 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 F5 FF 40 10 16 00 A2 87 F4 FF 40 04 10 00 A5 8F ?? ?? 02 3C 10 00 A4 8F 14 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 1C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 00 ?? ?? ?? 0? 10 00 A5 8F 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 DD FF 40 10 16 00 A2 87 DC FF 43 04 10 00 A5 8F ?? ?? 02 3C 10 00 A4 8F 14 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 D1 FF 40 14 10 00 A5 8F 10 00 A4 27 ?? ?? ?? 0? 01 00 05 24 14 00 40 14 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 C8 FF 40 10 10 00 A5 8F 10 00 A4 27 ?? ?? ?? 0? FF FF 05 24 C2 FF 40 10 16 00 A2 87 11 00 40 04 ?? ?? 02 3C 10 00 A4 8F 14 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 ?? ?? ?? 0? 21 28 00 00 B4 FF 40 10 16 00 A2 87 C1 FF 41 04 ?? ?? 02 3C ?? ?? ?? 0? 10 00 A4 8F 10 00 A4 8F 14 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 21 28 40 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_687_0_4 {
	meta:
		name = "wcsnlen_s"
		size = 84
	strings:
		$1 = { 12 00 80 10 21 10 00 00 10 00 A0 10 00 00 00 00 00 00 83 8C 0D 00 60 10 00 00 00 00 ?? ?? ?? 0? 21 10 80 00 00 00 43 8C 07 00 60 50 23 10 44 00 FF FF A5 24 FB FF A0 14 04 00 42 24 23 10 44 00 08 00 E0 03 83 10 02 00 83 10 02 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_689_0_4 {
	meta:
		name = "fminf"
		size = 192
		refs = "001c _FDtest 0044 fpcmp"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 14 00 B0 AF 1C 00 BF AF 02 00 10 24 18 00 B1 AF ?? ?? ?? 0? 24 00 A5 AF 16 00 50 10 24 00 B1 8F ?? ?? ?? 0? 24 00 A4 27 1C 00 50 10 20 00 B1 8F 24 00 B0 8F 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 06 00 40 04 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 0E 00 40 10 22 00 A2 87 21 88 00 02 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 14 00 B0 8F 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 F3 FF 43 04 21 88 00 02 ?? ?? ?? 0? 1C 00 BF 8F 1C 00 BF 8F 14 00 B0 8F 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_690_0_4 {
	meta:
		name = "ISOwkyr"
		size = 272
	strings:
		$1 = { 03 00 83 30 07 00 60 14 21 38 00 00 64 00 02 24 1A 00 82 00 F4 01 40 00 10 10 00 00 22 00 40 10 01 00 07 24 73 01 A2 24 07 00 03 24 23 10 46 00 1A 00 43 00 F4 01 60 00 23 10 C7 00 6C 01 49 28 10 40 00 00 6D 01 04 25 21 38 87 00 1A 00 E3 00 F4 01 60 00 21 00 20 11 10 18 00 00 6B 01 09 24 21 00 49 10 6A 01 09 24 23 00 49 10 04 00 04 24 07 00 03 24 06 00 A5 24 1A 00 A3 00 F4 01 60 00 07 00 C6 24 FE FF 08 25 03 00 08 2D 10 20 00 00 23 30 C4 00 1A 00 C3 00 F4 01 60 00 12 30 00 00 08 00 E0 03 21 10 06 01 FF FF 02 3C C0 63 42 24 21 10 82 00 90 01 42 2C DB FF 40 14 73 01 A2 24 D9 FF 81 04 21 38 00 00 01 00 07 3C 4F D6 E7 34 21 20 87 00 ?? ?? ?? 0? 90 01 87 2C 02 00 04 24 09 00 64 10 FF FF 02 24 03 00 04 24 06 00 64 10 FF FF 02 24 04 00 04 24 DD FF 64 14 FF FF 02 24 08 00 E0 03 00 00 00 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_690_1_4 {
	meta:
		name = "ISOyear"
		size = 72
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF ?? ?? ?? 0? 21 80 80 00 07 00 40 10 14 00 BF 8F 01 00 42 28 21 80 02 02 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 FF FF 10 26 21 10 00 02 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_690_2_4 {
	meta:
		name = "cmp_era_date"
		size = 272
		refs = "0028 strtol"
	strings:
		$1 = { D0 FF BD 27 20 00 B1 AF 21 88 A0 00 1C 00 B0 AF 10 00 A5 27 21 80 80 00 0A 00 06 24 28 00 B3 AF 24 00 B2 AF 2C 00 BF AF ?? ?? ?? 0? 21 20 20 02 10 00 B3 8F 05 00 33 12 02 00 12 24 00 00 71 82 2F 00 03 24 09 00 23 52 14 00 03 8E 2C 00 BF 8F 21 10 40 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 6C 07 63 24 0D 00 62 10 01 00 73 26 2C 00 BF 8F 2A 10 62 00 FF FF 12 24 01 00 04 24 0A 90 82 00 21 10 40 02 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 60 02 10 00 A5 27 ?? ?? ?? 0? 0A 00 06 24 10 00 A4 8F E4 FF 64 12 2C 00 BF 8F 00 00 83 80 E2 FF 71 54 21 10 40 02 10 00 03 8E 01 00 63 24 E9 FF 62 14 2A 10 62 00 01 00 84 24 10 00 A5 27 ?? ?? ?? 0? 0A 00 06 24 10 00 A3 8F D6 FF 63 12 2C 00 BF 8F 0C 00 03 8E DE FF 62 14 21 90 00 00 ?? ?? ?? 0? 21 10 40 02 }
	condition:
		$1
}

rule file_690_3_4 {
	meta:
		name = "getval.clone.0"
		size = 184
		refs = "0098 _Gettime"
	strings:
		$1 = { D8 FF BD 27 38 00 A2 83 20 00 B2 AF 00 00 B2 28 0B 28 12 00 4F 00 03 24 1C 00 B1 AF 18 00 B0 AF 24 00 BF AF 21 88 80 00 21 80 C0 00 17 00 43 10 21 90 A0 00 21 10 30 02 00 00 F0 AC 0D 00 00 1A 00 00 40 A0 23 30 50 00 21 18 40 00 0A 00 04 24 1A 00 44 02 F4 01 80 00 FF FF 63 24 10 28 00 00 30 00 A5 24 00 00 65 A0 F9 FF 66 14 12 90 00 00 23 10 50 00 24 00 BF 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 3C 00 A2 8F 21 30 E0 00 00 00 44 8C ?? ?? ?? 0? 10 00 A7 AF 10 00 A7 8F 00 00 E3 8C F3 FF 60 1C 24 00 BF 8F ?? ?? ?? 0? 21 10 30 02 }
	condition:
		$1
}

rule file_690_4_4 {
	meta:
		name = "getera.clone.1"
		size = 360
		refs = "003c _Gettime"
	strings:
		$1 = { C0 FF BD 27 28 00 B3 AF 21 98 A0 00 20 00 B1 AF 21 88 80 00 00 00 64 8E 1C 00 B0 AF 21 80 00 00 21 28 00 02 10 00 A6 27 34 00 B6 AF 30 00 B5 AF 2C 00 B4 AF 24 00 B2 AF 3C 00 BF AF ?? ?? ?? 0? 38 00 B7 AF 21 B0 40 00 00 00 42 80 2D 00 12 24 2B 00 14 24 17 00 40 10 2A 00 15 24 01 00 D7 26 10 00 A6 27 21 20 E0 02 ?? ?? ?? 0? 01 00 05 24 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 00 00 C3 82 34 00 72 50 01 00 42 24 18 00 74 10 02 00 42 2C 01 00 10 26 00 00 64 8E 21 28 00 02 ?? ?? ?? 0? 10 00 A6 27 21 B0 40 00 00 00 42 80 EC FF 40 14 01 00 D7 26 ?? ?? 16 3C ?? ?? D6 26 3C 00 BF 8F 21 10 C0 02 38 00 B7 8F 34 00 B6 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 40 00 BD 27 E9 FF 40 50 01 00 10 26 21 20 E0 02 02 00 05 24 ?? ?? ?? 0? 10 00 A6 27 00 00 44 80 00 00 C3 82 04 00 83 14 21 20 20 02 01 00 43 80 E9 FF 75 10 3C 00 BF 8F ?? ?? ?? 0? 21 28 40 00 00 00 C3 82 05 00 72 50 02 00 42 2C D7 FF 74 54 01 00 10 26 01 00 42 24 02 00 42 2C DD FF 40 14 01 00 10 26 ?? ?? ?? 0? 00 00 64 8E 02 00 42 2C E7 FF 40 14 21 20 E0 02 ?? ?? ?? 0? 01 00 10 26 }
	condition:
		$1
}

rule file_690_5_4 {
	meta:
		name = "_Gentime"
		size = 2524
		refs = "0224 _Gettime 03d8 strtol 08a8 strchr 08d4 _Getzone"
	strings:
		$1 = { 20 3C 07 7C DB FF E2 24 FF 00 42 30 B8 FF BD 27 56 00 43 2C 30 00 B4 AF 2C 00 B3 AF 28 00 B2 AF 24 00 B1 AF 20 00 B0 AF 44 00 BF AF 40 00 BE AF 3C 00 B7 AF 38 00 B6 AF 34 00 B5 AF 21 98 80 00 21 A0 A0 00 58 00 B0 8F 5C 00 B2 8F 15 00 60 14 20 8C 06 7C 25 00 02 24 00 00 42 A2 02 00 02 24 01 00 47 A2 02 00 40 A2 21 A8 40 02 00 00 02 AE 44 00 BF 8F 21 10 A0 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 ?? ?? 03 3C 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 10 00 85 8C 14 00 84 8E 21 30 00 02 ?? ?? ?? 0? 40 28 05 00 ?? ?? ?? 0? 21 A8 40 00 1C 00 85 8C 48 00 94 26 21 20 40 02 01 00 A5 24 03 00 06 24 21 38 00 02 10 00 B1 AF ?? ?? ?? 0? 14 00 B4 AF 44 00 BF 8F 21 A8 40 00 21 10 A0 02 40 00 BE 8F 3C 00 B7 8F 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 14 00 84 8C 18 00 65 8E 1C 00 66 8E ?? ?? ?? 0? 48 00 94 26 64 00 03 24 1A 00 43 00 F4 01 60 00 21 20 40 02 02 00 06 24 21 38 00 02 10 00 B1 AF 14 00 B4 AF 10 10 00 00 64 00 43 24 00 00 45 28 0B 10 65 00 ?? ?? ?? 0? 21 28 40 00 ?? ?? ?? 0? 21 A8 40 00 0C 00 85 8C 48 00 94 26 21 20 40 02 02 00 06 24 21 38 00 02 10 00 B1 AF ?? ?? ?? 0? 14 00 B4 AF 00 00 43 82 21 A8 40 00 30 00 02 24 58 FF 62 14 44 00 BF 8F 20 00 02 24 ?? ?? ?? 0? 00 00 42 A2 0C 00 85 8C 48 00 94 26 21 20 40 02 ?? ?? ?? 0? 02 00 06 24 45 00 02 24 02 00 22 52 34 00 A4 8C 20 00 A4 8C 21 28 00 00 ?? ?? ?? 0? 21 30 00 02 21 A8 40 00 00 00 02 8E 44 00 BF 8F 40 00 BE 8F 23 10 02 00 00 00 02 AE 3C 00 B7 8F 21 10 A0 02 38 00 B6 8F 34 00 B5 8F 30 00 B4 8F 2C 00 B3 8F 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 48 00 BD 27 50 00 A4 8C 00 00 82 80 50 01 40 10 00 00 00 00 02 00 05 24 ?? ?? ?? 0? 21 30 00 02 21 A8 40 00 00 00 02 8E 2D FF 40 18 44 00 BF 8F 20 00 62 8E 2B FF 40 18 21 10 A0 02 21 28 00 00 21 20 A0 02 ?? ?? ?? 0? 0A 00 06 24 64 00 45 24 79 01 A0 04 2B 00 02 24 00 00 42 A2 48 00 94 26 01 00 44 26 04 00 06 24 21 38 00 02 10 00 B1 AF ?? ?? ?? 0? 14 00 B4 AF 00 00 03 8E FF FF 55 24 01 00 63 24 ?? ?? ?? 0? 00 00 03 AE 18 00 85 8C 08 00 84 8E 21 30 00 02 ?? ?? ?? 0? 40 28 05 00 ?? ?? ?? 0? 21 A8 40 00 50 00 A4 8C 00 00 82 80 23 01 40 10 00 00 00 00 20 00 65 8E 21 30 00 02 ?? ?? ?? 0? 2A 28 05 00 ?? ?? ?? 0? 21 A8 40 00 45 00 02 24 00 01 22 12 00 00 00 00 14 00 65 8E 48 00 94 26 21 20 40 02 6C 07 A5 24 ?? ?? ?? 0? 04 00 06 24 45 00 02 24 19 01 22 52 3C 00 A4 8C 28 00 A4 8C ?? ?? ?? 0? 02 00 05 24 18 00 83 8C 1C 00 85 8C 07 00 02 24 06 00 63 24 1A 00 62 00 F4 01 40 00 07 00 A5 24 48 00 94 26 21 20 40 02 02 00 06 24 21 38 00 02 10 00 B1 AF 14 00 B4 AF 10 18 00 00 23 28 A3 00 1A 00 A2 00 F4 01 40 00 ?? ?? ?? 0? 12 28 00 00 ?? ?? ?? 0? 21 A8 40 00 18 00 95 8C 1C 00 93 8C 14 00 96 8C 21 28 A0 02 21 30 60 02 ?? ?? ?? 0? 21 20 C0 02 C7 00 40 14 2A 20 02 00 FF FF C4 26 07 00 A5 26 03 00 82 30 23 28 B3 00 0F 00 40 14 6D 01 06 24 64 00 02 24 1A 00 82 00 F4 01 40 00 10 10 00 00 09 00 40 14 6E 01 06 24 FF FF 02 3C C0 63 42 24 21 10 82 00 90 01 42 2C 03 00 40 14 00 00 00 00 AC 00 80 04 6D 01 06 24 ?? ?? ?? 0? 00 00 00 00 48 00 94 26 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 02 00 06 24 18 00 83 8C 07 00 02 24 1C 00 85 8C ?? ?? ?? 0? 07 00 63 24 F8 FF 02 24 ?? ?? 15 3C 00 00 02 AE ?? ?? ?? 0? ?? ?? B5 26 00 00 85 8C 48 00 94 26 21 20 40 02 ?? ?? ?? 0? 02 00 06 24 FB FF 02 24 ?? ?? 15 3C 00 00 02 AE ?? ?? ?? 0? ?? ?? B5 26 04 00 85 8C 48 00 94 26 21 20 40 02 ?? ?? ?? 0? 02 00 06 24 08 00 85 8C 0C 00 02 24 48 00 94 26 0B 00 A5 24 1A 00 A2 00 F4 01 40 00 21 20 40 02 02 00 06 24 21 38 00 02 10 00 B1 AF 14 00 B4 AF 10 28 00 00 ?? ?? ?? 0? 01 00 A5 24 ?? ?? ?? 0? 21 A8 40 00 08 00 85 8C 48 00 94 26 21 20 40 02 ?? ?? ?? 0? 02 00 06 24 14 00 84 8C 18 00 65 8E 1C 00 66 8E ?? ?? ?? 0? 48 00 94 26 6C 07 45 24 21 20 40 02 ?? ?? ?? 0? 04 00 06 24 F8 FF 02 24 ?? ?? 15 3C 00 00 02 AE ?? ?? ?? 0? ?? ?? B5 26 F8 FF 02 24 ?? ?? 15 3C 00 00 02 AE ?? ?? ?? 0? ?? ?? B5 26 45 00 02 24 6B 00 22 12 00 00 00 00 14 00 65 8E 64 00 02 24 48 00 94 26 1A 00 A2 00 F4 01 40 00 21 20 40 02 02 00 06 24 21 38 00 02 10 00 B1 AF 14 00 B4 AF 12 28 00 00 ?? ?? ?? 0? 13 00 A5 24 ?? ?? ?? 0? 21 A8 40 00 10 00 85 8C 18 00 84 8E 40 28 05 00 21 30 00 02 ?? ?? ?? 0? 01 00 A5 24 ?? ?? ?? 0? 21 A8 40 00 01 00 02 24 ?? ?? 15 3C 00 00 02 AE ?? ?? ?? 0? ?? ?? B5 26 14 00 96 8C 64 00 02 24 1A 00 C2 02 F4 01 40 00 10 10 00 00 00 00 56 28 64 00 43 24 0B 10 76 00 21 B0 40 00 45 00 02 24 77 00 22 12 02 00 15 24 48 00 94 26 21 20 40 02 21 28 C0 02 ?? ?? ?? 0? 21 30 A0 02 18 00 85 8C ?? ?? ?? 0? 0C 00 84 8E 45 00 02 24 68 00 22 52 38 00 A4 8C 24 00 A4 8C ?? ?? ?? 0? 01 00 05 24 18 00 85 8C 48 00 94 26 21 20 40 02 ?? ?? ?? 0? 01 00 06 24 18 00 85 8C 07 00 02 24 48 00 94 26 21 20 40 02 0A 28 45 00 ?? ?? ?? 0? 01 00 06 24 01 00 02 24 ?? ?? 15 3C 00 00 02 AE ?? ?? ?? 0? ?? ?? B5 26 45 00 02 24 53 00 22 52 40 00 A4 8C 2C 00 A4 8C ?? ?? ?? 0? 03 00 05 24 08 00 85 8C 00 00 84 8E 21 30 00 02 0C 00 A5 28 ?? ?? ?? 0? 01 00 A5 38 ?? ?? ?? 0? 21 A8 40 00 01 00 02 24 ?? ?? 15 3C 00 00 02 AE ?? ?? ?? 0? ?? ?? B5 26 10 00 85 8C 48 00 94 26 21 20 40 02 01 00 A5 24 ?? ?? ?? 0? 02 00 06 24 01 00 03 3C 4F D6 63 34 21 18 83 00 90 01 63 2C 6E 01 02 24 ?? ?? ?? 0? 0B 30 43 00 01 00 03 24 ?? ?? ?? 0? 0A 10 64 00 ?? ?? ?? 0? 44 00 A5 24 01 00 44 24 03 00 05 24 ?? ?? ?? 0? 21 30 00 02 21 A8 40 00 00 00 42 80 05 FE 40 14 44 00 BF 8F ?? ?? ?? 0? 14 00 65 8E ?? ?? ?? 0? 44 00 A5 24 01 00 44 24 04 00 05 24 ?? ?? ?? 0? 21 30 00 02 00 00 43 80 21 A8 40 00 3B 00 02 24 F8 FE 62 50 14 00 65 8E 00 00 02 8E F5 FE 40 50 14 00 65 8E 21 20 A0 02 ?? ?? ?? 0? 3B 00 05 24 04 00 40 10 23 18 55 00 23 18 03 00 ?? ?? ?? 0? 00 00 03 AE 00 00 03 8E 23 18 03 00 ?? ?? ?? 0? 00 00 03 AE ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 02 00 05 24 ?? ?? ?? 0? 01 00 05 24 ?? ?? ?? 0? 03 00 05 24 ?? ?? ?? 0? 44 00 A5 24 21 B8 40 00 02 00 42 80 85 FF 40 10 02 00 FE 26 01 00 05 24 21 30 00 02 01 00 E4 26 ?? ?? ?? 0? 14 00 73 8E 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 0A 00 06 24 00 00 E3 82 6C 07 73 26 23 98 62 02 2D 00 63 38 23 10 13 00 21 20 C0 03 18 00 A5 27 0A 00 06 24 ?? ?? ?? 0? 0A 98 43 00 18 00 A3 8F 70 FF C3 53 48 00 94 26 00 00 64 80 01 00 E3 82 6C FF 83 54 48 00 94 26 21 B0 53 00 0A 00 02 24 1A 00 C2 02 F4 01 40 00 12 28 00 00 64 FF A0 18 01 00 15 24 01 00 15 24 0A 00 03 24 1A 00 A3 00 F4 01 60 00 12 28 00 00 FC FF A0 14 01 00 B5 26 ?? ?? ?? 0? 48 00 94 26 2D 00 02 24 00 00 42 A2 ?? ?? ?? 0? 23 28 05 00 }
	condition:
		$1
}

rule file_691_0_4 {
	meta:
		name = "tmpfile_s"
		size = 248
		refs = "0020 tmpnam_s 0054 fopen 0064 malloc 0078 strcpy 00ac _Fail_s 00d4 fclose"
	strings:
		$1 = { D0 FF BD 27 20 00 B0 AF 2C 00 BF AF 28 00 B2 AF 24 00 B1 AF 23 00 80 10 21 80 80 00 10 00 A4 27 ?? ?? ?? 0? 10 00 05 24 08 00 40 10 21 88 40 00 2C 00 BF 8F 21 10 20 02 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 05 3C 10 00 A4 27 ?? ?? ?? 0? ?? ?? A5 24 1F 00 40 10 21 90 40 00 ?? ?? ?? 0? 11 00 04 24 19 00 40 10 00 00 00 00 10 00 A5 27 ?? ?? ?? 0? 21 20 40 00 2C 00 BF 8F 3C 00 42 AE 00 00 12 AE 21 10 20 02 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 2C 00 BF 8F 21 88 40 00 21 10 20 02 28 00 B2 8F 24 00 B1 8F 20 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 21 20 40 02 ?? ?? 04 3C 00 00 00 AE ?? ?? 84 24 ?? ?? ?? 0? 1D 00 05 24 ?? ?? ?? 0? 21 88 40 00 }
	condition:
		$1
}

rule file_692_0_4 {
	meta:
		name = "fdopen"
		size = 216
		refs = "0024 _Files 0074 _Foprep 00a0 malloc"
	strings:
		$1 = { C8 FF BD 27 20 3C 04 7C 2C 00 B0 AF FF 00 F0 30 14 00 02 2E 34 00 BF AF 30 00 B1 AF 0D 00 40 10 21 30 00 00 ?? ?? 11 3C 80 10 07 00 ?? ?? 31 26 21 88 51 00 00 00 26 8E 17 00 C0 50 4C 00 04 24 00 00 C2 94 09 00 40 14 03 00 42 30 7F FF 02 24 00 00 C2 A4 34 00 BF 8F 21 10 C0 00 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 38 00 BD 27 F9 FF 40 14 21 20 00 00 ?? ?? ?? 0? 10 00 A0 AF 34 00 BF 8F 21 30 40 00 21 10 C0 00 30 00 B1 8F 2C 00 B0 8F 08 00 E0 03 38 00 BD 27 20 00 A5 AF 18 00 A6 AF ?? ?? ?? 0? 1C 00 A7 AF 00 00 22 AE 20 00 A5 8F 18 00 A6 8F E7 FF 40 10 1C 00 A7 8F 02 00 50 A0 00 00 26 8E 80 00 03 24 00 00 43 A4 00 00 C2 94 ?? ?? ?? 0? 03 00 42 30 }
	condition:
		$1
}

rule file_693_0_4 {
	meta:
		name = "tanh"
		size = 916
		refs = "0020 _Dtest 0070 fpcmp 0090 _Rteps 00c0 fpmul 00f4 fpadd 0174 fpdiv 0354 exp 037c fpsub"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 60 00 43 10 02 00 03 24 04 00 43 10 28 00 B2 8F 0B 00 40 14 21 28 00 00 28 00 B2 8F 24 00 BF 8F 21 10 40 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 21 80 00 00 ?? ?? ?? 0? 21 20 40 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 90 52 00 28 00 B2 AF 01 00 10 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 37 00 40 04 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 4B 00 41 04 ?? ?? 02 3C 21 20 40 02 ?? ?? ?? 0? 21 28 40 02 21 28 40 00 21 20 40 02 ?? ?? ?? 0? 21 88 40 00 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 B2 FF 00 12 24 00 BF 8F 00 80 02 3C 26 90 52 00 21 10 40 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 2E 00 A2 87 60 00 40 04 ?? ?? 02 3C ?? ?? 52 8C 24 00 BF 8F 20 00 B4 8F 21 10 40 02 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 0B 00 40 04 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 4E 00 40 04 ?? ?? 02 3C 8D FF 00 12 ?? ?? 52 8C ?? ?? ?? 0? 24 00 BF 8F ?? ?? 45 8C 21 20 40 02 ?? ?? ?? 0? ?? ?? 12 3C 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 98 40 00 21 28 40 00 21 20 60 02 ?? ?? ?? 0? 21 88 40 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 88 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 00 21 20 20 02 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 ?? ?? 45 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 47 FF 00 12 21 90 40 00 ?? ?? ?? 0? 24 00 BF 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 52 8C 21 28 40 02 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? ?? ?? 11 3C ?? ?? 25 8E ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 64 8C ?? ?? ?? 0? 21 28 40 00 ?? ?? 24 8E ?? ?? ?? 0? 21 28 40 00 30 FF 00 12 21 90 40 00 ?? ?? ?? 0? 24 00 BF 8F }
	condition:
		$1
}

rule file_695_0_4 {
	meta:
		name = "_Fltrounds"
		size = 64
		refs = "0008 fegetround"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 04 00 44 2C 06 00 80 10 FF FF 03 24 ?? ?? 03 3C ?? ?? 63 24 80 10 02 00 21 10 43 00 00 00 43 8C 14 00 BF 8F 21 10 60 00 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_698_0_4 {
	meta:
		name = "_Erfc"
		size = 136
		refs = "001c fpmul 0034 _Poly 0058 fpdiv 0068 _Exp"
	strings:
		$1 = { D8 FF BD 27 1C 00 B0 AF 21 80 80 00 00 80 04 3C 26 20 90 00 21 28 00 02 24 00 BF AF ?? ?? ?? 0? 20 00 B1 AF ?? ?? 05 3C 21 20 00 02 ?? ?? A5 24 06 00 06 24 ?? ?? ?? 0? 10 00 A2 AF ?? ?? 05 3C 21 20 00 02 06 00 06 24 ?? ?? A5 24 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 28 40 00 10 00 A4 27 ?? ?? ?? 0? 21 30 00 00 24 00 BF 8F 10 00 A2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_701_0_4 {
	meta:
		name = "_FCdivcc"
		size = 496
		refs = "0028 crealf 0038 cimagf 0068 fpcmp 00b0 fpdiv 00c0 fpmul 00cc fpadd 0110 fpsub 0128 _FCbuild"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 14 00 B1 AF 21 90 80 00 21 88 A0 00 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 10 00 B0 AF 21 98 E0 00 ?? ?? ?? 0? 21 80 C0 00 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 A0 40 00 21 20 00 02 21 28 60 02 ?? ?? ?? 0? 21 90 40 00 21 28 60 02 21 20 00 02 ?? ?? ?? 0? 21 88 40 00 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 03 00 41 04 21 98 00 02 00 80 13 3C 26 98 13 02 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 03 00 41 04 21 28 20 02 00 80 05 3C 26 28 25 02 ?? ?? ?? 0? 21 20 60 02 2A 00 42 04 21 20 00 02 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 20 40 00 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 88 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 28 00 02 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_725_0_4 {
	meta:
		name = "_Cdivcc"
		size = 496
		refs = "0028 creal 0038 cimag 0068 fpcmp 00b0 fpdiv 00c0 fpmul 00cc fpadd 0110 fpsub 0128 _Cbuild"
	strings:
		$1 = { D8 FF BD 27 18 00 B2 AF 14 00 B1 AF 21 90 80 00 21 88 A0 00 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 10 00 B0 AF 21 98 E0 00 ?? ?? ?? 0? 21 80 C0 00 21 20 40 02 21 28 20 02 ?? ?? ?? 0? 21 A0 40 00 21 20 00 02 21 28 60 02 ?? ?? ?? 0? 21 90 40 00 21 28 60 02 21 20 00 02 ?? ?? ?? 0? 21 88 40 00 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 03 00 41 04 21 98 00 02 00 80 13 3C 26 98 13 02 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 03 00 41 04 21 28 20 02 00 80 05 3C 26 28 25 02 ?? ?? ?? 0? 21 20 60 02 2A 00 42 04 21 20 00 02 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 20 40 00 21 28 20 02 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 88 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 21 28 00 02 ?? ?? ?? 0? 21 98 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 80 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_702_0_4 {
	meta:
		name = "fmin"
		size = 192
		refs = "001c _Dtest 0044 fpcmp"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 14 00 B0 AF 1C 00 BF AF 02 00 10 24 18 00 B1 AF ?? ?? ?? 0? 24 00 A5 AF 16 00 50 10 24 00 B1 8F ?? ?? ?? 0? 24 00 A4 27 1C 00 50 10 20 00 B1 8F 24 00 B0 8F 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 06 00 40 04 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 0E 00 40 10 26 00 A2 87 21 88 00 02 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 14 00 B0 8F 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 F3 FF 43 04 21 88 00 02 ?? ?? ?? 0? 1C 00 BF 8F 1C 00 BF 8F 14 00 B0 8F 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_703_0_4 {
	meta:
		name = "nexttoward"
		size = 1140
		refs = "0030 _Dtest 0054 _LDtest 0074 fptodp 0094 dpcmp 00b4 dptofp 0224 fpcmp 0364 _Feraise"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 20 00 BE AF 1C 00 B1 AF 18 00 B0 AF 21 F0 A0 03 28 00 C4 AF 30 00 C6 AF 34 00 C7 AF 28 00 C2 27 10 00 C2 AF 28 00 C4 27 ?? ?? ?? 0? 00 00 00 00 14 00 C2 A7 14 00 C3 87 02 00 02 24 F9 00 62 10 00 00 00 00 30 00 C2 27 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 18 40 00 02 00 02 24 0F 00 62 10 00 00 00 00 28 00 C2 8F 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 30 00 C2 8F 34 00 C3 8F 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 0A 00 40 14 00 00 00 00 30 00 C2 8F 34 00 C3 8F 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 00 00 00 00 28 00 C2 AF ?? ?? ?? 0? 00 00 00 00 14 00 C3 87 01 00 02 24 1B 00 62 14 00 00 00 00 10 00 C2 8F 06 00 42 24 10 00 C3 8F 06 00 63 24 00 00 63 94 20 26 03 7C 00 80 03 24 24 18 83 00 20 1E 03 7C EF 7F 63 34 20 1E 03 7C FF FF 63 30 00 00 43 A4 10 00 C2 8F 04 00 42 24 FF FF 03 24 00 00 43 A4 10 00 C2 8F 02 00 42 24 FF FF 03 24 00 00 43 A4 10 00 C2 8F FF FF 03 24 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 14 00 C2 87 20 00 40 14 00 00 00 00 10 00 C2 8F 06 00 51 24 28 00 C2 8F 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 30 00 C2 8F 34 00 C3 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 04 00 40 10 00 00 00 00 21 10 00 00 ?? ?? ?? 0? 00 00 00 00 00 80 02 34 00 00 22 A6 10 00 C2 8F 01 00 03 24 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 28 00 C2 8F 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 21 28 60 00 30 00 C2 8F 34 00 C3 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 0D 00 40 10 00 00 00 00 28 00 C2 8F 01 00 10 24 21 20 00 00 21 28 40 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 1E 00 40 14 00 00 00 00 28 00 C2 8F 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 30 00 C4 8F 34 00 C5 8F 01 00 10 24 21 30 40 00 21 38 60 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 3C 00 40 10 00 00 00 00 28 00 C2 8F 01 00 10 24 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 00 00 00 00 02 00 40 04 00 00 00 00 21 80 00 00 FF 00 02 32 30 00 40 10 00 00 00 00 10 00 C2 8F 00 00 42 94 01 00 42 24 FF FF 43 30 10 00 C2 8F 00 00 43 A4 10 00 C2 8F 00 00 42 94 54 00 40 14 00 00 00 00 10 00 C2 8F 02 00 42 24 00 00 43 94 01 00 63 24 FF FF 63 30 00 00 43 A4 00 00 42 94 44 00 40 14 00 00 00 00 10 00 C2 8F 04 00 42 24 00 00 43 94 01 00 63 24 FF FF 63 30 00 00 43 A4 00 00 42 94 3E 00 40 14 00 00 00 00 10 00 C2 8F 06 00 42 24 00 00 43 94 01 00 63 24 FF FF 63 30 00 00 43 A4 00 00 42 94 21 18 40 00 FF FF 02 3C FF 7F 42 34 24 18 62 00 F0 7F 02 24 33 00 62 14 00 00 00 00 08 00 04 24 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 10 00 C2 8F 00 00 42 94 FF FF 42 24 FF FF 43 30 10 00 C2 8F 00 00 43 A4 10 00 C2 8F 00 00 43 94 FF FF 02 34 24 00 62 14 00 00 00 00 10 00 C2 8F 02 00 42 24 00 00 43 94 FF FF 63 24 FF FF 63 30 00 00 43 A4 00 00 43 94 FF FF 02 34 1A 00 62 14 00 00 00 00 10 00 C2 8F 04 00 42 24 00 00 43 94 FF FF 63 24 FF FF 63 30 00 00 43 A4 00 00 43 94 FF FF 02 34 10 00 62 14 00 00 00 00 10 00 C2 8F 06 00 42 24 00 00 43 94 FF FF 63 24 FF FF 63 30 00 00 43 A4 ?? ?? ?? 0? 00 00 00 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 00 00 00 00 10 00 C2 8F 06 00 42 24 00 00 42 94 F0 7F 42 30 04 00 40 14 00 00 00 00 10 00 04 24 ?? ?? ?? 0? 00 00 00 00 28 00 C2 8F 21 E8 C0 03 24 00 BF 8F 20 00 BE 8F 1C 00 B1 8F 18 00 B0 8F 28 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_706_0_4 {
	meta:
		name = "mbsrtowcs"
		size = 356
		refs = "0088 _Mbtowc"
	strings:
		$1 = { C8 FF BD 27 30 00 B6 AF 28 00 B4 AF 24 00 B3 AF 1C 00 B1 AF 18 00 B0 AF 34 00 BF AF 2C 00 B5 AF 20 00 B2 AF 21 98 A0 00 21 80 E0 00 21 B0 80 00 21 88 C0 00 48 00 E0 10 00 00 B4 8C 23 00 C0 52 FF 7F 11 3C 15 00 20 12 21 A8 00 00 FF 7F 12 3C ?? ?? ?? 0? FF FF 52 36 05 00 40 54 01 00 B5 26 00 00 C3 8E 0D 00 60 50 21 A0 00 00 01 00 B5 26 0A 00 B1 12 21 A0 82 02 04 00 D6 26 21 20 C0 02 21 28 80 02 21 30 40 02 ?? ?? ?? 0? 21 38 00 02 F1 FF 41 04 00 00 00 00 FF FF 15 24 00 00 74 AE 34 00 BF 8F 21 10 A0 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 31 36 21 28 80 02 10 00 A4 27 21 30 20 02 21 38 00 02 ?? ?? ?? 0? 21 A8 00 00 0C 00 40 04 34 00 BF 8F 15 00 40 10 10 00 A3 8F 01 00 B5 26 21 A0 82 02 21 28 80 02 10 00 A4 27 21 30 20 02 ?? ?? ?? 0? 21 38 00 02 F6 FF 41 04 34 00 BF 8F FF FF 15 24 21 10 A0 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 D5 FF 60 10 21 A0 82 02 ?? ?? ?? 0? 01 00 B5 26 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 }
	condition:
		$1
}

rule file_708_0_4 {
	meta:
		name = "_Stoflt"
		size = 1040
		refs = "0060 _Ctype 0108 localeconv"
	strings:
		$1 = { 98 FF BD 27 78 00 A3 8F 09 00 02 24 5C 00 B3 AF 02 10 62 70 54 00 B1 AF 64 00 BF AF 60 00 B4 AF 58 00 B2 AF 50 00 B0 AF 00 00 E0 AC 04 00 E0 AC 00 00 B0 80 2D 00 11 24 2E 00 43 28 0B 88 43 00 30 00 02 24 06 00 02 16 21 98 00 00 01 00 A5 24 00 00 B0 80 FE FF 02 52 01 00 A5 24 01 00 13 24 ?? ?? 14 3C ?? ?? 89 8E FF 00 02 32 40 18 02 00 21 18 23 01 00 00 63 94 20 00 63 30 0D 00 60 14 21 90 00 00 ?? ?? ?? 0? 40 00 A4 AF 00 00 02 A1 01 00 A5 24 00 00 B0 80 FF 00 02 32 40 18 02 00 21 18 23 01 00 00 63 94 20 00 63 30 12 00 60 10 01 00 52 26 10 00 AA 27 2A 18 32 02 21 40 52 01 F2 FF 60 10 D0 FF 42 24 00 00 E2 8C 01 00 A5 24 01 00 42 24 00 00 E2 AC 00 00 B0 80 FF 00 02 32 40 18 02 00 21 18 23 01 00 00 63 94 20 00 63 30 F3 FF 60 14 2A 18 32 02 01 00 13 24 40 00 A4 AF 44 00 A5 AF 48 00 A6 AF ?? ?? ?? 0? 4C 00 A7 AF 2C 00 42 8C 44 00 A5 8F 40 00 A4 8F 00 00 42 80 48 00 A6 8F 4C 00 A7 8F 26 80 50 00 01 00 10 2E 78 00 40 12 21 28 B0 00 00 00 A2 80 ?? ?? 8D 8E FF 00 42 30 40 18 02 00 21 18 A3 01 00 00 63 94 20 00 63 30 15 00 60 50 2A 10 32 02 10 00 AF 27 2A 18 32 02 01 00 A5 24 21 40 F2 01 06 00 60 14 D0 FF 42 24 00 00 E3 8C 00 00 02 A1 01 00 52 26 FF FF 62 24 00 00 E2 AC 00 00 A2 90 40 18 02 00 21 18 A3 01 00 00 63 94 20 00 63 30 F0 FF 60 14 10 00 AF 27 01 00 13 24 2A 10 32 02 0F 00 40 10 10 00 A3 27 21 10 71 00 00 00 42 80 05 00 42 28 07 00 40 54 00 00 E2 8C FF FF 22 26 21 10 62 00 00 00 43 90 01 00 63 24 00 00 43 A0 00 00 E2 8C 21 90 20 02 01 00 42 24 00 00 E2 AC 81 00 40 1A 10 00 A8 27 21 10 12 01 FF FF 42 80 0E 00 40 14 00 00 00 00 ?? ?? ?? 0? 00 00 E2 8C FF FF 63 80 09 00 60 54 00 00 E2 AC FF FF 52 26 10 00 A9 27 21 18 32 01 F9 FF 40 16 01 00 42 24 00 00 E2 AC 01 00 12 24 10 00 A0 A3 2B 00 60 12 21 10 00 00 09 00 02 24 1A 00 42 02 F4 01 40 00 10 40 00 00 23 40 48 00 1A 00 02 01 F4 01 40 00 10 10 00 00 1B 00 40 1A 2B 10 02 00 10 00 A3 27 21 90 72 00 09 00 09 24 ?? ?? ?? 0? 0A 00 0E 24 00 00 6B 80 01 00 42 24 80 50 02 00 21 50 EA 00 01 00 63 24 0F 00 72 10 00 00 4B AD 01 00 08 25 1A 00 09 01 F4 01 20 01 80 50 02 00 10 58 00 00 F3 FF 60 11 21 50 EA 00 00 00 4C 8D 00 00 6B 80 01 00 63 24 02 78 8E 71 21 58 EB 01 F3 FF 72 14 00 00 4B AD 00 00 A3 80 65 00 08 24 1B 00 68 10 45 00 08 24 1A 00 68 50 01 00 A8 80 02 00 C0 10 0A 28 93 00 00 00 C5 AC 64 00 BF 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 68 00 BD 27 00 00 A2 80 30 00 03 24 87 FF 43 14 30 00 08 24 00 00 E3 8C FF FF 63 24 00 00 E3 AC 01 00 A5 24 00 00 A2 80 FC FF 48 10 FF FF 63 24 ?? ?? ?? 0? 01 00 13 24 01 00 A8 80 2B 00 09 24 24 00 09 11 01 00 A3 24 2D 00 09 24 21 00 09 11 2B 00 0E 24 FF 00 08 31 40 48 08 00 21 48 A9 01 00 00 29 95 20 00 29 31 23 00 20 11 21 48 00 00 F5 05 0B 3C 00 E1 6B 35 0A 00 0C 24 2A 50 2B 01 04 00 40 11 01 00 63 24 02 50 2C 71 21 48 48 01 D0 FF 29 25 00 00 68 90 40 50 08 00 21 50 AA 01 00 00 4A 95 20 00 4A 31 F5 FF 40 55 2A 50 2B 01 01 00 08 24 00 00 EA 8C 23 58 09 00 2D 00 CE 39 0A 48 6E 01 21 48 49 01 00 00 E9 AC ?? ?? ?? 0? 0B 28 68 00 01 00 63 24 21 70 00 01 ?? ?? ?? 0? 00 00 68 80 90 FF 40 16 00 00 00 00 10 00 A0 A3 ?? ?? ?? 0? 01 00 12 24 ?? ?? ?? 0? 21 40 00 00 }
	condition:
		$1
}

rule file_710_0_4 {
	meta:
		name = "_WGetfld"
		size = 1024
		refs = "0208 _WGetfloat 0220 _WGetint 0238 _WGetstr 03f0 _Fail_s"
	strings:
		$1 = { 0C 00 82 8C E8 FF BD 27 10 00 B0 AF 14 00 BF AF 25 00 80 A0 00 00 42 8C DB FF 42 24 54 00 43 2C 06 00 60 14 21 80 80 00 21 10 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? 03 3C 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 10 00 83 8C 00 00 82 8C 04 00 84 8C 01 00 63 24 10 00 03 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 28 40 00 25 00 03 24 96 FF A3 10 01 00 02 24 FF FF 02 24 7E 00 A2 50 10 00 03 8E 10 00 02 8E 00 00 03 8E 04 00 04 8E FF FF 42 24 10 00 02 AE 09 F8 60 00 21 30 00 00 ?? ?? ?? 0? 21 10 00 00 ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? FF FF 05 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 24 00 83 80 6F FF 60 14 01 00 02 24 20 00 82 8C 9E FF 42 24 19 00 43 2C 10 00 60 14 ?? ?? 03 3C 08 00 02 8E 00 00 43 8C 04 00 42 24 54 00 60 10 08 00 02 AE 10 00 04 8E 01 00 02 24 ?? ?? ?? 0? 00 00 64 AC ?? ?? ?? 0? 01 00 05 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 82 8C 00 00 43 8C 04 00 42 24 26 00 60 10 08 00 82 AC 10 00 84 8C 01 00 02 24 ?? ?? ?? 0? 00 00 64 AC 08 00 82 8C 00 00 43 8C 04 00 42 24 1D 00 60 10 08 00 82 AC 10 00 84 8C 01 00 02 24 C3 2F 04 00 00 00 64 AC ?? ?? ?? 0? 04 00 65 AC 08 00 82 8C 00 00 43 8C 04 00 42 24 12 00 60 10 08 00 82 AC 10 00 84 8C 01 00 02 24 ?? ?? ?? 0? 00 00 64 A4 08 00 82 8C 00 00 43 8C 04 00 42 24 09 00 60 10 08 00 82 AC 10 00 84 8C 01 00 02 24 ?? ?? ?? 0? 00 00 64 A0 FF FF 02 24 FF FF 63 24 ?? ?? ?? 0? 10 00 03 AE ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? 27 10 02 00 }
	condition:
		$1
}

rule file_711_0_4 {
	meta:
		name = "_Getctyptab"
		size = 360
		refs = "000c calloc 0018 _Ctype"
	strings:
		$1 = { E8 FF BD 27 00 01 04 24 14 00 BF AF ?? ?? ?? 0? 02 00 05 24 4F 00 40 10 ?? ?? 03 3C ?? ?? 6A 8C 21 20 00 00 40 30 04 00 21 30 46 01 00 00 C5 94 21 18 40 00 20 00 09 24 80 00 A7 30 04 00 0B 24 1B 00 E0 10 00 01 08 24 00 00 65 94 80 00 A5 34 00 00 65 A4 1E 00 89 50 00 00 6B A4 00 00 C5 94 44 01 A7 30 1C 00 E0 10 04 04 A7 30 00 00 65 94 40 00 A5 34 00 00 65 A4 00 00 C5 94 01 00 A5 30 04 00 A0 10 01 00 84 24 00 00 65 94 01 00 A5 34 00 00 65 A4 31 00 88 10 40 30 04 00 21 30 46 01 00 00 C5 94 80 00 A7 30 E7 FF E0 14 02 00 63 24 20 00 A7 30 0F 00 E0 50 10 00 A7 30 00 00 65 94 20 00 A5 34 E5 FF 89 14 00 00 65 A4 00 00 6B A4 ?? ?? ?? 0? 00 00 C5 94 E9 FF E0 50 01 00 A5 30 00 00 65 94 00 04 A5 34 00 00 65 A4 ?? ?? ?? 0? 00 00 C5 94 05 00 E0 10 08 00 A7 30 00 00 65 94 10 00 A5 34 ?? ?? ?? 0? 00 00 65 A4 05 00 E0 10 02 00 A7 30 00 00 65 94 08 00 A5 34 ?? ?? ?? 0? 00 00 65 A4 05 00 E0 10 32 02 A5 30 00 00 65 94 02 00 A5 34 ?? ?? ?? 0? 00 00 65 A4 C5 FF A0 10 00 00 00 00 00 00 65 94 00 02 A5 34 ?? ?? ?? 0? 00 00 65 A4 ?? ?? 02 3C ?? ?? 42 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_712_2_4 {
	meta:
		name = "_Getcloc"
		size = 500
		refs = "001c _Clocale 003c _Getpcostate 007c _Getpwcostate 00b8 _Ctype 00c0 _Tolotab 00c8 _Touptab 00d8 _Getpmbstate 0114 _Getpwcstate 0150 _Getpwctrtab 0158 _Getpwctytab 0160 _Getmbcurmax 0168 localeconv 01a4 _Getptimes"
	strings:
		$1 = { E0 FF BD 27 18 00 B1 AF ?? ?? 11 3C ?? ?? 22 82 1C 00 BF AF 09 00 40 10 14 00 B0 AF ?? ?? 10 3C ?? ?? 10 26 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 10 26 08 00 03 26 40 00 44 24 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 ?? ?? ?? 0? 00 00 00 00 40 00 44 24 48 00 03 26 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 02 3C ?? ?? 43 8C ?? ?? 02 3C ?? ?? 42 8C 88 00 04 AE 8C 00 03 AE ?? ?? ?? 0? 90 00 02 AE 40 00 44 24 98 00 03 26 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 ?? ?? ?? 0? 00 00 00 00 40 00 44 24 D8 00 03 26 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 18 01 02 AE ?? ?? ?? 0? 1C 01 02 AE ?? ?? ?? 0? 94 00 02 A2 50 00 44 24 20 01 03 26 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 ?? ?? ?? 0? 00 00 00 00 50 00 44 24 70 01 03 26 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 45 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 65 AC F6 FF 44 14 10 00 63 24 00 00 42 8C 02 00 04 24 ?? ?? 24 A2 ?? ?? ?? 0? 00 00 62 AC }
	condition:
		$1
}

rule file_712_3_4 {
	meta:
		name = "_Getnloc"
		size = 464
		refs = "0080 strcmp 00ec _Getloc 0170 _Defloc"
	strings:
		$1 = { C0 FF BD 27 28 00 B4 AF 3F 00 B4 30 34 00 B7 AF 24 00 B3 AF 1C 00 B1 AF 3C 00 BF AF 38 00 BE AF 30 00 B6 AF 2C 00 B5 AF 20 00 B2 AF 18 00 B0 AF 21 98 A0 00 21 88 80 00 0E 00 85 12 FF FF 17 24 3C 00 BF 8F 21 10 E0 02 38 00 BE 8F 34 00 B7 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 05 3C 21 20 C0 00 ?? ?? A5 24 ?? ?? ?? 0? 14 00 A6 AF 03 00 40 14 14 00 A6 8F ?? ?? 06 3C ?? ?? C6 24 ?? ?? 1E 3C ?? ?? 12 3C 21 B0 20 02 ?? ?? DE 27 01 00 15 24 21 B8 00 00 01 00 03 24 ?? ?? 52 26 07 00 10 24 04 20 A3 02 43 20 04 00 24 20 94 00 11 00 80 10 01 00 B5 26 00 00 C5 80 25 00 A0 10 21 10 C0 00 30 00 40 10 21 28 40 00 00 00 C4 8F 10 00 A3 AF ?? ?? ?? 0? 14 00 A6 AF 10 00 A3 8F 29 00 40 10 14 00 A6 8F 04 00 C4 8E 04 00 C2 AE 26 10 82 00 0B B8 62 00 04 00 D6 26 E9 FF B0 16 04 00 DE 27 3F 00 02 24 C8 FF 62 16 3C 00 BF 8F 00 00 C2 80 15 00 40 10 00 00 00 00 C4 FF C0 10 21 10 E0 02 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 21 28 C0 00 BD FF 40 10 3C 00 BF 8F 00 00 23 8E BB FF 62 50 21 10 E0 02 00 00 22 AE ?? ?? ?? 0? 01 00 17 24 10 00 A3 AF ?? ?? ?? 0? 14 00 A6 AF 14 00 A6 8F ?? ?? ?? 0? 10 00 A3 8F ?? ?? ?? 0? 3F 00 04 24 21 30 40 00 EB FF C0 54 ?? ?? 04 3C ?? ?? ?? 0? 3C 00 BF 8F 00 00 C2 80 08 00 40 14 21 28 40 02 00 00 C4 8F 10 00 A3 AF ?? ?? ?? 0? 14 00 A6 AF 14 00 A6 8F ?? ?? ?? 0? 10 00 A3 8F ?? ?? ?? 0? FF FF 17 24 }
	condition:
		$1
}

rule file_712_4_4 {
	meta:
		name = "_Getlname"
		size = 624
		refs = "009c strlen 00f0 free 0144 malloc 01b4 strcpy"
	strings:
		$1 = { B0 FF BD 27 28 00 B0 AF ?? ?? 10 3C ?? ?? 10 26 48 00 BE AF 44 00 B7 AF 40 00 B6 AF 3C 00 B5 AF 38 00 B4 AF 34 00 B3 AF 30 00 B2 AF 2C 00 B1 AF 21 A8 A0 00 21 98 C0 00 4C 00 BF AF 21 B0 80 00 21 90 80 00 21 F0 00 02 21 B8 80 00 01 00 14 24 21 30 00 00 21 38 00 00 21 88 00 00 01 00 05 24 07 00 03 24 04 10 85 02 43 10 02 00 24 10 55 00 1A 00 40 50 01 00 94 26 04 00 E4 8E 00 00 C2 8E 15 00 82 50 01 00 11 24 00 00 C4 8F 01 00 C6 24 20 00 A3 AF 14 00 A5 AF 1C 00 A6 AF ?? ?? ?? 0? 18 00 A7 AF 21 40 40 00 04 00 E2 8E 00 00 44 8C ?? ?? ?? 0? 10 00 A8 AF 18 00 A7 8F 10 00 A8 8F 20 00 A3 8F 01 00 E7 24 14 00 A5 8F 1C 00 A6 8F 21 38 E8 00 21 38 E2 00 01 00 94 26 04 00 F7 26 E0 FF 83 16 04 00 DE 27 14 00 C0 14 00 00 00 00 ?? ?? ?? 0? 00 00 64 8E 00 00 60 AE 03 00 20 12 21 10 00 00 00 00 C2 8E 00 00 42 8C 4C 00 BF 8F 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 3C 00 20 16 FF FF E4 24 ?? ?? ?? 0? 01 00 84 24 21 F0 40 00 EE FF C0 13 21 10 00 00 ?? ?? ?? 0? 00 00 64 8E 3A 00 20 16 00 00 7E AE 01 00 17 24 01 00 06 24 3B 00 14 24 07 00 03 24 04 10 E6 02 43 10 02 00 24 10 55 00 1A 00 40 10 01 00 F7 26 04 00 44 8E 00 00 C2 8E 17 00 82 50 04 00 52 26 03 00 20 12 00 00 05 8E 00 00 D4 A3 01 00 DE 27 21 20 C0 03 20 00 A3 AF ?? ?? ?? 0? 1C 00 A6 AF ?? ?? ?? 0? 21 20 40 00 04 00 45 8E 21 F0 C2 03 21 20 C0 03 00 00 A5 8C ?? ?? ?? 0? 01 00 11 24 ?? ?? ?? 0? 21 20 40 00 1C 00 A6 8F 20 00 A3 8F 21 F0 C2 03 04 00 52 26 E0 FF E3 16 04 00 10 26 4C 00 BF 8F 00 00 62 8E 48 00 BE 8F 44 00 B7 8F 40 00 B6 8F 3C 00 B5 8F 38 00 B4 8F 34 00 B3 8F 30 00 B2 8F 2C 00 B1 8F 28 00 B0 8F 08 00 E0 03 50 00 BD 27 00 00 C2 8E 00 00 44 8C ?? ?? ?? 0? 18 00 A7 AF 18 00 A7 8F ?? ?? ?? 0? 21 20 47 00 00 00 C2 8E 21 20 C0 03 01 00 11 24 ?? ?? ?? 0? 00 00 45 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 F0 C2 03 }
	condition:
		$1
}

rule file_712_5_4 {
	meta:
		name = "setlocale"
		size = 308
		refs = "006c _Getcloc 0080 _Getnloc 00ac _Getlname 00e8 _Setloc"
	strings:
		$1 = { B0 FF BD 27 21 30 A0 00 4C 00 BF AF 48 00 B4 AF 44 00 B3 AF 40 00 B2 AF 3C 00 B1 AF 38 00 B0 AF 41 00 C0 10 21 28 80 00 ?? ?? 02 3C ?? ?? 50 24 04 00 09 8E 08 00 08 8E 0C 00 07 8E 10 00 04 8E 14 00 03 8E ?? ?? 4A 8C 18 00 02 8E 14 00 A9 AF 10 00 AA AF 18 00 A8 AF 1C 00 A7 AF 20 00 A4 AF 24 00 A3 AF 30 00 A5 AF 34 00 A6 AF ?? ?? ?? 0? 28 00 A2 AF 30 00 A5 8F 34 00 A6 8F 10 00 A4 27 ?? ?? ?? 0? 21 88 00 00 1F 00 40 04 4C 00 BF 8F 26 00 40 50 ?? ?? 11 3C ?? ?? ?? 0? 00 00 00 00 ?? ?? 06 3C 10 00 A4 27 3F 00 05 24 ?? ?? ?? 0? ?? ?? C6 24 13 00 40 10 21 98 00 02 ?? ?? 11 3C ?? ?? 22 AE 10 00 B4 27 21 90 00 00 07 00 10 24 00 00 82 8E 00 00 63 8E 21 20 40 02 21 28 40 00 04 00 62 10 01 00 52 26 ?? ?? ?? 0? 00 00 00 00 00 00 62 AE 04 00 73 26 F5 FF 50 16 04 00 94 26 ?? ?? 31 8E 4C 00 BF 8F 21 10 20 02 48 00 B4 8F 44 00 B3 8F 40 00 B2 8F 3C 00 B1 8F 38 00 B0 8F 08 00 E0 03 50 00 BD 27 ?? ?? 11 3C ?? ?? ?? 0? ?? ?? 31 8E }
	condition:
		$1
}

rule file_714_0_4 {
	meta:
		name = "_Stollx"
		size = 452
		refs = "0020 _Ctype 0090 _Stoullx 0100 _Errno"
	strings:
		$1 = { D0 FF BD 27 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 18 00 B0 AF 2C 00 BF AF 1C 00 B1 AF 00 00 91 80 ?? ?? 02 3C ?? ?? 42 8C FF 00 23 32 40 18 03 00 21 18 43 00 00 00 63 94 10 00 B2 27 21 98 80 00 44 01 63 30 21 A0 E0 00 0B 90 A5 00 0A 00 60 10 21 80 80 00 01 00 10 26 00 00 11 82 FF 00 23 32 40 18 03 00 21 18 43 00 00 00 63 94 44 01 63 30 F9 FF 60 54 01 00 10 26 2D 00 02 24 2D 00 22 12 2B 00 02 24 2B 00 22 12 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 80 02 00 00 44 8E 2D 00 90 10 2B 00 11 24 2C 00 64 12 2B 00 04 24 2F 00 24 12 2D 00 04 24 0D 00 24 12 00 80 04 3C 21 20 40 00 21 28 60 00 2C 00 BF 8F 21 10 80 00 21 18 A0 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 01 00 85 24 2B 28 65 00 2A 00 A0 14 00 00 00 00 22 00 03 24 ?? ?? 02 3C 03 00 80 12 ?? ?? 43 AC 01 00 02 24 00 00 82 AE FF 7F 05 3C 2D 00 02 24 FF FF 04 24 E8 FF 22 16 FF FF A5 34 21 20 00 00 ?? ?? ?? 0? 00 80 05 3C 01 00 10 26 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 80 02 00 00 44 8E D5 FF 90 14 00 00 00 00 00 00 53 AE 25 20 43 00 E8 FF 80 54 22 00 03 24 ?? ?? ?? 0? 2B 00 04 24 21 20 40 00 E2 FF 60 04 21 28 60 00 2C 00 BF 8F 21 10 80 00 21 18 A0 00 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 04 00 64 54 23 10 02 00 D5 FF 40 54 22 00 03 24 23 10 02 00 2B 20 02 00 23 18 03 00 ?? ?? ?? 0? 23 18 64 00 }
	condition:
		$1
}

rule file_717_0_4 {
	meta:
		name = "ferror"
		size = 72
	strings:
		$1 = { F0 FF BD 27 0C 00 BE AF 21 F0 A0 03 10 00 C4 AF 00 00 C0 AF 10 00 C2 8F 05 00 40 10 00 00 00 00 10 00 C2 8F 00 00 42 94 00 02 42 30 00 00 C2 AF 00 00 C2 8F 21 E8 C0 03 0C 00 BE 8F 10 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_718_1_4 {
	meta:
		name = "wprintf_s"
		size = 108
		refs = "0024 _Stdout 0040 _WPrintf 005c _Fail_s"
	strings:
		$1 = { D8 FF BD 27 24 00 BF AF 21 10 80 00 2C 00 A5 AF 30 00 A6 AF 0F 00 80 10 34 00 A7 AF 2C 00 A3 27 ?? ?? 04 3C ?? ?? 05 3C 21 30 40 00 ?? ?? 84 24 01 00 02 24 ?? ?? A5 24 21 38 60 00 18 00 A3 AF ?? ?? ?? 0? 10 00 A2 AF 24 00 BF 8F 08 00 E0 03 28 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 18 00 05 24 ?? ?? ?? 0? FF FF 02 24 }
	condition:
		$1
}

rule file_719_0_4 {
	meta:
		name = "iswcntrl"
		size = 28
		refs = "0008 _Iswctype"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 03 00 05 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_720_0_4 {
	meta:
		name = "_Setloc"
		size = 1268
		refs = "0058 _Tls_setup__Ctype 0074 _Tls_setup__Tolotab 0080 _Ctype 0098 _Tls_setup__Touptab 00a4 _Tolotab 00bc _Tls_setup__Mbcurmax 00c8 _Touptab 00f4 _Tls_setup__Mbstate 00fc _Mbcurmax 0114 _Mbstate 0150 _Tls_setup__Wcstate 016c _Wcstate 01a4 _Tls_setup__Wctrans 01c0 _Tls_setup__Wctype 01cc _Wctrans 01e8 _Wctype 0210 _Tls_setup__Locale 0238 _Locale 0264 _Tls_setup__Costate 0280 _Costate 02bc _Tls_setup__WCostate 02d8 _WCostate 0490 _Tls_setup__Times 04ac _Times"
	strings:
		$1 = { D0 FF BD 27 07 00 82 2C 2C 00 BF AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF 75 00 40 10 1C 00 B0 AF ?? ?? 02 3C ?? ?? 42 24 80 20 04 00 21 20 44 00 00 00 82 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 ?? ?? 02 3C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F ?? ?? 02 3C 88 00 A4 8C ?? ?? 42 8C ?? ?? 03 3C 04 00 40 10 ?? ?? 64 AC 09 F8 40 00 10 00 A5 AF 10 00 A5 8F ?? ?? 02 3C 8C 00 A4 8C ?? ?? 42 8C ?? ?? 03 3C 04 00 40 10 ?? ?? 64 AC 09 F8 40 00 10 00 A5 AF 10 00 A5 8F ?? ?? 02 3C 90 00 A4 8C ?? ?? 42 8C ?? ?? 03 3C 04 00 40 10 ?? ?? 64 AC 09 F8 40 00 10 00 A5 AF 10 00 A5 8F 94 00 A2 90 20 1C 02 7C 09 00 63 28 01 00 60 50 08 00 02 24 ?? ?? 03 3C ?? ?? 63 8C ?? ?? 04 3C 04 00 60 10 ?? ?? 82 A0 09 F8 60 00 10 00 A5 AF 10 00 A5 8F ?? ?? 03 3C 98 00 A2 24 ?? ?? 63 24 D8 00 B0 24 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 44 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 64 AC F6 FF 50 14 10 00 63 24 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 ?? ?? 02 3C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F ?? ?? 02 3C ?? ?? 42 24 18 01 A3 24 00 00 08 8E 04 00 07 8E 08 00 06 8E 0C 00 04 8E 10 00 10 26 00 00 48 AC 04 00 47 AC 08 00 46 AC 0C 00 44 AC F6 FF 03 16 10 00 42 24 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 ?? ?? 02 3C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F ?? ?? 02 3C 18 01 A4 8C ?? ?? 42 8C ?? ?? 03 3C 04 00 40 10 ?? ?? 64 AC 09 F8 40 00 10 00 A5 AF 10 00 A5 8F 1C 01 A3 8C ?? ?? 02 3C ?? ?? 43 AC 2C 00 BF 8F 21 10 A0 00 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 68 01 A4 8C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F 68 01 A4 8C 6C 01 A3 8C 2C 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 48 00 44 AC 4C 00 43 AC 28 00 B3 8F 21 10 A0 00 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 ?? ?? 03 3C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F ?? ?? 03 3C 08 00 A2 24 ?? ?? 63 24 48 00 B0 24 00 00 48 8C 04 00 47 8C 08 00 46 8C 0C 00 44 8C 10 00 42 24 00 00 68 AC 04 00 67 AC 08 00 66 AC 0C 00 64 AC F6 FF 50 14 10 00 63 24 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 ?? ?? 02 3C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F ?? ?? 02 3C ?? ?? 42 24 88 00 A3 24 00 00 08 8E 04 00 07 8E 08 00 06 8E 0C 00 04 8E 10 00 10 26 00 00 48 AC 04 00 47 AC 08 00 46 AC 0C 00 44 AC F6 FF 03 16 10 00 42 24 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 20 01 B3 8C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F 20 01 B3 8C 24 01 B2 8C 28 01 B1 8C 2C 01 B0 8C 43 01 A7 90 44 01 A6 90 30 01 B9 8C 34 01 B8 8C 38 01 AF 8C 3C 01 AE 90 3D 01 AD 90 3E 01 AC 90 3F 01 AB 90 40 01 AA 90 41 01 A9 90 42 01 A8 90 45 01 A4 90 ?? ?? 03 3C ?? ?? 62 24 ?? ?? 73 AC 04 00 52 AC 08 00 51 AC 0C 00 50 AC 23 00 47 A0 24 00 46 A0 10 00 59 AC 14 00 58 AC 18 00 4F AC 1C 00 4E A0 1D 00 4D A0 1E 00 4C A0 1F 00 4B A0 20 00 4A A0 21 00 49 A0 22 00 48 A0 25 00 44 A0 46 01 A7 90 47 01 A6 90 48 01 A4 90 49 01 A3 90 26 00 47 A0 27 00 46 A0 28 00 44 A0 29 00 43 A0 2C 00 BF 8F 21 10 A0 00 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 4C 01 A3 8C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F 4C 01 A3 8C 00 00 62 80 03 00 40 14 50 01 AA 8C ?? ?? 03 3C ?? ?? 63 24 54 01 A9 8C 58 01 A8 8C 5C 01 A7 8C 60 01 A6 8C 64 01 A4 8C 2C 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 2C 00 43 AC 30 00 4A AC 34 00 49 AC 38 00 48 AC 3C 00 47 AC 40 00 46 AC 44 00 44 AC 28 00 B3 8F 21 10 A0 00 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 50 ?? ?? 03 3C 09 F8 40 00 10 00 A5 AF 10 00 A5 8F ?? ?? 03 3C 70 01 A2 24 ?? ?? 63 24 C0 01 A4 24 00 00 49 8C 04 00 48 8C 08 00 47 8C 0C 00 46 8C 10 00 42 24 00 00 69 AC 04 00 68 AC 08 00 67 AC 0C 00 66 AC F6 FF 44 14 10 00 63 24 00 00 42 8C ?? ?? ?? 0? 00 00 62 AC }
	condition:
		$1
}

rule file_721_0_4 {
	meta:
		name = "fetestexcept"
		size = 68
		refs = "0020 fegetexceptflag"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 20 00 C4 AF 10 00 C2 27 21 20 40 00 20 00 C5 8F ?? ?? ?? 0? 00 00 00 00 10 00 C2 97 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_723_0_4 {
	meta:
		name = "strcmp"
		size = 100
	strings:
		$1 = { 00 00 82 80 00 00 A3 80 0E 00 62 54 00 00 A3 90 05 00 60 14 21 10 00 00 ?? ?? ?? 0? 00 00 00 00 0E 00 40 10 21 10 00 00 01 00 84 24 01 00 A5 24 00 00 A2 80 00 00 83 80 F9 FF 43 10 00 00 00 00 00 00 A3 90 00 00 84 90 FF FF 02 24 2B 20 83 00 01 00 03 24 08 00 E0 03 0A 10 64 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_724_0_4 {
	meta:
		name = "getopt"
		size = 616
		refs = "0008 optind 001c optopt 0044 optarg 0094 opterr 0168 _Stderr 017c fprintf 0220 strcmp"
	strings:
		$1 = { C8 FF BD 27 18 00 B0 AF ?? ?? 10 3C ?? ?? 02 8E 28 00 B4 AF 24 00 B3 AF ?? ?? 14 3C ?? ?? 13 3C 2A 18 44 00 30 00 B6 AF 2C 00 B5 AF 1C 00 B1 AF 34 00 BF AF 20 00 B2 AF 21 A8 80 00 21 B0 A0 00 ?? ?? 60 AE ?? ?? 80 AE 22 00 60 10 FF FF 11 24 ?? ?? 12 3C ?? ?? 47 8E 66 00 E0 10 80 10 02 00 00 00 C3 80 0B 00 60 10 00 00 E2 80 21 20 C0 00 3A 00 05 24 04 00 65 50 01 00 84 24 20 00 43 50 01 00 83 80 01 00 84 24 00 00 83 80 F9 FF 60 14 00 00 00 00 ?? ?? 03 3C ?? ?? 63 8C ?? ?? 62 AE 2D 00 60 14 3F 00 11 24 0A 00 E0 10 01 00 E2 24 ?? ?? 42 AE 01 00 E2 80 07 00 40 14 34 00 BF 8F ?? ?? 02 8E ?? ?? 03 3C ?? ?? 60 AC 01 00 42 24 ?? ?? 02 AE 34 00 BF 8F 21 10 20 02 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 3A 00 04 24 E8 FF 64 14 21 88 40 00 01 00 E7 24 ?? ?? 47 AE 00 00 E4 80 1C 00 80 14 ?? ?? 05 3C ?? ?? 08 8E 01 00 04 25 2A A8 95 00 1E 00 A0 12 ?? ?? 04 AE 80 20 04 00 21 B0 C4 02 00 00 C3 8E 02 00 08 25 ?? ?? 04 3C ?? ?? 88 AC ?? ?? 83 AE ?? ?? ?? 0? ?? ?? A0 AC 00 00 C4 80 3A 00 03 24 D1 FF 83 10 00 00 00 00 ?? ?? 04 3C ?? ?? 05 3C 21 30 20 02 ?? ?? 84 24 ?? ?? A5 24 ?? ?? ?? 0? 0B 30 42 00 ?? ?? ?? 0? ?? ?? 47 8E ?? ?? 03 8E ?? ?? 87 AE ?? ?? A0 AC 01 00 63 24 ?? ?? 03 AE ?? ?? ?? 0? 21 88 40 00 ?? ?? 62 AE 00 00 C4 80 ?? ?? 05 3C ?? ?? A5 8C 3A 00 91 38 3F 00 06 24 0A 30 71 00 B8 FF A0 10 21 88 C0 00 B6 FF 83 10 00 00 00 00 ?? ?? 04 3C ?? ?? 05 3C ?? ?? 84 24 ?? ?? A5 24 ?? ?? ?? 0? 21 30 40 00 ?? ?? ?? 0? ?? ?? 47 8E 21 10 A2 00 00 00 44 8C 2D 00 02 24 00 00 83 80 B4 FF 62 14 34 00 BF 8F 01 00 82 80 B2 FF 40 10 21 10 20 02 ?? ?? 05 3C ?? ?? A5 24 ?? ?? ?? 0? 10 00 A6 AF 0B 00 40 10 10 00 A6 8F ?? ?? 47 8E 8B FF E0 54 00 00 C3 80 ?? ?? 02 8E 80 10 02 00 21 10 C2 02 00 00 47 8C 01 00 E7 24 ?? ?? ?? 0? ?? ?? 47 AE ?? ?? 02 8E 01 00 42 24 ?? ?? ?? 0? ?? ?? 02 AE }
	condition:
		$1
}

rule file_727_0_4 {
	meta:
		name = "_WStoflt"
		size = 952
		refs = "00a4 _Iswctype 00d4 localeconv 00e0 _Btowc"
	strings:
		$1 = { 88 FF BD 27 88 00 A3 8F 09 00 02 24 60 00 B4 AF 02 18 62 70 00 00 A2 8C 50 00 B0 AF 21 A0 80 00 2D 00 10 24 70 00 BE AF 6C 00 B7 AF 5C 00 B3 AF 54 00 B1 AF 74 00 BF AF 68 00 B6 AF 64 00 B5 AF 58 00 B2 AF 21 B8 A0 00 21 F0 E0 00 21 98 C0 00 00 00 E0 AC 2E 00 64 28 0B 80 64 00 30 00 03 24 04 00 E0 AC 06 00 43 14 21 88 00 00 04 00 F7 26 00 00 E2 8E FE FF 43 50 04 00 F7 26 01 00 11 24 ?? ?? ?? 0? 21 90 00 00 01 00 52 26 D0 FF 42 24 00 00 82 A0 04 00 F7 26 00 00 E2 8E 01 00 11 24 21 20 40 00 ?? ?? ?? 0? 04 00 05 24 10 00 A5 27 2A 18 12 02 07 00 40 10 21 20 B2 00 F2 FF 60 50 00 00 E2 8E 00 00 C2 8F 01 00 42 24 ?? ?? ?? 0? 00 00 C2 AF ?? ?? ?? 0? 00 00 F5 8E 2C 00 42 8C ?? ?? ?? 0? 00 00 44 80 26 10 A2 02 04 00 E3 26 74 00 40 12 0A B8 62 00 ?? ?? ?? 0? 00 00 E4 8E 09 00 60 54 04 00 F7 26 00 00 E3 8E 00 00 C2 8F 01 00 52 26 D0 FF 63 24 FF FF 42 24 00 00 83 A0 00 00 C2 AF 04 00 F7 26 00 00 E4 8E 01 00 11 24 ?? ?? ?? 0? 04 00 05 24 10 00 AA 27 2A 18 12 02 EF FF 40 14 21 20 52 01 2A 10 12 02 0E 00 40 10 21 10 50 01 00 00 42 80 05 00 42 28 07 00 40 54 00 00 C2 8F FF FF 02 26 21 10 42 01 00 00 43 90 01 00 63 24 00 00 43 A0 00 00 C2 8F 21 90 00 02 01 00 42 24 00 00 C2 AF 86 00 40 1A 10 00 A3 27 21 10 72 00 FF FF 42 80 0E 00 40 14 00 00 00 00 ?? ?? ?? 0? 00 00 C2 8F FF FF 63 80 09 00 60 54 00 00 C2 AF FF FF 52 26 10 00 A4 27 21 18 92 00 F9 FF 40 16 01 00 42 24 00 00 C2 AF 01 00 12 24 10 00 A0 A3 2B 00 20 12 21 18 00 00 09 00 03 24 1A 00 43 02 F4 01 60 00 10 20 00 00 23 20 64 00 1A 00 83 00 F4 01 60 00 10 18 00 00 1B 00 40 1A 2B 18 03 00 10 00 A2 27 21 90 52 00 09 00 05 24 ?? ?? ?? 0? 0A 00 09 24 00 00 47 80 01 00 63 24 80 30 03 00 21 30 C6 03 01 00 42 24 0F 00 52 10 00 00 C7 AC 01 00 84 24 1A 00 85 00 F4 01 A0 00 80 30 03 00 10 38 00 00 F3 FF E0 10 21 30 C6 03 00 00 C8 8C 00 00 47 80 01 00 42 24 02 50 09 71 21 38 47 01 F3 FF 52 14 00 00 C7 AC 00 00 E2 8E 65 00 04 24 1F 00 44 10 45 00 04 24 1E 00 44 50 04 00 E4 8E 02 00 60 12 0A B8 91 02 00 00 77 AE 74 00 BF 8F 21 10 60 00 70 00 BE 8F 6C 00 B7 8F 68 00 B6 8F 64 00 B5 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 78 00 BD 27 00 00 E4 8E 30 00 02 24 98 FF 82 14 30 00 03 24 00 00 C2 8F 04 00 F7 26 00 00 E4 8E FD FF 83 10 FF FF 42 24 00 00 C2 AF ?? ?? ?? 0? 01 00 11 24 04 00 E4 8E 2B 00 02 24 25 00 82 10 04 00 E6 26 2D 00 02 24 22 00 82 10 2B 00 16 24 F5 05 10 3C 21 38 00 00 21 90 00 00 00 E1 10 36 ?? ?? ?? 0? 0A 00 15 24 06 00 80 50 04 00 C4 8C 02 20 F5 70 00 00 C2 8C D0 FF 42 24 21 38 82 00 04 00 C4 8C 01 00 12 24 04 00 C6 24 04 00 05 24 44 00 A3 AF 40 00 A6 AF ?? ?? ?? 0? 48 00 A7 AF 48 00 A7 8F 44 00 A3 8F 40 00 A6 8F EE FF 40 14 2A 20 F0 00 00 00 C2 8F 23 20 07 00 2D 00 D6 3A 0A 38 96 00 21 38 47 00 00 00 C7 AF ?? ?? ?? 0? 0B B8 D2 00 04 00 C6 24 21 B0 80 00 ?? ?? ?? 0? 00 00 C4 8C 8B FF 40 16 00 00 00 00 10 00 A0 A3 ?? ?? ?? 0? 01 00 12 24 }
	condition:
		$1
}

rule file_728_0_4 {
	meta:
		name = "isspace"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 44 01 42 30 }
	condition:
		$1
}

rule file_729_0_4 {
	meta:
		name = "iscntrl"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 80 00 42 30 }
	condition:
		$1
}

rule file_731_0_4 {
	meta:
		name = "fdiml"
		size = 304
		refs = "002c _LDtest 0064 dpcmp 007c dpsub"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 14 00 B0 AF 24 00 BF AF 02 00 10 24 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 2C 00 A5 AF 30 00 A6 AF ?? ?? ?? 0? 34 00 A7 AF 1E 00 50 10 28 00 A5 8F ?? ?? ?? 0? 30 00 A4 27 24 00 50 10 28 00 B2 8F 2C 00 B3 8F 30 00 B0 8F 34 00 B1 8F 21 20 40 02 21 28 60 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 25 00 40 18 21 20 40 02 21 28 60 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 2C 00 A4 8F 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 30 00 A5 8F 34 00 A4 8F 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 21 28 00 00 21 20 00 00 21 10 A0 00 21 18 80 00 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_732_0_4 {
	meta:
		name = "setbuf"
		size = 36
		refs = "0010 setvbuf"
	strings:
		$1 = { 02 00 06 24 E8 FF BD 27 0B 30 05 00 14 00 BF AF ?? ?? ?? 0? 20 00 07 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_733_0_4 {
	meta:
		name = "memmove"
		size = 112
	strings:
		$1 = { 2B 18 A4 00 21 10 80 00 21 38 80 00 0F 00 60 10 21 20 A0 00 21 40 A6 00 2B 18 48 00 0B 00 60 10 00 00 00 00 07 00 C0 10 21 18 46 00 23 30 66 00 FF FF 08 25 00 00 04 91 FF FF 63 24 FC FF 66 14 00 00 64 A0 08 00 E0 03 00 00 00 00 FD FF C0 10 21 28 A6 00 00 00 83 90 01 00 84 24 00 00 E3 A0 FC FF 85 14 01 00 E7 24 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_734_0_4 {
	meta:
		name = "log1pf"
		size = 312
		refs = "0018 _FDtest 0048 fpcmp 006c fpadd 007c _FLog 008c fpsub 00a4 fpdiv 00f4 _Feraise 00fc _FInf 012c _FNan"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 2A 00 43 10 02 00 03 24 2B 00 43 50 20 00 A2 8F 29 00 40 10 20 00 A2 8F 20 00 B0 8F ?? ?? 11 3C ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 34 00 40 04 ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 24 00 40 10 ?? ?? 11 3C ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 ?? ?? 25 8E 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 20 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 22 00 A2 87 D9 FF 40 04 20 00 A2 8F 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 43 8C 1C 00 BF 8F 00 80 02 3C 26 10 62 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C }
	condition:
		$1
}

rule file_735_0_4 {
	meta:
		name = "strcpy_s"
		size = 224
		refs = "0030 strlen 00a4 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 1C 00 BF AF 23 00 80 10 21 80 80 00 22 00 A0 10 ?? ?? 04 3C 21 00 A0 04 ?? ?? 84 24 25 00 C0 10 21 20 C0 00 10 00 A5 AF ?? ?? ?? 0? 14 00 A6 AF 10 00 A5 8F 2B 18 45 00 1E 00 60 10 14 00 A6 8F 21 38 C2 00 2B 18 07 02 04 00 60 10 21 28 05 02 2B 28 C5 00 18 00 A0 14 ?? ?? 04 3C 07 00 40 10 21 18 00 02 00 00 C4 90 01 00 C6 24 00 00 64 A0 FC FF C7 14 01 00 63 24 21 80 02 02 00 00 00 A2 1C 00 BF 8F 21 10 00 00 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 23 00 05 24 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C 00 00 00 A2 ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_736_0_4 {
	meta:
		name = "logbl"
		size = 180
		refs = "0014 _LDunscale 0040 litodp 005c _Feraise 0068 _LInf"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 24 00 A5 AF 10 00 A4 27 1C 00 BF AF ?? ?? ?? 0? 20 00 A5 27 01 00 03 24 1E 00 43 10 ?? ?? 03 3C 02 00 03 24 16 00 43 10 24 00 A4 8F 09 00 40 10 10 00 A4 97 FF FF 84 24 ?? ?? ?? 0? 20 26 04 7C 1C 00 BF 8F 21 20 60 00 21 18 80 00 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 44 8C 1C 00 BF 8F 00 80 03 3C 26 20 83 00 ?? ?? 42 8C 21 18 80 00 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 20 00 A2 8F 21 18 80 00 08 00 E0 03 20 00 BD 27 ?? ?? 64 8C 1C 00 BF 8F ?? ?? 62 8C 20 00 BD 27 08 00 E0 03 21 18 80 00 }
	condition:
		$1
}

rule file_737_0_4 {
	meta:
		name = "_Mbtowcx"
		size = 592
		refs = "00e8 _Errno"
	strings:
		$1 = { 10 00 A2 8F 06 00 E8 80 21 50 A0 00 00 00 43 8C 48 00 60 10 00 00 E9 8C 73 00 A0 50 00 00 E0 AC 6D 00 C0 10 10 00 03 29 2F 00 60 10 80 40 08 00 21 40 48 00 00 00 03 8D 2C 00 60 50 ?? ?? 02 3C 00 00 AC 90 40 40 0C 00 21 18 68 00 00 00 63 94 25 00 60 10 01 00 0B 24 20 6E 03 7C 27 00 A0 05 00 1A 68 7C 00 10 6D 30 05 00 A0 11 00 40 6D 30 00 6A 09 00 02 4E 09 00 25 48 2D 01 00 40 6D 30 06 00 A0 11 00 20 63 30 04 00 80 11 00 00 00 00 01 00 4A 25 FF FF C6 24 21 58 00 00 1A 00 60 14 00 00 00 00 4D 00 C0 50 00 00 E9 AC 80 40 08 00 21 40 48 00 00 00 03 8D 0C 00 60 50 ?? ?? 02 3C 01 00 6B 25 F0 0F 68 29 08 00 00 51 ?? ?? 02 3C 00 00 4C 91 40 40 0C 00 21 18 68 00 00 00 63 94 DE FF 60 14 20 6E 03 7C ?? ?? 02 3C 58 00 03 24 ?? ?? 43 AC 08 00 E0 03 FF FF 02 24 FF 00 6D 30 ?? ?? ?? 0? 04 38 A9 7D 01 00 80 54 00 00 89 AC 00 00 E9 AC 06 00 E8 A4 04 00 20 11 21 10 00 00 23 10 45 01 FD FF 03 24 0A 10 62 00 08 00 E0 03 00 00 00 00 43 00 A0 50 00 00 E0 AC 26 00 C0 10 80 00 0B 24 C0 00 0C 24 E0 00 0D 24 F0 00 0E 24 F8 00 0F 24 10 00 00 19 FC 00 18 24 00 00 42 91 C0 00 43 30 E0 FF 6B 14 FF FF 08 25 80 49 09 00 3F 00 42 30 25 48 22 01 20 44 08 7C 20 00 00 11 00 00 00 00 FF FF C6 24 14 00 C0 50 00 00 E9 AC F2 FF 00 1D 01 00 4A 25 00 00 49 91 20 14 09 7C F6 FF 41 04 E0 00 22 31 1D 00 4C 10 F0 00 22 31 1E 00 4D 10 F8 00 22 31 1F 00 4E 10 FC 00 22 31 0D 00 4F 50 03 00 29 31 C7 FF 58 14 05 00 08 24 ?? ?? ?? 0? 03 00 29 31 00 00 E9 AC 06 00 E8 A4 08 00 E0 03 FE FF 02 24 04 00 E0 AC 00 00 62 94 08 00 E0 03 00 0F 42 30 ?? ?? ?? 0? 04 00 08 24 01 00 80 54 00 00 89 AC 06 00 E0 A4 C7 FF 20 11 21 10 00 00 01 00 42 25 08 00 E0 03 23 10 45 00 1F 00 29 31 ?? ?? ?? 0? 01 00 08 24 0F 00 29 31 ?? ?? ?? 0? 02 00 08 24 07 00 29 31 ?? ?? ?? 0? 03 00 08 24 04 00 E0 AC 08 00 E0 03 21 10 00 00 }
	condition:
		$1
}

rule file_738_0_4 {
	meta:
		name = "_WPutfld"
		size = 3040
		refs = "024c _Fail_s 02d8 fptodp 0338 _WLdtob 058c _WLitob 0a34 wmemchr 0ae8 _WPutstr 0b40 _Btowc 0b8c wcslen"
	strings:
		$1 = { DB FF C2 24 C0 FF BD 27 54 00 43 2C 34 00 B4 AF 3C 00 BF AF 38 00 B5 AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 18 00 60 14 21 A0 80 00 14 00 83 8E 25 00 08 24 21 10 00 00 80 28 03 00 21 28 E5 00 01 00 64 24 00 00 A8 AC 06 00 C0 10 14 00 84 AE 80 20 04 00 21 38 E4 00 02 00 63 24 00 00 E6 AC 14 00 83 AE 3C 00 BF 8F 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 03 3C 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 00 83 8C 6C 00 02 24 F8 01 62 10 2C 00 87 8C 0E 00 E0 04 21 18 E0 00 00 00 A8 8C FF FF 06 24 21 20 00 01 FF FF 63 24 00 00 82 8C FD FF 66 14 04 00 84 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 29 02 40 14 2C 00 83 AE ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1B 00 05 24 ?? ?? ?? 0? 27 10 02 00 14 00 83 8C 3C 00 BF 8F 21 10 00 00 80 20 03 00 21 38 E4 00 01 00 63 24 25 00 04 24 00 00 E4 AC 38 00 B5 8F 14 00 83 AE 30 00 B3 8F 34 00 B4 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 2C 00 95 8C 17 00 A2 06 06 00 82 86 40 00 92 8C 4C 00 11 24 F8 FF 13 24 FF FF 10 24 08 01 51 12 00 00 A2 8C 00 00 44 8C 04 00 42 24 00 00 A2 AC 10 00 A5 AF 14 00 A6 AF ?? ?? ?? 0? 18 00 A7 AF 18 00 A7 8F 14 00 A6 8F 10 00 A5 8F FF FF B5 26 00 00 82 AE F1 FF B0 16 04 00 83 AE 2C 00 95 AE 06 00 82 86 DC 01 42 04 14 00 82 8E 3C 00 82 96 02 00 43 30 1D 01 60 54 14 00 82 8E 01 00 42 30 E9 01 40 14 14 00 82 8E 80 10 02 00 21 38 E2 00 10 00 87 AE 21 20 80 02 ?? ?? ?? 0? 21 28 C0 00 3C 00 BF 8F 21 10 00 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 2C 00 82 8C 15 00 40 04 40 00 83 8C 6C 00 0A 24 71 00 0B 24 6A 00 0C 24 F8 FF 0D 24 DD 00 6A 50 00 00 A8 8C CD 00 6B 50 00 00 A4 8C CB 00 6C 50 00 00 A4 8C 00 00 A9 8C 21 20 00 00 00 00 28 8D 04 00 29 25 00 00 A9 AC FF FF 42 24 00 00 88 AE 04 00 84 AE F1 FF 41 04 2C 00 82 AE 68 00 02 24 82 01 62 10 62 00 02 24 B5 01 62 10 74 00 02 24 F3 00 62 10 7A 00 02 24 01 00 62 50 04 00 80 AE 3C 00 82 96 08 00 42 30 62 00 40 50 14 00 82 8E 00 00 82 8E 04 00 83 8E 25 10 43 00 5D 00 40 50 14 00 82 8E 78 00 02 24 EA 00 C2 50 14 00 82 8E 58 00 02 24 E7 00 C2 10 14 00 82 8E ?? ?? ?? 0? 80 10 02 00 40 00 83 8C 6C 00 02 24 B3 01 62 14 2C 00 88 8C 0E 00 00 05 21 20 00 00 00 00 A9 8C 21 10 00 01 FF FF 06 24 21 18 20 01 FF FF 42 24 00 00 64 8C 2C 00 82 AE FC FF 46 14 04 00 63 24 01 00 08 25 80 40 08 00 21 48 28 01 00 00 A9 AC 14 00 83 8E 3C 00 BF 8F 21 10 00 00 80 28 03 00 21 38 E5 00 01 00 63 24 00 00 E4 AC 38 00 B5 8F 14 00 83 AE 30 00 B3 8F 34 00 B4 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 2C 00 82 8C AE 01 42 04 00 00 84 8C 40 00 83 8C 6C 00 09 24 71 00 0A 24 6A 00 0B 24 F8 FF 0C 24 05 00 69 50 00 00 A8 8C 71 00 6A 10 00 00 A8 8C 6F 00 6B 10 00 00 00 00 00 00 04 8D 04 00 08 25 00 00 A8 AC C3 47 04 00 FF FF 42 24 00 00 84 AE 04 00 88 AE F2 FF 41 04 2C 00 82 AE 68 00 02 24 2A 01 62 50 20 26 04 7C 62 00 02 24 64 01 62 50 20 24 04 7C 74 00 02 24 9F 00 62 10 C3 17 04 00 7A 00 02 24 9C 00 62 10 C3 17 04 00 04 00 82 8E 44 01 42 04 14 00 82 8E 3C 00 82 96 02 00 43 30 11 01 60 10 01 00 42 30 14 00 82 8E 2B 00 04 24 80 18 02 00 21 18 E3 00 01 00 42 24 00 00 64 AC 14 00 82 AE 80 10 02 00 21 38 E2 00 10 00 87 AE 21 20 80 02 ?? ?? ?? 0? 21 28 C0 00 3C 00 BF 8F 21 10 00 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 44 00 82 80 34 01 40 54 ?? ?? 04 3C 40 00 82 8C 9E FF 42 24 19 00 43 2C 4E 00 60 14 ?? ?? 03 3C 2C 00 87 8E 6F 01 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 62 01 80 10 2C 00 82 AE 34 00 83 8E 21 10 00 00 ?? ?? ?? 0? 00 00 83 AC 2C 00 83 8C 53 01 60 04 FF FF 06 24 00 00 A2 8C 04 00 42 24 00 00 A2 AC FF FF 63 24 FC FF 66 14 FC FF 44 8C 21 40 80 00 2C 00 83 AE 21 48 00 00 14 00 82 8E 00 00 88 AE 04 00 89 AE 80 10 02 00 21 38 E2 00 21 20 80 02 10 00 87 AE ?? ?? ?? 0? 78 00 05 24 3C 00 BF 8F 21 10 00 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 07 00 08 25 24 40 0C 01 08 00 04 25 00 00 A4 AC 00 00 04 8D ?? ?? ?? 0? 04 00 08 8D 07 00 84 24 24 20 8D 00 08 00 88 24 00 00 A8 AC 00 00 88 8C ?? ?? ?? 0? 04 00 84 8C 07 00 42 24 24 10 53 00 08 00 43 24 00 00 A3 AC 04 00 43 8C ?? ?? ?? 0? 00 00 42 8C 21 20 00 00 04 00 09 25 00 00 A9 AC ?? ?? ?? 0? 00 00 08 8D 80 10 02 00 ?? ?? 63 24 21 10 62 00 00 00 42 8C 08 00 40 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2B 00 04 24 80 18 02 00 21 18 E3 00 01 00 42 24 00 00 64 AC ?? ?? ?? 0? 14 00 82 AE ?? ?? ?? 0? 04 00 80 AE 00 00 84 AE ?? ?? ?? 0? 04 00 82 AE 30 00 05 24 01 00 43 24 80 20 02 00 80 18 03 00 21 20 E4 00 21 18 E3 00 02 00 42 24 00 00 85 AC 00 00 66 AC ?? ?? ?? 0? 14 00 82 AE 2C 00 87 8C EC 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC DF 00 80 10 2C 00 82 AE 34 00 83 8E 21 10 00 00 ?? ?? ?? 0? 00 00 83 A4 2C 00 87 8C D8 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC CB 00 80 10 2C 00 82 AE 34 00 83 8E 21 10 00 00 ?? ?? ?? 0? 00 00 83 A0 2C 00 87 8C C4 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 ?? ?? ?? 0? 01 00 E7 24 2C 00 87 8C B8 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC AB 00 80 10 2C 00 82 AE 34 00 83 8E 21 10 00 00 C3 2F 03 00 00 00 83 AC ?? ?? ?? 0? 04 00 85 AC 2C 00 87 8C A2 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 ?? ?? ?? 0? 01 00 E7 24 2C 00 87 8C 96 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 ?? ?? ?? 0? 01 00 E7 24 2C 00 87 8C 8A 00 E0 04 FF FF 06 24 00 00 A8 8C 21 10 E0 00 21 18 00 01 FF FF 42 24 00 00 64 8C FD FF 46 14 04 00 63 24 ?? ?? ?? 0? 01 00 E7 24 F6 FE 40 10 14 00 82 8E 20 00 04 24 80 18 02 00 21 18 E3 00 01 00 42 24 00 00 64 AC ?? ?? ?? 0? 14 00 82 AE C3 17 04 00 00 00 84 AE ?? ?? ?? 0? 04 00 82 AE 00 00 82 96 04 00 80 AE ?? ?? ?? 0? 00 00 82 AE 77 00 E0 04 21 10 E0 00 00 00 A8 8C FF FF 06 24 21 18 00 01 00 00 64 8C FF FF 42 24 04 00 63 24 FC FF 46 14 10 00 84 AE 01 00 E7 24 80 38 07 00 21 40 07 01 00 00 A8 AC 2C 00 82 AE 6A 00 80 50 ?? ?? 04 3C 30 00 86 8E 57 00 C0 04 00 00 00 00 ?? ?? ?? 0? 21 28 00 00 5E 00 40 50 30 00 82 8E 10 00 83 8E 23 10 43 00 83 10 02 00 1C 00 82 AE ?? ?? ?? 0? 21 10 00 00 2D 00 04 24 80 18 02 00 21 18 E3 00 01 00 42 24 00 00 64 AC ?? ?? ?? 0? 14 00 82 AE 2D 00 04 24 80 18 02 00 21 18 E3 00 01 00 42 24 00 00 64 AC ?? ?? ?? 0? 14 00 82 AE ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? 27 10 02 00 00 00 82 92 04 00 80 AE ?? ?? ?? 0? 00 00 82 AE C3 17 04 00 00 00 84 AE ?? ?? ?? 0? 04 00 82 AE 20 00 04 24 80 18 02 00 21 18 E3 00 01 00 42 24 00 00 64 AC ?? ?? ?? 0? 14 00 82 AE 21 20 80 02 ?? ?? ?? 0? 21 28 40 00 00 00 42 28 FF FF 03 24 0A 18 02 00 ?? ?? ?? 0? 21 10 60 00 0E 00 00 05 21 20 00 00 00 00 A9 8C 21 10 00 01 FF FF 06 24 21 18 20 01 FF FF 42 24 00 00 64 8C 2C 00 82 AE FC FF 46 14 04 00 63 24 01 00 08 25 80 40 08 00 21 48 28 01 00 00 A9 AC ?? ?? ?? 0? 18 00 A7 AF 21 18 40 00 FF FF 02 24 45 FD 62 10 18 00 A7 8F 14 00 84 8E 21 10 00 00 80 28 04 00 21 38 E5 00 01 00 84 24 00 00 E3 AC ?? ?? ?? 0? 14 00 84 AE ?? ?? ?? 0? 40 00 83 8E 21 40 00 00 ?? ?? ?? 0? 21 48 00 00 ?? ?? ?? 0? 00 00 00 00 1C 00 82 AE ?? ?? ?? 0? 21 10 00 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 19 00 05 24 ?? ?? ?? 0? 27 10 02 00 1C 00 82 AE ?? ?? ?? 0? 21 10 00 00 ?? ?? ?? 0? 10 00 84 8C ?? ?? 84 24 ?? ?? ?? 0? 1C 00 05 24 ?? ?? ?? 0? 27 10 02 00 }
	condition:
		$1
}

rule file_739_0_4 {
	meta:
		name = "tmpnam"
		size = 176
		refs = "0038 strcpy 0040 strlen 0074 remove 0094 getpid"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF 1C 00 BF AF 18 00 B1 AF 24 00 80 10 21 80 80 00 ?? ?? 11 3C ?? ?? 22 96 1C 00 40 10 00 00 00 00 01 00 42 24 ?? ?? 05 3C ?? ?? A5 24 21 20 00 02 ?? ?? ?? 0? ?? ?? 22 A6 ?? ?? ?? 0? 21 20 00 02 07 00 42 24 21 10 02 02 00 00 40 A0 ?? ?? 23 96 F9 FF 45 24 07 00 64 30 FF FF 42 24 30 00 84 24 00 00 44 A0 FB FF 45 14 C2 18 03 00 ?? ?? ?? 0? 21 20 00 02 1C 00 BF 8F 21 10 00 02 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 80 11 02 00 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 10 26 }
	condition:
		$1
}

rule file_740_0_4 {
	meta:
		name = "_Sinh"
		size = 676
		refs = "0020 _Dtest 0068 fpmul 009c fpcmp 00bc _Rteps 0124 fpadd 017c fpsub 01a4 fpdiv 01d4 _Feraise 01dc _Nan 00e8 _Xbig 0254 _Exp"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 14 00 B0 AF 24 00 BF AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF ?? ?? ?? 0? 2C 00 A5 AF 21 80 40 00 ?? ?? ?? 0? 2C 00 A4 27 15 00 00 06 02 00 03 24 6A 00 03 12 24 00 BF 8F 02 00 03 24 6E 00 43 10 01 00 03 24 5E 00 03 12 00 00 00 00 03 00 00 16 28 00 A4 8F 5C 00 43 10 00 00 00 00 ?? ?? ?? 0? 2C 00 A5 8F 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 EE FF 41 04 28 00 B2 8F 21 28 00 00 21 80 00 00 ?? ?? ?? 0? 21 20 40 02 06 00 41 04 ?? ?? 02 3C 00 80 02 3C 26 90 52 00 28 00 B2 AF 01 00 10 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 55 00 40 04 2C 00 A5 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 53 00 41 04 ?? ?? 02 3C 21 20 40 02 ?? ?? ?? 0? 21 28 40 02 21 20 40 00 21 28 40 02 ?? ?? ?? 0? 21 88 40 00 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 2C 00 A5 8F ?? ?? ?? 0? 21 20 40 00 AE FF 00 12 24 00 BF 8F 00 80 03 3C ?? ?? ?? 0? 26 10 62 00 A6 FF 40 14 28 00 A4 8F ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C 28 00 A2 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 24 00 BF 8F 2C 00 A2 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 13 00 43 04 2C 00 A5 8F ?? ?? 02 3C ?? ?? 45 8C FF FF 06 24 ?? ?? ?? 0? 28 00 A4 27 28 00 B1 8F ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 2C 00 A5 8F ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 00 00 00 00 28 00 A4 27 ?? ?? ?? 0? FF FF 06 24 ?? ?? ?? 0? 28 00 A2 8F }
	condition:
		$1
}

rule file_742_0_4 {
	meta:
		name = "erfl"
		size = 1124
		refs = "0028 _LDtest 0060 dpcmp 007c _LErf_small 0098 _LErf_one 0168 _LErfc 0180 dpsub 01b8 dpmul 01f4 dpadd 03f8 dpdiv"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 14 00 B0 AF ?? ?? ?? 0? 34 00 A5 AF 01 00 03 24 3B 00 43 10 02 00 03 24 2D 00 43 10 30 00 B2 8F 2C 00 40 50 34 00 B0 8F 30 00 B2 8F 34 00 B3 8F 21 30 00 00 21 38 00 00 21 20 40 02 ?? ?? ?? 0? 21 28 60 02 F7 00 40 04 00 80 10 3C 21 88 00 00 21 80 60 02 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 46 00 40 04 ?? ?? 06 3C ?? ?? C7 8C ?? ?? C6 8C 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 2D 00 40 04 ?? ?? 02 3C ?? ?? 50 8C 21 90 00 00 0F 00 20 12 2C 00 BF 8F 00 80 02 3C 26 80 02 02 21 18 00 02 21 10 40 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 34 00 B0 8F 2C 00 BF 8F 21 10 40 02 21 18 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 36 00 A2 87 CA 00 40 04 ?? ?? 02 3C ?? ?? 50 8C 2C 00 BF 8F 21 90 00 00 21 10 40 02 21 18 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 21 20 40 02 ?? ?? ?? 0? 21 28 00 02 ?? ?? 04 3C ?? ?? 85 8C ?? ?? 84 8C 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 30 00 A4 8F 34 00 A5 8F 21 30 00 00 21 38 00 00 21 90 40 00 ?? ?? ?? 0? 21 80 60 00 ?? ?? ?? 0? C2 8F 02 00 21 30 40 02 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 02 21 88 60 00 21 80 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 20 02 ?? ?? ?? 0? 21 20 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 A8 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 00 02 21 38 20 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 2C 00 BF 8F 21 90 40 00 21 80 60 00 21 10 40 02 21 18 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 01 00 11 24 ?? ?? ?? 0? 26 80 70 02 ?? ?? 02 3C 21 90 00 00 ?? ?? ?? 0? ?? ?? 50 8C }
	condition:
		$1
}

rule file_743_0_4 {
	meta:
		name = "_CWcsxfrm"
		size = 428
	strings:
		$1 = { 10 00 A3 8F 00 00 62 8C 54 00 40 10 00 00 AA 8C 00 00 E9 8C 4B 00 20 15 06 00 E2 90 00 00 49 95 10 00 48 2C 5F 00 00 51 01 00 02 24 80 10 02 00 21 10 62 00 00 00 42 8C 5A 00 40 50 01 00 02 24 58 00 C0 50 01 00 02 24 FF 00 28 31 40 40 08 00 21 10 48 00 00 00 48 94 52 00 00 11 01 00 02 24 01 00 0B 24 21 10 00 00 20 76 08 7C FF 00 0D 31 00 00 CE 29 00 10 0C 31 00 1A 0F 7D 03 00 80 11 0B 48 AE 01 00 4A 09 00 00 FF 29 31 00 20 0D 31 09 00 A0 11 21 60 00 00 80 60 02 00 21 60 8C 00 00 00 89 AD 01 00 42 24 03 00 20 11 01 00 0C 24 2B 60 46 00 01 00 8C 2D 00 40 08 31 07 00 00 11 00 00 00 00 00 00 48 8D 20 00 00 11 21 48 00 00 04 00 4A 25 00 00 49 95 21 58 00 00 1C 00 80 55 00 00 AA AC 80 78 0F 00 21 78 6F 00 00 00 E8 8D 0C 00 00 11 2B 60 46 00 0B 00 80 51 80 18 02 00 01 00 6B 25 F0 0F 6C 29 06 00 80 11 FF 00 2C 31 40 60 0C 00 21 40 0C 01 00 00 08 95 D3 FF 00 55 20 76 08 7C 80 18 02 00 01 00 42 24 21 20 83 00 10 00 03 24 00 00 80 AC 00 00 AA AC 08 00 E0 03 06 00 E3 A4 ?? ?? ?? 0? FF FF 29 31 00 00 AA AC 06 00 EF A4 08 00 E0 03 00 00 E9 AC 0F 00 C0 50 00 00 AA AC 00 00 43 8D 01 00 02 24 07 00 60 14 00 00 83 AC 08 00 E0 03 00 00 AA AC 00 00 43 8D 01 00 42 24 04 00 60 10 00 00 83 AC 04 00 84 24 FA FF 46 14 04 00 4A 25 00 00 AA AC 08 00 E0 03 00 00 00 00 ?? ?? ?? 0? 21 18 00 00 }
	condition:
		$1
}

rule file_744_0_4 {
	meta:
		name = "_Putstr"
		size = 444
		refs = "003c _Getmbcurmax 00c0 _Puttxt 00e0 memcpy 0110 _Wctomb 012c free 019c malloc"
	strings:
		$1 = { 78 FF BD 27 60 00 B0 AF 30 00 90 8C 80 00 BE AF 7C 00 B7 AF 84 00 BF AF 78 00 B6 AF 74 00 B5 AF 70 00 B4 AF 6C 00 B3 AF 68 00 B2 AF 64 00 B1 AF 21 F0 80 00 56 00 00 06 21 B8 A0 00 ?? ?? ?? 0? 38 00 D1 8F 3C 00 C3 97 18 00 A0 AF 04 00 63 30 05 00 60 14 1C 00 A0 AF 21 98 51 00 41 00 62 2E 4E 00 40 10 00 00 00 00 20 00 B5 27 40 00 13 24 21 88 A0 02 3E 00 00 12 21 90 00 00 ?? ?? ?? 0? FF FF 14 24 00 00 E2 8E 04 00 40 14 2A 10 16 02 FF FF D6 26 22 00 D4 12 2A 10 16 02 32 00 40 14 00 00 00 00 14 00 C4 8F 21 10 C4 02 2B 10 62 02 0A 00 40 10 21 20 24 02 38 00 C0 AF 21 20 C0 03 ?? ?? ?? 0? 21 28 20 02 16 00 40 04 21 90 40 00 14 00 C0 AF 21 20 00 00 21 20 24 02 10 00 A5 27 ?? ?? ?? 0? 21 30 C0 02 14 00 C2 8F 21 10 56 00 14 00 C2 AF 00 00 E2 8E 1B 00 40 10 23 80 16 02 19 00 00 1A 04 00 F7 26 00 00 E5 8E 10 00 A4 27 ?? ?? ?? 0? 18 00 A6 27 DA FF 41 04 21 B0 40 00 FF FF 12 24 04 00 35 12 84 00 BF 8F ?? ?? ?? 0? 21 20 20 02 84 00 BF 8F 21 10 40 02 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 EE FF 40 16 00 00 00 00 21 20 C0 03 ?? ?? ?? 0? 21 28 20 02 E9 FF 40 14 21 90 40 00 38 00 C0 AF ?? ?? ?? 0? 14 00 C0 AF FF 7F 10 3C ?? ?? ?? 0? FF FF 10 36 ?? ?? ?? 0? 21 20 60 02 21 88 40 00 FF FF 12 24 B1 FF 40 14 20 00 B5 27 ?? ?? ?? 0? 84 00 BF 8F }
	condition:
		$1
}

rule file_745_0_4 {
	meta:
		name = "nearbyintl"
		size = 92
		refs = "0010 _LDtest 002c _LRint"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 18 00 A4 27 14 00 BF AF ?? ?? ?? 0? 1C 00 A5 AF 02 00 03 24 2B 10 62 00 09 00 40 10 1C 00 A4 8F 18 00 A4 8F ?? ?? ?? 0? 1C 00 A5 8F 14 00 BF 8F 21 20 60 00 21 18 80 00 08 00 E0 03 18 00 BD 27 14 00 BF 8F 18 00 A2 8F 21 18 80 00 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_746_0_4 {
	meta:
		name = "fputws"
		size = 128
		refs = "003c fputwc"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 21 90 80 00 00 00 84 8C 10 00 B0 AF 1C 00 BF AF 14 00 B1 AF 21 80 A0 00 0B 00 80 10 21 10 00 00 ?? ?? ?? 0? FF FF 11 24 0D 00 80 10 1C 00 BF 8F 21 28 00 02 ?? ?? ?? 0? 04 00 52 26 FA FF 51 54 00 00 44 8E FF FF 02 24 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 21 10 00 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_747_1_4 {
	meta:
		name = "vswprintf_s"
		size = 220
		refs = "004c _WPrintf 0084 _Fail_s"
	strings:
		$1 = { D0 FF BD 27 28 00 B0 AF 2C 00 BF AF 1B 00 80 10 21 80 80 00 1A 00 A0 50 ?? ?? 04 3C 18 00 A2 04 ?? ?? 04 3C 27 00 C0 50 00 00 80 AC FF FF A2 24 ?? ?? 04 3C 1C 00 A2 AF ?? ?? 84 24 01 00 02 24 18 00 A5 27 18 00 B0 AF 20 00 A0 AF ?? ?? ?? 0? 10 00 A2 AF 20 00 A3 8F 11 00 60 14 FF FF 43 28 15 00 60 14 18 00 A3 8F 2C 00 BF 8F 28 00 B0 8F 00 00 60 AC 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1A 00 05 24 21 10 00 00 2C 00 BF 8F 28 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1D 00 05 24 ?? ?? ?? 0? 21 10 00 00 00 00 00 AE ?? ?? ?? 0? 21 10 00 00 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 21 00 05 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_750_0_4 {
	meta:
		name = "_Tzoff"
		size = 304
		refs = "0000 _Tls_setup__Times 0028 _Times 0054 _Gettime 0068 strtol 00f8 _Getzone"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C D8 FF BD 27 24 00 BF AF 20 00 B2 AF 1C 00 B1 AF 03 00 40 10 18 00 B0 AF 09 F8 40 00 00 00 00 00 ?? ?? 10 3C ?? ?? 10 26 ?? ?? 11 3C 50 00 04 8E ?? ?? 22 8E 33 00 44 10 ?? ?? 02 3C 00 00 82 80 2B 00 40 10 00 00 00 00 02 00 05 24 ?? ?? ?? 0? 14 00 A6 27 21 20 40 00 10 00 A5 27 0A 00 06 24 ?? ?? ?? 0? 21 90 40 00 10 00 A4 8F ?? ?? 03 3C ?? ?? 62 AC 23 90 92 00 14 00 A4 8F 0C 00 44 12 ED FA 44 28 21 10 00 00 21 20 00 00 50 00 05 8E 24 00 BF 8F 20 00 B2 8F ?? ?? 25 AE 18 00 B0 8F 1C 00 B1 8F ?? ?? 64 AC 08 00 E0 03 28 00 BD 27 F5 FF 80 54 21 10 00 00 14 05 44 28 F2 FF 80 50 21 10 00 00 9C FF 04 24 1A 00 44 00 F4 01 80 00 28 00 05 24 12 20 00 00 02 30 85 70 21 20 C2 00 23 20 04 00 C4 FF 02 24 ?? ?? ?? 0? 02 10 82 70 ?? ?? ?? 0? 00 00 00 00 21 20 40 00 ?? ?? ?? 0? 50 00 02 AE ?? ?? 43 8C 24 00 BF 8F C4 FF 02 24 02 10 62 70 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_750_1_4 {
	meta:
		name = "localtime"
		size = 56
		refs = "0010 _Tzoff 0020 _Ttotm"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 00 00 90 8C 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 21 28 50 00 21 20 00 00 ?? ?? ?? 0? FF FF 06 24 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_751_1_4 {
	meta:
		name = "_ZN6Dinkum7threadsL4joinEPNS0_6threadE"
		size = 40
		refs = "0014 _Thrd_join"
	strings:
		$1 = { 21 10 80 00 00 00 84 8C E8 FF BD 27 14 00 BF AF 21 28 00 00 ?? ?? ?? 0? 04 00 40 A0 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_751_5_4 {
	meta:
		name = "_ZN6Dinkum7threadsL7destroyEPNS0_6threadE"
		size = 72
		refs = "0020 _ZdlPv 0038 _Thrd_detach"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 14 00 BF AF 06 00 80 10 21 80 80 00 04 00 82 90 07 00 40 14 00 00 84 8C ?? ?? ?? 0? 21 20 00 02 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_751_6_4 {
	meta:
		name = "_ZN6Dinkum7threads12thread_groupD2Ev"
		size = 164
		refs = "0040 _ZdlPv 0070 _Mtx_destroy 0094 _Thrd_detach"
	strings:
		$1 = { D8 FF BD 27 20 00 B3 AF 14 00 B0 AF 04 00 93 8C 08 00 90 8C 18 00 B1 AF 24 00 BF AF 1C 00 B2 AF 0C 00 70 12 21 88 80 00 00 00 72 8E 06 00 40 12 04 00 73 26 04 00 42 92 16 00 40 14 00 00 44 8E ?? ?? ?? 0? 21 20 40 02 F8 FF 13 56 00 00 72 8E 04 00 33 8E 04 00 60 52 04 00 20 AE ?? ?? ?? 0? 21 20 60 02 04 00 20 AE 08 00 20 AE 0C 00 20 AE ?? ?? ?? 0? 21 20 20 02 24 00 BF 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_751_7_4 {
	meta:
		name = "_ZN6Dinkum7threads12thread_group10add_threadEPNS0_6threadE"
		size = 808
		refs = "0028 _Mtx_lock 0038 _ZN6Dinkum7threads17_Throw_lock_errorEv 00c0 _Mtx_unlock 0178 _Znwm 01a0 memmove 01bc _ZdlPv 02ac _ZTVSt9bad_alloc 02b8 _ZNKSt9exception6_RaiseEv 02c4 _ZNSt9exceptionD2Ev 02d8 _ZSt14_Xlength_errorPKc"
	strings:
		$1 = { C8 FF BD 27 20 00 B2 AF 34 00 BF AF 30 00 B6 AF 2C 00 B5 AF 28 00 B4 AF 24 00 B3 AF 1C 00 B1 AF 18 00 B0 AF 21 90 80 00 ?? ?? ?? 0? 3C 00 A5 AF 04 00 40 50 04 00 55 8E ?? ?? ?? 0? 00 00 00 00 04 00 55 8E 08 00 56 8E 0C 00 B6 12 3C 00 B3 27 3C 00 A4 8F 00 00 A2 8E 19 00 44 10 21 10 A0 02 ?? ?? ?? 0? 04 00 42 24 15 00 64 10 04 00 42 24 FD FF C2 56 00 00 43 8C 3C 00 B3 27 2B 10 76 02 1F 00 40 50 0C 00 42 8E 2B 10 75 02 1C 00 40 14 0C 00 42 8E 52 00 C2 12 21 80 A0 02 06 00 C0 12 23 10 70 02 83 10 02 00 80 10 02 00 21 A8 A2 02 00 00 A2 8E 00 00 C2 AE 04 00 D6 26 08 00 56 AE ?? ?? ?? 0? 21 20 40 02 04 00 40 10 34 00 BF 8F ?? ?? ?? 0? 00 00 00 00 34 00 BF 8F 30 00 B6 8F 2C 00 B5 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 38 00 BD 27 05 00 C2 52 23 A8 D5 02 EB FF C0 12 3C 00 A2 8F ?? ?? ?? 0? 00 00 C2 AE FF 3F 03 3C 83 A8 15 00 FF FF 63 34 2B 10 A3 02 7A 00 40 10 01 00 B0 26 2B 10 B0 02 F4 FF 40 10 42 10 15 00 23 18 62 00 2B 18 75 00 0C 00 60 54 80 80 10 00 21 10 55 00 2B 18 50 00 07 00 60 14 00 40 03 3C 2B 18 43 00 6D 00 60 10 ?? ?? 04 3C 2B A8 A2 02 E6 FF A0 12 21 80 40 00 80 80 10 00 ?? ?? ?? 0? 21 20 00 02 5A 00 40 10 21 88 40 00 04 00 42 8E 08 00 46 8E 21 20 20 02 21 28 40 00 23 10 C2 00 83 30 02 00 ?? ?? ?? 0? 80 30 06 00 04 00 44 8E 08 00 53 8E 23 98 64 02 03 00 80 10 83 98 13 00 ?? ?? ?? 0? 00 00 00 00 80 98 13 00 21 80 30 02 21 B0 33 02 0C 00 50 AE 08 00 56 AE ?? ?? ?? 0? 04 00 51 AE 23 10 D5 02 FF 3F 04 3C 83 10 02 00 FF FF 84 34 2B 18 44 00 37 00 60 10 01 00 51 24 2B 18 51 00 A6 FF 60 10 42 18 02 00 23 20 83 00 2B 20 82 00 0B 00 80 54 80 88 11 00 21 18 62 00 2B 20 71 00 06 00 80 14 00 40 04 3C 2B 20 64 00 29 00 80 10 2B 10 43 00 99 FF 40 10 21 88 60 00 80 88 11 00 ?? ?? ?? 0? 21 20 20 02 18 00 40 10 21 A0 40 00 04 00 42 8E 08 00 46 8E 21 20 80 02 21 28 40 00 23 10 C2 00 83 30 02 00 ?? ?? ?? 0? 80 30 06 00 04 00 44 8E 08 00 56 8E 21 A8 80 02 23 B0 C4 02 03 00 80 10 83 B0 16 00 ?? ?? ?? 0? 00 00 00 00 80 B0 16 00 21 88 91 02 21 B0 96 02 0C 00 51 AE 08 00 56 AE ?? ?? ?? 0? 04 00 54 AE ?? ?? 15 3C ?? ?? B5 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B5 AF ?? ?? ?? 0? 04 00 42 8E ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 08 00 56 8E ?? ?? ?? 0? 04 00 55 8E ?? ?? 13 3C ?? ?? 73 26 14 00 A4 27 ?? ?? ?? 0? 14 00 B3 AF 14 00 A4 27 ?? ?? ?? 0? 14 00 B3 AF ?? ?? ?? 0? 04 00 42 8E ?? ?? 04 3C ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 08 00 56 8E }
	condition:
		$1
}

rule file_751_8_4 {
	meta:
		name = "_ZN6Dinkum7threads12thread_group13remove_threadEPNS0_6threadE"
		size = 160
		refs = "0010 _Mtx_lock 0020 _ZN6Dinkum7threads17_Throw_lock_errorEv 0064 memmove 0078 _Mtx_unlock"
	strings:
		$1 = { E0 FF BD 27 18 00 B0 AF 10 00 A5 AF 1C 00 BF AF ?? ?? ?? 0? 21 80 80 00 04 00 40 10 10 00 A5 8F ?? ?? ?? 0? 00 00 00 00 10 00 A5 8F 04 00 04 8E 08 00 06 8E 06 00 86 54 00 00 82 8C ?? ?? ?? 0? 04 00 85 24 05 00 C4 50 04 00 85 24 00 00 82 8C FC FF A2 54 04 00 84 24 04 00 85 24 23 30 C5 00 83 30 06 00 ?? ?? ?? 0? 80 30 06 00 08 00 02 8E 21 20 00 02 FC FF 42 24 ?? ?? ?? 0? 08 00 02 AE 04 00 40 10 1C 00 BF 8F ?? ?? ?? 0? 00 00 00 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_751_9_4 {
	meta:
		name = "_ZN6Dinkum7threads12thread_group8join_allEv"
		size = 140
		refs = "0014 _Mtx_lock 0024 _ZN6Dinkum7threads17_Throw_lock_errorEv 004c _Thrd_join 005c _Mtx_unlock"
	strings:
		$1 = { E0 FF BD 27 14 00 B1 AF 1C 00 BF AF 18 00 B2 AF 10 00 B0 AF ?? ?? ?? 0? 21 88 80 00 04 00 40 50 04 00 32 8E ?? ?? ?? 0? 00 00 00 00 04 00 32 8E 08 00 30 8E 09 00 50 12 00 00 00 00 00 00 42 8E 21 28 00 00 04 00 52 26 00 00 44 8C ?? ?? ?? 0? 04 00 40 A0 FA FF 12 56 00 00 42 8E ?? ?? ?? 0? 21 20 20 02 04 00 40 10 1C 00 BF 8F ?? ?? ?? 0? 00 00 00 00 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_752_0_4 {
	meta:
		name = "gets"
		size = 440
		refs = "0008 _Stdin 0064 memchr 0084 memcpy 00d8 _Frprep"
	strings:
		$1 = { D0 FF BD 27 18 00 B1 AF ?? ?? 11 3C ?? ?? 22 96 14 00 B0 AF 2C 00 BF AF 00 40 42 30 28 00 B5 AF 24 00 B4 AF 20 00 B3 AF 1C 00 B2 AF 43 00 40 14 21 80 80 00 21 A0 80 00 ?? ?? 33 26 0C 00 64 8E ?? ?? 12 3C ?? ?? 31 26 28 00 66 8E 1E 00 C0 10 2B 10 86 00 10 00 66 AE 1F 00 40 10 28 00 60 AE 0A 00 05 24 ?? ?? ?? 0? 23 30 C4 00 28 00 40 50 0C 00 62 8E 0C 00 65 8E 01 00 51 24 21 20 80 02 23 88 25 02 ?? ?? ?? 0? 21 30 20 02 0C 00 62 8E 21 A0 91 02 21 88 51 00 0C 00 71 AE FF FF 80 A2 2C 00 BF 8F 21 10 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 10 00 66 8E 2B 10 86 00 E4 FF 40 14 0A 00 05 24 ?? ?? ?? 0? 21 20 20 02 33 00 40 04 ?? ?? 42 96 00 01 42 30 2E 00 40 14 0A 00 05 24 0C 00 64 8E 10 00 66 8E ?? ?? ?? 0? 23 30 C4 00 DC FF 40 54 0C 00 65 8E 0C 00 62 8E 10 00 75 8E 21 20 80 02 21 28 40 00 23 A8 A2 02 ?? ?? ?? 0? 21 30 A0 02 0C 00 64 8E 21 A0 95 02 21 20 95 00 ?? ?? ?? 0? 0C 00 64 AE ?? ?? 33 26 21 A0 80 00 ?? ?? 04 3C 18 00 62 8E ?? ?? 84 24 0A 00 05 24 2B 18 44 00 B9 FF 60 50 0C 00 64 8E 00 00 43 90 01 00 42 24 00 00 83 A2 18 00 62 AE 00 00 83 92 F7 FF 65 54 01 00 94 26 00 00 80 A2 2C 00 BF 8F 21 10 00 02 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 30 00 BD 27 F5 FF 14 56 00 00 80 A2 ?? ?? ?? 0? 21 80 00 00 }
	condition:
		$1
}

rule file_754_0_4 {
	meta:
		name = "_WPrintf"
		size = 1132
		refs = "003c _Vacopy 006c wcscspn 00d0 _Iswctype 0130 wmemchr 01c0 wcschr 0224 _WPutfld 023c _WPuttxt"
	strings:
		$1 = { 50 FE BD 27 20 00 A4 AF 24 00 A5 AF 10 00 A4 27 21 28 E0 00 A8 01 BE AF A0 01 B6 AF 90 01 B2 AF 8C 01 B1 AF 88 01 B0 AF AC 01 BF AF A4 01 B7 AF 9C 01 B5 AF 98 01 B4 AF 94 01 B3 AF ?? ?? ?? 0? 21 90 C0 00 C0 01 A2 8F ?? ?? 10 3C ?? ?? 11 3C 5C 00 A2 A3 4C 00 A0 AF ?? ?? 16 3C ?? ?? 10 26 ?? ?? 31 26 ?? ?? 1E 3C 21 20 40 02 ?? ?? ?? 0? ?? ?? C5 26 E1 00 40 1C 21 B8 40 00 80 10 17 00 21 10 42 02 00 00 42 8C EC 00 40 10 AC 01 BF 8F 01 00 F7 26 80 B8 17 00 21 B8 57 02 44 00 A0 AF 21 90 E0 02 ?? ?? ?? 0? 0A 00 13 24 00 00 43 92 04 00 52 26 02 10 53 70 D0 FF 42 24 21 10 43 00 E8 03 43 28 06 00 60 10 44 00 A2 AF 00 00 44 8E ?? ?? ?? 0? 04 00 05 24 F4 FF 40 14 44 00 A2 8F 00 00 43 8E 24 00 02 24 65 00 62 10 44 00 A2 8F 44 00 A0 AF 40 00 A0 AF 3C 00 A0 AF 38 00 A0 AF 34 00 A0 AF 30 00 A0 AF 2C 00 A0 AF ?? ?? ?? 0? 54 00 A0 A7 54 00 A2 97 00 00 63 8C 04 00 F7 26 25 10 62 00 54 00 A2 A7 00 00 E5 8E 21 20 00 02 ?? ?? ?? 0? 05 00 06 24 23 18 50 00 83 18 03 00 80 18 03 00 F3 FF 40 14 21 18 71 00 00 00 E4 8E 2A 00 02 24 88 00 82 10 FF 7F 12 3C 04 00 05 24 50 00 A0 AF FF FF 52 36 ?? ?? ?? 0? 0A 00 13 24 0F 00 40 50 00 00 E5 8E 50 00 A2 8F 05 00 52 10 02 20 53 70 00 00 E3 8E D0 FF 63 24 21 10 83 00 50 00 A2 AF 04 00 F7 26 00 00 E4 8E ?? ?? ?? 0? 04 00 05 24 F5 FF 40 14 50 00 A2 8F 00 00 E5 8E 2E 00 02 24 4B 00 A2 10 FF FF 02 24 48 00 A2 AF ?? ?? ?? 0? ?? ?? C4 27 09 00 40 50 58 00 A0 AF 00 00 E2 8E 68 00 03 24 04 00 F7 26 2E 00 43 10 58 00 A2 AF 6C 00 03 24 6B 00 43 50 00 00 E3 8E 44 00 A2 8F 31 00 40 58 00 00 E6 8E 10 00 A5 8F FF FF 42 24 14 00 A4 27 ?? ?? ?? 0? 44 00 A2 AF 00 00 E6 8E 18 00 B3 27 68 00 B4 27 21 20 60 02 14 00 A5 27 ?? ?? ?? 0? 21 38 80 02 09 00 40 14 AC 01 BF 8F 21 20 60 02 21 28 80 02 ?? ?? ?? 0? 04 00 F2 26 89 FF 41 04 21 20 40 02 FF FF 02 24 AC 01 BF 8F A8 01 BE 8F A4 01 B7 8F A0 01 B6 8F 9C 01 B5 8F 98 01 B4 8F 94 01 B3 8F 90 01 B2 8F 8C 01 B1 8F 88 01 B0 8F 08 00 E0 03 B0 01 BD 27 9B FF 40 18 E8 03 42 28 9A FF 40 50 44 00 A0 AF ?? ?? ?? 0? 04 00 57 26 00 00 E3 8E D5 FF 62 14 44 00 A2 8F 62 00 02 24 58 00 A2 AF 44 00 A2 8F D2 FF 40 1C 04 00 F7 26 00 00 E6 8E 18 00 B3 27 68 00 B4 27 21 20 60 02 10 00 A5 27 ?? ?? ?? 0? 21 38 80 02 D8 FF 40 10 21 20 60 02 ?? ?? ?? 0? AC 01 BF 8F 04 00 F7 26 00 00 E4 8E 2A 00 02 24 36 00 82 10 2D 00 02 24 3C 00 82 10 21 98 00 00 FF 7F 14 3C 04 00 05 24 48 00 A0 AF FF FF 94 36 ?? ?? ?? 0? 0A 00 15 24 11 00 40 50 00 00 E5 8E 09 00 60 56 04 00 F7 26 48 00 A2 8F 05 00 54 10 02 20 55 70 00 00 E3 8E D0 FF 63 24 21 10 83 00 48 00 A2 AF 04 00 F7 26 00 00 E4 8E ?? ?? ?? 0? 04 00 05 24 F2 FF 40 14 00 00 00 00 00 00 E5 8E ?? ?? ?? 0? ?? ?? C4 27 9A FF 40 54 00 00 E2 8E ?? ?? ?? 0? 58 00 A0 AF 10 00 A3 8F 00 00 62 8C 04 00 63 24 10 00 A3 AF 09 00 40 04 50 00 A2 AF ?? ?? ?? 0? 04 00 F7 26 96 FF 62 14 44 00 A2 8F 71 00 02 24 58 00 A2 AF ?? ?? ?? 0? 04 00 F7 26 23 10 02 00 50 00 A2 AF 54 00 A2 97 04 00 F7 26 04 00 42 34 ?? ?? ?? 0? 54 00 A2 A7 10 00 A2 8F 04 00 F7 26 00 00 43 8C 04 00 42 24 10 00 A2 AF 48 00 A3 AF ?? ?? ?? 0? 00 00 E5 8E 04 00 F7 26 00 00 E4 8E ?? ?? ?? 0? 2D 00 13 24 21 30 40 00 24 00 A4 8F 20 00 A2 8F 09 F8 40 00 21 28 40 02 8E FF 40 10 24 00 A2 AF 4C 00 A2 8F 21 10 57 00 4C 00 A2 AF 80 10 17 00 21 10 42 02 00 00 42 8C 18 FF 40 14 01 00 F7 26 AC 01 BF 8F 4C 00 A2 8F A8 01 BE 8F A4 01 B7 8F A0 01 B6 8F 9C 01 B5 8F 98 01 B4 8F 94 01 B3 8F 90 01 B2 8F 8C 01 B1 8F 88 01 B0 8F 08 00 E0 03 B0 01 BD 27 }
	condition:
		$1
}

rule file_755_1_4 {
	meta:
		name = "swprintf"
		size = 96
		refs = "0030 _WPrintf"
	strings:
		$1 = { D0 FF BD 27 3C 00 A2 27 2C 00 BF AF 3C 00 A7 AF 0F 00 A0 14 18 00 A2 AF 1C 00 A0 AF 20 00 A0 AF 18 00 A7 8F ?? ?? 04 3C ?? ?? 84 24 1C 00 A5 27 ?? ?? ?? 0? 10 00 A0 AF 1C 00 A3 8F 01 00 60 54 00 00 60 AC 2C 00 BF 8F 08 00 E0 03 30 00 BD 27 FF FF A5 24 1C 00 A4 AF ?? ?? ?? 0? 20 00 A5 AF }
	condition:
		$1
}

rule file_756_0_4 {
	meta:
		name = "log2l"
		size = 28
		refs = "0008 _LLog"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? FF FF 06 24 14 00 BF 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_757_0_4 {
	meta:
		name = "get_acsize"
		size = 76
		refs = "0010 _FDunscale"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A5 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 27 10 00 A3 87 18 00 02 24 1C 00 BF 8F 1A 00 62 00 F4 01 40 00 05 00 03 24 20 00 BD 27 12 10 00 00 02 00 42 24 40 10 02 00 06 00 44 2C 08 00 E0 03 0A 10 64 00 }
	condition:
		$1
}

rule file_757_1_4 {
	meta:
		name = "_FQuad"
		size = 1412
		refs = "0040 fpcmp 006c fpmul 0090 fpsub 00a0 _FDint 00f0 _FDunscale 011c _FDscale 012c _FXp_setw 0158 memcpy 0168 _FXp_mulh 01a8 _FXp_addx 01d8 fpadd 0318 _FXp_getw 0358 fmodf 0364 fptosi"
	strings:
		$1 = { 78 FF BD 27 68 00 B2 AF 60 00 B0 AF ?? ?? 12 3C 00 00 90 8C 7C 00 B7 AF 21 B8 80 00 ?? ?? 44 8E 21 28 00 02 84 00 BF AF 80 00 BE AF 78 00 B6 AF 74 00 B5 AF 70 00 B4 AF 6C 00 B3 AF 64 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 27 00 41 04 ?? ?? 16 3C ?? ?? C5 8E ?? ?? ?? 0? 21 20 00 02 23 00 41 04 10 00 A4 27 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 21 20 00 00 ?? ?? ?? 0? 21 80 40 00 EF 00 40 18 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 F0 00 40 14 ?? ?? 02 3C 14 00 A2 8F 21 20 20 02 00 00 E2 AE ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 99 00 41 04 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 05 8E 10 00 A4 27 18 00 A5 27 ?? ?? ?? 0? 18 00 B0 AF 10 00 A2 87 21 00 43 28 66 00 60 14 14 00 A6 8F E7 FF 42 24 C3 10 02 00 C0 28 02 00 14 00 A4 27 23 28 05 00 ?? ?? ?? 0? 10 00 A2 A7 14 00 A6 8F 1C 00 A4 27 ?? ?? ?? 0? 02 00 05 24 10 00 A5 87 14 00 11 24 ?? ?? 10 3C FF FF A5 24 02 10 B1 70 38 00 B3 27 ?? ?? 10 26 14 00 06 24 21 20 60 02 ?? ?? ?? 0? 21 28 50 00 1C 00 A6 8F 21 20 60 02 ?? ?? ?? 0? 05 00 05 24 20 00 A4 8F ?? ?? ?? 0? 21 28 00 00 F0 00 40 54 10 00 A5 87 ?? ?? 02 3C ?? ?? 54 8C ?? ?? 02 3C 05 00 10 24 ?? ?? 55 8C ?? ?? ?? 0? ?? ?? 11 3C 21 28 00 02 24 00 A6 27 ?? ?? ?? 0? 21 38 00 02 38 00 BE 8F ?? ?? 45 8E ?? ?? ?? 0? 21 20 C0 03 04 00 40 04 21 28 C0 03 ?? ?? ?? 0? ?? ?? C4 8E 38 00 41 04 3C 00 A5 8F ?? ?? ?? 0? 21 20 C0 03 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 8F 00 80 02 3C 21 28 A0 02 ?? ?? ?? 0? 26 20 82 00 21 30 40 00 1C 00 A4 27 ?? ?? ?? 0? 02 00 05 24 80 30 10 00 24 00 A4 27 ?? ?? ?? 0? ?? ?? 25 26 1C 00 A6 8F 24 00 A4 27 ?? ?? ?? 0? 21 28 00 02 20 00 A4 8F ?? ?? ?? 0? 21 28 00 00 D4 FF 40 50 21 20 60 02 ?? ?? ?? 0? 38 00 A4 8F 80 30 02 00 4C 00 A4 27 ?? ?? 25 26 ?? ?? ?? 0? 21 80 40 00 20 00 A6 8F 4C 00 A4 27 ?? ?? ?? 0? 21 28 00 02 24 00 A4 27 21 28 00 02 4C 00 A6 27 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 21 20 60 02 38 00 B3 27 21 20 60 02 ?? ?? ?? 0? 05 00 05 24 ?? ?? ?? 0? ?? ?? 02 3C ?? ?? ?? 0? 21 20 C0 03 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 21 20 00 00 ?? ?? ?? 0? 21 88 40 00 30 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 8F ?? ?? ?? 0? 21 28 00 00 30 00 40 14 00 00 00 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 18 00 B1 8F 00 00 E2 AE ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 06 00 40 04 ?? ?? 10 3C ?? ?? 04 8E ?? ?? ?? 0? 21 28 20 02 05 00 41 04 00 00 00 00 ?? ?? 05 8E ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? ?? 0? 21 20 20 02 84 00 BF 8F 03 00 42 30 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 8F ?? ?? ?? 0? 21 28 00 00 D3 FF 40 50 21 20 60 02 ?? ?? ?? 0? 38 00 A4 8F ?? ?? 05 3C 80 30 02 00 4C 00 A4 27 ?? ?? A5 24 ?? ?? ?? 0? 21 80 40 00 18 00 A4 8F ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 20 82 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 30 40 00 4C 00 A4 27 ?? ?? ?? 0? 21 28 00 02 21 20 60 02 21 28 00 02 4C 00 A6 27 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 21 20 60 02 ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 14 FF 40 50 14 00 A2 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 14 00 A4 8F ?? ?? ?? 0? 21 28 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 14 00 A2 AF 24 00 A4 27 14 00 06 24 FF FF A5 24 02 10 B1 70 ?? ?? ?? 0? 21 28 50 00 20 00 A6 8F 24 00 A4 27 ?? ?? ?? 0? 05 00 05 24 21 20 60 02 05 00 05 24 24 00 A6 27 ?? ?? ?? 0? 05 00 07 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_757_2_4 {
	meta:
		name = "_FQuadph"
		size = 412
		refs = "0024 _FQuad 0038 _FDint 0048 fpsub 005c fpcmp 0084 fpadd 0090 fptosi 00a8 fpmul 011c fmodf"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 2C 00 B4 AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF 21 90 A0 00 1C 00 B0 AF 21 88 80 00 ?? ?? ?? 0? 30 00 B5 AF 10 00 A4 27 01 00 05 24 21 80 40 00 ?? ?? ?? 0? 10 00 B2 AF 10 00 B4 8F 21 20 40 02 ?? ?? ?? 0? 21 28 80 02 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 2C 00 40 04 ?? ?? 12 3C ?? ?? 44 8E ?? ?? ?? 0? 21 28 80 02 28 00 42 04 ?? ?? 45 8E 21 28 80 02 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 85 8E 00 00 35 8E 03 00 42 30 21 20 60 02 ?? ?? ?? 0? 21 80 50 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 21 90 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 40 02 2C 00 40 18 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 10 00 40 18 34 00 BF 8F 00 00 32 AE 21 10 00 02 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 45 8E ?? ?? ?? 0? 21 20 80 02 ?? ?? ?? 0? 21 A0 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 60 02 ?? ?? ?? 0? FF FF 10 26 ?? ?? 85 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 34 00 BF 8F 00 00 22 AE 30 00 B5 8F 21 10 00 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 45 8C 21 20 60 02 ?? ?? ?? 0? 01 00 10 26 ?? ?? ?? 0? ?? ?? 85 8E }
	condition:
		$1
}

rule file_795_2_4 {
	meta:
		name = "_Quadph"
		size = 412
		refs = "0024 _Quad 0038 _Dint 0048 fpsub 005c fpcmp 0084 fpadd 0090 fptosi 00a8 fpmul 011c fmod"
	strings:
		$1 = { C8 FF BD 27 34 00 BF AF 2C 00 B4 AF 28 00 B3 AF 24 00 B2 AF 20 00 B1 AF 21 90 A0 00 1C 00 B0 AF 21 88 80 00 ?? ?? ?? 0? 30 00 B5 AF 10 00 A4 27 01 00 05 24 21 80 40 00 ?? ?? ?? 0? 10 00 B2 AF 10 00 B4 8F 21 20 40 02 ?? ?? ?? 0? 21 28 80 02 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 2C 00 40 04 ?? ?? 12 3C ?? ?? 44 8E ?? ?? ?? 0? 21 28 80 02 28 00 42 04 ?? ?? 45 8E 21 28 80 02 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? ?? ?? 14 3C ?? ?? 85 8E 00 00 35 8E 03 00 42 30 21 20 60 02 ?? ?? ?? 0? 21 80 50 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 21 90 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 40 02 2C 00 40 18 ?? ?? 02 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 10 00 40 18 34 00 BF 8F 00 00 32 AE 21 10 00 02 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 45 8E ?? ?? ?? 0? 21 20 80 02 ?? ?? ?? 0? 21 A0 40 00 ?? ?? 02 3C ?? ?? 45 8C 21 20 60 02 ?? ?? ?? 0? FF FF 10 26 ?? ?? 85 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 34 00 BF 8F 00 00 22 AE 30 00 B5 8F 21 10 00 02 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 45 8C 21 20 60 02 ?? ?? ?? 0? 01 00 10 26 ?? ?? ?? 0? ?? ?? 85 8E }
	condition:
		$1
}

rule file_761_0_4 {
	meta:
		name = "_Getfloat"
		size = 3540
		refs = "01c0 _Ctype 0424 _Stold 0438 _LDscale 046c dptofp 0514 memchr 0594 localeconv 0c5c _Fail_s"
	strings:
		$1 = { 18 00 82 8C 78 FF BD 27 7C 00 B7 AF 8C 00 A5 AF 84 00 BF AF 80 00 BE AF 78 00 B6 AF 74 00 B5 AF 70 00 B4 AF 6C 00 B3 AF 68 00 B2 AF 64 00 B1 AF 60 00 B0 AF 21 B8 80 00 1D 01 40 18 FF FF 45 24 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 14 00 E5 AE 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 2B 00 02 24 6B 00 C2 17 2D 00 02 24 14 00 E2 8E 18 00 BE A3 FF FF 42 24 90 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 30 00 02 24 5F 00 C2 13 19 00 B0 27 6E 00 02 24 03 00 C2 13 4E 00 02 24 9B 00 C2 17 69 00 02 24 14 00 E2 8E 6E 00 03 24 00 00 03 A2 FF FF 42 24 01 00 10 26 B0 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 61 00 02 24 EC 01 C2 17 41 00 02 24 14 00 E2 8E 61 00 03 24 00 00 03 A2 FF FF 42 24 01 00 10 26 9D 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 6E 00 02 24 8D 02 C2 17 4E 00 02 24 14 00 E2 8E FF FF 42 24 9D 02 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 28 00 02 24 CE 02 C2 17 ?? ?? 11 3C 5F 00 12 24 14 00 E2 8E 21 28 00 00 01 00 06 24 FF FF 42 24 14 00 E2 AE B8 02 40 04 ?? ?? 33 8E 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE 40 18 02 00 21 98 63 02 00 00 63 96 32 02 63 30 EF FF 60 54 14 00 E2 8E ED FF 52 50 14 00 E2 8E 21 F0 40 00 29 00 02 24 7C 02 C2 13 FF FF 02 24 D2 02 C2 53 10 00 E2 8E ?? ?? ?? 0? 10 00 E3 8E 95 FF C2 13 18 00 B0 27 30 00 02 24 A4 FF C2 17 6E 00 02 24 14 00 E2 8E FF FF 42 24 A6 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 78 00 02 24 C1 01 C2 17 58 00 02 24 14 00 E2 8E 30 00 03 24 00 00 03 A2 FF FF 42 24 78 00 03 24 01 00 03 A2 14 00 E2 AE BD 01 40 04 02 00 10 26 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 16 00 13 24 ?? ?? ?? 0? 21 90 00 00 10 00 E2 8E FF FF 1E 24 19 00 B0 27 01 00 42 24 10 00 E2 AE 49 00 02 24 17 00 C2 13 0A 00 13 24 21 90 00 00 30 00 02 24 B5 02 C2 17 30 00 11 24 14 00 E2 8E 21 28 00 00 01 00 06 24 FF FF 42 24 20 01 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE F3 FF 51 10 21 F0 40 00 ?? ?? ?? 0? 01 00 12 24 E9 FF C2 17 49 00 02 24 14 00 E2 8E 69 00 03 24 00 00 03 A2 FF FF 42 24 01 00 10 26 14 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 6E 00 02 24 4D 02 C2 17 4E 00 02 24 14 00 E2 8E 6E 00 03 24 00 00 03 A2 FF FF 42 24 01 00 10 26 95 01 41 04 14 00 E2 AE 10 00 E3 8E 01 00 63 24 FF FF 63 24 10 00 E3 AE FF FF 1E 24 21 90 00 00 21 98 00 00 21 A0 00 00 10 00 40 56 20 00 E3 82 18 00 A3 27 63 01 03 12 21 10 00 00 84 00 BF 8F 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 01 00 02 24 F2 FF 60 14 00 00 00 A2 0B 00 73 2A 28 00 60 16 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 21 30 00 00 10 00 A4 27 80 28 14 00 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 21 00 E2 82 01 00 03 24 22 00 E3 A2 6C 00 03 24 03 00 43 10 4C 00 03 24 53 01 43 10 8C 00 A2 8F 8C 00 A2 8F 58 01 40 10 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 8F 8C 00 A3 8F 00 00 62 AC 84 00 BF 8F 01 00 02 24 80 00 BE 8F 7C 00 B7 8F 78 00 B6 8F 74 00 B5 8F 70 00 B4 8F 6C 00 B3 8F 68 00 B2 8F 64 00 B1 8F 60 00 B0 8F 08 00 E0 03 88 00 BD 27 FF 7F 05 3C ?? ?? ?? 0? FE FF A5 34 21 28 00 00 ?? ?? ?? 0? 21 30 80 02 10 00 A2 AF ?? ?? ?? 0? 14 00 A3 AF 10 00 E2 8E FF FF 1E 24 01 00 12 24 01 00 42 24 10 00 E2 AE 0A 00 13 24 30 00 02 24 00 00 02 A2 01 00 10 26 FF FF 02 24 24 02 C2 13 21 28 C0 03 ?? ?? 15 3C ?? ?? B5 26 21 20 A0 02 21 30 60 02 ?? ?? ?? 0? 21 88 00 00 21 A0 00 00 FF FF 16 24 1B 00 40 10 30 00 23 2A 84 00 60 50 14 00 E2 8E 00 00 1E A2 14 00 E2 8E 01 00 31 26 01 00 10 26 FF FF 42 24 21 28 00 00 01 00 06 24 81 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE 10 02 56 10 21 F0 40 00 21 28 C0 03 21 20 A0 02 ?? ?? ?? 0? 21 30 60 02 01 00 12 24 E7 FF 40 14 30 00 23 2A ?? ?? ?? 0? 00 00 00 00 2C 00 42 8C 00 00 42 80 57 00 5E 50 14 00 E2 8E 22 00 20 16 FF FF 02 24 30 00 02 24 1F 00 C2 17 FF FF 02 24 14 00 E2 8E 30 00 12 24 21 28 00 00 FF FF 42 24 01 00 06 24 14 00 E2 AE 10 00 40 04 FF FF 94 26 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE 0C 00 52 14 21 F0 40 00 14 00 E2 8E 21 28 00 00 01 00 06 24 FF FF 42 24 14 00 E2 AE F2 FF 41 04 FF FF 94 26 10 00 E2 8E FF FF 1E 24 01 00 42 24 10 00 E2 AE 9B 00 80 06 01 00 12 24 FF FF 02 24 D8 01 C2 13 ?? ?? 15 3C ?? ?? B5 26 FF FF 16 24 21 28 C0 03 21 30 60 02 ?? ?? ?? 0? 21 20 A0 02 21 28 00 00 01 00 06 24 CE 01 40 10 30 00 23 2A 05 00 60 50 14 00 E2 8E 00 00 1E A2 01 00 31 26 01 00 10 26 14 00 E2 8E 01 00 12 24 FF FF 42 24 45 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE E7 FF 56 14 21 F0 40 00 10 00 E2 8E 01 00 12 24 FF FF 1E 24 0A 00 03 24 3E 00 63 12 70 00 03 24 41 00 C3 13 50 00 03 24 40 00 C3 53 14 00 E3 8E FF FF 03 24 34 00 C3 13 21 28 C0 03 00 00 E3 8E 04 00 E4 8E FF FF 42 24 10 00 E2 AE 09 F8 60 00 21 30 00 00 ?? ?? ?? 0? 00 00 00 00 00 00 1E A2 01 00 10 26 FF FF 42 24 67 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 ?? ?? ?? 0? 21 F0 40 00 01 00 94 26 21 28 00 00 FF FF 42 24 01 00 06 24 81 FF 41 04 14 00 E2 AE 10 00 E2 8E FF FF 1E 24 01 00 12 24 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE 2C 00 42 8C 00 00 42 80 8C FF 5E 14 00 00 00 00 ?? ?? ?? 0? 14 00 E2 8E 10 00 E2 8E FF FF 1E 24 01 00 12 24 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE 10 00 E2 8E 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE FF FF 42 24 ?? ?? ?? 0? 10 00 E2 AE 65 00 03 24 03 00 C3 13 45 00 03 24 C4 FF C3 17 FF FF 03 24 14 00 E3 8E 00 00 1E A2 01 00 10 26 FF FF 63 24 3C 00 60 04 14 00 E3 AE 00 00 E3 8E 04 00 E4 8E 01 00 42 24 10 00 E2 AE 21 28 00 00 09 F8 60 00 01 00 06 24 21 F0 40 00 2B 00 02 24 F1 00 C2 17 2D 00 02 24 14 00 E2 8E 00 00 1E A2 01 00 10 26 FF FF 42 24 FB 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 30 00 02 24 55 01 C2 17 30 00 11 24 14 00 E2 8E 21 28 00 00 01 00 06 24 FF FF 42 24 FF 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 09 F8 40 00 10 00 E3 AE F3 FF 51 10 21 F0 40 00 ?? ?? ?? 0? 10 00 E2 8E 30 00 02 24 00 00 02 A2 01 00 94 26 ?? ?? ?? 0? 01 00 10 26 10 00 E2 8E FF FF 1E 24 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE 15 FE C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 01 00 42 24 10 00 E2 AE FF FF 1E 24 21 90 00 00 ?? ?? 11 3C ?? ?? 28 8E 21 A8 00 00 40 18 1E 00 21 18 03 01 00 00 64 94 08 00 A7 2A 01 00 43 24 20 00 84 30 21 28 00 00 72 FF 80 10 01 00 06 24 05 00 E0 50 14 00 E4 8E 00 00 1E A2 01 00 B5 26 01 00 10 26 14 00 E4 8E FF FF 1E 24 FF FF 84 24 D6 00 80 04 14 00 E4 AE 00 00 E2 8E 04 00 E4 8E 10 00 E3 AE 09 F8 40 00 01 00 12 24 21 F0 40 00 ?? ?? 28 8E ?? ?? ?? 0? 10 00 E2 8E 27 F0 1E 00 FF FF 02 24 ?? ?? ?? 0? 0B 10 1E 00 40 FE C2 53 14 00 E2 8E 0A 00 13 24 ?? ?? ?? 0? 01 00 12 24 10 00 E2 8E 16 00 13 24 21 A0 00 00 01 00 42 24 10 00 E2 AE 21 88 00 00 FF FF 1E 24 ?? ?? ?? 0? 21 90 00 00 9F 00 40 10 10 00 A4 8F 14 00 A5 8F 8C 00 A3 8F 01 00 02 24 00 00 64 AC ?? ?? ?? 0? 04 00 65 AC 08 00 E2 8E 00 00 50 8C 04 00 42 24 9F 00 00 12 08 00 E2 AE 10 00 A4 8F ?? ?? ?? 0? 14 00 A5 8F 00 00 02 AE ?? ?? ?? 0? 01 00 02 24 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 66 00 02 24 AA 00 C2 17 46 00 02 24 14 00 E2 8E FF FF 42 24 B6 00 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 69 00 02 24 B0 00 C2 17 49 00 02 24 14 00 E2 8E FF FF 42 24 4D FE 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 6E 00 02 24 05 00 C2 53 14 00 E2 8E 4E 00 02 24 3D 00 C2 17 FF FF 02 24 14 00 E2 8E FF FF 42 24 3A FE 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 69 00 02 24 A1 00 C2 17 49 00 02 24 14 00 E2 8E FF FF 42 24 2A FE 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 74 00 02 24 95 00 C2 17 54 00 02 24 14 00 E2 8E FF FF 42 24 1A FE 40 04 14 00 E2 AE 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E 01 00 63 24 10 00 E3 AE 21 28 00 00 09 F8 40 00 01 00 06 24 21 F0 40 00 79 00 02 24 03 00 C2 13 59 00 02 24 0B 00 C2 17 FF FF 02 24 66 00 02 24 00 00 02 A2 01 00 12 24 01 00 10 26 21 98 00 00 ?? ?? ?? 0? 21 A0 00 00 74 FD C2 53 14 00 E2 8E FF FF 02 24 02 FE C2 13 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E FF FF 63 24 10 00 E3 AE 21 28 C0 03 09 F8 40 00 21 30 00 00 21 90 00 00 21 98 00 00 ?? ?? ?? 0? 21 A0 00 00 10 FF C2 53 14 00 E2 8E ?? ?? ?? 0? 30 00 02 24 10 00 E2 8E 01 00 42 24 FF FF 42 24 10 00 E2 AE FF FF 1E 24 6E 00 02 24 00 00 02 A2 01 00 12 24 01 00 10 26 21 98 00 00 ?? ?? ?? 0? 21 A0 00 00 10 00 E2 8E FF FF 1E 24 01 00 42 24 ?? ?? ?? 0? 10 00 E2 AE 08 00 E2 8E 00 00 43 8C 04 00 42 24 07 00 60 10 08 00 E2 AE 10 00 A4 8F 14 00 A5 8F 01 00 02 24 00 00 64 AC ?? ?? ?? 0? 04 00 65 AC ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 25 00 05 24 ?? ?? ?? 0? 27 10 02 00 10 00 E2 8E FF FF 1E 24 01 00 42 24 10 00 E2 AE 30 00 03 24 00 00 03 A2 01 00 12 24 ?? ?? ?? 0? 01 00 10 26 01 00 42 24 10 00 E2 AE ?? ?? ?? 0? 01 00 12 24 10 00 E4 8E FE FF 03 24 FF FF 02 24 01 00 84 24 ?? ?? ?? 0? 10 00 E4 AE B4 FD C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 57 FF C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 FF FF 02 24 37 00 C2 13 21 28 C0 03 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E FF FF 63 24 10 00 E3 AE 09 F8 40 00 21 30 00 00 ?? ?? ?? 0? 6E 00 02 24 10 00 E3 8E FF FF 1E 24 01 00 63 24 FF FF 63 24 ?? ?? ?? 0? 10 00 E3 AE 51 FF C2 53 14 00 E2 8E FF FF 02 24 F9 FF C2 13 10 00 E3 8E 00 00 E2 8E 04 00 E4 8E FF FF 63 24 10 00 E3 AE 21 28 C0 03 09 F8 40 00 21 30 00 00 ?? ?? ?? 0? 66 00 02 24 21 90 00 00 21 98 00 00 FF FF 42 24 10 00 E2 AE ?? ?? ?? 0? 21 A0 00 00 60 FF C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 6C FF C2 53 14 00 E2 8E ?? ?? ?? 0? FF FF 02 24 21 A0 00 00 ?? ?? ?? 0? 21 88 00 00 47 FE 40 16 10 00 E2 8E ?? ?? ?? 0? FF FF 03 24 ?? ?? ?? 0? 10 00 E2 8E ?? ?? ?? 0? 01 00 12 24 ?? ?? ?? 0? 10 00 E2 8E CD FD 40 52 FF FF 02 24 ?? ?? ?? 0? 30 00 02 24 }
	condition:
		$1
}

rule file_762_0_4 {
	meta:
		name = "wcsstr"
		size = 104
		refs = "0030 wcschr"
	strings:
		$1 = { E8 FF BD 27 10 00 B0 AF 21 80 A0 00 00 00 A5 8C 14 00 BF AF 06 00 A0 14 21 10 80 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 04 00 42 24 ?? ?? ?? 0? 21 20 40 00 F8 FF 40 10 21 18 00 02 21 28 40 00 04 00 63 24 00 00 66 8C F3 FF C0 10 04 00 A5 24 00 00 A4 8C FB FF C4 10 04 00 63 24 ?? ?? ?? 0? 00 00 05 8E }
	condition:
		$1
}

rule file_763_0_4 {
	meta:
		name = "_Towctrans"
		size = 192
		refs = "0000 _Tls_setup__Wctrans 0028 _Wctrans"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C E0 FF BD 27 06 00 40 10 1C 00 BF AF 10 00 A4 AF 09 F8 40 00 14 00 A5 AF 14 00 A5 8F 10 00 A4 8F ?? ?? 02 3C ?? ?? 43 8C 01 00 A6 24 C0 30 06 00 C0 28 05 00 21 28 65 00 21 30 66 00 04 00 A2 8C 04 00 C5 8C 00 00 63 8C 80 10 02 00 80 28 05 00 21 10 62 00 21 28 65 00 2B 18 45 00 0E 00 60 10 1C 00 BF 8F 00 00 43 8C 2A 18 83 00 06 00 60 54 0C 00 42 24 04 00 43 8C 2A 18 64 00 09 00 60 50 08 00 42 8C 0C 00 42 24 2B 18 45 00 F6 FF 60 54 00 00 43 8C 1C 00 BF 8F 21 10 80 00 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 20 00 BD 27 21 20 82 00 08 00 E0 03 21 10 80 00 }
	condition:
		$1
}

rule file_764_4_4 {
	meta:
		name = "_ZStL5rsfunRSt8ios_baseNSt5_IosbIiE9_FmtflagsE"
		size = 20
	strings:
		$1 = { 10 00 82 8C 27 28 05 00 24 10 45 00 08 00 E0 03 10 00 82 AC }
	condition:
		$1
}

rule file_764_5_4 {
	meta:
		name = "_ZStL5sifunRSt8ios_baseNSt5_IosbIiE9_FmtflagsE"
		size = 28
	strings:
		$1 = { 10 00 82 8C 27 18 05 00 FF FF A5 30 24 10 62 00 25 10 45 00 08 00 E0 03 10 00 82 AC }
	condition:
		$1
}

rule file_764_6_4 {
	meta:
		name = "_ZStL5sbfunRSt8ios_basei"
		size = 60
	strings:
		$1 = { 08 00 03 24 07 00 A3 10 20 00 02 24 0A 00 03 24 04 00 A3 10 10 00 02 24 40 00 02 24 10 00 A5 38 0B 10 05 00 10 00 85 8C 8F FF 03 24 24 18 A3 00 25 10 43 00 08 00 E0 03 10 00 82 AC }
	condition:
		$1
}

rule file_764_10_4 {
	meta:
		name = "_ZSt13resetiosflagsNSt5_IosbIiE9_FmtflagsE"
		size = 24
		altNames = "_ZSt11setiosflagsNSt5_IosbIiE9_FmtflagsE _ZSt12setprecisioni _ZSt4setwi _ZSt7setbasei"
	strings:
		$1 = { ?? ?? 03 3C ?? ?? 63 24 21 10 80 00 00 00 83 AC 08 00 E0 03 04 00 85 AC }
	condition:
		$1
}

rule file_765_0_4 {
	meta:
		name = "lgamma_big"
		size = 496
		refs = "0028 _LLog 004c dpsub 0060 _LDunscale 0088 dpmul 009c _LDscale 00ac _Feraise 00f0 dpdiv 0174 dpadd"
	strings:
		$1 = { C0 FF BD 27 21 30 00 00 3C 00 BF AF 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 2C 00 B2 AF 24 00 B0 AF 21 90 80 00 21 98 A0 00 ?? ?? ?? 0? 28 00 B1 AF 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 21 28 60 02 21 A8 60 00 ?? ?? ?? 0? ?? ?? 10 3C 10 00 A4 27 18 00 A5 27 1C 00 A3 AF ?? ?? ?? 0? 18 00 A2 AF ?? ?? 06 8E ?? ?? 07 8E 21 20 80 02 ?? ?? ?? 0? 21 28 A0 02 18 00 A4 8F 1C 00 A5 8F 21 30 40 00 ?? ?? ?? 0? 21 38 60 00 10 00 A5 87 18 00 A4 27 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 10 00 40 04 ?? ?? 04 8E ?? ?? ?? 0? 08 00 04 24 18 00 A5 8F 1C 00 A4 8F 3C 00 BF 8F 21 10 A0 00 21 18 80 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 ?? ?? 05 8E 21 30 40 02 ?? ?? ?? 0? 21 38 60 02 21 30 40 00 21 20 40 00 21 28 60 00 21 38 60 00 21 90 40 00 ?? ?? ?? 0? 21 80 60 00 21 A0 60 00 21 88 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 80 02 ?? ?? ?? 0? 21 20 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 20 02 21 38 80 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 21 20 40 00 21 30 40 02 21 38 00 02 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 3C ?? ?? 86 8C ?? ?? 87 8C 21 28 60 00 ?? ?? ?? 0? 21 20 40 00 18 00 A6 8F 1C 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 }
	condition:
		$1
}

rule file_765_1_4 {
	meta:
		name = "lgammal"
		size = 1120
		refs = "0034 _LDint 0060 _LGamma_big 007c dpcmp 0148 dpsub 0164 _LPoly 0194 dpdiv 01c4 _Feraise 01cc _LInf 0230 _LTgamma 0274 _LLog 0288 litodp 02b4 dpmul 02c8 dpadd 0310 log1pl 0388 _LSin"
	strings:
		$1 = { C0 FF BD 27 40 00 A4 AF 44 00 A5 AF 18 00 A4 AF 1C 00 A5 AF 18 00 A4 27 21 28 00 00 3C 00 BF AF 38 00 B5 AF 34 00 B4 AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF ?? ?? ?? 0? 24 00 B0 AF 01 00 03 24 62 00 43 10 02 00 03 24 6D 00 43 10 44 00 A4 8F 54 00 40 10 40 00 B0 8F 44 00 B1 8F ?? ?? 02 3C ?? ?? 53 8C ?? ?? 54 8C 00 80 12 3C 26 10 72 02 21 30 80 02 21 38 40 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 B4 00 40 04 18 00 A6 8F 21 20 80 02 21 28 60 02 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 D7 00 40 18 ?? ?? 13 3C ?? ?? 73 26 21 A0 60 02 21 A8 00 00 0B 00 12 24 00 00 84 8E 04 00 85 8E 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 21 20 00 02 06 00 41 04 21 28 20 02 08 00 86 8E ?? ?? ?? 0? 0C 00 87 8E CB 00 40 04 28 00 02 24 01 00 B5 26 F1 FF B2 16 28 00 94 26 ?? ?? 02 3C ?? ?? 44 8C ?? ?? 45 8C 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 46 00 41 04 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 40 00 43 04 40 00 A4 27 ?? ?? 12 3C ?? ?? 52 26 08 00 46 8E 0C 00 47 8E 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 10 00 46 8E 14 00 47 8E 21 80 60 00 21 20 40 00 21 28 00 02 ?? ?? ?? 0? 21 98 40 00 18 00 46 8E 1C 00 47 8E 21 20 60 02 21 28 00 02 21 A0 40 00 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? ?? 0? 21 20 60 00 44 00 B1 8F 21 30 00 00 21 38 00 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 A8 FF 40 1C ?? ?? 02 3C ?? ?? ?? 0? 04 00 04 24 ?? ?? 03 3C ?? ?? 62 8C ?? ?? 64 8C 3C 00 BF 8F 21 18 80 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 3C 00 BF 8F 40 00 A2 8F 21 18 80 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 40 00 A4 27 ?? ?? ?? 0? 10 00 A5 27 40 00 B2 8F 44 00 B0 8F 21 30 00 00 21 38 00 00 21 20 40 02 21 28 00 02 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF 04 00 43 04 21 28 00 02 00 80 02 3C 26 80 02 02 21 28 00 02 21 20 40 02 ?? ?? ?? 0? 21 30 00 00 10 00 A4 87 21 A0 40 00 21 98 60 00 ?? ?? ?? 0? 23 20 04 00 21 80 60 00 21 90 40 00 21 18 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 28 00 02 21 20 60 00 00 80 02 3C ?? ?? ?? 0? 26 98 62 02 21 30 40 00 21 20 80 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 46 8C ?? ?? 47 8C 21 20 40 02 21 28 00 02 ?? ?? ?? 0? 21 A8 60 00 21 30 40 00 21 20 80 02 21 28 A0 02 ?? ?? ?? 0? 21 38 60 00 18 00 A4 8F 1C 00 A5 8F 40 00 A2 AF ?? ?? ?? 0? 44 00 A3 AF 40 00 A6 8F 44 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 3C 00 BF 8F 21 20 60 00 21 18 80 00 38 00 B5 8F 34 00 B4 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 40 00 BD 27 1C 00 A7 8F 21 20 00 02 21 28 20 02 ?? ?? ?? 0? ?? ?? 10 3C ?? ?? 06 8E ?? ?? 07 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 21 20 40 00 21 28 60 00 ?? ?? ?? 0? 21 30 00 00 40 00 A6 8F 44 00 A7 8F 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? 04 8E ?? ?? 05 8E 21 38 60 00 ?? ?? ?? 0? 21 30 40 00 21 20 40 00 21 30 00 00 ?? ?? ?? 0? 21 28 60 00 21 80 40 00 44 00 A2 8F 40 00 A4 8F 21 88 60 00 26 90 52 00 ?? ?? ?? 0? 21 28 40 02 21 30 40 00 21 20 00 02 21 28 20 02 ?? ?? ?? 0? 21 38 60 00 ?? ?? ?? 0? 21 20 60 00 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 ?? ?? ?? 0? 21 20 60 00 02 18 A2 72 21 20 00 02 21 28 20 02 21 98 73 00 10 00 66 8E ?? ?? ?? 0? 14 00 67 8E 18 00 66 8E 1C 00 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 20 00 66 8E 24 00 67 8E 21 20 40 00 ?? ?? ?? 0? 21 28 60 00 ?? ?? ?? 0? 21 20 60 00 }
	condition:
		$1
}

rule file_770_0_4 {
	meta:
		name = "exp2"
		size = 404
		refs = "0014 _Dtest 005c fpcmp 0080 fpmul 0094 _Exp 00ec _Dint 00f8 fptosi 010c fpsub 0180 fpadd"
	strings:
		$1 = { D0 FF BD 27 30 00 A4 AF 30 00 A4 27 2C 00 BF AF 28 00 B1 AF ?? ?? ?? 0? 24 00 B0 AF 01 00 03 24 24 00 43 10 02 00 03 24 1D 00 43 50 30 00 A2 8F 08 00 40 14 30 00 B1 8F 2C 00 BF 8F ?? ?? 02 3C ?? ?? 42 8C 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 18 00 40 1C ?? ?? 02 3C 21 30 00 00 ?? ?? 10 3C ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? 18 00 A6 AF ?? ?? 05 8E 18 00 A6 8F 30 00 A4 27 ?? ?? ?? 0? 30 00 A2 AF 30 00 A2 8F 2C 00 BF 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 30 00 BD 27 36 00 A3 87 F8 FF 61 04 21 10 00 00 ?? ?? ?? 0? 2C 00 BF 8F ?? ?? 44 8C ?? ?? ?? 0? 21 28 20 02 03 00 40 1C 21 30 00 00 ?? ?? ?? 0? ?? ?? 10 3C 21 28 00 00 10 00 A4 27 ?? ?? ?? 0? 10 00 B1 AF 10 00 B0 8F ?? ?? ?? 0? 21 20 00 02 30 00 A4 8F 20 36 02 7C 21 28 00 02 ?? ?? ?? 0? 18 00 A6 AF 21 88 40 00 ?? ?? 02 3C ?? ?? 44 8C ?? ?? ?? 0? 21 28 20 02 0A 00 41 04 18 00 A6 8F ?? ?? 10 3C ?? ?? 05 8E 01 00 C6 24 21 20 20 02 ?? ?? ?? 0? 18 00 A6 AF 21 88 40 00 ?? ?? ?? 0? 18 00 A6 8F ?? ?? 02 3C ?? ?? 45 8C 21 20 20 02 ?? ?? ?? 0? 18 00 A6 AF DC FF 41 04 18 00 A6 8F ?? ?? 10 3C ?? ?? 05 8E FF FF C6 24 21 20 20 02 ?? ?? ?? 0? 18 00 A6 AF 21 88 40 00 ?? ?? ?? 0? 18 00 A6 8F }
	condition:
		$1
}

rule file_771_0_4 {
	meta:
		name = "fesetround"
		size = 176
		refs = "0034 _Tls_setup__Fenv 0054 _Fenv"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 20 00 C4 AF 20 00 C2 8F 03 00 43 30 20 00 C2 8F 04 00 62 10 00 00 00 00 01 00 02 24 ?? ?? ?? 0? 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 10 00 C2 AF 10 00 C2 8F 00 00 43 94 FF F3 02 24 24 10 62 00 FF FF 43 30 20 00 C2 8F FF FF 42 30 80 12 02 00 FF FF 42 30 25 10 62 00 FF FF 43 30 10 00 C2 8F 00 00 43 A4 21 10 00 00 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_772_0_4 {
	meta:
		name = "_Frprep"
		size = 384
		refs = "0048 isatty 0094 read 0128 malloc"
	strings:
		$1 = { E0 FF BD 27 14 00 B0 AF 21 80 80 00 10 00 03 8E 0C 00 84 8C 1C 00 BF AF 18 00 B1 AF 2B 18 83 00 28 00 60 14 01 00 02 24 00 00 03 96 00 01 64 30 24 00 80 14 21 10 00 00 01 A0 64 30 01 00 02 24 31 00 82 14 20 1E 03 7C ?? ?? ?? 0? 03 00 04 82 04 00 40 18 00 00 02 96 FF F3 42 30 00 08 42 34 00 00 02 A6 00 08 42 30 1B 00 40 14 04 00 11 8E 48 00 02 26 2C 00 22 12 00 00 00 00 08 00 06 8E 03 00 04 82 21 28 20 02 0C 00 11 AE 10 00 11 AE 14 00 11 AE ?? ?? ?? 0? 23 30 D1 00 2F 00 40 04 21 18 40 00 0E 00 40 10 01 00 02 24 00 00 04 96 10 00 05 8E 00 50 84 34 21 18 A3 00 00 00 04 A6 10 00 03 AE 1C 00 BF 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 08 00 06 8E 00 00 03 96 1C 00 BF 8F 21 10 00 00 FF AE 63 30 00 41 63 34 00 00 03 A6 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 65 28 00 02 02 24 00 42 04 24 0A 10 85 00 25 18 43 00 00 00 03 A6 ?? ?? ?? 0? FF FF 02 24 ?? ?? ?? 0? 20 00 04 24 0F 00 40 10 04 00 02 AE 00 00 03 96 20 00 46 24 08 00 06 AE 40 00 63 34 00 00 03 A6 2C 00 02 AE 30 00 02 AE ?? ?? ?? 0? 21 88 40 00 00 00 03 96 FF FF 02 24 00 42 63 34 ?? ?? ?? 0? 00 00 03 A6 49 00 06 26 04 00 11 AE ?? ?? ?? 0? 08 00 06 AE }
	condition:
		$1
}

rule file_773_0_4 {
	meta:
		name = "_Stolx"
		size = 404
		refs = "0020 _Ctype 0090 _Stoulx 00f0 _Errno"
	strings:
		$1 = { D0 FF BD 27 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF 18 00 B0 AF 2C 00 BF AF 1C 00 B1 AF 00 00 91 80 ?? ?? 02 3C ?? ?? 42 8C FF 00 23 32 40 18 03 00 21 18 43 00 00 00 63 94 10 00 B2 27 21 98 80 00 44 01 63 30 21 A0 E0 00 0B 90 A5 00 0A 00 60 10 21 80 80 00 01 00 10 26 00 00 11 82 FF 00 23 32 40 18 03 00 21 18 43 00 00 00 63 94 44 01 63 30 F9 FF 60 54 01 00 10 26 2D 00 02 24 2D 00 22 12 2B 00 02 24 2B 00 22 12 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 80 02 00 00 43 8E 2D 00 70 10 2B 00 11 24 2C 00 63 12 2B 00 03 24 2E 00 23 12 2D 00 03 24 09 00 23 12 00 80 03 3C 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 01 00 63 24 2B 18 43 00 F5 FF 60 14 23 10 02 00 22 00 03 24 ?? ?? 02 3C 03 00 80 12 ?? ?? 43 AC 01 00 02 24 00 00 82 AE 2D 00 02 24 20 00 22 12 2C 00 BF 8F FF 7F 02 3C FF FF 42 34 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 01 00 10 26 21 20 00 02 21 28 40 02 ?? ?? ?? 0? 21 38 80 02 00 00 43 8E D5 FF 70 14 00 00 00 00 00 00 53 AE E5 FF 40 54 22 00 03 24 ?? ?? ?? 0? 2B 00 03 24 E0 FF 40 04 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 00 80 02 3C }
	condition:
		$1
}

rule file_774_0_4 {
	meta:
		name = "tmpnam_s"
		size = 248
		refs = "0038 fclose 0048 tmpnam 0054 fopen 0074 strncpy_s 00a8 _Fail_s"
	strings:
		$1 = { C8 FF BD 27 30 00 B3 AF 2C 00 B2 AF 34 00 BF AF 28 00 B1 AF 24 00 B0 AF 21 90 80 00 2B 00 80 10 21 98 A0 00 29 00 A0 04 ?? ?? 11 3C 20 00 10 24 ?? ?? ?? 0? ?? ?? 31 26 ?? ?? ?? 0? 00 00 00 00 15 00 00 12 00 00 00 00 ?? ?? ?? 0? 10 00 A4 27 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 20 40 00 F5 FF 40 14 FF FF 10 26 21 20 40 02 21 28 60 02 10 00 A6 27 ?? ?? ?? 0? 10 00 07 24 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 01 00 60 56 00 00 40 A2 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1C 00 05 24 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_775_24_4 {
	meta:
		name = "_ZSt14_Xout_of_rangePKc"
		size = 952
		refs = "0008 _ZTVSt11logic_error 003c strlen 0134 memmove 0164 _ZTVSt12out_of_range 0170 _ZNKSt9exception6_RaiseEv 0188 _ZdlPv 01a0 _ZNSt9exceptionD2Ev 0230 _ZSt14_Xout_of_rangePKc 029c _Znwm 02d0 memcpy 0360 _ZSt14_Xlength_errorPKc 02a8 _ZTVSt9bad_alloc"
	strings:
		$1 = { A8 FF BD 27 40 00 B1 AF ?? ?? 11 3C 0F 00 02 24 ?? ?? 31 26 48 00 B3 AF 3C 00 B0 AF 54 00 BF AF 50 00 B5 AF 4C 00 B4 AF 44 00 B2 AF 21 80 80 00 14 00 B1 AF 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 10 00 00 12 21 98 40 00 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 2B 10 02 02 09 00 40 14 FF FF 02 24 28 00 A6 8F 18 00 A2 27 0A 10 64 00 21 10 46 00 2B 10 02 02 11 00 40 14 18 00 B2 27 FF FF 02 24 B4 00 62 52 ?? ?? 04 3C 2C 00 A5 8F 2B 10 B3 00 6C 00 40 14 0F 00 72 36 9C 00 60 16 18 00 A3 8F 10 00 A5 2C 18 00 A2 27 0A 10 65 00 28 00 A0 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 0A 90 64 00 23 90 12 02 2B 10 D2 00 5A 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4F 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 32 00 82 12 2C 00 A2 8F 30 00 80 16 14 00 B0 27 2B 10 46 02 0A 90 C2 00 12 00 40 12 2C 00 A3 8F 18 00 A2 8F 18 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 90 72 00 18 00 A3 8F 10 00 84 2C 28 00 B2 AF 0A 10 64 00 21 10 52 00 00 00 40 A0 ?? ?? 02 3C ?? ?? 42 24 21 20 00 02 ?? ?? ?? 0? 14 00 A2 AF 2C 00 A2 8F 10 00 42 2C 03 00 40 14 14 00 B1 AF ?? ?? ?? 0? 18 00 A4 8F 21 20 00 02 0F 00 02 24 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 54 00 BF 8F 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 10 00 42 2C 13 00 40 14 14 00 B0 27 18 00 A2 8F 21 20 53 00 21 98 93 02 21 30 00 00 ?? ?? ?? 0? 21 28 53 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 A0 74 00 18 00 A3 8F 10 00 84 2C 28 00 B4 AF 0A 10 64 00 21 10 54 00 00 00 40 A0 ?? ?? ?? 0? 28 00 A6 8F 21 20 13 02 04 00 84 24 ?? ?? ?? 0? 18 00 A2 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F FF FF 02 24 46 00 42 12 28 00 B5 8F AA AA 02 3C AB AA 42 34 19 00 42 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 3F 00 60 10 01 00 44 26 FE FF 03 24 23 18 62 00 2B 18 65 00 39 00 60 10 21 90 45 00 FF FF 04 24 FE FF 12 24 ?? ?? ?? 0? 00 00 00 00 38 00 40 10 ?? ?? 14 3C 2C 00 A5 8F 21 A0 40 00 0A 00 A0 12 10 00 A5 2C 18 00 A3 8F 18 00 A2 27 0A 10 65 00 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 21 30 A0 02 2C 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 43 2E ?? ?? ?? 0? 18 00 A4 8F 10 00 43 2E 18 00 A2 27 18 00 B4 AF 0B A0 43 00 21 A0 95 02 2C 00 B2 AF 28 00 B5 AF 28 00 60 12 00 00 80 A2 2C 00 A5 8F 18 00 A3 8F 18 00 A2 27 10 00 A5 2C 21 20 40 00 0A 20 65 00 21 30 60 02 ?? ?? ?? 0? 21 28 00 02 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 53 00 28 00 B3 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 2C 00 A5 8F 21 90 60 02 01 00 44 26 CE FF 80 10 21 A0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 94 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 21 A0 00 00 ?? ?? ?? 0? 2C 00 A5 8F ?? ?? ?? 0? 14 00 B0 27 }
	condition:
		$1
}

rule file_775_25_4 {
	meta:
		name = "_ZSt14_Xlength_errorPKc"
		size = 952
		refs = "0008 _ZTVSt11logic_error 003c strlen 0134 memmove 0164 _ZTVSt12length_error 0170 _ZNKSt9exception6_RaiseEv 0188 _ZdlPv 01a0 _ZNSt9exceptionD2Ev 0230 _ZSt14_Xout_of_rangePKc 029c _Znwm 02d0 memcpy 0360 _ZSt14_Xlength_errorPKc 02a8 _ZTVSt9bad_alloc"
	strings:
		$1 = { A8 FF BD 27 40 00 B1 AF ?? ?? 11 3C 0F 00 02 24 ?? ?? 31 26 48 00 B3 AF 3C 00 B0 AF 54 00 BF AF 50 00 B5 AF 4C 00 B4 AF 44 00 B2 AF 21 80 80 00 14 00 B1 AF 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 10 00 00 12 21 98 40 00 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 2B 10 02 02 09 00 40 14 FF FF 02 24 28 00 A6 8F 18 00 A2 27 0A 10 64 00 21 10 46 00 2B 10 02 02 11 00 40 14 18 00 B2 27 FF FF 02 24 B4 00 62 52 ?? ?? 04 3C 2C 00 A5 8F 2B 10 B3 00 6C 00 40 14 0F 00 72 36 9C 00 60 16 18 00 A3 8F 10 00 A5 2C 18 00 A2 27 0A 10 65 00 28 00 A0 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 0A 90 64 00 23 90 12 02 2B 10 D2 00 5A 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4F 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 32 00 82 12 2C 00 A2 8F 30 00 80 16 14 00 B0 27 2B 10 46 02 0A 90 C2 00 12 00 40 12 2C 00 A3 8F 18 00 A2 8F 18 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 90 72 00 18 00 A3 8F 10 00 84 2C 28 00 B2 AF 0A 10 64 00 21 10 52 00 00 00 40 A0 ?? ?? 02 3C ?? ?? 42 24 21 20 00 02 ?? ?? ?? 0? 14 00 A2 AF 2C 00 A2 8F 10 00 42 2C 03 00 40 14 14 00 B1 AF ?? ?? ?? 0? 18 00 A4 8F 21 20 00 02 0F 00 02 24 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 54 00 BF 8F 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 10 00 42 2C 13 00 40 14 14 00 B0 27 18 00 A2 8F 21 20 53 00 21 98 93 02 21 30 00 00 ?? ?? ?? 0? 21 28 53 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 A0 74 00 18 00 A3 8F 10 00 84 2C 28 00 B4 AF 0A 10 64 00 21 10 54 00 00 00 40 A0 ?? ?? ?? 0? 28 00 A6 8F 21 20 13 02 04 00 84 24 ?? ?? ?? 0? 18 00 A2 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F FF FF 02 24 46 00 42 12 28 00 B5 8F AA AA 02 3C AB AA 42 34 19 00 42 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 3F 00 60 10 01 00 44 26 FE FF 03 24 23 18 62 00 2B 18 65 00 39 00 60 10 21 90 45 00 FF FF 04 24 FE FF 12 24 ?? ?? ?? 0? 00 00 00 00 38 00 40 10 ?? ?? 14 3C 2C 00 A5 8F 21 A0 40 00 0A 00 A0 12 10 00 A5 2C 18 00 A3 8F 18 00 A2 27 0A 10 65 00 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 21 30 A0 02 2C 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 43 2E ?? ?? ?? 0? 18 00 A4 8F 10 00 43 2E 18 00 A2 27 18 00 B4 AF 0B A0 43 00 21 A0 95 02 2C 00 B2 AF 28 00 B5 AF 28 00 60 12 00 00 80 A2 2C 00 A5 8F 18 00 A3 8F 18 00 A2 27 10 00 A5 2C 21 20 40 00 0A 20 65 00 21 30 60 02 ?? ?? ?? 0? 21 28 00 02 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 53 00 28 00 B3 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 2C 00 A5 8F 21 90 60 02 01 00 44 26 CE FF 80 10 21 A0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 94 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 21 A0 00 00 ?? ?? ?? 0? 2C 00 A5 8F ?? ?? ?? 0? 14 00 B0 27 }
	condition:
		$1
}

rule file_775_27_4 {
	meta:
		name = "_ZSt16_Xoverflow_errorPKc"
		size = 952
		refs = "0008 _ZTVSt13runtime_error 003c strlen 0134 memmove 0164 _ZTVSt14overflow_error 0170 _ZNKSt9exception6_RaiseEv 0188 _ZdlPv 01a0 _ZNSt9exceptionD2Ev 0230 _ZSt14_Xout_of_rangePKc 029c _Znwm 02d0 memcpy 0360 _ZSt14_Xlength_errorPKc 02a8 _ZTVSt9bad_alloc"
	strings:
		$1 = { A8 FF BD 27 40 00 B1 AF ?? ?? 11 3C 0F 00 02 24 ?? ?? 31 26 48 00 B3 AF 3C 00 B0 AF 54 00 BF AF 50 00 B5 AF 4C 00 B4 AF 44 00 B2 AF 21 80 80 00 14 00 B1 AF 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 10 00 00 12 21 98 40 00 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 2B 10 02 02 09 00 40 14 FF FF 02 24 28 00 A6 8F 18 00 A2 27 0A 10 64 00 21 10 46 00 2B 10 02 02 11 00 40 14 18 00 B2 27 FF FF 02 24 B4 00 62 52 ?? ?? 04 3C 2C 00 A5 8F 2B 10 B3 00 6C 00 40 14 0F 00 72 36 9C 00 60 16 18 00 A3 8F 10 00 A5 2C 18 00 A2 27 0A 10 65 00 28 00 A0 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 0A 90 64 00 23 90 12 02 2B 10 D2 00 5A 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4F 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 32 00 82 12 2C 00 A2 8F 30 00 80 16 14 00 B0 27 2B 10 46 02 0A 90 C2 00 12 00 40 12 2C 00 A3 8F 18 00 A2 8F 18 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 90 72 00 18 00 A3 8F 10 00 84 2C 28 00 B2 AF 0A 10 64 00 21 10 52 00 00 00 40 A0 ?? ?? 02 3C ?? ?? 42 24 21 20 00 02 ?? ?? ?? 0? 14 00 A2 AF 2C 00 A2 8F 10 00 42 2C 03 00 40 14 14 00 B1 AF ?? ?? ?? 0? 18 00 A4 8F 21 20 00 02 0F 00 02 24 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 54 00 BF 8F 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 10 00 42 2C 13 00 40 14 14 00 B0 27 18 00 A2 8F 21 20 53 00 21 98 93 02 21 30 00 00 ?? ?? ?? 0? 21 28 53 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 A0 74 00 18 00 A3 8F 10 00 84 2C 28 00 B4 AF 0A 10 64 00 21 10 54 00 00 00 40 A0 ?? ?? ?? 0? 28 00 A6 8F 21 20 13 02 04 00 84 24 ?? ?? ?? 0? 18 00 A2 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F FF FF 02 24 46 00 42 12 28 00 B5 8F AA AA 02 3C AB AA 42 34 19 00 42 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 3F 00 60 10 01 00 44 26 FE FF 03 24 23 18 62 00 2B 18 65 00 39 00 60 10 21 90 45 00 FF FF 04 24 FE FF 12 24 ?? ?? ?? 0? 00 00 00 00 38 00 40 10 ?? ?? 14 3C 2C 00 A5 8F 21 A0 40 00 0A 00 A0 12 10 00 A5 2C 18 00 A3 8F 18 00 A2 27 0A 10 65 00 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 21 30 A0 02 2C 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 43 2E ?? ?? ?? 0? 18 00 A4 8F 10 00 43 2E 18 00 A2 27 18 00 B4 AF 0B A0 43 00 21 A0 95 02 2C 00 B2 AF 28 00 B5 AF 28 00 60 12 00 00 80 A2 2C 00 A5 8F 18 00 A3 8F 18 00 A2 27 10 00 A5 2C 21 20 40 00 0A 20 65 00 21 30 60 02 ?? ?? ?? 0? 21 28 00 02 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 53 00 28 00 B3 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 2C 00 A5 8F 21 90 60 02 01 00 44 26 CE FF 80 10 21 A0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 94 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 21 A0 00 00 ?? ?? ?? 0? 2C 00 A5 8F ?? ?? ?? 0? 14 00 B0 27 }
	condition:
		$1
}

rule file_775_26_4 {
	meta:
		name = "_ZSt18_Xinvalid_argumentPKc"
		size = 952
		refs = "0008 _ZTVSt11logic_error 003c strlen 0134 memmove 0164 _ZTVSt16invalid_argument 0170 _ZNKSt9exception6_RaiseEv 0188 _ZdlPv 01a0 _ZNSt9exceptionD2Ev 0230 _ZSt14_Xout_of_rangePKc 029c _Znwm 02d0 memcpy 0360 _ZSt14_Xlength_errorPKc 02a8 _ZTVSt9bad_alloc"
	strings:
		$1 = { A8 FF BD 27 40 00 B1 AF ?? ?? 11 3C 0F 00 02 24 ?? ?? 31 26 48 00 B3 AF 3C 00 B0 AF 54 00 BF AF 50 00 B5 AF 4C 00 B4 AF 44 00 B2 AF 21 80 80 00 14 00 B1 AF 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 10 00 00 12 21 98 40 00 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 2B 10 02 02 09 00 40 14 FF FF 02 24 28 00 A6 8F 18 00 A2 27 0A 10 64 00 21 10 46 00 2B 10 02 02 11 00 40 14 18 00 B2 27 FF FF 02 24 B4 00 62 52 ?? ?? 04 3C 2C 00 A5 8F 2B 10 B3 00 6C 00 40 14 0F 00 72 36 9C 00 60 16 18 00 A3 8F 10 00 A5 2C 18 00 A2 27 0A 10 65 00 28 00 A0 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 0A 90 64 00 23 90 12 02 2B 10 D2 00 5A 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4F 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 32 00 82 12 2C 00 A2 8F 30 00 80 16 14 00 B0 27 2B 10 46 02 0A 90 C2 00 12 00 40 12 2C 00 A3 8F 18 00 A2 8F 18 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 90 72 00 18 00 A3 8F 10 00 84 2C 28 00 B2 AF 0A 10 64 00 21 10 52 00 00 00 40 A0 ?? ?? 02 3C ?? ?? 42 24 21 20 00 02 ?? ?? ?? 0? 14 00 A2 AF 2C 00 A2 8F 10 00 42 2C 03 00 40 14 14 00 B1 AF ?? ?? ?? 0? 18 00 A4 8F 21 20 00 02 0F 00 02 24 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 54 00 BF 8F 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 10 00 42 2C 13 00 40 14 14 00 B0 27 18 00 A2 8F 21 20 53 00 21 98 93 02 21 30 00 00 ?? ?? ?? 0? 21 28 53 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 A0 74 00 18 00 A3 8F 10 00 84 2C 28 00 B4 AF 0A 10 64 00 21 10 54 00 00 00 40 A0 ?? ?? ?? 0? 28 00 A6 8F 21 20 13 02 04 00 84 24 ?? ?? ?? 0? 18 00 A2 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F FF FF 02 24 46 00 42 12 28 00 B5 8F AA AA 02 3C AB AA 42 34 19 00 42 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 3F 00 60 10 01 00 44 26 FE FF 03 24 23 18 62 00 2B 18 65 00 39 00 60 10 21 90 45 00 FF FF 04 24 FE FF 12 24 ?? ?? ?? 0? 00 00 00 00 38 00 40 10 ?? ?? 14 3C 2C 00 A5 8F 21 A0 40 00 0A 00 A0 12 10 00 A5 2C 18 00 A3 8F 18 00 A2 27 0A 10 65 00 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 21 30 A0 02 2C 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 43 2E ?? ?? ?? 0? 18 00 A4 8F 10 00 43 2E 18 00 A2 27 18 00 B4 AF 0B A0 43 00 21 A0 95 02 2C 00 B2 AF 28 00 B5 AF 28 00 60 12 00 00 80 A2 2C 00 A5 8F 18 00 A3 8F 18 00 A2 27 10 00 A5 2C 21 20 40 00 0A 20 65 00 21 30 60 02 ?? ?? ?? 0? 21 28 00 02 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 53 00 28 00 B3 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 2C 00 A5 8F 21 90 60 02 01 00 44 26 CE FF 80 10 21 A0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 94 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 21 A0 00 00 ?? ?? ?? 0? 2C 00 A5 8F ?? ?? ?? 0? 14 00 B0 27 }
	condition:
		$1
}

rule file_775_28_4 {
	meta:
		name = "_ZSt15_Xruntime_errorPKc"
		size = 940
		refs = "0008 _ZTVSt13runtime_error 003c strlen 0134 memmove 0164 _ZNKSt9exception6_RaiseEv 017c _ZdlPv 0194 _ZNSt9exceptionD2Ev 0224 _ZSt14_Xout_of_rangePKc 0290 _Znwm 02c4 memcpy 0354 _ZSt14_Xlength_errorPKc 029c _ZTVSt9bad_alloc"
	strings:
		$1 = { A8 FF BD 27 40 00 B1 AF ?? ?? 11 3C 0F 00 02 24 ?? ?? 31 26 48 00 B3 AF 3C 00 B0 AF 54 00 BF AF 50 00 B5 AF 4C 00 B4 AF 44 00 B2 AF 21 80 80 00 14 00 B1 AF 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 10 00 00 12 21 98 40 00 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 2B 10 02 02 09 00 40 14 FF FF 02 24 28 00 A6 8F 18 00 A2 27 0A 10 64 00 21 10 46 00 2B 10 02 02 11 00 40 14 18 00 B2 27 FF FF 02 24 B1 00 62 52 ?? ?? 04 3C 2C 00 A5 8F 2B 10 B3 00 69 00 40 14 0F 00 72 36 99 00 60 16 18 00 A3 8F 10 00 A5 2C 18 00 A2 27 0A 10 65 00 28 00 A0 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 0A 90 64 00 23 90 12 02 2B 10 D2 00 57 00 40 14 ?? ?? 04 3C 23 10 D2 00 2B 18 62 02 0A 98 43 00 21 98 72 02 2B 10 D3 00 4C 00 40 14 ?? ?? 04 3C 23 A0 D3 00 FF FF 02 24 2F 00 82 12 2C 00 A2 8F 2D 00 80 16 14 00 B0 27 2B 10 46 02 0A 90 C2 00 12 00 40 12 2C 00 A3 8F 18 00 A2 8F 18 00 A4 27 10 00 63 2C 0A 20 43 00 21 28 92 00 ?? ?? ?? 0? 23 30 D2 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 90 72 00 18 00 A3 8F 10 00 84 2C 28 00 B2 AF 0A 10 64 00 21 10 52 00 00 00 40 A0 ?? ?? ?? 0? 21 20 00 02 2C 00 A2 8F 10 00 42 2C 03 00 40 14 14 00 B1 AF ?? ?? ?? 0? 18 00 A4 8F 21 20 00 02 0F 00 02 24 2C 00 A2 AF 28 00 A0 AF ?? ?? ?? 0? 18 00 A0 A3 54 00 BF 8F 50 00 B5 8F 4C 00 B4 8F 48 00 B3 8F 44 00 B2 8F 40 00 B1 8F 3C 00 B0 8F 08 00 E0 03 58 00 BD 27 10 00 42 2C 13 00 40 14 14 00 B0 27 18 00 A2 8F 21 20 53 00 21 98 93 02 21 30 00 00 ?? ?? ?? 0? 21 28 53 00 28 00 A3 8F 2C 00 A4 8F 18 00 A2 27 23 A0 74 00 18 00 A3 8F 10 00 84 2C 28 00 B4 AF 0A 10 64 00 21 10 54 00 00 00 40 A0 ?? ?? ?? 0? 28 00 A6 8F 21 20 13 02 04 00 84 24 ?? ?? ?? 0? 18 00 A2 27 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 28 00 A6 8F FF FF 02 24 46 00 42 12 28 00 B5 8F AA AA 02 3C AB AA 42 34 19 00 42 02 42 10 05 00 10 38 00 00 42 18 07 00 2B 18 62 00 3F 00 60 10 01 00 44 26 FE FF 03 24 23 18 62 00 2B 18 65 00 39 00 60 10 21 90 45 00 FF FF 04 24 FE FF 12 24 ?? ?? ?? 0? 00 00 00 00 38 00 40 10 ?? ?? 14 3C 2C 00 A5 8F 21 A0 40 00 0A 00 A0 12 10 00 A5 2C 18 00 A3 8F 18 00 A2 27 0A 10 65 00 21 28 40 00 21 20 80 02 ?? ?? ?? 0? 21 30 A0 02 2C 00 A5 8F 10 00 A5 2C 04 00 A0 14 10 00 43 2E ?? ?? ?? 0? 18 00 A4 8F 10 00 43 2E 18 00 A2 27 18 00 B4 AF 0B A0 43 00 21 A0 95 02 2C 00 B2 AF 28 00 B5 AF 28 00 60 12 00 00 80 A2 2C 00 A5 8F 18 00 A3 8F 18 00 A2 27 10 00 A5 2C 21 20 40 00 0A 20 65 00 21 30 60 02 ?? ?? ?? 0? 21 28 00 02 2C 00 A4 8F 18 00 A3 8F 18 00 A2 27 10 00 84 2C 0A 10 64 00 21 10 53 00 28 00 B3 AF 14 00 B0 27 ?? ?? ?? 0? 00 00 40 A0 ?? ?? ?? 0? ?? ?? 84 24 ?? ?? ?? 0? 2C 00 A5 8F 21 90 60 02 01 00 44 26 CE FF 80 10 21 A0 00 00 ?? ?? ?? 0? 00 00 00 00 ?? ?? 94 26 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 10 00 A4 27 ?? ?? ?? 0? 10 00 B4 AF 21 A0 00 00 ?? ?? ?? 0? 2C 00 A5 8F ?? ?? ?? 0? 14 00 B0 27 }
	condition:
		$1
}

rule file_776_0_4 {
	meta:
		name = "_FRint"
		size = 336
		refs = "0008 fegetround 0048 _FDint 0068 fpadd 00b0 fpsub"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 AF 01 00 03 24 1D 00 43 10 02 00 43 28 28 00 60 14 02 00 03 24 07 00 43 10 03 00 03 24 13 00 43 10 10 00 A4 27 10 00 A2 8F 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 F8 FF 40 10 12 00 A2 87 F7 FF 40 04 10 00 A2 8F ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C 1C 00 BF 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 21 28 00 00 ?? ?? ?? 0? 10 00 A2 8F 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 E6 FF 40 10 12 00 A2 87 E5 FF 43 04 10 00 A2 8F ?? ?? 02 3C 10 00 A4 8F ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 1C 00 BF 8F DD FF 40 14 10 00 A2 8F 10 00 A4 27 ?? ?? ?? 0? 01 00 05 24 11 00 40 14 10 00 A4 27 ?? ?? ?? 0? 21 28 00 00 D4 FF 40 10 10 00 A2 8F 10 00 A4 27 ?? ?? ?? 0? FF FF 05 24 CE FF 40 10 12 00 A2 87 0E 00 40 04 10 00 A4 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 1C 00 BF 8F ?? ?? ?? 0? 21 28 00 00 C3 FF 40 10 12 00 A2 87 CD FF 41 04 ?? ?? 02 3C ?? ?? ?? 0? 10 00 A4 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 1C 00 BF 8F }
	condition:
		$1
}

rule file_777_5_4 {
	meta:
		name = "_Znwm"
		size = 240
		refs = "0018 _ZTVSt9bad_alloc 004c malloc 005c _ZSt9_New_hand 00b4 _ZSt6_ThrowRKSt9exception 00c4 __cxa_guard_acquire 00d4 __cxa_guard_release 00e0 atexit"
	strings:
		$1 = { C8 FF BD 27 28 00 B5 AF 1C 00 B2 AF 14 00 B0 AF ?? ?? 12 3C 01 00 10 24 ?? ?? 15 3C 2C 00 B6 AF 24 00 B4 AF 20 00 B3 AF 18 00 B1 AF 34 00 BF AF 30 00 B7 AF 0B 80 84 00 ?? ?? 11 3C ?? ?? 53 26 ?? ?? 14 3C ?? ?? B5 26 ?? ?? 16 3C ?? ?? ?? 0? 21 20 00 02 0B 00 40 14 34 00 BF 8F ?? ?? 22 8E 12 00 40 50 ?? ?? 42 82 09 F8 40 00 00 00 00 00 ?? ?? ?? 0? 21 20 00 02 F9 FF 40 50 ?? ?? 22 8E 34 00 BF 8F 30 00 B7 8F 2C 00 B6 8F 28 00 B5 8F 24 00 B4 8F 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 38 00 BD 27 05 00 40 10 ?? ?? 17 3C ?? ?? ?? 0? ?? ?? E4 26 ?? ?? ?? 0? 00 00 00 00 ?? ?? ?? 0? 21 20 60 02 F9 FF 40 10 21 20 60 02 ?? ?? ?? 0? ?? ?? 95 AE ?? ?? C4 26 ?? ?? ?? 0? ?? ?? 17 3C ?? ?? ?? 0? 00 00 00 00 }
	condition:
		$1
}

rule file_778_0_4 {
	meta:
		name = "_Scanf"
		size = 1268
		refs = "0048 _Vacopy 0094 _Mbtowc 00a8 _Wctob 00ac _Ctype 02e4 strchr 0328 _Getfld"
	strings:
		$1 = { 88 FF BD 27 1C 00 A4 AF 20 00 A5 AF 24 00 A4 27 21 28 E0 00 6C 00 B7 AF 68 00 B6 AF 64 00 B5 AF 60 00 B4 AF 5C 00 B3 AF 50 00 B0 AF 48 00 A6 AF 74 00 BF AF 70 00 BE AF 58 00 B2 AF 54 00 B1 AF 21 A8 E0 00 14 00 A0 AF ?? ?? ?? 0? 18 00 A0 AF 48 00 A6 8F 88 00 A2 8F FF 7F 13 3C ?? ?? 16 3C ?? ?? 17 3C 21 28 C0 00 3F 00 A2 A3 2C 00 A0 AF 28 00 A6 AF FF FF 14 24 ?? ?? 10 3C FF FF 73 36 ?? ?? D6 26 ?? ?? F7 26 10 00 A4 27 21 30 60 02 14 00 A7 27 ?? ?? ?? 0? 10 00 A0 AF 5F 00 40 18 21 90 40 00 10 00 A4 8F ?? ?? ?? 0? ?? ?? 11 8E 40 10 02 00 21 88 22 02 00 00 22 96 44 01 42 30 2F 00 40 14 2C 00 A2 8F 10 00 A2 8F 25 00 51 38 01 00 31 2E 23 88 51 02 43 00 20 1A 28 00 BE 8F ?? ?? ?? 0? 21 88 D1 03 9B 00 D1 53 28 00 BE 8F 2C 00 A2 8F 20 00 A4 8F 21 28 00 00 01 00 42 24 2C 00 A2 AF 1C 00 A2 8F 09 F8 40 00 01 00 06 24 00 00 C3 83 F4 FF 43 10 01 00 DE 27 FF FF 03 24 08 00 43 10 2C 00 A3 8F 21 28 40 00 20 00 A4 8F 1C 00 A2 8F FF FF 63 24 2C 00 A3 AF 09 F8 40 00 21 30 00 00 00 00 82 2A 0B A0 02 00 21 10 80 02 74 00 BF 8F 70 00 BE 8F 6C 00 B7 8F 68 00 B6 8F 64 00 B5 8F 60 00 B4 8F 5C 00 B3 8F 58 00 B2 8F 54 00 B1 8F 50 00 B0 8F 08 00 E0 03 78 00 BD 27 20 00 A4 8F ?? ?? 11 8E 01 00 42 24 2C 00 A2 AF 1C 00 A2 8F 21 28 00 00 09 F8 40 00 01 00 06 24 40 18 02 00 21 88 23 02 00 00 23 96 44 01 63 30 F3 FF 60 54 2C 00 A2 8F FF FF 03 24 1B 00 43 10 2C 00 A3 8F 21 28 40 00 20 00 A4 8F 1C 00 A2 8F FF FF 63 24 2C 00 A3 AF 09 F8 40 00 21 30 00 00 28 00 BE 8F 10 00 A2 8F 21 30 D2 03 25 00 03 24 16 00 43 10 28 00 A6 AF D2 FF 40 10 21 28 C0 00 10 00 A4 27 21 30 60 02 14 00 A7 27 ?? ?? ?? 0? 10 00 A0 AF A3 FF 40 1C 21 90 40 00 28 00 A2 8F 00 00 52 80 ?? ?? ?? 0? 2B 90 12 00 28 00 BE 8F 10 00 A2 8F FF FF 63 24 2C 00 A3 AF 21 30 D2 03 25 00 03 24 EC FF 43 14 28 00 A6 AF 00 00 C4 80 2A 00 03 24 8B 00 83 10 21 10 00 00 3C 00 A2 A3 34 00 A0 AF 00 00 C3 80 ?? ?? 07 8E FF 00 62 30 40 20 02 00 21 20 E4 00 00 00 84 94 20 00 84 30 13 00 80 50 2E 00 02 24 21 18 00 00 0A 00 05 24 05 00 73 10 01 00 C6 24 02 20 65 70 21 10 82 00 D0 FF 42 24 34 00 A2 AF 28 00 A6 AF 00 00 C3 80 FF 00 62 30 40 20 02 00 21 20 E4 00 00 00 84 94 20 00 84 30 F2 FF 80 54 34 00 A3 8F 2E 00 02 24 45 00 62 10 FF FF 02 24 38 00 A2 AF 28 00 A2 8F 00 00 45 80 ?? ?? ?? 0? 21 20 C0 02 76 00 40 10 28 00 A3 8F 00 00 62 80 01 00 64 24 28 00 A4 AF 68 00 04 24 30 00 44 10 3D 00 A2 A3 6C 00 04 24 60 00 44 10 01 00 65 80 ?? ?? ?? 0? 21 20 E0 02 0F 00 40 10 2C 00 A2 8F ?? ?? ?? 0? 1C 00 A4 27 6D 00 40 18 28 00 A5 8F 3E 00 A2 83 27 18 14 00 0A A0 03 00 2B 10 02 00 01 00 A5 24 21 A0 82 02 ?? ?? ?? 0? 28 00 A5 AF ?? ?? ?? 0? 10 00 A2 8F 20 00 A4 8F ?? ?? 11 8E 01 00 42 24 2C 00 A2 AF 1C 00 A2 8F 21 28 00 00 09 F8 40 00 01 00 06 24 40 18 02 00 21 88 23 02 00 00 23 96 44 01 63 30 F3 FF 60 54 2C 00 A2 8F FF FF 03 24 4E 00 43 10 2C 00 A3 8F 21 28 40 00 20 00 A4 8F 1C 00 A2 8F FF FF 63 24 2C 00 A3 AF 09 F8 40 00 21 30 00 00 ?? ?? ?? 0? 00 00 00 00 01 00 65 80 D2 FF A2 14 02 00 62 24 62 00 04 24 3D 00 A4 A3 28 00 A2 AF ?? ?? ?? 0? 02 00 65 80 01 00 C2 24 28 00 A2 AF 01 00 C4 80 2A 00 03 24 2D 00 83 50 00 00 A2 8E 38 00 A0 AF 01 00 C5 80 FF 00 A3 30 40 20 03 00 21 20 E4 00 00 00 84 94 20 00 84 30 B1 FF 80 10 99 19 06 3C 21 20 00 00 C9 99 C6 34 FF FF 09 24 ?? ?? ?? 0? 0A 00 08 24 21 20 65 00 38 00 A4 AF 01 00 42 24 28 00 A2 AF 00 00 45 80 FF 00 A3 30 40 20 03 00 21 20 E4 00 00 00 84 94 20 00 84 30 A0 FF 80 10 38 00 A4 8F D0 FF 65 24 23 18 C3 00 2B 18 64 00 F0 FF 60 10 02 18 88 70 ?? ?? ?? 0? 38 00 A9 AF 01 00 C6 24 28 00 A6 AF ?? ?? ?? 0? 2A 00 02 24 A0 FF A2 14 02 00 62 24 71 00 04 24 3D 00 A4 A3 28 00 A2 AF ?? ?? ?? 0? 02 00 65 80 02 00 C3 24 28 00 A3 AF 38 00 A2 AF 02 00 C5 80 ?? ?? ?? 0? 04 00 B5 26 28 00 A2 8F 3D 00 A0 A3 ?? ?? ?? 0? 00 00 45 80 2C 00 A2 8F FF FF 42 24 ?? ?? ?? 0? 2C 00 A2 AF 27 18 14 00 ?? ?? ?? 0? 0B 10 83 02 }
	condition:
		$1
}

rule file_779_0_4 {
	meta:
		name = "_FLog"
		size = 772
		refs = "0028 _FDunscale 004c _Feraise 0054 _FInf 0094 fpcmp 00b0 fpsub 00c0 fpadd 00cc fpdiv 00dc fpmul 014c sitofp 029c _FNan"
	strings:
		$1 = { D0 FF BD 27 18 00 B0 AF 30 00 A4 AF 21 80 A0 00 10 00 A4 27 30 00 A5 27 2C 00 BF AF 28 00 B4 AF 24 00 B3 AF 20 00 B2 AF ?? ?? ?? 0? 1C 00 B1 AF 01 00 03 24 63 00 43 10 02 00 03 24 64 00 43 10 2C 00 BF 8F 0F 00 40 14 32 00 A2 87 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 43 8C 00 80 02 3C 26 10 62 00 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 83 00 40 04 30 00 B3 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 54 00 42 04 21 20 60 02 10 00 B2 87 ?? ?? 14 3C ?? ?? 85 8E ?? ?? ?? 0? 21 20 60 02 ?? ?? 85 8E 21 20 60 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 98 40 00 21 A0 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 80 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 20 40 00 ?? ?? ?? 0? 21 28 60 02 21 20 40 02 ?? ?? ?? 0? 21 98 40 00 2D 00 00 16 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 2C 00 BF 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 32 00 A2 87 32 00 40 04 2C 00 BF 8F 30 00 A2 8F 28 00 B4 8F 24 00 B3 8F 20 00 B2 8F 1C 00 B1 8F 18 00 B0 8F 08 00 E0 03 30 00 BD 27 ?? ?? ?? 0? 21 28 60 02 10 00 B2 97 21 98 40 00 FF FF 52 26 ?? ?? ?? 0? 20 96 12 7C 26 00 00 5A ?? ?? 10 3C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 60 02 21 98 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 00 02 21 80 40 00 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C ?? ?? 05 8E ?? ?? ?? 0? 21 20 20 02 21 A0 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 05 8E 21 20 60 02 ?? ?? ?? 0? 21 88 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 40 02 ?? ?? ?? 0? 2C 00 BF 8F }
	condition:
		$1
}

rule file_779_1_4 {
	meta:
		name = "_FLogpoly"
		size = 88
		refs = "0014 fpmul 0024 fpadd"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 45 8C E8 FF BD 27 14 00 BF AF 10 00 B0 AF ?? ?? ?? 0? 21 80 80 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 14 00 BF 8F 10 00 B0 8F 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_781_0_4 {
	meta:
		name = "fmax"
		size = 196
		refs = "001c _Dtest 0044 fpcmp"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 14 00 B0 AF 1C 00 BF AF 02 00 10 24 18 00 B1 AF ?? ?? ?? 0? 24 00 A5 AF 16 00 50 10 24 00 B1 8F ?? ?? ?? 0? 24 00 A4 27 1C 00 50 10 20 00 B0 8F 24 00 B1 8F 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 06 00 40 04 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 0E 00 40 10 26 00 A2 87 21 88 00 02 1C 00 BF 8F 21 10 20 02 14 00 B0 8F 18 00 B1 8F 08 00 E0 03 20 00 BD 27 1C 00 BF 8F 14 00 B0 8F 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 F3 FF 43 04 21 88 00 02 ?? ?? ?? 0? 1C 00 BF 8F 20 00 B1 8F 1C 00 BF 8F 14 00 B0 8F 21 10 20 02 18 00 B1 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_783_0_4 {
	meta:
		name = "strtok_r"
		size = 180
		refs = "0028 strspn 0040 strcspn"
	strings:
		$1 = { E0 FF BD 27 18 00 B2 AF 14 00 B1 AF 10 00 B0 AF 1C 00 BF AF 21 88 80 00 21 90 A0 00 23 00 80 10 21 80 C0 00 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 21 88 22 02 00 00 22 82 11 00 40 10 21 20 20 02 ?? ?? ?? 0? 21 28 40 02 21 10 22 02 00 00 43 80 09 00 60 54 00 00 40 A0 1C 00 BF 8F 00 00 02 AE 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 42 24 1C 00 BF 8F ?? ?? 02 3C ?? ?? 42 24 21 88 00 00 00 00 02 AE 18 00 B2 8F 21 10 20 02 10 00 B0 8F 14 00 B1 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 00 00 D1 8C }
	condition:
		$1
}

rule file_787_0_4 {
	meta:
		name = "isprint"
		size = 28
		refs = "0000 _Ctype"
	strings:
		$1 = { ?? ?? 02 3C ?? ?? 42 8C 40 20 04 00 21 10 44 00 00 00 42 94 08 00 E0 03 3E 02 42 30 }
	condition:
		$1
}

rule file_788_0_4 {
	meta:
		name = "_Cnd_init"
		size = 32
		refs = "0008 pthread_cond_init"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 21 28 00 00 14 00 BF 8F 21 10 00 00 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_788_2_4 {
	meta:
		name = "_Cnd_wait"
		size = 84
		refs = "001c _Save_state 0028 pthread_cond_wait 0034 _Restore_state"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 21 88 80 00 00 00 A4 8C 1C 00 B0 AF 21 80 A0 00 24 00 BF AF ?? ?? ?? 0? 10 00 A5 27 21 28 40 00 ?? ?? ?? 0? 21 20 20 02 00 00 04 8E ?? ?? ?? 0? 10 00 A5 27 24 00 BF 8F 21 10 00 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_788_3_4 {
	meta:
		name = "_Cnd_timedwait"
		size = 112
		refs = "001c _Xtime_to_ts 0028 _Save_state 0038 pthread_cond_timedwait 0050 _Restore_state"
	strings:
		$1 = { D0 FF BD 27 28 00 B1 AF 24 00 B0 AF 21 88 80 00 21 80 A0 00 18 00 A4 27 2C 00 BF AF ?? ?? ?? 0? 21 28 C0 00 00 00 04 8E ?? ?? ?? 0? 10 00 A5 27 21 28 40 00 21 20 20 02 ?? ?? ?? 0? 18 00 A6 27 00 00 04 8E 91 00 42 38 10 00 A5 27 02 00 10 24 ?? ?? ?? 0? 0B 80 02 00 2C 00 BF 8F 21 10 00 02 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 30 00 BD 27 }
	condition:
		$1
}

rule file_788_4_4 {
	meta:
		name = "_Cnd_signal"
		size = 32
		refs = "0008 pthread_cond_signal"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 21 10 00 00 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_788_5_4 {
	meta:
		name = "_Cnd_broadcast"
		size = 32
		refs = "0008 pthread_cond_broadcast"
	strings:
		$1 = { E8 FF BD 27 14 00 BF AF ?? ?? ?? 0? 00 00 00 00 14 00 BF 8F 21 10 00 00 08 00 E0 03 18 00 BD 27 }
	condition:
		$1
}

rule file_790_0_4 {
	meta:
		name = "wcslen"
		size = 48
	strings:
		$1 = { 00 00 83 8C 08 00 60 10 21 10 00 00 21 10 80 00 04 00 42 24 00 00 43 8C FE FF 60 54 04 00 42 24 23 10 44 00 83 10 02 00 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_792_0_4 {
	meta:
		name = "modfl"
		size = 228
		refs = "0030 _LDint 0064 dpsub 00bc _LZero"
	strings:
		$1 = { D8 FF BD 27 2C 00 A5 AF 1C 00 B0 AF 2C 00 B0 8F 20 00 B1 AF 28 00 A4 AF 24 00 BF AF 21 88 80 00 00 00 C4 AC 04 00 D0 AC 21 20 C0 00 21 28 00 00 ?? ?? ?? 0? 10 00 A6 AF 07 00 40 04 10 00 A6 8F 02 00 43 28 12 00 60 54 2E 00 A2 87 02 00 03 24 09 00 43 10 24 00 BF 8F 04 00 C7 8C 00 00 C6 8C 21 20 20 02 ?? ?? ?? 0? 21 28 00 02 21 88 40 00 21 80 60 00 24 00 BF 8F 21 10 20 02 21 18 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 09 00 40 04 24 00 BF 8F 21 88 00 00 21 80 00 00 21 10 20 02 21 18 00 02 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? 02 3C ?? ?? 50 8C ?? ?? 51 8C 00 80 02 3C 26 80 02 02 21 18 00 02 21 10 20 02 1C 00 B0 8F 20 00 B1 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_793_0_4 {
	meta:
		name = "copysignf"
		size = 132
	strings:
		$1 = { F0 FF BD 27 0C 00 BE AF 21 F0 A0 03 10 00 C4 AF 14 00 C5 AF 10 00 C2 27 02 00 42 24 00 00 C2 AF 14 00 C2 27 02 00 42 24 04 00 C2 AF 00 00 C2 8F 00 00 42 94 20 16 02 7C FF 7F 42 30 20 1E 02 7C 04 00 C2 8F 00 00 42 94 20 26 02 7C 00 80 02 24 24 10 82 00 20 16 02 7C 25 10 62 00 20 16 02 7C FF FF 43 30 00 00 C2 8F 00 00 43 A4 10 00 C2 8F 21 E8 C0 03 0C 00 BE 8F 10 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_794_0_4 {
	meta:
		name = "mktime"
		size = 492
		refs = "009c _Daysto 00a8 sitofp 00b4 fpmul 00dc fpadd 0178 fpcmp 0190 fpsub 0198 fptosi 01ac _Ttotm 01c0 _Tzoff"
	strings:
		$1 = { 10 00 82 8C D8 FF BD 27 1C 00 B2 AF 0C 00 12 24 1A 00 52 00 F4 01 40 02 F4 FF 05 24 18 00 B1 AF 24 00 BF AF 20 00 B3 AF 14 00 B0 AF 12 90 00 00 02 18 45 72 21 28 62 00 13 00 A0 04 21 88 80 00 63 00 42 06 14 00 22 8E 12 00 40 12 FF 7F 03 3C 14 00 22 8E FF FF 63 34 23 18 72 00 2A 18 62 00 0D 00 60 10 FF FF 10 24 24 00 BF 8F 21 10 00 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 0C 00 A5 24 ?? ?? ?? 0? FF FF 52 26 14 00 22 8E 21 90 52 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? 10 3C ?? ?? ?? 0? FF FF 44 24 ?? ?? 05 8E ?? ?? ?? 0? 21 20 40 00 21 20 40 02 ?? ?? ?? 0? 21 98 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 60 02 0C 00 24 8E ?? ?? ?? 0? 21 90 40 00 ?? ?? 05 8E ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 08 00 24 8E ?? ?? ?? 0? 21 80 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 04 00 24 8E ?? ?? ?? 0? 21 90 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 00 00 24 8E ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 90 40 00 B9 FF 40 04 FF FF 10 24 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 20 40 00 20 00 26 8E 21 20 20 02 21 28 40 00 ?? ?? ?? 0? 21 80 40 00 20 00 23 8E F0 F1 02 26 2A 18 03 00 ?? ?? ?? 0? 0B 80 43 00 ?? ?? ?? 0? 23 80 02 02 00 80 03 3C 23 18 72 00 2A 18 43 00 AE FF 60 10 FF FF 10 24 ?? ?? ?? 0? 24 00 BF 8F }
	condition:
		$1
}

rule file_795_0_4 {
	meta:
		name = "get_acsize"
		size = 76
		refs = "0010 _Dunscale"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A5 27 1C 00 BF AF ?? ?? ?? 0? 10 00 A4 27 10 00 A3 87 35 00 02 24 1C 00 BF 8F 1A 00 62 00 F4 01 40 00 06 00 03 24 20 00 BD 27 12 10 00 00 40 10 02 00 05 00 42 24 07 00 44 2C 08 00 E0 03 0A 10 64 00 }
	condition:
		$1
}

rule file_795_1_4 {
	meta:
		name = "_Quad"
		size = 1412
		refs = "0040 fpcmp 006c fpmul 0090 fpsub 00a0 _Dint 00f0 _Dunscale 011c _Dscale 012c _Xp_setw 0158 memcpy 0168 _Xp_mulh 01a8 _Xp_addx 01d8 fpadd 0318 _Xp_getw 0358 fmod 0364 fptosi"
	strings:
		$1 = { 68 FF BD 27 78 00 B2 AF 70 00 B0 AF ?? ?? 12 3C 00 00 90 8C 8C 00 B7 AF 21 B8 80 00 ?? ?? 44 8E 21 28 00 02 94 00 BF AF 90 00 BE AF 88 00 B6 AF 84 00 B5 AF 80 00 B4 AF 7C 00 B3 AF 74 00 B1 AF ?? ?? ?? 0? 14 00 B0 AF 27 00 41 04 ?? ?? 16 3C ?? ?? C5 8E ?? ?? ?? 0? 21 20 00 02 23 00 41 04 10 00 A4 27 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 21 20 00 00 ?? ?? ?? 0? 21 80 40 00 EF 00 40 18 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 F0 00 40 14 ?? ?? 02 3C 14 00 A2 8F 21 20 20 02 00 00 E2 AE ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 99 00 41 04 ?? ?? 10 3C ?? ?? ?? 0? ?? ?? 05 8E 10 00 A4 27 18 00 A5 27 ?? ?? ?? 0? 18 00 B0 AF 10 00 A2 87 56 00 43 28 66 00 60 14 14 00 A6 8F CA FF 42 24 43 11 02 00 40 29 02 00 14 00 A4 27 23 28 05 00 ?? ?? ?? 0? 10 00 A2 A7 14 00 A6 8F 1C 00 A4 27 ?? ?? ?? 0? 02 00 05 24 10 00 A5 87 18 00 11 24 ?? ?? 10 3C FF FF A5 24 02 10 B1 70 3C 00 B3 27 ?? ?? 10 26 18 00 06 24 21 20 60 02 ?? ?? ?? 0? 21 28 50 00 1C 00 A6 8F 21 20 60 02 ?? ?? ?? 0? 06 00 05 24 20 00 A4 8F ?? ?? ?? 0? 21 28 00 00 F0 00 40 54 10 00 A5 87 ?? ?? 02 3C ?? ?? 54 8C ?? ?? 02 3C 06 00 10 24 ?? ?? 55 8C ?? ?? ?? 0? ?? ?? 11 3C 21 28 00 02 24 00 A6 27 ?? ?? ?? 0? 21 38 00 02 3C 00 BE 8F ?? ?? 45 8E ?? ?? ?? 0? 21 20 C0 03 04 00 40 04 21 28 C0 03 ?? ?? ?? 0? ?? ?? C4 8E 38 00 41 04 40 00 A5 8F ?? ?? ?? 0? 21 20 C0 03 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 8F 00 80 02 3C 21 28 A0 02 ?? ?? ?? 0? 26 20 82 00 21 30 40 00 1C 00 A4 27 ?? ?? ?? 0? 02 00 05 24 80 30 10 00 24 00 A4 27 ?? ?? ?? 0? ?? ?? 25 26 1C 00 A6 8F 24 00 A4 27 ?? ?? ?? 0? 21 28 00 02 20 00 A4 8F ?? ?? ?? 0? 21 28 00 00 D4 FF 40 50 21 20 60 02 ?? ?? ?? 0? 3C 00 A4 8F 80 30 02 00 54 00 A4 27 ?? ?? 25 26 ?? ?? ?? 0? 21 80 40 00 20 00 A6 8F 54 00 A4 27 ?? ?? ?? 0? 21 28 00 02 24 00 A4 27 21 28 00 02 54 00 A6 27 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 21 20 60 02 3C 00 B3 27 21 20 60 02 ?? ?? ?? 0? 06 00 05 24 ?? ?? ?? 0? ?? ?? 02 3C ?? ?? ?? 0? 21 20 C0 03 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 28 40 00 21 20 00 00 ?? ?? ?? 0? 21 88 40 00 30 00 40 1C ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 8F ?? ?? ?? 0? 21 28 00 00 30 00 40 14 00 00 00 00 21 20 60 02 ?? ?? ?? 0? 21 28 00 02 18 00 B1 8F 00 00 E2 AE ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 06 00 40 04 ?? ?? 10 3C ?? ?? 04 8E ?? ?? ?? 0? 21 28 20 02 05 00 41 04 00 00 00 00 ?? ?? 05 8E ?? ?? ?? 0? 21 20 20 02 21 88 40 00 ?? ?? ?? 0? 21 20 20 02 94 00 BF 8F 03 00 42 30 90 00 BE 8F 8C 00 B7 8F 88 00 B6 8F 84 00 B5 8F 80 00 B4 8F 7C 00 B3 8F 78 00 B2 8F 74 00 B1 8F 70 00 B0 8F 08 00 E0 03 98 00 BD 27 ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 A4 8F ?? ?? ?? 0? 21 28 00 00 D3 FF 40 50 21 20 60 02 ?? ?? ?? 0? 3C 00 A4 8F ?? ?? 05 3C 80 30 02 00 54 00 A4 27 ?? ?? A5 24 ?? ?? ?? 0? 21 80 40 00 18 00 A4 8F ?? ?? 02 3C ?? ?? 45 8C 00 80 02 3C ?? ?? ?? 0? 26 20 82 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 30 40 00 54 00 A4 27 ?? ?? ?? 0? 21 28 00 02 21 20 60 02 21 28 00 02 54 00 A6 27 ?? ?? ?? 0? 21 38 00 02 ?? ?? ?? 0? 21 20 60 02 ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 18 00 A4 27 21 28 00 00 ?? ?? ?? 0? 18 00 A2 AF 18 00 B1 8F 21 28 00 00 ?? ?? ?? 0? 21 20 20 02 14 FF 40 50 14 00 A2 8F ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 21 80 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 14 00 A4 8F ?? ?? ?? 0? 21 28 40 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 14 00 A2 AF 24 00 A4 27 18 00 06 24 FF FF A5 24 02 10 B1 70 ?? ?? ?? 0? 21 28 50 00 20 00 A6 8F 24 00 A4 27 ?? ?? ?? 0? 06 00 05 24 21 20 60 02 06 00 05 24 24 00 A6 27 ?? ?? ?? 0? 06 00 07 24 ?? ?? ?? 0? ?? ?? 02 3C }
	condition:
		$1
}

rule file_797_0_4 {
	meta:
		name = "_LErfc"
		size = 196
		refs = "0030 dpmul 0050 _LPoly 0084 dpdiv 0098 _LExp"
	strings:
		$1 = { C8 FF BD 27 00 80 03 3C 24 00 B0 AF 26 18 A3 00 21 80 A0 00 21 30 80 00 21 38 00 02 21 28 60 00 34 00 BF AF 30 00 B3 AF 2C 00 B2 AF 28 00 B1 AF ?? ?? ?? 0? 21 88 80 00 ?? ?? 06 3C 21 20 20 02 21 28 00 02 ?? ?? C6 24 06 00 07 24 18 00 A2 AF ?? ?? ?? 0? 1C 00 A3 AF ?? ?? 06 3C 21 20 20 02 21 28 00 02 ?? ?? C6 24 06 00 07 24 21 90 40 00 ?? ?? ?? 0? 21 98 60 00 21 30 40 00 21 20 40 02 21 28 60 02 ?? ?? ?? 0? 21 38 60 00 21 38 60 00 18 00 A4 27 21 30 40 00 ?? ?? ?? 0? 10 00 A0 AF 34 00 BF 8F 18 00 A2 8F 1C 00 A3 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 }
	condition:
		$1
}

rule file_798_0_4 {
	meta:
		name = "fegettrapenable"
		size = 108
		refs = "0010 _Tls_setup__Fenv 0030 _Fenv"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 18 00 BE AF 21 F0 A0 03 ?? ?? 02 3C ?? ?? 42 8C 05 00 40 10 00 00 00 00 ?? ?? 02 3C ?? ?? 42 8C 09 F8 40 00 00 00 00 00 ?? ?? 02 3C ?? ?? 42 24 10 00 C2 AF 10 00 C2 8F 00 00 42 94 27 10 02 00 FF FF 42 30 3D 00 42 30 FF FF 42 30 21 E8 C0 03 1C 00 BF 8F 18 00 BE 8F 20 00 BD 27 08 00 E0 03 00 00 00 00 }
	condition:
		$1
}

rule file_799_0_4 {
	meta:
		name = "wctomb_s"
		size = 272
		refs = "0038 _Getmbcurmax 0058 _Wctomb 00b4 memcpy 00d4 _Fail_s"
	strings:
		$1 = { C8 FF BD 27 2C 00 B2 AF 28 00 B1 AF 24 00 B0 AF 34 00 BF AF 30 00 B3 AF 21 80 80 00 21 90 A0 00 2A 00 80 10 21 88 C0 00 26 00 A0 10 00 00 00 00 27 00 C0 04 ?? ?? 04 3C ?? ?? ?? 0? 18 00 A7 AF 2B 10 22 02 10 00 40 14 18 00 A7 8F ?? ?? 06 3C 21 20 40 02 21 28 E0 00 ?? ?? ?? 0? ?? ?? C6 24 21 98 40 00 00 00 13 AE 21 10 00 00 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 06 3C 10 00 A4 27 21 28 E0 00 ?? ?? ?? 0? ?? ?? C6 24 F1 FF 40 18 21 98 40 00 2B 88 22 02 13 00 20 16 21 20 40 02 10 00 A5 27 ?? ?? ?? 0? 21 30 40 00 ?? ?? ?? 0? 00 00 13 AE E2 FF C0 10 ?? ?? 06 3C ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 17 00 05 24 34 00 BF 8F 30 00 B3 8F 2C 00 B2 8F 28 00 B1 8F 24 00 B0 8F 08 00 E0 03 38 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1B 00 05 24 ?? ?? ?? 0? 34 00 BF 8F }
	condition:
		$1
}

rule file_800_0_4 {
	meta:
		name = "fmaxl"
		size = 316
		refs = "002c _LDtest 0064 dpcmp"
	strings:
		$1 = { D8 FF BD 27 28 00 A4 AF 28 00 A4 27 14 00 B0 AF 24 00 BF AF 02 00 10 24 20 00 B3 AF 1C 00 B2 AF 18 00 B1 AF 2C 00 A5 AF 30 00 A6 AF ?? ?? ?? 0? 34 00 A7 AF 22 00 50 10 30 00 B3 8F ?? ?? ?? 0? 30 00 A4 27 32 00 50 10 28 00 B0 8F 30 00 B3 8F 2C 00 B1 8F 34 00 B2 8F 21 20 00 02 21 30 60 02 21 28 20 02 ?? ?? ?? 0? 21 38 40 02 0B 00 40 04 21 20 00 02 21 30 60 02 21 28 20 02 ?? ?? ?? 0? 21 38 40 02 18 00 40 14 24 00 BF 8F 2E 00 A2 87 00 00 42 28 0A 98 02 02 0A 90 22 02 24 00 BF 8F 21 10 60 02 21 18 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 34 00 B2 8F 24 00 BF 8F 21 10 60 02 21 18 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 21 98 00 02 21 90 20 02 21 10 60 02 21 18 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 28 00 B3 8F 2C 00 B2 8F 24 00 BF 8F 21 10 60 02 21 18 40 02 20 00 B3 8F 1C 00 B2 8F 18 00 B1 8F 14 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_801_0_4 {
	meta:
		name = "_wrename"
		size = 128
		refs = "0024 wcstombs 0060 link 0070 unlink"
	strings:
		$1 = { D8 FD BD 27 21 10 80 00 1C 02 B0 AF 10 00 A4 27 21 80 A0 00 04 01 06 24 21 28 40 00 20 02 B1 AF 24 02 BF AF ?? ?? ?? 0? FF FF 11 24 07 00 51 14 14 01 A4 27 24 02 BF 8F 21 10 20 02 1C 02 B0 8F 20 02 B1 8F 08 00 E0 03 28 02 BD 27 21 28 00 02 ?? ?? ?? 0? 04 01 06 24 F6 FF 51 10 10 00 A4 27 ?? ?? ?? 0? 14 01 A5 27 F3 FF 40 14 24 02 BF 8F ?? ?? ?? 0? 10 00 A4 27 ?? ?? ?? 0? 21 88 40 00 }
	condition:
		$1
}

rule file_802_0_4 {
	meta:
		name = "log1p"
		size = 312
		refs = "0018 _Dtest 0048 fpcmp 006c fpadd 007c _Log 008c fpsub 00a4 fpdiv 00f4 _Feraise 00fc _Inf 012c _Nan"
	strings:
		$1 = { E0 FF BD 27 20 00 A4 AF 20 00 A4 27 1C 00 BF AF 18 00 B2 AF 14 00 B1 AF ?? ?? ?? 0? 10 00 B0 AF 01 00 03 24 2A 00 43 10 02 00 03 24 2B 00 43 50 20 00 A2 8F 29 00 40 10 20 00 A2 8F 20 00 B0 8F ?? ?? 11 3C ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 34 00 40 04 ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 24 00 40 10 ?? ?? 11 3C ?? ?? 25 8E ?? ?? ?? 0? 21 20 00 02 21 20 40 00 21 28 00 00 ?? ?? ?? 0? 21 80 40 00 ?? ?? 25 8E 21 20 00 02 ?? ?? ?? 0? 21 90 40 00 20 00 A5 8F ?? ?? ?? 0? 21 20 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 00 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 26 00 A2 87 D9 FF 40 04 20 00 A2 8F 1C 00 BF 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 43 8C 1C 00 BF 8F 00 80 02 3C 26 10 62 00 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? ?? 0? 01 00 04 24 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 42 8C }
	condition:
		$1
}

rule file_803_0_4 {
	meta:
		name = "roundf"
		size = 132
		refs = "0010 _FDint 004c fpadd 0074 fpsub"
	strings:
		$1 = { E8 FF BD 27 18 00 A4 AF 01 00 05 24 14 00 BF AF ?? ?? ?? 0? 18 00 A4 27 FF FF 42 24 01 00 03 24 2B 10 62 00 0F 00 40 10 18 00 A2 8F 18 00 A4 27 ?? ?? ?? 0? 21 28 00 00 09 00 40 10 1A 00 A2 87 0B 00 40 04 18 00 A4 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C 14 00 BF 8F 08 00 E0 03 18 00 BD 27 18 00 A2 8F 14 00 BF 8F 08 00 E0 03 18 00 BD 27 ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 45 8C ?? ?? ?? 0? 14 00 BF 8F }
	condition:
		$1
}

rule file_805_0_4 {
	meta:
		name = "ceill"
		size = 172
		refs = "0024 _LDint 0060 dpcmp 0080 dpadd"
	strings:
		$1 = { D8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 21 80 80 00 21 28 00 00 10 00 A4 27 24 00 BF AF 10 00 B0 AF ?? ?? ?? 0? 14 00 B1 AF 0A 00 40 04 21 20 00 00 10 00 A5 8F 14 00 A4 8F 24 00 BF 8F 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 21 28 00 00 21 30 00 02 ?? ?? ?? 0? 21 38 20 02 F3 FF 41 04 10 00 A5 8F ?? ?? 02 3C 10 00 A4 8F 14 00 A5 8F ?? ?? 46 8C ?? ?? ?? 0? ?? ?? 47 8C 24 00 BF 8F 21 28 40 00 21 20 60 00 21 10 A0 00 21 18 80 00 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 28 00 BD 27 }
	condition:
		$1
}

rule file_806_0_4 {
	meta:
		name = "catanh"
		size = 1120
		refs = "0024 creal 0034 cimag 0040 _Dtest 0084 fpcmp 00d4 _Feraise 00dc _Inf 00fc _Cbuild 01dc fpsub 01ec fpmul 021c fpadd 0228 fpdiv 0230 log1p 0284 atan2 02f4 _Zero 038c sqrt 03b8 _Log"
	strings:
		$1 = { C8 FF BD 27 20 00 B1 AF 1C 00 B0 AF 21 88 A0 00 21 80 80 00 34 00 BF AF 30 00 B5 AF 2C 00 B4 AF 28 00 B3 AF ?? ?? ?? 0? 24 00 B2 AF 21 28 20 02 21 20 00 02 ?? ?? ?? 0? 10 00 A2 AF 10 00 A4 27 ?? ?? ?? 0? 14 00 A2 AF 14 00 A4 27 ?? ?? ?? 0? 21 80 40 00 02 00 03 24 33 00 03 12 00 00 00 00 42 00 43 10 01 00 02 24 9C 00 02 12 1A 00 A2 87 E8 00 40 04 14 00 B1 8F 14 00 B1 8F 10 00 B2 8F 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 49 00 40 04 ?? ?? 13 3C 14 00 A3 8F ?? ?? 65 8E 00 80 02 3C 26 10 62 00 21 20 40 02 21 80 00 00 ?? ?? ?? 0? 14 00 A2 AF 49 00 40 14 ?? ?? 64 8E 14 00 B2 8F 21 28 00 00 ?? ?? ?? 0? 21 20 40 02 A9 00 40 14 21 20 40 02 ?? ?? ?? 0? 04 00 04 24 ?? ?? 02 3C ?? ?? 52 8C 14 00 B1 8F 6F 00 00 16 00 80 02 3C 00 80 02 3C 26 88 51 00 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 BD 00 50 10 01 00 03 24 84 00 43 10 10 00 B2 8F 21 88 40 02 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 FF FF 10 32 02 00 10 2E 7B 00 00 16 16 00 A2 87 14 00 B2 8F 21 88 40 02 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 00 80 02 3C ?? ?? 65 8E 26 90 52 00 21 20 40 02 10 00 B2 AF ?? ?? ?? 0? 01 00 10 24 BB FF 40 50 14 00 B2 8F ?? ?? 64 8E ?? ?? ?? 0? 21 28 40 02 21 20 20 02 21 28 20 02 ?? ?? ?? 0? 21 A0 40 00 21 88 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 40 02 21 20 80 02 21 28 80 02 ?? ?? ?? 0? 21 90 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 14 00 A4 8F 21 90 40 00 ?? ?? ?? 0? 21 28 80 00 10 00 A4 8F ?? ?? 65 8E ?? ?? ?? 0? 21 A8 40 00 21 20 40 00 ?? ?? ?? 0? 21 28 80 02 21 20 40 00 ?? ?? ?? 0? 21 28 20 02 21 28 40 00 ?? ?? ?? 0? 21 20 A0 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 94 FF 00 12 21 88 40 00 00 80 02 3C 26 90 52 00 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 10 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 90 00 00 06 00 41 04 1A 00 A2 87 ?? ?? 02 3C ?? ?? 52 8C 00 80 02 3C 26 90 42 02 1A 00 A2 87 48 00 40 04 ?? ?? 02 3C ?? ?? 51 8C 21 20 40 02 ?? ?? ?? 0? 21 28 20 02 34 00 BF 8F 30 00 B5 8F 2C 00 B4 8F 28 00 B3 8F 24 00 B2 8F 20 00 B1 8F 1C 00 B0 8F 08 00 E0 03 38 00 BD 27 14 00 A4 8F ?? ?? ?? 0? 21 28 00 00 3F 00 40 04 ?? ?? 02 3C ?? ?? 51 8C ?? ?? ?? 0? 21 90 00 00 34 00 40 04 21 90 00 00 ?? ?? ?? 0? 14 00 B1 8F ?? ?? ?? 0? 21 28 40 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 ?? ?? ?? 0? 21 20 40 00 21 20 20 02 ?? ?? ?? 0? 21 90 40 00 21 28 40 00 ?? ?? ?? 0? 21 20 40 02 21 20 40 00 ?? ?? ?? 0? 21 28 00 00 21 90 40 00 ?? ?? 02 3C ?? ?? 45 8C ?? ?? ?? 0? 21 20 20 02 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 ?? ?? 03 3C ?? ?? 65 8C ?? ?? ?? 0? 21 20 40 00 14 00 A4 8F 21 28 00 00 ?? ?? ?? 0? 21 88 40 00 38 FF 41 04 00 80 02 3C ?? ?? ?? 0? 26 88 51 00 00 80 02 3C ?? ?? ?? 0? 26 88 22 02 10 00 B2 8F ?? ?? ?? 0? 14 00 B1 8F ?? ?? 02 3C ?? ?? ?? 0? ?? ?? 51 8C ?? ?? 02 3C ?? ?? 52 8C 00 80 02 3C 14 00 B1 8F ?? ?? ?? 0? 26 90 42 02 ?? ?? 02 3C ?? ?? 51 8C ?? ?? ?? 0? 21 90 00 00 }
	condition:
		$1
}

rule file_807_0_4 {
	meta:
		name = "localtime_s"
		size = 96
		refs = "001c _Tzoff 0030 _Ttotm 0050 _Fail_s"
	strings:
		$1 = { E0 FF BD 27 1C 00 BF AF 0F 00 80 10 18 00 B0 AF 0E 00 A0 50 ?? ?? 04 3C 00 00 90 8C ?? ?? ?? 0? 10 00 A5 AF 10 00 A5 8F FF FF 06 24 21 20 A0 00 ?? ?? ?? 0? 21 28 50 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 ?? ?? 04 3C ?? ?? 84 24 ?? ?? ?? 0? 1A 00 05 24 ?? ?? ?? 0? 21 10 00 00 }
	condition:
		$1
}

rule file_808_0_4 {
	meta:
		name = "_Dunscale"
		size = 180
		refs = "0028 _Dnorm"
	strings:
		$1 = { 06 00 A3 94 E0 FF BD 27 18 00 B0 AF 00 51 62 7C 21 80 80 00 FF 07 04 24 0D 00 44 10 1C 00 BF AF 1A 00 40 14 21 20 A0 00 ?? ?? ?? 0? 10 00 A5 AF 15 00 40 18 10 00 A5 8F 00 00 00 A6 21 10 00 00 1C 00 BF 8F 18 00 B0 8F 08 00 E0 03 20 00 BD 27 00 00 00 A6 06 00 A3 94 0F 00 63 30 F8 FF 60 14 02 00 02 24 04 00 A3 94 F6 FF 60 14 1C 00 BF 8F 02 00 A3 94 F3 FF 60 14 01 00 03 24 00 00 A4 94 ?? ?? ?? 0? 0A 10 64 00 06 00 A3 94 1C 00 BF 8F 0F 80 63 30 02 FC 44 24 E0 3F 63 34 06 00 A3 A4 FF FF 02 24 00 00 04 A6 18 00 B0 8F 08 00 E0 03 20 00 BD 27 }
	condition:
		$1
}

rule file_809_0_4 {
	meta:
		name = "realloc"
		size = 628
		refs = "006c free 00d8 _Aldata 0168 realloc 0180 malloc 01d4 memcpy 0220 memmove"
	strings:
		$1 = { D8 FF BD 27 14 00 B1 AF 10 00 B0 AF 24 00 BF AF 20 00 B4 AF 1C 00 B3 AF 18 00 B2 AF 21 80 80 00 57 00 80 10 21 88 A0 00 10 00 A0 10 0F 00 A3 24 F8 FF 02 24 24 10 62 00 2B 18 A2 00 16 00 60 54 F8 FF 83 8C 21 80 00 00 24 00 BF 8F 21 10 00 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 ?? ?? ?? 0? 21 80 00 00 24 00 BF 8F 21 10 00 02 20 00 B4 8F 1C 00 B3 8F 18 00 B2 8F 14 00 B1 8F 10 00 B0 8F 08 00 E0 03 28 00 BD 27 08 00 46 2C 08 00 05 24 08 00 64 2C 0B 10 A6 00 E6 FF 80 14 F8 FF 12 26 07 00 64 30 E4 FF 80 54 21 80 00 00 F8 FF 64 24 2B 20 82 00 32 00 80 10 21 20 42 02 2B 20 62 00 DE FF 80 10 24 00 BF 8F ?? ?? 08 3C ?? ?? 04 25 04 00 85 8C 34 00 A0 10 00 00 00 00 04 00 A4 8C 5D 00 80 10 21 48 43 02 2B 30 92 00 5B 00 C0 10 ?? ?? 13 3C 21 30 A0 00 ?? ?? ?? 0? 21 28 80 00 07 00 E0 10 00 00 00 00 21 28 80 00 04 00 84 8C 04 00 D3 24 21 30 A0 00 F9 FF 80 14 2B 38 92 00 43 00 25 51 00 00 64 8E 1D 00 24 15 00 00 64 8E ?? ?? 00 AD 04 00 85 8C 00 00 A7 8C 04 00 A6 8C 21 18 67 00 2B 28 62 00 00 00 43 AE 13 00 A0 14 04 00 86 AC 21 20 00 02 ?? ?? ?? 0? 21 28 20 02 11 00 40 10 00 00 00 00 ?? ?? ?? 0? 21 80 40 00 ?? ?? ?? 0? 21 20 A0 00 ?? ?? ?? 0? 21 80 40 00 23 18 62 00 00 00 83 AC 08 00 84 24 ?? ?? ?? 0? 00 00 42 AE ?? ?? ?? 0? 24 00 BF 8F 00 00 64 8E 0E 00 80 54 00 00 83 8C ?? ?? ?? 0? 21 20 20 02 A0 FF 40 10 21 88 40 00 00 00 46 8E 21 28 00 02 21 20 40 00 ?? ?? ?? 0? F8 FF C6 24 ?? ?? ?? 0? 21 20 00 02 ?? ?? ?? 0? 21 80 20 02 21 28 83 00 F1 FF 45 16 00 00 00 00 00 00 45 8E 21 18 65 00 2B 10 62 00 EC FF 40 14 21 28 00 02 ?? ?? 00 AD 00 00 83 AC 00 00 46 8E 04 00 94 8C 08 00 84 24 ?? ?? ?? 0? F8 FF C6 24 21 20 40 00 00 00 74 AE ?? ?? ?? 0? 21 28 20 02 ?? ?? ?? 0? 00 00 00 00 ?? ?? 00 AD 00 00 85 8C 04 00 84 8C 21 18 65 00 2B 28 62 00 00 00 43 AE C2 FF A0 10 00 00 64 AE ?? ?? ?? 0? 00 00 00 00 ?? ?? 13 3C ?? ?? ?? 0? ?? ?? 73 26 }
	condition:
		$1
}

rule file_810_1_4 {
	meta:
		name = "vsnprintf"
		size = 80
		refs = "0020 _Printf"
	strings:
		$1 = { D8 FF BD 27 0E 00 A0 14 24 00 BF AF 18 00 A0 AF 1C 00 A0 AF ?? ?? 04 3C ?? ?? 84 24 18 00 A5 27 ?? ?? ?? 0? 10 00 A0 AF 18 00 A3 8F 01 00 60 54 00 00 60 A0 24 00 BF 8F 08 00 E0 03 28 00 BD 27 FF FF A5 24 18 00 A4 AF ?? ?? ?? 0? 1C 00 A5 AF }
	condition:
		$1
}