private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "ARM"
	condition:
		true
}

rule file_2_0_0 {
	meta:
		name = "_RTC_Initialize"
		size = 54
		refs = "0008 __rtc_iaa 0010 __rtc_izz 0028 _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B ?? ?? ?? ?? C0 F2 00 03 ?? ?? ?? ?? C0 F2 00 06 1D 1D 1B 1D B3 42 08 D2 55 F8 04 4B 1C B1 20 46 ?? ?? ?? ?? A0 47 B5 42 F6 D3 BD E8 78 88 }
	condition:
		$1
}

rule file_2_1_0 {
	meta:
		name = "_RTC_Terminate"
		size = 54
		refs = "0008 __rtc_taa 0010 __rtc_tzz 0028 _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B ?? ?? ?? ?? C0 F2 00 03 ?? ?? ?? ?? C0 F2 00 06 1D 1D 1B 1D B3 42 08 D2 55 F8 04 4B 1C B1 20 46 ?? ?? ?? ?? A0 47 B5 42 F6 D3 BD E8 78 88 }
	condition:
		$1
}

rule file_4_0_0 {
	meta:
		name = "??0bad_alloc@std@@AAA@QBD@Z"
		size = 48
		refs = "0010 ??0exception@std@@QAA@QBDH@Z 002c ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_1_0 {
	meta:
		name = "??0bad_alloc@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0exception@std@@QAA@ABV01@@Z 0028 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_1_4 {
	meta:
		name = "??0__non_rtti_object@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0bad_typeid@std@@QAA@ABV01@@Z 0028 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_3_0 {
	meta:
		name = "??0bad_array_new_length@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0bad_alloc@std@@QAA@ABV01@@Z 0028 ??_7bad_array_new_length@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_150_2 {
	meta:
		name = "??0bad_cast@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0exception@std@@QAA@ABV01@@Z 0028 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_44_1 {
	meta:
		name = "??0bad_exception@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0exception@std@@QAA@ABV01@@Z 0028 ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_2_2 {
	meta:
		name = "??0bad_function_call@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0exception@std@@QAA@ABV01@@Z 0028 ??_7bad_function_call@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_5_4 {
	meta:
		name = "??0bad_typeid@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0exception@std@@QAA@ABV01@@Z 0028 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_86_1 {
	meta:
		name = "??0failure@ios_base@std@@QAA@ABV012@@Z"
		size = 44
		refs = "000e ??0system_error@std@@QAA@ABV01@@Z 0028 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_8_2 {
	meta:
		name = "??0invalid_argument@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0logic_error@std@@QAA@ABV01@@Z 0028 ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_10_2 {
	meta:
		name = "??0length_error@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0logic_error@std@@QAA@ABV01@@Z 0028 ??_7length_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_5_2 {
	meta:
		name = "??0logic_error@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0exception@std@@QAA@ABV01@@Z 0028 ??_7logic_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_14_3 {
	meta:
		name = "??0out_of_range@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0logic_error@std@@QAA@ABV01@@Z 0028 ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_16_2 {
	meta:
		name = "??0overflow_error@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0runtime_error@std@@QAA@ABV01@@Z 0028 ??_7overflow_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_46_1 {
	meta:
		name = "??0runtime_error@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0exception@std@@QAA@ABV01@@Z 0028 ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_43_1 {
	meta:
		name = "??0system_error@std@@QAA@ABV01@@Z"
		size = 44
		refs = "000e ??0_System_error@std@@QAA@ABV01@@Z 0028 ??_7system_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_2_0 {
	meta:
		name = "??0bad_alloc@std@@QAA@XZ"
		size = 52
		refs = "0010 ??0exception@std@@QAA@QBDH@Z 002c ??_7bad_alloc@std@@6B@ 0030 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 08 49 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_116_3 {
	meta:
		name = "??0bad_cast@std@@QAA@XZ"
		size = 52
		refs = "0010 ??0exception@std@@QAA@QBDH@Z 002c ??_7bad_cast@std@@6B@ 0030 ??_C@_08EPJLHIJG@bad?5cast?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 08 49 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_2_4 {
	meta:
		name = "??0bad_exception@std@@QAA@XZ"
		size = 52
		refs = "0010 ??0exception@std@@QAA@QBDH@Z 002c ??_7bad_exception@std@@6B@ 0030 ??_C@_0O@DPKOEFFH@bad?5exception?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 08 49 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_4_0 {
	meta:
		name = "??0bad_array_new_length@std@@QAA@XZ"
		size = 48
		refs = "000e ??0bad_alloc@std@@AAA@QBD@Z 0028 ??_7bad_array_new_length@std@@6B@ 002c ??_C@_0BF@KINCDENJ@bad?5array?5new?5length?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 49 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_5_0 {
	meta:
		name = "??0exception@std@@QAA@ABV01@@Z"
		size = 60
		refs = "0018 memset 0024 __std_exception_copy 0038 ??_7exception@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 0A 4B 13 60 08 22 00 21 04 9B 18 1D ?? ?? ?? ?? 04 9B 19 1D 05 9B 18 1D ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_6_0 {
	meta:
		name = "??0exception@std@@QAA@QBDH@Z"
		size = 56
		refs = "0018 memset 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 09 4B 13 60 08 22 00 21 04 9B 18 1D ?? ?? ?? ?? 04 9B 1A 1D 05 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_7_0 {
	meta:
		name = "??1bad_alloc@std@@UAA@XZ"
		size = 22
		refs = "000a ??1exception@std@@UAA@XZ"
		altNames = "??1bad_cast@std@@UAA@XZ ??1bad_exception@std@@UAA@XZ ??1bad_function_call@std@@UAA@XZ ??1bad_typeid@std@@UAA@XZ ??1logic_error@std@@UAA@XZ ??1runtime_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_53_97_1 {
	meta:
		name = "??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_309_1 {
	meta:
		name = "??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_65_46_3 {
	meta:
		name = "??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_119_2_3 {
	meta:
		name = "??1?$_Func_class@X$$V@std@@QAA@XZ"
		size = 22
		refs = "000a ?_Tidy@?$_Func_class@X$$V@std@@IAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_110_120_2 {
	meta:
		name = "??1?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1_Iterator_base12@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_370_2 {
	meta:
		name = "??1?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1_Iterator_base12@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_45_2 {
	meta:
		name = "??1?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1_Iterator_base12@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_48_1 {
	meta:
		name = "??1?$_Ref_count_obj@V__ExceptionPtr@@@std@@UAA@XZ"
		size = 22
		refs = "000a ??1_Ref_count_base@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_82_49_2 {
	meta:
		name = "??1?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@UAA@XZ"
		size = 22
		refs = "000a ??1_Ref_count_base@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_75_99_1 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_314_1 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_20_1 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_67_122_2 {
	meta:
		name = "??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_423_3 {
	meta:
		name = "??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_424_3 {
	meta:
		name = "??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_143_3 {
	meta:
		name = "??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_379_2 {
	meta:
		name = "??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_48_2 {
	meta:
		name = "??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_84_1 {
	meta:
		name = "??1?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1_Bxty@?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_317_1 {
	meta:
		name = "??1?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1_Bxty@?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_318_1 {
	meta:
		name = "??1?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
		size = 22
		refs = "000a ??1_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_9_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_22_2_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_3_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_1_3_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_10_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_15_3_2 {
	meta:
		name = "??1?$function@$$A6AXXZ@std@@QAA@XZ"
		size = 22
		refs = "000a ??1?$_Func_class@X$$V@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_46_157_3 {
	meta:
		name = "??1_Generic_error_category@std@@UAA@XZ"
		size = 22
		refs = "000a ??1error_category@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_60_1 {
	meta:
		name = "??1_Iostream_error_category@std@@UAA@XZ"
		size = 22
		refs = "000a ??1_Generic_error_category@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_21_115_1 {
	meta:
		name = "??1_System_error@std@@UAA@XZ"
		size = 22
		refs = "000a ??1runtime_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_33_95_3 {
	meta:
		name = "??1_System_error_category@std@@UAA@XZ"
		size = 22
		refs = "000a ??1error_category@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_8_4 {
	meta:
		name = "??1__non_rtti_object@std@@UAA@XZ"
		size = 22
		refs = "000a ??1bad_typeid@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_8_0 {
	meta:
		name = "??1bad_array_new_length@std@@UAA@XZ"
		size = 22
		refs = "000a ??1bad_alloc@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_8_3 {
	meta:
		name = "??1exception_ptr@std@@QAA@XZ"
		size = 22
		refs = "000a ?__ExceptionPtrDestroy@@YAXPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_168_3 {
	meta:
		name = "??1failure@ios_base@std@@UAA@XZ"
		size = 22
		refs = "000a ??1system_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_9_3 {
	meta:
		name = "??1future_error@std@@UAA@XZ"
		size = 22
		refs = "000a ??1logic_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_31_25_1 {
	meta:
		name = "??1invalid_argument@std@@UAA@XZ"
		size = 22
		refs = "000a ??1logic_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_26_3 {
	meta:
		name = "??1length_error@std@@UAA@XZ"
		size = 22
		refs = "000a ??1logic_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_157_1 {
	meta:
		name = "??1messages_base@std@@UAA@XZ"
		size = 22
		refs = "000a ??1facet@locale@std@@MAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_158_1 {
	meta:
		name = "??1money_base@std@@UAA@XZ"
		size = 22
		refs = "000a ??1facet@locale@std@@MAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_50_28_2 {
	meta:
		name = "??1out_of_range@std@@UAA@XZ"
		size = 22
		refs = "000a ??1logic_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_31_29_1 {
	meta:
		name = "??1overflow_error@std@@UAA@XZ"
		size = 22
		refs = "000a ??1runtime_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_30_3 {
	meta:
		name = "??1regex_error@std@@UAA@XZ"
		size = 22
		refs = "000a ??1runtime_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_63_172_3 {
	meta:
		name = "??1system_error@std@@UAA@XZ"
		size = 22
		refs = "000a ??1_System_error@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_89_0_0 {
	meta:
		name = "??3@YAXPAXABUnothrow_t@std@@@Z"
		size = 22
		refs = "000a ??3@YAXPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_88_0_0 {
	meta:
		name = "??3@YAXPAXI@Z"
		size = 22
		refs = "000a ??3@YAXPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_156_2 {
	meta:
		name = "??3_Crt_new_delete@std@@SAXPAX@Z"
		size = 22
		refs = "000a free"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_182_0_0 {
	meta:
		name = "??_V@YAXPAX@Z"
		size = 22
		refs = "000a ??3@YAXPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_191_0_0 {
	meta:
		name = "??_V@YAXPAXABUnothrow_t@std@@@Z"
		size = 22
		refs = "000a ??_V@YAXPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_0_0 {
	meta:
		name = "??_V@YAXPAXI@Z"
		size = 22
		refs = "000a ??_V@YAXPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_88_5_3 {
	meta:
		name = "_Thrd_exit"
		size = 22
		refs = "000a _endthreadex"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_9_0 {
	meta:
		name = "??1exception@std@@UAA@XZ"
		size = 36
		refs = "0012 __std_exception_destroy 0020 ??_7exception@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 05 4B 13 60 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_10_0 {
	meta:
		name = "??_Gbad_alloc@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1bad_alloc@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_114_65_3 {
	meta:
		name = "??_G_Ref_count_base@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1_Ref_count_base@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_12_4 {
	meta:
		name = "??_G__non_rtti_object@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1__non_rtti_object@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_11_0 {
	meta:
		name = "??_Gbad_array_new_length@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1bad_array_new_length@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_66_149_1 {
	meta:
		name = "??_Gbad_cast@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1bad_cast@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_3_8_4 {
	meta:
		name = "??_Gbad_exception@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1bad_exception@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_50_33_2 {
	meta:
		name = "??_Gbad_function_call@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1bad_function_call@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_14_4 {
	meta:
		name = "??_Gbad_typeid@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1bad_typeid@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_12_0 {
	meta:
		name = "??_Gexception@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1exception@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_50_35_2 {
	meta:
		name = "??_Ginvalid_argument@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1invalid_argument@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_50_36_2 {
	meta:
		name = "??_Glength_error@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1length_error@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_44_13_2 {
	meta:
		name = "??_Glogic_error@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1logic_error@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_31_38_1 {
	meta:
		name = "??_Gout_of_range@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1out_of_range@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_50_39_2 {
	meta:
		name = "??_Goverflow_error@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1overflow_error@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_159_1 {
	meta:
		name = "??_Gruntime_error@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1runtime_error@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_125_1_7 {
	meta:
		name = "??_Gtype_info@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1type_info@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_13_0 {
	meta:
		name = "?__scrt_throw_std_bad_alloc@@YAXXZ"
		size = 32
		refs = "000a ??0bad_alloc@std@@QAA@XZ 0012 _CxxThrowException 001c _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 68 46 ?? ?? ?? ?? 03 49 68 46 ?? ?? ?? ?? 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_14_0 {
	meta:
		name = "?__scrt_throw_std_bad_array_new_length@@YAXXZ"
		size = 32
		refs = "000a ??0bad_array_new_length@std@@QAA@XZ 0012 _CxxThrowException 001c _TI3?AVbad_array_new_length@std@@"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 68 46 ?? ?? ?? ?? 03 49 68 46 ?? ?? ?? ?? 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_15_0 {
	meta:
		name = "?what@exception@std@@UBAPBDXZ"
		size = 56
		refs = "0034 ??_C@_0BC@EOODALEL@Unknown?5exception?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 00 2B 04 D0 04 9B 1B 1D 1B 68 00 93 01 E0 05 4B 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_0_4 {
	meta:
		name = "?get_unexpected_or_default@@YAP6AXXZQBU__vcrt_ptd@@@Z"
		size = 56
		refs = "0034 terminate"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 00 2B 04 D0 04 9B 1B 1D 1B 68 00 93 01 E0 05 4B 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_0_0 {
	meta:
		name = "__dyn_tls_dtor"
		size = 216
		refs = "0086 _guard_check_icall 00a2 _free_dbg 00d0 dtor_list 00d4 _tls_index"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 03 2B 03 D0 07 9B 00 2B 00 D0 55 E0 00 23 02 93 2D 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 27 4B 13 44 1B 68 00 93 01 E0 02 9B 00 93 00 9B 00 2B 3F D0 00 9B 1B 68 5B 1E 01 93 02 E0 01 9B 5B 1E 01 93 01 9B 00 2B 1A DB 00 9B 03 F1 08 01 01 9A 04 23 02 FB 03 F3 0B 44 1B 68 00 2B 0E D0 00 9B 03 F1 08 01 01 9A 04 23 02 FB 03 F3 0B 44 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 98 47 DE E7 00 9B 1B 1D 1B 68 02 93 02 9B 00 2B 03 D0 02 21 00 98 ?? ?? ?? ?? 0B 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 05 4B 1A 44 02 9B 13 60 BA E7 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_1_0 {
	meta:
		name = "??$?RUTlsDtorNode@@@__crt_internal_free_policy@@QBAXQBUTlsDtorNode@@@Z"
		size = 24
		refs = "000c _free_dbg"
		altNames = "??$?RD@__crt_internal_free_policy@@QBAXQBD@Z ??$?RU__vcrt_ptd@@@__crt_internal_free_policy@@QBAXQBU__vcrt_ptd@@@Z ??$?RX@__crt_internal_free_policy@@QBAXQBX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 21 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_2_0 {
	meta:
		name = "??0?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAA@QAUTlsDtorNode@@@Z"
		size = 32
		altNames = "??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@QAD@Z ??0?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAA@QAU__vcrt_ptd@@@Z ??0?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAA@QAX@Z ??0_Timevec@std@@QAA@PAX@Z ??0id@locale@std@@QAA@I@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_4_0 {
	meta:
		name = "?detach@?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAAPAUTlsDtorNode@@XZ"
		size = 38
		altNames = "?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAPADXZ ?detach@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAAPAU__vcrt_ptd@@XZ ?detach@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAAPAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 93 04 9A 00 23 13 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_5_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RUTlsDtorNode@@@__crt_internal_free_policy@@QBAXQBUTlsDtorNode@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_22_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RD@__crt_internal_free_policy@@QBAXQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_22_7_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RD@__crt_public_free_policy@@QBAXQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_1_9_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__vcrt_ptd@@@__crt_internal_free_policy@@QBAXQBU__vcrt_ptd@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_23_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RX@__crt_internal_free_policy@@QBAXQBX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_6_0 {
	meta:
		name = "__tlregdtor"
		size = 468
		refs = "00a0 _malloc_dbg 00aa ??0?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAA@QAUTlsDtorNode@@@Z 00b6 ?detach@?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAAPAUTlsDtorNode@@XZ 00c2 ??1?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAA@XZ 01c4 dtor_list 01c8 _tls_index 01cc ??_C@_0DA@HHHHCDMN@f?3?2dd?2vctools?2crt?2vcstartup?2src?2@ 01d0 dtor_list_head"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 6F 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 69 4B 13 44 1B 68 00 2B 27 D1 67 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 64 4B D1 18 61 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 5B 4B 13 44 19 60 5B 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 58 4B 1A 44 00 23 13 60 5D E0 53 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 4D 4B 13 44 1B 68 1B 68 1E 2B 4D D1 43 23 4C 4A 02 21 80 20 ?? ?? ?? ?? 02 90 02 99 06 A8 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 ?? ?? ?? ?? 05 90 05 9B 00 93 06 A8 ?? ?? ?? ?? 00 9B 00 2B 03 D1 6F F0 00 03 01 93 71 E0 00 9A 00 23 13 60 3B 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 35 4B D1 18 00 9B 1A 1D 0B 68 13 60 33 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 2D 4B 1A 44 00 9B 13 60 2C 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 26 4B 13 44 1A 68 00 23 13 60 24 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 1E 4B 13 44 1B 68 03 F1 08 01 1D 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 17 4B 13 44 1B 68 1A 68 04 23 02 FB 03 F3 CA 18 0A 9B 13 60 13 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 0D 4B 13 44 1B 68 1B 68 59 1C 0B 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 05 4B 13 44 1B 68 19 60 00 23 01 93 01 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_0_0 {
	meta:
		name = "__scrt_stub_for_vcrt_initialize"
		size = 24
		altNames = "?are_vista_sync_apis_available@details@Concurrency@@YA_NXZ ?are_win7_sync_apis_available@details@Concurrency@@YA_NXZ ?is_vista_threadpool_supported@?A0x7ef259da@details@Concurrency@@YA_NXZ __scrt_stub_for_acrt_initialize __scrt_stub_for_acrt_thread_attach __scrt_stub_for_acrt_thread_detach __scrt_stub_for_vcrt_thread_attach __scrt_stub_for_vcrt_thread_detach __vcrt_initialize _should_initialize_environment"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_13_3_0 {
	meta:
		name = "__scrt_stub_for_vcrt_uninitialize"
		size = 30
		altNames = "??$?8DD@std@@YA_NABV?$allocator@D@0@0@Z ??$?8GG@std@@YA_NABV?$allocator@G@0@0@Z ??$?8_W_W@std@@YA_NABV?$allocator@_W@0@0@Z ?do_always_noconv@?$codecvt@DDU_Mbstatet@@@std@@MBA_NXZ __scrt_stub_for_acrt_uninitialize __scrt_stub_for_acrt_uninitialize_critical __scrt_stub_for_vcrt_uninitialize_critical"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_14_0_0 {
	meta:
		name = "?dllmain_crt_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
		size = 130
		refs = "0022 ?dllmain_crt_process_attach@@YAHQAUHINSTANCE__@@QAX@Z 0046 ?dllmain_crt_process_detach@@YAH_N@Z 0052 __scrt_dllmain_crt_thread_attach 0062 __scrt_dllmain_crt_thread_detach"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 9B 02 93 02 9B 03 2B 2E D8 02 9A DF E8 02 F0 0A 02 1C 24 0A 99 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 23 E0 0A 9B 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 00 ?? ?? ?? ?? 04 90 04 9B 01 93 11 E0 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 01 93 09 E0 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 01 93 01 E0 01 23 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_14_1_0 {
	meta:
		name = "?dllmain_crt_process_attach@@YAHQAUHINSTANCE__@@QAX@Z"
		size = 292
		refs = "0010 __scrt_initialize_crt 0022 __scrt_acquire_startup_lock 003a __scrt_fastfail 0044 __scrt_dllmain_before_initialize_c 0052 _RTC_Initialize 0058 atexit 005c ?__scrt_initialize_type_info@@YAXXZ 0066 __scrt_initialize_default_local_stdio_options 006e _initterm_e 007c __scrt_dllmain_after_initialize_c 008e _initterm 009e __scrt_release_startup_lock 00ae __scrt_get_dyn_tls_init_callback 00c2 __scrt_is_nonwritable_in_current_image 00dc _guard_check_icall 0104 ?__proc_attached@@3HA 0108 __scrt_current_native_startup_state 010c __xc_a 0110 __xc_z 0114 __xi_a 0118 __xi_z 011c ?__scrt_uninitialize_type_info@@YAXXZ 0120 _RTC_Terminate"
	strings:
		$1 = { 03 B4 2D E9 F0 48 0D F1 10 0B 88 B0 6F 46 00 20 ?? ?? ?? ?? B8 70 BB 78 00 2B 02 D1 00 23 FB 60 6A E0 ?? ?? ?? ?? F8 70 FB 78 3B 70 01 23 7B 70 35 4B 1B 68 00 2B 02 D0 07 20 ?? ?? ?? ?? 32 4A 01 23 13 60 ?? ?? ?? ?? 38 71 3B 79 00 2B 00 D1 24 E0 ?? ?? ?? ?? 32 48 ?? ?? ?? ?? ?? ?? ?? ?? 2E 48 ?? ?? ?? ?? ?? ?? ?? ?? 2B 49 29 48 ?? ?? ?? ?? 78 61 7B 69 00 2B 00 D0 0F E0 ?? ?? ?? ?? 78 71 7B 79 00 2B 00 D1 08 E0 21 49 1F 48 ?? ?? ?? ?? 1D 4A 02 23 13 60 00 23 7B 70 38 78 ?? ?? ?? ?? 7B 78 00 2B 02 D0 00 23 FB 60 24 E0 ?? ?? ?? ?? B8 61 BB 69 BB 60 BB 68 1B 68 00 2B 14 D0 B8 68 ?? ?? ?? ?? B8 71 BB 79 00 2B 0D D0 FE 6B 02 25 BC 6B BB 68 1B 68 3B 61 38 69 ?? ?? ?? ?? 3B 69 20 46 29 46 32 46 98 47 06 4B 1B 68 5A 1C 04 4B 1A 60 01 23 FB 60 F8 68 08 B0 BD E8 F0 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_3_0 {
	meta:
		name = "?dllmain_crt_process_detach@@YAH_N@Z"
		size = 128
		refs = "0026 __scrt_acquire_startup_lock 003a __scrt_fastfail 003e __scrt_dllmain_uninitialize_c 0048 __scrt_dllmain_uninitialize_critical 004e __scrt_release_startup_lock 0056 __scrt_uninitialize_crt 0078 __scrt_current_native_startup_state 007c ?__proc_attached@@3HA"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 1B 4B 1B 68 00 2B 02 DC 00 23 7B 60 27 E0 17 4B 1B 68 5A 1E 16 4B 1A 60 ?? ?? ?? ?? 78 70 7B 78 3B 70 11 4B 1B 68 02 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 0D 4A 00 23 13 60 ?? ?? ?? ?? 38 78 ?? ?? ?? ?? 00 21 38 7E ?? ?? ?? ?? B8 70 BB 78 00 2B 02 D1 00 23 7B 60 01 E0 01 23 7B 60 78 68 03 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_4_0 {
	meta:
		name = "?fin$0@?0??dllmain_crt_process_detach@@YAH_N@Z@4HA"
		size = 16
		refs = "0002 __scrt_dllmain_uninitialize_critical 0008 __scrt_release_startup_lock"
	strings:
		$1 = { 10 B5 ?? ?? ?? ?? 38 78 ?? ?? ?? ?? FF E7 10 BD }
	condition:
		$1
}

rule file_79_320_1 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z$0"
		size = 24
		refs = "0004 ?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AAAXXZ 000c _CxxThrowException 0014 $LN7"
	strings:
		$1 = { 10 B5 38 6A ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 00 48 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_764_1 {
	meta:
		name = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z$0"
		size = 24
		refs = "0004 ?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AAAXXZ 000c _CxxThrowException 0014 $LN7"
	strings:
		$1 = { 10 B5 38 6A ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 00 48 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_766_1 {
	meta:
		name = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z$0"
		size = 24
		refs = "0004 ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AAAXXZ 000c _CxxThrowException 0014 $LN7"
	strings:
		$1 = { 10 B5 38 6A ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 00 48 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_58_1 {
	meta:
		name = "__unwindfunclet$?_Init@locale@std@@CAPAV_Locimp@12@_N@Z$1"
		size = 16
		refs = "0006 ??3@YAXPAX0@Z 000c ?classic_locale@std@@3Vlocale@1@A"
	strings:
		$1 = { 10 B5 02 49 B8 68 ?? ?? ?? ?? 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_5_0 {
	meta:
		name = "?dllmain_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
		size = 240
		refs = "003a ?dllmain_raw@@YAHQAUHINSTANCE__@@KQAX@Z 0052 ?dllmain_crt_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z 006a DllMain 00ec ?__proc_attached@@3HA"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 82 B0 FB 6B 00 2B 06 D1 35 4B 1B 68 00 2B 02 DC 00 23 BB 60 5C E0 01 23 3B 60 FB 6B 01 2B 02 D0 FB 6B 02 2B 17 D1 3A 6C F9 6B B8 6B ?? ?? ?? ?? F8 60 FB 68 3B 60 3B 68 00 2B 00 D1 42 E0 3A 6C F9 6B B8 6B ?? ?? ?? ?? 38 61 3B 69 3B 60 3B 68 00 2B 00 D1 36 E0 3A 6C F9 6B B8 6B ?? ?? ?? ?? 78 61 7B 69 3B 60 FB 6B 01 2B 11 D1 3B 68 00 2B 0E D1 3A 6C 00 21 B8 6B ?? ?? ?? ?? 3A 6C 00 21 B8 6B ?? ?? ?? ?? 3A 6C 00 21 B8 6B ?? ?? ?? ?? FB 6B 00 2B 02 D0 FB 6B 03 2B 13 D1 3A 6C F9 6B B8 6B ?? ?? ?? ?? B8 61 BB 69 3B 60 3B 68 00 2B 00 D1 07 E0 3A 6C F9 6B B8 6B ?? ?? ?? ?? F8 61 FB 69 3B 60 02 E0 00 23 3B 60 FF E7 3B 68 BB 60 B8 68 0D B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_6_0 {
	meta:
		name = "?filt$0@?0??dllmain_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z@4HA"
		size = 52
		refs = "0022 __scrt_dllmain_exception_filter 0030 ?dllmain_crt_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
	strings:
		$1 = { 10 B5 82 B0 78 60 7B 68 3B 62 7B 68 1B 68 1B 68 7B 62 3B 6A 01 93 7B 6A 00 93 05 4B 3A 6C F9 6B B8 6B ?? ?? ?? ?? B8 62 B8 6A 02 B0 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_7_0 {
	meta:
		name = "?dllmain_raw@@YAHQAUHINSTANCE__@@KQAX@Z"
		size = 76
		refs = "0028 _guard_check_icall 0048 _pRawDllMain"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 83 B0 0E 4B 1B 68 00 2B 02 D1 01 23 01 93 10 E0 0A 9E 09 9D 08 9C 09 4B 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 32 46 98 47 02 90 02 9B 01 93 01 98 03 B0 BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_8_0 {
	meta:
		name = "_CRT_INIT"
		size = 38
		refs = "0010 ?dllmain_crt_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_94_2_1 {
	meta:
		name = "?_Fiopen@std@@YAPAU_iobuf@@PBDHH@Z"
		size = 38
		refs = "0010 ??$_Xfiopen@D@std@@YAPAU_iobuf@@PBDHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_94_3_1 {
	meta:
		name = "?_Fiopen@std@@YAPAU_iobuf@@PBGHH@Z"
		size = 38
		refs = "0010 ?_Fiopen@std@@YAPAU_iobuf@@PB_WHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_94_4_1 {
	meta:
		name = "?_Fiopen@std@@YAPAU_iobuf@@PB_WHH@Z"
		size = 38
		refs = "0010 ??$_Xfiopen@_W@std@@YAPAU_iobuf@@PB_WHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_83_45_1 {
	meta:
		name = "_Cnd_timedwait"
		size = 38
		refs = "0010 ?do_wait@@YAHPAU_Cnd_internal_imp_t@@PAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_14_9_0 {
	meta:
		name = "_DllMainCRTStartup"
		size = 48
		refs = "0010 __security_init_cookie 001a ?dllmain_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 01 2B 01 D1 ?? ?? ?? ?? 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_17_5_0 {
	meta:
		name = "__scrt_stub_for_is_c_termination_complete"
		size = 20
		altNames = "__scrt_initialize_winrt _get_startup_commit_mode _get_startup_new_mode _get_startup_thread_locale_mode"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_19_0_0 {
	meta:
		name = "__chkstk"
		size = 28
	strings:
		$1 = { BD EB 84 0C 1D EE 50 4F A4 68 04 D3 A4 45 05 D3 AD EB 0C 04 70 47 5F F0 00 0C F7 E7 }
	condition:
		$1
}

rule file_19_1_0 {
	meta:
		name = "__chkstk_probe"
		size = 26
	strings:
		$1 = { 60 B4 66 46 6F F3 0B 06 A4 F5 80 54 25 68 B4 42 FA D1 60 BC AD EB 0C 04 70 47 }
	condition:
		$1
}

rule file_21_0_0 {
	meta:
		name = "__isa_available_init"
		size = 44
		refs = "000a IsProcessorFeaturePresent 0028 __isa_available"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 13 20 ?? ?? ?? ?? 00 90 00 9B 00 2B 02 D0 04 4A 01 23 13 60 00 23 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_0_0 {
	meta:
		name = "__dyn_tls_init"
		size = 96
		refs = "003c _guard_check_icall 0048 terminate 0058 __xd_z 005c __xd_a"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 7B 6A 02 2B 00 D0 1B E0 11 4B 1B 1D 3B 60 02 E0 3B 68 1B 1D 3B 60 3A 68 0C 4B 9A 42 0C D0 3B 68 1B 68 00 2B 07 D0 3B 68 1B 68 7B 60 78 68 ?? ?? ?? ?? 7B 68 98 47 EB E7 02 E0 ?? ?? ?? ?? FF E7 05 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_1_0 {
	meta:
		name = "__dyn_tls_init$filt$0"
		size = 24
		refs = "000e dyntls_init_exception_filter"
	strings:
		$1 = { 10 B5 B8 60 BB 68 1B 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 38 69 10 BD }
	condition:
		$1
}

rule file_23_2_0 {
	meta:
		name = "dyntls_init_exception_filter"
		size = 44
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 06 4B 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB 63 73 6D E0 }
	condition:
		$1
}

rule file_25_0_0 {
	meta:
		name = "??2@YAPAXIHPBDH@Z"
		size = 86
		refs = "0012 _malloc_dbg 002a _callnewh 003e ?__scrt_throw_std_bad_array_new_length@@YAXXZ 0044 ?__scrt_throw_std_bad_alloc@@YAXXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 02 D0 00 9B 03 93 10 E0 06 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 08 D1 06 9B B3 F1 FF 3F 02 D1 ?? ?? ?? ?? 01 E0 ?? ?? ?? ?? DF E7 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_25_1_0 {
	meta:
		name = "??_U@YAPAXIHPBDH@Z"
		size = 40
		refs = "0012 ??2@YAPAXIHPBDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_19_18_4 {
	meta:
		name = "__CxxFrameHandler2"
		size = 40
		refs = "0012 __CxxFrameHandler3"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_28_0_0 {
	meta:
		name = "?GetPdbDll@@YAPAUHINSTANCE__@@XZ"
		size = 138
		refs = "0006 __security_push_cookie 000e ?alreadyTried@?1??GetPdbDll@@YAPAUHINSTANCE__@@XZ@4_NA 0020 __security_pop_cookie 002c ?GetPdbDllFromInstallPath@@YAPAUHINSTANCE__@@XZ 0034 ?debugCrtFileName@@3QB_WB 003c __vcrt_GetModuleHandleW 0048 __vcrt_GetModuleFileNameW 0056 ?GetPdbDllPathFromFilePath@@YAHPB_WPA_WI@Z 0064 __vcrt_LoadLibraryExW 006c ??_C@_1BC@JINFINNJ@?$AAM?$AAS?$AAP?$AAD?$AAB?$AA1?$AA4?$AA0?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F2 14 4D ?? ?? ?? ?? C0 F2 00 02 13 78 33 B1 00 20 0D F2 14 4D ?? ?? ?? ?? BD E8 00 88 01 23 13 70 ?? ?? ?? ?? 00 28 F3 D1 ?? ?? ?? ?? C0 F2 00 00 ?? ?? ?? ?? A0 B1 69 46 4F F4 82 72 ?? ?? ?? ?? 70 B1 82 A9 68 46 4F F4 82 72 ?? ?? ?? ?? 38 B1 82 A8 4F F4 10 62 00 21 ?? ?? ?? ?? 00 28 D7 D1 ?? ?? ?? ?? C0 F2 00 00 4F F4 20 62 00 21 ?? ?? ?? ?? 0D F2 14 4D ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_9_25_1 {
	meta:
		name = "?_ReportUnobservedException@details@Concurrency@@YAXXZ"
		size = 18
		refs = "000a terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 20 FB DE ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_28_1_0 {
	meta:
		name = "?GetPdbDllFromInstallPath@@YAPAUHINSTANCE__@@XZ"
		size = 422
		refs = "0008 __security_push_cookie 0010 ??_C@_1EI@MLPKHBGE@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AAw?$AAi?$AAn?$AA?9?$AAc?$AAo?$AAr?$AAe?$AA?9?$AAr?$AAe?$AAg?$AAi?$AAs?$AAt?$AAr?$AAy?$AA?9?$AAl?$AA1?$AA?9?$AA1?$AA?9?$AA0?$AA?4@ 001e __vcrt_LoadLibraryExW 0026 ??_C@_1BK@JHLNAEJL@?$AAa?$AAd?$AAv?$AAa?$AAp?$AAi?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 003c __imp_GetLastError 0060 __imp_GetProcAddress 0068 ??_C@_0O@COHOBMLB@RegOpenKeyExW?$AA@ 0082 ??_C@_0BB@GLNAEDBD@RegQueryValueExW?$AA@ 009c ??_C@_0M@HLOHPNFA@RegCloseKey?$AA@ 00b8 _guard_check_icall 00bc ??_C@_1HE@EBEAGLFB@?$AAS?$AAO?$AAF?$AAT?$AAW?$AAA?$AAR?$AAE?$AA?2?$AAW?$AAo?$AAw?$AA6?$AA4?$AA3?$AA2?$AAN?$AAo?$AAd?$AAe?$AA?2?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?2?$AAV@ 00ce __imp_FreeLibrary 00e2 __security_pop_cookie 0100 ??_C@_1BG@EABPBLLF@?$AAP?$AAr?$AAo?$AAd?$AAu?$AAc?$AAt?$AAD?$AAi?$AAr?$AA?$AA@ 0176 ?mspdbName@@3QB_WB"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? AD F5 08 7D ?? ?? ?? ?? C0 F2 00 00 4F F4 00 62 00 21 ?? ?? ?? ?? 05 46 E5 B9 ?? ?? ?? ?? C0 F2 00 00 4F F4 00 62 00 21 ?? ?? ?? ?? 05 46 8D B9 ?? ?? ?? ?? C0 F2 00 03 1B 68 98 47 57 28 47 D1 ?? ?? ?? ?? C0 F2 00 00 00 22 00 21 ?? ?? ?? ?? 05 46 ED B3 ?? ?? ?? ?? C0 F2 00 03 ?? ?? ?? ?? C0 F2 00 01 28 46 1B 68 98 47 06 46 86 B3 ?? ?? ?? ?? C0 F2 00 03 ?? ?? ?? ?? C0 F2 00 01 28 46 1B 68 98 47 07 46 1F B3 ?? ?? ?? ?? C0 F2 00 03 ?? ?? ?? ?? C0 F2 00 01 28 46 1B 68 98 47 80 46 B0 B1 02 AB 30 46 00 93 4F F0 00 44 ?? ?? ?? ?? ?? ?? ?? ?? C0 F2 00 01 A0 1C 00 22 01 23 B0 47 68 B1 ?? ?? ?? ?? C0 F2 00 03 28 46 1B 68 98 47 00 20 0D F5 08 7D ?? ?? ?? ?? BD E8 F0 89 4F F4 02 73 03 93 03 AB 01 93 06 AB 38 46 00 93 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? C0 F2 00 01 00 22 04 AB B8 47 04 46 40 46 ?? ?? ?? ?? 02 98 C0 47 ?? ?? ?? ?? C0 F2 00 03 28 46 1B 68 98 47 00 2C D7 D1 04 9B 01 2B D4 D1 03 9B 13 F0 01 0F D0 D1 5A 08 10 46 02 2A CC D3 52 1E 06 AB 03 EB 42 01 33 F8 12 30 00 2B C4 D1 31 F8 02 3C 5C 2B 02 D0 5C 23 0B 80 02 46 D3 43 12 2B BA D3 02 F1 11 03 B3 F5 82 7F B5 D8 06 AB 03 EB 42 02 ?? ?? ?? ?? C0 F2 00 01 02 F1 22 00 31 F8 02 3B 22 F8 02 3B 82 42 F9 D1 06 A8 00 21 4F F4 10 62 ?? ?? ?? ?? 0D F5 08 7D ?? ?? ?? ?? BD E8 F0 89 }
	condition:
		$1
}

rule file_28_2_0 {
	meta:
		name = "?GetPdbDllPathFromFilePath@@YAHPB_WPA_WI@Z"
		size = 146
		refs = "0008 __security_push_cookie 002e _wsplitpath_s 003a __security_pop_cookie 0042 ?mspdbFilename@?1??GetPdbDllPathFromFilePath@@YAHPB_WPA_WI@Z@4QB_WB 004e wcscpy_s 0056 ?dllExt@?1??GetPdbDllPathFromFilePath@@YAHPB_WPA_WI@Z@4QB_WB 007c _wmakepath_s"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 C4 6D 08 AB 03 93 88 AB 01 93 15 46 0E 46 4F F4 80 74 0D F5 84 63 06 A9 03 22 04 94 02 94 00 94 ?? ?? ?? ?? 30 B1 00 20 0D F5 C4 6D ?? ?? ?? ?? BD E8 70 88 ?? ?? ?? ?? C0 F2 00 02 88 A8 09 21 ?? ?? ?? ?? 00 28 EE D1 ?? ?? ?? ?? C0 F2 00 02 08 A8 04 21 ?? ?? ?? ?? 00 28 E4 D1 08 AB 01 93 88 AB 00 93 0D F5 84 63 06 AA 29 46 30 46 ?? ?? ?? ?? 00 28 D7 D1 01 20 0D F5 C4 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_28_3_0 {
	meta:
		name = "?_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z"
		size = 788
		refs = "000c __imp_VirtualQuery 0048 __vcrt_GetModuleFileNameW 009e ?PDBOK@?1??_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z@4_NA 00a6 ?mspdb@@3PAUHINSTANCE__@@A 00ba ?GetPdbDll@@YAPAUHINSTANCE__@@XZ 00cc __imp_GetProcAddress 00d4 ??_C@_0BB@KCIACLNC@PDBOpenValidate5?$AA@ 00f6 _guard_check_icall 012e ??_C@_01KDCPPGHE@r?$AA@ 020a __imp_GetProcessHeap 021c __imp_HeapAlloc 02b4 __imp_HeapFree"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 97 B0 ?? ?? ?? ?? C0 F2 00 04 4F F0 00 09 C3 F8 00 90 05 46 A1 F8 00 90 24 68 6D 1E 0E 91 1C 22 10 A9 28 46 0C 93 A0 47 30 B9 00 27 38 46 17 B0 BD E8 F0 0F 5D F8 14 FB 25 9A 24 99 11 98 ?? ?? ?? ?? 00 28 F1 D0 11 99 45 F6 4D 23 0A 88 9A 42 EB D1 CB 6B 00 2B E8 DD 5A 58 5C 18 44 F2 50 53 9A 42 E2 D1 A3 8A E0 88 69 1A 23 44 00 26 4F F0 00 08 68 B1 03 F1 18 02 D3 68 99 42 04 D3 A1 EB 03 08 93 68 99 42 03 D3 76 1C 28 32 86 42 F3 D3 86 42 CA D0 ?? ?? ?? ?? C0 F2 00 05 ?? ?? ?? ?? C0 F2 00 04 76 1C 2B 78 53 B9 23 68 00 2B BC D1 ?? ?? ?? ?? 20 60 00 28 B7 D0 01 23 2B 70 00 E0 20 68 ?? ?? ?? ?? C0 F2 00 03 ?? ?? ?? ?? C0 F2 00 01 1B 68 98 47 04 46 00 2C A6 D0 08 AB 03 93 0F AB 00 93 CD F8 08 90 CD F8 04 90 ?? ?? ?? ?? 24 98 00 21 00 22 00 23 A0 47 00 28 95 D0 08 9D 00 27 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 7D 4B 98 42 40 F0 E9 80 08 9D 2C 68 E4 69 20 46 ?? ?? ?? ?? ?? ?? ?? ?? C0 F2 00 02 28 46 00 21 0B AB A0 47 00 28 00 F0 D8 80 0B 9C CD F8 08 90 CD F8 04 90 22 68 CD F8 00 90 15 6A 28 46 ?? ?? ?? ?? 20 46 B1 B2 42 46 07 AB A8 47 00 28 00 F0 BC 80 07 9D 00 23 05 93 2B 68 9C 6E 20 46 ?? ?? ?? ?? 28 46 05 A9 A0 47 00 28 00 F0 A6 80 05 9D 00 2D 00 F0 A2 80 2B 68 B9 46 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 28 00 F0 81 80 0D F1 18 0A 05 9C 09 AB 00 93 23 68 00 22 02 92 DD 68 CD F8 04 A0 28 46 ?? ?? ?? ?? 20 46 00 21 0A AA 04 AB A8 47 00 28 79 D0 BD F8 10 30 B3 42 06 D1 0A 9A 42 45 03 D8 09 9B 13 44 98 45 0A D3 05 9D 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 28 56 D0 D6 E7 06 9A 00 2A 60 D0 6F F0 60 43 9A 42 5C D2 ?? ?? ?? ?? C0 F2 00 03 1B 68 98 47 06 9B 00 21 DA 00 ?? ?? ?? ?? C0 F2 00 03 1B 68 98 47 81 46 00 28 4A D0 05 9D 02 90 06 AB 2C 68 00 26 01 93 E4 68 00 96 20 46 ?? ?? ?? ?? 28 46 0D A9 00 22 00 23 A0 47 58 B3 0A 9B A8 EB 03 04 D9 F8 00 30 9C 42 24 D3 06 98 01 22 01 28 08 D9 09 F1 08 01 51 F8 08 3B 9C 42 02 D3 52 1C 82 42 F8 D3 09 EB C2 03 53 F8 04 3C 0C 9A 07 9C 23 F0 7F 43 13 60 22 68 02 96 01 96 15 6F 00 96 28 46 ?? ?? ?? ?? DD E9 0D 12 20 46 22 AB A8 47 00 B1 01 27 ?? ?? ?? ?? C0 F2 00 03 1B 68 98 47 ?? ?? ?? ?? C0 F2 00 03 4A 46 00 21 1B 68 98 47 05 9D 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 07 9D 2B 68 1C 6C 20 46 ?? ?? ?? ?? 28 46 A0 47 0B 9D 2B 68 9C 6B 20 46 ?? ?? ?? ?? 28 46 A0 47 08 9D 2B 68 DC 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 38 46 17 B0 BD E8 F0 0F 5D F8 14 FB 41 91 32 01 }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "??_U@YAPAXI@Z"
		size = 34
		refs = "000c ??2@YAPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_61_1 {
	meta:
		name = "??C?$shared_ptr@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ"
		size = 34
		refs = "000c ?_Get@?$_Ptr_base@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_27_182_3 {
	meta:
		name = "??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ"
		size = 34
		refs = "000c ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_466_2 {
	meta:
		name = "??D?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAAAGXZ"
		size = 34
		refs = "000c ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_467_2 {
	meta:
		name = "??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ"
		size = 34
		refs = "000c ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_495_1 {
	meta:
		name = "?_Bx@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_496_1 {
	meta:
		name = "?_Bx@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_37_1 {
	meta:
		name = "?_Bx@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_33_113_2 {
	meta:
		name = "?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_88_112_2 {
	meta:
		name = "?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QBAABV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_685_3 {
	meta:
		name = "?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_555_1 {
	meta:
		name = "?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QBAABV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_47_1 {
	meta:
		name = "?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_639_2 {
	meta:
		name = "?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QBAABV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_701_3 {
	meta:
		name = "?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_13_240_3 {
	meta:
		name = "?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QBAABU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_572_1 {
	meta:
		name = "?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_704_3 {
	meta:
		name = "?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QBAABU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_656_2 {
	meta:
		name = "?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_54_1 {
	meta:
		name = "?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ"
		size = 34
		refs = "000c ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QBAABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_69_129_3 {
	meta:
		name = "?_Myproxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_967_3 {
	meta:
		name = "?_Myproxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_92_2 {
	meta:
		name = "?_Myproxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_114_132_3 {
	meta:
		name = "?get@?$shared_ptr@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ"
		size = 34
		refs = "000c ?_Get@?$_Ptr_base@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_28_314_1 {
	meta:
		name = "?max_size@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBAIU_Nil@2@@Z"
		size = 34
		refs = "000c ?max_size@?$allocator_traits@V?$allocator@D@std@@@std@@SAIABV?$allocator@D@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1333_2 {
	meta:
		name = "?max_size@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBAIU_Nil@2@@Z"
		size = 34
		refs = "000c ?max_size@?$allocator_traits@V?$allocator@G@std@@@std@@SAIABV?$allocator@G@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_65_141_3 {
	meta:
		name = "?max_size@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBAIU_Nil@2@@Z"
		size = 34
		refs = "000c ?max_size@?$allocator_traits@V?$allocator@_W@std@@@std@@SAIABV?$allocator@_W@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_82_367_3 {
	meta:
		name = "?max_size@?$allocator_traits@V?$allocator@D@std@@@std@@SAIABV?$allocator@D@2@@Z"
		size = 34
		refs = "000c ?max_size@?$allocator@D@std@@QBAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_1389_3 {
	meta:
		name = "?max_size@?$allocator_traits@V?$allocator@G@std@@@std@@SAIABV?$allocator@G@2@@Z"
		size = 34
		refs = "000c ?max_size@?$allocator@G@std@@QBAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1203_1 {
	meta:
		name = "?max_size@?$allocator_traits@V?$allocator@_W@std@@@std@@SAIABV?$allocator@_W@2@@Z"
		size = 34
		refs = "000c ?max_size@?$allocator@_W@std@@QBAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_53_340_1 {
	meta:
		name = "?pointer_to@?$pointer_traits@PAD@std@@SAPADAAD@Z"
		size = 34
		refs = "000c ??$addressof@D@std@@YAPADAAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1355_2 {
	meta:
		name = "?pointer_to@?$pointer_traits@PAG@std@@SAPAGAAG@Z"
		size = 34
		refs = "000c ??$addressof@G@std@@YAPAGAAG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_167_3 {
	meta:
		name = "?pointer_to@?$pointer_traits@PAU_Container_proxy@std@@@std@@SAPAU_Container_proxy@2@AAU32@@Z"
		size = 34
		refs = "000c ??$addressof@U_Container_proxy@std@@@std@@YAPAU_Container_proxy@0@AAU10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1357_2 {
	meta:
		name = "?pointer_to@?$pointer_traits@PA_W@std@@SAPA_WAA_W@Z"
		size = 34
		refs = "000c ??$addressof@_W@std@@YAPA_WAA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_39_3 {
	meta:
		name = "_Mtx_getconcrtcs"
		size = 34
		refs = "000c ?_get_cs@_Mtx_internal_imp_t@@QAAPAVstl_critical_section_interface@details@Concurrency@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_0_0 {
	meta:
		name = "?__scrt_initialize_thread_safe_statics@@YAHXZ"
		size = 128
		refs = "0028 ??$__crt_fast_encode_pointer@P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@Z@@YAP6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZQ6AH01K@Z@Z 0038 ??$__crt_fast_encode_pointer@P6AXPAU_RTL_CONDITION_VARIABLE@@@Z@@YAP6AXPAU_RTL_CONDITION_VARIABLE@@@ZQ6AX0@Z@Z 0046 atexit 0058 ?__scrt_uninitialize_thread_safe_statics@@YAXXZ 005c ?encoded_wake_all_condition_variable@@3P6AXPAU_RTL_CONDITION_VARIABLE@@@ZA 0060 __imp_WakeAllConditionVariable 0064 ?encoded_sleep_condition_variable_cs@@3P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZA 0068 __imp_SleepConditionVariableCS 006c __imp_InitializeConditionVariable 0070 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 0074 ?_Tss_event@@3PAXA 0078 __imp_InitializeCriticalSectionEx 007c ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 22 4F F4 7A 61 1B 48 19 4B 1B 68 98 47 17 4A 00 23 13 60 14 48 13 4B 1B 68 98 47 10 4B 18 68 ?? ?? ?? ?? 00 90 00 9A 0C 4B 1A 60 0A 4B 18 68 ?? ?? ?? ?? 01 90 01 9A 06 4B 1A 60 04 48 ?? ?? ?? ?? 00 23 02 93 02 98 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_1_0 {
	meta:
		name = "??$__crt_fast_decode_pointer@P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@Z@@YAP6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZQ6AH01K@Z@Z"
		size = 56
		refs = "0010 __rt_udiv 001e ?__crt_rotate_pointer_value@@YAIIH@Z 0034 __security_cookie"
		altNames = "??$__crt_fast_decode_pointer@P6AXPAU_RTL_CONDITION_VARIABLE@@@Z@@YAP6AXPAU_RTL_CONDITION_VARIABLE@@@ZQ6AX0@Z@Z ??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_decode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4B 19 68 20 20 ?? ?? ?? ?? 04 9A 07 4B 1B 68 82 EA 03 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_3_0 {
	meta:
		name = "??$__crt_fast_encode_pointer@P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@Z@@YAP6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZQ6AH01K@Z@Z"
		size = 60
		refs = "0010 __rt_udiv 001a ?__crt_rotate_pointer_value@@YAIIH@Z 0038 __security_cookie"
		altNames = "??$__crt_fast_encode_pointer@P6AXPAU_RTL_CONDITION_VARIABLE@@@Z@@YAP6AXPAU_RTL_CONDITION_VARIABLE@@@ZQ6AX0@Z@Z ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_encode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0B 4B 19 68 20 20 ?? ?? ?? ?? C1 F1 20 01 04 98 ?? ?? ?? ?? 00 90 00 9A 05 4B 1B 68 53 40 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_5_0 {
	meta:
		name = "?__crt_rotate_pointer_value@@YAIIH@Z"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 04 9B D3 41 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_6_0 {
	meta:
		name = "?__scrt_uninitialize_thread_safe_statics@@YAXXZ"
		size = 52
		refs = "0024 __imp_CloseHandle 0028 ?_Tss_event@@3PAXA 002c __imp_DeleteCriticalSection 0030 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 48 08 4B 1B 68 98 47 06 4B 1B 68 00 2B 04 D0 04 4B 18 68 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_7_0 {
	meta:
		name = "_Init_thread_abort"
		size = 34
		refs = "0008 _Init_thread_lock 0012 _Init_thread_unlock 0016 _Init_thread_notify"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 02 9A 00 23 13 60 ?? ?? ?? ?? ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_8_0 {
	meta:
		name = "_Init_thread_footer"
		size = 88
		refs = "0008 _Init_thread_lock 003c _Init_thread_unlock 0040 _Init_thread_notify 004c _Init_global_epoch 0050 _Init_thread_epoch 0054 _tls_index"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 0F 4B 1B 68 5A 1C 0E 4B 1A 60 0D 4B 1A 68 02 9B 1A 60 0D 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 07 4B 1A 44 05 4B 1B 68 13 60 ?? ?? ?? ?? ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_9_0 {
	meta:
		name = "_Init_thread_header"
		size = 124
		refs = "0008 _Init_thread_lock 002a _Init_thread_wait 003e _Init_thread_unlock 0070 _Init_global_epoch 0074 _Init_thread_epoch 0078 _tls_index"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 02 9B 1B 68 00 2B 04 D1 02 9A 6F F0 00 03 13 60 22 E0 02 9B 1B 68 B3 F1 FF 3F 0E D1 64 20 ?? ?? ?? ?? 02 9B 1B 68 00 2B 06 D1 02 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 11 E0 EB E7 0C 4B 1A 68 04 23 02 FB 03 F2 1D EE 50 3F DB 6A 13 44 1A 68 06 4B 1A 44 04 4B 1B 68 13 60 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_10_0 {
	meta:
		name = "_Init_thread_lock"
		size = 28
		refs = "0014 __imp_EnterCriticalSection 0018 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 48 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_170_0_0 {
	meta:
		name = "?__scrt_initialize_type_info@@YAXXZ"
		size = 28
		refs = "0014 __imp_InitializeSListHead 0018 ?__type_info_root_node@@3U__type_info_node@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 48 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_12_0 {
	meta:
		name = "_Init_thread_unlock"
		size = 28
		refs = "0014 __imp_LeaveCriticalSection 0018 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 48 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_4_0 {
	meta:
		name = "__scrt_set_unhandled_exception_filter"
		size = 28
		refs = "0014 __imp_SetUnhandledExceptionFilter 0018 __scrt_unhandled_exception_filter"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 48 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_11_0 {
	meta:
		name = "_Init_thread_notify"
		size = 96
		refs = "0016 ??$__crt_fast_decode_pointer@P6AXPAU_RTL_CONDITION_VARIABLE@@@Z@@YAP6AXPAU_RTL_CONDITION_VARIABLE@@@ZQ6AX0@Z@Z 0024 _guard_check_icall 004c __imp_ResetEvent 0050 ?_Tss_event@@3PAXA 0054 __imp_SetEvent 0058 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 005c ?encoded_wake_all_condition_variable@@3P6AXPAU_RTL_CONDITION_VARIABLE@@@ZA"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 83 B0 11 4B 1B 68 00 2B 0E D1 12 4B 18 68 ?? ?? ?? ?? 01 90 0E 4C 01 9B 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 09 E0 07 4B 18 68 07 4B 1B 68 98 47 05 4B 18 68 03 4B 1B 68 98 47 03 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_13_0 {
	meta:
		name = "_Init_thread_wait"
		size = 220
		refs = "0018 ??$__crt_fast_decode_pointer@P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@Z@@YAP6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZQ6AH01K@Z@Z 002a _guard_check_icall 006e _CrtDbgReportW 007c _Init_thread_unlock 0094 _Init_thread_lock 00c0 __imp_WaitForSingleObjectEx 00c4 ?_Tss_event@@3PAXA 00c8 ??_C@_1HK@LKKBAJNK@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAv?$AAc?$AAs?$AAt?$AAa?$AAr?$AAt?$AAu?$AAp?$AA?2?$AAs?$AAr?$AAc?$AA?2@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d0 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 00d4 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 00d8 ?encoded_sleep_condition_variable_cs@@3P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZA"
	strings:
		$1 = { 03 B4 2D E9 70 48 0D F1 0C 0B 8B B0 2D 4B 1B 68 00 2B 20 D1 30 4B 18 68 ?? ?? ?? ?? 06 90 10 9E 2C 4D 2B 4C 06 9B 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 29 46 32 46 98 47 07 90 07 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B DB B2 8D F8 14 30 2D E0 2C E0 10 9B B3 F1 FF 3F 0E D1 00 23 01 93 1A 4B 00 93 00 23 8F 22 17 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE ?? ?? ?? ?? 00 22 10 99 0F 4B 18 68 0D 4B 1B 68 98 47 09 90 09 9B 0A 93 ?? ?? ?? ?? 0A 9B 00 2B 02 D1 01 23 04 93 01 E0 00 23 04 93 04 9B DB B2 8D F8 14 30 9D F8 14 00 0B B0 BD E8 70 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_0_0 {
	meta:
		name = "__scrt_is_ucrt_dll_in_use"
		size = 44
		refs = "0028 __scrt_ucrt_dll_is_in_use"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_0_0 {
	meta:
		name = "??1type_info@@UAA@XZ"
		size = 28
		refs = "0018 ??_7type_info@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 13 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_465_3 {
	meta:
		name = "??1_Facet_base@std@@UAA@XZ"
		size = 28
		refs = "0018 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 13 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_51_3 {
	meta:
		name = "??1_Ref_count_base@std@@UAA@XZ"
		size = 28
		refs = "0018 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 13 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_165_3 {
	meta:
		name = "??1error_category@std@@UAA@XZ"
		size = 28
		refs = "0018 ??_7error_category@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 13 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_0_0 {
	meta:
		name = "__vdecl_fmodf4"
		size = 142
		refs = "0022 fmodf"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 08 8B 22 EF 52 81 18 EE 10 3B 20 EF 50 A1 00 EE 90 3A 1A EE 10 3B 00 EE 10 3A ?? ?? ?? ?? 10 EE 10 3A 0A EE 10 3B 38 EE 10 3B 00 EE 90 3A 3A EE 10 3B 00 EE 10 3A ?? ?? ?? ?? 10 EE 10 3A 2A EE 10 3B 19 EE 10 3B 00 EE 90 3A 1B EE 10 3B 00 EE 10 3A ?? ?? ?? ?? 10 EE 10 3A 0B EE 10 3B 39 EE 10 3B 00 EE 90 3A 3B EE 10 3B 00 EE 10 3A ?? ?? ?? ?? 10 EE 10 3A 2B EE 10 3B 2A EF 5A 01 BD EC 08 8B BD E8 00 88 }
	condition:
		$1
}

rule file_55_0_0 {
	meta:
		name = "__GSHandlerCheck_SEH_noexcept"
		size = 84
		refs = "0012 __GSHandlerCheck_SEH 003a terminate"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 06 9B 1B 1D 1B 68 03 F0 66 03 00 2B 09 D1 06 9B 1A 68 08 4B 9A 42 04 D1 00 9B 01 2B 01 D1 ?? ?? ?? ?? 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB FE DE 63 73 6D E0 }
	condition:
		$1
}

rule file_6_0_4 {
	meta:
		name = "__C_specific_handler_noexcept"
		size = 84
		refs = "0012 __C_specific_handler 003a terminate"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 06 9B 1B 1D 1B 68 03 F0 66 03 00 2B 09 D1 06 9B 1A 68 08 4B 9A 42 04 D1 00 9B 01 2B 01 D1 ?? ?? ?? ?? 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB FE DE 63 73 6D E0 }
	condition:
		$1
}

rule file_56_0_0 {
	meta:
		name = "_RTC_AllocaHelper"
		size = 44
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 70 B1 69 B1 62 B1 39 B1 CC 25 03 46 21 B1 44 18 03 F8 01 5B A3 42 FB D1 13 68 C1 60 43 60 10 60 BD E8 30 88 }
	condition:
		$1
}

rule file_56_1_0 {
	meta:
		name = "_RTC_CheckStackVars"
		size = 78
		refs = "003c ?_RTC_StackFailure@@YAXPAXPBD@Z"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 33 68 00 24 80 46 00 2B 1A DD 00 25 6F F0 33 37 73 68 E9 58 EA 18 01 EB 08 03 53 F8 04 3C BB 42 05 D1 53 68 0B 44 53 F8 08 30 BB 42 03 D0 91 68 07 98 ?? ?? ?? ?? 33 68 64 1C 0C 35 9C 42 E7 DB BD E8 F8 89 }
	condition:
		$1
}

rule file_56_2_0 {
	meta:
		name = "_RTC_CheckStackVars2"
		size = 166
		refs = "0042 ?_RTC_StackFailure@@YAXPAXPBD@Z 0080 ?_RTC_AllocaFailure@@YAXPAXPAU_RTC_ALLOCA_NODE@@H@Z"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 14 46 88 46 81 46 6F F0 33 36 F1 B1 0B 68 00 25 00 2B 1A DD 00 27 D8 F8 04 30 F9 58 FA 18 01 EB 09 03 53 F8 04 3C B3 42 05 D1 53 68 0B 44 53 F8 09 30 B3 42 03 D0 91 68 07 98 ?? ?? ?? ?? D8 F8 00 30 6D 1C 0C 37 9D 42 E5 DB 00 25 23 46 24 B3 5B 68 6D 1C 00 2B FB D1 FC B1 23 68 B3 42 08 D1 63 69 B3 42 05 D1 A3 69 B3 42 02 D1 E3 69 B3 42 04 D0 07 98 2A 46 21 46 ?? ?? ?? ?? E3 68 23 44 53 F8 04 3C B3 42 04 D0 07 98 2A 46 21 46 ?? ?? ?? ?? 64 68 6D 1E 00 2C DF D1 BD E8 F0 8B }
	condition:
		$1
}

rule file_57_0_0 {
	meta:
		name = "??__E?eps@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_110_1_0 {
	meta:
		name = "??__E?eps@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_153_4_0 {
	meta:
		name = "??__E?eps@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_85_3_0 {
	meta:
		name = "??__E?eps@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_148_8_0 {
	meta:
		name = "??__E?eps@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_66_0_0 {
	meta:
		name = "??__E?eps@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_57_1_0 {
	meta:
		name = "??__E?eps@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_110_2_0 {
	meta:
		name = "??__E?eps@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_85_4_0 {
	meta:
		name = "??__E?eps@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_148_9_0 {
	meta:
		name = "??__E?eps@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_66_1_0 {
	meta:
		name = "??__E?eps@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_57_2_0 {
	meta:
		name = "??__E?exponentBias@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?exponentBias@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 7E 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_3_0 {
	meta:
		name = "??__E?exponentBias@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@I@Z 0018 ?exponentBias@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 40 F2 FE 30 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_4_0 {
	meta:
		name = "??__E?exponentMask@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 FF 40 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_8_7 {
	meta:
		name = "??__E?inf@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?inf@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 FF 40 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_5_0 {
	meta:
		name = "??__E?exponentMask@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?exponentMask@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_102_9_7 {
	meta:
		name = "??__E?inf@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?inf@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_57_6_0 {
	meta:
		name = "??__E?ind@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?ind@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 C0 FF }
	condition:
		$1
}

rule file_57_7_0 {
	meta:
		name = "??__E?ind@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?ind@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 F8 FF }
	condition:
		$1
}

rule file_57_10_0 {
	meta:
		name = "??__E?neginf@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?neginf@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 80 FF }
	condition:
		$1
}

rule file_57_11_0 {
	meta:
		name = "??__E?neginf@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?neginf@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 F0 FF }
	condition:
		$1
}

rule file_57_12_0 {
	meta:
		name = "??__E?notExponentMask@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?notExponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 FF 40 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_13_0 {
	meta:
		name = "??__E?notExponentMask@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 36
		refs = "000c ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 001c ?notExponentMask@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 49 6F F0 00 00 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? FF FF 0F 80 }
	condition:
		$1
}

rule file_57_14_0 {
	meta:
		name = "??__E?p1@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 6B 16 6F 3F }
	condition:
		$1
}

rule file_57_15_0 {
	meta:
		name = "??__E?p1@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 62 0A 3A A8 55 5E 3B C0 }
	condition:
		$1
}

rule file_57_16_0 {
	meta:
		name = "??__E?p2@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 65 20 01 BF }
	condition:
		$1
}

rule file_57_17_0 {
	meta:
		name = "??__E?p2@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 8A D4 0A 36 A7 9A 4C 40 }
	condition:
		$1
}

rule file_57_18_0 {
	meta:
		name = "??__E?p3@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_111_12_0 {
	meta:
		name = "??__E?a1@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?a1@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_111_14_0 {
	meta:
		name = "??__E?a2@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?a2@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_111_20_0 {
	meta:
		name = "??__E?b2@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?b2@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_111_22_0 {
	meta:
		name = "??__E?b3@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?b3@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_184_19_7 {
	meta:
		name = "??__E?p2@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_200_29_0 {
	meta:
		name = "??__E?p2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_235_27_7 {
	meta:
		name = "??__E?p2@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_85_25_0 {
	meta:
		name = "??__E?p2@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_263_26_7 {
	meta:
		name = "??__E?p2@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_122_18_7 {
	meta:
		name = "??__E?p2@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_110_21_0 {
	meta:
		name = "??__E?p3@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_235_29_7 {
	meta:
		name = "??__E?p3@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_85_27_0 {
	meta:
		name = "??__E?p3@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_263_28_7 {
	meta:
		name = "??__E?p3@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_57_20_0 {
	meta:
		name = "??__E?p4@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p4@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_138_31_0 {
	meta:
		name = "??__E?p4@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p4@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_102_22_7 {
	meta:
		name = "??__E?p5@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p5@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_184_27_7 {
	meta:
		name = "??__E?q2@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_336_35_7 {
	meta:
		name = "??__E?q2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_154_33_7 {
	meta:
		name = "??__E?q2@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_122_24_7 {
	meta:
		name = "??__E?q2@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_102_30_7 {
	meta:
		name = "??__E?q3@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_184_29_7 {
	meta:
		name = "??__E?q3@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_154_35_7 {
	meta:
		name = "??__E?q3@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_148_36_0 {
	meta:
		name = "??__E?q3@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_122_26_7 {
	meta:
		name = "??__E?q3@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_102_32_7 {
	meta:
		name = "??__E?q4@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q4@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_110_31_0 {
	meta:
		name = "??__E?q4@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q4@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_138_39_0 {
	meta:
		name = "??__E?q4@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q4@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_263_38_7 {
	meta:
		name = "??__E?q4@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q4@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_102_34_7 {
	meta:
		name = "??__E?q5@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q5@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_138_41_0 {
	meta:
		name = "??__E?q5@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q5@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_138_43_0 {
	meta:
		name = "??__E?q6@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q6@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_235_45_7 {
	meta:
		name = "??__E?q7@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q7@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_153_30_0 {
	meta:
		name = "??__E?r5@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r5@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_267_32_7 {
	meta:
		name = "??__E?r6@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r6@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_153_34_0 {
	meta:
		name = "??__E?r7@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r7@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_267_36_7 {
	meta:
		name = "??__E?r8@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r8@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_57_19_0 {
	meta:
		name = "??__E?p3@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9F DA A6 A9 2C D8 43 C0 }
	condition:
		$1
}

rule file_57_21_0 {
	meta:
		name = "??__E?p4@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p4@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 27 39 EC 64 17 4E 24 40 }
	condition:
		$1
}

rule file_57_23_0 {
	meta:
		name = "??__E?p5@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p5@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 65 1E E6 B5 BD 4B E6 BF }
	condition:
		$1
}

rule file_57_24_0 {
	meta:
		name = "??__E?q0@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F0 50 B3 40 }
	condition:
		$1
}

rule file_57_25_0 {
	meta:
		name = "??__E?q0@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CC 87 2B 3E C0 86 64 C0 }
	condition:
		$1
}

rule file_57_26_0 {
	meta:
		name = "??__E?q1@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 0B 8D B1 C0 }
	condition:
		$1
}

rule file_57_27_0 {
	meta:
		name = "??__E?q1@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 43 B8 1E 10 4F 12 7A 40 }
	condition:
		$1
}

rule file_57_28_0 {
	meta:
		name = "??__E?q2@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_18_0 {
	meta:
		name = "??__E?b1@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?b1@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_20_0 {
	meta:
		name = "??__E?one@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?one@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_148_22_0 {
	meta:
		name = "??__E?p0@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_148_30_0 {
	meta:
		name = "??__E?q0@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_25_0 {
	meta:
		name = "??__E?q1@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_31_0 {
	meta:
		name = "??__E?q1@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_22_0 {
	meta:
		name = "??__E?q1@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_29_0 {
	meta:
		name = "??__E?q2@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 48 A8 56 FC CE DD 77 C0 }
	condition:
		$1
}

rule file_57_31_0 {
	meta:
		name = "??__E?q3@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 70 1C 59 96 7C DE 62 40 }
	condition:
		$1
}

rule file_57_33_0 {
	meta:
		name = "??__E?q4@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q4@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1F 86 F9 6E E8 D2 37 C0 }
	condition:
		$1
}

rule file_57_35_0 {
	meta:
		name = "??__E?q5@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q5@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_23_0 {
	meta:
		name = "??__E?b3@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?b3@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_21_0 {
	meta:
		name = "??__E?one@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?one@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_148_23_0 {
	meta:
		name = "??__E?p0@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_148_31_0 {
	meta:
		name = "??__E?q0@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_36_0 {
	meta:
		name = "??__E?q3@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_27_0 {
	meta:
		name = "??__E?q3@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_32_0 {
	meta:
		name = "??__E?q4@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q4@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_36_0 {
	meta:
		name = "?A@?$VASin@M@@CA?AT__n128@@T2@@Z"
		size = 84
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 00 23 00 93 10 4B 10 EE 10 2B 30 EE 10 1B 01 93 6B 46 11 EE 10 0B 53 F8 22 30 31 EE 10 4B 02 93 6B 46 53 F8 21 30 03 93 6B 46 53 F8 20 30 04 93 6B 46 53 F8 24 30 05 93 0D F1 08 0C 9C EC 04 0B 07 B0 BD E8 10 88 DA 0F 49 3F }
	condition:
		$1
}

rule file_57_37_0 {
	meta:
		name = "?B@?$VASin@M@@CA?AT__n128@@T2@@Z"
		size = 88
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 12 4B 10 EE 10 2B 30 EE 10 1B 00 93 0E 4B 11 EE 10 0B 31 EE 10 4B 01 93 6B 46 53 F8 22 30 02 93 6B 46 53 F8 21 30 03 93 6B 46 53 F8 20 30 04 93 6B 46 53 F8 24 30 05 93 0D F1 08 0C 9C EC 04 0B 07 B0 BD E8 10 88 DA 0F 49 3F DA 0F C9 3F }
	condition:
		$1
}

rule file_57_40_0 {
	meta:
		name = "?acos@?$VASin@M@@SA?AT__n128@@T2@@Z"
		size = 512
		refs = "001e ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0030 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 01dc ?ind@?$VectorOp@M@@2T__n128@@B 01e4 ?eps@?$VASin@M@@0T__n128@@B 01e8 ?q0@?$VASin@M@@0T__n128@@B 01ec ?q1@?$VASin@M@@0T__n128@@B 01f0 ?p1@?$VASin@M@@0T__n128@@B 01f8 ?p2@?$VASin@M@@0T__n128@@B"
		altNames = "__vdecl_acosf4"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 2D ED 10 8B 94 B0 20 EF 50 E1 9F ED 7A 0A 0D F1 40 0C 8C EC 04 EB ?? ?? ?? ?? 60 EF 50 01 01 20 0D F1 30 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A ?? ?? ?? ?? 20 EF 50 C1 B7 EE 00 0A 8D ED 00 0A ?? ?? ?? ?? 01 20 20 EF 50 81 B9 FF 4E E7 ?? ?? ?? ?? 6E FF 4C AE 60 FF 4A 08 6A EF FA C1 50 FF DA C1 68 EF 4E 0D 61 4B 4E FF 5E 2D 5E 4A 40 FF DC 0D 6A EF FA 81 50 FF F2 81 03 92 1C EE 90 1B FB FF E8 25 3C EE 90 0B 42 FF F2 0D 1D EE 90 4B 68 EF F0 0F 3D EE 90 5B 42 FF F0 2D 42 FF F2 0D 68 EF F0 0F 42 FF F0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D F9 FF E0 07 40 EF E0 0D 50 FF DE A1 D3 EC 04 0B 45 4B 40 FF F8 2D D3 EC 04 0B 42 4B 42 EF E0 0D 40 FF F8 6D D3 EC 04 0B 3D 4B 48 EF E0 0D 40 FF F8 2D D3 EC 04 0B 39 4B 42 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4A FF F0 0D 4A EF E0 2D D3 EC 04 0B 2D 4B 60 FF CE 6E 02 93 02 AB 53 F8 21 30 5A FF F2 61 04 93 02 AB 53 F8 20 30 0D F1 40 0C 9C EC 04 AB 9D ED 00 0A 05 93 02 AB 53 F8 24 30 06 93 02 AB 53 F8 25 30 03 92 07 93 00 23 02 93 02 AB 53 F8 21 30 0D F1 10 0C DC EC 04 2B 08 93 02 AB 53 F8 20 30 42 EF E6 0D 09 93 02 AB 53 F8 24 30 40 EF E2 4D 0A 93 02 AB 53 F8 25 30 0B 93 0D F1 20 0C DC EC 04 2B 62 EF E6 0D 40 EF E2 0D 0D F1 30 0C DC EC 04 2B 22 FF CA 8E 14 FF F0 81 ?? ?? ?? ?? 08 4B 6A FF 50 2E 0A EF 4A 0E D3 EC 04 0B 50 FF D8 21 12 FF DA 01 14 B0 BD EC 10 8B BD E8 30 88 FE DE ?? ?? ?? ?? DA 0F C9 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DA 0F 49 3F ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_57_42_0 {
	meta:
		name = "?asin@?$VASin@M@@SA?AT__n128@@T2@@Z"
		size = 456
		refs = "001e ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0030 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 01a8 ?ind@?$VectorOp@M@@2T__n128@@B 01b0 ?eps@?$VASin@M@@0T__n128@@B 01b4 ?q0@?$VASin@M@@0T__n128@@B 01b8 ?q1@?$VASin@M@@0T__n128@@B 01bc ?p1@?$VASin@M@@0T__n128@@B 01c0 ?p2@?$VASin@M@@0T__n128@@B"
		altNames = "__vdecl_asinf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 91 B0 20 EF 50 E1 9F ED 6C 0A 0D F1 30 0C 8C EC 04 EB ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 20 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A ?? ?? ?? ?? 20 EF 50 C1 B7 EE 00 0A 8D ED 00 0A ?? ?? ?? ?? 01 20 20 EF 50 81 B9 FF 4E E7 ?? ?? ?? ?? 6E FF 4C AE 60 FF 4A 08 6A EF FA C1 50 FF DA C1 68 EF 4E 0D 53 4B 4E FF 5E 2D 40 FF DC 0D 6A EF FA 81 50 FF F2 81 1C EE 90 2B FB FF E8 25 3C EE 90 1B 42 FF F2 0D 1D EE 90 0B 68 EF F0 0F 3D EE 90 4B 42 FF F0 2D 42 FF F2 0D 68 EF F0 0F 42 FF F0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D F9 FF E0 07 40 EF E0 0D 50 FF DE A1 D3 EC 04 0B 39 4B 40 FF F8 2D D3 EC 04 0B 36 4B 42 EF E0 0D 40 FF F8 6D D3 EC 04 0B 31 4B 48 EF E0 0D 40 FF F8 2D D3 EC 04 0B 2D 4B 42 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4A FF F0 0D 4A EF E0 2D D3 EC 04 0B 00 23 02 93 20 4B 60 FF CE 0E 03 93 02 AB 53 F8 22 30 5A FF F2 01 04 93 02 AB 53 F8 21 30 0D F1 20 0C DC EC 04 4B 0D F1 30 0C 9C EC 04 AB 05 93 02 AB 53 F8 20 30 9D ED 00 0A 24 FF CA 8E 06 93 02 AB 53 F8 24 30 07 93 0D F1 10 0C DC EC 04 2B 42 EF E0 0D 40 EF E2 2D F9 FF E2 07 10 FF F2 81 ?? ?? ?? ?? 07 4B 6A FF 50 2E 0A EF 4A 0E D3 EC 04 0B 50 FF D8 21 12 FF DA 01 11 B0 BD EC 10 8B BD E8 10 88 ?? ?? ?? ?? DA 0F 49 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_57_43_0 {
	meta:
		name = "?asin_check_special_case@?$VASin@M@@CA?AT__n128@@T2@T2@@Z"
		size = 60
		refs = "0016 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0038 ?ind@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 08 8B 20 EF 50 A1 B7 EE 00 0A 22 EF 52 81 ?? ?? ?? ?? 07 4B 6A FF 50 2E 0A EF 4A 0E D3 EC 04 0B 50 FF D8 21 12 FF DA 01 BD EC 08 8B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_44_0 {
	meta:
		name = "?asin_impl@?$VASin@M@@CA?AT__n128@@T2@AAT2@@Z"
		size = 280
		refs = "0016 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0034 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0104 ?eps@?$VASin@M@@0T__n128@@B 0108 ?q0@?$VASin@M@@0T__n128@@B 010c ?q1@?$VASin@M@@0T__n128@@B 0110 ?p1@?$VASin@M@@0T__n128@@B 0114 ?p2@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 2D ED 10 8B 20 EF 50 81 B6 EE 00 0A 04 46 ?? ?? ?? ?? 20 EF 50 C1 B7 EE 00 0A ?? ?? ?? ?? B9 FF 48 87 01 20 28 FF 4C EE 20 EF 50 A1 ?? ?? ?? ?? 6E EF 5E 21 D4 EC 04 4B 6E EF 5E 81 60 FF 64 08 32 4B 50 FF F4 21 6A EF 48 0D C4 EC 04 2B 48 FF 58 2D 40 FF DC 0D 50 FF F2 81 FB FF E8 25 42 FF F2 0D 68 EF F0 0F 42 FF F0 2D 42 FF F2 0D 68 EF F0 0F 42 FF F0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D F9 FF E0 07 40 EF E0 0D 10 FF D8 E1 D3 EC 04 0B 1B 4B 40 FF F8 2D D3 EC 04 0B 17 4B 42 EF E0 0D 40 FF F8 6D D3 EC 04 0B 13 4B 48 EF E0 0D 40 FF F8 2D D3 EC 04 0B 0E 4B 42 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4E FF 70 0D 4E EF 60 2D D3 EC 04 0B 20 FF C8 0E 1E FF 72 01 BD EC 10 8B BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_49_0 {
	meta:
		name = "?create@?$VectorOp@M@@SA?AT__n128@@I@Z"
		size = 42
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 A0 EE 10 0B 87 EC 04 0B 06 E0 97 EC 04 0B 03 E0 07 F1 10 0C 9C EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_57_50_0 {
	meta:
		name = "?filt$0@?0??create@?$VectorOp@M@@SA?AT__n128@@I@Z@4HA"
		size = 24
		altNames = "?filt$0@?0??create@?$VectorOp@M@@SA?AT__n128@@M@Z@4HA ?filt$0@?0??create@?$VectorOp@N@@SA?AT__n128@@I@Z@4HA ?filt$0@?0??create@?$VectorOp@N@@SA?AT__n128@@N@Z@4HA ?filt$0@?0??create@?$VectorOp@N@@SA?AT__n128@@_K@Z@4HA"
	strings:
		$1 = { 03 68 1A 68 03 4B 9A 42 01 D1 01 20 00 E0 00 20 70 47 FE DE 1D 00 00 C0 }
	condition:
		$1
}

rule file_57_51_0 {
	meta:
		name = "?create@?$VectorOp@M@@SA?AT__n128@@IIII@Z"
		size = 24
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B CD E9 00 01 CD E9 02 23 9D EC 04 0B BD E8 0F 88 }
	condition:
		$1
}

rule file_57_52_0 {
	meta:
		name = "?create@?$VectorOp@M@@SA?AT__n128@@M@Z"
		size = 42
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 B4 FF 40 0C 87 EC 04 0B 06 E0 97 EC 04 0B 03 E0 07 F1 10 0C 9C EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_57_54_0 {
	meta:
		name = "?create@?$VectorOp@N@@SA?AT__n128@@I@Z"
		size = 48
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 00 23 43 EC 10 0B 20 EF 10 11 87 EC 04 0B 06 E0 97 EC 04 0B 03 E0 07 F1 10 0C 9C EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_57_56_0 {
	meta:
		name = "?create@?$VectorOp@N@@SA?AT__n128@@N@Z"
		size = 58
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 87 ED 00 0B 7A 68 3B 68 42 EC 10 3B 20 EF 10 11 07 F1 10 0C 8C EC 04 0B 06 E0 07 F1 10 0C 9C EC 04 0B 01 E0 97 EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_57_58_0 {
	meta:
		name = "?create@?$VectorOp@N@@SA?AT__n128@@_K@Z"
		size = 46
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 41 EC 10 0B 20 EF 10 11 87 EC 04 0B 06 E0 97 EC 04 0B 03 E0 07 F1 10 0C 9C EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_57_60_0 {
	meta:
		name = "?div@?$VectorOp@M@@SA?AT__n128@@T2@0@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 FB FF 42 25 42 EF 72 0F 42 FF F0 2D 42 EF 72 0F 42 FF F0 0D 00 FF 70 0D BD E8 00 88 }
	condition:
		$1
}

rule file_57_64_0 {
	meta:
		name = "?recip@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 FB FF 40 25 40 EF 72 0F 42 FF F0 2D 40 EF 72 0F 02 FF F0 0D BD E8 00 88 }
	condition:
		$1
}

rule file_57_65_0 {
	meta:
		name = "?sqrt@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 58
	strings:
		$1 = { 2D E9 00 48 EB 46 FB FF C0 25 42 FF F2 0D 60 EF 70 0F 42 FF F0 2D 42 FF F2 0D 60 EF 70 0F 42 FF F0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 02 FF F0 0D BD E8 00 88 }
	condition:
		$1
}

rule file_57_67_0 {
	meta:
		name = "?unpack@?$VectorOp@M@@SAXT__n128@@AAI111@Z"
		size = 36
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 10 EE 10 4B 04 60 30 EE 10 0B 08 60 11 EE 10 1B 11 60 31 EE 10 2B 1A 60 BD E8 18 88 }
	condition:
		$1
}

rule file_58_0_0 {
	meta:
		name = "??_L@YAXPAXIHP6AX0@Z1@Z"
		size = 36
		refs = "0016 ??_L@YAXPAXIIP6AX0@Z1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 9B 00 93 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_0_0 {
	meta:
		name = "??_N@YAXPAXIHP6AX0@Z1@Z"
		size = 36
		refs = "0016 ??_N@YAXPAXIIP6AX0@Z1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 9B 00 93 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_58_1_0 {
	meta:
		name = "??_L@YAXPAXIIP6AX0@Z1@Z"
		size = 98
		refs = "002e _guard_check_icall 0054 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B 84 B0 6F 46 00 23 7B 60 00 23 3B 70 02 E0 7B 68 5B 1C 7B 60 7A 68 BB 6A 9A 42 0D D0 3C 6A FB 6A BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 98 47 3A 6A 7B 6A 13 44 3B 62 EA E7 01 23 3B 70 3B 78 00 2B 05 D1 3B 6B 7A 68 79 6A 38 6A ?? ?? ?? ?? 04 B0 BD E8 90 08 5D F8 14 FB }
	condition:
		$1
}

rule file_58_2_0 {
	meta:
		name = "?fin$0@?0???_L@YAXPAXIIP6AX0@Z1@Z@4HA"
		size = 24
		refs = "0010 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
		altNames = "?fin$0@?0???_N@YAXPAXIIP6AX0@Z1@Z@4HA"
	strings:
		$1 = { 10 B5 3B 78 00 2B 05 D1 3B 6B 7A 68 79 6A 38 6A ?? ?? ?? ?? FF E7 10 BD }
	condition:
		$1
}

rule file_65_1_0 {
	meta:
		name = "??_N@YAXPAXIIP6AX0@Z1@Z"
		size = 102
		refs = "0030 _guard_check_icall 0058 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B 83 B0 6F 46 00 23 7B 60 00 23 3B 70 02 E0 7B 68 5B 1C 7B 60 7A 68 BB 6A 9A 42 0F D0 01 25 3C 6A FB 6A BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 29 46 98 47 3A 6A 7B 6A 13 44 3B 62 E8 E7 01 23 3B 70 3B 78 00 2B 05 D1 3B 6B 7A 68 79 6A 38 6A ?? ?? ?? ?? 03 B0 BD E8 B0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_66_14_0 {
	meta:
		name = "??__E?p0@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? C6 E2 52 BF }
	condition:
		$1
}

rule file_66_15_0 {
	meta:
		name = "??__E?p0@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1F B2 B0 C9 A5 35 99 C0 }
	condition:
		$1
}

rule file_66_16_0 {
	meta:
		name = "??__E?p1@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B2 11 7B BB }
	condition:
		$1
}

rule file_66_17_0 {
	meta:
		name = "??__E?p1@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CC 5C BA A1 75 CE 58 C0 }
	condition:
		$1
}

rule file_66_19_0 {
	meta:
		name = "??__E?p2@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7F A7 FB CE 28 DC EE BF }
	condition:
		$1
}

rule file_66_20_0 {
	meta:
		name = "??__E?q0@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1A 2A 1E 40 }
	condition:
		$1
}

rule file_66_21_0 {
	meta:
		name = "??__E?q0@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 93 96 4E 57 3C E8 B2 40 }
	condition:
		$1
}

rule file_66_23_0 {
	meta:
		name = "??__E?q1@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F3 F0 01 4D 8B 73 A1 40 }
	condition:
		$1
}

rule file_66_25_0 {
	meta:
		name = "??__E?q2@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? FA F7 EB E1 A9 2F 5C 40 }
	condition:
		$1
}

rule file_66_28_0 {
	meta:
		name = "??__E?xbig@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?xbig@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B3 2C 10 41 }
	condition:
		$1
}

rule file_66_29_0 {
	meta:
		name = "??__E?xbig@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?xbig@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 A0 C1 0F 33 40 }
	condition:
		$1
}

rule file_66_53_0 {
	meta:
		name = "?signof@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 34
		refs = "0012 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 04 8B 4F F0 00 40 20 EF 50 81 ?? ?? ?? ?? 00 EF 58 01 BD EC 04 8B BD E8 00 88 }
	condition:
		$1
}

rule file_66_55_0 {
	meta:
		name = "?tanh@?$VTanh@M@@SA?AT__n128@@T2@@Z"
		size = 336
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0054 __vdecl_expf4 00fe ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0130 ?inf@?$VectorOp@M@@2T__n128@@B 0134 ?eps@?$VTanh@M@@0T__n128@@B 0138 ?xbig@?$VTanh@M@@0T__n128@@B 013c ?q0@?$VTanh@M@@0T__n128@@B 0140 ?p0@?$VTanh@M@@0T__n128@@B 0144 ?p1@?$VTanh@M@@0T__n128@@B"
		altNames = "__vdecl_tanhf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 88 B0 20 EF 50 E1 9F ED 4E 0A 0D F1 10 0C 8C EC 04 EB ?? ?? ?? ?? 20 EF 50 C1 B7 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 B6 EE 00 0A CD EC 04 0B ?? ?? ?? ?? 20 EF 50 81 9F ED 41 0A ?? ?? ?? ?? B9 FF 4E E7 20 EF 50 A1 0E EF 4E 0D ?? ?? ?? ?? DD EC 04 AB 39 4B 4F F0 00 40 40 EF 6A 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 4E FF 5E 4D 42 FF F0 0D 68 EF 60 0D 40 EF E0 8D D3 EC 04 0B 2D 4B 40 FF F4 2D D3 EC 04 0B 29 4B 42 EF E0 0D 40 FF F4 6D D3 EC 04 0B 25 4B 44 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 6E FF 4A 2E 46 FF F0 0D 0D F1 10 0C 9C EC 04 AB 2C FF 4A 8E 4E FF 70 0D 4E EF 60 0D 58 FF F0 21 D3 EC 04 0B 14 4B 6E FF 60 4E D3 EC 04 0B 5A FF F2 41 60 FF CE 2E 5E FF 74 21 F9 FF E2 07 10 FF F2 81 ?? ?? ?? ?? DD EC 04 2B 0A 4B 40 EF 5A 01 0A EF 4A 0E 60 EF F2 21 D3 EC 04 0B 4E EF 60 0E 52 FF D8 01 10 FF DA 01 08 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 54 9F 0C 3F 00 00 00 00 }
	condition:
		$1
}

rule file_67_0_0 {
	meta:
		name = "__GSHandlerCheck_SEH"
		size = 104
		refs = "0046 __GSHandlerCheckCommon 0052 __C_specific_handler"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 1C 33 1B 68 00 93 00 9B 1B 68 13 F0 00 4F 08 D0 09 9B 19 1D 00 9B 1B 68 23 F0 00 42 0B 68 13 44 00 93 00 9B 19 1D 00 9B 1A 68 10 23 02 FB 03 F3 0B 44 01 93 01 9A 09 99 07 98 ?? ?? ?? ?? 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_69_0_0 {
	meta:
		name = "??_U@YAPAXIABUnothrow_t@std@@@Z"
		size = 36
		refs = "000e ??2@YAPAXIABUnothrow_t@std@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_185_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@@Z"
		size = 36
		refs = "000e ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_531_3 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@@Z"
		size = 36
		refs = "000e ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_534_3 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@@Z"
		size = 36
		refs = "000e ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_47_144_3 {
	meta:
		name = "??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@ABV01@@Z"
		size = 36
		refs = "000e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_544_3 {
	meta:
		name = "??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@ABV01@@Z"
		size = 36
		refs = "000e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_499_2 {
	meta:
		name = "??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@ABV01@@Z"
		size = 36
		refs = "000e ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_82_129_2 {
	meta:
		name = "?allocate@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@2@I@Z"
		size = 36
		refs = "000e ?allocate@?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@QBAPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@I@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_88_145_2 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAPADI@Z"
		size = 36
		refs = "000e ?allocate@?$allocator@D@std@@QAAPADI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_1071_3 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAPAGI@Z"
		size = 36
		refs = "000e ?allocate@?$allocator@G@std@@QAAPAGI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_454_3 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAPAU_Container_proxy@2@I@Z"
		size = 36
		refs = "000e ?allocate@?$allocator@U_Container_proxy@std@@@std@@QAAPAU_Container_proxy@2@I@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_72_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAPA_WI@Z"
		size = 36
		refs = "000e ?allocate@?$allocator@_W@std@@QAAPA_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_65_158_3 {
	meta:
		name = "_Lstat"
		size = 36
		refs = "000e _Stat"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_71_1_0 {
	meta:
		name = "?DebuggerProbe@@YAHK@Z"
		size = 68
		refs = "0026 __imp_RaiseException"
	strings:
		$1 = { 2D E9 90 48 0D F1 08 0B 88 B0 6F 46 00 23 3B 70 41 F2 01 03 BB 60 F8 60 3B 46 3B 61 17 F1 08 03 06 22 00 21 06 48 ?? ?? ?? ?? C0 F2 00 04 24 68 A0 47 38 78 00 E0 78 68 08 B0 BD E8 90 88 FE DE 88 13 6D 40 }
	condition:
		$1
}

rule file_71_2_0 {
	meta:
		name = "?filt$0@?0??DebuggerProbe@@YAHK@Z@4HA"
		size = 24
		altNames = "?filt$0@?0??DebuggerRuntime@@YAHKHPAXPB_W@Z@4HA"
	strings:
		$1 = { 03 68 1A 68 03 4B 9A 42 01 D1 01 20 00 E0 00 20 70 47 FE DE 88 13 6D 40 }
	condition:
		$1
}

rule file_71_3_0 {
	meta:
		name = "?DebuggerRuntime@@YAHKHPAXPB_W@Z"
		size = 72
		refs = "002c __imp_RaiseException"
	strings:
		$1 = { 2D E9 90 48 0D F1 08 0B 88 B0 6F 46 00 24 3C 70 41 F2 02 04 BC 60 F8 60 39 61 7A 61 3A 46 BA 61 FB 61 17 F1 08 03 06 22 00 21 06 48 ?? ?? ?? ?? C0 F2 00 04 24 68 A0 47 38 78 00 E0 78 68 08 B0 BD E8 90 88 88 13 6D 40 }
	condition:
		$1
}

rule file_71_5_0 {
	meta:
		name = "?_RTC_AllocaFailure@@YAXPAXPAU_RTC_ALLOCA_NODE@@H@Z"
		size = 220
		refs = "0008 __security_push_cookie 000e ?_RTC_ErrorLevels@@3PAHA 0024 ??_C@_0EJ@LJKNEOLN@Stack?5area?5around?5_alloca?5memory@ 002e ??_C@_08OMAHNMHJ@?6Data?3?5?$DM?$AA@ 0038 ??_C@_0BC@HHMKLAND@?$CFs?$CFs?$CFp?$CFs?$CFzd?$CFs?$CFd?$CFs?$AA@ 0042 ??_C@_0CK@DKGBICFE@?6Allocation?5number?5within?5this?5f@ 005c ??_C@_07DFDJCKFN@?6Size?3?5?$AA@ 0066 ??_C@_0N@MHFFIMFG@?6Address?3?50x?$AA@ 0070 ??_C@_0EI@CLEPFNGI@Stack?5area?5around?5_alloca?5memory@ 0078 sprintf_s 0086 ?_getMemBlockDataString@@YAXPAD00I@Z 008c ?_strlen_priv@@YAIPBD@Z 0098 ??_C@_01EEMJAFIK@?6?$AA@ 00a0 ??_C@_08KJEDNCKC@?$CFs?$CFs?$CFs?$CFs?$AA@ 00b2 ??_C@_02LLMPMKNF@?$DO?5?$AA@ 00ce ?failwithmessage@@YAXPAXHHPBD@Z 00d4 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? D9 B0 ?? ?? ?? ?? C0 F2 00 03 0E 46 07 46 1D 69 B5 F1 FF 3F 57 D0 26 B9 ?? ?? ?? ?? C0 F2 00 03 4C E0 ?? ?? ?? ?? C0 F2 00 03 05 92 ?? ?? ?? ?? C0 F2 00 02 06 93 ?? ?? ?? ?? C0 F2 00 03 06 F1 20 04 1C A8 04 93 F3 68 F4 21 01 94 24 3B 03 93 ?? ?? ?? ?? C0 F2 00 03 02 93 ?? ?? ?? ?? C0 F2 00 03 00 93 ?? ?? ?? ?? C0 F2 00 03 ?? ?? ?? ?? F3 68 0E A9 08 A8 24 3B 22 46 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 04 46 1C A8 ?? ?? ?? ?? ?? ?? ?? ?? C0 F2 00 03 ?? ?? ?? ?? C0 F2 00 02 C4 F1 F4 01 02 93 0E AB 01 93 ?? ?? ?? ?? C0 F2 00 03 1C AC 20 44 00 93 08 AB ?? ?? ?? ?? 1C AB 04 22 29 46 38 46 ?? ?? ?? ?? 59 B0 ?? ?? ?? ?? BD E8 F0 88 }
	condition:
		$1
}

rule file_71_6_0 {
	meta:
		name = "?_RTC_Failure@@YAXPAXH@Z"
		size = 80
		refs = "000c ?_RTC_ErrorLevels@@3PAHA 0018 ?_RTC_ErrorMessages@@3QBQBDB 002e ?failwithmessage@@YAXPAXHHPBD@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 29 14 D8 ?? ?? ?? ?? C0 F2 00 03 53 F8 21 40 ?? ?? ?? ?? C0 F2 00 03 B4 F1 FF 3F 53 F8 21 30 10 D0 0A 46 21 46 ?? ?? ?? ?? BD E8 18 88 ?? ?? ?? ?? C0 F2 00 03 01 24 05 21 5B 69 0A 46 21 46 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_71_7_0 {
	meta:
		name = "?_RTC_StackFailure@@YAXPAXPBD@Z"
		size = 160
		refs = "0008 __security_push_cookie 0010 ?_RTC_ErrorLevels@@3PAHA 002c ?_strlen_priv@@YAIPBD@Z 003a ?stack_premsg@@3QBDB 0048 strcpy 0080 ??_C@_0CG@IAFNJNEE@Stack?5corrupted?5near?5unknown?5var@ 0090 ?failwithmessage@@YAXPAXHHPBD@Z 0098 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? AD F5 80 6D ?? ?? ?? ?? C0 F2 00 03 0C 46 80 46 9F 68 B7 F1 FF 3F 37 D0 91 F9 00 30 53 B3 08 46 ?? ?? ?? ?? 00 F1 2D 03 B3 F5 80 6F 22 D8 ?? ?? ?? ?? C0 F2 00 05 68 46 6E 46 29 46 ?? ?? ?? ?? 68 46 42 1E 12 F8 01 3F 00 2B FB D1 14 F8 01 3B 00 2B 02 F8 01 3B F9 D1 05 F1 1C 01 42 1E 12 F8 01 3F 00 2B FB D1 11 F8 01 3B 00 2B 02 F8 01 3B F9 D1 03 E0 ?? ?? ?? ?? C0 F2 00 06 33 46 02 22 39 46 40 46 ?? ?? ?? ?? 0D F5 80 6D ?? ?? ?? ?? BD E8 F0 89 }
	condition:
		$1
}

rule file_71_8_0 {
	meta:
		name = "?_getMemBlockDataString@@YAXPAD00I@Z"
		size = 100
		refs = "002e ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 003c sprintf_s"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 1E 46 00 25 13 1A CD E9 00 30 9A 46 02 91 07 46 88 46 4F F0 31 09 10 2E 32 46 28 BF 10 22 95 42 12 D2 1A F8 07 40 ?? ?? ?? ?? C0 F2 00 02 49 46 23 46 40 46 ?? ?? ?? ?? 07 F8 01 4B 6D 1C A9 F1 03 09 08 F1 03 08 E6 E7 DD E9 01 A2 00 21 05 EB 45 03 05 F8 0A 10 99 54 BD E8 FE 8F }
	condition:
		$1
}

rule file_71_9_0 {
	meta:
		name = "?_strlen_priv@@YAIPBD@Z"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 12 F9 01 3B 00 2B FB D1 13 1A 58 1E BD E8 00 88 }
	condition:
		$1
}

rule file_71_10_0 {
	meta:
		name = "?failwithmessage@@YAXPAXHHPBD@Z"
		size = 408
		refs = "0008 __security_push_cookie 001c ?_RTC_GetErrorFuncW@@YAP6AHHPB_WH00ZZPBX@Z 0026 ?_RTC_GetErrorFunc@@YAP6AHHPBDH00ZZPBX@Z 002c __imp_MultiByteToWideChar 0076 ??_C@_1GM@OLMCBDMB@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?4?$AA?6?$AA?$AN?$AA?5?$AAU?$AAn?$AAa?$AAb?$AAl?$AAe?$AA?5?$AAt?$AAo@ 0082 ?DebuggerProbe@@YAHK@Z 0088 ?_RTC_NoFalsePositives@@3QBHB 009a ?DebuggerRuntime@@YAHKHPAXPB_W@Z 00b0 __imp_IsDebuggerPresent 00d0 ?_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z 00d6 ??_C@_1EA@NFKNIFJP@?$AAR?$AAu?$AAn?$AA?9?$AAT?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAu?$AAr?$AAe?$AA?5?$AA?$CD?$AA?$CF?$AAd?$AA?5?$AA?9?$AA?5?$AA?$CF?$AAs?$AA?$AA@ 00e8 _guard_check_icall 00f8 __imp_WideCharToMultiByte 0108 ??_C@_0BB@PFFGGCJP@Unknown?5Filename?$AA@ 0140 ??_C@_0BE@GNBOBNCK@Unknown?5Module?5Name?$AA@ 0164 ??_C@_0CA@IODNCDPG@Run?9Time?5Check?5Failure?5?$CD?$CFd?5?9?5?$CFs?$AA@ 0190 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AD F6 48 6D 9A 46 91 46 88 46 05 91 06 46 00 27 ?? ?? ?? ?? 05 46 1D B9 30 46 ?? ?? ?? ?? 07 46 ?? ?? ?? ?? C0 F2 00 04 00 23 01 93 24 68 00 93 DB 43 52 46 00 21 4F F6 E9 50 A0 47 B0 F5 00 7F 13 D2 ?? ?? ?? ?? C0 F2 00 04 0D F6 48 23 01 90 24 68 00 93 6F F0 00 03 52 46 00 21 4F F6 E9 50 A0 47 10 B1 0D F6 48 24 03 E0 ?? ?? ?? ?? C0 F2 00 04 41 F2 02 00 ?? ?? ?? ?? 70 B1 ?? ?? ?? ?? C0 F2 00 03 32 46 48 46 53 F8 29 10 23 46 ?? ?? ?? ?? 00 28 74 D1 00 23 00 E0 01 23 0F B9 00 2D 6D D0 3B B1 ?? ?? ?? ?? C0 F2 00 03 1B 68 98 47 00 28 64 D1 88 AB 00 93 4F F4 82 72 04 AB 06 A9 30 1F 01 92 ?? ?? ?? ?? 85 B1 ?? ?? ?? ?? C0 F2 00 03 28 46 02 94 00 93 CD F8 04 90 ?? ?? ?? ?? 04 9A 06 A9 40 46 88 AB A8 47 46 E0 ?? ?? ?? ?? C0 F2 00 04 00 23 0D F5 85 62 24 68 ?? ?? ?? ?? C0 F2 00 06 03 93 02 93 40 F2 0A 38 00 92 DB 43 06 AA 00 21 4F F6 E9 50 CD F8 04 80 A0 47 08 B1 0D F5 85 66 ?? ?? ?? ?? C0 F2 00 04 00 23 0D F5 E7 62 24 68 ?? ?? ?? ?? C0 F2 00 05 03 93 02 93 00 92 DB 43 88 AA 00 21 4F F6 E9 50 CD F8 04 80 A0 47 08 B1 0D F5 E7 65 ?? ?? ?? ?? C0 F2 00 02 38 46 CD F8 08 A0 00 92 CD F8 04 90 ?? ?? ?? ?? DD E9 04 20 31 46 2B 46 B8 47 01 28 00 D1 FE DE 0D F6 48 6D ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_71_11_0 {
	meta:
		name = "_RTC_UninitUse"
		size = 154
		refs = "0008 __security_push_cookie 0010 ?_RTC_ErrorLevels@@3PAHA 0024 ?_strlen_priv@@YAIPBD@Z 0032 ?uninit_premsg@@3QBDB 0040 strcpy 0078 ??_C@_0DE@OHJBPMBP@A?5variable?5is?5being?5used?5without@ 008a ?failwithmessage@@YAXPAXHHPBD@Z 0092 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? AD F2 04 4D ?? ?? ?? ?? C0 F2 00 03 04 46 DF 68 B7 F1 FF 3F 35 D0 4C B3 ?? ?? ?? ?? 00 F1 3A 03 B3 F5 80 6F 22 D8 ?? ?? ?? ?? C0 F2 00 05 68 46 6E 46 29 46 ?? ?? ?? ?? 68 46 42 1E 12 F8 01 3F 00 2B FB D1 14 F8 01 3B 00 2B 02 F8 01 3B F9 D1 05 F1 10 01 42 1E 12 F8 01 3F 00 2B FB D1 11 F8 01 3B 00 2B 02 F8 01 3B F9 D1 03 E0 ?? ?? ?? ?? C0 F2 00 06 DD F8 1C 04 33 46 03 22 39 46 ?? ?? ?? ?? 0D F2 04 4D ?? ?? ?? ?? BD E8 F0 88 }
	condition:
		$1
}

rule file_71_12_0 {
	meta:
		name = "__local_stdio_printf_options"
		size = 18
		refs = "0006 ?_OptionsStorage@?1??__local_stdio_printf_options@@9@4_KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? C0 F2 00 00 BD E8 00 88 }
	condition:
		$1
}

rule file_47_158_3 {
	meta:
		name = "??__E?id@?$codecvt@DDU_Mbstatet@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$codecvt@DDU_Mbstatet@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_32_2 {
	meta:
		name = "??__E?id@?$codecvt@GDU_Mbstatet@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$codecvt@GDU_Mbstatet@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_33_2 {
	meta:
		name = "??__E?id@?$codecvt@_WDU_Mbstatet@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$codecvt@_WDU_Mbstatet@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_253_2 {
	meta:
		name = "??__E?id@?$collate@D@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$collate@D@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_588_3 {
	meta:
		name = "??__E?id@?$collate@G@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$collate@G@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_542_2 {
	meta:
		name = "??__E?id@?$collate@_W@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$collate@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_34_3 {
	meta:
		name = "??__E?id@?$ctype@D@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$ctype@D@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_35_2 {
	meta:
		name = "??__E?id@?$ctype@G@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$ctype@G@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_36_1 {
	meta:
		name = "??__E?id@?$ctype@_W@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$ctype@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_211_1 {
	meta:
		name = "??__E?id@?$messages@D@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$messages@D@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_543_2 {
	meta:
		name = "??__E?id@?$messages@G@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$messages@G@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_544_2 {
	meta:
		name = "??__E?id@?$messages@_W@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$messages@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_255_2 {
	meta:
		name = "??__E?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_545_2 {
	meta:
		name = "??__E?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_546_2 {
	meta:
		name = "??__E?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_256_2 {
	meta:
		name = "??__E?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_594_3 {
	meta:
		name = "??__E?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_595_3 {
	meta:
		name = "??__E?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_272_3 {
	meta:
		name = "??__E?id@?$moneypunct@D$00@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$moneypunct@D$00@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_273_3 {
	meta:
		name = "??__E?id@?$moneypunct@D$0A@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_549_2 {
	meta:
		name = "??__E?id@?$moneypunct@G$00@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$moneypunct@G$00@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_550_2 {
	meta:
		name = "??__E?id@?$moneypunct@G$0A@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_598_3 {
	meta:
		name = "??__E?id@?$moneypunct@_W$00@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_476_1 {
	meta:
		name = "??__E?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_132_1 {
	meta:
		name = "??__E?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_477_1 {
	meta:
		name = "??__E?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_554_2 {
	meta:
		name = "??__E?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_150_2 {
	meta:
		name = "??__E?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_479_1 {
	meta:
		name = "??__E?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_603_3 {
	meta:
		name = "??__E?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_134_1 {
	meta:
		name = "??__E?id@?$numpunct@D@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$numpunct@D@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_604_3 {
	meta:
		name = "??__E?id@?$numpunct@G@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$numpunct@G@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_605_3 {
	meta:
		name = "??__E?id@?$numpunct@_W@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$numpunct@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_259_2 {
	meta:
		name = "??__E?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_483_1 {
	meta:
		name = "??__E?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_560_2 {
	meta:
		name = "??__E?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_260_2 {
	meta:
		name = "??__E?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_608_3 {
	meta:
		name = "??__E?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_609_3 {
	meta:
		name = "??__E?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 24
		refs = "000a ??0id@locale@std@@QAA@I@Z 0014 ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_0_7 {
	meta:
		name = "_CRT_RTC_INIT"
		size = 18
		refs = "0006 _CrtDbgReport"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? C0 F2 00 00 BD E8 00 88 }
	condition:
		$1
}

rule file_146_1_7 {
	meta:
		name = "_CRT_RTC_INITW"
		size = 18
		refs = "0006 _CrtDbgReportW"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? C0 F2 00 00 BD E8 00 88 }
	condition:
		$1
}

rule file_71_13_0 {
	meta:
		name = "_vsprintf_s_l"
		size = 62
		refs = "0010 __local_stdio_printf_options 0026 __stdio_common_vsprintf_s"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 1E 46 17 46 88 46 81 46 ?? ?? ?? ?? 0C 9C 05 46 D5 E9 00 01 43 46 4A 46 02 94 01 96 00 97 ?? ?? ?? ?? 00 28 04 DA 6F F0 00 00 04 B0 BD E8 F0 8B 04 B0 BD E8 F0 8B }
	condition:
		$1
}

rule file_71_14_0 {
	meta:
		name = "sprintf_s"
		size = 42
		refs = "000e ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 001e _vsprintf_s_l"
	strings:
		$1 = { 0F B4 2D E9 3C 48 0D F1 10 0B 0C 46 05 46 ?? ?? ?? ?? 08 9A 09 AB 00 93 00 23 21 46 28 46 ?? ?? ?? ?? BD E8 3C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_72_0_0 {
	meta:
		name = "__GSHandlerCheck_EH"
		size = 60
		refs = "001a __GSHandlerCheckCommon 0026 __CxxFrameHandler3"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 1C 33 1B 68 1B 1D 00 93 00 9A 09 99 07 98 ?? ?? ?? ?? 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_77_0_0 {
	meta:
		name = "__rt_udiv"
		size = 360
		refs = "001e _lc009_002361_"
	strings:
		$1 = { 80 B1 02 46 B0 FA 80 F0 B1 FA 81 F3 C0 1A 0F F2 4D 13 A3 EB C0 03 A3 EB 40 03 4F F0 00 00 ?? ?? ?? ?? 18 47 F9 DE B1 EB C2 73 28 BF 19 46 40 41 B1 EB 82 73 28 BF 19 46 40 41 B1 EB 42 73 28 BF 19 46 40 41 B1 EB 02 73 28 BF 19 46 40 41 B1 EB C2 63 28 BF 19 46 40 41 B1 EB 82 63 28 BF 19 46 40 41 B1 EB 42 63 28 BF 19 46 40 41 B1 EB 02 63 28 BF 19 46 40 41 B1 EB C2 53 28 BF 19 46 40 41 B1 EB 82 53 28 BF 19 46 40 41 B1 EB 42 53 28 BF 19 46 40 41 B1 EB 02 53 28 BF 19 46 40 41 B1 EB C2 43 28 BF 19 46 40 41 B1 EB 82 43 28 BF 19 46 40 41 B1 EB 42 43 28 BF 19 46 40 41 B1 EB 02 43 28 BF 19 46 40 41 B1 EB C2 33 28 BF 19 46 40 41 B1 EB 82 33 28 BF 19 46 40 41 B1 EB 42 33 28 BF 19 46 40 41 B1 EB 02 33 28 BF 19 46 40 41 B1 EB C2 23 28 BF 19 46 40 41 B1 EB 82 23 28 BF 19 46 40 41 B1 EB 42 23 28 BF 19 46 40 41 B1 EB 02 23 28 BF 19 46 40 41 B1 EB C2 13 28 BF 19 46 40 41 B1 EB 82 13 28 BF 19 46 40 41 B1 EB 42 13 28 BF 19 46 40 41 B1 EB 02 13 28 BF 19 46 40 41 B1 EB C2 03 28 BF 19 46 40 41 B1 EB 82 03 28 BF 19 46 40 41 B1 EB 42 03 28 BF 19 46 40 41 8B 1A 28 BF 19 46 40 41 70 47 00 00 }
	condition:
		$1
}

rule file_77_1_0 {
	meta:
		name = "__rt_sdiv"
		size = 388
		refs = "002e _lc009_002745_"
	strings:
		$1 = { 10 F0 00 43 48 BF 40 42 93 EA 21 0C 28 BF 49 42 80 B1 02 46 B0 FA 80 F0 B1 FA 81 F3 C0 1A 0F F2 4D 13 A3 EB C0 03 A3 EB 40 03 4F F0 00 00 ?? ?? ?? ?? 18 47 F9 DE B1 EB C2 73 28 BF 19 46 40 41 B1 EB 82 73 28 BF 19 46 40 41 B1 EB 42 73 28 BF 19 46 40 41 B1 EB 02 73 28 BF 19 46 40 41 B1 EB C2 63 28 BF 19 46 40 41 B1 EB 82 63 28 BF 19 46 40 41 B1 EB 42 63 28 BF 19 46 40 41 B1 EB 02 63 28 BF 19 46 40 41 B1 EB C2 53 28 BF 19 46 40 41 B1 EB 82 53 28 BF 19 46 40 41 B1 EB 42 53 28 BF 19 46 40 41 B1 EB 02 53 28 BF 19 46 40 41 B1 EB C2 43 28 BF 19 46 40 41 B1 EB 82 43 28 BF 19 46 40 41 B1 EB 42 43 28 BF 19 46 40 41 B1 EB 02 43 28 BF 19 46 40 41 B1 EB C2 33 28 BF 19 46 40 41 B1 EB 82 33 28 BF 19 46 40 41 B1 EB 42 33 28 BF 19 46 40 41 B1 EB 02 33 28 BF 19 46 40 41 B1 EB C2 23 28 BF 19 46 40 41 B1 EB 82 23 28 BF 19 46 40 41 B1 EB 42 23 28 BF 19 46 40 41 B1 EB 02 23 28 BF 19 46 40 41 B1 EB C2 13 28 BF 19 46 40 41 B1 EB 82 13 28 BF 19 46 40 41 B1 EB 42 13 28 BF 19 46 40 41 B1 EB 02 13 28 BF 19 46 40 41 B1 EB C2 03 28 BF 19 46 40 41 B1 EB 82 03 28 BF 19 46 40 41 B1 EB 42 03 28 BF 19 46 40 41 8B 1A 28 BF 19 46 40 41 5F EA 4C 0C 28 BF 40 42 48 BF 49 42 70 47 00 00 }
	condition:
		$1
}

rule file_77_2_0 {
	meta:
		name = "__rt_udiv64"
		size = 160
		refs = "008a __rt_udiv"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 50 EA 01 04 26 D0 51 EA 03 04 39 D0 06 46 8C 46 B3 FA 83 F1 13 B9 B2 FA 82 F1 20 31 BC F1 00 0F BC FA 8C F0 02 D1 B6 FA 86 F0 20 30 40 1A 2E DB 20 28 65 46 34 46 01 D3 35 46 00 24 10 F0 1F 00 85 40 D0 F1 20 01 34 FA 01 F1 84 40 0D 43 00 20 00 21 06 E0 F9 DE 64 08 00 18 44 EA C5 74 49 41 6D 08 9D 42 07 D8 01 D3 94 42 04 D8 12 1B AB 41 40 1C 51 F1 00 01 B4 42 ED D1 65 45 EB D1 08 E0 11 46 ?? ?? ?? ?? 0A 46 00 21 00 23 01 E0 00 21 00 20 BD E8 F0 88 00 00 }
	condition:
		$1
}

rule file_79_0_0 {
	meta:
		name = "??2@YAPAXIABUnothrow_t@std@@@Z"
		size = 54
		refs = "0018 ??2@YAPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 B8 6A ?? ?? ?? ?? 78 60 7B 68 3B 60 02 E0 01 E0 BB 68 3B 60 38 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_1_0 {
	meta:
		name = "__catch$??2@YAPAXIABUnothrow_t@std@@@Z$0"
		size = 20
		refs = "000c __tryend$??2@YAPAXIABUnothrow_t@std@@@Z$1 0010 $LN7"
	strings:
		$1 = { 00 23 BB 60 02 48 70 47 00 48 70 47 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_0_0 {
	meta:
		name = "__security_init_cookie"
		size = 188
		refs = "009c __security_cookie_complement 00a0 __security_cookie 00ac __imp_QueryPerformanceCounter 00b0 __imp_GetCurrentProcessId 00b4 __imp_GetCurrentThreadId 00b8 __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 00 23 04 93 00 23 05 93 23 4B 1A 68 24 4B 9A 42 05 D0 21 4B 1B 68 DA 43 1E 4B 1A 60 36 E0 04 A8 23 4B 1B 68 98 47 04 9B 00 93 00 9A 05 9B 53 40 00 93 1E 4B 1B 68 98 47 01 90 00 9A 01 9B 53 40 00 93 19 4B 1B 68 98 47 02 90 00 9A 02 9B 53 40 00 93 06 A8 13 4B 1B 68 98 47 00 9A 06 9B 53 40 00 93 00 9A 07 9B 53 40 00 93 00 9A 6B 46 53 40 00 93 00 9A 0A 4B 9A 42 01 D1 08 4B 00 93 00 9A 05 4B 1A 60 00 9B DA 43 02 4B 1A 60 08 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 4F E6 40 BB 4E E6 40 BB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_0_0 {
	meta:
		name = "__scrt_get_dyn_tls_dtor_callback"
		size = 24
		refs = "0014 __dyn_tls_dtor_callback"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_74_3 {
	meta:
		name = "?_BadAllocException@__ExceptionPtr@@SAABV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 24
		refs = "0014 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_69_122_3 {
	meta:
		name = "?_Init_cnt_func@Init@ios_base@std@@CAAAHXZ"
		size = 24
		refs = "0014 ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_402_2 {
	meta:
		name = "__local_stdio_printf_options"
		size = 24
		refs = "0014 ?_OptionsStorage@?1??__local_stdio_printf_options@@9@4_KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_1_7 {
	meta:
		name = "__local_stdio_scanf_options"
		size = 24
		refs = "0014 ?_OptionsStorage@?1??__local_stdio_scanf_options@@9@4_KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_223_0_7 {
	meta:
		name = "__scrt_get_dyn_tls_init_callback"
		size = 24
		refs = "0014 __dyn_tls_init_callback"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_0_0 {
	meta:
		name = "??$cosh_impl@$00@?$VSinh@M@@CA?AT__n128@@T1@@Z"
		size = 168
		refs = "0026 __vdecl_expf4 0046 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0094 ?inf@?$VectorOp@M@@2T__n128@@B 0098 ?wmax@?$VSinh@M@@0T__n128@@B 009c ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B 00a0 ?ln_v@?$VSinh@M@@0T__n128@@B 00a4 ?ybar@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 26 4B 20 EF 50 81 D3 EC 04 0B 22 4B 28 FF 60 EE D3 EC 04 0B 28 EF 60 CD 2C EF 5C 01 ?? ?? ?? ?? 1C 4B D3 EC 04 0B 40 FF D0 0D 00 EF 60 AD 28 EF 58 01 ?? ?? ?? ?? 01 20 20 EF 50 81 ?? ?? ?? ?? FB FF 48 25 12 4B 48 EF 72 0F 42 FF F0 2D 48 EF 72 0F 42 FF F0 0D 48 EF 60 2D F7 EF 50 05 62 FF E0 08 6E EF 5E 21 5A FF 70 21 D3 EC 04 0B 06 4B 6C FF 60 0E 0E EF 70 01 D3 EC 04 0B 10 FF F2 01 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_1_0 {
	meta:
		name = "??$cosh_impl@$0A@@?$VSinh@M@@CA?AT__n128@@T1@@Z"
		size = 168
		refs = "0026 __vdecl_expf4 0046 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0094 ?inf@?$VectorOp@M@@2T__n128@@B 0098 ?wmax@?$VSinh@M@@0T__n128@@B 009c ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B 00a0 ?ln_v@?$VSinh@M@@0T__n128@@B 00a4 ?ybar@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 26 4B 20 EF 50 81 D3 EC 04 0B 22 4B 28 FF 60 EE D3 EC 04 0B 28 EF 60 CD 2C EF 5C 01 ?? ?? ?? ?? 1C 4B D3 EC 04 0B 40 FF D0 0D 00 EF 60 AD 28 EF 58 01 ?? ?? ?? ?? 01 20 20 EF 50 81 ?? ?? ?? ?? FB FF 48 25 12 4B 48 EF 72 0F 42 FF F0 2D 48 EF 72 0F 42 FF F0 0D 68 EF 60 2D F7 EF 50 05 62 FF E0 08 6E EF 5E 21 5A FF 70 21 D3 EC 04 0B 06 4B 6C FF 60 0E 0E EF 70 01 D3 EC 04 0B 10 FF F2 01 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_13_0 {
	meta:
		name = "??__E?ln_v@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?ln_v@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 73 31 3F }
	condition:
		$1
}

rule file_85_14_0 {
	meta:
		name = "??__E?ln_v@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?ln_v@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 60 2E E6 3F }
	condition:
		$1
}

rule file_85_19_0 {
	meta:
		name = "??__E?one_over_v_squared@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?one_over_v_squared@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 30 FE 7F 3E }
	condition:
		$1
}

rule file_85_20_0 {
	meta:
		name = "??__E?one_over_v_squared@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?one_over_v_squared@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 74 07 29 FE C5 FF CF 3F }
	condition:
		$1
}

rule file_85_21_0 {
	meta:
		name = "??__E?p0@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F0 69 E4 C0 }
	condition:
		$1
}

rule file_85_22_0 {
	meta:
		name = "??__E?p0@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 19 34 53 56 13 79 15 C1 }
	condition:
		$1
}

rule file_85_23_0 {
	meta:
		name = "??__E?p1@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? C2 E6 42 BE }
	condition:
		$1
}

rule file_85_24_0 {
	meta:
		name = "??__E?p1@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 90 14 94 B6 C2 95 C6 C0 }
	condition:
		$1
}

rule file_85_26_0 {
	meta:
		name = "??__E?p2@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 4A BE 85 63 41 78 64 C0 }
	condition:
		$1
}

rule file_85_28_0 {
	meta:
		name = "??__E?p3@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1B C8 6F B8 E7 44 E9 BF }
	condition:
		$1
}

rule file_85_29_0 {
	meta:
		name = "??__E?q0@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 93 4F 2B C2 }
	condition:
		$1
}

rule file_85_30_0 {
	meta:
		name = "??__E?q0@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 13 67 BE 80 CE 1A 40 C1 }
	condition:
		$1
}

rule file_85_32_0 {
	meta:
		name = "??__E?q1@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? C7 5E B6 23 57 A8 E1 40 }
	condition:
		$1
}

rule file_85_34_0 {
	meta:
		name = "??__E?q2@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F2 7F C9 81 C3 5B 71 C0 }
	condition:
		$1
}

rule file_85_37_0 {
	meta:
		name = "??__E?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 97 08 68 37 }
	condition:
		$1
}

rule file_85_38_0 {
	meta:
		name = "??__E?v_over_two_minus_1@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?v_over_two_minus_1@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D6 02 02 EB 12 01 ED 3E }
	condition:
		$1
}

rule file_85_39_0 {
	meta:
		name = "??__E?wmax@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?wmax@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7A 70 B1 42 }
	condition:
		$1
}

rule file_85_40_0 {
	meta:
		name = "??__E?wmax@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?wmax@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B1 BF EC 9E 3C 2E 86 40 }
	condition:
		$1
}

rule file_85_41_0 {
	meta:
		name = "??__E?ybar@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?ybar@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 18 72 B1 42 }
	condition:
		$1
}

rule file_200_5_0 {
	meta:
		name = "??__E?bigx@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?bigx@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 18 72 B1 42 }
	condition:
		$1
}

rule file_85_42_0 {
	meta:
		name = "??__E?ybar@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?ybar@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE 42 2E 86 40 }
	condition:
		$1
}

rule file_200_6_0 {
	meta:
		name = "??__E?bigx@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?bigx@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE 42 2E 86 40 }
	condition:
		$1
}

rule file_85_50_0 {
	meta:
		name = "?cosh@?$VSinh@M@@SA?AT__n128@@T2@@Z"
		size = 204
		refs = "0030 __vdecl_expf4 0050 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 00b8 ?inf@?$VectorOp@M@@2T__n128@@B 00bc ?wmax@?$VSinh@M@@0T__n128@@B 00c0 ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B 00c4 ?ln_v@?$VSinh@M@@0T__n128@@B 00c8 ?ybar@?$VSinh@M@@0T__n128@@B"
		altNames = "__vdecl_coshf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 84 B0 2E 4B 60 EF 50 01 CD EC 04 0B B9 FF 60 87 D3 EC 04 0B 29 4B 28 FF 60 EE D3 EC 04 0B 28 EF 60 CD 2C EF 5C 01 ?? ?? ?? ?? 22 4B D3 EC 04 0B 40 FF D0 0D 00 EF 60 AD 28 EF 58 01 ?? ?? ?? ?? 01 20 20 EF 50 81 ?? ?? ?? ?? FB FF 48 25 18 4B 6E EF 5E 61 48 EF 72 0F 42 FF F0 2D 48 EF 72 0F 42 FF F0 0D 48 EF 60 2D F7 EF 50 05 62 FF E0 08 5A FF 70 61 D3 EC 04 0B 0D 4B 6C FF 60 0E D3 EC 04 4B 4E EF 70 21 54 FF F6 21 DD EC 04 6B 46 EF E6 0E 52 FF F6 01 F9 FF 66 27 02 EF E4 0E 14 FF F0 01 04 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_67_0 {
	meta:
		name = "?sdx@?$VectorOp@M@@SA?AT__n128@@T2@0@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 F7 EF 52 05 20 FF 60 08 BD E8 00 88 }
	condition:
		$1
}

rule file_85_68_0 {
	meta:
		name = "?sinh@?$VSinh@M@@SA?AT__n128@@T2@@Z"
		size = 384
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0058 __vdecl_expf4 0078 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0158 ?eps@?$VSinh@M@@0T__n128@@B 015c ?q0@?$VSinh@M@@0T__n128@@B 0160 ?p0@?$VSinh@M@@0T__n128@@B 0164 ?p1@?$VSinh@M@@0T__n128@@B 0168 ?inf@?$VectorOp@M@@2T__n128@@B 016c ?wmax@?$VSinh@M@@0T__n128@@B 0170 ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B 0174 ?ln_v@?$VSinh@M@@0T__n128@@B 0178 ?ybar@?$VSinh@M@@0T__n128@@B"
		altNames = "__vdecl_sinhf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 8C B0 20 EF 50 81 9F ED 5A 0A 0D F1 10 0C 8C EC 04 8B ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A CD EC 04 0B ?? ?? ?? ?? 51 4B 60 EF 50 01 0D F1 20 0C CC EC 04 0B D3 EC 04 0B 4C 4B B9 FF 48 87 28 FF 60 EE D3 EC 04 0B 28 EF 60 CD 2C EF 5C 01 ?? ?? ?? ?? 44 4B D3 EC 04 0B 40 FF D0 0D 00 EF 60 AD 28 EF 58 01 ?? ?? ?? ?? 01 20 20 EF 50 81 ?? ?? ?? ?? FB FF 48 25 3A 4B 6E EF 5E 41 48 EF 72 0F 0D F1 10 0C DC EC 04 EB 42 FF F0 2D 4E FF FE 8D 48 EF 72 0F 42 FF F0 0D 68 EF 60 2D F7 EF 50 05 62 FF E0 08 5A FF 70 41 D3 EC 04 0B 2C 4B 6C FF 60 0E D3 EC 04 CB 28 4B 4E EF 70 21 5C FF F4 21 DD EC 04 4B F9 FF E2 07 64 FF EE AE 50 FF F2 A1 D3 EC 04 0B 20 4B 40 FF F8 2D D3 EC 04 0B 1C 4B 42 EF E0 6D D3 EC 04 0B 19 4B 48 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F F9 FF 6E 47 42 FF F0 0D 04 EF EC 0E 46 FF F0 0D 48 FF F0 0D 4E FF F0 0D 4E EF E0 2D D3 EC 04 0B 60 FF E4 0E 5E FF F2 01 0D F1 20 0C DC EC 04 2B 64 FF E2 2E 5A FF F0 21 4E EF EE 0E 52 FF FE 01 1E FF F0 01 0C B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_90_0_0 {
	meta:
		name = "_get_startup_argv_mode"
		size = 20
		altNames = "?get_app_type@__scrt_main_policy@@SA?AW4_crt_app_type@@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_93_3_0 {
	meta:
		name = "__stoi64"
		size = 248
		refs = "00a8 __fptoi64_exception_helper"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B B5 EE 40 0A F1 EE 10 FA 10 EE 10 0A 2A D0 C0 F3 C7 52 01 02 00 20 41 F0 00 41 4F F0 BE 03 D2 1A 23 DC 52 42 40 2A 4E DA 00 25 20 2A 03 DB 20 3A 05 46 08 46 00 21 D2 F1 20 03 10 FA 03 F4 25 43 D0 40 11 FA 03 F4 20 43 D1 40 B1 F1 00 4F 18 D8 29 D0 F1 EE 10 FA 02 DA 40 42 61 EB 41 01 35 BB BD E8 30 88 00 20 00 21 FA E7 20 2A 02 DB 20 3A 01 46 00 20 D2 F1 20 03 91 40 30 FA 03 F4 21 43 90 40 F1 EE 10 FA 02 DA 40 42 61 EB 41 01 F1 EE 10 3A 43 F0 04 03 03 EA 13 22 D2 06 E0 D0 11 4A ?? ?? ?? ?? DC E7 F1 EE 10 FA F0 DA D1 E7 F1 EE 10 3A 43 F0 01 03 03 EA 13 22 D2 06 D0 D0 0A 4A ?? ?? ?? ?? CC E7 00 20 00 21 F1 EE 10 3A 43 F0 02 03 03 EA 13 22 D2 06 C2 D0 04 4A ?? ?? ?? ?? BE E7 00 00 04 08 00 06 01 08 00 06 02 08 00 06 }
	condition:
		$1
}

rule file_93_4_0 {
	meta:
		name = "__stou64"
		size = 232
		refs = "00a2 __fptoi64_exception_helper"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B B5 EE 40 0A F1 EE 10 FA 10 EE 10 0A 27 D0 C0 F3 C7 52 01 02 00 20 41 F0 00 41 4F F0 BE 03 D2 1A 20 DC 52 42 40 2A 47 DA 00 25 20 2A 03 DB 20 3A 05 46 08 46 00 21 D2 F1 20 03 10 FA 03 F4 25 43 D0 40 11 FA 03 F4 20 43 D1 40 F1 EE 10 FA 03 DA 40 42 61 EB 41 01 17 E0 15 BB BD E8 30 88 00 20 00 21 FA E7 20 2A 02 DB 20 3A 01 46 00 20 D2 F1 20 03 91 40 30 FA 03 F4 21 43 90 40 F1 EE 10 FA 02 DA 40 42 61 EB 41 01 F1 EE 10 3A 43 F0 04 03 03 EA 13 22 D2 06 E0 D0 0E 4A ?? ?? ?? ?? DC E7 F1 EE 10 3A 43 F0 01 03 03 EA 13 22 D2 06 D4 D0 09 4A ?? ?? ?? ?? D0 E7 00 20 00 21 F1 EE 10 3A 43 F0 02 03 03 EA 13 22 D2 06 C6 D0 03 4A ?? ?? ?? ?? C2 E7 04 08 00 09 01 08 00 09 02 08 00 09 }
	condition:
		$1
}

rule file_93_5_0 {
	meta:
		name = "__fptoi64_exception_helper"
		size = 44
		refs = "0022 __fphelper_raise_exception"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 E1 EE 10 3A 8D ED 00 0B CD E9 02 01 D0 B2 C2 F3 07 21 C2 F3 07 63 C2 F3 07 42 ?? ?? ?? ?? 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_94_1_0 {
	meta:
		name = "__scrt_get_show_window_mode"
		size = 68
		refs = "000e memset 0040 __imp_GetStartupInfoW"
	strings:
		$1 = { 2D E9 00 48 EB 46 94 B0 44 22 00 21 02 A8 ?? ?? ?? ?? 02 A8 0A 4B 1B 68 98 47 0D 9B 13 F0 01 0F 03 D0 BD F8 38 30 00 93 01 E0 0A 23 00 93 00 9B 9B B2 AD F8 04 30 BD F8 04 00 14 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_3_0 {
	meta:
		name = "__scrt_is_managed_app"
		size = 172
		refs = "00a8 __imp_GetModuleHandleW"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 20 27 4B 1B 68 98 47 03 90 03 9B 01 93 01 9B 00 2B 03 D1 00 23 8D F8 00 30 3C E0 01 9B 1A 88 45 F6 4D 23 9A 42 03 D0 00 23 8D F8 00 30 32 E0 01 9B 3C 33 01 9A 1B 68 13 44 02 93 02 9B 1A 68 44 F2 50 53 9A 42 03 D0 00 23 8D F8 00 30 22 E0 02 9B 18 33 1A 88 40 F2 0B 13 9A 42 03 D0 00 23 8D F8 00 30 17 E0 02 9B 18 33 5C 33 1B 68 0E 2B 03 D8 00 23 8D F8 00 30 0D E0 02 9B 18 33 60 33 70 33 1B 68 00 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_5_0 {
	meta:
		name = "__scrt_unhandled_exception_filter"
		size = 124
		refs = "0054 terminate"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 93 00 9B 1A 68 18 4B 9A 42 1E D1 00 9B 10 33 1B 68 04 2B 19 D1 00 9B 14 33 1A 68 12 4B 9A 42 11 D0 00 9B 14 33 1A 68 0E 4B 9A 42 0B D0 00 9B 14 33 1A 68 0A 4B 9A 42 05 D0 00 9B 14 33 1A 68 06 4B 9A 42 01 D1 ?? ?? ?? ?? 00 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB 00 40 99 01 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_96_0_0 {
	meta:
		name = "_guard_check_icall"
		size = 24
		refs = "0014 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 00 B5 81 B0 02 98 02 4B 1B 68 98 47 01 B0 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "_FindPESection"
		size = 126
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 3C 33 06 9A 1B 68 13 44 01 93 00 23 02 93 01 9B 03 F1 18 02 01 9B 14 33 1B 88 13 44 00 93 05 E0 02 9B 5B 1C 02 93 00 9B 28 33 00 93 01 9B 9B 1D 1A 88 02 9B 93 42 14 D2 00 9B 0C 33 07 9A 1B 68 9A 42 0D D3 00 9B 03 F1 0C 02 00 9B 08 33 12 68 1B 68 1A 44 07 9B 93 42 02 D2 00 9B 03 93 02 E0 DE E7 00 23 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_101_1_0 {
	meta:
		name = "_IsNonwritableInCurrentImage"
		size = 144
		refs = "0014 _ValidateImageBase 0036 _FindPESection 008c __ImageBase"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 1F 4B 7B 60 78 68 ?? ?? ?? ?? 78 61 7B 69 00 2B 04 D1 00 23 BB 61 BB 69 3B 60 29 E0 BA 6C 7B 68 D3 1A FB 61 F9 69 78 68 ?? ?? ?? ?? 38 62 3B 6A BB 60 BB 68 00 2B 04 D1 00 23 7B 62 7B 6A 3B 60 16 E0 BB 68 24 33 1B 68 13 F0 00 4F 02 D1 01 23 FB 60 01 E0 00 23 FB 60 FB 68 BB 62 BB 6A 3B 60 06 E0 05 E0 00 23 7B 63 7B 6B 3B 60 00 E0 FF E7 38 68 0F B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_2_0 {
	meta:
		name = "_IsNonwritableInCurrentImage$filt$0"
		size = 36
	strings:
		$1 = { F8 62 FB 6A 1B 68 1B 68 3B 63 3A 6B 04 4B 9A 42 02 D1 01 23 3B 61 01 E0 00 23 3B 61 38 69 70 47 05 00 00 C0 }
	condition:
		$1
}

rule file_101_3_0 {
	meta:
		name = "_ValidateImageBase"
		size = 102
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 01 9B 1A 88 45 F6 4D 23 9A 42 02 D0 00 23 00 93 1C E0 01 9B 3C 33 01 9A 1B 68 13 44 02 93 02 9B 1A 68 44 F2 50 53 9A 42 02 D0 00 23 00 93 0D E0 02 9B 18 33 03 93 03 9B 1A 88 40 F2 0B 13 9A 42 02 D0 00 23 00 93 01 E0 01 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "__rt_ursh"
		size = 58
	strings:
		$1 = { 00 2A 08 BF 70 47 20 2A 0C DB 40 2A 03 DB 4F EA 11 01 08 46 70 47 02 F0 1F 02 21 FA 02 F0 4F F0 00 01 70 47 20 FA 02 F0 C2 F1 20 03 01 FA 03 F3 40 EA 03 00 21 FA 02 F1 70 47 }
	condition:
		$1
}

rule file_103_0_0 {
	meta:
		name = "??__C@YAXPAX0IHP6AX00@ZP6AX0@Z@Z"
		size = 40
		refs = "001a ??__C@YAXPAX0IIP6AX00@ZP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 09 9B 01 93 08 9B 00 93 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_219_0_0 {
	meta:
		name = "??__D@YAXPAX0IHP6AX00@ZP6AX0@Z@Z"
		size = 40
		refs = "001a ??__D@YAXPAX0IIP6AX00@ZP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 09 9B 01 93 08 9B 00 93 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_103_1_0 {
	meta:
		name = "??__C@YAXPAX0IIP6AX00@ZP6AX0@Z@Z"
		size = 110
		refs = "0030 _guard_check_icall 0060 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B 83 B0 6F 46 00 23 7B 60 00 23 3B 70 02 E0 7B 68 5B 1C 7B 60 7A 68 FB 6A 9A 42 13 D0 7D 6A 3C 6A 3B 6B BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 29 46 98 47 3A 6A BB 6A 13 44 3B 62 7A 6A BB 6A 13 44 7B 62 E4 E7 01 23 3B 70 3B 78 00 2B 05 D1 7B 6B 7A 68 B9 6A 38 6A ?? ?? ?? ?? 03 B0 BD E8 B0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_103_2_0 {
	meta:
		name = "?fin$0@?0???__C@YAXPAX0IIP6AX00@ZP6AX0@Z@Z@4HA"
		size = 24
		refs = "0010 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 10 B5 3B 78 00 2B 05 D1 7B 6B 7A 68 B9 6A 38 6A ?? ?? ?? ?? FF E7 10 BD }
	condition:
		$1
}

rule file_104_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 188
		refs = "0008 ?get_app_type@__scrt_main_policy@@SA?AW4_crt_app_type@@XZ 0010 _set_app_type 0014 _get_startup_file_mode 001c _set_fmode 0020 _get_startup_commit_mode 0026 __p__commode 0034 __scrt_initialize_onexit_tables 0046 __scrt_fastfail 004a _RTC_Initialize 0050 atexit 0054 ?configure_argv@__scrt_narrow_argv_policy@@SAHXZ 0066 ?__scrt_initialize_type_info@@YAXXZ 006a __scrt_is_user_matherr_present 0078 __setusermatherr 007c _initialize_invalid_parameter_handler 0080 _initialize_denormal_control 0084 _get_startup_thread_locale_mode 008c _configthreadlocale 0090 _should_initialize_environment 00a0 ?initialize_environment@@YAXXZ 00a4 __scrt_initialize_winrt 00b4 _matherr 00b8 _RTC_Terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 1A 48 ?? ?? ?? ?? ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D0 0F 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 01 D0 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 08 93 08 98 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_109_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 188
		refs = "0008 ?get_app_type@__scrt_main_policy@@SA?AW4_crt_app_type@@XZ 0010 _set_app_type 0014 _get_startup_file_mode 001c _set_fmode 0020 _get_startup_commit_mode 0026 __p__commode 0034 __scrt_initialize_onexit_tables 0046 __scrt_fastfail 004a _RTC_Initialize 0050 atexit 0054 ?configure_argv@__scrt_wide_argv_policy@@SAHXZ 0066 ?__scrt_initialize_type_info@@YAXXZ 006a __scrt_is_user_matherr_present 0078 __setusermatherr 007c _initialize_invalid_parameter_handler 0080 _initialize_denormal_control 0084 _get_startup_thread_locale_mode 008c _configthreadlocale 0090 _should_initialize_environment 00a0 ?initialize_environment@@YAXXZ 00a4 __scrt_initialize_winrt 00b4 _matherr 00b8 _RTC_Terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 1A 48 ?? ?? ?? ?? ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D0 0F 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 01 D0 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 08 93 08 98 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 188
		refs = "0008 ?get_app_type@__scrt_winmain_policy@@SA?AW4_crt_app_type@@XZ 0010 _set_app_type 0014 _get_startup_file_mode 001c _set_fmode 0020 _get_startup_commit_mode 0026 __p__commode 0034 __scrt_initialize_onexit_tables 0046 __scrt_fastfail 004a _RTC_Initialize 0050 atexit 0054 ?configure_argv@__scrt_wide_argv_policy@@SAHXZ 0066 ?__scrt_initialize_type_info@@YAXXZ 006a __scrt_is_user_matherr_present 0078 __setusermatherr 007c _initialize_invalid_parameter_handler 0080 _initialize_denormal_control 0084 _get_startup_thread_locale_mode 008c _configthreadlocale 0090 _should_initialize_environment 00a0 ?initialize_environment@@YAXXZ 00a4 __scrt_initialize_winrt 00b4 _matherr 00b8 _RTC_Terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 1A 48 ?? ?? ?? ?? ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D0 0F 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 01 D0 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 08 93 08 98 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 188
		refs = "0008 ?get_app_type@__scrt_winmain_policy@@SA?AW4_crt_app_type@@XZ 0010 _set_app_type 0014 _get_startup_file_mode 001c _set_fmode 0020 _get_startup_commit_mode 0026 __p__commode 0034 __scrt_initialize_onexit_tables 0046 __scrt_fastfail 004a _RTC_Initialize 0050 atexit 0054 ?configure_argv@__scrt_narrow_argv_policy@@SAHXZ 0066 ?__scrt_initialize_type_info@@YAXXZ 006a __scrt_is_user_matherr_present 0078 __setusermatherr 007c _initialize_invalid_parameter_handler 0080 _initialize_denormal_control 0084 _get_startup_thread_locale_mode 008c _configthreadlocale 0090 _should_initialize_environment 00a0 ?initialize_environment@@YAXXZ 00a4 __scrt_initialize_winrt 00b4 _matherr 00b8 _RTC_Terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 1A 48 ?? ?? ?? ?? ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D0 0F 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 01 D0 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 08 93 08 98 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_194_0_7 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 188
		refs = "0008 ?get_app_type@__scrt_main_policy@@SA?AW4_crt_app_type@@XZ 0010 _set_app_type 0014 _get_startup_file_mode 001c _set_fmode 0020 _get_startup_commit_mode 0026 __p__commode 0034 __scrt_initialize_onexit_tables 0046 __scrt_fastfail 004a _RTC_Initialize 0050 atexit 0054 ?configure_argv@__scrt_wide_argv_policy@@SAHXZ 0066 ?__scrt_initialize_type_info@@YAXXZ 006a __scrt_is_user_matherr_present 0078 __setusermatherr 007c _initialize_invalid_parameter_handler 0080 _initialize_denormal_control 0084 _get_startup_thread_locale_mode 008c _configthreadlocale 0090 _should_initialize_environment 00a0 ?initialize_environment@@YAXXZ 00a4 __scrt_initialize_winrt 00b4 _matherr 00b8 _RTC_Terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 1A 48 ?? ?? ?? ?? ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D0 0F 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 01 D0 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 08 93 08 98 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_269_0_7 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 188
		refs = "0008 ?get_app_type@__scrt_winmain_policy@@SA?AW4_crt_app_type@@XZ 0010 _set_app_type 0014 _get_startup_file_mode 001c _set_fmode 0020 _get_startup_commit_mode 0026 __p__commode 0034 __scrt_initialize_onexit_tables 0046 __scrt_fastfail 004a _RTC_Initialize 0050 atexit 0054 ?configure_argv@__scrt_wide_argv_policy@@SAHXZ 0066 ?__scrt_initialize_type_info@@YAXXZ 006a __scrt_is_user_matherr_present 0078 __setusermatherr 007c _initialize_invalid_parameter_handler 0080 _initialize_denormal_control 0084 _get_startup_thread_locale_mode 008c _configthreadlocale 0090 _should_initialize_environment 00a0 ?initialize_environment@@YAXXZ 00a4 __scrt_initialize_winrt 00b4 _matherr 00b8 _RTC_Terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 1A 48 ?? ?? ?? ?? ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D0 0F 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 01 D0 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 08 93 08 98 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_359_0_7 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 188
		refs = "0008 ?get_app_type@__scrt_winmain_policy@@SA?AW4_crt_app_type@@XZ 0010 _set_app_type 0014 _get_startup_file_mode 001c _set_fmode 0020 _get_startup_commit_mode 0026 __p__commode 0034 __scrt_initialize_onexit_tables 0046 __scrt_fastfail 004a _RTC_Initialize 0050 atexit 0054 ?configure_argv@__scrt_narrow_argv_policy@@SAHXZ 0066 ?__scrt_initialize_type_info@@YAXXZ 006a __scrt_is_user_matherr_present 0078 __setusermatherr 007c _initialize_invalid_parameter_handler 0080 _initialize_denormal_control 0084 _get_startup_thread_locale_mode 008c _configthreadlocale 0090 _should_initialize_environment 00a0 ?initialize_environment@@YAXXZ 00a4 __scrt_initialize_winrt 00b4 _matherr 00b8 _RTC_Terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 1A 48 ?? ?? ?? ?? ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D0 0F 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 01 D0 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 08 93 08 98 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_104_1_0 {
	meta:
		name = "?post_pgo_initialization@@YAHXZ"
		size = 24
		refs = "0008 __scrt_initialize_default_local_stdio_options"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_104_2_0 {
	meta:
		name = "?pre_cpp_initialization@@YAXXZ"
		size = 30
		refs = "0008 __scrt_set_unhandled_exception_filter 000c _get_startup_new_mode 0014 _set_new_mode"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_104_3_0 {
	meta:
		name = "?__scrt_common_main@@YAHXZ"
		size = 30
		refs = "0008 __security_init_cookie 000c ?__scrt_common_main_seh@@YAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_104_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 364
		refs = "000e __scrt_initialize_crt 001c __scrt_fastfail 0024 __scrt_acquire_startup_lock 0050 _initterm_e 006a _initterm 007c __scrt_release_startup_lock 0080 __scrt_get_dyn_tls_init_callback 0094 __scrt_is_nonwritable_in_current_image 00ae _guard_check_icall 00bc __scrt_get_dyn_tls_dtor_callback 00e0 _register_thread_local_exe_atexit_callback 00e4 ?invoke_main@@YAHXZ 00ee __scrt_is_managed_app 00fc exit 0106 _cexit 010e __scrt_uninitialize_crt 0136 _exit 0140 _c_exit 0158 __scrt_current_native_startup_state 015c __xc_a 0160 __xc_z 0164 __xi_a 0168 __xi_z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 94 B0 6F 46 01 20 ?? ?? ?? ?? 78 70 7B 78 00 2B 02 D1 07 20 ?? ?? ?? ?? 00 23 3B 70 ?? ?? ?? ?? B8 70 BB 78 FB 70 4A 4B 1B 68 01 2B 03 D1 07 20 ?? ?? ?? ?? 1D E0 46 4B 1B 68 00 2B 17 D1 44 4A 01 23 13 60 46 49 45 48 ?? ?? ?? ?? 78 62 7B 6A 00 2B 04 D0 FF 23 BB 62 BB 6A 7B 61 74 E0 3E 49 3C 48 ?? ?? ?? ?? 3A 4A 02 23 13 60 01 E0 01 23 3B 70 F8 78 ?? ?? ?? ?? ?? ?? ?? ?? F8 62 FB 6A FB 60 FB 68 1B 68 00 2B 14 D0 F8 68 ?? ?? ?? ?? 38 71 3B 79 00 2B 0D D0 00 26 02 25 00 24 FB 68 1B 68 BB 61 B8 69 ?? ?? ?? ?? BB 69 20 46 29 46 32 46 98 47 ?? ?? ?? ?? 38 63 3B 6B 3B 61 3B 69 1B 68 00 2B 0A D0 38 69 ?? ?? ?? ?? 78 71 7B 79 00 2B 03 D0 3B 69 18 68 ?? ?? ?? ?? ?? ?? ?? ?? 78 63 7B 6B FB 61 ?? ?? ?? ?? B8 71 BB 79 00 2B 02 D1 F8 69 ?? ?? ?? ?? 3B 78 00 2B 01 D1 ?? ?? ?? ?? 00 21 01 20 ?? ?? ?? ?? FB 69 BB 63 BB 6B 7B 61 19 E0 18 E0 B8 60 BB 68 BB 64 BB 6C 3B 62 ?? ?? ?? ?? F8 71 FB 79 00 2B 02 D1 38 6A ?? ?? ?? ?? 3B 78 00 2B 01 D1 ?? ?? ?? ?? 3B 6A FB 64 FB 6C 7B 61 00 E0 FF E7 78 69 14 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_104_5_0 {
	meta:
		name = "?filt$0@?0??__scrt_common_main_seh@@YAHXZ@4HA"
		size = 30
		refs = "0014 _seh_filter_exe"
	strings:
		$1 = { 10 B5 B8 60 BB 68 FB 63 BB 68 1B 68 1B 68 3B 64 F9 6B 38 6C ?? ?? ?? ?? 78 64 78 6C 10 BD }
	condition:
		$1
}

rule file_104_6_0 {
	meta:
		name = "?configure_argv@__scrt_narrow_argv_policy@@SAHXZ"
		size = 34
		refs = "0008 _get_startup_argv_mode 0010 _configure_narrow_argv"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_109_6_0 {
	meta:
		name = "?configure_argv@__scrt_wide_argv_policy@@SAHXZ"
		size = 34
		refs = "0008 _get_startup_argv_mode 0010 _configure_wide_argv"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_34_1_4 {
	meta:
		name = "_get_unexpected"
		size = 34
		refs = "0008 __vcrt_getptd 0010 ?get_unexpected_or_default@@YAP6AXXZQBU__vcrt_ptd@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_104_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 54
		refs = "0008 _get_initial_narrow_environment 000e __p___argv 0014 __p___argc 0024 main"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 00 90 ?? ?? ?? ?? 01 90 ?? ?? ?? ?? 02 90 00 9A 01 9B 19 68 02 9B 18 68 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_109_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 54
		refs = "0008 _get_initial_wide_environment 000e __p___wargv 0014 __p___argc 0024 wmain"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 00 90 ?? ?? ?? ?? 01 90 ?? ?? ?? ?? 02 90 00 9A 01 9B 19 68 02 9B 18 68 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_104_10_0 {
	meta:
		name = "mainCRTStartup"
		size = 26
		refs = "0008 ?__scrt_common_main@@YAHXZ"
		altNames = "WinMainCRTStartup wWinMainCRTStartup wmainCRTStartup"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_65_1_1 {
	meta:
		name = "?uncaught_exceptions@std@@YAHXZ"
		size = 26
		refs = "0008 __uncaught_exceptions"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_106_4_0 {
	meta:
		name = "?find_pe_section@@YAPAU_IMAGE_SECTION_HEADER@@QAEI@Z"
		size = 146
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 02 93 02 9B 3C 33 02 9A 1B 68 13 44 05 93 05 9B 01 93 01 9B 03 F1 18 02 01 9B 1B 1D 10 33 1B 88 13 44 03 93 01 9B 1B 1D 9B 1C 1A 88 28 23 02 FB 03 F2 03 9B 13 44 06 93 03 9B 00 93 02 E0 00 9B 28 33 00 93 00 9A 06 9B 9A 42 14 D0 00 9B 0C 33 0B 9A 1B 68 9A 42 0D D3 00 9B 03 F1 0C 02 00 9B 08 33 12 68 1B 68 1A 44 0B 9B 93 42 02 D2 00 9B 04 93 02 E0 E3 E7 00 23 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_106_5_0 {
	meta:
		name = "?is_potentially_valid_image_base@@YA_NQAX@Z"
		size = 130
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 00 2B 03 D1 00 23 8D F8 00 30 2D E0 08 9B 01 93 01 9B 1A 88 45 F6 4D 23 9A 42 03 D0 00 23 8D F8 00 30 21 E0 01 9B 3C 33 01 9A 1B 68 13 44 03 93 03 9B 02 93 02 9B 1A 68 44 F2 50 53 9A 42 03 D0 00 23 8D F8 00 30 0F E0 02 9B 18 33 04 93 04 9B 1A 88 40 F2 0B 13 9A 42 03 D0 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_106_6_0 {
	meta:
		name = "NtCurrentTeb"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 1D EE 50 3F 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_106_7_0 {
	meta:
		name = "__scrt_acquire_startup_lock"
		size = 124
		refs = "0008 __scrt_is_ucrt_dll_in_use 001c NtCurrentTeb 0078 __scrt_native_startup_lock"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 03 9B 00 2B 03 D1 00 23 8D F8 00 30 27 E0 ?? ?? ?? ?? 04 90 04 9B 1B 1D 1B 68 01 93 BF F3 5B 8F 12 48 01 99 50 E8 00 2F 00 2A 03 D1 40 E8 00 13 00 2B F7 D1 13 46 05 93 BF F3 5B 8F 05 9B 02 93 02 9B 00 2B 08 D0 01 9A 02 9B 9A 42 03 D1 01 23 8D F8 00 30 03 E0 E1 E7 00 23 8D F8 00 30 9D F8 00 00 06 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_8_0 {
	meta:
		name = "__scrt_dllmain_after_initialize_c"
		size = 66
		refs = "0008 __scrt_is_ucrt_dll_in_use 0014 __isa_available_init 001a ?configure_argv@__scrt_narrow_argv_policy@@SAHXZ 002e _initialize_narrow_environment"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 ?? ?? ?? ?? 0B E0 ?? ?? ?? ?? 02 90 02 9B 00 2B 03 D0 00 23 8D F8 00 30 04 E0 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_106_9_0 {
	meta:
		name = "__scrt_dllmain_before_initialize_c"
		size = 50
		refs = "000a __scrt_initialize_onexit_tables"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_106_10_0 {
	meta:
		name = "__scrt_dllmain_crt_thread_attach"
		size = 76
		refs = "0008 __vcrt_thread_attach 0020 __acrt_thread_attach 0030 __vcrt_thread_detach"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 10 E0 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 05 D1 ?? ?? ?? ?? 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_106_11_0 {
	meta:
		name = "__scrt_dllmain_crt_thread_detach"
		size = 32
		refs = "0008 __acrt_thread_detach 000c __vcrt_thread_detach"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_106_12_0 {
	meta:
		name = "__scrt_dllmain_exception_filter"
		size = 82
		refs = "000c __scrt_is_ucrt_dll_in_use 002a _guard_check_icall 003c _seh_filter_dll"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 85 B0 ?? ?? ?? ?? 01 90 01 9B 00 2B 0F D1 0B 9B 01 2B 0C D1 0C 9E 00 25 0A 9C 0D 9B 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 32 46 98 47 0F 99 0E 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 05 B0 BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_106_13_0 {
	meta:
		name = "__scrt_dllmain_uninitialize_c"
		size = 56
		refs = "0008 __scrt_is_ucrt_dll_in_use 0016 _execute_onexit_table 001c _is_c_termination_complete 0028 _cexit 0034 ?module_local_atexit_table@@3U_onexit_table_t@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 00 2B 03 D0 07 48 ?? ?? ?? ?? 07 E0 ?? ?? ?? ?? 01 90 01 9B 00 2B 01 D1 ?? ?? ?? ?? 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_14_0 {
	meta:
		name = "__scrt_dllmain_uninitialize_critical"
		size = 20
		refs = "0008 __acrt_uninitialize_critical 000c __vcrt_uninitialize_critical"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 20 ?? ?? ?? ?? ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "?_RTC_GetErrorFunc@@YAP6AHHPBDH00ZZPBX@Z"
		size = 20
		refs = "0006 ?_RTC_ErrorReportFunc@@3P6AHHPBDH00ZZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? C0 F2 00 03 18 68 BD E8 00 88 }
	condition:
		$1
}

rule file_151_1_0 {
	meta:
		name = "?_RTC_GetErrorFuncW@@YAP6AHHPB_WH00ZZPBX@Z"
		size = 20
		refs = "0006 ?_RTC_ErrorReportFuncW@@3P6AHHPB_WH00ZZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? C0 F2 00 03 18 68 BD E8 00 88 }
	condition:
		$1
}

rule file_106_15_0 {
	meta:
		name = "__scrt_initialize_crt"
		size = 104
		refs = "0016 __isa_available_init 001a __vcrt_initialize 0032 __acrt_initialize 0044 __vcrt_uninitialize 0064 ?is_initialized_as_dll@@3_NA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 02 D1 14 4A 01 23 13 70 ?? ?? ?? ?? ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 11 E0 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 06 D1 00 20 ?? ?? ?? ?? 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_16_0 {
	meta:
		name = "__scrt_initialize_onexit_tables"
		size = 192
		refs = "001a __scrt_fastfail 001e __scrt_is_ucrt_dll_in_use 0032 _initialize_onexit_table 006a ??$__crt_fast_encode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z 00b8 ?module_local_at_quick_exit_table@@3U_onexit_table_t@@A 00bc ?module_local_atexit_table@@3U_onexit_table_t@@A"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 00 2B 05 D0 10 9B 01 2B 02 D0 05 20 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 9B 00 2B 1D D0 10 9B 00 2B 1A D1 22 48 ?? ?? ?? ?? 03 90 03 9B 00 2B 03 D0 00 23 8D F8 04 30 31 E0 1C 48 ?? ?? ?? ?? 04 90 04 9B 00 2B 03 D0 00 23 8D F8 04 30 26 E0 01 23 8D F8 04 30 22 E0 21 E0 6F F0 00 00 ?? ?? ?? ?? 05 90 05 9B 00 93 00 9B 06 93 00 9B 07 93 00 9B 08 93 0E 4C 06 A8 90 E8 0E 00 84 E8 0E 00 00 9B 0A 93 00 9B 0B 93 00 9B 0C 93 07 4C 0A A8 90 E8 0E 00 84 E8 0E 00 01 23 8D F8 04 30 9D F8 04 00 0D B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_17_0 {
	meta:
		name = "__scrt_is_nonwritable_in_current_image"
		size = 148
		refs = "0018 ?is_potentially_valid_image_base@@YA_NQAX@Z 003a ?find_pe_section@@YAPAU_IMAGE_SECTION_HEADER@@QAEI@Z 0090 __ImageBase"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 BB 6B BB 61 1F 4B FB 60 F8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 04 D1 00 23 7B 70 7B 78 3B 72 29 E0 BA 69 FB 68 D3 1A FB 61 F9 69 F8 68 ?? ?? ?? ?? 38 62 3B 6A 3B 61 3B 69 00 2B 04 D1 00 23 BB 70 BB 78 3B 72 16 E0 3B 69 24 33 1B 68 13 F0 00 4F 04 D0 00 23 FB 70 FB 78 3B 72 0B E0 01 23 3B 71 3B 79 3B 72 06 E0 05 E0 00 23 7B 71 7B 79 3B 72 00 E0 FF E7 38 7A 0B B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_18_0 {
	meta:
		name = "__scrt_is_nonwritable_in_current_image$filt$0"
		size = 36
	strings:
		$1 = { 78 62 7B 6A 1B 68 1B 68 BB 62 BA 6A 04 4B 9A 42 02 D1 01 23 7B 61 01 E0 00 23 7B 61 78 69 70 47 05 00 00 C0 }
	condition:
		$1
}

rule file_106_19_0 {
	meta:
		name = "__scrt_release_startup_lock"
		size = 72
		refs = "000a __scrt_is_ucrt_dll_in_use 0044 __scrt_native_startup_lock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 00 2B 00 D1 10 E0 9D F8 10 30 00 2B 00 D0 0B E0 BF F3 5B 8F 07 48 00 21 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 BF F3 5B 8F 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_20_0 {
	meta:
		name = "__scrt_uninitialize_crt"
		size = 76
		refs = "0026 __acrt_uninitialize 002e __vcrt_uninitialize 0048 ?is_initialized_as_dll@@3_NA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0F 4B 1B 78 00 2B 07 D0 9D F8 14 30 00 2B 03 D0 01 23 8D F8 00 30 0A E0 9D F8 10 00 ?? ?? ?? ?? 9D F8 10 00 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_21_0 {
	meta:
		name = "_onexit"
		size = 112
		refs = "000e ??$__crt_fast_decode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z 0022 _crt_atexit 0044 _register_onexit_function 006c ?module_local_atexit_table@@3U_onexit_table_t@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 18 4B 18 68 ?? ?? ?? ?? 03 90 03 9B 04 93 04 9B B3 F1 FF 3F 0F D1 0A 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D1 0A 9B 00 93 01 E0 00 23 00 93 00 9B 02 93 0F E0 0E E0 0A 99 0A 48 ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D1 0A 9B 01 93 01 E0 00 23 01 93 01 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_22_0 {
	meta:
		name = "at_quick_exit"
		size = 84
		refs = "000e ??$__crt_fast_decode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z 0022 _crt_at_quick_exit 0038 _register_onexit_function 0050 ?module_local_at_quick_exit_table@@3U_onexit_table_t@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 11 4B 18 68 ?? ?? ?? ?? 01 90 01 9B 02 93 02 9B B3 F1 FF 3F 07 D1 08 98 ?? ?? ?? ?? 03 90 03 9B 00 93 09 E0 08 E0 08 9B 04 93 04 99 06 48 ?? ?? ?? ?? 05 90 05 9B 00 93 00 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_23_0 {
	meta:
		name = "atexit"
		size = 52
		refs = "000c _onexit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 00 23 00 93 02 E0 6F F0 00 03 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "__GSHandlerCheck"
		size = 40
		refs = "0014 __GSHandlerCheckCommon"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1C 33 1A 68 07 99 05 98 ?? ?? ?? ?? 01 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_108_1_0 {
	meta:
		name = "__GSHandlerCheckCommon"
		size = 72
		refs = "003a __security_check_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 1B 68 23 F0 03 03 02 93 06 9B 01 93 01 9A 02 9B 13 44 1B 68 00 93 08 9B 1B 68 13 F0 01 0F 05 D0 01 9A 02 9B 1A 44 00 9B D3 1A 00 93 00 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_110_15_0 {
	meta:
		name = "??__E?p0@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F6 10 F1 BE }
	condition:
		$1
}

rule file_110_16_0 {
	meta:
		name = "??__E?p0@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? E2 1C 06 51 A6 60 2B C0 }
	condition:
		$1
}

rule file_110_17_0 {
	meta:
		name = "??__E?p1@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 91 86 50 BD }
	condition:
		$1
}

rule file_110_18_0 {
	meta:
		name = "??__E?p1@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CB BC E2 B9 7F 81 34 C0 }
	condition:
		$1
}

rule file_110_20_0 {
	meta:
		name = "??__E?p2@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 63 6A 8D 5C 3F FD 20 C0 }
	condition:
		$1
}

rule file_110_22_0 {
	meta:
		name = "??__E?p3@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? BD 87 B1 D9 7A CD EA BF }
	condition:
		$1
}

rule file_110_23_0 {
	meta:
		name = "??__E?q0@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D3 CC B4 3F }
	condition:
		$1
}

rule file_110_24_0 {
	meta:
		name = "??__E?q0@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A9 95 C4 BC 7C 88 44 40 }
	condition:
		$1
}

rule file_110_26_0 {
	meta:
		name = "??__E?q1@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A5 6D 0B 04 12 8A 55 40 }
	condition:
		$1
}

rule file_110_28_0 {
	meta:
		name = "??__E?q2@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D7 A3 0D 32 0A CA 4D 40 }
	condition:
		$1
}

rule file_110_30_0 {
	meta:
		name = "??__E?q3@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 10 C7 4A E1 49 0C 2E 40 }
	condition:
		$1
}

rule file_110_33_0 {
	meta:
		name = "??__E?sqrt_three@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?sqrt_three@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? D7 B3 DD 3F }
	condition:
		$1
}

rule file_110_34_0 {
	meta:
		name = "??__E?sqrt_three@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?sqrt_three@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 48 04 49 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7A B6 FB 3F AA 4C 58 E8 }
	condition:
		$1
}

rule file_110_35_0 {
	meta:
		name = "??__E?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? A2 30 89 3E }
	condition:
		$1
}

rule file_110_36_0 {
	meta:
		name = "??__E?two_minus_sqrt_three@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?two_minus_sqrt_three@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 48 04 49 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 14 26 D1 3F 56 CD 9E 5E }
	condition:
		$1
}

rule file_110_37_0 {
	meta:
		name = "?A@?$VATan@M@@CA?AT__n128@@T2@@Z"
		size = 124
		refs = "0008 __security_push_cookie 0064 __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 88 B0 9F ED 1A 2A 10 EE 10 2B 04 AB 30 EE 10 1B 8D ED 04 2A 9F ED 14 2A 11 EE 10 0B 31 EE 10 4B 8D ED 05 2A 9F ED 0F 2A 8D ED 06 2A 9F ED 0C 2A 8D ED 07 2A 53 F8 22 30 00 93 04 AB 53 F8 21 30 01 93 04 AB 53 F8 20 30 02 93 04 AB 53 F8 24 30 03 93 9D EC 04 0B 08 B0 ?? ?? ?? ?? BD E8 10 88 92 0A 86 3F DB 0F C9 3F 92 0A 06 3F 00 00 00 00 }
	condition:
		$1
}

rule file_110_38_0 {
	meta:
		name = "?A@?$VATan@N@@CA?AT__n128@@T2@@Z"
		size = 144
		refs = "0006 __security_push_cookie 0066 __security_pop_cookie"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 9F ED 1E 2B 9F ED 1B 3B 9F ED 18 4B 9F ED 15 5B 50 EC 11 2B 06 AB 03 EB C2 03 8D ED 06 2B 8D ED 08 3B 8D ED 0A 4B 8D ED 0C 5B 93 ED 00 2B 51 EC 10 2B 06 AB 03 EB C2 03 8D ED 00 2B 03 91 93 ED 00 0B DD E9 00 32 CD E9 03 03 05 92 8D ED 02 0B 0D F1 08 0C 9C EC 04 0B 0F B0 ?? ?? ?? ?? BD E8 00 88 FE DE 66 73 2D 38 52 C1 F0 3F 18 2D 44 54 FB 21 F9 3F 66 73 2D 38 52 C1 E0 3F 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_110_43_0 {
	meta:
		name = "?atan2@?$VATan@M@@SA?AT__n128@@T2@0@Z"
		size = 996
		refs = "002a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00a0 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 021c ?A@?$VATan@M@@CA?AT__n128@@T2@@Z 03a4 ?neginf@?$VectorOp@M@@2T__n128@@B 03a8 ?exponentBias@?$VectorOp@M@@2T__n128@@B 03ac ?exponentMask@?$VectorOp@M@@2T__n128@@B 03b0 ?inf@?$VectorOp@M@@2T__n128@@B 03b4 ?eps@?$VATan@M@@0T__n128@@B 03b8 ?q0@?$VATan@M@@0T__n128@@B 03bc ?p0@?$VATan@M@@0T__n128@@B 03c0 ?p1@?$VATan@M@@0T__n128@@B 03c4 ?sqrt_three@?$VATan@M@@0T__n128@@B 03c8 ?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B"
		altNames = "__vdecl_atan2f4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B B5 B0 20 EF 50 A1 9F ED F3 0A 22 EF 52 E1 0D F1 30 0C 8C EC 04 EB 0D F1 10 0C 8C EC 04 AB ?? ?? ?? ?? 0D F1 20 0C 8C EC 04 0B 9F ED E9 0A ?? ?? ?? ?? 60 EF 50 01 9F ED E5 0A 0D F1 A0 0C CC EC 04 0B ?? ?? ?? ?? 9F ED E0 8A 60 EF 50 01 0D F1 60 0C CC EC 04 0B B0 EE 48 0A ?? ?? ?? ?? 60 EF 50 01 9F ED D8 0A 0D F1 90 0C CC EC 04 0B ?? ?? ?? ?? 60 EF 50 01 9F ED D2 0A 0D F1 C0 0C CC EC 04 0B ?? ?? ?? ?? 60 EF 50 01 7D 20 0D F1 B0 0C CC EC 04 0B ?? ?? ?? ?? 60 EF 50 01 6F F0 79 00 0D F1 70 0C CC EC 04 0B ?? ?? ?? ?? FB FF 4E 25 60 EF 50 01 B6 EE 00 0A 0D F1 80 0C CC EC 04 0B 4E EF 72 0F 42 FF F0 2D 4E EF 72 0F 42 FF F0 0D 4A FF 70 0D B9 FF 60 A7 ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A CD EC 04 0B ?? ?? ?? ?? 20 EF 50 E1 B0 EE 48 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 50 0C CC EC 04 0B ?? ?? ?? ?? FB FF 4A 25 2A FF 4E CE 4A EF 72 0F 02 20 42 FF F0 2D 0D F1 40 0C 8C EC 04 CB 20 EF 50 81 4A EF 72 0F 42 FF F0 0D 10 FF DA C1 ?? ?? ?? ?? A0 4B 0D F1 40 0C 9C EC 04 AB DD EC 04 2B D3 EC 04 0B 9B 4B 10 FF 58 A1 2C FF 60 8E D3 EC 04 0B 40 EF CC 6D 60 EF CE 0D 40 FF DC 0D 60 EF E2 0D 60 EF E2 0D 40 EF CC 4D FB FF 66 25 28 EF 58 E1 46 EF F2 0F 01 20 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 10 FF DC E1 ?? ?? ?? ?? 87 4B 6A EF 40 08 4E FF 5E 4D 10 FF DA 81 01 20 D3 EC 04 0B 81 4B 40 FF F4 2D 8D EC 04 8B D3 EC 04 0B 7C 4B 42 EF E0 0D 40 FF F4 6D D3 EC 04 0B 78 4B 44 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4E FF 70 0D 4E EF 60 2D D3 EC 04 0B 20 FF DE CE 1E FF 72 C1 B9 FF CC 87 ?? ?? ?? ?? DD EC 04 0B 20 EF C0 A3 20 EF F0 01 18 FF 5C A1 ?? ?? ?? ?? 40 EF 4A 2D 62 4C 0D F1 20 0C 9C EC 04 0B 0D F1 30 0C 9C EC 04 4B D4 EC 04 0B 5C 4B 20 FF 44 AE 4E EF 60 4E 0D F1 50 0C DC EC 04 0B 0D F1 60 0C 9C EC 04 EB 0D F1 10 0C 9C EC 04 2B 50 FF F2 41 6A EF 5A 21 6E EF 64 0D 60 FF 42 EE 50 FF F4 21 44 EF 40 CE D3 EC 04 4B 4B 4B F9 FF E2 07 44 EF 74 81 D3 EC 04 AB 50 FF F2 E1 E9 FF 78 00 42 EF 74 41 60 FF EA 28 E9 FF 74 00 02 EF 40 CE 60 FF EA 08 60 FF E2 08 0D F1 70 0C DC EC 04 2B 60 EF F2 63 E9 FF 78 00 60 FF EA 28 E9 FF 74 00 60 FF EA 08 60 FF E2 08 0D F1 80 0C DC EC 04 2B 4F F0 00 40 62 EF F0 43 0D F1 90 0C DC EC 04 2B 6C EF F6 01 52 FF FE 01 42 EF 42 2E 50 FF 70 41 44 EF 44 0E 00 EF F2 81 14 FF D4 81 ?? ?? ?? ?? 0D F1 10 0C DC EC 04 CB 4C EF 5A 41 40 EF 7C A1 0D F1 20 0C 9C EC 04 0B 23 4B 6A EF DE 61 0D F1 30 0C 9C EC 04 EB 6A EF D0 81 6E FF 40 0E 56 FF D8 41 4C EF 70 21 0D F1 A0 0C DC EC 04 0B 6E FF 70 08 58 FF F4 21 4C EF 70 41 6E FF 50 08 56 FF F2 41 4C EF 70 61 F9 FF 6C 07 58 FF F4 61 D4 EC 04 4B 40 EF E4 8E 0D F1 B0 0C DC EC 04 0B 6A EF F0 21 4E EF 64 0E 48 EF F0 41 0D F1 C0 0C DC EC 04 0B 52 FF F6 41 6A EF F0 21 D3 EC 04 0B 4E EF 60 0E 08 EF F0 01 12 FF F4 01 35 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E4 CB 16 40 DB 0F 49 3F DB 0F C9 3F DB 0F 49 40 00 00 00 80 00 00 00 00 }
	condition:
		$1
}

rule file_110_44_0 {
	meta:
		name = "?atan@?$VATan@M@@SA?AT__n128@@T2@@Z"
		size = 484
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0066 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0174 ?A@?$VATan@M@@CA?AT__n128@@T2@@Z 01c0 ?inf@?$VectorOp@M@@2T__n128@@B 01c4 ?eps@?$VATan@M@@0T__n128@@B 01c8 ?q0@?$VATan@M@@0T__n128@@B 01cc ?p0@?$VATan@M@@0T__n128@@B 01d0 ?p1@?$VATan@M@@0T__n128@@B 01d4 ?sqrt_three@?$VATan@M@@0T__n128@@B 01d8 ?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B"
		altNames = "__vdecl_atanf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 94 B0 20 EF 50 81 9F ED 73 0A 0D F1 40 0C 8C EC 04 8B ?? ?? ?? ?? 60 EF 50 01 B6 EE 00 0A 0D F1 30 0C CC EC 04 0B B9 FF 48 A7 ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A 0D F1 10 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 E1 9F ED 62 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 20 0C CC EC 04 0B ?? ?? ?? ?? FB FF 4A 25 2A FF 4E CE 4A EF 72 0F 02 20 42 FF F0 2D 8D EC 04 CB 20 EF 50 81 4A EF 72 0F 42 FF F0 0D 10 FF DA C1 ?? ?? ?? ?? 50 4B 9D EC 04 AB 0D F1 10 0C DC EC 04 2B D3 EC 04 0B 4B 4B 10 FF 58 A1 2C FF 60 8E D3 EC 04 0B 01 20 40 EF CC 6D 60 EF CE 0D 28 EF 58 E1 40 FF DC 0D 60 EF E2 0D 60 EF E2 0D FB FF 66 25 40 EF CC 4D 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 10 FF DC E1 ?? ?? ?? ?? 37 4B 6A EF 40 08 4E FF 5E 4D 10 FF DA 81 D3 EC 04 0B 31 4B 40 FF F4 2D D3 EC 04 0B 2E 4B 0D F1 10 0C 8C EC 04 8B 42 EF E0 0D 40 FF F4 6D D3 EC 04 0B 27 4B 44 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4E FF 70 0D 4E EF 60 2D D3 EC 04 0B 20 FF DE CE 1E FF 72 C1 01 20 B9 FF CC 87 ?? ?? ?? ?? 0D F1 10 0C DC EC 04 0B 20 EF C0 A3 20 EF F0 01 18 FF 5C A1 ?? ?? ?? ?? 40 EF 4A 2D 10 4B 0D F1 40 0C DC EC 04 6B D3 EC 04 0B 06 EF E6 0E 4E EF 60 4E 0D F1 20 0C DC EC 04 0B 50 FF F2 41 0D F1 30 0C DC EC 04 2B F9 FF E4 07 62 FF E6 2E 50 FF F4 21 12 FF F6 01 14 B0 BD EC 10 8B BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 0F C9 3F 00 00 00 00 }
	condition:
		$1
}

rule file_110_45_0 {
	meta:
		name = "?atan_impl@?$VATan@M@@CA?AT__n128@@T2@@Z"
		size = 412
		refs = "0014 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0046 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0154 ?A@?$VATan@M@@CA?AT__n128@@T2@@Z 017c ?inf@?$VectorOp@M@@2T__n128@@B 0180 ?eps@?$VATan@M@@0T__n128@@B 0184 ?q0@?$VATan@M@@0T__n128@@B 0188 ?p0@?$VATan@M@@0T__n128@@B 018c ?p1@?$VATan@M@@0T__n128@@B 0190 ?sqrt_three@?$VATan@M@@0T__n128@@B 0194 ?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 8C B0 20 EF 50 A1 B6 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A 0D F1 10 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 E1 9F ED 59 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 20 0C CC EC 04 0B ?? ?? ?? ?? FB FF 4A 25 2A FF 4E CE 4A EF 72 0F 02 20 42 FF F0 2D 8D EC 04 CB 20 EF 50 81 4A EF 72 0F 42 FF F0 0D 10 FF DA C1 ?? ?? ?? ?? 47 4B 9D EC 04 AB 0D F1 10 0C DC EC 04 2B D3 EC 04 0B 42 4B 10 FF 58 A1 2C FF 60 8E D3 EC 04 0B 01 20 40 EF CC 6D 60 EF CE 0D 28 EF 58 E1 40 FF DC 0D 60 EF E2 0D 60 EF E2 0D FB FF 66 25 40 EF CC 4D 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 10 FF DC E1 ?? ?? ?? ?? 2E 4B 6A EF 40 08 4E FF 5E 4D 10 FF DA 81 01 20 D3 EC 04 0B 28 4B 40 FF F4 2D 0D F1 10 0C 8C EC 04 8B D3 EC 04 0B 22 4B 42 EF E0 0D 40 FF F4 6D D3 EC 04 0B 1E 4B 44 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4E FF 70 0D 4E EF 60 2D D3 EC 04 0B 20 FF DE CE 1E FF 72 C1 B9 FF CC 87 ?? ?? ?? ?? 0D F1 10 0C DC EC 04 0B 20 EF C0 A3 18 FF 5C A1 20 EF F0 01 ?? ?? ?? ?? 08 4B 40 EF 4A 2D D3 EC 04 0B 0E EF 60 0E 0D F1 20 0C DC EC 04 0B 10 FF F2 01 0C B0 BD EC 10 8B BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 0F C9 3F }
	condition:
		$1
}

rule file_110_54_0 {
	meta:
		name = "?create@?$VectorOp@M@@SA?AT__n128@@MMMM@Z"
		size = 32
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B CD ED 01 0A 8D ED 00 0A 8D ED 02 1A CD ED 03 1A 9D EC 04 0B BD E8 0F 88 }
	condition:
		$1
}

rule file_110_59_0 {
	meta:
		name = "?create@?$VectorOp@N@@SA?AT__n128@@NN@Z"
		size = 46
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 0B 8D ED 02 1B 00 9B 04 93 01 9B 05 93 02 9B 06 93 03 9B 07 93 0D F1 10 0C 9C EC 04 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_110_68_0 {
	meta:
		name = "?intxp@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 44
		refs = "0024 ?exponentBias@?$VectorOp@M@@2T__n128@@B 0028 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 4B D3 EC 04 0B 05 4B 40 EF 70 01 E9 FF 70 20 D3 EC 04 0B 22 FF E0 08 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_77_0 {
	meta:
		name = "?unpack@?$VectorOp@N@@SAXT__n128@@AA_K1@Z"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 52 EC 10 3B C0 E9 00 32 52 EC 11 3B C1 E9 00 32 BD E8 00 88 }
	condition:
		$1
}

rule file_111_2_0 {
	meta:
		name = "??__E?C0@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?C0@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F3 04 35 3F }
	condition:
		$1
}

rule file_111_3_0 {
	meta:
		name = "??__E?C0@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?C0@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CD 3B 7F 66 9E A0 E6 3F }
	condition:
		$1
}

rule file_111_4_0 {
	meta:
		name = "??__E?C1@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?C1@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 80 31 3F }
	condition:
		$1
}

rule file_200_1_0 {
	meta:
		name = "??__E?C1@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?C1@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 80 31 3F }
	condition:
		$1
}

rule file_111_5_0 {
	meta:
		name = "??__E?C1@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?C1@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 30 E6 3F }
	condition:
		$1
}

rule file_200_2_0 {
	meta:
		name = "??__E?C1@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?C1@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 30 E6 3F }
	condition:
		$1
}

rule file_111_6_0 {
	meta:
		name = "??__E?C2@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?C2@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 83 80 5E B9 }
	condition:
		$1
}

rule file_200_3_0 {
	meta:
		name = "??__E?C2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?C2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 83 80 5E B9 }
	condition:
		$1
}

rule file_111_7_0 {
	meta:
		name = "??__E?C2@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?C2@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A8 0C 61 5C 10 D0 2B BF }
	condition:
		$1
}

rule file_200_4_0 {
	meta:
		name = "??__E?C2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?C2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A8 0C 61 5C 10 D0 2B BF }
	condition:
		$1
}

rule file_111_8_0 {
	meta:
		name = "??__E?C3@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?C3@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? D8 5B DE 3E }
	condition:
		$1
}

rule file_111_9_0 {
	meta:
		name = "??__E?C3@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?C3@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 48 04 49 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7B CB DB 3F 0E E5 26 15 }
	condition:
		$1
}

rule file_111_10_0 {
	meta:
		name = "??__E?a0@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?a0@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 3D 7E 0D BF }
	condition:
		$1
}

rule file_111_11_0 {
	meta:
		name = "??__E?a0@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?a0@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9A B5 B3 12 FF 07 50 C0 }
	condition:
		$1
}

rule file_111_13_0 {
	meta:
		name = "??__E?a1@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?a1@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? ED AF 16 20 4A 62 30 40 }
	condition:
		$1
}

rule file_111_15_0 {
	meta:
		name = "??__E?a2@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?a2@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 29 BD 56 B3 15 44 E9 BF }
	condition:
		$1
}

rule file_111_16_0 {
	meta:
		name = "??__E?b0@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?b0@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 3A 3F D4 C0 }
	condition:
		$1
}

rule file_111_17_0 {
	meta:
		name = "??__E?b0@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?b0@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 77 90 0D 9C FE 0B 88 C0 }
	condition:
		$1
}

rule file_111_19_0 {
	meta:
		name = "??__E?b1@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?b1@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7E 26 15 FA 83 80 73 40 }
	condition:
		$1
}

rule file_111_21_0 {
	meta:
		name = "??__E?b2@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?b2@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 0F CE 67 4B 80 D5 41 C0 }
	condition:
		$1
}

rule file_111_57_0 {
	meta:
		name = "?log10@?$VLog@M@@SA?AT__n128@@T2@@Z"
		size = 420
		refs = "001a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 003c ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0170 ?inf@?$VectorOp@M@@2T__n128@@B 0174 ?ind@?$VectorOp@M@@2T__n128@@B 0178 ?neginf@?$VectorOp@M@@2T__n128@@B 017c ?C3@?$VLog@M@@0T__n128@@B 0180 ?C2@?$VLog@M@@0T__n128@@B 0184 ?C1@?$VLog@M@@0T__n128@@B 0188 ?a0@?$VLog@M@@0T__n128@@B 0190 ?b0@?$VLog@M@@0T__n128@@B 0194 ?C0@?$VLog@M@@0T__n128@@B 0198 ?notExponentMask@?$VectorOp@M@@2T__n128@@B 019c ?exponentBias@?$VectorOp@M@@2T__n128@@B 01a0 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
		altNames = "__vdecl_log10f4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 85 B0 20 EF 50 81 B6 EE 00 0A 8D EC 04 8B ?? ?? ?? ?? 60 4B 5E 4C 00 20 D3 EC 04 0B 20 EF 50 E1 48 EF 70 01 E9 FF 70 20 D4 EC 04 0B 22 FF E0 A8 ?? ?? ?? ?? D4 EC 04 0B 54 4B 01 20 60 EF 60 08 F7 EF 70 25 D3 EC 04 0B 4F 4B 48 EF 70 01 20 EF F2 81 D3 EC 04 0B 28 FF 60 CE ?? ?? ?? ?? 6A FF 40 08 68 EF 4E 2D 6C EF 5C A1 5A FF 70 A1 62 EF CE 0D 44 4B 6C EF 5C 41 50 FF F2 41 9F ED 40 0A 44 FF DE 0D 40 EF CE 2D 48 FF 5E 0D 40 EF CE 0D 10 FF F2 C1 FB FF 4C 25 4C EF 72 0F 42 FF F0 2D 4C EF 72 0F 42 FF F0 0D 44 FF F0 8D D3 EC 04 0B 32 4B 48 FF F8 2D 42 EF E0 6D D3 EC 04 0B 2E 4B 42 FF F0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D FB FF 6A 46 48 FF F0 0D 48 EF E0 6D D3 EC 04 0B 21 4B 44 FF F0 2D D3 EC 04 0B 1E 4B 44 FF F0 0D 40 EF E6 0D 40 EF E2 2D D3 EC 04 0B 02 FF F0 8D ?? ?? ?? ?? 20 EF 50 A1 B7 EE 00 0A ?? ?? ?? ?? DD EC 04 6B 12 4B 46 EF C0 2E 46 EF CA 4E 5A FF 58 21 D3 EC 04 0B 0D 4B 06 EF E6 0E 50 FF F2 41 D3 EC 04 0B 08 4B 6A FF 66 2E 50 FF F4 21 D3 EC 04 0B 46 EF E0 0E 56 FF F2 01 10 FF F6 01 05 B0 BD EC 10 8B BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_58_0 {
	meta:
		name = "?log@?$VLog@M@@SA?AT__n128@@T2@@Z"
		size = 408
		refs = "001a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 003c ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0168 ?inf@?$VectorOp@M@@2T__n128@@B 016c ?ind@?$VectorOp@M@@2T__n128@@B 0170 ?neginf@?$VectorOp@M@@2T__n128@@B 0174 ?C2@?$VLog@M@@0T__n128@@B 0178 ?C1@?$VLog@M@@0T__n128@@B 017c ?a0@?$VLog@M@@0T__n128@@B 0184 ?b0@?$VLog@M@@0T__n128@@B 0188 ?C0@?$VLog@M@@0T__n128@@B 018c ?notExponentMask@?$VectorOp@M@@2T__n128@@B 0190 ?exponentBias@?$VectorOp@M@@2T__n128@@B 0194 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
		altNames = "__vdecl_logf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 85 B0 20 EF 50 81 B6 EE 00 0A 8D EC 04 8B ?? ?? ?? ?? 5D 4B 5B 4C 00 20 D3 EC 04 0B 20 EF 50 E1 48 EF 70 01 E9 FF 70 20 D4 EC 04 0B 22 FF E0 A8 ?? ?? ?? ?? D4 EC 04 0B 51 4B 01 20 60 EF 60 08 F7 EF 70 25 D3 EC 04 0B 4C 4B 48 EF 70 01 20 EF F2 81 D3 EC 04 0B 28 FF 60 CE ?? ?? ?? ?? 6A FF 40 08 68 EF 4E 2D 6C EF 5C A1 5A FF 70 A1 62 EF CE 0D 41 4B 6C EF 5C 41 50 FF F2 41 9F ED 3D 0A 44 FF DE 0D 40 EF CE 2D 48 FF 5E 0D 40 EF CE 0D 10 FF F2 C1 FB FF 4C 25 4C EF 72 0F 42 FF F0 2D 4C EF 72 0F 42 FF F0 0D 44 FF F0 8D D3 EC 04 0B 2F 4B 48 FF F8 2D 42 EF E0 6D D3 EC 04 0B 2B 4B 42 FF F0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D FB FF 6A 46 48 FF F0 0D 48 EF E0 6D D3 EC 04 0B 1E 4B 44 FF F0 2D D3 EC 04 0B 44 FF F0 0D 40 EF E6 0D 00 EF E2 8D ?? ?? ?? ?? 20 EF 50 A1 B7 EE 00 0A ?? ?? ?? ?? DD EC 04 6B 13 4B 46 EF C0 2E D3 EC 04 0B 46 EF CA 4E 5A FF 58 21 50 FF F2 41 6A FF 66 2E 0B 4B 06 EF E6 0E D3 EC 04 0B 08 4B 50 FF F4 21 D3 EC 04 0B 46 EF E0 0E 56 FF F2 01 10 FF F6 01 05 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_59_0 {
	meta:
		name = "?log_check_special_case@?$VLog@M@@CA?AT__n128@@T2@0@Z"
		size = 120
		refs = "0016 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0068 ?inf@?$VectorOp@M@@2T__n128@@B 006c ?ind@?$VectorOp@M@@2T__n128@@B 0070 ?neginf@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 0C 8B 20 EF 50 C1 9F ED 19 0A 22 EF 52 81 ?? ?? ?? ?? 20 EF 50 A1 B7 EE 00 0A ?? ?? ?? ?? 12 4B 4C EF 40 2E 4C EF 4A 4E D3 EC 04 0B 0D 4B 5A FF 58 21 0C EF 4C 0E 50 FF F2 41 6A FF 4C 2E D3 EC 04 0B 07 4B 50 FF F4 21 D3 EC 04 0B 4C EF 60 0E 5C FF 72 01 10 FF DC 01 BD EC 0C 8B BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_111_60_0 {
	meta:
		name = "?log_impl@?$VLog@M@@CA?AT__n128@@T2@@Z"
		size = 300
		refs = "0014 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0036 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 010c ?C2@?$VLog@M@@0T__n128@@B 0110 ?C1@?$VLog@M@@0T__n128@@B 0114 ?a0@?$VLog@M@@0T__n128@@B 0118 ?b0@?$VLog@M@@0T__n128@@B 011c ?C0@?$VLog@M@@0T__n128@@B 0120 ?notExponentMask@?$VectorOp@M@@2T__n128@@B 0124 ?exponentBias@?$VectorOp@M@@2T__n128@@B 0128 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 2D ED 10 8B 20 EF 50 81 B6 EE 00 0A ?? ?? ?? ?? 43 4B 42 4C 00 20 D3 EC 04 0B 20 EF 50 E1 48 EF 70 01 E9 FF 70 20 D4 EC 04 0B 22 FF E0 A8 ?? ?? ?? ?? D4 EC 04 0B 38 4B 01 20 60 EF 60 08 F7 EF 70 25 D3 EC 04 0B 33 4B 48 EF 70 01 20 EF F2 81 D3 EC 04 0B 28 FF 60 CE ?? ?? ?? ?? 6A FF 40 08 68 EF 4E 2D 6C EF 5C A1 5A FF 70 A1 62 EF CE 0D 27 4B 6C EF 5C 41 50 FF F2 41 44 FF DE 0D 40 EF CE 2D 48 FF 5E 0D 40 EF CE 0D 10 FF F2 C1 FB FF 4C 25 4C EF 72 0F 42 FF F0 2D 4C EF 72 0F 42 FF F0 0D 44 FF F0 8D D3 EC 04 0B 18 4B 48 FF F8 2D 42 EF E0 6D D3 EC 04 0B 13 4B 42 FF F0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D FB FF 6A 46 48 FF F0 0D 48 EF E0 6D D3 EC 04 0B 07 4B 44 FF F0 2D D3 EC 04 0B 44 FF F0 0D 40 EF E6 0D 00 EF E2 0D BD EC 10 8B BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_64_0 {
	meta:
		name = "?setxp@?$VectorOp@M@@SA?AT__n128@@T2@0@Z"
		size = 48
		refs = "0028 ?notExponentMask@?$VectorOp@M@@2T__n128@@B 002c ?exponentBias@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 4B D3 EC 04 0B 06 4B 62 EF 60 08 F7 EF 70 25 D3 EC 04 0B 40 EF 70 01 20 EF F2 01 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_2_0 {
	meta:
		name = "__u64tod"
		size = 140
		refs = "0080 __i64tofp_exception_helper"
	strings:
		$1 = { 2D E9 03 48 0D F1 08 0B 00 29 08 D1 B0 FA 80 F2 10 FA 02 F1 28 D0 00 20 02 F1 20 02 08 E0 B1 FA 81 F2 D2 F1 20 03 91 40 30 FA 03 F3 19 43 90 40 40 F2 3E 43 D2 EB 03 02 5F EA 00 5C C0 0A 4B 05 18 43 C9 0A 62 F3 1E 51 1C F0 80 4F 05 D0 3C F0 80 4C 02 D0 40 1C 41 F1 00 01 41 EC 10 0B 5F EA 4C 0C 04 D1 BD E8 03 88 41 EC 10 1B FA E7 F1 EE 10 3A 43 F0 01 03 03 EA 13 22 D2 06 F2 D0 02 4A ?? ?? ?? ?? EE E7 00 00 01 08 09 01 }
	condition:
		$1
}

rule file_115_4_0 {
	meta:
		name = "__u64tos"
		size = 136
		refs = "007c __i64tofp_exception_helper"
	strings:
		$1 = { 2D E9 03 48 0D F1 08 0B 00 29 08 D1 B0 FA 80 F2 10 FA 02 F1 26 D0 00 20 02 F1 20 02 08 E0 B1 FA 81 F2 D2 F1 20 03 91 40 30 FA 03 F3 19 43 90 40 4F F0 BE 03 D2 EB 03 02 5F EA C1 5C 09 0A 62 F3 DE 51 1C F0 80 4F 04 D0 3C F0 80 4C 01 D0 01 F1 01 01 00 EE 10 1A 5F EA 4C 0C 5C EA 00 0C 04 D1 BD E8 03 88 00 EE 10 1A FA E7 F1 EE 10 3A 43 F0 01 03 03 EA 13 22 D2 06 F2 D0 02 4A ?? ?? ?? ?? EE E7 00 00 01 08 09 00 }
	condition:
		$1
}

rule file_123_0_0 {
	meta:
		name = "_matherr"
		size = 26
		altNames = "?_Get_deleter@_Ref_count_base@std@@UBAPAXABVtype_info@@@Z ?do_encoding@?$codecvt@GDU_Mbstatet@@@std@@MBAHXZ ?do_encoding@?$codecvt@_WDU_Mbstatet@@@std@@MBAHXZ ?sync@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAAHXZ ?sync@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAAHXZ ?sync@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "??3@YAXPAXHPBDH@Z"
		size = 24
		refs = "000c _free_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_124_1_0 {
	meta:
		name = "??_V@YAXPAXHPBDH@Z"
		size = 28
		refs = "0010 ??3@YAXPAXHPBDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 05 9B 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "??_M@YAXPAXIHP6AX0@Z@Z"
		size = 28
		refs = "0010 ??_M@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 05 9B 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_126_0_0 {
	meta:
		name = "??2@YAPAXI@Z"
		size = 80
		refs = "000c malloc 0024 _callnewh 0038 ?__scrt_throw_std_bad_array_new_length@@YAXXZ 003e ?__scrt_throw_std_bad_alloc@@YAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 02 D0 00 9B 03 93 10 E0 06 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 08 D1 06 9B B3 F1 FF 3F 02 D1 ?? ?? ?? ?? 01 E0 ?? ?? ?? ?? E2 E7 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_128_2_0 {
	meta:
		name = "__scrt_initialize_default_local_stdio_options"
		size = 74
		refs = "0008 __local_stdio_printf_options 0026 __local_stdio_scanf_options"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 1B 68 43 F0 04 01 00 9B 5A 68 00 9B 19 60 00 9B 5A 60 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 1B 68 43 F0 02 01 01 9B 5A 68 01 9B 19 60 01 9B 5A 60 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_137_1_0 {
	meta:
		name = "??_M@YAXPAXIIP6AX0@Z@Z"
		size = 104
		refs = "003c _guard_check_icall 005a ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B 82 B0 6F 46 00 23 3B 70 FA 69 3B 6A 02 FB 03 F2 BB 69 13 44 BB 61 3A 6A 3B 6A 5B 1E 3B 62 00 2A 0D D9 BA 69 FB 69 D3 1A BB 61 BC 69 7B 6A 7B 60 78 68 ?? ?? ?? ?? 7B 68 20 46 98 47 EB E7 01 23 3B 70 3B 78 00 2B 05 D1 7B 6A 3A 6A F9 69 B8 69 ?? ?? ?? ?? 02 B0 BD E8 90 08 5D F8 14 FB }
	condition:
		$1
}

rule file_137_2_0 {
	meta:
		name = "?fin$0@?0???_M@YAXPAXIIP6AX0@Z@Z@4HA"
		size = 24
		refs = "0010 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 10 B5 3B 78 00 2B 05 D1 7B 6A 3A 6A F9 69 B8 69 ?? ?? ?? ?? FF E7 10 BD }
	condition:
		$1
}

rule file_137_3_0 {
	meta:
		name = "?ArrayUnwindFilter@@YAHPAU_EXCEPTION_POINTERS@@@Z"
		size = 52
		refs = "001c terminate"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 93 00 9B 1A 68 06 4B 9A 42 00 D0 01 E0 ?? ?? ?? ?? 00 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB 63 73 6D E0 }
	condition:
		$1
}

rule file_137_4_0 {
	meta:
		name = "?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
		size = 76
		refs = "0032 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B 86 B0 6F 46 00 23 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 3B 6B 9A 42 0D D0 BA 6A FB 6A D3 1A BB 62 BC 6A 7B 6B 7B 60 78 68 ?? ?? ?? ?? 7B 68 20 46 98 47 EA E7 00 E0 FF E7 06 B0 BD E8 90 08 5D F8 14 FB }
	condition:
		$1
}

rule file_137_5_0 {
	meta:
		name = "?filt$0@?0??__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z@4HA"
		size = 20
		refs = "000a ?ArrayUnwindFilter@@YAHPAU_EXCEPTION_POINTERS@@@Z"
	strings:
		$1 = { 10 B5 B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 38 69 10 BD }
	condition:
		$1
}

rule file_138_7_0 {
	meta:
		name = "??__E?K@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?K@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? ED A8 E2 3E }
	condition:
		$1
}

rule file_138_8_0 {
	meta:
		name = "??__E?K@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?K@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F8 0B AE 94 1D 55 DC 3F }
	condition:
		$1
}

rule file_138_9_0 {
	meta:
		name = "??__E?bigx@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?bigx@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 18 52 B1 44 }
	condition:
		$1
}

rule file_138_10_0 {
	meta:
		name = "??__E?bigx@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?bigx@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE C2 2D C6 40 }
	condition:
		$1
}

rule file_138_19_0 {
	meta:
		name = "??__E?lsb_mask@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?lsb_mask@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_138_20_0 {
	meta:
		name = "??__E?lsb_mask@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?lsb_mask@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 01 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_138_25_0 {
	meta:
		name = "??__E?p1@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 5C B7 AA 3D }
	condition:
		$1
}

rule file_138_26_0 {
	meta:
		name = "??__E?p1@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 4D 55 55 55 55 55 B5 3F }
	condition:
		$1
}

rule file_138_28_0 {
	meta:
		name = "??__E?p2@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 0E 08 9E 99 99 99 89 3F }
	condition:
		$1
}

rule file_138_30_0 {
	meta:
		name = "??__E?p3@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? AC 8D 27 2E 24 49 62 3F }
	condition:
		$1
}

rule file_138_32_0 {
	meta:
		name = "??__E?p4@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p4@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 28 FC 4A DB FD 78 3C 3F }
	condition:
		$1
}

rule file_138_33_0 {
	meta:
		name = "??__E?q1@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 11 72 31 3F }
	condition:
		$1
}

rule file_138_34_0 {
	meta:
		name = "??__E?q1@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE 42 2E E6 3F }
	condition:
		$1
}

rule file_200_20_0 {
	meta:
		name = "??__E?ln2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?ln2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE 42 2E E6 3F }
	condition:
		$1
}

rule file_138_35_0 {
	meta:
		name = "??__E?q2@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 15 F3 75 3E }
	condition:
		$1
}

rule file_138_36_0 {
	meta:
		name = "??__E?q2@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CE C4 82 FF BD BF CE 3F }
	condition:
		$1
}

rule file_138_37_0 {
	meta:
		name = "??__E?q3@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? FE A8 5E 3D }
	condition:
		$1
}

rule file_138_38_0 {
	meta:
		name = "??__E?q3@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 6D 02 03 D7 08 6B AC 3F }
	condition:
		$1
}

rule file_138_40_0 {
	meta:
		name = "??__E?q4@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q4@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 98 1D 13 6E AB B2 83 3F }
	condition:
		$1
}

rule file_138_42_0 {
	meta:
		name = "??__E?q5@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q5@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9F CD D7 18 7E D8 55 3F }
	condition:
		$1
}

rule file_138_44_0 {
	meta:
		name = "??__E?q6@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q6@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 74 4C 38 E0 7A 2F 24 3F }
	condition:
		$1
}

rule file_138_46_0 {
	meta:
		name = "??__E?q7@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q7@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 80 CC 92 E3 DD 4E EF 3E }
	condition:
		$1
}

rule file_138_47_0 {
	meta:
		name = "??__E?smallx@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?smallx@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 50 8C AE C4 }
	condition:
		$1
}

rule file_138_48_0 {
	meta:
		name = "??__E?smallx@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?smallx@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D2 BC 7A DD AB 22 C6 C0 }
	condition:
		$1
}

rule file_138_49_0 {
	meta:
		name = "?A1@?$VPow@M@@CA?AT__n128@@T2@@Z"
		size = 224
		refs = "0008 __security_push_cookie 009c __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 33 4B 4F F0 7E 52 CD E9 04 23 2F 4B 30 EE 10 1B 11 EE 10 0B 06 93 2B 4B 31 EE 10 4B 07 93 28 4B 08 93 26 4B 09 93 24 4B 0A 93 22 4B 0B 93 20 4B 0C 93 1E 4B 0D 93 1C 4B 0E 93 1A 4B 0F 93 18 4B 10 93 16 4B 11 93 14 4B 12 93 12 4B 13 93 A2 F5 00 03 10 EE 10 2B 14 93 04 AB 03 EB 82 03 53 F8 04 3C 00 93 04 AB 03 EB 81 03 53 F8 04 3C 01 93 04 AB 03 EB 80 03 53 F8 04 3C 02 93 04 AB 03 EB 84 03 53 F8 04 3C 03 93 9D EC 04 0B 16 B0 ?? ?? ?? ?? BD E8 10 88 C3 AA 05 3F C1 95 0B 3F D3 C3 11 3F F0 37 18 3F 32 F5 1E 3F D6 FE 25 3F 3E 58 2D 3F F3 04 35 3F A3 08 3D 3F 2A 67 45 3F 8C 24 4E 3F FC 44 57 3F DE CC 60 3F C6 C0 6A 3F 7D 25 75 3F }
	condition:
		$1
}

rule file_138_50_0 {
	meta:
		name = "?A2@?$VPow@M@@CA?AT__n128@@T2@@Z"
		size = 156
		refs = "0008 __security_push_cookie 0074 __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 8C B0 22 4B 10 EE 10 2B 30 EE 10 1B 04 93 1E 4B 11 EE 10 0B 31 EE 10 4B 05 93 1A 4B 06 93 18 4B 07 93 16 4B 08 93 14 4B 09 93 12 4B 0A 93 10 4B 0B 93 04 AB 03 EB 82 03 53 F8 04 3C 00 93 04 AB 03 EB 81 03 53 F8 04 3C 01 93 04 AB 03 EB 80 03 53 F8 04 3C 02 93 04 AB 03 EB 84 03 53 F8 04 3C 03 93 9D EC 04 0B 0C B0 ?? ?? ?? ?? BD E8 10 88 90 98 CF 32 23 56 E7 32 42 23 C1 32 A1 42 6A 33 0C 58 1F 33 24 FC A8 31 94 2A 6C 33 36 24 A9 31 }
	condition:
		$1
}

rule file_138_53_0 {
	meta:
		name = "?adx@?$VectorOp@M@@SA?AT__n128@@T2@0@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 F7 EF 52 05 20 EF 60 08 BD E8 00 88 }
	condition:
		$1
}

rule file_138_76_0 {
	meta:
		name = "?idiv_by16@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 FD EF 50 00 A4 FF 70 01 BC EF 50 00 BD E8 00 88 }
	condition:
		$1
}

rule file_138_78_0 {
	meta:
		name = "?is_odd@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 32
		refs = "0010 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 04 8B 01 20 20 EF 50 81 ?? ?? ?? ?? 20 EF 58 08 BD EC 04 8B BD E8 00 88 }
	condition:
		$1
}

rule file_138_84_0 {
	meta:
		name = "?pow@?$VPow@M@@SA?AT__n128@@T2@0@Z"
		size = 2488
		refs = "000c __security_push_cookie 002e ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00ca ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 091a __security_pop_cookie 0928 ?ind@?$VectorOp@M@@2T__n128@@B 092c ?neginf@?$VectorOp@M@@2T__n128@@B 0930 ?smallx@?$VPow@M@@0T__n128@@B 0934 ?bigx@?$VPow@M@@0T__n128@@B 0938 ?inf@?$VectorOp@M@@2T__n128@@B 096c ?q1@?$VPow@M@@0T__n128@@B 0970 ?q2@?$VPow@M@@0T__n128@@B 0974 ?q3@?$VPow@M@@0T__n128@@B 0978 ?K@?$VPow@M@@0T__n128@@B 097c ?p1@?$VPow@M@@0T__n128@@B 09ac ?notExponentMask@?$VectorOp@M@@2T__n128@@B 09b0 ?exponentBias@?$VectorOp@M@@2T__n128@@B 09b4 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
		altNames = "__vdecl_powf4"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 2D ED 10 8B ?? ?? ?? ?? CC B0 9F ED 1F 8A 20 EF 50 A1 0D F1 18 0C 8C EC 04 2B 0D F1 28 0C 8C EC 04 AB B0 EE 48 0A ?? ?? ?? ?? 0D F1 88 0C 8C EC 04 0B 9F ED 14 0A ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A 0D F1 B8 0C CC EC 04 0B ?? ?? ?? ?? 0D F1 98 0C 8C EC 04 0B BF EE 00 0A ?? ?? ?? ?? 60 EF 50 01 B0 EE 48 0A 0D F1 A8 0C CC EC 04 0B B9 FF 4A C7 ?? ?? ?? ?? 60 EF 50 01 9F ED 01 0A 05 E0 00 00 80 3D 00 00 00 80 00 00 00 00 0D F1 78 0C CC EC 04 0B 8D ED 00 0A ?? ?? ?? ?? 60 EF 50 01 B3 EE 00 0A 0D F1 58 0C CC EC 04 0B 8D ED 01 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 38 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 81 01 20 0D F1 48 0C 8C EC 04 8B ?? ?? ?? ?? DF F8 D0 38 20 EF 50 A1 09 20 D3 EC 04 0B DF F8 C0 38 0D F1 68 0C 8C EC 04 AB 4C EF 70 01 E9 FF 70 20 D3 EC 04 0B DF F8 A4 38 22 FF E0 E8 68 EF 60 08 F7 EF 70 25 D3 EC 04 0B 4C EF 70 01 20 EF F2 C1 ?? ?? ?? ?? DF F8 40 38 DF F8 14 78 4F F0 7E 52 CD E9 32 23 DF F8 2C 38 DF F8 00 68 3D 97 34 93 DF F8 1C 38 35 93 DF F8 10 38 36 93 DF F8 08 38 37 93 DF F8 FC 37 38 93 DF F8 F4 37 39 93 DF F8 E8 37 3A 93 DF F8 E0 37 3B 93 DF F8 D4 37 3C 93 A2 F5 00 08 DF F8 08 58 DF F8 2C A8 DF F8 24 98 10 EE 10 2B 32 AB 03 EB 82 03 CD E9 3E 65 CD E9 40 A9 CD F8 08 81 53 F8 04 3C 30 EE 10 1B 11 EE 10 0B 44 93 32 AB 03 EB 81 03 31 EE 10 4B 53 F8 04 3C 45 93 32 AB 03 EB 80 03 53 F8 04 3C 04 20 46 93 32 AB 03 EB 84 03 53 F8 04 3C 47 93 0D F5 88 7C DC EC 04 0B 00 FF CC 8E 10 FF 5A 81 ?? ?? ?? ?? 4F F0 7E 53 68 EF 40 28 32 93 DF F8 78 37 CD E9 3D 76 12 EE 90 2B 33 93 DF F8 64 37 CD E9 3F 5A CD E9 41 98 34 93 DF F8 54 37 32 EE 90 1B 13 EE 90 0B 35 93 DF F8 40 37 33 EE 90 4B 36 93 DF F8 34 37 37 93 DF F8 28 37 38 93 DF F8 20 37 39 93 DF F8 14 37 3A 93 DF F8 0C 37 3B 93 DF F8 00 37 3C 93 32 AB 03 EB 82 03 53 F8 04 3C 44 93 32 AB 03 EB 81 03 53 F8 04 3C 45 93 32 AB 03 EB 80 03 53 F8 04 3C 46 93 32 AB 03 EB 84 03 53 F8 04 3C 02 20 47 93 0D F5 88 7C DC EC 04 0B 00 FF CC AE 12 FF D8 A1 ?? ?? ?? ?? 4F F0 7E 53 6A EF 40 28 32 93 DF F8 D0 36 DF F8 A8 E6 12 EE 90 2B 33 93 DF F8 BC 36 CD E9 3C E7 CD E9 3E 65 34 93 DF F8 AC 36 CD E9 40 A9 CD F8 08 81 35 93 DF F8 98 36 32 EE 90 1B 13 EE 90 0B 36 93 DF F8 88 36 33 EE 90 4B 37 93 DF F8 78 36 38 93 DF F8 70 36 39 93 DF F8 64 36 3A 93 DF F8 5C 36 3B 93 32 AB 03 EB 82 03 53 F8 04 3C 44 93 32 AB 03 EB 81 03 53 F8 04 3C 45 93 32 AB 03 EB 80 03 53 F8 04 3C 46 93 32 AB 03 EB 84 03 53 F8 04 3C 47 93 4F F0 7E 53 32 93 DF F8 40 36 0D F5 88 7C DC EC 04 0B 33 93 DF F8 2C 36 40 FF CC 8E 0D F1 68 0C DC EC 04 0B 34 93 DF F8 18 36 52 FF DA 81 35 93 DF F8 08 36 68 EF E0 28 36 93 DF F8 FC 35 37 93 DF F8 F0 35 38 93 DF F8 E8 35 39 93 DF F8 DC 35 3A 93 DF F8 D4 35 3B 93 CD E9 3E 65 12 EE 90 5B 32 AB 03 EB 85 03 CD E9 3C E7 CD E9 40 A9 CD F8 08 81 53 F8 04 3C 32 EE 90 6B 13 EE 90 7B 44 93 32 AB 03 EB 86 03 33 EE 90 EB 53 F8 04 3C 45 93 32 AB 03 EB 87 03 53 F8 04 3C 46 93 32 AB 03 EB 8E 03 53 F8 04 3C 47 93 DF F8 D4 35 0D F5 88 7C DC EC 04 0B 44 93 DF F8 C4 35 4C EF 60 6D FF FF 72 00 45 93 DF F8 B0 35 10 EE 90 2B 46 93 DF F8 A4 35 30 EE 90 1B 11 EE 90 0B 47 93 DF F8 90 35 31 EE 90 4B 48 93 DF F8 84 35 49 93 DF F8 78 35 4A 93 DF F8 70 35 4B 93 44 AB 03 EB 82 03 53 F8 04 3C 02 93 44 AB 03 EB 81 03 53 F8 04 3C 03 93 44 AB 03 EB 80 03 53 F8 04 3C 04 93 44 AB 03 EB 84 03 53 F8 04 3C 05 93 4F F0 7E 53 32 93 DF F8 18 35 33 93 DF F8 0C 35 34 93 DF F8 04 35 35 93 DF F8 F8 34 36 93 DF F8 F0 34 37 93 DF F8 E4 34 38 93 DF F8 DC 34 39 93 DF F8 D0 34 DF F8 00 45 CD E9 3F 4A 3A 93 DF F8 C0 34 CD E9 41 98 9D ED 00 0A 3B 93 DF F8 AC 34 3C 93 DF F8 A4 34 3D 93 DF F8 98 34 3E 93 32 AB 03 EB 85 03 53 F8 04 3C 44 93 32 AB 03 EB 86 03 53 F8 04 3C 45 93 32 AB 03 EB 87 03 53 F8 04 3C 46 93 32 AB 03 EB 8E 03 53 F8 04 3C 47 93 DC EC 04 0B DF F8 A0 34 6C EF 60 2D 0D F1 08 0C DC EC 04 0B 62 EF E0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 40 EF E0 6D D3 EC 04 0B DF F8 68 34 46 FF F6 2D D3 EC 04 4B 40 FF F2 0D 40 FF F6 2D 44 FF F2 0D 42 EF E0 2D 46 FF F4 0D 42 EF E0 0D 0D F1 58 0C DC EC 04 2B 00 EF E6 AD E4 EF 5E 05 60 FF E8 08 FB FF 60 06 00 FF F2 ED 0D F1 08 0C 8C EC 04 EB ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 0D F1 18 0C DC EC 04 4B 40 FF 74 0D 9D ED 00 0A FB FF 60 07 FB FF 60 06 00 FF D8 CD 64 EF CC 0D 4E FF 70 2D 4A FF 74 0D 00 EF E2 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D FB FF 60 07 9D ED 00 0A FB FF 60 06 40 FF D8 2D 0D F1 08 0C DC EC 04 0B 2A EF 62 ED 40 FF DC 0D 02 EF E0 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D 9D ED 00 0A FB FF 60 07 FB FF 60 06 00 FF D8 CD 6A EF 4C 0D 0E EF 60 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D 0D F1 38 0C DC EC 04 2B D8 4B FB FF 60 07 01 20 FB FF 60 06 00 FF D8 ED 4C EF 4E 0D 42 FF F0 0D 6A EF 4E 2D FB FF 60 47 0D F1 78 0C DC EC 04 0B 62 FF E0 6E 0D F1 58 0C DC EC 04 0B 66 EF F6 81 62 EF E0 0D 50 FF F2 81 0D F1 68 0C DC EC 04 2B 64 EF E2 08 50 FF F4 61 0D F1 48 0C DC EC 04 0B 20 EF E6 C3 10 FF F2 C1 FD EF 76 00 66 EF F6 21 E4 FF 70 21 BC EF 72 C1 E4 EF 5C 05 20 FF E6 88 D3 EC 04 0B B8 4B 40 FF F8 2D D3 EC 04 0B B4 4B 42 EF E0 0D 40 FF F8 2D D3 EC 04 0B 42 EF E0 0D 00 FF F8 AD ?? ?? ?? ?? 4F F0 7E 53 68 EF 40 08 32 93 AA 4B 33 93 A8 4B 34 93 A6 4B 35 93 A4 4B 36 93 A2 4B 37 93 A0 4B 38 93 9E 4B 39 93 9C 4B 3A 93 9A 4B 10 EE 90 2B CD E9 3F 4A 3B 93 96 4B CD E9 41 98 30 EE 90 1B 3C 93 92 4B 11 EE 90 0B 31 EE 90 4B 3D 93 8E 4B 3E 93 32 AB 03 EB 82 03 53 F8 04 3C 02 93 32 AB 03 EB 81 03 53 F8 04 3C 03 93 32 AB 03 EB 80 03 53 F8 04 3C 04 93 32 AB 03 EB 84 03 53 F8 04 3C 81 4C 01 20 05 93 0D F1 08 0C DC EC 04 2B 7C 4B 42 FF DA 0D 42 EF E0 2D F7 EF 5C 05 62 EF E0 28 D3 EC 04 0B 76 4B 6E FF 60 4E D4 EC 04 0B 50 FF F2 41 D3 EC 04 0B 20 FF CE AE 0D F1 18 0C 9C EC 04 EB 0D F1 78 0C DC EC 04 0B BB FF 4E 87 10 FF F4 A1 FB FF 48 06 00 EF CE CE 0D F1 38 0C 8C EC 04 CB ?? ?? ?? ?? 0D F1 88 0C DC EC 04 6B 0D F1 28 0C DC EC 04 8B 60 EF 58 08 6E FF 66 2E 4C EF 70 41 48 EF E6 0E 26 FF CE EE 40 EF F2 21 0D F1 48 0C CC EC 04 4B 00 EF DE C1 42 EF F4 01 4F F0 00 40 58 FF DA 01 B0 FF E4 A5 02 EF DA 81 16 FF F0 81 ?? ?? ?? ?? 0D F1 28 0C DC EC 04 0B 0D F1 48 0C 9C EC 04 2B 4C EF 5A 61 40 EF 70 01 94 EC 04 0B 4C EF 52 21 60 EF D0 01 50 FF D8 21 46 4B 0D F1 18 0C 9C EC 04 8B 0D F1 28 0C 9C EC 04 CB D3 EC 04 EB 0D F1 A8 0C DC EC 04 0B 48 EF 40 CE 48 EF 6E 4E 50 FF 72 61 0D F1 98 0C 9C EC 04 4B 4C EF 60 2E 6C EF F4 01 B9 FF 4C 67 36 4B 40 EF F2 01 64 FF 46 8E 54 FF 76 01 44 EF F8 21 66 FF 44 AE 50 FF 70 21 0D F1 88 0C 9C EC 04 4B 44 EF FA 01 4C EF FA 41 54 FF 72 01 4C EF F8 21 68 FF 44 AE 54 FF 70 21 0D F1 B8 0C DC EC 04 CB 4C EF 6E 0E 50 FF 72 41 40 EF DE 21 40 EF FA 61 42 EF D2 01 42 EF DA 21 5C FF F4 01 4C EF 40 8E 54 FF 70 21 46 EF D2 01 5E FF F2 01 46 EF DA 21 48 EF FA 61 50 FF 70 21 48 EF DE 01 54 FF 72 01 64 FF 4C 2E 50 FF 70 61 46 EF 40 0E 0C EF 4C 0E F0 FF E0 05 40 EF F2 21 0D F1 38 0C DC EC 04 0B F0 FF E0 05 42 EF F0 41 D3 EC 04 0B 42 EF D2 21 50 FF F6 41 F9 FF E4 07 50 FF F4 21 48 EF 48 0E 52 FF D8 01 10 FF DC 01 4C B0 ?? ?? ?? ?? BD EC 10 8B BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 37 18 3F 32 F5 1E 3F D6 FE 25 3F 3E 58 2D 3F F3 04 35 3F A3 08 3D 3F 2A 67 45 3F 8C 24 4E 3F FC 44 57 3F DE CC 60 3F C6 C0 6A 3F 7D 25 75 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D3 C3 11 3F 90 98 CF 32 23 56 E7 32 42 23 C1 32 A1 42 6A 33 0C 58 1F 33 24 FC A8 31 94 2A 6C 33 36 24 A9 31 C3 AA 05 3F C1 95 0B 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_138_85_0 {
	meta:
		name = "?pow_impl@?$VPow@M@@CA?AT__n128@@T2@0@Z"
		size = 1916
		refs = "000c __security_push_cookie 0022 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 006e ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 06e6 __security_pop_cookie 06f4 ?smallx@?$VPow@M@@0T__n128@@B 06f8 ?inf@?$VectorOp@M@@2T__n128@@B 06fc ?bigx@?$VPow@M@@0T__n128@@B 0730 ?q1@?$VPow@M@@0T__n128@@B 0734 ?q2@?$VPow@M@@0T__n128@@B 0738 ?q3@?$VPow@M@@0T__n128@@B 073c ?K@?$VPow@M@@0T__n128@@B 0740 ?p1@?$VPow@M@@0T__n128@@B 0770 ?notExponentMask@?$VectorOp@M@@2T__n128@@B 0774 ?exponentBias@?$VectorOp@M@@2T__n128@@B 0778 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 2D ED 10 8B ?? ?? ?? ?? B8 B0 20 EF 50 81 9F ED 07 0A 0D F1 48 0C 8C EC 04 2B ?? ?? ?? ?? 60 EF 50 01 9F ED 01 0A 03 E0 00 00 80 3D 00 00 00 00 0D F1 38 0C CC EC 04 0B 8D ED 00 0A ?? ?? ?? ?? 60 EF 50 01 B3 EE 00 0A 0D F1 18 0C CC EC 04 0B 8D ED 01 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 58 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 C1 01 20 0D F1 68 0C 8C EC 04 CB ?? ?? ?? ?? DF F8 F0 36 20 EF 50 A1 09 20 D3 EC 04 0B DF F8 E0 36 0D F1 28 0C 8C EC 04 AB 48 EF 70 01 E9 FF 70 20 D3 EC 04 0B DF F8 C4 36 22 FF E0 E8 6C EF 60 08 F7 EF 70 25 D3 EC 04 0B 48 EF 70 01 20 EF F2 C1 ?? ?? ?? ?? DF F8 60 36 4F F0 7E 52 CD E9 1E 23 DF F8 50 36 DF F8 28 76 DF F8 20 66 20 93 DF F8 3C 36 DF F8 58 56 DF F8 7C A6 21 93 DF F8 2C 36 DF F8 70 96 A2 F5 00 08 22 93 DF F8 18 36 10 EE 10 2B CD E9 29 76 23 93 DF F8 08 36 CD E9 2B 5A CD E9 2D 98 24 93 DF F8 F4 35 30 EE 10 1B 11 EE 10 0B 25 93 DF F8 E4 35 31 EE 10 4B 26 93 DF F8 D4 35 27 93 DF F8 CC 35 28 93 1E AB 03 EB 82 03 53 F8 04 3C 30 93 1E AB 03 EB 81 03 53 F8 04 3C 31 93 1E AB 03 EB 80 03 53 F8 04 3C 04 20 32 93 1E AB 03 EB 84 03 53 F8 04 3C 33 93 0D F1 C0 0C DC EC 04 0B 00 FF CC 8E 10 FF 5A 81 ?? ?? ?? ?? 4F F0 7E 53 68 EF 40 28 1E 93 DF F8 98 35 CD E9 29 76 12 EE 90 2B 1F 93 DF F8 88 35 CD E9 2B 5A CD E9 2D 98 20 93 DF F8 74 35 32 EE 90 1B 13 EE 90 0B 21 93 DF F8 64 35 33 EE 90 4B 22 93 DF F8 54 35 23 93 DF F8 4C 35 24 93 DF F8 40 35 25 93 DF F8 38 35 26 93 DF F8 2C 35 27 93 DF F8 24 35 28 93 1E AB 03 EB 82 03 53 F8 04 3C 30 93 1E AB 03 EB 81 03 53 F8 04 3C 31 93 1E AB 03 EB 80 03 53 F8 04 3C 32 93 1E AB 03 EB 84 03 53 F8 04 3C 02 20 33 93 0D F1 C0 0C DC EC 04 0B 00 FF CC AE 12 FF D8 A1 ?? ?? ?? ?? 4F F0 7E 53 6A EF 40 28 1E 93 DF F8 F0 34 1F 93 DF F8 E8 34 20 93 DF F8 DC 34 21 93 DF F8 D4 34 22 93 DF F8 C8 34 DF F8 B0 E4 12 EE 90 2B 23 93 DF F8 B8 34 CD E9 28 E7 CD E9 2A 65 24 93 DF F8 A4 34 CD E9 2C A9 CD F8 B8 80 25 93 DF F8 94 34 32 EE 90 1B 13 EE 90 0B 26 93 DF F8 80 34 33 EE 90 4B 27 93 1E AB 03 EB 82 03 53 F8 04 3C 30 93 1E AB 03 EB 81 03 53 F8 04 3C 31 93 1E AB 03 EB 80 03 53 F8 04 3C 32 93 1E AB 03 EB 84 03 53 F8 04 3C CD E9 2A 65 CD E9 28 E7 33 93 4F F0 7E 53 1E 93 DF F8 58 34 0D F1 C0 0C DC EC 04 0B CD E9 2C A9 1F 93 DF F8 44 34 40 FF CC 8E 0D F1 28 0C DC EC 04 0B 20 93 DF F8 2C 34 52 FF DA 81 CD F8 B8 80 21 93 DF F8 1C 34 68 EF E0 28 22 93 DF F8 0C 34 12 EE 90 5B 32 EE 90 6B 23 93 FF 4B 13 EE 90 7B 33 EE 90 EB 24 93 FB 4B 25 93 F9 4B 26 93 F7 4B 27 93 1E AB 03 EB 85 03 53 F8 04 3C 30 93 1E AB 03 EB 86 03 53 F8 04 3C 31 93 1E AB 03 EB 87 03 53 F8 04 3C 32 93 1E AB 03 EB 8E 03 53 F8 04 3C CD E9 2C A9 CD F8 B8 80 33 93 FE 4B 0D F1 C0 0C DC EC 04 0B 30 93 FA 4B 4C EF 60 6D FF FF 72 00 31 93 F6 4B 10 EE 90 2B 32 93 F3 4B 30 EE 90 1B 11 EE 90 0B 33 93 EF 4B 31 EE 90 4B 34 93 EC 4B 35 93 EA 4B 36 93 E8 4B 37 93 30 AB 03 EB 82 03 53 F8 04 3C 02 93 30 AB 03 EB 81 03 53 F8 04 3C 03 93 30 AB 03 EB 80 03 53 F8 04 3C 04 93 30 AB 03 EB 84 03 53 F8 04 3C DA 4C 05 93 4F F0 7E 53 1E 93 D2 4B 2B 94 1F 93 CF 4B 20 93 CD 4B 21 93 CB 4B 22 93 C9 4B 23 93 C7 4B 24 93 C5 4B 25 93 C3 4B 26 93 C1 4B 27 93 BF 4B 28 93 BD 4B 29 93 BB 4B 2A 93 1E AB 03 EB 85 03 53 F8 04 3C 9D ED 00 0A 30 93 1E AB 03 EB 86 03 53 F8 04 3C 31 93 1E AB 03 EB 87 03 53 F8 04 3C 32 93 1E AB 03 EB 8E 03 53 F8 04 3C 33 93 DC EC 04 0B BC 4B 6C EF 60 2D 0D F1 08 0C DC EC 04 0B 62 EF E0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 40 EF E0 6D D3 EC 04 0B AF 4B 46 FF F6 2D D3 EC 04 4B 40 FF F2 0D 40 FF F6 2D 44 FF F2 0D 42 EF E0 2D 46 FF F4 0D 42 EF E0 0D 0D F1 18 0C DC EC 04 2B 00 EF E6 AD E4 EF 5E 05 60 FF E8 08 FB FF 60 06 00 FF F2 ED 0D F1 08 0C 8C EC 04 EB ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 0D F1 48 0C DC EC 04 4B 40 FF 74 0D 9D ED 00 0A FB FF 60 07 FB FF 60 06 00 FF D8 CD 64 EF CC 0D 4E FF 70 2D 4A FF 74 0D 00 EF E2 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D 9D ED 00 0A FB FF 60 07 FB FF 60 06 40 FF D8 2D 0D F1 08 0C DC EC 04 0B 2A EF 62 ED 40 FF DC 0D 02 EF E0 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D FB FF 60 07 FB FF 60 06 00 FF D8 CD 6A EF 4C 0D 9D ED 00 0A 0E EF 60 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D 0D F1 58 0C DC EC 04 2B 6D 4B FB FF 60 07 01 20 FB FF 60 06 00 FF D8 ED 4C EF 4E 0D 42 FF F0 0D 6A EF 4E 2D FB FF 60 47 0D F1 38 0C DC EC 04 0B 62 FF E0 6E 0D F1 18 0C DC EC 04 0B 66 EF F6 81 62 EF E0 0D 50 FF F2 81 0D F1 28 0C DC EC 04 2B 64 EF E2 08 50 FF F4 61 0D F1 68 0C DC EC 04 0B 20 EF E6 C3 10 FF F2 C1 FD EF 76 00 66 EF F6 21 E4 FF 70 21 BC EF 72 C1 E4 EF 5C 05 20 FF E6 88 D3 EC 04 0B 4D 4B 40 FF F8 2D D3 EC 04 0B 4A 4B 42 EF E0 0D 40 FF F8 2D D3 EC 04 0B 42 EF E0 0D 00 FF F8 AD ?? ?? ?? ?? 4F F0 7E 53 68 EF 40 08 1E 93 40 4B CD E9 2B 4A CD E9 2D 98 1F 93 3C 4B 10 EE 90 2B 30 EE 90 1B 20 93 38 4B 11 EE 90 0B 31 EE 90 4B 21 93 34 4B 22 93 32 4B 23 93 30 4B 24 93 2E 4B 25 93 2C 4B 26 93 2A 4B 27 93 28 4B 28 93 26 4B 29 93 24 4B 2A 93 1E AB 03 EB 82 03 53 F8 04 3C 02 93 1E AB 03 EB 81 03 53 F8 04 3C 03 93 1E AB 03 EB 80 03 53 F8 04 3C 04 93 1E AB 03 EB 84 03 53 F8 04 3C 05 93 0D F1 08 0C DC EC 04 2B 14 4B 42 FF DA 0D 42 EF E0 2D F7 EF 5C 05 62 EF E0 28 D3 EC 04 0B 0D 4B 6E FF 60 4E D3 EC 04 0B 0A 4B 50 FF F2 41 D3 EC 04 0B 20 FF CE 0E 0D F1 38 0C DC EC 04 0B 10 FF F4 01 38 B0 ?? ?? ?? ?? BD EC 10 8B BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 37 18 3F 32 F5 1E 3F D6 FE 25 3F 3E 58 2D 3F F3 04 35 3F A3 08 3D 3F 2A 67 45 3F 8C 24 4E 3F FC 44 57 3F DE CC 60 3F C6 C0 6A 3F 7D 25 75 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D3 C3 11 3F 90 98 CF 32 23 56 E7 32 42 23 C1 32 A1 42 6A 33 0C 58 1F 33 24 FC A8 31 94 2A 6C 33 36 24 A9 31 C3 AA 05 3F C1 95 0B 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_138_87_0 {
	meta:
		name = "?reduce@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 64
		refs = "0012 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 08 8B 20 EF 50 81 9F ED 0B 0A ?? ?? ?? ?? 20 EF 50 A1 B3 EE 00 0A ?? ?? ?? ?? 40 FF 58 0D FB FF 60 07 FB FF 60 06 00 FF DA 0D BD EC 08 8B BD E8 00 88 FE DE 00 00 80 3D }
	condition:
		$1
}

rule file_148_0_0 {
	meta:
		name = "??$tan_impl@$00@?$VTan@M@@CA?AT__n128@@T1@0@Z"
		size = 380
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00d8 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0150 ?ind@?$VectorOp@M@@2T__n128@@B 0154 ?inf@?$VectorOp@M@@2T__n128@@B 0158 ?eps@?$VTan@M@@0T__n128@@B 015c ?q0@?$VTan@M@@0T__n128@@B 0160 ?q1@?$VTan@M@@0T__n128@@B 0164 ?q2@?$VTan@M@@0T__n128@@B 0168 ?p1@?$VTan@M@@0T__n128@@B 016c ?c1@?$VTan@M@@0T__n128@@B 0170 ?c2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 88 B0 20 EF 50 E1 9F ED 59 0A 0D F1 10 0C 8C EC 04 2B ?? ?? ?? ?? 20 EF 50 81 B7 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 9F ED 50 0A CD EC 04 0B 0E FF 58 CD ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C CE FB FF 60 27 44 4B 01 20 F9 FF E2 03 10 FF F2 C1 D3 EC 04 0B 3F 4B FB FF 4C 46 44 FF F0 2D D3 EC 04 0B 3B 4B 44 FF F0 0D 6E EF 60 0D 60 EF E2 8D D3 EC 04 0B 35 4B 48 FF F8 4D 40 FF F4 0D 40 FF F8 0D 40 EF E8 6D D3 EC 04 0B 2F 4B 40 FF F4 2D D3 EC 04 0B 2B 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 27 4B 42 EF E0 2D D3 EC 04 0B 20 FF F8 AE DD EC 04 0B 2A EF 5A 81 18 FF F6 81 10 FF F2 A1 ?? ?? ?? ?? 60 EF 5C 88 F9 FF C8 07 FB FF 4A 25 1A 4B 68 EF F8 61 50 FF D8 61 4A EF 72 0F 42 FF F0 2D 4A EF 72 0F 42 FF F0 0D FB FF 66 25 46 FF F0 4D 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 4A FF 70 0D 50 FF F4 81 0D F1 10 0C DC EC 04 4B D3 EC 04 0B 08 4B 44 EF E4 2E 04 EF E0 0E D3 EC 04 0B 58 FF F4 21 10 FF F2 01 08 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 83 F9 22 3F }
	condition:
		$1
}

rule file_148_1_0 {
	meta:
		name = "??$tan_impl@$0A@@?$VTan@M@@CA?AT__n128@@T1@0@Z"
		size = 380
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00d8 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0150 ?ind@?$VectorOp@M@@2T__n128@@B 0154 ?inf@?$VectorOp@M@@2T__n128@@B 0158 ?eps@?$VTan@M@@0T__n128@@B 015c ?q0@?$VTan@M@@0T__n128@@B 0160 ?q1@?$VTan@M@@0T__n128@@B 0164 ?q2@?$VTan@M@@0T__n128@@B 0168 ?p1@?$VTan@M@@0T__n128@@B 016c ?c1@?$VTan@M@@0T__n128@@B 0170 ?c2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 88 B0 20 EF 50 E1 9F ED 59 0A 0D F1 10 0C 8C EC 04 2B ?? ?? ?? ?? 20 EF 50 81 B7 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 9F ED 50 0A CD EC 04 0B 0E FF 58 CD ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C CE FB FF 60 27 44 4B 01 20 F9 FF E2 03 10 FF F2 C1 D3 EC 04 0B 3F 4B FB FF 4C 46 44 FF F0 2D D3 EC 04 0B 3B 4B 44 FF F0 0D 6E EF 60 0D 60 EF E2 8D D3 EC 04 0B 35 4B 48 FF F8 4D 40 FF F4 0D 40 FF F8 0D 40 EF E8 6D D3 EC 04 0B 2F 4B 40 FF F4 2D D3 EC 04 0B 2B 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 27 4B 42 EF E0 2D D3 EC 04 0B 20 FF F8 AE DD EC 04 0B 2A EF 5A 81 18 FF F6 81 10 FF F2 A1 ?? ?? ?? ?? 60 EF 5C 88 F9 FF C8 07 68 EF F8 61 50 FF D8 61 19 4B FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D FB FF 4A 25 4A FF 70 4D 4A EF 72 0F 42 FF F0 2D 4A EF 72 0F 42 FF F0 0D 46 FF F0 0D 50 FF F4 81 0D F1 10 0C DC EC 04 4B D3 EC 04 0B 08 4B 44 EF E4 2E 04 EF E0 0E D3 EC 04 0B 58 FF F4 21 10 FF F2 01 08 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 83 F9 22 3F }
	condition:
		$1
}

rule file_148_2_0 {
	meta:
		name = "??__E?c1@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?c1@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 C9 3F }
	condition:
		$1
}

rule file_148_3_0 {
	meta:
		name = "??__E?c1@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?c1@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 22 F9 3F }
	condition:
		$1
}

rule file_148_4_0 {
	meta:
		name = "??__E?c2@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?c2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 22 AA FD 39 }
	condition:
		$1
}

rule file_148_5_0 {
	meta:
		name = "??__E?c2@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?c2@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9E E5 9E 4B EF AE D2 BE }
	condition:
		$1
}

rule file_148_6_0 {
	meta:
		name = "??__E?eps1@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps1@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 00 }
	condition:
		$1
}

rule file_148_7_0 {
	meta:
		name = "??__E?eps1@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps1@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 6F 28 F4 18 66 1C 73 C0 }
	condition:
		$1
}

rule file_148_24_0 {
	meta:
		name = "??__E?p1@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B8 33 C4 BD }
	condition:
		$1
}

rule file_148_25_0 {
	meta:
		name = "??__E?p1@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 09 4D E5 B5 12 C1 BF }
	condition:
		$1
}

rule file_148_27_0 {
	meta:
		name = "??__E?p2@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? DF AA 3B A6 82 0E 6C 3F }
	condition:
		$1
}

rule file_148_29_0 {
	meta:
		name = "??__E?p3@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 24 C7 A2 2E B7 BA F2 BE }
	condition:
		$1
}

rule file_148_32_0 {
	meta:
		name = "??__E?q1@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? AF B7 DB BE }
	condition:
		$1
}

rule file_148_33_0 {
	meta:
		name = "??__E?q1@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D5 D9 FB 47 B0 DE DD BF }
	condition:
		$1
}

rule file_148_34_0 {
	meta:
		name = "??__E?q2@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 75 33 1F 3C }
	condition:
		$1
}

rule file_148_35_0 {
	meta:
		name = "??__E?q2@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 59 21 7E A1 9E 47 9A 3F }
	condition:
		$1
}

rule file_148_37_0 {
	meta:
		name = "??__E?q3@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 41 48 09 99 64 6F 34 BF }
	condition:
		$1
}

rule file_148_39_0 {
	meta:
		name = "??__E?q4@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q4@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? E9 78 76 F0 74 B7 A0 3E }
	condition:
		$1
}

rule file_148_40_0 {
	meta:
		name = "??__E?ymax@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?ymax@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 08 C9 45 }
	condition:
		$1
}

rule file_148_41_0 {
	meta:
		name = "??__E?ymax@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?ymax@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 54 FB 21 99 41 }
	condition:
		$1
}

rule file_148_49_0 {
	meta:
		name = "?cotan@?$VTan@M@@SA?AT__n128@@T2@@Z"
		size = 428
		refs = "0026 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00de ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 017c ?eps1@?$VTan@M@@0T__n128@@B 0180 ?ind@?$VectorOp@M@@2T__n128@@B 0184 ?inf@?$VectorOp@M@@2T__n128@@B 0188 ?eps@?$VTan@M@@0T__n128@@B 018c ?q0@?$VTan@M@@0T__n128@@B 0190 ?q1@?$VTan@M@@0T__n128@@B 0194 ?q2@?$VTan@M@@0T__n128@@B 0198 ?p1@?$VTan@M@@0T__n128@@B 019c ?c1@?$VTan@M@@0T__n128@@B 01a0 ?c2@?$VTan@M@@0T__n128@@B"
		altNames = "__vdecl_cotanf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 89 B0 20 EF 50 A1 9F ED 65 0A F9 FF 4A 07 8D EC 04 AB 0D F1 10 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 81 B7 EE 00 0A ?? ?? ?? ?? 20 EF 50 E1 9F ED 5A 0A 0A FF 58 CD ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C CE FB FF 60 27 4F 4B 01 20 F9 FF E2 03 10 FF F2 C1 D3 EC 04 0B 4A 4B FB FF 4C 46 44 FF F0 2D D3 EC 04 0B 45 4B 44 FF F0 0D DD EC 04 4B 64 EF E0 0D 60 EF E2 8D D3 EC 04 0B 3F 4B 48 FF F8 4D 40 FF F4 0D 40 FF F8 0D 40 EF E8 6D D3 EC 04 0B 38 4B 40 FF F4 2D D3 EC 04 0B 35 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 30 4B 42 EF E0 2D D3 EC 04 0B 20 FF F8 AE 2A EF 5A 81 18 FF F6 81 1E FF 72 A1 ?? ?? ?? ?? 60 EF 5C 88 F9 FF C8 07 68 EF F8 61 50 FF D8 61 24 4C 22 4B FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D FB FF 4A 25 4A FF 70 4D 4A EF 72 0F 42 FF F0 2D 4A EF 72 0F 0D F1 10 0C 9C EC 04 AB 42 FF F0 0D 4A EF 4A 2E 46 FF F0 0D 50 FF F4 81 D4 EC 04 0B 58 FF DA 21 0A EF 60 8E D3 EC 04 0B 4F F0 00 40 10 FF F2 81 ?? ?? ?? ?? DD EC 04 0B 09 4B 40 EF 70 21 D4 EC 04 0B 62 EF F0 21 D3 EC 04 0B 20 FF CA 0E 12 FF D8 01 09 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 83 F9 22 3F }
	condition:
		$1
}

rule file_148_64_0 {
	meta:
		name = "?intrnd@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 72
		refs = "0012 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 0C 8B 20 EF 50 C1 9F ED 0D 0A ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C 0E FB FF 60 27 F9 FF E2 03 10 FF F2 01 BD EC 0C 8B BD E8 00 88 FE DE 00 00 00 00 }
	condition:
		$1
}

rule file_148_65_0 {
	meta:
		name = "?intrnd_posonly@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 38
		refs = "0012 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 04 8B 20 EF 50 81 B6 EE 00 0A ?? ?? ?? ?? 48 EF 40 0D BB FF 60 07 BD EC 04 8B BD E8 00 88 }
	condition:
		$1
}

rule file_148_73_0 {
	meta:
		name = "?tan@?$VTan@M@@SA?AT__n128@@T2@@Z"
		size = 368
		refs = "0014 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00d0 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0144 ?ind@?$VectorOp@M@@2T__n128@@B 0148 ?inf@?$VectorOp@M@@2T__n128@@B 014c ?eps@?$VTan@M@@0T__n128@@B 0150 ?q0@?$VTan@M@@0T__n128@@B 0154 ?q1@?$VTan@M@@0T__n128@@B 0158 ?q2@?$VTan@M@@0T__n128@@B 015c ?p1@?$VTan@M@@0T__n128@@B 0160 ?c1@?$VTan@M@@0T__n128@@B 0164 ?c2@?$VTan@M@@0T__n128@@B"
		altNames = "__vdecl_tanf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 84 B0 20 EF 50 E1 9F ED 56 0A ?? ?? ?? ?? 20 EF 50 81 B7 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 9F ED 4F 0A CD EC 04 0B 0E FF 58 CD ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C CE FB FF 60 27 43 4B 01 20 F9 FF E2 03 10 FF F2 C1 D3 EC 04 0B 3E 4B FB FF 4C 46 44 FF F0 2D D3 EC 04 0B 3A 4B 44 FF F0 0D 6E EF 60 0D 60 EF E2 8D D3 EC 04 0B 34 4B 48 FF F8 4D 40 FF F4 0D 40 FF F8 0D 40 EF E8 6D D3 EC 04 0B 2E 4B 40 FF F4 2D D3 EC 04 0B 2A 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 26 4B 42 EF E0 2D D3 EC 04 0B 20 FF F8 AE DD EC 04 0B 2A EF 5A 81 18 FF F6 81 10 FF F2 A1 ?? ?? ?? ?? 60 EF 5C 88 F9 FF C8 07 FB FF 4A 25 19 4B 68 EF F8 61 50 FF D8 61 4A EF 72 0F 42 FF F0 2D 4A EF 72 0F 42 FF F0 0D FB FF 66 25 46 FF F0 4D 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 4A FF 70 0D 50 FF F4 81 F9 FF 4E 47 D3 EC 04 0B 08 4B 44 EF E4 2E 04 EF E0 0E D3 EC 04 0B 58 FF F4 21 10 FF F2 01 04 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 83 F9 22 3F }
	condition:
		$1
}

rule file_151_2_0 {
	meta:
		name = "_RTC_GetErrDesc"
		size = 32
		refs = "000a ?_RTC_errlist@@3QBQBDB"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 28 07 D8 ?? ?? ?? ?? C0 F2 00 03 53 F8 20 00 BD E8 00 88 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_151_4_0 {
	meta:
		name = "_RTC_SetErrorFunc"
		size = 28
		refs = "0006 ?_RTC_ErrorReportFunc@@3P6AHHPBDH00ZZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? C0 F2 00 02 03 46 10 68 13 60 00 23 53 60 BD E8 00 88 }
	condition:
		$1
}

rule file_151_5_0 {
	meta:
		name = "_RTC_SetErrorFuncW"
		size = 28
		refs = "0006 ?_RTC_ErrorReportFunc@@3P6AHHPBDH00ZZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? C0 F2 00 02 03 46 50 68 53 60 00 23 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_151_6_0 {
	meta:
		name = "_RTC_SetErrorType"
		size = 40
		refs = "000c ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 04 2A 09 D8 ?? ?? ?? ?? C0 F2 00 03 53 F8 20 00 43 F8 22 10 BD E8 00 88 6F F0 00 00 BD E8 00 88 }
	condition:
		$1
}

rule file_153_0_0 {
	meta:
		name = "??__E?c1@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?c1@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 10 49 40 }
	condition:
		$1
}

rule file_153_1_0 {
	meta:
		name = "??__E?c1@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?c1@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 22 09 40 }
	condition:
		$1
}

rule file_153_2_0 {
	meta:
		name = "??__E?c2@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?c2@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7A 77 15 B7 }
	condition:
		$1
}

rule file_153_3_0 {
	meta:
		name = "??__E?c2@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?c2@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9E E5 9E 4B EF AE E2 BE }
	condition:
		$1
}

rule file_153_5_0 {
	meta:
		name = "??__E?eps@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CD 3B 7F 66 9E A0 46 3E }
	condition:
		$1
}

rule file_153_10_0 {
	meta:
		name = "??__E?half@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?half@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_200_31_0 {
	meta:
		name = "??__E?q0@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_11_0 {
	meta:
		name = "??__E?half@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?half@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_200_32_0 {
	meta:
		name = "??__E?q0@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_22_0 {
	meta:
		name = "??__E?r1@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r1@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A4 AA 2A BE }
	condition:
		$1
}

rule file_153_23_0 {
	meta:
		name = "??__E?r1@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r1@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 55 55 55 55 55 55 C5 BF }
	condition:
		$1
}

rule file_153_24_0 {
	meta:
		name = "??__E?r2@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r2@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 3E 87 08 3C }
	condition:
		$1
}

rule file_153_25_0 {
	meta:
		name = "??__E?r2@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r2@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B0 10 11 11 11 11 81 3F }
	condition:
		$1
}

rule file_153_26_0 {
	meta:
		name = "??__E?r3@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r3@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 22 B2 4F B9 }
	condition:
		$1
}

rule file_153_27_0 {
	meta:
		name = "??__E?r3@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r3@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1A 3E 01 1A A0 01 2A BF }
	condition:
		$1
}

rule file_153_28_0 {
	meta:
		name = "??__E?r4@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r4@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 5B 9C 2E 36 }
	condition:
		$1
}

rule file_153_29_0 {
	meta:
		name = "??__E?r4@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r4@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 63 F0 24 A5 E3 1D C7 3E }
	condition:
		$1
}

rule file_153_31_0 {
	meta:
		name = "??__E?r5@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r5@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? AB C0 5D 4B 45 E6 5A BE }
	condition:
		$1
}

rule file_153_33_0 {
	meta:
		name = "??__E?r6@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r6@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 30 D4 6A 68 3C 12 E6 3D }
	condition:
		$1
}

rule file_153_35_0 {
	meta:
		name = "??__E?r7@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r7@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9C 49 08 DC 20 E4 6A BD }
	condition:
		$1
}

rule file_153_37_0 {
	meta:
		name = "??__E?r8@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r8@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 95 DF 93 69 FF 80 E8 3C }
	condition:
		$1
}

rule file_153_38_0 {
	meta:
		name = "??__E?sign_mask@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?sign_mask@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 00 40 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_39_0 {
	meta:
		name = "??__E?sign_mask@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000c ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 001c ?sign_mask@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 00 61 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_40_0 {
	meta:
		name = "??__E?ymax@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?ymax@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? DB 0F 49 46 }
	condition:
		$1
}

rule file_153_41_0 {
	meta:
		name = "??__E?ymax@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?ymax@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? E1 62 DD 1A 83 C5 B1 41 }
	condition:
		$1
}

rule file_153_48_0 {
	meta:
		name = "?cos@?$VSin@M@@SA?AT__n128@@T2@@Z"
		size = 328
		refs = "0016 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0058 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0114 ?ind@?$VectorOp@M@@2T__n128@@B 0118 ?inf@?$VectorOp@M@@2T__n128@@B 011c ?eps@?$VSin@M@@0T__n128@@B 0120 ?r1@?$VSin@M@@0T__n128@@B 0124 ?r2@?$VSin@M@@0T__n128@@B 0128 ?r3@?$VSin@M@@0T__n128@@B 012c ?r4@?$VSin@M@@0T__n128@@B 0130 ?c1@?$VSin@M@@0T__n128@@B 0134 ?c2@?$VSin@M@@0T__n128@@B 0138 ?half@?$VSin@M@@0T__n128@@B 0140 ?one@?$VSin@M@@0T__n128@@B"
		altNames = "__vdecl_cosf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 89 B0 20 EF 50 81 9F ED 4C 0A ?? ?? ?? ?? F9 FF 48 07 48 4B 00 EF C0 8D 9F ED 45 0A 93 EC 04 EB 0D F1 10 0C 8C EC 04 8B CD EC 04 0B ?? ?? ?? ?? 3E 4C 48 FF 50 2D 01 20 D4 EC 04 0B B9 FF CE 87 42 EF E0 0D BB FF 60 A7 BB FF 4A C6 ?? ?? ?? ?? D4 EC 04 0B DD EC 04 6B 0D F1 10 0C DC EC 04 AB 31 4B 6C EF 60 0D 46 EF EA 4E 60 EF 5A 88 5C FF 70 41 58 FF 5E 81 D3 EC 04 0B 2A 4B 44 FF F0 2D D3 EC 04 0B 26 4B 44 FF F0 0D 66 EF E0 0D 60 EF E2 6D D3 EC 04 0B 21 4B 46 FF F6 4D 40 FF F4 2D D3 EC 04 0B 1C 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 18 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 13 4B 42 EF E0 0D 40 FF F4 0D 46 FF F0 0D 46 EF E0 2D D3 EC 04 0B 0D 4B 60 FF F6 0E 56 FF F2 01 4A EF EA 2E 40 FF F8 0D 50 FF FA 21 D3 EC 04 0B 05 4B 0A EF E0 0E D3 EC 04 0B 10 FF F2 01 09 B0 BD EC 10 8B BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F9 A2 3E ?? ?? ?? ?? DB 0F C9 3F }
	condition:
		$1
}

rule file_153_65_0 {
	meta:
		name = "?sin@?$VSin@M@@SA?AT__n128@@T2@@Z"
		size = 312
		refs = "002e ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 004e ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0104 ?ind@?$VectorOp@M@@2T__n128@@B 0108 ?inf@?$VectorOp@M@@2T__n128@@B 010c ?eps@?$VSin@M@@0T__n128@@B 0110 ?r1@?$VSin@M@@0T__n128@@B 0114 ?r2@?$VSin@M@@0T__n128@@B 0118 ?r3@?$VSin@M@@0T__n128@@B 011c ?r4@?$VSin@M@@0T__n128@@B 0120 ?c1@?$VSin@M@@0T__n128@@B 0124 ?c2@?$VSin@M@@0T__n128@@B 0128 ?half@?$VSin@M@@0T__n128@@B 0130 ?one@?$VSin@M@@0T__n128@@B 0134 ?sign_mask@?$VSin@M@@0T__n128@@B"
		altNames = "__vdecl_sinf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 85 B0 49 4B B9 FF 40 87 D3 EC 04 0B 45 4B 8D EC 04 8B 40 EF 70 21 D3 EC 04 0B 9F ED 41 0A 22 EF F0 E1 ?? ?? ?? ?? 3D 4C 48 FF 50 2D 01 20 D4 EC 04 0B B9 FF CE 87 42 EF E0 0D BB FF 60 A7 BB FF 4A C6 ?? ?? ?? ?? D4 EC 04 0B DD EC 04 AB 32 4B 6C EF 60 0D 4A EF EA 4E 60 EF 5A 88 5C FF 70 41 58 FF 5E 81 D3 EC 04 0B 2A 4B 44 FF F0 2D D3 EC 04 0B 27 4B 44 FF F0 0D 6A EF E0 0D 60 EF E2 6D D3 EC 04 0B 21 4B 46 FF F6 4D 40 FF F4 2D D3 EC 04 0B 1D 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 18 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 14 4B 42 EF E0 0D 40 FF F4 0D 46 FF F0 0D 46 EF E0 2D D3 EC 04 0B 0D 4B 60 FF F6 0E 56 FF F2 01 4A EF EA 2E 40 FF F8 0D 50 FF FA 21 D3 EC 04 0B 06 4B 0A EF E0 0E D3 EC 04 0B 10 FF F2 01 05 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F9 A2 3E ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_66_0 {
	meta:
		name = "?sincos@?$VSin@M@@CA?AT__n128@@T2@00@Z"
		size = 312
		refs = "0026 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 004e ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 010c ?ind@?$VectorOp@M@@2T__n128@@B 0110 ?inf@?$VectorOp@M@@2T__n128@@B 0114 ?eps@?$VSin@M@@0T__n128@@B 0118 ?r1@?$VSin@M@@0T__n128@@B 011c ?r2@?$VSin@M@@0T__n128@@B 0120 ?r3@?$VSin@M@@0T__n128@@B 0124 ?r4@?$VSin@M@@0T__n128@@B 0128 ?c1@?$VSin@M@@0T__n128@@B 012c ?c2@?$VSin@M@@0T__n128@@B 0130 ?half@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 89 B0 20 EF 50 81 9F ED 48 0A 22 EF 52 A1 24 EF 54 E1 0D F1 10 0C 8C EC 04 AB ?? ?? ?? ?? 41 4C 4A FF 50 2D 01 20 D4 EC 04 0B 42 EF E0 0D BB FF 60 A7 F9 FF 48 07 BB FF 4A C6 B9 FF CE 87 CD EC 04 0B ?? ?? ?? ?? 60 EF 5A 88 D4 EC 04 0B DD EC 04 6B 0D F1 10 0C DC EC 04 AB 31 4B 6C EF 60 0D 46 EF EA 4E 58 FF 5E 81 5C FF 70 41 D3 EC 04 0B 2A 4B 44 FF F0 2D D3 EC 04 0B 27 4B 44 FF F0 0D 66 EF E0 0D 60 EF E2 6D D3 EC 04 0B 21 4B 46 FF F6 4D 40 FF F4 2D D3 EC 04 0B 1D 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 18 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 14 4B 42 EF E0 0D 40 FF F4 0D 46 FF F0 0D 46 EF E0 2D D3 EC 04 0B 0D 4B 60 FF F6 0E 56 FF F2 01 4A EF EA 2E 40 FF F8 0D 50 FF FA 21 D3 EC 04 0B 06 4B 0A EF E0 0E D3 EC 04 0B 10 FF F2 01 09 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F9 A2 3E }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "_get_startup_file_mode"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 4F F4 80 43 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_160_0_0 {
	meta:
		name = "??3@YAXPAX@Z"
		size = 26
		refs = "000e _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 6F F0 00 01 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_163_0_0 {
	meta:
		name = "__rt_srsh"
		size = 58
	strings:
		$1 = { 00 2A 08 BF 70 47 20 2A 0C DB 40 2A 03 DB 4F EA 21 01 08 46 70 47 02 F0 1F 02 41 FA 02 F0 4F EA 21 01 70 47 20 FA 02 F0 C2 F1 20 03 01 FA 03 F3 40 EA 03 00 41 FA 02 F1 70 47 }
	condition:
		$1
}

rule file_170_1_0 {
	meta:
		name = "?__scrt_uninitialize_type_info@@YAXXZ"
		size = 20
		refs = "0008 __std_type_info_destroy_list 0010 ?__type_info_root_node@@3U__type_info_node@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1304_6_6 {
	meta:
		name = "??__E_Fac_tidy_reg@std@@YAXXZ"
		size = 20
		refs = "0008 atexit 0010 ??__F_Fac_tidy_reg@std@@YAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_1_2 {
	meta:
		name = "??__Einit_atexit@@YAXXZ"
		size = 20
		refs = "0008 atexit 0010 ??__Finit_atexit@@YAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_164_1 {
	meta:
		name = "??__Einit_cerr@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_cerr@std@@QAA@XZ 0010 ?init_cerr@std@@3U_Init_cerr@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_190_2 {
	meta:
		name = "??__Einit_cin@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_cin@std@@QAA@XZ 0010 ?init_cin@std@@3U_Init_cin@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_96_164_1 {
	meta:
		name = "??__Einit_clog@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_clog@std@@QAA@XZ 0010 ?init_clog@std@@3U_Init_clog@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_164_1 {
	meta:
		name = "??__Einit_cout@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_cout@std@@QAA@XZ 0010 ?init_cout@std@@3U_Init_cout@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_160_1 {
	meta:
		name = "??__Einit_ushcerr@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_ushcerr@std@@QAA@XZ 0010 ?init_ushcerr@std@@3U_Init_ushcerr@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_206_3 {
	meta:
		name = "??__Einit_ushcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_ushcin@std@@QAA@XZ 0010 ?init_ushcin@std@@3U_Init_ushcin@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_206_3 {
	meta:
		name = "??__Einit_ushclog@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_ushclog@std@@QAA@XZ 0010 ?init_ushclog@std@@3U_Init_ushclog@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_160_1 {
	meta:
		name = "??__Einit_ushcout@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_ushcout@std@@QAA@XZ 0010 ?init_ushcout@std@@3U_Init_ushcout@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_160_1 {
	meta:
		name = "??__Einit_wcerr@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_wcerr@std@@QAA@XZ 0010 ?init_wcerr@std@@3U_Init_wcerr@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_186_2 {
	meta:
		name = "??__Einit_wcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_wcin@std@@QAA@XZ 0010 ?init_wcin@std@@3U_Init_wcin@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_160_1 {
	meta:
		name = "??__Einit_wclog@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_wclog@std@@QAA@XZ 0010 ?init_wclog@std@@3U_Init_wclog@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_160_1 {
	meta:
		name = "??__Einit_wcout@std@@YAXXZ"
		size = 20
		refs = "0008 ??0_Init_wcout@std@@QAA@XZ 0010 ?init_wcout@std@@3U_Init_wcout@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_71_2 {
	meta:
		name = "??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ"
		size = 20
		refs = "0008 ??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ 0010 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_39_1 {
	meta:
		name = "??__F_Fac_tidy_reg@std@@YAXXZ"
		size = 20
		refs = "0008 ??1_Fac_tidy_reg_t@std@@QAA@XZ 0010 ?_Fac_tidy_reg@std@@3U_Fac_tidy_reg_t@1@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_91_1 {
	meta:
		name = "??__F_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ@YAXXZ"
		size = 20
		refs = "0008 ??1?$_Immortalizer@V_Generic_error_category@std@@@std@@QAA@XZ 0010 ?_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@1@XZ@4U?$_Immortalizer@V_Generic_error_category@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_199_3 {
	meta:
		name = "??__F_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ@YAXXZ"
		size = 20
		refs = "0008 ??1?$_Immortalizer@V_Iostream_error_category@std@@@std@@QAA@XZ 0010 ?_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@1@XZ@4U?$_Immortalizer@V_Iostream_error_category@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_92_1 {
	meta:
		name = "??__F_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ@YAXXZ"
		size = 20
		refs = "0008 ??1?$_Immortalizer@V_System_error_category@std@@@std@@QAA@XZ 0010 ?_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@1@XZ@4U?$_Immortalizer@V_System_error_category@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_167_1 {
	meta:
		name = "??__Fcerr@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ 0010 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_167_1 {
	meta:
		name = "??__Fcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QAAXXZ 0010 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_40_1 {
	meta:
		name = "??__Fclassic_locale@std@@YAXXZ"
		size = 20
		refs = "0008 ??1locale@std@@QAA@XZ 0010 ?classic_locale@std@@3Vlocale@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_54_193_2 {
	meta:
		name = "??__Fclog@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ 0010 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_193_2 {
	meta:
		name = "??__Fcout@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ 0010 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_78_194_2 {
	meta:
		name = "??__Fferr@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0010 ?ferr@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_201_3 {
	meta:
		name = "??__Ffin@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0010 ?fin@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_54_194_2 {
	meta:
		name = "??__Fflog@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0010 ?flog@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_168_1 {
	meta:
		name = "??__Ffout@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0010 ?fout@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_3_3 {
	meta:
		name = "??__Finit_atexit@@YAXXZ"
		size = 20
		refs = "0008 ??1_Init_atexit@@QAA@XZ 0010 ?init_atexit@@3U_Init_atexit@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_202_3 {
	meta:
		name = "??__Finitlocks@@YAXXZ"
		size = 20
		refs = "0008 ??1_Init_locks@std@@QAA@XZ 0010 ?initlocks@@3V_Init_locks@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_4_2 {
	meta:
		name = "??__Finitlocks@std@@YAXXZ"
		size = 20
		refs = "0008 ??1_Init_locks@std@@QAA@XZ 0010 ?initlocks@std@@3V_Init_locks@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_166_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0010 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_192_2 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ 0010 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_192_2 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0010 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_166_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ 0010 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_192_2 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QAAXXZ 0010 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_166_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0010 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_212_3 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QAAXXZ 0010 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_192_2 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0010 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_166_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QAAXXZ 0010 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_212_3 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0010 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_166_1 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0010 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_192_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ 0010 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_212_3 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0010 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_212_3 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ 0010 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_166_1 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 20
		refs = "0008 ??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0010 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_193_2 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_213_3 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_213_3 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_193_2 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_167_1 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_167_1 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_193_2 {
	meta:
		name = "??__Fwfin@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_213_3 {
	meta:
		name = "??__Fwfin@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_213_3 {
	meta:
		name = "??__Fwfin@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_193_2 {
	meta:
		name = "??__Fwfin@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_167_1 {
	meta:
		name = "??__Fwfin@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_193_2 {
	meta:
		name = "??__Fwflog@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_193_2 {
	meta:
		name = "??__Fwflog@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_213_3 {
	meta:
		name = "??__Fwflog@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_167_1 {
	meta:
		name = "??__Fwflog@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_193_2 {
	meta:
		name = "??__Fwfout@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_193_2 {
	meta:
		name = "??__Fwfout@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_213_3 {
	meta:
		name = "??__Fwfout@std@@YAXXZ"
		size = 20
		refs = "0008 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_176_2_0 {
	meta:
		name = "_RTC_InitBase"
		size = 48
		refs = "0008 ?init@?1??_RTC_InitBase@@9@4_NA 0024 _CRT_RTC_INITW 0028 _RTC_SetErrorFuncW"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B ?? ?? ?? ?? C0 F2 00 02 13 78 5B B9 01 23 13 70 00 23 00 93 01 23 00 22 00 21 00 20 ?? ?? ?? ?? ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_176_3_0 {
	meta:
		name = "_RTC_Shutdown"
		size = 26
		refs = "0012 _CRT_RTC_INITW"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 01 23 00 22 00 21 00 20 00 93 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_178_0_0 {
	meta:
		name = "_guard_check_icall_nop"
		size = 16
		altNames = "??$destroy@PAD@?$allocator@D@std@@QAAXPAPAD@Z ??$destroy@PAG@?$allocator@G@std@@QAAXPAPAG@Z ??$destroy@PA_W@?$allocator@_W@std@@QAAXPAPA_W@Z ??$destroy@U_Container_proxy@std@@@?$allocator@U_Container_proxy@std@@@std@@QAAXPAU_Container_proxy@1@@Z ??1?$_Immortalizer@V_Generic_error_category@std@@@std@@QAA@XZ ??1?$_Immortalizer@V_Iostream_error_category@std@@@std@@QAA@XZ ??1?$_Immortalizer@V_System_error_category@std@@@std@@QAA@XZ ??1_Bxty@?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ ??1_Bxty@?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ ??1_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ ??1_Iterator_base12@std@@QAA@XZ ??3@YAXPAX0@Z ?ReportUnhandledError@_ExceptionHolder@details@Concurrency@@AAAXXZ ?_Adopt@_Iterator_base0@std@@QAAXPBX@Z ?_Assign@_ContextCallback@details@Concurrency@@AAAXPAX@Z ?_Capture@_ContextCallback@details@Concurrency@@AAAXXZ ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAXABV12@@Z ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAXABV12@@Z ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAXABV12@@Z ?_Deprecate@_Unchecked_iterators@?1???$copy@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@PAD0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z ?_Deprecate@_Unchecked_iterators@?1???$copy@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@PA_W0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z ?_Deprecate@_Unchecked_iterators@?1???$copy@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@PA_W0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z ?_Enable_shared@std@@YAXPDX0@Z ?_Init@?$codecvt@DDU_Mbstatet@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$messages@D@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$messages@G@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$messages@_W@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z ?_Lock@?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAAXXZ ?_Lock@?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAAXXZ ?_Lock@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAAXXZ ?_LogCancelTask@_TaskEventLogger@details@Concurrency@@QAAXXZ ?_LogScheduleTask@_TaskEventLogger@details@Concurrency@@QAAX_N@Z ?_LogTaskCompleted@_TaskEventLogger@details@Concurrency@@QAAXXZ ?_LogTaskExecutionCompleted@_TaskEventLogger@details@Concurrency@@QAAXXZ ?_LogWorkItemCompleted@_TaskEventLogger@details@Concurrency@@QAAXXZ ?_LogWorkItemStarted@_TaskEventLogger@details@Concurrency@@QAAXXZ ?_Orphan_all@_Container_base12@std@@QAAXXZ ?_Reset@_ContextCallback@details@Concurrency@@AAAXXZ ?_Swap_all@_Container_base0@std@@QAAXAAU12@@Z ?_Unlock@?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAAXXZ ?_Unlock@?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAAXXZ ?_Unlock@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAAXXZ ?__empty_global_delete@@YAXPAX@Z ?__empty_global_delete@@YAXPAXI@Z ?destroy@stl_condition_variable_vista@details@Concurrency@@UAAXXZ ?destroy@stl_condition_variable_win7@details@Concurrency@@UAAXXZ ?destroy@stl_critical_section_win7@details@Concurrency@@UAAXXZ ?do_close@?$messages@D@std@@MBAXH@Z ?do_close@?$messages@G@std@@MBAXH@Z ?do_close@?$messages@_W@std@@MBAXH@Z ?imbue@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAAXABVlocale@2@@Z ?imbue@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAAXABVlocale@2@@Z ?imbue@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAAXABVlocale@2@@Z __telemetry_main_invoke_trigger __telemetry_main_return_trigger __vcrt_uninitialize_winapi_thunks"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_178_1_0 {
	meta:
		name = "_guard_icall_checks_enforced"
		size = 56
		refs = "0030 _guard_check_icall_nop 0034 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 0A 4B 1B 68 01 93 BF F3 5B 8F 01 9A 06 4B 9A 42 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B 02 93 02 98 04 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "__scrt_is_user_matherr_present"
		size = 44
		refs = "0028 __scrt_default_matherr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_7_0 {
	meta:
		name = "?get_app_type@__scrt_winmain_policy@@SA?AW4_crt_app_type@@XZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_183_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 56
		refs = "0008 __scrt_get_show_window_mode 0010 _get_wide_winmain_command_line 0020 wWinMain 0034 __ImageBase"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? AD F8 00 00 ?? ?? ?? ?? 01 90 BD F8 00 30 01 9A 00 21 05 48 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 56
		refs = "0008 __scrt_get_show_window_mode 0010 _get_narrow_winmain_command_line 0020 WinMain 0034 __ImageBase"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? AD F8 00 00 ?? ?? ?? ?? 01 90 BD F8 00 30 01 9A 00 21 05 48 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_0_0 {
	meta:
		name = "DllMain"
		size = 26
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 01 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_192_0_0 {
	meta:
		name = "__security_check_cookie"
		size = 20
		refs = "0010 __security_cookie"
	strings:
		$1 = { DF F8 0C C0 DC F8 00 C0 60 45 03 D1 70 47 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_0_0 {
	meta:
		name = "_RTC_Check_2_to_1"
		size = 42
		refs = "001a ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 10 F4 7F 43 09 D0 B3 F5 7F 4F 03 D0 03 98 01 21 ?? ?? ?? ?? 60 B2 BD E8 18 88 60 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_199_1_0 {
	meta:
		name = "_RTC_Check_4_to_1"
		size = 42
		refs = "001a ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 30 F0 FF 03 09 D0 13 F5 80 7F 03 D0 03 98 01 21 ?? ?? ?? ?? 60 B2 BD E8 18 88 60 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_199_2_0 {
	meta:
		name = "_RTC_Check_4_to_2"
		size = 44
		refs = "001c ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 46 6F F3 0F 03 04 46 4B B1 13 F5 80 3F 03 D0 03 98 01 21 ?? ?? ?? ?? 20 B2 BD E8 18 88 20 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_199_3_0 {
	meta:
		name = "_RTC_Check_8_to_1"
		size = 52
		refs = "0024 ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 20 F0 FF 02 52 EA 01 03 04 46 0C D0 12 F5 80 7F 02 D1 B1 F1 FF 3F 03 D0 03 98 01 21 ?? ?? ?? ?? 60 B2 BD E8 18 88 60 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_199_4_0 {
	meta:
		name = "_RTC_Check_8_to_2"
		size = 54
		refs = "0026 ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 02 46 6F F3 0F 02 52 EA 01 03 04 46 0C D0 12 F5 80 3F 02 D1 B1 F1 FF 3F 03 D0 03 98 01 21 ?? ?? ?? ?? 20 B2 BD E8 18 88 20 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_199_5_0 {
	meta:
		name = "_RTC_Check_8_to_4"
		size = 40
		refs = "0018 ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0B 00 09 D0 B1 F1 FF 3F 03 D0 03 98 01 21 ?? ?? ?? ?? 20 46 BD E8 18 88 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_200_7_0 {
	meta:
		name = "??__E?eps@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 33 }
	condition:
		$1
}

rule file_200_8_0 {
	meta:
		name = "??__E?eps@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 90 3C }
	condition:
		$1
}

rule file_200_17_0 {
	meta:
		name = "??__E?inv_ln2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?inv_ln2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 3B AA B8 3F }
	condition:
		$1
}

rule file_200_18_0 {
	meta:
		name = "??__E?inv_ln2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?inv_ln2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? FE 82 2B 65 47 15 F7 3F }
	condition:
		$1
}

rule file_200_19_0 {
	meta:
		name = "??__E?ln2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?ln2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 18 72 31 3F }
	condition:
		$1
}

rule file_200_25_0 {
	meta:
		name = "??__E?p0@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B5 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_200_26_0 {
	meta:
		name = "??__E?p0@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 82 25 B6 FE FF FF CF 3F }
	condition:
		$1
}

rule file_200_27_0 {
	meta:
		name = "??__E?p1@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 08 53 88 3B }
	condition:
		$1
}

rule file_200_28_0 {
	meta:
		name = "??__E?p1@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? E0 F6 B3 6F E4 70 7C 3F }
	condition:
		$1
}

rule file_200_30_0 {
	meta:
		name = "??__E?p2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1C DC 58 6F A4 52 F1 3E }
	condition:
		$1
}

rule file_200_33_0 {
	meta:
		name = "??__E?q1@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 5B BF 4C 3D }
	condition:
		$1
}

rule file_200_34_0 {
	meta:
		name = "??__E?q1@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B3 51 42 71 8E 71 AC 3F }
	condition:
		$1
}

rule file_200_36_0 {
	meta:
		name = "??__E?q2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 09 38 DE 6F 99 3F 40 3F }
	condition:
		$1
}

rule file_200_37_0 {
	meta:
		name = "??__E?smallx@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?smallx@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 50 AC AE C2 }
	condition:
		$1
}

rule file_200_38_0 {
	meta:
		name = "??__E?smallx@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?smallx@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D2 BC 7A DD 2B 23 86 C0 }
	condition:
		$1
}

rule file_200_60_0 {
	meta:
		name = "?exp@?$VExp@M@@SA?AT__n128@@T2@@Z"
		size = 396
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00f8 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 015c ?eps@?$VExp@M@@0T__n128@@B 0160 ?smallx@?$VExp@M@@0T__n128@@B 0164 ?inf@?$VectorOp@M@@2T__n128@@B 0168 ?bigx@?$VExp@M@@0T__n128@@B 016c ?q0@?$VExp@M@@0T__n128@@B 0170 ?q1@?$VExp@M@@0T__n128@@B 0174 ?p0@?$VExp@M@@0T__n128@@B 0178 ?p1@?$VExp@M@@0T__n128@@B 017c ?C1@?$VExp@M@@0T__n128@@B 0180 ?C2@?$VExp@M@@0T__n128@@B 0184 ?inv_ln2@?$VExp@M@@0T__n128@@B"
		altNames = "__vdecl_expf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 0E 8B 8C B0 9F ED 5E 8A 20 EF 50 A1 8D EC 04 AB B0 EE 48 0A ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A 0D F1 10 0C CC EC 04 0B ?? ?? ?? ?? 53 4B 60 EF 50 01 0D F1 20 0C CC EC 04 0B D3 EC 04 0B B0 EE 48 0A 0A FF 70 CD ?? ?? ?? ?? B6 EE 00 EA 20 EF 50 A1 B0 EE 4E 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C AE FB FF 60 27 43 4B 9D EC 04 CB B0 EE 4E 0A F9 FF E2 03 10 FF F2 A1 D3 EC 04 0B 3C 4B FB FF 4A 46 44 FF F0 2D D3 EC 04 0B 38 4B 44 FF F0 0D 6C EF 60 0D 60 EF E2 4D D3 EC 04 0B 32 4B 44 FF F4 6D 46 FF F0 2D D3 EC 04 0B 2E 4B 42 EF E0 0D 40 FF F4 8D D3 EC 04 0B 29 4B 46 FF F0 2D D3 EC 04 0B 42 EF E0 0D 60 EF E8 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 08 FF F0 8D ?? ?? ?? ?? 01 20 00 EF 48 8D ?? ?? ?? ?? 6A EF 40 08 19 4B F7 EF 70 05 68 EF 60 28 D3 EC 04 0B 15 4B 6C FF 60 4E D3 EC 04 0B 11 4B 50 FF F2 41 D3 EC 04 0B 0E 4B 60 FF CC 2E 0D F1 10 0C DC EC 04 0B 50 FF F4 21 D3 EC 04 0B 0D F1 20 0C DC EC 04 4B 60 FF DC 0E 54 FF F2 01 0C EF 4C 0E 10 FF DC 01 0C B0 BD EC 0E 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_204_0_0 {
	meta:
		name = "__guard_check_icall_thunk"
		size = 20
		refs = "0004 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 0F 50 ?? ?? ?? ?? C0 F2 00 01 09 68 88 47 BD E8 0F 90 }
	condition:
		$1
}

rule file_215_1_0 {
	meta:
		name = "__security_pop_cookie"
		size = 28
		refs = "0000 __security_cookie"
	strings:
		$1 = { ?? ?? ?? ?? C0 F2 00 0C 00 9B DC F8 00 C0 AD EB 03 03 63 45 01 D1 01 B0 70 47 18 46 }
	condition:
		$1
}

rule file_215_2_0 {
	meta:
		name = "__ppgsfailure"
		size = 24
		refs = "000c __security_check_cookie"
	strings:
		$1 = { 10 B5 6C 46 EC 46 2C F0 07 0C E5 46 ?? ?? ?? ?? A5 46 BD E8 10 40 70 47 }
	condition:
		$1
}

rule file_219_1_0 {
	meta:
		name = "??__D@YAXPAX0IIP6AX00@ZP6AX0@Z@Z"
		size = 114
		refs = "0032 _guard_check_icall 0064 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 84 B0 6F 46 00 23 7B 60 00 23 3B 70 02 E0 7B 68 5B 1C 7B 60 7A 68 7B 6B 9A 42 15 D0 01 26 FD 6A BC 6A BB 6B BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 29 46 32 46 98 47 BA 6A 3B 6B 13 44 BB 62 FA 6A 3B 6B 13 44 FB 62 E2 E7 01 23 3B 70 3B 78 00 2B 05 D1 FB 6B 7A 68 39 6B B8 6A ?? ?? ?? ?? 04 B0 BD E8 F0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_219_2_0 {
	meta:
		name = "?fin$0@?0???__D@YAXPAX0IIP6AX00@ZP6AX0@Z@Z@4HA"
		size = 24
		refs = "0010 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 10 B5 3B 78 00 2B 05 D1 FB 6B 7A 68 39 6B B8 6A ?? ?? ?? ?? FF E7 10 BD }
	condition:
		$1
}

rule file_222_0_0 {
	meta:
		name = "__fphelper_raise_exception"
		size = 1120
		refs = "000a __security_push_cookie 0436 __security_pop_cookie 0448 __imp_RaiseException"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? 93 B0 6F 46 5D F8 80 39 6B 46 3B 60 3B 68 0F 33 3B 60 3B 68 23 F0 0F 03 3B 60 3B 68 7B 64 00 23 FB 60 00 23 3B 61 F1 EE 10 3A 3B 64 3B 6C BB 60 BB 68 5B 0D 03 F0 02 02 BB 68 C3 F3 C0 53 1A 43 3B 68 1B 68 62 F3 01 03 3A 68 13 60 3B 68 1B 68 23 F0 1C 02 3B 68 1A 60 7A 6E 3B 68 1B 68 62 F3 50 13 3A 68 13 60 3B 6E 03 F0 01 02 3B 68 1B 1D 19 68 62 F3 04 11 3B 68 1A 1D 0B 46 13 60 3B 6E C3 F3 40 02 3B 68 1B 1D 19 68 62 F3 C3 01 3B 68 1A 1D 0B 46 13 60 3B 6E C3 F3 80 02 3B 68 1B 1D 19 68 62 F3 82 01 3B 68 1A 1D 0B 46 13 60 3B 6E C3 F3 C0 02 3B 68 1B 1D 19 68 62 F3 41 01 3B 68 1A 1D 0B 46 13 60 3B 6E C3 F3 00 12 3B 68 1B 1D 19 68 62 F3 00 01 3B 68 1A 1D 0B 46 13 60 BB 68 C3 F3 00 22 3B 68 08 33 19 68 62 F3 04 11 3B 68 03 F1 08 02 0B 46 13 60 BB 68 C3 F3 40 22 3B 68 08 33 19 68 62 F3 C3 01 3B 68 03 F1 08 02 0B 46 13 60 BB 68 C3 F3 80 22 3B 68 08 33 19 68 62 F3 82 01 3B 68 03 F1 08 02 0B 46 13 60 BB 68 C3 F3 C0 22 3B 68 08 33 19 68 62 F3 41 01 3B 68 03 F1 08 02 0B 46 13 60 BB 68 C3 F3 00 32 3B 68 08 33 19 68 62 F3 00 01 3B 68 03 F1 08 02 0B 46 13 60 BB 68 03 F0 01 02 3B 68 0C 33 19 68 62 F3 04 11 3B 68 03 F1 0C 02 0B 46 13 60 BB 68 C3 F3 40 02 3B 68 0C 33 19 68 62 F3 C3 01 3B 68 03 F1 0C 02 0B 46 13 60 BB 68 C3 F3 80 02 3B 68 0C 33 19 68 62 F3 82 01 3B 68 03 F1 0C 02 0B 46 13 60 BB 68 C3 F3 C0 02 3B 68 0C 33 19 68 62 F3 41 01 3B 68 03 F1 0C 02 0B 46 13 60 BB 68 C3 F3 00 12 3B 68 0C 33 19 68 62 F3 00 01 3B 68 03 F1 0C 02 0B 46 13 60 3B 68 10 33 7B 61 3A 6F 7B 69 1A 60 7A 6F 7B 69 5A 60 3B 68 20 33 1B 68 43 F0 01 02 3B 68 20 33 1A 60 3B 68 03 F1 20 02 BB 6E 11 68 63 F3 44 01 3B 68 03 F1 20 02 0B 46 13 60 3B 68 40 33 1B 68 23 F0 01 02 3B 68 40 33 1A 60 3B 68 50 33 BB 61 BA 6F BB 69 1A 60 FA 6F BB 69 5A 60 3B 68 60 33 1B 68 43 F0 01 02 3B 68 60 33 1A 60 3B 68 03 F1 60 02 FB 6E 11 68 63 F3 44 01 3B 68 03 F1 60 02 0B 46 13 60 3B 68 0C 33 1B 68 13 F0 10 0F 0A D0 3B 68 08 33 1B 68 13 F0 10 0F 04 D0 73 4B 3B 61 01 23 FB 60 42 E0 3B 68 0C 33 1B 68 13 F0 08 0F 0A D0 3B 68 08 33 1B 68 13 F0 08 0F 04 D0 6A 4B 3B 61 01 23 FB 60 31 E0 3B 68 0C 33 1B 68 13 F0 04 0F 0A D0 3B 68 08 33 1B 68 13 F0 04 0F 04 D0 60 4B 3B 61 01 23 FB 60 20 E0 3B 68 0C 33 1B 68 13 F0 02 0F 0A D0 3B 68 08 33 1B 68 13 F0 02 0F 04 D0 57 4B 3B 61 01 23 FB 60 0F E0 3B 68 0C 33 1B 68 13 F0 01 0F 09 D0 3B 68 08 33 1B 68 13 F0 01 0F 03 D0 4D 4B 3B 61 01 23 FB 60 FB 68 00 2B 04 D1 BA 6F FB 6F BA 63 FB 63 80 E0 17 F1 48 02 17 F1 44 03 13 60 17 F1 48 03 01 22 00 21 38 69 41 4C 24 68 A0 47 BA 68 3E 4B 13 40 7B 60 3B 68 08 33 1B 68 13 F0 10 0F 03 D0 4F F4 80 73 FB 61 01 E0 00 23 FB 61 7A 68 FB 69 13 43 7B 60 3B 68 08 33 1B 68 13 F0 08 0F 03 D0 4F F4 00 73 3B 62 01 E0 00 23 3B 62 7A 68 3B 6A 13 43 7B 60 3B 68 08 33 1B 68 13 F0 04 0F 03 D0 4F F4 80 63 7B 62 01 E0 00 23 7B 62 7A 68 7B 6A 13 43 7B 60 3B 68 08 33 1B 68 13 F0 02 0F 03 D0 4F F4 00 63 BB 62 01 E0 00 23 BB 62 7A 68 BB 6A 13 43 7B 60 3B 68 08 33 1B 68 13 F0 01 0F 03 D0 4F F4 80 53 FB 62 01 E0 00 23 FB 62 7A 68 FB 6A 13 43 7B 60 3B 68 1B 68 03 F0 03 03 03 F0 01 03 DA 05 7B 68 13 43 7B 60 3B 68 1B 68 03 F0 03 03 03 F0 02 03 5A 05 7B 68 13 43 7B 60 7B 68 E1 EE 10 3A 3B 68 50 33 3B 63 3B 6B 1A 68 3B 6B 5B 68 BA 63 FB 63 B8 6B F9 6B BD 46 13 B0 ?? ?? ?? ?? BD E8 90 08 5D F8 14 FB FE DE FF E0 3F FF ?? ?? ?? ?? 8F 00 00 C0 93 00 00 C0 91 00 00 C0 8E 00 00 C0 90 00 00 C0 }
	condition:
		$1
}

rule file_222_1_0 {
	meta:
		name = "__helper_divide_by_0"
		size = 40
		refs = "0020 __imp_RaiseException"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 81 B0 00 23 00 22 00 21 04 48 03 4C 24 68 A0 47 01 B0 BD E8 10 88 FE DE ?? ?? ?? ?? 94 00 00 C0 }
	condition:
		$1
}

rule file_0_0_1 {
	meta:
		name = "_FDscale"
		size = 712
		refs = "005e _FDnorm 02c4 _FInf"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 03 93 03 9B 9B 1C 1B 88 03 F4 FF 43 DB 11 1B B2 AD F8 02 30 BD F9 02 30 FF 2B 15 D1 03 9B 9B 1C 1B 88 03 F0 7F 03 00 2B 06 D1 03 9B 1B 88 00 2B 02 D1 01 23 05 93 01 E0 02 23 05 93 05 9B 1B B2 AD F8 10 30 31 E1 14 E0 BD F9 02 30 00 2B 10 D1 03 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 02 30 BD F9 02 30 00 2B 03 DD 00 23 AD F8 10 30 1B E1 0D 9B 00 2B 23 DD BD F9 02 30 C3 F1 FF 02 0D 9B 9A 42 1C DC 03 9B 9B 1C 1B 88 13 F4 00 4F 07 D0 89 4B 93 ED 00 0A B1 EE 40 0A 8D ED 06 0A 04 E0 85 4B 93 ED 00 0A 8D ED 06 0A 9D ED 06 0A 0C 9B 83 ED 00 0A 01 23 AD F8 10 30 F5 E0 F4 E0 BD F9 02 30 5A 42 0D 9B 9A 42 14 DA 03 9B 9B 1C 1B 88 23 F4 FF 41 BD F9 02 20 0D 9B 13 44 DB 01 0B 43 9A B2 03 9B 9B 1C 1A 80 6F F0 00 03 AD F8 10 30 DA E0 D9 E0 03 9B 9B 1C 1B 88 03 F4 00 43 9B B2 AD F8 06 30 03 9B 9B 1C 1B 88 03 F0 7F 03 43 F0 80 03 9A B2 03 9B 9B 1C 1A 80 BD F9 02 30 5A 1E 0D 9B 13 44 0D 93 0D 9B 13 F1 18 0F 02 DB 0D 9B 00 2B 0C DB 03 9B 9A 1C BD F8 06 30 13 80 03 9A 00 23 13 80 00 23 AD F8 10 30 AD E0 AC E0 0D 9B 1B B2 AD F8 00 30 00 23 AD F8 04 30 BD F9 00 30 13 F1 10 0F 1E DC BD F8 04 30 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 03 9B 1A 88 07 9B 13 43 9B B2 AD F8 04 30 03 9B 9B 1C 03 9A 1B 88 13 80 03 9B 9A 1C 00 23 13 80 BD F9 00 30 10 33 1B B2 AD F8 00 30 BD F9 00 30 5B 42 1B B2 AD F8 00 30 BD F9 00 30 00 2B 32 D0 BD F8 04 30 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 03 9B 1A 88 BD F9 00 30 C3 F1 10 03 9A 40 08 9B 13 43 9B B2 AD F8 04 30 03 9B 1A 88 BD F9 00 30 42 FA 03 F1 03 9B 9B 1C 1A 88 BD F9 00 30 C3 F1 10 03 02 FA 03 F3 0B 43 9A B2 03 9B 1A 80 03 9B 99 1C BD F9 00 30 9A B2 0B 88 D3 40 9A B2 03 9B 9B 1C 1A 80 03 9B 9B 1C BD F8 06 20 1B 88 43 EA 02 01 03 9B 9A 1C 8B B2 13 80 BD F8 04 30 B3 F5 00 4F 09 DC BD F8 04 30 B3 F5 00 4F 1C D1 03 9B 1B 88 13 F0 01 0F 17 D0 03 9B 1B 88 5B 1C 9B B2 AD F8 08 30 03 9A BD F8 08 30 13 80 BD F8 08 30 9B B2 00 2B 08 D1 03 9B 9B 1C 1B 88 5B 1C 9A B2 03 9B 9B 1C 1A 80 0E E0 03 9B 9B 1C 1A 88 BD F8 06 30 9A 42 07 D1 03 9B 1B 88 00 2B 03 D1 00 23 AD F8 10 30 03 E0 6F F0 00 03 AD F8 10 30 BD F9 10 00 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_0_1 {
	meta:
		name = "?_XLgamma@std@@YAMM@Z"
		size = 244
		refs = "0020 ?log@@YAMM@Z 00f0 ?coeff@?1??_XLgamma@std@@YAMM@Z@4QBMB"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 01 0A DD ED 01 0A B1 EE 06 0A 30 EE 80 0A 8D ED 02 0A 9D ED 02 0A ?? ?? ?? ?? 8D ED 05 0A DD ED 01 0A B6 EE 00 0A 70 EE 80 0A 9D ED 05 0A 60 EE 80 0A 9D ED 02 0A 30 EE 60 0A 8D ED 02 0A B7 EE 00 0A 8D ED 04 0A DD ED 01 0A B7 EE 00 0A 30 EE 80 0A 8D ED 03 0A 00 23 00 93 0E E0 00 9B 5B 1C 00 93 9D ED 03 0A B7 EE C0 1A B7 EE 00 0B 31 EE 00 0B B7 EE C0 0B 8D ED 03 0A 00 9B 06 2B 12 DA 00 9A 04 23 02 FB 03 F2 17 4B 13 44 D3 ED 00 0A 9D ED 03 0A C0 EE 80 0A 9D ED 04 0A 30 EE 20 0A 8D ED 04 0A DA E7 DF ED 0E 0A 9D ED 04 0A 60 EE 80 0A 9D ED 01 0A 80 EE 80 0A ?? ?? ?? ?? 8D ED 06 0A 9D ED 02 0A F1 EE 40 0A 9D ED 06 0A 30 EE 80 0A 8D ED 07 0A 9D ED 07 0A 08 B0 BD E8 00 88 FE DE 99 6C 20 40 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_1_1 {
	meta:
		name = "?_XLgamma@std@@YANN@Z"
		size = 240
		refs = "0030 log 00e4 ?coeff@?1??_XLgamma@std@@YANN@Z@4QBNB"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 02 8B 8C B0 8D ED 04 0B 9D ED 04 1B B1 EE 06 0B 31 EE 00 0B 8D ED 02 0B 9D ED 04 1B B6 EE 00 0B 31 EE 00 8B 9D ED 02 0B ?? ?? ?? ?? 28 EE 00 1B 9D ED 02 0B 30 EE 41 0B 8D ED 02 0B 9F ED 28 0B 8D ED 08 0B 9D ED 04 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 00 23 00 93 0A E0 00 9B 5B 1C 00 93 9D ED 06 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 00 9B 06 2B 12 DA 00 9A 08 23 02 FB 03 F2 17 4B 13 44 93 ED 00 1B 9D ED 06 0B 81 EE 00 1B 9D ED 08 0B 30 EE 01 0B 8D ED 08 0B DE E7 9D ED 02 0B B1 EE 40 8B 9F ED 0B 1B 9D ED 08 0B 21 EE 00 1B 9D ED 04 0B 81 EE 00 0B ?? ?? ?? ?? 38 EE 00 0B 8D ED 0A 0B 9D ED 0A 0B 0C B0 BD EC 02 8B BD E8 00 88 FE DE 06 27 F6 1F 93 0D 04 40 ?? ?? ?? ?? C7 0E 0D 00 00 00 F0 3F }
	condition:
		$1
}

rule file_2_2_1 {
	meta:
		name = "?_XLgamma@std@@YAOO@Z"
		size = 248
		refs = "0020 ?log@@YAOO@Z 00ec ?coeff@?1??_XLgamma@std@@YAOO@Z@4QBOB"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 02 0B 9D ED 02 1B B1 EE 06 0B 31 EE 00 0B 8D ED 04 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 02 1B B6 EE 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 9D ED 04 0B 30 EE 41 0B 8D ED 04 0B 9F ED 29 0B 8D ED 08 0B 9D ED 02 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 00 23 00 93 0A E0 00 9B 5B 1C 00 93 9D ED 06 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 00 9B 06 2B 12 DA 00 9A 08 23 02 FB 03 F2 18 4B 13 44 93 ED 00 1B 9D ED 06 0B 81 EE 00 1B 9D ED 08 0B 30 EE 01 0B 8D ED 08 0B DE E7 9F ED 0E 1B 9D ED 08 0B 21 EE 00 1B 9D ED 02 0B 81 EE 00 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 04 0B B1 EE 40 1B 9D ED 0C 0B 31 EE 00 0B 8D ED 0E 0B 9D ED 0E 0B 10 B0 BD E8 00 88 FE DE 06 27 F6 1F 93 0D 04 40 ?? ?? ?? ?? C7 0E 0D 00 00 00 F0 3F }
	condition:
		$1
}

rule file_2_3_1 {
	meta:
		name = "?log@@YAMM@Z"
		size = 34
		refs = "0010 logf"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 8D ED 00 0A 9D ED 00 0A ?? ?? ?? ?? 8D ED 01 0A 9D ED 01 0A 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_2_4_1 {
	meta:
		name = "?log@@YAOO@Z"
		size = 42
		refs = "0010 logl"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_2_5_1 {
	meta:
		name = "logl"
		size = 34
		refs = "0010 log"
		altNames = "fabsl sqrtl"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_3_0_1 {
	meta:
		name = "_Getwctype"
		size = 72
		refs = "0044 __imp_GetStringTypeW"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 6B 46 01 22 08 A9 01 20 0B 4C 24 68 A0 47 02 90 02 9B 00 2B 02 D1 00 23 01 93 02 E0 BD F9 00 30 01 93 01 9B 1B B2 AD F8 0C 30 BD F9 0C 00 05 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_1_1 {
	meta:
		name = "_Getwctypes"
		size = 52
		refs = "0030 __imp_GetStringTypeW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 81 B0 06 9B 05 99 04 9A 8A 1A 52 10 04 99 01 20 05 4C 24 68 A0 47 05 9B 00 93 00 98 01 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_0_1 {
	meta:
		name = "??0stl_critical_section_concrt@details@Concurrency@@QAA@XZ"
		size = 52
		refs = "000c ??0stl_critical_section_interface@details@Concurrency@@QAA@XZ 001a ??0critical_section@Concurrency@@QAA@XZ 0030 ??_7stl_critical_section_concrt@details@Concurrency@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 07 4A 04 9B 1A 60 04 9B 18 1D ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_0_1 {
	meta:
		name = "??0stl_condition_variable_concrt@details@Concurrency@@QAA@XZ"
		size = 52
		refs = "000c ??0stl_condition_variable_interface@details@Concurrency@@QAA@XZ 001a ??0_Condition_variable@details@Concurrency@@QAA@XZ 0030 ??_7stl_condition_variable_concrt@details@Concurrency@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 07 4A 04 9B 1A 60 04 9B 18 1D ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_1_1 {
	meta:
		name = "??0stl_critical_section_interface@details@Concurrency@@QAA@XZ"
		size = 26
		altNames = "??$?0D@?$allocator@U_Container_proxy@std@@@std@@QAA@ABV?$allocator@D@1@@Z ??$?0G@?$allocator@U_Container_proxy@std@@@std@@QAA@ABV?$allocator@G@1@@Z ??$?0H@?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@QAA@ABU?$_StaticAllocator@H@@@Z ??$?0Uoutput_iterator_tag@std@@@_Any_tag@std@@QAA@$$QAUoutput_iterator_tag@1@@Z ??$?0_W@?$allocator@U_Container_proxy@std@@@std@@QAA@ABV?$allocator@_W@1@@Z ??$_Unchecked@PAD@std@@YAPADPAD@Z ??$_Unchecked@PA_W@std@@YAPA_WPA_W@Z ??$_Unfancy@$$CBD@std@@YAPBDPBD@Z ??$_Unfancy@$$CBG@std@@YAPBGPBG@Z ??$_Unfancy@$$CB_W@std@@YAPB_WPB_W@Z ??$_Unfancy@D@std@@YAPADPAD@Z ??$_Unfancy@G@std@@YAPAGPAG@Z ??$_Unfancy@U_Container_proxy@std@@@std@@YAPAU_Container_proxy@0@PAU10@@Z ??$_Unfancy@_W@std@@YAPA_WPA_W@Z ??$addressof@D@std@@YAPADAAD@Z ??$addressof@G@std@@YAPAGAAG@Z ??$addressof@PAD@std@@YAPAPADAAPAD@Z ??$addressof@PAG@std@@YAPAPAGAAPAG@Z ??$addressof@PA_W@std@@YAPAPA_WAAPA_W@Z ??$addressof@U_Container_proxy@std@@@std@@YAPAU_Container_proxy@0@AAU10@@Z ??$addressof@_W@std@@YAPA_WAA_W@Z ??$forward@AAPAD@std@@YAAAPADAAPAD@Z ??$forward@AAPAG@std@@YAAAPAGAAPAG@Z ??$forward@AAPAUEHExceptionRecord@@@std@@YAAAPAUEHExceptionRecord@@AAPAU1@@Z ??$forward@AAPA_W@std@@YAAAPA_WAAPA_W@Z ??$forward@AAU?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@@std@@YAAAU?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@0@AAU10@@Z ??$forward@AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z ??$forward@AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z ??$forward@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z ??$forward@ABU?$_StaticAllocator@H@@@std@@YAABU?$_StaticAllocator@H@@ABU1@@Z ??$forward@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z ??$forward@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z ??$forward@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z ??$forward@U_Container_proxy@std@@@std@@YA$$QAU_Container_proxy@0@AAU10@@Z ??$forward@V?$allocator@D@std@@@std@@YA$$QAV?$allocator@D@0@AAV10@@Z ??$forward@V?$allocator@G@std@@@std@@YA$$QAV?$allocator@G@0@AAV10@@Z ??$forward@V?$allocator@_W@std@@@std@@YA$$QAV?$allocator@_W@0@AAV10@@Z ??$forward@V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@@std@@YA$$QAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@0@AAV10@@Z ??$forward@V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@@std@@YA$$QAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@0@AAV10@@Z ??$forward@V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@@std@@YA$$QAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@0@AAV10@@Z ??$forward@_N@std@@YA$$QA_NAA_N@Z ??$move@AAD@std@@YA$$QADAAD@Z ??$move@AAI@std@@YA$$QAIAAI@Z ??$move@AAPAD@std@@YA$$QAPADAAPAD@Z ??$move@AAPAV_Ref_count_base@std@@@std@@YA$$QAPAV_Ref_count_base@0@AAPAV10@@Z ??$move@AAPAV__ExceptionPtr@@@std@@YA$$QAPAV__ExceptionPtr@@AAPAV1@@Z ??$move@AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z ??$move@AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z ??$move@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z ??$move@AAV?$shared_ptr@V__ExceptionPtr@@@std@@@std@@YA$$QAV?$shared_ptr@V__ExceptionPtr@@@0@AAV10@@Z ??0?$allocator@D@std@@QAA@ABV01@@Z ??0?$allocator@D@std@@QAA@XZ ??0?$allocator@G@std@@QAA@ABV01@@Z ??0?$allocator@G@std@@QAA@XZ ??0?$allocator@_W@std@@QAA@ABV01@@Z ??0?$allocator@_W@std@@QAA@XZ ??0_Bxty@?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ ??0_Bxty@?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ ??0_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ ??0locale@std@@QAA@W4_Uninitialized@1@@Z ??0stl_condition_variable_interface@details@Concurrency@@QAA@XZ ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@H@Z ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@H@Z ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@H@Z ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@T?$_Align_type@H$0FE@@2@$00@std@@QAAAAU?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@2@XZ ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QBAABU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QBAABU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QBAABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@T?$_Align_type@H$0FE@@2@$00@std@@QBAABT?$_Align_type@H$0FE@@2@XZ ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QBAABV?$_String_val@U?$_Simple_types@D@std@@@2@XZ ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QBAABV?$_String_val@U?$_Simple_types@G@std@@@2@XZ ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QBAABV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ ?_Getspace@?$_Func_class@X$$V@std@@ABAPBXXZ ?_get_cv@_Cnd_internal_imp_t@@QAAPAVstl_condition_variable_interface@details@Concurrency@@XZ _FPlsw _LPlsw _Plsw"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_2_1 {
	meta:
		name = "??0stl_critical_section_vista@details@Concurrency@@QAA@XZ"
		size = 64
		refs = "000c ??0stl_critical_section_interface@details@Concurrency@@QAA@XZ 0038 __imp_InitializeCriticalSectionEx 003c ??_7stl_critical_section_vista@details@Concurrency@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 0A 4A 04 9B 1A 60 00 22 4F F4 7A 61 04 9B 18 1D 05 4B 1B 68 98 47 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_3_1 {
	meta:
		name = "??0stl_critical_section_win7@details@Concurrency@@QAA@XZ"
		size = 56
		refs = "000c ??0stl_critical_section_interface@details@Concurrency@@QAA@XZ 0030 __imp_InitializeSRWLock 0034 ??_7stl_critical_section_win7@details@Concurrency@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 08 4A 04 9B 1A 60 04 9B 18 1D 05 4B 1B 68 98 47 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_2_1 {
	meta:
		name = "??0stl_condition_variable_vista@details@Concurrency@@QAA@XZ"
		size = 56
		refs = "000c ??0stl_condition_variable_interface@details@Concurrency@@QAA@XZ 0030 __imp_InitializeConditionVariable 0034 ??_7stl_condition_variable_vista@details@Concurrency@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 08 4A 04 9B 1A 60 04 9B 18 1D 05 4B 1B 68 98 47 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_3_1 {
	meta:
		name = "??0stl_condition_variable_win7@details@Concurrency@@QAA@XZ"
		size = 56
		refs = "000c ??0stl_condition_variable_interface@details@Concurrency@@QAA@XZ 0030 __imp_InitializeConditionVariable 0034 ??_7stl_condition_variable_win7@details@Concurrency@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 08 4A 04 9B 1A 60 04 9B 18 1D 05 4B 1B 68 98 47 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_4_1 {
	meta:
		name = "??1GlobalCore@details@Concurrency@@QAA@XZ"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 20 33 1B 68 00 93 08 21 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_5_1 {
	meta:
		name = "??2@YAPAXIPAX@Z"
		size = 26
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_7_1 {
	meta:
		name = "??_EGlobalCore@details@Concurrency@@QAAPAXI@Z"
		size = 128
		refs = "002a ??_M@YAXPAXIIP6AX0@Z@Z 0048 ??_V@YAXPAXI@Z 0056 ??1GlobalCore@details@Concurrency@@QAA@XZ 0066 ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 7B 6A 13 F0 02 0F 1A D0 17 4B 3A 6A 12 1F 12 68 24 21 38 6A ?? ?? ?? ?? 7B 6A 13 F0 01 0F 0A D0 3B 6A 1B 1F 1A 68 24 23 02 FB 03 F3 19 1D 3B 6A 18 1F ?? ?? ?? ?? 3B 6A 1B 1F 3B 60 0C E0 38 6A ?? ?? ?? ?? 7B 6A 13 F0 01 0F 03 D0 24 21 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_8_1 {
	meta:
		name = "??_Gcritical_section@Concurrency@@QAAPAXI@Z"
		size = 48
		refs = "000c ??1critical_section@Concurrency@@QAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 20 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_9_1 {
	meta:
		name = "??_H@YAXPAXIIP6APAX0@Z@Z"
		size = 62
		refs = "0020 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 81 B0 06 9A 06 9B 5B 1E 06 93 00 2A 0D D9 04 9C 07 9B 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 04 9A 05 9B 13 44 04 93 EB E7 01 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_4_12_1 {
	meta:
		name = "?_get_cs@_Mtx_internal_imp_t@@QAAPAVstl_critical_section_interface@details@Concurrency@@XZ"
		size = 28
		altNames = "?native_handle@stl_critical_section_concrt@details@Concurrency@@QAAAAVcritical_section@3@XZ ?native_handle@stl_critical_section_vista@details@Concurrency@@QAAPAU_RTL_CRITICAL_SECTION@@XZ ?native_handle@stl_critical_section_win7@details@Concurrency@@QAAPAU_RTL_SRWLOCK@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_15_1 {
	meta:
		name = "?create_stl_critical_section@details@Concurrency@@YAXPAVstl_critical_section_interface@12@@Z"
		size = 216
		refs = "0030 ?are_win7_sync_apis_available@details@Concurrency@@YA_NXZ 0040 ??2@YAPAXIPAX@Z 0052 ??0stl_critical_section_win7@details@Concurrency@@QAA@XZ 0068 ?are_vista_sync_apis_available@details@Concurrency@@YA_NXZ 008a ??0stl_critical_section_vista@details@Concurrency@@QAA@XZ 00b6 ??0stl_critical_section_concrt@details@Concurrency@@QAA@XZ 00d4 ?__stl_sync_api_impl_mode@@3W4__stl_sync_api_modes_enum@@A"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 95 B0 6F 46 6F F0 01 03 C7 E9 12 33 2F 4B 1B 68 7B 60 7B 68 00 2B 3E DB 7B 68 01 2B 03 DD 7B 68 02 2B 1C D0 37 E0 ?? ?? ?? ?? 38 70 3B 78 00 2B 15 D0 39 6E 08 20 ?? ?? ?? ?? 38 62 3B 6A BB 60 BB 68 00 2B 06 D0 B8 68 ?? ?? ?? ?? 78 62 7B 6A FB 60 01 E0 00 23 FB 60 FB 68 BB 63 30 E0 ?? ?? ?? ?? 78 70 7B 78 00 2B 15 D0 39 6E 1C 20 ?? ?? ?? ?? B8 62 BB 6A 3B 61 3B 69 00 2B 06 D0 38 69 ?? ?? ?? ?? F8 62 FB 6A 7B 61 01 E0 00 23 7B 61 7B 69 FB 63 14 E0 39 6E 24 20 ?? ?? ?? ?? 38 63 3B 6B BB 61 BB 69 00 2B 06 D0 B8 69 ?? ?? ?? ?? 78 63 7B 6B FB 61 01 E0 00 23 FB 61 FB 69 3B 64 15 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_19_1 {
	meta:
		name = "?destroy@stl_critical_section_concrt@details@Concurrency@@UAAXXZ"
		size = 26
		refs = "000e ??_Gcritical_section@Concurrency@@QAAPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 21 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_114_107_3 {
	meta:
		name = "?_Incref@_Ref_count_base@std@@QAAXXZ"
		size = 26
		refs = "000e ?_Inc_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 21 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_27_269_3 {
	meta:
		name = "?_Incref@facet@locale@std@@UAAXXZ"
		size = 26
		refs = "000e ?_Inc_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 21 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_19_1 {
	meta:
		name = "?destroy@stl_condition_variable_concrt@details@Concurrency@@UAAXXZ"
		size = 26
		refs = "000e ??_G_Condition_variable@details@Concurrency@@QAAPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 21 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_20_1 {
	meta:
		name = "?destroy@stl_critical_section_vista@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_DeleteCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_23_1 {
	meta:
		name = "?lock@stl_critical_section_vista@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_EnterCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_24_1 {
	meta:
		name = "?lock@stl_critical_section_win7@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_AcquireSRWLockExclusive"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_28_2 {
	meta:
		name = "?notify_all@stl_condition_variable_vista@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_WakeAllConditionVariable"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_29_2 {
	meta:
		name = "?notify_all@stl_condition_variable_win7@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_WakeAllConditionVariable"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_31_1 {
	meta:
		name = "?notify_one@stl_condition_variable_vista@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_WakeConditionVariable"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_32_1 {
	meta:
		name = "?notify_one@stl_condition_variable_win7@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_WakeConditionVariable"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_33_1 {
	meta:
		name = "?unlock@stl_critical_section_vista@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_LeaveCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_34_3 {
	meta:
		name = "?unlock@stl_critical_section_win7@details@Concurrency@@UAAXXZ"
		size = 32
		refs = "001c __imp_ReleaseSRWLockExclusive"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_22_1 {
	meta:
		name = "?lock@stl_critical_section_concrt@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "000c ?lock@critical_section@Concurrency@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_27_1 {
	meta:
		name = "?notify_all@stl_condition_variable_concrt@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "000c ?notify_all@_Condition_variable@details@Concurrency@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_30_1 {
	meta:
		name = "?notify_one@stl_condition_variable_concrt@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "000c ?notify_one@_Condition_variable@details@Concurrency@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_32_1 {
	meta:
		name = "?unlock@stl_critical_section_concrt@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "000c ?unlock@critical_section@Concurrency@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_25_1 {
	meta:
		name = "?mtx_do_lock@@YAHPAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
		size = 784
		refs = "000a __security_push_cookie 0032 ?_get_cs@_Mtx_internal_imp_t@@QAAPAVstl_critical_section_interface@details@Concurrency@@XZ 0048 _guard_check_icall 0164 xtime_get 01ee _Xtime_diff_to_millis2 02fe __security_pop_cookie 030c __imp_GetCurrentThreadId"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? B5 B0 3A 9B 1B 68 23 F4 80 73 01 2B 2E D1 BB 4B 1B 68 98 47 12 90 3A 9B 28 33 1A 68 12 9B 9A 42 19 D0 3A 98 ?? ?? ?? ?? 13 90 13 9B 04 93 04 9B 1B 68 04 9C 1B 68 05 93 05 98 ?? ?? ?? ?? 05 9B 20 46 98 47 AE 4B 1B 68 98 47 14 90 3A 9B 03 F1 28 02 14 9B 13 60 3A 9B 2C 33 1B 68 5A 1C 3A 9B 2C 33 1A 60 00 23 02 93 40 E1 3F E1 4F F4 81 73 00 93 3B 9B 00 2B 1D D1 A1 4B 1B 68 98 47 15 90 3A 9B 28 33 1A 68 15 9B 9A 42 10 D0 3A 98 ?? ?? ?? ?? 16 90 16 9B 06 93 06 9B 1B 68 06 9C 1B 68 07 93 07 98 ?? ?? ?? ?? 07 9B 20 46 98 47 00 23 00 93 BE E0 3B 9B 08 93 08 9B 1B 68 22 93 08 9B 5B 68 23 93 22 9B 17 93 23 9B 00 2B 15 DB 02 DC 17 9B 00 2B 11 D3 3B 9B 09 93 09 9B 1B 68 24 93 09 9B 5B 68 25 93 25 9A 24 9B 13 43 00 2B 30 D1 3B 9B 08 33 1B 68 00 2B 2B DC 80 4B 1B 68 98 47 18 90 3A 9B 28 33 1A 68 18 9B 9A 42 1E D0 3A 98 ?? ?? ?? ?? 19 90 19 9B 0A 93 0A 9B 1B 68 1B 1D 0A 9C 1B 68 0B 93 0B 98 ?? ?? ?? ?? 0B 9B 20 46 98 47 8D F8 04 00 9D F8 04 30 00 2B 02 D0 00 23 00 93 02 E0 4F F4 81 73 00 93 01 E0 00 23 00 93 6F E0 01 21 30 A8 ?? ?? ?? ?? 3B 9A 30 9B 26 93 31 9B 27 93 0C 92 0C 9B 1B 68 28 93 0C 9B 5B 68 29 93 26 9B 1A 93 28 9B 1B 93 27 9A 29 9B 9A 42 22 DB 03 DC 1A 9A 1B 9B 9A 42 1D D3 3B 9A 30 9B 2A 93 31 9B 2B 93 0D 92 0D 9B 1B 68 2C 93 0D 9B 5B 68 2D 93 2B 9B 1C 93 2D 9B 1D 93 2A 9A 2C 9B 9A 42 3E D1 1C 9A 1D 9B 9A 42 3A D1 3B 9B 08 33 32 9A 1B 68 9A 42 34 DA 4D 4B 1B 68 98 47 1E 90 3A 9B 28 33 1A 68 1E 9B 9A 42 1E D0 30 A9 3B 98 ?? ?? ?? ?? 20 90 3A 98 ?? ?? ?? ?? 1F 90 1F 9B 0E 93 20 9D 0E 9C 0E 9B 1B 68 08 33 1B 68 0F 93 0F 98 ?? ?? ?? ?? 0F 9B 20 46 29 46 98 47 8D F8 05 00 9D F8 05 30 00 2B 03 D0 00 23 00 93 08 E0 02 E0 4F F4 81 73 00 93 01 21 30 A8 ?? ?? ?? ?? 93 E7 00 9B 00 2B 03 D0 00 9B 80 2B 00 D0 27 E0 3A 9B 2C 33 1B 68 5B 1C 10 93 3A 9B 03 F1 2C 02 10 9B 13 60 10 9B 01 2B 11 DD 3A 9B 1B 68 03 F4 80 73 B3 F5 80 7F 09 D0 3A 9B 2C 33 1B 68 5A 1E 3A 9B 2C 33 1A 60 4F F4 81 73 00 93 08 E0 1F 4B 1B 68 98 47 21 90 3A 9B 03 F1 28 02 21 9B 13 60 00 9B 03 93 03 9B 00 2B 07 D0 03 9B 80 2B 04 D0 03 9B B3 F5 81 7F 03 D0 1E E0 00 23 02 93 1D E0 3B 9B 00 2B 11 D0 3B 9B 11 93 11 9B 1B 68 2E 93 11 9B 5B 68 2F 93 2F 9A 2E 9B 13 43 00 2B 08 D1 3B 9B 08 33 1B 68 00 2B 03 D1 03 23 02 93 05 E0 02 E0 02 23 02 93 01 E0 04 23 02 93 02 98 35 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_26_1 {
	meta:
		name = "?try_lock@stl_critical_section_concrt@details@Concurrency@@UAA_NXZ"
		size = 44
		refs = "000e ?try_lock@critical_section@Concurrency@@QAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 1D ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_27_1 {
	meta:
		name = "?try_lock@stl_critical_section_vista@details@Concurrency@@UAA_NXZ"
		size = 64
		refs = "003c __imp_TryEnterCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 1D 0B 4B 1B 68 98 47 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_28_1 {
	meta:
		name = "?try_lock@stl_critical_section_win7@details@Concurrency@@UAA_NXZ"
		size = 68
		refs = "0040 __imp_TryAcquireSRWLockExclusive"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 1D 0C 4B 1B 68 98 47 8D F8 00 00 9D F8 00 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_29_1 {
	meta:
		name = "?try_lock_for@stl_critical_section_concrt@details@Concurrency@@UAA_NI@Z"
		size = 46
		refs = "0010 ?try_lock_for@critical_section@Concurrency@@QAA_NI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 9B 18 1D ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_30_1 {
	meta:
		name = "?try_lock_for@stl_critical_section_vista@details@Concurrency@@UAA_NI@Z"
		size = 42
		refs = "000c ?try_lock@stl_critical_section_vista@details@Concurrency@@UAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_13_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_22_3_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_1_5_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_14_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_31_1 {
	meta:
		name = "?try_lock_for@stl_critical_section_win7@details@Concurrency@@UAA_NI@Z"
		size = 42
		refs = "000c ?try_lock@stl_critical_section_win7@details@Concurrency@@UAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_35_1 {
	meta:
		name = "_Mtx_clear_owner"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 28 02 6F F0 00 03 13 60 02 9B 2C 33 1B 68 5A 1E 02 9B 2C 33 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_36_1 {
	meta:
		name = "_Mtx_current_owns"
		size = 72
		refs = "0044 __imp_GetCurrentThreadId"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 2C 33 1B 68 00 2B 0C D0 0B 4B 1B 68 98 47 01 90 06 9B 28 33 1A 68 01 9B 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_37_1 {
	meta:
		name = "_Mtx_destroy"
		size = 36
		refs = "0010 _Mtx_destroy_in_situ 0018 _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 02 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_40_1 {
	meta:
		name = "_Cnd_destroy"
		size = 36
		refs = "0010 _Cnd_destroy_in_situ 0018 _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 02 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_38_1 {
	meta:
		name = "_Mtx_destroy_in_situ"
		size = 80
		refs = "001a _Thrd_abort 0020 ?_get_cs@_Mtx_internal_imp_t@@QAAPAVstl_critical_section_interface@details@Concurrency@@XZ 0038 _guard_check_icall 004c ??_C@_0EM@GBEAHCKM@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 2C 33 1B 68 00 2B 00 D1 02 E0 0C 48 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 1B 68 10 33 00 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 03 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_40_1 {
	meta:
		name = "_Mtx_init"
		size = 84
		refs = "001c _calloc_dbg 0036 _Mtx_init_in_situ 0050 ??_C@_0CM@EOPLGJDM@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 00 23 13 60 3C 23 00 93 0E 4B 02 22 30 21 01 20 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 02 D1 01 23 03 93 08 E0 09 99 02 98 ?? ?? ?? ?? 02 9A 08 9B 1A 60 00 23 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_41_1 {
	meta:
		name = "_Mtx_init_in_situ"
		size = 62
		refs = "000c ?_get_cs@_Mtx_internal_imp_t@@QAAPAVstl_critical_section_interface@details@Concurrency@@XZ 0014 ?create_stl_critical_section@details@Concurrency@@YAXPAVstl_critical_section_interface@12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 04 9B 03 F1 28 02 6F F0 00 03 13 60 04 9A 05 9B 13 60 04 9B 03 F1 2C 02 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_42_1 {
	meta:
		name = "_Mtx_lock"
		size = 36
		refs = "000e ?mtx_do_lock@@YAHPAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_44_1 {
	meta:
		name = "_Cnd_signal"
		size = 36
		refs = "000e ?do_signal@@YAHPAU_Cnd_internal_imp_t@@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_43_1 {
	meta:
		name = "_Mtx_reset_owner"
		size = 56
		refs = "0034 __imp_GetCurrentThreadId"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4B 1B 68 98 47 00 90 04 9B 03 F1 28 02 00 9B 13 60 04 9B 2C 33 1B 68 5A 1C 04 9B 2C 33 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_44_1 {
	meta:
		name = "_Mtx_timedlock"
		size = 80
		refs = "0018 _Thrd_abort 0020 ?mtx_do_lock@@YAHPAU_Mtx_internal_imp_t@@PBUxtime@@@Z 004c ??_C@_0FD@JBMGHHCE@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 13 F0 04 0F 00 D0 02 E0 0D 48 ?? ?? ?? ?? 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 03 2B 02 D1 02 23 01 93 01 E0 00 9B 01 93 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_45_1 {
	meta:
		name = "_Mtx_trylock"
		size = 84
		refs = "0008 __security_push_cookie 001e _Thrd_abort 0034 ?mtx_do_lock@@YAHPAU_Mtx_internal_imp_t@@PBUxtime@@@Z 0042 __security_pop_cookie 0050 ??_C@_0FB@BILGMMLM@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 87 B0 0A 9B 1B 68 03 F0 06 03 00 2B 00 D0 02 E0 0C 48 ?? ?? ?? ?? 00 23 04 93 04 9A 04 9B DB 17 02 92 03 93 02 A9 0A 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 07 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_46_1 {
	meta:
		name = "_Mtx_unlock"
		size = 148
		refs = "002e _Thrd_abort 005a ?_get_cs@_Mtx_internal_imp_t@@QAAPAVstl_critical_section_interface@details@Concurrency@@XZ 0072 _guard_check_icall 008c ??_C@_0EK@BCFFEPKN@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@ 0090 __imp_GetCurrentThreadId"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 0A 9B 2C 33 1B 68 01 2B 0A DB 1E 4B 1B 68 98 47 03 90 0A 9B 28 33 1A 68 03 9B 9A 42 00 D1 02 E0 17 48 ?? ?? ?? ?? 0A 9B 2C 33 1B 68 5B 1E 00 93 0A 9B 03 F1 2C 02 00 9B 13 60 00 9B 00 2B 17 D1 0A 9B 03 F1 28 02 6F F0 00 03 13 60 0A 98 ?? ?? ?? ?? 04 90 04 9B 01 93 01 9B 1B 68 0C 33 01 9C 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 00 23 05 93 05 98 07 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_47_1 {
	meta:
		name = "__set_stl_sync_api_mode"
		size = 28
		refs = "0018 ?__stl_sync_api_impl_mode@@3W4__stl_sync_api_modes_enum@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 1A 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_25_4 {
	meta:
		name = "_SetWinRTOutOfMemoryExceptionCallback"
		size = 28
		refs = "0018 ?g_OutOfMemoryExceptionCallback@@3P6APAXXZA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 1A 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_0_1 {
	meta:
		name = "_Stopfx"
		size = 650
		refs = "0024 isspace 00d2 isalnum 0246 isxdigit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 1B 68 00 93 00 23 02 93 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 05 90 05 9B 00 2B 00 D0 F1 E7 00 9B 93 F9 00 30 2D 2B 05 D1 08 23 02 93 00 9B 5B 1C 00 93 07 E0 00 9B 93 F9 00 30 2B 2B 02 D1 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 6E 2B 04 D0 00 9B 93 F9 00 30 4E 2B 4F D1 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 61 2B 04 D0 00 9B 93 F9 00 30 41 2B 0C D1 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 6E 2B 0A D0 00 9B 93 F9 00 30 4E 2B 05 D0 0C 9B 1B 68 00 93 00 23 02 93 28 E0 00 9B 5B 1C 00 93 00 9B 03 93 04 23 02 93 03 9B 93 F9 00 30 28 2B 1C D1 03 9B 5B 1C 03 93 03 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 06 90 06 9B 00 2B 04 D1 03 9B 93 F9 00 30 5F 2B 00 D1 EC E7 03 9B 93 F9 00 30 29 2B 04 D1 03 9B 5B 1C 03 93 03 9B 00 93 0D 9B 00 2B 02 D0 00 9A 0D 9B 1A 60 B3 E0 00 9B 93 F9 00 30 69 2B 04 D0 00 9B 93 F9 00 30 49 2B 72 D1 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 6E 2B 04 D0 00 9B 93 F9 00 30 4E 2B 0C D1 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 66 2B 0A D0 00 9B 93 F9 00 30 46 2B 05 D0 0C 9B 1B 68 00 93 00 23 02 93 4B E0 00 9B 5B 1C 00 93 00 9B 01 93 02 9B 43 F0 03 03 02 93 01 9B 93 F9 00 30 69 2B 04 D0 01 9B 93 F9 00 30 49 2B 38 D1 01 9B 5B 1C 01 93 01 9B 93 F9 00 30 6E 2B 04 D0 01 9B 93 F9 00 30 4E 2B 2B D1 01 9B 5B 1C 01 93 01 9B 93 F9 00 30 69 2B 04 D0 01 9B 93 F9 00 30 49 2B 1E D1 01 9B 5B 1C 01 93 01 9B 93 F9 00 30 74 2B 04 D0 01 9B 93 F9 00 30 54 2B 11 D1 01 9B 5B 1C 01 93 01 9B 93 F9 00 30 79 2B 04 D0 01 9B 93 F9 00 30 59 2B 04 D1 01 9B 5B 1C 01 93 01 9B 00 93 0D 9B 00 2B 02 D0 00 9A 0D 9B 1A 60 36 E0 00 9B 93 F9 00 30 30 2B 2D D1 00 9B 5B 1C 93 F9 00 30 78 2B 05 D0 00 9B 5B 1C 93 F9 00 30 58 2B 21 D1 00 9B 9B 1C 04 93 04 9B 93 F9 00 30 2E 2B 02 D1 04 9B 5B 1C 04 93 04 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 07 90 07 9B 00 2B 04 D1 02 9B 43 F0 01 03 02 93 06 E0 00 9B 9B 1C 00 93 02 9B 43 F0 02 03 02 93 03 E0 02 9B 43 F0 01 03 02 93 00 9A 0C 9B 1A 60 02 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_6_0_1 {
	meta:
		name = "_Cnd_do_broadcast_at_thread_exit"
		size = 276
		refs = "000e _Lock_at_thread_exit_mutex 0014 _Thrd_current 0022 memcpy 0076 _Thrd_equal 00ba _Mtx_unlock 00ce _Cnd_broadcast 0106 _Unlock_at_thread_exit_mutex 0110 thread_exit_data"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 8B B0 41 4B 00 93 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 08 AB 02 93 02 99 06 A8 08 22 ?? ?? ?? ?? 00 9B 00 2B 6C D0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 00 9B 03 F5 C8 73 1B 68 00 2B 5A D0 01 9B 14 2B 57 DA 00 99 01 9A 14 23 02 FB 03 F3 0B 44 08 33 1B 68 00 2B 4C D0 06 9A 07 9B 00 9C 01 98 14 21 00 FB 01 F1 21 44 03 91 03 99 08 68 49 68 ?? ?? ?? ?? 04 90 04 9B 00 2B 3A D0 00 99 01 9A 14 23 02 FB 03 F3 0B 44 10 33 1B 68 00 2B 09 D0 00 99 01 9A 14 23 02 FB 03 F3 0B 44 10 33 1A 68 01 23 13 60 00 99 01 9A 14 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 00 99 01 9A 14 23 02 FB 03 F3 0B 44 0C 33 18 68 ?? ?? ?? ?? 00 99 01 9A 14 23 02 FB 03 F3 0B 44 03 F1 08 02 00 23 13 60 00 9B 03 F5 C8 73 1B 68 5A 1E 00 9B 03 F5 C8 73 1A 60 9B E7 00 9B 03 F5 CA 73 1B 68 00 93 8F E7 ?? ?? ?? ?? 0B B0 BD E8 10 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_6_1_1 {
	meta:
		name = "_Cnd_register_at_thread_exit"
		size = 260
		refs = "0010 _Lock_at_thread_exit_mutex 0038 calloc 007c _Thrd_current 0096 memcpy 00f2 _Unlock_at_thread_exit_mutex 0100 thread_exit_data"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 87 B0 3C 4B 00 93 ?? ?? ?? ?? 00 9B 00 2B 6B D0 00 9B 03 F5 C8 73 1B 68 14 2B 16 D1 00 9B 03 F5 CA 73 1B 68 00 2B 0A D1 4F F4 CC 71 01 20 ?? ?? ?? ?? 02 90 00 9B 03 F5 CA 72 02 9B 13 60 00 9B 03 F5 CA 73 1B 68 00 93 4D E0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 14 2B 42 DA 00 99 01 9A 14 23 02 FB 03 F3 0B 44 08 33 1B 68 00 2B 37 D1 04 A8 ?? ?? ?? ?? 04 AB 03 93 03 9C 00 99 01 9A 14 23 02 FB 03 F3 C8 18 21 46 08 22 ?? ?? ?? ?? 00 99 01 9A 14 23 02 FB 03 F3 0B 44 03 F1 08 02 0B 9B 13 60 00 99 01 9A 14 23 02 FB 03 F3 0B 44 03 F1 0C 02 0A 9B 13 60 00 99 01 9A 14 23 02 FB 03 F3 0B 44 03 F1 10 02 0C 9B 13 60 00 9B 03 F5 C8 73 1B 68 5A 1C 00 9B 03 F5 C8 73 1A 60 00 E0 B6 E7 00 23 00 93 90 E7 ?? ?? ?? ?? 07 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_6_2_1 {
	meta:
		name = "_Cnd_unregister_at_thread_exit"
		size = 148
		refs = "000e _Lock_at_thread_exit_mutex 0080 _Unlock_at_thread_exit_mutex 0090 thread_exit_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 21 4B 00 93 ?? ?? ?? ?? 00 9B 00 2B 33 D0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 00 9B 03 F5 C8 73 1B 68 00 2B 21 D0 01 9B 14 2B 1E DA 00 99 01 9A 14 23 02 FB 03 F3 0B 44 08 33 1A 68 04 9B 9A 42 12 D1 00 99 01 9A 14 23 02 FB 03 F3 0B 44 03 F1 08 02 00 23 13 60 00 9B 03 F5 C8 73 1B 68 5A 1E 00 9B 03 F5 C8 73 1A 60 D4 E7 00 9B 03 F5 CA 73 1B 68 00 93 C8 E7 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_0_1 {
	meta:
		name = "_WStold"
		size = 48
		refs = "0012 _WStoldx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_45_0_1 {
	meta:
		name = "_Stod"
		size = 48
		refs = "0012 _Stodx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_64_0_1 {
	meta:
		name = "_Stold"
		size = 48
		refs = "0012 _Stoldx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_113_0_1 {
	meta:
		name = "_WStod"
		size = 48
		refs = "0012 _WStodx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_7_1_1 {
	meta:
		name = "_WStoldx"
		size = 552
		refs = "0008 __security_push_cookie 0016 _WStopfx 004e _WStoflt 0060 _LXp_setw 0086 _LXp_setn 009e _LXp_mulx 00c6 _LXp_addx 00dc _LDtento 0100 _WStoxflt 019a _LDscale 01d4 _LPmsw 01fa __security_pop_cookie 0210 _LNan 0214 _LInf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? ED B0 70 9B 09 93 71 99 70 A8 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 9B 03 F0 08 03 0F 93 73 9B 00 2B 02 D0 73 9A 00 23 13 60 02 9B 23 F0 08 03 02 93 02 9B 01 2B 55 D1 03 23 00 93 18 AB 71 9A 70 99 09 98 ?? ?? ?? ?? 0D 90 0D 9B 08 93 9F ED 71 0B 04 21 2C A8 ?? ?? ?? ?? 08 9B 00 2B 06 D1 9F ED 67 0B 04 21 1C A8 ?? ?? ?? ?? 29 E0 01 23 03 93 18 AB 1B 1D 1A 68 04 21 1C A8 ?? ?? ?? ?? 03 9A 08 9B 9A 42 1C DA 4C AB 00 93 04 23 2C AA 04 21 1C A8 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 04 23 02 FB 03 F2 18 AB 13 44 1A 68 04 21 34 A8 ?? ?? ?? ?? 04 23 34 AA 04 21 1C A8 ?? ?? ?? ?? DE E7 18 AB 72 9A 1B 68 13 44 72 93 73 9A 72 99 1C A8 ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 06 0B 6E E0 02 9B 02 2B 55 D1 03 23 00 93 18 AB 71 9A 70 99 09 98 ?? ?? ?? ?? 0E 90 0E 9B 0A 93 9F ED 43 0B 04 21 3C A8 ?? ?? ?? ?? 0A 9B 00 2B 06 D1 9F ED 3A 0B 04 21 24 A8 ?? ?? ?? ?? 29 E0 01 23 04 93 18 AB 1B 1D 1A 68 04 21 24 A8 ?? ?? ?? ?? 04 9A 0A 9B 9A 42 1C DA 5C AB 00 93 04 23 3C AA 04 21 24 A8 ?? ?? ?? ?? 04 9B 5B 1C 04 93 04 9A 04 23 02 FB 03 F2 18 AB 13 44 1A 68 04 21 44 A8 ?? ?? ?? ?? 04 23 44 AA 04 21 24 A8 ?? ?? ?? ?? DE E7 73 9A 72 99 24 A8 ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 06 0B 18 AB 19 68 06 A8 ?? ?? ?? ?? 15 E0 02 9B 03 2B 05 D1 1B 4B 93 ED 00 0B 8D ED 06 0B 0C E0 02 9B 04 2B 05 D1 15 4B 93 ED 00 0B 8D ED 06 0B 03 E0 9F ED 10 0B 8D ED 06 0B 0F 9B 00 2B 0C D0 06 A8 ?? ?? ?? ?? 10 90 10 9B 0B 93 0B 9B 1B 88 83 F4 00 43 9A B2 0B 9B 1A 80 9D ED 06 0B 8D ED 16 0B 9D ED 16 0B 6D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 41 00 00 00 00 65 CD CD 41 }
	condition:
		$1
}

rule file_45_1_1 {
	meta:
		name = "_Stodx"
		size = 552
		refs = "0008 __security_push_cookie 0016 _Stopfx 004e _Stoflt 0060 _Xp_setw 0086 _Xp_setn 009e _Xp_mulx 00c6 _Xp_addx 00dc _Dtento 0100 _Stoxflt 019a _Dscale 01d4 _Pmsw 01fa __security_pop_cookie 0210 _Nan 0214 _Inf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? ED B0 70 9B 09 93 71 99 70 A8 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 9B 03 F0 08 03 0F 93 73 9B 00 2B 02 D0 73 9A 00 23 13 60 02 9B 23 F0 08 03 02 93 02 9B 01 2B 55 D1 03 23 00 93 18 AB 71 9A 70 99 09 98 ?? ?? ?? ?? 0D 90 0D 9B 08 93 9F ED 71 0B 04 21 2C A8 ?? ?? ?? ?? 08 9B 00 2B 06 D1 9F ED 67 0B 04 21 1C A8 ?? ?? ?? ?? 29 E0 01 23 03 93 18 AB 1B 1D 1A 68 04 21 1C A8 ?? ?? ?? ?? 03 9A 08 9B 9A 42 1C DA 4C AB 00 93 04 23 2C AA 04 21 1C A8 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 04 23 02 FB 03 F2 18 AB 13 44 1A 68 04 21 34 A8 ?? ?? ?? ?? 04 23 34 AA 04 21 1C A8 ?? ?? ?? ?? DE E7 18 AB 72 9A 1B 68 13 44 72 93 73 9A 72 99 1C A8 ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 06 0B 6E E0 02 9B 02 2B 55 D1 03 23 00 93 18 AB 71 9A 70 99 09 98 ?? ?? ?? ?? 0E 90 0E 9B 0A 93 9F ED 43 0B 04 21 3C A8 ?? ?? ?? ?? 0A 9B 00 2B 06 D1 9F ED 3A 0B 04 21 24 A8 ?? ?? ?? ?? 29 E0 01 23 04 93 18 AB 1B 1D 1A 68 04 21 24 A8 ?? ?? ?? ?? 04 9A 0A 9B 9A 42 1C DA 5C AB 00 93 04 23 3C AA 04 21 24 A8 ?? ?? ?? ?? 04 9B 5B 1C 04 93 04 9A 04 23 02 FB 03 F2 18 AB 13 44 1A 68 04 21 44 A8 ?? ?? ?? ?? 04 23 44 AA 04 21 24 A8 ?? ?? ?? ?? DE E7 73 9A 72 99 24 A8 ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 06 0B 18 AB 19 68 06 A8 ?? ?? ?? ?? 15 E0 02 9B 03 2B 05 D1 1B 4B 93 ED 00 0B 8D ED 06 0B 0C E0 02 9B 04 2B 05 D1 15 4B 93 ED 00 0B 8D ED 06 0B 03 E0 9F ED 10 0B 8D ED 06 0B 0F 9B 00 2B 0C D0 06 A8 ?? ?? ?? ?? 10 90 10 9B 0B 93 0B 9B 1B 88 83 F4 00 43 9A B2 0B 9B 1A 80 9D ED 06 0B 8D ED 16 0B 9D ED 16 0B 6D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 41 00 00 00 00 65 CD CD 41 }
	condition:
		$1
}

rule file_64_1_1 {
	meta:
		name = "_Stoldx"
		size = 552
		refs = "0008 __security_push_cookie 0016 _Stopfx 004e _Stoflt 0060 _LXp_setw 0086 _LXp_setn 009e _LXp_mulx 00c6 _LXp_addx 00dc _LDtento 0100 _Stoxflt 019a _LDscale 01d4 _LPmsw 01fa __security_pop_cookie 0210 _LNan 0214 _LInf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? ED B0 70 9B 09 93 71 99 70 A8 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 9B 03 F0 08 03 0F 93 73 9B 00 2B 02 D0 73 9A 00 23 13 60 02 9B 23 F0 08 03 02 93 02 9B 01 2B 55 D1 03 23 00 93 18 AB 71 9A 70 99 09 98 ?? ?? ?? ?? 0D 90 0D 9B 08 93 9F ED 71 0B 04 21 2C A8 ?? ?? ?? ?? 08 9B 00 2B 06 D1 9F ED 67 0B 04 21 1C A8 ?? ?? ?? ?? 29 E0 01 23 03 93 18 AB 1B 1D 1A 68 04 21 1C A8 ?? ?? ?? ?? 03 9A 08 9B 9A 42 1C DA 4C AB 00 93 04 23 2C AA 04 21 1C A8 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 04 23 02 FB 03 F2 18 AB 13 44 1A 68 04 21 34 A8 ?? ?? ?? ?? 04 23 34 AA 04 21 1C A8 ?? ?? ?? ?? DE E7 18 AB 72 9A 1B 68 13 44 72 93 73 9A 72 99 1C A8 ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 06 0B 6E E0 02 9B 02 2B 55 D1 03 23 00 93 18 AB 71 9A 70 99 09 98 ?? ?? ?? ?? 0E 90 0E 9B 0A 93 9F ED 43 0B 04 21 3C A8 ?? ?? ?? ?? 0A 9B 00 2B 06 D1 9F ED 3A 0B 04 21 24 A8 ?? ?? ?? ?? 29 E0 01 23 04 93 18 AB 1B 1D 1A 68 04 21 24 A8 ?? ?? ?? ?? 04 9A 0A 9B 9A 42 1C DA 5C AB 00 93 04 23 3C AA 04 21 24 A8 ?? ?? ?? ?? 04 9B 5B 1C 04 93 04 9A 04 23 02 FB 03 F2 18 AB 13 44 1A 68 04 21 44 A8 ?? ?? ?? ?? 04 23 44 AA 04 21 24 A8 ?? ?? ?? ?? DE E7 73 9A 72 99 24 A8 ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 06 0B 18 AB 19 68 06 A8 ?? ?? ?? ?? 15 E0 02 9B 03 2B 05 D1 1B 4B 93 ED 00 0B 8D ED 06 0B 0C E0 02 9B 04 2B 05 D1 15 4B 93 ED 00 0B 8D ED 06 0B 03 E0 9F ED 10 0B 8D ED 06 0B 0F 9B 00 2B 0C D0 06 A8 ?? ?? ?? ?? 10 90 10 9B 0B 93 0B 9B 1B 88 83 F4 00 43 9A B2 0B 9B 1A 80 9D ED 06 0B 8D ED 16 0B 9D ED 16 0B 6D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 41 00 00 00 00 65 CD CD 41 }
	condition:
		$1
}

rule file_113_1_1 {
	meta:
		name = "_WStodx"
		size = 552
		refs = "0008 __security_push_cookie 0016 _WStopfx 004e _WStoflt 0060 _Xp_setw 0086 _Xp_setn 009e _Xp_mulx 00c6 _Xp_addx 00dc _Dtento 0100 _WStoxflt 019a _Dscale 01d4 _Pmsw 01fa __security_pop_cookie 0210 _Nan 0214 _Inf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? ED B0 70 9B 09 93 71 99 70 A8 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 9B 03 F0 08 03 0F 93 73 9B 00 2B 02 D0 73 9A 00 23 13 60 02 9B 23 F0 08 03 02 93 02 9B 01 2B 55 D1 03 23 00 93 18 AB 71 9A 70 99 09 98 ?? ?? ?? ?? 0D 90 0D 9B 08 93 9F ED 71 0B 04 21 2C A8 ?? ?? ?? ?? 08 9B 00 2B 06 D1 9F ED 67 0B 04 21 1C A8 ?? ?? ?? ?? 29 E0 01 23 03 93 18 AB 1B 1D 1A 68 04 21 1C A8 ?? ?? ?? ?? 03 9A 08 9B 9A 42 1C DA 4C AB 00 93 04 23 2C AA 04 21 1C A8 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 04 23 02 FB 03 F2 18 AB 13 44 1A 68 04 21 34 A8 ?? ?? ?? ?? 04 23 34 AA 04 21 1C A8 ?? ?? ?? ?? DE E7 18 AB 72 9A 1B 68 13 44 72 93 73 9A 72 99 1C A8 ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 06 0B 6E E0 02 9B 02 2B 55 D1 03 23 00 93 18 AB 71 9A 70 99 09 98 ?? ?? ?? ?? 0E 90 0E 9B 0A 93 9F ED 43 0B 04 21 3C A8 ?? ?? ?? ?? 0A 9B 00 2B 06 D1 9F ED 3A 0B 04 21 24 A8 ?? ?? ?? ?? 29 E0 01 23 04 93 18 AB 1B 1D 1A 68 04 21 24 A8 ?? ?? ?? ?? 04 9A 0A 9B 9A 42 1C DA 5C AB 00 93 04 23 3C AA 04 21 24 A8 ?? ?? ?? ?? 04 9B 5B 1C 04 93 04 9A 04 23 02 FB 03 F2 18 AB 13 44 1A 68 04 21 44 A8 ?? ?? ?? ?? 04 23 44 AA 04 21 24 A8 ?? ?? ?? ?? DE E7 73 9A 72 99 24 A8 ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 06 0B 18 AB 19 68 06 A8 ?? ?? ?? ?? 15 E0 02 9B 03 2B 05 D1 1B 4B 93 ED 00 0B 8D ED 06 0B 0C E0 02 9B 04 2B 05 D1 15 4B 93 ED 00 0B 8D ED 06 0B 03 E0 9F ED 10 0B 8D ED 06 0B 0F 9B 00 2B 0C D0 06 A8 ?? ?? ?? ?? 10 90 10 9B 0B 93 0B 9B 1B 88 83 F4 00 43 9A B2 0B 9B 1A 80 9D ED 06 0B 8D ED 16 0B 9D ED 16 0B 6D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 41 00 00 00 00 65 CD CD 41 }
	condition:
		$1
}

rule file_8_0_1 {
	meta:
		name = "_LSinh"
		size = 576
		refs = "0012 _LDtest 0150 _LPoly 01a8 _LExp 01f6 _Feraise 0234 _LXbig 0238 p 023c _LRteps"
	strings:
		$1 = { 2D E9 00 48 EB 46 96 B0 8D ED 06 1B 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 31 D0 02 9B 01 2B 08 D0 02 9B 02 2B 00 D0 33 E0 9D ED 04 0B 8D ED 08 0B F4 E0 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 04 D0 9D ED 04 0B 8D ED 0C 0B 14 E0 04 AB 9B 1D 1B 88 13 F4 00 4F 06 D0 9D ED 06 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 06 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B CE E0 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B C5 E0 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 16 D1 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 06 0B B1 EE 40 0B 8D ED 0E 0B 03 E0 9D ED 06 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 08 0B A7 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 09 D2 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 23 AD F8 00 30 02 E0 00 23 AD F8 00 30 9D ED 04 1B 4D 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 08 D2 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 04 0B 6D E0 9D ED 04 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 28 D2 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B 8D ED 10 0B 07 21 3B 48 9D ED 10 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 04 1B 9D ED 10 0B 21 EE 00 1B 9D ED 14 0B 21 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 04 0B 3B E0 9D ED 04 1B 29 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0B 04 A8 ?? ?? ?? ?? B5 EE 00 1B 9D ED 04 0B 81 EE 00 1B 9D ED 04 0B 30 EE 41 1B 9D ED 06 0B 20 EE 01 0B 8D ED 04 0B 19 E0 6F F0 00 01 9D ED 06 0B 04 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 03 93 03 9B 00 2B 03 D0 03 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 00 2B 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 12 0B 03 E0 9D ED 04 0B 8D ED 12 0B 9D ED 12 0B 8D ED 08 0B 9D ED 08 0B 16 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_0_1 {
	meta:
		name = "??0_ContextCallback@details@Concurrency@@QAA@_N@Z"
		size = 48
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 14 30 00 2B 03 D0 04 9A 01 23 13 60 02 E0 04 9A 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_1_1 {
	meta:
		name = "??0task_continuation_context@Concurrency@@AAA@XZ"
		size = 44
		refs = "000e ??0_ContextCallback@details@Concurrency@@QAA@_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 01 90 04 9B 1A 1D 00 23 13 70 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_4_1 {
	meta:
		name = "??R?$_Func_class@X$$V@std@@QBAXXZ"
		size = 80
		refs = "000e ?_Empty@?$_Func_class@X$$V@std@@IBA_NXZ 001e ?_Xbad_function_call@std@@YAXXZ 0024 ?_Getimpl@?$_Func_class@X$$V@std@@ABAPAV?$_Func_base@X$$V@2@XZ 003c _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D0 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 1B 68 08 33 01 9C 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 05 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_9_5_1 {
	meta:
		name = "?CaptureCallstack@platform@details@Concurrency@@YAIPAPAXII@Z"
		size = 64
		refs = "003c __imp_RtlCaptureStackBackTrace"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 83 B0 00 23 01 93 00 23 06 9A 08 99 07 98 40 1C 08 4C 24 68 A0 47 AD F8 00 00 BD F8 00 30 01 93 01 9B 02 93 02 98 03 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_6_1 {
	meta:
		name = "?GetCurrentThreadId@platform@details@Concurrency@@YAJXZ"
		size = 32
		refs = "001c __imp_GetCurrentThreadId"
		altNames = "_Thrd_id"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_7_1 {
	meta:
		name = "?GetNextAsyncId@platform@details@Concurrency@@YAIXZ"
		size = 52
		refs = "0030 ?s_asyncId@platform@details@Concurrency@@3IA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 BF F3 5B 8F 08 49 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 13 46 00 93 BF F3 5B 8F 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_10_1 {
	meta:
		name = "?_CallInContext@_ContextCallback@details@Concurrency@@QBAXV?$function@$$A6AXXZ@std@@_N@Z"
		size = 44
		refs = "0018 ??R?$_Func_class@X$$V@std@@QBAXXZ 001e ??1?$function@$$A6AXXZ@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 F8 69 ?? ?? ?? ?? F8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_9_13_1 {
	meta:
		name = "?_Empty@?$_Func_class@X$$V@std@@IBA_NXZ"
		size = 56
		refs = "000c ?_Getimpl@?$_Func_class@X$$V@std@@ABAPAV?$_Func_base@X$$V@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_61_147_1 {
	meta:
		name = "?good@ios_base@std@@QBA_NXZ"
		size = 56
		refs = "000c ?rdstate@ios_base@std@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_101_1 {
	meta:
		name = "_Current_set"
		size = 56
		refs = "000c _wchdir"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_14_1 {
	meta:
		name = "?_Getimpl@?$_Func_class@X$$V@std@@ABAPAV?$_Func_base@X$$V@2@XZ"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 24 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_16_1 {
	meta:
		name = "?_IsCurrentOriginSTA@_ContextCallback@details@Concurrency@@CA_NXZ"
		size = 24
		altNames = "?_IsNonBlockingThread@_Task_impl_base@details@Concurrency@@SA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_9_18_1 {
	meta:
		name = "?_Local@?$_Func_class@X$$V@std@@ABA_NXZ"
		size = 66
		refs = "000c ?_Getimpl@?$_Func_class@X$$V@std@@ABAPAV?$_Func_base@X$$V@2@XZ 0014 ?_Getspace@?$_Func_class@X$$V@std@@ABAPBXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 06 98 ?? ?? ?? ?? 02 90 01 9A 02 9B 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_27_1 {
	meta:
		name = "?_Set@?$_Func_class@X$$V@std@@AAAXPAV?$_Func_base@X$$V@2@@Z"
		size = 26
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 24 02 03 9B 13 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_28_1 {
	meta:
		name = "?_Tidy@?$_Func_class@X$$V@std@@IAAXXZ"
		size = 122
		refs = "000e ?_Empty@?$_Func_class@X$$V@std@@IBA_NXZ 0020 ?_Local@?$_Func_class@X$$V@std@@ABA_NXZ 0040 ?_Getimpl@?$_Func_class@X$$V@std@@ABAPAV?$_Func_base@X$$V@2@XZ 005c _guard_check_icall 006c ?_Set@?$_Func_class@X$$V@std@@AAAXPAV?$_Func_base@X$$V@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 84 B0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 28 D1 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 9D F8 00 50 01 9C 01 9B 1B 68 10 33 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 29 46 98 47 00 21 08 98 ?? ?? ?? ?? 04 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_0_1 {
	meta:
		name = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
		size = 40
		refs = "000c ??0?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAA@XZ 0012 ??0?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1_1 {
	meta:
		name = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
		size = 40
		refs = "000c ??0?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAA@XZ 0012 ??0?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_0_1 {
	meta:
		name = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
		size = 40
		refs = "000c ??0?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAA@XZ 0012 ??0?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_1_1 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z"
		size = 50
		refs = "000c ??$forward@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z 0016 ??0?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAA@$$QAU01@@Z 001c ??0?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 98 ?? ?? ?? ?? 00 90 00 99 06 98 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 02 90 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_5_1 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z"
		size = 50
		refs = "000c ??$forward@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z 0016 ??0?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAA@$$QAU01@@Z 001c ??0?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 98 ?? ?? ?? ?? 00 90 00 99 06 98 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 02 90 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_7_1 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z"
		size = 50
		refs = "000c ??$forward@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z 0016 ??0?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAA@$$QAU01@@Z 001c ??0?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 98 ?? ?? ?? ?? 00 90 00 99 06 98 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 02 90 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_2_1 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@X@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z"
		size = 48
		refs = "000c ??$forward@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z 001a ??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 01 90 01 9A 9D F8 00 10 06 98 ?? ?? ?? ?? 03 90 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_6_1 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@X@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z"
		size = 48
		refs = "000c ??$forward@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z 001a ??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 01 90 01 9A 9D F8 00 10 06 98 ?? ?? ?? ?? 03 90 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_8_1 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@X@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z"
		size = 48
		refs = "000c ??$forward@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z 001a ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 01 90 01 9A 9D F8 00 10 06 98 ?? ?? ?? ?? 03 90 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_3_1 {
	meta:
		name = "??$?0V?$allocator@D@std@@@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAA@$$QAV?$allocator@D@1@@Z"
		size = 42
		refs = "000c ??$forward@V?$allocator@D@std@@@std@@YA$$QAV?$allocator@D@0@AAV10@@Z 0016 ??0?$allocator@D@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_78_1_2 {
	meta:
		name = "??$?0AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z"
		size = 42
		refs = "000c ??$forward@AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z 0016 ??$?0D@?$allocator@U_Container_proxy@std@@@std@@QAA@ABV?$allocator@D@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_4_2 {
	meta:
		name = "??$?0AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z"
		size = 42
		refs = "000c ??$forward@AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z 0016 ??$?0G@?$allocator@U_Container_proxy@std@@@std@@QAA@ABV?$allocator@G@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_17_1_3 {
	meta:
		name = "??$?0AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z"
		size = 42
		refs = "000c ??$forward@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z 0016 ??$?0_W@?$allocator@U_Container_proxy@std@@@std@@QAA@ABV?$allocator@_W@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_18_2 {
	meta:
		name = "??$?0V?$allocator@G@std@@@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAA@$$QAV?$allocator@G@1@@Z"
		size = 42
		refs = "000c ??$forward@V?$allocator@G@std@@@std@@YA$$QAV?$allocator@G@0@AAV10@@Z 0016 ??0?$allocator@G@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_19_3 {
	meta:
		name = "??$?0V?$allocator@_W@std@@@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAA@$$QAV?$allocator@_W@1@@Z"
		size = 42
		refs = "000c ??$forward@V?$allocator@_W@std@@@std@@YA$$QAV?$allocator@_W@0@AAV10@@Z 0016 ??0?$allocator@_W@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_32_1 {
	meta:
		name = "??0?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAA@$$QAU01@@Z"
		size = 42
		refs = "000c ??$move@AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z 0016 ??0?$allocator@D@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_191_1 {
	meta:
		name = "??0?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAA@$$QAU01@@Z"
		size = 42
		refs = "000c ??$move@AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z 0016 ??0?$allocator@G@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_193_1 {
	meta:
		name = "??0?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAA@$$QAU01@@Z"
		size = 42
		refs = "000c ??$move@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z 0016 ??0?$allocator@_W@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_4_1 {
	meta:
		name = "??$_Fgetc@D@std@@YA_NAADPAU_iobuf@@@Z"
		size = 68
		refs = "000c fgetc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B B3 F1 FF 3F 04 D1 00 23 8D F8 04 30 07 E0 06 E0 00 9B 5A B2 06 9B 1A 70 01 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_5_1 {
	meta:
		name = "??$_Fputc@D@std@@YA_NDPAU_iobuf@@@Z"
		size = 62
		refs = "0010 fputc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 9D F9 18 00 ?? ?? ?? ?? 01 90 01 9B B3 F1 FF 3F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_6_1 {
	meta:
		name = "??$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ"
		size = 80
		refs = "002c ??0?$_Immortalizer@V_Iostream_error_category@std@@@std@@QAA@XZ 0032 atexit 0044 ?_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@1@XZ@4U?$_Immortalizer@V_Iostream_error_category@std@@@1@A 0048 ??__F_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ@YAXXZ 004c ??_B?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ@51"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 0D 4B 1B 68 13 F0 01 0F 0B D1 0B 4B 1B 68 43 F0 01 02 09 4B 1A 60 06 48 ?? ?? ?? ?? 05 48 ?? ?? ?? ?? 03 4B 3B 60 38 68 05 B0 BD E8 80 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_7_1 {
	meta:
		name = "??$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ"
		size = 80
		refs = "002c ??0?$_Immortalizer@V_Generic_error_category@std@@@std@@QAA@XZ 0032 atexit 0044 ?_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@1@XZ@4U?$_Immortalizer@V_Generic_error_category@std@@@1@A 0048 ??__F_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ@YAXXZ 004c ??_B?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ@51"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 0D 4B 1B 68 13 F0 01 0F 0B D1 0B 4B 1B 68 43 F0 01 02 09 4B 1A 60 06 48 ?? ?? ?? ?? 05 48 ?? ?? ?? ?? 03 4B 3B 60 38 68 05 B0 BD E8 80 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_9_1 {
	meta:
		name = "??$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ"
		size = 80
		refs = "002c ??0?$_Immortalizer@V_System_error_category@std@@@std@@QAA@XZ 0032 atexit 0044 ?_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@1@XZ@4U?$_Immortalizer@V_System_error_category@std@@@1@A 0048 ??__F_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ@YAXXZ 004c ??_B?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ@51"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 0D 4B 1B 68 13 F0 01 0F 0B D1 0B 4B 1B 68 43 F0 01 02 09 4B 1A 60 06 48 ?? ?? ?? ?? 05 48 ?? ?? ?? ?? 03 4B 3B 60 38 68 05 B0 BD E8 80 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_7_1 {
	meta:
		name = "__unwindfunclet$??$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ$0"
		size = 20
		refs = "0010 ??_B?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ@51"
	strings:
		$1 = { 03 4B 1B 68 23 F0 01 02 01 4B 1A 60 70 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_8_1 {
	meta:
		name = "__unwindfunclet$??$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ$0"
		size = 20
		refs = "0010 ??_B?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ@51"
	strings:
		$1 = { 03 4B 1B 68 23 F0 01 02 01 4B 1A 60 70 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_10_1 {
	meta:
		name = "__unwindfunclet$??$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ$0"
		size = 20
		refs = "0010 ??_B?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ@51"
	strings:
		$1 = { 03 4B 1B 68 23 F0 01 02 01 4B 1A 60 70 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_9_1 {
	meta:
		name = "??$_Ungetc@D@std@@YA_NABDPAU_iobuf@@@Z"
		size = 66
		refs = "0014 ungetc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 01 90 01 9B B3 F1 FF 3F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_12_1 {
	meta:
		name = "??$construct@PADAAPAD@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPAPADAAPAD@Z"
		size = 38
		refs = "000c ??$forward@AAPAD@std@@YAAAPADAAPAD@Z 0018 ??$construct@PADAAPAD@?$allocator_traits@V?$allocator@D@std@@@std@@SAXAAV?$allocator@D@1@PAPADAAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_160_3 {
	meta:
		name = "??$construct@PADAAPAD@?$allocator_traits@V?$allocator@D@std@@@std@@SAXAAV?$allocator@D@1@PAPADAAPAD@Z"
		size = 38
		refs = "000c ??$forward@AAPAD@std@@YAAAPADAAPAD@Z 0018 ??$construct@PADAAPAD@?$allocator@D@std@@QAAXPAPADAAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_161_3 {
	meta:
		name = "??$construct@PAGAAPAG@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAPAGAAPAG@Z"
		size = 38
		refs = "000c ??$forward@AAPAG@std@@YAAAPAGAAPAG@Z 0018 ??$construct@PAGAAPAG@?$allocator_traits@V?$allocator@G@std@@@std@@SAXAAV?$allocator@G@1@PAPAGAAPAG@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_163_3 {
	meta:
		name = "??$construct@PAGAAPAG@?$allocator_traits@V?$allocator@G@std@@@std@@SAXAAV?$allocator@G@1@PAPAGAAPAG@Z"
		size = 38
		refs = "000c ??$forward@AAPAG@std@@YAAAPAGAAPAG@Z 0018 ??$construct@PAGAAPAG@?$allocator@G@std@@QAAXPAPAGAAPAG@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_32_3_1 {
	meta:
		name = "??$construct@PA_WAAPA_W@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPAPA_WAAPA_W@Z"
		size = 38
		refs = "000c ??$forward@AAPA_W@std@@YAAAPA_WAAPA_W@Z 0018 ??$construct@PA_WAAPA_W@?$allocator_traits@V?$allocator@_W@std@@@std@@SAXAAV?$allocator@_W@1@PAPA_WAAPA_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_166_3 {
	meta:
		name = "??$construct@PA_WAAPA_W@?$allocator_traits@V?$allocator@_W@std@@@std@@SAXAAV?$allocator@_W@1@PAPA_WAAPA_W@Z"
		size = 38
		refs = "000c ??$forward@AAPA_W@std@@YAAAPA_WAAPA_W@Z 0018 ??$construct@PA_WAAPA_W@?$allocator@_W@std@@QAAXPAPA_WAAPA_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_82_28_3 {
	meta:
		name = "??$construct@U_Container_proxy@std@@U12@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@$$QAU21@@Z"
		size = 38
		refs = "000c ??$forward@U_Container_proxy@std@@@std@@YA$$QAU_Container_proxy@0@AAU10@@Z 0018 ??$construct@U_Container_proxy@std@@U12@@?$allocator_traits@V?$allocator@U_Container_proxy@std@@@std@@@std@@SAXAAV?$allocator@U_Container_proxy@std@@@1@PAU_Container_proxy@1@$$QAU31@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_7_14_2 {
	meta:
		name = "??$construct@U_Container_proxy@std@@U12@@?$allocator_traits@V?$allocator@U_Container_proxy@std@@@std@@@std@@SAXAAV?$allocator@U_Container_proxy@std@@@1@PAU_Container_proxy@1@$$QAU31@@Z"
		size = 38
		refs = "000c ??$forward@U_Container_proxy@std@@@std@@YA$$QAU_Container_proxy@0@AAU10@@Z 0018 ??$construct@U_Container_proxy@std@@U12@@?$allocator@U_Container_proxy@std@@@std@@QAAXPAU_Container_proxy@1@$$QAU21@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_13_1 {
	meta:
		name = "??$construct@PADAAPAD@?$allocator@D@std@@QAAXPAPADAAPAD@Z"
		size = 66
		refs = "000e ??2@YAPAXIPAX@Z 0020 ??$forward@AAPAD@std@@YAAAPADAAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 99 04 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 0A D0 08 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 00 9B 1A 60 00 9B 03 93 01 E0 00 23 03 93 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_91_1 {
	meta:
		name = "??$construct@PAGAAPAG@?$allocator@G@std@@QAAXPAPAGAAPAG@Z"
		size = 66
		refs = "000e ??2@YAPAXIPAX@Z 0020 ??$forward@AAPAG@std@@YAAAPAGAAPAG@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 99 04 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 0A D0 08 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 00 9B 1A 60 00 9B 03 93 01 E0 00 23 03 93 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_5_1 {
	meta:
		name = "??$construct@PA_WAAPA_W@?$allocator@_W@std@@QAAXPAPA_WAAPA_W@Z"
		size = 66
		refs = "000e ??2@YAPAXIPAX@Z 0020 ??$forward@AAPA_W@std@@YAAAPA_WAAPA_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 99 04 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 0A D0 08 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 00 9B 1A 60 00 9B 03 93 01 E0 00 23 03 93 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_15_1 {
	meta:
		name = "??$destroy@PAD@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPAPAD@Z"
		size = 24
		refs = "000c ??$destroy@PAD@?$allocator_traits@V?$allocator@D@std@@@std@@SAXAAV?$allocator@D@1@PAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_33_18_3 {
	meta:
		name = "??$_Swap_adl@PAD@std@@YAXAAPAD0@Z"
		size = 24
		refs = "000c ??$swap@PADX@std@@YAXAAPAD0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_33_21_2 {
	meta:
		name = "??$destroy@PAD@?$allocator_traits@V?$allocator@D@std@@@std@@SAXAAV?$allocator@D@1@PAPAD@Z"
		size = 24
		refs = "000c ??$destroy@PAD@?$allocator@D@std@@QAAXPAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_175_3 {
	meta:
		name = "??$destroy@PAG@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAPAG@Z"
		size = 24
		refs = "000c ??$destroy@PAG@?$allocator_traits@V?$allocator@G@std@@@std@@SAXAAV?$allocator@G@1@PAPAG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_131_2 {
	meta:
		name = "??$destroy@PAG@?$allocator_traits@V?$allocator@G@std@@@std@@SAXAAV?$allocator@G@1@PAPAG@Z"
		size = 24
		refs = "000c ??$destroy@PAG@?$allocator@G@std@@QAAXPAPAG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_17_13_2 {
	meta:
		name = "??$destroy@PA_W@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPAPA_W@Z"
		size = 24
		refs = "000c ??$destroy@PA_W@?$allocator_traits@V?$allocator@_W@std@@@std@@SAXAAV?$allocator@_W@1@PAPA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_106_1 {
	meta:
		name = "??$destroy@PA_W@?$allocator_traits@V?$allocator@_W@std@@@std@@SAXAAV?$allocator@_W@1@PAPA_W@Z"
		size = 24
		refs = "000c ??$destroy@PA_W@?$allocator@_W@std@@QAAXPAPA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_47_3 {
	meta:
		name = "??$destroy@U_Container_proxy@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@@Z"
		size = 24
		refs = "000c ??$destroy@U_Container_proxy@std@@@?$allocator_traits@V?$allocator@U_Container_proxy@std@@@std@@@std@@SAXAAV?$allocator@U_Container_proxy@std@@@1@PAU_Container_proxy@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_29_2 {
	meta:
		name = "??$destroy@U_Container_proxy@std@@@?$allocator_traits@V?$allocator@U_Container_proxy@std@@@std@@@std@@SAXAAV?$allocator@U_Container_proxy@std@@@1@PAU_Container_proxy@1@@Z"
		size = 24
		refs = "000c ??$destroy@U_Container_proxy@std@@@?$allocator@U_Container_proxy@std@@@std@@QAAXPAU_Container_proxy@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_82_21_2 {
	meta:
		name = "??$destroy@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@@Z"
		size = 24
		refs = "000c ??$destroy@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_93_39_2 {
	meta:
		name = "??$iter_swap@PADPAD@std@@YAXPAD0@Z"
		size = 24
		refs = "000c ??$swap@DX@std@@YAXAAD0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_133_1 {
	meta:
		name = "?swap@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXAAV12@@Z"
		size = 24
		refs = "000c ?_Swap@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXAAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_23_1 {
	meta:
		name = "??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$codecvt@DDU_Mbstatet@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$codecvt@DDU_Mbstatet@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_23_1 {
	meta:
		name = "??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$codecvt@GDU_Mbstatet@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$codecvt@GDU_Mbstatet@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_37_2 {
	meta:
		name = "??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$codecvt@_WDU_Mbstatet@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_48_1 {
	meta:
		name = "??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$collate@D@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$collate@D@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_125_1 {
	meta:
		name = "??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$collate@G@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$collate@G@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_127_1 {
	meta:
		name = "??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$collate@_W@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$collate@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_46_3 {
	meta:
		name = "??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$ctype@D@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$ctype@D@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_39_2 {
	meta:
		name = "??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$ctype@G@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$ctype@G@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_212_3 {
	meta:
		name = "??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$ctype@_W@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$ctype@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_52_1 {
	meta:
		name = "??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$messages@D@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$messages@D@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_133_1 {
	meta:
		name = "??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$messages@G@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$messages@G@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_170_2 {
	meta:
		name = "??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$messages@_W@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$messages@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_74_2 {
	meta:
		name = "??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_218_3 {
	meta:
		name = "??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_220_3 {
	meta:
		name = "??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_56_1 {
	meta:
		name = "??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_176_2 {
	meta:
		name = "??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_178_2 {
	meta:
		name = "??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_58_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$moneypunct@D$00@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$moneypunct@D$00@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_60_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$moneypunct@D$0A@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_145_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$moneypunct@G$00@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$moneypunct@G$00@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_147_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$moneypunct@G$0A@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_184_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$moneypunct@_W$00@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$moneypunct@_W$00@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_186_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$moneypunct@_W$0A@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_42_2 {
	meta:
		name = "??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_153_1 {
	meta:
		name = "??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_155_1 {
	meta:
		name = "??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_32_1 {
	meta:
		name = "??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_238_3 {
	meta:
		name = "??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_240_3 {
	meta:
		name = "??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_56_3 {
	meta:
		name = "??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$numpunct@D@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$numpunct@D@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_161_1 {
	meta:
		name = "??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$numpunct@G@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$numpunct@G@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_163_1 {
	meta:
		name = "??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$numpunct@_W@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$numpunct@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_62_1 {
	meta:
		name = "??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_165_1 {
	meta:
		name = "??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_248_3 {
	meta:
		name = "??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_84_2 {
	meta:
		name = "??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_204_2 {
	meta:
		name = "??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_252_3 {
	meta:
		name = "??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 208
		refs = "001c ??0_Lockit@std@@QAA@H@Z 002a ??Bid@locale@std@@QAAIXZ 0038 ?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z 005a ?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 006c ??0bad_cast@std@@QAA@XZ 0076 _CxxThrowException 0098 _guard_check_icall 00a4 ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00b0 ??1_Lockit@std@@QAA@XZ 00c4 ?_Psave@?$_Facetptr@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 00c8 _TI2?AVbad_cast@std@@ 00cc ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 92 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 21 17 F1 20 00 ?? ?? ?? ?? F8 62 28 4B 1B 68 3B 60 28 48 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 6D ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 00 2B 00 D0 2E E0 3B 68 00 2B 02 D0 3B 68 7B 60 28 E0 B9 6D 38 46 ?? ?? ?? ?? F8 61 FB 69 B3 F1 FF 3F 09 D1 17 F1 38 00 ?? ?? ?? ?? 15 49 17 F1 38 00 ?? ?? ?? ?? 15 E0 3B 68 7B 60 3A 68 10 4B 1A 60 3B 68 BB 60 BB 68 1B 68 1B 1D BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 B8 68 ?? ?? ?? ?? 7B 68 7B 62 17 F1 20 00 ?? ?? ?? ?? 7B 6A BB 62 B8 6A 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_27_1 {
	meta:
		name = "??0?$_Immortalizer@V_Iostream_error_category@std@@@std@@QAA@XZ"
		size = 64
		refs = "000e ??2@YAPAXIPAX@Z 0020 ??0_Iostream_error_category@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 99 08 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 01 E0 00 23 03 93 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_35_1 {
	meta:
		name = "??0?$_Immortalizer@V_Generic_error_category@std@@@std@@QAA@XZ"
		size = 64
		refs = "000e ??2@YAPAXIPAX@Z 0020 ??0_Generic_error_category@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 99 08 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 01 E0 00 23 03 93 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_36_1 {
	meta:
		name = "??0?$_Immortalizer@V_System_error_category@std@@@std@@QAA@XZ"
		size = 64
		refs = "000e ??2@YAPAXIPAX@Z 0020 ??0_System_error_category@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 99 08 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 01 E0 00 23 03 93 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_28_1 {
	meta:
		name = "??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ"
		size = 38
		refs = "0010 ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 9D F8 00 10 06 98 ?? ?? ?? ?? 02 90 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_178_1 {
	meta:
		name = "??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ"
		size = 38
		refs = "0010 ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 9D F8 00 10 06 98 ?? ?? ?? ?? 02 90 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_11_1 {
	meta:
		name = "??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ"
		size = 38
		refs = "0010 ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 9D F8 00 10 06 98 ?? ?? ?? ?? 02 90 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_29_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PBDPBU_Container_base0@1@@Z"
		size = 40
		refs = "0014 ?_Adopt@_Iterator_base0@std@@QAAXPBX@Z"
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PBGPBU_Container_base0@1@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PB_WPBU_Container_base0@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 06 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_30_1 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PADPBU_Container_base0@1@@Z"
		size = 36
		refs = "0010 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PBDPBU_Container_base0@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_184_1 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PAGPBU_Container_base0@1@@Z"
		size = 36
		refs = "0010 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PBGPBU_Container_base0@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_13_1 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PA_WPBU_Container_base0@1@@Z"
		size = 36
		refs = "0010 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PB_WPBU_Container_base0@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_31_1 {
	meta:
		name = "??0?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
		size = 54
		refs = "000c ??0_Bxty@?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 04 9B 03 F1 10 02 00 23 13 60 04 9B 03 F1 14 02 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_187_1 {
	meta:
		name = "??0?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
		size = 54
		refs = "000c ??0_Bxty@?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 04 9B 03 F1 10 02 00 23 13 60 04 9B 03 F1 14 02 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_14_1 {
	meta:
		name = "??0?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
		size = 54
		refs = "000c ??0_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 04 9B 03 F1 10 02 00 23 13 60 04 9B 03 F1 14 02 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_33_1 {
	meta:
		name = "??0?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAA@XZ"
		size = 32
		refs = "000c ??0?$allocator@D@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_192_1 {
	meta:
		name = "??0?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAA@XZ"
		size = 32
		refs = "000c ??0?$allocator@G@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_14_1 {
	meta:
		name = "??0?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAA@XZ"
		size = 32
		refs = "000c ??0?$allocator@_W@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_39_1 {
	meta:
		name = "??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
		size = 32
		refs = "000c ??0?$_Ptr_base@V__ExceptionPtr@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_115_1 {
	meta:
		name = "??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ"
		size = 32
		refs = "000c ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_474_2 {
	meta:
		name = "??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ"
		size = 32
		refs = "000c ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_475_2 {
	meta:
		name = "??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ"
		size = 32
		refs = "000c ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_80_4 {
	meta:
		name = "?getECSUName@UnDecorator@@CA?AVDName@@XZ"
		size = 32
		refs = "000c ?getScopedName@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_107_4 {
	meta:
		name = "?getStorageConvention@UnDecorator@@CA?AVDName@@XZ"
		size = 32
		refs = "000c ?getDataIndirectType@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_34_1 {
	meta:
		name = "??0?$_Yarn@D@std@@QAA@XZ"
		size = 40
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 1A 1D 00 23 13 70 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_35_1 {
	meta:
		name = "??0?$_Yarn@_W@std@@QAA@XZ"
		size = 40
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 1A 1D 00 23 13 80 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_38_1 {
	meta:
		name = "??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAA@PAU_iobuf@@@Z"
		size = 68
		refs = "0018 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAA@XZ 002a ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 0040 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 08 4A 3B 6A 1A 60 00 22 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_56_2 {
	meta:
		name = "??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAA@PAU_iobuf@@@Z"
		size = 68
		refs = "0018 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ 002a ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 0040 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 08 4A 3B 6A 1A 60 00 22 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_56_2 {
	meta:
		name = "??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z"
		size = 68
		refs = "0018 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ 002a ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 0040 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 08 4A 3B 6A 1A 60 00 22 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_40_1 {
	meta:
		name = "??0?$basic_ios@DU?$char_traits@D@std@@@std@@IAA@XZ"
		size = 44
		refs = "000c ??0ios_base@std@@IAA@XZ 0028 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_58_2 {
	meta:
		name = "??0?$basic_ios@GU?$char_traits@G@std@@@std@@IAA@XZ"
		size = 44
		refs = "000c ??0ios_base@std@@IAA@XZ 0028 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_58_2 {
	meta:
		name = "??0?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAA@XZ"
		size = 44
		refs = "000c ??0ios_base@std@@IAA@XZ 0028 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_41_1 {
	meta:
		name = "??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 148
		refs = "002c ??0?$basic_ios@DU?$char_traits@D@std@@@std@@IAA@XZ 0078 ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IAAXPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z 008c ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0090 ??_8?$basic_ostream@DU?$char_traits@D@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 00 23 3B 60 7B 6B 00 2B 0C D0 BA 6A 1B 4B 13 60 BB 6A 03 F1 08 00 ?? ?? ?? ?? B8 60 3B 68 43 F0 01 03 3B 60 BB 6A 1B 68 1B 1D BA 6A 1B 68 1A 44 11 4B 13 60 BB 6A 1B 68 1B 1D 1B 68 A3 F1 08 01 BB 6A 1B 68 1B 1D BA 6A 1B 68 13 44 1B 1F 19 60 97 F8 30 20 F9 6A BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? BB 6A 7B 60 78 68 07 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_59_2 {
	meta:
		name = "??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 148
		refs = "002c ??0?$basic_ios@GU?$char_traits@G@std@@@std@@IAA@XZ 0078 ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IAAXPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z 008c ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0090 ??_8?$basic_ostream@GU?$char_traits@G@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 00 23 3B 60 7B 6B 00 2B 0C D0 BA 6A 1B 4B 13 60 BB 6A 03 F1 08 00 ?? ?? ?? ?? B8 60 3B 68 43 F0 01 03 3B 60 BB 6A 1B 68 1B 1D BA 6A 1B 68 1A 44 11 4B 13 60 BB 6A 1B 68 1B 1D 1B 68 A3 F1 08 01 BB 6A 1B 68 1B 1D BA 6A 1B 68 13 44 1B 1F 19 60 97 F8 30 20 F9 6A BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? BB 6A 7B 60 78 68 07 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_41_1 {
	meta:
		name = "??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 148
		refs = "002c ??0?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAA@XZ 0078 ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAAXPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z 008c ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0090 ??_8?$basic_ostream@_WU?$char_traits@_W@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 00 23 3B 60 7B 6B 00 2B 0C D0 BA 6A 1B 4B 13 60 BB 6A 03 F1 08 00 ?? ?? ?? ?? B8 60 3B 68 43 F0 01 03 3B 60 BB 6A 1B 68 1B 1D BA 6A 1B 68 1A 44 11 4B 13 60 BB 6A 1B 68 1B 1D 1B 68 A3 F1 08 01 BB 6A 1B 68 1B 1D BA 6A 1B 68 13 44 1B 1F 19 60 97 F8 30 20 F9 6A BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? BB 6A 7B 60 78 68 07 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_42_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 BB 6A 03 F1 08 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_84_60_2 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 BB 6A 03 F1 08 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_114_42_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 BB 6A 03 F1 08 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_10_43_1 {
	meta:
		name = "??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAA@XZ"
		size = 88
		refs = "0012 ??2_Crt_new_delete@std@@SAPAXI@Z 0024 ??0locale@std@@QAA@XZ 0040 ?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXXZ 0054 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 11 4B 13 60 08 20 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 E0 00 23 01 93 08 9B 03 F1 34 02 01 9B 13 60 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_61_2 {
	meta:
		name = "??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ"
		size = 88
		refs = "0012 ??2_Crt_new_delete@std@@SAPAXI@Z 0024 ??0locale@std@@QAA@XZ 0040 ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXXZ 0054 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 11 4B 13 60 08 20 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 E0 00 23 01 93 08 9B 03 F1 34 02 01 9B 13 60 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_61_2 {
	meta:
		name = "??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ"
		size = 88
		refs = "0012 ??2_Crt_new_delete@std@@SAPAXI@Z 0024 ??0locale@std@@QAA@XZ 0040 ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXXZ 0054 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 11 4B 13 60 08 20 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 E0 00 23 01 93 08 9B 03 F1 34 02 01 9B 13 60 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_44_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z"
		size = 88
		refs = "0018 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0020 ??$move@AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z 002a ??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@X@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z 0034 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 003a ??$forward@V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@@std@@YA$$QAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@0@AAV10@@Z 0044 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 F8 6A ?? ?? ?? ?? 38 60 38 68 ?? ?? ?? ?? 78 60 79 68 B8 6A ?? ?? ?? ?? 00 22 00 21 B8 6A ?? ?? ?? ?? F8 6A ?? ?? ?? ?? B8 60 B9 68 B8 6A ?? ?? ?? ?? BB 6A FB 60 F8 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_209_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@$$QAV01@@Z"
		size = 88
		refs = "0018 ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0020 ??$move@AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z 002a ??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@X@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z 0034 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 003a ??$forward@V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@@std@@YA$$QAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@0@AAV10@@Z 0044 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 F8 6A ?? ?? ?? ?? 38 60 38 68 ?? ?? ?? ?? 78 60 79 68 B8 6A ?? ?? ?? ?? 00 22 00 21 B8 6A ?? ?? ?? ?? F8 6A ?? ?? ?? ?? B8 60 B9 68 B8 6A ?? ?? ?? ?? BB 6A FB 60 F8 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_219_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@$$QAV01@@Z"
		size = 88
		refs = "0018 ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0020 ??$move@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z 002a ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@X@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z 0034 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 003a ??$forward@V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@@std@@YA$$QAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@0@AAV10@@Z 0044 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 F8 6A ?? ?? ?? ?? 38 60 38 68 ?? ?? ?? ?? 78 60 79 68 B8 6A ?? ?? ?? ?? 00 22 00 21 B8 6A ?? ?? ?? ?? F8 6A ?? ?? ?? ?? B8 60 B9 68 B8 6A ?? ?? ?? ?? BB 6A FB 60 F8 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_45_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z"
		size = 96
		refs = "0018 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0024 ?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBA?AU12@U_Nil@2@@Z 002e ??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@X@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z 003a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 0048 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 005c ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 78 6B ?? ?? ?? ?? 78 60 3A 78 79 1C 78 68 ?? ?? ?? ?? B8 60 B9 68 38 6B ?? ?? ?? ?? 38 61 00 22 00 21 38 6B ?? ?? ?? ?? 07 4B 1B 68 00 22 79 6B 38 6B ?? ?? ?? ?? 3B 6B FB 60 F8 68 09 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_210_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z"
		size = 96
		refs = "0018 ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0024 ?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBA?AU12@U_Nil@2@@Z 002e ??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@X@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z 003a ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 0048 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 005c ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 78 6B ?? ?? ?? ?? 78 60 3A 78 79 1C 78 68 ?? ?? ?? ?? B8 60 B9 68 38 6B ?? ?? ?? ?? 38 61 00 22 00 21 38 6B ?? ?? ?? ?? 07 4B 1B 68 00 22 79 6B 38 6B ?? ?? ?? ?? 3B 6B FB 60 F8 68 09 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_220_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z"
		size = 96
		refs = "0018 ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0024 ?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBA?AU12@U_Nil@2@@Z 002e ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@X@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z 003a ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 0048 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 005c ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 78 6B ?? ?? ?? ?? 78 60 3A 78 79 1C 78 68 ?? ?? ?? ?? B8 60 B9 68 38 6B ?? ?? ?? ?? 38 61 00 22 00 21 38 6B ?? ?? ?? ?? 07 4B 1B 68 00 22 79 6B 38 6B ?? ?? ?? ?? 3B 6B FB 60 F8 68 09 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_47_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z"
		size = 68
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 0030 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? 97 F9 28 20 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_10_49_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
		size = 64
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 002c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_214_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
		size = 64
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 002c ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBG@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_16_17_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
		size = 64
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 002c ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_51_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		size = 54
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ 0022 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 00 22 00 21 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_218_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
		size = 54
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ 0022 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 00 22 00 21 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_228_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
		size = 54
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ 0022 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 00 22 00 21 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_52_1 {
	meta:
		name = "??0?$codecvt@DDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0codecvt_base@std@@QAA@I@Z 002a ?_Init@?$codecvt@DDU_Mbstatet@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$codecvt@DDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_52_1 {
	meta:
		name = "??0?$codecvt@GDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0codecvt_base@std@@QAA@I@Z 002a ?_Init@?$codecvt@GDU_Mbstatet@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$codecvt@GDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_70_2 {
	meta:
		name = "??0?$codecvt@_WDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0codecvt_base@std@@QAA@I@Z 002a ?_Init@?$codecvt@_WDU_Mbstatet@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$codecvt@_WDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_132_3 {
	meta:
		name = "??0?$collate@D@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$collate@D@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$collate@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_334_3 {
	meta:
		name = "??0?$collate@G@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$collate@G@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$collate@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_235_1 {
	meta:
		name = "??0?$collate@_W@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$collate@_W@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$collate@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_120_2 {
	meta:
		name = "??0?$ctype@D@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0ctype_base@std@@QAA@I@Z 002a ?_Init@?$ctype@D@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$ctype@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_92_3 {
	meta:
		name = "??0?$ctype@G@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0ctype_base@std@@QAA@I@Z 002a ?_Init@?$ctype@G@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$ctype@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_72_2 {
	meta:
		name = "??0?$ctype@_W@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0ctype_base@std@@QAA@I@Z 002a ?_Init@?$ctype@_W@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$ctype@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_93_1 {
	meta:
		name = "??0?$messages@D@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0messages_base@std@@QAA@I@Z 002a ?_Init@?$messages@D@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$messages@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_241_1 {
	meta:
		name = "??0?$messages@G@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0messages_base@std@@QAA@I@Z 002a ?_Init@?$messages@G@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$messages@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_243_1 {
	meta:
		name = "??0?$messages@_W@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0messages_base@std@@QAA@I@Z 002a ?_Init@?$messages@_W@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$messages@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_138_3 {
	meta:
		name = "??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_245_1 {
	meta:
		name = "??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_247_1 {
	meta:
		name = "??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_140_3 {
	meta:
		name = "??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_249_1 {
	meta:
		name = "??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_352_3 {
	meta:
		name = "??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_76_3 {
	meta:
		name = "??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_257_1 {
	meta:
		name = "??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_259_1 {
	meta:
		name = "??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_54_1 {
	meta:
		name = "??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_362_3 {
	meta:
		name = "??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_364_3 {
	meta:
		name = "??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002a ?_Init@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_130_2 {
	meta:
		name = "??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0time_base@std@@QAA@I@Z 002a ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_269_1 {
	meta:
		name = "??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0time_base@std@@QAA@I@Z 002a ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_326_2 {
	meta:
		name = "??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 68
		refs = "001a ??0time_base@std@@QAA@I@Z 002a ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0040 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 07 4A 3B 6A 1A 60 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_56_1 {
	meta:
		name = "??0?$fpos@U_Mbstatet@@@std@@QAA@U_Mbstatet@@_J@Z"
		size = 74
		refs = "0036 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9A 00 23 13 60 00 9A 00 23 53 60 06 9B 08 33 01 93 0A 9A 01 9B 1A 60 0B 9A 01 9B 5A 60 06 9B 03 F1 10 00 07 A9 08 22 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_57_1 {
	meta:
		name = "??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z"
		size = 74
		refs = "0036 memset"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 08 9A 00 9B 1A 60 09 9A 00 9B 5A 60 06 9B 08 33 01 93 01 9A 00 23 13 60 01 9A 00 23 53 60 08 22 00 21 06 9B 03 F1 10 00 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_59_1 {
	meta:
		name = "??0_Facet_base@std@@QAA@XZ"
		size = 36
		refs = "0020 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 04 4B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_11_4 {
	meta:
		name = "??0DNameNode@@IAA@XZ"
		size = 36
		refs = "0020 ??_7DNameNode@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 04 4B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_78_110_2 {
	meta:
		name = "??0ios_base@std@@IAA@XZ"
		size = 36
		refs = "0020 ??_7ios_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 04 4B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_60_1 {
	meta:
		name = "??0_Generic_error_category@std@@QAA@XZ"
		size = 52
		refs = "000c ??0error_category@std@@QAA@XZ 0030 ??_7_Generic_error_category@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 07 4A 04 9B 1A 60 04 9B 1A 1D 03 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_61_1 {
	meta:
		name = "??0_Init_cerr@std@@QAA@XZ"
		size = 84
		refs = "0020 ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z 0032 ?setf@ios_base@std@@QAAHH@Z 0048 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 004c ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0050 ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0F 4A 10 4B 1A 60 0E 4B 19 68 0C 4B 1B 68 1B 1D 0B 4A 1B 68 D0 18 ?? ?? ?? ?? 02 21 08 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_61_1 {
	meta:
		name = "??0_Init_ushcerr@std@@QAA@XZ"
		size = 84
		refs = "0020 ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z 0032 ?setf@ios_base@std@@QAAHH@Z 0048 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 004c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0050 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0F 4A 10 4B 1A 60 0E 4B 19 68 0C 4B 1B 68 1B 1D 0B 4A 1B 68 D0 18 ?? ?? ?? ?? 02 21 08 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_61_1 {
	meta:
		name = "??0_Init_wcerr@std@@QAA@XZ"
		size = 84
		refs = "0020 ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z 0032 ?setf@ios_base@std@@QAAHH@Z 0048 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 004c ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0050 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0F 4A 10 4B 1A 60 0E 4B 19 68 0C 4B 1B 68 1B 1D 0B 4A 1B 68 D0 18 ?? ?? ?? ?? 02 21 08 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_62_1 {
	meta:
		name = "??0_Iostream_error_category@std@@QAA@XZ"
		size = 52
		refs = "000c ??0_Generic_error_category@std@@QAA@XZ 0030 ??_7_Iostream_error_category@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 07 4A 04 9B 1A 60 04 9B 1A 1D 05 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_63_1 {
	meta:
		name = "??0_Locinfo@std@@QAA@PBD@Z"
		size = 160
		refs = "001a ??0_Lockit@std@@QAA@H@Z 0024 ??0?$_Yarn@D@std@@QAA@XZ 003c ??0?$_Yarn@_W@std@@QAA@XZ 0072 ??0runtime_error@std@@QAA@PBD@Z 007c _CxxThrowException 0084 ?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@PBD@Z 0098 _TI2?AVruntime_error@std@@ 009c ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 6F F0 01 03 C7 E9 08 33 00 21 38 6C ?? ?? ?? ?? 78 60 3B 6C 18 1D ?? ?? ?? ?? B8 60 3B 6C 03 F1 0C 00 ?? ?? ?? ?? F8 60 3B 6C 03 F1 14 00 ?? ?? ?? ?? 38 61 3B 6C 03 F1 1C 00 ?? ?? ?? ?? 78 61 3B 6C 03 F1 24 00 ?? ?? ?? ?? B8 61 3B 6C 03 F1 2C 00 ?? ?? ?? ?? F8 61 7B 6C 00 2B 09 D1 0B 49 17 F1 28 00 ?? ?? ?? ?? 08 49 17 F1 28 00 ?? ?? ?? ?? 79 6C 38 6C ?? ?? ?? ?? 3B 6C 3B 60 38 68 0D B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_71_1 {
	meta:
		name = "??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 132
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0038 ?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z 0046 ??0runtime_error@std@@QAA@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0050 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0066 memcpy 0072 __security_pop_cookie 0080 ??_7_System_error@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 6F F0 01 03 C7 E9 08 33 17 F1 28 03 3B 60 79 6F 38 68 ?? ?? ?? ?? 78 60 7B 68 BB 60 BB 68 F9 6E 3A 6F 17 F1 40 00 ?? ?? ?? ?? F8 60 FB 68 3B 61 39 69 B8 6E ?? ?? ?? ?? B8 61 17 F1 40 00 ?? ?? ?? ?? 0A 4A BB 6E 1A 60 BB 6E 03 F1 0C 00 17 F1 6C 01 08 22 ?? ?? ?? ?? BB 6E 7B 61 78 69 16 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_73_1 {
	meta:
		name = "??0_System_error@std@@QAA@ABV01@@Z"
		size = 64
		refs = "000e ??0runtime_error@std@@QAA@ABV01@@Z 0026 memcpy 003c ??_7_System_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 0A 4A 04 9B 1A 60 05 9B 03 F1 0C 01 04 9B 03 F1 0C 00 08 22 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_3_1 {
	meta:
		name = "??0future_error@std@@QAA@ABV01@@Z"
		size = 64
		refs = "000e ??0logic_error@std@@QAA@ABV01@@Z 0026 memcpy 003c ??_7future_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 0A 4A 04 9B 1A 60 05 9B 03 F1 0C 01 04 9B 03 F1 0C 00 08 22 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_76_1 {
	meta:
		name = "??0codecvt_base@std@@QAA@I@Z"
		size = 48
		refs = "000e ??0facet@locale@std@@IAA@I@Z 002c ??_7codecvt_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_48_105_3 {
	meta:
		name = "??0ctype_base@std@@QAA@I@Z"
		size = 48
		refs = "000e ??0facet@locale@std@@IAA@I@Z 002c ??_7ctype_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_9_3 {
	meta:
		name = "??0invalid_argument@std@@QAA@PBD@Z"
		size = 48
		refs = "000e ??0logic_error@std@@QAA@PBD@Z 002c ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_11_2 {
	meta:
		name = "??0length_error@std@@QAA@PBD@Z"
		size = 48
		refs = "000e ??0logic_error@std@@QAA@PBD@Z 002c ??_7length_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_13_3 {
	meta:
		name = "??0logic_error@std@@QAA@PBD@Z"
		size = 48
		refs = "000e ??0exception@std@@QAA@QBD@Z 002c ??_7logic_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_408_3 {
	meta:
		name = "??0messages_base@std@@QAA@I@Z"
		size = 48
		refs = "000e ??0facet@locale@std@@IAA@I@Z 002c ??_7messages_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_161_2 {
	meta:
		name = "??0money_base@std@@QAA@I@Z"
		size = 48
		refs = "000e ??0facet@locale@std@@IAA@I@Z 002c ??_7money_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_15_2 {
	meta:
		name = "??0out_of_range@std@@QAA@PBD@Z"
		size = 48
		refs = "000e ??0logic_error@std@@QAA@PBD@Z 002c ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_17_1 {
	meta:
		name = "??0overflow_error@std@@QAA@PBD@Z"
		size = 48
		refs = "000e ??0runtime_error@std@@QAA@PBD@Z 002c ??_7overflow_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_21_3 {
	meta:
		name = "??0runtime_error@std@@QAA@PBD@Z"
		size = 48
		refs = "000e ??0exception@std@@QAA@QBD@Z 002c ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_307_1 {
	meta:
		name = "??0time_base@std@@QAA@I@Z"
		size = 48
		refs = "000e ??0facet@locale@std@@IAA@I@Z 002c ??_7time_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_78_1 {
	meta:
		name = "??0error_category@std@@QAA@XZ"
		size = 44
		refs = "0028 ??_7error_category@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 06 4B 13 60 04 9B 1A 1D 04 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_79_1 {
	meta:
		name = "??0error_code@std@@QAA@HABVerror_category@1@@Z"
		size = 40
		altNames = "??0?$_Smanip@H@std@@QAA@P6AXAAVios_base@1@H@ZH@Z ??0_Fac_node@std@@QAA@PAU01@PAV_Facet_base@1@@Z ??0error_condition@std@@QAA@HABVerror_category@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 04 9B 1A 1D 06 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_82_1 {
	meta:
		name = "??0exception@std@@QAA@QBD@Z"
		size = 68
		refs = "0018 memset 002c __std_exception_copy 0040 ??_7exception@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9A 0C 4B 13 60 08 22 00 21 06 9B 18 1D ?? ?? ?? ?? 07 9B 02 93 01 23 8D F8 0C 30 06 9B 19 1D 02 A8 ?? ?? ?? ?? 06 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_84_1 {
	meta:
		name = "??0facet@locale@std@@IAA@I@Z"
		size = 68
		refs = "0018 ??0_Facet_base@std@@QAA@XZ 002a ?_Init_atomic_counter@std@@YAXAAKK@Z 0040 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 08 4A 3B 6A 1A 60 79 6A 3B 6A 18 1D ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_87_1 {
	meta:
		name = "??0failure@ios_base@std@@QAA@PBDABVerror_code@2@@Z"
		size = 56
		refs = "0018 ??0system_error@std@@QAA@Verror_code@1@PBD@Z 0034 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 08 9A 00 92 00 9A 11 68 52 68 06 98 ?? ?? ?? ?? 02 90 05 4A 06 9B 1A 60 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_90_1 {
	meta:
		name = "??0locale@std@@QAA@ABV01@@Z"
		size = 82
		refs = "0038 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 84 B0 6F 46 6F F0 01 03 C7 E9 02 33 7B 6A 19 1D 3B 6A 1A 1D 0B 68 13 60 3B 6A 1B 1D 1A 68 3B 6A 1B 1D 1C 68 13 68 1B 1D 1B 68 3B 60 38 68 ?? ?? ?? ?? 3B 68 20 46 98 47 3B 6A 7B 60 78 68 04 B0 BD E8 90 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_91_1 {
	meta:
		name = "??0locale@std@@QAA@XZ"
		size = 54
		refs = "0018 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 01 20 ?? ?? ?? ?? 38 60 3B 6A 1A 1D 3B 68 13 60 3B 6A 7B 60 78 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_93_1 {
	meta:
		name = "??0runtime_error@std@@QAA@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 56
		refs = "000c ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0016 ??0exception@std@@QAA@QBD@Z 0034 ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 00 90 00 99 06 98 ?? ?? ?? ?? 02 90 05 4A 06 9B 1A 60 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_96_1 {
	meta:
		name = "??0system_error@std@@QAA@Verror_code@1@PBD@Z"
		size = 92
		refs = "000a __security_push_cookie 0020 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0030 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 003a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 004c __security_pop_cookie 0058 ??_7system_error@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 8C B0 6F 46 6F F0 01 03 C7 E9 04 33 F9 6C 17 F1 18 00 ?? ?? ?? ?? 78 60 17 F1 18 03 79 6C BA 6C 38 6C ?? ?? ?? ?? B8 60 17 F1 18 00 ?? ?? ?? ?? 06 4A 3B 6C 1A 60 3B 6C 3B 60 38 68 0C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_102_1 {
	meta:
		name = "??1?$_Yarn@D@std@@QAA@XZ"
		size = 38
		refs = "0018 ?_Tidy@?$_Yarn@D@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_36_431_3 {
	meta:
		name = "??1?$_Yarn@_W@std@@QAA@XZ"
		size = 38
		refs = "0018 ?_Tidy@?$_Yarn@_W@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_114_50_3 {
	meta:
		name = "??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
		size = 38
		refs = "0018 ?_Decref@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_46_155_3 {
	meta:
		name = "??1_Container_base12@std@@QAA@XZ"
		size = 38
		refs = "0018 ?_Orphan_all@_Container_base12@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_104_1 {
	meta:
		name = "??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 80
		refs = "0028 ?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ 0038 ?close@?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAAPAV12@XZ 003e ??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAA@XZ 004c ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 0D 4A BB 69 1A 60 BB 69 4C 33 1B 68 00 2B 02 D0 B8 69 ?? ?? ?? ?? BB 69 48 33 1B 78 00 2B 02 D0 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_127_2 {
	meta:
		name = "??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 80
		refs = "0028 ?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ 0038 ?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAAPAV12@XZ 003e ??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAA@XZ 004c ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 0D 4A BB 69 1A 60 BB 69 4C 33 1B 68 00 2B 02 D0 B8 69 ?? ?? ?? ?? BB 69 48 33 1B 78 00 2B 02 D0 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_127_2 {
	meta:
		name = "??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 80
		refs = "0028 ?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ 0038 ?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAAPAV12@XZ 003e ??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 004c ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 0D 4A BB 69 1A 60 BB 69 4C 33 1B 68 00 2B 02 D0 B8 69 ?? ?? ?? ?? BB 69 48 33 1B 78 00 2B 02 D0 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_105_1 {
	meta:
		name = "??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 32
		refs = "0010 ??1ios_base@std@@UAA@XZ 001c ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_128_2 {
	meta:
		name = "??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 32
		refs = "0010 ??1ios_base@std@@UAA@XZ 001c ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_128_2 {
	meta:
		name = "??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 32
		refs = "0010 ??1ios_base@std@@UAA@XZ 001c ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_109_1 {
	meta:
		name = "??1?$codecvt@DDU_Mbstatet@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1codecvt_base@std@@UAA@XZ 001c ??_7?$codecvt@DDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_132_2 {
	meta:
		name = "??1?$codecvt@GDU_Mbstatet@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1codecvt_base@std@@UAA@XZ 001c ??_7?$codecvt@GDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_152_3 {
	meta:
		name = "??1?$codecvt@_WDU_Mbstatet@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1codecvt_base@std@@UAA@XZ 001c ??_7?$codecvt@_WDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_141_1 {
	meta:
		name = "??1?$messages@D@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1messages_base@std@@UAA@XZ 001c ??_7?$messages@D@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_395_2 {
	meta:
		name = "??1?$messages@G@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1messages_base@std@@UAA@XZ 001c ??_7?$messages@G@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_396_2 {
	meta:
		name = "??1?$messages@_W@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1messages_base@std@@UAA@XZ 001c ??_7?$messages@_W@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_192_3 {
	meta:
		name = "??1?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_332_1 {
	meta:
		name = "??1?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_398_2 {
	meta:
		name = "??1?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_179_2 {
	meta:
		name = "??1?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_445_3 {
	meta:
		name = "??1?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_446_3 {
	meta:
		name = "??1?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_144_1 {
	meta:
		name = "??1?$moneypunct@D$00@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1?$_Mpunct@D@std@@MAA@XZ 001c ??_7?$moneypunct@D$00@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_145_1 {
	meta:
		name = "??1?$moneypunct@D$0A@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1?$_Mpunct@D@std@@MAA@XZ 001c ??_7?$moneypunct@D$0A@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_336_1 {
	meta:
		name = "??1?$moneypunct@G$00@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1?$_Mpunct@G@std@@MAA@XZ 001c ??_7?$moneypunct@G$00@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_337_1 {
	meta:
		name = "??1?$moneypunct@G$0A@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1?$_Mpunct@G@std@@MAA@XZ 001c ??_7?$moneypunct@G$0A@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_403_2 {
	meta:
		name = "??1?$moneypunct@_W$00@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1?$_Mpunct@_W@std@@MAA@XZ 001c ??_7?$moneypunct@_W$00@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_339_1 {
	meta:
		name = "??1?$moneypunct@_W$0A@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1?$_Mpunct@_W@std@@MAA@XZ 001c ??_7?$moneypunct@_W$0A@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_116_3 {
	meta:
		name = "??1?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_340_1 {
	meta:
		name = "??1?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_406_2 {
	meta:
		name = "??1?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_117_3 {
	meta:
		name = "??1?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_342_1 {
	meta:
		name = "??1?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_343_1 {
	meta:
		name = "??1?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_143_2 {
	meta:
		name = "??1codecvt_base@std@@UAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7codecvt_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_153_1 {
	meta:
		name = "??1ctype_base@std@@UAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7ctype_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_121_1 {
	meta:
		name = "??1facet@locale@std@@MAA@XZ"
		size = 32
		refs = "0010 ??1_Facet_base@std@@UAA@XZ 001c ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_365_1 {
	meta:
		name = "??1time_base@std@@UAA@XZ"
		size = 32
		refs = "0010 ??1facet@locale@std@@MAA@XZ 001c ??_7time_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 04 4A 02 9B 1A 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_106_1 {
	meta:
		name = "??1?$basic_ostream@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 84
		refs = "0050 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B A3 F1 08 01 02 9B A3 F1 08 02 0B 68 1B 1D 1B 68 1A 44 0C 4B 13 60 02 9B 08 3B 1B 68 1B 1D 1B 68 A3 F1 08 00 02 9B A3 F1 08 01 02 9B A3 F1 08 02 0B 68 1B 1D 1B 68 13 44 1B 1F 18 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_129_2 {
	meta:
		name = "??1?$basic_ostream@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 84
		refs = "0050 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B A3 F1 08 01 02 9B A3 F1 08 02 0B 68 1B 1D 1B 68 1A 44 0C 4B 13 60 02 9B 08 3B 1B 68 1B 1D 1B 68 A3 F1 08 00 02 9B A3 F1 08 01 02 9B A3 F1 08 02 0B 68 1B 1D 1B 68 13 44 1B 1F 18 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_105_1 {
	meta:
		name = "??1?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 84
		refs = "0050 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B A3 F1 08 01 02 9B A3 F1 08 02 0B 68 1B 1D 1B 68 1A 44 0C 4B 13 60 02 9B 08 3B 1B 68 1B 1D 1B 68 A3 F1 08 00 02 9B A3 F1 08 01 02 9B A3 F1 08 02 0B 68 1B 1D 1B 68 13 44 1B 1F 18 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_107_1 {
	meta:
		name = "??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 68
		refs = "0026 ??_Glocale@std@@QAAPAXI@Z 0040 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9A 0C 4B 13 60 06 9B 34 33 1B 68 01 93 01 9B 00 93 00 9B 00 2B 07 D0 01 21 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 01 E0 00 23 03 93 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_130_2 {
	meta:
		name = "??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 68
		refs = "0026 ??_Glocale@std@@QAAPAXI@Z 0040 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9A 0C 4B 13 60 06 9B 34 33 1B 68 01 93 01 9B 00 93 00 9B 00 2B 07 D0 01 21 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 01 E0 00 23 03 93 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_130_2 {
	meta:
		name = "??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 68
		refs = "0026 ??_Glocale@std@@QAAPAXI@Z 0040 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9A 0C 4B 13 60 06 9B 34 33 1B 68 01 93 01 9B 00 93 00 9B 00 2B 07 D0 01 21 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 01 E0 00 23 03 93 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_108_1 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		size = 48
		refs = "001c ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 0022 ??1?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 00 22 01 21 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_322_1 {
	meta:
		name = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
		size = 48
		refs = "001c ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 0022 ??1?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 00 22 01 21 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_16_23_1 {
	meta:
		name = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
		size = 48
		refs = "001c ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 0022 ??1?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 00 22 01 21 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_110_1 {
	meta:
		name = "??1?$ctype@D@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$ctype@D@std@@IAAXXZ 0024 ??1ctype_base@std@@UAA@XZ 0034 ??_7?$ctype@D@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_167_2 {
	meta:
		name = "??1?$_Mpunct@D@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$_Mpunct@D@std@@AAAXXZ 0024 ??1money_base@std@@UAA@XZ 0034 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_372_2 {
	meta:
		name = "??1?$_Mpunct@G@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$_Mpunct@G@std@@AAAXXZ 0024 ??1money_base@std@@UAA@XZ 0034 ??_7?$_Mpunct@G@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_373_2 {
	meta:
		name = "??1?$_Mpunct@_W@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$_Mpunct@_W@std@@AAAXXZ 0024 ??1money_base@std@@UAA@XZ 0034 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_118_3 {
	meta:
		name = "??1?$numpunct@D@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$numpunct@D@std@@AAAXXZ 0024 ??1facet@locale@std@@MAA@XZ 0034 ??_7?$numpunct@D@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_409_2 {
	meta:
		name = "??1?$numpunct@G@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$numpunct@G@std@@AAAXXZ 0024 ??1facet@locale@std@@MAA@XZ 0034 ??_7?$numpunct@G@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_345_1 {
	meta:
		name = "??1?$numpunct@_W@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$numpunct@_W@std@@AAAXXZ 0024 ??1facet@locale@std@@MAA@XZ 0034 ??_7?$numpunct@_W@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_196_3 {
	meta:
		name = "??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AAAXXZ 0024 ??1time_base@std@@UAA@XZ 0034 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_411_2 {
	meta:
		name = "??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AAAXXZ 0024 ??1time_base@std@@UAA@XZ 0034 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_412_2 {
	meta:
		name = "??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 56
		refs = "001e ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AAAXXZ 0024 ??1time_base@std@@UAA@XZ 0034 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 07 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_115_1 {
	meta:
		name = "??1_Locinfo@std@@QAA@XZ"
		size = 102
		refs = "0018 ?_Locinfo_dtor@_Locinfo@std@@SAXPAV12@@Z 0022 ??1?$_Yarn@D@std@@QAA@XZ 0036 ??1?$_Yarn@_W@std@@QAA@XZ 0058 ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? BB 69 03 F1 2C 00 ?? ?? ?? ?? BB 69 03 F1 24 00 ?? ?? ?? ?? BB 69 03 F1 1C 00 ?? ?? ?? ?? BB 69 03 F1 14 00 ?? ?? ?? ?? BB 69 03 F1 0C 00 ?? ?? ?? ?? BB 69 18 1D ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_124_1 {
	meta:
		name = "??1ios_base@std@@UAA@XZ"
		size = 48
		refs = "001e ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 002c ??_7ios_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 BA 69 04 4B 13 60 B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_125_1 {
	meta:
		name = "??1locale@std@@QAA@XZ"
		size = 128
		refs = "0036 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 3B 6C 1B 1D 1B 68 00 2B 2A D0 3B 6C 1B 1D 1A 68 3B 6C 1B 1D 1C 68 13 68 08 33 1B 68 7B 60 78 68 ?? ?? ?? ?? 7B 68 20 46 98 47 F8 60 FB 68 3B 61 3B 69 3B 60 3B 68 00 2B 10 D0 01 25 3B 68 1B 68 3C 68 1B 68 BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 29 46 98 47 78 61 7B 69 BB 61 01 E0 00 23 BB 61 0B B0 BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_129_1 {
	meta:
		name = "??2_Crt_new_delete@std@@SAPAXI@Z"
		size = 56
		refs = "000e ??2_Crt_new_delete@std@@SAPAXIABUnothrow_t@1@@Z 001e ?_Xbad_alloc@std@@YAXXZ 0034 ?nothrow@std@@3Unothrow_t@1@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 0A 49 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 01 D1 ?? ?? ?? ?? 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_130_1 {
	meta:
		name = "??2_Crt_new_delete@std@@SAPAXIABUnothrow_t@1@@Z"
		size = 60
		refs = "0022 _malloc_dbg 0038 ??_C@_0CI@FIAODHFJ@f?3?2dd?2vctools?2crt?2crtw32?2stdhpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 02 D9 06 9B 00 93 01 E0 01 23 00 93 4A 23 06 4A 02 21 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_132_1 {
	meta:
		name = "??8error_category@std@@QBA_NABV01@@Z"
		size = 58
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1A 1D 05 9B 1B 1D 12 68 1B 68 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_133_1 {
	meta:
		name = "??8std@@YA_NABVerror_condition@0@0@Z"
		size = 102
		refs = "000c ?category@error_condition@std@@QBAABVerror_category@2@XZ 001e ??8error_category@std@@QBA_NABV01@@Z 0030 ?value@error_condition@std@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 98 ?? ?? ?? ?? 02 90 0A 98 ?? ?? ?? ?? 03 90 02 99 03 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0E D0 0A 98 ?? ?? ?? ?? 04 90 0B 98 ?? ?? ?? ?? 05 90 04 9A 05 9B 9A 42 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 18 30 9D F8 18 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_134_1 {
	meta:
		name = "??B?$fpos@U_Mbstatet@@@std@@QBA_JXZ"
		size = 60
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 06 9B 03 F1 08 02 00 91 00 9B 18 68 00 9B 59 68 01 92 01 9B 1A 68 01 9B 5B 68 12 18 4B 41 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_135_1 {
	meta:
		name = "??Bid@locale@std@@QAAIXZ"
		size = 84
		refs = "0016 ??0_Lockit@std@@QAA@H@Z 0038 ??1_Lockit@std@@QAA@XZ 0050 ?_Id_cnt@id@locale@std@@0HA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 00 2B 14 D1 00 21 68 46 ?? ?? ?? ?? 02 90 06 9B 1B 68 00 2B 08 D1 0A 4B 1B 68 5A 1C 09 4B 1A 60 06 9A 07 4B 1B 68 13 60 68 46 ?? ?? ?? ?? 06 9B 1B 68 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_136_1 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ"
		size = 28
		altNames = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ ?_Get@?$_Ptr_base@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ ?_Getptr@_Timevec@std@@QBAPAXXZ ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBAPADXZ ?get@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QBAPAU__vcrt_ptd@@XZ ?get@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QBAPAXXZ ?value@error_code@std@@QBAHXZ ?value@error_condition@std@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_138_1 {
	meta:
		name = "??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ"
		size = 36
		refs = "000e ??1?$basic_ostream@DU?$char_traits@D@std@@@std@@UAA@XZ 0018 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 08 00 ?? ?? ?? ?? 02 9B 03 F1 08 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_163_2 {
	meta:
		name = "??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ"
		size = 36
		refs = "000e ??1?$basic_ostream@GU?$char_traits@G@std@@@std@@UAA@XZ 0018 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 08 00 ?? ?? ?? ?? 02 9B 03 F1 08 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_114_137_1 {
	meta:
		name = "??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ"
		size = 36
		refs = "000e ??1?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0018 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 08 00 ?? ?? ?? ?? 02 9B 03 F1 08 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_139_1 {
	meta:
		name = "??_E?$basic_ostream@DU?$char_traits@D@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_ostream@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_139_1 {
	meta:
		name = "??_E?$basic_istream@DU?$char_traits@D@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_istream@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_184_3 {
	meta:
		name = "??_E?$basic_istream@GU?$char_traits@G@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_istream@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_184_3 {
	meta:
		name = "??_E?$basic_istream@_WU?$char_traits@_W@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_164_2 {
	meta:
		name = "??_E?$basic_ostream@GU?$char_traits@G@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_ostream@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_164_2 {
	meta:
		name = "??_E?$basic_ostream@_WU?$char_traits@_W@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_140_1 {
	meta:
		name = "??_G?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_165_2 {
	meta:
		name = "??_G?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_30_165_2 {
	meta:
		name = "??_G?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_141_1 {
	meta:
		name = "??_G?$basic_ios@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 48 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_166_2 {
	meta:
		name = "??_G?$basic_ios@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 48 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_30_166_2 {
	meta:
		name = "??_G?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 48 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_142_1 {
	meta:
		name = "??_G?$basic_ostream@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 58
		refs = "0010 ??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ 0024 ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B A3 F1 08 00 ?? ?? ?? ?? 05 9B 13 F0 01 0F 05 D0 50 21 04 9B A3 F1 08 00 ?? ?? ?? ?? 04 9B 08 3B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_167_2 {
	meta:
		name = "??_G?$basic_ostream@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 58
		refs = "0010 ??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ 0024 ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B A3 F1 08 00 ?? ?? ?? ?? 05 9B 13 F0 01 0F 05 D0 50 21 04 9B A3 F1 08 00 ?? ?? ?? ?? 04 9B 08 3B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_114_141_1 {
	meta:
		name = "??_G?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 58
		refs = "0010 ??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0024 ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B A3 F1 08 00 ?? ?? ?? ?? 05 9B 13 F0 01 0F 05 D0 50 21 04 9B A3 F1 08 00 ?? ?? ?? ?? 04 9B 08 3B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_143_1 {
	meta:
		name = "??_G?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 38 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_76_188_3 {
	meta:
		name = "??_G?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 38 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_168_2 {
	meta:
		name = "??_G?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 38 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_63_202_3 {
	meta:
		name = "??_Gios_base@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1ios_base@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 38 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_144_1 {
	meta:
		name = "??_G?$codecvt@DDU_Mbstatet@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$codecvt@DDU_Mbstatet@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_237_2 {
	meta:
		name = "??_G?$messages@D@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$messages@D@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_435_1 {
	meta:
		name = "??_G?$messages@G@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$messages@G@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_436_1 {
	meta:
		name = "??_G?$messages@_W@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$messages@_W@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_253_3 {
	meta:
		name = "??_G?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_437_1 {
	meta:
		name = "??_G?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_561_3 {
	meta:
		name = "??_G?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_239_2 {
	meta:
		name = "??_G?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_562_3 {
	meta:
		name = "??_G?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_563_3 {
	meta:
		name = "??_G?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_47_148_3 {
	meta:
		name = "??_G?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_521_2 {
	meta:
		name = "??_G?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_522_2 {
	meta:
		name = "??_G?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_47_149_3 {
	meta:
		name = "??_G?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_570_3 {
	meta:
		name = "??_G?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_448_1 {
	meta:
		name = "??_G?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_28_1 {
	meta:
		name = "??_G_Fac_node@std@@QAAPAXI@Z"
		size = 64
		refs = "000c ??1_Fac_node@std@@QAA@XZ 0022 ??3_Fac_node@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_114_150_1 {
	meta:
		name = "??_Gcodecvt_base@std@@UAAPAXI@Z"
		size = 64
		refs = "000c ??1codecvt_base@std@@UAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_68_178_2 {
	meta:
		name = "??_Gctype_base@std@@UAAPAXI@Z"
		size = 64
		refs = "000c ??1ctype_base@std@@UAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_460_1 {
	meta:
		name = "??_Gfacet@locale@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1facet@locale@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_27_203_3 {
	meta:
		name = "??_Glocale@std@@QAAPAXI@Z"
		size = 64
		refs = "000c ??1locale@std@@QAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_206_1 {
	meta:
		name = "??_Gmessages_base@std@@UAAPAXI@Z"
		size = 64
		refs = "000c ??1messages_base@std@@UAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_538_2 {
	meta:
		name = "??_Gmoney_base@std@@UAAPAXI@Z"
		size = 64
		refs = "000c ??1money_base@std@@UAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_209_1 {
	meta:
		name = "??_Gtime_base@std@@UAAPAXI@Z"
		size = 64
		refs = "000c ??1time_base@std@@UAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_145_1 {
	meta:
		name = "??_G?$ctype@D@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$ctype@D@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 18 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_123_1 {
	meta:
		name = "??_G?$numpunct@D@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$numpunct@D@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 18 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_449_1 {
	meta:
		name = "??_G?$numpunct@G@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$numpunct@G@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 18 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_450_1 {
	meta:
		name = "??_G?$numpunct@_W@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$numpunct@_W@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 18 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_146_1 {
	meta:
		name = "??_G_Facet_base@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1_Facet_base@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 04 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_147_1 {
	meta:
		name = "??_G_Generic_error_category@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1_Generic_error_category@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_114_64_3 {
	meta:
		name = "??_G?$shared_ptr@V__ExceptionPtr@@@std@@QAAPAXI@Z"
		size = 48
		refs = "000c ??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_110_173_2 {
	meta:
		name = "??_G_Iostream_error_category@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1_Iostream_error_category@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_33_106_3 {
	meta:
		name = "??_G_System_error_category@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1_System_error_category@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_153_1 {
	meta:
		name = "??_Gerror_category@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1error_category@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 08 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_149_1 {
	meta:
		name = "??_G_System_error@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1_System_error@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 14 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_68_182_2 {
	meta:
		name = "??_Gfailure@ios_base@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1failure@ios_base@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 14 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_44_12_2 {
	meta:
		name = "??_Gfuture_error@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1future_error@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 14 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_13_193_3 {
	meta:
		name = "??_Gsystem_error@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1system_error@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 14 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_162_1 {
	meta:
		name = "??__Ecerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0014 atexit 001c ??__Fcerr@std@@YAXXZ 0020 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0024 ?ferr@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_162_1 {
	meta:
		name = "??__Ecin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0014 atexit 001c ??__Fcin@std@@YAXXZ 0020 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0024 ?fin@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_195_3 {
	meta:
		name = "??__Eclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0014 atexit 001c ??__Fclog@std@@YAXXZ 0020 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0024 ?flog@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_195_3 {
	meta:
		name = "??__Ecout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0014 atexit 001c ??__Fcout@std@@YAXXZ 0020 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0024 ?fout@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_208_3 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwcerr@std@@YAXXZ 0020 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_208_3 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwcerr@std@@YAXXZ 0020 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_188_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwcerr@std@@YAXXZ 0020 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_188_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwcerr@std@@YAXXZ 0020 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_162_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwcerr@std@@YAXXZ 0020 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_188_2 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwcin@std@@YAXXZ 0020 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0024 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_162_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwcin@std@@YAXXZ 0020 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0024 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_208_3 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwcin@std@@YAXXZ 0020 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0024 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_188_2 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwcin@std@@YAXXZ 0020 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0024 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_188_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_188_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_208_3 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_208_3 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_162_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_162_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_208_3 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwcout@std@@YAXXZ 0020 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_208_3 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwcout@std@@YAXXZ 0020 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_188_2 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwcout@std@@YAXXZ 0020 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_188_2 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0014 atexit 001c ??__Fwcout@std@@YAXXZ 0020 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_162_1 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0014 atexit 001c ??__Fwcout@std@@YAXXZ 0020 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 00 22 06 49 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_163_1 {
	meta:
		name = "??__Eferr@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fferr@std@@YAXXZ 0028 ?ferr@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_96_163_1 {
	meta:
		name = "??__Eflog@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fflog@std@@YAXXZ 0028 ?flog@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_163_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwferr@std@@YAXXZ 0028 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_163_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwferr@std@@YAXXZ 0028 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_189_2 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwferr@std@@YAXXZ 0028 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_209_3 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwferr@std@@YAXXZ 0028 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_209_3 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwferr@std@@YAXXZ 0028 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_163_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwflog@std@@YAXXZ 0028 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_163_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwflog@std@@YAXXZ 0028 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_189_2 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwflog@std@@YAXXZ 0028 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_209_3 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwflog@std@@YAXXZ 0028 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_165_1 {
	meta:
		name = "??__Einitlocks@@YAXXZ"
		size = 32
		refs = "0008 ??0_Init_locks@std@@QAA@XZ 000e atexit 0018 ??__Finitlocks@@YAXXZ 001c ?initlocks@@3V_Init_locks@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_70_1 {
	meta:
		name = "??__E?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ"
		size = 32
		refs = "0008 ?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 000e atexit 0018 ??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ 001c ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_2_1 {
	meta:
		name = "??__Einitlocks@std@@YAXXZ"
		size = 32
		refs = "0008 ??0_Init_locks@std@@QAA@XZ 000e atexit 0018 ??__Finitlocks@std@@YAXXZ 001c ?initlocks@std@@3V_Init_locks@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_171_1 {
	meta:
		name = "?_Allocate@std@@YAPAXII_N@Z"
		size = 164
		refs = "0026 __rt_udiv 0030 ?_Xbad_alloc@std@@YAXXZ 0040 ??2@YAPAXI@Z 0060 _CrtDbgReportW 007a _invalid_parameter 0090 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0094 ??_C@_1BO@NKFMJPA@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAA?$AAl?$AAl?$AAo?$AAc?$AAa?$AAt?$AAe?$AA?$AA@ 0098 ??_C@_1FC@CNLMDHOG@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1CC@GKJLLHIM@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 00 23 02 93 0A 9B 00 2B 02 D1 02 9B 03 93 33 E0 0B 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0A 9B 98 42 01 D2 ?? ?? ?? ?? 0A 9A 0B 9B 02 FB 03 F3 04 93 04 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 16 D1 13 4B 01 93 11 4B 00 93 00 23 54 22 0E 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 54 23 08 4A 07 49 05 48 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_172_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX$$QAV12@@Z"
		size = 190
		refs = "000c ?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 001c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0024 ?_Bx@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@D@std@@@2@XZ 003c ?move@?$char_traits@D@std@@SAPADPADPBDI@Z 0054 ??$addressof@PAD@std@@YAPAPADAAPAD@Z 005c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0068 ??$construct@PADAAPAD@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPAPADAAPAD@Z 00b0 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 11 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 10 2B 13 D2 11 98 ?? ?? ?? ?? 01 90 11 98 ?? ?? ?? ?? 02 90 10 98 ?? ?? ?? ?? 03 90 01 9B 1B 68 5A 1C 02 99 03 98 ?? ?? ?? ?? 1B E0 11 98 ?? ?? ?? ?? 05 90 10 98 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? 06 90 10 98 ?? ?? ?? ?? 07 90 05 9A 06 99 07 98 ?? ?? ?? ?? 11 98 ?? ?? ?? ?? 08 90 08 9A 00 23 13 60 11 98 ?? ?? ?? ?? 09 90 10 98 ?? ?? ?? ?? 0A 90 09 9B 1A 68 0A 9B 1A 60 11 98 ?? ?? ?? ?? 0B 90 10 98 ?? ?? ?? ?? 0C 90 0B 9B 1A 68 0C 9B 1A 60 00 22 00 21 11 98 ?? ?? ?? ?? 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_173_1 {
	meta:
		name = "?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
		size = 112
		refs = "0024 ?_Fetch_add_relaxed_4@std@@YAKPCKK@Z 0034 ?_Fetch_add_acquire_4@std@@YAKPCKK@Z 0044 ?_Fetch_add_release_4@std@@YAKPCKK@Z 0054 ?_Fetch_add_seq_cst_4@std@@YAKPCKK@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9B 01 93 01 9B 05 2B 25 D8 01 9A DF E8 02 F0 03 0B 0B 13 1B 1B 09 99 08 98 ?? ?? ?? ?? 02 90 02 9B 00 93 19 E0 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 00 93 11 E0 09 99 08 98 ?? ?? ?? ?? 04 90 04 9B 00 93 09 E0 09 99 08 98 ?? ?? ?? ?? 05 90 05 9B 00 93 01 E0 00 23 00 93 00 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_174_1 {
	meta:
		name = "?_Atomic_fetch_sub_4@std@@YAKPCKKW4memory_order@1@@Z"
		size = 40
		refs = "0012 ?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B 59 42 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_176_1 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXIID@Z"
		size = 72
		refs = "0012 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0020 ?assign@?$char_traits@D@std@@SAXAADABD@Z 003a ?assign@?$char_traits@D@std@@SAPADPADID@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 01 2B 0A D1 04 98 ?? ?? ?? ?? 00 90 07 A9 00 9A 05 9B D0 18 ?? ?? ?? ?? 0B E0 04 98 ?? ?? ?? ?? 01 90 9D F9 1C 20 06 99 01 98 05 9B 18 44 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_177_1 {
	meta:
		name = "?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z"
		size = 44
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ 001e ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 05 9B 9A 42 02 D2 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_504_1 {
	meta:
		name = "?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z"
		size = 44
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABIXZ 001e ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 05 9B 9A 42 02 D2 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_38_1 {
	meta:
		name = "?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z"
		size = 44
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABIXZ 001e ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 05 9B 9A 42 02 D2 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_178_1 {
	meta:
		name = "?_Clamp_suffix_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIII@Z"
		size = 60
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 07 9B D3 1A 00 93 08 9A 00 9B 9A 42 03 D8 08 9B 01 93 02 E0 01 E0 00 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_507_1 {
	meta:
		name = "?_Clamp_suffix_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIII@Z"
		size = 60
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 07 9B D3 1A 00 93 08 9A 00 9B 9A 42 03 D8 08 9B 01 93 02 E0 01 E0 00 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_39_1 {
	meta:
		name = "?_Clamp_suffix_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIII@Z"
		size = 60
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 07 9B D3 1A 00 93 08 9A 00 9B 9A 42 03 D8 08 9B 01 93 02 E0 01 E0 00 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_179_1 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z"
		size = 314
		refs = "0020 ?max_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0036 ?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0040 __rt_udiv 00b6 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 00c2 ?allocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAPADI@Z 00d6 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 00de ??$_Unfancy@D@std@@YAPADPAD@Z 00ea ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 00f4 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 00fa ?_Bx@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@D@std@@@2@XZ 0102 ??$addressof@PAD@std@@YAPAPADAAPAD@Z 0116 ??$construct@PADAAPAD@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPAPADAAPAD@Z 012c ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B 96 B0 6F 46 6F F0 01 03 C7 E9 14 33 FB 6E 43 F0 0F 03 3B 60 B8 6E ?? ?? ?? ?? B8 60 BA 68 3B 68 9A 42 02 D2 FB 6E 3B 60 3F E0 B8 6E ?? ?? ?? ?? F8 60 39 68 03 20 ?? ?? ?? ?? 04 46 FB 68 19 68 02 20 ?? ?? ?? ?? A0 42 00 D8 2E E0 B8 6E ?? ?? ?? ?? B8 61 B8 6E ?? ?? ?? ?? 78 61 B8 6E ?? ?? ?? ?? 38 61 3B 69 19 68 02 20 ?? ?? ?? ?? 7B 69 1A 1A BB 69 1B 68 93 42 11 D8 B8 6E ?? ?? ?? ?? 38 62 B8 6E ?? ?? ?? ?? F8 61 FB 69 19 68 02 20 ?? ?? ?? ?? 3B 6A 1B 68 03 44 3B 60 05 E0 B8 6E ?? ?? ?? ?? 78 62 7B 6A 3B 60 B8 6E ?? ?? ?? ?? B8 62 3B 68 59 1C B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 60 FF E7 3B 6F 00 2B 0C D9 B8 6E ?? ?? ?? ?? B8 63 78 68 ?? ?? ?? ?? F8 63 3A 6F B9 6B F8 6B ?? ?? ?? ?? 00 22 01 21 B8 6E ?? ?? ?? ?? B8 6E ?? ?? ?? ?? 38 64 38 6C ?? ?? ?? ?? 78 64 B8 6E ?? ?? ?? ?? B8 64 3A 1D 79 6C B8 6C ?? ?? ?? ?? B8 6E ?? ?? ?? ?? F8 64 3A 68 FB 6C 1A 60 39 6F B8 6E ?? ?? ?? ?? 16 B0 BD E8 90 08 5D F8 14 FB }
	condition:
		$1
}

rule file_10_180_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z$1"
		size = 28
		refs = "0008 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 0010 _CxxThrowException 0018 $LN17"
	strings:
		$1 = { 10 B5 00 22 01 21 B8 6E ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 00 48 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_515_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z$1"
		size = 28
		refs = "0008 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 0010 _CxxThrowException 0018 $LN17"
	strings:
		$1 = { 10 B5 00 22 01 21 B8 6E ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 00 48 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_41_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z$1"
		size = 28
		refs = "0008 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 0010 _CxxThrowException 0018 $LN17"
	strings:
		$1 = { 10 B5 00 22 01 21 B8 6E ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 00 48 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_181_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z$0"
		size = 44
		refs = "0008 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0014 ?allocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAPADI@Z 0028 $LN19"
	strings:
		$1 = { 10 B5 FB 6E 3B 60 B8 6E ?? ?? ?? ?? 38 63 3B 68 59 1C 38 6B ?? ?? ?? ?? 78 63 7B 6B 7B 60 00 F0 00 B8 01 48 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_516_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z$0"
		size = 44
		refs = "0008 ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0014 ?allocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAPAGI@Z 0028 $LN19"
	strings:
		$1 = { 10 B5 FB 6E 3B 60 B8 6E ?? ?? ?? ?? 38 63 3B 68 59 1C 38 6B ?? ?? ?? ?? 78 63 7B 6B 7B 60 00 F0 00 B8 01 48 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_42_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z$0"
		size = 44
		refs = "0008 ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0014 ?allocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAPA_WI@Z 0028 $LN19"
	strings:
		$1 = { 10 B5 FB 6E 3B 60 B8 6E ?? ?? ?? ?? 38 63 3B 68 59 1C 38 6B ?? ?? ?? ?? 78 63 7B 6B 7B 60 00 F0 00 B8 01 48 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_182_1 {
	meta:
		name = "?_Deallocate@std@@YAXPAXII@Z"
		size = 22
		refs = "000a ??3@YAXPAX@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_183_1 {
	meta:
		name = "?_Dec_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z"
		size = 40
		refs = "0010 ?_Atomic_fetch_sub_4@std@@YAKPCKKW4memory_order@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 5B 1E 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_184_1 {
	meta:
		name = "?_Decref@facet@locale@std@@UAAPAV_Facet_base@3@XZ"
		size = 52
		refs = "0010 ?_Dec_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 21 04 9B 18 1D ?? ?? ?? ?? 01 90 01 9B 00 2B 03 D1 04 9B 00 93 02 E0 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_185_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ"
		size = 498
		refs = "000a __security_push_cookie 0040 ?eof@?$char_traits@D@std@@SAHXZ 005a _guard_check_icall 007e ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0098 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00a6 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00ae ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00b8 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00f0 ?unshift@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z 0162 fwrite 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01ae ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 01e6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? A6 B0 6F 46 82 B0 6F F0 01 03 C7 E9 1E 33 D7 F8 B0 30 38 33 1B 68 00 2B 05 D0 D7 F8 B0 30 3D 33 1B 78 00 2B 03 D1 01 23 3B 72 D3 E0 D2 E0 08 23 FB 65 ?? ?? ?? ?? B8 61 BD 69 D7 F8 B0 30 1B 68 0C 33 D7 F8 B0 40 1B 68 7B 61 78 69 ?? ?? ?? ?? 7B 69 20 46 29 46 98 47 F8 61 FB 69 7B 62 ?? ?? ?? ?? 38 62 3B 6A BB 62 17 F1 24 01 17 F1 28 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 00 23 3B 72 A8 E0 00 22 08 21 17 F1 80 00 ?? ?? ?? ?? 38 66 17 F1 64 01 17 F1 80 00 ?? ?? ?? ?? F8 62 F8 6A ?? ?? ?? ?? 78 63 17 F1 80 00 ?? ?? ?? ?? B8 63 17 F1 68 01 17 F1 80 00 ?? ?? ?? ?? 38 63 38 6B ?? ?? ?? ?? F8 63 17 F1 48 03 00 93 7A 6B BB 6B 13 44 FA 6B D7 F8 B0 10 40 31 D7 F8 B0 00 38 30 00 68 ?? ?? ?? ?? 38 64 3B 6C 3B 61 3B 69 00 2B 06 D0 3B 69 01 2B 09 D0 3B 69 03 2B 53 D0 5B E0 D7 F8 B0 30 03 F1 3D 02 00 23 13 70 17 F1 6C 01 17 F1 80 00 ?? ?? ?? ?? 78 64 78 6C ?? ?? ?? ?? F8 64 BA 6C FB 6C D3 1A FB 60 FB 68 00 2B 21 D9 17 F1 70 01 17 F1 80 00 ?? ?? ?? ?? 38 65 38 6D ?? ?? ?? ?? 78 65 D7 F8 B0 30 4C 33 1B 68 FA 68 01 21 78 6D ?? ?? ?? ?? B8 65 FA 68 BB 6D 9A 42 08 D0 00 23 7B 70 17 F1 80 00 ?? ?? ?? ?? 7B 78 3B 72 2F E0 D7 F8 B0 30 3D 33 1B 78 00 2B 08 D1 01 23 BB 70 17 F1 80 00 ?? ?? ?? ?? BB 78 3B 72 20 E0 FB 68 00 2B 05 D1 00 22 08 21 17 F1 80 00 ?? ?? ?? ?? 11 E0 01 23 FB 70 17 F1 80 00 ?? ?? ?? ?? FB 78 3B 72 0D E0 00 23 3B 71 17 F1 80 00 ?? ?? ?? ?? 3B 79 3B 72 04 E0 61 E7 17 F1 80 00 ?? ?? ?? ?? 38 7A 28 B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_187_1 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
		size = 74
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ 003c ?assign@?$char_traits@D@std@@SAXAADABD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 00 23 8D F8 00 30 01 98 ?? ?? ?? ?? 03 90 01 9B 03 F1 10 02 07 9B 13 60 69 46 07 9A 01 23 02 FB 03 F2 03 9B 98 18 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_188_1 {
	meta:
		name = "?_Fetch_add_acquire_4@std@@YAKPCKK@Z"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9C 07 98 54 E8 00 2F 11 18 44 E8 00 13 00 2B F8 D1 13 46 00 93 BF F3 5B 8F 00 9B 01 93 01 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_189_1 {
	meta:
		name = "?_Fetch_add_relaxed_4@std@@YAKPCKK@Z"
		size = 50
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9C 07 98 54 E8 00 2F 11 18 44 E8 00 13 00 2B F8 D1 13 46 00 93 00 9B 01 93 01 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_190_1 {
	meta:
		name = "?_Fetch_add_release_4@std@@YAKPCKK@Z"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 BF F3 5B 8F 06 9C 07 98 54 E8 00 2F 11 18 44 E8 00 13 00 2B F8 D1 13 46 00 93 00 9B 01 93 01 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_191_1 {
	meta:
		name = "?_Fetch_add_seq_cst_4@std@@YAKPCKK@Z"
		size = 58
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 BF F3 5B 8F 06 9C 07 98 54 E8 00 2F 11 18 44 E8 00 13 00 2B F8 D1 13 46 00 93 BF F3 5B 8F 00 9B 01 93 01 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_200_1 {
	meta:
		name = "?_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$codecvt@DDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 02 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_202_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1"
		size = 32
		refs = "001a ??1_Locinfo@std@@QAA@XZ"
		altNames = "__unwindfunclet$?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 08 80 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_10_203_1 {
	meta:
		name = "?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$ctype@D@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 18 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 02 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_206_1 {
	meta:
		name = "?_Getctype@_Locinfo@std@@QBA?AU_Ctypevec@@XZ"
		size = 62
		refs = "000e _Getctype"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8A B0 02 A8 ?? ?? ?? ?? 02 AB 00 93 00 9C 06 AD 94 E8 0F 00 85 E8 0F 00 0F 9D 06 AC 94 E8 0F 00 85 E8 0F 00 0F 9B 01 93 01 98 0A B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_207_1 {
	meta:
		name = "?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z"
		size = 156
		refs = "005a ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 1D 1B 68 0C 33 09 9A 1B 68 9A 42 0D D2 08 9B 1B 1D 1B 68 03 F1 08 01 09 9A 04 23 02 FB 03 F2 0B 68 13 44 1B 68 00 93 01 E0 00 23 00 93 00 9B 01 93 01 9B 00 2B 06 D1 08 9B 1B 1D 1B 68 14 33 1B 78 00 2B 03 D1 01 9B 04 93 1B E0 1A E0 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 0C 33 09 9A 1B 68 9A 42 0B D2 02 9B 03 F1 08 01 09 9A 04 23 02 FB 03 F2 0B 68 13 44 1B 68 03 93 01 E0 00 23 03 93 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_208_1 {
	meta:
		name = "?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ"
		size = 62
		altNames = "?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1C 33 1B 68 1B 68 00 2B 05 D0 06 9B 2C 33 1B 68 1B 68 00 93 01 E0 00 23 00 93 00 9A 00 9B DB 17 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_209_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ"
		size = 66
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 2C 33 1B 68 1B 68 5A 1C 04 9B 2C 33 1B 68 1A 60 04 9B 1C 33 1B 68 1B 68 5B 1E 00 93 04 9B 1C 33 1A 68 00 9B 13 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_210_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ"
		size = 72
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 2C 33 1B 68 1B 68 5A 1E 04 9B 2C 33 1B 68 1A 60 04 9B 1C 33 1B 68 1B 68 00 93 04 9B 1C 33 1B 68 1B 68 5A 1C 04 9B 1C 33 1B 68 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_211_1 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z"
		size = 188
		refs = "000c ?max_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 001c ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0022 ?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0034 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0042 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z 0082 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 0092 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 02 90 02 9A 0B 9B 9A 42 02 D2 0A 98 ?? ?? ?? ?? 0A 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 0B 9B 9A 42 0A D2 0A 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0B 99 0A 98 ?? ?? ?? ?? 26 E0 9D F8 30 30 00 2B 1B D0 0B 9B 10 2B 18 D2 0A 98 ?? ?? ?? ?? 05 90 0B 9A 05 9B 1B 68 9A 42 02 D2 0B 9B 00 93 06 E0 0A 98 ?? ?? ?? ?? 06 90 06 9B 1B 68 00 93 00 9A 01 21 0A 98 ?? ?? ?? ?? 06 E0 0B 9B 00 2B 03 D1 00 21 0A 98 ?? ?? ?? ?? 0B 9B 00 2B 02 D9 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 1C 30 9D F8 1C 00 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_212_1 {
	meta:
		name = "?_Inc_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z"
		size = 40
		refs = "0010 ?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 5B 1C 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_214_1 {
	meta:
		name = "?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 160
		refs = "0032 ?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXXZ 0050 _get_stream_buffer_pointers 006c ?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAPAD0PAH001@Z 0084 memcpy 009c ?_Stinit@?1??_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 01 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 0C 9B 03 F1 48 02 07 9B DB B2 13 70 0C 9B 03 F1 3D 02 00 23 13 70 0C 98 ?? ?? ?? ?? 0D 9B 00 2B 19 D0 00 23 06 93 00 23 05 93 00 23 04 93 04 AB 05 AA 06 A9 0D 98 ?? ?? ?? ?? 04 9B 08 93 08 9B 02 93 05 9B 01 93 06 9B 00 93 04 9B 05 9A 06 99 0C 98 ?? ?? ?? ?? 0C 9B 03 F1 4C 02 0D 9B 13 60 0C 9B 03 F1 40 00 06 49 08 22 ?? ?? ?? ?? 0C 9B 03 F1 38 02 00 23 13 60 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_215_1 {
	meta:
		name = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAPAD0PAH001@Z"
		size = 76
		altNames = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAPAG0PAH001@Z ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPAPA_W0PAH001@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9B 03 F1 0C 02 03 9B 13 60 02 9B 03 F1 10 02 06 9B 13 60 02 9B 03 F1 1C 02 04 9B 13 60 02 9B 03 F1 20 02 07 9B 13 60 02 9B 03 F1 2C 02 05 9B 13 60 02 9B 03 F1 30 02 08 9B 13 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_216_1 {
	meta:
		name = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXXZ"
		size = 108
		refs = "0054 ?setp@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAD0@Z 0060 ?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAD00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1A 1D 02 9B 0C 33 1A 60 02 9B 03 F1 08 02 02 9B 10 33 1A 60 02 9B 03 F1 14 02 02 9B 1C 33 1A 60 02 9B 03 F1 18 02 02 9B 20 33 1A 60 02 9B 03 F1 24 02 02 9B 2C 33 1A 60 02 9B 03 F1 28 02 02 9B 30 33 1A 60 00 22 00 21 02 98 ?? ?? ?? ?? 00 23 00 22 00 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_250_2 {
	meta:
		name = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXXZ"
		size = 108
		refs = "0054 ?setp@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAG0@Z 0060 ?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAG00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1A 1D 02 9B 0C 33 1A 60 02 9B 03 F1 08 02 02 9B 10 33 1A 60 02 9B 03 F1 14 02 02 9B 1C 33 1A 60 02 9B 03 F1 18 02 02 9B 20 33 1A 60 02 9B 03 F1 24 02 02 9B 2C 33 1A 60 02 9B 03 F1 28 02 02 9B 30 33 1A 60 00 22 00 21 02 98 ?? ?? ?? ?? 00 23 00 22 00 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_30_250_2 {
	meta:
		name = "?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXXZ"
		size = 108
		refs = "0054 ?setp@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPA_W0@Z 0060 ?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPA_W00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1A 1D 02 9B 0C 33 1A 60 02 9B 03 F1 08 02 02 9B 10 33 1A 60 02 9B 03 F1 14 02 02 9B 1C 33 1A 60 02 9B 03 F1 18 02 02 9B 20 33 1A 60 02 9B 03 F1 24 02 02 9B 2C 33 1A 60 02 9B 03 F1 28 02 02 9B 30 33 1A 60 00 22 00 21 02 98 ?? ?? ?? ?? 00 23 00 22 00 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_218_1 {
	meta:
		name = "?_Init@?$ctype@D@std@@IAAXABV_Locinfo@2@@Z"
		size = 48
		refs = "0010 ?_Getctype@_Locinfo@std@@QBA?AU_Ctypevec@@XZ"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 02 A9 0B 98 ?? ?? ?? ?? 00 90 00 9C 0A 9B 03 F1 08 05 94 E8 0F 00 85 E8 0F 00 06 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_219_1 {
	meta:
		name = "?_Init@ios_base@std@@IAAXXZ"
		size = 172
		refs = "0070 ?clear@ios_base@std@@QAAXH@Z 0076 ??2_Crt_new_delete@std@@SAPAXI@Z 0088 ??0locale@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 30 02 00 23 13 60 08 9B 03 F1 08 02 00 23 13 60 08 9B 03 F1 10 02 00 23 13 60 08 9B 03 F1 14 02 40 F2 01 23 13 60 08 9B 18 33 00 93 00 9A 06 23 13 60 00 9A 00 23 53 60 08 9B 20 33 01 93 01 9A 00 23 13 60 01 9A 00 23 53 60 08 9B 03 F1 28 02 00 23 13 60 08 9B 03 F1 2C 02 00 23 13 60 00 21 08 98 ?? ?? ?? ?? 08 20 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 05 90 05 9B 03 93 01 E0 00 23 03 93 08 9B 03 F1 30 02 03 9B 13 60 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_220_1 {
	meta:
		name = "?_Init_atomic_counter@std@@YAXAAKK@Z"
		size = 22
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9A 02 9B 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_221_1 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPBV?$codecvt@DDU_Mbstatet@@@2@@Z"
		size = 66
		refs = "000c ?always_noconv@codecvt_base@std@@QBA_NXZ 0034 ?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 05 D0 04 9B 03 F1 38 02 00 23 13 60 07 E0 04 9B 03 F1 38 02 05 9B 13 60 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_255_2 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPBV?$codecvt@GDU_Mbstatet@@@2@@Z"
		size = 66
		refs = "000c ?always_noconv@codecvt_base@std@@QBA_NXZ 0034 ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 05 D0 04 9B 03 F1 38 02 00 23 13 60 07 E0 04 9B 03 F1 38 02 05 9B 13 60 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_30_255_2 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPBV?$codecvt@_WDU_Mbstatet@@@2@@Z"
		size = 66
		refs = "000c ?always_noconv@codecvt_base@std@@QBA_NXZ 0034 ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 05 D0 04 9B 03 F1 38 02 00 23 13 60 07 E0 04 9B 03 F1 38 02 05 9B 13 60 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_222_1 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z"
		size = 92
		refs = "0012 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 002a ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 16 D0 06 98 ?? ?? ?? ?? 01 90 07 9A 01 9B 9A 42 0E D3 06 98 ?? ?? ?? ?? 02 90 06 98 ?? ?? ?? ?? 03 90 02 9A 03 9B 1B 68 1A 44 07 9B 9A 42 04 D8 00 23 8D F8 00 30 03 E0 02 E0 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_223_1 {
	meta:
		name = "?_Lock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAAXXZ"
		size = 36
		refs = "0018 _lock_file"
		altNames = "?_Lock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAAXXZ ?_Lock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 4C 33 1B 68 00 2B 04 D0 02 9B 4C 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_96_243_1 {
	meta:
		name = "?_Unlock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAAXXZ"
		size = 36
		refs = "0018 _unlock_file"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 4C 33 1B 68 00 2B 04 D0 02 9B 4C 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_46_302_3 {
	meta:
		name = "?_Unlock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAAXXZ"
		size = 36
		refs = "0018 _unlock_file"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 4C 33 1B 68 00 2B 04 D0 02 9B 4C 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_21_243_1 {
	meta:
		name = "?_Unlock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAAXXZ"
		size = 36
		refs = "0018 _unlock_file"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 4C 33 1B 68 00 2B 04 D0 02 9B 4C 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_225_1 {
	meta:
		name = "?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z"
		size = 136
		refs = "000a __security_push_cookie 0020 ?empty@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA_NXZ 0030 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z 003c ?message@error_code@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 004a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@@Z 0052 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 005a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0076 __security_pop_cookie 0084 ??_C@_02LMMGGCAJ@?3?5?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 8E B0 6F 46 6F F0 01 03 C7 E9 06 33 00 23 7B 60 78 6D ?? ?? ?? ?? 38 70 3B 78 00 2B 03 D1 15 49 78 6D ?? ?? ?? ?? 17 F1 20 01 17 F1 4C 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 F9 68 78 6D ?? ?? ?? ?? 17 F1 20 00 ?? ?? ?? ?? 79 6D B8 6C ?? ?? ?? ?? 78 61 7B 68 43 F0 01 03 7B 60 78 6D ?? ?? ?? ?? BB 6C 3B 61 38 69 0E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_228_1 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ"
		size = 42
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 0014 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_264_2 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ"
		size = 42
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 0014 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_971_3 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ"
		size = 42
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 0014 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_972_3 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ"
		size = 42
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 0014 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_41_1 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ"
		size = 42
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 0014 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_974_3 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ"
		size = 42
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 0014 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_230_1 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ"
		size = 56
		refs = "0018 ??$_Unfancy@D@std@@YAPADPAD@Z"
		altNames = "?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 14 33 1B 68 10 2B 07 D3 06 9B 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 06 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_232_1 {
	meta:
		name = "?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
		altNames = "?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_123_1 {
	meta:
		name = "?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_831_1 {
	meta:
		name = "?_Myres@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_43_1 {
	meta:
		name = "?_Myres@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_41_277_3 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_937_2 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_938_2 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_939_2 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_989_3 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_233_1 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 10 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_834_1 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 10 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_835_1 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 10 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_836_1 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 10 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_837_1 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 10 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_838_1 {
	meta:
		name = "?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 10 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_235_1 {
	meta:
		name = "?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ"
		size = 62
		altNames = "?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 20 33 1B 68 1B 68 00 2B 05 D0 06 9B 30 33 1B 68 1B 68 00 93 01 E0 00 23 00 93 00 9A 00 9B DB 17 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_236_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ"
		size = 72
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 30 33 1B 68 1B 68 5A 1E 04 9B 30 33 1B 68 1A 60 04 9B 20 33 1B 68 1B 68 00 93 04 9B 20 33 1B 68 1B 68 5A 1C 04 9B 20 33 1B 68 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_237_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ"
		size = 64
		refs = "000c ?eback@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 0032 ?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAD00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 04 9B 03 F1 3C 02 00 9B 93 42 0B D1 04 9B 54 33 1B 68 04 9A 50 32 12 68 04 99 50 31 09 68 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_274_2 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ"
		size = 64
		refs = "000c ?eback@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 0032 ?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAG00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 04 9B 03 F1 3C 02 00 9B 93 42 0B D1 04 9B 54 33 1B 68 04 9A 50 32 12 68 04 99 50 31 09 68 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_30_274_2 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
		size = 64
		refs = "000c ?eback@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 0032 ?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPA_W00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 04 9B 03 F1 3C 02 00 9B 93 42 0B D1 04 9B 54 33 1B 68 04 9A 50 32 12 68 04 99 50 31 09 68 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_238_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ"
		size = 94
		refs = "000c ?eback@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 0032 ?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 0050 ?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAD00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 06 9B 03 F1 3C 02 00 9B 93 42 11 D0 06 98 ?? ?? ?? ?? 01 90 06 9B 03 F1 50 02 01 9B 13 60 06 98 ?? ?? ?? ?? 02 90 06 9B 03 F1 54 02 02 9B 13 60 06 9B 3D 33 06 9A 3C 32 06 99 3C 31 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_239_1 {
	meta:
		name = "?_Tidy@?$_Yarn@D@std@@AAAXXZ"
		size = 40
		refs = "0016 _free_dbg"
		altNames = "?_Tidy@?$_Yarn@_W@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 68 00 2B 04 D0 02 21 02 9B 18 68 ?? ?? ?? ?? 02 9A 00 23 13 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_241_1 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z"
		size = 176
		refs = "0016 ?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0026 ?_Bx@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@D@std@@@2@XZ 003c ??$addressof@PAD@std@@YAPAPADAAPAD@Z 0044 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 004e ??$destroy@PAD@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPAPAD@Z 005a ??$_Unfancy@D@std@@YAPADPAD@Z 006e ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 008c ?deallocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPADI@Z 00a2 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 9D F8 3C 30 00 2B 00 D1 3D E0 0E 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 10 2B 35 D3 0E 98 ?? ?? ?? ?? 02 90 02 9B 1B 68 00 93 0E 98 ?? ?? ?? ?? 03 90 03 98 ?? ?? ?? ?? 04 90 0E 98 ?? ?? ?? ?? 05 90 04 99 05 98 ?? ?? ?? ?? 10 9B 00 2B 0C D9 00 98 ?? ?? ?? ?? 06 90 0E 98 ?? ?? ?? ?? 07 90 10 9A 06 99 07 98 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 08 90 0E 98 ?? ?? ?? ?? 09 90 08 9B 1B 68 5A 1C 00 99 09 98 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 0A 90 0A 9A 0F 23 13 60 10 99 0E 98 ?? ?? ?? ?? 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_242_1 {
	meta:
		name = "?_Tidy@?$ctype@D@std@@IAAXXZ"
		size = 86
		refs = "001e free 003c ??_V@YAXPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 08 33 1B 68 00 2B 06 DD 04 9B 08 33 1B 1D 18 68 ?? ?? ?? ?? 0D E0 04 9B 08 33 08 33 1B 68 00 2B 07 DA 04 9B 08 33 1B 1D 1B 68 00 93 00 98 ?? ?? ?? ?? 04 9B 08 33 0C 33 18 68 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_245_1 {
	meta:
		name = "?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
		size = 20
		refs = "000a ?_Xlength_error@std@@YAXPBD@Z 0010 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@"
		altNames = "?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 01 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_141_2 {
	meta:
		name = "?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
		size = 20
		refs = "000a ?_Xout_of_range@std@@YAXPBD@Z 0010 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 01 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_887_1 {
	meta:
		name = "?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
		size = 20
		refs = "000a ?_Xout_of_range@std@@YAXPBD@Z 0010 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 01 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_111_3 {
	meta:
		name = "?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
		size = 20
		refs = "000a ?_Xout_of_range@std@@YAXPBD@Z 0010 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 01 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_249_1 {
	meta:
		name = "?address@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBAPADAAD@Z"
		size = 34
		refs = "000c ?pointer_to@?$pointer_traits@PAD@std@@SAPADAAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_891_1 {
	meta:
		name = "?address@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBAPAGAAG@Z"
		size = 34
		refs = "000c ?pointer_to@?$pointer_traits@PAG@std@@SAPAGAAG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_286_2 {
	meta:
		name = "?address@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QBAPAU_Container_proxy@2@AAU32@@Z"
		size = 34
		refs = "000c ?pointer_to@?$pointer_traits@PAU_Container_proxy@std@@@std@@SAPAU_Container_proxy@2@AAU32@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_1069_3 {
	meta:
		name = "?address@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBAPA_WAA_W@Z"
		size = 34
		refs = "000c ?pointer_to@?$pointer_traits@PA_W@std@@SAPA_WAA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_251_1 {
	meta:
		name = "?allocate@?$allocator@D@std@@QAAPADI@Z"
		size = 38
		refs = "0010 ?_Allocate@std@@YAPAXII_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 01 21 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_252_1 {
	meta:
		name = "?always_noconv@codecvt_base@std@@QBA_NXZ"
		size = 62
		refs = "001a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 1B 68 0C 33 06 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 8D F8 00 00 9D F8 00 30 8D F8 08 30 9D F8 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_253_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@@Z"
		size = 48
		refs = "0014 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 002c ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_900_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@@Z"
		size = 48
		refs = "0014 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 002c ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_903_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@@Z"
		size = 48
		refs = "0014 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 002c ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_268_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@@Z"
		size = 48
		refs = "0014 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 002c ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_911_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@@Z"
		size = 48
		refs = "0014 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 002c ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_917_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@@Z"
		size = 48
		refs = "0014 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 002c ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_254_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 184
		refs = "000e ?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z 0018 ?_Clamp_suffix_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIII@Z 0024 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 003c ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 005e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0070 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ 0078 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0096 ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 009e ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 00b4 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 99 0D 98 ?? ?? ?? ?? 0F 9A 0E 99 0D 98 ?? ?? ?? ?? 02 90 02 9B 0F 93 0C 98 ?? ?? ?? ?? 03 90 22 4B 1A 68 03 9B 1B 68 D2 1A 0F 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0F 9B 13 44 01 93 0F 9B 00 2B 24 D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 19 D0 0D 98 ?? ?? ?? ?? 05 90 0C 98 ?? ?? ?? ?? 06 90 0C 98 ?? ?? ?? ?? 07 90 0F 9A 05 99 0E 9B 19 44 06 98 07 9B 1B 68 18 44 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_255_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
		size = 140
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0024 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0046 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 006a ?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXIID@Z 0072 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0088 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 1D 4B 1A 68 02 9B 1B 68 D2 1A 09 9B 9A 42 02 D8 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 09 9B 13 44 01 93 09 9B 00 2B 1A D9 00 22 01 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D0 08 98 ?? ?? ?? ?? 04 90 9D F9 28 30 09 9A 04 99 09 68 08 98 ?? ?? ?? ?? 01 99 08 98 ?? ?? ?? ?? 08 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_256_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z"
		size = 46
		refs = "000c ?length@?$char_traits@D@std@@SAIPBD@Z 0018 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_75_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z"
		size = 46
		refs = "000c ?length@?$char_traits@_W@std@@SAIPB_W@Z 0018 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_299_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z"
		size = 46
		refs = "000c ?length@?$char_traits@D@std@@SAIPBD@Z 0018 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_914_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBG@Z"
		size = 46
		refs = "000c ?length@?$char_traits@G@std@@SAIPBG@Z 0018 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1049_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z"
		size = 46
		refs = "000c ?length@?$char_traits@_W@std@@SAIPB_W@Z 0018 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_257_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		size = 200
		refs = "000e ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z 0020 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0032 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0040 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0058 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 007a ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 00a6 ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 00ae ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 00c4 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 99 0C 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D0 0C 98 ?? ?? ?? ?? 03 90 0E 9B 0D 99 03 9A 8A 1A 0C 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 3B E0 0C 98 ?? ?? ?? ?? 05 90 1F 4B 1A 68 05 9B 1B 68 D2 1A 0E 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 06 90 06 9B 1A 68 0E 9B 13 44 01 93 0E 9B 00 2B 1E D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 13 D0 0C 98 ?? ?? ?? ?? 07 90 0C 98 ?? ?? ?? ?? 08 90 0E 9A 0D 99 07 98 08 9B 1B 68 18 44 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_258_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 142
		refs = "000e ?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z 0018 ?_Clamp_suffix_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIII@Z 0032 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 003c ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 0048 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 005a ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ 0062 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0072 ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 007a ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 99 09 98 ?? ?? ?? ?? 0B 9A 0A 99 09 98 ?? ?? ?? ?? 01 90 01 9B 0B 93 08 9A 09 9B 9A 42 0B D1 0A 9A 0B 9B D1 18 08 98 ?? ?? ?? ?? 0A 9A 00 21 08 98 ?? ?? ?? ?? 1D E0 00 22 0B 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 12 D0 09 98 ?? ?? ?? ?? 02 90 08 98 ?? ?? ?? ?? 03 90 0B 9A 02 99 0A 9B 19 44 03 98 ?? ?? ?? ?? 0B 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_259_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
		size = 92
		refs = "0016 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0020 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 003a ?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXIID@Z 0042 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0058 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 12 4B 1B 68 9A 42 02 D1 04 98 ?? ?? ?? ?? 00 22 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0A D0 9D F9 18 30 05 9A 00 21 04 98 ?? ?? ?? ?? 05 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_261_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		size = 126
		refs = "000e ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z 0020 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0032 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0044 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0062 ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 006a ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D0 08 98 ?? ?? ?? ?? 02 90 0A 9B 09 99 02 9A 8A 1A 08 99 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 19 E0 00 22 0A 99 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0C D0 08 98 ?? ?? ?? ?? 04 90 0A 9A 09 99 04 98 ?? ?? ?? ?? 0A 99 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_262_1 {
	meta:
		name = "?assign@?$char_traits@D@std@@SAPADPADID@Z"
		size = 40
		refs = "0012 memset"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 9D F9 18 10 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_263_1 {
	meta:
		name = "?assign@?$char_traits@D@std@@SAXAADABD@Z"
		size = 26
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9B 93 F9 00 20 02 9B 1A 70 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_264_1 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 86
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBAPADAAD@Z 0042 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PADPBU_Container_base0@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 39 69 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_118_303_2 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 86
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBAPADAAD@Z 0042 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PADPBU_Container_base12@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 39 69 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_928_1 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 86
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBAPAGAAG@Z 0042 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PAGPBU_Container_base0@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 39 69 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1057_2 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 86
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBAPAGAAG@Z 0042 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PAGPBU_Container_base12@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 39 69 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1058_2 {
	meta:
		name = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
		size = 86
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBAPA_WAA_W@Z 0042 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PA_WPBU_Container_base12@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 39 69 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_929_1 {
	meta:
		name = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
		size = 86
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBAPA_WAA_W@Z 0042 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PA_WPBU_Container_base0@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 39 69 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_265_1 {
	meta:
		name = "?c_str@?$_Yarn@D@std@@QBAPBDXZ"
		size = 48
		altNames = "?_C_str@?$_Yarn@D@std@@QBAPBDXZ ?_C_str@?$_Yarn@_W@std@@QBAPB_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 03 D0 04 9B 1B 68 00 93 02 E0 04 9B 1B 1D 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_266_1 {
	meta:
		name = "?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ"
		size = 46
		refs = "0018 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 38 60 3B 68 7B 60 78 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_932_1 {
	meta:
		name = "?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ"
		size = 46
		refs = "0018 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 38 60 3B 68 7B 60 78 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_16_82_1 {
	meta:
		name = "?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ"
		size = 46
		refs = "0018 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 38 60 3B 68 7B 60 78 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_267_1 {
	meta:
		name = "?c_str@locale@std@@QBAPBDXZ"
		size = 68
		refs = "0024 ?c_str@?$_Yarn@D@std@@QBAPBDXZ 0040 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 68 00 2B 02 D1 0A 4B 00 93 09 E0 06 9B 1B 1D 1B 68 03 F1 18 00 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_268_1 {
	meta:
		name = "?category@error_code@std@@QBAABVerror_category@2@XZ"
		size = 30
		altNames = "?category@error_condition@std@@QBAABVerror_category@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_270_1 {
	meta:
		name = "?clear@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAXH_N@Z"
		size = 56
		refs = "002a ?clear@ios_base@std@@QAAXH_N@Z"
		altNames = "?clear@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAXH_N@Z ?clear@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 38 33 1B 68 00 2B 04 D1 05 9B 43 F0 04 03 00 93 01 E0 05 9B 00 93 9D F8 18 20 00 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_271_1 {
	meta:
		name = "?clear@ios_base@std@@QAAXH@Z"
		size = 26
		refs = "000e ?clear@ios_base@std@@QAAXH_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 22 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_37_388_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
		size = 26
		refs = "000e ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXID@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 22 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1383_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
		size = 26
		refs = "000e ?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 22 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1385_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
		size = 26
		refs = "000e ?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 22 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_272_1 {
	meta:
		name = "?clear@ios_base@std@@QAAXH_N@Z"
		size = 220
		refs = "0038 _CxxThrowException 0058 ?make_error_code@std@@YA?AVerror_code@1@W4io_errc@1@@Z 0064 ??0failure@ios_base@std@@QAA@PBDABVerror_code@2@@Z 00cc _TI5?AVfailure@ios_base@std@@ 00d0 ??_C@_0BF@OOHOMBOF@ios_base?3?3eofbit?5set?$AA@ 00d4 ??_C@_0BG@FMKFHCIL@ios_base?3?3failbit?5set?$AA@ 00d8 ??_C@_0BF@PHHKMMFD@ios_base?3?3badbit?5set?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1F 9B 03 F0 17 02 1E 9B 0C 33 1A 60 1E 9B 03 F1 0C 02 1E 9B 10 33 12 68 1B 68 13 40 00 2B 00 D1 4A E0 9D F8 80 30 00 2B 04 D0 00 21 00 20 ?? ?? ?? ?? 41 E0 1E 9B 03 F1 0C 02 1E 9B 10 33 12 68 1B 68 13 40 13 F0 04 0F 0E D0 01 21 04 A8 ?? ?? ?? ?? 00 90 00 9A 1D 49 0A A8 ?? ?? ?? ?? 18 49 0A A8 ?? ?? ?? ?? 27 E0 1E 9B 03 F1 0C 02 1E 9B 10 33 12 68 1B 68 13 40 13 F0 02 0F 0E D0 01 21 06 A8 ?? ?? ?? ?? 01 90 01 9A 0F 49 10 A8 ?? ?? ?? ?? 0B 49 10 A8 ?? ?? ?? ?? 0D E0 01 21 08 A8 ?? ?? ?? ?? 02 90 02 9A 07 49 16 A8 ?? ?? ?? ?? 04 49 16 A8 ?? ?? ?? ?? 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_273_1 {
	meta:
		name = "?close@?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAAPAV12@XZ"
		size = 100
		refs = "0020 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ 003a fclose 0050 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 06 9B 4C 33 1B 68 00 2B 02 D1 00 23 01 93 15 E0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D1 00 23 01 93 06 9B 4C 33 18 68 ?? ?? ?? ?? 02 90 02 9B 00 2B 01 D0 00 23 01 93 02 22 00 21 06 98 ?? ?? ?? ?? 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_312_2 {
	meta:
		name = "?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAAPAV12@XZ"
		size = 100
		refs = "0020 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ 003a fclose 0050 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 06 9B 4C 33 1B 68 00 2B 02 D1 00 23 01 93 15 E0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D1 00 23 01 93 06 9B 4C 33 18 68 ?? ?? ?? ?? 02 90 02 9B 00 2B 01 D0 00 23 01 93 02 22 00 21 06 98 ?? ?? ?? ?? 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_30_312_2 {
	meta:
		name = "?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAAPAV12@XZ"
		size = 100
		refs = "0020 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ 003a fclose 0050 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 06 9B 4C 33 1B 68 00 2B 02 D1 00 23 01 93 15 E0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D1 00 23 01 93 06 9B 4C 33 18 68 ?? ?? ?? ?? 02 90 02 9B 00 2B 01 D0 00 23 01 93 02 22 00 21 06 98 ?? ?? ?? ?? 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_274_1 {
	meta:
		name = "?copy@?$char_traits@D@std@@SAPADPADPBDI@Z"
		size = 54
		refs = "001c memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 02 D1 06 9B 00 93 07 E0 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_112_337_3 {
	meta:
		name = "?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z"
		size = 54
		refs = "001c wmemcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 02 D1 06 9B 00 93 07 E0 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_30_314_2 {
	meta:
		name = "?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z"
		size = 54
		refs = "001c wmemcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 02 D1 06 9B 00 93 07 E0 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_27_393_3 {
	meta:
		name = "?move@?$char_traits@D@std@@SAPADPADPBDI@Z"
		size = 54
		refs = "001c memmove"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 02 D1 06 9B 00 93 07 E0 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1345_2 {
	meta:
		name = "?move@?$char_traits@G@std@@SAPAGPAGPBGI@Z"
		size = 54
		refs = "001c wmemmove"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 02 D1 06 9B 00 93 07 E0 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_145_3 {
	meta:
		name = "?move@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z"
		size = 54
		refs = "001c wmemmove"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 02 D1 06 9B 00 93 07 E0 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_275_1 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPADI@Z"
		size = 26
		refs = "000e ?deallocate@?$allocator@D@std@@QAAXPADI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_487_1 {
	meta:
		name = "?_Addfac@_Locimp@locale@std@@AAAXPAVfacet@23@I@Z"
		size = 26
		refs = "000e ?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_119_0_2 {
	meta:
		name = "?_Debug_message@std@@YAXPBG0I@Z"
		size = 26
		refs = "000e ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_114_131_3 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@2@I@Z"
		size = 26
		refs = "000e ?deallocate@?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@QBAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1072_2 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAGI@Z"
		size = 26
		refs = "000e ?deallocate@?$allocator@G@std@@QAAXPAGI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_37_339_3 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@2@I@Z"
		size = 26
		refs = "000e ?deallocate@?$allocator@U_Container_proxy@std@@@std@@QAAXPAU_Container_proxy@2@I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_84_1 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPA_WI@Z"
		size = 26
		refs = "000e ?deallocate@?$allocator@_W@std@@QAAXPA_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_276_1 {
	meta:
		name = "?deallocate@?$allocator@D@std@@QAAXPADI@Z"
		size = 26
		refs = "000e ?_Deallocate@std@@YAXPAXII@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 01 22 04 99 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_277_1 {
	meta:
		name = "?default_error_condition@error_category@std@@UBA?AVerror_condition@2@H@Z"
		size = 36
		refs = "0010 ??0error_condition@std@@QAA@HABVerror_category@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 06 99 05 98 ?? ?? ?? ?? 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_279_1 {
	meta:
		name = "?do_always_noconv@codecvt_base@std@@MBA_NXZ"
		size = 30
		altNames = "??$?9DD@std@@YA_NABV?$allocator@D@0@0@Z ??$?9GG@std@@YA_NABV?$allocator@G@0@0@Z ??$?9_W_W@std@@YA_NABV?$allocator@_W@0@0@Z ?do_always_noconv@?$codecvt@GDU_Mbstatet@@@std@@MBA_NXZ ?do_always_noconv@?$codecvt@_WDU_Mbstatet@@@std@@MBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_280_1 {
	meta:
		name = "?do_encoding@codecvt_base@std@@MBAHXZ"
		size = 26
		altNames = "?do_max_length@codecvt_base@std@@MBAHXZ ?length@charNode@@UBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_281_1 {
	meta:
		name = "?do_in@?$codecvt@DDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z"
		size = 104
		altNames = "?do_out@?$codecvt@DDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 08 9B 1A 60 09 9A 0B 9B 1A 60 03 23 00 93 1F E0 1E E0 09 E0 08 9B 1B 68 5A 1C 08 9B 1A 60 0B 9B 1B 68 5A 1C 0B 9B 1A 60 08 9B 1A 68 07 9B 9A 42 0C D0 0B 9B 1A 68 0A 9B 9A 42 07 D0 08 9B 19 68 0B 9B 1A 68 91 F9 00 30 13 70 E3 E7 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_282_1 {
	meta:
		name = "?do_length@?$codecvt@DDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1I@Z"
		size = 52
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9A 06 9B D2 1A 08 9B 93 42 02 D2 08 9B 00 93 03 E0 07 9A 06 9B D3 1A 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_284_1 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MBADDD@Z"
		size = 32
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 9D F9 14 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_285_1 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MBAPBDPBD0DPAD@Z"
		size = 40
		refs = "0014 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B D2 1A 05 99 08 98 ?? ?? ?? ?? 06 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_287_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MBADD@Z"
		size = 50
		refs = "0016 _Tolower"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 01 9D F9 14 30 D8 B2 ?? ?? ?? ?? 00 90 00 9B 5B B2 8D F8 04 30 9D F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_68_330_2 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MBADD@Z"
		size = 50
		refs = "0016 _Toupper"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 01 9D F9 14 30 D8 B2 ?? ?? ?? ?? 00 90 00 9B 5B B2 8D F8 04 30 9D F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_288_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MBAPBDPADPBD@Z"
		size = 72
		refs = "0028 _Tolower"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 05 9B 5B 1C 05 93 05 9A 06 9B 9A 42 0E D0 04 9B 03 F1 08 01 05 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 00 90 00 9B 5A B2 05 9B 1A 70 E9 E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_290_1 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MBAPBDPADPBD@Z"
		size = 72
		refs = "0028 _Toupper"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 05 9B 5B 1C 05 93 05 9A 06 9B 9A 42 0E D0 04 9B 03 F1 08 01 05 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 00 90 00 9B 5A B2 05 9B 1A 70 E9 E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_291_1 {
	meta:
		name = "?do_unshift@?$codecvt@DDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PAD1AAPAD@Z"
		size = 32
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 08 9B 1A 60 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_292_1 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MBADD@Z"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 14 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_293_1 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MBAPBDPBD0PAD@Z"
		size = 40
		refs = "0014 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B D2 1A 05 99 07 98 ?? ?? ?? ?? 06 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_294_1 {
	meta:
		name = "?eback@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ"
		size = 32
		altNames = "?eback@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ ?eback@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0C 33 1B 68 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_295_1 {
	meta:
		name = "?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1C 33 1A 68 04 9B 2C 33 1B 68 12 68 1B 68 13 44 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_296_1 {
	meta:
		name = "?empty@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA_NXZ"
		size = 58
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1151_1 {
	meta:
		name = "?empty@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBA_NXZ"
		size = 58
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_86_1 {
	meta:
		name = "?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ"
		size = 58
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_297_1 {
	meta:
		name = "?eof@?$char_traits@D@std@@SAHXZ"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 6F F0 00 03 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_10_298_1 {
	meta:
		name = "?epptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 20 33 1A 68 04 9B 30 33 1B 68 12 68 1B 68 13 44 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_299_1 {
	meta:
		name = "?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1A 68 05 9B 1B 68 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_300_1 {
	meta:
		name = "?equivalent@error_category@std@@UBA_NABVerror_code@2@H@Z"
		size = 86
		refs = "000c ?category@error_code@std@@QBAABVerror_category@2@XZ 0016 ??8error_category@std@@QBA_NABV01@@Z 0028 ?value@error_code@std@@QBAHXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 98 ?? ?? ?? ?? 02 90 02 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0A D0 09 98 ?? ?? ?? ?? 03 90 03 9A 0A 9B 9A 42 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 10 30 9D F8 10 00 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_301_1 {
	meta:
		name = "?equivalent@error_category@std@@UBA_NHABVerror_condition@2@@Z"
		size = 80
		refs = "001e _guard_check_icall 0032 ??8std@@YA_NABVerror_condition@0@0@Z"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 87 B0 0D 9E 04 AD 0C 9B 1B 68 0C 33 0C 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 32 46 98 47 02 90 0E 99 02 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 0C 30 9D F8 0C 00 07 B0 BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_10_302_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z"
		size = 42
		refs = "000e ?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z 0016 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1163_1 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@I@Z"
		size = 42
		refs = "000e ?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z 0016 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_88_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I@Z"
		size = 42
		refs = "000e ?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z 0016 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_303_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z"
		size = 132
		refs = "000e ?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z 0014 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 002c ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 003a ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0068 ?move@?$char_traits@D@std@@SAPADPADPBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 99 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 09 9B D2 1A 0A 9B 9A 42 04 D8 09 99 08 98 ?? ?? ?? ?? 20 E0 0A 9B 00 2B 1D D9 08 98 ?? ?? ?? ?? 03 90 03 9A 09 9B 13 44 00 93 08 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0A 9B D3 1A 01 93 01 9A 09 9B D2 1A 00 99 0A 9B 19 44 00 98 ?? ?? ?? ?? 01 99 08 98 ?? ?? ?? ?? 08 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_304_1 {
	meta:
		name = "?gbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXH@Z"
		size = 56
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 2C 33 1B 68 1A 68 03 9B D2 1A 02 9B 2C 33 1B 68 1A 60 02 9B 1C 33 1B 68 1A 68 03 9B 1A 44 02 9B 1C 33 1B 68 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_305_1 {
	meta:
		name = "?getloc@ios_base@std@@QBA?AVlocale@2@XZ"
		size = 52
		refs = "0016 ??0locale@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 30 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_306_1 {
	meta:
		name = "?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ"
		size = 32
		altNames = "?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1C 33 1B 68 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_307_1 {
	meta:
		name = "?imbue@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAXABVlocale@2@@Z"
		size = 36
		refs = "000c ??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z 0016 ?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPBV?$codecvt@DDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_84_355_2 {
	meta:
		name = "?imbue@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAXABVlocale@2@@Z"
		size = 36
		refs = "000c ??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z 0016 ?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPBV?$codecvt@GDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_30_355_2 {
	meta:
		name = "?imbue@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAXABVlocale@2@@Z"
		size = 36
		refs = "000c ??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z 0016 ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPBV?$codecvt@_WDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_309_1 {
	meta:
		name = "?in@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z"
		size = 84
		refs = "0032 _guard_check_icall"
		altNames = "?in@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAG3AAPAG@Z ?in@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPA_W3AAPA_W@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 87 B0 15 9B 03 93 14 9B 02 93 13 9B 01 93 12 9B 00 93 DD F8 44 80 10 9F 0F 9E 0E 9B 1B 68 18 33 0E 9D 1B 68 04 93 04 98 ?? ?? ?? ?? 04 9C 28 46 31 46 3A 46 43 46 A0 47 05 90 05 9B 06 93 06 98 07 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_10_310_1 {
	meta:
		name = "?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IAAXPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
		size = 104
		refs = "000c ?_Init@ios_base@std@@IAAXXZ 0028 ?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBADD@Z 004c ?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAXH_N@Z 005a ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 03 F1 38 02 05 9B 13 60 04 9B 03 F1 3C 02 00 23 13 60 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 04 9B 03 F1 40 02 9D F9 00 30 13 70 04 9B 38 33 1B 68 00 2B 04 D1 00 22 04 21 04 98 ?? ?? ?? ?? 9D F8 18 30 00 2B 02 D0 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_311_1 {
	meta:
		name = "?iostream_category@std@@YAABVerror_category@1@XZ"
		size = 38
		refs = "0014 ??$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 ?? ?? ?? ?? 38 60 3B 68 7B 60 78 68 05 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_51_160_1 {
	meta:
		name = "?generic_category@std@@YAABVerror_category@1@XZ"
		size = 38
		refs = "0014 ??$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 ?? ?? ?? ?? 38 60 3B 68 7B 60 78 68 05 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_51_180_1 {
	meta:
		name = "?system_category@std@@YAABVerror_category@1@XZ"
		size = 38
		refs = "0014 ??$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 ?? ?? ?? ?? 38 60 3B 68 7B 60 78 68 05 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_10_312_1 {
	meta:
		name = "?length@?$char_traits@D@std@@SAIPBD@Z"
		size = 54
		refs = "001c strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 93 F9 00 30 00 2B 02 D1 00 23 00 93 05 E0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_313_1 {
	meta:
		name = "?make_error_code@std@@YA?AVerror_code@1@W4io_errc@1@@Z"
		size = 42
		refs = "000a ?iostream_category@std@@YAABVerror_category@1@XZ 0016 ??0error_code@std@@QAA@HABVerror_category@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_315_1 {
	meta:
		name = "?max_size@?$allocator@D@std@@QBAIXZ"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 6F F0 00 03 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_317_1 {
	meta:
		name = "?max_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ"
		size = 68
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0018 ?max_size@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBAIU_Nil@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 03 90 9D F8 00 10 03 98 ?? ?? ?? ?? 04 90 04 9B 01 93 01 9B 01 2B 02 D8 01 23 02 93 02 E0 01 9B 5B 1E 02 93 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1205_1 {
	meta:
		name = "?max_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ"
		size = 68
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0018 ?max_size@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBAIU_Nil@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 03 90 9D F8 00 10 03 98 ?? ?? ?? ?? 04 90 04 9B 01 93 01 9B 01 2B 02 D8 01 23 02 93 02 E0 01 9B 5B 1E 02 93 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_94_1 {
	meta:
		name = "?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ"
		size = 68
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0018 ?max_size@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBAIU_Nil@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 03 90 9D F8 00 10 03 98 ?? ?? ?? ?? 04 90 04 9B 01 93 01 9B 01 2B 02 D8 01 23 02 93 02 E0 01 9B 5B 1E 02 93 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_318_1 {
	meta:
		name = "?message@_Generic_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 56
		refs = "0010 ?_Syserror_map@std@@YAPBDH@Z 001a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 08 98 ?? ?? ?? ?? 01 90 01 99 07 98 ?? ?? ?? ?? 03 90 00 9B 43 F0 01 03 00 93 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_319_1 {
	meta:
		name = "?message@_Iostream_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 88
		refs = "0018 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0034 ?message@_Generic_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z 0054 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 08 9B 01 2B 0C D1 0F 49 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 0C E0 0B E0 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_320_1 {
	meta:
		name = "?message@error_code@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 94
		refs = "0012 ?value@error_code@std@@QBAHXZ 001a ?category@error_code@std@@QBAABVerror_category@2@XZ 0036 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 70 48 0D F1 0C 0B 87 B0 00 23 02 93 0C 98 ?? ?? ?? ?? 04 90 0C 98 ?? ?? ?? ?? 03 90 03 9B 00 93 04 9E 0D 9D 00 9C 00 9B 1B 68 08 33 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 32 46 98 47 06 90 02 9B 43 F0 01 03 02 93 0D 9B 05 93 05 98 07 B0 BD E8 70 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_322_1 {
	meta:
		name = "?name@_Generic_error_category@std@@UBAPBDXZ"
		size = 32
		refs = "001c ??_C@_07DCLBNMLN@generic?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_189_1 {
	meta:
		name = "?_Getfalse@_Locinfo@std@@QBAPBDXZ"
		size = 32
		refs = "001c ??_C@_05LAPONLG@false?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_724_1 {
	meta:
		name = "?_Gettrue@_Locinfo@std@@QBAPBDXZ"
		size = 32
		refs = "001c ??_C@_04LOAJBDKD@true?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_78_364_2 {
	meta:
		name = "?name@_Iostream_error_category@std@@UBAPBDXZ"
		size = 32
		refs = "001c ??_C@_08LLGCOLLL@iostream?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_202_3 {
	meta:
		name = "?name@_System_error_category@std@@UBAPBDXZ"
		size = 32
		refs = "001c ??_C@_06FHFOAHML@system?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_53_3 {
	meta:
		name = "?what@bad_function_call@std@@UBAPBDXZ"
		size = 32
		refs = "001c ??_C@_0BC@DPJNKNAF@bad?5function?5call?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_324_1 {
	meta:
		name = "?not_eof@?$char_traits@D@std@@SAHABH@Z"
		size = 76
		refs = "000a ?eof@?$char_traits@D@std@@SAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 02 90 08 9B 1A 68 02 9B 9A 42 03 D0 08 9B 1B 68 01 93 0C E0 ?? ?? ?? ?? 03 90 03 9B 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_325_1 {
	meta:
		name = "?out@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z"
		size = 84
		refs = "0032 _guard_check_icall"
		altNames = "?out@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBG1AAPBGPAD3AAPAD@Z ?out@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PB_W1AAPB_WPAD3AAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 87 B0 15 9B 03 93 14 9B 02 93 13 9B 01 93 12 9B 00 93 DD F8 44 80 10 9F 0F 9E 0E 9B 1B 68 1C 33 0E 9D 1B 68 04 93 04 98 ?? ?? ?? ?? 04 9C 28 46 31 46 3A 46 43 46 A0 47 05 90 05 9B 06 93 06 98 07 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_10_326_1 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHH@Z"
		size = 786
		refs = "000a __security_push_cookie 001c ?eof@?$char_traits@D@std@@SAHXZ 002e ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 003e ?not_eof@?$char_traits@D@std@@SAHABH@Z 0050 ?pptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 006a ?epptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 007c ?to_char_type@?$char_traits@D@std@@SADABH@Z 0086 ?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ 00ba ?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ 00e0 ??$_Fputc@D@std@@YA_NDPAU_iobuf@@@Z 0124 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0134 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 013c ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0146 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 018e ?out@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z 01f6 fwrite 0212 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 026c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0306 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B6 B0 6F 46 84 B0 6F F0 01 03 C7 E9 2E 33 ?? ?? ?? ?? 38 62 3B 6A 7B 62 17 F1 EC 01 17 F1 24 00 ?? ?? ?? ?? 38 72 3B 7A 00 2B 08 D0 17 F1 EC 00 ?? ?? ?? ?? B8 62 BB 6A 7B 60 5B E1 34 E0 D7 F8 E8 00 ?? ?? ?? ?? F8 62 FB 6A 00 2B 20 D0 D7 F8 E8 00 ?? ?? ?? ?? 38 63 D7 F8 E8 00 ?? ?? ?? ?? 78 63 3A 6B 7B 6B 9A 42 12 D2 17 F1 EC 00 ?? ?? ?? ?? 78 72 D7 F8 E8 00 ?? ?? ?? ?? B8 63 97 F9 09 20 BB 6B 1A 70 D7 F8 EC 30 7B 60 32 E1 0B E0 D7 F8 E8 30 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? F8 63 FB 6B 7B 60 25 E1 D7 F8 E8 00 ?? ?? ?? ?? D7 F8 E8 30 38 33 1B 68 00 2B 1D D1 17 F1 EC 00 ?? ?? ?? ?? B8 72 D7 F8 E8 30 4C 33 19 68 97 F9 0A 00 ?? ?? ?? ?? F8 72 FB 7A 00 2B 03 D0 D7 F8 EC 30 BB 61 04 E0 ?? ?? ?? ?? 38 64 3B 6C BB 61 BB 69 7B 60 FE E0 FD E0 08 23 C7 F8 A0 30 17 F1 EC 00 ?? ?? ?? ?? 38 73 97 F9 0C 30 3B 70 00 22 08 21 17 F1 C0 00 ?? ?? ?? ?? C7 F8 A4 00 17 F1 A8 01 17 F1 C0 00 ?? ?? ?? ?? 78 64 78 6C ?? ?? ?? ?? F8 64 17 F1 C0 00 ?? ?? ?? ?? 38 65 17 F1 AC 01 17 F1 C0 00 ?? ?? ?? ?? B8 64 B8 6C ?? ?? ?? ?? 78 65 17 F1 60 03 03 93 FA 6C 3B 6D 13 44 02 93 7B 6D 01 93 17 F1 7C 03 00 93 3B 46 5B 1C 3A 46 D7 F8 E8 10 40 31 D7 F8 E8 00 38 30 00 68 ?? ?? ?? ?? B8 65 BB 6D 7B 61 7B 69 00 2B C0 F2 9C 80 7B 69 01 2B 03 DD 7B 69 03 2B 73 D0 94 E0 17 F1 B0 01 17 F1 C0 00 ?? ?? ?? ?? F8 65 F8 6D ?? ?? ?? ?? 78 66 3A 6E 7B 6E D3 1A 3B 61 3B 69 00 2B 24 D9 17 F1 B4 01 17 F1 C0 00 ?? ?? ?? ?? B8 66 B8 6E ?? ?? ?? ?? F8 66 D7 F8 E8 30 4C 33 1B 68 3A 69 01 21 F8 6E ?? ?? ?? ?? 38 67 3A 69 3B 6F 9A 42 0B D0 ?? ?? ?? ?? 78 67 7B 6F BB 67 17 F1 C0 00 ?? ?? ?? ?? BB 6F 7B 60 72 E0 D7 F8 E8 30 03 F1 3D 02 01 23 13 70 FA 6F 3B 46 9A 42 0B D0 D7 F8 EC 30 C7 F8 80 30 17 F1 C0 00 ?? ?? ?? ?? D7 F8 80 30 7B 60 5C E0 3B 69 00 2B 00 D9 20 E0 17 F1 C0 00 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 20 2B 06 D2 00 22 08 21 17 F1 C0 00 ?? ?? ?? ?? 0F E0 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 17 F1 C0 00 ?? ?? ?? ?? D7 F8 8C 30 7B 60 37 E0 31 E0 D7 F8 E8 30 4C 33 19 68 97 F9 00 00 ?? ?? ?? ?? 78 73 7B 7B 00 2B 03 D0 D7 F8 EC 30 FB 61 06 E0 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 FB 61 FB 69 C7 F8 94 30 17 F1 C0 00 ?? ?? ?? ?? D7 F8 94 30 7B 60 14 E0 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 17 F1 C0 00 ?? ?? ?? ?? D7 F8 9C 30 7B 60 04 E0 18 E7 17 F1 C0 00 ?? ?? ?? ?? 78 68 3A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_328_1 {
	meta:
		name = "?overflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAAHH@Z"
		size = 32
		refs = "000a ?eof@?$char_traits@D@std@@SAHXZ"
		altNames = "?pbackfail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAAHH@Z ?underflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_659_1 {
	meta:
		name = "?_Getdateorder@_Locinfo@std@@QBAHXZ"
		size = 32
		refs = "000a _Getdateorder"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_695_1 {
	meta:
		name = "?_Getlconv@_Locinfo@std@@QBAPBUlconv@@XZ"
		size = 32
		refs = "000a localeconv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_329_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHH@Z"
		size = 334
		refs = "000c ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 001a ?eback@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 0030 ?eof@?$char_traits@D@std@@SAHXZ 003e ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 005a ?to_int_type@?$char_traits@D@std@@SAHABD@Z 007a ?_Gndec@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ 0080 ?not_eof@?$char_traits@D@std@@SAHABH@Z 00d0 ?to_char_type@?$char_traits@D@std@@SADABH@Z 00e8 ??$_Ungetc@D@std@@YA_NABDPAU_iobuf@@@Z 012c ?_Set_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 3A D0 14 98 ?? ?? ?? ?? 04 90 14 98 ?? ?? ?? ?? 05 90 04 9A 05 9B 9A 42 2E D2 ?? ?? ?? ?? 06 90 06 9B 07 93 15 A9 07 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 14 D1 14 98 ?? ?? ?? ?? 08 90 08 9B 58 1E ?? ?? ?? ?? 09 90 09 9B 0A 93 15 A9 0A A8 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0A D0 14 98 ?? ?? ?? ?? 15 A8 ?? ?? ?? ?? 0B 90 0B 9B 02 93 5A E0 59 E0 14 9B 4C 33 1B 68 00 2B 0E D0 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 15 A9 0D A8 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 06 D0 ?? ?? ?? ?? 0E 90 0E 9B 02 93 3F E0 3E E0 14 9B 38 33 1B 68 00 2B 18 D1 15 A8 ?? ?? ?? ?? 8D F8 03 00 9D F9 03 30 8D F8 04 30 14 9B 4C 33 19 68 01 A8 ?? ?? ?? ?? 8D F8 05 00 9D F8 05 30 00 2B 03 D0 15 9B 02 93 21 E0 20 E0 14 98 ?? ?? ?? ?? 0F 90 14 9B 03 F1 3C 02 0F 9B 93 42 11 D0 15 A8 ?? ?? ?? ?? 8D F8 06 00 14 9B 03 F1 3C 02 9D F9 06 30 13 70 14 98 ?? ?? ?? ?? 15 9B 02 93 05 E0 04 E0 ?? ?? ?? ?? 10 90 10 9B 02 93 02 98 12 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_331_1 {
	meta:
		name = "?pbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXH@Z"
		size = 56
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 30 33 1B 68 1A 68 03 9B D2 1A 02 9B 30 33 1B 68 1A 60 02 9B 20 33 1B 68 1A 68 03 9B 1A 44 02 9B 20 33 1B 68 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_333_1 {
	meta:
		name = "?pptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ"
		size = 32
		altNames = "?pptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ ?pptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 20 33 1B 68 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_334_1 {
	meta:
		name = "?rdstate@ios_base@std@@QBAHXZ"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0C 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_335_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 232
		refs = "000c ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 004a ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ 0080 _fseeki64 0094 fgetpos 00aa ??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z 00b6 ?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ 00d0 ??0?$fpos@U_Mbstatet@@@std@@QAA@U_Mbstatet@@_J@Z 00e4 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 04 90 0E 9B 03 F1 3C 02 04 9B 93 42 0F D1 12 9B 01 2B 0C D1 0E 9B 38 33 1B 68 00 2B 07 D1 10 9A 11 99 00 23 52 1E 61 EB 03 03 10 92 11 93 0E 9B 4C 33 1B 68 00 2B 2B D0 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 22 D0 10 9B 08 93 11 9B 09 93 09 9A 08 9B 13 43 00 2B 02 D1 12 9B 01 2B 0C D0 12 9B 00 93 10 9A 11 9B 0E 99 4C 31 08 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 09 D1 0A A9 0E 9B 4C 33 18 68 ?? ?? ?? ?? 06 90 06 9B 00 2B 09 D0 10 4B 1A 68 0F 4B 5B 68 0F 98 ?? ?? ?? ?? 0F 9B 03 93 11 E0 0E 98 ?? ?? ?? ?? 0A 9B 00 93 0B 9B 01 93 0E 9B 40 33 07 93 07 9B 19 68 5A 68 0F 98 ?? ?? ?? ?? 0F 9B 03 93 03 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_336_1 {
	meta:
		name = "?seekoff@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 44
		refs = "0014 ??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z 0028 ?_BADOFF@std@@3_JB"
		altNames = "?seekoff@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z ?seekoff@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z ?seekpos@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z ?seekpos@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z ?seekpos@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 4B 1A 68 06 4B 5B 68 05 98 ?? ?? ?? ?? 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_337_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 264
		refs = "000c ?seekpos@?$fpos@U_Mbstatet@@@std@@QBA_JXZ 001e ??B?$fpos@U_Mbstatet@@@std@@QBA_JXZ 0044 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ 005c fsetpos 0088 _fseeki64 009c fgetpos 00b2 ??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z 00c0 ?state@?$fpos@U_Mbstatet@@@std@@QBA?AU_Mbstatet@@XZ 00d0 memcpy 00d6 ?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ 00f0 ??0?$fpos@U_Mbstatet@@@std@@QAA@U_Mbstatet@@_J@Z 0104 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 1A A8 ?? ?? ?? ?? 0F 91 0E 90 0E 9B 0A 93 0F 9B 0B 93 1A A8 ?? ?? ?? ?? 11 91 10 90 10 98 11 99 0A 9A 0B 9B 82 1A 61 EB 03 03 0C 92 0D 93 18 9B 4C 33 1B 68 00 2B 32 D0 18 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 29 D0 0A A9 18 9B 4C 33 18 68 ?? ?? ?? ?? 04 90 04 9B 00 2B 1F D1 0C 9B 12 93 0D 9B 13 93 13 9A 12 9B 13 43 00 2B 0C D0 01 23 00 93 0C 9A 0D 9B 18 99 4C 31 08 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 09 D1 0A A9 18 9B 4C 33 18 68 ?? ?? ?? ?? 06 90 06 9B 00 2B 09 D0 16 4B 1A 68 15 4B 5B 68 19 98 ?? ?? ?? ?? 19 9B 03 93 1D E0 14 A9 1A A8 ?? ?? ?? ?? 07 90 07 99 18 9B 03 F1 40 00 08 22 ?? ?? ?? ?? 18 98 ?? ?? ?? ?? 0A 9B 00 93 0B 9B 01 93 18 9B 40 33 08 93 08 9B 19 68 5A 68 19 98 ?? ?? ?? ?? 19 9B 03 93 03 98 16 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_391_2 {
	meta:
		name = "?seekpos@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 264
		refs = "000c ?seekpos@?$fpos@U_Mbstatet@@@std@@QBA_JXZ 001e ??B?$fpos@U_Mbstatet@@@std@@QBA_JXZ 0044 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ 005c fsetpos 0088 _fseeki64 009c fgetpos 00b2 ??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z 00c0 ?state@?$fpos@U_Mbstatet@@@std@@QBA?AU_Mbstatet@@XZ 00d0 memcpy 00d6 ?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ 00f0 ??0?$fpos@U_Mbstatet@@@std@@QAA@U_Mbstatet@@_J@Z 0104 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 1A A8 ?? ?? ?? ?? 0F 91 0E 90 0E 9B 0A 93 0F 9B 0B 93 1A A8 ?? ?? ?? ?? 11 91 10 90 10 98 11 99 0A 9A 0B 9B 82 1A 61 EB 03 03 0C 92 0D 93 18 9B 4C 33 1B 68 00 2B 32 D0 18 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 29 D0 0A A9 18 9B 4C 33 18 68 ?? ?? ?? ?? 04 90 04 9B 00 2B 1F D1 0C 9B 12 93 0D 9B 13 93 13 9A 12 9B 13 43 00 2B 0C D0 01 23 00 93 0C 9A 0D 9B 18 99 4C 31 08 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 09 D1 0A A9 18 9B 4C 33 18 68 ?? ?? ?? ?? 06 90 06 9B 00 2B 09 D0 16 4B 1A 68 15 4B 5B 68 19 98 ?? ?? ?? ?? 19 9B 03 93 1D E0 14 A9 1A A8 ?? ?? ?? ?? 07 90 07 99 18 9B 03 F1 40 00 08 22 ?? ?? ?? ?? 18 98 ?? ?? ?? ?? 0A 9B 00 93 0B 9B 01 93 18 9B 40 33 08 93 08 9B 19 68 5A 68 19 98 ?? ?? ?? ?? 19 9B 03 93 03 98 16 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_391_2 {
	meta:
		name = "?seekpos@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 264
		refs = "000c ?seekpos@?$fpos@U_Mbstatet@@@std@@QBA_JXZ 001e ??B?$fpos@U_Mbstatet@@@std@@QBA_JXZ 0044 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ 005c fsetpos 0088 _fseeki64 009c fgetpos 00b2 ??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z 00c0 ?state@?$fpos@U_Mbstatet@@@std@@QBA?AU_Mbstatet@@XZ 00d0 memcpy 00d6 ?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ 00f0 ??0?$fpos@U_Mbstatet@@@std@@QAA@U_Mbstatet@@_J@Z 0104 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 1A A8 ?? ?? ?? ?? 0F 91 0E 90 0E 9B 0A 93 0F 9B 0B 93 1A A8 ?? ?? ?? ?? 11 91 10 90 10 98 11 99 0A 9A 0B 9B 82 1A 61 EB 03 03 0C 92 0D 93 18 9B 4C 33 1B 68 00 2B 32 D0 18 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 29 D0 0A A9 18 9B 4C 33 18 68 ?? ?? ?? ?? 04 90 04 9B 00 2B 1F D1 0C 9B 12 93 0D 9B 13 93 13 9A 12 9B 13 43 00 2B 0C D0 01 23 00 93 0C 9A 0D 9B 18 99 4C 31 08 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 09 D1 0A A9 18 9B 4C 33 18 68 ?? ?? ?? ?? 06 90 06 9B 00 2B 09 D0 16 4B 1A 68 15 4B 5B 68 19 98 ?? ?? ?? ?? 19 9B 03 93 1D E0 14 A9 1A A8 ?? ?? ?? ?? 07 90 07 99 18 9B 03 F1 40 00 08 22 ?? ?? ?? ?? 18 98 ?? ?? ?? ?? 0A 9B 00 93 0B 9B 01 93 18 9B 40 33 08 93 08 9B 19 68 5A 68 19 98 ?? ?? ?? ?? 19 9B 03 93 03 98 16 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_339_1 {
	meta:
		name = "?seekpos@?$fpos@U_Mbstatet@@@std@@QBA_JXZ"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 00 93 00 9B 1A 68 00 9B 5B 68 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_340_1 {
	meta:
		name = "?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBA?AU12@U_Nil@2@@Z"
		size = 44
		refs = "000e ?select_on_container_copy_construction@?$allocator_traits@V?$allocator@D@std@@@std@@SA?AV?$allocator@D@2@ABV32@@Z 0018 ??$?0V?$allocator@D@std@@@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAA@$$QAV?$allocator@D@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1239_1 {
	meta:
		name = "?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBA?AU12@U_Nil@2@@Z"
		size = 44
		refs = "000e ?select_on_container_copy_construction@?$allocator_traits@V?$allocator@G@std@@@std@@SA?AV?$allocator@G@2@ABV32@@Z 0018 ??$?0V?$allocator@G@std@@@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAA@$$QAV?$allocator@G@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1240_1 {
	meta:
		name = "?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBA?AU12@U_Nil@2@@Z"
		size = 44
		refs = "000e ?select_on_container_copy_construction@?$allocator_traits@V?$allocator@_W@std@@@std@@SA?AV?$allocator@_W@2@ABV32@@Z 0018 ??$?0V?$allocator@_W@std@@@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAA@$$QAV?$allocator@_W@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_341_1 {
	meta:
		name = "?select_on_container_copy_construction@?$allocator_traits@V?$allocator@D@std@@@std@@SA?AV?$allocator@D@2@ABV32@@Z"
		size = 34
		refs = "000e ??0?$allocator@D@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_110_2_1 {
	meta:
		name = "??0exception_ptr@std@@QAA@ABV01@@Z"
		size = 34
		refs = "000e ?__ExceptionPtrCopy@@YAXPAXPBX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_217_3 {
	meta:
		name = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z"
		size = 34
		refs = "000e ??4_Iterator_base12@std@@QAAAAU01@ABU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_483_3 {
	meta:
		name = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z"
		size = 34
		refs = "000e ??4_Iterator_base12@std@@QAAAAU01@ABU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_484_3 {
	meta:
		name = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z"
		size = 34
		refs = "000e ??4_Iterator_base12@std@@QAAAAU01@ABU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_246_3 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 34
		refs = "000e ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_418_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 34
		refs = "000e ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_495_2 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 34
		refs = "000e ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_125_4 {
	meta:
		name = "?getVbTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 34
		refs = "000e ?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1391_2 {
	meta:
		name = "?select_on_container_copy_construction@?$allocator_traits@V?$allocator@G@std@@@std@@SA?AV?$allocator@G@2@ABV32@@Z"
		size = 34
		refs = "000e ??0?$allocator@G@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1392_2 {
	meta:
		name = "?select_on_container_copy_construction@?$allocator_traits@V?$allocator@_W@std@@@std@@SA?AV?$allocator@_W@2@ABV32@@Z"
		size = 34
		refs = "000e ??0?$allocator@_W@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_342_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@PAD_J@Z"
		size = 116
		refs = "0042 setvbuf 0060 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 4C 33 1B 68 00 2B 1C D0 09 9B 00 2B 0B D1 0A 9B 04 93 0B 9B 05 93 05 9A 04 9B 13 43 00 2B 02 D1 04 23 00 93 01 E0 00 23 00 93 0A 9B 00 9A 09 99 08 98 4C 30 00 68 ?? ?? ?? ?? 02 90 02 9B 00 2B 03 D0 00 23 01 93 09 E0 08 E0 01 22 08 9B 4C 33 19 68 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_343_1 {
	meta:
		name = "?setbuf@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAAPAV12@PAD_J@Z"
		size = 26
		altNames = "?setbuf@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAAPAV12@PAG_J@Z ?setbuf@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAAPAV12@PA_W_J@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_344_1 {
	meta:
		name = "?setf@ios_base@std@@QAAHH@Z"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 14 33 1B 68 00 93 04 9B 03 F1 14 01 05 9B 9A B2 0B 68 1A 43 04 9B 14 33 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_345_1 {
	meta:
		name = "?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAD00@Z"
		size = 50
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9B 0C 33 1A 68 03 9B 13 60 02 9B 1C 33 1A 68 04 9B 13 60 05 9A 04 9B D2 1A 02 9B 2C 33 1B 68 1A 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_346_1 {
	meta:
		name = "?setp@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAD0@Z"
		size = 50
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9B 10 33 1A 68 03 9B 13 60 02 9B 20 33 1A 68 03 9B 13 60 04 9A 03 9B D2 1A 02 9B 30 33 1B 68 1A 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_347_1 {
	meta:
		name = "?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAXH_N@Z"
		size = 50
		refs = "0012 ?rdstate@ios_base@std@@QBAHXZ 0024 ?clear@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 00 2B 0B D0 04 98 ?? ?? ?? ?? 00 90 9D F8 18 20 00 99 05 9B 19 43 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_23_401_2 {
	meta:
		name = "?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAXH_N@Z"
		size = 50
		refs = "0012 ?rdstate@ios_base@std@@QBAHXZ 0024 ?clear@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 00 2B 0B D0 04 98 ?? ?? ?? ?? 00 90 9D F8 18 20 00 99 05 9B 19 43 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_424_3 {
	meta:
		name = "?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAXH_N@Z"
		size = 50
		refs = "0012 ?rdstate@ios_base@std@@QBAHXZ 0024 ?clear@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 00 2B 0B D0 04 98 ?? ?? ?? ?? 00 90 9D F8 18 20 00 99 05 9B 19 43 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_348_1 {
	meta:
		name = "?showmanyc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA_JXZ"
		size = 32
		altNames = "?showmanyc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA_JXZ ?showmanyc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA_JXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 00 23 01 93 00 98 01 99 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_349_1 {
	meta:
		name = "?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ"
		size = 36
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_147_1 {
	meta:
		name = "?capacity@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ"
		size = 36
		refs = "000c ?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1246_1 {
	meta:
		name = "?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ"
		size = 36
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1247_1 {
	meta:
		name = "?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ"
		size = 36
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_350_1 {
	meta:
		name = "?state@?$fpos@U_Mbstatet@@@std@@QBA?AU_Mbstatet@@XZ"
		size = 40
		refs = "0014 memcpy"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 10 01 05 98 08 22 ?? ?? ?? ?? 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_351_1 {
	meta:
		name = "?sync@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 138
		refs = "0016 ?eof@?$char_traits@D@std@@SAHXZ 002c _guard_check_icall 004c ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0062 fflush"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8A B0 0E 9B 4C 33 1B 68 00 2B 2F D0 ?? ?? ?? ?? 03 90 03 9D 0E 9B 1B 68 0C 33 0E 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 98 47 04 90 04 9B 06 93 ?? ?? ?? ?? 05 90 05 9B 07 93 06 A9 07 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0C D1 0E 9B 4C 33 18 68 ?? ?? ?? ?? 08 90 08 9B 00 2B 03 DA 6F F0 00 03 02 93 01 E0 00 23 02 93 02 9B 09 93 09 98 0A B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_353_1 {
	meta:
		name = "?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z"
		size = 44
		altNames = "?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 3C 33 1B 68 00 93 04 9B 03 F1 3C 02 05 9B 13 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_354_1 {
	meta:
		name = "?to_char_type@?$char_traits@D@std@@SADABH@Z"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 5B B2 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_355_1 {
	meta:
		name = "?to_int_type@?$char_traits@D@std@@SAHABD@Z"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 93 F9 00 30 DB B2 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_356_1 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 724
		refs = "000a __security_push_cookie 0020 ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 003a ?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 004c ?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ 0054 ?to_int_type@?$char_traits@D@std@@SAHABD@Z 006e ?eof@?$char_traits@D@std@@SAHXZ 007e ?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ 009c ??$_Fgetc@D@std@@YA_NAADPAU_iobuf@@@Z 00cc ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00dc fgetc 00fc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0110 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 011c ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0124 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 012e ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0176 ?in@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z 01ee ungetc 0232 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 0274 memcpy_s 02c8 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B6 B0 6F 46 84 B0 6F F0 01 03 C7 E9 2E 33 D7 F8 E8 00 ?? ?? ?? ?? F8 61 FB 69 00 2B 1A D0 D7 F8 E8 00 ?? ?? ?? ?? 38 62 D7 F8 E8 00 ?? ?? ?? ?? 78 62 3A 6A 7B 6A 9A 42 0C D2 D7 F8 E8 00 ?? ?? ?? ?? B8 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 60 31 E1 0B E0 D7 F8 E8 30 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 38 63 3B 6B 7B 60 24 E1 D7 F8 E8 00 ?? ?? ?? ?? D7 F8 E8 30 38 33 1B 68 00 2B 1C D1 00 23 7B 70 D7 F8 E8 30 4C 33 19 68 78 1C ?? ?? ?? ?? B8 70 BB 78 00 2B 06 D0 78 1C ?? ?? ?? ?? 78 63 7B 6B 7B 61 04 E0 ?? ?? ?? ?? B8 63 BB 6B 7B 61 7B 69 7B 60 FE E0 FD E0 17 F1 C0 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 E8 30 4C 33 18 68 ?? ?? ?? ?? F8 63 FB 6B BB 61 BB 69 B3 F1 FF 3F 0B D1 ?? ?? ?? ?? 38 64 3B 6C 7B 64 17 F1 C0 00 ?? ?? ?? ?? 7B 6C 7B 60 DE E0 BB 69 5A B2 01 21 17 F1 C0 00 ?? ?? ?? ?? 17 F1 A0 01 17 F1 C0 00 ?? ?? ?? ?? B8 64 B8 6C ?? ?? ?? ?? 38 65 17 F1 C0 00 ?? ?? ?? ?? 78 65 17 F1 A4 01 17 F1 C0 00 ?? ?? ?? ?? F8 64 F8 6C ?? ?? ?? ?? B8 65 17 F1 60 03 03 93 3B 46 5B 1C 02 93 3B 46 01 93 17 F1 10 03 00 93 3A 6D 7B 6D 13 44 BA 6D D7 F8 E8 10 40 31 D7 F8 E8 00 38 30 00 68 ?? ?? ?? ?? F8 65 FB 6D FB 60 FB 68 00 2B C0 F2 89 80 FB 68 01 2B 03 DD FB 68 03 2B 51 D0 81 E0 3A 6E 3B 46 9A 42 38 D0 17 F1 A8 01 17 F1 C0 00 ?? ?? ?? ?? 78 66 78 6E ?? ?? ?? ?? B8 66 17 F1 C0 00 ?? ?? ?? ?? F8 66 BA 6E FB 6E 1A 44 3B 69 D3 1A BB 60 BB 68 00 2B 11 DD BB 68 5B 1E BB 60 D7 F8 E8 30 4C 33 19 68 BA 68 01 23 02 FB 03 F2 3B 69 13 44 93 F9 00 00 ?? ?? ?? ?? EA E7 38 46 ?? ?? ?? ?? 38 67 3B 6F 7B 67 17 F1 C0 00 ?? ?? ?? ?? 7B 6F 7B 60 5A E0 12 E0 17 F1 AC 01 17 F1 C0 00 ?? ?? ?? ?? B8 67 B8 6F ?? ?? ?? ?? F8 67 3A 69 FB 6F D2 1A 00 21 17 F1 C0 00 ?? ?? ?? ?? 40 E0 17 F1 C0 00 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 01 2B 00 D2 35 E0 17 F1 B0 01 17 F1 C0 00 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 00 ?? ?? ?? ?? C7 F8 88 00 01 23 D7 F8 88 20 01 21 38 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 17 F1 C0 00 ?? ?? ?? ?? D7 F8 90 30 7B 60 14 E0 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 C7 F8 98 30 17 F1 C0 00 ?? ?? ?? ?? D7 F8 98 30 7B 60 04 E0 0B E7 17 F1 C0 00 ?? ?? ?? ?? 78 68 3A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_358_1 {
	meta:
		name = "?uflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 120
		refs = "001a _guard_check_icall 002a ?eof@?$char_traits@D@std@@SAHXZ 0038 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0056 ?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ 005e ?to_int_type@?$char_traits@D@std@@SAHABD@Z"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 1B 68 18 33 0E 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 03 90 03 9B 05 93 ?? ?? ?? ?? 04 90 04 9B 06 93 05 A9 06 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 05 D0 ?? ?? ?? ?? 07 90 07 9B 02 93 09 E0 0E 98 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 09 90 09 9B 02 93 02 9B 0A 93 0A 98 0B B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_359_1 {
	meta:
		name = "?underflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 186
		refs = "000e ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 0024 ?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 003c ?to_int_type@?$char_traits@D@std@@SAHABD@Z 0058 _guard_check_icall 0068 ?eof@?$char_traits@D@std@@SAHXZ 0076 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8E B0 12 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 17 D0 12 98 ?? ?? ?? ?? 06 90 12 98 ?? ?? ?? ?? 07 90 06 9A 07 9B 9A 42 0B D2 12 98 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 09 90 09 9B 02 93 32 E0 31 E0 12 9B 1B 68 1C 33 12 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 98 47 0A 90 0A 9B 01 93 ?? ?? ?? ?? 0B 90 0B 9B 0C 93 01 A9 0C A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 01 9B 02 93 10 E0 0F E0 01 9D 12 9B 1B 68 10 33 12 9C 1B 68 04 93 04 98 ?? ?? ?? ?? 04 9B 20 46 29 46 98 47 01 9B 02 93 02 98 0E B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_361_1 {
	meta:
		name = "?unshift@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z"
		size = 72
		refs = "0026 _guard_check_icall"
		altNames = "?unshift@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z ?unshift@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 85 B0 10 9B 00 93 DD F8 3C 80 0E 9F 0D 9E 0C 9B 1B 68 20 33 0C 9D 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9C 28 46 31 46 3A 46 43 46 A0 47 03 90 03 9B 04 93 04 98 05 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_10_365_1 {
	meta:
		name = "?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBADD@Z"
		size = 90
		refs = "001c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0028 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0036 ??1locale@std@@QAA@XZ 0040 ?widen@?$ctype@D@std@@QBADD@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 17 F1 18 01 B8 6B ?? ?? ?? ?? 78 60 7B 68 BB 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 3B 61 17 F1 18 00 ?? ?? ?? ?? 97 F9 3C 10 38 69 ?? ?? ?? ?? 38 70 97 F9 00 30 3B 75 97 F9 14 00 0B B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_367_1 {
	meta:
		name = "?widen@?$ctype@D@std@@QBADD@Z"
		size = 68
		refs = "001e _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 84 B0 9D F9 24 50 08 9B 1B 68 20 33 08 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 98 47 8D F8 00 00 9D F9 00 30 8D F8 08 30 9D F9 08 00 04 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_368_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA_JPAD_J@Z"
		size = 356
		refs = "0034 ?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ 0092 ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 009e ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 00d0 ?gbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXH@Z 00e4 _guard_check_icall 00f4 ?eof@?$char_traits@D@std@@SAHXZ 0102 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0118 ?to_char_type@?$char_traits@D@std@@SADABH@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 9D B0 00 23 04 93 00 23 05 93 22 9B 10 93 23 9B 11 93 10 9B 08 93 11 9B 00 2B C0 F2 93 80 03 DC 08 9B 00 2B 40 F2 8E 80 20 98 ?? ?? ?? ?? 13 91 12 90 12 9B 02 93 13 9B 03 93 02 9B 14 93 03 9B 15 93 14 9B 09 93 15 9B 00 2B 3F DB 02 DC 09 9B 00 2B 3B D9 22 9B 16 93 23 9B 17 93 02 9B 18 93 03 9B 19 93 16 9B 0A 93 18 9B 0B 93 17 9A 19 9B 9A 42 08 DC 03 DB 0A 9A 0B 9B 9A 42 03 D2 22 9B 02 93 23 9B 03 93 20 98 ?? ?? ?? ?? 0C 90 02 9A 0C 99 21 98 ?? ?? ?? ?? 02 9A 21 9B 13 44 21 93 04 98 05 99 02 9A 03 9B 12 18 4B 41 04 92 05 93 22 98 23 99 02 9A 03 9B 82 1A 61 EB 03 03 22 92 23 93 02 99 20 98 ?? ?? ?? ?? 3A E0 20 9B 1B 68 1C 33 20 9C 1B 68 06 93 06 98 ?? ?? ?? ?? 06 9B 20 46 98 47 0D 90 0D 9B 07 93 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 07 A9 0F A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D0 1C E0 1A E0 07 A8 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 20 21 9B 1A 70 21 9B 5B 1C 21 93 04 9A 05 99 00 23 52 1C 4B 41 04 92 05 93 22 9A 23 99 00 23 52 1E 61 EB 03 03 22 92 23 93 62 E7 04 9A 05 9B 1A 92 1B 93 1A 98 1B 99 1D B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_10_369_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA_JPBD_J@Z"
		size = 350
		refs = "0034 ?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ 0092 ?pptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 009e ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 00d0 ?pbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXH@Z 00d8 ?to_int_type@?$char_traits@D@std@@SAHABD@Z 00ee _guard_check_icall 0100 ?eof@?$char_traits@D@std@@SAHXZ 010e ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 9E B0 00 23 04 93 00 23 05 93 24 9B 12 93 25 9B 13 93 12 9B 07 93 13 9B 00 2B C0 F2 90 80 03 DC 07 9B 00 2B 40 F2 8B 80 22 98 ?? ?? ?? ?? 15 91 14 90 14 9B 02 93 15 9B 03 93 02 9B 16 93 03 9B 17 93 16 9B 08 93 17 9B 00 2B 3F DB 02 DC 08 9B 00 2B 3B D9 24 9B 18 93 25 9B 19 93 02 9B 1A 93 03 9B 1B 93 18 9B 09 93 1A 9B 0A 93 19 9A 1B 9B 9A 42 08 DC 03 DB 09 9A 0A 9B 9A 42 03 D2 24 9B 02 93 25 9B 03 93 22 98 ?? ?? ?? ?? 0B 90 02 9A 23 99 0B 98 ?? ?? ?? ?? 02 9A 23 9B 13 44 23 93 04 98 05 99 02 9A 03 9B 12 18 4B 41 04 92 05 93 24 98 25 99 02 9A 03 9B 82 1A 61 EB 03 03 24 92 25 93 02 99 22 98 ?? ?? ?? ?? 37 E0 23 98 ?? ?? ?? ?? 0C 90 0C 9D 22 9B 1B 68 0C 33 22 9C 1B 68 06 93 06 98 ?? ?? ?? ?? 06 9B 20 46 29 46 98 47 0D 90 0D 9B 0F 93 ?? ?? ?? ?? 0E 90 0E 9B 10 93 0F A9 10 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D0 13 E0 11 E0 23 9B 5B 1C 23 93 04 9A 05 99 00 23 52 1C 4B 41 04 92 05 93 24 9A 25 99 00 23 52 1E 61 EB 03 03 24 92 25 93 65 E7 04 9A 05 9B 1C 92 1D 93 1C 98 1D 99 1E B0 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_10_370_1 {
	meta:
		name = "memcpy_s"
		size = 224
		refs = "0030 _errno 003c _invalid_parameter_noinfo 005a memset 00cc memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0F 9B 00 2B 02 D1 00 23 00 93 5E E0 0C 9B 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B 04 93 04 9B 00 2B 0A D1 ?? ?? ?? ?? 05 90 05 9A 16 23 13 60 ?? ?? ?? ?? 16 23 00 93 46 E0 0E 9B 00 2B 03 D0 0D 9A 0F 9B 9A 42 38 D2 0D 9A 00 21 0C 98 ?? ?? ?? ?? 0E 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 06 93 06 9B 00 2B 0A D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 ?? ?? ?? ?? 16 23 00 93 22 E0 0D 9A 0F 9B 9A 42 02 D3 01 23 03 93 01 E0 00 23 03 93 03 9B 08 93 08 9B 00 2B 0A D1 ?? ?? ?? ?? 09 90 09 9A 22 23 13 60 ?? ?? ?? ?? 22 23 00 93 09 E0 16 23 00 93 06 E0 0F 9A 0E 99 0C 98 ?? ?? ?? ?? 00 23 00 93 00 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_11_0_1 {
	meta:
		name = "_Smtx_lock_exclusive"
		size = 28
		refs = "0018 __imp_AcquireSRWLockExclusive"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_1_1 {
	meta:
		name = "?_Mtx_lock@threads@stdext@@YAXPAX@Z"
		size = 28
		refs = "0018 __imp_EnterCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_3_1 {
	meta:
		name = "?_Mtx_unlock@threads@stdext@@YAXPAX@Z"
		size = 28
		refs = "0018 __imp_LeaveCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_149_3 {
	meta:
		name = "_Close_dir"
		size = 28
		refs = "0018 __imp_FindClose"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_0_3 {
	meta:
		name = "_Mtxdst"
		size = 28
		refs = "0018 __imp_DeleteCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_2_3 {
	meta:
		name = "_Mtxlock"
		size = 28
		refs = "0018 __imp_EnterCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_3_3 {
	meta:
		name = "_Mtxunlock"
		size = 28
		refs = "0018 __imp_LeaveCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_1_3 {
	meta:
		name = "_Smtx_lock_shared"
		size = 28
		refs = "0018 __imp_AcquireSRWLockShared"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_4_3 {
	meta:
		name = "_Smtx_unlock_exclusive"
		size = 28
		refs = "0018 __imp_ReleaseSRWLockExclusive"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_5_2 {
	meta:
		name = "_Smtx_unlock_shared"
		size = 28
		refs = "0018 __imp_ReleaseSRWLockShared"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_2_1 {
	meta:
		name = "_Smtx_try_lock_exclusive"
		size = 44
		refs = "0028 __imp_TryAcquireSRWLockExclusive"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 06 4B 1B 68 98 47 8D F8 00 00 9D F8 00 30 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_3_1 {
	meta:
		name = "_Smtx_try_lock_shared"
		size = 44
		refs = "0028 __imp_TryAcquireSRWLockShared"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 06 4B 1B 68 98 47 8D F8 00 00 9D F8 00 30 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_0_1 {
	meta:
		name = "_LDscale"
		size = 44
		refs = "000e _Dscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_85_0_1 {
	meta:
		name = "_LDunscale"
		size = 44
		refs = "000e _Dunscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_13_0_1 {
	meta:
		name = "_Stolx"
		size = 276
		refs = "0028 isspace 006e _Stoulx 00ba _errno"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 01 D1 0A AB 0F 93 0E 9B 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 07 90 07 9B 00 2B 00 D0 F1 E7 01 9B 93 F9 00 30 2D 2B 07 D0 01 9B 93 F9 00 30 2B 2B 02 D0 2B 23 03 93 06 E0 01 9B 93 F9 00 30 03 93 01 9B 5B 1C 01 93 03 9B 5B B2 8D F8 00 30 11 9B 10 9A 0F 99 01 98 ?? ?? ?? ?? 08 90 08 9B 02 93 01 9A 0F 9B 1B 68 9A 42 02 D1 0E 9A 0F 9B 1A 60 0E 9A 0F 9B 1B 68 9A 42 02 D1 02 9B 00 2B 10 D1 9D F9 00 30 2B 2B 04 D1 02 9A 6F F0 00 43 9A 42 07 D8 9D F9 00 30 2D 2B 1E D1 02 9B B3 F1 00 4F 1A D9 ?? ?? ?? ?? 09 90 09 9A 22 23 13 60 11 9B 00 2B 02 D0 11 9A 01 23 13 60 9D F9 00 30 2D 2B 03 D1 4F F0 00 43 04 93 02 E0 6F F0 00 43 04 93 04 9B 06 93 0C E0 0B E0 9D F9 00 30 2D 2B 03 D1 02 9B 5B 42 05 93 01 E0 02 9B 05 93 05 9B 06 93 06 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_14_0_1 {
	meta:
		name = "_WStoxflt"
		size = 944
		refs = "0008 __security_push_cookie 0066 wmemchr 00b6 localeconv 01f6 __report_rangecheckfailure 021e __rt_sdiv 031e iswctype 0398 __security_pop_cookie 03a8 ?vals@?1??_WStoxflt@@9@9 03ac ?digits@?1??_WStoxflt@@9@9"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9D B0 00 23 01 93 24 9A 07 23 02 FB 03 F3 24 93 24 9B 23 2B 01 DD 23 23 24 93 23 9A 00 23 13 60 23 9B 1A 1D 00 23 13 60 00 23 02 93 04 E0 21 9B 9B 1C 21 93 01 23 02 93 21 9B 1B 88 30 2B 00 D1 F5 E7 00 23 00 93 04 E0 21 9B 9B 1C 21 93 01 23 02 93 16 22 21 9B 19 88 D1 48 ?? ?? ?? ?? 0E 90 0E 9B 04 93 04 9B 00 2B 1F D0 00 9A 24 9B 9A 42 15 DC 04 9A CA 4B D3 1A 5A 10 02 23 02 FB 03 F2 C6 4B 99 18 00 9A 01 23 02 FB 03 F2 14 AB 1A 44 0B 88 5B B2 13 70 00 9B 5B 1C 00 93 04 E0 23 9B 1B 68 5A 1C 23 9B 1A 60 CE E7 ?? ?? ?? ?? 0F 90 21 9B 1A 88 0F 9B 1B 68 93 F9 00 30 9A 42 02 D1 21 9B 9B 1C 21 93 00 9B 00 2B 0F D1 04 E0 21 9B 9B 1C 21 93 01 23 02 93 21 9B 1B 88 30 2B 05 D1 23 9B 1B 68 5A 1E 23 9B 1A 60 F0 E7 04 E0 21 9B 9B 1C 21 93 01 23 02 93 16 22 21 9B 19 88 A8 48 ?? ?? ?? ?? 10 90 10 9B 04 93 04 9B 00 2B 1E D0 00 9A 24 9B 9A 42 19 DC 04 9A A1 4B D3 1A 5A 10 02 23 02 FB 03 F2 9D 4B 99 18 00 9A 01 23 02 FB 03 F2 14 AB 1A 44 0B 88 5B B2 13 70 00 9B 5B 1C 00 93 23 9B 1B 68 5A 1E 23 9B 1A 60 CF E7 24 9A 00 9B 9A 42 25 DA 24 9B 08 93 08 9A 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 08 2B 12 DB 08 9B 5A 1E 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 5B 1C 59 B2 08 9B 5A 1E 01 23 02 FB 03 F2 14 AB 13 44 19 70 24 9B 00 93 23 9B 1B 68 5A 1C 23 9B 1A 60 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B 10 DD 00 9B 5A 1E 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 00 2B 05 D1 23 9B 1B 68 5A 1C 23 9B 1A 60 E8 E7 00 9B 00 2B 0F D1 00 9B 09 93 00 9B 5B 1C 00 93 09 9B 24 2B 00 D2 01 E0 ?? ?? ?? ?? 14 AA 09 9B 1A 44 00 23 13 70 23 9B 1B 68 9A 00 23 9B 1A 60 02 9B 00 2B 00 F0 AA 80 00 23 05 93 00 99 07 20 ?? ?? ?? ?? 07 23 5B 1A 06 93 06 99 07 20 ?? ?? ?? ?? 00 29 02 D1 00 23 0A 93 01 E0 01 23 0A 93 0A 9B 01 93 05 E0 06 9B 5B 1C 06 93 05 9B 5B 1C 05 93 05 9A 00 9B 9A 42 33 DA 06 99 07 20 ?? ?? ?? ?? 00 29 12 D1 01 9B 5B 1C 01 93 05 9A 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 10 01 9A 04 23 02 FB 03 F2 23 9B 13 44 19 60 19 E0 01 9A 04 23 02 FB 03 F2 23 9B 13 44 1A 68 10 23 02 FB 03 F1 05 9A 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 19 44 01 9A 04 23 02 FB 03 F2 23 9B 13 44 19 60 C1 E7 21 9B 1B 88 70 2B 03 D0 21 9B 1B 88 50 2B 4C D1 21 9B 12 93 21 9B 9B 1C 21 93 21 9B 1B 88 2B 2B 06 D0 21 9B 1B 88 2D 2B 02 D0 2B 23 0B 93 05 E0 21 9B 1B 88 0B 93 21 9B 9B 1C 21 93 0B 9B 9B B2 AD F8 1C 30 00 23 0C 93 00 23 03 93 04 E0 21 9B 9B 1C 21 93 01 23 0C 93 04 21 21 9B 18 88 ?? ?? ?? ?? 11 90 11 9B 00 2B 0D D0 03 9A 1D 4B 9A 42 08 DA 03 9A 0A 23 02 FB 03 F2 21 9B 1B 88 13 44 30 3B 03 93 E3 E7 BD F8 1C 30 2D 2B 02 D1 03 9B 5B 42 03 93 23 9B 1A 68 03 9B 1A 44 23 9B 1A 60 0C 9B 00 2B 01 D1 12 9B 21 93 02 9B 00 2B 01 D1 00 23 01 93 22 9B 00 2B 0A D0 02 9B 00 2B 02 D0 21 9B 0D 93 01 E0 20 9B 0D 93 0D 9A 22 9B 1A 60 01 9B 13 93 13 98 1D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 E1 F5 05 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_1_1 {
	meta:
		name = "wmemchr"
		size = 66
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 04 9B 9B 1C 04 93 06 9B 5B 1E 06 93 06 9B 00 2B 09 D9 04 9B 1A 88 BD F8 14 30 9A 42 02 D1 04 9B 00 93 02 E0 EC E7 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_28_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 56
		refs = "0010 memcpy 0018 ??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 04 22 ?? ?? ?? ?? 08 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 04 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_184_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 56
		refs = "0010 memcpy 0018 ??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 04 22 ?? ?? ?? ?? 08 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 04 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_410_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 56
		refs = "0010 memcpy 0018 ??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 04 22 ?? ?? ?? ?? 08 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 04 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_186_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 56
		refs = "0010 memcpy 0018 ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 04 22 ?? ?? ?? ?? 08 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 04 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_414_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 56
		refs = "0010 memcpy 0018 ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 04 22 ?? ?? ?? ?? 08 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 04 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_415_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 56
		refs = "0010 memcpy 0018 ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 04 22 ?? ?? ?? ?? 08 99 68 46 ?? ?? ?? ?? 01 90 01 99 07 98 04 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_29_1 {
	meta:
		name = "??Iv1@filesystem@experimental@std@@YA?AW4perms@0123@W440123@0@Z"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 40 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_30_1 {
	meta:
		name = "??Sv1@filesystem@experimental@std@@YA?AW4perms@0123@W440123@@Z"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B DB 43 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_31_1 {
	meta:
		name = "??Uv1@filesystem@experimental@std@@YA?AW4perms@0123@W440123@0@Z"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 43 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_32_1 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 44
		altNames = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 99 05 9A 02 23 02 FB 03 F2 0B 68 1A 44 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_34_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 38
		refs = "0010 ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 59 42 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_190_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 38
		refs = "0010 ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 59 42 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_425_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 38
		refs = "0010 ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 59 42 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_40_1 {
	meta:
		name = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z"
		size = 314
		refs = "0020 ?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 0036 ?_Myres@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0040 __rt_udiv 00b6 ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 00c2 ?allocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAPA_WI@Z 00d6 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 00de ??$_Unfancy@_W@std@@YAPA_WPA_W@Z 00ea ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 00f4 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 00fa ?_Bx@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 0102 ??$addressof@PA_W@std@@YAPAPA_WAAPA_W@Z 0116 ??$construct@PA_WAAPA_W@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPAPA_WAAPA_W@Z 012c ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B 96 B0 6F 46 6F F0 01 03 C7 E9 14 33 FB 6E 43 F0 07 03 3B 60 B8 6E ?? ?? ?? ?? B8 60 BA 68 3B 68 9A 42 02 D2 FB 6E 3B 60 3F E0 B8 6E ?? ?? ?? ?? F8 60 39 68 03 20 ?? ?? ?? ?? 04 46 FB 68 19 68 02 20 ?? ?? ?? ?? A0 42 00 D8 2E E0 B8 6E ?? ?? ?? ?? B8 61 B8 6E ?? ?? ?? ?? 78 61 B8 6E ?? ?? ?? ?? 38 61 3B 69 19 68 02 20 ?? ?? ?? ?? 7B 69 1A 1A BB 69 1B 68 93 42 11 D8 B8 6E ?? ?? ?? ?? 38 62 B8 6E ?? ?? ?? ?? F8 61 FB 69 19 68 02 20 ?? ?? ?? ?? 3B 6A 1B 68 03 44 3B 60 05 E0 B8 6E ?? ?? ?? ?? 78 62 7B 6A 3B 60 B8 6E ?? ?? ?? ?? B8 62 3B 68 59 1C B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 60 FF E7 3B 6F 00 2B 0C D9 B8 6E ?? ?? ?? ?? B8 63 78 68 ?? ?? ?? ?? F8 63 3A 6F B9 6B F8 6B ?? ?? ?? ?? 00 22 01 21 B8 6E ?? ?? ?? ?? B8 6E ?? ?? ?? ?? 38 64 38 6C ?? ?? ?? ?? 78 64 B8 6E ?? ?? ?? ?? B8 64 3A 1D 79 6C B8 6C ?? ?? ?? ?? B8 6E ?? ?? ?? ?? F8 64 3A 68 FB 6C 1A 60 39 6F B8 6E ?? ?? ?? ?? 16 B0 BD E8 90 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_514_1 {
	meta:
		name = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z"
		size = 314
		refs = "0020 ?max_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 0036 ?_Myres@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0040 __rt_udiv 00b6 ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 00c2 ?allocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAPAGI@Z 00d6 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 00de ??$_Unfancy@G@std@@YAPAGPAG@Z 00ea ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 00f4 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 00fa ?_Bx@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@G@std@@@2@XZ 0102 ??$addressof@PAG@std@@YAPAPAGAAPAG@Z 0116 ??$construct@PAGAAPAG@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAPAGAAPAG@Z 012c ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B 96 B0 6F 46 6F F0 01 03 C7 E9 14 33 FB 6E 43 F0 07 03 3B 60 B8 6E ?? ?? ?? ?? B8 60 BA 68 3B 68 9A 42 02 D2 FB 6E 3B 60 3F E0 B8 6E ?? ?? ?? ?? F8 60 39 68 03 20 ?? ?? ?? ?? 04 46 FB 68 19 68 02 20 ?? ?? ?? ?? A0 42 00 D8 2E E0 B8 6E ?? ?? ?? ?? B8 61 B8 6E ?? ?? ?? ?? 78 61 B8 6E ?? ?? ?? ?? 38 61 3B 69 19 68 02 20 ?? ?? ?? ?? 7B 69 1A 1A BB 69 1B 68 93 42 11 D8 B8 6E ?? ?? ?? ?? 38 62 B8 6E ?? ?? ?? ?? F8 61 FB 69 19 68 02 20 ?? ?? ?? ?? 3B 6A 1B 68 03 44 3B 60 05 E0 B8 6E ?? ?? ?? ?? 78 62 7B 6A 3B 60 B8 6E ?? ?? ?? ?? B8 62 3B 68 59 1C B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 60 FF E7 3B 6F 00 2B 0C D9 B8 6E ?? ?? ?? ?? B8 63 78 68 ?? ?? ?? ?? F8 63 3A 6F B9 6B F8 6B ?? ?? ?? ?? 00 22 01 21 B8 6E ?? ?? ?? ?? B8 6E ?? ?? ?? ?? 38 64 38 6C ?? ?? ?? ?? 78 64 B8 6E ?? ?? ?? ?? B8 64 3A 1D 79 6C B8 6C ?? ?? ?? ?? B8 6E ?? ?? ?? ?? F8 64 3A 68 FB 6C 1A 60 39 6F B8 6E ?? ?? ?? ?? 16 B0 BD E8 90 08 5D F8 14 FB }
	condition:
		$1
}

rule file_16_44_1 {
	meta:
		name = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
		size = 74
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ 003c ?assign@?$char_traits@_W@std@@SAXAA_WAB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 00 23 AD F8 00 30 01 98 ?? ?? ?? ?? 03 90 01 9B 03 F1 10 02 07 9B 13 60 69 46 07 9A 02 23 02 FB 03 F2 03 9B 98 18 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_534_1 {
	meta:
		name = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
		size = 74
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ 003c ?assign@?$char_traits@G@std@@SAXAAGABG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 00 23 AD F8 00 30 01 98 ?? ?? ?? ?? 03 90 01 9B 03 F1 10 02 07 9B 13 60 69 46 07 9A 02 23 02 FB 03 F2 03 9B 98 18 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_45_1 {
	meta:
		name = "?_FilesysOpenFile@v1@filesystem@experimental@std@@YAPAXPB_WKK@Z"
		size = 60
		refs = "0038 __imp_CreateFileW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 87 B0 00 23 02 93 0C 9B 01 93 03 23 00 93 00 23 07 22 0B 99 0A 98 05 4C 24 68 A0 47 04 90 04 9B 05 93 05 98 07 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_46_1 {
	meta:
		name = "?_Filesys_code_page@v1@filesystem@experimental@std@@YAIXZ"
		size = 48
		refs = "002c __imp_AreFileApisANSI"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 98 47 01 90 01 9B 00 2B 03 D0 00 23 00 93 02 E0 01 E0 01 23 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_55_1 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z"
		size = 188
		refs = "000c ?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 001c ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 0022 ?_Myres@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0034 ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0042 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z 0082 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 0092 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 02 90 02 9A 0B 9B 9A 42 02 D2 0A 98 ?? ?? ?? ?? 0A 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 0B 9B 9A 42 0A D2 0A 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0B 99 0A 98 ?? ?? ?? ?? 26 E0 9D F8 30 30 00 2B 1B D0 0B 9B 08 2B 18 D2 0A 98 ?? ?? ?? ?? 05 90 0B 9A 05 9B 1B 68 9A 42 02 D2 0B 9B 00 93 06 E0 0A 98 ?? ?? ?? ?? 06 90 06 9B 1B 68 00 93 00 9A 01 21 0A 98 ?? ?? ?? ?? 06 E0 0B 9B 00 2B 03 D1 00 21 0A 98 ?? ?? ?? ?? 0B 9B 00 2B 02 D9 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 1C 30 9D F8 1C 00 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_730_1 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z"
		size = 188
		refs = "000c ?max_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 001c ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 0022 ?_Myres@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0034 ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0042 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z 0082 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 0092 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 02 90 02 9A 0B 9B 9A 42 02 D2 0A 98 ?? ?? ?? ?? 0A 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 0B 9B 9A 42 0A D2 0A 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0B 99 0A 98 ?? ?? ?? ?? 26 E0 9D F8 30 30 00 2B 1B D0 0B 9B 08 2B 18 D2 0A 98 ?? ?? ?? ?? 05 90 0B 9A 05 9B 1B 68 9A 42 02 D2 0B 9B 00 93 06 E0 0A 98 ?? ?? ?? ?? 06 90 06 9B 1B 68 00 93 00 9A 01 21 0A 98 ?? ?? ?? ?? 06 E0 0B 9B 00 2B 03 D1 00 21 0A 98 ?? ?? ?? ?? 0B 9B 00 2B 02 D9 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 1C 30 9D F8 1C 00 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_56_1 {
	meta:
		name = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z"
		size = 98
		refs = "0012 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 002a ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 19 D0 06 98 ?? ?? ?? ?? 01 90 07 9A 01 9B 9A 42 11 D3 06 98 ?? ?? ?? ?? 03 90 06 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 02 23 02 FB 03 F2 03 9B 1A 44 07 9B 9A 42 04 D8 00 23 8D F8 00 30 03 E0 02 E0 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_773_1 {
	meta:
		name = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NPBG@Z"
		size = 98
		refs = "0012 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 002a ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 19 D0 06 98 ?? ?? ?? ?? 01 90 07 9A 01 9B 9A 42 11 D3 06 98 ?? ?? ?? ?? 03 90 06 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 02 23 02 FB 03 F2 03 9B 1A 44 07 9B 9A 42 04 D8 00 23 8D F8 00 30 03 E0 02 E0 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_57_1 {
	meta:
		name = "?_Map_mode@v1@filesystem@experimental@std@@YA?AW4file_type@1234@H@Z"
		size = 62
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 13 F0 10 0F 03 D0 02 23 00 93 0C E0 0B E0 04 9A 47 F6 A7 33 13 40 00 2B 03 D0 01 23 00 93 02 E0 01 E0 08 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_60_1 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ"
		size = 56
		refs = "0018 ??$_Unfancy@_W@std@@YAPA_WPA_W@Z"
		altNames = "?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 14 33 1B 68 08 2B 07 D3 06 9B 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 06 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_826_1 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ"
		size = 56
		refs = "0018 ??$_Unfancy@G@std@@YAPAGPAG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 14 33 1B 68 08 2B 07 D3 06 9B 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 06 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_827_1 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ"
		size = 56
		refs = "0018 ??$_Unfancy@G@std@@YAPAGPAG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 14 33 1B 68 08 2B 07 D3 06 9B 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 06 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_65_1 {
	meta:
		name = "?_Strcpy@v1@filesystem@experimental@std@@YAPA_WAAY0BAE@_WPB_W@Z"
		size = 38
		refs = "0012 wcscpy_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 4F F4 82 71 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_66_1 {
	meta:
		name = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z"
		size = 176
		refs = "0016 ?_Myres@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0026 ?_Bx@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 003c ??$addressof@PA_W@std@@YAPAPA_WAAPA_W@Z 0044 ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 004e ??$destroy@PA_W@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPAPA_W@Z 005a ??$_Unfancy@_W@std@@YAPA_WPA_W@Z 006e ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 008c ?deallocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPA_WI@Z 00a2 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 9D F8 3C 30 00 2B 00 D1 3D E0 0E 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 08 2B 35 D3 0E 98 ?? ?? ?? ?? 02 90 02 9B 1B 68 00 93 0E 98 ?? ?? ?? ?? 03 90 03 98 ?? ?? ?? ?? 04 90 0E 98 ?? ?? ?? ?? 05 90 04 99 05 98 ?? ?? ?? ?? 10 9B 00 2B 0C D9 00 98 ?? ?? ?? ?? 06 90 0E 98 ?? ?? ?? ?? 07 90 10 9A 06 99 07 98 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 08 90 0E 98 ?? ?? ?? ?? 09 90 08 9B 1B 68 5A 1C 00 99 09 98 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 0A 90 0A 9A 07 23 13 60 10 99 0E 98 ?? ?? ?? ?? 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_874_1 {
	meta:
		name = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z"
		size = 176
		refs = "0016 ?_Myres@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0026 ?_Bx@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@G@std@@@2@XZ 003c ??$addressof@PAG@std@@YAPAPAGAAPAG@Z 0044 ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 004e ??$destroy@PAG@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAPAG@Z 005a ??$_Unfancy@G@std@@YAPAGPAG@Z 006e ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 008c ?deallocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAGI@Z 00a2 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 9D F8 3C 30 00 2B 00 D1 3D E0 0E 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 08 2B 35 D3 0E 98 ?? ?? ?? ?? 02 90 02 9B 1B 68 00 93 0E 98 ?? ?? ?? ?? 03 90 03 98 ?? ?? ?? ?? 04 90 0E 98 ?? ?? ?? ?? 05 90 04 99 05 98 ?? ?? ?? ?? 10 9B 00 2B 0C D9 00 98 ?? ?? ?? ?? 06 90 0E 98 ?? ?? ?? ?? 07 90 10 9A 06 99 07 98 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 08 90 0E 98 ?? ?? ?? ?? 09 90 08 9B 1B 68 5A 1C 00 99 09 98 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 0A 90 0A 9A 07 23 13 60 10 99 0E 98 ?? ?? ?? ?? 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_73_1 {
	meta:
		name = "?allocate@?$allocator@_W@std@@QAAPA_WI@Z"
		size = 38
		refs = "0010 ?_Allocate@std@@YAPAXII_N@Z"
		altNames = "?allocate@?$allocator@G@std@@QAAPAGI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 02 21 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_74_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 196
		refs = "000e ?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z 0018 ?_Clamp_suffix_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIII@Z 0024 ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 003c ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 005e ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0070 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ 0078 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 00a2 ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 00aa ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 00c0 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 99 0D 98 ?? ?? ?? ?? 0F 9A 0E 99 0D 98 ?? ?? ?? ?? 02 90 02 9B 0F 93 0C 98 ?? ?? ?? ?? 03 90 25 4B 1A 68 03 9B 1B 68 D2 1A 0F 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0F 9B 13 44 01 93 0F 9B 00 2B 2A D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 1F D0 0D 98 ?? ?? ?? ?? 05 90 0C 98 ?? ?? ?? ?? 07 90 0C 98 ?? ?? ?? ?? 06 90 0F 9A 0E 99 02 23 01 FB 03 F1 05 9B 19 44 06 9B 18 68 02 23 00 FB 03 F0 07 9B 18 44 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_901_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 196
		refs = "000e ?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z 0018 ?_Clamp_suffix_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIII@Z 0024 ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 003c ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 005e ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0070 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ 0078 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 00a2 ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 00aa ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 00c0 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 99 0D 98 ?? ?? ?? ?? 0F 9A 0E 99 0D 98 ?? ?? ?? ?? 02 90 02 9B 0F 93 0C 98 ?? ?? ?? ?? 03 90 25 4B 1A 68 03 9B 1B 68 D2 1A 0F 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0F 9B 13 44 01 93 0F 9B 00 2B 2A D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 1F D0 0D 98 ?? ?? ?? ?? 05 90 0C 98 ?? ?? ?? ?? 07 90 0C 98 ?? ?? ?? ?? 06 90 0F 9A 0E 99 02 23 01 FB 03 F1 05 9B 19 44 06 9B 18 68 02 23 00 FB 03 F0 07 9B 18 44 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_76_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
		size = 208
		refs = "000e ?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z 0020 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0034 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 0042 ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 005a ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 007c ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 00ae ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 00b6 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 00cc ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 99 0C 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 10 D0 0C 98 ?? ?? ?? ?? 03 90 0E 9B 0D 99 03 9A 8A 1A 52 10 0C 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 3E E0 0C 98 ?? ?? ?? ?? 05 90 20 4B 1A 68 05 9B 1B 68 D2 1A 0E 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 06 90 06 9B 1A 68 0E 9B 13 44 01 93 0E 9B 00 2B 21 D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 16 D0 0C 98 ?? ?? ?? ?? 08 90 0C 98 ?? ?? ?? ?? 07 90 0E 9A 0D 99 07 9B 18 68 02 23 00 FB 03 F0 08 9B 18 44 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_77_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 148
		refs = "000e ?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z 0018 ?_Clamp_suffix_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIII@Z 0032 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I@Z 003c ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z 0048 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 005a ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ 0062 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0078 ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 0080 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 99 09 98 ?? ?? ?? ?? 0B 9A 0A 99 09 98 ?? ?? ?? ?? 01 90 01 9B 0B 93 08 9A 09 9B 9A 42 0B D1 0A 9A 0B 9B D1 18 08 98 ?? ?? ?? ?? 0A 9A 00 21 08 98 ?? ?? ?? ?? 20 E0 00 22 0B 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 15 D0 09 98 ?? ?? ?? ?? 02 90 08 98 ?? ?? ?? ?? 03 90 0B 9A 0A 99 02 23 01 FB 03 F1 02 9B 19 44 03 98 ?? ?? ?? ?? 0B 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_912_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 148
		refs = "000e ?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z 0018 ?_Clamp_suffix_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIII@Z 0032 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@I@Z 003c ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z 0048 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 005a ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ 0062 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 0078 ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 0080 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 99 09 98 ?? ?? ?? ?? 0B 9A 0A 99 09 98 ?? ?? ?? ?? 01 90 01 9B 0B 93 08 9A 09 9B 9A 42 0B D1 0A 9A 0B 9B D1 18 08 98 ?? ?? ?? ?? 0A 9A 00 21 08 98 ?? ?? ?? ?? 20 E0 00 22 0B 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 15 D0 09 98 ?? ?? ?? ?? 02 90 08 98 ?? ?? ?? ?? 03 90 0B 9A 0A 99 02 23 01 FB 03 F1 02 9B 19 44 03 98 ?? ?? ?? ?? 0B 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_79_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
		size = 128
		refs = "000e ?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z 0020 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0034 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 0046 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0064 ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 006c ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 10 D0 08 98 ?? ?? ?? ?? 02 90 0A 9B 09 99 02 9A 8A 1A 52 10 08 99 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 19 E0 00 22 0A 99 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0C D0 08 98 ?? ?? ?? ?? 04 90 0A 9A 09 99 04 98 ?? ?? ?? ?? 0A 99 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_915_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
		size = 128
		refs = "000e ?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NPBG@Z 0020 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 0034 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 0046 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0064 ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 006c ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 10 D0 08 98 ?? ?? ?? ?? 02 90 0A 9B 09 99 02 9A 8A 1A 52 10 08 99 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 19 E0 00 22 0A 99 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0C D0 08 98 ?? ?? ?? ?? 04 90 0A 9A 09 99 04 98 ?? ?? ?? ?? 0A 99 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_80_1 {
	meta:
		name = "?assign@?$char_traits@_W@std@@SAXAA_WAB_W@Z"
		size = 24
		altNames = "?assign@?$char_traits@G@std@@SAXAAGABG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9B 1A 88 02 9B 1A 80 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_81_1 {
	meta:
		name = "?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WXZ"
		size = 56
		refs = "000e ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 001a ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 0022 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 04 A9 08 98 ?? ?? ?? ?? 00 90 01 22 05 A9 00 98 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_85_1 {
	meta:
		name = "?deallocate@?$allocator@_W@std@@QAAXPA_WI@Z"
		size = 26
		refs = "000e ?_Deallocate@std@@YAXPAXII@Z"
		altNames = "?deallocate@?$allocator@G@std@@QAAXPAGI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 22 04 99 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_87_1 {
	meta:
		name = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
		size = 100
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBAPA_WAA_W@Z 0050 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PA_WPBU_Container_base0@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 3B 68 10 33 19 68 02 23 01 FB 03 F1 3B 69 19 44 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1153_1 {
	meta:
		name = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 100
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBAPAGAAG@Z 0050 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PAGPBU_Container_base0@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 3B 68 10 33 19 68 02 23 01 FB 03 F1 3B 69 19 44 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_16_89_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z"
		size = 144
		refs = "000e ?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z 0014 ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 002c ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 003a ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0074 ?move@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 99 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 09 9B D2 1A 0A 9B 9A 42 04 D8 09 99 08 98 ?? ?? ?? ?? 26 E0 0A 9B 00 2B 23 D9 08 98 ?? ?? ?? ?? 03 90 09 9A 02 23 02 FB 03 F2 03 9B 13 44 00 93 08 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0A 9B D3 1A 01 93 01 9A 09 9B D2 1A 0A 99 02 23 01 FB 03 F1 00 9B 19 44 00 98 ?? ?? ?? ?? 01 99 08 98 ?? ?? ?? ?? 08 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1164_1 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z"
		size = 144
		refs = "000e ?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z 0014 ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 002c ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 003a ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 0074 ?move@?$char_traits@G@std@@SAPAGPAGPBGI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 99 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 02 90 02 9B 1A 68 09 9B D2 1A 0A 9B 9A 42 04 D8 09 99 08 98 ?? ?? ?? ?? 26 E0 0A 9B 00 2B 23 D9 08 98 ?? ?? ?? ?? 03 90 09 9A 02 23 02 FB 03 F2 03 9B 13 44 00 93 08 98 ?? ?? ?? ?? 04 90 04 9B 1A 68 0A 9B D3 1A 01 93 01 9A 09 9B D2 1A 0A 99 02 23 01 FB 03 F1 00 9B 19 44 00 98 ?? ?? ?? ?? 01 99 08 98 ?? ?? ?? ?? 08 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_90_1 {
	meta:
		name = "?length@?$char_traits@_W@std@@SAIPB_W@Z"
		size = 76
		altNames = "?length@?$char_traits@G@std@@SAIPBG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 88 00 2B 02 D1 00 23 01 93 11 E0 06 9B 00 93 00 9B B3 F9 00 30 00 2B 03 D0 00 9B 9B 1C 00 93 F6 E7 00 9A 06 9B D3 1A 5B 10 02 93 02 9B 01 93 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_92_1 {
	meta:
		name = "?max_size@?$allocator@_W@std@@QBAIXZ"
		size = 28
		altNames = "?max_size@?$allocator@G@std@@QBAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 6F F0 00 43 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_97_1 {
	meta:
		name = "_Chmod"
		size = 176
		refs = "0008 __security_push_cookie 003c ??Uv1@filesystem@experimental@std@@YA?AW4perms@0123@W440123@0@Z 0050 ??Iv1@filesystem@experimental@std@@YA?AW4perms@0123@W440123@0@Z 009c __security_pop_cookie 00a8 __imp_SetFileAttributesW 00ac __imp_GetFileAttributesExW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 0A AA 00 21 16 98 25 4B 1B 68 98 47 05 90 05 9B 00 2B 04 D1 6F F0 00 03 04 93 36 E0 35 E0 0A 9B 01 93 01 9B 23 F0 01 03 00 93 10 21 80 20 ?? ?? ?? ?? 06 90 02 21 06 98 ?? ?? ?? ?? 07 90 07 99 17 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 03 D1 00 9B 43 F0 01 03 00 93 00 9A 01 9B 9A 42 02 D1 00 23 03 93 10 E0 00 99 16 98 0C 4B 1B 68 98 47 09 90 09 9B 00 2B 02 D0 00 23 02 93 02 E0 6F F0 00 03 02 93 02 9B 03 93 03 9B 04 93 04 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_99_1 {
	meta:
		name = "_Copy_file"
		size = 72
		refs = "0040 __imp_GetLastError 0044 __imp_CopyFileW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 22 07 99 06 98 0C 4B 1B 68 98 47 01 90 01 9B 00 2B 02 D0 00 23 00 93 05 E0 06 4B 1B 68 98 47 02 90 02 9B 00 93 00 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_100_1 {
	meta:
		name = "_Current_get"
		size = 72
		refs = "000e ?_Strcpy@v1@filesystem@experimental@std@@YAPA_WAAY0BAE@_WPB_W@Z 0018 _wgetcwd 0044 ??_C@_11LOCGONAA@?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 0E 49 06 98 ?? ?? ?? ?? 4F F4 82 71 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_102_1 {
	meta:
		name = "_Equivalent"
		size = 308
		refs = "0008 __security_push_cookie 0018 memset 003e ?_FilesysOpenFile@v1@filesystem@experimental@std@@YAPAXPB_WKK@Z 011e __security_pop_cookie 012c __imp_CloseHandle 0130 __imp_GetFileInformationByHandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A5 B0 00 23 0A 93 30 22 00 21 0B A8 ?? ?? ?? ?? 00 23 18 93 30 22 00 21 19 A8 ?? ?? ?? ?? 00 23 8D F8 00 30 00 23 8D F8 01 30 4F F0 00 72 80 21 28 98 ?? ?? ?? ?? 06 90 06 9B 01 93 01 9B B3 F1 FF 3F 15 D0 0A A9 01 98 36 4B 1B 68 98 47 07 90 07 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B DB B2 8D F8 00 30 01 98 2D 4B 1B 68 98 47 4F F0 00 72 80 21 29 98 ?? ?? ?? ?? 08 90 08 9B 01 93 01 9B B3 F1 FF 3F 15 D0 18 A9 01 98 25 4B 1B 68 98 47 09 90 09 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B DB B2 8D F8 01 30 01 98 1B 4B 1B 68 98 47 9D F8 00 30 00 2B 08 D1 9D F8 01 30 00 2B 04 D1 6F F0 00 03 02 93 1F E0 1E E0 9D F8 00 30 00 2B 03 D0 9D F8 01 30 00 2B 03 D1 00 23 02 93 13 E0 12 E0 11 9A 1F 9B 9A 42 0A D1 15 9A 23 9B 9A 42 06 D1 16 9A 24 9B 9A 42 02 D1 01 23 05 93 01 E0 00 23 05 93 05 9B 02 93 02 98 25 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_103_1 {
	meta:
		name = "_File_size"
		size = 80
		refs = "0008 __security_push_cookie 0040 __security_pop_cookie 004c __imp_GetFileAttributesExW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8D B0 04 AA 00 21 10 98 0D 4B 1B 68 98 47 02 90 02 9B 00 2B 07 D1 6F F0 00 03 00 93 6F F0 00 03 01 93 04 E0 03 E0 0B 9A 0C 9B 00 93 01 92 00 98 01 99 0D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_104_1 {
	meta:
		name = "_Hard_links"
		size = 168
		refs = "0008 __security_push_cookie 0016 ?_FilesysOpenFile@v1@filesystem@experimental@std@@YAPAXPB_WKK@Z 002a memset 0094 __security_pop_cookie 00a0 __imp_CloseHandle 00a4 __imp_GetFileInformationByHandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 4F F0 00 72 80 21 1A 98 ?? ?? ?? ?? 06 90 06 9B 01 93 00 23 0A 93 30 22 00 21 0B A8 ?? ?? ?? ?? 00 23 8D F8 00 30 01 9B B3 F1 FF 3F 15 D0 0A A9 01 98 18 4B 1B 68 98 47 07 90 07 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B DB B2 8D F8 00 30 01 98 0F 4B 1B 68 98 47 9D F8 00 30 00 2B 04 D0 14 9B 04 93 00 23 05 93 05 E0 6F F0 00 03 04 93 6F F0 00 03 05 93 04 9A 05 9B 08 92 09 93 08 98 09 99 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_105_1 {
	meta:
		name = "_Last_write_time"
		size = 108
		refs = "0008 __security_push_cookie 0052 __security_pop_cookie 0068 __imp_GetFileAttributesExW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 06 AA 00 21 12 98 14 4B 1B 68 98 47 02 90 02 9B 00 2B 07 D1 6F F0 00 03 00 93 6F F0 00 03 01 93 0D E0 0C E0 0C 9A 0B 9B 04 93 05 92 04 98 05 99 09 4A 07 4B 82 1A 61 EB 03 03 00 92 01 93 00 98 01 99 0F B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_106_1 {
	meta:
		name = "_Link"
		size = 72
		refs = "0040 __imp_GetLastError 0044 __imp_CreateHardLinkW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 22 06 99 07 98 0C 4B 1B 68 98 47 01 90 01 9B 00 2B 02 D0 00 23 00 93 05 E0 06 4B 1B 68 98 47 02 90 02 9B 00 93 00 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_108_1 {
	meta:
		name = "_Make_dir"
		size = 88
		refs = "0050 __imp_GetLastError 0054 __imp_CreateDirectoryW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 21 06 98 11 4B 1B 68 98 47 01 90 01 9B 02 93 02 9B 00 2B 03 D0 01 23 00 93 0E E0 0D E0 09 4B 1B 68 98 47 03 90 03 9B B7 2B 03 D1 00 23 00 93 03 E0 02 E0 6F F0 00 03 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_109_1 {
	meta:
		name = "_Open_dir"
		size = 300
		refs = "000a __security_push_cookie 0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z 001c ?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ 0030 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z 0036 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 0072 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00b0 _Read_dir 00d0 _Close_dir 00ea ?_Strcpy@v1@filesystem@experimental@std@@YAPA_WAAY0BAE@_WPB_W@Z 00f0 ?_Map_mode@v1@filesystem@experimental@std@@YA?AW4file_type@1234@H@Z 0118 __security_pop_cookie 0124 __imp_FindFirstFileExW 0128 ??_C@_15PKPONJIK@?$AA?2?$AA?$CK?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 26 7D AB 99 0C A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 3E 49 0C A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 05 90 00 23 01 93 00 23 00 93 00 23 12 AA 00 21 05 98 35 4C 24 68 A0 47 06 90 06 9B 03 93 03 9B B3 F1 FF 3F 0E D1 AC 9A A1 23 13 60 AA 9A 00 23 13 80 00 23 07 93 0C A8 ?? ?? ?? ?? 07 9B 04 93 4A E0 46 E0 AC 9A 00 23 13 60 1D AB 1B 88 2E 2B 2C D1 1D AB 9B 1C 1B 88 00 2B 09 D0 1D AB 9B 1C 1B 88 2E 2B 22 D1 1D AB 1B 1D 1B 88 00 2B 1D D1 AD 9A 03 99 AA 98 ?? ?? ?? ?? AA 9B 1B 88 00 2B 08 D0 03 9B 08 93 0C A8 ?? ?? ?? ?? 08 9B 04 93 22 E0 0A E0 03 98 ?? ?? ?? ?? 00 23 09 93 0C A8 ?? ?? ?? ?? 09 9B 04 93 16 E0 12 E0 1D A9 AA 98 ?? ?? ?? ?? 12 98 ?? ?? ?? ?? 0A 90 0A 9A AD 9B 1A 60 03 9B 0B 93 0C A8 ?? ?? ?? ?? 0B 9B 04 93 02 E0 0C A8 ?? ?? ?? ?? 04 98 0D F5 26 7D ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_110_1 {
	meta:
		name = "_Read_dir"
		size = 156
		refs = "0008 __security_push_cookie 002c ?_Strcpy@v1@filesystem@experimental@std@@YAPA_WAAY0BAE@_WPB_W@Z 0064 ?_Map_mode@v1@filesystem@experimental@std@@YA?AW4file_type@1234@H@Z 0088 __security_pop_cookie 0094 ??_C@_11LOCGONAA@?$AA?$AA@ 0098 __imp_FindNextFileW"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 1B 7D 06 A9 9F 98 20 4B 1B 68 98 47 01 90 01 9B 00 2B 0B D1 A0 9A 08 23 13 60 1A 49 9E 98 ?? ?? ?? ?? 02 90 02 9B 00 93 24 E0 22 E0 11 AB 1B 88 2E 2B 0F D1 11 AB 9B 1C 1B 88 00 2B 09 D0 11 AB 9B 1C 1B 88 2E 2B 05 D1 11 AB 1B 1D 1B 88 00 2B 00 D1 0E E0 06 98 ?? ?? ?? ?? 03 90 03 9A A0 9B 1A 60 11 A9 9E 98 ?? ?? ?? ?? 04 90 04 9B 00 93 00 E0 C6 E7 00 98 0D F5 1B 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_111_1 {
	meta:
		name = "_Remove_dir"
		size = 58
		refs = "000c _wrmdir"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B B3 F1 FF 3F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_112_1 {
	meta:
		name = "_Rename"
		size = 64
		refs = "000e _wrename 003c __imp_GetLastError"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 00 23 00 93 05 E0 06 4B 1B 68 98 47 02 90 02 9B 00 93 00 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_113_1 {
	meta:
		name = "_Resize"
		size = 180
		refs = "0016 ?_FilesysOpenFile@v1@filesystem@experimental@std@@YAPAXPB_WKK@Z 00a0 __imp_GetLastError 00a4 __imp_CloseHandle 00a8 __imp_SetEndOfFile 00ac __imp_SetFilePointerEx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 00 23 8D F8 08 30 00 22 27 49 10 98 ?? ?? ?? ?? 06 90 06 9B 03 93 03 9B B3 F1 FF 3F 26 D0 12 9B 0C 93 13 9B 0D 93 00 23 01 93 00 23 00 93 0C 9A 0D 9B 03 98 1B 49 09 68 88 47 07 90 07 9B 00 2B 0A D0 03 98 16 4B 1B 68 98 47 08 90 08 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B DB B2 8D F8 08 30 03 98 0C 4B 1B 68 98 47 9D F8 08 30 00 2B 02 D0 00 23 05 93 05 E0 06 4B 1B 68 98 47 09 90 09 9B 05 93 05 9B 0A 93 0A 98 0E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 16 01 12 00 }
	condition:
		$1
}

rule file_16_114_1 {
	meta:
		name = "_Set_last_write_time"
		size = 196
		refs = "000a __security_push_cookie 001a ?_FilesysOpenFile@v1@filesystem@experimental@std@@YAPAXPB_WKK@Z 00a2 __security_pop_cookie 00b0 __imp_CloseHandle 00b4 __imp_SetFileInformationByHandle 00c0 __imp_GetFileInformationByHandleEx"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 92 B0 4F F0 00 72 4F F4 80 71 16 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B B3 F1 FF 3F 02 D1 00 23 01 93 35 E0 28 23 08 AA 00 21 00 98 21 4C 24 68 A0 47 03 90 03 9B 00 2B 06 D1 00 98 19 4B 1B 68 98 47 00 23 01 93 23 E0 18 98 19 99 18 4A 16 4B 12 18 4B 41 06 92 07 93 06 9B 0C 93 07 9B 0D 93 28 23 08 AA 00 21 00 98 0F 4C 24 68 A0 47 04 90 04 9B 00 2B 06 D1 00 98 0A 4B 1B 68 98 47 00 23 01 93 05 E0 00 98 06 4B 1B 68 98 47 01 23 01 93 01 98 12 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_115_1 {
	meta:
		name = "_Stat"
		size = 216
		refs = "0008 __security_push_cookie 0034 ??Uv1@filesystem@experimental@std@@YA?AW4perms@0123@W440123@0@Z 0046 ??Sv1@filesystem@experimental@std@@YA?AW4perms@0123@W440123@@Z 0052 ??Iv1@filesystem@experimental@std@@YA?AW4perms@0123@W440123@0@Z 006c ?_Map_mode@v1@filesystem@experimental@std@@YA?AW4file_type@1234@H@Z 00c2 __security_pop_cookie 00d0 __imp_GetLastError 00d4 __imp_GetFileAttributesExW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 0A AA 00 21 16 98 2F 4B 1B 68 98 47 03 90 03 9B 00 2B 2B D0 17 9B 00 2B 20 D0 0A 9B 13 F0 01 0F 16 D0 10 21 80 20 ?? ?? ?? ?? 04 90 02 21 04 98 ?? ?? ?? ?? 05 90 05 98 ?? ?? ?? ?? 06 90 06 99 40 F2 FF 10 ?? ?? ?? ?? 07 90 07 9B 02 93 02 E0 40 F2 FF 13 02 93 02 9A 17 9B 1A 60 0A 98 ?? ?? ?? ?? 08 90 08 9B 01 93 22 E0 21 E0 15 4B 1B 68 98 47 09 90 09 9B 00 93 00 9B 35 2B 11 D0 00 9B A1 2B 0E D0 00 9B 02 2B 0B D0 00 9B 0F 2B 08 D0 00 9B 7B 2B 05 D0 00 9B 57 2B 02 D0 00 9B 03 2B 04 D1 6F F0 00 03 01 93 02 E0 01 E0 08 23 01 93 01 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_116_1 {
	meta:
		name = "_Statvfs"
		size = 260
		refs = "000a __security_push_cookie 0038 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z 003e ?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ 0050 ?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WXZ 0072 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z 0078 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 00b2 memcpy 00b8 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00f0 __security_pop_cookie 00fc __imp_GetDiskFreeSpaceExW 0100 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? A7 B0 6F F0 00 03 14 93 6F F0 00 03 15 93 6F F0 00 03 16 93 6F F0 00 03 17 93 6F F0 00 03 18 93 6F F0 00 03 19 93 2D 99 1A A8 ?? ?? ?? ?? 1A A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D1 1A A8 ?? ?? ?? ?? 03 90 03 9B 1B 88 2F 2B 0B D0 1A A8 ?? ?? ?? ?? 04 90 04 9B 1B 88 5C 2B 03 D0 24 49 1A A8 ?? ?? ?? ?? 1A A8 ?? ?? ?? ?? 05 90 0A AB 08 AA 0C A9 05 98 1D 4C 24 68 A0 47 06 90 06 9B 00 2B 0B D0 08 9B 14 93 09 9B 15 93 0A 9B 16 93 0B 9B 17 93 0C 9B 18 93 0D 9B 19 93 20 A8 14 A9 18 22 ?? ?? ?? ?? 1A A8 ?? ?? ?? ?? 2C 9A 20 AB 01 92 02 93 01 9D 02 9C 94 E8 0F 00 85 E8 0F 00 02 9B 10 33 02 93 01 9B 10 33 01 93 01 98 02 99 91 E8 0C 00 80 E8 0C 00 2C 9B 0E 93 0E 98 27 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_117_1 {
	meta:
		name = "_Symlink"
		size = 76
		refs = "0044 __imp_GetLastError 0048 __imp_CreateSymbolicLinkW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 22 06 99 07 98 0D 4B 1B 68 98 47 8D F8 00 00 9D F8 00 30 00 2B 02 D0 00 23 01 93 05 E0 06 4B 1B 68 98 47 02 90 02 9B 01 93 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_118_1 {
	meta:
		name = "_Symlink_get"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 80 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_119_1 {
	meta:
		name = "_Temp_get"
		size = 88
		refs = "0008 __security_push_cookie 0032 ?_Strcpy@v1@filesystem@experimental@std@@YAPA_WAAY0BAE@_WPB_W@Z 0042 __security_pop_cookie 0050 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 0054 __imp_GetTempPathW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 07 7D 04 A9 4F F4 82 70 0F 4B 1B 68 98 47 01 90 01 9B 00 2B 02 D1 0A 4B 00 93 01 E0 04 AB 00 93 00 99 8A 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 0D F5 07 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_120_1 {
	meta:
		name = "_To_byte"
		size = 76
		refs = "000c ?_Filesys_code_page@v1@filesystem@experimental@std@@YAIXZ 0048 __imp_WideCharToMultiByte"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 ?? ?? ?? ?? 04 90 00 23 03 93 00 23 02 93 4F F4 82 73 01 93 0B 9B 00 93 6F F0 00 03 0A 9A 00 21 04 98 06 4C 24 68 A0 47 05 90 05 9B 06 93 06 98 07 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_121_1 {
	meta:
		name = "_To_wide"
		size = 68
		refs = "000c ?_Filesys_code_page@v1@filesystem@experimental@std@@YAIXZ 0040 __imp_MultiByteToWideChar"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 ?? ?? ?? ?? 02 90 4F F4 82 73 01 93 09 9B 00 93 6F F0 00 03 08 9A 00 21 02 98 06 4C 24 68 A0 47 03 90 03 9B 04 93 04 98 05 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_122_1 {
	meta:
		name = "_Unlink"
		size = 64
		refs = "000c _wremove 003c __imp_GetLastError"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 00 23 00 93 05 E0 07 4B 1B 68 98 47 02 90 02 9B 00 93 00 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_123_1 {
	meta:
		name = "wmemcpy"
		size = 44
		refs = "0016 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 02 23 02 FB 03 F2 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_16_124_1 {
	meta:
		name = "wmemmove"
		size = 44
		refs = "0016 memmove"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 02 23 02 FB 03 F2 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_17_0_1 {
	meta:
		name = "_WStoflt"
		size = 900
		refs = "0008 __security_push_cookie 0064 iswctype 00a2 localeconv 00b0 btowc 01da __report_rangecheckfailure 01f8 __rt_sdiv 0372 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A1 B0 00 23 01 93 28 9A 09 23 02 FB 03 F3 28 93 28 9B 2D 2B 01 DD 2D 23 28 93 27 9A 00 23 13 60 27 9B 1A 1D 00 23 13 60 00 23 02 93 04 E0 25 9B 9B 1C 25 93 01 23 02 93 25 9B 1B 88 30 2B 00 D1 F5 E7 00 23 00 93 04 E0 25 9B 9B 1C 25 93 01 23 02 93 04 21 25 9B 18 88 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 18 D0 00 9A 28 9B 9A 42 0E DC 25 9B 1B 88 30 3B 59 B2 00 9A 01 23 02 FB 03 F2 14 AB 13 44 19 70 00 9B 5B 1C 00 93 04 E0 27 9B 1B 68 5A 1C 27 9B 1A 60 D8 E7 ?? ?? ?? ?? 0E 90 0E 9B 1B 68 93 F9 00 00 ?? ?? ?? ?? AD F8 18 00 25 9B 1A 88 BD F8 18 30 9A 42 02 D1 25 9B 9B 1C 25 93 00 9B 00 2B 0F D1 04 E0 25 9B 9B 1C 25 93 01 23 02 93 25 9B 1B 88 30 2B 05 D1 27 9B 1B 68 5A 1E 27 9B 1A 60 F0 E7 04 E0 25 9B 9B 1C 25 93 01 23 02 93 04 21 25 9B 18 88 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 17 D0 00 9A 28 9B 9A 42 12 DC 25 9B 1B 88 30 3B 59 B2 00 9A 01 23 02 FB 03 F2 14 AB 13 44 19 70 00 9B 5B 1C 00 93 27 9B 1B 68 5A 1E 27 9B 1A 60 D9 E7 28 9A 00 9B 9A 42 25 DA 28 9B 07 93 07 9A 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 05 2B 12 DB 07 9B 5A 1E 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 5B 1C 59 B2 07 9B 5A 1E 01 23 02 FB 03 F2 14 AB 13 44 19 70 28 9B 00 93 27 9B 1B 68 5A 1C 27 9B 1A 60 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B 10 DD 00 9B 5A 1E 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 00 2B 05 D1 27 9B 1B 68 5A 1C 27 9B 1A 60 E8 E7 00 9B 00 2B 0F D1 00 9B 08 93 00 9B 5B 1C 00 93 08 9B 2E 2B 00 D2 01 E0 ?? ?? ?? ?? 14 AA 08 9B 1A 44 00 23 13 70 02 9B 00 2B 00 F0 AA 80 00 23 04 93 00 99 09 20 ?? ?? ?? ?? C1 F1 09 03 05 93 05 99 09 20 ?? ?? ?? ?? 00 29 02 D1 00 23 09 93 01 E0 01 23 09 93 09 9B 01 93 05 E0 05 9B 5B 1C 05 93 04 9B 5B 1C 04 93 04 9A 00 9B 9A 42 33 DA 05 99 09 20 ?? ?? ?? ?? 00 29 12 D1 01 9B 5B 1C 01 93 04 9A 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 10 01 9A 04 23 02 FB 03 F2 27 9B 13 44 19 60 19 E0 01 9A 04 23 02 FB 03 F2 27 9B 13 44 1A 68 0A 23 02 FB 03 F1 04 9A 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 19 44 01 9A 04 23 02 FB 03 F2 27 9B 13 44 19 60 C1 E7 25 9B 1B 88 65 2B 03 D0 25 9B 1B 88 45 2B 4C D1 25 9B 11 93 25 9B 9B 1C 25 93 25 9B 1B 88 2B 2B 06 D0 25 9B 1B 88 2D 2B 02 D0 2B 23 0A 93 05 E0 25 9B 1B 88 0A 93 25 9B 9B 1C 25 93 0A 9B 9B B2 AD F8 1A 30 00 23 0B 93 00 23 03 93 04 E0 25 9B 9B 1C 25 93 01 23 0B 93 04 21 25 9B 18 88 ?? ?? ?? ?? 10 90 10 9B 00 2B 0D D0 03 9A 1E 4B 9A 42 08 DA 03 9A 0A 23 02 FB 03 F2 25 9B 1B 88 13 44 30 3B 03 93 E3 E7 BD F8 1A 30 2D 2B 02 D1 03 9B 5B 42 03 93 27 9B 1A 68 03 9B 1A 44 27 9B 1A 60 0B 9B 00 2B 01 D1 11 9B 25 93 02 9B 00 2B 01 D1 00 23 01 93 26 9B 00 2B 0A D0 02 9B 00 2B 02 D0 25 9B 0C 93 01 E0 24 9B 0C 93 0C 9A 26 9B 1A 60 01 9B 12 93 12 98 21 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 E1 F5 05 }
	condition:
		$1
}

rule file_18_0_1 {
	meta:
		name = "_FDnorm"
		size = 302
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 9B 1C 1B 88 03 F4 00 43 9B B2 AD F8 04 30 01 23 AD F8 00 30 06 9B 9B 1C 1B 88 03 F0 7F 03 9B B2 AD F8 02 30 06 9B 9A 1C BD F8 02 30 13 80 BD F8 02 30 00 2B 03 D1 06 9B 1B 88 00 2B 5B D0 06 9B 9B 1C 1B 88 00 2B 0D D1 06 99 06 9B 9A 1C 0B 88 13 80 06 9A 00 23 13 80 BD F9 00 30 10 3B 1B B2 AD F8 00 30 05 E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 06 9B 9B 1C 1B 88 80 2B 12 DA 06 9B 9B 1C 1B 88 5A 00 06 9B 1B 88 DB 13 13 43 9A B2 06 9B 9B 1C 1A 80 06 9B 1B 88 5B 00 9A B2 06 9B 1A 80 E1 E7 05 E0 BD F9 00 30 5B 1C 1B B2 AD F8 00 30 06 9B 9B 1C 1B 88 B3 F5 80 7F 13 DB 06 9B 1B 88 5A 10 06 9B 9B 1C 1B 88 DB 03 13 43 9A B2 06 9B 1A 80 06 9B 9B 1C 1B 88 5B 08 9A B2 06 9B 9B 1C 1A 80 DF E7 06 9B 9B 1C 1B 88 03 F0 7F 01 06 9B 9A 1C 8B B2 13 80 06 9B 9B 1C BD F8 04 20 1B 88 43 EA 02 01 06 9B 9A 1C 8B B2 13 80 BD F9 00 30 AD F8 08 30 BD F9 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_0_1 {
	meta:
		name = "_FDtento"
		size = 344
		refs = "0008 __security_push_cookie 0028 _FXp_getw 0048 _FXp_setw 005a _FXp_movx 0064 _FXp_ldexpx 007c _FXp_mulx 0118 _errno 0144 __security_pop_cookie 0150 _FInf 0154 tenth"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 99 B0 1D 9B 00 2B 07 D0 1C 9B 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0A D1 04 21 1C 98 ?? ?? ?? ?? 8D ED 04 0A 9D ED 04 0A 8D ED 03 0A 81 E0 1D 9B 00 2B 06 DD B2 EE 04 0A 04 21 08 A8 ?? ?? ?? ?? 0C E0 1D 9B 5B 42 1D 93 3F 4A 04 21 08 A8 ?? ?? ?? ?? 30 22 04 21 1C 98 ?? ?? ?? ?? 1D 9B 13 F0 01 0F 07 D0 10 AB 00 93 04 23 08 AA 04 21 1C 98 ?? ?? ?? ?? 1D 9B 5B 10 1D 93 1D 9B 00 2B 00 D1 0D E0 08 AA 04 21 0C A8 ?? ?? ?? ?? 10 AB 00 93 04 23 0C AA 04 21 08 A8 ?? ?? ?? ?? DE E7 08 AB D3 ED 00 0A B7 EE 00 0A F4 EE C0 0A F1 EE 10 FA 05 D2 6F F0 2F 02 04 21 1C 98 ?? ?? ?? ?? 04 21 1C 98 ?? ?? ?? ?? 8D ED 05 0A 9D ED 05 0A 8D ED 02 0A 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 15 D0 DD ED 02 0A 17 4B 93 ED 00 0A F4 EE 40 0A F1 EE 10 FA 0B D0 13 4B 93 ED 00 0A F1 EE 40 0A 9D ED 02 0A B4 EE 60 0A F1 EE 10 FA 0E D1 ?? ?? ?? ?? 06 90 06 9A 22 23 13 60 1E 9B 00 2B 05 D0 1E 9B 1B 68 43 F0 01 02 1E 9B 1A 60 9D ED 02 0A 8D ED 03 0A 9D ED 03 0A 19 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_4_1 {
	meta:
		name = "??$_Fgetc@G@std@@YA_NAAGPAU_iobuf@@@Z"
		size = 78
		refs = "000c fgetwc"
		altNames = "??$_Fgetc@_W@std@@YA_NAA_WPAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 BD F8 00 20 4F F6 FF 73 9A 42 04 D1 00 23 8D F8 04 30 07 E0 06 E0 BD F8 00 20 04 9B 1A 80 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_5_1 {
	meta:
		name = "??$_Fputc@G@std@@YA_NGPAU_iobuf@@@Z"
		size = 68
		refs = "0010 fputwc"
		altNames = "??$_Fputc@_W@std@@YA_N_WPAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 BD F8 18 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 4F F6 FF 73 9A 42 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_9_1 {
	meta:
		name = "??$_Ungetc@G@std@@YA_NABGPAU_iobuf@@@Z"
		size = 68
		refs = "0010 ungetwc"
		altNames = "??$_Ungetc@_W@std@@YA_NAB_WPAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 4F F6 FF 73 9A 42 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_41_1 {
	meta:
		name = "??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 168
		refs = "002c ??0?$basic_ios@GU?$char_traits@G@std@@@std@@IAA@XZ 008a ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IAAXPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z 00a0 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 00a4 ??_8?$basic_istream@GU?$char_traits@G@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 00 23 3B 60 7B 6B 00 2B 0C D0 BA 6A 20 4B 13 60 BB 6A 03 F1 18 00 ?? ?? ?? ?? F8 60 3B 68 43 F0 01 03 3B 60 BB 6A 1B 68 1B 1D BA 6A 1B 68 1A 44 16 4B 13 60 BB 6A 1B 68 1B 1D 1B 68 A3 F1 18 01 BB 6A 1B 68 1B 1D BA 6A 1B 68 13 44 1B 1F 19 60 BB 6A 08 33 7B 60 7A 68 00 23 13 60 7A 68 00 23 53 60 97 F8 30 20 F9 6A BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_41_1 {
	meta:
		name = "??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 168
		refs = "002c ??0?$basic_ios@DU?$char_traits@D@std@@@std@@IAA@XZ 008a ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IAAXPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z 00a0 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 00a4 ??_8?$basic_istream@DU?$char_traits@D@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 00 23 3B 60 7B 6B 00 2B 0C D0 BA 6A 20 4B 13 60 BB 6A 03 F1 18 00 ?? ?? ?? ?? F8 60 3B 68 43 F0 01 03 3B 60 BB 6A 1B 68 1B 1D BA 6A 1B 68 1A 44 16 4B 13 60 BB 6A 1B 68 1B 1D 1B 68 A3 F1 18 01 BB 6A 1B 68 1B 1D BA 6A 1B 68 13 44 1B 1F 19 60 BB 6A 08 33 7B 60 7A 68 00 23 13 60 7A 68 00 23 53 60 97 F8 30 20 F9 6A BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_41_1 {
	meta:
		name = "??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 168
		refs = "002c ??0?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAA@XZ 008a ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAAXPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z 00a0 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 00a4 ??_8?$basic_istream@_WU?$char_traits@_W@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 00 23 3B 60 7B 6B 00 2B 0C D0 BA 6A 20 4B 13 60 BB 6A 03 F1 18 00 ?? ?? ?? ?? F8 60 3B 68 43 F0 01 03 3B 60 BB 6A 1B 68 1B 1D BA 6A 1B 68 1A 44 16 4B 13 60 BB 6A 1B 68 1B 1D 1B 68 A3 F1 18 01 BB 6A 1B 68 1B 1D BA 6A 1B 68 13 44 1B 1F 19 60 BB 6A 08 33 7B 60 7A 68 00 23 13 60 7A 68 00 23 53 60 97 F8 30 20 F9 6A BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_42_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 BB 6A 03 F1 18 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_28_42_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 BB 6A 03 F1 18 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_53_42_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 BB 6A 03 F1 18 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_20_61_1 {
	meta:
		name = "??0_Init_ushcin@std@@QAA@XZ"
		size = 64
		refs = "0020 ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z 0034 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0038 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 003c ?_Ptr_wcin@std@@3PAV?$basic_istream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4A 0B 4B 1A 60 09 4B 19 68 07 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_61_1 {
	meta:
		name = "??0_Init_cin@std@@QAA@XZ"
		size = 64
		refs = "0020 ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z 0034 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0038 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 003c ?_Ptr_cin@std@@3PAV?$basic_istream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4A 0B 4B 1A 60 09 4B 19 68 07 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_96_61_1 {
	meta:
		name = "??0_Init_clog@std@@QAA@XZ"
		size = 64
		refs = "0020 ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z 0034 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0038 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 003c ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4A 0B 4B 1A 60 09 4B 19 68 07 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_61_1 {
	meta:
		name = "??0_Init_ushclog@std@@QAA@XZ"
		size = 64
		refs = "0020 ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z 0034 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0038 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 003c ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4A 0B 4B 1A 60 09 4B 19 68 07 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_61_1 {
	meta:
		name = "??0_Init_wcin@std@@QAA@XZ"
		size = 64
		refs = "0020 ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z 0034 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0038 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 003c ?_Ptr_wcin@std@@3PAV?$basic_istream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4A 0B 4B 1A 60 09 4B 19 68 07 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_61_1 {
	meta:
		name = "??0_Init_wclog@std@@QAA@XZ"
		size = 64
		refs = "0020 ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z 0034 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0038 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 003c ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4A 0B 4B 1A 60 09 4B 19 68 07 4B 1B 68 1B 1D 06 4A 1B 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_105_1 {
	meta:
		name = "??1?$basic_istream@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 84
		refs = "0050 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B A3 F1 18 01 02 9B A3 F1 18 02 0B 68 1B 1D 1B 68 1A 44 0C 4B 13 60 02 9B 18 3B 1B 68 1B 1D 1B 68 A3 F1 18 00 02 9B A3 F1 18 01 02 9B A3 F1 18 02 0B 68 1B 1D 1B 68 13 44 1B 1F 18 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_106_1 {
	meta:
		name = "??1?$basic_istream@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 84
		refs = "0050 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B A3 F1 18 01 02 9B A3 F1 18 02 0B 68 1B 1D 1B 68 1A 44 0C 4B 13 60 02 9B 18 3B 1B 68 1B 1D 1B 68 A3 F1 18 00 02 9B A3 F1 18 01 02 9B A3 F1 18 02 0B 68 1B 1D 1B 68 13 44 1B 1F 18 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_105_1 {
	meta:
		name = "??1?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 84
		refs = "0050 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B A3 F1 18 01 02 9B A3 F1 18 02 0B 68 1B 1D 1B 68 1A 44 0C 4B 13 60 02 9B 18 3B 1B 68 1B 1D 1B 68 A3 F1 18 00 02 9B A3 F1 18 01 02 9B A3 F1 18 02 0B 68 1B 1D 1B 68 13 44 1B 1F 18 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_109_1 {
	meta:
		name = "??1?$ctype@G@std@@MAA@XZ"
		size = 68
		refs = "0022 free 0034 ??1ctype_base@std@@UAA@XZ 0040 ??_7?$ctype@G@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 0D 4A 02 9B 1A 60 02 9B 08 33 08 33 1B 68 00 2B 05 D0 02 9B 08 33 1B 1D 18 68 ?? ?? ?? ?? 02 9B 08 33 0C 33 18 68 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_109_1 {
	meta:
		name = "??1?$ctype@_W@std@@MAA@XZ"
		size = 68
		refs = "0022 free 0034 ??1ctype_base@std@@UAA@XZ 0040 ??_7?$ctype@_W@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 0D 4A 02 9B 1A 60 02 9B 08 33 08 33 1B 68 00 2B 05 D0 02 9B 08 33 1B 1D 18 68 ?? ?? ?? ?? 02 9B 08 33 0C 33 18 68 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_137_1 {
	meta:
		name = "??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QAAXXZ"
		size = 36
		refs = "000e ??1?$basic_istream@GU?$char_traits@G@std@@@std@@UAA@XZ 0018 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 18 00 ?? ?? ?? ?? 02 9B 03 F1 18 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_28_138_1 {
	meta:
		name = "??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QAAXXZ"
		size = 36
		refs = "000e ??1?$basic_istream@DU?$char_traits@D@std@@@std@@UAA@XZ 0018 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 18 00 ?? ?? ?? ?? 02 9B 03 F1 18 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_53_137_1 {
	meta:
		name = "??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAAXXZ"
		size = 36
		refs = "000e ??1?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0018 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 18 00 ?? ?? ?? ?? 02 9B 03 F1 18 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_141_1 {
	meta:
		name = "??_G?$basic_istream@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 58
		refs = "0010 ??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QAAXXZ 0024 ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B A3 F1 18 00 ?? ?? ?? ?? 05 9B 13 F0 01 0F 05 D0 60 21 04 9B A3 F1 18 00 ?? ?? ?? ?? 04 9B 18 3B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_28_142_1 {
	meta:
		name = "??_G?$basic_istream@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 58
		refs = "0010 ??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QAAXXZ 0024 ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B A3 F1 18 00 ?? ?? ?? ?? 05 9B 13 F0 01 0F 05 D0 60 21 04 9B A3 F1 18 00 ?? ?? ?? ?? 04 9B 18 3B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_53_141_1 {
	meta:
		name = "??_G?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 58
		refs = "0010 ??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0024 ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B A3 F1 18 00 ?? ?? ?? ?? 05 9B 13 F0 01 0F 05 D0 60 21 04 9B A3 F1 18 00 ?? ?? ?? ?? 04 9B 18 3B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_143_1 {
	meta:
		name = "??_G?$codecvt@GDU_Mbstatet@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$codecvt@GDU_Mbstatet@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 34 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_21_143_1 {
	meta:
		name = "??_G?$codecvt@_WDU_Mbstatet@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$codecvt@_WDU_Mbstatet@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 34 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_144_1 {
	meta:
		name = "??_G?$ctype@G@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$ctype@G@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 44 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_53_144_1 {
	meta:
		name = "??_G?$ctype@_W@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$ctype@_W@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 44 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_242_2 {
	meta:
		name = "??_G?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 44 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_527_2 {
	meta:
		name = "??_G?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 44 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_528_2 {
	meta:
		name = "??_G?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 44 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_163_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwfin@std@@YAXXZ 0028 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_163_1 {
	meta:
		name = "??__Efin@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Ffin@std@@YAXXZ 0028 ?fin@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_163_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwfin@std@@YAXXZ 0028 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_183_1 {
	meta:
		name = "?_Donarrow@?$ctype@G@std@@IBADGD@Z"
		size = 94
		refs = "0008 __security_push_cookie 0014 memset 0024 _Wcrtomb 0052 __security_pop_cookie"
		altNames = "?_Donarrow@?$ctype@_W@std@@IBAD_WD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 08 22 00 21 04 A8 ?? ?? ?? ?? 0C 9B 18 33 04 AA BD F8 34 10 06 A8 ?? ?? ?? ?? 01 90 01 9B 01 2B 04 D0 9D F9 38 30 8D F8 00 30 04 E0 06 AB 93 F9 00 30 8D F8 00 30 9D F9 00 30 8D F8 08 30 9D F9 08 00 09 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_184_1 {
	meta:
		name = "?_Dowiden@?$ctype@G@std@@IBAGD@Z"
		size = 88
		refs = "0010 memset 0024 _Mbrtowc"
		altNames = "?_Dowiden@?$ctype@_W@std@@IBA_WD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 08 22 00 21 06 A8 ?? ?? ?? ?? 0A 9B 18 33 00 93 06 AB 01 22 0B A9 0D F1 0A 00 ?? ?? ?? ?? 03 90 03 9B 00 2B 04 DA 4F F6 FF 73 AD F8 08 30 03 E0 BD F8 0A 30 AD F8 08 30 BD F8 08 30 AD F8 10 30 BD F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_185_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ"
		size = 498
		refs = "000a __security_push_cookie 0040 ?eof@?$char_traits@G@std@@SAGXZ 005a _guard_check_icall 007e ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0098 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00a6 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00ae ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00b8 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00f0 ?unshift@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z 0162 fwrite 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01ae ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 01e6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? A4 B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 D7 F8 A8 30 38 33 1B 68 00 2B 05 D0 D7 F8 A8 30 3E 33 1B 78 00 2B 03 D1 01 23 3B 72 D3 E0 D2 E0 08 23 7B 65 ?? ?? ?? ?? 38 82 3D 8A D7 F8 A8 30 1B 68 0C 33 D7 F8 A8 40 1B 68 3B 62 38 6A ?? ?? ?? ?? 3B 6A 20 46 29 46 98 47 78 82 7B 8A FB 82 ?? ?? ?? ?? B8 82 BB 8A 3B 83 17 F1 16 01 17 F1 18 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 00 23 3B 72 A8 E0 00 22 08 21 17 F1 78 00 ?? ?? ?? ?? B8 65 17 F1 5C 01 17 F1 78 00 ?? ?? ?? ?? 78 62 78 6A ?? ?? ?? ?? F8 62 17 F1 78 00 ?? ?? ?? ?? 38 63 17 F1 60 01 17 F1 78 00 ?? ?? ?? ?? B8 62 B8 6A ?? ?? ?? ?? 78 63 17 F1 40 03 00 93 FA 6A 3B 6B 13 44 7A 6B D7 F8 A8 10 40 31 D7 F8 A8 00 38 30 00 68 ?? ?? ?? ?? B8 63 BB 6B FB 61 FB 69 00 2B 06 D0 FB 69 01 2B 09 D0 FB 69 03 2B 53 D0 5B E0 D7 F8 A8 30 03 F1 3E 02 00 23 13 70 17 F1 64 01 17 F1 78 00 ?? ?? ?? ?? F8 63 F8 6B ?? ?? ?? ?? 78 64 3A 6C 7B 6C D3 1A FB 60 FB 68 00 2B 21 D9 17 F1 68 01 17 F1 78 00 ?? ?? ?? ?? B8 64 B8 6C ?? ?? ?? ?? F8 64 D7 F8 A8 30 4C 33 1B 68 FA 68 01 21 F8 6C ?? ?? ?? ?? 38 65 FA 68 3B 6D 9A 42 08 D0 00 23 7B 70 17 F1 78 00 ?? ?? ?? ?? 7B 78 3B 72 2F E0 D7 F8 A8 30 3E 33 1B 78 00 2B 08 D1 01 23 BB 70 17 F1 78 00 ?? ?? ?? ?? BB 78 3B 72 20 E0 FB 68 00 2B 05 D1 00 22 08 21 17 F1 78 00 ?? ?? ?? ?? 11 E0 01 23 FB 70 17 F1 78 00 ?? ?? ?? ?? FB 78 3B 72 0D E0 00 23 3B 71 17 F1 78 00 ?? ?? ?? ?? 3B 79 3B 72 04 E0 61 E7 17 F1 78 00 ?? ?? ?? ?? 38 7A 26 B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_185_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ"
		size = 498
		refs = "000a __security_push_cookie 0040 ?eof@?$char_traits@_W@std@@SAGXZ 005a _guard_check_icall 007e ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0098 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00a6 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00ae ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00b8 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00f0 ?unshift@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z 0162 fwrite 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01ae ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 01e6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? A4 B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 D7 F8 A8 30 38 33 1B 68 00 2B 05 D0 D7 F8 A8 30 3E 33 1B 78 00 2B 03 D1 01 23 3B 72 D3 E0 D2 E0 08 23 7B 65 ?? ?? ?? ?? 38 82 3D 8A D7 F8 A8 30 1B 68 0C 33 D7 F8 A8 40 1B 68 3B 62 38 6A ?? ?? ?? ?? 3B 6A 20 46 29 46 98 47 78 82 7B 8A FB 82 ?? ?? ?? ?? B8 82 BB 8A 3B 83 17 F1 16 01 17 F1 18 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 00 23 3B 72 A8 E0 00 22 08 21 17 F1 78 00 ?? ?? ?? ?? B8 65 17 F1 5C 01 17 F1 78 00 ?? ?? ?? ?? 78 62 78 6A ?? ?? ?? ?? F8 62 17 F1 78 00 ?? ?? ?? ?? 38 63 17 F1 60 01 17 F1 78 00 ?? ?? ?? ?? B8 62 B8 6A ?? ?? ?? ?? 78 63 17 F1 40 03 00 93 FA 6A 3B 6B 13 44 7A 6B D7 F8 A8 10 40 31 D7 F8 A8 00 38 30 00 68 ?? ?? ?? ?? B8 63 BB 6B FB 61 FB 69 00 2B 06 D0 FB 69 01 2B 09 D0 FB 69 03 2B 53 D0 5B E0 D7 F8 A8 30 03 F1 3E 02 00 23 13 70 17 F1 64 01 17 F1 78 00 ?? ?? ?? ?? F8 63 F8 6B ?? ?? ?? ?? 78 64 3A 6C 7B 6C D3 1A FB 60 FB 68 00 2B 21 D9 17 F1 68 01 17 F1 78 00 ?? ?? ?? ?? B8 64 B8 6C ?? ?? ?? ?? F8 64 D7 F8 A8 30 4C 33 1B 68 FA 68 01 21 F8 6C ?? ?? ?? ?? 38 65 FA 68 3B 6D 9A 42 08 D0 00 23 7B 70 17 F1 78 00 ?? ?? ?? ?? 7B 78 3B 72 2F E0 D7 F8 A8 30 3E 33 1B 78 00 2B 08 D1 01 23 BB 70 17 F1 78 00 ?? ?? ?? ?? BB 78 3B 72 20 E0 FB 68 00 2B 05 D1 00 22 08 21 17 F1 78 00 ?? ?? ?? ?? 11 E0 01 23 FB 70 17 F1 78 00 ?? ?? ?? ?? FB 78 3B 72 0D E0 00 23 3B 71 17 F1 78 00 ?? ?? ?? ?? 3B 79 3B 72 04 E0 61 E7 17 F1 78 00 ?? ?? ?? ?? 38 7A 26 B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_200_1 {
	meta:
		name = "?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$codecvt@GDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 34 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 02 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_200_1 {
	meta:
		name = "?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$codecvt@_WDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 34 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 02 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_203_1 {
	meta:
		name = "?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$ctype@G@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 44 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 02 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_203_1 {
	meta:
		name = "?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$ctype@_W@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 44 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 02 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_207_1 {
	meta:
		name = "?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ"
		size = 182
		refs = "000a __security_push_cookie 0012 _Getcvt 00aa __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 9D B0 06 A8 ?? ?? ?? ?? 06 AB 04 93 04 9B 12 AA 00 92 01 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9C 01 98 90 E8 0E 00 84 E8 0E 00 23 9A 12 AB 02 92 03 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9C 03 98 90 E8 0E 00 84 E8 0E 00 23 9B 05 93 05 98 1D B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_210_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ"
		size = 66
		altNames = "?_Gndec@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 2C 33 1B 68 1B 68 5A 1C 04 9B 2C 33 1B 68 1A 60 04 9B 1C 33 1B 68 1B 68 9B 1E 00 93 04 9B 1C 33 1A 68 00 9B 13 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_211_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ"
		size = 72
		altNames = "?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 2C 33 1B 68 1B 68 5A 1E 04 9B 2C 33 1B 68 1A 60 04 9B 1C 33 1B 68 1B 68 00 93 04 9B 1C 33 1B 68 1B 68 9A 1C 04 9B 1C 33 1B 68 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_215_1 {
	meta:
		name = "?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 164
		refs = "0032 ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXXZ 0052 _get_stream_buffer_pointers 006e ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAPAG0PAH001@Z 0086 memcpy 00a0 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 01 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 0C 9B 03 F1 48 02 07 9B DB B2 13 70 0C 9B 03 F1 3E 02 00 23 13 70 0C 98 ?? ?? ?? ?? 0D 9B 00 2B 1A D0 19 E0 00 23 06 93 00 23 05 93 00 23 04 93 04 AB 05 AA 06 A9 0D 98 ?? ?? ?? ?? 04 9B 08 93 08 9B 02 93 05 9B 01 93 06 9B 00 93 04 9B 05 9A 06 99 0C 98 ?? ?? ?? ?? 0C 9B 03 F1 4C 02 0D 9B 13 60 0C 9B 03 F1 40 00 07 49 08 22 ?? ?? ?? ?? 0C 9B 03 F1 38 02 00 23 13 60 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_215_1 {
	meta:
		name = "?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 164
		refs = "0032 ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXXZ 0052 _get_stream_buffer_pointers 006e ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPAPA_W0PAH001@Z 0086 memcpy 00a0 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 01 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 0C 9B 03 F1 48 02 07 9B DB B2 13 70 0C 9B 03 F1 3E 02 00 23 13 70 0C 98 ?? ?? ?? ?? 0D 9B 00 2B 1A D0 19 E0 00 23 06 93 00 23 05 93 00 23 04 93 04 AB 05 AA 06 A9 0D 98 ?? ?? ?? ?? 04 9B 08 93 08 9B 02 93 05 9B 01 93 06 9B 00 93 04 9B 05 9A 06 99 0C 98 ?? ?? ?? ?? 0C 9B 03 F1 4C 02 0D 9B 13 60 0C 9B 03 F1 40 00 07 49 08 22 ?? ?? ?? ?? 0C 9B 03 F1 38 02 00 23 13 60 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_218_1 {
	meta:
		name = "?_Init@?$codecvt@GDU_Mbstatet@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 114
		refs = "000a __security_push_cookie 0014 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0066 __security_pop_cookie"
		altNames = "?_Init@?$codecvt@_WDU_Mbstatet@@@std@@IAAXABV_Locinfo@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 8F B0 04 A9 15 98 ?? ?? ?? ?? 02 90 02 99 14 9B 03 F1 08 02 0B 46 00 92 01 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9C 01 98 90 E8 0E 00 84 E8 0E 00 0F B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_219_1 {
	meta:
		name = "?_Init@?$ctype@G@std@@IAAXABV_Locinfo@2@@Z"
		size = 140
		refs = "000a __security_push_cookie 0014 ?_Getctype@_Locinfo@std@@QBA?AU_Ctypevec@@XZ 002e ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0080 __security_pop_cookie"
		altNames = "?_Init@?$ctype@_W@std@@IAAXABV_Locinfo@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 93 B0 04 A9 19 98 ?? ?? ?? ?? 02 90 02 9C 18 9B 03 F1 08 05 94 E8 0F 00 85 E8 0F 00 08 A9 19 98 ?? ?? ?? ?? 03 90 03 99 18 9B 03 F1 18 02 0B 46 00 92 01 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9C 01 98 90 E8 0E 00 84 E8 0E 00 13 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_237_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ"
		size = 72
		altNames = "?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 30 33 1B 68 1B 68 5A 1E 04 9B 30 33 1B 68 1A 60 04 9B 20 33 1B 68 1B 68 00 93 04 9B 20 33 1B 68 1B 68 9A 1C 04 9B 20 33 1B 68 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_239_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ"
		size = 94
		refs = "000c ?eback@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 0032 ?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 0050 ?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAG00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 06 9B 03 F1 3C 02 00 9B 93 42 11 D0 06 98 ?? ?? ?? ?? 01 90 06 9B 03 F1 50 02 01 9B 13 60 06 98 ?? ?? ?? ?? 02 90 06 9B 03 F1 54 02 02 9B 13 60 06 9B 3E 33 06 9A 3C 32 06 99 3C 31 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_21_239_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
		size = 94
		refs = "000c ?eback@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 0032 ?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 0050 ?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPA_W00@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 06 9B 03 F1 3C 02 00 9B 93 42 11 D0 06 98 ?? ?? ?? ?? 01 90 06 9B 03 F1 50 02 01 9B 13 60 06 98 ?? ?? ?? ?? 02 90 06 9B 03 F1 54 02 02 9B 13 60 06 9B 3E 33 06 9A 3C 32 06 99 3C 31 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_283_1 {
	meta:
		name = "?do_in@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPAG3AAPAG@Z"
		size = 228
		refs = "005a _Mbrtowc 00a0 strlen"
		altNames = "?do_in@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPA_W3AAPA_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9A 10 9B 1A 60 11 9A 13 9B 1A 60 10 9B 1A 68 0F 9B 9A 42 02 D1 00 23 06 93 01 E0 01 23 06 93 06 9B 04 93 10 9B 1A 68 0F 9B 9A 42 4D D0 13 9B 1A 68 12 9B 9A 42 48 D0 0C 9B 08 33 00 93 0D 9B 0F 99 10 9A 12 68 8A 1A 10 99 09 68 13 98 00 68 ?? ?? ?? ?? 07 90 07 9B 02 93 02 9B 03 93 03 9B 13 F1 02 0F 07 D0 03 9B B3 F1 FF 3F 09 D0 03 9B 00 2B 09 D0 15 E0 0F 9A 10 9B 1A 60 04 9B 05 93 25 E0 02 23 05 93 22 E0 13 9B 1B 68 1B 88 00 2B 07 D1 10 9B 18 68 ?? ?? ?? ?? 08 90 08 9B 5B 1C 02 93 02 9B 13 F1 03 0F 01 D1 00 23 02 93 10 9B 1A 68 02 9B 1A 44 10 9B 1A 60 13 9B 1B 68 9A 1C 13 9B 1A 60 00 23 04 93 AC E7 04 9B 05 93 05 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_284_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MBAPBGPBG0PAF@Z"
		size = 42
		refs = "0014 _Getwctypes"
		altNames = "?do_is@?$ctype@_W@std@@MBAPB_WPB_W0PAF@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 07 9A 06 99 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_285_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MBA_NFG@Z"
		size = 74
		refs = "0014 _Getwctype"
		altNames = "?do_is@?$ctype@_W@std@@MBA_NF_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 08 01 BD F8 20 00 ?? ?? ?? ?? AD F8 00 00 BD F9 00 20 BD F9 1C 30 13 40 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_286_1 {
	meta:
		name = "?do_length@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1I@Z"
		size = 178
		refs = "0010 memcpy 003e _Mbrtowc 007a strlen"
		altNames = "?do_length@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0F 99 0A A8 08 22 ?? ?? ?? ?? 00 23 04 93 10 9B 03 93 04 9A 12 9B 9A 42 3E D2 03 9A 11 9B 9A 42 3A D0 0E 9B 08 33 00 93 0A AB 11 99 03 9A 8A 1A 03 99 02 A8 ?? ?? ?? ?? 08 90 08 9B 05 93 05 9B 06 93 06 9B 13 F1 02 0F 07 D0 06 9B B3 F1 FF 3F 06 D0 06 9B 00 2B 06 D0 10 E0 04 9B 07 93 1D E0 04 9B 07 93 1A E0 BD F8 08 30 00 2B 06 D1 03 98 ?? ?? ?? ?? 09 90 09 9B 5B 1C 05 93 05 9B 13 F1 03 0F 01 D1 00 23 05 93 03 9A 05 9B 13 44 03 93 04 9B 5B 1C 04 93 BC E7 04 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_287_1 {
	meta:
		name = "?do_max_length@?$codecvt@GDU_Mbstatet@@@std@@MBAHXZ"
		size = 26
		altNames = "?do_max_length@?$codecvt@_WDU_Mbstatet@@@std@@MBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_289_1 {
	meta:
		name = "?do_narrow@?$ctype@G@std@@MBADGD@Z"
		size = 50
		refs = "0014 ?_Donarrow@?$ctype@G@std@@IBADGD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 9D F9 18 20 BD F8 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 8D F8 04 30 9D F9 04 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_21_289_1 {
	meta:
		name = "?do_narrow@?$ctype@_W@std@@MBAD_WD@Z"
		size = 50
		refs = "0014 ?_Donarrow@?$ctype@_W@std@@IBAD_WD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 9D F9 18 20 BD F8 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 8D F8 04 30 9D F9 04 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_290_1 {
	meta:
		name = "?do_narrow@?$ctype@G@std@@MBAPBGPBG0DPAD@Z"
		size = 76
		refs = "002a ?_Donarrow@?$ctype@G@std@@IBADGD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 05 9B 9B 1C 05 93 08 9B 5B 1C 08 93 05 9A 06 9B 9A 42 0D D0 9D F9 1C 20 05 9B 19 88 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 20 08 9B 1A 70 E7 E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_21_290_1 {
	meta:
		name = "?do_narrow@?$ctype@_W@std@@MBAPB_WPB_W0DPAD@Z"
		size = 76
		refs = "002a ?_Donarrow@?$ctype@_W@std@@IBAD_WD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 05 9B 9B 1C 05 93 08 9B 5B 1C 08 93 05 9A 06 9B 9A 42 0D D0 9D F9 1C 20 05 9B 19 88 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 20 08 9B 1A 70 E7 E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_291_1 {
	meta:
		name = "?do_out@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBG1AAPBGPAD3AAPAD@Z"
		size = 274
		refs = "0008 __security_push_cookie 004a _Wcrtomb 0080 memcpy 0106 __security_pop_cookie"
		altNames = "?do_out@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PB_W1AAPB_WPAD3AAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8B B0 10 9A 12 9B 1A 60 13 9A 15 9B 1A 60 12 9B 1A 68 11 9B 9A 42 62 D0 15 9B 1A 68 14 9B 9A 42 5D D0 14 9A 15 9B 1B 68 D3 1A 05 2B 1F DB 0E 9B 08 33 0F 9A 12 99 09 68 09 88 15 98 00 68 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 03 DA 02 23 01 93 50 E0 0A E0 12 9B 1B 68 9A 1C 12 9B 1A 60 15 9B 1A 68 00 9B 1A 44 15 9B 1A 60 36 E0 0F 99 06 A8 08 22 ?? ?? ?? ?? 0E 9B 08 33 0F 9A 12 99 09 68 09 88 08 A8 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 03 DA 02 23 01 93 2C E0 1E E0 14 9A 15 9B 1B 68 D2 1A 00 9B 9A 42 06 DA 0F 98 06 A9 08 22 ?? ?? ?? ?? 12 E0 10 E0 00 9A 08 A9 15 9B 18 68 ?? ?? ?? ?? 12 9B 1B 68 9A 1C 12 9B 1A 60 15 9B 1A 68 00 9B 1A 44 15 9B 1A 60 97 E7 12 9B 1A 68 11 9B 9A 42 02 D1 00 23 02 93 01 E0 01 23 02 93 02 9B 01 93 01 98 0B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_292_1 {
	meta:
		name = "?do_scan_is@?$ctype@G@std@@MBAPBGFPBG0@Z"
		size = 70
		refs = "0024 ?is@?$ctype@G@std@@QBA_NFG@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 06 9B 9B 1C 06 93 06 9A 07 9B 9A 42 0D D0 06 9B 1A 88 BD F9 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 00 D1 EA E7 06 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_21_292_1 {
	meta:
		name = "?do_scan_is@?$ctype@_W@std@@MBAPB_WFPB_W0@Z"
		size = 70
		refs = "0024 ?is@?$ctype@_W@std@@QBA_NF_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 06 9B 9B 1C 06 93 06 9A 07 9B 9A 42 0D D0 06 9B 1A 88 BD F9 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 00 D1 EA E7 06 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_293_1 {
	meta:
		name = "?do_scan_not@?$ctype@G@std@@MBAPBGFPBG0@Z"
		size = 70
		refs = "0024 ?is@?$ctype@G@std@@QBA_NFG@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 06 9B 9B 1C 06 93 06 9A 07 9B 9A 42 0D D0 06 9B 1A 88 BD F9 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 00 D0 EA E7 06 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_21_293_1 {
	meta:
		name = "?do_scan_not@?$ctype@_W@std@@MBAPB_WFPB_W0@Z"
		size = 70
		refs = "0024 ?is@?$ctype@_W@std@@QBA_NF_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 06 9B 9B 1C 06 93 06 9A 07 9B 9A 42 0D D0 06 9B 1A 88 BD F9 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 00 D0 EA E7 06 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_294_1 {
	meta:
		name = "?do_tolower@?$ctype@G@std@@MBAGG@Z"
		size = 50
		refs = "0014 _Towlower"
		altNames = "?do_tolower@?$ctype@_W@std@@MBA_W_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 01 BD F8 14 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_23_337_2 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MBAGG@Z"
		size = 50
		refs = "0014 _Towupper"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 01 BD F8 14 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_71_338_2 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MBA_W_W@Z"
		size = 50
		refs = "0014 _Towupper"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 01 BD F8 14 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_295_1 {
	meta:
		name = "?do_tolower@?$ctype@G@std@@MBAPBGPAGPBG@Z"
		size = 70
		refs = "0024 _Towlower"
		altNames = "?do_tolower@?$ctype@_W@std@@MBAPB_WPA_WPB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 0D D0 04 9B 03 F1 08 01 05 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 05 9B 1A 80 EA E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_297_1 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MBAPBGPAGPBG@Z"
		size = 70
		refs = "0024 _Towupper"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 0D D0 04 9B 03 F1 08 01 05 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 05 9B 1A 80 EA E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_118_337_2 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MBAPB_WPA_WPB_W@Z"
		size = 70
		refs = "0024 _Towupper"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 02 E0 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 0D D0 04 9B 03 F1 08 01 05 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 05 9B 1A 80 EA E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_298_1 {
	meta:
		name = "?do_unshift@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PAD1AAPAD@Z"
		size = 152
		refs = "0008 __security_push_cookie 001e memcpy 002c _Wcrtomb 008c __security_pop_cookie"
		altNames = "?do_unshift@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PAD1AAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 0E 9A 10 9B 1A 60 00 23 01 93 0D 99 04 A8 08 22 ?? ?? ?? ?? 0C 9B 08 33 0D 9A 00 21 06 A8 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 DC 02 23 01 93 20 E0 00 9B 5B 1E 00 93 0F 9A 10 9B 1B 68 D2 1A 00 9B 9A 42 07 DA 0D 98 04 A9 08 22 ?? ?? ?? ?? 01 23 01 93 0E E0 00 9B 00 2B 0B DD 00 9A 06 A9 10 9B 18 68 ?? ?? ?? ?? 10 9B 1A 68 00 9B 1A 44 10 9B 1A 60 01 9B 03 93 03 98 09 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_299_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MBAGD@Z"
		size = 46
		refs = "0010 ?_Dowiden@?$ctype@G@std@@IBAGD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 14 10 04 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_21_300_1 {
	meta:
		name = "?do_widen@?$ctype@_W@std@@MBA_WD@Z"
		size = 46
		refs = "0010 ?_Dowiden@?$ctype@_W@std@@IBA_WD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 14 10 04 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_300_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MBAPBDPBD0PAG@Z"
		size = 74
		refs = "0028 ?_Dowiden@?$ctype@G@std@@IBAGD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 05 9B 5B 1C 05 93 07 9B 9B 1C 07 93 05 9A 06 9B 9A 42 0C D0 05 9B 93 F9 00 10 04 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 07 9B 1A 80 E8 E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_21_299_1 {
	meta:
		name = "?do_widen@?$ctype@_W@std@@MBAPBDPBD0PA_W@Z"
		size = 74
		refs = "0028 ?_Dowiden@?$ctype@_W@std@@IBA_WD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 05 9B 5B 1C 05 93 07 9B 9B 1C 07 93 05 9A 06 9B 9A 42 0C D0 05 9B 93 F9 00 10 04 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 07 9B 1A 80 E8 E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_302_1 {
	meta:
		name = "?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ"
		size = 48
		altNames = "?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1C 33 19 68 04 9B 2C 33 1B 68 1A 68 02 23 02 FB 03 F2 0B 68 13 44 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_304_1 {
	meta:
		name = "?eof@?$char_traits@G@std@@SAGXZ"
		size = 26
		altNames = "?eof@?$char_traits@_W@std@@SAGXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 4F F6 FF 73 AD F8 00 30 BD F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_20_305_1 {
	meta:
		name = "?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ"
		size = 48
		altNames = "?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 20 33 19 68 04 9B 30 33 1B 68 1A 68 02 23 02 FB 03 F2 0B 68 13 44 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_306_1 {
	meta:
		name = "?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
		size = 54
		altNames = "?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1A 88 05 9B 1B 88 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_311_1 {
	meta:
		name = "?gbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXH@Z"
		size = 62
		altNames = "?gbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 2C 33 1B 68 1A 68 03 9B D2 1A 02 9B 2C 33 1B 68 1A 60 02 9B 1C 33 19 68 03 9A 02 23 02 FB 03 F2 0B 68 1A 44 02 9B 1C 33 1B 68 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_317_1 {
	meta:
		name = "?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IAAXPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
		size = 104
		refs = "000c ?_Init@ios_base@std@@IAAXXZ 0028 ?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAGD@Z 004c ?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAXH_N@Z 005a ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 03 F1 38 02 05 9B 13 60 04 9B 03 F1 3C 02 00 23 13 60 20 21 04 98 ?? ?? ?? ?? AD F8 00 00 04 9B 03 F1 40 02 BD F8 00 30 13 80 04 9B 38 33 1B 68 00 2B 04 D1 00 22 04 21 04 98 ?? ?? ?? ?? 9D F8 18 30 00 2B 02 D0 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_21_317_1 {
	meta:
		name = "?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAAXPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
		size = 104
		refs = "000c ?_Init@ios_base@std@@IAAXXZ 0028 ?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBA_WD@Z 004c ?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAXH_N@Z 005a ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 03 F1 38 02 05 9B 13 60 04 9B 03 F1 3C 02 00 23 13 60 20 21 04 98 ?? ?? ?? ?? AD F8 00 00 04 9B 03 F1 40 02 BD F8 00 30 13 80 04 9B 38 33 1B 68 00 2B 04 D1 00 22 04 21 04 98 ?? ?? ?? ?? 9D F8 18 30 00 2B 02 D0 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_319_1 {
	meta:
		name = "?is@?$ctype@G@std@@QBA_NFG@Z"
		size = 74
		refs = "0022 _guard_check_icall"
		altNames = "?is@?$ctype@_W@std@@QBA_NF_W@Z"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 83 B0 BD F8 28 60 BD F9 24 50 08 9B 1B 68 10 33 08 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 32 46 98 47 8D F8 00 00 9D F8 00 30 8D F8 08 30 9D F8 08 00 03 B0 BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_20_332_1 {
	meta:
		name = "?not_eof@?$char_traits@G@std@@SAGABG@Z"
		size = 90
		refs = "000a ?eof@?$char_traits@G@std@@SAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? AD F8 00 00 06 9B 1A 88 BD F8 00 30 9A 42 03 D0 06 9B 1B 88 02 93 0E E0 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B 02 93 02 9B 9B B2 AD F8 0C 30 BD F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_21_332_1 {
	meta:
		name = "?not_eof@?$char_traits@_W@std@@SAGABG@Z"
		size = 90
		refs = "000a ?eof@?$char_traits@_W@std@@SAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? AD F8 00 00 06 9B 1A 88 BD F8 00 30 9A 42 03 D0 06 9B 1B 88 02 93 0E E0 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B 02 93 02 9B 9B B2 AD F8 0C 30 BD F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_334_1 {
	meta:
		name = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGG@Z"
		size = 750
		refs = "000a __security_push_cookie 001c ?eof@?$char_traits@G@std@@SAGXZ 002e ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 003e ?not_eof@?$char_traits@G@std@@SAGABG@Z 0050 ?pptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 006a ?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 007c ?to_char_type@?$char_traits@G@std@@SAGABG@Z 0086 ?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ 00b8 ?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ 00dc ??$_Fputc@G@std@@YA_NGPAU_iobuf@@@Z 011e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 012e ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0136 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0140 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0188 ?out@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBG1AAPBGPAD3AAPAD@Z 01f0 fwrite 020c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0262 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 02e2 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B0 B0 6F 46 84 B0 6F F0 01 03 C7 E9 28 33 ?? ?? ?? ?? B8 82 BB 8A FB 82 17 F1 D4 01 17 F1 16 00 ?? ?? ?? ?? 38 72 3B 7A 00 2B 08 D0 17 F1 D4 00 ?? ?? ?? ?? 38 83 3B 8B BB 80 49 E1 33 E0 D7 F8 D0 00 ?? ?? ?? ?? F8 63 FB 6B 00 2B 1F D0 D7 F8 D0 00 ?? ?? ?? ?? 38 64 D7 F8 D0 00 ?? ?? ?? ?? 78 64 3A 6C 7B 6C 9A 42 11 D2 17 F1 D4 00 ?? ?? ?? ?? 78 83 D7 F8 D0 00 ?? ?? ?? ?? B8 64 7A 8B BB 6C 1A 80 B7 F8 D4 30 BB 80 21 E1 0B E0 D7 F8 D0 30 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? B8 83 BB 8B BB 80 14 E1 D7 F8 D0 00 ?? ?? ?? ?? D7 F8 D0 30 38 33 1B 68 00 2B 1C D1 17 F1 D4 00 ?? ?? ?? ?? F8 83 D7 F8 D0 30 4C 33 19 68 F8 8B ?? ?? ?? ?? 78 72 7B 7A 00 2B 03 D0 B7 F8 D4 30 BB 81 04 E0 ?? ?? ?? ?? 38 84 3B 8C BB 81 BB 89 BB 80 EE E0 ED E0 08 23 C7 F8 84 30 17 F1 D4 00 ?? ?? ?? ?? 78 84 7B 8C 3B 80 00 22 08 21 17 F1 A8 00 ?? ?? ?? ?? C7 F8 88 00 17 F1 8C 01 17 F1 A8 00 ?? ?? ?? ?? F8 64 F8 6C ?? ?? ?? ?? 78 65 17 F1 A8 00 ?? ?? ?? ?? B8 65 17 F1 90 01 17 F1 A8 00 ?? ?? ?? ?? 38 65 38 6D ?? ?? ?? ?? F8 65 17 F1 68 03 03 93 7A 6D BB 6D 13 44 02 93 FB 6D 01 93 17 F1 7C 03 00 93 3B 46 9B 1C 3A 46 D7 F8 D0 10 40 31 D7 F8 D0 00 38 30 00 68 ?? ?? ?? ?? 38 66 3B 6E BB 63 BB 6B 00 2B C0 F2 91 80 BB 6B 01 2B 03 DD BB 6B 03 2B 6D D0 89 E0 17 F1 94 01 17 F1 A8 00 ?? ?? ?? ?? 78 66 78 6E ?? ?? ?? ?? F8 66 BA 6E FB 6E D3 1A 3B 61 3B 69 00 2B 24 D9 17 F1 98 01 17 F1 A8 00 ?? ?? ?? ?? 38 67 38 6F ?? ?? ?? ?? 78 67 D7 F8 D0 30 4C 33 1B 68 3A 69 01 21 78 6F ?? ?? ?? ?? B8 67 3A 69 BB 6F 9A 42 0B D0 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F1 A8 00 ?? ?? ?? ?? FB 8C BB 80 63 E0 D7 F8 D0 30 03 F1 3E 02 01 23 13 70 FA 6F 3B 46 9A 42 09 D0 B7 F8 D4 30 3B 85 17 F1 A8 00 ?? ?? ?? ?? 3B 8D BB 80 4F E0 3B 69 00 2B 00 D9 1C E0 17 F1 A8 00 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 20 2B 06 D2 00 22 08 21 17 F1 A8 00 ?? ?? ?? ?? 0B E0 ?? ?? ?? ?? 78 85 7B 8D BB 85 17 F1 A8 00 ?? ?? ?? ?? BB 8D BB 80 2E E0 28 E0 D7 F8 D0 30 4C 33 19 68 38 88 ?? ?? ?? ?? B8 72 BB 7A 00 2B 03 D0 B7 F8 D4 30 FB 81 04 E0 ?? ?? ?? ?? F8 85 FB 8D FB 81 FB 89 3B 86 17 F1 A8 00 ?? ?? ?? ?? 3B 8E BB 80 10 E0 ?? ?? ?? ?? 78 86 7B 8E BB 86 17 F1 A8 00 ?? ?? ?? ?? BB 8E BB 80 04 E0 27 E7 17 F1 A8 00 ?? ?? ?? ?? B8 88 34 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_334_1 {
	meta:
		name = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z"
		size = 750
		refs = "000a __security_push_cookie 001c ?eof@?$char_traits@_W@std@@SAGXZ 002e ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 003e ?not_eof@?$char_traits@_W@std@@SAGABG@Z 0050 ?pptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 006a ?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 007c ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z 0086 ?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ 00b8 ?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ 00dc ??$_Fputc@_W@std@@YA_N_WPAU_iobuf@@@Z 011e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 012e ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0136 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0140 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0188 ?out@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PB_W1AAPB_WPAD3AAPAD@Z 01f0 fwrite 020c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0262 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 02e2 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B0 B0 6F 46 84 B0 6F F0 01 03 C7 E9 28 33 ?? ?? ?? ?? B8 82 BB 8A FB 82 17 F1 D4 01 17 F1 16 00 ?? ?? ?? ?? 38 72 3B 7A 00 2B 08 D0 17 F1 D4 00 ?? ?? ?? ?? 38 83 3B 8B BB 80 49 E1 33 E0 D7 F8 D0 00 ?? ?? ?? ?? F8 63 FB 6B 00 2B 1F D0 D7 F8 D0 00 ?? ?? ?? ?? 38 64 D7 F8 D0 00 ?? ?? ?? ?? 78 64 3A 6C 7B 6C 9A 42 11 D2 17 F1 D4 00 ?? ?? ?? ?? 78 83 D7 F8 D0 00 ?? ?? ?? ?? B8 64 7A 8B BB 6C 1A 80 B7 F8 D4 30 BB 80 21 E1 0B E0 D7 F8 D0 30 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? B8 83 BB 8B BB 80 14 E1 D7 F8 D0 00 ?? ?? ?? ?? D7 F8 D0 30 38 33 1B 68 00 2B 1C D1 17 F1 D4 00 ?? ?? ?? ?? F8 83 D7 F8 D0 30 4C 33 19 68 F8 8B ?? ?? ?? ?? 78 72 7B 7A 00 2B 03 D0 B7 F8 D4 30 BB 81 04 E0 ?? ?? ?? ?? 38 84 3B 8C BB 81 BB 89 BB 80 EE E0 ED E0 08 23 C7 F8 84 30 17 F1 D4 00 ?? ?? ?? ?? 78 84 7B 8C 3B 80 00 22 08 21 17 F1 A8 00 ?? ?? ?? ?? C7 F8 88 00 17 F1 8C 01 17 F1 A8 00 ?? ?? ?? ?? F8 64 F8 6C ?? ?? ?? ?? 78 65 17 F1 A8 00 ?? ?? ?? ?? B8 65 17 F1 90 01 17 F1 A8 00 ?? ?? ?? ?? 38 65 38 6D ?? ?? ?? ?? F8 65 17 F1 68 03 03 93 7A 6D BB 6D 13 44 02 93 FB 6D 01 93 17 F1 7C 03 00 93 3B 46 9B 1C 3A 46 D7 F8 D0 10 40 31 D7 F8 D0 00 38 30 00 68 ?? ?? ?? ?? 38 66 3B 6E BB 63 BB 6B 00 2B C0 F2 91 80 BB 6B 01 2B 03 DD BB 6B 03 2B 6D D0 89 E0 17 F1 94 01 17 F1 A8 00 ?? ?? ?? ?? 78 66 78 6E ?? ?? ?? ?? F8 66 BA 6E FB 6E D3 1A 3B 61 3B 69 00 2B 24 D9 17 F1 98 01 17 F1 A8 00 ?? ?? ?? ?? 38 67 38 6F ?? ?? ?? ?? 78 67 D7 F8 D0 30 4C 33 1B 68 3A 69 01 21 78 6F ?? ?? ?? ?? B8 67 3A 69 BB 6F 9A 42 0B D0 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F1 A8 00 ?? ?? ?? ?? FB 8C BB 80 63 E0 D7 F8 D0 30 03 F1 3E 02 01 23 13 70 FA 6F 3B 46 9A 42 09 D0 B7 F8 D4 30 3B 85 17 F1 A8 00 ?? ?? ?? ?? 3B 8D BB 80 4F E0 3B 69 00 2B 00 D9 1C E0 17 F1 A8 00 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 20 2B 06 D2 00 22 08 21 17 F1 A8 00 ?? ?? ?? ?? 0B E0 ?? ?? ?? ?? 78 85 7B 8D BB 85 17 F1 A8 00 ?? ?? ?? ?? BB 8D BB 80 2E E0 28 E0 D7 F8 D0 30 4C 33 19 68 38 88 ?? ?? ?? ?? B8 72 BB 7A 00 2B 03 D0 B7 F8 D4 30 FB 81 04 E0 ?? ?? ?? ?? F8 85 FB 8D FB 81 FB 89 3B 86 17 F1 A8 00 ?? ?? ?? ?? 3B 8E BB 80 10 E0 ?? ?? ?? ?? 78 86 7B 8E BB 86 17 F1 A8 00 ?? ?? ?? ?? BB 8E BB 80 04 E0 27 E7 17 F1 A8 00 ?? ?? ?? ?? B8 88 34 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_336_1 {
	meta:
		name = "?overflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAAGG@Z"
		size = 40
		refs = "000a ?eof@?$char_traits@G@std@@SAGXZ"
		altNames = "?pbackfail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAAGG@Z ?underflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_114_336_1 {
	meta:
		name = "?overflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z"
		size = 40
		refs = "000a ?eof@?$char_traits@_W@std@@SAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_37_406_3 {
	meta:
		name = "?pbackfail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z"
		size = 40
		refs = "000a ?eof@?$char_traits@_W@std@@SAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_63_441_3 {
	meta:
		name = "?underflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
		size = 40
		refs = "000a ?eof@?$char_traits@_W@std@@SAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_337_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGG@Z"
		size = 390
		refs = "000c ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 001a ?eback@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 0030 ?eof@?$char_traits@G@std@@SAGXZ 0046 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0066 ?to_int_type@?$char_traits@G@std@@SAGABG@Z 008e ?_Gndec@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ 0094 ?not_eof@?$char_traits@G@std@@SAGABG@Z 00f6 ?to_char_type@?$char_traits@G@std@@SAGABG@Z 0110 ??$_Ungetc@G@std@@YA_NABGPAU_iobuf@@@Z 0158 ?_Set_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 47 D0 10 98 ?? ?? ?? ?? 09 90 10 98 ?? ?? ?? ?? 0A 90 09 9A 0A 9B 9A 42 3B D2 ?? ?? ?? ?? AD F8 08 00 BD F8 08 30 AD F8 0A 30 11 A9 0D F1 0A 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 1A D1 10 98 ?? ?? ?? ?? 0B 90 6F F0 01 02 0B 9B 98 18 ?? ?? ?? ?? AD F8 0C 00 BD F8 0C 30 AD F8 0E 30 11 A9 0D F1 0E 00 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0D D0 10 98 ?? ?? ?? ?? 11 A8 ?? ?? ?? ?? AD F8 10 00 BD F8 10 30 AD F8 04 30 68 E0 67 E0 10 9B 4C 33 1B 68 00 2B 11 D0 ?? ?? ?? ?? AD F8 12 00 BD F8 12 30 AD F8 14 30 11 A9 05 A8 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 09 D0 ?? ?? ?? ?? AD F8 16 00 BD F8 16 30 AD F8 04 30 47 E0 46 E0 10 9B 38 33 1B 68 00 2B 1B D1 11 A8 ?? ?? ?? ?? AD F8 18 00 BD F8 18 30 AD F8 1A 30 10 9B 4C 33 19 68 0D F1 1A 00 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 05 D0 BD F8 44 30 AD F8 04 30 26 E0 25 E0 10 98 ?? ?? ?? ?? 0C 90 10 9B 03 F1 3C 02 0C 9B 93 42 13 D0 11 A8 ?? ?? ?? ?? AD F8 1C 00 10 9B 03 F1 3C 02 BD F8 1C 30 13 80 10 98 ?? ?? ?? ?? BD F8 44 30 AD F8 04 30 08 E0 07 E0 ?? ?? ?? ?? AD F8 1E 00 BD F8 1E 30 AD F8 04 30 BD F8 04 00 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_21_337_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z"
		size = 390
		refs = "000c ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 001a ?eback@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 0030 ?eof@?$char_traits@_W@std@@SAGXZ 0046 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0066 ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 008e ?_Gndec@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ 0094 ?not_eof@?$char_traits@_W@std@@SAGABG@Z 00f6 ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z 0110 ??$_Ungetc@_W@std@@YA_NAB_WPAU_iobuf@@@Z 0158 ?_Set_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 47 D0 10 98 ?? ?? ?? ?? 09 90 10 98 ?? ?? ?? ?? 0A 90 09 9A 0A 9B 9A 42 3B D2 ?? ?? ?? ?? AD F8 08 00 BD F8 08 30 AD F8 0A 30 11 A9 0D F1 0A 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 1A D1 10 98 ?? ?? ?? ?? 0B 90 6F F0 01 02 0B 9B 98 18 ?? ?? ?? ?? AD F8 0C 00 BD F8 0C 30 AD F8 0E 30 11 A9 0D F1 0E 00 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0D D0 10 98 ?? ?? ?? ?? 11 A8 ?? ?? ?? ?? AD F8 10 00 BD F8 10 30 AD F8 04 30 68 E0 67 E0 10 9B 4C 33 1B 68 00 2B 11 D0 ?? ?? ?? ?? AD F8 12 00 BD F8 12 30 AD F8 14 30 11 A9 05 A8 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 09 D0 ?? ?? ?? ?? AD F8 16 00 BD F8 16 30 AD F8 04 30 47 E0 46 E0 10 9B 38 33 1B 68 00 2B 1B D1 11 A8 ?? ?? ?? ?? AD F8 18 00 BD F8 18 30 AD F8 1A 30 10 9B 4C 33 19 68 0D F1 1A 00 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 05 D0 BD F8 44 30 AD F8 04 30 26 E0 25 E0 10 98 ?? ?? ?? ?? 0C 90 10 9B 03 F1 3C 02 0C 9B 93 42 13 D0 11 A8 ?? ?? ?? ?? AD F8 1C 00 10 9B 03 F1 3C 02 BD F8 1C 30 13 80 10 98 ?? ?? ?? ?? BD F8 44 30 AD F8 04 30 08 E0 07 E0 ?? ?? ?? ?? AD F8 1E 00 BD F8 1E 30 AD F8 04 30 BD F8 04 00 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_339_1 {
	meta:
		name = "?pbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXH@Z"
		size = 62
		altNames = "?pbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 30 33 1B 68 1A 68 03 9B D2 1A 02 9B 30 33 1B 68 1A 60 02 9B 20 33 19 68 03 9A 02 23 02 FB 03 F2 0B 68 1A 44 02 9B 20 33 1B 68 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_343_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 232
		refs = "000c ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 004a ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ 0080 _fseeki64 0094 fgetpos 00aa ??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z 00b6 ?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ 00d0 ??0?$fpos@U_Mbstatet@@@std@@QAA@U_Mbstatet@@_J@Z 00e4 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 04 90 0E 9B 03 F1 3C 02 04 9B 93 42 0F D1 12 9B 01 2B 0C D1 0E 9B 38 33 1B 68 00 2B 07 D1 10 9A 11 99 00 23 92 1E 61 EB 03 03 10 92 11 93 0E 9B 4C 33 1B 68 00 2B 2B D0 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 22 D0 10 9B 08 93 11 9B 09 93 09 9A 08 9B 13 43 00 2B 02 D1 12 9B 01 2B 0C D0 12 9B 00 93 10 9A 11 9B 0E 99 4C 31 08 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 09 D1 0A A9 0E 9B 4C 33 18 68 ?? ?? ?? ?? 06 90 06 9B 00 2B 09 D0 10 4B 1A 68 0F 4B 5B 68 0F 98 ?? ?? ?? ?? 0F 9B 03 93 11 E0 0E 98 ?? ?? ?? ?? 0A 9B 00 93 0B 9B 01 93 0E 9B 40 33 07 93 07 9B 19 68 5A 68 0F 98 ?? ?? ?? ?? 0F 9B 03 93 03 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_343_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 232
		refs = "000c ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 004a ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ 0080 _fseeki64 0094 fgetpos 00aa ??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z 00b6 ?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ 00d0 ??0?$fpos@U_Mbstatet@@@std@@QAA@U_Mbstatet@@_J@Z 00e4 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 04 90 0E 9B 03 F1 3C 02 04 9B 93 42 0F D1 12 9B 01 2B 0C D1 0E 9B 38 33 1B 68 00 2B 07 D1 10 9A 11 99 00 23 92 1E 61 EB 03 03 10 92 11 93 0E 9B 4C 33 1B 68 00 2B 2B D0 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 22 D0 10 9B 08 93 11 9B 09 93 09 9A 08 9B 13 43 00 2B 02 D1 12 9B 01 2B 0C D0 12 9B 00 93 10 9A 11 9B 0E 99 4C 31 08 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 09 D1 0A A9 0E 9B 4C 33 18 68 ?? ?? ?? ?? 06 90 06 9B 00 2B 09 D0 10 4B 1A 68 0F 4B 5B 68 0F 98 ?? ?? ?? ?? 0F 9B 03 93 11 E0 0E 98 ?? ?? ?? ?? 0A 9B 00 93 0B 9B 01 93 0E 9B 40 33 07 93 07 9B 19 68 5A 68 0F 98 ?? ?? ?? ?? 0F 9B 03 93 03 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_350_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@PAG_J@Z"
		size = 122
		refs = "0048 setvbuf 0066 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 4C 33 1B 68 00 2B 1F D0 09 9B 00 2B 0B D1 0A 9B 04 93 0B 9B 05 93 05 9A 04 9B 13 43 00 2B 02 D1 04 23 00 93 01 E0 00 23 00 93 0A 9A 02 23 02 FB 03 F3 00 9A 09 99 08 98 4C 30 00 68 ?? ?? ?? ?? 02 90 02 9B 00 2B 03 D0 00 23 01 93 09 E0 08 E0 01 22 08 9B 4C 33 19 68 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_21_350_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@PA_W_J@Z"
		size = 122
		refs = "0048 setvbuf 0066 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 4C 33 1B 68 00 2B 1F D0 09 9B 00 2B 0B D1 0A 9B 04 93 0B 9B 05 93 05 9A 04 9B 13 43 00 2B 02 D1 04 23 00 93 01 E0 00 23 00 93 0A 9A 02 23 02 FB 03 F3 00 9A 09 99 08 98 4C 30 00 68 ?? ?? ?? ?? 02 90 02 9B 00 2B 03 D0 00 23 01 93 09 E0 08 E0 01 22 08 9B 4C 33 19 68 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_352_1 {
	meta:
		name = "?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAG00@Z"
		size = 52
		altNames = "?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPA_W00@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9B 0C 33 1A 68 03 9B 13 60 02 9B 1C 33 1A 68 04 9B 13 60 05 9A 04 9B D3 1A 5A 10 02 9B 2C 33 1B 68 1A 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_353_1 {
	meta:
		name = "?setp@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAG0@Z"
		size = 52
		altNames = "?setp@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPA_W0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9B 10 33 1A 68 03 9B 13 60 02 9B 20 33 1A 68 03 9B 13 60 04 9A 03 9B D3 1A 5A 10 02 9B 30 33 1B 68 1A 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_358_1 {
	meta:
		name = "?sync@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAHXZ"
		size = 156
		refs = "0016 ?eof@?$char_traits@G@std@@SAGXZ 0030 _guard_check_icall 005e ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0074 fflush"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 88 B0 0C 9B 4C 33 1B 68 00 2B 38 D0 ?? ?? ?? ?? AD F8 02 00 BD F8 02 50 0C 9B 1B 68 0C 33 0C 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 29 46 98 47 AD F8 04 00 BD F8 04 30 AD F8 08 30 ?? ?? ?? ?? AD F8 06 00 BD F8 06 30 AD F8 0A 30 02 A9 0D F1 0A 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0C D1 0C 9B 4C 33 18 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 03 DA 6F F0 00 03 04 93 01 E0 00 23 04 93 04 9B 06 93 06 98 08 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_358_1 {
	meta:
		name = "?sync@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAHXZ"
		size = 156
		refs = "0016 ?eof@?$char_traits@_W@std@@SAGXZ 0030 _guard_check_icall 005e ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0074 fflush"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 88 B0 0C 9B 4C 33 1B 68 00 2B 38 D0 ?? ?? ?? ?? AD F8 02 00 BD F8 02 50 0C 9B 1B 68 0C 33 0C 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 29 46 98 47 AD F8 04 00 BD F8 04 30 AD F8 08 30 ?? ?? ?? ?? AD F8 06 00 BD F8 06 30 AD F8 0A 30 02 A9 0D F1 0A 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0C D1 0C 9B 4C 33 18 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 03 DA 6F F0 00 03 04 93 01 E0 00 23 04 93 04 9B 06 93 06 98 08 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_361_1 {
	meta:
		name = "?to_char_type@?$char_traits@G@std@@SAGABG@Z"
		size = 32
		altNames = "?to_char_type@?$char_traits@_W@std@@SA_WABG@Z ?to_int_type@?$char_traits@G@std@@SAGABG@Z ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_363_1 {
	meta:
		name = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
		size = 704
		refs = "000a __security_push_cookie 0020 ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 003a ?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 004c ?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ 0054 ?to_int_type@?$char_traits@G@std@@SAGABG@Z 006e ?eof@?$char_traits@G@std@@SAGXZ 007e ?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ 009e ??$_Fgetc@G@std@@YA_NAAGPAU_iobuf@@@Z 00d0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00e0 fgetc 0100 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0114 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0120 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0128 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0132 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 017a ?in@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAG3AAPAG@Z 01f2 ungetc 0236 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 0270 memcpy_s 02b4 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B0 B0 6F 46 84 B0 6F F0 01 03 C7 E9 28 33 D7 F8 D0 00 ?? ?? ?? ?? 78 63 7B 6B 00 2B 1A D0 D7 F8 D0 00 ?? ?? ?? ?? B8 63 D7 F8 D0 00 ?? ?? ?? ?? F8 63 BA 6B FB 6B 9A 42 0C D2 D7 F8 D0 00 ?? ?? ?? ?? 38 64 38 6C ?? ?? ?? ?? 38 82 3B 8A BB 80 27 E1 0B E0 D7 F8 D0 30 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 78 82 7B 8A BB 80 1A E1 D7 F8 D0 00 ?? ?? ?? ?? D7 F8 D0 30 38 33 1B 68 00 2B 1E D1 00 23 3B 81 D7 F8 D0 30 4C 33 19 68 17 F1 08 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 07 D0 17 F1 08 00 ?? ?? ?? ?? B8 82 BB 8A 7B 81 04 E0 ?? ?? ?? ?? F8 82 FB 8A 7B 81 7B 89 BB 80 F2 E0 F1 E0 17 F1 A8 00 ?? ?? ?? ?? C7 F8 84 00 D7 F8 D0 30 4C 33 18 68 ?? ?? ?? ?? 78 64 7B 6C 3B 63 3B 6B B3 F1 FF 3F 0B D1 ?? ?? ?? ?? 38 83 3B 8B 7B 83 17 F1 A8 00 ?? ?? ?? ?? 7B 8B BB 80 D2 E0 3B 6B 5A B2 01 21 17 F1 A8 00 ?? ?? ?? ?? 17 F1 88 01 17 F1 A8 00 ?? ?? ?? ?? B8 64 B8 6C ?? ?? ?? ?? 38 65 17 F1 A8 00 ?? ?? ?? ?? 78 65 17 F1 8C 01 17 F1 A8 00 ?? ?? ?? ?? F8 64 F8 6C ?? ?? ?? ?? B8 65 17 F1 60 03 03 93 3B 46 9B 1C 02 93 3B 46 01 93 17 F1 2C 03 00 93 3A 6D 7B 6D 13 44 BA 6D D7 F8 D0 10 40 31 D7 F8 D0 00 38 30 00 68 ?? ?? ?? ?? F8 65 FB 6D BB 62 BB 6A 00 2B C0 F2 81 80 BB 6A 01 2B 03 DD BB 6A 03 2B 51 D0 79 E0 3A 6E 3B 46 9A 42 38 D0 17 F1 90 01 17 F1 A8 00 ?? ?? ?? ?? 78 66 78 6E ?? ?? ?? ?? B8 66 17 F1 A8 00 ?? ?? ?? ?? F8 66 BA 6E FB 6E 1A 44 FB 6A D3 1A FB 60 FB 68 00 2B 11 DD FB 68 5B 1E FB 60 D7 F8 D0 30 4C 33 19 68 FA 68 01 23 02 FB 03 F2 FB 6A 13 44 93 F9 00 00 ?? ?? ?? ?? EA E7 38 46 ?? ?? ?? ?? B8 83 BB 8B FB 83 17 F1 A8 00 ?? ?? ?? ?? FB 8B BB 80 4E E0 12 E0 17 F1 94 01 17 F1 A8 00 ?? ?? ?? ?? 38 67 38 6F ?? ?? ?? ?? 78 67 FA 6A 7B 6F D2 1A 00 21 17 F1 A8 00 ?? ?? ?? ?? 34 E0 17 F1 A8 00 ?? ?? ?? ?? B8 67 BB 6F 02 2B 00 D2 2B E0 17 F1 98 01 17 F1 A8 00 ?? ?? ?? ?? F8 67 F8 6F ?? ?? ?? ?? C7 F8 80 00 02 23 D7 F8 80 20 02 21 38 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 38 84 3B 8C 7B 84 17 F1 A8 00 ?? ?? ?? ?? 7B 8C BB 80 10 E0 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F1 A8 00 ?? ?? ?? ?? FB 8C BB 80 04 E0 17 E7 17 F1 A8 00 ?? ?? ?? ?? B8 88 34 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_363_1 {
	meta:
		name = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
		size = 704
		refs = "000a __security_push_cookie 0020 ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 003a ?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 004c ?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ 0054 ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 006e ?eof@?$char_traits@_W@std@@SAGXZ 007e ?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ 009e ??$_Fgetc@_W@std@@YA_NAA_WPAU_iobuf@@@Z 00d0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00e0 fgetc 0100 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0114 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0120 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0128 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0132 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 017a ?in@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPA_W3AAPA_W@Z 01f2 ungetc 0236 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 0270 memcpy_s 02b4 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B0 B0 6F 46 84 B0 6F F0 01 03 C7 E9 28 33 D7 F8 D0 00 ?? ?? ?? ?? 78 63 7B 6B 00 2B 1A D0 D7 F8 D0 00 ?? ?? ?? ?? B8 63 D7 F8 D0 00 ?? ?? ?? ?? F8 63 BA 6B FB 6B 9A 42 0C D2 D7 F8 D0 00 ?? ?? ?? ?? 38 64 38 6C ?? ?? ?? ?? 38 82 3B 8A BB 80 27 E1 0B E0 D7 F8 D0 30 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 78 82 7B 8A BB 80 1A E1 D7 F8 D0 00 ?? ?? ?? ?? D7 F8 D0 30 38 33 1B 68 00 2B 1E D1 00 23 3B 81 D7 F8 D0 30 4C 33 19 68 17 F1 08 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 07 D0 17 F1 08 00 ?? ?? ?? ?? B8 82 BB 8A 7B 81 04 E0 ?? ?? ?? ?? F8 82 FB 8A 7B 81 7B 89 BB 80 F2 E0 F1 E0 17 F1 A8 00 ?? ?? ?? ?? C7 F8 84 00 D7 F8 D0 30 4C 33 18 68 ?? ?? ?? ?? 78 64 7B 6C 3B 63 3B 6B B3 F1 FF 3F 0B D1 ?? ?? ?? ?? 38 83 3B 8B 7B 83 17 F1 A8 00 ?? ?? ?? ?? 7B 8B BB 80 D2 E0 3B 6B 5A B2 01 21 17 F1 A8 00 ?? ?? ?? ?? 17 F1 88 01 17 F1 A8 00 ?? ?? ?? ?? B8 64 B8 6C ?? ?? ?? ?? 38 65 17 F1 A8 00 ?? ?? ?? ?? 78 65 17 F1 8C 01 17 F1 A8 00 ?? ?? ?? ?? F8 64 F8 6C ?? ?? ?? ?? B8 65 17 F1 60 03 03 93 3B 46 9B 1C 02 93 3B 46 01 93 17 F1 2C 03 00 93 3A 6D 7B 6D 13 44 BA 6D D7 F8 D0 10 40 31 D7 F8 D0 00 38 30 00 68 ?? ?? ?? ?? F8 65 FB 6D BB 62 BB 6A 00 2B C0 F2 81 80 BB 6A 01 2B 03 DD BB 6A 03 2B 51 D0 79 E0 3A 6E 3B 46 9A 42 38 D0 17 F1 90 01 17 F1 A8 00 ?? ?? ?? ?? 78 66 78 6E ?? ?? ?? ?? B8 66 17 F1 A8 00 ?? ?? ?? ?? F8 66 BA 6E FB 6E 1A 44 FB 6A D3 1A FB 60 FB 68 00 2B 11 DD FB 68 5B 1E FB 60 D7 F8 D0 30 4C 33 19 68 FA 68 01 23 02 FB 03 F2 FB 6A 13 44 93 F9 00 00 ?? ?? ?? ?? EA E7 38 46 ?? ?? ?? ?? B8 83 BB 8B FB 83 17 F1 A8 00 ?? ?? ?? ?? FB 8B BB 80 4E E0 12 E0 17 F1 94 01 17 F1 A8 00 ?? ?? ?? ?? 38 67 38 6F ?? ?? ?? ?? 78 67 FA 6A 7B 6F D2 1A 00 21 17 F1 A8 00 ?? ?? ?? ?? 34 E0 17 F1 A8 00 ?? ?? ?? ?? B8 67 BB 6F 02 2B 00 D2 2B E0 17 F1 98 01 17 F1 A8 00 ?? ?? ?? ?? F8 67 F8 6F ?? ?? ?? ?? C7 F8 80 00 02 23 D7 F8 80 20 02 21 38 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 38 84 3B 8C 7B 84 17 F1 A8 00 ?? ?? ?? ?? 7B 8C BB 80 10 E0 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F1 A8 00 ?? ?? ?? ?? FB 8C BB 80 04 E0 17 E7 17 F1 A8 00 ?? ?? ?? ?? B8 88 34 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_365_1 {
	meta:
		name = "?uflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
		size = 152
		refs = "001a _guard_check_icall 0030 ?eof@?$char_traits@G@std@@SAGXZ 0046 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 006a ?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ 0072 ?to_int_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 0A 9B 1B 68 18 33 0A 9C 1B 68 04 93 04 98 ?? ?? ?? ?? 04 9B 20 46 98 47 AD F8 04 00 BD F8 04 30 AD F8 08 30 ?? ?? ?? ?? AD F8 06 00 BD F8 06 30 AD F8 0A 30 02 A9 0D F1 0A 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 08 D0 ?? ?? ?? ?? AD F8 0C 00 BD F8 0C 30 AD F8 02 30 0C E0 0A 98 ?? ?? ?? ?? 05 90 05 98 ?? ?? ?? ?? AD F8 0E 00 BD F8 0E 30 AD F8 02 30 BD F8 02 30 AD F8 18 30 BD F8 18 00 07 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_365_1 {
	meta:
		name = "?uflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
		size = 152
		refs = "001a _guard_check_icall 0030 ?eof@?$char_traits@_W@std@@SAGXZ 0046 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 006a ?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ 0072 ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 0A 9B 1B 68 18 33 0A 9C 1B 68 04 93 04 98 ?? ?? ?? ?? 04 9B 20 46 98 47 AD F8 04 00 BD F8 04 30 AD F8 08 30 ?? ?? ?? ?? AD F8 06 00 BD F8 06 30 AD F8 0A 30 02 A9 0D F1 0A 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 08 D0 ?? ?? ?? ?? AD F8 0C 00 BD F8 0C 30 AD F8 02 30 0C E0 0A 98 ?? ?? ?? ?? 05 90 05 98 ?? ?? ?? ?? AD F8 0E 00 BD F8 0E 30 AD F8 02 30 BD F8 02 30 AD F8 18 30 BD F8 18 00 07 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_366_1 {
	meta:
		name = "?underflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
		size = 220
		refs = "000e ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 0024 ?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 003c ?to_int_type@?$char_traits@G@std@@SAGABG@Z 005e _guard_check_icall 0074 ?eof@?$char_traits@G@std@@SAGXZ 008c ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8A B0 0E 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 1A D0 0E 98 ?? ?? ?? ?? 07 90 0E 98 ?? ?? ?? ?? 08 90 07 9A 08 9B 9A 42 0E D2 0E 98 ?? ?? ?? ?? 09 90 09 98 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 0C 30 3F E0 3E E0 0E 9B 1B 68 1C 33 0E 9C 1B 68 04 93 04 98 ?? ?? ?? ?? 04 9B 20 46 98 47 AD F8 06 00 BD F8 06 30 AD F8 02 30 ?? ?? ?? ?? AD F8 08 00 BD F8 08 30 AD F8 0A 30 0D F1 02 01 0D F1 0A 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 05 D0 BD F8 02 30 AD F8 0C 30 13 E0 12 E0 BD F8 02 50 0E 9B 1B 68 10 33 0E 9C 1B 68 05 93 05 98 ?? ?? ?? ?? 05 9B 20 46 29 46 98 47 BD F8 02 30 AD F8 0C 30 BD F8 0C 00 0A B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_366_1 {
	meta:
		name = "?underflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
		size = 220
		refs = "000e ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 0024 ?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 003c ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 005e _guard_check_icall 0074 ?eof@?$char_traits@_W@std@@SAGXZ 008c ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8A B0 0E 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 1A D0 0E 98 ?? ?? ?? ?? 07 90 0E 98 ?? ?? ?? ?? 08 90 07 9A 08 9B 9A 42 0E D2 0E 98 ?? ?? ?? ?? 09 90 09 98 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 0C 30 3F E0 3E E0 0E 9B 1B 68 1C 33 0E 9C 1B 68 04 93 04 98 ?? ?? ?? ?? 04 9B 20 46 98 47 AD F8 06 00 BD F8 06 30 AD F8 02 30 ?? ?? ?? ?? AD F8 08 00 BD F8 08 30 AD F8 0A 30 0D F1 02 01 0D F1 0A 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 05 D0 BD F8 02 30 AD F8 0C 30 13 E0 12 E0 BD F8 02 50 0E 9B 1B 68 10 33 0E 9C 1B 68 05 93 05 98 ?? ?? ?? ?? 05 9B 20 46 29 46 98 47 BD F8 02 30 AD F8 0C 30 BD F8 0C 00 0A B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_372_1 {
	meta:
		name = "?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAGD@Z"
		size = 86
		refs = "001c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0028 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0036 ??1locale@std@@QAA@XZ 0040 ?widen@?$ctype@G@std@@QBAGD@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 17 F1 18 01 B8 6B ?? ?? ?? ?? 78 60 7B 68 BB 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 3B 61 17 F1 18 00 ?? ?? ?? ?? 97 F9 3C 10 38 69 ?? ?? ?? ?? 38 80 3B 88 BB 82 B8 8A 0B B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_21_372_1 {
	meta:
		name = "?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBA_WD@Z"
		size = 86
		refs = "001c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0028 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0036 ??1locale@std@@QAA@XZ 0040 ?widen@?$ctype@_W@std@@QBA_WD@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 17 F1 18 01 B8 6B ?? ?? ?? ?? 78 60 7B 68 BB 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 3B 61 17 F1 18 00 ?? ?? ?? ?? 97 F9 3C 10 38 69 ?? ?? ?? ?? 38 80 3B 88 BB 82 B8 8A 0B B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_374_1 {
	meta:
		name = "?widen@?$ctype@G@std@@QBAGD@Z"
		size = 68
		refs = "001e _guard_check_icall"
		altNames = "?widen@?$ctype@_W@std@@QBA_WD@Z"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 84 B0 9D F9 24 50 08 9B 1B 68 30 33 08 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 98 47 AD F8 00 00 BD F8 00 30 AD F8 08 30 BD F8 08 00 04 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_20_375_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA_JPAG_J@Z"
		size = 370
		refs = "0034 ?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ 0092 ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 009e ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 00d2 ?gbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXH@Z 00e6 _guard_check_icall 00fc ?eof@?$char_traits@G@std@@SAGXZ 0110 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0126 ?to_char_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 9D B0 00 23 06 93 00 23 07 93 22 9B 10 93 23 9B 11 93 10 9B 0B 93 11 9B 00 2B C0 F2 9A 80 03 DC 0B 9B 00 2B 40 F2 95 80 20 98 ?? ?? ?? ?? 13 91 12 90 12 9B 02 93 13 9B 03 93 02 9B 14 93 03 9B 15 93 14 9B 0C 93 15 9B 00 2B 40 DB 02 DC 0C 9B 00 2B 3C D9 22 9B 16 93 23 9B 17 93 02 9B 18 93 03 9B 19 93 16 9B 0D 93 18 9B 0E 93 17 9A 19 9B 9A 42 08 DC 03 DB 0D 9A 0E 9B 9A 42 03 D2 22 9B 02 93 23 9B 03 93 20 98 ?? ?? ?? ?? 0F 90 02 9A 0F 99 21 98 ?? ?? ?? ?? 02 9B 5A 00 21 9B 13 44 21 93 06 98 07 99 02 9A 03 9B 12 18 4B 41 06 92 07 93 22 98 23 99 02 9A 03 9B 82 1A 61 EB 03 03 22 92 23 93 02 99 20 98 ?? ?? ?? ?? 40 E0 20 9B 1B 68 1C 33 20 9C 1B 68 0A 93 0A 98 ?? ?? ?? ?? 0A 9B 20 46 98 47 AD F8 20 00 BD F8 20 30 AD F8 10 30 ?? ?? ?? ?? AD F8 22 00 BD F8 22 30 AD F8 24 30 04 A9 09 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D0 1C E0 1A E0 04 A8 ?? ?? ?? ?? AD F8 26 00 BD F8 26 20 21 9B 1A 80 21 9B 9B 1C 21 93 06 9A 07 99 00 23 52 1C 4B 41 06 92 07 93 22 9A 23 99 00 23 52 1E 61 EB 03 03 22 92 23 93 5B E7 06 9A 07 9B 1A 92 1B 93 1A 98 1B 99 1D B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_21_375_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA_JPA_W_J@Z"
		size = 370
		refs = "0034 ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ 0092 ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 009e ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 00d2 ?gbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXH@Z 00e6 _guard_check_icall 00fc ?eof@?$char_traits@_W@std@@SAGXZ 0110 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0126 ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 9D B0 00 23 06 93 00 23 07 93 22 9B 10 93 23 9B 11 93 10 9B 0B 93 11 9B 00 2B C0 F2 9A 80 03 DC 0B 9B 00 2B 40 F2 95 80 20 98 ?? ?? ?? ?? 13 91 12 90 12 9B 02 93 13 9B 03 93 02 9B 14 93 03 9B 15 93 14 9B 0C 93 15 9B 00 2B 40 DB 02 DC 0C 9B 00 2B 3C D9 22 9B 16 93 23 9B 17 93 02 9B 18 93 03 9B 19 93 16 9B 0D 93 18 9B 0E 93 17 9A 19 9B 9A 42 08 DC 03 DB 0D 9A 0E 9B 9A 42 03 D2 22 9B 02 93 23 9B 03 93 20 98 ?? ?? ?? ?? 0F 90 02 9A 0F 99 21 98 ?? ?? ?? ?? 02 9B 5A 00 21 9B 13 44 21 93 06 98 07 99 02 9A 03 9B 12 18 4B 41 06 92 07 93 22 98 23 99 02 9A 03 9B 82 1A 61 EB 03 03 22 92 23 93 02 99 20 98 ?? ?? ?? ?? 40 E0 20 9B 1B 68 1C 33 20 9C 1B 68 0A 93 0A 98 ?? ?? ?? ?? 0A 9B 20 46 98 47 AD F8 20 00 BD F8 20 30 AD F8 10 30 ?? ?? ?? ?? AD F8 22 00 BD F8 22 30 AD F8 24 30 04 A9 09 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D0 1C E0 1A E0 04 A8 ?? ?? ?? ?? AD F8 26 00 BD F8 26 20 21 9B 1A 80 21 9B 9B 1C 21 93 06 9A 07 99 00 23 52 1C 4B 41 06 92 07 93 22 9A 23 99 00 23 52 1E 61 EB 03 03 22 92 23 93 5B E7 06 9A 07 9B 1A 92 1B 93 1A 98 1B 99 1D B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_20_376_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA_JPBG_J@Z"
		size = 370
		refs = "0034 ?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ 0092 ?pptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 009e ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 00d2 ?pbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXH@Z 00da ?to_int_type@?$char_traits@G@std@@SAGABG@Z 00f4 _guard_check_icall 010c ?eof@?$char_traits@G@std@@SAGXZ 0122 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 9C B0 00 23 04 93 00 23 05 93 22 9B 10 93 23 9B 11 93 10 9B 0A 93 11 9B 00 2B C0 F2 9A 80 03 DC 0A 9B 00 2B 40 F2 95 80 20 98 ?? ?? ?? ?? 13 91 12 90 12 9B 02 93 13 9B 03 93 02 9B 14 93 03 9B 15 93 14 9B 0B 93 15 9B 00 2B 40 DB 02 DC 0B 9B 00 2B 3C D9 22 9B 16 93 23 9B 17 93 02 9B 18 93 03 9B 19 93 16 9B 0C 93 18 9B 0D 93 17 9A 19 9B 9A 42 08 DC 03 DB 0C 9A 0D 9B 9A 42 03 D2 22 9B 02 93 23 9B 03 93 20 98 ?? ?? ?? ?? 0E 90 02 9A 21 99 0E 98 ?? ?? ?? ?? 02 9B 5A 00 21 9B 13 44 21 93 04 98 05 99 02 9A 03 9B 12 18 4B 41 04 92 05 93 22 98 23 99 02 9A 03 9B 82 1A 61 EB 03 03 22 92 23 93 02 99 20 98 ?? ?? ?? ?? 40 E0 21 98 ?? ?? ?? ?? AD F8 18 00 BD F8 18 50 20 9B 1B 68 0C 33 20 9C 1B 68 09 93 09 98 ?? ?? ?? ?? 09 9B 20 46 29 46 98 47 AD F8 1A 00 BD F8 1A 30 AD F8 1E 30 ?? ?? ?? ?? AD F8 1C 00 BD F8 1C 30 AD F8 20 30 0D F1 1E 01 08 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D0 13 E0 11 E0 21 9B 9B 1C 21 93 04 9A 05 99 00 23 52 1C 4B 41 04 92 05 93 22 9A 23 99 00 23 52 1E 61 EB 03 03 22 92 23 93 5B E7 04 9A 05 9B 1A 92 1B 93 1A 98 1B 99 1C B0 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_21_376_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA_JPB_W_J@Z"
		size = 370
		refs = "0034 ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ 0092 ?pptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 009e ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 00d2 ?pbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXH@Z 00da ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 00f4 _guard_check_icall 010c ?eof@?$char_traits@_W@std@@SAGXZ 0122 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 9C B0 00 23 04 93 00 23 05 93 22 9B 10 93 23 9B 11 93 10 9B 0A 93 11 9B 00 2B C0 F2 9A 80 03 DC 0A 9B 00 2B 40 F2 95 80 20 98 ?? ?? ?? ?? 13 91 12 90 12 9B 02 93 13 9B 03 93 02 9B 14 93 03 9B 15 93 14 9B 0B 93 15 9B 00 2B 40 DB 02 DC 0B 9B 00 2B 3C D9 22 9B 16 93 23 9B 17 93 02 9B 18 93 03 9B 19 93 16 9B 0C 93 18 9B 0D 93 17 9A 19 9B 9A 42 08 DC 03 DB 0C 9A 0D 9B 9A 42 03 D2 22 9B 02 93 23 9B 03 93 20 98 ?? ?? ?? ?? 0E 90 02 9A 21 99 0E 98 ?? ?? ?? ?? 02 9B 5A 00 21 9B 13 44 21 93 04 98 05 99 02 9A 03 9B 12 18 4B 41 04 92 05 93 22 98 23 99 02 9A 03 9B 82 1A 61 EB 03 03 22 92 23 93 02 99 20 98 ?? ?? ?? ?? 40 E0 21 98 ?? ?? ?? ?? AD F8 18 00 BD F8 18 50 20 9B 1B 68 0C 33 20 9C 1B 68 09 93 09 98 ?? ?? ?? ?? 09 9B 20 46 29 46 98 47 AD F8 1A 00 BD F8 1A 30 AD F8 1E 30 ?? ?? ?? ?? AD F8 1C 00 BD F8 1C 30 AD F8 20 30 0D F1 1E 01 08 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D0 13 E0 11 E0 21 9B 9B 1C 21 93 04 9A 05 99 00 23 52 1C 4B 41 04 92 05 93 22 9A 23 99 00 23 52 1E 61 EB 03 03 22 92 23 93 5B E7 04 9A 05 9B 1A 92 1B 93 1A 98 1B 99 1C B0 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_21_61_1 {
	meta:
		name = "??0_Init_wcout@std@@QAA@XZ"
		size = 148
		refs = "002c ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z 0080 ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0084 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0088 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 008c ?_Ptr_wcin@std@@3PAV?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0090 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 21 4A 1D 4B 1A 60 1E 4B 1B 68 00 2B 0B D0 1A 4B 19 68 1B 4B 1B 68 1B 68 18 1D 19 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 15 4B 1B 68 00 2B 0B D0 12 4B 19 68 12 4B 1B 68 1B 68 18 1D 10 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 0B 4B 1B 68 00 2B 0B D0 0A 4B 19 68 08 4B 1B 68 1B 68 18 1D 06 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_61_1 {
	meta:
		name = "??0_Init_cout@std@@QAA@XZ"
		size = 148
		refs = "002c ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z 0080 ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0084 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0088 ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 008c ?_Ptr_cin@std@@3PAV?$basic_istream@DU?$char_traits@D@std@@@1@A 0090 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 21 4A 1D 4B 1A 60 1E 4B 1B 68 00 2B 0B D0 1A 4B 19 68 1B 4B 1B 68 1B 68 18 1D 19 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 15 4B 1B 68 00 2B 0B D0 12 4B 19 68 12 4B 1B 68 1B 68 18 1D 10 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 0B 4B 1B 68 00 2B 0B D0 0A 4B 19 68 08 4B 1B 68 1B 68 18 1D 06 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_61_1 {
	meta:
		name = "??0_Init_ushcout@std@@QAA@XZ"
		size = 148
		refs = "002c ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z 0080 ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0084 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0088 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 008c ?_Ptr_wcin@std@@3PAV?$basic_istream@GU?$char_traits@G@std@@@1@A 0090 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 21 4A 1D 4B 1A 60 1E 4B 1B 68 00 2B 0B D0 1A 4B 19 68 1B 4B 1B 68 1B 68 18 1D 19 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 15 4B 1B 68 00 2B 0B D0 12 4B 19 68 12 4B 1B 68 1B 68 18 1D 10 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 0B 4B 1B 68 00 2B 0B D0 0A 4B 19 68 08 4B 1B 68 1B 68 18 1D 06 4B 1A 68 03 68 D0 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_163_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwfout@std@@YAXXZ 0028 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_163_1 {
	meta:
		name = "??__Efout@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Ffout@std@@YAXXZ 0028 ?fout@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_163_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 44
		refs = "000a __acrt_iob_func 0014 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAA@PAU_iobuf@@@Z 001a atexit 0024 ??__Fwfout@std@@YAXXZ 0028 ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 00 90 00 99 05 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_22_2_1 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ"
		size = 24
		refs = "000c _freea_crt"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_355_1 {
	meta:
		name = "??1_Timevec@std@@QAA@XZ"
		size = 24
		refs = "000c free"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_22_4_1 {
	meta:
		name = "_MallocaComputeSize"
		size = 50
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 00 93 00 9A 06 9B 9A 42 02 D9 00 9B 01 93 01 E0 00 23 01 93 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_22_5_1 {
	meta:
		name = "_MarkAllocaS"
		size = 44
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 05 D0 05 9A 04 9B 1A 60 04 9B 08 33 04 93 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_22_6_1 {
	meta:
		name = "__crtCompareStringA"
		size = 976
		refs = "000a __security_push_cookie 001a __strncnt 00cc _CrtDbgReportW 01be _MallocaComputeSize 01e0 _malloc_dbg 01ec _MarkAllocaS 0200 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 0210 ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 0216 ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 0228 ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 03a8 __security_pop_cookie 03b4 __imp_CompareStringEx 03b8 __imp_MultiByteToWideChar 03bc ??_C@_0DE@IDNOHCAD@f?3?2dd?2vctools?2crt?2crtw32?2misc?2st@ 03c0 ??_C@_1GI@NFLBIBDJ@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAm?$AAi?$AAs?$AAc?$AA?2?$AAs?$AAt@ 03c4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03c8 ??_C@_1HK@ELDMAMK@?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA1?$AA?$DN?$AA?$DN?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA2?$AA?$DN?$AA?$DN?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 03cc __imp_GetCPInfo"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? B8 B0 3F 9B 00 2B 07 DD 3F 99 3E 98 ?? ?? ?? ?? 0E 90 0E 9B 3F 93 06 E0 3F 9B B3 F1 FF 3F 02 DA 00 23 06 93 B7 E1 41 9B 00 2B 07 DD 41 99 40 98 ?? ?? ?? ?? 0F 90 0F 9B 41 93 06 E0 41 9B B3 F1 FF 3F 02 DA 00 23 06 93 A5 E1 3F 9B 00 2B 03 D0 41 9B 00 2B 40 F0 94 80 3F 9A 41 9B 9A 42 02 D1 02 23 06 93 97 E1 41 9B 01 2B 02 DD 01 23 06 93 91 E1 3F 9B 01 2B 02 DD 03 23 06 93 8B E1 32 A9 42 98 CE 4B 1B 68 98 47 10 90 10 9B 00 2B 02 D1 00 23 06 93 7F E1 3F 9B 00 2B 02 D1 41 9B 01 2B 14 D0 3F 9B 01 2B 02 D1 41 9B 00 2B 0E D0 C2 4B 01 93 C0 4B 00 93 00 23 66 22 BD 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 3F 9B 00 2B 29 DD 32 9B 02 2B 02 D2 03 23 06 93 5B E1 0D F1 CE 03 07 93 02 E0 07 9B 9B 1C 07 93 07 9B 1B 78 00 2B 15 D0 07 9B 5B 1C 1B 78 00 2B 10 D0 3E 9B 1A 78 07 9B 1B 78 9A 42 09 DB 3E 9B 1A 78 07 9B 5B 1C 1B 78 9A 42 02 DC 02 23 06 93 3B E1 E2 E7 03 23 06 93 37 E1 41 9B 00 2B 29 DD 32 9B 02 2B 02 D2 01 23 06 93 2E E1 0D F1 CE 03 07 93 02 E0 07 9B 9B 1C 07 93 07 9B 1B 78 00 2B 15 D0 07 9B 5B 1C 1B 78 00 2B 10 D0 40 9B 1A 78 07 9B 1B 78 9A 42 09 DB 40 9B 1A 78 07 9B 5B 1C 1B 78 9A 42 02 DC 02 23 06 93 0E E1 E2 E7 01 23 06 93 0A E1 00 23 01 93 00 23 00 93 3F 9B 3E 9A 09 21 42 98 86 4C 24 68 A0 47 12 90 12 9B 0B 93 0B 9B 00 2B 02 D1 00 23 06 93 F6 E0 0B 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 13 90 13 9B 00 2B 16 D0 0B 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 14 90 98 23 78 4A 02 21 14 98 ?? ?? ?? ?? 15 90 4D F6 DD 51 15 98 ?? ?? ?? ?? 16 90 16 9B 0C 93 01 E0 00 23 0C 93 0C 99 30 A8 ?? ?? ?? ?? 17 90 17 9B 18 93 18 9B 19 68 08 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 19 90 19 9B 00 2B 07 D1 00 23 1A 93 08 A8 ?? ?? ?? ?? 1A 9B 06 93 B8 E0 08 A8 ?? ?? ?? ?? 1B 90 0B 9B 01 93 1B 9B 00 93 3F 9B 3E 9A 01 21 42 98 5B 4C 24 68 A0 47 1C 90 1C 9B 00 2B 07 D1 00 23 1D 93 08 A8 ?? ?? ?? ?? 1D 9B 06 93 9D E0 00 23 01 93 00 23 00 93 41 9B 40 9A 09 21 42 98 4F 4C 24 68 A0 47 1E 90 1E 9B 0A 93 0A 9B 00 2B 07 D1 00 23 1F 93 08 A8 ?? ?? ?? ?? 1F 9B 06 93 84 E0 0A 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 20 90 20 9B 00 2B 16 D0 0A 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 21 90 B0 23 3F 4A 02 21 21 98 ?? ?? ?? ?? 22 90 4D F6 DD 51 22 98 ?? ?? ?? ?? 23 90 23 9B 0D 93 01 E0 00 23 0D 93 0D 99 31 A8 ?? ?? ?? ?? 24 90 24 9B 25 93 25 9B 19 68 09 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 26 90 26 9B 00 2B 0A D1 00 23 27 93 09 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 27 9B 06 93 43 E0 09 A8 ?? ?? ?? ?? 28 90 0A 9B 01 93 28 9B 00 93 41 9B 40 9A 01 21 42 98 20 4C 24 68 A0 47 29 90 29 9B 2A 93 2A 9B 00 2B 0A D1 00 23 2B 93 09 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 2B 9B 06 93 23 E0 09 A8 ?? ?? ?? ?? 2C 90 08 A8 ?? ?? ?? ?? 2D 90 00 23 04 93 00 23 03 93 00 23 02 93 0A 9B 01 93 2C 9B 00 93 0B 9B 2D 9A 3D 99 3C 98 0A 4C 24 68 A0 47 2E 90 2E 9B 2F 93 09 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 2F 9B 06 93 06 98 38 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_22_7_1 {
	meta:
		name = "_freea_crt"
		size = 112
		refs = "002a _free_dbg 004c _CrtDbgReportW 0064 ??_C@_1GE@KPKABLEG@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAv?$AAc?$AAr?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?2?$AAi?$AAn?$AAc?$AA?2@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FE@KNPCCODH@?$AA?$CI?$AA?$CC?$AAC?$AAo?$AAr?$AAr?$AAu?$AAp?$AAt?$AAe?$AAd?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AA_?$AAf@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 24 D0 06 9B 08 3B 06 93 06 9B 1B 68 02 93 02 9A 4D F6 DD 53 9A 42 04 D1 02 21 06 98 ?? ?? ?? ?? 14 E0 02 9A 4C F6 CC 43 9A 42 0F D0 0C 4B 01 93 0A 4B 00 93 00 23 40 F2 2F 12 06 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_0_1 {
	meta:
		name = "_Toupper"
		size = 428
		refs = "0010 ___lc_locale_name_func 001e ___lc_codepage_func 0066 islower 00a0 __pctype_func 0116 __report_rangecheckfailure 016a __crtLCMapStringA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 17 9B 00 2B 0C D1 ?? ?? ?? ?? 0E 90 0E 9B 08 33 1B 68 08 93 ?? ?? ?? ?? 0F 90 0F 9B 0D 93 06 E0 17 9B 0C 33 1B 68 08 93 17 9B 1B 68 0D 93 08 9B 00 2B 0B D1 16 9B 61 2B 05 DB 16 9B 7A 2B 02 DC 16 9B 20 3B 16 93 16 9B 06 93 A4 E0 16 9B B3 F5 80 7F 1D D2 17 9B 00 2B 0A D1 16 98 ?? ?? ?? ?? 10 90 10 9B 00 2B 02 D1 16 9B 06 93 93 E0 0F E0 17 9B 19 1D 16 9A 02 23 02 FB 03 F2 0B 68 13 44 B3 F9 00 30 13 F0 02 0F 02 D1 16 9B 06 93 82 E0 17 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 16 9B 1B 12 DB B2 DA B2 02 23 02 FB 03 F2 11 9B 13 44 1B 88 03 F4 00 43 0A 93 15 E0 17 9B 19 1D 16 9B 1B 12 DA B2 02 23 02 FB 03 F2 0B 68 13 44 B3 F9 00 30 13 F4 00 4F 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 1A D0 16 9B 1B 12 DB B2 04 AA DB B2 13 70 16 9B DA B2 04 AB 5B 1C 1A 70 02 23 0B 93 0B 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 04 AA 0B 9B 1A 44 00 23 13 70 02 23 07 93 12 E0 16 9B DA B2 04 AB 1A 70 01 23 0C 93 0C 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 04 AA 0C 9B 1A 44 00 23 13 70 01 23 07 93 01 23 03 93 0D 9B 02 93 03 23 01 93 05 AB 00 93 07 9B 04 AA 4F F4 00 71 08 98 ?? ?? ?? ?? 12 90 12 9B 07 93 07 9B 00 2B 02 D1 16 9B 06 93 0F E0 07 9B 01 2B 04 D1 05 AB 1B 78 06 93 08 E0 07 E0 05 AB 5B 1C 1A 78 05 AB 1B 78 1B 02 13 43 06 93 06 98 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_3_1 {
	meta:
		name = "?_Addstd@ios_base@std@@SAXPAV12@@Z"
		size = 192
		refs = "000e ??0_Lockit@std@@QAA@H@Z 00aa ??1_Lockit@std@@QAA@XZ 00b8 ?stdopens@std@@3PADA 00bc ?stdstr@std@@3PAPAVios_base@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 02 21 01 A8 ?? ?? ?? ?? 02 90 06 9B 03 F1 08 02 00 23 13 60 06 9B 08 33 1B 68 5B 1C 00 93 06 9B 03 F1 08 02 00 9B 13 60 00 9B 08 2B 18 D2 06 9B 08 33 1A 68 04 23 02 FB 03 F2 1D 4B 13 44 1B 68 00 2B 0B D0 06 9B 08 33 1A 68 04 23 02 FB 03 F2 18 4B 13 44 1A 68 06 9B 9A 42 00 D1 00 E0 D9 E7 06 9B 08 33 1A 68 04 23 02 FB 03 F2 11 4B 1A 44 06 9B 13 60 06 9B 08 33 1A 68 01 23 02 FB 03 F2 0B 4B 13 44 93 F9 00 30 5B 1C 59 B2 06 9B 08 33 1A 68 01 23 02 FB 03 F2 05 4B 13 44 19 70 01 A8 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_4_1 {
	meta:
		name = "?_Callfns@ios_base@std@@AAAXW4event@12@@Z"
		size = 80
		refs = "0036 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 70 48 0D F1 0C 0B 83 B0 08 9B 2C 33 1B 68 00 93 02 E0 00 9B 1B 68 00 93 00 9B 00 2B 11 D0 00 9B 1B 1D 1E 68 08 9D 09 9C 00 9B 08 33 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 32 46 98 47 E7 E7 03 B0 BD E8 70 08 5D F8 0C FB }
	condition:
		$1
}

rule file_24_5_1 {
	meta:
		name = "?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z"
		size = 140
		refs = "0052 ?_Tidy@ios_base@std@@AAAXXZ 006c ??_Glocale@std@@QAAPAXI@Z 0088 ?stdopens@std@@3PADA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 08 33 1B 68 00 2B 1D D9 08 9B 08 33 1A 68 01 23 02 FB 03 F2 19 4B 13 44 93 F9 00 30 5B 1E 5B B2 8D F8 00 30 08 9B 08 33 1A 68 01 23 02 FB 03 F2 12 4B 1A 44 9D F9 00 30 13 70 9D F9 00 30 00 2B 00 DD 15 E0 08 98 ?? ?? ?? ?? 08 9B 30 33 1B 68 02 93 02 9B 01 93 01 9B 00 2B 07 D0 01 21 01 98 ?? ?? ?? ?? 03 90 03 9B 04 93 01 E0 00 23 04 93 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_6_1 {
	meta:
		name = "?_Tidy@ios_base@std@@AAAXXZ"
		size = 124
		refs = "000e ?_Callfns@ios_base@std@@AAAXW4event@12@@Z 0032 ??3_Crt_new_delete@std@@SAXPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 21 08 98 ?? ?? ?? ?? 08 9B 28 33 1B 68 00 93 01 E0 02 9B 00 93 00 9B 00 2B 08 D0 00 9B 1B 68 02 93 00 9B 03 93 03 98 ?? ?? ?? ?? F1 E7 08 9B 03 F1 28 02 00 23 13 60 08 9B 2C 33 1B 68 01 93 01 E0 04 9B 01 93 01 9B 00 2B 08 D0 01 9B 1B 68 04 93 01 9B 05 93 05 98 ?? ?? ?? ?? F1 E7 08 9B 03 F1 2C 02 00 23 13 60 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_0_1 {
	meta:
		name = "_Stoll"
		size = 48
		refs = "0012 _Stollx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_73_0_1 {
	meta:
		name = "_Stoull"
		size = 48
		refs = "0012 _Stoullx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_25_1_1 {
	meta:
		name = "_Stollx"
		size = 368
		refs = "0028 isspace 006e _Stoullx 00f6 _errno"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1B 9B 00 2B 01 D1 07 AB 1B 93 1A 9B 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 03 90 03 9B 00 2B 00 D0 F1 E7 01 9B 93 F9 00 30 2D 2B 07 D0 01 9B 93 F9 00 30 2B 2B 02 D0 2B 23 02 93 06 E0 01 9B 93 F9 00 30 02 93 01 9B 5B 1C 01 93 02 9B 5B B2 8D F8 00 30 1D 9B 1C 9A 1B 99 01 98 ?? ?? ?? ?? 11 91 10 90 10 9B 08 93 11 9B 09 93 01 9A 1B 9B 1B 68 9A 42 02 D1 1A 9A 1B 9B 1A 60 1A 9A 1B 9B 1B 68 9A 42 08 D1 08 9B 12 93 09 9B 13 93 13 9A 12 9B 13 43 00 2B 25 D1 9D F9 00 30 2B 2B 0F D1 08 9B 14 93 09 9B 15 93 14 9B 04 93 15 9A 6F F0 00 43 9A 42 16 D8 03 D3 04 9B B3 F1 FF 3F 11 D8 9D F9 00 30 2D 2B 2F D1 08 9B 16 93 09 9B 17 93 16 9B 05 93 17 9B B3 F1 00 4F 25 D3 02 D8 05 9B 00 2B 21 D9 ?? ?? ?? ?? 06 90 06 9A 22 23 13 60 1D 9B 00 2B 02 D0 1D 9A 01 23 13 60 9D F9 00 30 2D 2B 05 D1 00 23 0A 93 4F F0 00 43 0B 93 05 E0 6F F0 00 03 0A 93 6F F0 00 43 0B 93 0A 9A 0B 9B 0E 92 0F 93 14 E0 13 E0 9D F9 00 30 2D 2B 07 D1 08 9A 09 99 00 23 52 42 8B 41 0C 92 0D 93 03 E0 08 9B 0C 93 09 9B 0D 93 0C 9A 0D 9B 0E 92 0F 93 0E 98 0F 99 18 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_26_0_1 {
	meta:
		name = "?_New_handler_interface@std@@YAHI@Z"
		size = 48
		refs = "0012 _guard_check_icall 002c ?_New_handler@std@@3P6AXXZA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 98 47 01 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_1_1 {
	meta:
		name = "?get_new_handler@std@@YAP6AXXZXZ"
		size = 56
		refs = "0018 ??0_Lockit@std@@QAA@H@Z 0024 ??1_Lockit@std@@QAA@XZ 0034 ?_New_handler@std@@3P6AXXZA"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 01 21 38 46 ?? ?? ?? ?? 05 4B 1B 68 7B 60 38 46 ?? ?? ?? ?? 7B 68 BB 60 B8 68 07 B0 BD E8 80 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_2_1 {
	meta:
		name = "?set_new_handler@std@@YAP6AXXZP6AXXZ@Z"
		size = 104
		refs = "001c ??0_Lockit@std@@QAA@H@Z 003e _set_new_handler 004a ??1_Lockit@std@@QAA@XZ 0060 ?_New_handler_interface@std@@YAHI@Z 0064 ?_New_handler@std@@3P6AXXZA"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 01 21 17 F1 08 00 ?? ?? ?? ?? 10 4B 1B 68 7B 60 3A 6B 0E 4B 1A 60 3B 6B 00 2B 02 D0 0B 4B 3B 60 01 E0 00 23 3B 60 38 68 ?? ?? ?? ?? 7B 68 FB 60 17 F1 08 00 ?? ?? ?? ?? FB 68 3B 61 38 69 09 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_0_1 {
	meta:
		name = "_LXp_addh"
		size = 1300
		refs = "0022 _LDunscale 0044 _LDtest 0072 _LPmsw 0098 _Feraise 015c _LNan 0348 _LDint 0352 _LDscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 8D ED 04 0B 9D ED 04 0B 8D ED 0E 0B 1F 9B 00 2B 00 D1 6D E2 0E A9 03 A8 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 AD F8 04 30 BD F9 04 30 00 2B 40 DD BD F9 04 30 02 2B 0C D0 1E 98 ?? ?? ?? ?? AD F8 2A 00 BD F9 2A 30 AD F8 04 30 BD F9 04 30 00 2B 05 DC 1E 9B 9D ED 04 0B 83 ED 00 0B 28 E0 BD F9 04 30 02 2B 11 D0 04 A8 ?? ?? ?? ?? 10 90 1E 98 ?? ?? ?? ?? 11 90 10 9B 1B 88 03 F4 00 42 11 9B 1B 88 03 F4 00 43 9A 42 00 D1 11 E0 01 20 ?? ?? ?? ?? 1E 9A 2F 4B 93 ED 00 0B 82 ED 00 0B 1F 9B 01 2B 05 DD 1E 9B 08 33 9F ED 28 0B 83 ED 00 0B 1E E2 BD F9 04 30 00 2B 80 F2 1A 82 4F F4 00 63 08 93 00 23 00 93 00 9A 1F 9B 9A 42 80 F2 10 82 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 1A 0B 1A 23 09 93 1A A9 0D F1 06 00 ?? ?? ?? ?? AD F8 2C 00 BD F9 2C 30 AD F8 04 30 BD F9 04 30 00 2B 01 DD F3 E1 F1 E1 BD F9 04 30 00 2B 22 D1 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 04 0B 83 ED 00 0B 00 9B 5A 1C 1F 9B 9A 42 0A DA 00 9B 5A 1C 08 23 02 FB 03 F2 1E 9B 13 44 9F ED 02 0B 83 ED 00 0B D3 E1 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? CA E1 BD F9 06 20 BD F9 0C 30 D3 1A 0C 93 09 9B 5A 42 0C 9B 93 42 56 DC 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 4F D0 00 9B 02 93 02 9B 5B 1C 02 93 02 9A 1F 9B 9A 42 0D DA 02 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 EA E7 1F 9B 5A 1E 02 9B 93 42 03 DA 02 9B 5B 1C 02 93 06 E0 02 9A 1F 9B 9A 42 02 D1 02 9B 5B 1E 02 93 02 E0 02 9B 5B 1E 02 93 00 9A 02 9B 9A 42 11 DA 02 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 99 18 02 9A 08 23 02 FB 03 F2 1E 9B 13 44 91 ED 00 0B 83 ED 00 0B E6 E7 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 04 0B 83 ED 00 0B 9F ED BB 0B 8D ED 04 0B 68 E1 09 9A 0C 9B 9A 42 0D DC 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 06 D0 BD F9 06 30 08 93 00 9B 5B 1C 00 93 56 E1 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 14 0B 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 14 0B 83 ED 00 0B 9D ED 14 0B B5 EE 40 0B F1 EE 10 FA 41 D1 00 9B 06 93 06 9B 5B 1C 06 93 06 9A 1F 9B 9A 42 1F DA 06 9A 08 23 02 FB 03 F2 1E 9B 99 18 06 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 91 ED 00 0B 83 ED 00 0B 06 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 D8 E7 1F 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 9F ED 88 0B 83 ED 00 0B 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 F6 E0 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 04 0B 04 A9 03 A8 ?? ?? ?? ?? 08 9A 09 9B D2 1A BD F9 0C 30 9A 42 80 F2 80 80 BD F9 0C 10 08 9A 09 9B D3 1A CB 1A 19 B2 04 A8 ?? ?? ?? ?? BD F9 0C 10 04 A8 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 1B 9D ED 04 0B 31 EE 40 0B 8D ED 16 0B 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 16 0B 83 ED 00 0B 9D ED 16 0B B5 EE 40 0B F1 EE 10 FA 33 D1 00 9B 07 93 07 9B 5B 1C 07 93 07 9A 1F 9B 9A 42 1F DA 07 9A 08 23 02 FB 03 F2 1E 9B 99 18 07 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 91 ED 00 0B 83 ED 00 0B 07 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 D8 E7 1F 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 9F ED 45 0B 83 ED 00 0B 00 9B 5B 1E 00 93 00 9B 00 2B 03 D1 4F F4 00 63 08 93 12 E0 00 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 0E 0B 0E A9 0D F1 06 00 ?? ?? ?? ?? BD F9 06 30 08 93 5F E0 00 9B 5A 1C 1F 9B 9A 42 01 D1 5A E0 58 E0 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 04 0B 00 9A 08 23 02 FB 03 F2 1E 9B 99 18 0D F1 06 00 ?? ?? ?? ?? 1A 21 00 9A 08 23 02 FB 03 F2 1E 9B 98 18 ?? ?? ?? ?? BD F9 06 10 00 9A 08 23 02 FB 03 F2 1E 9B 98 18 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 04 1B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B BD F9 06 30 08 93 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 04 D0 9D ED 04 0B 8D ED 18 0B 09 E0 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 18 0B 9D ED 18 0B 8D ED 0E 0B 0E A9 03 A8 ?? ?? ?? ?? 00 9B 5B 1C 00 93 EA E5 1E 9B 12 93 12 98 1C B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_119_0_1 {
	meta:
		name = "_Xp_addh"
		size = 1300
		refs = "0022 _Dunscale 0044 _Dtest 0072 _Pmsw 0098 _Feraise 015c _Nan 0348 _Dint 0352 _Dscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 8D ED 04 0B 9D ED 04 0B 8D ED 0E 0B 1F 9B 00 2B 00 D1 6D E2 0E A9 03 A8 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 AD F8 04 30 BD F9 04 30 00 2B 40 DD BD F9 04 30 02 2B 0C D0 1E 98 ?? ?? ?? ?? AD F8 2A 00 BD F9 2A 30 AD F8 04 30 BD F9 04 30 00 2B 05 DC 1E 9B 9D ED 04 0B 83 ED 00 0B 28 E0 BD F9 04 30 02 2B 11 D0 04 A8 ?? ?? ?? ?? 10 90 1E 98 ?? ?? ?? ?? 11 90 10 9B 1B 88 03 F4 00 42 11 9B 1B 88 03 F4 00 43 9A 42 00 D1 11 E0 01 20 ?? ?? ?? ?? 1E 9A 2F 4B 93 ED 00 0B 82 ED 00 0B 1F 9B 01 2B 05 DD 1E 9B 08 33 9F ED 28 0B 83 ED 00 0B 1E E2 BD F9 04 30 00 2B 80 F2 1A 82 4F F4 00 63 08 93 00 23 00 93 00 9A 1F 9B 9A 42 80 F2 10 82 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 1A 0B 1A 23 09 93 1A A9 0D F1 06 00 ?? ?? ?? ?? AD F8 2C 00 BD F9 2C 30 AD F8 04 30 BD F9 04 30 00 2B 01 DD F3 E1 F1 E1 BD F9 04 30 00 2B 22 D1 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 04 0B 83 ED 00 0B 00 9B 5A 1C 1F 9B 9A 42 0A DA 00 9B 5A 1C 08 23 02 FB 03 F2 1E 9B 13 44 9F ED 02 0B 83 ED 00 0B D3 E1 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? CA E1 BD F9 06 20 BD F9 0C 30 D3 1A 0C 93 09 9B 5A 42 0C 9B 93 42 56 DC 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 4F D0 00 9B 02 93 02 9B 5B 1C 02 93 02 9A 1F 9B 9A 42 0D DA 02 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 EA E7 1F 9B 5A 1E 02 9B 93 42 03 DA 02 9B 5B 1C 02 93 06 E0 02 9A 1F 9B 9A 42 02 D1 02 9B 5B 1E 02 93 02 E0 02 9B 5B 1E 02 93 00 9A 02 9B 9A 42 11 DA 02 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 99 18 02 9A 08 23 02 FB 03 F2 1E 9B 13 44 91 ED 00 0B 83 ED 00 0B E6 E7 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 04 0B 83 ED 00 0B 9F ED BB 0B 8D ED 04 0B 68 E1 09 9A 0C 9B 9A 42 0D DC 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 06 D0 BD F9 06 30 08 93 00 9B 5B 1C 00 93 56 E1 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 14 0B 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 14 0B 83 ED 00 0B 9D ED 14 0B B5 EE 40 0B F1 EE 10 FA 41 D1 00 9B 06 93 06 9B 5B 1C 06 93 06 9A 1F 9B 9A 42 1F DA 06 9A 08 23 02 FB 03 F2 1E 9B 99 18 06 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 91 ED 00 0B 83 ED 00 0B 06 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 D8 E7 1F 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 9F ED 88 0B 83 ED 00 0B 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 F6 E0 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 04 0B 04 A9 03 A8 ?? ?? ?? ?? 08 9A 09 9B D2 1A BD F9 0C 30 9A 42 80 F2 80 80 BD F9 0C 10 08 9A 09 9B D3 1A CB 1A 19 B2 04 A8 ?? ?? ?? ?? BD F9 0C 10 04 A8 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 1B 9D ED 04 0B 31 EE 40 0B 8D ED 16 0B 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 16 0B 83 ED 00 0B 9D ED 16 0B B5 EE 40 0B F1 EE 10 FA 33 D1 00 9B 07 93 07 9B 5B 1C 07 93 07 9A 1F 9B 9A 42 1F DA 07 9A 08 23 02 FB 03 F2 1E 9B 99 18 07 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 91 ED 00 0B 83 ED 00 0B 07 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 D8 E7 1F 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 9F ED 45 0B 83 ED 00 0B 00 9B 5B 1E 00 93 00 9B 00 2B 03 D1 4F F4 00 63 08 93 12 E0 00 9B 5A 1E 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 0E 0B 0E A9 0D F1 06 00 ?? ?? ?? ?? BD F9 06 30 08 93 5F E0 00 9B 5A 1C 1F 9B 9A 42 01 D1 5A E0 58 E0 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 04 0B 00 9A 08 23 02 FB 03 F2 1E 9B 99 18 0D F1 06 00 ?? ?? ?? ?? 1A 21 00 9A 08 23 02 FB 03 F2 1E 9B 98 18 ?? ?? ?? ?? BD F9 06 10 00 9A 08 23 02 FB 03 F2 1E 9B 98 18 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 9D ED 04 1B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B BD F9 06 30 08 93 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 04 D0 9D ED 04 0B 8D ED 18 0B 09 E0 00 9A 08 23 02 FB 03 F2 1E 9B 13 44 93 ED 00 0B 8D ED 18 0B 9D ED 18 0B 8D ED 0E 0B 0E A9 03 A8 ?? ?? ?? ?? 00 9B 5B 1C 00 93 EA E5 1E 9B 12 93 12 98 1C B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_27_1_1 {
	meta:
		name = "_LXp_addx"
		size = 98
		refs = "004c _LXp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 19 DA 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0C D0 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B 05 99 04 98 ?? ?? ?? ?? DE E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_119_1_1 {
	meta:
		name = "_Xp_addx"
		size = 98
		refs = "004c _Xp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 19 DA 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0C D0 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B 05 99 04 98 ?? ?? ?? ?? DE E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_27_2_1 {
	meta:
		name = "_LXp_getw"
		size = 296
		altNames = "_Xp_getw"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 9B 00 2B 05 D1 9F ED 43 0B 8D ED 00 0B 7B E0 7A E0 09 9B 01 2B 10 D0 08 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 08 D0 08 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 06 D1 08 9B 93 ED 00 0B 8D ED 00 0B 60 E0 5F E0 09 9B 02 2B 08 D0 08 9B 10 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0C D1 08 9A 08 9B 08 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 0B 8D ED 00 0B 47 E0 46 E0 08 9A 08 9B 08 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 0B 8D ED 04 0B 08 9B 10 33 93 ED 00 0B 8D ED 02 0B 09 9B 04 2B 09 DB 08 9B 18 33 9D ED 02 1B 93 ED 00 0B 31 EE 00 0B 8D ED 02 0B 08 9B 9D ED 04 1B 93 ED 00 0B 31 EE 40 1B 08 9B 08 33 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 09 D1 9D ED 04 1B 9D ED 02 0B 31 EE 00 0B 8D ED 00 0B 0F E0 0E E0 08 9A 08 9B 08 33 93 ED 00 1B 9D ED 02 0B 31 EE 00 1B 92 ED 00 0B 30 EE 01 0B 8D ED 00 0B 9D ED 00 0B 06 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_27_3_1 {
	meta:
		name = "_LXp_invx"
		size = 312
		refs = "0014 _LDtest 0086 _LXp_movx 0092 _LXp_mulh 00c0 _LXp_setw 00ee _LXp_mulx 00fa _LXp_addh 0116 _LXp_addx 012c _LInf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 84 E0 0C 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 08 30 BD F9 08 30 00 2B 14 DB BD F9 08 30 01 2B 05 D1 0C 9B 9F ED 3E 0B 83 ED 00 0B 09 E0 BD F9 08 30 00 2B 05 D1 0C 9A 38 4B 93 ED 00 0B 82 ED 00 0B 62 E0 0E 9B 03 93 0D 9A 08 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 08 23 02 FB 03 F2 04 9B 13 44 06 93 0C 9B 93 ED 00 0B 8D ED 08 0B 0C 9A 0D 99 04 98 ?? ?? ?? ?? BF EE 00 0B 0D 99 04 98 ?? ?? ?? ?? 0D 9B 01 2B 09 DD 0C 9B 08 33 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B B7 EE 00 1B 9D ED 08 0B 81 EE 00 0B 0D 99 0C 98 ?? ?? ?? ?? 01 23 05 93 02 E0 05 9B 5B 00 05 93 05 9A 0D 9B 9A 42 21 DA 0C 9A 0D 99 03 98 ?? ?? ?? ?? 06 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 00 0B 0D 99 03 98 ?? ?? ?? ?? 06 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 0D 9B 03 9A 0D 99 0C 98 ?? ?? ?? ?? D6 E7 0C 9B 07 93 07 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_119_3_1 {
	meta:
		name = "_Xp_invx"
		size = 312
		refs = "0014 _Dtest 0086 _Xp_movx 0092 _Xp_mulh 00c0 _Xp_setw 00ee _Xp_mulx 00fa _Xp_addh 0116 _Xp_addx 012c _Inf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 84 E0 0C 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 08 30 BD F9 08 30 00 2B 14 DB BD F9 08 30 01 2B 05 D1 0C 9B 9F ED 3E 0B 83 ED 00 0B 09 E0 BD F9 08 30 00 2B 05 D1 0C 9A 38 4B 93 ED 00 0B 82 ED 00 0B 62 E0 0E 9B 03 93 0D 9A 08 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 08 23 02 FB 03 F2 04 9B 13 44 06 93 0C 9B 93 ED 00 0B 8D ED 08 0B 0C 9A 0D 99 04 98 ?? ?? ?? ?? BF EE 00 0B 0D 99 04 98 ?? ?? ?? ?? 0D 9B 01 2B 09 DD 0C 9B 08 33 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B B7 EE 00 1B 9D ED 08 0B 81 EE 00 0B 0D 99 0C 98 ?? ?? ?? ?? 01 23 05 93 02 E0 05 9B 5B 00 05 93 05 9A 0D 9B 9A 42 21 DA 0C 9A 0D 99 03 98 ?? ?? ?? ?? 06 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 00 0B 0D 99 03 98 ?? ?? ?? ?? 06 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 0D 9B 03 9A 0D 99 0C 98 ?? ?? ?? ?? D6 E7 0C 9B 07 93 07 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_27_4_1 {
	meta:
		name = "_LXp_ldexpx"
		size = 122
		refs = "0030 ldexpl"
		altNames = "_Xp_ldexpx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 25 DA 08 98 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 00 9A 08 23 02 FB 03 F2 06 9B 13 44 9D ED 02 0B 83 ED 00 0B 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 00 E0 D2 E7 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_27_5_1 {
	meta:
		name = "_LXp_movx"
		size = 42
		refs = "0016 memcpy"
		altNames = "_Xp_movx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 08 23 02 FB 03 F2 06 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_27_6_1 {
	meta:
		name = "_LXp_mulh"
		size = 532
		refs = "0008 __security_push_cookie 002e _LDtest 0050 _Feraise 016c _LDunscale 0174 _LDint 017e _LDscale 018a _LXp_addh 01fe __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 8D ED 08 0B 17 9B 00 2B 38 DD 16 9B 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 0A AB 83 ED 00 0B 0A A8 ?? ?? ?? ?? AD F8 10 00 BD F9 10 30 AD F8 04 30 BD F9 04 30 00 2B 1C DB BD F9 04 30 02 2B 02 D1 01 20 ?? ?? ?? ?? 0A AA 16 9B 92 ED 00 0B 83 ED 00 0B BD F9 04 30 00 2B 08 DD 17 9B 01 2B 05 DD 16 9B 08 33 9F ED 66 0B 83 ED 00 0B 16 9B 05 93 BC E0 16 9B 9F ED 62 0B 83 ED 00 0B 01 23 00 93 00 23 02 93 05 E0 02 9B 5B 1C 02 93 00 9B 5B 1E 00 93 02 9A 17 9B 9A 42 80 F2 A6 80 02 E0 00 9B 5B 1C 00 93 00 9B 04 2B 45 DA 02 9A 00 9B 1A 44 17 9B 9A 42 31 DA 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 22 D0 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 00 9A 08 23 02 FB 03 F2 0A AB 13 44 83 ED 00 0B 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 9F ED 3B 0B 83 ED 00 0B 0C E0 00 9A 08 23 02 FB 03 F2 0A AB 13 44 9F ED 35 0B 83 ED 00 0B 08 23 00 93 00 E0 B3 E7 0A AB 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 01 D1 4F E0 4D E0 00 23 03 93 0A AB 93 ED 00 0B 8D ED 06 0B 06 A9 0D F1 12 00 ?? ?? ?? ?? 1A 21 06 A8 ?? ?? ?? ?? BD F9 12 10 06 A8 ?? ?? ?? ?? 9D ED 06 0B 17 99 16 98 ?? ?? ?? ?? 0A AB 93 ED 00 1B 9D ED 06 0B 31 EE 40 0B 17 99 16 98 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 00 9B 9A 42 20 DA 03 9A 08 23 02 FB 03 F2 0A AB 99 18 03 9B 5A 1E 08 23 02 FB 03 F2 0A AB 13 44 91 ED 00 0B 83 ED 00 0B 03 9B 5A 1E 08 23 02 FB 03 F2 0A AB 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 00 E0 D7 E7 4E E7 16 9B 05 93 05 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_119_6_1 {
	meta:
		name = "_Xp_mulh"
		size = 532
		refs = "0008 __security_push_cookie 002e _Dtest 0050 _Feraise 016c _Dunscale 0174 _Dint 017e _Dscale 018a _Xp_addh 01fe __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 8D ED 08 0B 17 9B 00 2B 38 DD 16 9B 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 0A AB 83 ED 00 0B 0A A8 ?? ?? ?? ?? AD F8 10 00 BD F9 10 30 AD F8 04 30 BD F9 04 30 00 2B 1C DB BD F9 04 30 02 2B 02 D1 01 20 ?? ?? ?? ?? 0A AA 16 9B 92 ED 00 0B 83 ED 00 0B BD F9 04 30 00 2B 08 DD 17 9B 01 2B 05 DD 16 9B 08 33 9F ED 66 0B 83 ED 00 0B 16 9B 05 93 BC E0 16 9B 9F ED 62 0B 83 ED 00 0B 01 23 00 93 00 23 02 93 05 E0 02 9B 5B 1C 02 93 00 9B 5B 1E 00 93 02 9A 17 9B 9A 42 80 F2 A6 80 02 E0 00 9B 5B 1C 00 93 00 9B 04 2B 45 DA 02 9A 00 9B 1A 44 17 9B 9A 42 31 DA 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 22 D0 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 00 9A 08 23 02 FB 03 F2 0A AB 13 44 83 ED 00 0B 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 9F ED 3B 0B 83 ED 00 0B 0C E0 00 9A 08 23 02 FB 03 F2 0A AB 13 44 9F ED 35 0B 83 ED 00 0B 08 23 00 93 00 E0 B3 E7 0A AB 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 01 D1 4F E0 4D E0 00 23 03 93 0A AB 93 ED 00 0B 8D ED 06 0B 06 A9 0D F1 12 00 ?? ?? ?? ?? 1A 21 06 A8 ?? ?? ?? ?? BD F9 12 10 06 A8 ?? ?? ?? ?? 9D ED 06 0B 17 99 16 98 ?? ?? ?? ?? 0A AB 93 ED 00 1B 9D ED 06 0B 31 EE 40 0B 17 99 16 98 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 00 9B 9A 42 20 DA 03 9A 08 23 02 FB 03 F2 0A AB 99 18 03 9B 5A 1E 08 23 02 FB 03 F2 0A AB 13 44 91 ED 00 0B 83 ED 00 0B 03 9B 5A 1E 08 23 02 FB 03 F2 0A AB 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 00 E0 D7 E7 4E E7 16 9B 05 93 05 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_27_7_1 {
	meta:
		name = "_LXp_mulx"
		size = 226
		refs = "0044 _LXp_mulh 0062 _LXp_movx 00cc _LXp_addx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 02 D0 09 9B 00 2B 00 D1 5C E0 08 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 08 D0 08 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 07 D1 08 9B 93 ED 00 0B 07 99 06 98 ?? ?? ?? ?? 43 E0 0A 9B 02 93 07 9A 08 23 02 FB 03 F2 0A 9B 13 44 01 93 06 9A 07 99 02 98 ?? ?? ?? ?? 08 9B 93 ED 00 0B 07 99 06 98 ?? ?? ?? ?? 01 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 09 9B 9A 42 24 DA 00 9A 08 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 17 D0 02 9A 07 99 01 98 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0B 07 99 01 98 ?? ?? ?? ?? 07 9B 01 9A 07 99 06 98 ?? ?? ?? ?? D3 E7 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_119_7_1 {
	meta:
		name = "_Xp_mulx"
		size = 226
		refs = "0044 _Xp_mulh 0062 _Xp_movx 00cc _Xp_addx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 02 D0 09 9B 00 2B 00 D1 5C E0 08 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 08 D0 08 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 07 D1 08 9B 93 ED 00 0B 07 99 06 98 ?? ?? ?? ?? 43 E0 0A 9B 02 93 07 9A 08 23 02 FB 03 F2 0A 9B 13 44 01 93 06 9A 07 99 02 98 ?? ?? ?? ?? 08 9B 93 ED 00 0B 07 99 06 98 ?? ?? ?? ?? 01 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 09 9B 9A 42 24 DA 00 9A 08 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 17 D0 02 9A 07 99 01 98 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0B 07 99 01 98 ?? ?? ?? ?? 07 9B 01 9A 07 99 06 98 ?? ?? ?? ?? D3 E7 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_27_8_1 {
	meta:
		name = "_LXp_setn"
		size = 44
		refs = "0018 _LXp_setw"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 00 EE 10 3A B8 EE C0 0B 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_119_8_1 {
	meta:
		name = "_Xp_setn"
		size = 44
		refs = "0018 _Xp_setw"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 00 EE 10 3A B8 EE C0 0B 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_27_9_1 {
	meta:
		name = "_LXp_setw"
		size = 336
		refs = "0028 _LDunscale 0070 _LDint 007a _LDscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 0B 9B 00 2B 00 DC 8B E0 0B 9B 01 2B 0D D0 04 A9 68 46 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 02 30 BD F9 02 30 00 2B 05 D1 0A 9B 9D ED 04 0B 83 ED 00 0B 74 E0 BD F9 02 30 00 2B 0B DD 0A 9B 9D ED 04 0B 83 ED 00 0B 0A 9B 08 33 9F ED 39 0B 83 ED 00 0B 64 E0 1A 21 04 A8 ?? ?? ?? ?? BD F9 00 10 04 A8 ?? ?? ?? ?? 0A 9B 9D ED 04 0B 83 ED 00 0B 9D ED 06 1B 9D ED 04 0B 31 EE 40 0B 0A 9B 08 33 83 ED 00 0B 0B 9B 02 2B 40 DD 0A 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 37 D0 0A 9B 08 33 93 ED 00 0B 8D ED 06 0B 0A 9B 03 F1 08 01 68 46 ?? ?? ?? ?? 1A 21 0A 9B 03 F1 08 00 ?? ?? ?? ?? BD F9 00 10 0A 9B 03 F1 08 00 ?? ?? ?? ?? 0A 9B 08 33 9D ED 06 1B 93 ED 00 0B 31 EE 40 0B 0A 9B 10 33 83 ED 00 0B 0B 9B 03 2B 0E DD 0A 9B 10 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 05 D0 0A 9B 18 33 9F ED 0B 0B 83 ED 00 0B 08 E0 0B 9B 02 2B 05 DD 0A 9B 10 33 9F ED 06 0B 83 ED 00 0B 0A 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_119_9_1 {
	meta:
		name = "_Xp_setw"
		size = 336
		refs = "0028 _Dunscale 0070 _Dint 007a _Dscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 0B 9B 00 2B 00 DC 8B E0 0B 9B 01 2B 0D D0 04 A9 68 46 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 02 30 BD F9 02 30 00 2B 05 D1 0A 9B 9D ED 04 0B 83 ED 00 0B 74 E0 BD F9 02 30 00 2B 0B DD 0A 9B 9D ED 04 0B 83 ED 00 0B 0A 9B 08 33 9F ED 39 0B 83 ED 00 0B 64 E0 1A 21 04 A8 ?? ?? ?? ?? BD F9 00 10 04 A8 ?? ?? ?? ?? 0A 9B 9D ED 04 0B 83 ED 00 0B 9D ED 06 1B 9D ED 04 0B 31 EE 40 0B 0A 9B 08 33 83 ED 00 0B 0B 9B 02 2B 40 DD 0A 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 37 D0 0A 9B 08 33 93 ED 00 0B 8D ED 06 0B 0A 9B 03 F1 08 01 68 46 ?? ?? ?? ?? 1A 21 0A 9B 03 F1 08 00 ?? ?? ?? ?? BD F9 00 10 0A 9B 03 F1 08 00 ?? ?? ?? ?? 0A 9B 08 33 9D ED 06 1B 93 ED 00 0B 31 EE 40 0B 0A 9B 10 33 83 ED 00 0B 0B 9B 03 2B 0E DD 0A 9B 10 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 05 D0 0A 9B 18 33 9F ED 0B 0B 83 ED 00 0B 08 E0 0B 9B 02 2B 05 DD 0A 9B 10 33 9F ED 06 0B 83 ED 00 0B 0A 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_27_10_1 {
	meta:
		name = "_LXp_sqrtx"
		size = 328
		refs = "0014 _LDtest 0046 _Feraise 00a0 sqrtl 00b8 _LXp_setw 00d6 _LXp_movx 00e2 _LXp_mulh 00f2 _LXp_mulx 010e _LXp_addh 0144 _LNan"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 00 D1 90 E0 0E 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 07 DA 0E 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 11 D2 0E 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 0E 9A 3D 4B 93 ED 00 0B 82 ED 00 0B 6D E0 10 9B 03 93 0F 9A 08 23 02 FB 03 F2 10 9B 13 44 04 93 0F 9A 08 23 02 FB 03 F2 04 9B 13 44 05 93 0E 9B 93 ED 00 0B 8D ED 08 0B 0F 9B 01 2B 09 DD 0E 9B 08 33 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 0A 0B B7 EE 00 1B 9D ED 0A 0B 81 EE 00 0B 0F 99 04 98 ?? ?? ?? ?? 02 23 06 93 02 E0 06 9B 5B 00 06 93 06 9A 0F 9B 9A 42 29 DA 04 9A 0F 99 03 98 ?? ?? ?? ?? BE EE 00 0B 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 0E 9A 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 04 9A 0F 99 03 98 ?? ?? ?? ?? B7 EE 08 0B 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 03 9A 0F 99 04 98 ?? ?? ?? ?? CE E7 05 9B 00 93 0F 9B 04 9A 0F 99 0E 98 ?? ?? ?? ?? 0E 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_11_1 {
	meta:
		name = "_LXp_subx"
		size = 102
		refs = "0050 _LXp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 1B DA 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0E D0 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B1 EE 40 0B 05 99 04 98 ?? ?? ?? ?? DC E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_119_11_1 {
	meta:
		name = "_Xp_subx"
		size = 102
		refs = "0050 _Xp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 1B DA 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0E D0 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B1 EE 40 0B 05 99 04 98 ?? ?? ?? ?? DC E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_27_12_1 {
	meta:
		name = "ldexpl"
		size = 50
		refs = "0014 ldexp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 08 98 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1270_1 {
	meta:
		name = "frexpl"
		size = 50
		refs = "0014 frexp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 08 98 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_1_1 {
	meta:
		name = "_Mtxinit"
		size = 36
		refs = "0020 __imp_InitializeCriticalSectionEx"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 22 4F F4 7A 61 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_3_1 {
	meta:
		name = "??0bad_function_call@std@@QAA@XZ"
		size = 44
		refs = "000c ??0exception@std@@QAA@XZ 0028 ??_7bad_function_call@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_7_1 {
	meta:
		name = "??0exception@std@@QAA@XZ"
		size = 48
		refs = "0018 memset 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 07 4B 13 60 08 22 00 21 04 9B 18 1D ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_18_1 {
	meta:
		name = "??0regex_error@std@@QAA@ABV01@@Z"
		size = 60
		refs = "000e ??0runtime_error@std@@QAA@ABV01@@Z 0038 ??_7regex_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 09 4A 04 9B 1A 60 05 9B 03 F1 0C 01 04 9B 03 F1 0C 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_19_1 {
	meta:
		name = "??0regex_error@std@@QAA@W4error_type@regex_constants@1@@Z"
		size = 64
		refs = "000c ?_Stringify@regex_error@std@@CAPBDW4error_type@regex_constants@2@@Z 0016 ??0runtime_error@std@@QAA@PBD@Z 003c ??_7regex_error@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 00 90 00 99 06 98 ?? ?? ?? ?? 02 90 07 4A 06 9B 1A 60 06 9B 03 F1 0C 02 07 9B 13 60 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_40_1 {
	meta:
		name = "??_Gregex_error@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1regex_error@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 10 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_31_42_1 {
	meta:
		name = "?_Stringify@regex_error@std@@CAPBDW4error_type@regex_constants@2@@Z"
		size = 212
		refs = "0094 ??_C@_0M@KGKAAGCA@regex_error?$AA@ 0098 ??_C@_0BK@DFJCACNI@regex_error?$CIerror_syntax?$CJ?$AA@ 009c ??_C@_0BJ@CHBLKGNM@regex_error?$CIerror_parse?$CJ?$AA@ 00a0 ??_C@_0JC@HCDLJLGO@regex_error?$CIerror_stack?$CJ?3?5There?5@ 00a4 ??_C@_0HL@NEKOFBJA@regex_error?$CIerror_complexity?$CJ?3?5T@ 00a8 ??_C@_0FK@LCHHHEOA@regex_error?$CIerror_badrepeat?$CJ?3?5On@ 00ac ??_C@_0GP@PICOBCHA@regex_error?$CIerror_space?$CJ?3?5There?5@ 00b0 ??_C@_0HA@ICNJLCMC@regex_error?$CIerror_range?$CJ?3?5The?5ex@ 00b4 ??_C@_0FM@BLDIHIBB@regex_error?$CIerror_badbrace?$CJ?3?5The@ 00b8 ??_C@_0EH@DICJJKLO@regex_error?$CIerror_brace?$CJ?3?5The?5ex@ 00bc ??_C@_0EH@CAGOJGLE@regex_error?$CIerror_paren?$CJ?3?5The?5ex@ 00c0 ??_C@_0EH@LGEANNAL@regex_error?$CIerror_brack?$CJ?3?5The?5ex@ 00c4 ??_C@_0FA@HFMLPGNN@regex_error?$CIerror_backref?$CJ?3?5The?5@ 00c8 ??_C@_0GI@HEGGMMDL@regex_error?$CIerror_escape?$CJ?3?5The?5e@ 00cc ??_C@_0FE@LJMHKIOC@regex_error?$CIerror_ctype?$CJ?3?5The?5ex@ 00d0 ??_C@_0FI@CMNGHIFF@regex_error?$CIerror_collate?$CJ?3?5The?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 01 9B 0E 2B 37 D8 01 9A DF E8 02 F0 08 0B 0E 11 14 17 1A 1D 20 23 26 29 2C 2F 32 32 29 4B 00 93 2B E0 26 4B 00 93 28 E0 24 4B 00 93 25 E0 21 4B 00 93 22 E0 1F 4B 00 93 1F E0 1C 4B 00 93 1C E0 1A 4B 00 93 19 E0 17 4B 00 93 16 E0 15 4B 00 93 13 E0 12 4B 00 93 10 E0 10 4B 00 93 0D E0 0D 4B 00 93 0A E0 0B 4B 00 93 07 E0 08 4B 00 93 04 E0 06 4B 00 93 01 E0 03 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_43_1 {
	meta:
		name = "?_Xbad_alloc@std@@YAXXZ"
		size = 28
		refs = "000a ??0bad_alloc@std@@QAA@XZ 0012 _CxxThrowException 0018 _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_44_1 {
	meta:
		name = "?_Xbad_function_call@std@@YAXXZ"
		size = 28
		refs = "000a ??0bad_function_call@std@@QAA@XZ 0012 _CxxThrowException 0018 _TI2?AVbad_function_call@std@@"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_45_1 {
	meta:
		name = "?_Xinvalid_argument@std@@YAXPBD@Z"
		size = 32
		refs = "000e ??0invalid_argument@std@@QAA@PBD@Z 0016 _CxxThrowException 001c _TI3?AVinvalid_argument@std@@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_46_1 {
	meta:
		name = "?_Xlength_error@std@@YAXPBD@Z"
		size = 32
		refs = "000e ??0length_error@std@@QAA@PBD@Z 0016 _CxxThrowException 001c _TI3?AVlength_error@std@@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_47_1 {
	meta:
		name = "?_Xout_of_range@std@@YAXPBD@Z"
		size = 32
		refs = "000e ??0out_of_range@std@@QAA@PBD@Z 0016 _CxxThrowException 001c _TI3?AVout_of_range@std@@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_48_1 {
	meta:
		name = "?_Xoverflow_error@std@@YAXPBD@Z"
		size = 32
		refs = "000e ??0overflow_error@std@@QAA@PBD@Z 0016 _CxxThrowException 001c _TI3?AVoverflow_error@std@@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_49_1 {
	meta:
		name = "?_Xregex_error@std@@YAXW4error_type@regex_constants@1@@Z"
		size = 32
		refs = "000e ??0regex_error@std@@QAA@W4error_type@regex_constants@1@@Z 0016 _CxxThrowException 001c _TI3?AVregex_error@std@@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_50_1 {
	meta:
		name = "?_Xruntime_error@std@@YAXPBD@Z"
		size = 32
		refs = "000e ??0runtime_error@std@@QAA@PBD@Z 0016 _CxxThrowException 001c _TI2?AVruntime_error@std@@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_9_1 {
	meta:
		name = "??$end@$$CBU_Sys_errtab_t@std@@$0EO@@std@@YAPBU_Sys_errtab_t@0@AAY0EO@$$CBU10@@Z"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F5 1C 73 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_10_1 {
	meta:
		name = "??$end@$$CBU_Win_errtab_t@std@@$0EK@@std@@YAPBU_Win_errtab_t@0@AAY0EK@$$CBU10@@Z"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F5 14 73 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_16_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z"
		size = 66
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 002e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? 3A 8D 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_212_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z"
		size = 66
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 002e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? 3A 8D 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_32_25_1 {
	meta:
		name = "??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z"
		size = 44
		refs = "000c ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 02 23 02 FB 03 F2 00 9B 13 44 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_387_1 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z"
		size = 44
		refs = "000c ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 02 23 02 FB 03 F2 00 9B 13 44 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_388_1 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAABGI@Z"
		size = 44
		refs = "000c ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 02 23 02 FB 03 F2 00 9B 13 44 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_390_1 {
	meta:
		name = "??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAAB_WI@Z"
		size = 44
		refs = "000c ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 02 23 02 FB 03 F2 00 9B 13 44 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_28_1 {
	meta:
		name = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII_W@Z"
		size = 84
		refs = "0012 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0026 ?assign@?$char_traits@_W@std@@SAXAA_WAB_W@Z 0046 ?assign@?$char_traits@_W@std@@SAPA_WPA_WI_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 01 2B 0D D1 04 98 ?? ?? ?? ?? 00 90 07 A9 05 9A 02 23 02 FB 03 F2 00 9B 98 18 ?? ?? ?? ?? 0E E0 04 98 ?? ?? ?? ?? 01 90 BD F8 1C 20 06 99 05 98 02 23 00 FB 03 F0 01 9B 18 44 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_501_1 {
	meta:
		name = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIIG@Z"
		size = 84
		refs = "0012 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 0026 ?assign@?$char_traits@G@std@@SAXAAGABG@Z 0046 ?assign@?$char_traits@G@std@@SAPAGPAGIG@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 01 2B 0D D1 04 98 ?? ?? ?? ?? 00 90 07 A9 05 9A 02 23 02 FB 03 F2 00 9B 98 18 ?? ?? ?? ?? 0E E0 04 98 ?? ?? ?? ?? 01 90 BD F8 1C 20 06 99 05 98 02 23 00 FB 03 F0 01 9B 18 44 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_32_45_1 {
	meta:
		name = "?_Syserror_map@std@@YAPBDH@Z"
		size = 84
		refs = "0018 ??$end@$$CBU_Sys_errtab_t@std@@$0EO@@std@@YAPBU_Sys_errtab_t@0@AAY0EO@$$CBU10@@Z 004c ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 0050 ?_Sys_errtab@std@@3QBU_Sys_errtab_t@1@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 11 4B 00 93 02 E0 00 9B 08 33 00 93 0E 48 ?? ?? ?? ?? 02 90 00 9A 02 9B 9A 42 0A D0 00 9B 1A 68 06 9B 9A 42 04 D1 00 9B 1B 1D 1B 68 01 93 02 E0 E9 E7 03 4B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_47_1 {
	meta:
		name = "?_Winerror_map@std@@YAHH@Z"
		size = 80
		refs = "0018 ??$end@$$CBU_Win_errtab_t@std@@$0EK@@std@@YAPBU_Win_errtab_t@0@AAY0EK@$$CBU10@@Z 004c ?_Win_errtab@std@@3QBU_Win_errtab_t@1@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 10 4B 00 93 02 E0 00 9B 08 33 00 93 0D 48 ?? ?? ?? ?? 02 90 00 9A 02 9B 9A 42 0A D0 00 9B 1A 68 06 9B 9A 42 04 D1 00 9B 1B 1D 1B 68 01 93 02 E0 E9 E7 00 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_48_1 {
	meta:
		name = "?_Winerror_message@std@@YAKKPADK@Z"
		size = 224
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 0030 ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0062 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00cc __security_pop_cookie 00d8 __imp_WideCharToMultiByte 00dc __imp_FormatMessageW"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? 93 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0A 33 00 22 B9 6E 17 F1 30 00 ?? ?? ?? ?? 78 62 00 21 17 F1 30 00 ?? ?? ?? ?? B8 60 00 23 02 93 BB 6E 01 93 BB 68 00 93 00 23 3A 6E 00 21 4F F4 90 50 23 4C 24 68 A0 47 F8 60 FB 68 00 2B 08 D1 00 23 3B 61 17 F1 30 00 ?? ?? ?? ?? 3B 69 3B 60 2D E0 00 21 17 F1 30 00 ?? ?? ?? ?? 78 61 00 23 03 93 00 23 02 93 BB 6E 01 93 7B 6E 00 93 6F F0 00 03 7A 69 00 21 00 20 11 4C 24 68 A0 47 B8 61 BB 69 7B 60 7B 68 00 2B 08 D1 00 23 FB 61 17 F1 30 00 ?? ?? ?? ?? FB 69 3B 60 08 E0 7B 68 5B 1E 3B 62 17 F1 30 00 ?? ?? ?? ?? 3B 6A 3B 60 38 68 17 B0 ?? ?? ?? ?? BD E8 90 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_53_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
		size = 92
		refs = "0016 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 0020 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 003a ?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII_W@Z 0042 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 0058 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 12 4B 1B 68 9A 42 02 D1 04 98 ?? ?? ?? ?? 00 22 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0A D0 BD F8 18 30 05 9A 00 21 04 98 ?? ?? ?? ?? 05 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_913_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
		size = 92
		refs = "0016 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 0020 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 003a ?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIIG@Z 0042 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 0058 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 12 4B 1B 68 9A 42 02 D1 04 98 ?? ?? ?? ?? 00 22 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0A D0 BD F8 18 30 05 9A 00 21 04 98 ?? ?? ?? ?? 05 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_54_1 {
	meta:
		name = "?assign@?$char_traits@_W@std@@SAPA_WPA_WI_W@Z"
		size = 40
		refs = "0012 wmemset"
		altNames = "?assign@?$char_traits@G@std@@SAPAGPAGIG@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A BD F8 18 10 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_32_64_1 {
	meta:
		name = "wmemset"
		size = 60
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 05 E0 00 9B 9B 1C 00 93 06 9B 5B 1E 06 93 06 9B 00 2B 04 D9 BD F8 14 20 00 9B 1A 80 F1 E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_33_0_1 {
	meta:
		name = "_Dint"
		size = 552
		refs = "0220 ?sub@?3??_Dint@@9@9 0224 ?mask@?3??_Dint@@9@9"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 01 93 01 9B 9B 1D 1A 88 47 F6 F0 73 13 40 1B 11 1B B2 AD F8 00 30 BD F9 00 20 40 F2 FF 73 9A 42 1F D1 01 9B 9B 1D 1B 88 03 F0 0F 03 00 2B 10 D1 01 9B 1B 1D 1B 88 00 2B 0B D1 01 9B 9B 1C 1B 88 00 2B 06 D1 01 9B 1B 88 00 2B 02 D1 01 23 04 93 01 E0 02 23 04 93 04 9B 1B B2 AD F8 08 30 D2 E0 18 E0 01 9B 9B 1D 1B 88 23 F4 00 43 00 2B 11 D1 01 9B 1B 1D 1B 88 00 2B 0C D1 01 9B 9B 1C 1B 88 00 2B 07 D1 01 9B 1B 88 00 2B 03 D1 00 23 AD F8 08 30 B8 E0 BD F9 00 20 40 F2 33 43 9A 1A BD F9 24 30 D3 1A 1B B2 AD F8 00 30 BD F9 00 30 00 2B 04 DC 00 23 AD F8 08 30 A5 E0 A4 E0 BD F9 00 30 35 2B 19 DB 01 9B 9B 1D 1B 88 03 F4 00 41 01 9B 9A 1D 8B B2 13 80 01 9B 1A 1D 00 23 13 80 01 9B 9A 1C 00 23 13 80 01 9A 00 23 13 80 6F F0 00 03 AD F8 08 30 87 E0 86 E0 BD F9 00 30 03 F0 0F 02 02 23 02 FB 03 F2 44 4B 13 44 1B 88 AD F8 02 30 BD F9 00 30 1B 11 1B B2 AD F8 00 30 01 99 BD F9 00 20 04 23 02 FB 03 F2 3A 4B 13 44 1A 68 02 23 02 FB 03 F3 0B 44 1A 88 BD F8 02 30 13 40 9B B2 AD F8 02 30 01 99 BD F9 00 20 04 23 02 FB 03 F2 30 4B 13 44 1A 68 02 23 02 FB 03 F3 0B 44 BD F8 02 20 1B 88 83 EA 02 01 BD F9 00 20 04 23 02 FB 03 F2 28 4B 13 44 1A 68 02 23 02 FB 03 F2 01 9B 1A 44 8B B2 13 80 BD F9 00 30 03 93 03 9B 01 2B 20 D0 03 9B 02 2B 10 D0 03 9B 03 2B 00 D0 24 E0 01 9B 1B 1D 1A 88 BD F8 02 30 13 43 9B B2 AD F8 02 30 01 9B 1A 1D 00 23 13 80 01 9B 9B 1C 1A 88 BD F8 02 30 13 43 9B B2 AD F8 02 30 01 9B 9A 1C 00 23 13 80 01 9B 1A 88 BD F8 02 30 13 43 9B B2 AD F8 02 30 01 9A 00 23 13 80 BD F8 02 30 00 2B 03 D0 6F F0 00 03 05 93 01 E0 00 23 05 93 05 9B 1B B2 AD F8 08 30 BD F9 08 00 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_0_1 {
	meta:
		name = "_Lock_shared_ptr_spin_lock"
		size = 52
		refs = "0030 _Shared_ptr_flag"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 09 48 01 21 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 13 46 00 93 BF F3 5B 8F 00 9B 00 2B 01 D0 10 BF EE E7 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1_1 {
	meta:
		name = "_Unlock_shared_ptr_spin_lock"
		size = 24
		refs = "0014 _Shared_ptr_flag"
	strings:
		$1 = { 2D E9 00 48 EB 46 BF F3 5B 8F 02 4A 00 23 13 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_0_1 {
	meta:
		name = "??0?$_Yarn@D@std@@QAA@PBD@Z"
		size = 48
		refs = "001c ??4?$_Yarn@D@std@@QAAAAV01@PBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 1A 1D 00 23 13 70 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_3_1 {
	meta:
		name = "??0_Locimp@locale@std@@AAA@ABV012@@Z"
		size = 152
		refs = "001a ??0facet@locale@std@@IAA@I@Z 0066 ?c_str@?$_Yarn@D@std@@QBAPBDXZ 0074 ??0?$_Yarn@D@std@@QAA@PBD@Z 007e ?_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z 0094 ??_7_Locimp@locale@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 01 21 B8 6A ?? ?? ?? ?? B8 60 1C 4A BB 6A 1A 60 BB 6A 03 F1 08 02 00 23 13 60 FB 6A 03 F1 0C 01 BB 6A 03 F1 0C 02 0B 68 13 60 FB 6A 03 F1 10 01 BB 6A 03 F1 10 02 0B 68 13 60 FB 6A 03 F1 14 01 BB 6A 03 F1 14 02 0B 78 13 70 FB 6A 03 F1 18 00 ?? ?? ?? ?? 38 60 39 68 BB 6A 03 F1 18 00 ?? ?? ?? ?? F8 60 F9 6A B8 6A ?? ?? ?? ?? BB 6A 7B 60 78 68 07 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_6_1 {
	meta:
		name = "??0_Locimp@locale@std@@AAA@_N@Z"
		size = 120
		refs = "001a ??0facet@locale@std@@IAA@I@Z 0058 ??0?$_Yarn@D@std@@QAA@PBD@Z 0070 ??_C@_01NBENCBCI@?$CK?$AA@ 0074 ??_7_Locimp@locale@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 01 21 B8 6A ?? ?? ?? ?? 78 60 14 4A BB 6A 1A 60 BB 6A 03 F1 08 02 00 23 13 60 BB 6A 03 F1 0C 02 00 23 13 60 BB 6A 03 F1 10 02 00 23 13 60 BB 6A 03 F1 14 02 97 F8 2C 30 13 70 07 49 BB 6A 03 F1 18 00 ?? ?? ?? ?? B8 60 BB 6A 3B 60 38 68 07 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_11_1 {
	meta:
		name = "??0locale@std@@AAA@PAV_Locimp@01@@Z"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1A 1D 05 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_14_1 {
	meta:
		name = "??1_Fac_node@std@@QAA@XZ"
		size = 118
		refs = "002c _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 3B 6C 1B 1D 1A 68 3B 6C 1B 1D 1C 68 13 68 08 33 1B 68 7B 60 78 68 ?? ?? ?? ?? 7B 68 20 46 98 47 F8 60 FB 68 3B 61 3B 69 3B 60 3B 68 00 2B 10 D0 01 25 3B 68 1B 68 3C 68 1B 68 BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 29 46 98 47 78 61 7B 69 BB 61 01 E0 00 23 BB 61 0B B0 BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_35_15_1 {
	meta:
		name = "??1_Fac_tidy_reg_t@std@@QAA@XZ"
		size = 84
		refs = "0032 ??_G_Fac_node@std@@QAAPAXI@Z 0050 ?_Fac_head@std@@3PAU_Fac_node@1@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 11 4B 1B 68 00 2B 18 D0 0F 4B 1B 68 00 93 00 9B 1A 68 0C 4B 1A 60 00 9B 02 93 02 9B 01 93 01 9B 00 2B 07 D0 01 21 01 98 ?? ?? ?? ?? 03 90 03 9B 04 93 01 E0 00 23 04 93 E2 E7 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_17_1 {
	meta:
		name = "??1_Locimp@locale@std@@MAA@XZ"
		size = 64
		refs = "001e ?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z 0028 ??1?$_Yarn@D@std@@QAA@XZ 002e ??1facet@locale@std@@MAA@XZ 003c ??_7_Locimp@locale@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 09 4A BB 69 1A 60 B8 69 ?? ?? ?? ?? BB 69 03 F1 18 00 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_23_1 {
	meta:
		name = "??2_Fac_node@std@@SAPAXI@Z"
		size = 76
		refs = "0022 _malloc_dbg 0032 ?_Xbad_alloc@std@@YAXXZ 0048 ??_C@_0CM@OKINAFCK@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 02 D9 06 9B 00 93 01 E0 01 23 00 93 22 23 0A 4A 02 21 00 98 ?? ?? ?? ?? 02 90 02 9B 01 93 01 9B 00 2B 01 D1 ?? ?? ?? ?? 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_26_1 {
	meta:
		name = "??3_Fac_node@std@@SAXPAX@Z"
		size = 24
		refs = "000c _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_27_1 {
	meta:
		name = "??4?$_Yarn@D@std@@QAAAAV01@PBD@Z"
		size = 132
		refs = "0016 ?_Tidy@?$_Yarn@D@std@@AAAXXZ 004e _malloc_dbg 006a memcpy 0080 ??_C@_0CJ@JJAOBJEO@f?3?2dd?2vctools?2crt?2crtw32?2stdhpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1A 68 07 9B 9A 42 2C D0 06 98 ?? ?? ?? ?? 07 9B 00 2B 26 D0 07 9B 00 93 00 9B 93 F9 00 30 00 2B 03 D0 00 9B 5B 1C 00 93 F6 E7 00 9B 5B 1C 00 93 00 9A 07 9B D3 1A 01 93 40 F6 AB 63 0D 4A 02 21 01 98 ?? ?? ?? ?? 02 90 06 9A 02 9B 13 60 06 9B 1B 68 00 2B 05 D0 01 9A 07 99 06 9B 18 68 ?? ?? ?? ?? 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_30_1 {
	meta:
		name = "??_G_Locimp@locale@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1_Locimp@locale@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 20 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_38_1 {
	meta:
		name = "??__Eclassic_locale@std@@YAXXZ"
		size = 32
		refs = "000a ??0locale@std@@QAA@W4_Uninitialized@1@@Z 0010 atexit 0018 ??__Fclassic_locale@std@@YAXXZ 001c ?classic_locale@std@@3Vlocale@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 04 48 ?? ?? ?? ?? 02 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_46_1 {
	meta:
		name = "?_Empty@?$_Yarn@D@std@@QBA_NXZ"
		size = 50
		altNames = "?_Empty@?$_Yarn@_W@std@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_47_1 {
	meta:
		name = "?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z"
		size = 88
		refs = "0018 ??2_Fac_node@std@@SAPAXI@Z 0030 ??0_Fac_node@std@@QAA@PAU01@PAV_Facet_base@1@@Z 0054 ?_Fac_head@std@@3PAU_Fac_node@1@A"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 08 20 ?? ?? ?? ?? B8 60 BB 68 3B 60 3B 68 00 2B 09 D0 3A 6B 0A 4B 19 68 38 68 ?? ?? ?? ?? F8 60 FB 68 7B 60 01 E0 00 23 7B 60 7B 68 3B 61 3A 69 03 4B 1A 60 09 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_53_1 {
	meta:
		name = "?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ"
		size = 28
		refs = "0018 global_locale"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 03 4B 1B 68 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_56_1 {
	meta:
		name = "?_Init@locale@std@@CAPAV_Locimp@12@_N@Z"
		size = 244
		refs = "0020 ??0_Lockit@std@@QAA@H@Z 0026 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0038 ?_New_Locimp@_Locimp@locale@std@@CAPAV123@_N@Z 0044 ?_Setgloballocale@locale@std@@CAXPAX@Z 005a ??4?$_Yarn@D@std@@QAAAAV01@PBD@Z 0076 _guard_check_icall 0084 ??2@YAPAXIPAX@Z 009a ??0locale@std@@AAA@PAV_Locimp@01@@Z 00d2 ??1_Lockit@std@@QAA@XZ 00e8 ?_Clocptr@_Locimp@locale@std@@0PAV123@A 00ec ?classic_locale@std@@3Vlocale@1@A 00f0 ??_C@_01GFHCPBMG@C?$AA@"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 90 B0 6F 46 6F F0 01 03 C7 E9 0E 33 00 23 3B 60 00 21 17 F1 24 00 ?? ?? ?? ?? F8 62 ?? ?? ?? ?? 78 61 7B 69 3B 60 3B 68 00 2B 3B D1 00 20 ?? ?? ?? ?? B8 61 BB 69 3B 60 38 68 ?? ?? ?? ?? 3B 68 03 F1 10 02 3F 23 13 60 27 49 3B 68 03 F1 18 00 ?? ?? ?? ?? 3A 68 21 4B 1A 60 20 4B 1B 68 1B 68 1A 1D 1E 4B 1C 68 13 68 7B 60 78 68 ?? ?? ?? ?? 7B 68 20 46 98 47 1A 49 08 20 ?? ?? ?? ?? F8 61 FB 69 BB 60 BB 68 00 2B 08 D0 14 4B 19 68 B8 68 ?? ?? ?? ?? 38 62 3B 6A FB 60 01 E0 00 23 FB 60 FB 68 3B 63 97 F8 50 30 00 2B 0B D0 3B 68 1B 68 1B 1D 3C 68 1B 68 3B 61 38 69 ?? ?? ?? ?? 3B 69 20 46 98 47 17 F1 24 00 ?? ?? ?? ?? 3B 68 BB 62 B8 6A 10 B0 BD E8 90 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_60_1 {
	meta:
		name = "?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z"
		size = 220
		refs = "001c ??0_Lockit@std@@QAA@H@Z 007e _guard_check_icall 00c6 free 00ce ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B 8D B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 21 17 F1 20 00 ?? ?? ?? ?? 78 62 BB 6C 0C 33 1B 68 3B 60 3B 68 00 2B 47 D9 3B 68 5B 1E 3B 60 3A 68 04 23 02 FB 03 F2 BB 6C 08 33 1B 68 13 44 1B 68 00 2B 38 D0 BB 6C 03 F1 08 01 3A 68 04 23 02 FB 03 F2 0B 68 13 44 18 68 BB 6C 03 F1 08 01 3A 68 04 23 02 FB 03 F2 0B 68 13 44 1C 68 03 68 08 33 1B 68 BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 98 47 38 61 3B 69 7B 61 7B 69 7B 60 7B 68 00 2B 10 D0 01 25 7B 68 1B 68 7C 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 29 46 98 47 B8 61 BB 69 FB 61 01 E0 00 23 FB 61 B4 E7 BB 6C 08 33 18 68 ?? ?? ?? ?? 17 F1 20 00 ?? ?? ?? ?? 0D B0 BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_35_62_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@PBD@Z"
		size = 120
		refs = "000e setlocale 0030 ??4?$_Yarn@D@std@@QAAAAV01@PBD@Z 0070 ??_C@_01NBENCBCI@?$CK?$AA@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 21 00 20 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 02 D1 15 4B 01 93 01 E0 00 9B 01 93 01 99 08 9B 03 F1 24 00 ?? ?? ?? ?? 09 9B 00 2B 06 D0 09 99 00 20 ?? ?? ?? ?? 04 90 04 9B 09 93 09 9B 00 2B 02 D1 08 4B 02 93 01 E0 09 9B 02 93 02 99 08 9B 03 F1 2C 00 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_63_1 {
	meta:
		name = "?_Locinfo_dtor@_Locinfo@std@@SAXPAV12@@Z"
		size = 62
		refs = "0010 ?_Empty@?$_Yarn@D@std@@QBA_NXZ 0026 ?_C_str@?$_Yarn@D@std@@QBAPBDXZ 0030 setlocale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 24 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 09 D1 04 9B 03 F1 24 00 ?? ?? ?? ?? 01 90 01 99 00 20 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_64_1 {
	meta:
		name = "?_New_Locimp@_Locimp@locale@std@@CAPAV123@ABV123@@Z"
		size = 80
		refs = "0018 ??2_Crt_new_delete@std@@SAPAXI@Z 002c ??0_Locimp@locale@std@@AAA@ABV012@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 20 20 ?? ?? ?? ?? B8 60 BB 68 3B 60 3B 68 00 2B 07 D0 39 6B 38 68 ?? ?? ?? ?? F8 60 FB 68 7B 60 01 E0 00 23 7B 60 7B 68 3B 61 3B 69 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_35_66_1 {
	meta:
		name = "?_New_Locimp@_Locimp@locale@std@@CAPAV123@_N@Z"
		size = 82
		refs = "0018 ??2_Crt_new_delete@std@@SAPAXI@Z 002e ??0_Locimp@locale@std@@AAA@_N@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 20 20 ?? ?? ?? ?? B8 60 BB 68 3B 60 3B 68 00 2B 08 D0 97 F8 30 10 38 68 ?? ?? ?? ?? F8 60 FB 68 7B 60 01 E0 00 23 7B 60 7B 68 3B 61 3B 69 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_35_68_1 {
	meta:
		name = "?_Setgloballocale@locale@std@@CAXPAX@Z"
		size = 56
		refs = "0018 ?_Atexit@@YAXP6AXXZ@Z 002c global_locale 0030 tidy_global 0034 ?registered@?1??_Setgloballocale@locale@std@@CAXPAX@Z@4_NA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 0A 4B 1B 78 00 2B 05 D1 08 4A 01 23 13 70 06 48 ?? ?? ?? ?? 02 9A 03 4B 1A 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_73_1 {
	meta:
		name = "?classic@locale@std@@SAABV12@XZ"
		size = 32
		refs = "000a ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z 001c ?classic_locale@std@@3Vlocale@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 03 4B 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_74_1 {
	meta:
		name = "?empty@locale@std@@SA?AV12@XZ"
		size = 62
		refs = "0010 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z 0016 ?_New_Locimp@_Locimp@locale@std@@CAPAV123@_N@Z 0020 ??0locale@std@@AAA@PAV_Locimp@01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 20 ?? ?? ?? ?? 01 20 ?? ?? ?? ?? 01 90 01 99 06 98 ?? ?? ?? ?? 03 90 00 9B 43 F0 01 03 00 93 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_75_1 {
	meta:
		name = "_Deletegloballocale"
		size = 112
		refs = "0026 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 88 B0 0C 9B 1B 68 00 93 00 9B 00 2B 26 D0 00 9B 1B 68 08 33 00 9C 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 04 90 04 9B 05 93 05 9B 01 93 01 9B 00 2B 10 D0 01 25 01 9B 1B 68 01 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 29 46 98 47 06 90 06 9B 07 93 01 E0 00 23 07 93 08 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_35_76_1 {
	meta:
		name = "tidy_global"
		size = 44
		refs = "000c ??0_Lockit@std@@QAA@H@Z 0012 _Deletegloballocale 001e ??1_Lockit@std@@QAA@XZ 0028 global_locale"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 21 68 46 ?? ?? ?? ?? 05 48 ?? ?? ?? ?? 04 4A 00 23 13 60 68 46 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_0_1 {
	meta:
		name = "_FSinh"
		size = 600
		refs = "0012 _FDtest 01c2 _FExp 0210 _Feraise 024c _FXbig 0250 p 0254 _FRteps"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 CD ED 03 0A 8D ED 02 0A 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 05 93 05 9B 00 2B 31 D0 05 9B 01 2B 08 D0 05 9B 02 2B 00 D0 33 E0 9D ED 02 0A 8D ED 04 0A 01 E1 9D ED 03 0A B5 EE 40 0A F1 EE 10 FA 04 D0 9D ED 02 0A 8D ED 08 0A 14 E0 02 AB 9B 1C 1B 88 13 F4 00 4F 06 D0 9D ED 03 0A B1 EE 40 0A 8D ED 07 0A 03 E0 9D ED 03 0A 8D ED 07 0A 9D ED 07 0A 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A DB E0 DD ED 02 0A 9D ED 03 0A 20 EE 80 0A 8D ED 04 0A D2 E0 9D ED 03 0A B5 EE 40 0A F1 EE 10 FA 16 D1 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 06 D2 9D ED 03 0A B1 EE 40 0A 8D ED 09 0A 03 E0 9D ED 03 0A 8D ED 09 0A 9D ED 09 0A 8D ED 04 0A B4 E0 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 09 D2 9D ED 02 0A B1 EE 40 0A 8D ED 02 0A 01 23 AD F8 00 30 02 E0 00 23 AD F8 00 30 DD ED 02 0A 53 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 08 D2 DD ED 02 0A 9D ED 03 0A 20 EE 80 0A 8D ED 02 0A 7A E0 DD ED 02 0A B7 EE 00 0A F4 EE C0 0A F1 EE 10 FA 35 D2 DD ED 02 0A 9D ED 02 0A 20 EE 80 0A 8D ED 06 0A 41 4B D3 ED 00 0A 9D ED 06 0A 60 EE 80 0A 3E 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 06 0A 60 EE 80 0A 39 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 06 0A 60 EE 80 0A 9D ED 02 0A 60 EE 80 0A 9D ED 02 0A 30 EE 20 0A 8D ED 02 0A DD ED 02 0A 9D ED 03 0A 20 EE 80 0A 8D ED 02 0A 3B E0 DD ED 02 0A 28 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0A 02 A8 ?? ?? ?? ?? F5 EE 00 0A 9D ED 02 0A C0 EE 80 0A 9D ED 02 0A 70 EE 60 0A 9D ED 03 0A 20 EE 20 0A 8D ED 02 0A 19 E0 6F F0 00 01 9D ED 03 0A 02 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 0A 93 0A 9B 00 2B 03 D0 0A 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 00 2B 06 D0 9D ED 02 0A B1 EE 40 0A 8D ED 0B 0A 03 E0 9D ED 02 0A 8D ED 0B 0A 9D ED 0B 0A 8D ED 04 0A 9D ED 04 0A 0C B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_0_1 {
	meta:
		name = "??1_Init_atexit@@QAA@XZ"
		size = 116
		refs = "0054 _guard_check_icall 0068 __imp_DecodePointer 006c ?atcount_cdecl@@3IA 0070 ?atfuns_cdecl@@3PAP6AXXZA"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 15 4B 1B 68 0A 2B 1F D2 13 4B 1A 68 04 23 02 FB 03 F2 11 4B 13 44 1B 68 BB 60 0E 4B 1B 68 5A 1C 0D 4B 1A 60 B8 68 0A 4B 1B 68 98 47 F8 60 FB 68 3B 60 3B 68 00 2B 06 D0 3B 68 7B 60 78 68 ?? ?? ?? ?? 7B 68 98 47 DB E7 07 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_5_1 {
	meta:
		name = "?_Atexit@@YAXP6AXXZ@Z"
		size = 84
		refs = "0012 abort 0048 ?atfuns_cdecl@@3PAP6AXXZA 004c ?atcount_cdecl@@3IA 0050 __imp_EncodePointer"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 4B 1B 68 00 2B 02 D1 ?? ?? ?? ?? 12 E0 04 98 0D 4B 1B 68 98 47 00 90 0A 4B 1B 68 5A 1E 08 4B 1A 60 07 4B 1A 68 04 23 02 FB 03 F2 04 4B 1A 44 00 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_0_1 {
	meta:
		name = "_Sinh"
		size = 576
		refs = "0012 _Dtest 0150 _Poly 01a8 _Exp 01f6 _Feraise 0234 _Xbig 0238 p 023c _Rteps"
	strings:
		$1 = { 2D E9 00 48 EB 46 96 B0 8D ED 06 1B 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 31 D0 02 9B 01 2B 08 D0 02 9B 02 2B 00 D0 33 E0 9D ED 04 0B 8D ED 08 0B F4 E0 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 04 D0 9D ED 04 0B 8D ED 0C 0B 14 E0 04 AB 9B 1D 1B 88 13 F4 00 4F 06 D0 9D ED 06 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 06 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B CE E0 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B C5 E0 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 16 D1 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 06 0B B1 EE 40 0B 8D ED 0E 0B 03 E0 9D ED 06 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 08 0B A7 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 09 D2 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 23 AD F8 00 30 02 E0 00 23 AD F8 00 30 9D ED 04 1B 4D 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 08 D2 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 04 0B 6D E0 9D ED 04 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 28 D2 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B 8D ED 10 0B 05 21 3B 48 9D ED 10 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 04 1B 9D ED 10 0B 21 EE 00 1B 9D ED 14 0B 21 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 04 0B 3B E0 9D ED 04 1B 29 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0B 04 A8 ?? ?? ?? ?? B5 EE 00 1B 9D ED 04 0B 81 EE 00 1B 9D ED 04 0B 30 EE 41 1B 9D ED 06 0B 20 EE 01 0B 8D ED 04 0B 19 E0 6F F0 00 01 9D ED 06 0B 04 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 03 93 03 9B 00 2B 03 D0 03 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 00 2B 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 12 0B 03 E0 9D ED 04 0B 8D ED 12 0B 9D ED 12 0B 8D ED 08 0B 9D ED 08 0B 16 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_0_1 {
	meta:
		name = "?_Mtx_delete@threads@stdext@@YAXPAX@Z"
		size = 44
		refs = "001a ??3@YAXPAXI@Z 0028 __imp_DeleteCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 06 4B 1B 68 98 47 04 9B 00 93 18 21 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_2_1 {
	meta:
		name = "?_Mtx_new@threads@stdext@@YAXAAPAX@Z"
		size = 60
		refs = "000c ??2@YAPAXI@Z 0038 __imp_InitializeCriticalSectionEx"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 18 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9A 04 9B 1A 60 00 22 4F F4 7A 61 04 9B 18 68 04 4B 1B 68 98 47 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_0_1 {
	meta:
		name = "_Getctype"
		size = 164
		refs = "000c ___lc_codepage_func 0024 _calloc_dbg 0034 __pctype_func 0046 memcpy 005e ___lc_locale_name_func 007a _wcsdup_dbg 00a0 ??_C@_0CL@MMDMFNC@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 92 B0 ?? ?? ?? ?? 02 90 02 9B 0A 93 8C 23 00 93 21 4B 02 22 02 21 4F F4 80 70 ?? ?? ?? ?? 03 90 03 9B 0B 93 0B 9B 00 2B 0D D0 ?? ?? ?? ?? 04 90 0B 9B 05 93 04 99 05 98 4F F4 00 72 ?? ?? ?? ?? 01 23 0C 93 06 E0 ?? ?? ?? ?? 06 90 06 9B 0B 93 00 23 0C 93 ?? ?? ?? ?? 07 90 07 9B 1B 1D 1B 68 0D 93 0D 9B 00 2B 08 D0 99 23 0A 4A 02 21 0D 98 ?? ?? ?? ?? 08 90 08 9B 0D 93 16 9D 0A AC 94 E8 0F 00 85 E8 0F 00 16 9B 0E 93 0E 98 12 B0 BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_1_1 {
	meta:
		name = "_Tolower"
		size = 428
		refs = "0010 ___lc_locale_name_func 001e ___lc_codepage_func 0066 isupper 00a0 __pctype_func 0116 __report_rangecheckfailure 016a __crtLCMapStringA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 17 9B 00 2B 0C D1 ?? ?? ?? ?? 0E 90 0E 9B 08 33 1B 68 08 93 ?? ?? ?? ?? 0F 90 0F 9B 0D 93 06 E0 17 9B 0C 33 1B 68 08 93 17 9B 1B 68 0D 93 08 9B 00 2B 0B D1 16 9B 41 2B 05 DB 16 9B 5A 2B 02 DC 16 9B 20 33 16 93 16 9B 06 93 A4 E0 16 9B B3 F5 80 7F 1D D2 17 9B 00 2B 0A D1 16 98 ?? ?? ?? ?? 10 90 10 9B 00 2B 02 D1 16 9B 06 93 93 E0 0F E0 17 9B 19 1D 16 9A 02 23 02 FB 03 F2 0B 68 13 44 B3 F9 00 30 13 F0 01 0F 02 D1 16 9B 06 93 82 E0 17 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 16 9B 1B 12 DB B2 DA B2 02 23 02 FB 03 F2 11 9B 13 44 1B 88 03 F4 00 43 0A 93 15 E0 17 9B 19 1D 16 9B 1B 12 DA B2 02 23 02 FB 03 F2 0B 68 13 44 B3 F9 00 30 13 F4 00 4F 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 1A D0 16 9B 1B 12 DB B2 04 AA DB B2 13 70 16 9B DA B2 04 AB 5B 1C 1A 70 02 23 0B 93 0B 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 04 AA 0B 9B 1A 44 00 23 13 70 02 23 07 93 12 E0 16 9B DA B2 04 AB 1A 70 01 23 0C 93 0C 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 04 AA 0C 9B 1A 44 00 23 13 70 01 23 07 93 01 23 03 93 0D 9B 02 93 03 23 01 93 05 AB 00 93 07 9B 04 AA 4F F4 80 71 08 98 ?? ?? ?? ?? 12 90 12 9B 07 93 07 9B 00 2B 02 D1 16 9B 06 93 0F E0 07 9B 01 2B 04 D1 05 AB 1B 78 06 93 08 E0 07 E0 05 AB 5B 1C 1A 78 05 AB 1B 78 1B 02 13 43 06 93 06 98 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_43_0_1 {
	meta:
		name = "?_Random_device@std@@YAIXZ"
		size = 44
		refs = "000a rand_s 0018 ?_Xout_of_range@std@@YAXPBD@Z 0028 ??_C@_0BM@EEBBMCOD@invalid?5random_device?5value?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 01 A8 ?? ?? ?? ?? 00 90 00 9B 00 2B 02 D0 04 48 ?? ?? ?? ?? 01 9B 02 93 02 98 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_0_1 {
	meta:
		name = "_Thrd_abort"
		size = 56
		refs = "000c __acrt_iob_func 0016 fputs 0026 fputc 002a abort"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 02 20 ?? ?? ?? ?? 01 90 01 99 0A 20 ?? ?? ?? ?? ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_44_1_1 {
	meta:
		name = "_Thrd_create"
		size = 132
		refs = "0010 _Cnd_init 0018 _Mtx_init 0032 _Mtx_lock 003c _Thrd_start 0056 _Cnd_wait 005e _Mtx_unlock 0064 _Cnd_destroy 006a _Mtx_destroy 0080 run"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 00 23 02 93 01 A8 ?? ?? ?? ?? 01 21 68 46 ?? ?? ?? ?? 0F 9B 06 93 10 9B 07 93 01 AB 08 93 6B 46 09 93 02 AB 0A 93 00 98 ?? ?? ?? ?? 06 AA 11 49 0E 98 ?? ?? ?? ?? 04 90 04 9B 03 93 03 9B 00 2B 07 D1 02 9B 00 2B 04 D1 00 99 01 98 ?? ?? ?? ?? F7 E7 00 98 ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 00 98 ?? ?? ?? ?? 03 9B 05 93 05 98 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_2_1 {
	meta:
		name = "_Thrd_current"
		size = 144
		refs = "0066 memcpy 007c __imp_GetCurrentThreadId 0080 __imp_CloseHandle 0084 __imp_DuplicateHandle 0088 __imp_GetCurrentProcess 008c __imp_GetCurrentThread"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 1E 4B 1B 68 98 47 04 90 1D 4B 1B 68 98 47 05 90 1A 4B 1B 68 98 47 06 90 00 23 02 93 01 23 01 93 02 23 00 93 0A AB 04 9A 05 99 06 98 12 4C 24 68 A0 47 07 90 07 9B 00 2B 04 D0 0A 98 0D 4B 1B 68 98 47 01 E0 00 23 0A 93 09 4B 1B 68 98 47 08 90 08 9B 0B 93 12 98 0A A9 08 22 ?? ?? ?? ?? 12 9B 0C 93 0C 98 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_3_1 {
	meta:
		name = "_Thrd_detach"
		size = 56
		refs = "0034 __imp_CloseHandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 09 4B 1B 68 98 47 01 90 01 9B 00 2B 02 D1 04 23 00 93 01 E0 00 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_4_1 {
	meta:
		name = "_Thrd_equal"
		size = 44
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 07 9B 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_44_6_1 {
	meta:
		name = "_Thrd_hardware_concurrency"
		size = 32
		refs = "001c __imp_GetNativeSystemInfo"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 02 A8 04 4B 1B 68 98 47 07 9B 00 93 00 98 0C B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_8_1 {
	meta:
		name = "_Thrd_join"
		size = 124
		refs = "0070 __imp_CloseHandle 0074 __imp_GetExitCodeThread 0078 __imp_WaitForSingleObjectEx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 00 22 6F F0 00 01 08 98 19 4B 1B 68 98 47 02 90 02 9B B3 F1 FF 3F 08 D0 04 A9 08 98 13 4B 1B 68 98 47 03 90 03 9B 00 2B 02 D1 04 23 01 93 14 E0 0A 9B 00 2B 02 D0 04 9A 0A 9B 1A 60 08 98 09 4B 1B 68 98 47 05 90 05 9B 00 2B 02 D1 04 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_9_1 {
	meta:
		name = "_Thrd_sleep"
		size = 176
		refs = "0008 __security_push_cookie 0012 xtime_get 001a _Xtime_diff_to_millis2 00a0 __security_pop_cookie 00ac __imp_Sleep"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 95 B0 01 21 10 A8 ?? ?? ?? ?? 10 A9 18 98 ?? ?? ?? ?? 02 90 02 98 22 4B 1B 68 98 47 01 21 10 A8 ?? ?? ?? ?? 18 9A 10 9B 08 93 11 9B 09 93 00 92 00 9B 1B 68 0A 93 00 9B 5B 68 0B 93 08 9B 03 93 0A 9B 04 93 09 9A 0B 9B 9A 42 DE DB 03 DC 03 9A 04 9B 9A 42 D9 D3 18 9A 10 9B 0C 93 11 9B 0D 93 01 92 01 9B 1B 68 0E 93 01 9B 5B 68 0F 93 0D 9B 05 93 0F 9B 06 93 0C 9A 0E 9B 9A 42 09 D1 05 9A 06 9B 9A 42 05 D1 18 9B 08 33 12 9A 1B 68 9A 42 BB DB 15 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_10_1 {
	meta:
		name = "_Thrd_start"
		size = 72
		refs = "001c _beginthreadex"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 1D 01 93 00 23 00 93 0A 9B 09 9A 00 21 00 20 ?? ?? ?? ?? 02 90 08 9A 02 9B 13 60 02 9B 00 2B 02 D1 04 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_44_11_1 {
	meta:
		name = "_Thrd_yield"
		size = 24
		refs = "0014 __imp_Sleep"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 20 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_12_1 {
	meta:
		name = "run"
		size = 126
		refs = "0038 _Mtx_lock 0046 _Cnd_signal 004e _Mtx_unlock 005a _guard_check_icall 006a _Cnd_do_broadcast_at_thread_exit"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8C B0 10 9B 06 AA 00 92 01 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9A 01 9B 1B 68 13 60 09 9B 18 68 ?? ?? ?? ?? 0A 9A 01 23 13 60 08 9B 18 68 ?? ?? ?? ?? 09 9B 18 68 ?? ?? ?? ?? 07 9C 06 9B 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 03 90 03 9B 04 93 ?? ?? ?? ?? 04 9B 05 93 05 98 0C B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_46_0_1 {
	meta:
		name = "?_Release_chore@details@Concurrency@@YAXPAU_Threadpool_chore@12@@Z"
		size = 64
		refs = "0012 ?is_vista_threadpool_supported@?A0x7ef259da@details@Concurrency@@YA_NXZ 003c __imp_CloseThreadpoolWork"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 0F D0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 04 D0 04 9B 18 68 05 4B 1B 68 98 47 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_1_1 {
	meta:
		name = "?_Reschedule_chore@details@Concurrency@@YAHPBU_Threadpool_chore@12@@Z"
		size = 132
		refs = "000a ?is_vista_threadpool_supported@?A0x7ef259da@details@Concurrency@@YA_NXZ 002a _CrtDbgReportW 0078 __imp_SubmitThreadpoolWork 007c ??_C@_1GM@LHFPEBEE@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAc?$AAp?$AAp?$AA?2@ 0080 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0E D1 00 23 01 93 18 4B 00 93 00 23 3F 22 15 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 08 9B 1B 68 00 2B 0E D1 00 23 01 93 0E 4B 00 93 00 23 40 22 0B 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 08 9B 18 68 05 4B 1B 68 98 47 00 23 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_2_1 {
	meta:
		name = "?_Schedule_chore@details@Concurrency@@YAHPAU_Threadpool_chore@12@@Z"
		size = 252
		refs = "0022 _CrtDbgReportW 0058 ?is_vista_threadpool_supported@?A0x7ef259da@details@Concurrency@@YA_NXZ 0086 ?_Reschedule_chore@details@Concurrency@@YAHPBU_Threadpool_chore@12@@Z 00b0 __crtQueueUserWorkItem 00e4 __imp_GetLastError 00e8 ?task_scheduler_callback_xp@?A0x7ef259da@details@Concurrency@@YAKPAX@Z 00ec __imp_CreateThreadpoolWork 00f0 ?task_scheduler_callback@?A0x7ef259da@details@Concurrency@@YAXPAU_TP_CALLBACK_INSTANCE@@PAXPAU_TP_WORK@@@Z 00f4 ??_C@_1GM@LHFPEBEE@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAc?$AAp?$AAp?$AA?2@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 1B 68 00 2B 0E D0 00 23 01 93 38 4B 00 93 00 23 47 22 35 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 0E 9B 1B 1D 1B 68 00 2B 0E D1 00 23 01 93 2E 4B 00 93 00 23 48 22 2B 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 1D D0 00 22 0E 99 20 48 1F 4B 1B 68 98 47 06 90 0E 9A 06 9B 13 60 0E 9B 1B 68 00 2B 07 D0 0E 98 ?? ?? ?? ?? 07 90 07 9B 03 93 21 E0 06 E0 13 4B 1B 68 98 47 08 90 08 9B 03 93 19 E0 18 E0 0E 9A 0E 9B 13 60 00 22 0E 99 0E 48 ?? ?? ?? ?? 09 90 09 9B 00 2B 0A D1 0E 9A 00 23 13 60 08 4B 1B 68 98 47 0A 90 0A 9B 03 93 02 E0 01 E0 00 23 03 93 03 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_4_1 {
	meta:
		name = "?task_scheduler_callback@?A0x7ef259da@details@Concurrency@@YAXPAU_TP_CALLBACK_INSTANCE@@PAXPAU_TP_WORK@@@Z"
		size = 52
		refs = "0020 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 83 B0 07 9B 00 93 00 9B 08 33 1C 68 00 9B 1B 1D 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 03 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_46_5_1 {
	meta:
		name = "?task_scheduler_callback_xp@?A0x7ef259da@details@Concurrency@@YAKPAX@Z"
		size = 58
		refs = "0020 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 00 93 00 9B 08 33 1C 68 00 9B 1B 1D 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 00 23 02 93 02 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_47_0_1 {
	meta:
		name = "_Strxfrm"
		size = 214
		refs = "0026 ___lc_locale_name_func 0034 ___lc_collate_cp_func 0068 memcpy 008c __crtLCMapStringA"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9A 10 9B D3 1A 08 93 13 9A 12 9B D3 1A 04 93 6F F0 00 03 09 93 14 9B 00 2B 0C D1 ?? ?? ?? ?? 0A 90 0A 9B 1B 1D 1B 68 06 93 ?? ?? ?? ?? 0B 90 0B 9B 05 93 06 E0 14 9B 1B 1D 1B 68 06 93 14 9B 1B 68 05 93 06 9B 00 2B 0E D1 05 9B 00 2B 0B D1 04 9A 08 9B 9A 42 04 D8 04 9A 12 99 10 98 ?? ?? ?? ?? 04 9B 09 93 29 E0 01 23 03 93 05 9B 02 93 00 23 01 93 00 23 00 93 04 9B 12 9A 4F F4 80 61 06 98 ?? ?? ?? ?? 0C 90 0C 9B 07 93 07 9B 00 2B 14 D0 07 9B 09 93 07 9A 08 9B 9A 42 0E DC 01 23 03 93 05 9B 02 93 08 9B 01 93 10 9B 00 93 04 9B 12 9A 4F F4 80 61 06 98 ?? ?? ?? ?? 09 9B 0D 93 0D 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_48_0_1 {
	meta:
		name = "_Getcoll"
		size = 88
		refs = "000a ___lc_collate_cp_func 0014 ___lc_locale_name_func 0030 _wcsdup_dbg 0040 memcpy 0054 ??_C@_0CL@JDOPBDBF@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 00 90 00 9B 04 93 ?? ?? ?? ?? 01 90 01 9B 1B 1D 1B 68 05 93 05 9B 00 2B 08 D0 79 23 0A 4A 02 21 05 98 ?? ?? ?? ?? 02 90 02 9B 05 93 0A 98 04 A9 08 22 ?? ?? ?? ?? 0A 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_48_1_1 {
	meta:
		name = "_Strcoll"
		size = 246
		refs = "0024 ___lc_locale_name_func 0032 ___lc_collate_cp_func 006a memcmp 00bc __crtCompareStringA 00cc _errno"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 00 23 04 93 17 9A 16 9B D3 1A 06 93 19 9A 18 9B D3 1A 05 93 1A 9B 00 2B 0C D1 ?? ?? ?? ?? 0D 90 0D 9B 1B 1D 1B 68 07 93 ?? ?? ?? ?? 0E 90 0E 9B 0C 93 06 E0 1A 9B 1B 1D 1B 68 07 93 1A 9B 1B 68 0C 93 07 9B 00 2B 29 D1 06 9A 05 9B 9A 42 02 DA 06 9B 08 93 01 E0 05 9B 08 93 08 9A 18 99 16 98 ?? ?? ?? ?? 0F 90 0F 9B 0A 93 0A 9B 00 2B 10 D1 06 9A 05 9B 9A 42 0C D0 06 9A 05 9B 9A 42 03 DA 6F F0 00 03 09 93 01 E0 01 23 09 93 09 9B 0B 93 01 E0 0A 9B 0B 93 0B 9B 04 93 1F E0 0C 9B 02 93 05 9B 01 93 18 9B 00 93 06 9B 16 9A 4F F4 80 51 07 98 ?? ?? ?? ?? 10 90 10 9B 04 93 04 9B 00 2B 09 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 6F F0 00 43 04 93 02 E0 04 9B 9B 1E 04 93 04 9B 12 93 12 98 14 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_49_0_1 {
	meta:
		name = "_Dunscale"
		size = 228
		refs = "007e _Dnorm"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 93 01 9B 9B 1D 1A 88 47 F6 F0 73 13 40 1B 11 1B B2 AD F8 00 30 BD F9 00 20 40 F2 FF 73 9A 42 22 D1 06 9A 00 23 13 80 01 9B 9B 1D 1B 88 03 F0 0F 03 00 2B 10 D1 01 9B 1B 1D 1B 88 00 2B 0B D1 01 9B 9B 1C 1B 88 00 2B 06 D1 01 9B 1B 88 00 2B 02 D1 01 23 03 93 01 E0 02 23 03 93 03 9B 1B B2 AD F8 08 30 31 E0 30 E0 BD F9 00 30 00 2B 0C DC 01 98 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 00 30 BD F9 00 30 00 2B 19 DC 01 9B 9B 1D 1A 88 6F F3 0E 12 43 F6 E0 73 42 EA 03 01 01 9B 9A 1D 8B B2 13 80 BD F9 00 30 A3 F2 FE 33 1A B2 06 9B 1A 80 6F F0 00 03 AD F8 08 30 06 E0 05 E0 06 9A 00 23 13 80 00 23 AD F8 08 30 BD F9 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_50_0_1 {
	meta:
		name = "_Stoflt"
		size = 912
		refs = "0008 __security_push_cookie 006c isdigit 00ba localeconv 01d6 __report_rangecheckfailure 01f4 __rt_sdiv 037e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A1 B0 00 23 07 93 00 23 01 93 28 9A 09 23 02 FB 03 F3 28 93 28 9B 2D 2B 01 DD 2D 23 28 93 27 9A 00 23 13 60 27 9B 1A 1D 00 23 13 60 00 23 03 93 04 E0 25 9B 5B 1C 25 93 01 23 03 93 25 9B 93 F9 00 30 30 2B 00 D1 F4 E7 00 23 00 93 04 E0 25 9B 5B 1C 25 93 01 23 03 93 25 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 20 D0 00 9A 28 9B 9A 42 0F DA 25 9B 93 F9 00 30 30 3B 59 B2 00 9A 01 23 02 FB 03 F2 14 AB 13 44 19 70 00 9B 5B 1C 00 93 0B E0 27 9B 1B 68 5A 1C 27 9B 1A 60 25 9B 93 F9 00 30 30 2B 01 D0 01 23 07 93 CF E7 ?? ?? ?? ?? 0E 90 25 9B 93 F9 00 20 0E 9B 1B 68 93 F9 00 30 9A 42 02 D1 25 9B 5B 1C 25 93 00 9B 00 2B 10 D1 04 E0 25 9B 5B 1C 25 93 01 23 03 93 25 9B 93 F9 00 30 30 2B 05 D1 27 9B 1B 68 5A 1E 27 9B 1A 60 EF E7 04 E0 25 9B 5B 1C 25 93 01 23 03 93 25 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 20 D0 00 9A 28 9B 9A 42 14 DA 25 9B 93 F9 00 30 30 3B 59 B2 00 9A 01 23 02 FB 03 F2 14 AB 13 44 19 70 00 9B 5B 1C 00 93 27 9B 1B 68 5A 1E 27 9B 1A 60 06 E0 25 9B 93 F9 00 30 30 2B 01 D0 01 23 07 93 CF E7 07 9B 00 2B 12 D0 28 9B 5A 1E 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 59 1C 28 9B 5A 1E 01 23 02 FB 03 F2 14 AB 1A 44 4B B2 13 70 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B 10 DD 00 9B 5A 1E 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 00 2B 05 D1 27 9B 1B 68 5A 1C 27 9B 1A 60 E8 E7 00 9B 00 2B 0F D1 00 9B 08 93 00 9B 5B 1C 00 93 08 9B 2E 2B 00 D2 01 E0 ?? ?? ?? ?? 14 AA 08 9B 1A 44 00 23 13 70 03 9B 00 2B 00 F0 B2 80 00 23 05 93 00 99 09 20 ?? ?? ?? ?? C1 F1 09 03 06 93 06 99 09 20 ?? ?? ?? ?? 00 29 02 D1 00 23 09 93 01 E0 01 23 09 93 09 9B 01 93 05 E0 06 9B 5B 1C 06 93 05 9B 5B 1C 05 93 05 9A 00 9B 9A 42 33 DA 06 99 09 20 ?? ?? ?? ?? 00 29 12 D1 01 9B 5B 1C 01 93 05 9A 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 10 01 9A 04 23 02 FB 03 F2 27 9B 13 44 19 60 19 E0 01 9A 04 23 02 FB 03 F2 27 9B 13 44 1A 68 0A 23 02 FB 03 F1 05 9A 01 23 02 FB 03 F2 14 AB 13 44 93 F9 00 30 19 44 01 9A 04 23 02 FB 03 F2 27 9B 13 44 19 60 C1 E7 25 9B 93 F9 00 30 65 2B 04 D0 25 9B 93 F9 00 30 45 2B 52 D1 25 9B 11 93 25 9B 5B 1C 25 93 25 9B 93 F9 00 30 2B 2B 07 D0 25 9B 93 F9 00 30 2D 2B 02 D0 2B 23 0A 93 06 E0 25 9B 93 F9 00 30 0A 93 25 9B 5B 1C 25 93 0A 9B 5B B2 8D F8 08 30 00 23 0B 93 00 23 04 93 04 E0 25 9B 5B 1C 25 93 01 23 0B 93 25 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 10 90 10 9B 00 2B 0F D0 04 9A 1F 4B 9A 42 0A DA 04 9A 0A 23 02 FB 03 F2 25 9B 93 F9 00 30 DB B2 13 44 30 3B 04 93 E0 E7 9D F9 08 30 2D 2B 02 D1 04 9B 5B 42 04 93 27 9B 1A 68 04 9B 1A 44 27 9B 1A 60 0B 9B 00 2B 01 D1 11 9B 25 93 03 9B 00 2B 01 D1 00 23 01 93 26 9B 00 2B 0A D0 03 9B 00 2B 02 D0 25 9B 0C 93 01 E0 24 9B 0C 93 0C 9A 26 9B 1A 60 01 9B 12 93 12 98 21 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 E1 F5 05 }
	condition:
		$1
}

rule file_51_5_1 {
	meta:
		name = "??$?8V?$allocator@D@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z"
		size = 44
		refs = "000e ??$?8DD@std@@YA_NABV?$allocator@D@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_9_3 {
	meta:
		name = "??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 44
		refs = "000e ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBA_NABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_13_1 {
	meta:
		name = "??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 44
		refs = "000e ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBA_NABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_14_1 {
	meta:
		name = "??$?8V?$allocator@G@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z"
		size = 44
		refs = "000e ??$?8GG@std@@YA_NABV?$allocator@G@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_24_2 {
	meta:
		name = "??$?8V?$allocator@_W@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z"
		size = 44
		refs = "000e ??$?8_W_W@std@@YA_NABV?$allocator@_W@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_25_2 {
	meta:
		name = "??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 44
		refs = "000e ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_NABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_6_1 {
	meta:
		name = "??$?9V?$allocator@D@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z"
		size = 62
		refs = "000e ??$?8V?$allocator@D@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_11_2 {
	meta:
		name = "??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 62
		refs = "000e ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_28_2 {
	meta:
		name = "??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 62
		refs = "000e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_29_2 {
	meta:
		name = "??$?9V?$allocator@G@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z"
		size = 62
		refs = "000e ??$?8V?$allocator@G@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_30_2 {
	meta:
		name = "??$?9V?$allocator@_W@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z"
		size = 62
		refs = "000e ??$?8V?$allocator@_W@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_31_2 {
	meta:
		name = "??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 62
		refs = "000e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_227_3 {
	meta:
		name = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 62
		refs = "000e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_455_2 {
	meta:
		name = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 62
		refs = "000e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_456_2 {
	meta:
		name = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 62
		refs = "000e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_11_1 {
	meta:
		name = "??$_Pocs@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z"
		size = 32
		refs = "0012 ??$_Pocs@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0U?$integral_constant@_N$0A@@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 00 20 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_37_15_2 {
	meta:
		name = "??$_Pocca@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@ABU10@@Z"
		size = 32
		refs = "0012 ??$_Pocca@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 00 20 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_114_3 {
	meta:
		name = "??$_Pocca@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@ABU10@@Z"
		size = 32
		refs = "0012 ??$_Pocca@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 00 20 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_61_1 {
	meta:
		name = "??$_Pocca@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@ABU10@@Z"
		size = 32
		refs = "0012 ??$_Pocca@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 00 20 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_24_1 {
	meta:
		name = "??$_Pocma@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z"
		size = 32
		refs = "0012 ??$_Pocma@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0U?$integral_constant@_N$00@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 00 20 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_72_2 {
	meta:
		name = "??$_Pocma@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z"
		size = 32
		refs = "0012 ??$_Pocma@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@0U?$integral_constant@_N$00@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 00 20 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_120_3 {
	meta:
		name = "??$_Pocma@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z"
		size = 32
		refs = "0012 ??$_Pocma@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0U?$integral_constant@_N$00@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 00 20 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_82_22_2 {
	meta:
		name = "??$destroy@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@@Z"
		size = 32
		refs = "0012 ??$_Destroy1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@U?$integral_constant@_N$00@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 00 20 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_12_1 {
	meta:
		name = "??$_Pocs@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0U?$integral_constant@_N$0A@@0@@Z"
		size = 44
		refs = "000e ??$?9V?$allocator@D@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z 001e terminate"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D0 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_51_31_1 {
	meta:
		name = "??$swap@D$0BA@X@std@@YAXAAY0BA@D0@Z"
		size = 86
		refs = "0046 ??$iter_swap@PADPAD@std@@YAXPAD0@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 BA 6A FB 6A 9A 42 16 D0 BB 6A 3B 60 3B 68 10 33 BB 60 FB 6A 7B 60 05 E0 3B 68 5B 1C 3B 60 7B 68 5B 1C 7B 60 3A 68 BB 68 9A 42 04 D0 79 68 38 68 ?? ?? ?? ?? F0 E7 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_51_32_1 {
	meta:
		name = "??$swap@DX@std@@YAXAAD0@Z"
		size = 74
		refs = "000c ??$move@AAD@std@@YA$$QADAAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 93 F9 00 30 8D F8 00 30 07 98 ?? ?? ?? ?? 02 90 02 9B 93 F9 00 20 06 9B 1A 70 68 46 ?? ?? ?? ?? 03 90 03 9B 93 F9 00 20 07 9B 1A 70 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_33_1 {
	meta:
		name = "??$swap@IX@std@@YAXAAI0@Z"
		size = 66
		refs = "000c ??$move@AAI@std@@YA$$QAIAAI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 02 93 07 98 ?? ?? ?? ?? 01 90 01 9B 1A 68 06 9B 1A 60 02 A8 ?? ?? ?? ?? 03 90 03 9B 1A 68 07 9B 1A 60 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_34_1 {
	meta:
		name = "??$swap@PADX@std@@YAXAAPAD0@Z"
		size = 66
		refs = "000c ??$move@AAPAD@std@@YA$$QAPADAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 02 93 07 98 ?? ?? ?? ?? 01 90 01 9B 1A 68 06 9B 1A 60 02 A8 ?? ?? ?? ?? 03 90 03 9B 1A 68 07 9B 1A 60 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_33_1 {
	meta:
		name = "??$swap@PAV_Ref_count_base@std@@X@std@@YAXAAPAV_Ref_count_base@0@0@Z"
		size = 66
		refs = "000c ??$move@AAPAV_Ref_count_base@std@@@std@@YA$$QAPAV_Ref_count_base@0@AAPAV10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 02 93 07 98 ?? ?? ?? ?? 01 90 01 9B 1A 68 06 9B 1A 60 02 A8 ?? ?? ?? ?? 03 90 03 9B 1A 68 07 9B 1A 60 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_34_1 {
	meta:
		name = "??$swap@PAV__ExceptionPtr@@X@std@@YAXAAPAV__ExceptionPtr@@0@Z"
		size = 66
		refs = "000c ??$move@AAPAV__ExceptionPtr@@@std@@YA$$QAPAV__ExceptionPtr@@AAPAV1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 02 93 07 98 ?? ?? ?? ?? 01 90 01 9B 1A 68 06 9B 1A 60 02 A8 ?? ?? ?? ?? 03 90 03 9B 1A 68 07 9B 1A 60 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_55_1 {
	meta:
		name = "??0_System_error_category@std@@QAA@XZ"
		size = 52
		refs = "000c ??0error_category@std@@QAA@XZ 0030 ??_7_System_error_category@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 07 4A 04 9B 1A 60 04 9B 1A 1D 07 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_64_1 {
	meta:
		name = "??0system_error@std@@QAA@Verror_code@1@@Z"
		size = 96
		refs = "000a __security_push_cookie 0020 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0030 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 003a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 004c __security_pop_cookie 0058 ??_7system_error@std@@6B@ 005c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 8C B0 6F 46 6F F0 01 03 C7 E9 04 33 10 49 17 F1 18 00 ?? ?? ?? ?? 78 60 17 F1 18 03 79 6C BA 6C 38 6C ?? ?? ?? ?? B8 60 17 F1 18 00 ?? ?? ?? ?? 06 4A 3B 6C 1A 60 3B 6C 3B 60 38 68 0C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_83_1 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z"
		size = 44
		refs = "000c ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 01 23 02 FB 03 F2 00 9B 13 44 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_386_1 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z"
		size = 44
		refs = "000c ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 01 23 02 FB 03 F2 00 9B 13 44 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_104_1 {
	meta:
		name = "?_Execute_once@std@@YAHAAUonce_flag@1@P6AHPAX1PAPAX@Z1@Z"
		size = 48
		refs = "002c __imp_InitOnceExecuteOnce"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 83 B0 00 23 08 9A 07 99 06 98 05 4C 24 68 A0 47 00 90 00 9B 01 93 01 98 03 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_126_1 {
	meta:
		name = "?_Swap_all@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAV12@@Z"
		size = 44
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 001e ?_Swap_all@_Container_base0@std@@QAAXAAU12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 04 98 ?? ?? ?? ?? 01 90 00 99 01 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_93_149_2 {
	meta:
		name = "?_Swap_all@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAV12@@Z"
		size = 44
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 001e ?_Swap_all@_Container_base12@std@@QAAXAAU12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 04 98 ?? ?? ?? ?? 01 90 00 99 01 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_128_1 {
	meta:
		name = "?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z"
		size = 358
		refs = "000c ?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 002c ?_Bx@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@D@std@@@2@XZ 003e ??$_Swap_adl@PAD@std@@YAXAAPAD0@Z 005c ??$addressof@PAD@std@@YAPAPADAAPAD@Z 0064 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 006e ??$destroy@PAD@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPAPAD@Z 0074 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0094 ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 00b6 ??$construct@PADAAPAD@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPAPADAAPAD@Z 00e0 ??$swap@D$0BA@X@std@@YAXAAY0BA@D0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9E B0 20 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 10 2B 50 D3 21 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 10 2B 0C D3 21 98 ?? ?? ?? ?? 02 90 20 98 ?? ?? ?? ?? 03 90 02 99 03 98 ?? ?? ?? ?? 3A E0 20 98 ?? ?? ?? ?? 04 90 04 9B 1B 68 0C 93 20 98 ?? ?? ?? ?? 05 90 05 98 ?? ?? ?? ?? 06 90 20 98 ?? ?? ?? ?? 07 90 06 99 07 98 ?? ?? ?? ?? 21 98 ?? ?? ?? ?? 08 90 21 98 ?? ?? ?? ?? 09 90 20 98 ?? ?? ?? ?? 0A 90 08 9B 1B 68 5A 1C 09 99 0A 98 ?? ?? ?? ?? 21 98 ?? ?? ?? ?? 0B 90 0B 98 ?? ?? ?? ?? 0D 90 20 98 ?? ?? ?? ?? 0E 90 0C AA 0D 99 0E 98 ?? ?? ?? ?? 4F E0 21 98 ?? ?? ?? ?? 0F 90 0F 9B 1B 68 10 2B 0C D2 21 98 ?? ?? ?? ?? 10 90 20 98 ?? ?? ?? ?? 11 90 10 99 11 98 ?? ?? ?? ?? 3A E0 21 98 ?? ?? ?? ?? 12 90 12 9B 1B 68 1A 93 21 98 ?? ?? ?? ?? 13 90 13 98 ?? ?? ?? ?? 14 90 20 98 ?? ?? ?? ?? 15 90 14 99 15 98 ?? ?? ?? ?? 20 98 ?? ?? ?? ?? 16 90 20 98 ?? ?? ?? ?? 17 90 21 98 ?? ?? ?? ?? 18 90 16 9B 1B 68 5A 1C 17 99 18 98 ?? ?? ?? ?? 20 98 ?? ?? ?? ?? 19 90 19 98 ?? ?? ?? ?? 1B 90 20 98 ?? ?? ?? ?? 1C 90 1A AA 1B 99 1C 98 ?? ?? ?? ?? 1E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_130_1 {
	meta:
		name = "?_XGetLastError@std@@YAXXZ"
		size = 60
		refs = "0008 ?system_category@std@@YAABVerror_category@1@XZ 001c ??0error_code@std@@QAA@HABVerror_category@1@@Z 0026 ??0system_error@std@@QAA@Verror_code@1@@Z 002e _CxxThrowException 0034 _TI4?AVsystem_error@std@@ 0038 __imp_GetLastError"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 00 90 0A 4B 1B 68 98 47 01 90 00 9A 01 99 02 A8 ?? ?? ?? ?? 02 99 03 9A 04 A8 ?? ?? ?? ?? 02 49 04 A8 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_153_1 {
	meta:
		name = "?default_error_condition@_System_error_category@std@@UBA?AVerror_condition@2@H@Z"
		size = 96
		refs = "0018 ?_Winerror_map@std@@YAHH@Z 0028 ?generic_category@std@@YAABVerror_category@1@XZ 0034 ??0error_condition@std@@QAA@HABVerror_category@1@@Z 0040 ?system_category@std@@YAABVerror_category@1@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 B8 6B ?? ?? ?? ?? B8 60 BB 68 3B 60 3B 68 00 2B 0B D0 ?? ?? ?? ?? F8 60 FA 68 39 68 78 6B ?? ?? ?? ?? 7B 6B 7B 60 0A E0 09 E0 ?? ?? ?? ?? 38 61 3A 69 B9 6B 78 6B ?? ?? ?? ?? 7B 6B 7B 60 78 68 09 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_51_167_1 {
	meta:
		name = "?message@_System_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 192
		refs = "000a __security_push_cookie 002e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 003a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0048 ?_Winerror_message@std@@YAKKPADK@Z 005c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 006e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 007e ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0086 ?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXXZ 0090 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 00ae __security_pop_cookie 00bc ??_C@_0O@BFJCFAAK@unknown?5error?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 92 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 47 F6 FF 73 7B 61 00 22 47 F6 FF 71 17 F1 30 00 ?? ?? ?? ?? B8 61 00 21 17 F1 30 00 ?? ?? ?? ?? F8 60 47 F6 FF 72 F9 68 38 6E ?? ?? ?? ?? 38 61 3B 69 7B 60 7B 68 00 2B 0F D1 18 49 F8 6D ?? ?? ?? ?? F8 61 3B 68 43 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? FB 6D BB 60 18 E0 79 68 17 F1 30 00 ?? ?? ?? ?? 17 F1 30 00 ?? ?? ?? ?? 17 F1 30 01 F8 6D ?? ?? ?? ?? 38 62 3B 68 43 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? FB 6D BB 60 B8 68 12 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_174_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXID@Z"
		size = 74
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0020 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 003c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 00 9B 1B 68 9A 42 04 D8 05 99 04 98 ?? ?? ?? ?? 0C E0 04 98 ?? ?? ?? ?? 01 90 9D F9 18 20 05 99 01 9B 1B 68 C9 1A 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_51_177_1 {
	meta:
		name = "?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXXZ"
		size = 80
		refs = "0008 __security_push_cookie 0010 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0018 ?capacity@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 002e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0038 ?swap@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z 003e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0044 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8B B0 0E 98 ?? ?? ?? ?? 00 90 0E 98 ?? ?? ?? ?? 01 90 00 9B 43 F0 0F 02 01 9B 9A 42 0B D2 0E 99 04 A8 ?? ?? ?? ?? 02 90 04 A9 0E 98 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 0B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_51_179_1 {
	meta:
		name = "?swap@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z"
		size = 128
		refs = "0020 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0032 ??$_Pocs@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z 003a ?_Swap_all@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAV12@@Z 0042 ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z 0048 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 005a ??$swap@IX@std@@YAXAAI0@Z 0060 ?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 3A 6B 7B 6B 9A 42 2B D0 78 6B ?? ?? ?? ?? 38 60 38 6B ?? ?? ?? ?? 78 60 39 68 78 68 ?? ?? ?? ?? 79 6B 38 6B ?? ?? ?? ?? 79 6B 38 6B ?? ?? ?? ?? 78 6B ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 78 6B ?? ?? ?? ?? 38 61 38 6B ?? ?? ?? ?? 78 61 39 69 78 69 ?? ?? ?? ?? 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_52_0_1 {
	meta:
		name = "_Stoul"
		size = 40
		refs = "0012 _Stoulx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_52_1_1 {
	meta:
		name = "_Stoulx"
		size = 604
		refs = "002a isspace 012e tolower 01fc __rt_udiv 0206 _errno 0254 ndigs 0258 digits"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 17 9B 00 2B 02 D0 17 9A 00 23 13 60 14 9B 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 00 D0 F1 E7 00 9B 93 F9 00 30 2D 2B 07 D0 00 9B 93 F9 00 30 2B 2B 02 D0 2B 23 05 93 06 E0 00 9B 93 F9 00 30 05 93 00 9B 5B 1C 00 93 05 9B 5B B2 8D F8 05 30 16 9B 00 2B 05 DB 16 9B 01 2B 02 D0 16 9B 24 2B 09 DD 15 9B 00 2B 02 D0 14 9A 15 9B 1A 60 00 23 04 93 DD E0 36 E0 16 9B 00 2B 17 DD 16 9B 10 2B 13 D1 00 9B 93 F9 00 30 30 2B 0E D1 00 9B 5B 1C 93 F9 00 30 78 2B 05 D0 00 9B 5B 1C 93 F9 00 30 58 2B 02 D1 00 9B 9B 1C 00 93 1B E0 00 9B 93 F9 00 30 30 2B 02 D0 0A 23 16 93 13 E0 00 9B 5B 1C 93 F9 00 30 78 2B 05 D0 00 9B 5B 1C 93 F9 00 30 58 2B 05 D1 10 23 16 93 00 9B 9B 1C 00 93 01 E0 08 23 16 93 00 9B 0F 93 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 30 2B 00 D1 F6 E7 00 23 02 93 00 9B 10 93 00 23 09 93 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 00 ?? ?? ?? ?? 0B 90 16 99 0B 9A 47 4B 03 93 D3 B2 0C 93 06 91 06 9B 00 2B 0F D0 03 9A 06 9B 13 44 0D 93 03 9B 1A 78 0C 9B 9A 42 08 D0 03 9B 5B 1C 03 93 03 9A 0D 9B 9A 42 F3 D1 00 23 03 93 03 9B 0E 93 0E 9B 07 93 07 9B 00 2B 10 D0 02 9B 09 93 07 9A 35 4B D3 1A 5B B2 8D F8 04 30 02 9A 16 9B 02 FB 03 F2 9D F9 04 30 13 44 02 93 C2 E7 0F 9A 00 9B 9A 42 08 D1 15 9B 00 2B 02 D0 14 9A 15 9B 1A 60 00 23 04 93 48 E0 00 9A 10 9B D1 1A 16 9A 01 23 02 FB 03 F2 23 4B 13 44 93 F9 00 30 CB 1A 08 93 08 9B 00 2B 00 DA 28 E0 08 9B 00 2B 13 DC 9D F9 04 20 02 9B 9A 1A 02 9B 93 42 0C D3 9D F9 04 20 02 9B 99 1A 16 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 9B 98 42 11 D0 ?? ?? ?? ?? 11 90 11 9A 22 23 13 60 17 9B 00 2B 02 D0 17 9A 01 23 13 60 6F F0 00 03 02 93 2B 23 8D F8 05 30 9D F9 05 30 2D 2B 02 D1 02 9B 5B 42 02 93 15 9B 00 2B 02 D0 00 9A 15 9B 1A 60 02 9B 04 93 04 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_54_0_1 {
	meta:
		name = "_Cosh"
		size = 264
		refs = "0012 _Dtest 0098 _Exp 00e6 _Feraise 0104 _Xbig"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 1B 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 0B D0 01 9B 00 2B 0D DD 01 9B 02 2B 00 DD 09 E0 9D ED 04 0B 8D ED 08 0B 5D E0 9D ED 06 0B 8D ED 08 0B 58 E0 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9D ED 06 0B 8D ED 08 0B 4C E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 9D ED 04 1B 21 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0B 04 A8 ?? ?? ?? ?? B5 EE 00 1B 9D ED 04 0B 81 EE 00 1B 9D ED 04 0B 30 EE 01 1B 9D ED 06 0B 20 EE 01 0B 8D ED 08 0B 1D E0 6F F0 00 01 9D ED 06 0B 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 03 D0 02 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 04 0B 8D ED 08 0B 9D ED 08 0B 0A B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_0_1 {
	meta:
		name = "_LCosh"
		size = 264
		refs = "0012 _LDtest 0098 _LExp 00e6 _Feraise 0104 _LXbig"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 1B 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 0B D0 01 9B 00 2B 0D DD 01 9B 02 2B 00 DD 09 E0 9D ED 04 0B 8D ED 08 0B 5D E0 9D ED 06 0B 8D ED 08 0B 58 E0 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9D ED 06 0B 8D ED 08 0B 4C E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 9D ED 04 1B 21 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0B 04 A8 ?? ?? ?? ?? B5 EE 00 1B 9D ED 04 0B 81 EE 00 1B 9D ED 04 0B 30 EE 01 1B 9D ED 06 0B 20 EE 01 0B 8D ED 08 0B 1D E0 6F F0 00 01 9D ED 06 0B 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 03 D0 02 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 04 0B 8D ED 08 0B 9D ED 08 0B 0A B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_24_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 98
		refs = "0010 ??$_Unchecked_idl0@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@V10@@Z 0022 memcpy 0030 ??$_Copy_unchecked@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z 0042 ??$_Rechecked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@AAV10@V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 11 99 12 9A 08 A8 ?? ?? ?? ?? 03 90 03 9B 02 93 68 46 02 9B 19 1D 04 22 ?? ?? ?? ?? 02 9B 1B 68 10 9A 0F 99 0A A8 ?? ?? ?? ?? 04 90 04 9B 05 93 05 9B 19 68 5A 68 11 A8 ?? ?? ?? ?? 06 90 06 99 0E 98 08 22 ?? ?? ?? ?? 0E 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_10_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 98
		refs = "0010 ??$_Unchecked_idl0@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@V10@@Z 0022 memcpy 0030 ??$_Copy_unchecked@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z 0042 ??$_Rechecked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@AAV10@V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 11 99 12 9A 08 A8 ?? ?? ?? ?? 03 90 03 9B 02 93 68 46 02 9B 19 1D 04 22 ?? ?? ?? ?? 02 9B 1B 68 10 9A 0F 99 0A A8 ?? ?? ?? ?? 04 90 04 9B 05 93 05 9B 19 68 5A 68 11 A8 ?? ?? ?? ?? 06 90 06 99 0E 98 08 22 ?? ?? ?? ?? 0E 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_25_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 98
		refs = "0010 ??$_Unchecked_idl0@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@V10@@Z 0022 memcpy 0030 ??$_Copy_unchecked@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z 0042 ??$_Rechecked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@AAV10@V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 11 99 12 9A 08 A8 ?? ?? ?? ?? 03 90 03 9B 02 93 68 46 02 9B 19 1D 04 22 ?? ?? ?? ?? 02 9B 1B 68 10 9A 0F 99 0A A8 ?? ?? ?? ?? 04 90 04 9B 05 93 05 9B 19 68 5A 68 11 A8 ?? ?? ?? ?? 06 90 06 99 0E 98 08 22 ?? ?? ?? ?? 0E 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_26_1 {
	meta:
		name = "??$_Copy_no_deprecate@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z"
		size = 114
		refs = "0010 ??$?0Uoutput_iterator_tag@std@@@_Any_tag@std@@QAA@$$QAUoutput_iterator_tag@1@@Z 001e memset 0024 ??$_Unchecked@PA_W@std@@YAPA_WPA_W@Z 003c memcpy 005e ??$_Copy_no_deprecate1@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 04 A9 0D F1 11 00 ?? ?? ?? ?? 05 90 01 22 00 21 0D F1 12 00 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 07 90 0D 98 ?? ?? ?? ?? 08 90 05 9B 06 93 02 A8 06 99 01 22 ?? ?? ?? ?? 01 A8 0D F1 13 01 01 22 ?? ?? ?? ?? 68 46 10 A9 04 22 ?? ?? ?? ?? 0F 9B 07 9A 08 99 0C 98 ?? ?? ?? ?? 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_11_1 {
	meta:
		name = "??$_Copy_no_deprecate@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z"
		size = 114
		refs = "0010 ??$?0Uoutput_iterator_tag@std@@@_Any_tag@std@@QAA@$$QAUoutput_iterator_tag@1@@Z 001e memset 0024 ??$_Unchecked@PAD@std@@YAPADPAD@Z 003c memcpy 005e ??$_Copy_no_deprecate1@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 04 A9 0D F1 11 00 ?? ?? ?? ?? 05 90 01 22 00 21 0D F1 12 00 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 07 90 0D 98 ?? ?? ?? ?? 08 90 05 9B 06 93 02 A8 06 99 01 22 ?? ?? ?? ?? 01 A8 0D F1 13 01 01 22 ?? ?? ?? ?? 68 46 10 A9 04 22 ?? ?? ?? ?? 0F 9B 07 9A 08 99 0C 98 ?? ?? ?? ?? 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_27_1 {
	meta:
		name = "??$_Copy_no_deprecate@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z"
		size = 114
		refs = "0010 ??$?0Uoutput_iterator_tag@std@@@_Any_tag@std@@QAA@$$QAUoutput_iterator_tag@1@@Z 001e memset 0024 ??$_Unchecked@PA_W@std@@YAPA_WPA_W@Z 003c memcpy 005e ??$_Copy_no_deprecate1@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 04 A9 0D F1 11 00 ?? ?? ?? ?? 05 90 01 22 00 21 0D F1 12 00 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 07 90 0D 98 ?? ?? ?? ?? 08 90 05 9B 06 93 02 A8 06 99 01 22 ?? ?? ?? ?? 01 A8 0D F1 13 01 01 22 ?? ?? ?? ?? 68 46 10 A9 04 22 ?? ?? ?? ?? 0F 9B 07 9A 08 99 0C 98 ?? ?? ?? ?? 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_28_1 {
	meta:
		name = "??$_Copy_unchecked1@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 78
		refs = "000e ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 0022 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 002e ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 003a memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 07 A8 ?? ?? ?? ?? 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 09 D0 07 A8 ?? ?? ?? ?? 00 90 05 9B 19 88 00 98 ?? ?? ?? ?? EB E7 04 98 07 A9 08 22 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_29_1 {
	meta:
		name = "??$_Copy_unchecked1@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 78
		refs = "000e ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 0022 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 002e ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 003a memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 07 A8 ?? ?? ?? ?? 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 09 D0 07 A8 ?? ?? ?? ?? 00 90 05 9B 19 88 00 98 ?? ?? ?? ?? EB E7 04 98 07 A9 08 22 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_30_1 {
	meta:
		name = "??$_Copy_unchecked@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z"
		size = 78
		refs = "000e ??$_Ptr_copy_cat@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQA_WABV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@@Z 001a memcpy 003a ??$_Copy_unchecked1@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B A9 09 A8 ?? ?? ?? ?? 03 90 02 A8 03 A9 01 22 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 68 46 0C A9 04 22 ?? ?? ?? ?? 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_13_1 {
	meta:
		name = "??$_Copy_unchecked@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z"
		size = 78
		refs = "000e ??$_Ptr_copy_cat@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQADABV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@@Z 001a memcpy 003a ??$_Copy_unchecked1@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B A9 09 A8 ?? ?? ?? ?? 03 90 02 A8 03 A9 01 22 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 68 46 0C A9 04 22 ?? ?? ?? ?? 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_31_1 {
	meta:
		name = "??$_Copy_unchecked@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z"
		size = 78
		refs = "000e ??$_Ptr_copy_cat@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQA_WABV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@@Z 001a memcpy 003a ??$_Copy_unchecked1@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B A9 09 A8 ?? ?? ?? ?? 03 90 02 A8 03 A9 01 22 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 68 46 0C A9 04 22 ?? ?? ?? ?? 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_32_1 {
	meta:
		name = "??$_Find_elem@G@std@@YAIPAGG@Z"
		size = 66
		altNames = "??$_Find_elem@_W@std@@YAIPA_W_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 02 E0 00 9B 9B 1C 00 93 00 9B 1B 88 00 2B 06 D0 00 9B 1A 88 BD F8 14 30 9A 42 00 D0 F1 E7 00 9A 04 9B D3 1A 5B 10 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_34_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBD@Z"
		size = 542
		refs = "000a __security_push_cookie 0070 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 008a ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 00f8 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 018c ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 019a ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 0206 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0212 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 6F F0 01 03 C7 E9 12 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 14 D0 7A 69 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 04 D1 D7 F8 80 30 5B 1C C7 F8 80 30 DC E7 00 22 D7 F8 80 10 17 F1 50 00 ?? ?? ?? ?? 38 64 6F F0 01 03 FB 61 01 23 3B 61 08 E0 3B 69 5B 1C 3B 61 B8 6F ?? ?? ?? ?? 6F F0 00 03 FB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 80 30 9A 42 80 F0 98 80 02 E0 7B 68 5B 1C 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 0F D0 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 00 D0 E1 E7 B9 68 17 F1 50 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 50 00 ?? ?? ?? ?? F8 62 FB 6A 93 F9 00 20 7B 68 13 44 7B 60 5F E0 7A 68 3B 69 13 44 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 0A D0 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 BB 68 FB 61 2C E0 F9 6F B8 6F ?? ?? ?? ?? 38 73 3B 7B 00 2B 0F D1 B8 6F ?? ?? ?? ?? 38 83 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 3B 8B 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 7B 62 01 E0 7F 23 7B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 78 63 7B 6A 5A B2 7B 6B 1A 70 01 E0 01 23 3B 70 5E E7 3B 78 00 2B 07 D0 F9 6F B8 6F ?? ?? ?? ?? 78 73 7B 7B 00 2B 00 D0 00 E0 41 E7 FB 69 BB 63 17 F1 50 00 ?? ?? ?? ?? BB 6B FB 63 F8 6B 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_36_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPBD@Z"
		size = 542
		refs = "000a __security_push_cookie 0070 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 008a ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 00f8 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 018c ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 019a ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 0206 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0212 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 6F F0 01 03 C7 E9 12 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 14 D0 7A 69 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 04 D1 D7 F8 80 30 5B 1C C7 F8 80 30 DC E7 00 22 D7 F8 80 10 17 F1 50 00 ?? ?? ?? ?? 38 64 6F F0 01 03 FB 61 01 23 3B 61 08 E0 3B 69 5B 1C 3B 61 B8 6F ?? ?? ?? ?? 6F F0 00 03 FB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 80 30 9A 42 80 F0 98 80 02 E0 7B 68 5B 1C 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 0F D0 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 00 D0 E1 E7 B9 68 17 F1 50 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 50 00 ?? ?? ?? ?? F8 62 FB 6A 93 F9 00 20 7B 68 13 44 7B 60 5F E0 7A 68 3B 69 13 44 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 0A D0 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 BB 68 FB 61 2C E0 F9 6F B8 6F ?? ?? ?? ?? 38 73 3B 7B 00 2B 0F D1 B8 6F ?? ?? ?? ?? 38 83 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 3B 8B 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 7B 62 01 E0 7F 23 7B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 78 63 7B 6A 5A B2 7B 6B 1A 70 01 E0 01 23 3B 70 5E E7 3B 78 00 2B 07 D0 F9 6F B8 6F ?? ?? ?? ?? 78 73 7B 7B 00 2B 00 D0 00 E0 41 E7 FB 69 BB 63 17 F1 50 00 ?? ?? ?? ?? BB 6B FB 63 F8 6B 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_38_1 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z"
		size = 522
		refs = "000a __security_push_cookie 006a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0084 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 00ec ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 017a ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0188 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 01f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01fe __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 6F F0 01 03 C7 E9 12 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1B 88 00 2B 12 D0 7A 69 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1A 88 D7 F8 84 30 1B 88 9A 42 04 D1 D7 F8 80 30 5B 1C C7 F8 80 30 DF E7 00 22 D7 F8 80 10 17 F1 50 00 ?? ?? ?? ?? 38 64 6F F0 01 03 FB 61 01 23 3B 61 08 E0 3B 69 5B 1C 3B 61 B8 6F ?? ?? ?? ?? 6F F0 00 03 FB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 80 30 9A 42 80 F0 91 80 02 E0 7B 68 5B 1C 7B 60 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1B 88 00 2B 0D D0 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1A 88 D7 F8 84 30 1B 88 9A 42 00 D0 E4 E7 B9 68 17 F1 50 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 50 00 ?? ?? ?? ?? F8 62 FB 6A 93 F9 00 20 7B 68 13 44 7B 60 5B E0 7A 68 3B 69 13 44 7B 60 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1A 88 D7 F8 84 30 1B 88 9A 42 09 D0 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1B 88 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 BB 68 FB 61 2B E0 F9 6F B8 6F ?? ?? ?? ?? 38 73 3B 7B 00 2B 0E D1 B8 6F ?? ?? ?? ?? 38 83 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1A 88 3B 8B 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 7B 62 01 E0 7F 23 7B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 78 63 7B 6A 5A B2 7B 6B 1A 70 01 E0 01 23 3B 70 65 E7 3B 78 00 2B 07 D0 F9 6F B8 6F ?? ?? ?? ?? 78 73 7B 7B 00 2B 00 D0 00 E0 48 E7 FB 69 BB 63 17 F1 50 00 ?? ?? ?? ?? BB 6B FB 63 F8 6B 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_40_1 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z"
		size = 522
		refs = "000a __security_push_cookie 006a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0084 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 00ec ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 017a ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0188 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 01f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01fe __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 6F F0 01 03 C7 E9 12 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1B 88 00 2B 12 D0 7A 69 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1A 88 D7 F8 84 30 1B 88 9A 42 04 D1 D7 F8 80 30 5B 1C C7 F8 80 30 DF E7 00 22 D7 F8 80 10 17 F1 50 00 ?? ?? ?? ?? 38 64 6F F0 01 03 FB 61 01 23 3B 61 08 E0 3B 69 5B 1C 3B 61 B8 6F ?? ?? ?? ?? 6F F0 00 03 FB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 80 30 9A 42 80 F0 91 80 02 E0 7B 68 5B 1C 7B 60 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1B 88 00 2B 0D D0 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1A 88 D7 F8 84 30 1B 88 9A 42 00 D0 E4 E7 B9 68 17 F1 50 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 50 00 ?? ?? ?? ?? F8 62 FB 6A 93 F9 00 20 7B 68 13 44 7B 60 5B E0 7A 68 3B 69 13 44 7B 60 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1A 88 D7 F8 84 30 1B 88 9A 42 09 D0 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1B 88 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 BB 68 FB 61 2B E0 F9 6F B8 6F ?? ?? ?? ?? 38 73 3B 7B 00 2B 0E D1 B8 6F ?? ?? ?? ?? 38 83 7A 68 02 23 02 FB 03 F2 D7 F8 84 30 13 44 1A 88 3B 8B 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 7B 62 01 E0 7F 23 7B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 78 63 7B 6A 5A B2 7B 6B 1A 70 01 E0 01 23 3B 70 65 E7 3B 78 00 2B 07 D0 F9 6F B8 6F ?? ?? ?? ?? 78 73 7B 7B 00 2B 00 D0 00 E0 48 E7 FB 69 BB 63 17 F1 50 00 ?? ?? ?? ?? BB 6B FB 63 F8 6B 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_42_1 {
	meta:
		name = "??$_Getvals@G@?$_Mpunct@G@std@@IAAXGPBUlconv@@@Z"
		size = 264
		refs = "0030 ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 00ba ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0100 ??_C@_01JOAMLHOP@?9?$AA@ 0104 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 28 33 1B 78 00 2B 04 D0 0C 9B 0C 33 1B 68 01 93 03 E0 0C 9B 10 33 1B 68 01 93 0A 9B 03 F1 2C 02 00 21 01 98 ?? ?? ?? ?? 04 90 0A 9B 03 F1 10 02 04 9B 13 60 0C 9B 2E 33 93 F9 00 30 04 2B 02 D9 2D 4B 02 93 03 E0 0C 9B 20 33 1B 68 02 93 0A 9B 03 F1 2C 02 00 21 02 98 ?? ?? ?? ?? 05 90 0A 9B 03 F1 14 02 05 9B 13 60 0C 9B 2F 33 93 F9 00 30 04 2B 02 D9 1F 4B 03 93 03 E0 0C 9B 24 33 1B 68 03 93 0A 9B 03 F1 2C 02 00 21 03 98 ?? ?? ?? ?? 06 90 0A 9B 03 F1 18 02 06 9B 13 60 0A 9B 03 F1 2C 02 00 21 0C 9B 14 33 1B 68 93 F9 00 00 ?? ?? ?? ?? AD F8 00 00 0A 9B 03 F1 0C 02 BD F8 00 30 13 80 0A 9B 03 F1 2C 02 00 21 0C 9B 18 33 1B 68 93 F9 00 00 ?? ?? ?? ?? AD F8 02 00 0A 9B 03 F1 0E 02 BD F8 02 30 13 80 08 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_43_1 {
	meta:
		name = "??$_Getvals@G@?$numpunct@G@std@@IAAXGPBUlconv@@U_Cvtvec@@@Z"
		size = 86
		refs = "0016 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 AA 00 21 06 9B 1B 68 93 F9 00 00 ?? ?? ?? ?? AD F8 00 00 04 9B 03 F1 0C 02 BD F8 00 30 13 80 07 AA 00 21 06 9B 1B 1D 1B 68 93 F9 00 00 ?? ?? ?? ?? AD F8 02 00 04 9B 03 F1 0E 02 BD F8 02 30 13 80 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_44_1 {
	meta:
		name = "??$_Getvals@G@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXGABV_Locinfo@1@@Z"
		size = 212
		refs = "000a __security_push_cookie 0014 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0066 ?_Getdays@_Locinfo@std@@QBAPBDXZ 0076 ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 0088 ?_Getmonths@_Locinfo@std@@QBAPBDXZ 00c4 __security_pop_cookie 00d0 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 93 B0 08 A9 1A 98 ?? ?? ?? ?? 02 90 02 99 18 9B 03 F1 18 02 0B 46 00 92 01 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9C 01 98 90 E8 0E 00 84 E8 0E 00 1A 98 ?? ?? ?? ?? 03 90 18 9B 03 F1 18 02 00 21 03 98 ?? ?? ?? ?? 04 90 18 9B 03 F1 08 02 04 9B 13 60 1A 98 ?? ?? ?? ?? 05 90 18 9B 03 F1 18 02 00 21 05 98 ?? ?? ?? ?? 06 90 18 9B 03 F1 0C 02 06 9B 13 60 18 9B 03 F1 18 02 00 21 07 48 ?? ?? ?? ?? 07 90 18 9B 03 F1 10 02 07 9B 13 60 13 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_18_1 {
	meta:
		name = "??$_Getvals@D@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXDABV_Locinfo@1@@Z"
		size = 212
		refs = "000a __security_push_cookie 0014 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0066 ?_Getdays@_Locinfo@std@@QBAPBDXZ 0076 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 0088 ?_Getmonths@_Locinfo@std@@QBAPBDXZ 00c4 __security_pop_cookie 00d0 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 93 B0 08 A9 1A 98 ?? ?? ?? ?? 02 90 02 99 18 9B 03 F1 18 02 0B 46 00 92 01 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9C 01 98 90 E8 0E 00 84 E8 0E 00 1A 98 ?? ?? ?? ?? 03 90 18 9B 03 F1 18 02 00 21 03 98 ?? ?? ?? ?? 04 90 18 9B 03 F1 08 02 04 9B 13 60 1A 98 ?? ?? ?? ?? 05 90 18 9B 03 F1 18 02 00 21 05 98 ?? ?? ?? ?? 06 90 18 9B 03 F1 0C 02 06 9B 13 60 18 9B 03 F1 18 02 00 21 07 48 ?? ?? ?? ?? 07 90 18 9B 03 F1 10 02 07 9B 13 60 13 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_45_1 {
	meta:
		name = "??$_Getvals@_W@?$_Mpunct@_W@std@@IAAX_WPBUlconv@@@Z"
		size = 196
		refs = "0028 ?_Maklocwcs@std@@YAPA_WPB_W@Z 00bc ??_C@_13IMODFHAA@?$AA?9?$AA?$AA@ 00c0 ??_C@_11LOCGONAA@?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 28 33 1B 78 00 2B 04 D0 0A 9B 38 33 1B 68 00 93 03 E0 0A 9B 3C 33 1B 68 00 93 00 98 ?? ?? ?? ?? 03 90 08 9B 03 F1 10 02 03 9B 13 60 0A 9B 2E 33 93 F9 00 30 04 2B 02 D9 1E 4B 01 93 03 E0 0A 9B 48 33 1B 68 01 93 01 98 ?? ?? ?? ?? 04 90 08 9B 03 F1 14 02 04 9B 13 60 0A 9B 2F 33 93 F9 00 30 04 2B 02 D9 12 4B 02 93 03 E0 0A 9B 4C 33 1B 68 02 93 02 98 ?? ?? ?? ?? 05 90 08 9B 03 F1 18 02 05 9B 13 60 0A 9B 40 33 19 68 08 9B 03 F1 0C 02 0B 88 13 80 0A 9B 44 33 19 68 08 9B 03 F1 0E 02 0B 88 13 80 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_46_1 {
	meta:
		name = "??$_Getvals@_W@?$numpunct@_W@std@@IAAX_WPBUlconv@@U_Cvtvec@@@Z"
		size = 48
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9B 30 33 19 68 02 9B 03 F1 0C 02 0B 88 13 80 04 9B 34 33 19 68 02 9B 03 F1 0E 02 0B 88 13 80 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_47_1 {
	meta:
		name = "??$_Getvals@_W@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAX_WABV_Locinfo@1@@Z"
		size = 188
		refs = "000a __security_push_cookie 0014 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0066 ?_W_Getdays@_Locinfo@std@@QBAPBGXZ 006e ?_Maklocwcs@std@@YAPA_WPB_W@Z 0080 ?_W_Getmonths@_Locinfo@std@@QBAPBGXZ 00ac __security_pop_cookie 00b8 ??_C@_1BK@MHIKGOKE@?$AA?3?$AAA?$AAM?$AA?3?$AAa?$AAm?$AA?3?$AAP?$AAM?$AA?3?$AAp?$AAm?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 93 B0 08 A9 1A 98 ?? ?? ?? ?? 02 90 02 99 18 9B 03 F1 18 02 0B 46 00 92 01 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9C 01 98 90 E8 0E 00 84 E8 0E 00 1A 98 ?? ?? ?? ?? 03 90 03 98 ?? ?? ?? ?? 04 90 18 9B 03 F1 08 02 04 9B 13 60 1A 98 ?? ?? ?? ?? 05 90 05 98 ?? ?? ?? ?? 06 90 18 9B 03 F1 0C 02 06 9B 13 60 07 48 ?? ?? ?? ?? 07 90 18 9B 03 F1 10 02 07 9B 13 60 13 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_48_1 {
	meta:
		name = "??$_Is_checked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@@Z"
		size = 36
		refs = "0010 memset"
		altNames = "??$_Is_checked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@@Z ??$_Is_checked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@@Z ??$_Ptr_copy_cat@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQADABV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@@Z ??$_Ptr_copy_cat@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQA_WABV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@@Z ??$_Ptr_copy_cat@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQA_WABV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 00 21 68 46 ?? ?? ?? ?? 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_50_1 {
	meta:
		name = "??$_LStrcoll@G@std@@YAHPBG000PBU_Collvec@@@Z"
		size = 136
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 05 E0 06 9B 9B 1C 06 93 08 9B 9B 1C 08 93 06 9A 07 9B 9A 42 18 D0 08 9A 09 9B 9A 42 14 D0 06 9B 1A 88 08 9B 1B 88 9A 42 04 DA 6F F0 00 03 00 93 1F E0 08 E0 08 9B 1A 88 06 9B 1B 88 9A 42 02 DA 01 23 00 93 15 E0 DC E7 08 9A 09 9B 9A 42 03 D0 6F F0 00 03 02 93 0A E0 06 9A 07 9B 9A 42 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B 02 93 02 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_51_1 {
	meta:
		name = "??$_LStrcoll@_W@std@@YAHPB_W000PBU_Collvec@@@Z"
		size = 44
		refs = "0016 _Wcscoll"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_20_1 {
	meta:
		name = "??$_LStrcoll@D@std@@YAHPBD000PBU_Collvec@@@Z"
		size = 44
		refs = "0016 _Strcoll"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_21_1 {
	meta:
		name = "??$_LStrxfrm@D@std@@YAIPAD0PBD1PBU_Collvec@@@Z"
		size = 44
		refs = "0016 _Strxfrm"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_53_1 {
	meta:
		name = "??$_LStrxfrm@_W@std@@YAIPA_W0PB_W1PBU_Collvec@@@Z"
		size = 44
		refs = "0016 _Wcsxfrm"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_52_1 {
	meta:
		name = "??$_LStrxfrm@G@std@@YAIPAG0PBG1PBU_Collvec@@@Z"
		size = 80
		refs = "003c memcpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9A 06 9B D3 1A 5B 10 00 93 05 9A 04 9B D3 1A 5A 10 00 9B 93 42 0E D8 00 9A 02 23 02 FB 03 F3 06 9A 05 98 04 99 41 1A 48 10 02 21 00 FB 01 F1 04 98 ?? ?? ?? ?? 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_54_1 {
	meta:
		name = "??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z"
		size = 64
		refs = "0016 memset 0026 _Mbrtowc"
		altNames = "??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 00 23 AD F8 08 30 08 22 00 21 04 A8 ?? ?? ?? ?? 0A 9B 00 93 04 AB 01 22 08 A9 02 A8 ?? ?? ?? ?? BD F8 08 30 AD F8 0C 30 BD F8 0C 00 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_56_1 {
	meta:
		name = "??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z"
		size = 120
		refs = "000c strlen 0026 _calloc_dbg 0036 ?_Xbad_alloc@std@@YAXXZ 0074 ??_C@_0CI@FIAODHFJ@f?3?2dd?2vctools?2crt?2crtw32?2stdhpp?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 05 90 05 9B 5B 1C 02 93 40 F2 D3 23 00 93 15 4B 02 22 01 21 02 98 ?? ?? ?? ?? 06 90 06 9B 04 93 04 9B 00 2B 01 D1 ?? ?? ?? ?? 04 9B 03 93 08 E0 02 9B 5B 1E 02 93 03 9B 5B 1C 03 93 0A 9B 5B 1C 0A 93 02 9B 00 2B 05 D9 0A 9B 93 F9 00 20 03 9B 1A 70 ED E7 04 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_57_1 {
	meta:
		name = "??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z"
		size = 256
		refs = "0010 memset 0016 strlen 0058 _Mbrtowc 0080 _calloc_dbg 0090 ?_Xbad_alloc@std@@YAXXZ 00fc ??_C@_0CI@FIAODHFJ@f?3?2dd?2vctools?2crt?2crtw32?2stdhpp?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 08 22 00 21 10 A8 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 0A 90 0A 9B 5B 1C 09 93 09 9B 05 93 00 23 03 93 16 9B 07 93 0A E0 05 9A 04 9B D3 1A 05 93 07 9A 04 9B 13 44 07 93 03 9B 5B 1C 03 93 05 9B 00 2B 0F D9 18 9B 00 93 10 AB 05 9A 07 99 02 A8 ?? ?? ?? ?? 0B 90 0B 9B 04 93 04 9B 00 2B 00 DC 00 E0 E1 E7 03 9B 5B 1C 03 93 4F F4 47 73 00 93 20 4B 02 22 02 21 03 98 ?? ?? ?? ?? 0C 90 0C 9B 08 93 08 9B 00 2B 01 D1 ?? ?? ?? ?? 08 9B 06 93 08 22 00 21 12 A8 ?? ?? ?? ?? 0D E0 05 9A 04 9B D3 1A 05 93 16 9A 04 9B 13 44 16 93 03 9B 5B 1E 03 93 06 9B 9B 1C 06 93 03 9B 00 2B 0F D9 18 9B 00 93 12 AB 09 9A 16 99 06 98 ?? ?? ?? ?? 0D 90 0D 9B 04 93 04 9B 00 2B 00 DC 00 E0 DE E7 06 9A 00 23 13 80 08 9B 0E 93 0E 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_58_1 {
	meta:
		name = "??$_Maklocstr@_W@std@@YAPA_WPBDPA_WABU_Cvtvec@@@Z"
		size = 256
		refs = "0010 memset 0016 strlen 0058 _Mbrtowc 0080 _calloc_dbg 0090 ?_Xbad_alloc@std@@YAXXZ 00fc ??_C@_0CI@FIAODHFJ@f?3?2dd?2vctools?2crt?2crtw32?2stdhpp?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 08 22 00 21 10 A8 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 0A 90 0A 9B 5B 1C 09 93 09 9B 05 93 00 23 03 93 16 9B 07 93 0A E0 05 9A 04 9B D3 1A 05 93 07 9A 04 9B 13 44 07 93 03 9B 5B 1C 03 93 05 9B 00 2B 0F D9 18 9B 00 93 10 AB 05 9A 07 99 02 A8 ?? ?? ?? ?? 0B 90 0B 9B 04 93 04 9B 00 2B 00 DC 00 E0 E1 E7 03 9B 5B 1C 03 93 4F F4 3D 73 00 93 20 4B 02 22 02 21 03 98 ?? ?? ?? ?? 0C 90 0C 9B 08 93 08 9B 00 2B 01 D1 ?? ?? ?? ?? 08 9B 06 93 08 22 00 21 12 A8 ?? ?? ?? ?? 0D E0 05 9A 04 9B D3 1A 05 93 16 9A 04 9B 13 44 16 93 03 9B 5B 1E 03 93 06 9B 9B 1C 06 93 03 9B 00 2B 0F D9 18 9B 00 93 12 AB 09 9A 16 99 06 98 ?? ?? ?? ?? 0D 90 0D 9B 04 93 04 9B 00 2B 00 DC 00 E0 DE E7 06 9A 00 23 13 80 08 9B 0E 93 0E 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_60_1 {
	meta:
		name = "??$_Pocca@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z"
		size = 16
		altNames = "??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z ??$_Pocca@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z ??$_Pocca@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z ?deallocate@?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@QBAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_64_1 {
	meta:
		name = "??$_Pocma@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@0U?$integral_constant@_N$00@0@@Z"
		size = 48
		refs = "0018 ??$move@AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z 0022 ??4?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAAAU01@$$QAU01@@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 78 6A ?? ?? ?? ?? 38 60 39 68 38 6A ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_25_1 {
	meta:
		name = "??$_Pocma@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0U?$integral_constant@_N$00@0@@Z"
		size = 48
		refs = "0018 ??$move@AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z 0022 ??4?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAAAU01@$$QAU01@@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 78 6A ?? ?? ?? ?? 38 60 39 68 38 6A ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_66_1 {
	meta:
		name = "??$_Pocma@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0U?$integral_constant@_N$00@0@@Z"
		size = 48
		refs = "0018 ??$move@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z 0022 ??4?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAAAU01@$$QAU01@@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 78 6A ?? ?? ?? ?? 38 60 39 68 38 6A ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_69_1 {
	meta:
		name = "??$_Rechecked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@AAV10@V10@@Z"
		size = 36
		refs = "0010 memcpy"
		altNames = "??$_Rechecked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@AAV10@V10@@Z ??$_Rechecked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@AAV10@V10@@Z ??$_Unchecked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@V10@@Z ??$_Unchecked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@V10@@Z ??$_Unchecked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@V10@@Z ??$_Unchecked_idl0@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@V10@@Z ??$_Unchecked_idl0@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@V10@@Z ??$_Unchecked_idl0@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 05 A9 08 22 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_74_1 {
	meta:
		name = "??$_Unchecked_idl0@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@V10@@Z"
		size = 36
		refs = "0010 ??$_Unchecked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 99 06 9A 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_30_1 {
	meta:
		name = "??$_Unchecked_idl0@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@V10@@Z"
		size = 36
		refs = "0010 ??$_Unchecked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 99 06 9A 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_75_1 {
	meta:
		name = "??$_Unchecked_idl0@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@V10@@Z"
		size = 36
		refs = "0010 ??$_Unchecked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 99 06 9A 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_85_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z"
		size = 90
		refs = "000e ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 001a memcpy 0022 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0044 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 A9 0C 98 ?? ?? ?? ?? 02 90 02 99 04 A8 04 22 ?? ?? ?? ?? 09 A9 0C 98 ?? ?? ?? ?? 03 90 03 99 05 A8 04 22 ?? ?? ?? ?? 68 46 0E A9 04 22 ?? ?? ?? ?? 0D 9B 04 9A 05 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 07 93 07 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_35_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z"
		size = 90
		refs = "000e ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 001a memcpy 0022 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0044 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 A9 0C 98 ?? ?? ?? ?? 02 90 02 99 04 A8 04 22 ?? ?? ?? ?? 09 A9 0C 98 ?? ?? ?? ?? 03 90 03 99 05 A8 04 22 ?? ?? ?? ?? 68 46 0E A9 04 22 ?? ?? ?? ?? 0D 9B 04 9A 05 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 07 93 07 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_86_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z"
		size = 90
		refs = "000e ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 001a memcpy 0022 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0044 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 A9 0C 98 ?? ?? ?? ?? 02 90 02 99 04 A8 04 22 ?? ?? ?? ?? 09 A9 0C 98 ?? ?? ?? ?? 03 90 03 99 05 A8 04 22 ?? ?? ?? ?? 68 46 0E A9 04 22 ?? ?? ?? ?? 0D 9B 04 9A 05 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 07 93 07 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_96_1 {
	meta:
		name = "??$copy@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z"
		size = 76
		refs = "000e ??$_Is_checked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@@Z 001a memcpy 0022 ?_Deprecate@_Unchecked_iterators@?1???$copy@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@PA_W0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z 0038 ??$_Copy_no_deprecate@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 98 0C 99 ?? ?? ?? ?? 03 90 02 A8 03 A9 01 22 ?? ?? ?? ?? 9D F8 08 00 ?? ?? ?? ?? 68 46 0C A9 04 22 ?? ?? ?? ?? 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_39_1 {
	meta:
		name = "??$copy@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z"
		size = 76
		refs = "000e ??$_Is_checked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@@Z 001a memcpy 0022 ?_Deprecate@_Unchecked_iterators@?1???$copy@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@PAD0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z 0038 ??$_Copy_no_deprecate@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 98 0C 99 ?? ?? ?? ?? 03 90 02 A8 03 A9 01 22 ?? ?? ?? ?? 9D F8 08 00 ?? ?? ?? ?? 68 46 0C A9 04 22 ?? ?? ?? ?? 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_97_1 {
	meta:
		name = "??$copy@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z"
		size = 76
		refs = "000e ??$_Is_checked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@@Z 001a memcpy 0022 ?_Deprecate@_Unchecked_iterators@?1???$copy@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@PA_W0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z 0038 ??$_Copy_no_deprecate@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 98 0C 99 ?? ?? ?? ?? 03 90 02 A8 03 A9 01 22 ?? ?? ?? ?? 9D F8 08 00 ?? ?? ?? ?? 68 46 0C A9 04 22 ?? ?? ?? ?? 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_173_1 {
	meta:
		name = "??0?$_Mpunct@G@std@@QAA@ABV_Locinfo@1@I_N1@Z"
		size = 84
		refs = "001a ??0money_base@std@@QAA@I@Z 003a ?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 0050 ??_7?$_Mpunct@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 0B 4A 3B 6A 1A 60 3B 6A 03 F1 28 02 97 F8 2C 30 13 70 97 F8 30 20 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_66_1 {
	meta:
		name = "??0?$_Mpunct@D@std@@QAA@ABV_Locinfo@1@I_N1@Z"
		size = 84
		refs = "001a ??0money_base@std@@QAA@I@Z 003a ?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 0050 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 0B 4A 3B 6A 1A 60 3B 6A 03 F1 28 02 97 F8 2C 30 13 70 97 F8 30 20 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_175_1 {
	meta:
		name = "??0?$_Mpunct@_W@std@@QAA@ABV_Locinfo@1@I_N1@Z"
		size = 84
		refs = "001a ??0money_base@std@@QAA@I@Z 003a ?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 0050 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 0B 4A 3B 6A 1A 60 3B 6A 03 F1 28 02 97 F8 2C 30 13 70 97 F8 30 20 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_181_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
		size = 32
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ ??0Block@_HeapManager@@QAA@XZ ??0_Container_base12@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_216_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBGI@Z"
		size = 66
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 002e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? BA 6A 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_86_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBDI@Z"
		size = 66
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 002e ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? BA 6A 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_226_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_WI@Z"
		size = 66
		refs = "0018 ??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ 0024 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 002e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 00 22 00 21 38 6A ?? ?? ?? ?? BA 6A 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_253_1 {
	meta:
		name = "??0?$moneypunct@G$00@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 56
		refs = "0018 ??0?$_Mpunct@G@std@@QAA@ABV_Locinfo@1@I_N1@Z 0034 ??_7?$moneypunct@G$00@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F8 24 30 00 93 01 23 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 05 4A 06 9B 1A 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_99_1 {
	meta:
		name = "??0?$moneypunct@D$00@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 56
		refs = "0018 ??0?$_Mpunct@D@std@@QAA@ABV_Locinfo@1@I_N1@Z 0034 ??_7?$moneypunct@D$00@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F8 24 30 00 93 01 23 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 05 4A 06 9B 1A 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_255_1 {
	meta:
		name = "??0?$moneypunct@_W$00@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 56
		refs = "0018 ??0?$_Mpunct@_W@std@@QAA@ABV_Locinfo@1@I_N1@Z 0034 ??_7?$moneypunct@_W$00@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F8 24 30 00 93 01 23 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 05 4A 06 9B 1A 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_254_1 {
	meta:
		name = "??0?$moneypunct@G$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 56
		refs = "0018 ??0?$_Mpunct@G@std@@QAA@ABV_Locinfo@1@I_N1@Z 0034 ??_7?$moneypunct@G$0A@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F8 24 30 00 93 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 05 4A 06 9B 1A 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_100_1 {
	meta:
		name = "??0?$moneypunct@D$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 56
		refs = "0018 ??0?$_Mpunct@D@std@@QAA@ABV_Locinfo@1@I_N1@Z 0034 ??_7?$moneypunct@D$0A@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F8 24 30 00 93 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 05 4A 06 9B 1A 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_256_1 {
	meta:
		name = "??0?$moneypunct@_W$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 56
		refs = "0018 ??0?$_Mpunct@_W@std@@QAA@ABV_Locinfo@1@I_N1@Z 0034 ??_7?$moneypunct@_W$0A@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F8 24 30 00 93 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 05 4A 06 9B 1A 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_265_1 {
	meta:
		name = "??0?$numpunct@G@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 72
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002e ?_Init@?$numpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 0044 ??_7?$numpunct@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 08 4A 3B 6A 1A 60 97 F8 2C 20 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_56_1 {
	meta:
		name = "??0?$numpunct@D@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 72
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002e ?_Init@?$numpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 0044 ??_7?$numpunct@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 08 4A 3B 6A 1A 60 97 F8 2C 20 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_267_1 {
	meta:
		name = "??0?$numpunct@_W@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 72
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002e ?_Init@?$numpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 0044 ??_7?$numpunct@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 B9 6A 38 6A ?? ?? ?? ?? 78 60 08 4A 3B 6A 1A 60 97 F8 2C 20 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_273_1 {
	meta:
		name = "??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 80
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002e ??0_Timevec@std@@QAA@PAX@Z 0038 ?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 004c ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 39 6B B8 6A ?? ?? ?? ?? 78 60 0A 4A BB 6A 1A 60 00 21 BB 6A 03 F1 08 00 ?? ?? ?? ?? B8 60 F9 6A B8 6A ?? ?? ?? ?? BB 6A 3B 60 38 68 07 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_103_1 {
	meta:
		name = "??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 80
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002e ??0_Timevec@std@@QAA@PAX@Z 0038 ?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 004c ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 39 6B B8 6A ?? ?? ?? ?? 78 60 0A 4A BB 6A 1A 60 00 21 BB 6A 03 F1 08 00 ?? ?? ?? ?? B8 60 F9 6A B8 6A ?? ?? ?? ?? BB 6A 3B 60 38 68 07 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_276_1 {
	meta:
		name = "??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 80
		refs = "001a ??0facet@locale@std@@IAA@I@Z 002e ??0_Timevec@std@@QAA@PAX@Z 0038 ?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 004c ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 39 6B B8 6A ?? ?? ?? ?? 78 60 0A 4A BB 6A 1A 60 00 21 BB 6A 03 F1 08 00 ?? ?? ?? ?? B8 60 F9 6A B8 6A ?? ?? ?? ?? BB 6A 3B 60 38 68 07 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_326_1 {
	meta:
		name = "??1?$collate@G@std@@MAA@XZ"
		size = 44
		refs = "0016 free 001c ??1facet@locale@std@@MAA@XZ 0028 ??_7?$collate@G@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 07 4A 02 9B 1A 60 02 9B 08 33 1B 1D 18 68 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_139_1 {
	meta:
		name = "??1?$collate@D@std@@MAA@XZ"
		size = 44
		refs = "0016 free 001c ??1facet@locale@std@@MAA@XZ 0028 ??_7?$collate@D@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 07 4A 02 9B 1A 60 02 9B 08 33 1B 1D 18 68 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_327_1 {
	meta:
		name = "??1?$collate@_W@std@@MAA@XZ"
		size = 44
		refs = "0016 free 001c ??1facet@locale@std@@MAA@XZ 0028 ??_7?$collate@_W@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 07 4A 02 9B 1A 60 02 9B 08 33 1B 1D 18 68 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_348_1 {
	meta:
		name = "??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 44
		refs = "0014 ??1_Timevec@std@@QAA@XZ 001a ??1facet@locale@std@@MAA@XZ 0028 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 07 4A 02 9B 1A 60 02 9B 03 F1 08 00 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_147_1 {
	meta:
		name = "??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 44
		refs = "0014 ??1_Timevec@std@@QAA@XZ 001a ??1facet@locale@std@@MAA@XZ 0028 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 07 4A 02 9B 1A 60 02 9B 03 F1 08 00 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_349_1 {
	meta:
		name = "??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 44
		refs = "0014 ??1_Timevec@std@@QAA@XZ 001a ??1facet@locale@std@@MAA@XZ 0028 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 07 4A 02 9B 1A 60 02 9B 03 F1 08 00 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_370_1 {
	meta:
		name = "??4?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAAAU01@$$QAU01@@Z"
		size = 32
		refs = "000c ??$move@AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_6_1 {
	meta:
		name = "??$?0AAU?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAA@AAU01@@Z"
		size = 32
		refs = "000c ??$forward@AAU?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@@std@@YAAAU?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@0@AAU10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_165_1 {
	meta:
		name = "??4?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAAAU01@$$QAU01@@Z"
		size = 32
		refs = "000c ??$move@AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_371_1 {
	meta:
		name = "??4?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAAAU01@$$QAU01@@Z"
		size = 32
		refs = "000c ??$move@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_373_1 {
	meta:
		name = "??4?$_Yarn@_W@std@@QAAAAV01@PB_W@Z"
		size = 128
		refs = "0016 ?_Tidy@?$_Yarn@_W@std@@AAAXXZ 004c _malloc_dbg 0068 memcpy 007c ??_C@_0CJ@JJAOBJEO@f?3?2dd?2vctools?2crt?2crtw32?2stdhpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1A 68 07 9B 9A 42 2B D0 06 98 ?? ?? ?? ?? 07 9B 00 2B 25 D0 07 9B 00 93 00 9B 1B 88 00 2B 03 D0 00 9B 9B 1C 00 93 F7 E7 00 9B 9B 1C 00 93 00 9A 07 9B D3 1A 01 93 40 F6 AB 63 0D 4A 02 21 01 98 ?? ?? ?? ?? 02 90 06 9A 02 9B 13 60 06 9B 1B 68 00 2B 05 D0 01 9A 07 99 06 9B 18 68 ?? ?? ?? ?? 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_374_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z"
		size = 200
		refs = "0024 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 002a ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 003c ??$?9V?$allocator@G@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z 0054 ?_Move_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z 007e ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 008a ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 00a2 ??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z 00aa ??$forward@V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@@std@@YA$$QAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@0@AAV10@@Z 00b4 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 6F F0 01 03 C7 E9 0E 33 3A 6D 7B 6D 9A 42 4C D0 00 22 01 21 38 6D ?? ?? ?? ?? 78 6D ?? ?? ?? ?? 78 60 38 6D ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 78 6D ?? ?? ?? ?? F8 60 F9 68 38 6D ?? ?? ?? ?? 78 6D ?? ?? ?? ?? 38 61 38 6D ?? ?? ?? ?? 78 61 39 69 78 69 ?? ?? ?? ?? 78 70 7B 78 00 2B 17 D0 17 F1 30 01 78 6D ?? ?? ?? ?? B8 61 17 F1 34 01 78 6D ?? ?? ?? ?? 38 62 BB 69 FB 61 FB 69 1A 68 3B 6A 7B 62 7B 6A 19 68 38 6D ?? ?? ?? ?? 07 E0 78 6D ?? ?? ?? ?? B8 62 B9 6A 38 6D ?? ?? ?? ?? 3B 6D FB 62 F8 6A 11 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_167_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z"
		size = 200
		refs = "0024 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 002a ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 003c ??$?9V?$allocator@D@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z 0054 ?_Move_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z 007e ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 008a ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00a2 ??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z 00aa ??$forward@V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@@std@@YA$$QAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@0@AAV10@@Z 00b4 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 6F F0 01 03 C7 E9 0E 33 3A 6D 7B 6D 9A 42 4C D0 00 22 01 21 38 6D ?? ?? ?? ?? 78 6D ?? ?? ?? ?? 78 60 38 6D ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 78 6D ?? ?? ?? ?? F8 60 F9 68 38 6D ?? ?? ?? ?? 78 6D ?? ?? ?? ?? 38 61 38 6D ?? ?? ?? ?? 78 61 39 69 78 69 ?? ?? ?? ?? 78 70 7B 78 00 2B 17 D0 17 F1 30 01 78 6D ?? ?? ?? ?? B8 61 17 F1 34 01 78 6D ?? ?? ?? ?? 38 62 BB 69 FB 61 FB 69 1A 68 3B 6A 7B 62 7B 6A 19 68 38 6D ?? ?? ?? ?? 07 E0 78 6D ?? ?? ?? ?? B8 62 B9 6A 38 6D ?? ?? ?? ?? 3B 6D FB 62 F8 6A 11 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_376_1 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z"
		size = 200
		refs = "0024 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 002a ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 003c ??$?9V?$allocator@_W@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z 0054 ?_Move_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z 007e ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 008a ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00a2 ??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z 00aa ??$forward@V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@@std@@YA$$QAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@0@AAV10@@Z 00b4 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 6F F0 01 03 C7 E9 0E 33 3A 6D 7B 6D 9A 42 4C D0 00 22 01 21 38 6D ?? ?? ?? ?? 78 6D ?? ?? ?? ?? 78 60 38 6D ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 78 6D ?? ?? ?? ?? F8 60 F9 68 38 6D ?? ?? ?? ?? 78 6D ?? ?? ?? ?? 38 61 38 6D ?? ?? ?? ?? 78 61 39 69 78 69 ?? ?? ?? ?? 78 70 7B 78 00 2B 17 D0 17 F1 30 01 78 6D ?? ?? ?? ?? B8 61 17 F1 34 01 78 6D ?? ?? ?? ?? 38 62 BB 69 FB 61 FB 69 1A 68 3B 6A 7B 62 7B 6A 19 68 38 6D ?? ?? ?? ?? 07 E0 78 6D ?? ?? ?? ?? B8 62 B9 6A 38 6D ?? ?? ?? ?? 3B 6D FB 62 F8 6A 11 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_375_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@ABV01@@Z"
		size = 106
		refs = "0014 ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 001c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0026 ??$?9V?$allocator@G@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z 003e ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 004e ?_Copy_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z 0056 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 09 9B 9A 42 23 D0 09 98 ?? ?? ?? ?? 01 90 08 98 ?? ?? ?? ?? 02 90 01 99 02 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0D D0 0C E0 00 22 01 21 08 98 ?? ?? ?? ?? 09 98 ?? ?? ?? ?? 03 90 03 99 08 98 ?? ?? ?? ?? 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_108_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@ABV01@@Z"
		size = 106
		refs = "0014 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 001c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0026 ??$?9V?$allocator@D@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z 003e ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 004e ?_Copy_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z 0056 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 09 9B 9A 42 23 D0 09 98 ?? ?? ?? ?? 01 90 08 98 ?? ?? ?? ?? 02 90 01 99 02 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0D D0 0C E0 00 22 01 21 08 98 ?? ?? ?? ?? 09 98 ?? ?? ?? ?? 03 90 03 99 08 98 ?? ?? ?? ?? 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_377_1 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@ABV01@@Z"
		size = 106
		refs = "0014 ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 001c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0026 ??$?9V?$allocator@_W@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z 003e ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 004e ?_Copy_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z 0056 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 09 9B 9A 42 23 D0 09 98 ?? ?? ?? ?? 01 90 08 98 ?? ?? ?? ?? 02 90 01 99 02 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0D D0 0C E0 00 22 01 21 08 98 ?? ?? ?? ?? 09 98 ?? ?? ?? ?? 03 90 03 99 08 98 ?? ?? ?? ?? 09 99 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_378_1 {
	meta:
		name = "??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z"
		size = 106
		refs = "001e ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGG@Z 002e ?eof@?$char_traits@G@std@@SAGXZ 0044 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 68 00 2B 1F D0 BD F8 1C 10 06 9B 1B 1D 18 68 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 06 30 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 08 30 0D F1 06 01 02 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D0 06 9A 01 23 13 70 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_379_1 {
	meta:
		name = "??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
		size = 106
		refs = "001e ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAG_W@Z 002e ?eof@?$char_traits@_W@std@@SAGXZ 0044 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 68 00 2B 1F D0 BD F8 1C 10 06 9B 1B 1D 18 68 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 06 30 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 08 30 0D F1 06 01 02 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D0 06 9A 01 23 13 70 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_380_1 {
	meta:
		name = "??4_Timevec@std@@QAAAAV01@ABV01@@Z"
		size = 40
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 04 9A 1B 68 13 60 05 9A 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_381_1 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 62
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9A 05 9B 12 68 1B 68 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_170_1 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 62
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9A 05 9B 12 68 1B 68 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_382_1 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 62
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9A 05 9B 12 68 1B 68 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_396_1 {
	meta:
		name = "??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ"
		size = 50
		refs = "0016 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 04 9B 9B 1D 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_397_1 {
	meta:
		name = "??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ"
		size = 50
		refs = "0016 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 04 9B 9B 1D 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_400_1 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ"
		size = 36
		altNames = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 9A 1C 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_408_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV01@@Z"
		size = 44
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9A 05 9B 12 68 1B 68 D3 1A 5B 10 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_409_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV01@@Z"
		size = 44
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9A 05 9B 12 68 1B 68 D3 1A 5B 10 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_420_1 {
	meta:
		name = "??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z"
		size = 40
		refs = "0012 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 14 20 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_422_1 {
	meta:
		name = "??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@G@Z"
		size = 40
		refs = "0012 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 14 20 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_424_1 {
	meta:
		name = "??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@_W@Z"
		size = 40
		refs = "0012 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 14 20 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_427_1 {
	meta:
		name = "??_G?$_Mpunct@G@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$_Mpunct@G@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_249_3 {
	meta:
		name = "??_G?$_Mpunct@D@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$_Mpunct@D@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_428_1 {
	meta:
		name = "??_G?$_Mpunct@_W@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$_Mpunct@_W@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_255_3 {
	meta:
		name = "??_G?$moneypunct@D$00@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$moneypunct@D$00@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_256_3 {
	meta:
		name = "??_G?$moneypunct@D$0A@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$moneypunct@D$0A@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_441_1 {
	meta:
		name = "??_G?$moneypunct@G$00@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$moneypunct@G$00@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_518_2 {
	meta:
		name = "??_G?$moneypunct@G$0A@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$moneypunct@G$0A@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_519_2 {
	meta:
		name = "??_G?$moneypunct@_W$00@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$moneypunct@_W$00@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_520_2 {
	meta:
		name = "??_G?$moneypunct@_W$0A@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$moneypunct@_W$0A@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 58 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_431_1 {
	meta:
		name = "??_G?$collate@G@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$collate@G@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 10 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_192_1 {
	meta:
		name = "??_G?$collate@D@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$collate@D@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 10 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_432_1 {
	meta:
		name = "??_G?$collate@_W@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$collate@_W@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 10 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_453_1 {
	meta:
		name = "??_G?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_200_1 {
	meta:
		name = "??_G?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_454_1 {
	meta:
		name = "??_G?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z"
		size = 64
		refs = "000c ??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ 0022 ??3_Crt_new_delete@std@@SAXPAX@Z 002c ?__global_delete@@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 0B D0 05 9B 13 F0 04 0F 03 D1 04 98 ?? ?? ?? ?? 03 E0 0C 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_491_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX$$QAV12@@Z"
		size = 190
		refs = "000c ?_Myres@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 001c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0024 ?_Bx@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@G@std@@@2@XZ 003c ?move@?$char_traits@G@std@@SAPAGPAGPBGI@Z 0054 ??$addressof@PAG@std@@YAPAPAGAAPAG@Z 005c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0068 ??$construct@PAGAAPAG@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAPAGAAPAG@Z 00b0 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 11 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 08 2B 13 D2 11 98 ?? ?? ?? ?? 01 90 11 98 ?? ?? ?? ?? 02 90 10 98 ?? ?? ?? ?? 03 90 01 9B 1B 68 5A 1C 02 99 03 98 ?? ?? ?? ?? 1B E0 11 98 ?? ?? ?? ?? 05 90 10 98 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? 06 90 10 98 ?? ?? ?? ?? 07 90 05 9A 06 99 07 98 ?? ?? ?? ?? 11 98 ?? ?? ?? ?? 08 90 08 9A 00 23 13 60 11 98 ?? ?? ?? ?? 09 90 10 98 ?? ?? ?? ?? 0A 90 09 9B 1A 68 0A 9B 1A 60 11 98 ?? ?? ?? ?? 0B 90 10 98 ?? ?? ?? ?? 0C 90 0B 9B 1A 68 0C 9B 1A 60 00 22 00 21 11 98 ?? ?? ?? ?? 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_492_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX$$QAV12@@Z"
		size = 190
		refs = "000c ?_Myres@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 001c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0024 ?_Bx@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 003c ?move@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 0054 ??$addressof@PA_W@std@@YAPAPA_WAAPA_W@Z 005c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0068 ??$construct@PA_WAAPA_W@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPAPA_WAAPA_W@Z 00b0 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 11 98 ?? ?? ?? ?? 00 90 00 9B 1B 68 08 2B 13 D2 11 98 ?? ?? ?? ?? 01 90 11 98 ?? ?? ?? ?? 02 90 10 98 ?? ?? ?? ?? 03 90 01 9B 1B 68 5A 1C 02 99 03 98 ?? ?? ?? ?? 1B E0 11 98 ?? ?? ?? ?? 05 90 10 98 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? 06 90 10 98 ?? ?? ?? ?? 07 90 05 9A 06 99 07 98 ?? ?? ?? ?? 11 98 ?? ?? ?? ?? 08 90 08 9A 00 23 13 60 11 98 ?? ?? ?? ?? 09 90 10 98 ?? ?? ?? ?? 0A 90 09 9B 1A 68 0A 9B 1A 60 11 98 ?? ?? ?? ?? 0B 90 10 98 ?? ?? ?? ?? 0C 90 0B 9B 1A 68 0C 9B 1A 60 00 22 00 21 11 98 ?? ?? ?? ?? 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_520_1 {
	meta:
		name = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z"
		size = 36
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0016 ??$_Pocca@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@ABU10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_148_1 {
	meta:
		name = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z"
		size = 36
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0016 ??$_Pocca@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@ABU10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_521_1 {
	meta:
		name = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z"
		size = 36
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0016 ??$_Pocca@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@ABU10@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_335_1 {
	meta:
		name = "?_Move_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z"
		size = 36
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0016 ??$_Pocma@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_816_1 {
	meta:
		name = "?_Move_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z"
		size = 36
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0016 ??$_Pocma@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_817_1 {
	meta:
		name = "?_Move_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z"
		size = 36
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0016 ??$_Pocma@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_540_1 {
	meta:
		name = "?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z"
		size = 320
		altNames = "?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 9B 02 93 02 9A 25 23 13 70 02 9B 5B 1C 02 93 0B 9B 13 F0 20 0F 05 D0 02 9A 2B 23 13 70 02 9B 5B 1C 02 93 0B 9B 13 F0 10 0F 05 D0 02 9A 23 23 13 70 02 9B 5B 1C 02 93 02 9A 2E 23 13 70 02 9B 5B 1C 02 93 02 9A 2A 23 13 70 02 9B 5B 1C 02 93 9D F9 28 30 00 2B 06 D0 9D F9 28 20 02 9B 1A 70 02 9B 5B 1C 02 93 0B 9B 03 F4 40 53 03 93 0B 9B 13 F0 04 0F 2A D0 03 9B B3 F5 00 5F 03 D1 66 23 8D F8 02 30 1A E0 03 9B B3 F5 40 5F 03 D1 41 23 8D F8 01 30 0E E0 03 9B B3 F5 80 5F 03 D1 45 23 8D F8 00 30 02 E0 47 23 8D F8 00 30 9D F9 00 30 8D F8 01 30 9D F9 01 30 8D F8 02 30 9D F9 02 20 02 9B 1A 70 02 9B 5B 1C 02 93 29 E0 03 9B B3 F5 00 5F 03 D1 66 23 8D F8 05 30 1A E0 03 9B B3 F5 40 5F 03 D1 61 23 8D F8 04 30 0E E0 03 9B B3 F5 80 5F 03 D1 65 23 8D F8 03 30 02 E0 67 23 8D F8 03 30 9D F9 03 30 8D F8 04 30 9D F9 04 30 8D F8 05 30 9D F9 05 20 02 9B 1A 70 02 9B 5B 1C 02 93 02 9A 00 23 13 70 09 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_542_1 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z"
		size = 1224
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00cc strcspn 00e2 memcpy 00e6 localeconv 0114 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0120 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 012e ??1locale@std@@QAA@XZ 013c ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 014a ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0168 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 0180 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0198 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a2 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 01b8 ?decimal_point@?$numpunct@G@std@@QBAGXZ 01ee ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0232 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 024e ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 025e ?width@ios_base@std@@QBA_JXZ 0310 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0352 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 0470 ?width@ios_base@std@@QAA_J_J@Z 0496 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 049e ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 04b0 __security_pop_cookie 04bc ??_C@_01LFCBOECM@?4?$AA@ 04c0 ??_C@_02OOPEBDOJ@pP?$AA@ 04c4 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D4 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 7C 31 00 2B 0E D9 D7 F8 78 31 93 F9 00 30 2B 2B 05 D0 D7 F8 78 31 93 F9 00 30 2D 2B 02 D1 01 23 BB 62 01 E0 00 23 BB 62 BB 6A 3B 60 D7 F8 70 01 ?? ?? ?? ?? B8 63 BB 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 60 34 FB 62 2E E0 DF F8 54 34 FB 62 3B 68 9A 1C D7 F8 7C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 F9 6A D7 F8 78 01 ?? ?? ?? ?? F8 63 FB 6B 3B 67 17 F1 08 03 3B 64 38 6C F7 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 78 64 7B 6C 1B 68 17 F1 08 02 93 F9 00 30 13 70 17 F1 08 01 D7 F8 78 01 ?? ?? ?? ?? B8 64 BB 6C 3B 61 17 F1 D8 01 D7 F8 70 01 ?? ?? ?? ?? F8 64 FB 6C 3B 65 38 6D ?? ?? ?? ?? 78 65 7B 6D FB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 7C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? B8 65 BB 6D D7 F8 7C 11 01 22 01 FB 02 F1 D7 F8 78 21 0A 44 D7 F8 78 11 F8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 70 01 ?? ?? ?? ?? 38 66 3B 6E 7B 66 78 6E ?? ?? ?? ?? B8 66 BB 6E 3B 62 17 F1 E0 00 ?? ?? ?? ?? 17 F5 9C 71 38 6A ?? ?? ?? ?? C7 F8 D4 00 38 6A ?? ?? ?? ?? 38 83 3B 8B BB 83 3A 69 D7 F8 7C 31 9A 42 0C D0 38 6A ?? ?? ?? ?? 78 83 39 69 17 F5 90 70 ?? ?? ?? ?? F8 66 7A 8B FB 6E 1A 80 3A 69 D7 F8 7C 31 9A 42 02 D1 3B 6F 3B 63 01 E0 3B 69 3B 63 3B 6B 7B 61 00 21 17 F5 9C 70 ?? ?? ?? ?? 78 67 7B 6F 7B 60 7B 68 93 F9 00 30 7F 2B 23 D0 7B 68 93 F9 00 30 00 2B 1E DD 7B 68 93 F9 00 10 7A 69 3B 68 D3 1A 99 42 16 D2 7B 68 93 F9 00 20 7B 69 9B 1A 7B 61 BB 8B 01 22 79 69 17 F5 90 70 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D6 E7 17 F5 90 70 ?? ?? ?? ?? B8 67 BB 6F C7 F8 7C 31 D7 F8 70 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 FB 67 D7 F8 BC 30 00 2B 20 DB 02 DC FB 6F 00 2B 1C D9 D7 F8 70 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 7C 31 9A 42 0E D9 D7 F8 70 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 7C 31 D3 1A 7B 63 01 E0 00 23 7B 63 7B 6B FB 60 D7 F8 70 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 03 F4 E0 73 7B 62 7B 6A 40 2B 3D D0 7B 6A B3 F5 80 7F 39 D0 FB 68 01 93 B7 F8 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 17 F1 F0 01 D7 F8 60 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 88 00 3B 68 01 93 D7 F8 88 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F1 F8 01 D7 F8 60 01 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 5C E0 7B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 90 00 3B 68 01 93 D7 F8 90 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 80 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 B4 70 08 22 ?? ?? ?? ?? FB 68 01 93 B7 F8 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 84 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 9C 00 3B 68 01 93 D7 F8 9C 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 88 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 7C 21 3B 68 D3 1A 01 93 D7 F8 A4 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 8C 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 70 01 ?? ?? ?? ?? FB 68 01 93 B7 F8 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 D7 F8 64 11 D7 F8 60 01 ?? ?? ?? ?? 17 F5 9C 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 64 31 C7 F8 AC 30 D7 F8 AC 00 56 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_547_1 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z"
		size = 1224
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00cc strcspn 00e2 memcpy 00e6 localeconv 0114 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0120 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 012e ??1locale@std@@QAA@XZ 013c ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 014a ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0168 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 0180 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0198 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a2 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 01b8 ?decimal_point@?$numpunct@_W@std@@QBA_WXZ 01ee ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0232 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 024e ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 025e ?width@ios_base@std@@QBA_JXZ 0310 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0352 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 0470 ?width@ios_base@std@@QAA_J_J@Z 0496 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 049e ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 04b0 __security_pop_cookie 04bc ??_C@_01LFCBOECM@?4?$AA@ 04c0 ??_C@_02OOPEBDOJ@pP?$AA@ 04c4 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D4 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 7C 31 00 2B 0E D9 D7 F8 78 31 93 F9 00 30 2B 2B 05 D0 D7 F8 78 31 93 F9 00 30 2D 2B 02 D1 01 23 BB 62 01 E0 00 23 BB 62 BB 6A 3B 60 D7 F8 70 01 ?? ?? ?? ?? B8 63 BB 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 60 34 FB 62 2E E0 DF F8 54 34 FB 62 3B 68 9A 1C D7 F8 7C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 F9 6A D7 F8 78 01 ?? ?? ?? ?? F8 63 FB 6B 3B 67 17 F1 08 03 3B 64 38 6C F7 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 78 64 7B 6C 1B 68 17 F1 08 02 93 F9 00 30 13 70 17 F1 08 01 D7 F8 78 01 ?? ?? ?? ?? B8 64 BB 6C 3B 61 17 F1 D8 01 D7 F8 70 01 ?? ?? ?? ?? F8 64 FB 6C 3B 65 38 6D ?? ?? ?? ?? 78 65 7B 6D FB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 7C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? B8 65 BB 6D D7 F8 7C 11 01 22 01 FB 02 F1 D7 F8 78 21 0A 44 D7 F8 78 11 F8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 70 01 ?? ?? ?? ?? 38 66 3B 6E 7B 66 78 6E ?? ?? ?? ?? B8 66 BB 6E 3B 62 17 F1 E0 00 ?? ?? ?? ?? 17 F5 9C 71 38 6A ?? ?? ?? ?? C7 F8 D4 00 38 6A ?? ?? ?? ?? 38 83 3B 8B BB 83 3A 69 D7 F8 7C 31 9A 42 0C D0 38 6A ?? ?? ?? ?? 78 83 39 69 17 F5 90 70 ?? ?? ?? ?? F8 66 7A 8B FB 6E 1A 80 3A 69 D7 F8 7C 31 9A 42 02 D1 3B 6F 3B 63 01 E0 3B 69 3B 63 3B 6B 7B 61 00 21 17 F5 9C 70 ?? ?? ?? ?? 78 67 7B 6F 7B 60 7B 68 93 F9 00 30 7F 2B 23 D0 7B 68 93 F9 00 30 00 2B 1E DD 7B 68 93 F9 00 10 7A 69 3B 68 D3 1A 99 42 16 D2 7B 68 93 F9 00 20 7B 69 9B 1A 7B 61 BB 8B 01 22 79 69 17 F5 90 70 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D6 E7 17 F5 90 70 ?? ?? ?? ?? B8 67 BB 6F C7 F8 7C 31 D7 F8 70 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 FB 67 D7 F8 BC 30 00 2B 20 DB 02 DC FB 6F 00 2B 1C D9 D7 F8 70 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 7C 31 9A 42 0E D9 D7 F8 70 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 7C 31 D3 1A 7B 63 01 E0 00 23 7B 63 7B 6B FB 60 D7 F8 70 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 03 F4 E0 73 7B 62 7B 6A 40 2B 3D D0 7B 6A B3 F5 80 7F 39 D0 FB 68 01 93 B7 F8 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 17 F1 F0 01 D7 F8 60 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 88 00 3B 68 01 93 D7 F8 88 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F1 F8 01 D7 F8 60 01 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 5C E0 7B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 90 00 3B 68 01 93 D7 F8 90 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 80 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 B4 70 08 22 ?? ?? ?? ?? FB 68 01 93 B7 F8 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 84 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 9C 00 3B 68 01 93 D7 F8 9C 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 88 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 7C 21 3B 68 D3 1A 01 93 D7 F8 A4 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 8C 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 70 01 ?? ?? ?? ?? FB 68 01 93 B7 F8 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 D7 F8 64 11 D7 F8 60 01 ?? ?? ?? ?? 17 F5 9C 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 64 31 C7 F8 AC 30 D7 F8 AC 00 56 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_582_1 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 226
		refs = "000a __security_push_cookie 0032 ??2_Crt_new_delete@std@@SAPAXI@Z 004a ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 006a ??0_Locinfo@std@@QAA@PBD@Z 0082 ??0?$collate@G@std@@QAA@ABV_Locinfo@1@I@Z 00b2 ??1_Locinfo@std@@QAA@XZ 00ca ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 23 3B 60 D7 F8 98 30 00 2B 53 D0 D7 F8 98 30 1B 68 00 2B 4E D1 10 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 25 D0 17 F1 70 01 D7 F8 9C 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 3B 68 43 F0 01 03 3B 60 78 69 ?? ?? ?? ?? B8 61 B9 69 17 F1 38 00 ?? ?? ?? ?? F8 61 FB 69 3B 62 3B 68 43 F0 02 03 3B 60 00 22 39 6A 78 68 ?? ?? ?? ?? 78 62 7B 6A BB 60 01 E0 00 23 BB 60 BB 68 BB 62 BA 6A D7 F8 98 30 1A 60 3B 68 13 F0 02 0F 07 D0 3B 68 23 F0 02 03 3B 60 17 F1 38 00 ?? ?? ?? ?? 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 70 00 ?? ?? ?? ?? 01 23 FB 62 F8 6A 22 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_251_1 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 226
		refs = "000a __security_push_cookie 0032 ??2_Crt_new_delete@std@@SAPAXI@Z 004a ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 006a ??0_Locinfo@std@@QAA@PBD@Z 0082 ??0?$collate@D@std@@QAA@ABV_Locinfo@1@I@Z 00b2 ??1_Locinfo@std@@QAA@XZ 00ca ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 23 3B 60 D7 F8 98 30 00 2B 53 D0 D7 F8 98 30 1B 68 00 2B 4E D1 10 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 25 D0 17 F1 70 01 D7 F8 9C 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 3B 68 43 F0 01 03 3B 60 78 69 ?? ?? ?? ?? B8 61 B9 69 17 F1 38 00 ?? ?? ?? ?? F8 61 FB 69 3B 62 3B 68 43 F0 02 03 3B 60 00 22 39 6A 78 68 ?? ?? ?? ?? 78 62 7B 6A BB 60 01 E0 00 23 BB 60 BB 68 BB 62 BA 6A D7 F8 98 30 1A 60 3B 68 13 F0 02 0F 07 D0 3B 68 23 F0 02 03 3B 60 17 F1 38 00 ?? ?? ?? ?? 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 70 00 ?? ?? ?? ?? 01 23 FB 62 F8 6A 22 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_586_1 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 226
		refs = "000a __security_push_cookie 0032 ??2_Crt_new_delete@std@@SAPAXI@Z 004a ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 006a ??0_Locinfo@std@@QAA@PBD@Z 0082 ??0?$collate@_W@std@@QAA@ABV_Locinfo@1@I@Z 00b2 ??1_Locinfo@std@@QAA@XZ 00ca ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 23 3B 60 D7 F8 98 30 00 2B 53 D0 D7 F8 98 30 1B 68 00 2B 4E D1 10 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 25 D0 17 F1 70 01 D7 F8 9C 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 3B 68 43 F0 01 03 3B 60 78 69 ?? ?? ?? ?? B8 61 B9 69 17 F1 38 00 ?? ?? ?? ?? F8 61 FB 69 3B 62 3B 68 43 F0 02 03 3B 60 00 22 39 6A 78 68 ?? ?? ?? ?? 78 62 7B 6A BB 60 01 E0 00 23 BB 60 BB 68 BB 62 BA 6A D7 F8 98 30 1A 60 3B 68 13 F0 02 0F 07 D0 3B 68 23 F0 02 03 3B 60 17 F1 38 00 ?? ?? ?? ?? 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 70 00 ?? ?? ?? ?? 01 23 FB 62 F8 6A 22 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_584_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		altNames = "__unwindfunclet$?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 08 80 3B 68 23 F0 01 03 3B 60 17 F1 70 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_585_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$2"
		size = 32
		refs = "001a ??1_Locinfo@std@@QAA@XZ"
		altNames = "__unwindfunclet$?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$2 __unwindfunclet$?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$2"
	strings:
		$1 = { 10 B5 3B 68 03 F0 02 03 00 2B 00 F0 08 80 3B 68 23 F0 02 03 3B 60 17 F1 38 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_596_1 {
	meta:
		name = "?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$messages@G@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 06 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_258_1 {
	meta:
		name = "?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$messages@D@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 06 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_599_1 {
	meta:
		name = "?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$messages@_W@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 06 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_602_1 {
	meta:
		name = "?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_261_1 {
	meta:
		name = "?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_605_1 {
	meta:
		name = "?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_264_1 {
	meta:
		name = "?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_608_1 {
	meta:
		name = "?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_611_1 {
	meta:
		name = "?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_614_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$moneypunct@G$00@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 58 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_267_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$moneypunct@D$00@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 58 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_270_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$moneypunct@D$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 58 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_617_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$moneypunct@G$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 58 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_620_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$moneypunct@_W$00@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 58 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_623_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$moneypunct@_W$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 58 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 03 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_626_1 {
	meta:
		name = "?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_118_177_1 {
	meta:
		name = "?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_629_1 {
	meta:
		name = "?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_118_180_1 {
	meta:
		name = "?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_632_1 {
	meta:
		name = "?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_635_1 {
	meta:
		name = "?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 08 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_638_1 {
	meta:
		name = "?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$numpunct@G@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 18 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_118_183_1 {
	meta:
		name = "?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$numpunct@D@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 18 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_641_1 {
	meta:
		name = "?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 164
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??0?$numpunct@_W@std@@QAA@ABV_Locinfo@1@I_N@Z 0090 ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 39 D0 3B 6F 1B 68 00 2B 35 D1 18 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 19 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 01 23 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 04 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_644_1 {
	meta:
		name = "?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 44 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 05 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_273_1 {
	meta:
		name = "?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 44 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 05 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_647_1 {
	meta:
		name = "?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 44 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 05 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_650_1 {
	meta:
		name = "?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 0C 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 05 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_276_1 {
	meta:
		name = "?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 0C 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 05 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_653_1 {
	meta:
		name = "?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 162
		refs = "002a ??2_Crt_new_delete@std@@SAPAXI@Z 003c ?c_str@locale@std@@QBAPBDXZ 0048 ??0_Locinfo@std@@QAA@PBD@Z 0060 ??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 008e ??1_Locinfo@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 00 2B 38 D0 3B 6F 1B 68 00 2B 34 D1 0C 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 18 D0 78 6F ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 01 03 3B 60 00 22 B9 69 78 68 ?? ?? ?? ?? F8 61 FB 69 BB 60 01 E0 00 23 BB 60 BB 68 3B 62 3A 6A 3B 6F 1A 60 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 05 23 7B 62 78 6A 19 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_656_1 {
	meta:
		name = "?_Getcoll@_Locinfo@std@@QBA?AU_Collvec@@XZ"
		size = 56
		refs = "000c _Getcoll 001a memcpy"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 02 A8 ?? ?? ?? ?? 02 AB 00 93 00 99 04 A8 08 22 ?? ?? ?? ?? 09 98 04 A9 08 22 ?? ?? ?? ?? 09 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_660_1 {
	meta:
		name = "?_Getdays@_Locinfo@std@@QBAPBDXZ"
		size = 104
		refs = "000a _Getdays 0020 ??4?$_Yarn@D@std@@QAAAAV01@PBD@Z 0026 free 002e ?_Empty@?$_Yarn@D@std@@QBA_NXZ 0042 ?_C_str@?$_Yarn@D@std@@QBAPBDXZ 0064 ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 00 2B 07 D0 01 99 08 9B 18 1D ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 08 9B 18 1D ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D1 08 9B 18 1D ?? ?? ?? ?? 04 90 04 9B 02 93 01 E0 05 4B 02 93 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_663_1 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2088
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 004e ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 007c ??1locale@std@@QAA@XZ 0086 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b8 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00e2 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 00ee ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0104 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 0128 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 019a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 01d2 ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01f2 ??$_Find_elem@G@std@@YAIPAGG@Z 0258 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0270 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 0286 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 032c ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03a2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0466 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 048e ?decimal_point@?$numpunct@G@std@@QBAGXZ 04a0 localeconv 0814 __security_pop_cookie 0820 ?_Src@?1??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D0 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 60 01 ?? ?? ?? ?? F8 66 FB 6E 03 F4 40 53 B3 F5 40 5F 13 D1 D7 F8 64 31 01 93 D7 F8 60 31 00 93 D7 F8 5C 31 D7 F8 58 21 D7 F8 54 11 D7 F8 50 01 ?? ?? ?? ?? 38 67 3B 6F BB 66 DA E3 17 F1 D8 01 D7 F8 60 01 ?? ?? ?? ?? 78 67 7B 6F BB 67 B8 6F ?? ?? ?? ?? F8 67 FB 6F 7B 65 17 F1 D8 00 ?? ?? ?? ?? 17 F5 84 71 78 6D ?? ?? ?? ?? C7 F8 CC 00 D7 F8 54 31 7B 60 00 23 7B 72 00 23 3B 72 17 F1 E0 01 D7 F8 60 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 17 F1 E0 00 ?? ?? ?? ?? 17 F5 90 73 DF F8 48 27 0F 32 DF F8 44 17 D7 F8 8C 00 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 00 D0 2C E0 D7 F8 58 01 ?? ?? ?? ?? 78 86 7A 8E 17 F5 90 73 16 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? 15 E0 D7 F8 58 01 ?? ?? ?? ?? B8 86 BA 8E 17 F5 90 73 14 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? 7B 68 7B 66 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 7B 61 00 23 BB 61 D7 F8 64 31 1A 68 DF F8 A4 36 9A 42 03 D1 4F F4 40 73 FB 65 01 E0 24 23 FB 65 FB 6D BB 65 00 21 17 F5 84 70 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 3B 62 3B 6A 93 F9 00 30 7F 2B 04 D0 3B 6A 93 F9 00 30 00 2B 4B DC 05 E0 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 37 D0 D7 F8 58 01 ?? ?? ?? ?? F8 86 F9 8E 17 F5 90 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 3B 61 3B 69 0A 2B 25 D2 BA 6D 7B 69 9A 42 08 DC BB 69 5B 1C BB 61 3B 69 00 2B 01 D9 01 23 3B 72 17 E0 3B 69 00 2B 03 D1 7B 69 00 2B 00 D1 10 E0 3A 69 01 23 02 FB 03 F2 DF F8 E8 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 B5 E7 0A E1 17 F5 84 70 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 00 2B 02 D1 00 23 FB 85 05 E0 78 6D ?? ?? ?? ?? 38 87 3B 8F FB 85 FB 8D 3B 86 00 22 01 21 17 F1 F0 00 ?? ?? ?? ?? C7 F8 D0 00 00 23 FB 60 03 E0 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 7C D0 D7 F8 58 01 ?? ?? ?? ?? 78 87 79 8F 17 F5 90 70 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 3B 61 3B 69 0A 2B 45 D2 01 23 3B 70 BA 6D 7B 69 9A 42 08 DC BB 69 5B 1C BB 61 3B 69 00 2B 01 D9 01 23 3B 72 17 E0 3B 69 00 2B 03 D1 7B 69 00 2B 00 D1 10 E0 3A 69 01 23 02 FB 03 F2 DF F8 10 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 93 F9 00 30 7F 2B 10 D0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 3B 66 3B 6E 93 F9 00 30 5B 1C 5A B2 3B 6E 1A 70 23 E0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 93 F9 00 30 00 2B 0B D0 3B 8E 00 2B 08 D0 D7 F8 58 01 ?? ?? ?? ?? B8 87 BA 8F 3B 8E 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 F0 00 ?? ?? ?? ?? FB 68 5B 1C FB 60 72 E7 FB 68 00 2B 00 D1 12 E0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 93 F9 00 30 00 2B 03 DD FB 68 5B 1C FB 60 01 E0 01 23 7B 72 7B 7A 00 2B 3F D1 FB 68 00 2B 3C D9 3B 6A 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 FB 68 5B 1E FB 60 FB 68 00 2B 0F D9 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 B0 00 3B 6A 93 F9 00 20 D7 F8 B0 30 93 F9 00 30 9A 42 12 D1 FB 68 00 2B 12 D1 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 B4 00 3B 6A 93 F9 00 20 D7 F8 B4 30 93 F9 00 30 9A 42 02 DA 01 23 7B 72 08 E0 3B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6A 5B 1C 3B 62 BC E7 17 F1 F0 00 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 20 D0 D7 F8 58 01 ?? ?? ?? ?? F8 87 78 6D ?? ?? ?? ?? A7 F8 40 00 FA 8F B7 F8 40 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? D7 F8 64 31 1A 68 D6 4B 9A 42 32 D0 7B 69 00 2B 2F D1 05 E0 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 10 D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 42 00 B7 F8 42 20 17 F5 90 73 1B 88 9A 42 03 D1 BB 69 5B 1E BB 61 DC E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 2E D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 44 00 B7 F8 44 10 17 F5 90 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 3B 61 3B 69 0A 2B 1A D2 7A 69 BB 6D 9A 42 10 DA 3A 69 01 23 02 FB 03 F2 A2 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 04 E0 3B 69 00 2B 01 D9 01 23 3B 72 BE E7 3B 7A 00 2B 33 D0 7B 68 FB 61 FB 69 5B 1E FB 61 FA 69 7B 6E 9A 42 20 D0 ?? ?? ?? ?? C7 F8 C0 00 FB 69 93 F9 00 20 D7 F8 C0 30 1B 68 93 F9 00 30 9A 42 00 D1 10 E0 FB 69 93 F9 00 30 39 2B 08 D0 FB 69 93 F9 00 30 5B 1C 5A B2 FB 69 1A 70 04 E0 02 E0 FA 69 30 23 13 70 D7 E7 FA 69 7B 6E 9A 42 05 D1 FA 69 31 23 13 70 BB 69 5B 1C BB 61 3B 78 00 2B 00 F0 DA 80 D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 00 F0 CD 80 D7 F8 58 01 ?? ?? ?? ?? A7 F8 46 00 B7 F8 46 20 17 F5 90 73 1A 33 1B 88 9A 42 0E D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 48 00 B7 F8 48 20 17 F5 90 73 18 33 1B 88 9A 42 40 F0 B0 80 7A 68 65 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? 00 23 3B 70 00 23 7B 61 D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 00 D0 30 E0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 17 F5 90 73 16 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? 17 E0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 20 17 F5 90 73 14 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 2C 00 97 F8 2C 30 00 2B 13 D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 20 17 F5 90 73 1B 88 9A 42 06 D1 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? DF E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 00 2B 27 D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 10 17 F5 90 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 3B 61 3B 69 0A 2B 13 D2 7B 69 08 2B 0F DA 3A 69 01 23 02 FB 03 F2 15 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 C5 E7 7B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 54 31 7B 60 7A 68 00 23 13 70 BB 69 C7 F8 C8 30 17 F5 84 70 ?? ?? ?? ?? D7 F8 C8 30 BB 66 B8 6E 52 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_668_1 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2088
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 004e ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 007c ??1locale@std@@QAA@XZ 0086 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b8 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00e2 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 00ee ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0104 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 0128 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 019a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 01d2 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01f2 ??$_Find_elem@_W@std@@YAIPA_W_W@Z 0258 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0270 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 0286 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 032c ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03a2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0466 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 048e ?decimal_point@?$numpunct@_W@std@@QBA_WXZ 04a0 localeconv 0814 __security_pop_cookie 0820 ?_Src@?1??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D0 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 60 01 ?? ?? ?? ?? F8 66 FB 6E 03 F4 40 53 B3 F5 40 5F 13 D1 D7 F8 64 31 01 93 D7 F8 60 31 00 93 D7 F8 5C 31 D7 F8 58 21 D7 F8 54 11 D7 F8 50 01 ?? ?? ?? ?? 38 67 3B 6F BB 66 DA E3 17 F1 D8 01 D7 F8 60 01 ?? ?? ?? ?? 78 67 7B 6F BB 67 B8 6F ?? ?? ?? ?? F8 67 FB 6F 7B 65 17 F1 D8 00 ?? ?? ?? ?? 17 F5 84 71 78 6D ?? ?? ?? ?? C7 F8 CC 00 D7 F8 54 31 7B 60 00 23 7B 72 00 23 3B 72 17 F1 E0 01 D7 F8 60 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 17 F1 E0 00 ?? ?? ?? ?? 17 F5 90 73 DF F8 48 27 0F 32 DF F8 44 17 D7 F8 8C 00 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 00 D0 2C E0 D7 F8 58 01 ?? ?? ?? ?? 78 86 7A 8E 17 F5 90 73 16 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? 15 E0 D7 F8 58 01 ?? ?? ?? ?? B8 86 BA 8E 17 F5 90 73 14 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? 7B 68 7B 66 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 7B 61 00 23 BB 61 D7 F8 64 31 1A 68 DF F8 A4 36 9A 42 03 D1 4F F4 40 73 FB 65 01 E0 24 23 FB 65 FB 6D BB 65 00 21 17 F5 84 70 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 3B 62 3B 6A 93 F9 00 30 7F 2B 04 D0 3B 6A 93 F9 00 30 00 2B 4B DC 05 E0 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 37 D0 D7 F8 58 01 ?? ?? ?? ?? F8 86 F9 8E 17 F5 90 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 3B 61 3B 69 0A 2B 25 D2 BA 6D 7B 69 9A 42 08 DC BB 69 5B 1C BB 61 3B 69 00 2B 01 D9 01 23 3B 72 17 E0 3B 69 00 2B 03 D1 7B 69 00 2B 00 D1 10 E0 3A 69 01 23 02 FB 03 F2 DF F8 E8 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 B5 E7 0A E1 17 F5 84 70 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 00 2B 02 D1 00 23 FB 85 05 E0 78 6D ?? ?? ?? ?? 38 87 3B 8F FB 85 FB 8D 3B 86 00 22 01 21 17 F1 F0 00 ?? ?? ?? ?? C7 F8 D0 00 00 23 FB 60 03 E0 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 7C D0 D7 F8 58 01 ?? ?? ?? ?? 78 87 79 8F 17 F5 90 70 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 3B 61 3B 69 0A 2B 45 D2 01 23 3B 70 BA 6D 7B 69 9A 42 08 DC BB 69 5B 1C BB 61 3B 69 00 2B 01 D9 01 23 3B 72 17 E0 3B 69 00 2B 03 D1 7B 69 00 2B 00 D1 10 E0 3A 69 01 23 02 FB 03 F2 DF F8 10 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 93 F9 00 30 7F 2B 10 D0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 3B 66 3B 6E 93 F9 00 30 5B 1C 5A B2 3B 6E 1A 70 23 E0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 93 F9 00 30 00 2B 0B D0 3B 8E 00 2B 08 D0 D7 F8 58 01 ?? ?? ?? ?? B8 87 BA 8F 3B 8E 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 F0 00 ?? ?? ?? ?? FB 68 5B 1C FB 60 72 E7 FB 68 00 2B 00 D1 12 E0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 93 F9 00 30 00 2B 03 DD FB 68 5B 1C FB 60 01 E0 01 23 7B 72 7B 7A 00 2B 3F D1 FB 68 00 2B 3C D9 3B 6A 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 FB 68 5B 1E FB 60 FB 68 00 2B 0F D9 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 B0 00 3B 6A 93 F9 00 20 D7 F8 B0 30 93 F9 00 30 9A 42 12 D1 FB 68 00 2B 12 D1 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 B4 00 3B 6A 93 F9 00 20 D7 F8 B4 30 93 F9 00 30 9A 42 02 DA 01 23 7B 72 08 E0 3B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6A 5B 1C 3B 62 BC E7 17 F1 F0 00 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 20 D0 D7 F8 58 01 ?? ?? ?? ?? F8 87 78 6D ?? ?? ?? ?? A7 F8 40 00 FA 8F B7 F8 40 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? D7 F8 64 31 1A 68 D6 4B 9A 42 32 D0 7B 69 00 2B 2F D1 05 E0 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 10 D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 42 00 B7 F8 42 20 17 F5 90 73 1B 88 9A 42 03 D1 BB 69 5B 1E BB 61 DC E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 2E D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 44 00 B7 F8 44 10 17 F5 90 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 3B 61 3B 69 0A 2B 1A D2 7A 69 BB 6D 9A 42 10 DA 3A 69 01 23 02 FB 03 F2 A2 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 04 E0 3B 69 00 2B 01 D9 01 23 3B 72 BE E7 3B 7A 00 2B 33 D0 7B 68 FB 61 FB 69 5B 1E FB 61 FA 69 7B 6E 9A 42 20 D0 ?? ?? ?? ?? C7 F8 C0 00 FB 69 93 F9 00 20 D7 F8 C0 30 1B 68 93 F9 00 30 9A 42 00 D1 10 E0 FB 69 93 F9 00 30 39 2B 08 D0 FB 69 93 F9 00 30 5B 1C 5A B2 FB 69 1A 70 04 E0 02 E0 FA 69 30 23 13 70 D7 E7 FA 69 7B 6E 9A 42 05 D1 FA 69 31 23 13 70 BB 69 5B 1C BB 61 3B 78 00 2B 00 F0 DA 80 D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 00 F0 CD 80 D7 F8 58 01 ?? ?? ?? ?? A7 F8 46 00 B7 F8 46 20 17 F5 90 73 1A 33 1B 88 9A 42 0E D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 48 00 B7 F8 48 20 17 F5 90 73 18 33 1B 88 9A 42 40 F0 B0 80 7A 68 65 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? 00 23 3B 70 00 23 7B 61 D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 00 D0 30 E0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 17 F5 90 73 16 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? 17 E0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 20 17 F5 90 73 14 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 2C 00 97 F8 2C 30 00 2B 13 D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 20 17 F5 90 73 1B 88 9A 42 06 D1 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? DF E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 58 01 ?? ?? ?? ?? D7 F8 5C 11 D7 F8 58 01 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 00 2B 27 D0 D7 F8 58 01 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 10 17 F5 90 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 3B 61 3B 69 0A 2B 13 D2 7B 69 08 2B 0F DA 3A 69 01 23 02 FB 03 F2 15 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 C5 E7 7B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 54 31 7B 60 7A 68 00 23 13 70 BB 69 C7 F8 C8 30 17 F5 84 70 ?? ?? ?? ?? D7 F8 C8 30 BB 66 B8 6E 52 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_673_1 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2052
		refs = "000a __security_push_cookie 0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 003c ??1locale@std@@QAA@XZ 0046 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0062 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0088 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 009e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00b4 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 00dc ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 017a ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01ec ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0244 ??$_Find_elem@G@std@@YAIPAGG@Z 02a0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 02b8 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 02ce ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 036a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03e0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 04a4 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04e4 ?decimal_point@?$numpunct@G@std@@QBAGXZ 04f6 localeconv 07f0 __security_pop_cookie 07fc ?_Src@?1??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D6 B0 6F 46 6F F0 01 03 C7 E9 38 33 17 F1 D0 01 D7 F8 78 01 ?? ?? ?? ?? B8 66 BB 6E FB 66 F8 6E ?? ?? ?? ?? 38 67 3B 6F BB 65 17 F1 D0 00 ?? ?? ?? ?? 17 F5 80 71 B8 6D ?? ?? ?? ?? C7 F8 C4 00 17 F1 D8 01 D7 F8 78 01 ?? ?? ?? ?? 78 67 7B 6F BB 67 B8 6F ?? ?? ?? ?? F8 67 FB 6F C7 F8 80 30 17 F1 D8 00 ?? ?? ?? ?? 17 F5 8C 73 DF F8 80 27 1D 32 DF F8 78 17 D7 F8 80 00 ?? ?? ?? ?? D7 F8 6C 31 7B 60 00 23 3B 72 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 20 00 97 F8 20 30 00 2B 00 D0 30 E0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 20 17 F5 8C 73 2E 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? 17 E0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 54 00 B7 F8 54 20 17 F5 8C 73 2C 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 7A 68 78 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 FB 60 00 23 BB 61 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 21 00 97 F8 21 30 00 2B 0A D1 D7 F8 70 01 ?? ?? ?? ?? 38 86 3A 8E 17 F5 8C 73 1B 88 9A 42 00 D0 30 E0 D7 F8 70 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 74 11 D7 F8 84 00 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 1C D0 D7 F8 70 01 ?? ?? ?? ?? 78 86 7A 8E 17 F5 8C 73 32 33 1B 88 9A 42 0B D0 D7 F8 70 01 ?? ?? ?? ?? B8 86 BA 8E 17 F5 8C 73 30 33 1B 88 9A 42 04 D1 D7 F8 70 01 ?? ?? ?? ?? 01 E0 01 23 3B 70 D7 F8 7C 31 1A 68 DF F8 30 36 9A 42 03 D1 4F F4 40 73 3B 66 01 E0 24 23 3B 66 3B 6E FB 65 00 21 17 F5 80 70 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 FB 61 FB 69 93 F9 00 30 7F 2B 04 D0 FB 69 93 F9 00 30 00 2B 46 DC 05 E0 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 23 00 97 F8 23 30 00 2B 32 D0 D7 F8 70 01 ?? ?? ?? ?? F8 86 F9 8E 17 F5 8C 70 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 7B 61 7B 69 16 2B 20 D2 FA 6D FB 68 9A 42 03 DC BB 69 5B 1C BB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 7C 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 BA E7 05 E1 17 F5 80 70 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 00 2B 02 D1 00 23 BB 85 05 E0 B8 6D ?? ?? ?? ?? 38 87 3B 8F BB 85 BB 8D FB 85 00 22 01 21 17 F1 E8 00 ?? ?? ?? ?? C7 F8 C8 00 00 23 3B 61 03 E0 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 77 D0 D7 F8 70 01 ?? ?? ?? ?? 78 87 79 8F 17 F5 8C 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 7B 61 7B 69 16 2B 40 D2 01 23 3B 70 FA 6D FB 68 9A 42 03 DC BB 69 5B 1C BB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 B0 34 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 93 F9 00 30 7F 2B 10 D0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 7B 66 7B 6E 93 F9 00 30 5B 1C 5A B2 7B 6E 1A 70 23 E0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 93 F9 00 30 00 2B 0B D0 FB 8D 00 2B 08 D0 D7 F8 70 01 ?? ?? ?? ?? B8 87 BA 8F FB 8D 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 E8 00 ?? ?? ?? ?? 3B 69 5B 1C 3B 61 77 E7 3B 69 00 2B 00 D1 12 E0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 93 F9 00 30 00 2B 03 DD 3B 69 5B 1C 3B 61 01 E0 01 23 3B 72 3B 7A 00 2B 3F D1 3B 69 00 2B 3C D9 FB 69 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 3B 69 5B 1E 3B 61 3B 69 00 2B 0F D9 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A8 00 FB 69 93 F9 00 20 D7 F8 A8 30 93 F9 00 30 9A 42 12 D1 3B 69 00 2B 12 D1 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 AC 00 FB 69 93 F9 00 20 D7 F8 AC 30 93 F9 00 30 9A 42 02 DA 01 23 3B 72 08 E0 FB 69 5B 1C 93 F9 00 30 00 2B 02 DD FB 69 5B 1C FB 61 BC E7 17 F1 E8 00 ?? ?? ?? ?? 3B 78 00 2B 08 D0 FB 68 00 2B 05 D1 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 20 D0 D7 F8 70 01 ?? ?? ?? ?? F8 87 B8 6D ?? ?? ?? ?? A7 F8 40 00 FA 8F B7 F8 40 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? FB 68 00 2B 2F D1 05 E0 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 10 D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 42 00 B7 F8 42 20 17 F5 8C 73 1B 88 9A 42 03 D1 BB 69 5B 1E BB 61 DC E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 28 D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 44 00 B7 F8 44 10 17 F5 8C 70 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 7B 61 7B 69 16 2B 14 D2 FA 68 FB 6D 9A 42 0F DA 7A 69 01 23 02 FB 03 F2 87 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C4 E7 3B 78 00 2B 00 F0 DA 80 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 00 F0 CD 80 D7 F8 70 01 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 20 17 F5 8C 73 36 33 1B 88 9A 42 0E D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 46 00 B7 F8 46 20 17 F5 8C 73 34 33 1B 88 9A 42 40 F0 B0 80 7A 68 70 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? 00 23 3B 70 00 23 FB 60 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 00 D0 30 E0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 48 00 B7 F8 48 20 17 F5 8C 73 2E 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? 17 E0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 17 F5 8C 73 2C 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 13 D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 20 17 F5 8C 73 1B 88 9A 42 06 D1 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? DF E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 27 D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 10 17 F5 8C 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 7B 61 7B 69 16 2B 13 D2 FB 68 08 2B 0F DA 7A 69 01 23 02 FB 03 F2 18 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C5 E7 3B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 6C 31 7B 60 7A 68 00 23 13 70 BA 69 D7 F8 7C 31 1A 60 00 23 C7 F8 BC 30 17 F5 80 70 ?? ?? ?? ?? D7 F8 BC 30 C7 F8 C0 30 D7 F8 C0 00 56 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_678_1 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2052
		refs = "000a __security_push_cookie 0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 003c ??1locale@std@@QAA@XZ 0046 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0062 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0088 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 009e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00b4 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 00dc ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 017a ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01ec ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0244 ??$_Find_elem@_W@std@@YAIPA_W_W@Z 02a0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 02b8 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 02ce ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 036a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03e0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 04a4 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04e4 ?decimal_point@?$numpunct@_W@std@@QBA_WXZ 04f6 localeconv 07f0 __security_pop_cookie 07fc ?_Src@?1??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D6 B0 6F 46 6F F0 01 03 C7 E9 38 33 17 F1 D0 01 D7 F8 78 01 ?? ?? ?? ?? B8 66 BB 6E FB 66 F8 6E ?? ?? ?? ?? 38 67 3B 6F BB 65 17 F1 D0 00 ?? ?? ?? ?? 17 F5 80 71 B8 6D ?? ?? ?? ?? C7 F8 C4 00 17 F1 D8 01 D7 F8 78 01 ?? ?? ?? ?? 78 67 7B 6F BB 67 B8 6F ?? ?? ?? ?? F8 67 FB 6F C7 F8 80 30 17 F1 D8 00 ?? ?? ?? ?? 17 F5 8C 73 DF F8 80 27 1D 32 DF F8 78 17 D7 F8 80 00 ?? ?? ?? ?? D7 F8 6C 31 7B 60 00 23 3B 72 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 20 00 97 F8 20 30 00 2B 00 D0 30 E0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 20 17 F5 8C 73 2E 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? 17 E0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 54 00 B7 F8 54 20 17 F5 8C 73 2C 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 7A 68 78 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 FB 60 00 23 BB 61 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 21 00 97 F8 21 30 00 2B 0A D1 D7 F8 70 01 ?? ?? ?? ?? 38 86 3A 8E 17 F5 8C 73 1B 88 9A 42 00 D0 30 E0 D7 F8 70 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 74 11 D7 F8 84 00 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 1C D0 D7 F8 70 01 ?? ?? ?? ?? 78 86 7A 8E 17 F5 8C 73 32 33 1B 88 9A 42 0B D0 D7 F8 70 01 ?? ?? ?? ?? B8 86 BA 8E 17 F5 8C 73 30 33 1B 88 9A 42 04 D1 D7 F8 70 01 ?? ?? ?? ?? 01 E0 01 23 3B 70 D7 F8 7C 31 1A 68 DF F8 30 36 9A 42 03 D1 4F F4 40 73 3B 66 01 E0 24 23 3B 66 3B 6E FB 65 00 21 17 F5 80 70 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 FB 61 FB 69 93 F9 00 30 7F 2B 04 D0 FB 69 93 F9 00 30 00 2B 46 DC 05 E0 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 23 00 97 F8 23 30 00 2B 32 D0 D7 F8 70 01 ?? ?? ?? ?? F8 86 F9 8E 17 F5 8C 70 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 7B 61 7B 69 16 2B 20 D2 FA 6D FB 68 9A 42 03 DC BB 69 5B 1C BB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 7C 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 BA E7 05 E1 17 F5 80 70 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 00 2B 02 D1 00 23 BB 85 05 E0 B8 6D ?? ?? ?? ?? 38 87 3B 8F BB 85 BB 8D FB 85 00 22 01 21 17 F1 E8 00 ?? ?? ?? ?? C7 F8 C8 00 00 23 3B 61 03 E0 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 77 D0 D7 F8 70 01 ?? ?? ?? ?? 78 87 79 8F 17 F5 8C 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 7B 61 7B 69 16 2B 40 D2 01 23 3B 70 FA 6D FB 68 9A 42 03 DC BB 69 5B 1C BB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 B0 34 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 93 F9 00 30 7F 2B 10 D0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 7B 66 7B 6E 93 F9 00 30 5B 1C 5A B2 7B 6E 1A 70 23 E0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 93 F9 00 30 00 2B 0B D0 FB 8D 00 2B 08 D0 D7 F8 70 01 ?? ?? ?? ?? B8 87 BA 8F FB 8D 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 E8 00 ?? ?? ?? ?? 3B 69 5B 1C 3B 61 77 E7 3B 69 00 2B 00 D1 12 E0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 93 F9 00 30 00 2B 03 DD 3B 69 5B 1C 3B 61 01 E0 01 23 3B 72 3B 7A 00 2B 3F D1 3B 69 00 2B 3C D9 FB 69 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 3B 69 5B 1E 3B 61 3B 69 00 2B 0F D9 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A8 00 FB 69 93 F9 00 20 D7 F8 A8 30 93 F9 00 30 9A 42 12 D1 3B 69 00 2B 12 D1 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 AC 00 FB 69 93 F9 00 20 D7 F8 AC 30 93 F9 00 30 9A 42 02 DA 01 23 3B 72 08 E0 FB 69 5B 1C 93 F9 00 30 00 2B 02 DD FB 69 5B 1C FB 61 BC E7 17 F1 E8 00 ?? ?? ?? ?? 3B 78 00 2B 08 D0 FB 68 00 2B 05 D1 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 20 D0 D7 F8 70 01 ?? ?? ?? ?? F8 87 B8 6D ?? ?? ?? ?? A7 F8 40 00 FA 8F B7 F8 40 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? FB 68 00 2B 2F D1 05 E0 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 10 D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 42 00 B7 F8 42 20 17 F5 8C 73 1B 88 9A 42 03 D1 BB 69 5B 1E BB 61 DC E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 28 D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 44 00 B7 F8 44 10 17 F5 8C 70 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 7B 61 7B 69 16 2B 14 D2 FA 68 FB 6D 9A 42 0F DA 7A 69 01 23 02 FB 03 F2 87 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C4 E7 3B 78 00 2B 00 F0 DA 80 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 00 F0 CD 80 D7 F8 70 01 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 20 17 F5 8C 73 36 33 1B 88 9A 42 0E D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 46 00 B7 F8 46 20 17 F5 8C 73 34 33 1B 88 9A 42 40 F0 B0 80 7A 68 70 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? 00 23 3B 70 00 23 FB 60 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 00 D0 30 E0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 48 00 B7 F8 48 20 17 F5 8C 73 2E 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? 17 E0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 17 F5 8C 73 2C 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 13 D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 20 17 F5 8C 73 1B 88 9A 42 06 D1 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? DF E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 70 01 ?? ?? ?? ?? D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 27 D0 D7 F8 70 01 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 10 17 F5 8C 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 7B 61 7B 69 16 2B 13 D2 FB 68 08 2B 0F DA 7A 69 01 23 02 FB 03 F2 18 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C5 E7 3B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 6C 31 7B 60 7A 68 00 23 13 70 BA 69 D7 F8 7C 31 1A 60 00 23 C7 F8 BC 30 17 F5 80 70 ?? ?? ?? ?? D7 F8 BC 30 C7 F8 C0 30 D7 F8 C0 00 56 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_683_1 {
	meta:
		name = "?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z"
		size = 404
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 0090 memcpy 00ae _guard_check_icall 00e0 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 00ec ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00fc ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 0108 ?is@?$ctype@G@std@@QBA_NFG@Z 0128 ?narrow@?$ctype@G@std@@QBADGD@Z 0160 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B 90 B0 6F 46 88 B0 6F F0 01 03 C7 E9 0C 33 17 F1 28 01 B8 6F ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? B8 61 BB 69 FB 60 17 F1 28 00 ?? ?? ?? ?? 04 E0 D7 F8 84 30 5B 1C C7 F8 84 30 D7 F8 84 30 93 F9 00 30 00 2B 00 F0 81 80 D7 F8 84 30 93 F9 00 30 25 2B 35 D1 D7 F8 84 30 5B 1C C7 F8 84 30 00 23 06 93 D7 F8 84 30 93 F9 00 30 05 93 D7 F8 80 30 04 93 FB 6F 03 93 BB 6F 02 93 68 46 17 F1 70 01 08 22 ?? ?? ?? ?? D7 F8 68 90 D7 F8 6C 80 17 F1 38 06 3D 6E 3B 6E 1B 68 24 33 1B 68 BB 60 B8 68 ?? ?? ?? ?? BC 68 28 46 31 46 4A 46 43 46 A0 47 F8 61 F9 69 17 F1 68 00 08 22 ?? ?? ?? ?? 43 E0 D7 F8 84 30 93 F9 00 30 20 2B 1E D1 03 E0 17 F1 68 00 ?? ?? ?? ?? 17 F1 70 01 17 F1 68 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 0E D0 17 F1 68 00 ?? ?? ?? ?? B8 80 BA 88 48 21 F8 68 ?? ?? ?? ?? 78 70 7B 78 00 2B 00 D0 E2 E7 1E E0 17 F1 68 00 ?? ?? ?? ?? F8 80 00 22 F9 88 F8 68 ?? ?? ?? ?? B8 70 97 F9 02 20 D7 F8 84 30 93 F9 00 30 9A 42 07 D0 FB 6F 1B 68 43 F0 02 02 FB 6F 1A 60 05 E0 03 E0 17 F1 68 00 ?? ?? ?? ?? 72 E7 17 F1 70 01 17 F1 68 00 ?? ?? ?? ?? F8 70 FB 78 00 2B 05 D0 FB 6F 1B 68 43 F0 01 02 FB 6F 1A 60 78 6E 17 F1 68 01 08 22 ?? ?? ?? ?? 7B 6E 3B 62 38 6A 18 B0 BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_55_685_1 {
	meta:
		name = "?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z"
		size = 404
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 0090 memcpy 00ae _guard_check_icall 00e0 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 00ec ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00fc ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 0108 ?is@?$ctype@_W@std@@QBA_NF_W@Z 0128 ?narrow@?$ctype@_W@std@@QBAD_WD@Z 0160 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B 90 B0 6F 46 88 B0 6F F0 01 03 C7 E9 0C 33 17 F1 28 01 B8 6F ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? B8 61 BB 69 FB 60 17 F1 28 00 ?? ?? ?? ?? 04 E0 D7 F8 84 30 5B 1C C7 F8 84 30 D7 F8 84 30 93 F9 00 30 00 2B 00 F0 81 80 D7 F8 84 30 93 F9 00 30 25 2B 35 D1 D7 F8 84 30 5B 1C C7 F8 84 30 00 23 06 93 D7 F8 84 30 93 F9 00 30 05 93 D7 F8 80 30 04 93 FB 6F 03 93 BB 6F 02 93 68 46 17 F1 70 01 08 22 ?? ?? ?? ?? D7 F8 68 90 D7 F8 6C 80 17 F1 38 06 3D 6E 3B 6E 1B 68 24 33 1B 68 BB 60 B8 68 ?? ?? ?? ?? BC 68 28 46 31 46 4A 46 43 46 A0 47 F8 61 F9 69 17 F1 68 00 08 22 ?? ?? ?? ?? 43 E0 D7 F8 84 30 93 F9 00 30 20 2B 1E D1 03 E0 17 F1 68 00 ?? ?? ?? ?? 17 F1 70 01 17 F1 68 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 0E D0 17 F1 68 00 ?? ?? ?? ?? B8 80 BA 88 48 21 F8 68 ?? ?? ?? ?? 78 70 7B 78 00 2B 00 D0 E2 E7 1E E0 17 F1 68 00 ?? ?? ?? ?? F8 80 00 22 F9 88 F8 68 ?? ?? ?? ?? B8 70 97 F9 02 20 D7 F8 84 30 93 F9 00 30 9A 42 07 D0 FB 6F 1B 68 43 F0 02 02 FB 6F 1A 60 05 E0 03 E0 17 F1 68 00 ?? ?? ?? ?? 72 E7 17 F1 70 01 17 F1 68 00 ?? ?? ?? ?? F8 70 FB 78 00 2B 05 D0 FB 6F 1B 68 43 F0 01 02 FB 6F 1A 60 78 6E 17 F1 68 01 08 22 ?? ?? ?? ?? 7B 6E 3B 62 38 6A 18 B0 BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_55_687_1 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z"
		size = 1092
		refs = "000a __security_push_cookie 001e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 003a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 004e ?thousands_sep@?$numpunct@G@std@@QBAGXZ 0060 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0076 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 0088 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 009a ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 00be ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 014a ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0218 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 025a ??$_Find_elem@G@std@@YAIPAGG@Z 02ac ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0316 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0352 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0418 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0432 __security_pop_cookie 0440 ?_Src@?1??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C2 B0 6F 46 6F F0 01 03 C7 E9 26 33 D7 F8 2C 01 ?? ?? ?? ?? 38 65 3B 6D 3B 63 17 F1 B8 01 38 6B ?? ?? ?? ?? C7 F8 90 00 17 F1 B8 00 ?? ?? ?? ?? 78 65 7B 6D 00 2B 02 D1 00 23 BB 83 05 E0 38 6B ?? ?? ?? ?? 38 84 3B 8C BB 83 BB 8B FB 83 D7 F8 2C 01 ?? ?? ?? ?? B8 65 BB 6D FB 65 17 F1 D0 03 F4 4A 1B 32 F3 49 F8 6D ?? ?? ?? ?? D7 F8 1C 31 BB 60 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 38 75 3B 7D 00 2B 00 D0 2C E0 D7 F8 20 01 ?? ?? ?? ?? 78 84 7A 8C 17 F1 D0 03 2E 33 1B 88 9A 42 0A D1 BA 68 2B 23 13 70 BB 68 5B 1C BB 60 D7 F8 20 01 ?? ?? ?? ?? 15 E0 D7 F8 20 01 ?? ?? ?? ?? B8 84 BA 8C 17 F1 D0 03 2C 33 1B 88 9A 42 09 D1 BA 68 2D 23 13 70 BB 68 5B 1C BB 60 D7 F8 20 01 ?? ?? ?? ?? D7 F8 28 31 03 F4 60 63 C7 F8 28 31 D7 F8 28 31 B3 F5 80 6F 02 D1 08 23 FB 63 14 E0 D7 F8 28 31 B3 F5 00 6F 02 D1 10 23 BB 63 0A E0 D7 F8 28 31 00 2B 02 D1 00 23 7B 63 01 E0 0A 23 7B 63 7B 6B BB 63 BB 6B FB 63 FB 6B 3B 61 00 23 3B 70 00 23 3B 73 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 78 75 7B 7D 00 2B 46 D0 D7 F8 20 01 ?? ?? ?? ?? F8 84 FA 8C 17 F1 D0 03 1B 88 9A 42 3B D1 01 23 3B 70 D7 F8 20 01 ?? ?? ?? ?? D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? B8 75 BB 7D 00 2B 26 D0 D7 F8 20 01 ?? ?? ?? ?? 38 85 3A 8D 17 F1 D0 03 32 33 1B 88 9A 42 0B D0 D7 F8 20 01 ?? ?? ?? ?? 78 85 7A 8D 17 F1 D0 03 30 33 1B 88 9A 42 0E D1 3B 69 00 2B 02 D0 3B 69 10 2B 08 D1 10 23 3B 61 00 23 3B 70 D7 F8 20 01 ?? ?? ?? ?? 04 E0 3B 69 00 2B 01 D1 08 23 3B 61 3B 69 00 2B 0D D0 3B 69 0A 2B 0A D0 3B 69 08 2B 02 D1 08 23 3B 64 01 E0 16 23 3B 64 3B 6C 7B 64 01 E0 0A 23 7B 64 7B 6C 7B 66 3B 78 5A B2 01 21 17 F1 A0 00 ?? ?? ?? ?? C7 F8 94 00 00 23 7B 60 D7 F8 1C 31 1F 33 BB 66 03 E0 D7 F8 20 01 ?? ?? ?? ?? D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? F8 75 FB 7D 00 2B 6B D0 D7 F8 20 01 ?? ?? ?? ?? B8 85 B9 8D 17 F1 D0 00 ?? ?? ?? ?? 38 66 3B 6E BB 64 BA 6C 7B 6E 9A 42 37 D2 BA 6C 01 23 02 FB 03 F2 72 4B 13 44 93 F9 00 20 BB 68 1A 70 3B 7B 00 2B 04 D1 BB 68 93 F9 00 30 30 2B 08 D0 BA 68 BB 6E 9A 42 04 D2 BB 68 5B 1C BB 60 01 23 3B 73 01 23 3B 70 79 68 17 F1 A0 00 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 0E D0 79 68 17 F1 A0 00 ?? ?? ?? ?? 38 67 3B 6F FB 64 FB 6C 93 F9 00 30 5B 1C 5A B2 FB 6C 1A 70 21 E0 79 68 17 F1 A0 00 ?? ?? ?? ?? 78 67 7B 6F 93 F9 00 30 00 2B 0B D0 FB 8B 00 2B 08 D0 D7 F8 20 01 ?? ?? ?? ?? F8 85 FA 8D FB 8B 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 A0 00 ?? ?? ?? ?? 7B 68 5B 1C 7B 60 85 E7 7B 68 00 2B 00 D1 10 E0 79 68 17 F1 A0 00 ?? ?? ?? ?? B8 67 BB 6F 93 F9 00 30 00 2B 03 DD 7B 68 5B 1C 7B 60 01 E0 00 23 3B 70 00 21 17 F1 B8 00 ?? ?? ?? ?? F8 67 FB 6F BB 61 3B 78 00 2B 3F D0 7B 68 00 2B 3C D9 BB 69 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 7B 68 5B 1E 7B 60 7B 68 00 2B 0F D9 79 68 17 F1 A0 00 ?? ?? ?? ?? C7 F8 80 00 BB 69 93 F9 00 20 D7 F8 80 30 93 F9 00 30 9A 42 12 D1 7B 68 00 2B 12 D1 79 68 17 F1 A0 00 ?? ?? ?? ?? C7 F8 84 00 BB 69 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 02 DA 00 23 3B 70 08 E0 BB 69 5B 1C 93 F9 00 30 00 2B 02 DD BB 69 5B 1C BB 61 BC E7 3B 78 00 2B 09 D0 3B 7B 00 2B 06 D1 BA 68 30 23 13 70 BB 68 5B 1C BB 60 05 E0 3B 78 00 2B 02 D1 D7 F8 1C 31 BB 60 BA 68 00 23 13 70 3B 69 C7 F8 88 30 17 F1 A0 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? D7 F8 88 30 C7 F8 8C 30 D7 F8 8C 00 42 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_690_1 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z"
		size = 1092
		refs = "000a __security_push_cookie 001e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 003a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 004e ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 0060 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0076 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 0088 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 009a ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 00be ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 014a ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0218 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 025a ??$_Find_elem@_W@std@@YAIPA_W_W@Z 02ac ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0316 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0352 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0418 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0432 __security_pop_cookie 0440 ?_Src@?1??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C2 B0 6F 46 6F F0 01 03 C7 E9 26 33 D7 F8 2C 01 ?? ?? ?? ?? 38 65 3B 6D 3B 63 17 F1 B8 01 38 6B ?? ?? ?? ?? C7 F8 90 00 17 F1 B8 00 ?? ?? ?? ?? 78 65 7B 6D 00 2B 02 D1 00 23 BB 83 05 E0 38 6B ?? ?? ?? ?? 38 84 3B 8C BB 83 BB 8B FB 83 D7 F8 2C 01 ?? ?? ?? ?? B8 65 BB 6D FB 65 17 F1 D0 03 F4 4A 1B 32 F3 49 F8 6D ?? ?? ?? ?? D7 F8 1C 31 BB 60 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 38 75 3B 7D 00 2B 00 D0 2C E0 D7 F8 20 01 ?? ?? ?? ?? 78 84 7A 8C 17 F1 D0 03 2E 33 1B 88 9A 42 0A D1 BA 68 2B 23 13 70 BB 68 5B 1C BB 60 D7 F8 20 01 ?? ?? ?? ?? 15 E0 D7 F8 20 01 ?? ?? ?? ?? B8 84 BA 8C 17 F1 D0 03 2C 33 1B 88 9A 42 09 D1 BA 68 2D 23 13 70 BB 68 5B 1C BB 60 D7 F8 20 01 ?? ?? ?? ?? D7 F8 28 31 03 F4 60 63 C7 F8 28 31 D7 F8 28 31 B3 F5 80 6F 02 D1 08 23 FB 63 14 E0 D7 F8 28 31 B3 F5 00 6F 02 D1 10 23 BB 63 0A E0 D7 F8 28 31 00 2B 02 D1 00 23 7B 63 01 E0 0A 23 7B 63 7B 6B BB 63 BB 6B FB 63 FB 6B 3B 61 00 23 3B 70 00 23 3B 73 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 78 75 7B 7D 00 2B 46 D0 D7 F8 20 01 ?? ?? ?? ?? F8 84 FA 8C 17 F1 D0 03 1B 88 9A 42 3B D1 01 23 3B 70 D7 F8 20 01 ?? ?? ?? ?? D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? B8 75 BB 7D 00 2B 26 D0 D7 F8 20 01 ?? ?? ?? ?? 38 85 3A 8D 17 F1 D0 03 32 33 1B 88 9A 42 0B D0 D7 F8 20 01 ?? ?? ?? ?? 78 85 7A 8D 17 F1 D0 03 30 33 1B 88 9A 42 0E D1 3B 69 00 2B 02 D0 3B 69 10 2B 08 D1 10 23 3B 61 00 23 3B 70 D7 F8 20 01 ?? ?? ?? ?? 04 E0 3B 69 00 2B 01 D1 08 23 3B 61 3B 69 00 2B 0D D0 3B 69 0A 2B 0A D0 3B 69 08 2B 02 D1 08 23 3B 64 01 E0 16 23 3B 64 3B 6C 7B 64 01 E0 0A 23 7B 64 7B 6C 7B 66 3B 78 5A B2 01 21 17 F1 A0 00 ?? ?? ?? ?? C7 F8 94 00 00 23 7B 60 D7 F8 1C 31 1F 33 BB 66 03 E0 D7 F8 20 01 ?? ?? ?? ?? D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? F8 75 FB 7D 00 2B 6B D0 D7 F8 20 01 ?? ?? ?? ?? B8 85 B9 8D 17 F1 D0 00 ?? ?? ?? ?? 38 66 3B 6E BB 64 BA 6C 7B 6E 9A 42 37 D2 BA 6C 01 23 02 FB 03 F2 72 4B 13 44 93 F9 00 20 BB 68 1A 70 3B 7B 00 2B 04 D1 BB 68 93 F9 00 30 30 2B 08 D0 BA 68 BB 6E 9A 42 04 D2 BB 68 5B 1C BB 60 01 23 3B 73 01 23 3B 70 79 68 17 F1 A0 00 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 0E D0 79 68 17 F1 A0 00 ?? ?? ?? ?? 38 67 3B 6F FB 64 FB 6C 93 F9 00 30 5B 1C 5A B2 FB 6C 1A 70 21 E0 79 68 17 F1 A0 00 ?? ?? ?? ?? 78 67 7B 6F 93 F9 00 30 00 2B 0B D0 FB 8B 00 2B 08 D0 D7 F8 20 01 ?? ?? ?? ?? F8 85 FA 8D FB 8B 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 A0 00 ?? ?? ?? ?? 7B 68 5B 1C 7B 60 85 E7 7B 68 00 2B 00 D1 10 E0 79 68 17 F1 A0 00 ?? ?? ?? ?? B8 67 BB 6F 93 F9 00 30 00 2B 03 DD 7B 68 5B 1C 7B 60 01 E0 00 23 3B 70 00 21 17 F1 B8 00 ?? ?? ?? ?? F8 67 FB 6F BB 61 3B 78 00 2B 3F D0 7B 68 00 2B 3C D9 BB 69 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 7B 68 5B 1E 7B 60 7B 68 00 2B 0F D9 79 68 17 F1 A0 00 ?? ?? ?? ?? C7 F8 80 00 BB 69 93 F9 00 20 D7 F8 80 30 93 F9 00 30 9A 42 12 D1 7B 68 00 2B 12 D1 79 68 17 F1 A0 00 ?? ?? ?? ?? C7 F8 84 00 BB 69 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 02 DA 00 23 3B 70 08 E0 BB 69 5B 1C 93 F9 00 30 00 2B 02 DD BB 69 5B 1C BB 61 BC E7 3B 78 00 2B 09 D0 3B 7B 00 2B 06 D1 BA 68 30 23 13 70 BB 68 5B 1C BB 60 05 E0 3B 78 00 2B 02 D1 D7 F8 1C 31 BB 60 BA 68 00 23 13 70 3B 69 C7 F8 88 30 17 F1 A0 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? D7 F8 88 30 C7 F8 8C 30 D7 F8 8C 00 42 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_693_1 {
	meta:
		name = "?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z"
		size = 474
		refs = "0008 __security_push_cookie 0016 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 002a ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 003a ?narrow@?$ctype@G@std@@QBADGD@Z 0060 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 008a ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 016e _Stolx 01ce __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 0E AB 01 93 1C 99 1B 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 00 D0 2B E0 1B 98 ?? ?? ?? ?? AD F8 14 00 00 22 BD F8 14 10 20 98 ?? ?? ?? ?? 8D F8 09 00 9D F9 09 30 8D F8 00 30 9D F9 00 30 2B 2B 09 D1 01 9A 2B 23 13 70 01 9B 5B 1C 01 93 1B 98 ?? ?? ?? ?? 0C E0 9D F9 00 30 2D 2B 08 D1 01 9A 2D 23 13 70 01 9B 5B 1C 01 93 1B 98 ?? ?? ?? ?? 00 23 8D F8 01 30 1C 99 1B 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 17 D0 1B 98 ?? ?? ?? ?? AD F8 16 00 00 22 BD F8 16 10 20 98 ?? ?? ?? ?? 8D F8 0B 00 9D F9 0B 30 30 2B 06 D1 01 23 8D F8 01 30 1B 98 ?? ?? ?? ?? DD E7 9D F8 01 30 00 2B 05 D0 01 9A 30 23 13 70 01 9B 5B 1C 01 93 0E AB 1F 33 09 93 05 E0 01 23 8D F8 01 30 1B 98 ?? ?? ?? ?? 1C 99 1B 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 24 D0 1B 98 ?? ?? ?? ?? AD F8 18 00 00 22 BD F8 18 10 20 98 ?? ?? ?? ?? 8D F8 0D 00 9D F9 0D 30 8D F8 00 30 9D F9 00 30 30 2B 0F DB 9D F9 00 30 39 2B 0B DC 9D F9 00 20 01 9B 1A 70 01 9A 09 9B 9A 42 02 D2 01 9B 5B 1C 01 93 CA E7 9D F8 01 30 00 2B 01 D1 0E AB 01 93 01 9A 00 23 13 70 00 23 08 93 08 AB 0A 22 0B A9 0E A8 ?? ?? ?? ?? 0A 90 0A 9B 07 93 00 23 04 93 1C 99 1B 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 03 D0 04 9B 43 F0 01 03 04 93 0B 9A 0E AB 9A 42 0A D0 08 9B 00 2B 07 D1 07 9A 1D 9B 9A 42 03 DB 1E 9A 07 9B 9A 42 04 DA 04 9B 43 F0 02 03 04 93 02 E0 07 9A 1F 9B 1A 60 04 9B 0C 93 0C 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_694_1 {
	meta:
		name = "?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z"
		size = 474
		refs = "0008 __security_push_cookie 0016 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 002a ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 003a ?narrow@?$ctype@_W@std@@QBAD_WD@Z 0060 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 008a ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 016e _Stolx 01ce __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 0E AB 01 93 1C 99 1B 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 00 D0 2B E0 1B 98 ?? ?? ?? ?? AD F8 14 00 00 22 BD F8 14 10 20 98 ?? ?? ?? ?? 8D F8 09 00 9D F9 09 30 8D F8 00 30 9D F9 00 30 2B 2B 09 D1 01 9A 2B 23 13 70 01 9B 5B 1C 01 93 1B 98 ?? ?? ?? ?? 0C E0 9D F9 00 30 2D 2B 08 D1 01 9A 2D 23 13 70 01 9B 5B 1C 01 93 1B 98 ?? ?? ?? ?? 00 23 8D F8 01 30 1C 99 1B 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 17 D0 1B 98 ?? ?? ?? ?? AD F8 16 00 00 22 BD F8 16 10 20 98 ?? ?? ?? ?? 8D F8 0B 00 9D F9 0B 30 30 2B 06 D1 01 23 8D F8 01 30 1B 98 ?? ?? ?? ?? DD E7 9D F8 01 30 00 2B 05 D0 01 9A 30 23 13 70 01 9B 5B 1C 01 93 0E AB 1F 33 09 93 05 E0 01 23 8D F8 01 30 1B 98 ?? ?? ?? ?? 1C 99 1B 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 24 D0 1B 98 ?? ?? ?? ?? AD F8 18 00 00 22 BD F8 18 10 20 98 ?? ?? ?? ?? 8D F8 0D 00 9D F9 0D 30 8D F8 00 30 9D F9 00 30 30 2B 0F DB 9D F9 00 30 39 2B 0B DC 9D F9 00 20 01 9B 1A 70 01 9A 09 9B 9A 42 02 D2 01 9B 5B 1C 01 93 CA E7 9D F8 01 30 00 2B 01 D1 0E AB 01 93 01 9A 00 23 13 70 00 23 08 93 08 AB 0A 22 0B A9 0E A8 ?? ?? ?? ?? 0A 90 0A 9B 07 93 00 23 04 93 1C 99 1B 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 03 D0 04 9B 43 F0 01 03 04 93 0B 9A 0E AB 9A 42 0A D0 08 9B 00 2B 07 D1 07 9A 1D 9B 9A 42 03 DB 1E 9A 07 9B 9A 42 04 DA 04 9B 43 F0 02 03 04 93 02 E0 07 9A 1F 9B 1A 60 04 9B 0C 93 0C 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_696_1 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z"
		size = 2916
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0078 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 009a ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00a8 ?neg_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 00b0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d4 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00fe ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 016c ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0178 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 0180 ?flags@ios_base@std@@QBAHXZ 019a ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01ae ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 01ba ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 01d6 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@I@Z 01e6 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 01fe ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0246 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0258 memcpy 0262 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ 026a ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 028e ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 029e ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z 02be ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ 0302 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 032c ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 037c ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 040a ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 041e ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 05b4 ?frac_digits@?$_Mpunct@G@std@@QBAHXZ 05c8 ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 05d4 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 05ee ?thousands_sep@?$_Mpunct@G@std@@QBAGXZ 0612 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 065e ??$_Find_elem@G@std@@YAIPAGG@Z 0688 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0698 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 070e ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 078a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0866 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 087e ?decimal_point@?$_Mpunct@G@std@@QBAGXZ 09d2 ?is@?$ctype@G@std@@QBA_NFG@Z 0b02 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 0b18 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0b24 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0b54 __security_pop_cookie 0b60 ?_Src@?1??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAAVios_base@3@PAG@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 42 7D 6F 46 6F F0 01 03 C7 E9 72 33 00 23 7B 60 97 F8 28 33 00 2B 19 D0 17 F5 D8 71 D7 F8 2C 03 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 D7 F8 90 00 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 3B 61 17 F5 D8 70 ?? ?? ?? ?? 18 E0 17 F5 DC 71 D7 F8 2C 03 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 3B 61 17 F5 DC 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 06 70 ?? ?? ?? ?? C7 F8 80 01 17 F1 88 01 38 69 ?? ?? ?? ?? 17 F5 00 70 ?? ?? ?? ?? C7 F8 84 01 17 F5 E0 71 D7 F8 2C 03 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 C7 F8 A8 30 D7 F8 A8 00 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 C7 F8 84 30 17 F5 E0 70 ?? ?? ?? ?? D7 F8 30 33 DF F8 6C 2A 0C 32 DF F8 68 1A D7 F8 84 00 ?? ?? ?? ?? 00 23 7B 63 02 E0 7B 6B 5B 1C 7B 63 3B 78 00 2B 40 F0 7B 84 7B 6B 04 2B 80 F0 77 84 7A 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 BB 63 BB 6B 2B 2B 0C DC BB 6B 2B 2B 00 F0 E8 80 BB 6B 20 2B 00 F0 23 84 BB 6B 24 2B 0B D0 00 F0 5B BC BB 6B 76 2B 00 F0 2A 82 BB 6B 78 2B 00 F0 16 84 00 F0 51 BC 17 F5 E8 71 38 69 ?? ?? ?? ?? C7 F8 88 01 17 F1 48 00 ?? ?? ?? ?? D7 F8 2C 03 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 13 F0 08 0F 24 D1 D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 18 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 58 00 17 F5 E8 70 ?? ?? ?? ?? C7 F8 B4 00 B7 F8 58 20 D7 F8 B4 30 1B 88 9A 42 05 D0 00 21 17 F5 E8 70 ?? ?? ?? ?? 30 E0 7B 6B 03 2B 2D D1 17 F5 06 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 01 2B 23 D8 D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 2C 00 97 F8 2C 30 00 2B 12 D1 D7 F8 20 03 ?? ?? ?? ?? A7 F8 5A 00 17 F5 E8 70 ?? ?? ?? ?? C7 F8 BC 00 B7 F8 5A 20 D7 F8 BC 30 1B 88 9A 42 04 D0 00 21 17 F5 E8 70 ?? ?? ?? ?? 17 F5 C6 71 17 F5 E8 70 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 10 17 F1 48 00 04 22 ?? ?? ?? ?? 07 E0 17 F1 48 00 ?? ?? ?? ?? D7 F8 20 03 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 00 2B 27 D0 17 F5 C8 71 17 F5 E8 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 10 17 F1 48 00 ?? ?? ?? ?? 87 F8 2E 00 97 F8 2E 30 00 2B 13 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 5C 00 17 F1 48 00 ?? ?? ?? ?? C7 F8 C8 00 B7 F8 5C 20 D7 F8 C8 30 1B 88 9A 42 00 D1 C3 E7 17 F5 CA 71 17 F5 E8 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 10 17 F1 48 00 ?? ?? ?? ?? 38 77 3B 7F 00 2B 01 D0 01 23 3B 70 17 F5 E8 70 ?? ?? ?? ?? 7F E3 17 F5 E8 70 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 78 77 7B 7F 00 2B 00 D0 42 E1 17 F5 18 71 38 69 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 D0 30 C7 F8 D4 30 7B 68 43 F0 01 03 7B 60 D7 F8 D4 00 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 30 00 2B 25 D9 17 F5 12 71 38 69 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 C7 F8 E0 30 7B 68 43 F0 02 03 7B 60 00 21 D7 F8 E0 00 ?? ?? ?? ?? C7 F8 E4 00 D7 F8 20 03 ?? ?? ?? ?? A7 F8 5E 00 D7 F8 E4 30 1A 88 B7 F8 5E 30 9A 42 02 D1 01 23 3B 67 01 E0 00 23 3B 67 3B 6F DB B2 BB 77 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 12 70 ?? ?? ?? ?? 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 18 70 ?? ?? ?? ?? BB 7F 00 2B 19 D0 D7 F8 20 03 ?? ?? ?? ?? 17 F5 1E 71 38 69 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 D7 F8 EC 10 17 F5 06 70 ?? ?? ?? ?? 17 F5 1E 70 ?? ?? ?? ?? C9 E0 17 F5 2A 71 38 69 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 30 C7 F8 F4 30 7B 68 43 F0 04 03 7B 60 D7 F8 F4 00 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 00 2B 25 D9 17 F5 24 71 38 69 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 30 C7 F8 00 31 7B 68 43 F0 08 03 7B 60 00 21 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 20 03 ?? ?? ?? ?? A7 F8 60 00 D7 F8 04 31 1A 88 B7 F8 60 30 9A 42 02 D1 01 23 7B 67 01 E0 00 23 7B 67 7B 6F DB B2 FB 77 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 24 70 ?? ?? ?? ?? 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 2A 70 ?? ?? ?? ?? FB 7F 00 2B 1B D0 D7 F8 20 03 ?? ?? ?? ?? 17 F5 30 71 38 69 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 C7 F8 0C 31 D7 F8 0C 11 17 F5 06 70 ?? ?? ?? ?? 17 F5 30 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 36 71 38 69 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 31 C7 F8 14 31 D7 F8 14 01 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 00 2B 02 D1 01 23 BB 67 01 E0 00 23 BB 67 BB 6F DB B2 87 F8 20 30 17 F5 36 70 ?? ?? ?? ?? 97 F8 20 30 00 2B 00 D0 27 E0 17 F5 3C 71 38 69 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 31 C7 F8 20 31 D7 F8 20 01 ?? ?? ?? ?? C7 F8 24 01 D7 F8 24 31 00 2B 02 D1 01 23 FB 67 01 E0 00 23 FB 67 FB 6F DB B2 87 F8 21 30 17 F5 3C 70 ?? ?? ?? ?? 97 F8 21 30 00 2B 01 D0 01 23 3B 73 2C E2 00 23 3B 63 38 69 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 31 FB 66 17 F5 0C 71 38 69 ?? ?? ?? ?? C7 F8 98 01 17 F5 0C 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 31 00 2B 03 D1 00 23 A7 F8 40 30 08 E0 38 69 ?? ?? ?? ?? A7 F8 62 00 B7 F8 62 30 A7 F8 40 30 B7 F8 40 30 A7 F8 42 30 B7 F8 42 30 00 2B 0C D0 17 F5 0C 70 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 20 03 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 21 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 64 00 B7 F8 64 10 D7 F8 30 03 ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 E4 34 13 44 93 F9 00 10 17 F5 00 70 ?? ?? ?? ?? CD E7 F5 E0 00 22 01 21 17 F5 F4 70 ?? ?? ?? ?? C7 F8 9C 01 00 23 BB 60 03 E0 D7 F8 20 03 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 23 00 97 F8 23 30 00 2B 67 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 66 00 B7 F8 66 10 D7 F8 30 03 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 BB 61 BB 69 0A 2B 2E D2 BA 69 01 23 02 FB 03 F2 DF F8 68 34 13 44 93 F9 00 10 17 F5 00 70 ?? ?? ?? ?? B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 93 F9 00 30 7F 2B 13 D0 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 31 C7 F8 80 30 D7 F8 80 30 93 F9 00 30 5B 1C 5A B2 D7 F8 80 30 1A 70 23 E0 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 31 93 F9 00 30 00 2B 0B D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 68 00 B7 F8 68 20 B7 F8 42 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 F4 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 87 E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 0C 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 FB 63 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 FB 6B 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 50 01 FB 6B 93 F9 00 20 D7 F8 50 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 54 01 FB 6B 93 F9 00 20 D7 F8 54 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 FB 6B 5B 1C 93 F9 00 30 00 2B 02 DD FB 6B 5B 1C FB 63 BC E7 3B 78 00 2B 08 D0 17 F5 F4 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? C9 E0 17 F5 F4 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? A7 F8 6A 00 B7 F8 6A 30 A7 F8 44 30 D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 4F D0 B7 F8 44 30 00 2B 4B D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 20 B7 F8 44 30 9A 42 3F D1 D7 F8 20 03 ?? ?? ?? ?? C7 F8 58 01 D7 F8 24 13 D7 F8 58 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 27 D0 3A 6B FB 6E 9A 42 23 DA D7 F8 20 03 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 10 D7 F8 30 03 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 5C 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 8F 4B 13 44 93 F9 00 10 17 F5 00 70 ?? ?? ?? ?? 3B 6B 5B 1C 3B 63 C5 E7 3A 6B FB 6E 9A 42 01 DA 01 23 3B 70 17 F5 00 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 3B 6B 5B 1C 3B 63 3A 6B FB 6E 9A 42 05 DA 30 21 17 F5 00 70 ?? ?? ?? ?? F2 E7 17 F5 0C 70 ?? ?? ?? ?? 40 E0 17 F5 0C 70 ?? ?? ?? ?? 7B 6B 03 2B 00 D1 38 E0 00 23 3B 75 03 E0 D7 F8 20 03 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 15 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 54 00 B7 F8 54 20 48 21 D7 F8 84 00 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 02 D0 01 23 3B 75 D9 E7 7A 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 20 2B 04 D1 3B 7D 00 2B 01 D1 01 23 3B 70 FF F7 7E BB 3B 78 00 2B 71 D1 17 F5 06 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 31 01 2B 67 D9 17 F1 4C 00 ?? ?? ?? ?? 17 F5 D0 71 17 F5 06 70 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 11 17 F1 4C 00 04 22 ?? ?? ?? ?? 03 E0 D7 F8 20 03 ?? ?? ?? ?? 17 F5 D2 71 17 F5 06 70 ?? ?? ?? ?? C7 F8 6C 01 17 F1 4C 00 ?? ?? ?? ?? C7 F8 70 01 D7 F8 6C 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 1F D0 D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 13 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 56 00 17 F1 4C 00 ?? ?? ?? ?? C7 F8 74 01 B7 F8 56 20 D7 F8 74 31 1B 88 9A 42 00 D1 C1 E7 17 F5 D4 71 17 F5 06 70 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 11 17 F1 4C 00 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 01 D0 01 23 3B 70 3B 78 00 2B 05 D0 00 21 17 F5 00 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 00 70 ?? ?? ?? ?? 17 F5 00 71 D7 F8 1C 03 ?? ?? ?? ?? C7 F8 AC 01 7B 68 43 F0 10 03 7B 60 17 F5 00 70 ?? ?? ?? ?? 17 F5 06 70 ?? ?? ?? ?? D7 F8 1C 33 C7 F8 7C 31 D7 F8 7C 01 0D F5 42 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_709_1 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z"
		size = 2916
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0078 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 009a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00a8 ?neg_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 00b0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d4 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00fe ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 016c ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0178 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 0180 ?flags@ios_base@std@@QBAHXZ 019a ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01ae ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 01ba ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 01d6 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I@Z 01e6 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 01fe ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0246 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0258 memcpy 0262 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ 026a ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 028e ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 029e ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z 02be ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ 0302 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 032c ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 037c ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 040a ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 041e ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 05b4 ?frac_digits@?$_Mpunct@_W@std@@QBAHXZ 05c8 ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 05d4 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 05ee ?thousands_sep@?$_Mpunct@_W@std@@QBA_WXZ 0612 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 065e ??$_Find_elem@_W@std@@YAIPA_W_W@Z 0688 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0698 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 070e ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 078a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0866 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 087e ?decimal_point@?$_Mpunct@_W@std@@QBA_WXZ 09d2 ?is@?$ctype@_W@std@@QBA_NF_W@Z 0b02 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 0b18 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0b24 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0b54 __security_pop_cookie 0b60 ?_Src@?1??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAAVios_base@3@PA_W@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 42 7D 6F 46 6F F0 01 03 C7 E9 72 33 00 23 7B 60 97 F8 28 33 00 2B 19 D0 17 F5 D8 71 D7 F8 2C 03 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 D7 F8 90 00 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 3B 61 17 F5 D8 70 ?? ?? ?? ?? 18 E0 17 F5 DC 71 D7 F8 2C 03 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 3B 61 17 F5 DC 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 06 70 ?? ?? ?? ?? C7 F8 80 01 17 F1 88 01 38 69 ?? ?? ?? ?? 17 F5 00 70 ?? ?? ?? ?? C7 F8 84 01 17 F5 E0 71 D7 F8 2C 03 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 C7 F8 A8 30 D7 F8 A8 00 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 C7 F8 84 30 17 F5 E0 70 ?? ?? ?? ?? D7 F8 30 33 DF F8 6C 2A 0C 32 DF F8 68 1A D7 F8 84 00 ?? ?? ?? ?? 00 23 7B 63 02 E0 7B 6B 5B 1C 7B 63 3B 78 00 2B 40 F0 7B 84 7B 6B 04 2B 80 F0 77 84 7A 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 BB 63 BB 6B 2B 2B 0C DC BB 6B 2B 2B 00 F0 E8 80 BB 6B 20 2B 00 F0 23 84 BB 6B 24 2B 0B D0 00 F0 5B BC BB 6B 76 2B 00 F0 2A 82 BB 6B 78 2B 00 F0 16 84 00 F0 51 BC 17 F5 E8 71 38 69 ?? ?? ?? ?? C7 F8 88 01 17 F1 48 00 ?? ?? ?? ?? D7 F8 2C 03 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 13 F0 08 0F 24 D1 D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 18 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 58 00 17 F5 E8 70 ?? ?? ?? ?? C7 F8 B4 00 B7 F8 58 20 D7 F8 B4 30 1B 88 9A 42 05 D0 00 21 17 F5 E8 70 ?? ?? ?? ?? 30 E0 7B 6B 03 2B 2D D1 17 F5 06 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 01 2B 23 D8 D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 2C 00 97 F8 2C 30 00 2B 12 D1 D7 F8 20 03 ?? ?? ?? ?? A7 F8 5A 00 17 F5 E8 70 ?? ?? ?? ?? C7 F8 BC 00 B7 F8 5A 20 D7 F8 BC 30 1B 88 9A 42 04 D0 00 21 17 F5 E8 70 ?? ?? ?? ?? 17 F5 C6 71 17 F5 E8 70 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 10 17 F1 48 00 04 22 ?? ?? ?? ?? 07 E0 17 F1 48 00 ?? ?? ?? ?? D7 F8 20 03 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 00 2B 27 D0 17 F5 C8 71 17 F5 E8 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 10 17 F1 48 00 ?? ?? ?? ?? 87 F8 2E 00 97 F8 2E 30 00 2B 13 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 5C 00 17 F1 48 00 ?? ?? ?? ?? C7 F8 C8 00 B7 F8 5C 20 D7 F8 C8 30 1B 88 9A 42 00 D1 C3 E7 17 F5 CA 71 17 F5 E8 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 10 17 F1 48 00 ?? ?? ?? ?? 38 77 3B 7F 00 2B 01 D0 01 23 3B 70 17 F5 E8 70 ?? ?? ?? ?? 7F E3 17 F5 E8 70 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 78 77 7B 7F 00 2B 00 D0 42 E1 17 F5 18 71 38 69 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 D0 30 C7 F8 D4 30 7B 68 43 F0 01 03 7B 60 D7 F8 D4 00 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 30 00 2B 25 D9 17 F5 12 71 38 69 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 C7 F8 E0 30 7B 68 43 F0 02 03 7B 60 00 21 D7 F8 E0 00 ?? ?? ?? ?? C7 F8 E4 00 D7 F8 20 03 ?? ?? ?? ?? A7 F8 5E 00 D7 F8 E4 30 1A 88 B7 F8 5E 30 9A 42 02 D1 01 23 3B 67 01 E0 00 23 3B 67 3B 6F DB B2 BB 77 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 12 70 ?? ?? ?? ?? 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 18 70 ?? ?? ?? ?? BB 7F 00 2B 19 D0 D7 F8 20 03 ?? ?? ?? ?? 17 F5 1E 71 38 69 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 D7 F8 EC 10 17 F5 06 70 ?? ?? ?? ?? 17 F5 1E 70 ?? ?? ?? ?? C9 E0 17 F5 2A 71 38 69 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 30 C7 F8 F4 30 7B 68 43 F0 04 03 7B 60 D7 F8 F4 00 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 00 2B 25 D9 17 F5 24 71 38 69 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 30 C7 F8 00 31 7B 68 43 F0 08 03 7B 60 00 21 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 20 03 ?? ?? ?? ?? A7 F8 60 00 D7 F8 04 31 1A 88 B7 F8 60 30 9A 42 02 D1 01 23 7B 67 01 E0 00 23 7B 67 7B 6F DB B2 FB 77 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 24 70 ?? ?? ?? ?? 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 2A 70 ?? ?? ?? ?? FB 7F 00 2B 1B D0 D7 F8 20 03 ?? ?? ?? ?? 17 F5 30 71 38 69 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 C7 F8 0C 31 D7 F8 0C 11 17 F5 06 70 ?? ?? ?? ?? 17 F5 30 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 36 71 38 69 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 31 C7 F8 14 31 D7 F8 14 01 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 00 2B 02 D1 01 23 BB 67 01 E0 00 23 BB 67 BB 6F DB B2 87 F8 20 30 17 F5 36 70 ?? ?? ?? ?? 97 F8 20 30 00 2B 00 D0 27 E0 17 F5 3C 71 38 69 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 31 C7 F8 20 31 D7 F8 20 01 ?? ?? ?? ?? C7 F8 24 01 D7 F8 24 31 00 2B 02 D1 01 23 FB 67 01 E0 00 23 FB 67 FB 6F DB B2 87 F8 21 30 17 F5 3C 70 ?? ?? ?? ?? 97 F8 21 30 00 2B 01 D0 01 23 3B 73 2C E2 00 23 3B 63 38 69 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 31 FB 66 17 F5 0C 71 38 69 ?? ?? ?? ?? C7 F8 98 01 17 F5 0C 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 31 00 2B 03 D1 00 23 A7 F8 40 30 08 E0 38 69 ?? ?? ?? ?? A7 F8 62 00 B7 F8 62 30 A7 F8 40 30 B7 F8 40 30 A7 F8 42 30 B7 F8 42 30 00 2B 0C D0 17 F5 0C 70 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 20 03 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 21 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 64 00 B7 F8 64 10 D7 F8 30 03 ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 E4 34 13 44 93 F9 00 10 17 F5 00 70 ?? ?? ?? ?? CD E7 F5 E0 00 22 01 21 17 F5 F4 70 ?? ?? ?? ?? C7 F8 9C 01 00 23 BB 60 03 E0 D7 F8 20 03 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 23 00 97 F8 23 30 00 2B 67 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 66 00 B7 F8 66 10 D7 F8 30 03 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 BB 61 BB 69 0A 2B 2E D2 BA 69 01 23 02 FB 03 F2 DF F8 68 34 13 44 93 F9 00 10 17 F5 00 70 ?? ?? ?? ?? B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 93 F9 00 30 7F 2B 13 D0 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 31 C7 F8 80 30 D7 F8 80 30 93 F9 00 30 5B 1C 5A B2 D7 F8 80 30 1A 70 23 E0 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 31 93 F9 00 30 00 2B 0B D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 68 00 B7 F8 68 20 B7 F8 42 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 F4 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 87 E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 0C 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 FB 63 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 FB 6B 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 50 01 FB 6B 93 F9 00 20 D7 F8 50 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 F4 70 ?? ?? ?? ?? C7 F8 54 01 FB 6B 93 F9 00 20 D7 F8 54 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 FB 6B 5B 1C 93 F9 00 30 00 2B 02 DD FB 6B 5B 1C FB 63 BC E7 3B 78 00 2B 08 D0 17 F5 F4 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? C9 E0 17 F5 F4 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? A7 F8 6A 00 B7 F8 6A 30 A7 F8 44 30 D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 4F D0 B7 F8 44 30 00 2B 4B D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 20 B7 F8 44 30 9A 42 3F D1 D7 F8 20 03 ?? ?? ?? ?? C7 F8 58 01 D7 F8 24 13 D7 F8 58 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 27 D0 3A 6B FB 6E 9A 42 23 DA D7 F8 20 03 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 10 D7 F8 30 03 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 5C 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 8F 4B 13 44 93 F9 00 10 17 F5 00 70 ?? ?? ?? ?? 3B 6B 5B 1C 3B 63 C5 E7 3A 6B FB 6E 9A 42 01 DA 01 23 3B 70 17 F5 00 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 3B 6B 5B 1C 3B 63 3A 6B FB 6E 9A 42 05 DA 30 21 17 F5 00 70 ?? ?? ?? ?? F2 E7 17 F5 0C 70 ?? ?? ?? ?? 40 E0 17 F5 0C 70 ?? ?? ?? ?? 7B 6B 03 2B 00 D1 38 E0 00 23 3B 75 03 E0 D7 F8 20 03 ?? ?? ?? ?? D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 15 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 54 00 B7 F8 54 20 48 21 D7 F8 84 00 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 02 D0 01 23 3B 75 D9 E7 7A 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 20 2B 04 D1 3B 7D 00 2B 01 D1 01 23 3B 70 FF F7 7E BB 3B 78 00 2B 71 D1 17 F5 06 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 31 01 2B 67 D9 17 F1 4C 00 ?? ?? ?? ?? 17 F5 D0 71 17 F5 06 70 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 11 17 F1 4C 00 04 22 ?? ?? ?? ?? 03 E0 D7 F8 20 03 ?? ?? ?? ?? 17 F5 D2 71 17 F5 06 70 ?? ?? ?? ?? C7 F8 6C 01 17 F1 4C 00 ?? ?? ?? ?? C7 F8 70 01 D7 F8 6C 11 D7 F8 70 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 1F D0 D7 F8 24 13 D7 F8 20 03 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 13 D0 D7 F8 20 03 ?? ?? ?? ?? A7 F8 56 00 17 F1 4C 00 ?? ?? ?? ?? C7 F8 74 01 B7 F8 56 20 D7 F8 74 31 1B 88 9A 42 00 D1 C1 E7 17 F5 D4 71 17 F5 06 70 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 11 17 F1 4C 00 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 01 D0 01 23 3B 70 3B 78 00 2B 05 D0 00 21 17 F5 00 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 00 70 ?? ?? ?? ?? 17 F5 00 71 D7 F8 1C 03 ?? ?? ?? ?? C7 F8 AC 01 7B 68 43 F0 10 03 7B 60 17 F5 00 70 ?? ?? ?? ?? 17 F5 06 70 ?? ?? ?? ?? D7 F8 1C 33 C7 F8 7C 31 D7 F8 7C 01 0D F5 42 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_703_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 18 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_716_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 18 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_704_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 12 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_717_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 12 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_705_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 2A 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_718_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 2A 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_706_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 24 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_719_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 24 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_722_1 {
	meta:
		name = "?_Getmonths@_Locinfo@std@@QBAPBDXZ"
		size = 108
		refs = "000a _Getmonths 0022 ??4?$_Yarn@D@std@@QAAAAV01@PBD@Z 0028 free 0032 ?_Empty@?$_Yarn@D@std@@QBA_NXZ 0048 ?_C_str@?$_Yarn@D@std@@QBAPBDXZ 0068 ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 00 2B 08 D0 01 99 08 9B 03 F1 0C 00 ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 08 9B 03 F1 0C 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 08 D1 08 9B 03 F1 0C 00 ?? ?? ?? ?? 04 90 04 9B 02 93 01 E0 04 4B 02 93 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_732_1 {
	meta:
		name = "?_Hash_seq@std@@YAIPBEI@Z"
		size = 100
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 15 4B 03 93 13 4B 04 93 13 4B 00 93 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 09 9B 9A 42 0F D2 01 9A 01 23 02 FB 03 F2 08 9B 13 44 1A 78 00 9B 53 40 00 93 00 9A 06 4B 02 FB 03 F3 00 93 E8 E7 00 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE 93 01 00 01 C5 9D 1C 81 }
	condition:
		$1
}

rule file_55_733_1 {
	meta:
		name = "?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z"
		size = 250
		altNames = "?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 01 93 01 9A 25 23 13 70 01 9B 5B 1C 01 93 09 9B 13 F0 20 0F 05 D0 01 9A 2B 23 13 70 01 9B 5B 1C 01 93 09 9B 13 F0 08 0F 05 D0 01 9A 23 23 13 70 01 9B 5B 1C 01 93 08 9B 93 F9 00 30 4C 2B 08 D0 08 9B 93 F9 00 20 01 9B 1A 70 01 9B 5B 1C 01 93 11 E0 01 9A 49 23 13 70 01 9B 5B 1C 01 93 01 9A 36 23 13 70 01 9B 5B 1C 01 93 01 9A 34 23 13 70 01 9B 5B 1C 01 93 09 9B 03 F4 60 63 02 93 02 9B B3 F5 80 6F 03 D1 6F 23 8D F8 02 30 1D E0 02 9B B3 F5 00 6F 06 D0 08 9B 5B 1C 93 F9 00 30 8D F8 01 30 0E E0 09 9B 13 F0 04 0F 03 D0 58 23 8D F8 00 30 02 E0 78 23 8D F8 00 30 9D F9 00 30 8D F8 01 30 9D F9 01 30 8D F8 02 30 9D F9 02 20 01 9B 1A 70 01 9B 5B 1C 01 93 01 9A 00 23 13 70 07 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_735_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ"
		size = 110
		refs = "0016 ?sbumpc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGXZ 0026 ?eof@?$char_traits@G@std@@SAGXZ 003c ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 00 2B 1C D0 06 9B 18 68 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 06 30 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 08 30 0D F1 06 01 02 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 06 9A 00 23 13 60 06 9B 1A 1D 01 23 13 70 03 E0 06 9B 1A 1D 00 23 13 70 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_736_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
		size = 110
		refs = "0016 ?sbumpc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAGXZ 0026 ?eof@?$char_traits@_W@std@@SAGXZ 003c ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 00 2B 1C D0 06 9B 18 68 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 06 30 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 08 30 0D F1 06 01 02 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 06 9A 00 23 13 60 06 9B 1A 1D 01 23 13 70 03 E0 06 9B 1A 1D 00 23 13 70 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_739_1 {
	meta:
		name = "?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 412
		refs = "000a __security_push_cookie 0022 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0074 ?_Getlconv@_Locinfo@std@@QBAPBUlconv@@XZ 00b4 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00ca ??$_Getvals@G@?$_Mpunct@G@std@@IAAXGPBUlconv@@@Z 0138 ?_Makpat@?$_Mpunct@G@std@@AAAXAAUpattern@money_base@2@III@Z 0174 memcpy 018a __security_pop_cookie 0198 ??_C@_04FJCIEOIB@$?$CLxv?$AA@"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0A 33 17 F1 30 01 F8 6F ?? ?? ?? ?? 38 61 39 69 BB 6F 03 F1 2C 02 0B 46 BA 60 FB 60 BD 68 FC 68 94 E8 0F 00 85 E8 0F 00 FB 68 10 33 FB 60 BB 68 10 33 BB 60 BD 68 FC 68 94 E8 0F 00 85 E8 0F 00 FB 68 10 33 FB 60 BB 68 10 33 BB 60 BC 68 F8 68 90 E8 0E 00 84 E8 0E 00 F8 6F ?? ?? ?? ?? 78 61 7B 69 7B 60 BB 6F 03 F1 08 02 00 23 13 60 BB 6F 03 F1 10 02 00 23 13 60 BB 6F 03 F1 14 02 00 23 13 60 BB 6F 03 F1 18 02 00 23 13 60 BB 6F 03 F1 2C 02 00 21 7B 68 1C 33 18 68 ?? ?? ?? ?? B8 61 BB 6F 03 F1 08 02 BB 69 13 60 7A 68 00 21 B8 6F ?? ?? ?? ?? FF E7 BB 6F 28 33 1B 78 00 2B 05 D0 7B 68 28 33 93 F9 00 30 3B 70 04 E0 7B 68 29 33 93 F9 00 30 3B 70 97 F9 00 20 BB 6F 1C 33 1A 60 BB 6F 1C 33 1B 68 00 2B 04 DB BB 6F 1C 33 1B 68 7F 2B 04 DB BB 6F 03 F1 1C 02 00 23 13 60 7B 68 2E 33 93 F9 00 30 00 93 7B 68 2A 33 93 F9 00 30 7A 68 2B 32 92 F9 00 20 B9 6F 20 31 B8 6F ?? ?? ?? ?? 7B 68 2F 33 93 F9 00 30 00 93 7B 68 2C 33 93 F9 00 30 7A 68 2D 32 92 F9 00 20 B9 6F 24 31 B8 6F ?? ?? ?? ?? 97 F8 80 30 00 2B 0F D0 BB 6F 20 33 FB 61 F8 69 09 49 04 22 ?? ?? ?? ?? BB 6F 24 33 3B 62 38 6A 05 49 04 22 ?? ?? ?? ?? 1A B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_312_1 {
	meta:
		name = "?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 412
		refs = "000a __security_push_cookie 0022 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0074 ?_Getlconv@_Locinfo@std@@QBAPBUlconv@@XZ 00b4 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00ca ??$_Getvals@D@?$_Mpunct@D@std@@IAAXDPBUlconv@@@Z 0138 ?_Makpat@?$_Mpunct@D@std@@AAAXAAUpattern@money_base@2@III@Z 0174 memcpy 018a __security_pop_cookie 0198 ??_C@_04FJCIEOIB@$?$CLxv?$AA@"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0A 33 17 F1 30 01 F8 6F ?? ?? ?? ?? 38 61 39 69 BB 6F 03 F1 2C 02 0B 46 BA 60 FB 60 BD 68 FC 68 94 E8 0F 00 85 E8 0F 00 FB 68 10 33 FB 60 BB 68 10 33 BB 60 BD 68 FC 68 94 E8 0F 00 85 E8 0F 00 FB 68 10 33 FB 60 BB 68 10 33 BB 60 BC 68 F8 68 90 E8 0E 00 84 E8 0E 00 F8 6F ?? ?? ?? ?? 78 61 7B 69 7B 60 BB 6F 03 F1 08 02 00 23 13 60 BB 6F 03 F1 10 02 00 23 13 60 BB 6F 03 F1 14 02 00 23 13 60 BB 6F 03 F1 18 02 00 23 13 60 BB 6F 03 F1 2C 02 00 21 7B 68 1C 33 18 68 ?? ?? ?? ?? B8 61 BB 6F 03 F1 08 02 BB 69 13 60 7A 68 00 21 B8 6F ?? ?? ?? ?? FF E7 BB 6F 28 33 1B 78 00 2B 05 D0 7B 68 28 33 93 F9 00 30 3B 70 04 E0 7B 68 29 33 93 F9 00 30 3B 70 97 F9 00 20 BB 6F 1C 33 1A 60 BB 6F 1C 33 1B 68 00 2B 04 DB BB 6F 1C 33 1B 68 7F 2B 04 DB BB 6F 03 F1 1C 02 00 23 13 60 7B 68 2E 33 93 F9 00 30 00 93 7B 68 2A 33 93 F9 00 30 7A 68 2B 32 92 F9 00 20 B9 6F 20 31 B8 6F ?? ?? ?? ?? 7B 68 2F 33 93 F9 00 30 00 93 7B 68 2C 33 93 F9 00 30 7A 68 2D 32 92 F9 00 20 B9 6F 24 31 B8 6F ?? ?? ?? ?? 97 F8 80 30 00 2B 0F D0 BB 6F 20 33 FB 61 F8 69 09 49 04 22 ?? ?? ?? ?? BB 6F 24 33 3B 62 38 6A 05 49 04 22 ?? ?? ?? ?? 1A B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_741_1 {
	meta:
		name = "?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 412
		refs = "000a __security_push_cookie 0022 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0074 ?_Getlconv@_Locinfo@std@@QBAPBUlconv@@XZ 00b4 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00ca ??$_Getvals@_W@?$_Mpunct@_W@std@@IAAX_WPBUlconv@@@Z 0138 ?_Makpat@?$_Mpunct@_W@std@@AAAXAAUpattern@money_base@2@III@Z 0174 memcpy 018a __security_pop_cookie 0198 ??_C@_04FJCIEOIB@$?$CLxv?$AA@"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0A 33 17 F1 30 01 F8 6F ?? ?? ?? ?? 38 61 39 69 BB 6F 03 F1 2C 02 0B 46 BA 60 FB 60 BD 68 FC 68 94 E8 0F 00 85 E8 0F 00 FB 68 10 33 FB 60 BB 68 10 33 BB 60 BD 68 FC 68 94 E8 0F 00 85 E8 0F 00 FB 68 10 33 FB 60 BB 68 10 33 BB 60 BC 68 F8 68 90 E8 0E 00 84 E8 0E 00 F8 6F ?? ?? ?? ?? 78 61 7B 69 7B 60 BB 6F 03 F1 08 02 00 23 13 60 BB 6F 03 F1 10 02 00 23 13 60 BB 6F 03 F1 14 02 00 23 13 60 BB 6F 03 F1 18 02 00 23 13 60 BB 6F 03 F1 2C 02 00 21 7B 68 1C 33 18 68 ?? ?? ?? ?? B8 61 BB 6F 03 F1 08 02 BB 69 13 60 7A 68 00 21 B8 6F ?? ?? ?? ?? FF E7 BB 6F 28 33 1B 78 00 2B 05 D0 7B 68 28 33 93 F9 00 30 3B 70 04 E0 7B 68 29 33 93 F9 00 30 3B 70 97 F9 00 20 BB 6F 1C 33 1A 60 BB 6F 1C 33 1B 68 00 2B 04 DB BB 6F 1C 33 1B 68 7F 2B 04 DB BB 6F 03 F1 1C 02 00 23 13 60 7B 68 2E 33 93 F9 00 30 00 93 7B 68 2A 33 93 F9 00 30 7A 68 2B 32 92 F9 00 20 B9 6F 20 31 B8 6F ?? ?? ?? ?? 7B 68 2F 33 93 F9 00 30 00 93 7B 68 2C 33 93 F9 00 30 7A 68 2D 32 92 F9 00 20 B9 6F 24 31 B8 6F ?? ?? ?? ?? 97 F8 80 30 00 2B 0F D0 BB 6F 20 33 FB 61 F8 69 09 49 04 22 ?? ?? ?? ?? BB 6F 24 33 3B 62 38 6A 05 49 04 22 ?? ?? ?? ?? 1A B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_740_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 28
		refs = "0006 ?_Tidy@?$_Mpunct@G@std@@AAAXXZ 000e _CxxThrowException 0018 $LN12"
	strings:
		$1 = { 10 B5 82 B0 B8 6F ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 48 02 B0 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_85_1 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$1"
		size = 20
		refs = "0002 terminate 000a $LN14 0010 $LN15"
	strings:
		$1 = { 10 B5 ?? ?? ?? ?? 02 48 10 BD ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_313_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 28
		refs = "0006 ?_Tidy@?$_Mpunct@D@std@@AAAXXZ 000e _CxxThrowException 0018 $LN12"
	strings:
		$1 = { 10 B5 82 B0 B8 6F ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 48 02 B0 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_742_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 28
		refs = "0006 ?_Tidy@?$_Mpunct@_W@std@@AAAXXZ 000e _CxxThrowException 0018 $LN12"
	strings:
		$1 = { 10 B5 82 B0 B8 6F ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 48 02 B0 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_745_1 {
	meta:
		name = "?_Init@?$collate@G@std@@IAAXABV_Locinfo@2@@Z"
		size = 44
		refs = "000e ?_Getcoll@_Locinfo@std@@QBA?AU_Collvec@@XZ 001e memcpy"
		altNames = "?_Init@?$collate@D@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$collate@_W@std@@IAAXABV_Locinfo@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 02 A9 07 98 ?? ?? ?? ?? 00 90 00 99 06 9B 03 F1 08 00 08 22 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_759_1 {
	meta:
		name = "?_Init@?$numpunct@G@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 332
		refs = "000a __security_push_cookie 0020 ?_Getlconv@_Locinfo@std@@QBAPBUlconv@@XZ 0032 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0084 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 009a ?_Getfalse@_Locinfo@std@@QBAPBDXZ 00a8 ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 00be ?_Gettrue@_Locinfo@std@@QBAPBDXZ 00f0 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0126 memcpy 0134 ??$_Getvals@G@?$numpunct@G@std@@IAAXGPBUlconv@@U_Cvtvec@@@Z 013a __security_pop_cookie 0148 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A4 B0 6F 46 8A B0 6F F0 01 03 C7 E9 0A 33 D7 F8 A4 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 30 01 D7 F8 A4 00 ?? ?? ?? ?? D7 F8 A0 30 03 F1 08 02 00 23 13 60 D7 F8 A0 30 03 F1 10 02 00 23 13 60 D7 F8 A0 30 03 F1 14 02 00 23 13 60 17 F1 60 01 D7 F8 A4 00 ?? ?? ?? ?? 38 61 97 F8 A8 30 00 2B 02 D0 35 4B 7B 60 03 E0 BB 68 08 33 1B 68 7B 60 3A 69 00 21 78 68 ?? ?? ?? ?? 78 61 D7 F8 A0 30 03 F1 08 02 7B 69 13 60 D7 F8 A4 00 ?? ?? ?? ?? B8 61 17 F1 30 02 00 21 B8 69 ?? ?? ?? ?? F8 61 D7 F8 A0 30 03 F1 10 02 FB 69 13 60 D7 F8 A4 00 ?? ?? ?? ?? 38 62 17 F1 30 02 00 21 38 6A ?? ?? ?? ?? 78 62 D7 F8 A0 30 03 F1 14 02 7B 6A 13 60 FF E7 97 F8 A8 30 00 2B 1A D0 17 F1 30 02 00 21 2E 20 ?? ?? ?? ?? 38 80 D7 F8 A0 30 03 F1 0C 02 3B 88 13 80 17 F1 30 02 00 21 2C 20 ?? ?? ?? ?? 78 80 D7 F8 A0 30 03 F1 0E 02 7B 88 13 80 0C E0 68 46 17 F1 34 01 28 22 ?? ?? ?? ?? 3B 6B BA 68 00 21 D7 F8 A0 00 ?? ?? ?? ?? 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_761_1 {
	meta:
		name = "?_Init@?$numpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 332
		refs = "000a __security_push_cookie 0020 ?_Getlconv@_Locinfo@std@@QBAPBUlconv@@XZ 0032 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0084 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 009a ?_Getfalse@_Locinfo@std@@QBAPBDXZ 00a8 ??$_Maklocstr@_W@std@@YAPA_WPBDPA_WABU_Cvtvec@@@Z 00be ?_Gettrue@_Locinfo@std@@QBAPBDXZ 00f0 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 0126 memcpy 0134 ??$_Getvals@_W@?$numpunct@_W@std@@IAAX_WPBUlconv@@U_Cvtvec@@@Z 013a __security_pop_cookie 0148 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A4 B0 6F 46 8A B0 6F F0 01 03 C7 E9 0A 33 D7 F8 A4 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 30 01 D7 F8 A4 00 ?? ?? ?? ?? D7 F8 A0 30 03 F1 08 02 00 23 13 60 D7 F8 A0 30 03 F1 10 02 00 23 13 60 D7 F8 A0 30 03 F1 14 02 00 23 13 60 17 F1 60 01 D7 F8 A4 00 ?? ?? ?? ?? 38 61 97 F8 A8 30 00 2B 02 D0 35 4B 7B 60 03 E0 BB 68 08 33 1B 68 7B 60 3A 69 00 21 78 68 ?? ?? ?? ?? 78 61 D7 F8 A0 30 03 F1 08 02 7B 69 13 60 D7 F8 A4 00 ?? ?? ?? ?? B8 61 17 F1 30 02 00 21 B8 69 ?? ?? ?? ?? F8 61 D7 F8 A0 30 03 F1 10 02 FB 69 13 60 D7 F8 A4 00 ?? ?? ?? ?? 38 62 17 F1 30 02 00 21 38 6A ?? ?? ?? ?? 78 62 D7 F8 A0 30 03 F1 14 02 7B 6A 13 60 FF E7 97 F8 A8 30 00 2B 1A D0 17 F1 30 02 00 21 2E 20 ?? ?? ?? ?? 38 80 D7 F8 A0 30 03 F1 0C 02 3B 88 13 80 17 F1 30 02 00 21 2C 20 ?? ?? ?? ?? 78 80 D7 F8 A0 30 03 F1 0E 02 7B 88 13 80 0C E0 68 46 17 F1 34 01 28 22 ?? ?? ?? ?? 3B 6B BA 68 00 21 D7 F8 A0 00 ?? ?? ?? ?? 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_760_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 32
		refs = "0008 ?_Tidy@?$numpunct@G@std@@AAAXXZ 0010 _CxxThrowException 001c $LN11"
	strings:
		$1 = { 10 B5 8A B0 D7 F8 A0 00 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 48 0A B0 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_218_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 32
		refs = "0008 ?_Tidy@?$numpunct@D@std@@AAAXXZ 0010 _CxxThrowException 001c $LN11"
	strings:
		$1 = { 10 B5 8A B0 D7 F8 A0 00 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 48 0A B0 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_762_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 32
		refs = "0008 ?_Tidy@?$numpunct@_W@std@@AAAXXZ 0010 _CxxThrowException 001c $LN11"
	strings:
		$1 = { 10 B5 8A B0 D7 F8 A0 00 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 48 0A B0 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_763_1 {
	meta:
		name = "?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 92
		refs = "003a ??$_Getvals@G@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXGABV_Locinfo@1@@Z 0040 ?_Getdateorder@_Locinfo@std@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 3B 6A 03 F1 08 02 00 23 13 60 3B 6A 03 F1 0C 02 00 23 13 60 3B 6A 03 F1 10 02 00 23 13 60 7A 6A 00 21 38 6A ?? ?? ?? ?? 78 6A ?? ?? ?? ?? 38 60 3B 6A 03 F1 14 02 3B 68 13 60 FF E7 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_319_1 {
	meta:
		name = "?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 92
		refs = "003a ??$_Getvals@D@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXDABV_Locinfo@1@@Z 0040 ?_Getdateorder@_Locinfo@std@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 3B 6A 03 F1 08 02 00 23 13 60 3B 6A 03 F1 0C 02 00 23 13 60 3B 6A 03 F1 10 02 00 23 13 60 7A 6A 00 21 38 6A ?? ?? ?? ?? 78 6A ?? ?? ?? ?? 38 60 3B 6A 03 F1 14 02 3B 68 13 60 FF E7 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_765_1 {
	meta:
		name = "?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 92
		refs = "003a ??$_Getvals@_W@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAX_WABV_Locinfo@1@@Z 0040 ?_Getdateorder@_Locinfo@std@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 3B 6A 03 F1 08 02 00 23 13 60 3B 6A 03 F1 0C 02 00 23 13 60 3B 6A 03 F1 10 02 00 23 13 60 7A 6A 00 21 38 6A ?? ?? ?? ?? 78 6A ?? ?? ?? ?? 38 60 3B 6A 03 F1 14 02 3B 68 13 60 FF E7 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_767_1 {
	meta:
		name = "?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 68
		refs = "001c ?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 002e ??4_Timevec@std@@QAAAAV01@ABV01@@Z 0036 ??1_Timevec@std@@QAA@XZ"
		altNames = "?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 17 F1 08 01 F8 6A ?? ?? ?? ?? 38 60 3B 68 7B 60 79 68 BB 6A 03 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_321_1 {
	meta:
		name = "?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 68
		refs = "001c ?_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 002e ??4_Timevec@std@@QAAAAV01@ABV01@@Z 0036 ??1_Timevec@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 17 F1 08 01 F8 6A ?? ?? ?? ?? 38 60 3B 68 7B 60 79 68 BB 6A 03 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_775_1 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z"
		size = 1048
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00c0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00da ??1locale@std@@QAA@XZ 00e8 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 00f6 ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0114 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 012c ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0144 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0152 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0172 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 01be ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 01da ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 01ea ?width@ios_base@std@@QBA_JXZ 0298 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 02a6 memcpy 02d2 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 03d0 ?width@ios_base@std@@QAA_J_J@Z 03f6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 03fe ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 040c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 D7 F8 4C 31 00 2B 0E D9 D7 F8 48 31 93 F9 00 30 2B 2B 05 D0 D7 F8 48 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 40 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 4C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 40 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 4C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 4C 11 01 22 01 FB 02 F1 D7 F8 48 21 0A 44 D7 F8 48 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 40 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 84 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 84 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 37 D0 7B 68 93 F9 00 30 00 2B 32 DD B8 69 ?? ?? ?? ?? B8 81 BB 89 FB 81 7B 68 93 F9 00 30 7F 2B 27 D0 7B 68 93 F9 00 30 00 2B 22 DD 7B 68 93 F9 00 10 D7 F8 4C 21 3B 68 D3 1A 99 42 19 D2 7B 68 93 F9 00 20 D7 F8 4C 31 9B 1A C7 F8 4C 31 FB 89 01 22 D7 F8 4C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D2 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 4C 31 D7 F8 40 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 40 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 4C 31 9A 42 0E D9 D7 F8 40 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 4C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 BB 60 D7 F8 40 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 BB 68 01 93 B7 F8 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 C0 01 D7 F8 30 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 23 BB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 C8 01 D7 F8 30 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 9C 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 D0 01 D7 F8 30 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 9C 70 08 22 ?? ?? ?? ?? BB 68 01 93 B7 F8 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 D8 01 D7 F8 30 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 23 BB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 E0 01 D7 F8 30 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 9C 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 4C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 E8 01 D7 F8 30 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 40 01 ?? ?? ?? ?? BB 68 01 93 B7 F8 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? 17 F5 84 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 34 31 FB 67 F8 6F 4A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_780_1 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z"
		size = 1048
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00c0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00da ??1locale@std@@QAA@XZ 00e8 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 00f6 ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0114 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 012c ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0144 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0152 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0172 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 01be ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 01da ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 01ea ?width@ios_base@std@@QBA_JXZ 0298 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 02a6 memcpy 02d2 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 03d0 ?width@ios_base@std@@QAA_J_J@Z 03f6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 03fe ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 040c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 D7 F8 4C 31 00 2B 0E D9 D7 F8 48 31 93 F9 00 30 2B 2B 05 D0 D7 F8 48 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 40 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 4C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 40 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 4C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 4C 11 01 22 01 FB 02 F1 D7 F8 48 21 0A 44 D7 F8 48 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 40 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 84 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 84 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 37 D0 7B 68 93 F9 00 30 00 2B 32 DD B8 69 ?? ?? ?? ?? B8 81 BB 89 FB 81 7B 68 93 F9 00 30 7F 2B 27 D0 7B 68 93 F9 00 30 00 2B 22 DD 7B 68 93 F9 00 10 D7 F8 4C 21 3B 68 D3 1A 99 42 19 D2 7B 68 93 F9 00 20 D7 F8 4C 31 9B 1A C7 F8 4C 31 FB 89 01 22 D7 F8 4C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D2 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 4C 31 D7 F8 40 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 40 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 4C 31 9A 42 0E D9 D7 F8 40 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 4C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 BB 60 D7 F8 40 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 BB 68 01 93 B7 F8 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 C0 01 D7 F8 30 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 23 BB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 C8 01 D7 F8 30 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 9C 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 D0 01 D7 F8 30 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 9C 70 08 22 ?? ?? ?? ?? BB 68 01 93 B7 F8 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 D8 01 D7 F8 30 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 23 BB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 E0 01 D7 F8 30 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 9C 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 4C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 E8 01 D7 F8 30 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 40 01 ?? ?? ?? ?? BB 68 01 93 B7 F8 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? 17 F5 84 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 34 31 FB 67 F8 6F 4A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_785_1 {
	meta:
		name = "?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 2228
		refs = "001a ?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0040 ??Bid@locale@std@@QAAIXZ 0048 ??2_Crt_new_delete@std@@SAPAXI@Z 0060 ??0?$ctype@G@std@@QAA@ABV_Locinfo@1@I@Z 007c ?_Addfac@_Locimp@locale@std@@AAAXPAVfacet@23@I@Z 0090 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00aa ?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 00fa ??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0136 ??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0152 ?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 01a2 ??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 01de ??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 01fa ?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 024c ??0?$numpunct@G@std@@QAA@ABV_Locinfo@1@I_N@Z 0288 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 02a4 ?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 02f4 ??0?$collate@G@std@@QAA@ABV_Locinfo@1@I@Z 0330 ??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z 034c ?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 039c ??0?$messages@G@std@@QAA@ABV_Locinfo@1@I@Z 03d8 ??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z 03f4 ?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0444 ??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0480 ??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 049c ?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 04ea ??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0524 ??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0540 ?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0590 ??0?$moneypunct@G$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z 05ca ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 05e6 ?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0636 ??0?$moneypunct@G$00@std@@QAA@ABV_Locinfo@1@I_N@Z 0670 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 068c ?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 06da ??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0714 ??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0730 ?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 077e ??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 07b8 ??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 07d4 ?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0822 ??0?$codecvt@GDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z 085c ??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z 0880 ?id@?$codecvt@GDU_Mbstatet@@@std@@2V0locale@2@A 0884 ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0888 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 088c ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0890 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 0894 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0898 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 089c ?id@?$messages@G@std@@2V0locale@2@A 08a0 ?id@?$collate@G@std@@2V0locale@2@A 08a4 ?id@?$numpunct@G@std@@2V0locale@2@A 08a8 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 08ac ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 08b0 ?id@?$ctype@G@std@@2V0locale@2@A"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B F9 B0 6F 46 6F F0 01 03 C7 E9 76 33 00 21 00 20 ?? ?? ?? ?? B8 66 BA 6E 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 38 E0 D7 F8 FC 31 00 2B 22 D1 DF F8 70 08 ?? ?? ?? ?? 78 67 44 20 ?? ?? ?? ?? F8 66 FB 6E 3B 60 3B 68 00 2B 09 D0 00 22 D7 F8 F0 11 38 68 ?? ?? ?? ?? 38 67 3B 6F 7B 60 01 E0 00 23 7B 60 7B 68 BB 67 7A 6F B9 6F D7 F8 F8 01 ?? ?? ?? ?? 11 E0 DF F8 2C 08 ?? ?? ?? ?? F8 67 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 80 00 FA 6F D7 F8 80 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 D8 07 ?? ?? ?? ?? C7 F8 90 00 08 20 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 BB 60 BB 68 00 2B 0B D0 00 22 D7 F8 F0 11 B8 68 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 FB 60 01 E0 00 23 FB 60 FB 68 C7 F8 94 30 D7 F8 90 20 D7 F8 94 10 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 84 07 ?? ?? ?? ?? C7 F8 98 00 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 98 20 D7 F8 9C 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 2C 07 ?? ?? ?? ?? C7 F8 AC 00 08 20 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 3B 61 3B 69 00 2B 0B D0 00 22 D7 F8 F0 11 38 69 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 7B 61 01 E0 00 23 7B 61 7B 69 C7 F8 B0 30 D7 F8 AC 20 D7 F8 B0 10 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 D8 06 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B4 20 D7 F8 B8 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 43 E0 D7 F8 FC 31 00 2B 2B D1 DF F8 80 06 ?? ?? ?? ?? C7 F8 C8 00 18 20 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 BB 61 BB 69 00 2B 0C D0 00 23 00 22 D7 F8 F0 11 B8 69 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 FB 61 01 E0 00 23 FB 61 FB 69 C7 F8 CC 30 D7 F8 C8 20 D7 F8 CC 10 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 28 06 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D0 20 D7 F8 D4 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 D4 05 ?? ?? ?? ?? C7 F8 E4 00 10 20 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 3B 62 3B 6A 00 2B 0B D0 00 22 D7 F8 F0 11 38 6A ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 7B 62 01 E0 00 23 7B 62 7B 6A C7 F8 E8 30 D7 F8 E4 20 D7 F8 E8 10 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 7C 05 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 EC 20 D7 F8 F0 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 28 05 ?? ?? ?? ?? C7 F8 00 01 08 20 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 BB 62 BB 6A 00 2B 0B D0 00 22 D7 F8 F0 11 B8 6A ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 30 FB 62 01 E0 00 23 FB 62 FB 6A C7 F8 04 31 D7 F8 00 21 D7 F8 04 11 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 D0 04 ?? ?? ?? ?? C7 F8 08 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 0C 01 D7 F8 08 21 D7 F8 0C 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 7C 04 ?? ?? ?? ?? C7 F8 1C 01 08 20 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 31 3B 63 3B 6B 00 2B 0B D0 00 22 D7 F8 F0 11 38 6B ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 7B 63 01 E0 00 23 7B 63 7B 6B C7 F8 20 31 D7 F8 1C 21 D7 F8 20 11 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 24 04 ?? ?? ?? ?? C7 F8 24 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 28 01 D7 F8 24 21 D7 F8 28 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 40 E0 D7 F8 FC 31 00 2B 29 D1 F4 48 ?? ?? ?? ?? C7 F8 38 01 08 20 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 BB 63 BB 6B 00 2B 0B D0 00 22 D7 F8 F0 11 B8 6B ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 FB 63 01 E0 00 23 FB 63 FB 6B C7 F8 3C 31 D7 F8 38 21 D7 F8 3C 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 DF 48 ?? ?? ?? ?? C7 F8 40 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 44 01 D7 F8 40 21 D7 F8 44 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 41 E0 D7 F8 FC 31 00 2B 2A D1 CA 48 ?? ?? ?? ?? C7 F8 54 01 58 20 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 3B 64 3B 6C 00 2B 0C D0 00 23 00 22 D7 F8 F0 11 38 6C ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 7B 64 01 E0 00 23 7B 64 7B 6C C7 F8 58 31 D7 F8 54 21 D7 F8 58 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 B4 48 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 60 01 D7 F8 5C 21 D7 F8 60 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 41 E0 D7 F8 FC 31 00 2B 2A D1 9F 48 ?? ?? ?? ?? C7 F8 70 01 58 20 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 31 BB 64 BB 6C 00 2B 0C D0 00 23 00 22 D7 F8 F0 11 B8 6C ?? ?? ?? ?? C7 F8 6C 01 D7 F8 6C 31 FB 64 01 E0 00 23 FB 64 FB 6C C7 F8 74 31 D7 F8 70 21 D7 F8 74 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 8A 48 ?? ?? ?? ?? C7 F8 78 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 7C 01 D7 F8 78 21 D7 F8 7C 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 40 E0 D7 F8 FC 31 00 2B 29 D1 75 48 ?? ?? ?? ?? C7 F8 8C 01 44 20 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 3B 65 3B 6D 00 2B 0B D0 00 22 D7 F8 F0 11 38 6D ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 31 7B 65 01 E0 00 23 7B 65 7B 6D C7 F8 90 31 D7 F8 8C 21 D7 F8 90 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 60 48 ?? ?? ?? ?? C7 F8 94 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 98 01 D7 F8 94 21 D7 F8 98 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 9C 01 D7 F8 9C 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 40 E0 D7 F8 FC 31 00 2B 29 D1 4B 48 ?? ?? ?? ?? C7 F8 A8 01 0C 20 ?? ?? ?? ?? C7 F8 A0 01 D7 F8 A0 31 BB 65 BB 6D 00 2B 0B D0 00 22 D7 F8 F0 11 B8 6D ?? ?? ?? ?? C7 F8 A4 01 D7 F8 A4 31 FB 65 01 E0 00 23 FB 65 FB 6D C7 F8 AC 31 D7 F8 A8 21 D7 F8 AC 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 36 48 ?? ?? ?? ?? C7 F8 B0 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 B4 01 D7 F8 B0 21 D7 F8 B4 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 B8 01 D7 F8 B8 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 40 E0 D7 F8 FC 31 00 2B 29 D1 21 48 ?? ?? ?? ?? C7 F8 C4 01 34 20 ?? ?? ?? ?? C7 F8 BC 01 D7 F8 BC 31 3B 66 3B 6E 00 2B 0B D0 00 22 D7 F8 F0 11 38 6E ?? ?? ?? ?? C7 F8 C0 01 D7 F8 C0 31 7B 66 01 E0 00 23 7B 66 7B 6E C7 F8 C8 31 D7 F8 C4 21 D7 F8 C8 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 0C 48 ?? ?? ?? ?? C7 F8 CC 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 D0 01 D7 F8 CC 21 D7 F8 D0 11 D7 F8 F8 01 ?? ?? ?? ?? 79 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_799_1 {
	meta:
		name = "?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 2228
		refs = "001a ?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0040 ??Bid@locale@std@@QAAIXZ 0048 ??2_Crt_new_delete@std@@SAPAXI@Z 0060 ??0?$ctype@_W@std@@QAA@ABV_Locinfo@1@I@Z 007c ?_Addfac@_Locimp@locale@std@@AAAXPAVfacet@23@I@Z 0090 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00aa ?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 00fa ??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0136 ??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0152 ?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 01a2 ??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 01de ??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 01fa ?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 024c ??0?$numpunct@_W@std@@QAA@ABV_Locinfo@1@I_N@Z 0288 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 02a4 ?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 02f4 ??0?$collate@_W@std@@QAA@ABV_Locinfo@1@I@Z 0330 ??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z 034c ?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 039c ??0?$messages@_W@std@@QAA@ABV_Locinfo@1@I@Z 03d8 ??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z 03f4 ?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0444 ??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0480 ??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 049c ?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 04ea ??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0524 ??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0540 ?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0590 ??0?$moneypunct@_W$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z 05ca ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 05e6 ?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0636 ??0?$moneypunct@_W$00@std@@QAA@ABV_Locinfo@1@I_N@Z 0670 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 068c ?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 06da ??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0714 ??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0730 ?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 077e ??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 07b8 ??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 07d4 ?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0822 ??0?$codecvt@_WDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z 085c ??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z 0880 ?id@?$codecvt@_WDU_Mbstatet@@@std@@2V0locale@2@A 0884 ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0888 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 088c ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0890 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 0894 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0898 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 089c ?id@?$messages@_W@std@@2V0locale@2@A 08a0 ?id@?$collate@_W@std@@2V0locale@2@A 08a4 ?id@?$numpunct@_W@std@@2V0locale@2@A 08a8 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 08ac ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 08b0 ?id@?$ctype@_W@std@@2V0locale@2@A"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B F9 B0 6F 46 6F F0 01 03 C7 E9 76 33 00 21 00 20 ?? ?? ?? ?? B8 66 BA 6E 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 38 E0 D7 F8 FC 31 00 2B 22 D1 DF F8 70 08 ?? ?? ?? ?? 78 67 44 20 ?? ?? ?? ?? F8 66 FB 6E 3B 60 3B 68 00 2B 09 D0 00 22 D7 F8 F0 11 38 68 ?? ?? ?? ?? 38 67 3B 6F 7B 60 01 E0 00 23 7B 60 7B 68 BB 67 7A 6F B9 6F D7 F8 F8 01 ?? ?? ?? ?? 11 E0 DF F8 2C 08 ?? ?? ?? ?? F8 67 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 80 00 FA 6F D7 F8 80 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 D8 07 ?? ?? ?? ?? C7 F8 90 00 08 20 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 BB 60 BB 68 00 2B 0B D0 00 22 D7 F8 F0 11 B8 68 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 FB 60 01 E0 00 23 FB 60 FB 68 C7 F8 94 30 D7 F8 90 20 D7 F8 94 10 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 84 07 ?? ?? ?? ?? C7 F8 98 00 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 98 20 D7 F8 9C 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 2C 07 ?? ?? ?? ?? C7 F8 AC 00 08 20 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 3B 61 3B 69 00 2B 0B D0 00 22 D7 F8 F0 11 38 69 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 7B 61 01 E0 00 23 7B 61 7B 69 C7 F8 B0 30 D7 F8 AC 20 D7 F8 B0 10 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 D8 06 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B4 20 D7 F8 B8 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 43 E0 D7 F8 FC 31 00 2B 2B D1 DF F8 80 06 ?? ?? ?? ?? C7 F8 C8 00 18 20 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 BB 61 BB 69 00 2B 0C D0 00 23 00 22 D7 F8 F0 11 B8 69 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 FB 61 01 E0 00 23 FB 61 FB 69 C7 F8 CC 30 D7 F8 C8 20 D7 F8 CC 10 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 28 06 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D0 20 D7 F8 D4 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 D4 05 ?? ?? ?? ?? C7 F8 E4 00 10 20 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 3B 62 3B 6A 00 2B 0B D0 00 22 D7 F8 F0 11 38 6A ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 7B 62 01 E0 00 23 7B 62 7B 6A C7 F8 E8 30 D7 F8 E4 20 D7 F8 E8 10 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 7C 05 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 EC 20 D7 F8 F0 10 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 20 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 28 05 ?? ?? ?? ?? C7 F8 00 01 08 20 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 BB 62 BB 6A 00 2B 0B D0 00 22 D7 F8 F0 11 B8 6A ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 30 FB 62 01 E0 00 23 FB 62 FB 6A C7 F8 04 31 D7 F8 00 21 D7 F8 04 11 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 D0 04 ?? ?? ?? ?? C7 F8 08 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 0C 01 D7 F8 08 21 D7 F8 0C 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 42 E0 D7 F8 FC 31 00 2B 2A D1 DF F8 7C 04 ?? ?? ?? ?? C7 F8 1C 01 08 20 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 31 3B 63 3B 6B 00 2B 0B D0 00 22 D7 F8 F0 11 38 6B ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 7B 63 01 E0 00 23 7B 63 7B 6B C7 F8 20 31 D7 F8 1C 21 D7 F8 20 11 D7 F8 F8 01 ?? ?? ?? ?? 13 E0 DF F8 24 04 ?? ?? ?? ?? C7 F8 24 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 28 01 D7 F8 24 21 D7 F8 28 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 40 E0 D7 F8 FC 31 00 2B 29 D1 F4 48 ?? ?? ?? ?? C7 F8 38 01 08 20 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 BB 63 BB 6B 00 2B 0B D0 00 22 D7 F8 F0 11 B8 6B ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 FB 63 01 E0 00 23 FB 63 FB 6B C7 F8 3C 31 D7 F8 38 21 D7 F8 3C 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 DF 48 ?? ?? ?? ?? C7 F8 40 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 44 01 D7 F8 40 21 D7 F8 44 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 41 E0 D7 F8 FC 31 00 2B 2A D1 CA 48 ?? ?? ?? ?? C7 F8 54 01 58 20 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 3B 64 3B 6C 00 2B 0C D0 00 23 00 22 D7 F8 F0 11 38 6C ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 7B 64 01 E0 00 23 7B 64 7B 6C C7 F8 58 31 D7 F8 54 21 D7 F8 58 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 B4 48 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 60 01 D7 F8 5C 21 D7 F8 60 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 41 E0 D7 F8 FC 31 00 2B 2A D1 9F 48 ?? ?? ?? ?? C7 F8 70 01 58 20 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 31 BB 64 BB 6C 00 2B 0C D0 00 23 00 22 D7 F8 F0 11 B8 6C ?? ?? ?? ?? C7 F8 6C 01 D7 F8 6C 31 FB 64 01 E0 00 23 FB 64 FB 6C C7 F8 74 31 D7 F8 70 21 D7 F8 74 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 8A 48 ?? ?? ?? ?? C7 F8 78 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 7C 01 D7 F8 78 21 D7 F8 7C 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 40 E0 D7 F8 FC 31 00 2B 29 D1 75 48 ?? ?? ?? ?? C7 F8 8C 01 44 20 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 3B 65 3B 6D 00 2B 0B D0 00 22 D7 F8 F0 11 38 6D ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 31 7B 65 01 E0 00 23 7B 65 7B 6D C7 F8 90 31 D7 F8 8C 21 D7 F8 90 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 60 48 ?? ?? ?? ?? C7 F8 94 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 98 01 D7 F8 94 21 D7 F8 98 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 9C 01 D7 F8 9C 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 40 E0 D7 F8 FC 31 00 2B 29 D1 4B 48 ?? ?? ?? ?? C7 F8 A8 01 0C 20 ?? ?? ?? ?? C7 F8 A0 01 D7 F8 A0 31 BB 65 BB 6D 00 2B 0B D0 00 22 D7 F8 F0 11 B8 6D ?? ?? ?? ?? C7 F8 A4 01 D7 F8 A4 31 FB 65 01 E0 00 23 FB 65 FB 6D C7 F8 AC 31 D7 F8 A8 21 D7 F8 AC 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 36 48 ?? ?? ?? ?? C7 F8 B0 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 B4 01 D7 F8 B0 21 D7 F8 B4 11 D7 F8 F8 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 B8 01 D7 F8 B8 21 01 23 93 40 5A 10 D7 F8 F4 31 13 40 00 2B 00 D1 40 E0 D7 F8 FC 31 00 2B 29 D1 21 48 ?? ?? ?? ?? C7 F8 C4 01 34 20 ?? ?? ?? ?? C7 F8 BC 01 D7 F8 BC 31 3B 66 3B 6E 00 2B 0B D0 00 22 D7 F8 F0 11 38 6E ?? ?? ?? ?? C7 F8 C0 01 D7 F8 C0 31 7B 66 01 E0 00 23 7B 66 7B 6E C7 F8 C8 31 D7 F8 C4 21 D7 F8 C8 11 D7 F8 F8 01 ?? ?? ?? ?? 12 E0 0C 48 ?? ?? ?? ?? C7 F8 CC 01 D7 F8 FC 01 ?? ?? ?? ?? C7 F8 D0 01 D7 F8 CC 21 D7 F8 D0 11 D7 F8 F8 01 ?? ?? ?? ?? 79 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_813_1 {
	meta:
		name = "?_Maklocwcs@std@@YAPA_WPB_W@Z"
		size = 112
		refs = "003c _calloc_dbg 004c ?_Xbad_alloc@std@@YAXXZ 0056 wmemcpy 006c ??_C@_0CI@NLEDDFPI@f?3?2dd?2vctools?2crt?2crtw32?2stdhpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 02 93 02 9B B3 F9 00 30 00 2B 03 D0 02 9B 9B 1C 02 93 F6 E7 02 9A 0A 9B D3 1A 5B 10 05 93 05 9B 5B 1C 04 93 66 23 00 93 0D 4B 02 22 02 21 04 98 ?? ?? ?? ?? 06 90 06 9B 03 93 03 9B 00 2B 01 D1 ?? ?? ?? ?? 04 9A 0A 99 03 98 ?? ?? ?? ?? 03 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_814_1 {
	meta:
		name = "?_Makpat@?$_Mpunct@G@std@@AAAXAAUpattern@money_base@2@III@Z"
		size = 120
		refs = "0060 memcpy_s 0070 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 0074 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@"
		altNames = "?_Makpat@?$_Mpunct@D@std@@AAAXAAUpattern@money_base@2@III@Z ?_Makpat@?$_Mpunct@_W@std@@AAAXAAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 28 33 1B 78 00 2B 1D D1 06 9B 02 2B 1A D8 07 9B 01 2B 17 D8 08 9B 04 2B 14 D8 08 9A 04 23 02 FB 03 F1 07 9A 14 23 02 FB 03 F3 19 44 06 9A 28 23 02 FB 03 F3 CA 18 01 23 02 FB 03 F2 0A 4B 13 44 00 93 01 E0 07 4B 00 93 00 9B 01 93 04 23 01 9A 04 21 05 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_839_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ"
		size = 138
		refs = "0016 ?sgetc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGXZ 0026 ?eof@?$char_traits@G@std@@SAGXZ 003c ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0058 ?to_char_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 00 2B 1C D0 06 9B 18 68 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 02 30 ?? ?? ?? ?? AD F8 06 00 BD F8 06 30 AD F8 08 30 0D F1 02 01 02 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 06 9A 00 23 13 60 0A E0 0D F1 02 00 ?? ?? ?? ?? AD F8 0A 00 06 9B 9A 1D BD F8 0A 30 13 80 06 9B 1A 1D 01 23 13 70 06 9B 9B 1D 1B 88 AD F8 0C 30 BD F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_840_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ"
		size = 138
		refs = "0016 ?sgetc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAGXZ 0026 ?eof@?$char_traits@_W@std@@SAGXZ 003c ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0058 ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 00 2B 1C D0 06 9B 18 68 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 02 30 ?? ?? ?? ?? AD F8 06 00 BD F8 06 30 AD F8 08 30 0D F1 02 01 02 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 06 9A 00 23 13 60 0A E0 0D F1 02 00 ?? ?? ?? ?? AD F8 0A 00 06 9B 9A 1D BD F8 0A 30 13 80 06 9B 1A 1D 01 23 13 70 06 9B 9B 1D 1B 88 AD F8 0C 30 BD F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_845_1 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@I@Z"
		size = 90
		refs = "0014 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 001a ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ 0026 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ 002e ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 003a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0046 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 E0 0A 9B 5B 1E 0A 93 07 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 0A 9B 00 2B 0D D9 09 A8 ?? ?? ?? ?? 00 90 07 A8 ?? ?? ?? ?? 01 90 00 9B 19 88 01 98 ?? ?? ?? ?? E5 E7 06 98 07 A9 08 22 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_846_1 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@I@Z"
		size = 90
		refs = "0014 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 001a ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ 0026 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ 002e ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 003a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0046 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 E0 0A 9B 5B 1E 0A 93 07 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 0A 9B 00 2B 0D D9 09 A8 ?? ?? ?? ?? 00 90 07 A8 ?? ?? ?? ?? 01 90 00 9B 19 88 01 98 ?? ?? ?? ?? E5 E7 06 98 07 A9 08 22 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_847_1 {
	meta:
		name = "?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z"
		size = 82
		refs = "0014 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 0026 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 0032 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 003e memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 E0 09 9B 5B 1E 09 93 06 A8 ?? ?? ?? ?? 08 9B 9B 1C 08 93 09 9B 00 2B 09 D9 06 A8 ?? ?? ?? ?? 00 90 08 9B 19 88 00 98 ?? ?? ?? ?? E9 E7 05 98 06 A9 08 22 ?? ?? ?? ?? 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_848_1 {
	meta:
		name = "?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z"
		size = 82
		refs = "0014 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 0026 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 0032 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 003e memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 E0 09 9B 5B 1E 09 93 06 A8 ?? ?? ?? ?? 08 9B 9B 1C 08 93 09 9B 00 2B 09 D9 06 A8 ?? ?? ?? ?? 00 90 08 9B 19 88 00 98 ?? ?? ?? ?? E9 E7 05 98 06 A9 08 22 ?? ?? ?? ?? 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_849_1 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 2230
		refs = "000a __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0048 ??1locale@std@@QAA@XZ 0062 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 007a ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0084 ?frac_digits@?$_Mpunct@G@std@@QBAHXZ 00a8 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 00d2 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 00dc ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0102 ?thousands_sep@?$_Mpunct@G@std@@QBAGXZ 017e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0194 ?neg_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 01a2 memcpy 01ac ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01c4 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 01cc ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 01d8 ?pos_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 01f4 ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0228 ?flags@ios_base@std@@QBAHXZ 0240 ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0364 ?width@ios_base@std@@QBA_JXZ 0416 ?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0498 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 04c4 ?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@I@Z 05b4 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@H@Z 05c0 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 05d0 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 05d6 ?decimal_point@?$_Mpunct@G@std@@QBAGXZ 0722 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0734 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z 0812 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z 085e ?width@ios_base@std@@QAA_J_J@Z 088e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 08aa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 30 7D 6F 46 82 B0 6F F0 01 03 C7 E9 74 33 97 F8 E0 32 00 2B 13 D0 17 F5 E0 71 D7 F8 E4 02 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D FB 60 17 F5 E0 70 ?? ?? ?? ?? 12 E0 17 F5 E4 71 D7 F8 E4 02 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? F8 65 FB 6D FB 60 17 F5 E4 70 ?? ?? ?? ?? 17 F5 18 71 F8 68 ?? ?? ?? ?? C7 F8 B8 01 F8 68 ?? ?? ?? ?? 38 66 3B 6E FB 62 FB 6A 00 2B 03 DA FB 6A 5B 42 BB 63 01 E0 FB 6A BB 63 BB 6B 7B 60 D7 F8 F0 02 ?? ?? ?? ?? 78 66 7A 6E 7B 68 9A 42 10 D8 D7 F8 F0 02 ?? ?? ?? ?? B8 66 B7 F8 F4 32 79 68 BA 6E 8A 1A 52 1C 00 21 D7 F8 F0 02 ?? ?? ?? ?? 50 E0 17 F5 18 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 46 D0 17 F5 18 70 ?? ?? ?? ?? 38 67 3B 6F 93 F9 00 30 00 2B 3C DD F8 68 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F5 18 70 ?? ?? ?? ?? 78 67 7B 6F 7B 61 D7 F8 F0 02 ?? ?? ?? ?? B8 67 BA 6F 7B 68 D3 1A 3B 62 7B 69 93 F9 00 30 7F 2B 21 D0 7B 69 93 F9 00 30 00 2B 1C DD 7B 69 93 F9 00 20 3B 6A 9A 42 16 D2 7B 69 93 F9 00 20 3B 6A 9B 1A 3B 62 FB 8C 01 22 39 6A D7 F8 F0 02 ?? ?? ?? ?? 7B 69 5B 1C 93 F9 00 30 00 2B 02 DD 7B 69 5B 1C 7B 61 D8 E7 17 F5 0C 70 ?? ?? ?? ?? C7 F8 BC 01 97 F8 EC 32 00 2B 21 D0 17 F5 C4 71 F8 68 ?? ?? ?? ?? F8 67 F9 6F 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 1E 71 F8 68 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 10 17 F5 0C 70 ?? ?? ?? ?? 17 F5 1E 70 ?? ?? ?? ?? 22 E0 17 F5 C6 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 24 71 F8 68 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 D7 F8 90 10 17 F5 0C 70 ?? ?? ?? ?? 17 F5 24 70 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 13 F0 08 0F 14 D0 17 F5 2A 71 F8 68 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 10 17 F5 12 70 ?? ?? ?? ?? 17 F5 2A 70 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 BB 61 BB 69 2B 2B 09 DC BB 69 2B 2B 19 D0 BB 69 20 2B 54 D0 BB 69 24 2B 07 D0 58 E0 BB 69 76 2B 1B D0 BB 69 78 2B 4D D0 51 E0 17 F5 12 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 45 E0 17 F5 0C 70 ?? ?? ?? ?? C7 F8 A4 00 3A 68 D7 F8 A4 30 13 44 3B 60 39 E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 B0 00 7B 68 00 2B 02 D9 01 23 FB 63 01 E0 00 23 FB 63 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 20 7B 68 9A 42 0C D8 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 AC 00 7A 68 D7 F8 AC 30 D3 1A 5B 1C 3B 64 01 E0 00 23 3B 64 D7 F8 B0 20 FB 6B 1A 44 3B 6C 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 6C 11 C7 F8 68 01 D7 F8 68 31 C7 F8 70 31 D7 F8 6C 31 C7 F8 74 31 D7 F8 70 31 C7 F8 B4 30 D7 F8 74 31 00 2B 1F DB 03 DC D7 F8 B4 30 00 2B 1A D9 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 7C 11 C7 F8 78 01 D7 F8 78 21 3B 68 9A 42 0D D9 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 84 11 C7 F8 80 01 D7 F8 80 21 3B 68 D3 1A 7B 64 01 E0 00 23 7B 64 7B 6C 3B 60 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 03 F4 E0 73 7B 63 7B 6B 40 2B 1D D0 7B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 B7 F8 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 EC 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 10 17 F5 36 70 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 CA 81 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 0A DC FB 69 2B 2B 3B D0 FB 69 20 2B 00 F0 85 81 FB 69 24 2B 08 D0 B0 E1 FB 69 76 2B 5F D0 FB 69 78 2B 00 F0 8F 81 A8 E1 17 F5 12 70 ?? ?? ?? ?? C7 F8 C4 00 17 F5 CA 71 17 F5 12 70 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 10 17 F1 C8 00 04 22 ?? ?? ?? ?? D7 F8 C4 30 00 93 D7 F8 C8 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F0 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 10 17 F5 36 70 08 22 ?? ?? ?? ?? 7C E1 17 F5 0C 70 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 D0 30 00 2B 23 D9 17 F5 CC 71 17 F5 0C 70 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 10 17 F1 D8 00 04 22 ?? ?? ?? ?? 01 23 00 93 D7 F8 D8 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F4 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 10 17 F5 36 70 08 22 ?? ?? ?? ?? 4D E1 7B 68 00 2B 2B D1 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 E4 00 17 F5 CE 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 10 17 F1 E8 00 04 22 ?? ?? ?? ?? D7 F8 E4 30 00 93 D7 F8 E8 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F8 70 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 10 17 F5 36 70 08 22 ?? ?? ?? ?? ED E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 20 7B 68 9A 42 72 D8 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 00 ?? ?? ?? ?? C7 F8 F8 00 B7 F8 F4 12 D7 F8 F8 00 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 38 85 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 00 ?? ?? ?? ?? C7 F8 00 01 39 8D D7 F8 00 01 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? C7 F8 04 01 7A 68 D7 F8 04 31 D3 1A 00 93 B7 F8 F4 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 FC 70 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 11 17 F5 36 70 08 22 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? C7 F8 10 01 17 F5 D0 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 0C 01 D7 F8 0C 11 17 F5 8A 70 04 22 ?? ?? ?? ?? D7 F8 10 31 00 93 D7 F8 14 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 00 70 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 11 17 F5 36 70 08 22 ?? ?? ?? ?? 6F E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 20 01 17 F5 D2 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 11 17 F5 92 70 04 22 ?? ?? ?? ?? D7 F8 20 21 7B 68 D3 1A 00 93 D7 F8 24 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 02 70 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 11 17 F5 36 70 08 22 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 78 85 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 01 ?? ?? ?? ?? C7 F8 30 01 79 8D D7 F8 30 01 ?? ?? ?? ?? 17 F5 D4 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 34 01 7A 68 17 F5 D6 71 D7 F8 34 01 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 11 17 F5 9E 70 04 22 ?? ?? ?? ?? 7B 68 00 93 D7 F8 3C 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 04 70 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 11 17 F5 36 70 08 22 ?? ?? ?? ?? 2F E0 01 23 00 93 B7 F8 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 06 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 11 17 F5 36 70 08 22 ?? ?? ?? ?? 7B 6B B3 F5 80 7F 16 D1 3B 68 00 93 B7 F8 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 08 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 11 17 F5 36 70 08 22 ?? ?? ?? ?? 00 23 3B 60 2E E6 17 F5 0C 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 01 2B 34 D9 17 F5 0C 70 ?? ?? ?? ?? C7 F8 58 01 17 F5 D8 71 17 F5 0C 70 ?? ?? ?? ?? C7 F8 50 01 01 22 17 F5 DA 71 D7 F8 50 01 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 11 17 F5 AE 70 04 22 ?? ?? ?? ?? D7 F8 58 31 5B 1E 00 93 D7 F8 5C 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 0A 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 11 17 F5 36 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 E4 02 ?? ?? ?? ?? 3B 68 00 93 B7 F8 E8 32 D7 F8 D8 12 D7 F8 DC 22 D7 F8 D4 02 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? D7 F8 D4 32 C7 F8 64 31 D7 F8 64 01 0D F5 32 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_856_1 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 2230
		refs = "000a __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0048 ??1locale@std@@QAA@XZ 0062 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 007a ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0084 ?frac_digits@?$_Mpunct@_W@std@@QBAHXZ 00a8 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00d2 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 00dc ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0102 ?thousands_sep@?$_Mpunct@_W@std@@QBA_WXZ 017e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0194 ?neg_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 01a2 memcpy 01ac ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01c4 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 01cc ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 01d8 ?pos_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 01f4 ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0228 ?flags@ios_base@std@@QBAHXZ 0240 ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0364 ?width@ios_base@std@@QBA_JXZ 0416 ?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0498 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 04c4 ?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@I@Z 05b4 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@H@Z 05c0 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 05d0 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 05d6 ?decimal_point@?$_Mpunct@_W@std@@QBA_WXZ 0722 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0734 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 0812 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 085e ?width@ios_base@std@@QAA_J_J@Z 088e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 08aa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 30 7D 6F 46 82 B0 6F F0 01 03 C7 E9 74 33 97 F8 E0 32 00 2B 13 D0 17 F5 E0 71 D7 F8 E4 02 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D FB 60 17 F5 E0 70 ?? ?? ?? ?? 12 E0 17 F5 E4 71 D7 F8 E4 02 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? F8 65 FB 6D FB 60 17 F5 E4 70 ?? ?? ?? ?? 17 F5 18 71 F8 68 ?? ?? ?? ?? C7 F8 B8 01 F8 68 ?? ?? ?? ?? 38 66 3B 6E FB 62 FB 6A 00 2B 03 DA FB 6A 5B 42 BB 63 01 E0 FB 6A BB 63 BB 6B 7B 60 D7 F8 F0 02 ?? ?? ?? ?? 78 66 7A 6E 7B 68 9A 42 10 D8 D7 F8 F0 02 ?? ?? ?? ?? B8 66 B7 F8 F4 32 79 68 BA 6E 8A 1A 52 1C 00 21 D7 F8 F0 02 ?? ?? ?? ?? 50 E0 17 F5 18 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 46 D0 17 F5 18 70 ?? ?? ?? ?? 38 67 3B 6F 93 F9 00 30 00 2B 3C DD F8 68 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F5 18 70 ?? ?? ?? ?? 78 67 7B 6F 7B 61 D7 F8 F0 02 ?? ?? ?? ?? B8 67 BA 6F 7B 68 D3 1A 3B 62 7B 69 93 F9 00 30 7F 2B 21 D0 7B 69 93 F9 00 30 00 2B 1C DD 7B 69 93 F9 00 20 3B 6A 9A 42 16 D2 7B 69 93 F9 00 20 3B 6A 9B 1A 3B 62 FB 8C 01 22 39 6A D7 F8 F0 02 ?? ?? ?? ?? 7B 69 5B 1C 93 F9 00 30 00 2B 02 DD 7B 69 5B 1C 7B 61 D8 E7 17 F5 0C 70 ?? ?? ?? ?? C7 F8 BC 01 97 F8 EC 32 00 2B 21 D0 17 F5 C4 71 F8 68 ?? ?? ?? ?? F8 67 F9 6F 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 1E 71 F8 68 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 10 17 F5 0C 70 ?? ?? ?? ?? 17 F5 1E 70 ?? ?? ?? ?? 22 E0 17 F5 C6 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 24 71 F8 68 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 D7 F8 90 10 17 F5 0C 70 ?? ?? ?? ?? 17 F5 24 70 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 13 F0 08 0F 14 D0 17 F5 2A 71 F8 68 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 10 17 F5 12 70 ?? ?? ?? ?? 17 F5 2A 70 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 BB 61 BB 69 2B 2B 09 DC BB 69 2B 2B 19 D0 BB 69 20 2B 54 D0 BB 69 24 2B 07 D0 58 E0 BB 69 76 2B 1B D0 BB 69 78 2B 4D D0 51 E0 17 F5 12 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 45 E0 17 F5 0C 70 ?? ?? ?? ?? C7 F8 A4 00 3A 68 D7 F8 A4 30 13 44 3B 60 39 E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 B0 00 7B 68 00 2B 02 D9 01 23 FB 63 01 E0 00 23 FB 63 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 20 7B 68 9A 42 0C D8 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 AC 00 7A 68 D7 F8 AC 30 D3 1A 5B 1C 3B 64 01 E0 00 23 3B 64 D7 F8 B0 20 FB 6B 1A 44 3B 6C 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 6C 11 C7 F8 68 01 D7 F8 68 31 C7 F8 70 31 D7 F8 6C 31 C7 F8 74 31 D7 F8 70 31 C7 F8 B4 30 D7 F8 74 31 00 2B 1F DB 03 DC D7 F8 B4 30 00 2B 1A D9 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 7C 11 C7 F8 78 01 D7 F8 78 21 3B 68 9A 42 0D D9 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 84 11 C7 F8 80 01 D7 F8 80 21 3B 68 D3 1A 7B 64 01 E0 00 23 7B 64 7B 6C 3B 60 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 03 F4 E0 73 7B 63 7B 6B 40 2B 1D D0 7B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 B7 F8 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 EC 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 10 17 F5 36 70 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 CA 81 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 0A DC FB 69 2B 2B 3B D0 FB 69 20 2B 00 F0 85 81 FB 69 24 2B 08 D0 B0 E1 FB 69 76 2B 5F D0 FB 69 78 2B 00 F0 8F 81 A8 E1 17 F5 12 70 ?? ?? ?? ?? C7 F8 C4 00 17 F5 CA 71 17 F5 12 70 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 10 17 F1 C8 00 04 22 ?? ?? ?? ?? D7 F8 C4 30 00 93 D7 F8 C8 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F0 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 10 17 F5 36 70 08 22 ?? ?? ?? ?? 7C E1 17 F5 0C 70 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 D0 30 00 2B 23 D9 17 F5 CC 71 17 F5 0C 70 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 10 17 F1 D8 00 04 22 ?? ?? ?? ?? 01 23 00 93 D7 F8 D8 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F4 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 10 17 F5 36 70 08 22 ?? ?? ?? ?? 4D E1 7B 68 00 2B 2B D1 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 E4 00 17 F5 CE 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 10 17 F1 E8 00 04 22 ?? ?? ?? ?? D7 F8 E4 30 00 93 D7 F8 E8 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F8 70 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 10 17 F5 36 70 08 22 ?? ?? ?? ?? ED E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 20 7B 68 9A 42 72 D8 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 00 ?? ?? ?? ?? C7 F8 F8 00 B7 F8 F4 12 D7 F8 F8 00 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 38 85 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 00 ?? ?? ?? ?? C7 F8 00 01 39 8D D7 F8 00 01 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? C7 F8 04 01 7A 68 D7 F8 04 31 D3 1A 00 93 B7 F8 F4 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 FC 70 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 11 17 F5 36 70 08 22 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? C7 F8 10 01 17 F5 D0 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 0C 01 D7 F8 0C 11 17 F5 8A 70 04 22 ?? ?? ?? ?? D7 F8 10 31 00 93 D7 F8 14 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 00 70 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 11 17 F5 36 70 08 22 ?? ?? ?? ?? 6F E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 20 01 17 F5 D2 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 11 17 F5 92 70 04 22 ?? ?? ?? ?? D7 F8 20 21 7B 68 D3 1A 00 93 D7 F8 24 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 02 70 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 11 17 F5 36 70 08 22 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 78 85 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 01 ?? ?? ?? ?? C7 F8 30 01 79 8D D7 F8 30 01 ?? ?? ?? ?? 17 F5 D4 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 34 01 7A 68 17 F5 D6 71 D7 F8 34 01 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 11 17 F5 9E 70 04 22 ?? ?? ?? ?? 7B 68 00 93 D7 F8 3C 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 04 70 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 11 17 F5 36 70 08 22 ?? ?? ?? ?? 2F E0 01 23 00 93 B7 F8 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 06 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 11 17 F5 36 70 08 22 ?? ?? ?? ?? 7B 6B B3 F5 80 7F 16 D1 3B 68 00 93 B7 F8 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 08 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 11 17 F5 36 70 08 22 ?? ?? ?? ?? 00 23 3B 60 2E E6 17 F5 0C 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 01 2B 34 D9 17 F5 0C 70 ?? ?? ?? ?? C7 F8 58 01 17 F5 D8 71 17 F5 0C 70 ?? ?? ?? ?? C7 F8 50 01 01 22 17 F5 DA 71 D7 F8 50 01 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 11 17 F5 AE 70 04 22 ?? ?? ?? ?? D7 F8 58 31 5B 1E 00 93 D7 F8 5C 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 0A 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 11 17 F5 36 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 E4 02 ?? ?? ?? ?? 3B 68 00 93 B7 F8 E8 32 D7 F8 D8 12 D7 F8 DC 22 D7 F8 D4 02 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? D7 F8 D4 32 C7 F8 64 31 D7 F8 64 01 0D F5 32 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_863_1 {
	meta:
		name = "?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
		size = 76
		refs = "0014 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 0020 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 002c ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0038 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 08 9B 5B 1E 08 93 05 A8 ?? ?? ?? ?? 08 9B 00 2B 09 D9 05 A8 ?? ?? ?? ?? 00 90 BD F8 1C 10 00 98 ?? ?? ?? ?? EC E7 04 98 05 A9 08 22 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_864_1 {
	meta:
		name = "?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
		size = 76
		refs = "0014 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 0020 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 002c ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0038 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 08 9B 5B 1E 08 93 05 A8 ?? ?? ?? ?? 08 9B 00 2B 09 D9 05 A8 ?? ?? ?? ?? 00 90 BD F8 1C 10 00 98 ?? ?? ?? ?? EC E7 04 98 05 A9 08 22 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_865_1 {
	meta:
		name = "?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
		size = 76
		refs = "0014 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 0020 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 002c ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0038 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 09 9B 5B 1E 09 93 06 A8 ?? ?? ?? ?? 09 9B 00 2B 09 D9 06 A8 ?? ?? ?? ?? 00 90 BD F8 20 10 00 98 ?? ?? ?? ?? EC E7 05 98 06 A9 08 22 ?? ?? ?? ?? 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_866_1 {
	meta:
		name = "?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
		size = 76
		refs = "0014 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 0020 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 002c ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0038 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 09 9B 5B 1E 09 93 06 A8 ?? ?? ?? ?? 09 9B 00 2B 09 D9 06 A8 ?? ?? ?? ?? 00 90 BD F8 20 10 00 98 ?? ?? ?? ?? EC E7 05 98 06 A9 08 22 ?? ?? ?? ?? 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_867_1 {
	meta:
		name = "?_Stodx_v2@std@@YANPBDPAPADHPAH@Z"
		size = 128
		refs = "000a _errno 0024 strtod 0056 pow"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 1B 68 02 93 00 9A 00 23 13 60 0D 99 0C 98 ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 00 9B 1A 68 0F 9B 1A 60 02 9A 00 9B 1A 60 0E 9B 00 2B 10 D0 0E 9B 00 EE 10 3A B8 EE C0 1B B2 EE 04 0B ?? ?? ?? ?? B0 EE 40 1B 9D ED 04 0B 20 EE 01 0B 8D ED 04 0B 9D ED 04 0B 8D ED 08 0B 9D ED 08 0B 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_868_1 {
	meta:
		name = "?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z"
		size = 128
		refs = "000a _errno 0024 strtof 0056 powf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 1B 68 04 93 00 9A 00 23 13 60 09 99 08 98 ?? ?? ?? ?? 8D ED 03 0A 9D ED 03 0A 8D ED 01 0A 00 9B 1A 68 0B 9B 1A 60 04 9A 00 9B 1A 60 0A 9B 00 2B 10 D0 0A 9B 00 EE 10 3A F8 EE C0 0A B2 EE 04 0A ?? ?? ?? ?? F0 EE 40 0A 9D ED 01 0A 20 EE 20 0A 8D ED 01 0A 9D ED 01 0A 8D ED 05 0A 9D ED 05 0A 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_869_1 {
	meta:
		name = "?_Tidy@?$_Mpunct@G@std@@AAAXXZ"
		size = 56
		refs = "000e free"
		altNames = "?_Tidy@?$_Mpunct@D@std@@AAAXXZ ?_Tidy@?$_Mpunct@_W@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 08 33 18 68 ?? ?? ?? ?? 02 9B 10 33 18 68 ?? ?? ?? ?? 02 9B 14 33 18 68 ?? ?? ?? ?? 02 9B 18 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_876_1 {
	meta:
		name = "?_Tidy@?$numpunct@G@std@@AAAXXZ"
		size = 46
		refs = "000e free"
		altNames = "?_Tidy@?$numpunct@D@std@@AAAXXZ ?_Tidy@?$numpunct@_W@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 08 33 18 68 ?? ?? ?? ?? 02 9B 10 33 18 68 ?? ?? ?? ?? 02 9B 14 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_878_1 {
	meta:
		name = "?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AAAXXZ"
		size = 46
		refs = "000e free"
		altNames = "?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AAAXXZ ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 08 33 18 68 ?? ?? ?? ?? 02 9B 0C 33 18 68 ?? ?? ?? ?? 02 9B 10 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_880_1 {
	meta:
		name = "?_W_Getdays@_Locinfo@std@@QBAPBGXZ"
		size = 108
		refs = "000a _W_Getdays 0022 ??4?$_Yarn@_W@std@@QAAAAV01@PB_W@Z 0028 free 0032 ?_Empty@?$_Yarn@_W@std@@QBA_NXZ 0048 ?_C_str@?$_Yarn@_W@std@@QBAPB_WXZ 0068 ??_C@_1KM@LPDIELBN@?$AA?3?$AAS?$AAu?$AAn?$AA?3?$AAS?$AAu?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAM?$AAo?$AAn?$AA?3?$AAM?$AAo?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAT?$AAu?$AAe?$AA?3?$AAT?$AAu?$AAe?$AAs?$AAd@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 00 2B 08 D0 01 99 08 9B 03 F1 14 00 ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 08 9B 03 F1 14 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 08 D1 08 9B 03 F1 14 00 ?? ?? ?? ?? 04 90 04 9B 02 93 01 E0 04 4B 02 93 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_881_1 {
	meta:
		name = "?_W_Getmonths@_Locinfo@std@@QBAPBGXZ"
		size = 108
		refs = "000a _W_Getmonths 0022 ??4?$_Yarn@_W@std@@QAAAAV01@PB_W@Z 0028 free 0032 ?_Empty@?$_Yarn@_W@std@@QBA_NXZ 0048 ?_C_str@?$_Yarn@_W@std@@QBAPB_WXZ 0068 ??_C@_1BAO@JIKOGLKA@?$AA?3?$AAJ?$AAa?$AAn?$AA?3?$AAJ?$AAa?$AAn?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAF?$AAe?$AAb?$AA?3?$AAF?$AAe?$AAb?$AAr?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAM?$AAa?$AAr?$AA?3?$AAM?$AAa@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 00 2B 08 D0 01 99 08 9B 03 F1 1C 00 ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 08 9B 03 F1 1C 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 08 D1 08 9B 03 F1 1C 00 ?? ?? ?? ?? 04 90 04 9B 02 93 01 E0 04 4B 02 93 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_882_1 {
	meta:
		name = "?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ"
		size = 54
		refs = "000e _W_Gettnames 0018 ??0_Timevec@std@@QAA@PAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 ?? ?? ?? ?? 01 90 01 99 07 98 ?? ?? ?? ?? 03 90 00 9B 43 F0 01 03 00 93 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_304_1 {
	meta:
		name = "?_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ"
		size = 54
		refs = "000e _Gettnames 0018 ??0_Timevec@std@@QAA@PAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 ?? ?? ?? ?? 01 90 01 99 07 98 ?? ?? ?? ?? 03 90 00 9B 43 F0 01 03 00 93 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_902_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
		size = 140
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0024 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 0046 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 006a ?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIIG@Z 0072 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 0088 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 1D 4B 1A 68 02 9B 1B 68 D2 1A 09 9B 9A 42 02 D8 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 09 9B 13 44 01 93 09 9B 00 2B 1A D9 00 22 01 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D0 08 98 ?? ?? ?? ?? 04 90 BD F8 28 30 09 9A 04 99 09 68 08 98 ?? ?? ?? ?? 01 99 08 98 ?? ?? ?? ?? 08 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_905_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
		size = 140
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0024 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 0046 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 006a ?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII_W@Z 0072 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 0088 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 1D 4B 1A 68 02 9B 1B 68 D2 1A 09 9B 9A 42 02 D8 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 09 9B 13 44 01 93 09 9B 00 2B 1A D9 00 22 01 99 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D0 08 98 ?? ?? ?? ?? 04 90 BD F8 28 30 09 9A 04 99 09 68 08 98 ?? ?? ?? ?? 01 99 08 98 ?? ?? ?? ?? 08 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_910_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@$$QAV12@@Z"
		size = 136
		refs = "0024 ?get_allocator@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBA?AV?$allocator@G@2@XZ 0038 ??$?9GG@std@@YA_NABV?$allocator@G@0@0@Z 0046 ?_Myres@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0058 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@ABV01@@Z 0064 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 006a ??$forward@V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@@std@@YA$$QAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@0@AAV10@@Z 0074 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 3A 6B 7B 6B 9A 42 00 D1 2B E0 79 1C 78 6B ?? ?? ?? ?? 78 60 B9 1C 38 6B ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 0C D0 78 6B ?? ?? ?? ?? F8 60 FB 68 1B 68 08 2B 04 D3 79 6B 38 6B ?? ?? ?? ?? 0C E0 00 22 01 21 38 6B ?? ?? ?? ?? 78 6B ?? ?? ?? ?? 38 61 39 69 38 6B ?? ?? ?? ?? 3B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_916_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@$$QAV12@@Z"
		size = 136
		refs = "0024 ?get_allocator@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA?AV?$allocator@_W@2@XZ 0038 ??$?9_W_W@std@@YA_NABV?$allocator@_W@0@0@Z 0046 ?_Myres@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0058 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@ABV01@@Z 0064 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 006a ??$forward@V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@@std@@YA$$QAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@0@AAV10@@Z 0074 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 3A 6B 7B 6B 9A 42 00 D1 2B E0 79 1C 78 6B ?? ?? ?? ?? 78 60 B9 1C 38 6B ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 0C D0 78 6B ?? ?? ?? ?? F8 60 FB 68 1B 68 08 2B 04 D3 79 6B 38 6B ?? ?? ?? ?? 0C E0 00 22 01 21 38 6B ?? ?? ?? ?? 78 6B ?? ?? ?? ?? 38 61 39 69 38 6B ?? ?? ?? ?? 3B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_938_1 {
	meta:
		name = "?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 70
		refs = "0020 _guard_check_icall"
		altNames = "?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 84 B0 00 23 01 93 09 9D 08 9B 1B 68 18 33 08 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 98 47 03 90 01 9B 43 F0 01 03 01 93 09 9B 02 93 02 98 04 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_940_1 {
	meta:
		name = "?date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ"
		size = 54
		refs = "001a _guard_check_icall"
		altNames = "?date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ ?date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 1B 68 0C 33 06 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 01 90 01 9B 02 93 02 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_948_1 {
	meta:
		name = "?decimal_point@?$_Mpunct@G@std@@QBAGXZ"
		size = 62
		refs = "001a _guard_check_icall"
		altNames = "?decimal_point@?$_Mpunct@_W@std@@QBA_WXZ ?decimal_point@?$numpunct@G@std@@QBAGXZ ?decimal_point@?$numpunct@_W@std@@QBA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 1B 68 0C 33 06 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 AD F8 00 00 BD F8 00 30 AD F8 08 30 BD F8 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_957_1 {
	meta:
		name = "?do_compare@?$collate@G@std@@MBAHPBG000@Z"
		size = 84
		refs = "0018 ??$_LStrcoll@G@std@@YAHPBG000PBU_Collvec@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 08 33 00 93 0E 9B 0D 9A 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 03 DA 6F F0 00 03 04 93 09 E0 02 9B 00 2B 02 D1 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_387_1 {
	meta:
		name = "?do_compare@?$collate@D@std@@MBAHPBD000@Z"
		size = 84
		refs = "0018 ??$_LStrcoll@D@std@@YAHPBD000PBU_Collvec@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 08 33 00 93 0E 9B 0D 9A 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 03 DA 6F F0 00 03 04 93 09 E0 02 9B 00 2B 02 D1 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_958_1 {
	meta:
		name = "?do_compare@?$collate@_W@std@@MBAHPB_W000@Z"
		size = 84
		refs = "0018 ??$_LStrcoll@_W@std@@YAHPB_W000PBU_Collvec@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 08 33 00 93 0E 9B 0D 9A 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 03 DA 6F F0 00 03 04 93 09 E0 02 9B 00 2B 02 D1 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_959_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
		altNames = "?do_falsename@?$numpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 10 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_388_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 10 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_960_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 10 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_286_1 {
	meta:
		name = "?do_falsename@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 10 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_971_1 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 10 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_961_1 {
	meta:
		name = "?do_date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AW4dateorder@time_base@2@XZ"
		size = 30
		altNames = "?do_date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AW4dateorder@time_base@2@XZ ?do_date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AW4dateorder@time_base@2@XZ ?flags@ios_base@std@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 14 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_963_1 {
	meta:
		name = "?do_decimal_point@?$_Mpunct@G@std@@MBAGXZ"
		size = 34
		altNames = "?do_decimal_point@?$_Mpunct@_W@std@@MBA_WXZ ?do_decimal_point@?$numpunct@G@std@@MBAGXZ ?do_decimal_point@?$numpunct@_W@std@@MBA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0C 33 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_972_1 {
	meta:
		name = "?do_frac_digits@?$_Mpunct@G@std@@MBAHXZ"
		size = 30
		altNames = "?do_frac_digits@?$_Mpunct@D@std@@MBAHXZ ?do_frac_digits@?$_Mpunct@_W@std@@MBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1C 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_974_1 {
	meta:
		name = "?do_get@?$messages@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHABV32@@Z"
		size = 48
		refs = "0012 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 0B 99 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_392_1 {
	meta:
		name = "?do_get@?$messages@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHABV32@@Z"
		size = 48
		refs = "0012 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 0B 99 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_975_1 {
	meta:
		name = "?do_get@?$messages@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHABV32@@Z"
		size = 48
		refs = "0012 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 0B 99 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_976_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 266
		refs = "000a __security_push_cookie 003c ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z 004a ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 006a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 008c ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00a6 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 00ea memcpy 00f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00fe __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 50 03 02 93 D7 F8 94 30 01 93 97 F8 90 30 00 93 17 F1 88 03 17 F1 80 02 17 F1 38 01 B8 6F ?? ?? ?? ?? F8 61 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 98 30 1B 68 43 F0 01 02 D7 F8 98 30 1A 60 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 00 2B 08 D1 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 2C E0 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 7B 60 00 23 BB 60 17 F1 08 03 00 22 17 F1 14 01 78 68 ?? ?? ?? ?? 87 ED 08 0B 97 ED 08 0B 87 ED 0A 0B 7A 69 7B 68 9A 42 02 D0 BB 68 00 2B 08 D0 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 05 E0 97 ED 0A 0B D7 F8 9C 30 83 ED 00 0B F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? FB 6F BB 61 B8 69 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_980_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 266
		refs = "000a __security_push_cookie 003c ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z 004a ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 006a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 008c ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00a6 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 00ea memcpy 00f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00fe __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 50 03 02 93 D7 F8 94 30 01 93 97 F8 90 30 00 93 17 F1 88 03 17 F1 80 02 17 F1 38 01 B8 6F ?? ?? ?? ?? F8 61 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 98 30 1B 68 43 F0 01 02 D7 F8 98 30 1A 60 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 00 2B 08 D1 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 2C E0 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 7B 60 00 23 BB 60 17 F1 08 03 00 22 17 F1 14 01 78 68 ?? ?? ?? ?? 87 ED 08 0B 97 ED 08 0B 87 ED 0A 0B 7A 69 7B 68 9A 42 02 D0 BB 68 00 2B 08 D0 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 05 E0 97 ED 0A 0B D7 F8 9C 30 83 ED 00 0B F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? FB 6F BB 61 B8 69 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_978_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 320
		refs = "000a __security_push_cookie 003c ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z 0046 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0058 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0096 ?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 00a0 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 00ba ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0120 memcpy 0128 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0134 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 50 03 02 93 D7 F8 94 30 01 93 97 F8 90 30 00 93 17 F1 88 03 17 F1 80 02 17 F1 38 01 B8 6F ?? ?? ?? ?? B8 62 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 71 3B 79 00 2B 07 D0 D7 F8 98 30 1B 68 43 F0 01 02 D7 F8 98 30 1A 60 BB 68 00 2B 08 D1 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 45 E0 00 23 3B 60 B9 68 D7 F8 9C 00 ?? ?? ?? ?? 00 21 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 93 F9 00 30 2D 2B 10 D1 3B 68 7B 61 79 69 D7 F8 9C 00 ?? ?? ?? ?? B8 61 17 F1 50 03 14 33 1A 88 BB 69 1A 80 3B 68 5B 1C 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 BB 68 9A 42 1A D2 39 68 17 F1 38 00 ?? ?? ?? ?? F8 61 39 68 D7 F8 9C 00 ?? ?? ?? ?? 38 62 FB 69 93 F9 00 30 A3 F1 30 02 02 23 02 FB 03 F2 17 F1 50 03 13 44 1A 88 3B 6A 1A 80 DD E7 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? FB 6F 7B 62 78 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_982_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 320
		refs = "000a __security_push_cookie 003c ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z 0046 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0058 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0096 ?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 00a0 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 00ba ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0120 memcpy 0128 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0134 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 50 03 02 93 D7 F8 94 30 01 93 97 F8 90 30 00 93 17 F1 88 03 17 F1 80 02 17 F1 38 01 B8 6F ?? ?? ?? ?? B8 62 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 71 3B 79 00 2B 07 D0 D7 F8 98 30 1B 68 43 F0 01 02 D7 F8 98 30 1A 60 BB 68 00 2B 08 D1 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 45 E0 00 23 3B 60 B9 68 D7 F8 9C 00 ?? ?? ?? ?? 00 21 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 93 F9 00 30 2D 2B 10 D1 3B 68 7B 61 79 69 D7 F8 9C 00 ?? ?? ?? ?? B8 61 17 F1 50 03 14 33 1A 88 BB 69 1A 80 3B 68 5B 1C 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 BB 68 9A 42 1A D2 39 68 17 F1 38 00 ?? ?? ?? ?? F8 61 39 68 D7 F8 9C 00 ?? ?? ?? ?? 38 62 FB 69 93 F9 00 30 A3 F1 30 02 02 23 02 FB 03 F2 17 F1 50 03 13 44 1A 88 3B 6A 1A 80 DD E7 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? FB 6F 7B 62 78 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_984_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 298
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0060 ??1locale@std@@QAA@XZ 0090 _Stoulx 00a2 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0112 memcpy 011e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 07 D0 3B 69 00 2B 04 D1 7A 68 4F F6 FF 73 9A 42 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 10 E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7B 69 9A B2 D7 F8 98 30 1A 80 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_287_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 298
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0060 ??1locale@std@@QAA@XZ 0090 _Stoulx 00a2 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0112 memcpy 011e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 07 D0 3B 69 00 2B 04 D1 7A 68 4F F6 FF 73 9A 42 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 10 E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7B 69 9A B2 D7 F8 98 30 1A 80 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1007_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 298
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0060 ??1locale@std@@QAA@XZ 0090 _Stoulx 00a2 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0112 memcpy 011e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 07 D0 3B 69 00 2B 04 D1 7A 68 4F F6 FF 73 9A 42 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 10 E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7B 69 9A B2 D7 F8 98 30 1A 80 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_986_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 294
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0060 ??1locale@std@@QAA@XZ 0090 _Stoulx 00a2 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 010e memcpy 011a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 06 D0 3B 69 00 2B 03 D1 7B 68 B3 F1 FF 3F 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 0F E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7A 69 D7 F8 98 30 1A 60 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_289_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 294
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0060 ??1locale@std@@QAA@XZ 0090 _Stoulx 00a2 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 010e memcpy 011a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 06 D0 3B 69 00 2B 03 D1 7B 68 B3 F1 FF 3F 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 0F E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7A 69 D7 F8 98 30 1A 60 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1009_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 294
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0060 ??1locale@std@@QAA@XZ 0090 _Stoulx 00a2 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 010e memcpy 011a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 06 D0 3B 69 00 2B 03 D1 7B 68 B3 F1 FF 3F 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 0F E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7A 69 D7 F8 98 30 1A 60 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_988_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 228
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0064 _Stolx 0072 ??1locale@std@@QAA@XZ 007e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00cc memcpy 00d8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_291_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 228
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0064 _Stolx 0072 ??1locale@std@@QAA@XZ 007e ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00cc memcpy 00d8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_293_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 228
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0064 _Stoulx 0072 ??1locale@std@@QAA@XZ 007e ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00cc memcpy 00d8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_990_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 228
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0064 _Stoulx 0072 ??1locale@std@@QAA@XZ 007e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00cc memcpy 00d8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1011_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 228
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0064 _Stolx 0072 ??1locale@std@@QAA@XZ 007e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00cc memcpy 00d8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1013_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 228
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0064 _Stoulx 0072 ??1locale@std@@QAA@XZ 007e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00cc memcpy 00d8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_992_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0060 ldexpf 0074 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 53 7D 00 23 05 93 30 4B 03 93 03 AB 01 93 DC 9B 00 93 DA AB D8 AA 0C A9 D6 98 ?? ?? ?? ?? 06 90 05 AB 06 9A 09 A9 0C A8 ?? ?? ?? ?? 8D ED 07 0A 9D ED 07 0A 8D ED 04 0A 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 04 0A ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A DA A9 D8 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DD 9B 1B 68 43 F0 01 02 DD 9B 1A 60 09 9A 0C AB 9A 42 02 D0 05 9B 00 2B 06 D0 DD 9B 1B 68 43 F0 02 02 DD 9B 1A 60 04 E0 9D ED 04 0A DE 9B 83 ED 00 0A D7 98 D8 A9 08 22 ?? ?? ?? ?? D7 9B 0A 93 0A 98 0D F5 53 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_118_295_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0060 ldexpf 0074 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 53 7D 00 23 05 93 30 4B 03 93 03 AB 01 93 DC 9B 00 93 DA AB D8 AA 0C A9 D6 98 ?? ?? ?? ?? 06 90 05 AB 06 9A 09 A9 0C A8 ?? ?? ?? ?? 8D ED 07 0A 9D ED 07 0A 8D ED 04 0A 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 04 0A ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A DA A9 D8 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DD 9B 1B 68 43 F0 01 02 DD 9B 1A 60 09 9A 0C AB 9A 42 02 D0 05 9B 00 2B 06 D0 DD 9B 1B 68 43 F0 02 02 DD 9B 1A 60 04 E0 9D ED 04 0A DE 9B 83 ED 00 0A D7 98 D8 A9 08 22 ?? ?? ?? ?? D7 9B 0A 93 0A 98 0D F5 53 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_1015_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0060 ldexpf 0074 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 53 7D 00 23 05 93 30 4B 03 93 03 AB 01 93 DC 9B 00 93 DA AB D8 AA 0C A9 D6 98 ?? ?? ?? ?? 06 90 05 AB 06 9A 09 A9 0C A8 ?? ?? ?? ?? 8D ED 07 0A 9D ED 07 0A 8D ED 04 0A 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 04 0A ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A DA A9 D8 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DD 9B 1B 68 43 F0 01 02 DD 9B 1A 60 09 9A 0C AB 9A 42 02 D0 05 9B 00 2B 06 D0 DD 9B 1B 68 43 F0 02 02 DD 9B 1A 60 04 E0 9D ED 04 0A DE 9B 83 ED 00 0A D7 98 D8 A9 08 22 ?? ?? ?? ?? D7 9B 0A 93 0A 98 0D F5 53 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_993_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0060 ldexp 0074 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_118_296_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0060 ldexp 0074 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_118_297_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0060 ldexpl 0074 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_994_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0060 ldexpl 0074 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_1016_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0060 ldexp 0074 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_1017_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 220
		refs = "0008 __security_push_cookie 0028 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 0036 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0060 ldexpl 0074 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00bc memcpy 00ca __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_55_995_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 272
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 005a ??1locale@std@@QAA@XZ 006a _Stoulx 0086 _Stoullx 00a6 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00f6 memcpy 0104 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 82 B0 6F F0 01 03 C7 E9 12 33 00 23 7B 60 17 F1 40 01 D7 F8 98 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 FB 69 01 93 4F F4 00 63 00 93 17 F1 90 03 17 F1 88 02 17 F1 50 01 D7 F8 80 00 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 40 00 ?? ?? ?? ?? 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 78 62 7B 6A 3B 61 00 23 7B 61 0D E0 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 79 63 38 63 3B 6B 3B 61 7B 6B 7B 61 3B 69 BB 63 7B 69 FB 63 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 9C 30 1B 68 43 F0 01 02 D7 F8 9C 30 1A 60 FA 68 17 F1 50 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 9C 30 1B 68 43 F0 02 02 D7 F8 9C 30 1A 60 03 E0 BA 6B D7 F8 A0 30 1A 60 D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? D7 F8 84 30 BB 62 B8 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_298_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 272
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 005a ??1locale@std@@QAA@XZ 006a _Stoulx 0086 _Stoullx 00a6 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00f6 memcpy 0104 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 82 B0 6F F0 01 03 C7 E9 12 33 00 23 7B 60 17 F1 40 01 D7 F8 98 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 FB 69 01 93 4F F4 00 63 00 93 17 F1 90 03 17 F1 88 02 17 F1 50 01 D7 F8 80 00 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 40 00 ?? ?? ?? ?? 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 78 62 7B 6A 3B 61 00 23 7B 61 0D E0 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 79 63 38 63 3B 6B 3B 61 7B 6B 7B 61 3B 69 BB 63 7B 69 FB 63 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 9C 30 1B 68 43 F0 01 02 D7 F8 9C 30 1A 60 FA 68 17 F1 50 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 9C 30 1B 68 43 F0 02 02 D7 F8 9C 30 1A 60 03 E0 BA 6B D7 F8 A0 30 1A 60 D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? D7 F8 84 30 BB 62 B8 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1018_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 272
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 005a ??1locale@std@@QAA@XZ 006a _Stoulx 0086 _Stoullx 00a6 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00f6 memcpy 0104 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 82 B0 6F F0 01 03 C7 E9 12 33 00 23 7B 60 17 F1 40 01 D7 F8 98 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 FB 69 01 93 4F F4 00 63 00 93 17 F1 90 03 17 F1 88 02 17 F1 50 01 D7 F8 80 00 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 40 00 ?? ?? ?? ?? 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 78 62 7B 6A 3B 61 00 23 7B 61 0D E0 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 79 63 38 63 3B 6B 3B 61 7B 6B 7B 61 3B 69 BB 63 7B 69 FB 63 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 9C 30 1B 68 43 F0 01 02 D7 F8 9C 30 1A 60 FA 68 17 F1 50 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 9C 30 1B 68 43 F0 02 02 D7 F8 9C 30 1A 60 03 E0 BA 6B D7 F8 A0 30 1A 60 D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? D7 F8 84 30 BB 62 B8 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_997_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 242
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0064 _Stollx 0078 ??1locale@std@@QAA@XZ 0084 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00da memcpy 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_300_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 242
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0064 _Stollx 0078 ??1locale@std@@QAA@XZ 0084 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00da memcpy 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_302_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 242
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0064 _Stoullx 0078 ??1locale@std@@QAA@XZ 0084 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00da memcpy 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_999_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 242
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0064 _Stoullx 0078 ??1locale@std@@QAA@XZ 0084 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00da memcpy 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1020_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 242
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0064 _Stollx 0078 ??1locale@std@@QAA@XZ 0084 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00da memcpy 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1022_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 242
		refs = "000a __security_push_cookie 0028 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ?flags@ios_base@std@@QBAHXZ 0052 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0064 _Stoullx 0078 ??1locale@std@@QAA@XZ 0084 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00da memcpy 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1001_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 466
		refs = "000a __security_push_cookie 0026 ?flags@ios_base@std@@QBAHXZ 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0062 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 006e ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 007e ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@ABV01@@Z 0086 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0090 ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@G@Z 009a ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ba ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 00cc ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0118 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 012c _Stoulx 0160 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01b8 memcpy 01c6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 6F F0 00 03 7B 60 D7 F8 08 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 08 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 90 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 90 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 A8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 A8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 80 71 17 F1 F8 00 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 08 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 08 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 80 73 17 F1 F8 02 17 F1 C0 01 D7 F8 F0 00 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 C0 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 C0 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 80 71 17 F1 F8 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 0C 31 1B 68 43 F0 01 02 D7 F8 0C 31 1A 60 7B 68 00 2B 08 DA D7 F8 0C 31 1B 68 43 F0 02 02 D7 F8 0C 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 10 31 1A 70 D7 F8 F4 00 17 F1 F8 01 08 22 ?? ?? ?? ?? D7 F8 F4 30 BB 65 B8 6D 3A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_304_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 466
		refs = "000a __security_push_cookie 0026 ?flags@ios_base@std@@QBAHXZ 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0062 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 006e ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 007e ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@ABV01@@Z 0086 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0090 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 009a ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ba ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00cc ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0118 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 012c _Stoulx 0160 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01b8 memcpy 01c6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 6F F0 00 03 7B 60 D7 F8 08 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 08 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 90 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 90 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 A8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 A8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 80 71 17 F1 F8 00 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 08 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 08 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 80 73 17 F1 F8 02 17 F1 C0 01 D7 F8 F0 00 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 C0 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 C0 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 80 71 17 F1 F8 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 0C 31 1B 68 43 F0 01 02 D7 F8 0C 31 1A 60 7B 68 00 2B 08 DA D7 F8 0C 31 1B 68 43 F0 02 02 D7 F8 0C 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 10 31 1A 70 D7 F8 F4 00 17 F1 F8 01 08 22 ?? ?? ?? ?? D7 F8 F4 30 BB 65 B8 6D 3A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1024_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 466
		refs = "000a __security_push_cookie 0026 ?flags@ios_base@std@@QBAHXZ 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0062 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 006e ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 007e ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@ABV01@@Z 0086 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0090 ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@_W@Z 009a ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ba ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 00cc ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0118 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 012c _Stoulx 0160 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01b8 memcpy 01c6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 6F F0 00 03 7B 60 D7 F8 08 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 08 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 90 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 90 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 A8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 A8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 80 71 17 F1 F8 00 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 08 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 08 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 80 73 17 F1 F8 02 17 F1 C0 01 D7 F8 F0 00 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 C0 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 C0 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 80 71 17 F1 F8 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 0C 31 1B 68 43 F0 01 02 D7 F8 0C 31 1A 60 7B 68 00 2B 08 DA D7 F8 0C 31 1B 68 43 F0 02 02 D7 F8 0C 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 10 31 1A 70 D7 F8 F4 00 17 F1 F8 01 08 22 ?? ?? ?? ?? D7 F8 F4 30 BB 65 B8 6D 3A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1030_1 {
	meta:
		name = "?do_get@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@DD@Z"
		size = 1872
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002c ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 003a ??1locale@std@@QAA@XZ 00f0 memcpy 0104 ?get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0146 ?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 018e ?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z 01bc ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 040c ??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBD@Z 06c2 ?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 06ee ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0730 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 0734 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 0738 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 073c ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 0740 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0744 ??_C@_01CLKCMJKC@?5?$AA@ 0748 ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 074c ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B BB B0 6F 46 86 B0 6F F0 01 03 C7 E9 24 33 17 F1 88 01 D7 F8 10 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A 7B 60 17 F1 88 00 ?? ?? ?? ?? 00 23 3B 60 D7 F8 14 21 00 23 13 60 97 F9 1C 31 FB 60 FB 68 41 3B FB 60 FB 68 38 2B 00 F2 3C 83 FA 68 DF E8 12 F0 39 00 5A 00 9F 00 E3 00 39 03 39 03 39 03 07 01 22 01 39 03 39 03 39 03 90 01 39 03 39 03 39 03 39 03 16 02 39 02 53 02 76 02 39 03 AC 02 53 02 18 03 39 03 39 03 39 03 39 03 39 03 39 03 39 03 39 00 5A 00 7B 00 C8 00 C8 00 39 03 39 03 5A 00 39 03 4F 01 39 03 39 03 6B 01 AB 01 39 03 CE 01 39 03 F3 01 39 03 AB 01 39 03 39 03 91 02 C7 02 EA 02 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 98 01 D7 F8 F8 00 ?? ?? ?? ?? 78 62 79 6A 17 F5 80 70 08 22 ?? ?? ?? ?? E6 E2 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 A0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 62 B9 6A 17 F5 80 70 08 22 ?? ?? ?? ?? C5 E2 DF F8 F0 35 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 A8 01 D7 F8 F8 00 ?? ?? ?? ?? F8 62 F9 6A 17 F5 80 70 08 22 ?? ?? ?? ?? A1 E2 7B 68 02 93 3B 46 01 93 63 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 63 D7 F8 14 31 1A 68 3B 6B 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 09 D1 3A 68 64 23 02 FB 03 F3 A3 F2 6C 72 D7 F8 18 31 14 33 1A 60 78 E2 7B 68 02 93 D7 F8 18 31 0C 33 01 93 1F 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 78 63 D7 F8 14 31 1A 68 7B 6B 1A 43 D7 F8 14 31 1A 60 5D E2 DF F8 1C 35 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 B0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 63 B9 6B 17 F5 80 70 08 22 ?? ?? ?? ?? 39 E2 7B 68 02 93 D7 F8 18 31 08 33 01 93 17 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 63 D7 F8 14 31 1A 68 FB 6B 1A 43 D7 F8 14 31 1A 60 1E E2 7B 68 02 93 3B 46 01 93 0C 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 64 D7 F8 14 31 1A 68 3B 6C 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 0D D1 3B 68 0C 2B 02 D1 00 23 3B 61 01 E0 3B 68 3B 61 D7 F8 18 31 03 F1 08 02 3B 69 13 60 F1 E1 7B 68 02 93 D7 F8 18 31 1C 33 01 93 4F F4 B7 73 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 78 64 D7 F8 14 31 1A 68 7B 6C 1A 43 D7 F8 14 31 1A 60 D5 E1 7B 68 02 93 3B 46 01 93 0C 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 64 D7 F8 14 31 1A 68 BB 6C 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 05 D1 3B 68 5A 1E D7 F8 18 31 10 33 1A 60 B0 E1 7B 68 02 93 D7 F8 18 31 1B 1D 01 93 3B 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 64 D7 F8 14 31 1A 68 FB 6C 1A 43 D7 F8 14 31 1A 60 95 E1 E2 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 B8 01 D7 F8 F8 00 ?? ?? ?? ?? 38 65 39 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 72 E1 CF 4B 00 22 17 F5 84 71 17 F5 80 70 ?? ?? ?? ?? 78 65 7B 6D 3B 60 3B 68 00 2B 08 DA D7 F8 14 31 1B 68 43 F0 02 02 D7 F8 14 31 1A 60 0C E0 3B 68 01 2B 09 DD D7 F8 18 31 08 33 1B 68 03 F1 0C 02 D7 F8 18 31 08 33 1A 60 4D E1 BC 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 C0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 65 B9 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 2A E1 A9 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 C8 01 D7 F8 F8 00 ?? ?? ?? ?? F8 65 F9 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 07 E1 7B 68 02 93 D7 F8 18 31 01 93 3C 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 66 D7 F8 14 31 1A 68 3B 6E 1A 43 D7 F8 14 31 1A 60 ED E0 8A 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 D0 01 D7 F8 F8 00 ?? ?? ?? ?? 78 66 79 6E 17 F5 80 70 08 22 ?? ?? ?? ?? CA E0 7B 68 02 93 D7 F8 18 31 1C 33 01 93 35 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 66 D7 F8 14 31 1A 68 BB 6E 1A 43 D7 F8 14 31 1A 60 AF E0 7B 68 02 93 D7 F8 18 31 18 33 01 93 06 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 66 D7 F8 14 31 1A 68 FB 6E 1A 43 D7 F8 14 31 1A 60 94 E0 7B 68 02 93 D7 F8 18 31 1C 33 01 93 35 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 67 D7 F8 14 31 1A 68 3B 6F 1A 43 D7 F8 14 31 1A 60 79 E0 4F 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 D8 01 D7 F8 F8 00 ?? ?? ?? ?? 78 67 79 6F 17 F5 80 70 08 22 ?? ?? ?? ?? 56 E0 7B 68 02 93 3B 46 01 93 63 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 67 D7 F8 14 31 1A 68 BB 6F 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 0E D1 3B 68 45 2B 03 DA 3B 68 64 33 7B 61 01 E0 3B 68 7B 61 D7 F8 18 31 03 F1 14 02 7B 69 13 60 28 E0 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 E0 01 D7 F8 F8 00 ?? ?? ?? ?? F8 67 F9 6F 17 F5 80 70 08 22 ?? ?? ?? ?? 07 E0 D7 F8 14 31 1B 68 43 F0 02 02 D7 F8 14 31 1A 60 17 F5 84 71 17 F5 80 70 ?? ?? ?? ?? 38 72 3B 7A 00 2B 07 D0 D7 F8 14 31 1B 68 43 F0 01 02 D7 F8 14 31 1A 60 D7 F8 FC 00 17 F5 80 71 08 22 ?? ?? ?? ?? D7 F8 FC 30 C7 F8 80 30 D7 F8 80 00 41 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_397_1 {
	meta:
		name = "?do_get@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@DD@Z"
		size = 1872
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002c ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 003a ??1locale@std@@QAA@XZ 00f0 memcpy 0104 ?get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0146 ?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 018e ?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z 01bc ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 040c ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 06c2 ?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 06ee ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0730 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 0734 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 0738 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 073c ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 0740 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0744 ??_C@_01CLKCMJKC@?5?$AA@ 0748 ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 074c ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B BB B0 6F 46 86 B0 6F F0 01 03 C7 E9 24 33 17 F1 88 01 D7 F8 10 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A 7B 60 17 F1 88 00 ?? ?? ?? ?? 00 23 3B 60 D7 F8 14 21 00 23 13 60 97 F9 1C 31 FB 60 FB 68 41 3B FB 60 FB 68 38 2B 00 F2 3C 83 FA 68 DF E8 12 F0 39 00 5A 00 9F 00 E3 00 39 03 39 03 39 03 07 01 22 01 39 03 39 03 39 03 90 01 39 03 39 03 39 03 39 03 16 02 39 02 53 02 76 02 39 03 AC 02 53 02 18 03 39 03 39 03 39 03 39 03 39 03 39 03 39 03 39 00 5A 00 7B 00 C8 00 C8 00 39 03 39 03 5A 00 39 03 4F 01 39 03 39 03 6B 01 AB 01 39 03 CE 01 39 03 F3 01 39 03 AB 01 39 03 39 03 91 02 C7 02 EA 02 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 98 01 D7 F8 F8 00 ?? ?? ?? ?? 78 62 79 6A 17 F5 80 70 08 22 ?? ?? ?? ?? E6 E2 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 A0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 62 B9 6A 17 F5 80 70 08 22 ?? ?? ?? ?? C5 E2 DF F8 F0 35 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 A8 01 D7 F8 F8 00 ?? ?? ?? ?? F8 62 F9 6A 17 F5 80 70 08 22 ?? ?? ?? ?? A1 E2 7B 68 02 93 3B 46 01 93 63 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 63 D7 F8 14 31 1A 68 3B 6B 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 09 D1 3A 68 64 23 02 FB 03 F3 A3 F2 6C 72 D7 F8 18 31 14 33 1A 60 78 E2 7B 68 02 93 D7 F8 18 31 0C 33 01 93 1F 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 78 63 D7 F8 14 31 1A 68 7B 6B 1A 43 D7 F8 14 31 1A 60 5D E2 DF F8 1C 35 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 B0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 63 B9 6B 17 F5 80 70 08 22 ?? ?? ?? ?? 39 E2 7B 68 02 93 D7 F8 18 31 08 33 01 93 17 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 63 D7 F8 14 31 1A 68 FB 6B 1A 43 D7 F8 14 31 1A 60 1E E2 7B 68 02 93 3B 46 01 93 0C 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 64 D7 F8 14 31 1A 68 3B 6C 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 0D D1 3B 68 0C 2B 02 D1 00 23 3B 61 01 E0 3B 68 3B 61 D7 F8 18 31 03 F1 08 02 3B 69 13 60 F1 E1 7B 68 02 93 D7 F8 18 31 1C 33 01 93 4F F4 B7 73 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 78 64 D7 F8 14 31 1A 68 7B 6C 1A 43 D7 F8 14 31 1A 60 D5 E1 7B 68 02 93 3B 46 01 93 0C 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 64 D7 F8 14 31 1A 68 BB 6C 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 05 D1 3B 68 5A 1E D7 F8 18 31 10 33 1A 60 B0 E1 7B 68 02 93 D7 F8 18 31 1B 1D 01 93 3B 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 64 D7 F8 14 31 1A 68 FB 6C 1A 43 D7 F8 14 31 1A 60 95 E1 E2 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 B8 01 D7 F8 F8 00 ?? ?? ?? ?? 38 65 39 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 72 E1 CF 4B 00 22 17 F5 84 71 17 F5 80 70 ?? ?? ?? ?? 78 65 7B 6D 3B 60 3B 68 00 2B 08 DA D7 F8 14 31 1B 68 43 F0 02 02 D7 F8 14 31 1A 60 0C E0 3B 68 01 2B 09 DD D7 F8 18 31 08 33 1B 68 03 F1 0C 02 D7 F8 18 31 08 33 1A 60 4D E1 BC 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 C0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 65 B9 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 2A E1 A9 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 C8 01 D7 F8 F8 00 ?? ?? ?? ?? F8 65 F9 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 07 E1 7B 68 02 93 D7 F8 18 31 01 93 3C 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 66 D7 F8 14 31 1A 68 3B 6E 1A 43 D7 F8 14 31 1A 60 ED E0 8A 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 D0 01 D7 F8 F8 00 ?? ?? ?? ?? 78 66 79 6E 17 F5 80 70 08 22 ?? ?? ?? ?? CA E0 7B 68 02 93 D7 F8 18 31 1C 33 01 93 35 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 66 D7 F8 14 31 1A 68 BB 6E 1A 43 D7 F8 14 31 1A 60 AF E0 7B 68 02 93 D7 F8 18 31 18 33 01 93 06 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 66 D7 F8 14 31 1A 68 FB 6E 1A 43 D7 F8 14 31 1A 60 94 E0 7B 68 02 93 D7 F8 18 31 1C 33 01 93 35 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 67 D7 F8 14 31 1A 68 3B 6F 1A 43 D7 F8 14 31 1A 60 79 E0 4F 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 D8 01 D7 F8 F8 00 ?? ?? ?? ?? 78 67 79 6F 17 F5 80 70 08 22 ?? ?? ?? ?? 56 E0 7B 68 02 93 3B 46 01 93 63 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 67 D7 F8 14 31 1A 68 BB 6F 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 0E D1 3B 68 45 2B 03 DA 3B 68 64 33 7B 61 01 E0 3B 68 7B 61 D7 F8 18 31 03 F1 14 02 7B 69 13 60 28 E0 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 E0 01 D7 F8 F8 00 ?? ?? ?? ?? F8 67 F9 6F 17 F5 80 70 08 22 ?? ?? ?? ?? 07 E0 D7 F8 14 31 1B 68 43 F0 02 02 D7 F8 14 31 1A 60 17 F5 84 71 17 F5 80 70 ?? ?? ?? ?? 38 72 3B 7A 00 2B 07 D0 D7 F8 14 31 1B 68 43 F0 01 02 D7 F8 14 31 1A 60 D7 F8 FC 00 17 F5 80 71 08 22 ?? ?? ?? ?? D7 F8 FC 30 C7 F8 80 30 D7 F8 80 00 41 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1032_1 {
	meta:
		name = "?do_get@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@DD@Z"
		size = 1872
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002c ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 003a ??1locale@std@@QAA@XZ 00f0 memcpy 0104 ?get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0146 ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 018e ?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z 01bc ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 040c ??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPBD@Z 06c2 ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 06ee ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0730 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 0734 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 0738 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 073c ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 0740 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0744 ??_C@_01CLKCMJKC@?5?$AA@ 0748 ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 074c ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B BB B0 6F 46 86 B0 6F F0 01 03 C7 E9 24 33 17 F1 88 01 D7 F8 10 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A 7B 60 17 F1 88 00 ?? ?? ?? ?? 00 23 3B 60 D7 F8 14 21 00 23 13 60 97 F9 1C 31 FB 60 FB 68 41 3B FB 60 FB 68 38 2B 00 F2 3C 83 FA 68 DF E8 12 F0 39 00 5A 00 9F 00 E3 00 39 03 39 03 39 03 07 01 22 01 39 03 39 03 39 03 90 01 39 03 39 03 39 03 39 03 16 02 39 02 53 02 76 02 39 03 AC 02 53 02 18 03 39 03 39 03 39 03 39 03 39 03 39 03 39 03 39 00 5A 00 7B 00 C8 00 C8 00 39 03 39 03 5A 00 39 03 4F 01 39 03 39 03 6B 01 AB 01 39 03 CE 01 39 03 F3 01 39 03 AB 01 39 03 39 03 91 02 C7 02 EA 02 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 98 01 D7 F8 F8 00 ?? ?? ?? ?? 78 62 79 6A 17 F5 80 70 08 22 ?? ?? ?? ?? E6 E2 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 A0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 62 B9 6A 17 F5 80 70 08 22 ?? ?? ?? ?? C5 E2 DF F8 F0 35 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 A8 01 D7 F8 F8 00 ?? ?? ?? ?? F8 62 F9 6A 17 F5 80 70 08 22 ?? ?? ?? ?? A1 E2 7B 68 02 93 3B 46 01 93 63 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 63 D7 F8 14 31 1A 68 3B 6B 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 09 D1 3A 68 64 23 02 FB 03 F3 A3 F2 6C 72 D7 F8 18 31 14 33 1A 60 78 E2 7B 68 02 93 D7 F8 18 31 0C 33 01 93 1F 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 78 63 D7 F8 14 31 1A 68 7B 6B 1A 43 D7 F8 14 31 1A 60 5D E2 DF F8 1C 35 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 B0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 63 B9 6B 17 F5 80 70 08 22 ?? ?? ?? ?? 39 E2 7B 68 02 93 D7 F8 18 31 08 33 01 93 17 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 63 D7 F8 14 31 1A 68 FB 6B 1A 43 D7 F8 14 31 1A 60 1E E2 7B 68 02 93 3B 46 01 93 0C 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 64 D7 F8 14 31 1A 68 3B 6C 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 0D D1 3B 68 0C 2B 02 D1 00 23 3B 61 01 E0 3B 68 3B 61 D7 F8 18 31 03 F1 08 02 3B 69 13 60 F1 E1 7B 68 02 93 D7 F8 18 31 1C 33 01 93 4F F4 B7 73 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 78 64 D7 F8 14 31 1A 68 7B 6C 1A 43 D7 F8 14 31 1A 60 D5 E1 7B 68 02 93 3B 46 01 93 0C 23 00 93 01 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 64 D7 F8 14 31 1A 68 BB 6C 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 05 D1 3B 68 5A 1E D7 F8 18 31 10 33 1A 60 B0 E1 7B 68 02 93 D7 F8 18 31 1B 1D 01 93 3B 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 64 D7 F8 14 31 1A 68 FB 6C 1A 43 D7 F8 14 31 1A 60 95 E1 E2 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 B8 01 D7 F8 F8 00 ?? ?? ?? ?? 38 65 39 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 72 E1 CF 4B 00 22 17 F5 84 71 17 F5 80 70 ?? ?? ?? ?? 78 65 7B 6D 3B 60 3B 68 00 2B 08 DA D7 F8 14 31 1B 68 43 F0 02 02 D7 F8 14 31 1A 60 0C E0 3B 68 01 2B 09 DD D7 F8 18 31 08 33 1B 68 03 F1 0C 02 D7 F8 18 31 08 33 1A 60 4D E1 BC 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 C0 01 D7 F8 F8 00 ?? ?? ?? ?? B8 65 B9 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 2A E1 A9 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 C8 01 D7 F8 F8 00 ?? ?? ?? ?? F8 65 F9 6D 17 F5 80 70 08 22 ?? ?? ?? ?? 07 E1 7B 68 02 93 D7 F8 18 31 01 93 3C 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 66 D7 F8 14 31 1A 68 3B 6E 1A 43 D7 F8 14 31 1A 60 ED E0 8A 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 D0 01 D7 F8 F8 00 ?? ?? ?? ?? 78 66 79 6E 17 F5 80 70 08 22 ?? ?? ?? ?? CA E0 7B 68 02 93 D7 F8 18 31 1C 33 01 93 35 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 66 D7 F8 14 31 1A 68 BB 6E 1A 43 D7 F8 14 31 1A 60 AF E0 7B 68 02 93 D7 F8 18 31 18 33 01 93 06 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? F8 66 D7 F8 14 31 1A 68 FB 6E 1A 43 D7 F8 14 31 1A 60 94 E0 7B 68 02 93 D7 F8 18 31 1C 33 01 93 35 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? 38 67 D7 F8 14 31 1A 68 3B 6F 1A 43 D7 F8 14 31 1A 60 79 E0 4F 4B 05 93 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 D8 01 D7 F8 F8 00 ?? ?? ?? ?? 78 67 79 6F 17 F5 80 70 08 22 ?? ?? ?? ?? 56 E0 7B 68 02 93 3B 46 01 93 63 23 00 93 00 23 17 F5 84 72 17 F5 80 71 D7 F8 F8 00 ?? ?? ?? ?? B8 67 D7 F8 14 31 1A 68 BB 6F 1A 43 D7 F8 14 31 1A 60 D7 F8 14 31 1B 68 13 F0 02 0F 0E D1 3B 68 45 2B 03 DA 3B 68 64 33 7B 61 01 E0 3B 68 7B 61 D7 F8 18 31 03 F1 14 02 7B 69 13 60 28 E0 D7 F8 18 31 04 93 D7 F8 14 31 03 93 D7 F8 10 31 02 93 68 46 17 F5 84 71 08 22 ?? ?? ?? ?? D7 F8 00 21 D7 F8 04 31 17 F1 E0 01 D7 F8 F8 00 ?? ?? ?? ?? F8 67 F9 6F 17 F5 80 70 08 22 ?? ?? ?? ?? 07 E0 D7 F8 14 31 1B 68 43 F0 02 02 D7 F8 14 31 1A 60 17 F5 84 71 17 F5 80 70 ?? ?? ?? ?? 38 72 3B 7A 00 2B 07 D0 D7 F8 14 31 1B 68 43 F0 01 02 D7 F8 14 31 1A 60 D7 F8 FC 00 17 F5 80 71 08 22 ?? ?? ?? ?? D7 F8 FC 30 C7 F8 80 30 D7 F8 80 00 41 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1034_1 {
	meta:
		name = "?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1512
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002c ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 003a ??1locale@std@@QAA@XZ 0042 ?date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ 005e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0070 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 007c ?is@?$ctype@G@std@@QBA_NFG@Z 00a2 memcpy 00b6 ?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 00f2 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 0186 ?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01a0 ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01cc ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 01f6 ?narrow@?$ctype@G@std@@QBADGD@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B AD B0 6F 46 86 B0 6F F0 01 03 C7 E9 20 33 17 F1 78 01 D7 F8 D8 00 ?? ?? ?? ?? 78 63 7B 6B BB 63 B8 6B ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? D7 F8 C0 00 ?? ?? ?? ?? 38 64 3B 6C BB 60 BB 68 00 2B 01 D1 02 23 BB 60 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 73 3B 7B 00 2B 00 D0 95 E0 17 F1 C8 00 ?? ?? ?? ?? F8 85 FA 8D 04 21 78 68 ?? ?? ?? ?? 78 73 7B 7B 00 2B 22 D1 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 88 01 D7 F8 C0 00 ?? ?? ?? ?? 78 64 79 6C 17 F1 C8 00 08 22 ?? ?? ?? ?? 02 23 BB 60 64 E0 BB 68 02 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 64 D7 F8 DC 30 1A 68 BB 6C 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 3D E0 BB 68 01 2B 1A D1 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 64 D7 F8 DC 30 1A 68 FB 6C 1A 43 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 90 01 D7 F8 C0 00 ?? ?? ?? ?? 38 65 39 6D 17 F1 C8 00 08 22 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 73 BB 7B 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 38 86 3A 8E 48 21 78 68 ?? ?? ?? ?? F8 73 FB 7B 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 74 3B 7C 00 2B 1D D0 17 F1 C8 00 ?? ?? ?? ?? 38 84 00 22 39 8C 78 68 ?? ?? ?? ?? 78 74 97 F9 11 30 3B 70 97 F9 00 30 3A 2B 07 D0 97 F9 00 30 2C 2B 03 D0 97 F9 00 30 2F 2B 03 D1 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 74 BB 7C 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 78 84 7A 8C 48 21 78 68 ?? ?? ?? ?? F8 74 FB 7C 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 75 3B 7D 00 2B 00 D0 83 E0 17 F1 C8 00 ?? ?? ?? ?? B8 84 BA 8C 04 21 78 68 ?? ?? ?? ?? 78 75 7B 7D 00 2B 31 D1 BB 68 02 2B 08 D1 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 24 E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 98 01 D7 F8 C0 00 ?? ?? ?? ?? 78 65 79 6D 17 F1 C8 00 08 22 ?? ?? ?? ?? BB 68 04 2B 01 D1 03 23 BB 60 43 E0 BB 68 01 2B 02 D0 BB 68 03 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 65 D7 F8 DC 30 1A 68 BB 6D 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 19 E0 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 65 D7 F8 DC 30 1A 68 FB 6D 1A 43 D7 F8 DC 30 1A 60 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 75 BB 7D 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? F8 84 FA 8C 48 21 78 68 ?? ?? ?? ?? F8 75 FB 7D 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 76 3B 7E 00 2B 1D D0 17 F1 C8 00 ?? ?? ?? ?? 38 85 00 22 39 8D 78 68 ?? ?? ?? ?? 78 76 97 F9 19 30 7B 70 97 F9 01 30 3A 2B 07 D0 97 F9 01 30 2C 2B 03 D0 97 F9 01 30 2F 2B 03 D1 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 76 BB 7E 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 78 85 7A 8D 48 21 78 68 ?? ?? ?? ?? F8 76 FB 7E 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 77 3B 7F 00 2B 08 D0 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 9F E0 17 F1 C8 00 ?? ?? ?? ?? B8 85 BA 8D 04 21 78 68 ?? ?? ?? ?? 78 77 7B 7F 00 2B 2C D1 BB 68 04 2B 08 D0 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 A0 01 D7 F8 C0 00 ?? ?? ?? ?? 38 66 39 6E 17 F1 C8 00 08 22 ?? ?? ?? ?? 64 E0 BB 68 04 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? 78 66 D7 F8 DC 30 1A 68 7B 6E 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 3D E0 BB 68 03 2B 1A D1 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 66 D7 F8 DC 30 1A 68 BB 6E 1A 43 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 A8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 66 F9 6E 17 F1 C8 00 08 22 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 77 BB 7F 00 2B 07 D0 D7 F8 DC 30 1B 68 43 F0 01 02 D7 F8 DC 30 1A 60 D7 F8 C4 00 17 F1 C8 01 08 22 ?? ?? ?? ?? D7 F8 C4 30 3B 67 38 6F 33 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1036_1 {
	meta:
		name = "?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1512
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002c ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 003a ??1locale@std@@QAA@XZ 0042 ?date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ 005e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0070 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 007c ?is@?$ctype@_W@std@@QBA_NF_W@Z 00a2 memcpy 00b6 ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 00f2 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 0186 ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01a0 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01cc ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 01f6 ?narrow@?$ctype@_W@std@@QBAD_WD@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B AD B0 6F 46 86 B0 6F F0 01 03 C7 E9 20 33 17 F1 78 01 D7 F8 D8 00 ?? ?? ?? ?? 78 63 7B 6B BB 63 B8 6B ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? D7 F8 C0 00 ?? ?? ?? ?? 38 64 3B 6C BB 60 BB 68 00 2B 01 D1 02 23 BB 60 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 73 3B 7B 00 2B 00 D0 95 E0 17 F1 C8 00 ?? ?? ?? ?? F8 85 FA 8D 04 21 78 68 ?? ?? ?? ?? 78 73 7B 7B 00 2B 22 D1 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 88 01 D7 F8 C0 00 ?? ?? ?? ?? 78 64 79 6C 17 F1 C8 00 08 22 ?? ?? ?? ?? 02 23 BB 60 64 E0 BB 68 02 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 64 D7 F8 DC 30 1A 68 BB 6C 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 3D E0 BB 68 01 2B 1A D1 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 64 D7 F8 DC 30 1A 68 FB 6C 1A 43 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 90 01 D7 F8 C0 00 ?? ?? ?? ?? 38 65 39 6D 17 F1 C8 00 08 22 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 73 BB 7B 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 38 86 3A 8E 48 21 78 68 ?? ?? ?? ?? F8 73 FB 7B 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 74 3B 7C 00 2B 1D D0 17 F1 C8 00 ?? ?? ?? ?? 38 84 00 22 39 8C 78 68 ?? ?? ?? ?? 78 74 97 F9 11 30 3B 70 97 F9 00 30 3A 2B 07 D0 97 F9 00 30 2C 2B 03 D0 97 F9 00 30 2F 2B 03 D1 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 74 BB 7C 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 78 84 7A 8C 48 21 78 68 ?? ?? ?? ?? F8 74 FB 7C 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 75 3B 7D 00 2B 00 D0 83 E0 17 F1 C8 00 ?? ?? ?? ?? B8 84 BA 8C 04 21 78 68 ?? ?? ?? ?? 78 75 7B 7D 00 2B 31 D1 BB 68 02 2B 08 D1 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 24 E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 98 01 D7 F8 C0 00 ?? ?? ?? ?? 78 65 79 6D 17 F1 C8 00 08 22 ?? ?? ?? ?? BB 68 04 2B 01 D1 03 23 BB 60 43 E0 BB 68 01 2B 02 D0 BB 68 03 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 65 D7 F8 DC 30 1A 68 BB 6D 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 19 E0 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 65 D7 F8 DC 30 1A 68 FB 6D 1A 43 D7 F8 DC 30 1A 60 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 75 BB 7D 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? F8 84 FA 8C 48 21 78 68 ?? ?? ?? ?? F8 75 FB 7D 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 76 3B 7E 00 2B 1D D0 17 F1 C8 00 ?? ?? ?? ?? 38 85 00 22 39 8D 78 68 ?? ?? ?? ?? 78 76 97 F9 19 30 7B 70 97 F9 01 30 3A 2B 07 D0 97 F9 01 30 2C 2B 03 D0 97 F9 01 30 2F 2B 03 D1 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 76 BB 7E 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 78 85 7A 8D 48 21 78 68 ?? ?? ?? ?? F8 76 FB 7E 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 77 3B 7F 00 2B 08 D0 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 9F E0 17 F1 C8 00 ?? ?? ?? ?? B8 85 BA 8D 04 21 78 68 ?? ?? ?? ?? 78 77 7B 7F 00 2B 2C D1 BB 68 04 2B 08 D0 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 A0 01 D7 F8 C0 00 ?? ?? ?? ?? 38 66 39 6E 17 F1 C8 00 08 22 ?? ?? ?? ?? 64 E0 BB 68 04 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? 78 66 D7 F8 DC 30 1A 68 7B 6E 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 3D E0 BB 68 03 2B 1A D1 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 66 D7 F8 DC 30 1A 68 BB 6E 1A 43 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 A8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 66 F9 6E 17 F1 C8 00 08 22 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 77 BB 7F 00 2B 07 D0 D7 F8 DC 30 1B 68 43 F0 01 02 D7 F8 DC 30 1A 60 D7 F8 C4 00 17 F1 C8 01 08 22 ?? ?? ?? ?? D7 F8 C4 30 3B 67 38 6F 33 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1038_1 {
	meta:
		name = "?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "0016 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0044 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 0C 33 1B 68 00 22 0A A9 08 A8 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 DA 0D 9B 1B 68 43 F0 02 02 0D 9B 1A 60 04 E0 00 9B 5A 10 0E 9B 10 33 1A 60 07 98 08 A9 08 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_401_1 {
	meta:
		name = "?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "0016 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0044 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 0C 33 1B 68 00 22 0A A9 08 A8 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 DA 0D 9B 1B 68 43 F0 02 02 0D 9B 1A 60 04 E0 00 9B 5A 10 0E 9B 10 33 1A 60 07 98 08 A9 08 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1039_1 {
	meta:
		name = "?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "0016 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0044 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 0C 33 1B 68 00 22 0A A9 08 A8 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 DA 0D 9B 1B 68 43 F0 02 02 0D 9B 1A 60 04 E0 00 9B 5A 10 0E 9B 10 33 1A 60 07 98 08 A9 08 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1040_1 {
	meta:
		name = "?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 338
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 0056 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 0074 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 0080 ?narrow@?$ctype@G@std@@QBADGD@Z 00a0 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 013e memcpy"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0E 33 17 F1 30 01 B8 6E ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 60 17 F1 30 00 ?? ?? ?? ?? BB 68 02 93 3B 6F 08 33 01 93 17 23 00 93 00 23 17 F1 60 02 17 F1 58 01 38 6D ?? ?? ?? ?? B8 61 FB 6E 1A 68 BB 69 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0E D1 17 F1 58 00 ?? ?? ?? ?? 78 80 00 22 79 88 B8 68 ?? ?? ?? ?? 38 70 97 F9 00 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 19 E0 17 F1 58 00 ?? ?? ?? ?? F8 61 BB 68 02 93 3B 6F 1B 1D 01 93 3B 23 00 93 00 23 17 F1 60 02 F9 69 38 6D ?? ?? ?? ?? 38 62 FB 6E 1A 68 3B 6A 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0E D1 17 F1 58 00 ?? ?? ?? ?? B8 80 00 22 B9 88 B8 68 ?? ?? ?? ?? 78 70 97 F9 01 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 18 E0 17 F1 58 00 ?? ?? ?? ?? 78 62 BB 68 02 93 3B 6F 01 93 3B 23 00 93 00 23 17 F1 60 02 79 6A 38 6D ?? ?? ?? ?? B8 62 FB 6E 1A 68 BB 6A 1A 43 FB 6E 1A 60 78 6D 17 F1 58 01 08 22 ?? ?? ?? ?? 7B 6D FB 62 F8 6A 15 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1042_1 {
	meta:
		name = "?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 338
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 0056 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 0074 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 0080 ?narrow@?$ctype@_W@std@@QBAD_WD@Z 00a0 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 013e memcpy"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0E 33 17 F1 30 01 B8 6E ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 60 17 F1 30 00 ?? ?? ?? ?? BB 68 02 93 3B 6F 08 33 01 93 17 23 00 93 00 23 17 F1 60 02 17 F1 58 01 38 6D ?? ?? ?? ?? B8 61 FB 6E 1A 68 BB 69 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0E D1 17 F1 58 00 ?? ?? ?? ?? 78 80 00 22 79 88 B8 68 ?? ?? ?? ?? 38 70 97 F9 00 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 19 E0 17 F1 58 00 ?? ?? ?? ?? F8 61 BB 68 02 93 3B 6F 1B 1D 01 93 3B 23 00 93 00 23 17 F1 60 02 F9 69 38 6D ?? ?? ?? ?? 38 62 FB 6E 1A 68 3B 6A 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0E D1 17 F1 58 00 ?? ?? ?? ?? B8 80 00 22 B9 88 B8 68 ?? ?? ?? ?? 78 70 97 F9 01 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 18 E0 17 F1 58 00 ?? ?? ?? ?? 78 62 BB 68 02 93 3B 6F 01 93 3B 23 00 93 00 23 17 F1 60 02 79 6A 38 6D ?? ?? ?? ?? B8 62 FB 6E 1A 68 BB 6A 1A 43 FB 6E 1A 60 78 6D 17 F1 58 01 08 22 ?? ?? ?? ?? 7B 6D FB 62 F8 6A 15 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1044_1 {
	meta:
		name = "?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "0016 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0044 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 1B 68 00 22 0A A9 08 A8 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 DA 0D 9B 1B 68 43 F0 02 02 0D 9B 1A 60 04 E0 00 9B 5A 10 0E 9B 18 33 1A 60 07 98 08 A9 08 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_404_1 {
	meta:
		name = "?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "0016 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0044 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 1B 68 00 22 0A A9 08 A8 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 DA 0D 9B 1B 68 43 F0 02 02 0D 9B 1A 60 04 E0 00 9B 5A 10 0E 9B 18 33 1A 60 07 98 08 A9 08 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1045_1 {
	meta:
		name = "?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "0016 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0044 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 1B 68 00 22 0A A9 08 A8 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 DA 0D 9B 1B 68 43 F0 02 02 0D 9B 1A 60 04 E0 00 9B 5A 10 0E 9B 18 33 1A 60 07 98 08 A9 08 22 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1046_1 {
	meta:
		name = "?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 200
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 005a ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 00b4 memcpy"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 84 B0 6F F0 01 03 C7 E9 0A 33 17 F1 20 01 B8 6D ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 61 17 F1 20 00 ?? ?? ?? ?? 00 23 3B 60 7B 69 02 93 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 50 02 17 F1 48 01 38 6C ?? ?? ?? ?? B8 61 BB 69 7B 60 FB 6D 1A 68 7B 68 1A 43 FB 6D 1A 60 7B 68 13 F0 02 0F 00 D0 18 E0 3B 68 45 2B 06 DA 3B 68 03 F1 64 02 3B 6E 14 33 1A 60 0E E0 3B 68 64 2B 05 DA 3B 6E 03 F1 14 02 3B 68 13 60 05 E0 3B 68 A3 F2 6C 72 3B 6E 14 33 1A 60 78 6C 17 F1 48 01 08 22 ?? ?? ?? ?? 7B 6C FB 61 F8 69 11 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_405_1 {
	meta:
		name = "?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 200
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 005a ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 00b4 memcpy"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 84 B0 6F F0 01 03 C7 E9 0A 33 17 F1 20 01 B8 6D ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 61 17 F1 20 00 ?? ?? ?? ?? 00 23 3B 60 7B 69 02 93 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 50 02 17 F1 48 01 38 6C ?? ?? ?? ?? B8 61 BB 69 7B 60 FB 6D 1A 68 7B 68 1A 43 FB 6D 1A 60 7B 68 13 F0 02 0F 00 D0 18 E0 3B 68 45 2B 06 DA 3B 68 03 F1 64 02 3B 6E 14 33 1A 60 0E E0 3B 68 64 2B 05 DA 3B 6E 03 F1 14 02 3B 68 13 60 05 E0 3B 68 A3 F2 6C 72 3B 6E 14 33 1A 60 78 6C 17 F1 48 01 08 22 ?? ?? ?? ?? 7B 6C FB 61 F8 69 11 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1048_1 {
	meta:
		name = "?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 200
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 005a ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 00b4 memcpy"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 84 B0 6F F0 01 03 C7 E9 0A 33 17 F1 20 01 B8 6D ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 61 17 F1 20 00 ?? ?? ?? ?? 00 23 3B 60 7B 69 02 93 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 50 02 17 F1 48 01 38 6C ?? ?? ?? ?? B8 61 BB 69 7B 60 FB 6D 1A 68 7B 68 1A 43 FB 6D 1A 60 7B 68 13 F0 02 0F 00 D0 18 E0 3B 68 45 2B 06 DA 3B 68 03 F1 64 02 3B 6E 14 33 1A 60 0E E0 3B 68 64 2B 05 DA 3B 6E 03 F1 14 02 3B 68 13 60 05 E0 3B 68 A3 F2 6C 72 3B 6E 14 33 1A 60 78 6C 17 F1 48 01 08 22 ?? ?? ?? ?? 7B 6C FB 61 F8 69 11 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1050_1 {
	meta:
		name = "?do_grouping@?$_Mpunct@G@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
		altNames = "?do_grouping@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 08 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1054_1 {
	meta:
		name = "?do_hash@?$collate@G@std@@MBAJPBG0@Z"
		size = 48
		refs = "001a ?_Hash_seq@std@@YAIPBEI@Z"
		altNames = "?do_hash@?$collate@_W@std@@MBAJPB_W0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B D3 1A 5A 10 02 23 02 FB 03 F1 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1071_1 {
	meta:
		name = "?do_neg_format@?$_Mpunct@G@std@@MBA?AUpattern@money_base@2@XZ"
		size = 40
		refs = "0014 memcpy"
		altNames = "?do_neg_format@?$_Mpunct@D@std@@MBA?AUpattern@money_base@2@XZ ?do_neg_format@?$_Mpunct@_W@std@@MBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 24 01 05 98 04 22 ?? ?? ?? ?? 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1073_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 18 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_412_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 18 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1074_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 18 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1075_1 {
	meta:
		name = "?do_open@?$messages@G@std@@MBAHABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@ABVlocale@2@@Z"
		size = 28
		altNames = "?do_open@?$messages@D@std@@MBAHABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@ABVlocale@2@@Z ?do_open@?$messages@_W@std@@MBAHABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@ABVlocale@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 6F F0 00 03 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1079_1 {
	meta:
		name = "?do_pos_format@?$_Mpunct@G@std@@MBA?AUpattern@money_base@2@XZ"
		size = 40
		refs = "0014 memcpy"
		altNames = "?do_pos_format@?$_Mpunct@D@std@@MBA?AUpattern@money_base@2@XZ ?do_pos_format@?$_Mpunct@_W@std@@MBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 20 01 05 98 04 22 ?? ?? ?? ?? 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1081_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
		altNames = "?do_truename@?$numpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 14 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_415_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 14 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1082_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 14 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_334_1 {
	meta:
		name = "?do_truename@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 14 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1144_1 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 14 33 19 68 07 98 ?? ?? ?? ?? 02 90 00 9B 43 F0 01 03 00 93 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1083_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 384
		refs = "000a __security_push_cookie 0024 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0030 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 003e ??1locale@std@@QAA@XZ 004e ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 005e ?empty@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBA_NXZ 0070 ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAABGI@Z 0094 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 00c6 ??$_Find_elem@G@std@@YAIPAGG@Z 00ec ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBGI@Z 010e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 011e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z 015a ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0162 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0170 __security_pop_cookie 017c ?_Src@?1??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@3@V43@_NAAVios_base@3@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A8 B0 6F 46 86 B0 6F F0 01 03 C7 E9 14 33 17 F1 48 01 D7 F8 C4 00 ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 61 17 F1 48 00 ?? ?? ?? ?? 17 F1 88 03 4D 4A 0C 32 4C 49 B8 69 ?? ?? ?? ?? 00 23 3B 70 00 23 BB 60 D7 F8 CC 00 ?? ?? ?? ?? 78 70 7B 78 00 2B 12 D1 00 21 D7 F8 CC 00 ?? ?? ?? ?? F8 61 FB 69 1A 88 17 F1 88 03 14 33 1B 88 9A 42 04 D1 01 23 3B 70 BB 68 5B 1C BB 60 D7 F8 CC 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 BB 68 7B 60 02 E0 7B 68 5B 1C 7B 60 7A 68 7B 6A 9A 42 10 D2 79 68 D7 F8 CC 00 ?? ?? ?? ?? B8 62 BB 6A 19 88 17 F1 88 00 ?? ?? ?? ?? F8 62 FB 6A 0A 2B 00 D2 E7 E7 B9 68 D7 F8 CC 00 ?? ?? ?? ?? 38 63 7A 68 BB 68 D2 1A 39 6B 17 F1 70 00 ?? ?? ?? ?? 78 64 17 F1 70 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 07 D0 17 F1 88 03 1A 88 01 21 17 F1 70 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 70 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 17 F1 88 03 1B 88 05 93 FB 6B 04 93 3B 78 03 93 B7 F8 C8 30 02 93 D7 F8 C4 30 01 93 97 F8 C0 30 00 93 D7 F8 B8 20 D7 F8 BC 30 D7 F8 B4 10 D7 F8 B0 00 ?? ?? ?? ?? 17 F1 70 00 ?? ?? ?? ?? D7 F8 B4 30 3B 64 38 6C 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1089_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 384
		refs = "000a __security_push_cookie 0024 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0030 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 003e ??1locale@std@@QAA@XZ 004e ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 005e ?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ 0070 ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAAB_WI@Z 0094 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00c6 ??$_Find_elem@_W@std@@YAIPA_W_W@Z 00ec ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_WI@Z 010e ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 011e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z 015a ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0162 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0170 __security_pop_cookie 017c ?_Src@?1??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@3@V43@_NAAVios_base@3@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A8 B0 6F 46 86 B0 6F F0 01 03 C7 E9 14 33 17 F1 48 01 D7 F8 C4 00 ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 61 17 F1 48 00 ?? ?? ?? ?? 17 F1 88 03 4D 4A 0C 32 4C 49 B8 69 ?? ?? ?? ?? 00 23 3B 70 00 23 BB 60 D7 F8 CC 00 ?? ?? ?? ?? 78 70 7B 78 00 2B 12 D1 00 21 D7 F8 CC 00 ?? ?? ?? ?? F8 61 FB 69 1A 88 17 F1 88 03 14 33 1B 88 9A 42 04 D1 01 23 3B 70 BB 68 5B 1C BB 60 D7 F8 CC 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 BB 68 7B 60 02 E0 7B 68 5B 1C 7B 60 7A 68 7B 6A 9A 42 10 D2 79 68 D7 F8 CC 00 ?? ?? ?? ?? B8 62 BB 6A 19 88 17 F1 88 00 ?? ?? ?? ?? F8 62 FB 6A 0A 2B 00 D2 E7 E7 B9 68 D7 F8 CC 00 ?? ?? ?? ?? 38 63 7A 68 BB 68 D2 1A 39 6B 17 F1 70 00 ?? ?? ?? ?? 78 64 17 F1 70 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 07 D0 17 F1 88 03 1A 88 01 21 17 F1 70 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 70 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 17 F1 88 03 1B 88 05 93 FB 6B 04 93 3B 78 03 93 B7 F8 C8 30 02 93 D7 F8 C4 30 01 93 97 F8 C0 30 00 93 D7 F8 B8 20 D7 F8 BC 30 D7 F8 B4 10 D7 F8 B0 00 ?? ?? ?? ?? 17 F1 70 00 ?? ?? ?? ?? D7 F8 B4 30 3B 64 38 6C 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1086_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z"
		size = 416
		refs = "000a __security_push_cookie 008c sprintf_s 00a6 memcpy 00ba ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00c6 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00d4 ??1locale@std@@QAA@XZ 00dc ?widen@?$ctype@G@std@@QBAGD@Z 00ee ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 00fa ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0116 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 0122 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0132 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z 016a ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0172 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0180 __security_pop_cookie 018c ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AC B0 6F 46 86 B0 87 ED 02 0B 6F F0 01 03 C7 E9 14 33 00 23 3B 70 97 ED 02 0B B5 EE C0 0B F1 EE 10 FA 07 D2 01 23 3B 70 97 ED 02 0B B1 EE 40 0B 87 ED 02 0B 00 23 7B 60 02 E0 7B 68 0A 33 7B 60 9F ED 52 1B 97 ED 02 0B B4 EE C0 1B F1 EE 10 FA 0D D8 7A 68 41 F2 88 33 9A 42 08 D2 97 ED 02 1B 9F ED 48 0B 81 EE 00 0B 87 ED 02 0B E5 E7 BB 68 00 93 FB 68 01 93 41 4A 28 21 17 F1 88 00 ?? ?? ?? ?? 38 62 3B 6A 7B 61 7B 69 00 2B 0A DA D7 F8 C4 00 17 F1 C8 01 08 22 ?? ?? ?? ?? D7 F8 C4 30 FB 61 64 E0 17 F1 48 01 D7 F8 D4 00 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A BB 61 17 F1 48 00 ?? ?? ?? ?? 30 21 B8 69 ?? ?? ?? ?? 38 82 3B 8A 7B 80 00 22 79 69 17 F1 70 00 ?? ?? ?? ?? 38 64 00 21 17 F1 70 00 ?? ?? ?? ?? 38 63 3B 6B 79 69 01 22 01 FB 02 F1 17 F1 88 02 0A 44 17 F1 88 01 B8 69 ?? ?? ?? ?? 7A 88 79 68 17 F1 70 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 70 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 7B 88 05 93 FB 6B 04 93 3B 78 03 93 B7 F8 D8 30 02 93 D7 F8 D4 30 01 93 97 F8 D0 30 00 93 D7 F8 C8 20 D7 F8 CC 30 D7 F8 C4 10 D7 F8 C0 00 ?? ?? ?? ?? 17 F1 70 00 ?? ?? ?? ?? D7 F8 C4 30 FB 61 F8 69 32 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_55_1092_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z"
		size = 416
		refs = "000a __security_push_cookie 008c sprintf_s 00a6 memcpy 00ba ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00c6 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00d4 ??1locale@std@@QAA@XZ 00dc ?widen@?$ctype@_W@std@@QBA_WD@Z 00ee ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 00fa ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0116 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 0122 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0132 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z 016a ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0172 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0180 __security_pop_cookie 018c ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AC B0 6F 46 86 B0 87 ED 02 0B 6F F0 01 03 C7 E9 14 33 00 23 3B 70 97 ED 02 0B B5 EE C0 0B F1 EE 10 FA 07 D2 01 23 3B 70 97 ED 02 0B B1 EE 40 0B 87 ED 02 0B 00 23 7B 60 02 E0 7B 68 0A 33 7B 60 9F ED 52 1B 97 ED 02 0B B4 EE C0 1B F1 EE 10 FA 0D D8 7A 68 41 F2 88 33 9A 42 08 D2 97 ED 02 1B 9F ED 48 0B 81 EE 00 0B 87 ED 02 0B E5 E7 BB 68 00 93 FB 68 01 93 41 4A 28 21 17 F1 88 00 ?? ?? ?? ?? 38 62 3B 6A 7B 61 7B 69 00 2B 0A DA D7 F8 C4 00 17 F1 C8 01 08 22 ?? ?? ?? ?? D7 F8 C4 30 FB 61 64 E0 17 F1 48 01 D7 F8 D4 00 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A BB 61 17 F1 48 00 ?? ?? ?? ?? 30 21 B8 69 ?? ?? ?? ?? 38 82 3B 8A 7B 80 00 22 79 69 17 F1 70 00 ?? ?? ?? ?? 38 64 00 21 17 F1 70 00 ?? ?? ?? ?? 38 63 3B 6B 79 69 01 22 01 FB 02 F1 17 F1 88 02 0A 44 17 F1 88 01 B8 69 ?? ?? ?? ?? 7A 88 79 68 17 F1 70 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 70 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 7B 88 05 93 FB 6B 04 93 3B 78 03 93 B7 F8 D8 30 02 93 D7 F8 D4 30 01 93 97 F8 D0 30 00 93 D7 F8 C8 20 D7 F8 CC 30 D7 F8 C4 10 D7 F8 C0 00 ?? ?? ?? ?? 17 F1 70 00 ?? ?? ?? ?? D7 F8 C4 30 FB 61 F8 69 32 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_55_1095_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GJ@Z"
		size = 104
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 002c sprintf_s 004c ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 0058 __security_pop_cookie 0064 ??_C@_02EAOCLKAK@ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 12 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 BD F8 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1096_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GK@Z"
		size = 104
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 002c sprintf_s 004c ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 0058 __security_pop_cookie 0064 ??_C@_02BDDLJJBK@lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 12 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 BD F8 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1107_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WJ@Z"
		size = 104
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 002c sprintf_s 004c ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 0058 __security_pop_cookie 0064 ??_C@_02EAOCLKAK@ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 12 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 BD F8 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1108_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WK@Z"
		size = 104
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 002c sprintf_s 004c ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 0058 __security_pop_cookie 0064 ??_C@_02BDDLJJBK@lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 12 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 BD F8 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1097_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z"
		size = 416
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00ca frexp 00e0 __rt_sdiv 00f4 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 010e ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 0118 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0122 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0138 sprintf_s 0170 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0186 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A8 B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 1E 33 17 F1 80 00 ?? ?? ?? ?? 38 67 D7 F8 C0 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C0 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C0 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 1E D0 97 ED 06 0B B0 EE C0 1B 9F ED 38 0B B4 EE C1 0B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 80 00 ?? ?? ?? ?? D7 F8 C0 00 ?? ?? ?? ?? F8 62 FB 6A 00 22 17 F1 98 01 D7 F8 B0 00 ?? ?? ?? ?? 38 63 17 F1 80 00 ?? ?? ?? ?? 78 63 17 F1 80 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 80 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 B7 F8 C4 30 01 93 D7 F8 C0 30 00 93 D7 F8 B8 20 D7 F8 BC 30 D7 F8 B4 10 D7 F8 B0 00 ?? ?? ?? ?? 17 F1 80 00 ?? ?? ?? ?? D7 F8 B4 30 BB 64 B8 6C 2C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_55_1109_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z"
		size = 416
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00ca frexp 00e0 __rt_sdiv 00f4 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 010e ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 0118 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0122 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0138 sprintf_s 0170 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0186 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A8 B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 1E 33 17 F1 80 00 ?? ?? ?? ?? 38 67 D7 F8 C0 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C0 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C0 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 1E D0 97 ED 06 0B B0 EE C0 1B 9F ED 38 0B B4 EE C1 0B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 80 00 ?? ?? ?? ?? D7 F8 C0 00 ?? ?? ?? ?? F8 62 FB 6A 00 22 17 F1 98 01 D7 F8 B0 00 ?? ?? ?? ?? 38 63 17 F1 80 00 ?? ?? ?? ?? 78 63 17 F1 80 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 80 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 B7 F8 C4 30 01 93 D7 F8 C0 30 00 93 D7 F8 B8 20 D7 F8 BC 30 D7 F8 B4 10 D7 F8 B0 00 ?? ?? ?? ?? 17 F1 80 00 ?? ?? ?? ?? D7 F8 B4 30 BB 64 B8 6C 2C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_55_1099_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z"
		size = 424
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00b0 fabsl 00d2 frexpl 00e8 __rt_sdiv 00fc ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0116 ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 0120 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 012a ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0140 sprintf_s 0178 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z 0180 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 018e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AA B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 20 33 17 F1 88 00 ?? ?? ?? ?? 38 67 D7 F8 C8 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C8 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C8 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 22 D0 97 ED 06 0B ?? ?? ?? ?? 87 ED 1E 0B 9F ED 39 1B 97 ED 1E 0B B4 EE C0 1B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 88 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? F8 62 FB 6A 4C 22 17 F1 A0 01 D7 F8 B8 00 ?? ?? ?? ?? 38 63 17 F1 88 00 ?? ?? ?? ?? 78 63 17 F1 88 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 88 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 B7 F8 CC 30 01 93 D7 F8 C8 30 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 BC 10 D7 F8 B8 00 ?? ?? ?? ?? 17 F1 88 00 ?? ?? ?? ?? D7 F8 BC 30 BB 64 B8 6C 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_55_1111_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z"
		size = 424
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00b0 fabsl 00d2 frexpl 00e8 __rt_sdiv 00fc ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0116 ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 0120 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 012a ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0140 sprintf_s 0178 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z 0180 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 018e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AA B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 20 33 17 F1 88 00 ?? ?? ?? ?? 38 67 D7 F8 C8 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C8 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C8 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 22 D0 97 ED 06 0B ?? ?? ?? ?? 87 ED 1E 0B 9F ED 39 1B 97 ED 1E 0B B4 EE C0 1B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 88 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? F8 62 FB 6A 4C 22 17 F1 A0 01 D7 F8 B8 00 ?? ?? ?? ?? 38 63 17 F1 88 00 ?? ?? ?? ?? 78 63 17 F1 88 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 88 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 B7 F8 CC 30 01 93 D7 F8 C8 30 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 BC 10 D7 F8 B8 00 ?? ?? ?? ?? 17 F1 88 00 ?? ?? ?? ?? D7 F8 BC 30 BB 64 B8 6C 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_55_1101_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBX@Z"
		size = 84
		refs = "0008 __security_push_cookie 0016 sprintf_s 0036 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 0042 __security_pop_cookie 0050 ??_C@_02BBAHNLBA@?$CFp?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 20 9B 0F 4A 40 21 06 A8 ?? ?? ?? ?? 04 90 04 9B 03 93 06 AB 02 93 BD F8 7C 30 01 93 1E 9B 00 93 1C 9A 1D 9B 1B 99 1A 98 ?? ?? ?? ?? 1B 9B 05 93 05 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1113_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBX@Z"
		size = 84
		refs = "0008 __security_push_cookie 0016 sprintf_s 0036 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 0042 __security_pop_cookie 0050 ??_C@_02BBAHNLBA@?$CFp?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 20 9B 0F 4A 40 21 06 A8 ?? ?? ?? ?? 04 90 04 9B 03 93 06 AB 02 93 BD F8 7C 30 01 93 1E 9B 00 93 1C 9A 1D 9B 1B 99 1A 98 ?? ?? ?? ?? 1B 9B 05 93 05 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1102_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_J@Z"
		size = 112
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 0032 sprintf_s 0052 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 005e __security_pop_cookie 006c ??_C@_02HIKPPMOK@Ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 14 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 00 93 25 9B 01 93 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 BD F8 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1103_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_K@Z"
		size = 112
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 0032 sprintf_s 0052 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 005e __security_pop_cookie 006c ??_C@_02CLHGNPPK@Lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 14 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 00 93 25 9B 01 93 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 BD F8 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1114_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_J@Z"
		size = 112
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 0032 sprintf_s 0052 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 005e __security_pop_cookie 006c ??_C@_02HIKPPMOK@Ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 14 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 00 93 25 9B 01 93 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 BD F8 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1115_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_K@Z"
		size = 112
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 0032 sprintf_s 0052 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 005e __security_pop_cookie 006c ??_C@_02CLHGNPPK@Lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 14 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 00 93 25 9B 01 93 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 BD F8 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1104_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z"
		size = 556
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 005e _guard_check_icall 0080 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 008c ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 009a ??1locale@std@@QAA@XZ 00a2 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00b6 ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00c6 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@$$QAV12@@Z 00ce ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00da ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00fa ?width@ios_base@std@@QBA_JXZ 012c ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 0190 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 019e memcpy 01b4 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 01d2 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 01ec ?width@ios_base@std@@QAA_J_J@Z 0220 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BB B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 D7 F8 20 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 28 31 02 93 B7 F8 24 31 01 93 D7 F8 20 31 00 93 D7 F8 18 91 D7 F8 1C 81 D7 F8 14 61 D7 F8 10 31 1B 68 24 33 D7 F8 10 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 14 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 28 31 00 2B 11 D0 17 F1 B8 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 10 E0 17 F1 D0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 D0 00 ?? ?? ?? ?? D7 F8 20 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 20 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 20 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 B7 F8 24 31 00 93 D7 F8 18 21 D7 F8 1C 31 17 F1 90 01 D7 F8 10 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 8C 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 18 21 D7 F8 1C 31 17 F1 98 01 D7 F8 10 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 8C 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 20 01 ?? ?? ?? ?? 3B 68 01 93 B7 F8 24 31 00 93 D7 F8 18 21 D7 F8 1C 31 D7 F8 14 11 D7 F8 10 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 14 31 3B 61 38 69 3F B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1116_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z"
		size = 556
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 005e _guard_check_icall 0080 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 008c ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 009a ??1locale@std@@QAA@XZ 00a2 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00b6 ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00c6 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@$$QAV12@@Z 00ce ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00da ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00fa ?width@ios_base@std@@QBA_JXZ 012c ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 0190 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 019e memcpy 01b4 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 01d2 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 01ec ?width@ios_base@std@@QAA_J_J@Z 0220 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BB B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 D7 F8 20 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 28 31 02 93 B7 F8 24 31 01 93 D7 F8 20 31 00 93 D7 F8 18 91 D7 F8 1C 81 D7 F8 14 61 D7 F8 10 31 1B 68 24 33 D7 F8 10 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 14 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 28 31 00 2B 11 D0 17 F1 B8 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 10 E0 17 F1 D0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 D0 00 ?? ?? ?? ?? D7 F8 20 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 20 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 20 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 B7 F8 24 31 00 93 D7 F8 18 21 D7 F8 1C 31 17 F1 90 01 D7 F8 10 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 8C 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 18 21 D7 F8 1C 31 17 F1 98 01 D7 F8 10 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 8C 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 20 01 ?? ?? ?? ?? 3B 68 01 93 B7 F8 24 31 00 93 D7 F8 18 21 D7 F8 1C 31 D7 F8 14 11 D7 F8 10 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 14 31 3B 61 38 69 3F B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1119_1 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z"
		size = 312
		refs = "000a __security_push_cookie 003e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0090 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 009a ?_Getptr@_Timevec@std@@QBAPAXXZ 00a4 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00b2 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00ba ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 00d0 _Wcsftime 00ea ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0104 memcpy 0112 ??$copy@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z 011a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0126 __security_pop_cookie 0134 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 17 F1 58 03 BB 60 B8 68 43 49 91 E8 0C 00 80 E8 0C 00 08 31 08 30 02 46 0B 46 1B 88 13 80 17 F1 40 00 ?? ?? ?? ?? F8 62 97 F9 98 30 00 2B 07 D1 97 F9 94 30 9A B2 17 F1 58 03 1B 1D 1A 80 0D E0 97 F9 98 30 9A B2 17 F1 58 03 1B 1D 1A 80 97 F9 94 30 9A B2 17 F1 58 03 9B 1D 1A 80 10 23 3B 60 04 E0 3A 68 02 23 02 FB 03 F3 3B 60 00 22 39 68 17 F1 40 00 ?? ?? ?? ?? BB 6F 03 F1 08 00 ?? ?? ?? ?? 38 61 17 F1 40 00 ?? ?? ?? ?? 78 61 17 F1 30 01 17 F1 40 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? B8 61 3B 69 00 93 D7 F8 90 30 17 F1 58 02 79 69 B8 69 ?? ?? ?? ?? F8 61 FB 69 7B 60 7B 68 00 2B 00 D9 00 E0 CC E7 79 68 17 F1 40 00 ?? ?? ?? ?? 38 62 01 21 17 F1 40 00 ?? ?? ?? ?? 78 62 68 46 17 F1 84 01 04 22 ?? ?? ?? ?? D7 F8 80 30 3A 6A 79 6A F8 6F ?? ?? ?? ?? 17 F1 40 00 ?? ?? ?? ?? FB 6F BB 62 B8 6A 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1121_1 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z"
		size = 312
		refs = "000a __security_push_cookie 003e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0090 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 009a ?_Getptr@_Timevec@std@@QBAPAXXZ 00a4 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00b2 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00ba ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 00d0 _Wcsftime 00ea ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0104 memcpy 0112 ??$copy@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z 011a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0126 __security_pop_cookie 0134 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 17 F1 58 03 BB 60 B8 68 43 49 91 E8 0C 00 80 E8 0C 00 08 31 08 30 02 46 0B 46 1B 88 13 80 17 F1 40 00 ?? ?? ?? ?? F8 62 97 F9 98 30 00 2B 07 D1 97 F9 94 30 9A B2 17 F1 58 03 1B 1D 1A 80 0D E0 97 F9 98 30 9A B2 17 F1 58 03 1B 1D 1A 80 97 F9 94 30 9A B2 17 F1 58 03 9B 1D 1A 80 10 23 3B 60 04 E0 3A 68 02 23 02 FB 03 F3 3B 60 00 22 39 68 17 F1 40 00 ?? ?? ?? ?? BB 6F 03 F1 08 00 ?? ?? ?? ?? 38 61 17 F1 40 00 ?? ?? ?? ?? 78 61 17 F1 30 01 17 F1 40 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? B8 61 3B 69 00 93 D7 F8 90 30 17 F1 58 02 79 69 B8 69 ?? ?? ?? ?? F8 61 FB 69 7B 60 7B 68 00 2B 00 D9 00 E0 CC E7 79 68 17 F1 40 00 ?? ?? ?? ?? 38 62 01 21 17 F1 40 00 ?? ?? ?? ?? 78 62 68 46 17 F1 84 01 04 22 ?? ?? ?? ?? D7 F8 80 30 3A 6A 79 6A F8 6F ?? ?? ?? ?? 17 F1 40 00 ?? ?? ?? ?? FB 6F BB 62 B8 6A 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1127_1 {
	meta:
		name = "?do_thousands_sep@?$_Mpunct@G@std@@MBAGXZ"
		size = 34
		altNames = "?do_thousands_sep@?$_Mpunct@_W@std@@MBA_WXZ ?do_thousands_sep@?$numpunct@G@std@@MBAGXZ ?do_thousands_sep@?$numpunct@_W@std@@MBA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0E 33 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1139_1 {
	meta:
		name = "?do_transform@?$collate@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z"
		size = 236
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0040 ?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 004c ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0054 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAAAGXZ 005e ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 0092 ??$_LStrxfrm@G@std@@YAIPAG0PBG1PBU_Collvec@@@Z 00c2 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@$$QAV01@@Z 00d4 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00e0 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 40 00 ?? ?? ?? ?? B8 62 7A 6F 3B 6F D3 1A 5B 10 3B 60 3B 68 00 2B 3B D9 39 68 17 F1 40 00 ?? ?? ?? ?? 17 F1 2C 01 17 F1 40 00 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? 78 61 17 F1 40 00 ?? ?? ?? ?? 38 61 17 F1 30 01 17 F1 40 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? B8 61 BB 6E 08 33 00 93 7B 6F 3A 6F 38 69 02 21 00 FB 01 F0 79 69 01 44 B8 69 ?? ?? ?? ?? F8 61 17 F1 40 00 ?? ?? ?? ?? 38 62 FB 69 3B 60 3A 68 3B 6A 9A 42 00 D8 00 E0 C0 E7 39 68 17 F1 40 00 ?? ?? ?? ?? 17 F1 40 01 F8 6E ?? ?? ?? ?? 78 63 7B 68 43 F0 01 03 7B 60 17 F1 40 00 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1141_1 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z"
		size = 236
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0040 ?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 004c ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0054 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 005e ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 0092 ??$_LStrxfrm@_W@std@@YAIPA_W0PB_W1PBU_Collvec@@@Z 00c2 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@$$QAV01@@Z 00d4 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00e0 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 40 00 ?? ?? ?? ?? B8 62 7A 6F 3B 6F D3 1A 5B 10 3B 60 3B 68 00 2B 3B D9 39 68 17 F1 40 00 ?? ?? ?? ?? 17 F1 2C 01 17 F1 40 00 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? 78 61 17 F1 40 00 ?? ?? ?? ?? 38 61 17 F1 30 01 17 F1 40 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? B8 61 BB 6E 08 33 00 93 7B 6F 3A 6F 38 69 02 21 00 FB 01 F0 79 69 01 44 B8 69 ?? ?? ?? ?? F8 61 17 F1 40 00 ?? ?? ?? ?? 38 62 FB 69 3B 60 3A 68 3B 6A 9A 42 00 D8 00 E0 C0 E7 39 68 17 F1 40 00 ?? ?? ?? ?? 17 F1 40 01 F8 6E ?? ?? ?? ?? 78 63 7B 68 43 F0 01 03 7B 60 17 F1 40 00 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1159_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBA_NABV12@@Z"
		size = 106
		refs = "0016 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 05 9B 1B 1D 1B 78 00 2B 02 D1 05 98 ?? ?? ?? ?? 04 9B 1B 68 00 2B 03 D1 05 9B 1B 68 00 2B 0A D0 04 9B 1B 68 00 2B 03 D0 05 9B 1B 68 00 2B 02 D1 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_437_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBA_NABV12@@Z"
		size = 106
		refs = "0016 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 05 9B 1B 1D 1B 78 00 2B 02 D1 05 98 ?? ?? ?? ?? 04 9B 1B 68 00 2B 03 D1 05 9B 1B 68 00 2B 0A D0 04 9B 1B 68 00 2B 03 D0 05 9B 1B 68 00 2B 02 D1 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1160_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_NABV12@@Z"
		size = 106
		refs = "0016 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 05 9B 1B 1D 1B 78 00 2B 02 D1 05 98 ?? ?? ?? ?? 04 9B 1B 68 00 2B 03 D1 05 9B 1B 68 00 2B 0A D0 04 9B 1B 68 00 2B 03 D0 05 9B 1B 68 00 2B 02 D1 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1170_1 {
	meta:
		name = "?frac_digits@?$_Mpunct@G@std@@QBAHXZ"
		size = 54
		refs = "001a _guard_check_icall"
		altNames = "?frac_digits@?$_Mpunct@D@std@@QBAHXZ ?frac_digits@?$_Mpunct@_W@std@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 1B 68 24 33 06 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 01 90 01 9B 02 93 02 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1172_1 {
	meta:
		name = "?get_allocator@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBA?AV?$allocator@G@2@XZ"
		size = 50
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0016 ??0?$allocator@G@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 69 46 07 98 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_345_1 {
	meta:
		name = "?get_allocator@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA?AV?$allocator@D@2@XZ"
		size = 50
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0016 ??0?$allocator@D@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 69 46 07 98 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1173_1 {
	meta:
		name = "?get_allocator@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA?AV?$allocator@_W@2@XZ"
		size = 50
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0016 ??0?$allocator@_W@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 69 46 07 98 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1174_1 {
	meta:
		name = "?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "001e memcpy 0038 _guard_check_icall"
		altNames = "?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 89 B0 18 9B 04 93 17 9B 03 93 16 9B 02 93 68 46 14 A9 08 22 ?? ?? ?? ?? DD F8 48 80 13 9F 11 9E 10 9B 1B 68 1C 33 10 9D 1B 68 06 93 06 98 ?? ?? ?? ?? 06 9C 28 46 31 46 42 46 3B 46 A0 47 11 9B 07 93 07 98 09 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1176_1 {
	meta:
		name = "?get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "001e memcpy 0038 _guard_check_icall"
		altNames = "?get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z ?get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 89 B0 18 9B 04 93 17 9B 03 93 16 9B 02 93 68 46 14 A9 08 22 ?? ?? ?? ?? DD F8 48 80 13 9F 11 9E 10 9B 1B 68 18 33 10 9D 1B 68 06 93 06 98 ?? ?? ?? ?? 06 9C 28 46 31 46 42 46 3B 46 A0 47 11 9B 07 93 07 98 09 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1178_1 {
	meta:
		name = "?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 88
		refs = "001e memcpy 0038 _guard_check_icall"
		altNames = "?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 89 B0 18 9B 04 93 17 9B 03 93 16 9B 02 93 68 46 14 A9 08 22 ?? ?? ?? ?? DD F8 48 80 13 9F 11 9E 10 9B 1B 68 20 33 10 9D 1B 68 06 93 06 98 ?? ?? ?? ?? 06 9C 28 46 31 46 42 46 3B 46 A0 47 11 9B 07 93 07 98 09 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1183_1 {
	meta:
		name = "?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 70
		refs = "0020 _guard_check_icall"
		altNames = "?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 84 B0 00 23 01 93 09 9D 08 9B 1B 68 14 33 08 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 98 47 03 90 01 9B 43 F0 01 03 01 93 09 9B 02 93 02 98 04 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1187_1 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z"
		size = 188
		refs = "000e ?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z 0014 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 002c ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 004e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0068 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 008e ?move@?$char_traits@D@std@@SAPADPADPBDI@Z 009c ?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXIID@Z 00a4 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 00b8 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 99 0A 98 ?? ?? ?? ?? 0A 98 ?? ?? ?? ?? 02 90 27 4B 1A 68 02 9B 1B 68 D2 1A 0C 9B 9A 42 02 D8 0A 98 ?? ?? ?? ?? 0A 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 0C 9B 13 44 01 93 0C 9B 00 2B 2F D9 00 22 01 99 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 24 D0 0A 98 ?? ?? ?? ?? 04 90 0A 98 ?? ?? ?? ?? 05 90 0A 98 ?? ?? ?? ?? 06 90 04 9B 1A 68 0B 9B D2 1A 05 99 0B 9B 19 44 06 98 0B 9B 18 44 0C 9B 18 44 ?? ?? ?? ?? 9D F9 34 30 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 01 99 0A 98 ?? ?? ?? ?? 0A 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1188_1 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z"
		size = 208
		refs = "0010 ?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z 0016 ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 002e ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 0050 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 006a ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 00a2 ?move@?$char_traits@G@std@@SAPAGPAGPBGI@Z 00b0 ?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIIG@Z 00b8 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 00cc ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 89 B0 0D 99 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 02 90 2B 4B 1A 68 02 9B 1B 68 D2 1A 0E 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 0E 9B 13 44 01 93 0E 9B 00 2B 38 D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 2D D0 0C 98 ?? ?? ?? ?? 04 90 0C 98 ?? ?? ?? ?? 05 90 0C 98 ?? ?? ?? ?? 06 90 04 9B 1A 68 0D 9B D2 1A 0D 99 02 23 01 FB 03 F1 05 9B 19 44 0D 98 02 23 00 FB 03 F0 06 9B 1C 18 0E 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? BD F8 3C 30 0E 9A 0D 99 0C 98 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 07 93 07 98 09 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1189_1 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z"
		size = 208
		refs = "0010 ?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z 0016 ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 002e ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 0050 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 006a ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 00a2 ?move@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 00b0 ?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII_W@Z 00b8 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 00cc ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 89 B0 0D 99 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 02 90 2B 4B 1A 68 02 9B 1B 68 D2 1A 0E 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 03 90 03 9B 1A 68 0E 9B 13 44 01 93 0E 9B 00 2B 38 D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 2D D0 0C 98 ?? ?? ?? ?? 04 90 0C 98 ?? ?? ?? ?? 05 90 0C 98 ?? ?? ?? ?? 06 90 04 9B 1A 68 0D 9B D2 1A 0D 99 02 23 01 FB 03 F1 05 9B 19 44 0D 98 02 23 00 FB 03 F0 06 9B 1C 18 0E 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? BD F8 3C 30 0E 9A 0D 99 0C 98 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 07 93 07 98 09 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_1210_1 {
	meta:
		name = "?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 202
		refs = "000a __security_push_cookie 002c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 004e ?c_str@?$_Yarn@D@std@@QBAPBDXZ 005a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0078 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 009a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00be __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 3B 6F 1B 1D 1B 68 00 2B 0D D1 17 F1 48 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 3B 68 43 F0 01 03 3B 60 FB 68 7B 60 15 E0 3B 6F 1B 1D 1B 68 03 F1 18 00 ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 02 03 3B 60 BB 69 7B 60 7B 68 FB 61 F9 69 78 6F ?? ?? ?? ?? 78 62 3B 68 43 F0 04 03 3B 60 3B 68 13 F0 02 0F 07 D0 3B 68 23 F0 02 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 48 00 ?? ?? ?? ?? 7B 6F 3B 62 38 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1211_1 {
	meta:
		name = "__unwindfunclet$?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ$0"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 08 80 3B 68 23 F0 01 03 3B 60 17 F1 48 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_55_1212_1 {
	meta:
		name = "?narrow@?$ctype@G@std@@QBADGD@Z"
		size = 74
		refs = "0022 _guard_check_icall"
		altNames = "?narrow@?$ctype@_W@std@@QBAD_WD@Z"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 83 B0 9D F9 28 60 BD F8 24 50 08 9B 1B 68 38 33 08 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 32 46 98 47 8D F8 00 00 9D F9 00 30 8D F8 08 30 9D F9 08 00 03 B0 BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1214_1 {
	meta:
		name = "?neg_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ"
		size = 56
		refs = "001c _guard_check_icall"
		altNames = "?neg_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ ?neg_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 82 B0 07 9D 06 9B 1B 68 2C 33 06 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 98 47 07 9B 01 93 01 98 02 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1216_1 {
	meta:
		name = "?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 70
		refs = "0020 _guard_check_icall"
		altNames = "?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 84 B0 00 23 01 93 09 9D 08 9B 1B 68 20 33 08 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 98 47 03 90 01 9B 43 F0 01 03 01 93 09 9B 02 93 02 98 04 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1220_1 {
	meta:
		name = "?pos_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ"
		size = 56
		refs = "001c _guard_check_icall"
		altNames = "?pos_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ ?pos_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 82 B0 07 9D 06 9B 1B 68 28 33 06 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 98 47 07 9B 01 93 01 98 02 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1222_1 {
	meta:
		name = "?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 70
		refs = "0020 _guard_check_icall"
		altNames = "?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 84 B0 00 23 01 93 09 9D 08 9B 1B 68 1C 33 08 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 98 47 03 90 01 9B 43 F0 01 03 01 93 09 9B 02 93 02 98 04 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1224_1 {
	meta:
		name = "?precision@ios_base@std@@QBA_JXZ"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 33 00 93 00 9B 1A 68 00 9B 5B 68 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1225_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 926
		refs = "0010 ?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z 0022 ?_Clamp_suffix_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIII@Z 003e ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0058 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 00a0 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 00ae ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ 00b6 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 00d6 ?move@?$char_traits@G@std@@SAPAGPAGPBGI@Z 0150 ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 038a ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B A1 B0 25 99 24 98 ?? ?? ?? ?? 28 99 27 98 ?? ?? ?? ?? 26 9A 25 99 24 98 ?? ?? ?? ?? 02 90 02 9B 26 93 29 9A 28 99 27 98 ?? ?? ?? ?? 03 90 03 9B 29 93 24 98 ?? ?? ?? ?? 04 90 29 9B C3 F1 FF 31 04 9B 1A 68 26 9B D3 1A 99 42 02 D8 24 98 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 05 90 05 9B 1A 68 26 9B D2 1A 25 9B D3 1A 00 93 24 98 ?? ?? ?? ?? 06 90 06 9B 1A 68 29 9B 1A 44 26 9B D3 1A 01 93 24 98 ?? ?? ?? ?? 07 90 07 9B 1A 68 01 9B 9A 42 04 D2 00 22 01 99 24 98 ?? ?? ?? ?? 29 9A 26 9B 9A 42 17 D1 27 98 ?? ?? ?? ?? 08 90 24 98 ?? ?? ?? ?? 09 90 29 9A 28 99 02 23 01 FB 03 F1 08 9B 19 44 25 98 02 23 00 FB 03 F0 09 9B 18 44 ?? ?? ?? ?? 54 E1 24 9A 27 9B 9A 42 38 D0 24 98 ?? ?? ?? ?? 0A 90 24 98 ?? ?? ?? ?? 0B 90 00 9A 25 99 02 23 01 FB 03 F1 0A 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 0B 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 27 98 ?? ?? ?? ?? 0C 90 24 98 ?? ?? ?? ?? 0D 90 29 9A 28 99 02 23 01 FB 03 F1 0C 9B 19 44 25 98 02 23 00 FB 03 F0 0D 9B 18 44 ?? ?? ?? ?? 17 E1 29 9A 26 9B 9A 42 38 D2 24 98 ?? ?? ?? ?? 0E 90 24 98 ?? ?? ?? ?? 0F 90 29 9A 28 99 02 23 01 FB 03 F1 0E 9B 19 44 25 98 02 23 00 FB 03 F0 0F 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 10 90 24 98 ?? ?? ?? ?? 11 90 00 9A 25 99 02 23 01 FB 03 F1 10 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 11 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? DA E0 28 9A 25 9B 9A 42 38 D8 24 98 ?? ?? ?? ?? 12 90 24 98 ?? ?? ?? ?? 13 90 00 9A 25 99 02 23 01 FB 03 F1 12 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 13 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 14 90 24 98 ?? ?? ?? ?? 15 90 29 9A 28 99 02 23 01 FB 03 F1 14 9B 19 44 25 98 02 23 00 FB 03 F0 15 9B 18 44 ?? ?? ?? ?? 9D E0 25 9A 26 9B 1A 44 28 9B 9A 42 3C D8 24 98 ?? ?? ?? ?? 16 90 24 98 ?? ?? ?? ?? 17 90 00 9A 25 99 02 23 01 FB 03 F1 16 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 17 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 18 90 24 98 ?? ?? ?? ?? 19 90 29 9A 28 99 29 9B 19 44 26 9B C9 1A 02 23 01 FB 03 F1 18 9B 19 44 25 98 02 23 00 FB 03 F0 19 9B 18 44 ?? ?? ?? ?? 5A E0 24 98 ?? ?? ?? ?? 1A 90 24 98 ?? ?? ?? ?? 1B 90 26 9A 28 99 02 23 01 FB 03 F1 1A 9B 19 44 25 98 02 23 00 FB 03 F0 1B 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 1C 90 24 98 ?? ?? ?? ?? 1D 90 00 9A 25 99 02 23 01 FB 03 F1 1C 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 1D 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 1E 90 24 98 ?? ?? ?? ?? 1F 90 29 9A 26 9B D2 1A 28 99 02 23 01 FB 03 F1 1E 9B 58 18 29 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 1F 9B 1C 18 26 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 01 99 24 98 ?? ?? ?? ?? 24 9B 20 93 20 98 21 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1228_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 926
		refs = "0010 ?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z 0022 ?_Clamp_suffix_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIII@Z 003e ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0058 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 00a0 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 00ae ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ 00b6 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 00d6 ?move@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 0150 ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 038a ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B A1 B0 25 99 24 98 ?? ?? ?? ?? 28 99 27 98 ?? ?? ?? ?? 26 9A 25 99 24 98 ?? ?? ?? ?? 02 90 02 9B 26 93 29 9A 28 99 27 98 ?? ?? ?? ?? 03 90 03 9B 29 93 24 98 ?? ?? ?? ?? 04 90 29 9B C3 F1 FF 31 04 9B 1A 68 26 9B D3 1A 99 42 02 D8 24 98 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 05 90 05 9B 1A 68 26 9B D2 1A 25 9B D3 1A 00 93 24 98 ?? ?? ?? ?? 06 90 06 9B 1A 68 29 9B 1A 44 26 9B D3 1A 01 93 24 98 ?? ?? ?? ?? 07 90 07 9B 1A 68 01 9B 9A 42 04 D2 00 22 01 99 24 98 ?? ?? ?? ?? 29 9A 26 9B 9A 42 17 D1 27 98 ?? ?? ?? ?? 08 90 24 98 ?? ?? ?? ?? 09 90 29 9A 28 99 02 23 01 FB 03 F1 08 9B 19 44 25 98 02 23 00 FB 03 F0 09 9B 18 44 ?? ?? ?? ?? 54 E1 24 9A 27 9B 9A 42 38 D0 24 98 ?? ?? ?? ?? 0A 90 24 98 ?? ?? ?? ?? 0B 90 00 9A 25 99 02 23 01 FB 03 F1 0A 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 0B 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 27 98 ?? ?? ?? ?? 0C 90 24 98 ?? ?? ?? ?? 0D 90 29 9A 28 99 02 23 01 FB 03 F1 0C 9B 19 44 25 98 02 23 00 FB 03 F0 0D 9B 18 44 ?? ?? ?? ?? 17 E1 29 9A 26 9B 9A 42 38 D2 24 98 ?? ?? ?? ?? 0E 90 24 98 ?? ?? ?? ?? 0F 90 29 9A 28 99 02 23 01 FB 03 F1 0E 9B 19 44 25 98 02 23 00 FB 03 F0 0F 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 10 90 24 98 ?? ?? ?? ?? 11 90 00 9A 25 99 02 23 01 FB 03 F1 10 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 11 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? DA E0 28 9A 25 9B 9A 42 38 D8 24 98 ?? ?? ?? ?? 12 90 24 98 ?? ?? ?? ?? 13 90 00 9A 25 99 02 23 01 FB 03 F1 12 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 13 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 14 90 24 98 ?? ?? ?? ?? 15 90 29 9A 28 99 02 23 01 FB 03 F1 14 9B 19 44 25 98 02 23 00 FB 03 F0 15 9B 18 44 ?? ?? ?? ?? 9D E0 25 9A 26 9B 1A 44 28 9B 9A 42 3C D8 24 98 ?? ?? ?? ?? 16 90 24 98 ?? ?? ?? ?? 17 90 00 9A 25 99 02 23 01 FB 03 F1 16 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 17 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 18 90 24 98 ?? ?? ?? ?? 19 90 29 9A 28 99 29 9B 19 44 26 9B C9 1A 02 23 01 FB 03 F1 18 9B 19 44 25 98 02 23 00 FB 03 F0 19 9B 18 44 ?? ?? ?? ?? 5A E0 24 98 ?? ?? ?? ?? 1A 90 24 98 ?? ?? ?? ?? 1B 90 26 9A 28 99 02 23 01 FB 03 F1 1A 9B 19 44 25 98 02 23 00 FB 03 F0 1B 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 1C 90 24 98 ?? ?? ?? ?? 1D 90 00 9A 25 99 02 23 01 FB 03 F1 1C 9B 58 18 26 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 1D 9B 1C 18 29 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 1E 90 24 98 ?? ?? ?? ?? 1F 90 29 9A 26 9B D2 1A 28 99 02 23 01 FB 03 F1 1E 9B 58 18 29 99 02 23 01 FB 03 F3 C1 18 25 98 02 23 00 FB 03 F0 1F 9B 1C 18 26 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 01 99 24 98 ?? ?? ?? ?? 24 9B 20 93 20 98 21 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1226_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIPBGI@Z"
		size = 408
		refs = "0010 ?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NPBG@Z 0022 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 003e ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIABV12@II@Z 004e ?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z 0058 ?_Clamp_suffix_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIII@Z 0064 ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 007e ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 00de ?move@?$char_traits@G@std@@SAPAGPAGPBGI@Z 010a ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 017c ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 0184 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 91 B0 17 99 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 14 D0 14 98 ?? ?? ?? ?? 06 90 18 9B 01 93 17 9A 06 9B D3 1A 5B 10 00 93 14 9B 16 9A 15 99 14 98 ?? ?? ?? ?? 07 90 07 9B 05 93 A0 E0 15 99 14 98 ?? ?? ?? ?? 16 9A 15 99 14 98 ?? ?? ?? ?? 08 90 08 9B 16 93 14 98 ?? ?? ?? ?? 09 90 18 9B C3 F1 FF 31 09 9B 1A 68 16 9B D3 1A 99 42 02 D8 14 98 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0A 90 0A 9B 1A 68 16 9B D2 1A 15 9B D3 1A 03 93 18 9A 16 9B 9A 42 20 D2 14 98 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 03 9A 15 99 02 23 01 FB 03 F1 0B 9B 58 18 16 99 02 23 01 FB 03 F3 C1 18 15 98 02 23 00 FB 03 F0 0C 9B 1C 18 18 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0D 90 0D 9B 1A 68 18 9B 1A 44 16 9B D3 1A 04 93 18 9B 00 2B 02 D8 16 9B 00 2B 41 D9 00 22 04 99 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 36 D0 16 9A 18 9B 9A 42 20 D2 14 98 ?? ?? ?? ?? 0E 90 14 98 ?? ?? ?? ?? 0F 90 03 9A 15 99 02 23 01 FB 03 F1 0E 9B 58 18 16 99 02 23 01 FB 03 F3 C1 18 15 98 02 23 00 FB 03 F0 0F 9B 1C 18 18 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 10 90 18 9A 17 99 15 98 02 23 00 FB 03 F0 10 9B 18 44 ?? ?? ?? ?? 04 99 14 98 ?? ?? ?? ?? 14 9B 05 93 05 98 11 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1229_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIPB_WI@Z"
		size = 408
		refs = "0010 ?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z 0022 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 003e ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIABV12@II@Z 004e ?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z 0058 ?_Clamp_suffix_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIII@Z 0064 ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 007e ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 00de ?move@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 010a ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 017c ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 0184 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 91 B0 17 99 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 14 D0 14 98 ?? ?? ?? ?? 06 90 18 9B 01 93 17 9A 06 9B D3 1A 5B 10 00 93 14 9B 16 9A 15 99 14 98 ?? ?? ?? ?? 07 90 07 9B 05 93 A0 E0 15 99 14 98 ?? ?? ?? ?? 16 9A 15 99 14 98 ?? ?? ?? ?? 08 90 08 9B 16 93 14 98 ?? ?? ?? ?? 09 90 18 9B C3 F1 FF 31 09 9B 1A 68 16 9B D3 1A 99 42 02 D8 14 98 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0A 90 0A 9B 1A 68 16 9B D2 1A 15 9B D3 1A 03 93 18 9A 16 9B 9A 42 20 D2 14 98 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 03 9A 15 99 02 23 01 FB 03 F1 0B 9B 58 18 16 99 02 23 01 FB 03 F3 C1 18 15 98 02 23 00 FB 03 F0 0C 9B 1C 18 18 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0D 90 0D 9B 1A 68 18 9B 1A 44 16 9B D3 1A 04 93 18 9B 00 2B 02 D8 16 9B 00 2B 41 D9 00 22 04 99 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 36 D0 16 9A 18 9B 9A 42 20 D2 14 98 ?? ?? ?? ?? 0E 90 14 98 ?? ?? ?? ?? 0F 90 03 9A 15 99 02 23 01 FB 03 F1 0E 9B 58 18 16 99 02 23 01 FB 03 F3 C1 18 15 98 02 23 00 FB 03 F0 0F 9B 1C 18 18 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 10 90 18 9A 17 99 15 98 02 23 00 FB 03 F0 10 9B 18 44 ?? ?? ?? ?? 04 99 14 98 ?? ?? ?? ?? 14 9B 05 93 05 98 11 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1227_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
		size = 152
		refs = "000e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z 0022 ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV01@@Z 002c ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0042 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z 004c ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@@Z 0054 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAAAGXZ 0084 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIPBGI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 14 A9 13 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 14 D0 11 A9 12 A8 ?? ?? ?? ?? 04 90 0C A9 10 98 ?? ?? ?? ?? 03 90 03 99 11 A8 ?? ?? ?? ?? 05 90 04 9A 05 99 10 98 ?? ?? ?? ?? 1F E0 13 A9 14 A8 ?? ?? ?? ?? 07 90 13 A8 ?? ?? ?? ?? 08 90 11 A9 12 A8 ?? ?? ?? ?? 09 90 0D A9 10 98 ?? ?? ?? ?? 06 90 06 99 11 A8 ?? ?? ?? ?? 0A 90 07 9B 00 93 08 9B 09 9A 0A 99 10 98 ?? ?? ?? ?? 10 9B 0B 93 0B 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_466_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
		size = 152
		refs = "000e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z 0022 ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV01@@Z 002c ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0042 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 004c ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@@Z 0054 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0084 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 14 A9 13 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 14 D0 11 A9 12 A8 ?? ?? ?? ?? 04 90 0C A9 10 98 ?? ?? ?? ?? 03 90 03 99 11 A8 ?? ?? ?? ?? 05 90 04 9A 05 99 10 98 ?? ?? ?? ?? 1F E0 13 A9 14 A8 ?? ?? ?? ?? 07 90 13 A8 ?? ?? ?? ?? 08 90 11 A9 12 A8 ?? ?? ?? ?? 09 90 0D A9 10 98 ?? ?? ?? ?? 06 90 06 99 11 A8 ?? ?? ?? ?? 0A 90 07 9B 00 93 08 9B 09 9A 0A 99 10 98 ?? ?? ?? ?? 10 9B 0B 93 0B 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1230_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
		size = 152
		refs = "000e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z 0022 ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV01@@Z 002c ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0042 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z 004c ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@@Z 0054 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 0084 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIPB_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 14 A9 13 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 14 D0 11 A9 12 A8 ?? ?? ?? ?? 04 90 0C A9 10 98 ?? ?? ?? ?? 03 90 03 99 11 A8 ?? ?? ?? ?? 05 90 04 9A 05 99 10 98 ?? ?? ?? ?? 1F E0 13 A9 14 A8 ?? ?? ?? ?? 07 90 13 A8 ?? ?? ?? ?? 08 90 11 A9 12 A8 ?? ?? ?? ?? 09 90 0D A9 10 98 ?? ?? ?? ?? 06 90 06 99 11 A8 ?? ?? ?? ?? 0A 90 07 9B 00 93 08 9B 09 9A 0A 99 10 98 ?? ?? ?? ?? 10 9B 0B 93 0B 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1234_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIG@Z"
		size = 74
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0020 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 003c ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 00 9B 1B 68 9A 42 04 D8 05 99 04 98 ?? ?? ?? ?? 0C E0 04 98 ?? ?? ?? ?? 01 90 BD F8 18 20 05 99 01 9B 1B 68 C9 1A 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1236_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI_W@Z"
		size = 74
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0020 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 003c ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 05 9A 00 9B 1B 68 9A 42 04 D8 05 99 04 98 ?? ?? ?? ?? 0C E0 04 98 ?? ?? ?? ?? 01 90 BD F8 18 20 05 99 01 9B 1B 68 C9 1A 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1237_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGXZ"
		size = 134
		refs = "000e ?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ 0032 ?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ 003a ?to_int_type@?$char_traits@G@std@@SAGABG@Z 005a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 98 ?? ?? ?? ?? 07 91 06 90 06 9B 08 93 07 9B 09 93 08 9B 03 93 09 9B 00 2B 11 DB 02 DC 03 9B 00 2B 0D D9 0E 98 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 11 E0 0E 9B 1B 68 1C 33 0E 9C 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 AD F8 04 00 BD F8 04 30 AD F8 00 30 BD F8 00 30 AD F8 14 30 BD F8 14 00 0B B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1238_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAGXZ"
		size = 134
		refs = "000e ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ 0032 ?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ 003a ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 005a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 98 ?? ?? ?? ?? 07 91 06 90 06 9B 08 93 07 9B 09 93 08 9B 03 93 09 9B 00 2B 11 DB 02 DC 03 9B 00 2B 0D D9 0E 98 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 11 E0 0E 9B 1B 68 1C 33 0E 9C 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 AD F8 04 00 BD F8 04 30 AD F8 00 30 BD F8 00 30 AD F8 14 30 BD F8 14 00 0B B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1243_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGXZ"
		size = 134
		refs = "000e ?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ 0032 ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 003a ?to_int_type@?$char_traits@G@std@@SAGABG@Z 005a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 98 ?? ?? ?? ?? 07 91 06 90 06 9B 08 93 07 9B 09 93 08 9B 03 93 09 9B 00 2B 11 DB 02 DC 03 9B 00 2B 0D D9 0E 98 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 11 E0 0E 9B 1B 68 18 33 0E 9C 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 AD F8 04 00 BD F8 04 30 AD F8 00 30 BD F8 00 30 AD F8 14 30 BD F8 14 00 0B B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1244_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAGXZ"
		size = 134
		refs = "000e ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ 0032 ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 003a ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 005a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 98 ?? ?? ?? ?? 07 91 06 90 06 9B 08 93 07 9B 09 93 08 9B 03 93 09 9B 00 2B 11 DB 02 DC 03 9B 00 2B 0D D9 0E 98 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 11 E0 0E 9B 1B 68 18 33 0E 9C 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 AD F8 04 00 BD F8 04 30 AD F8 00 30 BD F8 00 30 AD F8 14 30 BD F8 14 00 0B B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1248_1 {
	meta:
		name = "?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGG@Z"
		size = 162
		refs = "000e ?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ 0032 ?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ 0046 ?to_int_type@?$char_traits@G@std@@SAGABG@Z 0074 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8C B0 10 98 ?? ?? ?? ?? 09 91 08 90 08 9B 0A 93 09 9B 0B 93 0A 9B 04 93 0B 9B 00 2B 17 DB 02 DC 04 9B 00 2B 13 D9 10 98 ?? ?? ?? ?? 05 90 05 9B 02 93 BD F8 44 20 02 9B 1A 80 02 98 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 19 E0 11 A8 ?? ?? ?? ?? AD F8 04 00 BD F8 04 50 10 9B 1B 68 0C 33 10 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 29 46 98 47 AD F8 06 00 BD F8 06 30 AD F8 00 30 BD F8 00 30 AD F8 18 30 BD F8 18 00 0C B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1249_1 {
	meta:
		name = "?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAG_W@Z"
		size = 162
		refs = "000e ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ 0032 ?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ 0046 ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 0074 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8C B0 10 98 ?? ?? ?? ?? 09 91 08 90 08 9B 0A 93 09 9B 0B 93 0A 9B 04 93 0B 9B 00 2B 17 DB 02 DC 04 9B 00 2B 13 D9 10 98 ?? ?? ?? ?? 05 90 05 9B 02 93 BD F8 44 20 02 9B 1A 80 02 98 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 19 E0 11 A8 ?? ?? ?? ?? AD F8 04 00 BD F8 04 50 10 9B 1B 68 0C 33 10 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 29 46 98 47 AD F8 06 00 BD F8 06 30 AD F8 00 30 BD F8 00 30 AD F8 18 30 BD F8 18 00 0C B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1250_1 {
	meta:
		name = "?thousands_sep@?$_Mpunct@G@std@@QBAGXZ"
		size = 62
		refs = "001a _guard_check_icall"
		altNames = "?thousands_sep@?$_Mpunct@_W@std@@QBA_WXZ ?thousands_sep@?$numpunct@G@std@@QBAGXZ ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 1B 68 10 33 06 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 AD F8 00 00 BD F8 00 30 AD F8 08 30 BD F8 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1262_1 {
	meta:
		name = "?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z"
		size = 68
		refs = "0022 _guard_check_icall"
		altNames = "?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 83 B0 DD F8 34 80 0C 9F 0B 9E 0A 9B 1B 68 2C 33 0A 9D 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9C 28 46 31 46 3A 46 43 46 A0 47 01 90 01 9B 02 93 02 98 03 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1265_1 {
	meta:
		name = "?width@ios_base@std@@QAA_J_J@Z"
		size = 68
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 20 33 00 93 00 9B 1B 68 02 93 00 9B 5B 68 03 93 08 9B 20 33 01 93 0A 9A 01 9B 1A 60 0B 9A 01 9B 5A 60 02 9A 03 9B 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1266_1 {
	meta:
		name = "?width@ios_base@std@@QBA_JXZ"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 20 33 00 93 00 9B 1A 68 00 9B 5B 68 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1268_1 {
	meta:
		name = "_vsprintf_s_l"
		size = 84
		refs = "000a __local_stdio_printf_options 0028 __stdio_common_vsprintf_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 04 90 10 9B 02 93 0F 9B 01 93 0E 9B 00 93 0D 9B 0C 9A 04 99 08 68 04 99 49 68 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 03 DA 6F F0 00 03 06 93 01 E0 05 9B 06 93 06 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_1271_1 {
	meta:
		name = "ldexpf"
		size = 58
		refs = "0018 ldexp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 8D ED 00 0A 06 98 9D ED 00 0A B7 EE C0 0A ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B B7 EE C0 0B 8D ED 01 0A 9D ED 01 0A 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_55_1274_1 {
	meta:
		name = "sprintf_s"
		size = 62
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 0020 _vsprintf_s_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 0A AB 1B 1D 02 93 02 9B 00 93 00 23 0A 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 00 23 02 93 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_57_0_1 {
	meta:
		name = "_LDtento"
		size = 344
		refs = "0008 __security_push_cookie 0028 _LXp_getw 0048 _LXp_setw 005a _LXp_movx 0064 _LXp_ldexpx 007c _LXp_mulx 0118 _errno 0144 __security_pop_cookie 0150 _LInf 0154 tenth"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD B0 31 9B 00 2B 07 D0 30 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0A D1 04 21 30 98 ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B 81 E0 31 9B 00 2B 06 DD B2 EE 04 0B 04 21 0C A8 ?? ?? ?? ?? 0C E0 31 9B 5B 42 31 93 3F 4A 04 21 0C A8 ?? ?? ?? ?? 68 22 04 21 30 98 ?? ?? ?? ?? 31 9B 13 F0 01 0F 07 D0 1C AB 00 93 04 23 0C AA 04 21 30 98 ?? ?? ?? ?? 31 9B 5B 10 31 93 31 9B 00 2B 00 D1 0D E0 0C AA 04 21 14 A8 ?? ?? ?? ?? 1C AB 00 93 04 23 14 AA 04 21 0C A8 ?? ?? ?? ?? DE E7 0C AB 93 ED 00 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 6F F0 67 02 04 21 30 98 ?? ?? ?? ?? 04 21 30 98 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 02 0B 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 15 D0 9D ED 02 1B 17 4B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 0B D0 13 4B 93 ED 00 0B B1 EE 40 1B 9D ED 02 0B B4 EE 41 0B F1 EE 10 FA 0E D1 ?? ?? ?? ?? 04 90 04 9A 22 23 13 60 32 9B 00 2B 05 D0 32 9B 1B 68 43 F0 01 02 32 9B 1A 60 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 2D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_0_1 {
	meta:
		name = "_Dtento"
		size = 344
		refs = "0008 __security_push_cookie 0028 _Xp_getw 0048 _Xp_setw 005a _Xp_movx 0064 _Xp_ldexpx 007c _Xp_mulx 0118 _errno 0144 __security_pop_cookie 0150 _Inf 0154 tenth"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD B0 31 9B 00 2B 07 D0 30 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0A D1 04 21 30 98 ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B 81 E0 31 9B 00 2B 06 DD B2 EE 04 0B 04 21 0C A8 ?? ?? ?? ?? 0C E0 31 9B 5B 42 31 93 3F 4A 04 21 0C A8 ?? ?? ?? ?? 68 22 04 21 30 98 ?? ?? ?? ?? 31 9B 13 F0 01 0F 07 D0 1C AB 00 93 04 23 0C AA 04 21 30 98 ?? ?? ?? ?? 31 9B 5B 10 31 93 31 9B 00 2B 00 D1 0D E0 0C AA 04 21 14 A8 ?? ?? ?? ?? 1C AB 00 93 04 23 14 AA 04 21 0C A8 ?? ?? ?? ?? DE E7 0C AB 93 ED 00 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 6F F0 67 02 04 21 30 98 ?? ?? ?? ?? 04 21 30 98 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 02 0B 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 15 D0 9D ED 02 1B 17 4B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 0B D0 13 4B 93 ED 00 0B B1 EE 40 1B 9D ED 02 0B B4 EE 41 0B F1 EE 10 FA 0E D1 ?? ?? ?? ?? 04 90 04 9A 22 23 13 60 32 9B 00 2B 05 D0 32 9B 1B 68 43 F0 01 02 32 9B 1A 60 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 2D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_58_1_1 {
	meta:
		name = "?_Debug_message@std@@YAXPB_W0I@Z"
		size = 56
		refs = "001a _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 09 4B 00 93 00 23 08 9A 07 99 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_44_1 {
	meta:
		name = "??0system_error@std@@QAA@HABVerror_category@1@PBD@Z"
		size = 112
		refs = "000a __security_push_cookie 0020 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 002e ??0error_code@std@@QAA@HABVerror_category@1@@Z 0044 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 004e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0060 __security_pop_cookie 006c ??_7system_error@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 90 B0 6F 46 6F F0 01 03 C7 E9 06 33 F9 6D 17 F1 28 00 ?? ?? ?? ?? F8 60 BA 6D 79 6D 17 F1 20 00 ?? ?? ?? ?? 38 60 17 F1 28 03 3A 68 7A 60 7A 68 11 68 52 68 38 6D ?? ?? ?? ?? 38 61 17 F1 28 00 ?? ?? ?? ?? 06 4A 3B 6D 1A 60 3B 6D BB 60 B8 68 10 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_98_1 {
	meta:
		name = "?_Throw_C_error@std@@YAXH@Z"
		size = 64
		refs = "0026 ?_Throw_Cpp_error@std@@YAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 9B 5B 1E 00 93 00 9B 03 2B 0D D8 00 9A DF E8 02 F0 02 02 05 08 06 20 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 01 20 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_60_99_1 {
	meta:
		name = "?_Throw_Cpp_error@std@@YAXH@Z"
		size = 84
		refs = "000a ?generic_category@std@@YAABVerror_category@1@XZ 0030 ??0system_error@std@@QAA@HABVerror_category@1@PBD@Z 0038 _CxxThrowException 0048 _TI4?AVsystem_error@std@@ 004c ?codes@@3QBHB 0050 ?msgs@@3QBQBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 00 90 0A 9A 04 23 02 FB 03 F2 0D 4B 13 44 1B 68 00 9A 0A 98 04 21 00 FB 01 F0 08 49 01 44 09 68 02 A8 ?? ?? ?? ?? 04 49 02 A8 ?? ?? ?? ?? 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_34_1 {
	meta:
		name = "??0_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@AAV12@@Z"
		size = 116
		refs = "0024 ?rdbuf@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBAPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@XZ 005a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 0A 9A 0B 9B 13 60 0A 9B 1B 68 00 93 00 9B 1B 68 1B 1D 00 9A 1B 68 D0 18 ?? ?? ?? ?? 04 90 04 9B 00 2B 19 D0 0A 9B 1B 68 01 93 01 9B 1B 68 1B 1D 01 9A 1B 68 D0 18 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 1B 68 1B 1D 02 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 98 47 0A 9B 06 93 06 98 07 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_88_34_1 {
	meta:
		name = "??0_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@AAV12@@Z"
		size = 116
		refs = "0024 ?rdbuf@?$basic_ios@DU?$char_traits@D@std@@@std@@QBAPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@XZ 005a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 0A 9A 0B 9B 13 60 0A 9B 1B 68 00 93 00 9B 1B 68 1B 1D 00 9A 1B 68 D0 18 ?? ?? ?? ?? 04 90 04 9B 00 2B 19 D0 0A 9B 1B 68 01 93 01 9B 1B 68 1B 1D 01 9A 1B 68 D0 18 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 1B 68 1B 1D 02 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 98 47 0A 9B 06 93 06 98 07 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_84_34_1 {
	meta:
		name = "??0_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@AAV12@@Z"
		size = 116
		refs = "0024 ?rdbuf@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@XZ 005a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 0A 9A 0B 9B 13 60 0A 9B 1B 68 00 93 00 9B 1B 68 1B 1D 00 9A 1B 68 D0 18 ?? ?? ?? ?? 04 90 04 9B 00 2B 19 D0 0A 9B 1B 68 01 93 01 9B 1B 68 1B 1D 01 9A 1B 68 D0 18 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 1B 68 1B 1D 02 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 98 47 0A 9B 06 93 06 98 07 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_61_38_1 {
	meta:
		name = "??0_Winit@std@@QAA@XZ"
		size = 56
		refs = "0034 ?_Init_cnt@_Winit@std@@0HA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4B 1B 68 00 2B 05 DB 08 4B 1B 68 5A 1C 06 4B 1A 60 02 E0 05 4A 01 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_38_1 {
	meta:
		name = "??0_UShinit@std@@QAA@XZ"
		size = 56
		refs = "0034 ?_Init_cnt@_UShinit@std@@0HA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4B 1B 68 00 2B 05 DB 08 4B 1B 68 5A 1C 06 4B 1A 60 02 E0 05 4A 01 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_48_1 {
	meta:
		name = "??0sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@AAV12@@Z"
		size = 172
		refs = "001a ??0_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@AAV12@@Z 002c ?good@ios_base@std@@QBA_NXZ 0044 ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBAPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@XZ 007e ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAAAV12@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 79 6B 38 6B ?? ?? ?? ?? 78 61 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 38 70 3B 78 00 2B 24 D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 00 2B 18 D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? B8 60 BA 68 7B 6B 9A 42 0B D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 78 70 3B 6B 1A 1D 7B 78 13 70 3B 6B 3B 61 38 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_88_47_1 {
	meta:
		name = "??0sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@AAV12@@Z"
		size = 172
		refs = "001a ??0_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@AAV12@@Z 002c ?good@ios_base@std@@QBA_NXZ 0044 ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QBAPAV?$basic_ostream@DU?$char_traits@D@std@@@2@XZ 007e ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAAAV12@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 79 6B 38 6B ?? ?? ?? ?? 78 61 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 38 70 3B 78 00 2B 24 D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 00 2B 18 D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? B8 60 BA 68 7B 6B 9A 42 0B D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 78 70 3B 6B 1A 1D 7B 78 13 70 3B 6B 3B 61 38 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_84_48_1 {
	meta:
		name = "??0sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@AAV12@@Z"
		size = 172
		refs = "001a ??0_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@AAV12@@Z 002c ?good@ios_base@std@@QBA_NXZ 0044 ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAPAV?$basic_ostream@GU?$char_traits@G@std@@@2@XZ 007e ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAAAV12@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 79 6B 38 6B ?? ?? ?? ?? 78 61 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 38 70 3B 78 00 2B 24 D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 00 2B 18 D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? B8 60 BA 68 7B 6B 9A 42 0B D0 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? 7B 6B 1B 68 1B 1D 7A 6B 1B 68 D0 18 ?? ?? ?? ?? 78 70 3B 6B 1A 1D 7B 78 13 70 3B 6B 3B 61 38 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_61_61_1 {
	meta:
		name = "??1_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@XZ"
		size = 114
		refs = "0028 ?rdbuf@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBAPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@XZ 005e _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 88 B0 6F 46 6F F0 01 03 C7 E9 06 33 3B 6B 1B 68 3B 60 3B 68 1B 68 1B 1D 3A 68 1B 68 D0 18 ?? ?? ?? ?? 38 61 3B 69 00 2B 19 D0 3B 6B 1B 68 7B 60 7B 68 1B 68 1B 1D 7A 68 1B 68 D0 18 ?? ?? ?? ?? 78 61 7B 69 BB 60 BB 68 1B 68 08 33 BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 08 B0 BD E8 90 08 5D F8 0C FB }
	condition:
		$1
}

rule file_88_60_1 {
	meta:
		name = "??1_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@XZ"
		size = 114
		refs = "0028 ?rdbuf@?$basic_ios@DU?$char_traits@D@std@@@std@@QBAPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@XZ 005e _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 88 B0 6F 46 6F F0 01 03 C7 E9 06 33 3B 6B 1B 68 3B 60 3B 68 1B 68 1B 1D 3A 68 1B 68 D0 18 ?? ?? ?? ?? 38 61 3B 69 00 2B 19 D0 3B 6B 1B 68 7B 60 7B 68 1B 68 1B 1D 7A 68 1B 68 D0 18 ?? ?? ?? ?? 78 61 7B 69 BB 60 BB 68 1B 68 08 33 BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 08 B0 BD E8 90 08 5D F8 0C FB }
	condition:
		$1
}

rule file_84_61_1 {
	meta:
		name = "??1_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@XZ"
		size = 114
		refs = "0028 ?rdbuf@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@XZ 005e _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 88 B0 6F 46 6F F0 01 03 C7 E9 06 33 3B 6B 1B 68 3B 60 3B 68 1B 68 1B 1D 3A 68 1B 68 D0 18 ?? ?? ?? ?? 38 61 3B 69 00 2B 19 D0 3B 6B 1B 68 7B 60 7B 68 1B 68 1B 1D 7A 68 1B 68 D0 18 ?? ?? ?? ?? 78 61 7B 69 BB 60 BB 68 1B 68 08 33 BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 08 B0 BD E8 90 08 5D F8 0C FB }
	condition:
		$1
}

rule file_61_63_1 {
	meta:
		name = "??1_Winit@std@@QAA@XZ"
		size = 116
		refs = "0034 ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAAAV12@XZ 0064 ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0068 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 006c ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0070 ?_Init_cnt@_Winit@std@@0HA"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 16 4B 1B 68 5A 1E 14 4B 1A 60 13 4B 1B 68 00 2B 17 D1 10 4B 1B 68 00 2B 03 D0 0E 4B 18 68 ?? ?? ?? ?? 0B 4B 1B 68 00 2B 03 D0 09 4B 18 68 ?? ?? ?? ?? 06 4B 1B 68 00 2B 03 D0 04 4B 18 68 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_63_1 {
	meta:
		name = "??1_UShinit@std@@QAA@XZ"
		size = 116
		refs = "0034 ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAAAV12@XZ 0064 ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0068 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 006c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0070 ?_Init_cnt@_UShinit@std@@0HA"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 16 4B 1B 68 5A 1E 14 4B 1A 60 13 4B 1B 68 00 2B 17 D1 10 4B 1B 68 00 2B 03 D0 0E 4B 18 68 ?? ?? ?? ?? 0B 4B 1B 68 00 2B 03 D0 09 4B 18 68 ?? ?? ?? ?? 06 4B 1B 68 00 2B 03 D0 04 4B 18 68 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_68_1 {
	meta:
		name = "??1sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@XZ"
		size = 58
		refs = "0016 ?uncaught_exception@std@@YA_NXZ 0026 ?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 002c ??1_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 ?? ?? ?? ?? 38 70 3B 78 00 2B 03 D1 3B 6A 18 68 ?? ?? ?? ?? 38 6A ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_88_66_1 {
	meta:
		name = "??1sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@XZ"
		size = 58
		refs = "0016 ?uncaught_exception@std@@YA_NXZ 0026 ?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ 002c ??1_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 ?? ?? ?? ?? 38 70 3B 78 00 2B 03 D1 3B 6A 18 68 ?? ?? ?? ?? 38 6A ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_84_68_1 {
	meta:
		name = "??1sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@XZ"
		size = 58
		refs = "0016 ?uncaught_exception@std@@YA_NXZ 0026 ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ 002c ??1_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 ?? ?? ?? ?? 38 70 3B 78 00 2B 03 D1 3B 6A 18 68 ?? ?? ?? ?? 38 6A ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_61_73_1 {
	meta:
		name = "??Bsentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QBA_NXZ"
		size = 34
		altNames = "??Bsentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QBA_NXZ ??Bsentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_61_113_1 {
	meta:
		name = "?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ"
		size = 138
		refs = "0022 ?good@ios_base@std@@QBA_NXZ 003a ?flags@ios_base@std@@QBAHXZ 0054 ?rdbuf@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBAPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@XZ 005c ?pubsync@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAHXZ 007a ?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? 38 70 3B 78 00 2B 27 D0 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 13 F0 02 0F 1A D0 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 B3 F1 FF 3F 09 D1 00 22 04 21 BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? FF E7 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_88_114_1 {
	meta:
		name = "?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ"
		size = 138
		refs = "0022 ?good@ios_base@std@@QBA_NXZ 003a ?flags@ios_base@std@@QBAHXZ 0054 ?rdbuf@?$basic_ios@DU?$char_traits@D@std@@@std@@QBAPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@XZ 005c ?pubsync@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ 007a ?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? 38 70 3B 78 00 2B 27 D0 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 13 F0 02 0F 1A D0 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 B3 F1 FF 3F 09 D1 00 22 04 21 BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? FF E7 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_84_113_1 {
	meta:
		name = "?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ"
		size = 138
		refs = "0022 ?good@ios_base@std@@QBA_NXZ 003a ?flags@ios_base@std@@QBAHXZ 0054 ?rdbuf@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@XZ 005c ?pubsync@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAHXZ 007a ?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? 38 70 3B 78 00 2B 27 D0 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 13 F0 02 0F 1A D0 BB 6A 1B 68 1B 1D BA 6A 1B 68 D0 18 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 B3 F1 FF 3F 09 D1 00 22 04 21 BB 6A 1B 68 1B 1D B8 6A 1B 68 18 44 ?? ?? ?? ?? FF E7 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_61_145_1 {
	meta:
		name = "?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAAAV12@XZ"
		size = 152
		refs = "0022 ?rdbuf@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBAPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@XZ 0034 ??0sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@AAV12@@Z 003e ??Bsentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QBA_NXZ 005e ?pubsync@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAHXZ 007c ?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAXH_N@Z 0084 ??1sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 BB 6B 1B 68 1B 1D BA 6B 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 00 2B 2C D0 B9 6B 17 F1 18 00 ?? ?? ?? ?? 78 61 17 F1 18 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 1A D0 BB 6B 1B 68 1B 1D BA 6B 1B 68 D0 18 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 B3 F1 FF 3F 09 D1 00 22 04 21 BB 6B 1B 68 1B 1D B8 6B 1B 68 18 44 ?? ?? ?? ?? 17 F1 18 00 ?? ?? ?? ?? BB 6B 3B 61 38 69 0B B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_88_146_1 {
	meta:
		name = "?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAAAV12@XZ"
		size = 152
		refs = "0022 ?rdbuf@?$basic_ios@DU?$char_traits@D@std@@@std@@QBAPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@XZ 0034 ??0sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@AAV12@@Z 003e ??Bsentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QBA_NXZ 005e ?pubsync@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ 007c ?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAXH_N@Z 0084 ??1sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 BB 6B 1B 68 1B 1D BA 6B 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 00 2B 2C D0 B9 6B 17 F1 18 00 ?? ?? ?? ?? 78 61 17 F1 18 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 1A D0 BB 6B 1B 68 1B 1D BA 6B 1B 68 D0 18 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 B3 F1 FF 3F 09 D1 00 22 04 21 BB 6B 1B 68 1B 1D B8 6B 1B 68 18 44 ?? ?? ?? ?? 17 F1 18 00 ?? ?? ?? ?? BB 6B 3B 61 38 69 0B B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_84_145_1 {
	meta:
		name = "?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAAAV12@XZ"
		size = 152
		refs = "0022 ?rdbuf@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@XZ 0034 ??0sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@AAV12@@Z 003e ??Bsentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QBA_NXZ 005e ?pubsync@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAHXZ 007c ?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAXH_N@Z 0084 ??1sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 BB 6B 1B 68 1B 1D BA 6B 1B 68 D0 18 ?? ?? ?? ?? 78 60 7B 68 00 2B 2C D0 B9 6B 17 F1 18 00 ?? ?? ?? ?? 78 61 17 F1 18 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 1A D0 BB 6B 1B 68 1B 1D BA 6B 1B 68 D0 18 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? F8 60 FB 68 B3 F1 FF 3F 09 D1 00 22 04 21 BB 6B 1B 68 1B 1D B8 6B 1B 68 18 44 ?? ?? ?? ?? 17 F1 18 00 ?? ?? ?? ?? BB 6B 3B 61 38 69 0B B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_61_161_1 {
	meta:
		name = "?pubsync@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAHXZ"
		size = 54
		refs = "001a _guard_check_icall"
		altNames = "?pubsync@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ ?pubsync@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAHXZ"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 1B 68 34 33 06 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 01 90 01 9B 02 93 02 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_61_162_1 {
	meta:
		name = "?rdbuf@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBAPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@XZ"
		size = 30
		altNames = "?rdbuf@?$basic_ios@DU?$char_traits@D@std@@@std@@QBAPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@XZ ?rdbuf@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 38 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_61_167_1 {
	meta:
		name = "?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBAPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@XZ"
		size = 30
		altNames = "?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QBAPAV?$basic_ostream@DU?$char_traits@D@std@@@2@XZ ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAPAV?$basic_ostream@GU?$char_traits@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 3C 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_62_0_1 {
	meta:
		name = "_Getcvt"
		size = 260
		refs = "000a __security_push_cookie 001a memset 001e ___lc_codepage_func 0028 ___mb_cur_max_func 0032 ___lc_locale_name_func 006c _ismbblead 00f8 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 9F B0 00 23 14 93 28 22 00 21 15 A8 ?? ?? ?? ?? ?? ?? ?? ?? 04 90 04 9B 14 93 ?? ?? ?? ?? 05 90 05 9B 15 93 ?? ?? ?? ?? 06 90 06 9B 08 33 1B 68 00 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9B 16 93 16 9B 00 2B 2A D1 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B B3 F5 80 7F 20 DA 00 98 ?? ?? ?? ?? 07 90 07 9B 00 2B 18 D0 00 9B DA 10 01 23 02 FB 03 F2 17 AB 99 18 00 9B 03 F0 07 02 01 23 03 FA 02 F2 0B 78 43 EA 02 01 00 9B DA 10 01 23 02 FB 03 F2 17 AB 1A 44 CB B2 13 70 D7 E7 24 9A 14 AB 01 92 02 93 01 9D 02 9C 94 E8 0F 00 85 E8 0F 00 02 9B 10 33 02 93 01 9B 10 33 01 93 01 9D 02 9C 94 E8 0F 00 85 E8 0F 00 02 9B 10 33 02 93 01 9B 10 33 01 93 01 9C 02 98 90 E8 0E 00 84 E8 0E 00 24 9B 08 93 08 98 1F B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_62_1_1 {
	meta:
		name = "_Wcrtomb"
		size = 264
		refs = "000a __security_push_cookie 0022 _errno 0054 _Getcvt 00f6 __security_pop_cookie 0104 __imp_WideCharToMultiByte"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? A5 B0 2D 9B 08 33 1B 68 00 2B 16 D0 BD F8 AC 30 FF 2B 09 DD ?? ?? ?? ?? 09 90 09 9A 2A 23 13 60 6F F0 00 03 06 93 5D E0 BD F8 AC 30 5A B2 2A 9B 1A 70 01 23 06 93 55 E0 54 E0 00 23 07 93 2D 9B 00 2B 28 D1 0E A8 ?? ?? ?? ?? 0E AB 0A 93 0A 9B 1A AA 04 92 05 93 04 9D 05 9C 94 E8 0F 00 85 E8 0F 00 05 9B 10 33 05 93 04 9B 10 33 04 93 04 9D 05 9C 94 E8 0F 00 85 E8 0F 00 05 9B 10 33 05 93 04 9B 10 33 04 93 04 9C 05 98 90 E8 0E 00 84 E8 0E 00 1A AB 2D 93 07 AB 03 93 00 23 02 93 2D 9B 1B 1D 1B 68 01 93 2A 9B 00 93 01 23 2B AA 00 21 2D 98 00 68 10 4C 24 68 A0 47 0B 90 0B 9B 08 93 08 9B 00 2B 02 D0 07 9B 00 2B 09 D0 ?? ?? ?? ?? 0C 90 0C 9A 2A 23 13 60 6F F0 00 03 06 93 01 E0 08 9B 06 93 06 98 25 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_2_1 {
	meta:
		name = "__Wcrtomb_lk"
		size = 42
		refs = "0014 _Wcrtomb"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A BD F8 14 10 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_63_0_1 {
	meta:
		name = "_Dnorm"
		size = 454
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 9B 1D 1B 88 03 F4 00 43 9B B2 AD F8 04 30 01 23 AD F8 00 30 06 9B 9B 1D 1B 88 03 F0 0F 03 9B B2 AD F8 02 30 06 9B 9A 1D BD F8 02 30 13 80 BD F8 02 30 00 2B 0E D1 06 9B 1B 1D 1B 88 00 2B 09 D1 06 9B 9B 1C 1B 88 00 2B 04 D1 06 9B 1B 88 00 2B 00 F0 9D 80 05 E0 BD F9 00 30 10 3B 1B B2 AD F8 00 30 06 9B 9B 1D 1B 88 00 2B 14 D1 06 9B 19 1D 06 9B 9A 1D 0B 88 13 80 06 9B 99 1C 06 9B 1A 1D 0B 88 13 80 06 99 06 9B 9A 1C 0B 88 13 80 06 9A 00 23 13 80 DF E7 05 E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 06 9B 9B 1D 1B 88 10 2B 2C DA 06 9B 9B 1D 1B 88 5A 00 06 9B 1B 1D 1B 88 DB 13 13 43 9A B2 06 9B 9B 1D 1A 80 06 9B 1B 1D 1B 88 5A 00 06 9B 9B 1C 1B 88 DB 13 13 43 9A B2 06 9B 1B 1D 1A 80 06 9B 9B 1C 1B 88 5A 00 06 9B 1B 88 DB 13 13 43 9A B2 06 9B 9B 1C 1A 80 06 9B 1B 88 5B 00 9A B2 06 9B 1A 80 C7 E7 05 E0 BD F9 00 30 5B 1C 1B B2 AD F8 00 30 06 9B 9B 1D 1B 88 20 2B 2D DB 06 9B 1B 88 5A 10 06 9B 9B 1C 1B 88 DB 03 13 43 9A B2 06 9B 1A 80 06 9B 9B 1C 1B 88 5A 10 06 9B 1B 1D 1B 88 DB 03 13 43 9A B2 06 9B 9B 1C 1A 80 06 9B 1B 1D 1B 88 5A 10 06 9B 9B 1D 1B 88 DB 03 13 43 9A B2 06 9B 1B 1D 1A 80 06 9B 9B 1D 1B 88 5B 08 9A B2 06 9B 9B 1D 1A 80 C6 E7 06 9B 9B 1D 1B 88 03 F0 0F 01 06 9B 9A 1D 8B B2 13 80 06 9B 9B 1D BD F8 04 20 1B 88 43 EA 02 01 06 9B 9A 1D 8B B2 13 80 BD F9 00 30 AD F8 08 30 BD F9 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_65_0_1 {
	meta:
		name = "?uncaught_exception@std@@YA_NXZ"
		size = 34
		refs = "0008 __uncaught_exception"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_67_0_1 {
	meta:
		name = "_FDtest"
		size = 156
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9B 9B 1C 1B 88 03 F4 FF 43 B3 F5 FF 4F 15 D1 00 9B 9B 1C 1B 88 03 F0 7F 03 00 2B 06 D1 00 9B 1B 88 00 2B 02 D1 01 23 02 93 01 E0 02 23 02 93 02 9B 1B B2 AD F8 04 30 22 E0 21 E0 00 9B 9B 1C 1B 88 23 F4 00 43 00 2B 03 D1 00 9B 1B 88 00 2B 13 D0 00 9B 9B 1C 1B 88 03 F4 FF 43 00 2B 03 D1 6F F0 01 03 03 93 02 E0 6F F0 00 03 03 93 03 9B 1B B2 AD F8 04 30 03 E0 02 E0 00 23 AD F8 04 30 BD F9 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_67_2_1 {
	meta:
		name = "_FPmsw"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 9B 1C 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_68_0_1 {
	meta:
		name = "_Exp"
		size = 572
		refs = "01f6 _Dscale 0214 p 0218 q 021c _Eps 0220 c2 0224 c1 0228 invln2 022c _Inf 0230 hugexp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 8D ED 06 0B 88 4B 93 ED 00 0B B1 EE 40 1B 0E 9B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 06 D3 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 09 D1 9F ED 7F 0B 0E 9B 83 ED 00 0B 00 23 AD F8 04 30 DE E0 DD E0 79 4B 93 ED 00 1B 0E 9B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0A D2 72 4B 93 ED 00 0B 0E 9B 83 ED 00 0B 01 23 AD F8 04 30 C8 E0 C7 E0 0E 9B 93 ED 00 1B 6A 4B 93 ED 00 0B 21 EE 00 0B 8D ED 02 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 04 D2 BE EE 00 0B 8D ED 08 0B 03 E0 B6 EE 00 0B 8D ED 08 0B 9D ED 02 1B 9D ED 08 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 1B B2 AD F8 00 30 BD F9 00 30 00 EE 10 3A B8 EE C0 0B 8D ED 02 0B 9D ED 02 1B 52 4B 93 ED 00 0B 21 EE 00 1B 0E 9B 93 ED 00 0B 30 EE 41 2B 9D ED 02 1B 4B 4B 93 ED 00 0B 21 EE 00 0B 32 EE 40 0B 8D ED 02 0B 46 4B 93 ED 00 0B B1 EE 40 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0F D2 9D ED 02 1B 3F 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 9D ED 06 0B 0E 9B 83 ED 00 0B 57 E0 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 04 0B 33 4B 93 ED 00 1B 9D ED 04 0B 21 EE 00 1B 2F 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 2A 4B 10 33 93 ED 00 0B 31 EE 00 0B 8D ED 0A 0B 25 4B 08 33 9D ED 04 1B 93 ED 00 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 1F 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 20 EE 01 0B 8D ED 02 0B 9D ED 0A 1B 9D ED 02 0B 31 EE 00 2B 9D ED 0A 1B 9D ED 02 0B 31 EE 40 0B 82 EE 00 1B B0 EE 00 0B 21 EE 00 1B 9D ED 06 0B 21 EE 00 0B 0E 9B 83 ED 00 0B BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 20 BD F9 3C 30 D1 18 0E 98 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 04 30 BD F9 04 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_69_0_1 {
	meta:
		name = "_Stof"
		size = 48
		refs = "0012 _Stofx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_78_0_1 {
	meta:
		name = "_WStof"
		size = 48
		refs = "0012 _WStofx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_69_1_1 {
	meta:
		name = "_Stofx"
		size = 540
		refs = "0008 __security_push_cookie 0016 _Stopfx 004e _Stoflt 0060 _FXp_setw 0086 _FXp_setn 009e _FXp_mulx 00c6 _FXp_addx 00dc _FDtento 0100 _Stoxflt 019a _FDscale 01d4 _FPmsw 01fa __security_pop_cookie 020c _FNan 0210 _FInf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? BD B0 40 9B 09 93 41 99 40 A8 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 9B 03 F0 08 03 11 93 43 9B 00 2B 02 D0 43 9A 00 23 13 60 02 9B 23 F0 08 03 02 93 02 9B 01 2B 55 D1 01 23 00 93 06 AB 41 9A 40 99 09 98 ?? ?? ?? ?? 0D 90 0D 9B 08 93 9F ED 6F 0A 04 21 1C A8 ?? ?? ?? ?? 08 9B 00 2B 06 D1 9F ED 67 0A 04 21 14 A8 ?? ?? ?? ?? 29 E0 01 23 04 93 06 AB 1B 1D 1A 68 04 21 14 A8 ?? ?? ?? ?? 04 9A 08 9B 9A 42 1C DA 2C AB 00 93 04 23 1C AA 04 21 14 A8 ?? ?? ?? ?? 04 9B 5B 1C 04 93 04 9A 04 23 02 FB 03 F2 06 AB 13 44 1A 68 04 21 20 A8 ?? ?? ?? ?? 04 23 20 AA 04 21 14 A8 ?? ?? ?? ?? DE E7 06 AB 42 9A 1B 68 13 44 42 93 43 9A 42 99 14 A8 ?? ?? ?? ?? 8D ED 0E 0A 9D ED 0E 0A 8D ED 03 0A 6E E0 02 9B 02 2B 55 D1 01 23 00 93 06 AB 41 9A 40 99 09 98 ?? ?? ?? ?? 0F 90 0F 9B 0A 93 9F ED 42 0A 04 21 24 A8 ?? ?? ?? ?? 0A 9B 00 2B 06 D1 9F ED 3A 0A 04 21 18 A8 ?? ?? ?? ?? 29 E0 01 23 05 93 06 AB 1B 1D 1A 68 04 21 18 A8 ?? ?? ?? ?? 05 9A 0A 9B 9A 42 1C DA 34 AB 00 93 04 23 24 AA 04 21 18 A8 ?? ?? ?? ?? 05 9B 5B 1C 05 93 05 9A 04 23 02 FB 03 F2 06 AB 13 44 1A 68 04 21 28 A8 ?? ?? ?? ?? 04 23 28 AA 04 21 18 A8 ?? ?? ?? ?? DE E7 43 9A 42 99 18 A8 ?? ?? ?? ?? 8D ED 10 0A 9D ED 10 0A 8D ED 03 0A 06 AB 19 68 03 A8 ?? ?? ?? ?? 15 E0 02 9B 03 2B 05 D1 1A 4B 93 ED 00 0A 8D ED 03 0A 0C E0 02 9B 04 2B 05 D1 14 4B 93 ED 00 0A 8D ED 03 0A 03 E0 9F ED 10 0A 8D ED 03 0A 11 9B 00 2B 0C D0 03 A8 ?? ?? ?? ?? 12 90 12 9B 0B 93 0B 9B 1B 88 83 F4 00 43 9A B2 0B 9B 1A 80 9D ED 03 0A 8D ED 13 0A 9D ED 13 0A 3D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 4D 28 6B 6E 4E }
	condition:
		$1
}

rule file_78_1_1 {
	meta:
		name = "_WStofx"
		size = 540
		refs = "0008 __security_push_cookie 0016 _WStopfx 004e _WStoflt 0060 _FXp_setw 0086 _FXp_setn 009e _FXp_mulx 00c6 _FXp_addx 00dc _FDtento 0100 _WStoxflt 019a _FDscale 01d4 _FPmsw 01fa __security_pop_cookie 020c _FNan 0210 _FInf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? BD B0 40 9B 09 93 41 99 40 A8 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 9B 03 F0 08 03 11 93 43 9B 00 2B 02 D0 43 9A 00 23 13 60 02 9B 23 F0 08 03 02 93 02 9B 01 2B 55 D1 01 23 00 93 06 AB 41 9A 40 99 09 98 ?? ?? ?? ?? 0D 90 0D 9B 08 93 9F ED 6F 0A 04 21 1C A8 ?? ?? ?? ?? 08 9B 00 2B 06 D1 9F ED 67 0A 04 21 14 A8 ?? ?? ?? ?? 29 E0 01 23 04 93 06 AB 1B 1D 1A 68 04 21 14 A8 ?? ?? ?? ?? 04 9A 08 9B 9A 42 1C DA 2C AB 00 93 04 23 1C AA 04 21 14 A8 ?? ?? ?? ?? 04 9B 5B 1C 04 93 04 9A 04 23 02 FB 03 F2 06 AB 13 44 1A 68 04 21 20 A8 ?? ?? ?? ?? 04 23 20 AA 04 21 14 A8 ?? ?? ?? ?? DE E7 06 AB 42 9A 1B 68 13 44 42 93 43 9A 42 99 14 A8 ?? ?? ?? ?? 8D ED 0E 0A 9D ED 0E 0A 8D ED 03 0A 6E E0 02 9B 02 2B 55 D1 01 23 00 93 06 AB 41 9A 40 99 09 98 ?? ?? ?? ?? 0F 90 0F 9B 0A 93 9F ED 42 0A 04 21 24 A8 ?? ?? ?? ?? 0A 9B 00 2B 06 D1 9F ED 3A 0A 04 21 18 A8 ?? ?? ?? ?? 29 E0 01 23 05 93 06 AB 1B 1D 1A 68 04 21 18 A8 ?? ?? ?? ?? 05 9A 0A 9B 9A 42 1C DA 34 AB 00 93 04 23 24 AA 04 21 18 A8 ?? ?? ?? ?? 05 9B 5B 1C 05 93 05 9A 04 23 02 FB 03 F2 06 AB 13 44 1A 68 04 21 28 A8 ?? ?? ?? ?? 04 23 28 AA 04 21 18 A8 ?? ?? ?? ?? DE E7 43 9A 42 99 18 A8 ?? ?? ?? ?? 8D ED 10 0A 9D ED 10 0A 8D ED 03 0A 06 AB 19 68 03 A8 ?? ?? ?? ?? 15 E0 02 9B 03 2B 05 D1 1A 4B 93 ED 00 0A 8D ED 03 0A 0C E0 02 9B 04 2B 05 D1 14 4B 93 ED 00 0A 8D ED 03 0A 03 E0 9F ED 10 0A 8D ED 03 0A 11 9B 00 2B 0C D0 03 A8 ?? ?? ?? ?? 12 90 12 9B 0B 93 0B 9B 1B 88 83 F4 00 43 9A B2 0B 9B 1A 80 9D ED 03 0A 8D ED 13 0A 9D ED 13 0A 3D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 4D 28 6B 6E 4E }
	condition:
		$1
}

rule file_70_0_1 {
	meta:
		name = "_Query_perf_counter"
		size = 40
		refs = "0024 __imp_QueryPerformanceCounter"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 02 A8 06 4B 1B 68 98 47 02 9A 03 9B 00 92 01 93 00 98 01 99 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_1_1 {
	meta:
		name = "_Query_perf_frequency"
		size = 40
		refs = "0024 __imp_QueryPerformanceFrequency"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 02 A8 06 4B 1B 68 98 47 02 9A 03 9B 00 92 01 93 00 98 01 99 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_2_1 {
	meta:
		name = "_Xtime_diff_to_millis"
		size = 52
		refs = "0008 __security_push_cookie 0012 xtime_get 001a _Xtime_diff_to_millis2 0028 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 87 B0 01 21 02 A8 ?? ?? ?? ?? 02 A9 0A 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 07 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_70_3_1 {
	meta:
		name = "_Xtime_diff_to_millis2"
		size = 92
		refs = "000a __security_push_cookie 0016 xtime_diff 003e __rt_sdiv 004a __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 8B B0 11 9A 10 99 02 A8 ?? ?? ?? ?? 02 AB 00 93 00 9C 06 AD 94 E8 0F 00 85 E8 0F 00 06 9A 4F F4 7A 73 02 FB 03 F4 08 9A 08 4B 13 44 59 1E 06 48 ?? ?? ?? ?? 23 18 01 93 01 98 0B B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB FE DE 40 42 0F 00 }
	condition:
		$1
}

rule file_70_4_1 {
	meta:
		name = "_Xtime_get_ticks"
		size = 56
		refs = "0034 __imp_GetSystemTimePreciseAsFileTime"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 02 A8 0A 4B 1B 68 98 47 03 98 02 99 06 4A 05 4B 8A 1A 60 EB 03 03 00 92 01 93 00 98 01 99 04 B0 BD E8 00 88 DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_5_1 {
	meta:
		name = "sys_get_time"
		size = 96
		refs = "000a _Xtime_get_ticks 0022 __rt_udiv64"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 05 91 04 90 04 9B 02 93 05 9B 03 93 10 48 00 21 02 9A 03 9B ?? ?? ?? ?? 07 93 06 92 0C 9B 00 93 00 9B 18 60 00 9B 59 60 09 48 00 21 02 9A 03 9B ?? ?? ?? ?? 09 91 08 90 64 23 02 FB 03 F2 0C 9B 08 33 1A 60 0A B0 5D F8 04 BB 5D F8 0C FB 80 96 98 00 }
	condition:
		$1
}

rule file_70_6_1 {
	meta:
		name = "xtime_diff"
		size = 232
		refs = "000a __security_push_cookie 001e xtime_normalize 00d8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 91 B0 17 9C 0C AD 94 E8 0F 00 85 E8 0F 00 0C A8 ?? ?? ?? ?? 18 9B 08 33 0E 9A 1B 68 9A 42 18 DA 18 9B 00 93 00 9B 19 68 00 9B 5A 68 00 23 48 1C 42 EB 03 01 0C 9A 0D 9B 12 1A 8B 41 0C 92 0D 93 18 9B 08 33 1A 68 23 4B 9A 1A 0E 9B 13 44 0E 93 12 E0 18 9B 0C 98 0D 99 01 93 01 9B 1A 68 01 9B 5B 68 82 1A 61 EB 03 03 0C 92 0D 93 18 9B 08 33 0E 9A 1B 68 D3 1A 0E 93 0C 9B 04 93 0D 9B 05 93 04 9B 02 93 05 9B 00 2B 0F DB 02 DC 02 9B 00 2B 0B D3 0C 9B 06 93 0D 9B 07 93 07 9A 06 9B 13 43 00 2B 08 D1 0E 9B 00 2B 05 DC 00 23 0C 93 00 23 0D 93 00 23 0E 93 16 9D 0C AC 94 E8 0F 00 85 E8 0F 00 16 9B 08 93 08 98 11 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB 00 CA 9A 3B }
	condition:
		$1
}

rule file_70_7_1 {
	meta:
		name = "xtime_get"
		size = 50
		refs = "001e sys_get_time"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 01 2B 02 D1 04 9B 00 2B 02 D1 00 23 05 93 02 E0 04 98 ?? ?? ?? ?? 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_70_8_1 {
	meta:
		name = "xtime_normalize"
		size = 144
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 1B 68 00 2B 17 DA 06 9B 00 93 00 9B 19 68 00 9B 5A 68 00 23 49 1E 9A 41 06 9B 01 93 01 9B 19 60 01 9B 5A 60 06 9B 08 33 1A 68 14 4B 1A 44 06 9B 08 33 1A 60 E2 E7 06 9B 08 33 1A 68 10 4B 9A 42 17 DB 06 9B 02 93 02 9B 19 68 02 9B 5A 68 00 23 49 1C 5A 41 06 9B 03 93 03 9B 19 60 03 9B 5A 60 06 9B 08 33 1A 68 05 4B D2 1A 06 9B 08 33 1A 60 E1 E7 04 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_71_0_1 {
	meta:
		name = "_LDtest"
		size = 42
		refs = "000c _Dtest"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_71_2_1 {
	meta:
		name = "_LPmsw"
		size = 28
		altNames = "_Pmsw"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 9B 1D 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_72_0_1 {
	meta:
		name = "_Mbrtowc"
		size = 656
		refs = "000a __security_push_cookie 0046 _Getcvt 00dc _CrtDbgReportW 013e _errno 0272 __security_pop_cookie 0280 __imp_MultiByteToWideChar 0284 ??_C@_1FE@JBOINFOO@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAc?$AAp?$AAp?$AA?2@ 0288 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 028c ??_C@_1FK@EECMNKOM@?$AAp?$AAl?$AAo?$AAc?$AA?9?$AA?$DO?$AA_?$AAM?$AAb?$AAc?$AAu?$AAr?$AAm?$AAa?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAp?$AAl?$AAo?$AAc?$AA?9?$AA?$DO?$AA_?$AAM@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? A9 B0 2F 9B 00 2B 02 D0 30 9B 00 2B 02 D1 00 23 03 93 25 E1 2F 9B 93 F9 00 30 00 2B 08 D1 2E 9B 00 2B 02 D0 2E 9A 00 23 13 80 00 23 03 93 17 E1 32 9B 00 2B 28 D1 12 A8 ?? ?? ?? ?? 12 AB 09 93 09 9B 1E AA 04 92 05 93 04 9D 05 9C 94 E8 0F 00 85 E8 0F 00 05 9B 10 33 05 93 04 9B 10 33 04 93 04 9D 05 9C 94 E8 0F 00 85 E8 0F 00 05 9B 10 33 05 93 04 9B 10 33 04 93 04 9C 05 98 90 E8 0E 00 84 E8 0E 00 1E AB 32 93 32 9B 08 33 1B 68 00 2B 0B D0 2E 9B 00 2B 05 D0 2F 9B 93 F9 00 30 DA B2 2E 9B 1A 80 01 23 03 93 DA E0 32 9B 1B 1D 1B 68 01 2B 13 D0 32 9B 1B 1D 1B 68 02 2B 0E D0 6F 4B 01 93 6D 4B 00 93 00 23 59 22 6A 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 31 9B 1B 68 00 2B 37 D0 31 9B 5A 1C 2F 9B 93 F9 00 30 13 70 32 9B 1B 1D 1B 68 01 2B 17 D9 2E 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 01 93 2E 9B 00 93 02 23 31 9A 09 21 32 98 00 68 55 4C 24 68 A0 47 0B 90 0B 9B 00 2B 0C D1 31 9A 00 23 13 60 ?? ?? ?? ?? 0C 90 0C 9A 2A 23 13 60 6F F0 00 03 03 93 8D E0 31 9A 00 23 13 60 32 9B 1B 1D 1B 68 03 93 85 E0 2F 9B 93 F9 00 30 DB B2 8D F8 08 30 32 9B 03 F1 0C 01 9D F8 08 30 DA 10 01 23 02 FB 03 F3 0B 44 19 78 9D F8 08 30 03 F0 07 02 01 23 93 40 0B 40 00 2B 47 D0 32 9B 1B 1D 30 9A 1B 68 9A 42 09 D2 31 9A 2F 9B 93 F9 00 30 13 70 6F F0 01 03 03 93 5C E0 31 E0 32 9B 1B 1D 1B 68 01 2B 19 D9 2E 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 01 93 2E 9B 00 93 32 9B 1B 1D 1B 68 2F 9A 09 21 32 98 00 68 26 4C 24 68 A0 47 0D 90 0D 9B 00 2B 12 D1 2F 9B 5B 1C 93 F9 00 30 00 2B 0C D1 31 9A 00 23 13 60 ?? ?? ?? ?? 0E 90 0E 9A 2A 23 13 60 6F F0 00 03 03 93 29 E0 32 9B 1B 1D 1B 68 03 93 24 E0 23 E0 2E 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 01 93 2E 9B 00 93 01 23 2F 9A 09 21 32 98 00 68 0D 4C 24 68 A0 47 0F 90 0F 9B 00 2B 09 D1 ?? ?? ?? ?? 10 90 10 9A 2A 23 13 60 6F F0 00 03 03 93 01 E0 01 23 03 93 03 98 29 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_73_1_1 {
	meta:
		name = "_Stoullx"
		size = 784
		refs = "002c isspace 0142 tolower 0280 __rt_udiv64 02a4 _errno 0308 ndigs 030c digits"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B A7 B0 2D 9B 00 2B 02 D0 2D 9A 00 23 13 60 2A 9B 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 14 90 14 9B 00 2B 00 D0 F1 E7 00 9B 93 F9 00 30 2D 2B 07 D0 00 9B 93 F9 00 30 2B 2B 02 D0 2B 23 08 93 06 E0 00 9B 93 F9 00 30 08 93 00 9B 5B 1C 00 93 08 9B 5B B2 8D F8 05 30 2C 9B 00 2B 05 DB 2C 9B 01 2B 02 D0 2C 9B 24 2B 0B DD 2B 9B 00 2B 02 D0 2A 9A 2B 9B 1A 60 00 23 06 93 00 23 07 93 32 E1 36 E0 2C 9B 00 2B 17 DD 2C 9B 10 2B 13 D1 00 9B 93 F9 00 30 30 2B 0E D1 00 9B 5B 1C 93 F9 00 30 78 2B 05 D0 00 9B 5B 1C 93 F9 00 30 58 2B 02 D1 00 9B 9B 1C 00 93 1B E0 00 9B 93 F9 00 30 30 2B 02 D0 0A 23 2C 93 13 E0 00 9B 5B 1C 93 F9 00 30 78 2B 05 D0 00 9B 5B 1C 93 F9 00 30 58 2B 05 D1 10 23 2C 93 00 9B 9B 1C 00 93 01 E0 08 23 2C 93 00 9B 19 93 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 30 2B 00 D1 F6 E7 00 23 02 93 00 23 03 93 00 9B 1A 93 00 23 12 93 00 23 13 93 00 23 8D F8 04 30 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 00 ?? ?? ?? ?? 15 90 2C 99 15 9A 6F 4B 04 93 D3 B2 16 93 09 91 09 9B 00 2B 0F D0 04 9A 09 9B 13 44 17 93 04 9B 1A 78 16 9B 9A 42 08 D0 04 9B 5B 1C 04 93 04 9A 17 9B 9A 42 F3 D1 00 23 04 93 04 9B 18 93 18 9B 0A 93 0A 9B 00 2B 27 D0 02 9B 12 93 03 9B 13 93 0A 9A 5C 4B D3 1A 5B B2 8D F8 04 30 2C 98 2C 9B DA 17 02 9B 03 99 0B 93 0C 90 0B 9B 03 FB 02 F2 0C 9B 01 FB 03 F3 D1 18 0B 9A 0C 9B A2 FB 03 03 19 44 9D F9 04 30 0D 93 0D 9A 0D 9B DB 17 12 18 4B 41 02 92 03 93 AB E7 19 9A 00 9B 9A 42 0A D1 2B 9B 00 2B 02 D0 2A 9A 2B 9B 1A 60 00 23 06 93 00 23 07 93 7D E0 00 9A 1A 9B D1 1A 2C 9A 01 23 02 FB 03 F2 3F 4B 13 44 93 F9 00 30 CB 1A 0E 93 0E 9B 00 2B 00 DA 57 E0 0E 9B 00 2B 3F DC 9D F9 04 30 0F 93 0F 99 0F 9B D8 17 02 9A 03 9B 51 1A 63 EB 00 02 02 9B 20 93 03 9B 21 93 20 9B 1B 93 1C 91 21 9B 93 42 2A D3 03 D8 1B 9A 1C 9B 9A 42 25 D3 9D F9 04 30 10 93 10 98 10 9B D9 17 02 9A 03 9B 12 1A 63 EB 01 04 2C 98 2C 9B D9 17 23 46 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 25 93 24 92 12 9B 22 93 13 9B 23 93 1D 91 23 9B 1E 93 22 9B 98 42 03 D1 1D 9A 1E 9B 9A 42 14 D0 ?? ?? ?? ?? 1F 90 1F 9A 22 23 13 60 2D 9B 00 2B 02 D0 2D 9A 01 23 13 60 6F F0 00 03 02 93 6F F0 00 03 03 93 2B 23 8D F8 05 30 9D F9 05 30 2D 2B 06 D1 02 9A 03 99 00 23 52 42 8B 41 02 92 03 93 2B 9B 00 2B 02 D0 00 9A 2B 9B 1A 60 02 9A 03 9B 06 92 07 93 06 98 07 99 27 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_0_1 {
	meta:
		name = "_LExp"
		size = 592
		refs = "020a _LDscale 0228 p 022c q 0230 _LEps 0234 c2 0238 c1 023c invln2 0240 _LInf 0244 hugexp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 8D ED 06 0B 8D 4B 93 ED 00 0B B1 EE 40 1B 0E 9B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 06 D3 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 09 D1 9F ED 84 0B 0E 9B 83 ED 00 0B 00 23 AD F8 04 30 E8 E0 E7 E0 7E 4B 93 ED 00 1B 0E 9B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0A D2 77 4B 93 ED 00 0B 0E 9B 83 ED 00 0B 01 23 AD F8 04 30 D2 E0 D1 E0 0E 9B 93 ED 00 1B 6F 4B 93 ED 00 0B 21 EE 00 0B 8D ED 02 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 04 D2 BE EE 00 0B 8D ED 08 0B 03 E0 B6 EE 00 0B 8D ED 08 0B 9D ED 02 1B 9D ED 08 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 1B B2 AD F8 00 30 BD F9 00 30 00 EE 10 3A B8 EE C0 0B 8D ED 02 0B 9D ED 02 1B 57 4B 93 ED 00 0B 21 EE 00 1B 0E 9B 93 ED 00 0B 30 EE 41 2B 9D ED 02 1B 50 4B 93 ED 00 0B 21 EE 00 0B 32 EE 40 0B 8D ED 02 0B 4B 4B 93 ED 00 0B B1 EE 40 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0F D2 9D ED 02 1B 44 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 9D ED 06 0B 0E 9B 83 ED 00 0B 61 E0 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 04 0B 38 4B 08 33 9D ED 04 1B 93 ED 00 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 32 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 2D 4B 18 33 93 ED 00 0B 31 EE 00 0B 8D ED 0A 0B 28 4B 93 ED 00 1B 9D ED 04 0B 21 EE 00 1B 24 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 1F 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 20 EE 01 0B 8D ED 02 0B 9D ED 0A 1B 9D ED 02 0B 31 EE 00 2B 9D ED 0A 1B 9D ED 02 0B 31 EE 40 0B 82 EE 00 1B B0 EE 00 0B 21 EE 00 1B 9D ED 06 0B 21 EE 00 0B 0E 9B 83 ED 00 0B BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 20 BD F9 3C 30 D1 18 0E 98 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 04 30 BD F9 04 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_76_2_1 {
	meta:
		name = "_Getdateorder"
		size = 124
		refs = "0018 memset 001c ___lc_locale_name_func 0078 __imp_GetLocaleInfoEx"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 00 23 AD F8 00 30 02 22 00 21 0D F1 02 00 ?? ?? ?? ?? ?? ?? ?? ?? 04 90 02 23 6A 46 22 21 04 98 14 30 00 68 12 4C 24 68 A0 47 6B 46 1B 88 30 2B 02 D1 02 23 03 93 13 E0 6B 46 1B 88 31 2B 02 D1 01 23 02 93 0A E0 6B 46 1B 88 32 2B 02 D1 03 23 01 93 01 E0 00 23 01 93 01 9B 02 93 02 9B 03 93 03 9B 05 93 05 98 07 B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_0_1 {
	meta:
		name = "__crtLCMapStringW"
		size = 108
		refs = "0016 wcsnlen 0068 __imp_LCMapStringEx"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 8B B0 11 9B 00 2B 10 DD 11 99 10 98 ?? ?? ?? ?? 07 90 07 9B 06 93 06 9A 11 9B 9A 42 03 DA 06 9B 5B 1C 11 93 01 E0 06 9B 11 93 00 23 04 93 00 23 03 93 00 23 02 93 13 9B 01 93 12 9B 00 93 11 9B 10 9A 0F 99 0E 98 05 4C 24 68 A0 47 08 90 08 9B 09 93 09 98 0B B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_12_1 {
	meta:
		name = "??$_Copy_unchecked1@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 80
		refs = "000e ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0022 ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0030 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 003c memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 07 A8 ?? ?? ?? ?? 05 9B 5B 1C 05 93 05 9A 06 9B 9A 42 0A D0 07 A8 ?? ?? ?? ?? 00 90 05 9B 93 F9 00 10 00 98 ?? ?? ?? ?? EA E7 04 98 07 A9 08 22 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_14_1 {
	meta:
		name = "??$_Find_elem@D@std@@YAIPADD@Z"
		size = 68
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 00 2B 07 D0 00 9B 93 F9 00 20 9D F9 14 30 9A 42 00 D0 EF E7 00 9A 04 9B D3 1A 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_15_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z"
		size = 516
		refs = "000a __security_push_cookie 0064 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 007e ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 00e4 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0172 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0180 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 01ec ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01f8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 6F F0 01 03 C7 E9 10 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 01 23 02 FB 03 F2 FB 6F 13 44 93 F9 00 30 00 2B 10 D0 7A 69 01 23 02 FB 03 F2 FB 6F 13 44 93 F9 00 20 FB 6F 93 F9 00 30 9A 42 02 D1 BB 6F 5B 1C BB 67 E1 E7 00 22 B9 6F 17 F1 48 00 ?? ?? ?? ?? F8 63 6F F0 01 03 BB 61 01 23 3B 61 08 E0 3B 69 5B 1C 3B 61 38 6F ?? ?? ?? ?? 6F F0 00 03 BB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 BB 6F 9A 42 80 F0 92 80 02 E0 7B 68 5B 1C 7B 60 7A 68 01 23 02 FB 03 F2 FB 6F 13 44 93 F9 00 30 00 2B 0D D0 7A 68 01 23 02 FB 03 F2 FB 6F 13 44 93 F9 00 20 FB 6F 93 F9 00 30 9A 42 00 D0 E4 E7 B9 68 17 F1 48 00 ?? ?? ?? ?? 78 62 7B 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 48 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 20 7B 68 13 44 7B 60 5C E0 7A 68 3B 69 13 44 7B 60 7A 68 01 23 02 FB 03 F2 FB 6F 13 44 93 F9 00 20 FB 6F 93 F9 00 30 9A 42 09 D0 7A 68 01 23 02 FB 03 F2 FB 6F 13 44 93 F9 00 30 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 FB 61 01 E0 7F 23 FB 61 B9 68 17 F1 48 00 ?? ?? ?? ?? F8 62 FB 69 5A B2 FB 6A 1A 70 BB 68 BB 61 2C E0 79 6F 38 6F ?? ?? ?? ?? 38 73 3B 7B 00 2B 0F D1 38 6F ?? ?? ?? ?? 78 73 7A 68 01 23 02 FB 03 F2 FB 6F 13 44 93 F9 00 20 97 F9 0D 30 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 48 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 01 E0 01 23 3B 70 65 E7 3B 78 00 2B 07 D0 79 6F 38 6F ?? ?? ?? ?? B8 73 BB 7B 00 2B 00 D0 00 E0 48 E7 BB 69 7B 63 17 F1 48 00 ?? ?? ?? ?? 7B 6B BB 63 B8 6B 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_17_1 {
	meta:
		name = "??$_Getvals@D@?$_Mpunct@D@std@@IAAXDPBUlconv@@@Z"
		size = 264
		refs = "0030 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00ba ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 0100 ??_C@_01JOAMLHOP@?9?$AA@ 0104 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 28 33 1B 78 00 2B 04 D0 0C 9B 0C 33 1B 68 01 93 03 E0 0C 9B 10 33 1B 68 01 93 0A 9B 03 F1 2C 02 00 21 01 98 ?? ?? ?? ?? 04 90 0A 9B 03 F1 10 02 04 9B 13 60 0C 9B 2E 33 93 F9 00 30 04 2B 02 D9 2D 4B 02 93 03 E0 0C 9B 20 33 1B 68 02 93 0A 9B 03 F1 2C 02 00 21 02 98 ?? ?? ?? ?? 05 90 0A 9B 03 F1 14 02 05 9B 13 60 0C 9B 2F 33 93 F9 00 30 04 2B 02 D9 1F 4B 03 93 03 E0 0C 9B 24 33 1B 68 03 93 0A 9B 03 F1 2C 02 00 21 03 98 ?? ?? ?? ?? 06 90 0A 9B 03 F1 18 02 06 9B 13 60 0A 9B 03 F1 2C 02 00 21 0C 9B 14 33 1B 68 93 F9 00 00 ?? ?? ?? ?? 8D F8 00 00 0A 9B 03 F1 0C 02 9D F9 00 30 13 70 0A 9B 03 F1 2C 02 00 21 0C 9B 18 33 1B 68 93 F9 00 00 ?? ?? ?? ?? 8D F8 01 00 0A 9B 03 F1 0D 02 9D F9 01 30 13 70 08 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_22_1 {
	meta:
		name = "??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z"
		size = 32
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 9D F9 10 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_168_1 {
	meta:
		name = "??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
		size = 92
		refs = "001e ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHD@Z 0028 ?eof@?$char_traits@D@std@@SAHXZ 0036 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 1D 1B 68 00 2B 18 D0 9D F9 24 10 08 9B 1B 1D 18 68 ?? ?? ?? ?? 01 90 01 9B 03 93 ?? ?? ?? ?? 02 90 02 9B 04 93 03 A9 04 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D0 08 9A 01 23 13 70 08 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_177_1 {
	meta:
		name = "??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ"
		size = 52
		refs = "0016 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 04 9B 5B 1D 93 F9 00 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_179_1 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ"
		size = 36
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 5A 1C 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_183_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV01@@Z"
		size = 42
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9A 05 9B 12 68 1B 68 D3 1A 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_187_1 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 38
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1A 68 05 9B 1A 44 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_285_1 {
	meta:
		name = "?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z"
		size = 408
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 0090 memcpy 00ae _guard_check_icall 00e0 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 00ec ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00fc ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 010a ?is@?$ctype@D@std@@QBA_NFD@Z 012c ?narrow@?$ctype@D@std@@QBADDD@Z 0164 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B 90 B0 6F 46 88 B0 6F F0 01 03 C7 E9 0C 33 17 F1 28 01 B8 6F ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? B8 61 BB 69 FB 60 17 F1 28 00 ?? ?? ?? ?? 04 E0 D7 F8 84 30 5B 1C C7 F8 84 30 D7 F8 84 30 93 F9 00 30 00 2B 00 F0 83 80 D7 F8 84 30 93 F9 00 30 25 2B 35 D1 D7 F8 84 30 5B 1C C7 F8 84 30 00 23 06 93 D7 F8 84 30 93 F9 00 30 05 93 D7 F8 80 30 04 93 FB 6F 03 93 BB 6F 02 93 68 46 17 F1 70 01 08 22 ?? ?? ?? ?? D7 F8 68 90 D7 F8 6C 80 17 F1 38 06 3D 6E 3B 6E 1B 68 24 33 1B 68 BB 60 B8 68 ?? ?? ?? ?? BC 68 28 46 31 46 4A 46 43 46 A0 47 F8 61 F9 69 17 F1 68 00 08 22 ?? ?? ?? ?? 45 E0 D7 F8 84 30 93 F9 00 30 20 2B 1F D1 03 E0 17 F1 68 00 ?? ?? ?? ?? 17 F1 70 01 17 F1 68 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 0F D0 17 F1 68 00 ?? ?? ?? ?? 78 70 97 F9 01 20 48 21 F8 68 ?? ?? ?? ?? B8 70 BB 78 00 2B 00 D0 E1 E7 1F E0 17 F1 68 00 ?? ?? ?? ?? F8 70 00 22 97 F9 03 10 F8 68 ?? ?? ?? ?? 38 71 97 F9 04 20 D7 F8 84 30 93 F9 00 30 9A 42 07 D0 FB 6F 1B 68 43 F0 02 02 FB 6F 1A 60 05 E0 03 E0 17 F1 68 00 ?? ?? ?? ?? 70 E7 17 F1 70 01 17 F1 68 00 ?? ?? ?? ?? 78 71 7B 79 00 2B 05 D0 FB 6F 1B 68 43 F0 01 02 FB 6F 1A 60 78 6E 17 F1 68 01 08 22 ?? ?? ?? ?? 7B 6E 3B 62 38 6A 18 B0 BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_79_287_1 {
	meta:
		name = "?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z"
		size = 474
		refs = "0008 __security_push_cookie 0016 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 002a ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 003a ?narrow@?$ctype@D@std@@QBADDD@Z 0060 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 008a ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 016e _Stolx 01ce __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 95 B0 0C AB 01 93 1A 99 19 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 00 D0 2B E0 19 98 ?? ?? ?? ?? 8D F8 09 00 00 22 9D F9 09 10 1E 98 ?? ?? ?? ?? 8D F8 0A 00 9D F9 0A 30 8D F8 00 30 9D F9 00 30 2B 2B 09 D1 01 9A 2B 23 13 70 01 9B 5B 1C 01 93 19 98 ?? ?? ?? ?? 0C E0 9D F9 00 30 2D 2B 08 D1 01 9A 2D 23 13 70 01 9B 5B 1C 01 93 19 98 ?? ?? ?? ?? 00 23 8D F8 01 30 1A 99 19 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 17 D0 19 98 ?? ?? ?? ?? 8D F8 0C 00 00 22 9D F9 0C 10 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F9 0D 30 30 2B 06 D1 01 23 8D F8 01 30 19 98 ?? ?? ?? ?? DD E7 9D F8 01 30 00 2B 05 D0 01 9A 30 23 13 70 01 9B 5B 1C 01 93 0C AB 1F 33 08 93 05 E0 01 23 8D F8 01 30 19 98 ?? ?? ?? ?? 1A 99 19 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 24 D0 19 98 ?? ?? ?? ?? 8D F8 0F 00 00 22 9D F9 0F 10 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F9 10 30 8D F8 00 30 9D F9 00 30 30 2B 0F DB 9D F9 00 30 39 2B 0B DC 9D F9 00 20 01 9B 1A 70 01 9A 08 9B 9A 42 02 D2 01 9B 5B 1C 01 93 CA E7 9D F8 01 30 00 2B 01 D1 0C AB 01 93 01 9A 00 23 13 70 00 23 07 93 07 AB 0A 22 0A A9 0C A8 ?? ?? ?? ?? 09 90 09 9B 06 93 00 23 05 93 1A 99 19 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 05 9B 43 F0 01 03 05 93 0A 9A 0C AB 9A 42 0A D0 07 9B 00 2B 07 D1 06 9A 1B 9B 9A 42 03 DB 1C 9A 06 9B 9A 42 04 DA 05 9B 43 F0 02 03 05 93 02 E0 06 9A 1D 9B 1A 60 05 9B 0B 93 0B 98 15 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_289_1 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z"
		size = 2904
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003c ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 004e ??1locale@std@@QAA@XZ 0070 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 0092 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00a0 ?neg_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 00cc ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00f2 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 0160 ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 016c ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 0174 ?flags@ios_base@std@@QBAHXZ 018e ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01a2 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 01ae ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 01cc ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 01dc ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 01f4 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 023e ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0250 memcpy 025a ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ 0262 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0282 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0292 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z 02ac ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ 02f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0320 ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0370 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0404 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 0418 ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 05b4 ?frac_digits@?$_Mpunct@D@std@@QBAHXZ 05c8 ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 05ec ?thousands_sep@?$_Mpunct@D@std@@QBADXZ 0658 ??$_Find_elem@D@std@@YAIPADD@Z 0682 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0692 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 077e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0872 ?decimal_point@?$_Mpunct@D@std@@QBADXZ 09c2 ?is@?$ctype@D@std@@QBA_NFD@Z 0b0a ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0b16 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0b46 __security_pop_cookie 0b54 ?_Src@?1??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAAVios_base@3@PAD@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 3E 7D 6F 46 6F F0 01 03 C7 E9 6E 33 00 23 7B 60 97 F8 18 33 00 2B 15 D0 17 F5 D0 71 D7 F8 1C 03 ?? ?? ?? ?? B8 67 BB 6F FB 67 F8 6F ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 3B 61 17 F5 D0 70 ?? ?? ?? ?? 18 E0 17 F5 D4 71 D7 F8 1C 03 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 C7 F8 88 30 D7 F8 88 00 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 3B 61 17 F5 D4 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 02 70 ?? ?? ?? ?? C7 F8 6C 01 17 F1 74 01 38 69 ?? ?? ?? ?? 17 F5 F8 70 ?? ?? ?? ?? C7 F8 70 01 17 F5 D8 71 D7 F8 1C 03 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 C7 F8 94 30 D7 F8 94 00 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 3B 67 17 F5 D8 70 ?? ?? ?? ?? D7 F8 20 33 DF F8 6C 2A 0C 32 DF F8 64 1A 38 6F ?? ?? ?? ?? 00 23 7B 64 02 E0 7B 6C 5B 1C 7B 64 3B 78 00 2B 40 F0 79 84 7B 6C 04 2B 80 F0 75 84 7A 6C 01 23 02 FB 03 F2 17 F1 74 03 13 44 93 F9 00 30 BB 64 BB 6C 2B 2B 0C DC BB 6C 2B 2B 00 F0 E6 80 BB 6C 20 2B 00 F0 22 84 BB 6C 24 2B 0B D0 00 F0 59 BC BB 6C 76 2B 00 F0 30 82 BB 6C 78 2B 00 F0 15 84 00 F0 4F BC 17 F5 E0 71 38 69 ?? ?? ?? ?? C7 F8 74 01 17 F1 50 00 ?? ?? ?? ?? D7 F8 1C 03 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 13 F0 08 0F 25 D1 D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 87 F8 39 00 97 F8 39 30 00 2B 19 D0 D7 F8 10 03 ?? ?? ?? ?? 87 F8 3A 00 17 F5 E0 70 ?? ?? ?? ?? C7 F8 A0 00 97 F9 3A 20 D7 F8 A0 30 93 F9 00 30 9A 42 05 D0 00 21 17 F5 E0 70 ?? ?? ?? ?? 31 E0 7B 6C 03 2B 2E D1 17 F5 02 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 01 2B 24 D8 D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 87 F8 3B 00 97 F8 3B 30 00 2B 13 D1 D7 F8 10 03 ?? ?? ?? ?? 87 F8 3C 00 17 F5 E0 70 ?? ?? ?? ?? C7 F8 A8 00 97 F9 3C 20 D7 F8 A8 30 93 F9 00 30 9A 42 04 D0 00 21 17 F5 E0 70 ?? ?? ?? ?? 17 F5 BC 71 17 F5 E0 70 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 10 17 F1 50 00 04 22 ?? ?? ?? ?? 07 E0 17 F1 50 00 ?? ?? ?? ?? D7 F8 10 03 ?? ?? ?? ?? D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 38 77 3B 7F 00 2B 25 D0 17 F5 BE 71 17 F5 E0 70 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 10 17 F1 50 00 ?? ?? ?? ?? 78 77 7B 7F 00 2B 13 D0 D7 F8 10 03 ?? ?? ?? ?? B8 77 17 F1 50 00 ?? ?? ?? ?? C7 F8 B4 00 97 F9 1E 20 D7 F8 B4 30 93 F9 00 30 9A 42 00 D1 C7 E7 17 F5 C0 71 17 F5 E0 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 10 17 F1 50 00 ?? ?? ?? ?? F8 77 FB 7F 00 2B 01 D0 01 23 3B 70 17 F5 E0 70 ?? ?? ?? ?? 7F E3 17 F5 E0 70 ?? ?? ?? ?? D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 87 F8 20 00 97 F8 20 30 00 2B 00 D0 48 E1 17 F5 14 71 38 69 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 C7 F8 C0 30 7B 68 43 F0 01 03 7B 60 D7 F8 C0 00 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 00 2B 26 D9 17 F5 0E 71 38 69 ?? ?? ?? ?? C7 F8 C8 00 D7 F8 C8 30 C7 F8 CC 30 7B 68 43 F0 02 03 7B 60 00 21 D7 F8 CC 00 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 10 03 ?? ?? ?? ?? 87 F8 21 00 D7 F8 D0 30 93 F9 00 20 97 F9 21 30 9A 42 02 D1 01 23 FB 65 01 E0 00 23 FB 65 FB 6D DB B2 87 F8 22 30 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 0E 70 ?? ?? ?? ?? 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 14 70 ?? ?? ?? ?? 97 F8 22 30 00 2B 19 D0 D7 F8 10 03 ?? ?? ?? ?? 17 F5 1A 71 38 69 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 30 C7 F8 D8 30 D7 F8 D8 10 17 F5 02 70 ?? ?? ?? ?? 17 F5 1A 70 ?? ?? ?? ?? CC E0 17 F5 26 71 38 69 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 C7 F8 E0 30 7B 68 43 F0 04 03 7B 60 D7 F8 E0 00 ?? ?? ?? ?? C7 F8 E4 00 D7 F8 E4 30 00 2B 26 D9 17 F5 20 71 38 69 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 7B 68 43 F0 08 03 7B 60 00 21 D7 F8 EC 00 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 10 03 ?? ?? ?? ?? 87 F8 23 00 D7 F8 F0 30 93 F9 00 20 97 F9 23 30 9A 42 02 D1 01 23 3B 66 01 E0 00 23 3B 66 3B 6E DB B2 87 F8 24 30 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 20 70 ?? ?? ?? ?? 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 26 70 ?? ?? ?? ?? 97 F8 24 30 00 2B 1B D0 D7 F8 10 03 ?? ?? ?? ?? 17 F5 2C 71 38 69 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 30 C7 F8 F8 30 D7 F8 F8 10 17 F5 02 70 ?? ?? ?? ?? 17 F5 2C 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 32 71 38 69 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 30 C7 F8 00 31 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 04 31 00 2B 02 D1 01 23 7B 66 01 E0 00 23 7B 66 7B 6E DB B2 87 F8 25 30 17 F5 32 70 ?? ?? ?? ?? 97 F8 25 30 00 2B 00 D0 27 E0 17 F5 38 71 38 69 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 C7 F8 0C 31 D7 F8 0C 01 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 31 00 2B 02 D1 01 23 BB 66 01 E0 00 23 BB 66 BB 6E DB B2 87 F8 26 30 17 F5 38 70 ?? ?? ?? ?? 97 F8 26 30 00 2B 01 D0 01 23 3B 73 24 E2 00 23 3B 64 38 69 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 31 BB 65 17 F5 08 71 38 69 ?? ?? ?? ?? C7 F8 84 01 17 F5 08 70 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 00 2B 02 D1 00 23 3B 75 07 E0 38 69 ?? ?? ?? ?? 87 F8 27 00 97 F9 27 30 3B 75 97 F9 14 30 7B 75 97 F9 15 30 00 2B 0C D0 17 F5 08 70 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 10 03 ?? ?? ?? ?? D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 21 D0 D7 F8 10 03 ?? ?? ?? ?? 87 F8 29 00 97 F9 29 10 D7 F8 20 03 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 DC 34 13 44 93 F9 00 10 17 F5 F8 70 ?? ?? ?? ?? CD E7 F2 E0 00 22 01 21 17 F5 EC 70 ?? ?? ?? ?? C7 F8 88 01 00 23 BB 60 03 E0 D7 F8 10 03 ?? ?? ?? ?? D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 64 D0 D7 F8 10 03 ?? ?? ?? ?? 87 F8 2B 00 97 F9 2B 10 D7 F8 20 03 ?? ?? ?? ?? C7 F8 24 01 D7 F8 24 31 BB 61 BB 69 0A 2B 2B D2 BA 69 01 23 02 FB 03 F2 DF F8 60 34 13 44 93 F9 00 10 17 F5 F8 70 ?? ?? ?? ?? B9 68 17 F5 EC 70 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 31 93 F9 00 30 7F 2B 10 D0 B9 68 17 F5 EC 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 31 FB 66 FB 6E 93 F9 00 30 5B 1C 5A B2 FB 6E 1A 70 23 E0 B9 68 17 F5 EC 70 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 93 F9 00 30 00 2B 0B D0 D7 F8 10 03 ?? ?? ?? ?? 87 F8 2C 00 97 F9 2C 20 97 F9 15 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 EC 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 8A E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 EC 70 ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 08 70 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 FB 64 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 FB 6C 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 EC 70 ?? ?? ?? ?? C7 F8 3C 01 FB 6C 93 F9 00 20 D7 F8 3C 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 EC 70 ?? ?? ?? ?? C7 F8 40 01 FB 6C 93 F9 00 20 D7 F8 40 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 FB 6C 5B 1C 93 F9 00 30 00 2B 02 DD FB 6C 5B 1C FB 64 BC E7 3B 78 00 2B 08 D0 17 F5 EC 70 ?? ?? ?? ?? 17 F5 08 70 ?? ?? ?? ?? C7 E0 17 F5 EC 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? 87 F8 2D 00 97 F9 2D 30 BB 75 D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 87 F8 2E 00 97 F8 2E 30 00 2B 4F D0 97 F9 16 30 00 2B 4B D0 D7 F8 10 03 ?? ?? ?? ?? 87 F8 2F 00 97 F9 2F 20 97 F9 16 30 9A 42 3F D1 D7 F8 10 03 ?? ?? ?? ?? C7 F8 44 01 D7 F8 14 13 D7 F8 44 01 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 27 D0 3A 6C BB 6D 9A 42 23 DA D7 F8 10 03 ?? ?? ?? ?? 87 F8 31 00 97 F9 31 10 D7 F8 20 03 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 8F 4B 13 44 93 F9 00 10 17 F5 F8 70 ?? ?? ?? ?? 3B 6C 5B 1C 3B 64 C5 E7 3A 6C BB 6D 9A 42 01 DA 01 23 3B 70 17 F5 F8 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 3B 6C 5B 1C 3B 64 3A 6C BB 6D 9A 42 05 DA 30 21 17 F5 F8 70 ?? ?? ?? ?? F2 E7 17 F5 08 70 ?? ?? ?? ?? 3F E0 17 F5 08 70 ?? ?? ?? ?? 7B 6C 03 2B 00 D1 37 E0 00 23 FB 75 03 E0 D7 F8 10 03 ?? ?? ?? ?? D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 87 F8 32 00 97 F8 32 30 00 2B 14 D0 D7 F8 10 03 ?? ?? ?? ?? 87 F8 33 00 97 F9 33 20 48 21 38 6F ?? ?? ?? ?? 87 F8 34 00 97 F8 34 30 00 2B 02 D0 01 23 FB 75 DA E7 7A 6C 01 23 02 FB 03 F2 17 F1 74 03 13 44 93 F9 00 30 20 2B 04 D1 FB 7D 00 2B 01 D1 01 23 3B 70 FF F7 80 BB 3B 78 00 2B 72 D1 17 F5 02 70 ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 01 2B 68 D9 17 F1 54 00 ?? ?? ?? ?? 17 F5 C6 71 17 F5 02 70 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 11 17 F1 54 00 04 22 ?? ?? ?? ?? 03 E0 D7 F8 10 03 ?? ?? ?? ?? 17 F5 C8 71 17 F5 02 70 ?? ?? ?? ?? C7 F8 58 01 17 F1 54 00 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 58 11 D7 F8 5C 01 ?? ?? ?? ?? 87 F8 35 00 97 F8 35 30 00 2B 20 D0 D7 F8 14 13 D7 F8 10 03 ?? ?? ?? ?? 87 F8 36 00 97 F8 36 30 00 2B 14 D0 D7 F8 10 03 ?? ?? ?? ?? 87 F8 37 00 17 F1 54 00 ?? ?? ?? ?? C7 F8 60 01 97 F9 37 20 D7 F8 60 31 93 F9 00 30 9A 42 00 D1 C0 E7 17 F5 CA 71 17 F5 02 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 11 17 F1 54 00 ?? ?? ?? ?? 87 F8 38 00 97 F8 38 30 00 2B 01 D0 01 23 3B 70 3B 78 00 2B 05 D0 00 21 17 F5 F8 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 F8 70 ?? ?? ?? ?? 17 F5 F8 71 D7 F8 0C 03 ?? ?? ?? ?? C7 F8 98 01 7B 68 43 F0 10 03 7B 60 17 F5 F8 70 ?? ?? ?? ?? 17 F5 02 70 ?? ?? ?? ?? D7 F8 0C 33 C7 F8 68 31 D7 F8 68 01 0D F5 3E 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_296_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 14 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_79_297_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 0E 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_79_298_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 26 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_79_299_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 20 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_79_309_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ"
		size = 96
		refs = "0016 ?sbumpc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ 0020 ?eof@?$char_traits@D@std@@SAHXZ 002e ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 68 00 2B 15 D0 08 9B 18 68 ?? ?? ?? ?? 01 90 01 9B 03 93 ?? ?? ?? ?? 02 90 02 9B 04 93 03 A9 04 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 08 9A 00 23 13 60 08 9B 1A 1D 01 23 13 70 03 E0 08 9B 1A 1D 00 23 13 70 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_325_1 {
	meta:
		name = "?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 1324
		refs = "001a ?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0040 ??Bid@locale@std@@QAAIXZ 0048 ??2_Crt_new_delete@std@@SAPAXI@Z 0060 ??0?$collate@D@std@@QAA@ABV_Locinfo@1@I@Z 007c ?_Addfac@_Locimp@locale@std@@AAAXPAVfacet@23@I@Z 0090 ??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z 00a6 ?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 00ec ??0?$messages@D@std@@QAA@ABV_Locinfo@1@I@Z 011c ??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z 0132 ?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0178 ??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 01b2 ??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 01ce ?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 021c ??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0256 ??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0272 ?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 02c2 ??0?$moneypunct@D$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z 02fc ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 0318 ?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0368 ??0?$moneypunct@D$00@std@@QAA@ABV_Locinfo@1@I_N@Z 03a2 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 03be ?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 040c ??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0446 ??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0462 ?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 04b0 ??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 04ea ??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 050c ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0510 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0514 ?id@?$moneypunct@D$00@std@@2V0locale@2@A 0518 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 051c ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0520 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0524 ?id@?$messages@D@std@@2V0locale@2@A 0528 ?id@?$collate@D@std@@2V0locale@2@A"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B CB B0 6F 46 6F F0 01 03 C7 E9 48 33 00 21 00 20 ?? ?? ?? ?? 38 64 3A 6C 01 23 93 40 5A 10 D7 F8 3C 31 13 40 00 2B 00 D1 36 E0 D7 F8 44 31 00 2B 22 D1 DF F8 E8 04 ?? ?? ?? ?? F8 64 10 20 ?? ?? ?? ?? 78 64 7B 6C 3B 60 3B 68 00 2B 09 D0 00 22 D7 F8 38 11 38 68 ?? ?? ?? ?? B8 64 BB 6C 7B 60 01 E0 00 23 7B 60 7B 68 3B 65 FA 6C 39 6D D7 F8 40 01 ?? ?? ?? ?? 0F E0 DF F8 A4 04 ?? ?? ?? ?? 78 65 D7 F8 44 01 ?? ?? ?? ?? B8 65 7A 6D B9 6D D7 F8 40 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? F8 65 FA 6D 01 23 93 40 5A 10 D7 F8 3C 31 13 40 00 2B 00 D1 36 E0 D7 F8 44 31 00 2B 22 D1 DF F8 58 04 ?? ?? ?? ?? B8 66 08 20 ?? ?? ?? ?? 38 66 3B 6E BB 60 BB 68 00 2B 09 D0 00 22 D7 F8 38 11 B8 68 ?? ?? ?? ?? 78 66 7B 6E FB 60 01 E0 00 23 FB 60 FB 68 FB 66 BA 6E F9 6E D7 F8 40 01 ?? ?? ?? ?? 0F E0 DF F8 14 04 ?? ?? ?? ?? 38 67 D7 F8 44 01 ?? ?? ?? ?? 78 67 3A 6F 79 6F D7 F8 40 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? B8 67 BA 6F 01 23 93 40 5A 10 D7 F8 3C 31 13 40 00 2B 00 D1 3E E0 D7 F8 44 31 00 2B 27 D1 F2 48 ?? ?? ?? ?? C7 F8 84 00 08 20 ?? ?? ?? ?? F8 67 FB 6F 3B 61 3B 69 00 2B 0B D0 00 22 D7 F8 38 11 38 69 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 7B 61 01 E0 00 23 7B 61 7B 69 C7 F8 88 30 D7 F8 84 20 D7 F8 88 10 D7 F8 40 01 ?? ?? ?? ?? 12 E0 DE 48 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 44 01 ?? ?? ?? ?? C7 F8 90 00 D7 F8 8C 20 D7 F8 90 10 D7 F8 40 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 20 01 23 93 40 5A 10 D7 F8 3C 31 13 40 00 2B 00 D1 40 E0 D7 F8 44 31 00 2B 29 D1 C9 48 ?? ?? ?? ?? C7 F8 A0 00 08 20 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 BB 61 BB 69 00 2B 0B D0 00 22 D7 F8 38 11 B8 69 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 FB 61 01 E0 00 23 FB 61 FB 69 C7 F8 A4 30 D7 F8 A0 20 D7 F8 A4 10 D7 F8 40 01 ?? ?? ?? ?? 12 E0 B4 48 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 44 01 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 A8 20 D7 F8 AC 10 D7 F8 40 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 20 01 23 93 40 5A 10 D7 F8 3C 31 13 40 00 2B 00 D1 41 E0 D7 F8 44 31 00 2B 2A D1 9F 48 ?? ?? ?? ?? C7 F8 BC 00 58 20 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 3B 62 3B 6A 00 2B 0C D0 00 23 00 22 D7 F8 38 11 38 6A ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 7B 62 01 E0 00 23 7B 62 7B 6A C7 F8 C0 30 D7 F8 BC 20 D7 F8 C0 10 D7 F8 40 01 ?? ?? ?? ?? 12 E0 8A 48 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 44 01 ?? ?? ?? ?? C7 F8 C8 00 D7 F8 C4 20 D7 F8 C8 10 D7 F8 40 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 20 01 23 93 40 5A 10 D7 F8 3C 31 13 40 00 2B 00 D1 41 E0 D7 F8 44 31 00 2B 2A D1 75 48 ?? ?? ?? ?? C7 F8 D8 00 58 20 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 D0 30 BB 62 BB 6A 00 2B 0C D0 00 23 00 22 D7 F8 38 11 B8 6A ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 30 FB 62 01 E0 00 23 FB 62 FB 6A C7 F8 DC 30 D7 F8 D8 20 D7 F8 DC 10 D7 F8 40 01 ?? ?? ?? ?? 12 E0 5F 48 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 44 01 ?? ?? ?? ?? C7 F8 E4 00 D7 F8 E0 20 D7 F8 E4 10 D7 F8 40 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 20 01 23 93 40 5A 10 D7 F8 3C 31 13 40 00 2B 00 D1 40 E0 D7 F8 44 31 00 2B 29 D1 4A 48 ?? ?? ?? ?? C7 F8 F4 00 44 20 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 30 3B 63 3B 6B 00 2B 0B D0 00 22 D7 F8 38 11 38 6B ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 30 7B 63 01 E0 00 23 7B 63 7B 6B C7 F8 F8 30 D7 F8 F4 20 D7 F8 F8 10 D7 F8 40 01 ?? ?? ?? ?? 12 E0 35 48 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 44 01 ?? ?? ?? ?? C7 F8 00 01 D7 F8 FC 20 D7 F8 00 11 D7 F8 40 01 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 04 01 D7 F8 04 21 01 23 93 40 5A 10 D7 F8 3C 31 13 40 00 2B 00 D1 40 E0 D7 F8 44 31 00 2B 29 D1 20 48 ?? ?? ?? ?? C7 F8 10 01 0C 20 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 BB 63 BB 6B 00 2B 0B D0 00 22 D7 F8 38 11 B8 6B ?? ?? ?? ?? C7 F8 0C 01 D7 F8 0C 31 FB 63 01 E0 00 23 FB 63 FB 6B C7 F8 14 31 D7 F8 10 21 D7 F8 14 11 D7 F8 40 01 ?? ?? ?? ?? 12 E0 0B 48 ?? ?? ?? ?? C7 F8 18 01 D7 F8 44 01 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 18 21 D7 F8 1C 11 D7 F8 40 01 ?? ?? ?? ?? 4B B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_343_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ"
		size = 124
		refs = "0016 ?sgetc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ 0020 ?eof@?$char_traits@D@std@@SAHXZ 002e ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0048 ?to_char_type@?$char_traits@D@std@@SADABH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 68 00 2B 15 D0 08 9B 18 68 ?? ?? ?? ?? 02 90 02 9B 01 93 ?? ?? ?? ?? 03 90 03 9B 04 93 01 A9 04 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 08 9A 00 23 13 60 09 E0 01 A8 ?? ?? ?? ?? 8D F8 01 00 08 9B 5A 1D 9D F9 01 30 13 70 08 9B 1A 1D 01 23 13 70 08 9B 5B 1D 93 F9 00 30 8D F8 14 30 9D F9 14 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_346_1 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@I@Z"
		size = 92
		refs = "0014 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 001a ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ 0026 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ 002e ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 003c ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0048 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 E0 0A 9B 5B 1E 0A 93 07 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 0A 9B 00 2B 0E D9 09 A8 ?? ?? ?? ?? 00 90 07 A8 ?? ?? ?? ?? 01 90 00 9B 93 F9 00 10 01 98 ?? ?? ?? ?? E4 E7 06 98 07 A9 08 22 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_347_1 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 2234
		refs = "000a __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0048 ??1locale@std@@QAA@XZ 0062 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 007a ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0084 ?frac_digits@?$_Mpunct@D@std@@QBAHXZ 00a8 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00d2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 00dc ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0102 ?thousands_sep@?$_Mpunct@D@std@@QBADXZ 0182 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0198 ?neg_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 01a6 memcpy 01b0 ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01c4 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 01cc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01d8 ?pos_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 01f4 ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0228 ?flags@ios_base@std@@QBAHXZ 0240 ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0364 ?width@ios_base@std@@QBA_JXZ 0416 ?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0498 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 04c4 ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@I@Z 05b4 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@H@Z 05c0 ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 05d0 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 05d6 ?decimal_point@?$_Mpunct@D@std@@QBADXZ 0726 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0738 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z 0816 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z 0862 ?width@ios_base@std@@QAA_J_J@Z 08ae __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 30 7D 6F 46 82 B0 6F F0 01 03 C7 E9 74 33 97 F8 E0 32 00 2B 13 D0 17 F5 E0 71 D7 F8 E4 02 ?? ?? ?? ?? 78 64 7B 6C BB 64 B8 6C ?? ?? ?? ?? F8 64 FB 6C FB 60 17 F5 E0 70 ?? ?? ?? ?? 12 E0 17 F5 E4 71 D7 F8 E4 02 ?? ?? ?? ?? 38 65 3B 6D 7B 65 78 6D ?? ?? ?? ?? B8 65 BB 6D FB 60 17 F5 E4 70 ?? ?? ?? ?? 17 F5 18 71 F8 68 ?? ?? ?? ?? C7 F8 B8 01 F8 68 ?? ?? ?? ?? F8 65 FB 6D BB 62 BB 6A 00 2B 03 DA BB 6A 5B 42 7B 63 01 E0 BB 6A 7B 63 7B 6B 7B 60 D7 F8 F0 02 ?? ?? ?? ?? 38 66 3A 6E 7B 68 9A 42 10 D8 D7 F8 F0 02 ?? ?? ?? ?? 78 66 97 F9 F4 32 79 68 7A 6E 8A 1A 52 1C 00 21 D7 F8 F0 02 ?? ?? ?? ?? 52 E0 17 F5 18 70 ?? ?? ?? ?? B8 66 BB 6E 93 F9 00 30 7F 2B 48 D0 17 F5 18 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 00 2B 3E DD F8 68 ?? ?? ?? ?? 38 75 97 F9 14 30 7B 75 17 F5 18 70 ?? ?? ?? ?? 38 67 3B 6F BB 61 D7 F8 F0 02 ?? ?? ?? ?? 78 67 7A 6F 7B 68 D3 1A 7B 62 BB 69 93 F9 00 30 7F 2B 22 D0 BB 69 93 F9 00 30 00 2B 1D DD BB 69 93 F9 00 20 7B 6A 9A 42 17 D2 BB 69 93 F9 00 20 7B 6A 9B 1A 7B 62 97 F9 15 30 01 22 79 6A D7 F8 F0 02 ?? ?? ?? ?? BB 69 5B 1C 93 F9 00 30 00 2B 02 DD BB 69 5B 1C BB 61 D7 E7 17 F5 0C 70 ?? ?? ?? ?? C7 F8 BC 01 97 F8 EC 32 00 2B 1F D0 17 F5 C4 71 F8 68 ?? ?? ?? ?? B8 67 B9 6F 17 F1 2C 00 04 22 ?? ?? ?? ?? 17 F5 1E 71 F8 68 ?? ?? ?? ?? F8 67 FB 6F C7 F8 80 30 D7 F8 80 10 17 F5 0C 70 ?? ?? ?? ?? 17 F5 1E 70 ?? ?? ?? ?? 22 E0 17 F5 C6 71 F8 68 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F1 2C 00 04 22 ?? ?? ?? ?? 17 F5 24 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 D7 F8 8C 10 17 F5 0C 70 ?? ?? ?? ?? 17 F5 24 70 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 13 F0 08 0F 14 D0 17 F5 2A 71 F8 68 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 C7 F8 98 30 D7 F8 98 10 17 F5 12 70 ?? ?? ?? ?? 17 F5 2A 70 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 2C 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 09 DC FB 69 2B 2B 19 D0 FB 69 20 2B 54 D0 FB 69 24 2B 07 D0 58 E0 FB 69 76 2B 1B D0 FB 69 78 2B 4D D0 51 E0 17 F5 12 70 ?? ?? ?? ?? C7 F8 9C 00 3A 68 D7 F8 9C 30 13 44 3B 60 45 E0 17 F5 0C 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 39 E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 AC 00 7B 68 00 2B 02 D9 01 23 BB 63 01 E0 00 23 BB 63 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 20 7B 68 9A 42 0C D8 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 A8 00 7A 68 D7 F8 A8 30 D3 1A 5B 1C FB 63 01 E0 00 23 FB 63 D7 F8 AC 20 BB 6B 1A 44 FB 6B 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 6C 11 C7 F8 68 01 D7 F8 68 31 C7 F8 70 31 D7 F8 6C 31 C7 F8 74 31 D7 F8 70 31 C7 F8 B0 30 D7 F8 74 31 00 2B 1F DB 03 DC D7 F8 B0 30 00 2B 1A D9 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 7C 11 C7 F8 78 01 D7 F8 78 21 3B 68 9A 42 0D D9 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 84 11 C7 F8 80 01 D7 F8 80 21 3B 68 D3 1A 3B 64 01 E0 00 23 3B 64 3B 6C 3B 60 D7 F8 E4 02 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 03 F4 E0 73 3B 63 3B 6B 40 2B 1D D0 3B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 97 F9 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 EC 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 10 17 F5 36 70 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 CC 81 3A 69 01 23 02 FB 03 F2 17 F1 2C 03 13 44 93 F9 00 30 3B 62 3B 6A 2B 2B 0A DC 3B 6A 2B 2B 3B D0 3B 6A 20 2B 00 F0 87 81 3B 6A 24 2B 08 D0 B2 E1 3B 6A 76 2B 5F D0 3B 6A 78 2B 00 F0 91 81 AA E1 17 F5 12 70 ?? ?? ?? ?? C7 F8 C0 00 17 F5 CA 71 17 F5 12 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 10 17 F1 C4 00 04 22 ?? ?? ?? ?? D7 F8 C0 30 00 93 D7 F8 C4 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F0 70 ?? ?? ?? ?? C7 F8 C8 00 D7 F8 C8 10 17 F5 36 70 08 22 ?? ?? ?? ?? 7E E1 17 F5 0C 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 00 2B 23 D9 17 F5 CC 71 17 F5 0C 70 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 D0 10 17 F1 D4 00 04 22 ?? ?? ?? ?? 01 23 00 93 D7 F8 D4 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F4 70 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 10 17 F5 36 70 08 22 ?? ?? ?? ?? 4F E1 7B 68 00 2B 2B D1 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 E0 00 17 F5 CE 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 10 17 F1 E4 00 04 22 ?? ?? ?? ?? D7 F8 E0 30 00 93 D7 F8 E4 30 D7 F8 D8 12 D7 F8 DC 22 17 F5 F8 70 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 10 17 F5 36 70 08 22 ?? ?? ?? ?? EF E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 20 7B 68 9A 42 73 D8 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 00 ?? ?? ?? ?? C7 F8 F4 00 97 F9 F4 12 D7 F8 F4 00 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? B8 75 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 00 ?? ?? ?? ?? C7 F8 FC 00 97 F9 16 10 D7 F8 FC 00 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? C7 F8 00 01 7A 68 D7 F8 00 31 D3 1A 00 93 97 F9 F4 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 FC 70 ?? ?? ?? ?? C7 F8 04 01 D7 F8 04 11 17 F5 36 70 08 22 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? C7 F8 0C 01 17 F5 D0 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 11 17 F5 88 70 04 22 ?? ?? ?? ?? D7 F8 0C 31 00 93 D7 F8 10 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 00 70 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 11 17 F5 36 70 08 22 ?? ?? ?? ?? 70 E0 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 1C 01 17 F5 D2 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 11 17 F5 90 70 04 22 ?? ?? ?? ?? D7 F8 1C 21 7B 68 D3 1A 00 93 D7 F8 20 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 02 70 ?? ?? ?? ?? C7 F8 24 01 D7 F8 24 11 17 F5 36 70 08 22 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? F8 75 00 21 17 F5 36 70 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 01 ?? ?? ?? ?? C7 F8 2C 01 97 F9 17 10 D7 F8 2C 01 ?? ?? ?? ?? 17 F5 D4 71 D7 F8 F0 02 ?? ?? ?? ?? C7 F8 30 01 7A 68 17 F5 D6 71 D7 F8 30 01 ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 11 17 F5 9C 70 04 22 ?? ?? ?? ?? 7B 68 00 93 D7 F8 38 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 04 70 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 11 17 F5 36 70 08 22 ?? ?? ?? ?? 2F E0 01 23 00 93 97 F9 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 06 70 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 11 17 F5 36 70 08 22 ?? ?? ?? ?? 3B 6B B3 F5 80 7F 16 D1 3B 68 00 93 97 F9 E8 32 D7 F8 D8 12 D7 F8 DC 22 17 F5 08 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 11 17 F5 36 70 08 22 ?? ?? ?? ?? 00 23 3B 60 2C E6 17 F5 0C 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 01 2B 34 D9 17 F5 0C 70 ?? ?? ?? ?? C7 F8 54 01 17 F5 D8 71 17 F5 0C 70 ?? ?? ?? ?? C7 F8 4C 01 01 22 17 F5 DA 71 D7 F8 4C 01 ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 11 17 F5 AC 70 04 22 ?? ?? ?? ?? D7 F8 54 31 5B 1E 00 93 D7 F8 58 31 D7 F8 D8 12 D7 F8 DC 22 17 F5 0A 70 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 5C 11 17 F5 36 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 E4 02 ?? ?? ?? ?? 3B 68 00 93 97 F9 E8 32 D7 F8 D8 12 D7 F8 DC 22 D7 F8 D4 02 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? D7 F8 F0 02 ?? ?? ?? ?? D7 F8 D4 32 C7 F8 60 31 D7 F8 60 01 0D F5 32 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_354_1 {
	meta:
		name = "?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
		size = 76
		refs = "0014 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0020 ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 002c ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0038 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 08 9B 5B 1E 08 93 05 A8 ?? ?? ?? ?? 08 9B 00 2B 09 D9 05 A8 ?? ?? ?? ?? 00 90 9D F9 1C 10 00 98 ?? ?? ?? ?? EC E7 04 98 05 A9 08 22 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_385_1 {
	meta:
		name = "?decimal_point@?$_Mpunct@D@std@@QBADXZ"
		size = 62
		refs = "001a _guard_check_icall"
		altNames = "?decimal_point@?$numpunct@D@std@@QBADXZ"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 1B 68 0C 33 06 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 8D F8 00 00 9D F9 00 30 8D F8 08 30 9D F9 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_390_1 {
	meta:
		name = "?do_decimal_point@?$_Mpunct@D@std@@MBADXZ"
		size = 36
		altNames = "?do_decimal_point@?$numpunct@D@std@@MBADXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0C 33 93 F9 00 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_393_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 266
		refs = "000a __security_push_cookie 003c ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z 004a ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 006a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 008c ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00a6 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 00ea memcpy 00f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00fe __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 50 03 02 93 D7 F8 8C 30 01 93 97 F8 88 30 00 93 17 F1 80 03 17 F1 78 02 17 F1 38 01 38 6F ?? ?? ?? ?? F8 61 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 90 30 1B 68 43 F0 01 02 D7 F8 90 30 1A 60 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 00 2B 08 D1 D7 F8 90 30 1B 68 43 F0 02 02 D7 F8 90 30 1A 60 2C E0 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 7B 60 00 23 BB 60 17 F1 08 03 00 22 17 F1 14 01 78 68 ?? ?? ?? ?? 87 ED 08 0B 97 ED 08 0B 87 ED 0A 0B 7A 69 7B 68 9A 42 02 D0 BB 68 00 2B 08 D0 D7 F8 90 30 1B 68 43 F0 02 02 D7 F8 90 30 1A 60 05 E0 97 ED 0A 0B D7 F8 94 30 83 ED 00 0B 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? 7B 6F BB 61 B8 69 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_395_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 324
		refs = "000a __security_push_cookie 003c ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z 0046 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0058 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0096 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 00a0 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0124 memcpy 012c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0138 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 50 03 02 93 D7 F8 8C 30 01 93 97 F8 88 30 00 93 17 F1 80 03 17 F1 78 02 17 F1 38 01 38 6F ?? ?? ?? ?? B8 62 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 71 3B 79 00 2B 07 D0 D7 F8 90 30 1B 68 43 F0 01 02 D7 F8 90 30 1A 60 BB 68 00 2B 08 D1 D7 F8 90 30 1B 68 43 F0 02 02 D7 F8 90 30 1A 60 47 E0 00 23 3B 60 B9 68 D7 F8 94 00 ?? ?? ?? ?? 00 21 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 93 F9 00 30 2D 2B 11 D1 3B 68 7B 61 79 69 D7 F8 94 00 ?? ?? ?? ?? B8 61 17 F1 50 03 0A 33 93 F9 00 20 BB 69 1A 70 3B 68 5B 1C 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 BB 68 9A 42 1B D2 39 68 17 F1 38 00 ?? ?? ?? ?? F8 61 39 68 D7 F8 94 00 ?? ?? ?? ?? 38 62 FB 69 93 F9 00 30 A3 F1 30 02 01 23 02 FB 03 F2 17 F1 50 03 13 44 93 F9 00 20 3B 6A 1A 70 DC E7 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? 7B 6F 7B 62 78 6A 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_399_1 {
	meta:
		name = "?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1556
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002c ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 003a ??1locale@std@@QAA@XZ 0042 ?date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ 005e ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0074 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 0084 ?is@?$ctype@D@std@@QBA_NFD@Z 00aa memcpy 00be ?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 00fa ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 018e ?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01a8 ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01d6 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0202 ?narrow@?$ctype@D@std@@QBADDD@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B A9 B0 6F 46 86 B0 6F F0 01 03 C7 E9 1C 33 17 F1 68 01 D7 F8 C8 00 ?? ?? ?? ?? B8 62 BB 6A FB 62 F8 6A ?? ?? ?? ?? 38 63 3B 6B 7B 60 17 F1 68 00 ?? ?? ?? ?? D7 F8 B0 00 ?? ?? ?? ?? 78 63 7B 6B BB 60 BB 68 00 2B 01 D1 02 23 BB 60 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 00 D0 97 E0 17 F1 B8 00 ?? ?? ?? ?? 87 F8 27 00 97 F9 27 20 04 21 78 68 ?? ?? ?? ?? 38 73 3B 7B 00 2B 22 D1 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 78 01 D7 F8 B0 00 ?? ?? ?? ?? B8 63 B9 6B 17 F1 B8 00 08 22 ?? ?? ?? ?? 02 23 BB 60 64 E0 BB 68 02 2B 23 D1 7B 68 02 93 D7 F8 D0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? F8 63 D7 F8 CC 30 1A 68 FB 6B 1A 43 D7 F8 CC 30 1A 60 D7 F8 D0 30 10 33 1B 68 5A 1E D7 F8 D0 30 10 33 1A 60 3D E0 BB 68 01 2B 1A D1 7B 68 02 93 D7 F8 D0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? 38 64 D7 F8 CC 30 1A 68 3B 6C 1A 43 D7 F8 CC 30 1A 60 1F E0 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 80 01 D7 F8 B0 00 ?? ?? ?? ?? 78 64 79 6C 17 F1 B8 00 08 22 ?? ?? ?? ?? 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 78 73 7B 7B 00 2B 13 D0 17 F1 B8 00 ?? ?? ?? ?? B8 73 97 F9 0E 20 48 21 78 68 ?? ?? ?? ?? F8 73 FB 7B 00 2B 04 D0 17 F1 B8 00 ?? ?? ?? ?? E1 E7 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 38 74 3B 7C 00 2B 1E D0 17 F1 B8 00 ?? ?? ?? ?? 78 74 00 22 97 F9 11 10 78 68 ?? ?? ?? ?? B8 74 97 F9 12 30 3B 70 97 F9 00 30 3A 2B 07 D0 97 F9 00 30 2C 2B 03 D0 97 F9 00 30 2F 2B 03 D1 17 F1 B8 00 ?? ?? ?? ?? 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? F8 74 FB 7C 00 2B 13 D0 17 F1 B8 00 ?? ?? ?? ?? 38 75 97 F9 14 20 48 21 78 68 ?? ?? ?? ?? 78 75 7B 7D 00 2B 04 D0 17 F1 B8 00 ?? ?? ?? ?? E1 E7 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? B8 75 BB 7D 00 2B 00 D0 84 E0 17 F1 B8 00 ?? ?? ?? ?? F8 75 97 F9 17 20 04 21 78 68 ?? ?? ?? ?? 38 76 3B 7E 00 2B 31 D1 BB 68 02 2B 08 D1 D7 F8 CC 30 1B 68 43 F0 02 02 D7 F8 CC 30 1A 60 24 E0 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 88 01 D7 F8 B0 00 ?? ?? ?? ?? B8 64 B9 6C 17 F1 B8 00 08 22 ?? ?? ?? ?? BB 68 04 2B 01 D1 03 23 BB 60 43 E0 BB 68 01 2B 02 D0 BB 68 03 2B 23 D1 7B 68 02 93 D7 F8 D0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? F8 64 D7 F8 CC 30 1A 68 FB 6C 1A 43 D7 F8 CC 30 1A 60 D7 F8 D0 30 10 33 1B 68 5A 1E D7 F8 D0 30 10 33 1A 60 19 E0 7B 68 02 93 D7 F8 D0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? 38 65 D7 F8 CC 30 1A 68 3B 6D 1A 43 D7 F8 CC 30 1A 60 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 78 76 7B 7E 00 2B 13 D0 17 F1 B8 00 ?? ?? ?? ?? B8 76 97 F9 1A 20 48 21 78 68 ?? ?? ?? ?? F8 76 FB 7E 00 2B 04 D0 17 F1 B8 00 ?? ?? ?? ?? E1 E7 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 38 77 3B 7F 00 2B 1E D0 17 F1 B8 00 ?? ?? ?? ?? 78 77 00 22 97 F9 1D 10 78 68 ?? ?? ?? ?? B8 77 97 F9 1E 30 7B 70 97 F9 01 30 3A 2B 07 D0 97 F9 01 30 2C 2B 03 D0 97 F9 01 30 2F 2B 03 D1 17 F1 B8 00 ?? ?? ?? ?? 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? F8 77 FB 7F 00 2B 16 D0 17 F1 B8 00 ?? ?? ?? ?? 87 F8 20 00 97 F9 20 20 48 21 78 68 ?? ?? ?? ?? 87 F8 21 00 97 F8 21 30 00 2B 04 D0 17 F1 B8 00 ?? ?? ?? ?? DE E7 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 08 D0 D7 F8 CC 30 1B 68 43 F0 02 02 D7 F8 CC 30 1A 60 A3 E0 17 F1 B8 00 ?? ?? ?? ?? 87 F8 23 00 97 F9 23 20 04 21 78 68 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 2C D1 BB 68 04 2B 08 D0 D7 F8 CC 30 1B 68 43 F0 02 02 D7 F8 CC 30 1A 60 1F E0 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 90 01 D7 F8 B0 00 ?? ?? ?? ?? 78 65 79 6D 17 F1 B8 00 08 22 ?? ?? ?? ?? 64 E0 BB 68 04 2B 23 D1 7B 68 02 93 D7 F8 D0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? B8 65 D7 F8 CC 30 1A 68 BB 6D 1A 43 D7 F8 CC 30 1A 60 D7 F8 D0 30 10 33 1B 68 5A 1E D7 F8 D0 30 10 33 1A 60 3D E0 BB 68 03 2B 1A D1 7B 68 02 93 D7 F8 D0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? F8 65 D7 F8 CC 30 1A 68 FB 6D 1A 43 D7 F8 CC 30 1A 60 1F E0 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 98 01 D7 F8 B0 00 ?? ?? ?? ?? 38 66 39 6E 17 F1 B8 00 08 22 ?? ?? ?? ?? 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 07 D0 D7 F8 CC 30 1B 68 43 F0 01 02 D7 F8 CC 30 1A 60 D7 F8 B4 00 17 F1 B8 01 08 22 ?? ?? ?? ?? D7 F8 B4 30 7B 66 78 6E 2F B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_402_1 {
	meta:
		name = "?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 342
		refs = "001e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0038 ??1locale@std@@QAA@XZ 0056 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 0074 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 0082 ?narrow@?$ctype@D@std@@QBADDD@Z 00a2 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0142 memcpy"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0E 33 17 F1 30 01 B8 6E ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 60 17 F1 30 00 ?? ?? ?? ?? 7B 68 02 93 3B 6F 08 33 01 93 17 23 00 93 00 23 17 F1 60 02 17 F1 58 01 38 6D ?? ?? ?? ?? 78 61 FB 6E 1A 68 7B 69 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0F D1 17 F1 58 00 ?? ?? ?? ?? 38 70 00 22 97 F9 00 10 78 68 ?? ?? ?? ?? 78 70 97 F9 01 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 19 E0 17 F1 58 00 ?? ?? ?? ?? B8 61 7B 68 02 93 3B 6F 1B 1D 01 93 3B 23 00 93 00 23 17 F1 60 02 B9 69 38 6D ?? ?? ?? ?? F8 61 FB 6E 1A 68 FB 69 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0F D1 17 F1 58 00 ?? ?? ?? ?? B8 70 00 22 97 F9 02 10 78 68 ?? ?? ?? ?? F8 70 97 F9 03 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 18 E0 17 F1 58 00 ?? ?? ?? ?? 38 62 7B 68 02 93 3B 6F 01 93 3B 23 00 93 00 23 17 F1 60 02 39 6A 38 6D ?? ?? ?? ?? 78 62 FB 6E 1A 68 7B 6A 1A 43 FB 6E 1A 60 78 6D 17 F1 58 01 08 22 ?? ?? ?? ?? 7B 6D BB 62 B8 6A 15 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_408_1 {
	meta:
		name = "?do_hash@?$collate@D@std@@MBAJPBD0@Z"
		size = 40
		refs = "0012 ?_Hash_seq@std@@YAIPBEI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B D1 1A 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_416_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 396
		refs = "000a __security_push_cookie 0024 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0030 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 003e ??1locale@std@@QAA@XZ 004e ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 005e ?empty@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA_NXZ 0070 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0098 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00cc ??$_Find_elem@D@std@@YAIPADD@Z 00f2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBDI@Z 0116 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0126 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0164 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 016c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 017a __security_pop_cookie 0188 ?_Src@?1??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@3@V43@_NAAVios_base@3@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A6 B0 6F 46 86 B0 6F F0 01 03 C7 E9 14 33 17 F1 48 01 D7 F8 BC 00 ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 61 17 F1 48 00 ?? ?? ?? ?? 17 F1 88 03 50 4A 0C 32 4F 49 B8 69 ?? ?? ?? ?? 00 23 3B 70 00 23 BB 60 D7 F8 C4 00 ?? ?? ?? ?? 78 70 7B 78 00 2B 14 D1 00 21 D7 F8 C4 00 ?? ?? ?? ?? F8 61 FB 69 93 F9 00 20 17 F1 88 03 0A 33 93 F9 00 30 9A 42 04 D1 01 23 3B 70 BB 68 5B 1C BB 60 D7 F8 C4 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 BB 68 7B 60 02 E0 7B 68 5B 1C 7B 60 7A 68 7B 6A 9A 42 11 D2 79 68 D7 F8 C4 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 10 17 F1 88 00 ?? ?? ?? ?? F8 62 FB 6A 0A 2B 00 D2 E6 E7 B9 68 D7 F8 C4 00 ?? ?? ?? ?? 38 63 7A 68 BB 68 D2 1A 39 6B 17 F1 70 00 ?? ?? ?? ?? 78 64 17 F1 70 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 08 D0 17 F1 88 03 93 F9 00 20 01 21 17 F1 70 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 70 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 17 F1 88 03 93 F9 00 30 05 93 FB 6B 04 93 3B 78 03 93 97 F9 C0 30 02 93 D7 F8 BC 30 01 93 97 F8 B8 30 00 93 D7 F8 B0 20 D7 F8 B4 30 D7 F8 AC 10 D7 F8 A8 00 ?? ?? ?? ?? 17 F1 70 00 ?? ?? ?? ?? D7 F8 AC 30 3B 64 38 6C 2C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_419_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z"
		size = 424
		refs = "000a __security_push_cookie 008c sprintf_s 00a6 memcpy 00ba ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00c6 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00d4 ??1locale@std@@QAA@XZ 00dc ?widen@?$ctype@D@std@@QBADD@Z 00f0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00fc ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0118 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 0126 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0136 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0170 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0186 __security_pop_cookie 0194 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AA B0 6F 46 86 B0 87 ED 02 0B 6F F0 01 03 C7 E9 12 33 00 23 7B 70 97 ED 02 0B B5 EE C0 0B F1 EE 10 FA 07 D2 01 23 7B 70 97 ED 02 0B B1 EE 40 0B 87 ED 02 0B 00 23 7B 60 02 E0 7B 68 0A 33 7B 60 9F ED 54 1B 97 ED 02 0B B4 EE C0 1B F1 EE 10 FA 0D D8 7A 68 41 F2 88 33 9A 42 08 D2 97 ED 02 1B 9F ED 4A 0B 81 EE 00 0B 87 ED 02 0B E5 E7 BB 68 00 93 FB 68 01 93 43 4A 28 21 17 F1 80 00 ?? ?? ?? ?? F8 61 FB 69 3B 61 3B 69 00 2B 0A DA D7 F8 BC 00 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 BC 30 BB 61 67 E0 17 F1 40 01 D7 F8 CC 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 78 6A ?? ?? ?? ?? B8 62 BB 6A 7B 61 17 F1 40 00 ?? ?? ?? ?? 30 21 78 69 ?? ?? ?? ?? B8 70 97 F9 02 30 3B 70 00 22 39 69 17 F1 68 00 ?? ?? ?? ?? F8 63 00 21 17 F1 68 00 ?? ?? ?? ?? F8 62 FB 6A 39 69 01 22 01 FB 02 F1 17 F1 80 02 0A 44 17 F1 80 01 78 69 ?? ?? ?? ?? 97 F9 00 20 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 50 03 3B 63 17 F1 68 01 38 6B ?? ?? ?? ?? 78 63 7B 6B BB 63 97 F9 00 30 05 93 BB 6B 04 93 7B 78 03 93 97 F9 D0 30 02 93 D7 F8 CC 30 01 93 97 F8 C8 30 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 BC 10 D7 F8 B8 00 ?? ?? ?? ?? 17 F1 68 00 ?? ?? ?? ?? D7 F8 BC 30 BB 61 B8 69 30 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_79_422_1 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z"
		size = 288
		refs = "000a __security_push_cookie 0028 memcpy 0030 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 007c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0086 ?_Getptr@_Timevec@std@@QBAPAXXZ 0090 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 009e ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00a6 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00bc _Strftime 00d6 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 00fc ??$copy@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z 0104 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0110 __security_pop_cookie 011c ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 17 F1 58 03 BB 60 B8 68 3D 49 05 22 ?? ?? ?? ?? 17 F1 40 00 ?? ?? ?? ?? F8 62 97 F9 90 30 00 2B 06 D1 17 F1 58 03 9A 1C 97 F9 8C 30 13 70 0B E0 17 F1 58 03 9A 1C 97 F9 90 30 13 70 17 F1 58 03 DA 1C 97 F9 8C 30 13 70 10 23 3B 60 04 E0 3A 68 02 23 02 FB 03 F3 3B 60 00 22 39 68 17 F1 40 00 ?? ?? ?? ?? 3B 6F 03 F1 08 00 ?? ?? ?? ?? 38 61 17 F1 40 00 ?? ?? ?? ?? 78 61 17 F1 30 01 17 F1 40 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? B8 61 3B 69 00 93 D7 F8 88 30 17 F1 58 02 79 69 B8 69 ?? ?? ?? ?? F8 61 FB 69 7B 60 7B 68 00 2B 00 D9 00 E0 CC E7 79 68 17 F1 40 00 ?? ?? ?? ?? 38 62 01 21 17 F1 40 00 ?? ?? ?? ?? 78 62 68 46 17 F1 7C 01 04 22 ?? ?? ?? ?? BB 6F 3A 6A 79 6A 78 6F ?? ?? ?? ?? 17 F1 40 00 ?? ?? ?? ?? 7B 6F BB 62 B8 6A 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_424_1 {
	meta:
		name = "?do_thousands_sep@?$_Mpunct@D@std@@MBADXZ"
		size = 36
		altNames = "?do_thousands_sep@?$numpunct@D@std@@MBADXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0D 33 93 F9 00 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_79_429_1 {
	meta:
		name = "?do_transform@?$collate@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z"
		size = 228
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 003e ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 004a ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0052 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 005c ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 008a ??$_LStrxfrm@D@std@@YAIPAD0PBD1PBU_Collvec@@@Z 00ba ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 00cc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 23 7B 60 17 F1 40 00 ?? ?? ?? ?? B8 62 7A 6F 3B 6F D3 1A 3B 60 3B 68 00 2B 38 D9 39 68 17 F1 40 00 ?? ?? ?? ?? 17 F1 2C 01 17 F1 40 00 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? 38 61 17 F1 40 00 ?? ?? ?? ?? 78 61 17 F1 30 01 17 F1 40 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? B8 61 BB 6E 08 33 00 93 7B 6F 3A 6F 38 69 79 69 01 44 B8 69 ?? ?? ?? ?? F8 61 17 F1 40 00 ?? ?? ?? ?? 38 62 FB 69 3B 60 3A 68 3B 6A 9A 42 00 D8 00 E0 C3 E7 39 68 17 F1 40 00 ?? ?? ?? ?? 17 F1 40 01 F8 6E ?? ?? ?? ?? 78 63 7B 68 43 F0 01 03 7B 60 17 F1 40 00 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_434_1 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 94
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBAPADAAD@Z 004a ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PADPBU_Container_base0@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 3B 68 10 33 39 69 1B 68 19 44 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_449_1 {
	meta:
		name = "?is@?$ctype@D@std@@QBA_NFD@Z"
		size = 78
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 19 1D 9D F9 18 30 DA B2 02 23 02 FB 03 F2 0B 68 13 44 B3 F9 00 20 BD F9 14 30 13 40 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_458_1 {
	meta:
		name = "?narrow@?$ctype@D@std@@QBADDD@Z"
		size = 74
		refs = "0022 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 83 B0 9D F9 28 60 9D F9 24 50 08 9B 1B 68 28 33 08 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 32 46 98 47 8D F8 00 00 9D F9 00 30 8D F8 08 30 9D F9 08 00 03 B0 BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_79_464_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 708
		refs = "000e ?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z 0020 ?_Clamp_suffix_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIII@Z 003c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0056 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 009e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 00ac ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ 00b4 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 00c8 ?move@?$char_traits@D@std@@SAPADPADPBDI@Z 011e ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 02b0 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A2 B0 25 99 24 98 ?? ?? ?? ?? 28 99 27 98 ?? ?? ?? ?? 26 9A 25 99 24 98 ?? ?? ?? ?? 02 90 02 9B 26 93 29 9A 28 99 27 98 ?? ?? ?? ?? 03 90 03 9B 29 93 24 98 ?? ?? ?? ?? 04 90 29 9B C3 F1 FF 31 04 9B 1A 68 26 9B D3 1A 99 42 02 D8 24 98 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 05 90 05 9B 1A 68 26 9B D2 1A 25 9B D3 1A 00 93 24 98 ?? ?? ?? ?? 06 90 06 9B 1A 68 29 9B 1A 44 26 9B D3 1A 01 93 24 98 ?? ?? ?? ?? 07 90 07 9B 1A 68 01 9B 9A 42 04 D2 00 22 01 99 24 98 ?? ?? ?? ?? 29 9A 26 9B 9A 42 11 D1 27 98 ?? ?? ?? ?? 08 90 24 98 ?? ?? ?? ?? 09 90 29 9A 08 99 28 9B 19 44 09 98 25 9B 18 44 ?? ?? ?? ?? EE E0 24 9A 27 9B 9A 42 26 D0 24 98 ?? ?? ?? ?? 0A 90 24 98 ?? ?? ?? ?? 0B 90 00 9A 0A 99 25 9B 19 44 26 9B 19 44 0B 98 25 9B 18 44 29 9B 18 44 ?? ?? ?? ?? 27 98 ?? ?? ?? ?? 0C 90 24 98 ?? ?? ?? ?? 0D 90 29 9A 0C 99 28 9B 19 44 0D 98 25 9B 18 44 ?? ?? ?? ?? C3 E0 29 9A 26 9B 9A 42 26 D2 24 98 ?? ?? ?? ?? 0E 90 24 98 ?? ?? ?? ?? 0F 90 29 9A 0E 99 28 9B 19 44 0F 98 25 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 10 90 24 98 ?? ?? ?? ?? 11 90 00 9A 10 99 25 9B 19 44 26 9B 19 44 11 98 25 9B 18 44 29 9B 18 44 ?? ?? ?? ?? 98 E0 28 9A 25 9B 9A 42 26 D8 24 98 ?? ?? ?? ?? 12 90 24 98 ?? ?? ?? ?? 13 90 00 9A 12 99 25 9B 19 44 26 9B 19 44 13 98 25 9B 18 44 29 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 14 90 24 98 ?? ?? ?? ?? 15 90 29 9A 14 99 28 9B 19 44 15 98 25 9B 18 44 ?? ?? ?? ?? 6D E0 25 9A 26 9B 1A 44 28 9B 9A 42 2A D8 24 98 ?? ?? ?? ?? 16 90 24 98 ?? ?? ?? ?? 17 90 00 9A 16 99 25 9B 19 44 26 9B 19 44 17 98 25 9B 18 44 29 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 18 90 24 98 ?? ?? ?? ?? 19 90 29 9A 28 99 29 9B 19 44 26 9B C9 1A 18 9B 19 44 19 98 25 9B 18 44 ?? ?? ?? ?? 3C E0 24 98 ?? ?? ?? ?? 1A 90 24 98 ?? ?? ?? ?? 1B 90 26 9A 1A 99 28 9B 19 44 1B 98 25 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 1C 90 24 98 ?? ?? ?? ?? 1D 90 00 9A 1C 99 25 9B 19 44 26 9B 19 44 1D 98 25 9B 18 44 29 9B 18 44 ?? ?? ?? ?? 24 98 ?? ?? ?? ?? 1E 90 24 98 ?? ?? ?? ?? 1F 90 29 9A 26 9B D2 1A 1E 99 28 9B 19 44 29 9B 19 44 1F 98 25 9B 18 44 26 9B 18 44 ?? ?? ?? ?? 01 99 24 98 ?? ?? ?? ?? 24 9B 20 93 20 98 22 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_465_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z"
		size = 350
		refs = "000e ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z 0020 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 003a ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIABV12@II@Z 004a ?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z 0054 ?_Clamp_suffix_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIII@Z 0060 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 007a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 00c2 ?move@?$char_traits@D@std@@SAPADPADPBDI@Z 00ee ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0142 ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 014a ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 17 99 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 13 D0 14 98 ?? ?? ?? ?? 06 90 18 9B 01 93 17 9A 06 9B D3 1A 00 93 14 9B 16 9A 15 99 14 98 ?? ?? ?? ?? 07 90 07 9B 05 93 85 E0 15 99 14 98 ?? ?? ?? ?? 16 9A 15 99 14 98 ?? ?? ?? ?? 08 90 08 9B 16 93 14 98 ?? ?? ?? ?? 09 90 18 9B C3 F1 FF 31 09 9B 1A 68 16 9B D3 1A 99 42 02 D8 14 98 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0A 90 0A 9B 1A 68 16 9B D2 1A 15 9B D3 1A 03 93 18 9A 16 9B 9A 42 14 D2 14 98 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 03 9A 0B 99 15 9B 19 44 16 9B 19 44 0C 98 15 9B 18 44 18 9B 18 44 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0D 90 0D 9B 1A 68 18 9B 1A 44 16 9B D3 1A 04 93 18 9B 00 2B 02 D8 16 9B 00 2B 32 D9 00 22 04 99 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 27 D0 16 9A 18 9B 9A 42 14 D2 14 98 ?? ?? ?? ?? 0E 90 14 98 ?? ?? ?? ?? 0F 90 03 9A 0E 99 15 9B 19 44 16 9B 19 44 0F 98 15 9B 18 44 18 9B 18 44 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 10 90 18 9A 17 99 10 98 15 9B 18 44 ?? ?? ?? ?? 04 99 14 98 ?? ?? ?? ?? 14 9B 05 93 05 98 12 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_469_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ"
		size = 116
		refs = "000e ?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ 0032 ?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ 003a ?to_int_type@?$char_traits@D@std@@SAHABD@Z 0054 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 98 ?? ?? ?? ?? 09 91 08 90 08 9B 0A 93 09 9B 0B 93 0A 9B 02 93 0B 9B 00 2B 0E DB 02 DC 02 9B 00 2B 0A D9 10 98 ?? ?? ?? ?? 03 90 03 98 ?? ?? ?? ?? 04 90 04 9B 01 93 0E E0 10 9B 1B 68 1C 33 10 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 05 90 05 9B 01 93 01 9B 06 93 06 98 0D B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_472_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ"
		size = 116
		refs = "000e ?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ 0032 ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 003a ?to_int_type@?$char_traits@D@std@@SAHABD@Z 0054 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 98 ?? ?? ?? ?? 09 91 08 90 08 9B 0A 93 09 9B 0B 93 0A 9B 02 93 0B 9B 00 2B 0E DB 02 DC 02 9B 00 2B 0A D9 10 98 ?? ?? ?? ?? 03 90 03 98 ?? ?? ?? ?? 04 90 04 9B 01 93 0E E0 10 9B 1B 68 18 33 10 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 05 90 05 9B 01 93 01 9B 06 93 06 98 0D B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_474_1 {
	meta:
		name = "?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHD@Z"
		size = 140
		refs = "000e ?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ 0032 ?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ 0046 ?to_int_type@?$char_traits@D@std@@SAHABD@Z 006a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8E B0 12 98 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 0C 93 0B 9B 0D 93 0C 9B 03 93 0D 9B 00 2B 14 DB 02 DC 03 9B 00 2B 10 D9 12 98 ?? ?? ?? ?? 04 90 04 9B 00 93 9D F9 4C 20 00 9B 1A 70 00 98 ?? ?? ?? ?? 05 90 05 9B 02 93 14 E0 13 A8 ?? ?? ?? ?? 06 90 06 9D 12 9B 1B 68 0C 33 12 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 98 47 07 90 07 9B 02 93 02 9B 08 93 08 98 0E B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_475_1 {
	meta:
		name = "?thousands_sep@?$_Mpunct@D@std@@QBADXZ"
		size = 62
		refs = "001a _guard_check_icall"
		altNames = "?thousands_sep@?$numpunct@D@std@@QBADXZ"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 1B 68 10 33 06 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 8D F8 00 00 9D F9 00 30 8D F8 08 30 9D F9 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_79_480_1 {
	meta:
		name = "?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z"
		size = 68
		refs = "0022 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 83 B0 DD F8 34 80 0C 9F 0B 9E 0A 9B 1B 68 1C 33 0A 9D 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9C 28 46 31 46 3A 46 43 46 A0 47 01 90 01 9B 02 93 02 98 03 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_81_0_1 {
	meta:
		name = "_FXp_addh"
		size = 1280
		refs = "0022 _FDunscale 0044 _FDtest 0072 _FPmsw 0098 _Feraise 0154 _FNan 033e _FDint 0348 _FDscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 8D ED 02 0A 9D ED 02 0A 8D ED 09 0A 19 9B 00 2B 00 D1 66 E2 09 A9 05 A8 ?? ?? ?? ?? AD F8 2C 00 BD F9 2C 30 AD F8 04 30 BD F9 04 30 00 2B 40 DD BD F9 04 30 02 2B 0C D0 18 98 ?? ?? ?? ?? AD F8 2E 00 BD F9 2E 30 AD F8 04 30 BD F9 04 30 00 2B 05 DC 18 9B 9D ED 02 0A 83 ED 00 0A 28 E0 BD F9 04 30 02 2B 11 D0 02 A8 ?? ?? ?? ?? 11 90 18 98 ?? ?? ?? ?? 12 90 11 9B 1B 88 03 F4 00 42 12 9B 1B 88 03 F4 00 43 9A 42 00 D1 11 E0 01 20 ?? ?? ?? ?? 18 9A 2D 4B 93 ED 00 0A 82 ED 00 0A 19 9B 01 2B 05 DD 18 9B 1B 1D 9F ED 27 0A 83 ED 00 0A 17 E2 BD F9 04 30 00 2B 80 F2 13 82 4F F4 80 73 08 93 00 23 00 93 00 9A 19 9B 9A 42 80 F2 09 82 00 9A 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A 8D ED 13 0A 0C 23 0A 93 13 A9 03 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 04 30 BD F9 04 30 00 2B 01 DD ED E1 EB E1 BD F9 04 30 00 2B 1F D1 00 9A 04 23 02 FB 03 F2 18 9B 13 44 9D ED 02 0A 83 ED 00 0A 00 9B 5A 1C 19 9B 9A 42 0A DA 00 9B 5A 1C 04 23 02 FB 03 F2 18 9B 13 44 9F ED 02 0A 83 ED 00 0A CD E1 00 00 00 00 ?? ?? ?? ?? C7 E1 BD F9 0C 20 BD F9 14 30 D3 1A 0D 93 0A 9B 5A 42 0D 9B 93 42 56 DC 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 4F D0 00 9B 04 93 04 9B 5B 1C 04 93 04 9A 19 9B 9A 42 0D DA 04 9A 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D0 EA E7 19 9B 5A 1E 04 9B 93 42 03 DA 04 9B 5B 1C 04 93 06 E0 04 9A 19 9B 9A 42 02 D1 04 9B 5B 1E 04 93 02 E0 04 9B 5B 1E 04 93 00 9A 04 9B 9A 42 11 DA 04 9B 5A 1E 04 23 02 FB 03 F2 18 9B 99 18 04 9A 04 23 02 FB 03 F2 18 9B 13 44 91 ED 00 0A 83 ED 00 0A E6 E7 00 9A 04 23 02 FB 03 F2 18 9B 13 44 9D ED 02 0A 83 ED 00 0A 9F ED B9 0A 8D ED 02 0A 65 E1 0A 9A 0D 9B 9A 42 0D DC 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 06 D0 BD F9 0C 30 08 93 00 9B 5B 1C 00 93 53 E1 00 9A 04 23 02 FB 03 F2 18 9B 13 44 D3 ED 00 0A 9D ED 02 0A 30 EE 80 0A 8D ED 0E 0A 00 9A 04 23 02 FB 03 F2 18 9B 13 44 9D ED 0E 0A 83 ED 00 0A 9D ED 0E 0A B5 EE 40 0A F1 EE 10 FA 41 D1 00 9B 06 93 06 9B 5B 1C 06 93 06 9A 19 9B 9A 42 1F DA 06 9A 04 23 02 FB 03 F2 18 9B 99 18 06 9B 5A 1E 04 23 02 FB 03 F2 18 9B 13 44 91 ED 00 0A 83 ED 00 0A 06 9B 5A 1E 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D0 D8 E7 19 9B 5A 1E 04 23 02 FB 03 F2 18 9B 13 44 9F ED 86 0A 83 ED 00 0A 00 9A 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D1 F3 E0 00 9A 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A 8D ED 02 0A 02 A9 05 A8 ?? ?? ?? ?? 08 9A 0A 9B D2 1A BD F9 14 30 9A 42 7E DA BD F9 14 10 08 9A 0A 9B D3 1A CB 1A 19 B2 02 A8 ?? ?? ?? ?? BD F9 14 10 02 A8 ?? ?? ?? ?? 00 9A 04 23 02 FB 03 F2 18 9B 13 44 D3 ED 00 0A 9D ED 02 0A 30 EE C0 0A 8D ED 0F 0A 00 9A 04 23 02 FB 03 F2 18 9B 13 44 9D ED 0F 0A 83 ED 00 0A 9D ED 0F 0A B5 EE 40 0A F1 EE 10 FA 33 D1 00 9B 07 93 07 9B 5B 1C 07 93 07 9A 19 9B 9A 42 1F DA 07 9A 04 23 02 FB 03 F2 18 9B 99 18 07 9B 5A 1E 04 23 02 FB 03 F2 18 9B 13 44 91 ED 00 0A 83 ED 00 0A 07 9B 5A 1E 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D0 D8 E7 19 9B 5A 1E 04 23 02 FB 03 F2 18 9B 13 44 9F ED 44 0A 83 ED 00 0A 00 9B 5B 1E 00 93 00 9B 00 2B 03 D1 4F F4 80 73 08 93 11 E0 00 9B 5A 1E 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A 8D ED 09 0A 09 A9 03 A8 ?? ?? ?? ?? BD F9 0C 30 08 93 5E E0 00 9B 5A 1C 19 9B 9A 42 01 D1 59 E0 57 E0 00 9A 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A 8D ED 02 0A 00 9A 04 23 02 FB 03 F2 18 9B 99 18 03 A8 ?? ?? ?? ?? 0C 21 00 9A 04 23 02 FB 03 F2 18 9B 98 18 ?? ?? ?? ?? BD F9 0C 10 00 9A 04 23 02 FB 03 F2 18 9B 98 18 ?? ?? ?? ?? 00 9A 04 23 02 FB 03 F2 18 9B 13 44 DD ED 02 0A 93 ED 00 0A 30 EE C0 0A 8D ED 02 0A BD F9 0C 30 08 93 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 04 D0 9D ED 02 0A 8D ED 10 0A 09 E0 00 9A 04 23 02 FB 03 F2 18 9B 13 44 93 ED 00 0A 8D ED 10 0A 9D ED 10 0A 8D ED 09 0A 09 A9 05 A8 ?? ?? ?? ?? 00 9B 5B 1C 00 93 F1 E5 18 9B 14 93 14 98 16 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 }
	condition:
		$1
}

rule file_81_1_1 {
	meta:
		name = "_FXp_addx"
		size = 98
		refs = "004c _FXp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 19 DA 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0C D0 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A 05 99 04 98 ?? ?? ?? ?? DE E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_81_2_1 {
	meta:
		name = "_FXp_getw"
		size = 292
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 05 D1 9F ED 43 0A 8D ED 00 0A 7B E0 7A E0 07 9B 01 2B 10 D0 06 9B 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 08 D0 06 9B 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 06 D1 06 9B 93 ED 00 0A 8D ED 00 0A 60 E0 5F E0 07 9B 02 2B 08 D0 06 9B 08 33 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0C D1 06 9A 06 9B 1B 1D D2 ED 00 0A 93 ED 00 0A 30 EE 80 0A 8D ED 00 0A 47 E0 46 E0 06 9A 06 9B 1B 1D D2 ED 00 0A 93 ED 00 0A 30 EE 80 0A 8D ED 02 0A 06 9B 08 33 93 ED 00 0A 8D ED 01 0A 07 9B 04 2B 09 DB 06 9B 0C 33 DD ED 01 0A 93 ED 00 0A 30 EE 80 0A 8D ED 01 0A 06 9B DD ED 02 0A 93 ED 00 0A 70 EE C0 0A 06 9B 1B 1D 93 ED 00 0A F4 EE 40 0A F1 EE 10 FA 09 D1 DD ED 02 0A 9D ED 01 0A 30 EE 80 0A 8D ED 00 0A 0F E0 0E E0 06 9A 06 9B 1B 1D D3 ED 00 0A 9D ED 01 0A 70 EE 80 0A 92 ED 00 0A 30 EE 20 0A 8D ED 00 0A 9D ED 00 0A 04 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 }
	condition:
		$1
}

rule file_81_3_1 {
	meta:
		name = "_FXp_invx"
		size = 308
		refs = "0014 _FDtest 0086 _FXp_movx 0092 _FXp_mulh 00c0 _FXp_setw 00ee _FXp_mulx 00fa _FXp_addh 0116 _FXp_addx 012c _FInf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 84 E0 0C 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 08 30 BD F9 08 30 00 2B 14 DB BD F9 08 30 01 2B 05 D1 0C 9B 9F ED 3E 0A 83 ED 00 0A 09 E0 BD F9 08 30 00 2B 05 D1 0C 9A 38 4B 93 ED 00 0A 82 ED 00 0A 62 E0 0E 9B 03 93 0D 9A 04 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 04 23 02 FB 03 F2 04 9B 13 44 07 93 0C 9B 93 ED 00 0A 8D ED 05 0A 0C 9A 0D 99 04 98 ?? ?? ?? ?? BF EE 00 0A 0D 99 04 98 ?? ?? ?? ?? 0D 9B 01 2B 09 DD 0C 9B 1B 1D DD ED 05 0A 93 ED 00 0A 30 EE 80 0A 8D ED 05 0A F7 EE 00 0A 9D ED 05 0A 80 EE 80 0A 0D 99 0C 98 ?? ?? ?? ?? 01 23 06 93 02 E0 06 9B 5B 00 06 93 06 9A 0D 9B 9A 42 21 DA 0C 9A 0D 99 03 98 ?? ?? ?? ?? 07 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 00 0A 0D 99 03 98 ?? ?? ?? ?? 07 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 0D 9B 03 9A 0D 99 0C 98 ?? ?? ?? ?? D6 E7 0C 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_81_4_1 {
	meta:
		name = "_FXp_ldexpx"
		size = 130
		refs = "0034 ldexp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 29 DA 08 98 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B7 EE C0 0A ?? ?? ?? ?? 8D ED 02 0B 00 9A 04 23 02 FB 03 F2 06 9B 13 44 9D ED 02 0B B7 EE C0 0B 83 ED 00 0A 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D1 00 E0 CE E7 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_81_5_1 {
	meta:
		name = "_FXp_movx"
		size = 42
		refs = "0016 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 04 23 02 FB 03 F2 06 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_81_6_1 {
	meta:
		name = "_FXp_mulh"
		size = 528
		refs = "0008 __security_push_cookie 002e _FDtest 0050 _Feraise 016c _FDunscale 0174 _FDint 017e _FDscale 018a _FXp_addh 01fe __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8D B0 8D ED 06 0A 11 9B 00 2B 38 DD 10 9B D3 ED 00 0A 9D ED 06 0A 20 EE 80 0A 08 AB 83 ED 00 0A 08 A8 ?? ?? ?? ?? AD F8 14 00 BD F9 14 30 AD F8 04 30 BD F9 04 30 00 2B 1C DB BD F9 04 30 02 2B 02 D1 01 20 ?? ?? ?? ?? 08 AA 10 9B 92 ED 00 0A 83 ED 00 0A BD F9 04 30 00 2B 08 DD 11 9B 01 2B 05 DD 10 9B 1B 1D 9F ED 66 0A 83 ED 00 0A 10 9B 07 93 BC E0 10 9B 9F ED 62 0A 83 ED 00 0A 01 23 00 93 00 23 02 93 05 E0 02 9B 5B 1C 02 93 00 9B 5B 1E 00 93 02 9A 11 9B 9A 42 80 F2 A6 80 02 E0 00 9B 5B 1C 00 93 00 9B 04 2B 45 DA 02 9A 00 9B 1A 44 11 9B 9A 42 31 DA 02 9A 00 9B 1A 44 04 23 02 FB 03 F2 10 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 22 D0 02 9A 00 9B 1A 44 04 23 02 FB 03 F2 10 9B 13 44 D3 ED 00 0A 9D ED 06 0A 20 EE 80 0A 00 9A 04 23 02 FB 03 F2 08 AB 13 44 83 ED 00 0A 02 9A 00 9B 1A 44 04 23 02 FB 03 F2 10 9B 13 44 9F ED 3B 0A 83 ED 00 0A 0C E0 00 9A 04 23 02 FB 03 F2 08 AB 13 44 9F ED 35 0A 83 ED 00 0A 08 23 00 93 00 E0 B3 E7 08 AB 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 01 D1 4F E0 4D E0 00 23 03 93 08 AB 93 ED 00 0A 8D ED 04 0A 04 A9 0D F1 16 00 ?? ?? ?? ?? 0C 21 04 A8 ?? ?? ?? ?? BD F9 16 10 04 A8 ?? ?? ?? ?? 9D ED 04 0A 11 99 10 98 ?? ?? ?? ?? 08 AB D3 ED 00 0A 9D ED 04 0A 30 EE C0 0A 11 99 10 98 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 00 9B 9A 42 20 DA 03 9A 04 23 02 FB 03 F2 08 AB 99 18 03 9B 5A 1E 04 23 02 FB 03 F2 08 AB 13 44 91 ED 00 0A 83 ED 00 0A 03 9B 5A 1E 04 23 02 FB 03 F2 08 AB 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D1 00 E0 D7 E7 4E E7 10 9B 07 93 07 98 0D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 }
	condition:
		$1
}

rule file_81_7_1 {
	meta:
		name = "_FXp_mulx"
		size = 226
		refs = "0044 _FXp_mulh 0062 _FXp_movx 00cc _FXp_addx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 02 D0 09 9B 00 2B 00 D1 5C E0 08 9B 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 08 D0 08 9B 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 07 D1 08 9B 93 ED 00 0A 07 99 06 98 ?? ?? ?? ?? 43 E0 0A 9B 02 93 07 9A 04 23 02 FB 03 F2 0A 9B 13 44 01 93 06 9A 07 99 02 98 ?? ?? ?? ?? 08 9B 93 ED 00 0A 07 99 06 98 ?? ?? ?? ?? 01 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 09 9B 9A 42 24 DA 00 9A 04 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 17 D0 02 9A 07 99 01 98 ?? ?? ?? ?? 00 9A 04 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0A 07 99 01 98 ?? ?? ?? ?? 07 9B 01 9A 07 99 06 98 ?? ?? ?? ?? D3 E7 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_81_8_1 {
	meta:
		name = "_FXp_setn"
		size = 96
		refs = "0010 __rt_sdiv 0020 _FXp_setw 002c _FXp_mulh 0046 _FXp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 99 42 F2 10 70 ?? ?? ?? ?? 00 EE 10 0A B8 EE C0 0A 05 99 04 98 ?? ?? ?? ?? 9F ED 0D 0A 05 99 04 98 ?? ?? ?? ?? 06 99 42 F2 10 70 ?? ?? ?? ?? 00 EE 10 1A B8 EE C0 0A 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE 00 40 1C 46 }
	condition:
		$1
}

rule file_81_9_1 {
	meta:
		name = "_FXp_setw"
		size = 304
		refs = "0028 _FDunscale 0070 _FDint 007a _FDscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 03 0A 9D ED 03 0A 8D ED 02 0A 09 9B 00 2B 00 DC 7D E0 09 9B 01 2B 0D D0 02 A9 68 46 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 02 30 BD F9 02 30 00 2B 05 D1 08 9B 9D ED 02 0A 83 ED 00 0A 66 E0 BD F9 02 30 00 2B 0B DD 08 9B 9D ED 02 0A 83 ED 00 0A 08 9B 1B 1D 9F ED 32 0A 83 ED 00 0A 56 E0 0C 21 02 A8 ?? ?? ?? ?? BD F9 00 10 02 A8 ?? ?? ?? ?? 08 9B 9D ED 02 0A 83 ED 00 0A DD ED 03 0A 9D ED 02 0A 30 EE C0 0A 08 9B 1B 1D 83 ED 00 0A 34 E0 08 9B 1B 1D 93 ED 00 0A 8D ED 03 0A 08 9B 19 1D 68 46 ?? ?? ?? ?? 0C 21 08 9B 18 1D ?? ?? ?? ?? BD F9 00 10 08 9B 18 1D ?? ?? ?? ?? 08 9B 1B 1D DD ED 03 0A 93 ED 00 0A 30 EE C0 0A 08 9B 08 33 83 ED 00 0A 09 9B 03 2B 0E DD 08 9B 08 33 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 05 D0 08 9B 0C 33 9F ED 0B 0A 83 ED 00 0A 08 E0 09 9B 02 2B 05 DD 08 9B 08 33 9F ED 06 0A 83 ED 00 0A 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 }
	condition:
		$1
}

rule file_81_10_1 {
	meta:
		name = "_FXp_sqrtx"
		size = 328
		refs = "0014 _FDtest 0046 _Feraise 00b8 _FXp_setw 00d6 _FXp_movx 00e2 _FXp_mulh 00f2 _FXp_mulx 010e _FXp_addh 0144 _FNan"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 90 E0 0C 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 07 DA 0C 9B 93 ED 00 0A B5 EE C0 0A F1 EE 10 FA 11 D2 0C 9B 93 ED 00 0A B5 EE C0 0A F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 0C 9A 3D 4B 93 ED 00 0A 82 ED 00 0A 6D E0 0E 9B 03 93 0D 9A 04 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 04 23 02 FB 03 F2 04 9B 13 44 05 93 0C 9B 93 ED 00 0A 8D ED 06 0A 0D 9B 01 2B 09 DD 0C 9B 1B 1D DD ED 06 0A 93 ED 00 0A 30 EE 80 0A 8D ED 06 0A 9D ED 06 0A B7 EE C0 0A B1 EE C0 1B B7 EE 00 0B 80 EE 01 0B B7 EE C0 0B 0D 99 04 98 ?? ?? ?? ?? 02 23 07 93 02 E0 07 9B 5B 00 07 93 07 9A 0D 9B 9A 42 29 DA 04 9A 0D 99 03 98 ?? ?? ?? ?? BE EE 00 0A 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 08 0A 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 03 9A 0D 99 04 98 ?? ?? ?? ?? CE E7 05 9B 00 93 0D 9B 04 9A 0D 99 0C 98 ?? ?? ?? ?? 0C 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_11_1 {
	meta:
		name = "_FXp_subx"
		size = 102
		refs = "0050 _FXp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 1B DA 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0E D0 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B1 EE 40 0A 05 99 04 98 ?? ?? ?? ?? DC E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_82_0_1 {
	meta:
		name = "_FCosh"
		size = 272
		refs = "0012 _FDtest 00a0 _FExp 00ee _Feraise 010c _FXbig"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 CD ED 02 0A 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 04 93 04 9B 00 2B 0B D0 04 9B 00 2B 0D DD 04 9B 02 2B 00 DD 09 E0 9D ED 01 0A 8D ED 03 0A 61 E0 9D ED 02 0A 8D ED 03 0A 5C E0 9D ED 02 0A B7 EE C0 0A B5 EE 40 0B F1 EE 10 FA 04 D1 9D ED 02 0A 8D ED 03 0A 4E E0 9D ED 01 0A B7 EE C0 0A B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 01 0A B1 EE 40 0A 8D ED 01 0A DD ED 01 0A 21 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0A 01 A8 ?? ?? ?? ?? F5 EE 00 0A 9D ED 01 0A C0 EE 80 0A 9D ED 01 0A 70 EE 20 0A 9D ED 02 0A 20 EE 20 0A 8D ED 03 0A 1D E0 6F F0 00 01 9D ED 02 0A 01 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 05 93 05 9B 00 2B 03 D0 05 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 01 0A 8D ED 03 0A 9D ED 03 0A 06 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_8_1 {
	meta:
		name = "??_G_Condition_variable@details@Concurrency@@QAAPAXI@Z"
		size = 48
		refs = "000c ??1_Condition_variable@details@Concurrency@@QAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 24 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_15_1 {
	meta:
		name = "?create_stl_condition_variable@details@Concurrency@@YAXPAVstl_condition_variable_interface@12@@Z"
		size = 216
		refs = "0030 ?are_win7_sync_apis_available@details@Concurrency@@YA_NXZ 0040 ??2@YAPAXIPAX@Z 0052 ??0stl_condition_variable_win7@details@Concurrency@@QAA@XZ 0068 ?are_vista_sync_apis_available@details@Concurrency@@YA_NXZ 008a ??0stl_condition_variable_vista@details@Concurrency@@QAA@XZ 00b6 ??0stl_condition_variable_concrt@details@Concurrency@@QAA@XZ 00d4 ?__stl_sync_api_impl_mode@@3W4__stl_sync_api_modes_enum@@A"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 95 B0 6F 46 6F F0 01 03 C7 E9 12 33 2F 4B 1B 68 7B 60 7B 68 00 2B 3E DB 7B 68 01 2B 03 DD 7B 68 02 2B 1C D0 37 E0 ?? ?? ?? ?? 38 70 3B 78 00 2B 15 D0 39 6E 08 20 ?? ?? ?? ?? 38 62 3B 6A BB 60 BB 68 00 2B 06 D0 B8 68 ?? ?? ?? ?? 78 62 7B 6A FB 60 01 E0 00 23 FB 60 FB 68 BB 63 30 E0 ?? ?? ?? ?? 78 70 7B 78 00 2B 15 D0 39 6E 08 20 ?? ?? ?? ?? B8 62 BB 6A 3B 61 3B 69 00 2B 06 D0 38 69 ?? ?? ?? ?? F8 62 FB 6A 7B 61 01 E0 00 23 7B 61 7B 69 FB 63 14 E0 39 6E 28 20 ?? ?? ?? ?? 38 63 3B 6B BB 61 BB 69 00 2B 06 D0 B8 69 ?? ?? ?? ?? 78 63 7B 6B FB 61 01 E0 00 23 FB 61 FB 69 3B 64 15 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_22_1 {
	meta:
		name = "?do_signal@@YAHPAU_Cnd_internal_imp_t@@H@Z"
		size = 108
		refs = "0014 ?_get_cv@_Cnd_internal_imp_t@@QAAPAVstl_condition_variable_interface@details@Concurrency@@XZ 002c _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 0B 9B 00 2B 12 D0 0A 98 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 1B 68 0C 33 00 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 11 E0 0A 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 1B 68 08 33 02 9C 1B 68 03 93 03 98 ?? ?? ?? ?? 03 9B 20 46 98 47 00 23 06 93 06 98 07 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_83_23_1 {
	meta:
		name = "?do_wait@@YAHPAU_Cnd_internal_imp_t@@PAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
		size = 224
		refs = "000a __security_push_cookie 0016 _Mtx_getconcrtcs 0028 _Mtx_clear_owner 002e ?_get_cv@_Cnd_internal_imp_t@@QAAPAVstl_condition_variable_interface@details@Concurrency@@XZ 0046 _guard_check_icall 0054 _Mtx_reset_owner 005e xtime_get 006c _Xtime_diff_to_millis2 00d4 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 92 B0 00 23 06 93 19 98 ?? ?? ?? ?? 07 90 07 9B 03 93 1A 9B 00 2B 19 D1 19 98 ?? ?? ?? ?? 18 98 ?? ?? ?? ?? 08 90 08 9B 01 93 03 9D 01 9C 01 9B 1B 68 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 29 46 98 47 19 98 ?? ?? ?? ?? 38 E0 01 21 0E A8 ?? ?? ?? ?? 19 98 ?? ?? ?? ?? 0E A9 1A 98 ?? ?? ?? ?? 0A 90 18 98 ?? ?? ?? ?? 09 90 09 9B 04 93 0A 9E 03 9D 04 9C 04 9B 1B 68 1B 1D 1B 68 05 93 05 98 ?? ?? ?? ?? 05 9B 20 46 29 46 32 46 98 47 8D F8 00 00 9D F8 00 30 00 2B 0D D1 01 21 0E A8 ?? ?? ?? ?? 0E A9 1A 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 01 D1 02 23 06 93 19 98 ?? ?? ?? ?? 06 9B 0C 93 0C 98 12 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_83_33_1 {
	meta:
		name = "?wait@stl_condition_variable_concrt@details@Concurrency@@UAAXPAVstl_critical_section_interface@23@@Z"
		size = 38
		refs = "000c ?native_handle@stl_critical_section_concrt@details@Concurrency@@QAAAAVcritical_section@3@XZ 0018 ?wait@_Condition_variable@details@Concurrency@@QAAXAAVcritical_section@3@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 98 ?? ?? ?? ?? 00 90 00 99 04 9B 18 1D ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_34_1 {
	meta:
		name = "?wait@stl_condition_variable_vista@details@Concurrency@@UAAXPAVstl_critical_section_interface@23@@Z"
		size = 48
		refs = "0012 ?wait_for@stl_condition_variable_vista@details@Concurrency@@UAA_NPAVstl_critical_section_interface@23@I@Z 0022 terminate"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 6F F0 00 02 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D1 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_35_1 {
	meta:
		name = "?wait@stl_condition_variable_win7@details@Concurrency@@UAAXPAVstl_critical_section_interface@23@@Z"
		size = 48
		refs = "0012 ?wait_for@stl_condition_variable_win7@details@Concurrency@@UAA_NPAVstl_critical_section_interface@23@I@Z 0022 terminate"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 6F F0 00 02 05 99 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 01 D1 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_36_1 {
	meta:
		name = "?wait_for@stl_condition_variable_concrt@details@Concurrency@@UAA_NPAVstl_critical_section_interface@23@I@Z"
		size = 56
		refs = "000c ?native_handle@stl_critical_section_concrt@details@Concurrency@@QAAAAVcritical_section@3@XZ 001a ?wait_for@_Condition_variable@details@Concurrency@@QAA_NAAVcritical_section@3@I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 01 90 08 9A 01 99 06 9B 18 1D ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_83_37_1 {
	meta:
		name = "?wait_for@stl_condition_variable_vista@details@Concurrency@@UAA_NPAVstl_critical_section_interface@23@I@Z"
		size = 76
		refs = "000c ?native_handle@stl_critical_section_vista@details@Concurrency@@QAAPAU_RTL_CRITICAL_SECTION@@XZ 0048 __imp_SleepConditionVariableCS"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 01 90 08 9A 01 99 06 9B 18 1D 0B 4B 1B 68 98 47 02 90 02 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_38_1 {
	meta:
		name = "?wait_for@stl_condition_variable_win7@details@Concurrency@@UAA_NPAVstl_critical_section_interface@23@I@Z"
		size = 80
		refs = "000e ?native_handle@stl_critical_section_win7@details@Concurrency@@QAAPAU_RTL_SRWLOCK@@XZ 004c __imp_SleepConditionVariableSRW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 85 B0 09 98 ?? ?? ?? ?? 01 90 00 23 0A 9A 01 99 08 98 00 1D 0B 4C 24 68 A0 47 02 90 02 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 0C 30 9D F8 0C 00 05 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_39_1 {
	meta:
		name = "_Cnd_broadcast"
		size = 36
		refs = "000e ?do_signal@@YAHPAU_Cnd_internal_imp_t@@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_41_1 {
	meta:
		name = "_Cnd_destroy_in_situ"
		size = 58
		refs = "000e ?_get_cv@_Cnd_internal_imp_t@@QAAPAVstl_condition_variable_interface@details@Concurrency@@XZ 0026 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 1B 68 10 33 00 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_83_42_1 {
	meta:
		name = "_Cnd_init"
		size = 84
		refs = "001c _calloc_dbg 0036 _Cnd_init_in_situ 0050 ??_C@_0CL@GGCJIJKM@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 00 23 13 60 2F 23 00 93 0E 4B 02 22 28 21 01 20 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 03 D1 01 23 03 93 08 E0 07 E0 02 98 ?? ?? ?? ?? 02 9A 08 9B 1A 60 00 23 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_43_1 {
	meta:
		name = "_Cnd_init_in_situ"
		size = 34
		refs = "000c ?_get_cv@_Cnd_internal_imp_t@@QAAPAVstl_condition_variable_interface@details@Concurrency@@XZ 0014 ?create_stl_condition_variable@details@Concurrency@@YAXPAVstl_condition_variable_interface@12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_47_276_3 {
	meta:
		name = "?_Orphan_all@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 0014 ?_Orphan_all@_Container_base12@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_991_3 {
	meta:
		name = "?_Orphan_all@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 0014 ?_Orphan_all@_Container_base12@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_992_3 {
	meta:
		name = "?_Orphan_all@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
		size = 34
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 0014 ?_Orphan_all@_Container_base12@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_46_1 {
	meta:
		name = "_Cnd_wait"
		size = 38
		refs = "0010 ?do_wait@@YAHPAU_Cnd_internal_imp_t@@PAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_0_1 {
	meta:
		name = "??$?0AAPAUEHExceptionRecord@@_N@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QAA@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 128
		refs = "0018 ??0_Ref_count_base@std@@IAA@XZ 002c ??2@YAPAXIPAX@Z 003e ??$forward@_N@std@@YA$$QA_NAA_N@Z 0046 ??$forward@AAPAUEHExceptionRecord@@@std@@YAAAPAUEHExceptionRecord@@AAPAU1@@Z 0056 ??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z 007c ??_7?$_Ref_count_obj@V__ExceptionPtr@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 6F F0 01 03 C7 E9 0A 33 38 6C ?? ?? ?? ?? F8 61 17 4A 3B 6C 1A 60 3B 6C 03 F1 0C 01 54 20 ?? ?? ?? ?? B8 60 BB 68 3B 60 3B 68 00 2B 12 D0 B8 6C ?? ?? ?? ?? F8 60 78 6C ?? ?? ?? ?? 38 61 FB 68 1A 78 3B 69 19 68 38 68 ?? ?? ?? ?? 78 61 7B 69 7B 60 01 E0 00 23 7B 60 7B 68 3B 62 3B 6C BB 61 B8 69 0D B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_2_1 {
	meta:
		name = "__unwindfunclet$??$?0AAPAUEHExceptionRecord@@_N@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QAA@AAPAUEHExceptionRecord@@$$QA_N@Z$1"
		size = 16
		refs = "000a ??3@YAXPAX0@Z"
	strings:
		$1 = { 10 B5 3B 6C 03 F1 0C 01 38 68 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_86_3_1 {
	meta:
		name = "??$?0AAPAUEHExceptionRecord@@_N@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QAA@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 148
		refs = "0018 ??0_Ref_count_base@std@@IAA@XZ 002e ??$?0ABU?$_StaticAllocator@H@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@T?$_Align_type@H$0FE@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@ABU?$_StaticAllocator@H@@@Z 0034 ?_Getptr@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QBAPAV__ExceptionPtr@@XZ 0042 ??2@YAPAXIPAX@Z 0054 ??$forward@_N@std@@YA$$QA_NAA_N@Z 005c ??$forward@AAPAUEHExceptionRecord@@@std@@YAAAPAUEHExceptionRecord@@AAPAU1@@Z 006c ??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z 0090 ??_7?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 6F F0 01 03 C7 E9 0C 33 B8 6C ?? ?? ?? ?? B8 62 1C 4A BB 6C 1A 60 FA 6C 39 78 BB 6C 03 F1 0C 00 ?? ?? ?? ?? B8 6C ?? ?? ?? ?? F8 60 FB 68 3B 61 39 69 54 20 ?? ?? ?? ?? 78 61 7B 69 7B 60 7B 68 00 2B 12 D0 78 6D ?? ?? ?? ?? B8 61 38 6D ?? ?? ?? ?? F8 61 BB 69 1A 78 FB 69 19 68 78 68 ?? ?? ?? ?? 38 62 3B 6A BB 60 01 E0 00 23 BB 60 BB 68 FB 62 BB 6C 7B 62 78 6A 0F B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_7_1 {
	meta:
		name = "??$?0ABU?$_StaticAllocator@H@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@T?$_Align_type@H$0FE@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@ABU?$_StaticAllocator@H@@@Z"
		size = 52
		refs = "000c ??$forward@ABU?$_StaticAllocator@H@@@std@@YAABU?$_StaticAllocator@H@@ABU1@@Z 0016 ??$?0ABU?$_StaticAllocator@H@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAA@ABU?$_StaticAllocator@H@@@Z 0020 memset"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 98 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 54 22 00 21 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_8_1 {
	meta:
		name = "??$?0ABU?$_StaticAllocator@H@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAA@ABU?$_StaticAllocator@H@@@Z"
		size = 54
		refs = "0018 ??$forward@ABU?$_StaticAllocator@H@@@std@@YAABU?$_StaticAllocator@H@@ABU1@@Z 0022 ??$?0H@?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@QAA@ABU?$_StaticAllocator@H@@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 78 6A ?? ?? ?? ?? 38 60 39 68 38 6A ?? ?? ?? ?? 3B 6A 7B 60 78 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_37_1 {
	meta:
		name = "??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@$$QAV01@@Z"
		size = 54
		refs = "0018 ??$move@AAV?$shared_ptr@V__ExceptionPtr@@@std@@@std@@YA$$QAV?$shared_ptr@V__ExceptionPtr@@@0@AAV10@@Z 0022 ??0?$_Ptr_base@V__ExceptionPtr@@@std@@QAA@$$QAV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 78 6A ?? ?? ?? ?? 38 60 39 68 38 6A ?? ?? ?? ?? 3B 6A 7B 60 78 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_10_1 {
	meta:
		name = "??$?8V__ExceptionPtr@@V0@@std@@YA_NABV?$shared_ptr@V__ExceptionPtr@@@0@0@Z"
		size = 66
		refs = "000c ?get@?$shared_ptr@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 07 98 ?? ?? ?? ?? 02 90 01 9A 02 9B 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_11_1 {
	meta:
		name = "??$_Construct1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXU?$integral_constant@_N$00@1@AAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 104
		refs = "001a ??2@YAPAXIPAX@Z 002c ??$forward@_N@std@@YA$$QA_NAA_N@Z 0034 ??$forward@AAPAUEHExceptionRecord@@@std@@YAAAPAUEHExceptionRecord@@AAPAU1@@Z 003c ??$forward@ABU?$_StaticAllocator@H@@@std@@YAABU?$_StaticAllocator@H@@ABU1@@Z 004a ??$?0AAPAUEHExceptionRecord@@_N@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QAA@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 08 33 39 6C 60 20 ?? ?? ?? ?? B8 60 BB 68 3B 60 3B 68 00 2B 15 D0 F8 6C ?? ?? ?? ?? F8 60 B8 6C ?? ?? ?? ?? 38 61 78 6C ?? ?? ?? ?? 78 61 FB 68 3A 69 79 69 38 68 ?? ?? ?? ?? B8 61 BB 69 7B 60 01 E0 00 23 7B 60 7B 68 FB 61 0B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_86_13_1 {
	meta:
		name = "??$_Destroy1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@U?$integral_constant@_N$00@1@@Z"
		size = 50
		refs = "001c _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 82 B0 00 25 07 9B 1B 68 08 33 07 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 98 47 02 B0 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_86_14_1 {
	meta:
		name = "??$_Reset@V__ExceptionPtr@@@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXABV01@@Z"
		size = 32
		refs = "0014 ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9B 1B 1D 1A 68 03 9B 19 68 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_15_1 {
	meta:
		name = "??$_Resetp0@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@1@@Z"
		size = 34
		refs = "000e ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@2@@Z 0016 ?_Enable_shared@std@@YAXPDX0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 03 99 02 98 ?? ?? ?? ?? 04 99 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_16_1 {
	meta:
		name = "??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 158
		refs = "0020 ??$?0ABU?$_StaticAllocator@H@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAA@ABU?$_StaticAllocator@H@@@Z 0028 ?allocate@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@2@I@Z 0034 ??$forward@_N@std@@YA$$QA_NAA_N@Z 003c ??$forward@AAPAUEHExceptionRecord@@@std@@YAAAPAUEHExceptionRecord@@AAPAU1@@Z 004e ??$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z 0058 ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ 0060 ?_Getptr@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QBAPAV__ExceptionPtr@@XZ 006e ??$_Resetp0@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@1@@Z 0078 ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@$$QAV01@@Z 008a ??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 00 23 BB 60 F9 6C 38 46 ?? ?? ?? ?? 01 21 38 46 ?? ?? ?? ?? F8 60 FB 68 7B 60 78 6D ?? ?? ?? ?? 38 61 38 6D ?? ?? ?? ?? 78 61 3B 69 00 93 7B 69 FA 6C 79 68 38 46 ?? ?? ?? ?? FF E7 17 F1 28 00 ?? ?? ?? ?? 38 62 78 68 ?? ?? ?? ?? B8 61 7A 68 B9 69 17 F1 28 00 ?? ?? ?? ?? 17 F1 28 01 B8 6C ?? ?? ?? ?? 78 62 BB 68 43 F0 01 03 BB 60 17 F1 28 00 ?? ?? ?? ?? BB 6C FB 61 F8 69 11 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_86_17_1 {
	meta:
		name = "__catch$??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z$0"
		size = 32
		refs = "000a ?deallocate@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@2@I@Z 0012 _CxxThrowException 001c $LN10"
	strings:
		$1 = { 10 B5 82 B0 01 22 79 68 38 46 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 48 02 B0 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_19_1 {
	meta:
		name = "??$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 60
		refs = "000c ??$forward@_N@std@@YA$$QA_NAA_N@Z 0014 ??$forward@AAPAUEHExceptionRecord@@@std@@YAAAPAUEHExceptionRecord@@AAPAU1@@Z 001c ??$forward@ABU?$_StaticAllocator@H@@@std@@YAABU?$_StaticAllocator@H@@ABU1@@Z 002e ??$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0C 98 ?? ?? ?? ?? 02 90 0B 98 ?? ?? ?? ?? 03 90 0A 98 ?? ?? ?? ?? 04 90 02 9B 00 93 03 9B 04 9A 09 99 08 98 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_20_1 {
	meta:
		name = "??$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 66
		refs = "000c ??$forward@_N@std@@YA$$QA_NAA_N@Z 0014 ??$forward@AAPAUEHExceptionRecord@@@std@@YAAAPAUEHExceptionRecord@@AAPAU1@@Z 001c ??$forward@ABU?$_StaticAllocator@H@@@std@@YAABU?$_StaticAllocator@H@@ABU1@@Z 0034 ??$_Construct1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXU?$integral_constant@_N$00@1@AAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0C 98 ?? ?? ?? ?? 03 90 0B 98 ?? ?? ?? ?? 04 90 0A 98 ?? ?? ?? ?? 05 90 03 9B 01 93 04 9B 00 93 05 9B 09 9A 08 99 9D F8 08 00 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_27_1 {
	meta:
		name = "??$make_shared@V__ExceptionPtr@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 164
		refs = "001c ??2@YAPAXI@Z 002e ??$forward@_N@std@@YA$$QA_NAA_N@Z 0036 ??$forward@AAPAUEHExceptionRecord@@@std@@YAAAPAUEHExceptionRecord@@AAPAU1@@Z 0042 ??$?0AAPAUEHExceptionRecord@@_N@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QAA@AAPAUEHExceptionRecord@@$$QA_N@Z 005e ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ 0066 ?_Getptr@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ 0074 ??$_Resetp0@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@1@@Z 007e ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@$$QAV01@@Z 0090 ??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 93 B0 6F 46 6F F0 01 03 C7 E9 10 33 00 23 FB 60 60 20 ?? ?? ?? ?? 38 61 3B 69 3B 60 3B 68 00 2B 10 D0 38 6E ?? ?? ?? ?? 78 61 F8 6D ?? ?? ?? ?? B8 61 7A 69 B9 69 38 68 ?? ?? ?? ?? F8 61 FB 69 7B 60 01 E0 00 23 7B 60 7B 68 3B 62 3B 6A BB 60 17 F1 38 00 ?? ?? ?? ?? F8 62 B8 68 ?? ?? ?? ?? 78 62 BA 68 79 6A 17 F1 38 00 ?? ?? ?? ?? 17 F1 38 01 B8 6D ?? ?? ?? ?? 38 63 FB 68 43 F0 01 03 FB 60 17 F1 38 00 ?? ?? ?? ?? BB 6D BB 62 B8 6A 13 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_86_35_1 {
	meta:
		name = "??0?$_Ptr_base@V__ExceptionPtr@@@std@@QAA@$$QAV01@@Z"
		size = 60
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 04 9A 1B 68 13 60 05 9B 19 1D 04 9B 1A 1D 0B 68 13 60 05 9A 00 23 13 60 05 9B 1A 1D 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_36_1 {
	meta:
		name = "??0?$_Ptr_base@V__ExceptionPtr@@@std@@QAA@XZ"
		size = 40
		altNames = "??0_Container_proxy@std@@QAA@XZ ??0_Iterator_base12@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 1A 1D 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_38_1 {
	meta:
		name = "??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@ABV01@@Z"
		size = 52
		refs = "0018 ??0?$_Ptr_base@V__ExceptionPtr@@@std@@QAA@XZ 0020 ??$_Reset@V__ExceptionPtr@@@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 79 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_40_1 {
	meta:
		name = "??0_Ref_count_base@std@@IAA@XZ"
		size = 60
		refs = "0016 ?_Init_atomic_counter@std@@YAXAAKK@Z 0038 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 0A 4B 13 60 01 21 04 9B 18 1D ?? ?? ?? ?? 01 21 04 9B 03 F1 08 00 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_41_1 {
	meta:
		name = "??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z"
		size = 544
		refs = "0138 ?_GetThrowImageBase@__ExceptionPtr@@ABAHXZ 014e terminate 019e malloc 01b0 ?_StaticAlloc@@YAPAXI@Z 01c2 ??0bad_alloc@std@@QAA@XZ 01ca _CxxThrowException 01e4 ?_CallCopyCtor@__ExceptionPtr@@ABAXPAX0IQBU_s_CatchableType@@@Z 0204 _TI2?AVbad_alloc@std@@ 0208 __imp_EncodePointer"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F1 50 02 9D F8 58 30 13 70 15 9B 14 9A 1B 68 13 60 15 9B 19 1D 14 9B 1A 1D 0B 68 13 60 14 9B 03 F1 08 02 00 23 13 60 14 9B 03 F1 0C 02 00 23 13 60 15 9B 03 F1 10 01 14 9B 03 F1 10 02 0B 68 13 60 00 23 02 93 02 E0 02 9B 5B 1C 02 93 14 9B 10 33 02 9A 1B 68 9A 42 15 D2 02 9B 0F 2B 12 D2 15 9B 03 F1 14 01 02 9A 04 23 02 FB 03 F3 C8 18 14 9B 03 F1 14 01 02 9A 04 23 02 FB 03 F3 CA 18 03 68 13 60 E0 E7 14 9B 10 33 1B 68 05 93 02 E0 05 9B 5B 1C 05 93 05 9B 0F 2B 0A D2 14 9B 03 F1 14 01 05 9A 04 23 02 FB 03 F3 CA 18 00 23 13 60 EE E7 15 9B 1A 68 56 4B 9A 42 40 F0 94 80 15 9B 10 33 1B 68 04 2B 40 F0 8E 80 15 9B 14 33 1A 68 4E 4B 9A 42 11 D0 15 9B 14 33 1A 68 4A 4B 9A 42 0B D0 15 9B 14 33 1A 68 46 4B 9A 42 05 D0 15 9B 14 33 1A 68 42 4B 9A 42 75 D1 14 9B 14 33 1A 1D 00 23 13 60 15 9B 14 33 08 33 1B 68 03 93 15 9B 14 33 1B 1D 1B 68 00 2B 13 D0 03 9B 00 2B 10 D0 03 9B 0C 33 1B 68 00 2B 0B D0 14 98 ?? ?? ?? ?? 07 90 03 9B 0C 33 07 9A 1B 68 13 44 1B 68 00 2B 01 DC ?? ?? ?? ?? 03 98 2C 4B 1B 68 98 47 08 90 14 9B 14 33 03 F1 08 02 08 9B 13 60 14 98 ?? ?? ?? ?? 09 90 14 98 ?? ?? ?? ?? 0A 90 03 9B 0C 33 09 9A 1B 68 13 44 1B 1D 1A 68 0A 9B 13 44 06 93 00 23 04 93 9D F8 58 30 00 2B 08 D0 06 9B 14 33 18 68 ?? ?? ?? ?? 0B 90 0B 9B 04 93 07 E0 06 9B 14 33 18 68 ?? ?? ?? ?? 0C 90 0C 9B 04 93 04 9B 00 2B 06 D1 0E A8 ?? ?? ?? ?? 0F 49 0E A8 ?? ?? ?? ?? 06 9B 00 93 06 9B 14 33 1B 68 15 9A 14 32 12 1D 12 68 04 99 14 98 ?? ?? ?? ?? 14 9B 14 33 1A 1D 04 9B 13 60 14 9B 0D 93 0D 98 12 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 40 99 01 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_86_52_1 {
	meta:
		name = "??1__ExceptionPtr@@QAA@XZ"
		size = 324
		refs = "0084 terminate 0096 ?_GetThrowImageBase@__ExceptionPtr@@ABAHXZ 00da ?_CallMemberFunction0@@YAXQAX0@Z 010a _guard_check_icall 011c free 012c __imp_DecodePointer"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 8A B0 6F 46 6F F0 01 03 C7 E9 08 33 BB 6B 50 33 1B 78 00 2B 00 D1 7E E0 BB 6B 3B 60 3B 68 1A 68 45 4B 9A 42 77 D1 3B 68 10 33 1B 68 04 2B 72 D1 3B 68 14 33 1A 68 3E 4B 9A 42 11 D0 3B 68 14 33 1A 68 3A 4B 9A 42 0B D0 3B 68 14 33 1A 68 36 4B 9A 42 05 D0 3B 68 14 33 1A 68 32 4B 9A 42 5A D1 3B 68 14 33 08 33 18 68 2E 4B 1B 68 98 47 38 61 3B 69 7B 60 7B 68 00 2B 01 D1 ?? ?? ?? ?? 3B 68 14 33 1B 1D 1B 68 00 2B 3F D0 B8 6B ?? ?? ?? ?? 78 61 B8 6B ?? ?? ?? ?? B8 61 7B 68 0C 33 7A 69 1B 68 13 44 1B 1D 1A 68 BB 69 13 44 FB 61 7B 68 1B 1D 1B 68 00 2B 0E D0 3B 68 14 33 0C 33 1A 68 7B 68 1B 1D 1B 68 D1 18 3B 68 14 33 1B 1D 18 68 ?? ?? ?? ?? 19 E0 FB 69 1B 68 13 F0 08 0F 14 D0 3B 68 14 33 1B 1D 1B 68 1B 68 BB 60 BB 68 00 2B 0B D0 BB 68 1B 68 08 33 BC 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 3B 68 14 33 1B 1D 18 68 ?? ?? ?? ?? 0A B0 BD E8 90 08 5D F8 0C FB FE DE ?? ?? ?? ?? 00 40 99 01 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_86_58_1 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@std@@QAAAAV01@$$QAV01@@Z"
		size = 62
		refs = "000c ??$move@AAV?$shared_ptr@V__ExceptionPtr@@@std@@@std@@YA$$QAV?$shared_ptr@V__ExceptionPtr@@@0@AAV10@@Z 0016 ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@$$QAV01@@Z 0024 ?swap@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXAAV12@@Z 002a ??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 98 ?? ?? ?? ?? 00 90 00 99 04 A8 ?? ?? ?? ?? 01 90 01 9B 02 93 08 99 02 98 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 08 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_59_1 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@std@@QAAAAV01@ABV01@@Z"
		size = 54
		refs = "000e ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@ABV01@@Z 001c ?swap@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXAAV12@@Z 0022 ??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 08 99 01 98 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 08 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_60_1 {
	meta:
		name = "??B?$shared_ptr@V__ExceptionPtr@@@std@@QBA_NXZ"
		size = 56
		refs = "000c ?_Get@?$_Ptr_base@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_62_1 {
	meta:
		name = "??_G?$_Ref_count_obj@V__ExceptionPtr@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$_Ref_count_obj@V__ExceptionPtr@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 60 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_63_1 {
	meta:
		name = "??_G?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@UAAPAXI@Z"
		size = 48
		refs = "000c ??1?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@UAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 60 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_66_1 {
	meta:
		name = "??_G__ExceptionPtr@@QAAPAXI@Z"
		size = 48
		refs = "000c ??1__ExceptionPtr@@QAA@XZ 001c ??3@YAXPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 13 F0 01 0F 03 D0 54 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_75_1 {
	meta:
		name = "?_CallCopyCtor@__ExceptionPtr@@ABAXPAX0IQBU_s_CatchableType@@@Z"
		size = 278
		refs = "002c ?_GetThrowImageBase@__ExceptionPtr@@ABAHXZ 0050 memcpy 0078 _guard_check_icall 0096 __AdjustPointer 00c8 ?_CallMemberFunction2@@YAXQAX00H@Z 0106 ?_CallMemberFunction1@@YAXQAX00@Z"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B 8C B0 6F 46 6F F0 01 03 C7 E9 0A 33 3B 6D 1B 68 13 F0 01 0F 14 D1 3B 6D 18 33 1B 68 00 2B 0A D0 38 6C ?? ?? ?? ?? 78 61 3B 6D 18 33 7A 69 1B 68 13 44 7B 60 01 E0 00 23 7B 60 7B 68 00 2B 1C D1 FA 6C B9 6C 78 6C ?? ?? ?? ?? 3B 6D 1B 68 13 F0 08 0F 11 D0 BB 6C 1B 68 3B 60 3B 68 00 2B 0B D0 3C 68 3B 68 1B 68 1B 1D 1B 68 BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 98 47 43 E0 3B 6D 1B 68 13 F0 04 0F 1F D0 3B 6D 03 F1 08 01 B8 6C ?? ?? ?? ?? F8 61 3B 6D 18 33 1B 68 00 2B 0A D0 38 6C ?? ?? ?? ?? B8 61 3B 6D 18 33 BA 69 1B 68 13 44 FB 60 01 E0 00 23 FB 60 01 23 FA 69 F9 68 78 6C ?? ?? ?? ?? 1D E0 3B 6D 03 F1 08 01 B8 6C ?? ?? ?? ?? 78 62 3B 6D 18 33 1B 68 00 2B 0A D0 38 6C ?? ?? ?? ?? 38 62 3B 6D 18 33 3A 6A 1B 68 13 44 3B 61 01 E0 00 23 3B 61 7A 6A 39 69 78 6C ?? ?? ?? ?? FF E7 0C B0 BD E8 90 08 5D F8 14 FB }
	condition:
		$1
}

rule file_86_76_1 {
	meta:
		name = "__catch$?_CallCopyCtor@__ExceptionPtr@@ABAXPAX0IQBU_s_CatchableType@@@Z$0"
		size = 16
		refs = "0002 terminate 000c $LN20"
	strings:
		$1 = { 10 B5 ?? ?? ?? ?? 01 48 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_82_1 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z$1"
		size = 16
		refs = "0002 terminate 000c $LN19"
	strings:
		$1 = { 10 B5 ?? ?? ?? ?? 01 48 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_77_1 {
	meta:
		name = "?_CallMemberFunction0@@YAXQAX0@Z"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 04 98 00 9B 98 47 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_78_1 {
	meta:
		name = "?_CallMemberFunction1@@YAXQAX00@Z"
		size = 32
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 06 99 04 98 00 9B 98 47 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_79_1 {
	meta:
		name = "?_CallMemberFunction2@@YAXQAX00H@Z"
		size = 34
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 07 9A 06 99 04 98 00 9B 98 47 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_80_1 {
	meta:
		name = "?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z"
		size = 340
		refs = "00f6 ??$make_shared@V__ExceptionPtr@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AAPAUEHExceptionRecord@@$$QA_N@Z 011a ??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z 0148 __imp_RtlPcToFileHeader"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 6F F0 01 03 C7 E9 0E 33 00 23 FB 60 17 F1 40 03 3B 60 3A 68 4B 4B 13 60 3B 68 1A 1D 01 23 13 60 3B 68 03 F1 08 02 00 23 13 60 3B 68 03 F1 0C 02 00 23 13 60 3B 68 03 F1 10 02 04 23 13 60 3B 68 03 F1 14 02 3E 4B 13 60 3B 68 14 33 1A 1D 7B 6F 13 60 BB 6F BB 60 BB 68 00 2B 11 D0 BB 68 1B 68 13 F0 10 0F 0C D0 7B 6F 1B 68 7B 61 7B 69 1B 1F 7B 61 7B 69 1B 68 3B 62 3B 6A 18 33 1B 68 BB 60 3B 68 14 33 03 F1 08 02 BB 68 13 60 17 F1 18 01 B8 68 29 4B 1B 68 98 47 78 62 7B 6A BB 61 3B 68 14 33 03 F1 0C 02 BB 69 13 60 BB 68 00 2B 12 D0 BB 68 1B 68 13 F0 08 0F 05 D0 3B 68 03 F1 14 02 1D 4B 13 60 07 E0 BB 69 00 2B 04 D1 3B 68 03 F1 14 02 18 4B 13 60 97 F8 7C 30 00 2B 0F D0 01 23 3B 71 3A 1D 39 46 38 6F ?? ?? ?? ?? F8 62 FB 68 43 F0 01 03 FB 60 3B 6F FB 61 15 E0 10 E0 00 23 7B 71 7B 1D 3A 46 17 F1 10 01 38 6F ?? ?? ?? ?? 38 63 FB 68 43 F0 01 03 FB 60 3B 6F FB 61 03 E0 FF E7 01 E0 3B 6F FB 61 F8 69 19 B0 BD E8 80 08 5D F8 14 FB FE DE 00 40 99 01 ?? ?? ?? ?? 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_86_81_1 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z$0"
		size = 44
		refs = "0002 ?_BadAllocException@__ExceptionPtr@@SAABV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 000c ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@ABV01@@Z 0024 __tryend$?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z$2 0028 $LN17"
	strings:
		$1 = { 10 B5 ?? ?? ?? ?? B8 62 B9 6A 38 6F ?? ?? ?? ?? 78 63 FB 68 43 F0 01 03 FB 60 03 48 10 BD 01 48 10 BD FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_83_1 {
	meta:
		name = "?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 176
		refs = "001a __current_exception 0028 __processing_throw 005c ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ 0080 ??$make_shared@V__ExceptionPtr@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AAPAUEHExceptionRecord@@$$QA_N@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 23 7B 60 ?? ?? ?? ?? F8 60 FB 68 1B 68 00 2B 18 D0 ?? ?? ?? ?? 38 61 3B 69 1B 68 00 2B 11 D1 ?? ?? ?? ?? 78 61 7B 69 1B 68 1A 68 1A 4B 9A 42 08 D0 ?? ?? ?? ?? B8 61 BB 69 1B 68 1A 68 14 4B 9A 42 0A D1 B8 6C ?? ?? ?? ?? 78 62 7B 68 43 F0 01 03 7B 60 BB 6C BB 60 14 E0 01 23 3B 70 ?? ?? ?? ?? F8 61 3A 46 F9 69 B8 6C ?? ?? ?? ?? B8 62 7B 68 43 F0 01 03 7B 60 BB 6C BB 60 02 E0 01 E0 BB 6C BB 60 B8 68 0F B0 BD E8 80 08 5D F8 0C FB FE DE 52 43 43 E0 4D 4F 43 E0 }
	condition:
		$1
}

rule file_86_84_1 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$0"
		size = 44
		refs = "0002 ?_BadAllocException@__ExceptionPtr@@SAABV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 000c ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@ABV01@@Z 0024 __tryend$?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$2 0028 $LN13"
	strings:
		$1 = { 10 B5 ?? ?? ?? ?? 38 62 39 6A B8 6C ?? ?? ?? ?? F8 62 7B 68 43 F0 01 03 7B 60 03 48 10 BD 01 48 10 BD FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_87_1 {
	meta:
		name = "?_Decref@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXXZ"
		size = 36
		refs = "0018 ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 68 00 2B 04 D0 02 9B 1B 1D 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_88_1 {
	meta:
		name = "?_Decref@_Ref_count_base@std@@QAAXXZ"
		size = 68
		refs = "0012 ?_Dec_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z 002a _guard_check_icall 0036 ?_Decwref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 04 21 06 9B 18 1D ?? ?? ?? ?? 01 90 01 9B 00 2B 0D D1 06 9B 1B 68 06 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 06 98 ?? ?? ?? ?? 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_89_1 {
	meta:
		name = "?_Decwref@_Ref_count_base@std@@QAAXXZ"
		size = 66
		refs = "0014 ?_Dec_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z 002e _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 04 21 06 9B 03 F1 08 00 ?? ?? ?? ?? 01 90 01 9B 00 2B 0B D1 06 9B 1B 68 1B 1D 06 9C 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_90_1 {
	meta:
		name = "?_Delete_this@?$_Ref_count_obj@V__ExceptionPtr@@@std@@EAAXXZ"
		size = 76
		refs = "002a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 0A 9B 02 93 02 9B 00 93 00 9B 00 2B 11 D0 01 25 00 9B 1B 68 08 33 00 9C 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 98 47 03 90 03 9B 04 93 01 E0 00 23 04 93 06 B0 BD E8 30 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_91_1 {
	meta:
		name = "?_Delete_this@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@EAAXXZ"
		size = 70
		refs = "001c ?_Get_first@?$_Compressed_pair@U?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@T?$_Align_type@H$0FE@@2@$00@std@@QAAAAU?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@2@XZ 0026 ??$?0AAU?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAA@AAU01@@Z 002e ??$destroy@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@@Z 0038 ?deallocate@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@2@I@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 3B 6A 03 F1 0C 00 ?? ?? ?? ?? 78 60 79 68 38 46 ?? ?? ?? ?? 39 6A 38 46 ?? ?? ?? ?? 01 22 39 6A 38 46 ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_92_1 {
	meta:
		name = "?_Destroy@?$_Ref_count_obj@V__ExceptionPtr@@@std@@EAAXXZ"
		size = 48
		refs = "0018 ?_Getptr@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ 0022 ??_G__ExceptionPtr@@QAAPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 38 60 00 21 38 68 ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_93_1 {
	meta:
		name = "?_Destroy@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@EAAXXZ"
		size = 48
		refs = "0018 ?_Getptr@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QBAPAV__ExceptionPtr@@XZ 0022 ??_G__ExceptionPtr@@QAAPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 38 60 00 21 38 68 ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_100_1 {
	meta:
		name = "?_GetThrowImageBase@__ExceptionPtr@@ABAHXZ"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 14 33 0C 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_104_1 {
	meta:
		name = "?_Getptr@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0C 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_105_1 {
	meta:
		name = "?_Getptr@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QBAPAV__ExceptionPtr@@XZ"
		size = 38
		refs = "0010 ?_Get_second@?$_Compressed_pair@U?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@T?$_Align_type@H$0FE@@2@$00@std@@QBAABT?$_Align_type@H$0FE@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 0C 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_108_1 {
	meta:
		name = "?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 88
		refs = "001e ??0bad_alloc@std@@QAA@XZ 002e ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z 0040 ??1bad_alloc@std@@UAA@XZ 0054 _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 04 33 00 23 3B 60 17 F1 18 00 ?? ?? ?? ?? B8 60 00 23 0B 4A 17 F1 18 01 38 6B ?? ?? ?? ?? F8 60 3B 68 43 F0 01 03 3B 60 17 F1 18 00 ?? ?? ?? ?? 3B 6B 7B 60 78 68 09 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_111_1 {
	meta:
		name = "?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@2@@Z"
		size = 50
		refs = "0018 ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 68 00 2B 04 D0 02 9B 1B 1D 18 68 ?? ?? ?? ?? 02 9B 1A 1D 04 9B 13 60 02 9A 03 9B 13 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_112_1 {
	meta:
		name = "?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@2@@Z"
		size = 38
		refs = "0010 ?_Incref@_Ref_count_base@std@@QAAXXZ 001a ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9B 00 2B 02 D0 04 98 ?? ?? ?? ?? 04 9A 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_113_1 {
	meta:
		name = "?_RethrowException@__ExceptionPtr@@QBAXXZ"
		size = 524
		refs = "000a __security_push_cookie 0020 ??0bad_exception@std@@QAA@XZ 002a _CxxThrowException 0128 ?_GetThrowImageBase@__ExceptionPtr@@ABAHXZ 013e terminate 019a __chkstk 01c2 ?_CallCopyCtor@__ExceptionPtr@@ABAXPAX0IQBU_s_CatchableType@@@Z 01ec __imp_RaiseException 01f0 __imp_DecodePointer 0208 _TI2?AVbad_exception@std@@"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? A6 B0 6F 46 82 B0 D7 F8 B0 30 00 2B 08 D1 17 F1 38 00 ?? ?? ?? ?? 78 49 17 F1 38 00 ?? ?? ?? ?? D7 F8 B0 30 17 F1 48 02 3A 60 7B 60 3D 68 7C 68 94 E8 0F 00 85 E8 0F 00 7B 68 10 33 7B 60 3B 68 10 33 3B 60 3D 68 7C 68 94 E8 0F 00 85 E8 0F 00 7B 68 10 33 7B 60 3B 68 10 33 3B 60 3D 68 7C 68 94 E8 0F 00 85 E8 0F 00 7B 68 10 33 7B 60 3B 68 10 33 3B 60 3D 68 7C 68 94 E8 0F 00 85 E8 0F 00 7B 68 10 33 7B 60 3B 68 10 33 3B 60 3D 68 7C 68 94 E8 0F 00 85 E8 0F 00 17 F1 48 03 BB 60 BB 68 1A 68 54 4B 9A 42 40 F0 8C 80 BB 68 10 33 1B 68 04 2B 40 F0 86 80 BB 68 14 33 1A 68 4D 4B 9A 42 11 D0 BB 68 14 33 1A 68 49 4B 9A 42 0B D0 BB 68 14 33 1A 68 45 4B 9A 42 05 D0 BB 68 14 33 1A 68 41 4B 9A 42 6D D1 BB 68 14 33 08 33 18 68 3C 4B 1B 68 98 47 38 62 3B 6A FB 60 BB 68 14 33 1B 1D 1B 68 00 2B 14 D0 FB 68 00 2B 11 D0 FB 68 0C 33 1B 68 00 2B 0C D0 D7 F8 B0 00 ?? ?? ?? ?? 78 62 FB 68 0C 33 7A 6A 1B 68 13 44 1B 68 00 2B 01 DC ?? ?? ?? ?? BB 68 14 33 03 F1 08 02 FB 68 13 60 D7 F8 B0 00 ?? ?? ?? ?? B8 62 D7 F8 B0 00 ?? ?? ?? ?? F8 62 FB 68 0C 33 BA 6A 1B 68 13 44 1B 1D 1A 68 FB 6A 13 44 7B 61 7B 69 14 33 1B 68 BB 61 BB 69 DB 1D 3B 61 3A 69 BB 69 9A 42 02 D8 6F F0 07 03 3B 61 3B 69 23 F0 07 03 9C 08 ?? ?? ?? ?? AD EB 04 0D 02 AB 3B 63 3B 6B FB 61 7B 69 00 93 7B 69 14 33 1B 68 BA 68 14 32 12 1D 12 68 F9 69 D7 F8 B0 00 ?? ?? ?? ?? BB 68 14 33 1A 1D FB 69 13 60 BB 6D 0F 2B 01 D9 0F 23 BB 65 17 F1 5C 03 BA 6D F9 6C B8 6C 01 4C 24 68 A0 47 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 40 99 01 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_114_1 {
	meta:
		name = "?_StaticAlloc@@YAPAXI@Z"
		size = 92
		refs = "0020 ?align@std@@YAPAXIIAAPAXAAI@Z 0042 terminate 0054 ?_StaticAllocStorageLeft@@3IA 0058 ?_StaticAllocStorage@@3PADA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 13 4B 03 F1 74 02 10 4B 1B 68 D3 1A 01 93 0E 4B 01 AA 06 99 08 20 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 08 D0 08 4B 1A 68 06 9B D2 1A 06 4B 1A 60 00 9B 03 93 01 E0 ?? ?? ?? ?? 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_115_1 {
	meta:
		name = "?_Swap@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXAAV12@@Z"
		size = 36
		refs = "0010 ??$swap@PAV_Ref_count_base@std@@X@std@@YAXAAPAV_Ref_count_base@0@0@Z 0018 ??$swap@PAV__ExceptionPtr@@X@std@@YAXAAPAV__ExceptionPtr@@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9B 19 1D 02 9B 18 1D ?? ?? ?? ?? 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_116_1 {
	meta:
		name = "?__ExceptionPtrAssign@@YAXPAXPBX@Z"
		size = 36
		refs = "0016 ??4?$shared_ptr@V__ExceptionPtr@@@std@@QAAAAV01@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 05 9B 00 93 00 99 01 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_125_1 {
	meta:
		name = "?__ExceptionPtrSwap@@YAXPAX0@Z"
		size = 36
		refs = "0016 ?swap@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXAAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 05 9B 00 93 00 99 01 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_117_1 {
	meta:
		name = "?__ExceptionPtrCompare@@YA_NPBX0@Z"
		size = 52
		refs = "0016 ??$?8V__ExceptionPtr@@V0@@std@@YA_NABV?$shared_ptr@V__ExceptionPtr@@@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 02 93 07 9B 01 93 01 99 02 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_118_1 {
	meta:
		name = "?__ExceptionPtrCopy@@YAXPAXPBX@Z"
		size = 68
		refs = "0016 ??2@YAPAXIPAX@Z 002a ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 01 93 09 9B 03 93 01 99 08 20 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 07 D0 03 99 00 98 ?? ?? ?? ?? 04 90 04 9B 05 93 01 E0 00 23 05 93 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_119_1 {
	meta:
		name = "?__ExceptionPtrCopyException@@YAXPAXPBX1@Z"
		size = 56
		refs = "0016 ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z 0024 ??4?$shared_ptr@V__ExceptionPtr@@@std@@QAAAAV01@$$QAV01@@Z 002a ??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 02 93 01 23 0A 9A 09 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 99 02 98 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_120_1 {
	meta:
		name = "?__ExceptionPtrCreate@@YAXPAX@Z"
		size = 58
		refs = "000e ??2@YAPAXIPAX@Z 0020 ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 08 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 01 E0 00 23 03 93 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_121_1 {
	meta:
		name = "?__ExceptionPtrCurrentException@@YAXPAX@Z"
		size = 60
		refs = "001a ?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 0026 ?__ExceptionPtrCopy@@YAXPAXPBX@Z 002e ??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 17 F1 08 00 ?? ?? ?? ?? 38 60 17 F1 08 01 B8 6A ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_86_123_1 {
	meta:
		name = "?__ExceptionPtrDestroy@@YAXPAX@Z"
		size = 24
		refs = "000c ??_G?$shared_ptr@V__ExceptionPtr@@@std@@QAAPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_124_1 {
	meta:
		name = "?__ExceptionPtrRethrow@@YAXPBX@Z"
		size = 30
		refs = "0010 ??C?$shared_ptr@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ 0018 ?_RethrowException@__ExceptionPtr@@QBAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 98 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_86_126_1 {
	meta:
		name = "?__ExceptionPtrToBool@@YA_NPBX@Z"
		size = 64
		refs = "0010 ??B?$shared_ptr@V__ExceptionPtr@@@std@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 02 93 02 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_127_1 {
	meta:
		name = "?align@std@@YAPAXIIAAPAXAAI@Z"
		size = 110
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 5A 1E 06 9B 1B 68 13 40 00 93 00 9B 00 2B 03 D9 04 9A 00 9B D3 1A 00 93 07 9B 1A 68 00 9B 9A 42 06 D3 07 9B 1A 68 00 9B D2 1A 05 9B 9A 42 03 D2 00 23 01 93 0F E0 0E E0 06 9B 1A 68 00 9B 1A 44 06 9B 1A 60 07 9B 1A 68 00 9B D2 1A 07 9B 1A 60 06 9B 1B 68 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_86_128_1 {
	meta:
		name = "?allocate@?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@QBAPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@I@Z"
		size = 68
		refs = "001e terminate 002a ?_StaticAlloc@@YAPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 2B 02 D1 00 23 00 93 0E E0 05 9A 09 4B 9A 42 01 D9 ?? ?? ?? ?? 05 9A 60 23 02 FB 03 F0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB AA AA AA 02 }
	condition:
		$1
}

rule file_87_0_1 {
	meta:
		name = "_WStopfx"
		size = 584
		refs = "0022 iswctype"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 1B 68 00 93 00 23 02 93 02 E0 00 9B 9B 1C 00 93 08 21 00 9B 18 88 ?? ?? ?? ?? 05 90 05 9B 00 2B 00 D0 F2 E7 00 9B 1B 88 2D 2B 05 D1 08 23 02 93 00 9B 9B 1C 00 93 06 E0 00 9B 1B 88 2B 2B 02 D1 00 9B 9B 1C 00 93 00 9B 1B 88 6E 2B 03 D0 00 9B 1B 88 4E 2B 48 D1 00 9B 9B 1C 00 93 00 9B 1B 88 61 2B 03 D0 00 9B 1B 88 41 2B 0A D1 00 9B 9B 1C 00 93 00 9B 1B 88 6E 2B 09 D0 00 9B 1B 88 4E 2B 05 D0 0C 9B 1B 68 00 93 00 23 02 93 25 E0 00 9B 9B 1C 00 93 00 9B 03 93 04 23 02 93 03 9B 1B 88 28 2B 1A D1 03 9B 9B 1C 03 93 40 F2 07 11 03 9B 18 88 ?? ?? ?? ?? 06 90 06 9B 00 2B 03 D1 03 9B 1B 88 5F 2B 00 D1 ED E7 03 9B 1B 88 29 2B 04 D1 03 9B 9B 1C 03 93 03 9B 00 93 0D 9B 00 2B 02 D0 00 9A 0D 9B 1A 60 9E E0 00 9B 1B 88 69 2B 03 D0 00 9B 1B 88 49 2B 64 D1 00 9B 9B 1C 00 93 00 9B 1B 88 6E 2B 03 D0 00 9B 1B 88 4E 2B 0A D1 00 9B 9B 1C 00 93 00 9B 1B 88 66 2B 09 D0 00 9B 1B 88 46 2B 05 D0 0C 9B 1B 68 00 93 00 23 02 93 41 E0 00 9B 9B 1C 00 93 00 9B 01 93 02 9B 43 F0 03 03 02 93 01 9B 1B 88 69 2B 03 D0 01 9B 1B 88 49 2B 30 D1 01 9B 9B 1C 01 93 01 9B 1B 88 6E 2B 03 D0 01 9B 1B 88 4E 2B 25 D1 01 9B 9B 1C 01 93 01 9B 1B 88 69 2B 03 D0 01 9B 1B 88 49 2B 1A D1 01 9B 9B 1C 01 93 01 9B 1B 88 74 2B 03 D0 01 9B 1B 88 54 2B 0F D1 01 9B 9B 1C 01 93 01 9B 1B 88 79 2B 03 D0 01 9B 1B 88 59 2B 04 D1 01 9B 9B 1C 01 93 01 9B 00 93 0D 9B 00 2B 02 D0 00 9A 0D 9B 1A 60 31 E0 00 9B 1B 88 30 2B 29 D1 00 9B 9B 1C 1B 88 78 2B 04 D0 00 9B 9B 1C 1B 88 58 2B 1F D1 00 9B 1B 1D 04 93 04 9B 1B 88 2E 2B 02 D1 04 9B 9B 1C 04 93 80 21 04 9B 18 88 ?? ?? ?? ?? 07 90 07 9B 00 2B 04 D1 02 9B 43 F0 01 03 02 93 06 E0 00 9B 1B 1D 00 93 02 9B 43 F0 02 03 02 93 03 E0 02 9B 43 F0 01 03 02 93 00 9A 0C 9B 1A 60 02 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_88_101_1 {
	meta:
		name = "?_Init_ctor@Init@ios_base@std@@CAXPAV123@@Z"
		size = 48
		refs = "002c ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 08 4B 1B 68 00 2B 05 DB 06 4B 1B 68 5A 1C 05 4B 1A 60 02 E0 03 4A 01 23 13 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_102_1 {
	meta:
		name = "?_Init_dtor@Init@ios_base@std@@CAXPAV123@@Z"
		size = 100
		refs = "0026 ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAAAV12@XZ 0054 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0058 ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 005c ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0060 ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 15 4B 1B 68 5A 1E 14 4B 1A 60 13 4B 1B 68 00 2B 17 D1 10 4B 1B 68 00 2B 03 D0 0E 4B 18 68 ?? ?? ?? ?? 0B 4B 1B 68 00 2B 03 D0 09 4B 18 68 ?? ?? ?? ?? 06 4B 1B 68 00 2B 03 D0 04 4B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_0_1 {
	meta:
		name = "_LPoly"
		size = 92
		altNames = "_Poly"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 08 9B 93 ED 00 0B 8D ED 00 0B 09 9B 5B 1E 09 93 09 9B 00 2B 10 DB 08 9B 08 33 08 93 9D ED 00 1B 9D ED 02 0B 21 EE 00 1B 08 9B 93 ED 00 0B 31 EE 00 0B 8D ED 00 0B E8 E7 9D ED 00 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_91_0_1 {
	meta:
		name = "_Feraise"
		size = 66
		refs = "0014 _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F0 05 03 00 2B 06 D0 ?? ?? ?? ?? 00 90 00 9A 21 23 13 60 0A E0 04 9B 03 F0 18 03 00 2B 05 D0 ?? ?? ?? ?? 01 90 01 9A 22 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_92_0_1 {
	meta:
		name = "_Towlower"
		size = 148
		refs = "006a __crtLCMapStringW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 BD F8 20 30 AD F8 08 30 BD F8 20 20 4F F6 FF 73 9A 42 00 D1 2E E0 09 9B 0C 33 1B 68 00 2B 14 D1 BD F8 20 30 B3 F5 80 7F 0F DA BD F8 20 30 41 2B 0A DB BD F8 20 30 5A 2B 06 DC BD F8 20 30 41 3B 61 33 9B B2 AD F8 08 30 14 E0 01 23 01 93 02 AB 00 93 01 23 08 AA 4F F4 80 71 09 98 0C 30 00 68 ?? ?? ?? ?? 03 90 03 9B 00 2B 03 D1 BD F8 20 30 AD F8 08 30 BD F8 08 30 AD F8 10 30 BD F8 10 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_93_0_1 {
	meta:
		name = "_FDunscale"
		size = 196
		refs = "0064 _FDnorm"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 93 01 9B 9B 1C 1B 88 03 F4 FF 43 DB 11 1B B2 AD F8 00 30 BD F9 00 30 FF 2B 18 D1 06 9A 00 23 13 80 01 9B 9B 1C 1B 88 03 F0 7F 03 00 2B 06 D1 01 9B 1B 88 00 2B 02 D1 01 23 03 93 01 E0 02 23 03 93 03 9B 1B B2 AD F8 08 30 2E E0 2D E0 BD F9 00 30 00 2B 0C DC 01 98 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 00 30 BD F9 00 30 00 2B 16 DC 01 9B 9B 1C 1B 88 23 F4 FF 43 43 F4 7C 51 01 9B 9A 1C 8B B2 13 80 BD F9 00 30 7E 3B 1A B2 06 9B 1A 80 6F F0 00 03 AD F8 08 30 06 E0 05 E0 06 9A 00 23 13 80 00 23 AD F8 08 30 BD F9 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_0_1 {
	meta:
		name = "??$_Xfiopen@D@std@@YAPAU_iobuf@@PBDHH@Z"
		size = 312
		refs = "00aa ?_Xfsopen@std@@YAPAU_iobuf@@PBDHH@Z 00bc fclose 010c fseek 0134 ?valid@?1???$_Xfiopen@D@std@@YAPAU_iobuf@@PBDHH@Z@4QBHB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 00 23 00 93 0D 9B 03 F0 04 03 07 93 0D 9B 03 F0 80 03 03 93 0D 9B 13 F0 40 0F 03 D0 0D 9B 43 F0 01 03 0D 93 0D 9B 13 F0 08 0F 03 D0 0D 9B 43 F0 02 03 0D 93 0D 9B 23 F0 C4 03 0D 93 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 04 23 02 FB 03 F2 36 4B 13 44 1B 68 00 2B 0A D0 01 9A 04 23 02 FB 03 F2 31 4B 13 44 1A 68 0D 9B 9A 42 00 D0 E8 E7 01 9A 04 23 02 FB 03 F2 2C 4B 13 44 1B 68 00 2B 03 D1 00 23 02 93 4A E0 35 E0 03 9B 00 2B 16 D0 0D 9B 03 F0 0A 03 00 2B 11 D0 0E 9A 00 21 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 00 23 02 93 30 E0 1B E0 00 9B 00 2B 0A D0 00 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 03 D0 00 23 02 93 22 E0 0D E0 0E 9A 01 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 00 93 00 9B 00 2B 02 D1 00 23 02 93 13 E0 07 9B 00 2B 08 D0 02 22 00 21 00 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 02 D1 00 9B 02 93 04 E0 00 98 ?? ?? ?? ?? 00 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_1_1 {
	meta:
		name = "??$_Xfiopen@_W@std@@YAPAU_iobuf@@PB_WHH@Z"
		size = 312
		refs = "00aa ?_Xfsopen@std@@YAPAU_iobuf@@PB_WHH@Z 00bc fclose 010c fseek 0134 ?valid@?1???$_Xfiopen@_W@std@@YAPAU_iobuf@@PB_WHH@Z@4QBHB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 00 23 00 93 0D 9B 03 F0 04 03 07 93 0D 9B 03 F0 80 03 03 93 0D 9B 13 F0 40 0F 03 D0 0D 9B 43 F0 01 03 0D 93 0D 9B 13 F0 08 0F 03 D0 0D 9B 43 F0 02 03 0D 93 0D 9B 23 F0 C4 03 0D 93 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 04 23 02 FB 03 F2 36 4B 13 44 1B 68 00 2B 0A D0 01 9A 04 23 02 FB 03 F2 31 4B 13 44 1A 68 0D 9B 9A 42 00 D0 E8 E7 01 9A 04 23 02 FB 03 F2 2C 4B 13 44 1B 68 00 2B 03 D1 00 23 02 93 4A E0 35 E0 03 9B 00 2B 16 D0 0D 9B 03 F0 0A 03 00 2B 11 D0 0E 9A 00 21 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 00 23 02 93 30 E0 1B E0 00 9B 00 2B 0A D0 00 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 03 D0 00 23 02 93 22 E0 0D E0 0E 9A 01 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 00 93 00 9B 00 2B 02 D1 00 23 02 93 13 E0 07 9B 00 2B 08 D0 02 22 00 21 00 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 02 D1 00 9B 02 93 04 E0 00 98 ?? ?? ?? ?? 00 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_5_1 {
	meta:
		name = "?_Xfsopen@std@@YAPAU_iobuf@@PBDHH@Z"
		size = 56
		refs = "001c _fsopen 0034 ?mods@?1??_Xfsopen@std@@YAPAU_iobuf@@PBDHH@Z@4QBQBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 23 01 FB 03 F1 07 4B 0B 44 19 68 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_6_1 {
	meta:
		name = "?_Xfsopen@std@@YAPAU_iobuf@@PB_WHH@Z"
		size = 56
		refs = "001c _wfsopen 0034 ?mods@?1??_Xfsopen@std@@YAPAU_iobuf@@PB_WHH@Z@4QBQB_WB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 23 01 FB 03 F1 07 4B 0B 44 19 68 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_0_1 {
	meta:
		name = "??0_Init_locks@std@@QAA@XZ"
		size = 104
		refs = "004a _Mtxinit 0060 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 0064 ?init@std@@3JA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 BF F3 5B 8F 15 49 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 13 46 01 93 BF F3 5B 8F 01 9B 00 2B 11 D1 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 08 2B 08 DA 00 9A 18 23 02 FB 03 F2 06 4B 98 18 ?? ?? ?? ?? F0 E7 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_1_1 {
	meta:
		name = "??0_Lockit@std@@QAA@H@Z"
		size = 76
		refs = "0018 _lock_locales 0034 _Mtxlock 0048 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 04 9B 1B 68 00 2B 02 D1 ?? ?? ?? ?? 0C E0 04 9B 1B 68 08 2B 08 DA 04 9B 1A 68 18 23 02 FB 03 F2 05 4B 98 18 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_2_1 {
	meta:
		name = "??0_Lockit@std@@QAA@XZ"
		size = 56
		refs = "0018 _lock_locales 0020 _Mtxlock 0034 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 1B 68 00 2B 02 D1 ?? ?? ?? ?? 02 E0 05 48 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_3_1 {
	meta:
		name = "??1_Init_locks@std@@QAA@XZ"
		size = 100
		refs = "004a _Mtxdst 005c ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 0060 ?init@std@@3JA"
		altNames = "?_Init_locks_dtor@_Init_locks@std@@CAXPAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BF F3 5B 8F 14 49 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 01 93 BF F3 5B 8F 01 9B 00 2B 11 DA 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 08 2B 08 DA 00 9A 18 23 02 FB 03 F2 05 4B 98 18 ?? ?? ?? ?? F0 E7 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_4_1 {
	meta:
		name = "??1_Lockit@std@@QAA@XZ"
		size = 60
		refs = "0010 _unlock_locales 002c _Mtxunlock 0038 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 68 00 2B 02 D1 ?? ?? ?? ?? 0C E0 02 9B 1B 68 08 2B 08 DA 02 9B 1A 68 18 23 02 FB 03 F2 03 4B 98 18 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_7_1 {
	meta:
		name = "?_Init_locks_ctor@_Init_locks@std@@CAXPAV12@@Z"
		size = 100
		refs = "004a _Mtxinit 005c ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 0060 ?init@std@@3JA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BF F3 5B 8F 14 49 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 13 46 01 93 BF F3 5B 8F 01 9B 00 2B 11 D1 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 08 2B 08 DA 00 9A 18 23 02 FB 03 F2 05 4B 98 18 ?? ?? ?? ?? F0 E7 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_9_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPAV12@@Z"
		size = 28
		refs = "000a _Mtxlock 0018 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_10_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPAV12@H@Z"
		size = 60
		refs = "000e _lock_locales 002c _Mtxlock 0038 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9B 00 2B 02 D1 ?? ?? ?? ?? 0D E0 03 9B 03 F0 07 02 02 9B 1A 60 02 9B 1A 68 18 23 02 FB 03 F2 03 4B 98 18 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_11_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@SAXH@Z"
		size = 52
		refs = "000e _lock_locales 0024 _Mtxlock 0030 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 02 D1 ?? ?? ?? ?? 09 E0 02 9B 03 F0 07 02 18 23 02 FB 03 F2 03 4B 98 18 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_13_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@SAXH@Z"
		size = 52
		refs = "000e _unlock_locales 0024 _Mtxunlock 0030 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 02 D1 ?? ?? ?? ?? 09 E0 02 9B 03 F0 07 02 18 23 02 FB 03 F2 03 4B 98 18 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_12_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@CAXPAV12@@Z"
		size = 40
		refs = "0016 _Mtxunlock 0024 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1A 68 18 23 02 FB 03 F2 04 4B 98 18 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_14_1 {
	meta:
		name = "_Lock_at_thread_exit_mutex"
		size = 24
		refs = "000c _Mtxlock 0014 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 F1 60 00 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_15_1 {
	meta:
		name = "_Unlock_at_thread_exit_mutex"
		size = 24
		refs = "000c _Mtxunlock 0014 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 F1 60 00 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_0_1 {
	meta:
		name = "_FDint"
		size = 420
		refs = "019c ?sub@?3??_FDint@@9@9 01a0 ?mask@?3??_FDint@@9@9"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 01 93 01 9B 9B 1C 1B 88 03 F4 FF 43 DB 11 1B B2 AD F8 00 30 BD F9 00 30 FF 2B 15 D1 01 9B 9B 1C 1B 88 03 F0 7F 03 00 2B 06 D1 01 9B 1B 88 00 2B 02 D1 01 23 03 93 01 E0 02 23 03 93 03 9B 1B B2 AD F8 08 30 9C E0 0E E0 01 9B 9B 1C 1B 88 23 F4 00 43 00 2B 07 D1 01 9B 1B 88 00 2B 03 D1 00 23 AD F8 08 30 8C E0 BD F9 00 30 C3 F1 96 02 BD F9 24 30 D3 1A 1B B2 AD F8 00 30 BD F9 00 30 00 2B 04 DC 00 23 AD F8 08 30 7A E0 79 E0 BD F9 00 30 18 2B 11 DB 01 9B 9B 1C 1B 88 03 F4 00 41 01 9B 9A 1C 8B B2 13 80 01 9A 00 23 13 80 6F F0 00 03 AD F8 08 30 64 E0 63 E0 BD F9 00 30 03 F0 0F 02 02 23 02 FB 03 F2 33 4B 13 44 1B 88 AD F8 02 30 BD F9 00 30 1B 11 1B B2 AD F8 00 30 01 99 BD F9 00 20 04 23 02 FB 03 F2 29 4B 13 44 1A 68 02 23 02 FB 03 F3 0B 44 1A 88 BD F8 02 30 13 40 9B B2 AD F8 02 30 01 99 BD F9 00 20 04 23 02 FB 03 F2 1F 4B 13 44 1A 68 02 23 02 FB 03 F3 0B 44 BD F8 02 20 1B 88 83 EA 02 01 BD F9 00 20 04 23 02 FB 03 F2 17 4B 13 44 1A 68 02 23 02 FB 03 F2 01 9B 1A 44 8B B2 13 80 BD F9 00 30 00 2B 0A DD 01 9B 1A 88 BD F8 02 30 13 43 9B B2 AD F8 02 30 01 9A 00 23 13 80 BD F8 02 30 00 2B 03 D0 6F F0 00 03 04 93 01 E0 00 23 04 93 04 9B 1B B2 AD F8 08 30 BD F9 08 00 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_0_1 {
	meta:
		name = "?_MP_Add@std@@YAXQA_K_K@Z"
		size = 66
		refs = "0034 ?add@std@@YAXPA_KH0H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9A 02 AB 00 93 00 9B 1A 60 00 9A 00 23 53 60 0B 9A 02 AB 08 33 01 93 01 9B 1A 60 01 9A 00 23 53 60 02 23 02 AA 05 21 08 98 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_99_1_1 {
	meta:
		name = "?_MP_Get@std@@YA_KQA_K@Z"
		size = 48
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 19 68 06 9B 00 93 00 9B 1A 68 00 9B 5B 68 0B 44 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_99_2_1 {
	meta:
		name = "?_MP_Mul@std@@YAXQA_K_K1@Z"
		size = 490
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A0 B0 24 9A 1C AB 06 93 06 9B 1A 60 06 9A 00 23 53 60 25 9A 1C AB 08 33 07 93 07 9B 1A 60 07 9A 00 23 53 60 26 9A 18 AB 08 93 08 9B 1A 60 08 9A 00 23 53 60 27 9A 18 AB 08 33 09 93 09 9B 1A 60 09 9A 00 23 53 60 00 23 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 05 2B 0D DA 02 9A 08 23 02 FB 03 F2 22 9B 13 44 0A 93 0A 9A 00 23 13 60 0A 9A 00 23 53 60 EB E7 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 02 2B 80 F2 A8 80 00 9A 08 23 02 FB 03 F2 18 AB 13 44 0B 93 0B 9B 1B 68 16 93 0B 9B 5B 68 17 93 17 9A 16 9B 13 43 00 2B 0E D1 00 9B 9A 1C 08 23 02 FB 03 F2 22 9B 13 44 0C 93 0C 9A 00 23 13 60 0C 9A 00 23 53 60 85 E0 00 23 04 93 00 23 05 93 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 02 2B 69 DA 01 9A 08 23 02 FB 03 F2 1C AB 98 18 00 9A 08 23 02 FB 03 F2 18 AB 99 18 0D 90 0D 9B 1A 68 0D 9B 58 68 0F 92 0E 91 0E 9B 19 68 0E 9B 5A 68 10 91 0F 9B 03 FB 02 F2 10 9B 00 FB 03 F3 D1 18 0F 9A 10 9B A2 FB 03 03 19 44 01 9A 00 9B 1A 44 08 23 02 FB 03 F2 22 9B 13 44 11 93 11 9B 1A 68 11 9B 5B 68 80 18 59 41 04 9A 05 9B 80 18 59 41 01 9A 00 9B 1A 44 08 23 02 FB 03 F2 22 9B 13 44 12 93 12 9B 18 60 12 9B 59 60 01 9A 00 9B 1A 44 08 23 02 FB 03 F2 22 9B 13 44 5B 68 04 93 00 23 05 93 01 9A 00 9B 1A 44 08 23 02 FB 03 F2 22 9B 13 44 15 93 15 9B 19 68 01 9A 00 9B 1A 44 08 23 02 FB 03 F2 22 9B 13 44 13 93 13 9B 19 60 13 9A 00 23 53 60 8F E7 01 9A 00 9B 1A 44 08 23 02 FB 03 F2 22 9B 13 44 14 93 04 9A 14 9B 1A 60 05 9A 14 9B 5A 60 50 E7 20 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_99_3_1 {
	meta:
		name = "?_MP_Rem@std@@YAXQA_K_K@Z"
		size = 1202
		refs = "0032 ?limit@std@@YAHPA_KH@Z 007c __rt_udiv64 00a8 ?mul@std@@YAXPA_KH_K@Z 0480 ?add@std@@YAXPA_KH0H@Z 04a4 ?div@std@@YAXQA_K_K@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B CA B0 50 9A 22 AB 0C 93 0C 9B 1A 60 0C 9A 00 23 53 60 51 9A 22 AB 08 33 0D 93 0D 9B 1A 60 0D 9A 00 23 53 60 02 21 22 A8 ?? ?? ?? ?? 2C 90 2C 9B 02 93 05 21 4E 98 ?? ?? ?? ?? 2D 90 2D 9A 02 9B D3 1A 2F 93 02 9B 5A 1E 08 23 02 FB 03 F2 22 AB 13 44 0E 93 0E 9B 19 68 0E 9B 5A 68 00 23 48 1C 42 EB 03 01 00 22 01 23 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 49 93 48 92 08 90 09 91 08 9B 3C 93 09 9B 3D 93 3D 9B 2E 93 3C 9B 01 2B 02 D1 2E 9B 00 2B 0B D0 08 9A 09 9B 05 21 4E 98 ?? ?? ?? ?? 08 9A 09 9B 02 99 22 A8 ?? ?? ?? ?? 2F 9B 00 93 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B C0 F2 DD 81 00 9A 02 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 19 68 00 9A 02 9B 13 44 5A 1E 08 23 02 FB 03 F2 4E 9B 13 44 0F 93 0F 9B 1D 68 0F 9B 5B 68 CC 18 02 9B 5A 1E 08 23 02 FB 03 F2 22 AB 13 44 10 93 10 9B 18 68 10 9B 59 68 2A 46 23 46 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 45 93 44 92 06 90 07 91 06 9B 32 93 07 9B 33 93 33 9A 32 9B 13 43 00 2B 00 D1 BD E7 00 9A 02 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 19 68 00 9A 02 9B 13 44 5A 1E 08 23 02 FB 03 F2 4E 9B 13 44 11 93 11 9B 1D 68 11 9B 5B 68 CC 18 02 9B 5A 1E 08 23 02 FB 03 F2 22 AB 13 44 12 93 12 9B 18 68 12 9B 59 68 2A 46 23 46 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 47 91 46 90 0A 92 0B 93 06 9B 34 93 07 9B 35 93 34 9B 30 93 35 9B 01 2B 3A D8 02 D3 30 9B 00 2B 36 D2 02 9B 9A 1E 08 23 02 FB 03 F2 22 AB 1A 44 06 9B 07 98 14 93 13 92 13 9B 19 68 13 9B 5A 68 15 91 14 9B 03 FB 02 F2 15 9B 00 FB 03 F3 D1 18 14 9A 15 9B A2 FB 03 43 C8 18 0A 99 00 9A 02 9B 13 44 9A 1E 08 23 02 FB 03 F2 4E 9B 13 44 16 93 16 9B 1A 68 16 9B 5B 68 0B 44 26 94 27 92 98 42 06 D8 03 D3 26 9A 27 9B 9A 42 01 D8 29 E0 27 E0 06 9A 07 99 00 23 52 1E 61 EB 03 03 06 92 07 93 02 9B 5A 1E 08 23 02 FB 03 F2 22 AB 13 44 0A 98 0B 99 17 93 17 9B 1A 68 17 9B 5B 68 12 18 4B 41 0A 92 0B 93 0A 9B 36 93 0B 9B 37 93 36 9B 28 93 37 9B 01 2B 04 D3 02 D8 28 9B 00 2B 00 D3 00 E0 92 E7 00 23 04 93 00 23 05 93 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 02 9B 9A 42 71 DA 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 9C 18 01 9A 08 23 02 FB 03 F2 22 AB 1A 44 06 9B 07 98 19 93 18 92 18 9B 19 68 18 9B 5A 68 1A 91 19 9B 03 FB 02 F2 1A 9B 00 FB 03 F3 D1 18 19 9A 1A 9B A2 FB 03 03 19 44 04 9A 05 9B 80 18 59 41 1B 94 1B 9B 1A 68 1B 9B 5B 68 10 1A 63 EB 01 01 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 1C 93 1C 9B 18 60 1C 9B 59 60 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 5B 68 04 93 00 23 05 93 04 9B 38 93 05 9B 39 93 39 9A 38 9B 13 43 00 2B 06 D0 04 9A 05 99 01 23 52 42 8B 41 04 92 05 93 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 29 93 29 9B 19 68 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 1D 93 1D 9B 19 60 1D 9A 00 23 53 60 86 E7 02 E0 01 9B 5B 1C 01 93 04 9B 3A 93 05 9B 3B 93 3B 9A 3A 9B 13 43 00 2B 58 D0 00 9A 01 9B 13 44 05 2B 53 DA 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 1E 93 1E 9B 18 68 1E 9B 59 68 04 9A 05 9B 80 1A 99 41 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 1F 93 1F 9B 18 60 1F 9B 59 60 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 5B 68 04 93 00 23 05 93 04 9B 42 93 05 9B 43 93 43 9A 42 9B 13 43 00 2B 06 D0 04 9A 05 99 01 23 52 42 8B 41 04 92 05 93 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 2A 93 2A 9B 19 68 00 9A 01 9B 1A 44 08 23 02 FB 03 F2 4E 9B 13 44 20 93 20 9B 19 60 20 9A 00 23 53 60 9A E7 04 9B 3E 93 05 9B 3F 93 3F 9A 3E 9B 13 43 00 2B 13 D0 06 9A 07 99 00 23 52 1E 61 EB 03 03 06 92 07 93 02 9B 22 AA 02 99 49 1C 00 9C 08 20 04 FB 00 F4 4E 98 20 44 ?? ?? ?? ?? 1B E6 08 9B 40 93 09 9B 41 93 41 9B 2B 93 40 9B 01 2B 02 D1 2B 9B 00 2B 04 D0 08 9A 09 9B 4E 98 ?? ?? ?? ?? 4A B0 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_99_4_1 {
	meta:
		name = "?add@std@@YAXPA_KH0H@Z"
		size = 342
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 8F B0 00 23 0A 93 00 23 0B 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 15 9B 9A 42 46 DA 00 9A 08 23 02 FB 03 F2 12 9B 9C 18 00 9A 08 23 02 FB 03 F2 14 9B 13 44 01 93 01 9B 18 68 01 9B 59 68 0A 9A 0B 9B 80 18 59 41 02 94 02 9B 1A 68 02 9B 5B 68 80 18 59 41 00 9A 08 23 02 FB 03 F2 12 9B 13 44 03 93 03 9B 18 60 03 9B 59 60 00 9A 08 23 02 FB 03 F2 12 9B 13 44 5B 68 0A 93 00 23 0B 93 00 9A 08 23 02 FB 03 F2 12 9B 13 44 08 93 08 9B 19 68 00 9A 08 23 02 FB 03 F2 12 9B 13 44 04 93 04 9B 19 60 04 9A 00 23 53 60 B1 E7 02 E0 00 9B 5B 1C 00 93 0A 9B 0C 93 0B 9B 0D 93 0D 9A 0C 9B 13 43 00 2B 3D D0 00 9A 13 9B 9A 42 39 DA 00 9A 08 23 02 FB 03 F2 12 9B 13 44 05 93 05 9B 18 68 05 9B 59 68 0A 9A 0B 9B 80 18 59 41 00 9A 08 23 02 FB 03 F2 12 9B 13 44 06 93 06 9B 18 60 06 9B 59 60 00 9A 08 23 02 FB 03 F2 12 9B 13 44 5B 68 0A 93 00 23 0B 93 00 9A 08 23 02 FB 03 F2 12 9B 13 44 09 93 09 9B 19 68 00 9A 08 23 02 FB 03 F2 12 9B 13 44 07 93 07 9B 19 60 07 9A 00 23 53 60 B5 E7 0F B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_99_5_1 {
	meta:
		name = "?div@std@@YAXQA_K_K@Z"
		size = 154
		refs = "0052 __rt_udiv64"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 00 23 06 93 00 23 07 93 05 23 00 93 00 9B 5B 1E 00 93 00 9B 00 2B 36 DB 06 99 00 9A 08 23 02 FB 03 F2 0E 9B 13 44 01 93 01 9B 1A 68 01 9B 5B 68 0B 44 04 92 05 93 10 98 11 99 04 9A 05 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 09 93 08 92 00 9A 08 23 02 FB 03 F2 0E 9B 13 44 02 93 02 9B 18 60 02 9B 59 60 10 98 11 99 04 9A 05 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 0B 91 0A 90 06 92 07 93 C2 E7 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_99_6_1 {
	meta:
		name = "?limit@std@@YAHPA_KH@Z"
		size = 72
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 5A 1E 08 23 02 FB 03 F2 06 9B 13 44 00 93 00 9B 1B 68 02 93 00 9B 5B 68 03 93 03 9A 02 9B 13 43 00 2B 03 D1 07 9B 5B 1E 07 93 E8 E7 07 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_99_7_1 {
	meta:
		name = "?mul@std@@YAXPA_KH_K@Z"
		size = 196
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 00 23 08 93 00 23 09 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 0D 9B 9A 42 49 DA 00 9A 08 23 02 FB 03 F2 0C 9B 13 44 01 93 01 9B 1A 68 01 9B 59 68 02 92 0E 9B 0F 9A 03 93 02 9B 03 FB 02 F2 03 9B 01 FB 03 F3 D1 18 02 9A 03 9B A2 FB 03 03 19 44 08 9A 09 9B 80 18 59 41 00 9A 08 23 02 FB 03 F2 0C 9B 13 44 04 93 04 9B 18 60 04 9B 59 60 00 9A 08 23 02 FB 03 F2 0C 9B 13 44 5B 68 08 93 00 23 09 93 00 9A 08 23 02 FB 03 F2 0C 9B 13 44 06 93 06 9B 19 68 00 9A 08 23 02 FB 03 F2 0C 9B 13 44 05 93 05 9B 19 60 05 9A 00 23 53 60 AE E7 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_100_0_1 {
	meta:
		name = "_Stoxflt"
		size = 1040
		refs = "0008 __security_push_cookie 00dc localeconv 0244 __report_rangecheckfailure 026c __rt_sdiv 0378 isdigit 03f6 __security_pop_cookie 0408 ?vals@?1??_Stoxflt@@9@9 040c ?digits@?1??_Stoxflt@@9@9"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A3 B0 00 23 01 93 2A 9A 07 23 02 FB 03 F3 2A 93 2A 9B 23 2B 01 DD 23 23 2A 93 29 9A 00 23 13 60 29 9B 1A 1D 00 23 13 60 00 23 05 93 04 E0 27 9B 5B 1C 27 93 01 23 05 93 27 9B 93 F9 00 30 30 2B 00 D1 F4 E7 00 23 00 93 04 E0 27 9B 5B 1C 27 93 01 23 05 93 27 9B 93 F9 00 20 E9 4B 03 93 D3 B2 10 93 03 9B 16 33 11 93 03 9B 1A 78 10 9B 9A 42 08 D0 03 9B 5B 1C 03 93 03 9A 11 9B 9A 42 F3 D1 00 23 03 93 03 9B 12 93 12 9B 07 93 07 9B 00 2B 1E D0 00 9A 2A 9B 9A 42 14 DC 07 9A D8 4B D2 1A 01 23 02 FB 03 F2 D5 4B 99 18 00 9A 01 23 02 FB 03 F2 1A AB 1A 44 91 F9 00 30 13 70 00 9B 5B 1C 00 93 04 E0 29 9B 1B 68 5A 1C 29 9B 1A 60 BC E7 ?? ?? ?? ?? 13 90 27 9B 93 F9 00 20 13 9B 1B 68 93 F9 00 30 9A 42 02 D1 27 9B 5B 1C 27 93 00 9B 00 2B 10 D1 04 E0 27 9B 5B 1C 27 93 01 23 05 93 27 9B 93 F9 00 30 30 2B 05 D1 29 9B 1B 68 5A 1E 29 9B 1A 60 EF E7 04 E0 27 9B 5B 1C 27 93 01 23 05 93 27 9B 93 F9 00 20 B5 4B 04 93 D3 B2 14 93 04 9B 16 33 15 93 04 9B 1A 78 14 9B 9A 42 08 D0 04 9B 5B 1C 04 93 04 9A 15 9B 9A 42 F3 D1 00 23 04 93 04 9B 16 93 16 9B 07 93 07 9B 00 2B 1D D0 00 9A 2A 9B 9A 42 18 DC 07 9A A5 4B D2 1A 01 23 02 FB 03 F2 A1 4B 99 18 00 9A 01 23 02 FB 03 F2 1A AB 1A 44 91 F9 00 30 13 70 00 9B 5B 1C 00 93 29 9B 1B 68 5A 1E 29 9B 1A 60 BD E7 2A 9A 00 9B 9A 42 25 DA 2A 9B 0A 93 0A 9A 01 23 02 FB 03 F2 1A AB 13 44 93 F9 00 30 08 2B 12 DB 0A 9B 5A 1E 01 23 02 FB 03 F2 1A AB 13 44 93 F9 00 30 5B 1C 59 B2 0A 9B 5A 1E 01 23 02 FB 03 F2 1A AB 13 44 19 70 2A 9B 00 93 29 9B 1B 68 5A 1C 29 9B 1A 60 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B 10 DD 00 9B 5A 1E 01 23 02 FB 03 F2 1A AB 13 44 93 F9 00 30 00 2B 05 D1 29 9B 1B 68 5A 1C 29 9B 1A 60 E8 E7 00 9B 00 2B 0F D1 00 9B 0B 93 00 9B 5B 1C 00 93 0B 9B 24 2B 00 D2 01 E0 ?? ?? ?? ?? 1A AA 0B 9B 1A 44 00 23 13 70 29 9B 1B 68 9A 00 29 9B 1A 60 05 9B 00 2B 00 F0 B2 80 00 23 08 93 00 99 07 20 ?? ?? ?? ?? 07 23 5B 1A 09 93 09 99 07 20 ?? ?? ?? ?? 00 29 02 D1 00 23 0C 93 01 E0 01 23 0C 93 0C 9B 01 93 05 E0 09 9B 5B 1C 09 93 08 9B 5B 1C 08 93 08 9A 00 9B 9A 42 33 DA 09 99 07 20 ?? ?? ?? ?? 00 29 12 D1 01 9B 5B 1C 01 93 08 9A 01 23 02 FB 03 F2 1A AB 13 44 93 F9 00 10 01 9A 04 23 02 FB 03 F2 29 9B 13 44 19 60 19 E0 01 9A 04 23 02 FB 03 F2 29 9B 13 44 1A 68 10 23 02 FB 03 F1 08 9A 01 23 02 FB 03 F2 1A AB 13 44 93 F9 00 30 19 44 01 9A 04 23 02 FB 03 F2 29 9B 13 44 19 60 C1 E7 27 9B 93 F9 00 30 70 2B 04 D0 27 9B 93 F9 00 30 50 2B 52 D1 27 9B 18 93 27 9B 5B 1C 27 93 27 9B 93 F9 00 30 2B 2B 07 D0 27 9B 93 F9 00 30 2D 2B 02 D0 2B 23 0D 93 06 E0 27 9B 93 F9 00 30 0D 93 27 9B 5B 1C 27 93 0D 9B 5B B2 8D F8 08 30 00 23 0E 93 00 23 06 93 04 E0 27 9B 5B 1C 27 93 01 23 0E 93 27 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 17 90 17 9B 00 2B 0F D0 06 9A 1F 4B 9A 42 0A DA 06 9A 0A 23 02 FB 03 F2 27 9B 93 F9 00 30 DB B2 13 44 30 3B 06 93 E0 E7 9D F9 08 30 2D 2B 02 D1 06 9B 5B 42 06 93 29 9B 1A 68 06 9B 1A 44 29 9B 1A 60 0E 9B 00 2B 01 D1 18 9B 27 93 05 9B 00 2B 01 D1 00 23 01 93 28 9B 00 2B 0A D0 05 9B 00 2B 02 D0 27 9B 0F 93 01 E0 26 9B 0F 93 0F 9A 28 9B 1A 60 01 9B 19 93 19 98 23 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE 00 E1 F5 05 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_0_1 {
	meta:
		name = "_Dtest"
		size = 202
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9B 9B 1D 1A 88 47 F6 F0 73 1A 40 47 F6 F0 73 9A 42 1F D1 00 9B 9B 1D 1B 88 03 F0 0F 03 00 2B 10 D1 00 9B 1B 1D 1B 88 00 2B 0B D1 00 9B 9B 1C 1B 88 00 2B 06 D1 00 9B 1B 88 00 2B 02 D1 01 23 02 93 01 E0 02 23 02 93 02 9B 1B B2 AD F8 04 30 2D E0 2C E0 00 9B 9B 1D 1B 88 23 F4 00 43 00 2B 0D D1 00 9B 1B 1D 1B 88 00 2B 08 D1 00 9B 9B 1C 1B 88 00 2B 03 D1 00 9B 1B 88 00 2B 14 D0 00 9B 9B 1D 1A 88 47 F6 F0 73 13 40 00 2B 03 D1 6F F0 01 03 03 93 02 E0 6F F0 00 03 03 93 03 9B 1B B2 AD F8 04 30 03 E0 02 E0 00 23 AD F8 04 30 BD F9 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_102_0_1 {
	meta:
		name = "_Wcscoll"
		size = 230
		refs = "0028 ___lc_locale_name_func 005e _Wmemcmp 00ac __crtCompareStringW 00bc _errno"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 13 9A 12 9B D3 1A 5B 10 04 93 15 9A 14 9B D3 1A 5B 10 03 93 00 23 02 93 16 9B 00 2B 07 D1 ?? ?? ?? ?? 0A 90 0A 9B 1B 1D 1B 68 05 93 03 E0 16 9B 1B 1D 1B 68 05 93 05 9B 00 2B 29 D1 04 9A 03 9B 9A 42 02 DA 04 9B 06 93 01 E0 03 9B 06 93 06 9A 14 99 12 98 ?? ?? ?? ?? 0B 90 0B 9B 08 93 08 9B 00 2B 10 D1 04 9A 03 9B 9A 42 0C D0 04 9A 03 9B 9A 42 03 DA 6F F0 00 03 07 93 01 E0 01 23 07 93 07 9B 09 93 01 E0 08 9B 09 93 09 9B 02 93 1D E0 03 9B 01 93 14 9B 00 93 04 9B 12 9A 4F F4 80 51 05 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 9B 00 2B 09 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 6F F0 00 43 02 93 02 E0 02 9B 9B 1E 02 93 02 9B 0E 93 0E 98 10 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_102_1_1 {
	meta:
		name = "_Wmemcmp"
		size = 96
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 E0 04 9B 9B 1C 04 93 05 9B 9B 1C 05 93 06 9B 5B 1E 06 93 06 9B 00 2B 15 DD 04 9B 1A 88 05 9B 1B 88 9A 42 0E D0 04 9B 1A 88 05 9B 1B 88 9A 42 03 DA 6F F0 00 03 00 93 01 E0 01 23 00 93 00 9B 01 93 02 E0 DD E7 00 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_104_3_1 {
	meta:
		name = "??B?$__crt_scoped_stack_ptr@_W@@QBA_NXZ"
		size = 50
		altNames = "?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_104_7_1 {
	meta:
		name = "__crtLCMapStringA"
		size = 888
		refs = "0016 __strncnt 0078 _MallocaComputeSize 009a _malloc_dbg 00a6 _MarkAllocaS 00ba ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 00ca ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 00d0 ??B?$__crt_scoped_stack_ptr@_W@@QBA_NXZ 00e6 ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 00f2 ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 0368 __imp_WideCharToMultiByte 036c __imp_LCMapStringEx 0370 ??_C@_0DC@NONNOJF@f?3?2dd?2vctools?2crt?2crtw32?2misc?2st@ 0374 __imp_MultiByteToWideChar"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B B9 B0 3F 9B 00 2B 10 DD 3F 99 3E 98 ?? ?? ?? ?? 11 90 11 9B 0D 93 0D 9A 3F 9B 9A 42 03 DA 0D 9B 5B 1C 3F 93 01 E0 0D 9B 3F 93 00 23 06 93 43 9B 00 2B 02 D0 09 23 0E 93 01 E0 01 23 0E 93 00 23 01 93 00 23 00 93 3F 9B 3E 9A 0E 99 42 98 C6 4C 24 68 A0 47 12 90 12 9B 0B 93 0B 9B 00 2B 02 D1 00 23 08 93 75 E1 0B 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 13 90 13 9B 00 2B 16 D0 0B 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 14 90 64 23 B6 4A 02 21 14 98 ?? ?? ?? ?? 15 90 4D F6 DD 51 15 98 ?? ?? ?? ?? 16 90 16 9B 0F 93 01 E0 00 23 0F 93 0F 99 36 A8 ?? ?? ?? ?? 17 90 17 9B 18 93 18 9B 19 68 07 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 07 D1 00 23 19 93 07 A8 ?? ?? ?? ?? 19 9B 08 93 35 E1 07 A8 ?? ?? ?? ?? 1A 90 0B 9B 01 93 1A 9B 00 93 3F 9B 3E 9A 01 21 42 98 9A 4C 24 68 A0 47 1B 90 1B 9B 00 2B 07 D1 06 9B 1C 93 07 A8 ?? ?? ?? ?? 1C 9B 08 93 1A E1 07 A8 ?? ?? ?? ?? 1D 90 00 23 04 93 00 23 03 93 00 23 02 93 00 23 01 93 00 23 00 93 0B 9B 1D 9A 3D 99 3C 98 88 4C 24 68 A0 47 1E 90 1E 9B 06 93 06 9B 00 2B 07 D1 06 9B 1F 93 07 A8 ?? ?? ?? ?? 1F 9B 08 93 F7 E0 3D 9B 13 F4 80 6F 30 D0 41 9B 00 2B 2C D0 06 9A 41 9B 9A 42 07 DD 06 9B 20 93 07 A8 ?? ?? ?? ?? 20 9B 08 93 E4 E0 07 A8 ?? ?? ?? ?? 21 90 00 23 04 93 00 23 03 93 00 23 02 93 41 9B 01 93 40 9B 00 93 0B 9B 21 9A 3D 99 3C 98 6D 4C 24 68 A0 47 22 90 22 9B 00 2B 07 D1 06 9B 23 93 07 A8 ?? ?? ?? ?? 23 9B 08 93 C3 E0 BB E0 06 9B 0C 93 0C 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 24 90 24 9B 00 2B 16 D0 0C 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 25 90 92 23 5C 4A 02 21 25 98 ?? ?? ?? ?? 26 90 4D F6 DD 51 26 98 ?? ?? ?? ?? 27 90 27 9B 10 93 01 E0 00 23 10 93 10 99 37 A8 ?? ?? ?? ?? 28 90 28 9B 29 93 29 9B 19 68 09 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 0A D1 06 9B 2A 93 09 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 2A 9B 08 93 7D E0 09 A8 ?? ?? ?? ?? 2B 90 07 A8 ?? ?? ?? ?? 2C 90 00 23 04 93 00 23 03 93 00 23 02 93 0C 9B 01 93 2B 9B 00 93 0B 9B 2C 9A 3D 99 3C 98 37 4C 24 68 A0 47 2D 90 2D 9B 00 2B 0A D1 06 9B 2E 93 09 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 2E 9B 08 93 55 E0 41 9B 00 2B 24 D1 09 A8 ?? ?? ?? ?? 2F 90 00 23 03 93 00 23 02 93 00 23 01 93 00 23 00 93 0C 9B 2F 9A 00 21 42 98 24 4C 24 68 A0 47 30 90 30 9B 06 93 06 9B 00 2B 0A D1 06 9B 31 93 09 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 31 9B 08 93 2E E0 23 E0 09 A8 ?? ?? ?? ?? 32 90 00 23 03 93 00 23 02 93 41 9B 01 93 40 9B 00 93 0C 9B 32 9A 00 21 42 98 11 4C 24 68 A0 47 33 90 33 9B 06 93 06 9B 00 2B 0A D1 06 9B 34 93 09 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 34 9B 08 93 09 E0 09 A8 ?? ?? ?? ?? 06 9B 35 93 07 A8 ?? ?? ?? ?? 35 9B 08 93 08 98 39 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_105_0_1 {
	meta:
		name = "__crtCompareStringW"
		size = 168
		refs = "0016 wcsnlen 00a4 __imp_CompareStringEx"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 8D B0 13 9B 00 2B 06 DD 13 99 12 98 ?? ?? ?? ?? 09 90 09 9B 13 93 15 9B 00 2B 06 DD 15 99 14 98 ?? ?? ?? ?? 0A 90 0A 9B 15 93 13 9B 00 2B 02 D0 15 9B 00 2B 16 D1 13 9A 15 9B D3 1A 00 2B 02 D1 02 23 07 93 0B E0 13 9A 15 9B D3 1A 00 2B 02 DA 01 23 06 93 01 E0 03 23 06 93 06 9B 07 93 07 9B 08 93 13 E0 00 23 04 93 00 23 03 93 00 23 02 93 15 9B 01 93 14 9B 00 93 13 9B 12 9A 11 99 10 98 06 4C 24 68 A0 47 0B 90 0B 9B 08 93 08 98 0D B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_0_1 {
	meta:
		name = "_Wcsxfrm"
		size = 292
		refs = "002e ___lc_locale_name_func 0060 memcpy 0072 _malloc_dbg 0094 __crtLCMapStringW 010a _free_dbg 0120 ??_C@_0CL@LLLFELDD@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9A 10 9B D3 1A 5B 10 07 93 13 9A 12 9B D3 1A 5B 10 04 93 6F F0 00 03 02 93 00 23 03 93 14 9B 00 2B 07 D1 ?? ?? ?? ?? 08 90 08 9B 1B 1D 1B 68 06 93 03 E0 14 9B 1B 1D 1B 68 06 93 06 9B 00 2B 0E D1 04 9A 07 9B 9A 42 07 D8 04 9A 02 23 02 FB 03 F2 12 99 10 98 ?? ?? ?? ?? 04 9B 02 93 4A E0 61 23 2C 4A 02 21 07 98 ?? ?? ?? ?? 09 90 09 9B 03 93 03 9B 00 2B 3E D0 07 9B 01 93 03 9B 00 93 04 9B 12 9A 4F F4 80 61 06 98 ?? ?? ?? ?? 0A 90 0A 9B 02 93 02 9B 00 2B 14 D1 00 23 01 93 00 23 00 93 04 9B 12 9A 4F F4 80 61 06 98 ?? ?? ?? ?? 0B 90 0B 9B 02 93 02 9B 00 2B 02 D1 6F F0 00 43 02 93 18 E0 00 23 05 93 02 E0 05 9B 5B 1C 05 93 05 9A 02 9B 9A 42 0E D2 05 9A 01 23 02 FB 03 F2 03 9B 13 44 19 78 05 9A 02 23 02 FB 03 F2 10 9B 13 44 19 80 E9 E7 03 9B 00 2B 03 D0 02 21 03 98 ?? ?? ?? ?? 02 9B 0C 93 0C 98 0E B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_0_1 {
	meta:
		name = "?initialize_pointers@@YAHXZ"
		size = 1280
		refs = "044c __encodedKERNEL32Functions 0450 __security_cookie 0454 __imp_GetProcAddress 0458 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 045c ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 0460 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 0464 ??_C@_0BE@NPHIPNPD@CloseThreadpoolWork?$AA@ 0468 ??_C@_0BF@NHDAIMMO@SubmitThreadpoolWork?$AA@ 046c ??_C@_0BF@GGPHFPJA@CreateThreadpoolWork?$AA@ 0470 ??_C@_0BK@LGACAGIC@SleepConditionVariableSRW?$AA@ 0474 ??_C@_0BI@HMIEPCNJ@ReleaseSRWLockExclusive?$AA@ 0478 ??_C@_0BL@OGHFEMNA@TryAcquireSRWLockExclusive?$AA@ 047c ??_C@_0BI@OMNLIJDB@AcquireSRWLockExclusive?$AA@ 0480 ??_C@_0BC@MMLHEBPB@InitializeSRWLock?$AA@ 0484 ??_C@_0BJ@JEBJOJFJ@SleepConditionVariableCS?$AA@ 0488 ??_C@_0BJ@PGPPEPCC@WakeAllConditionVariable?$AA@ 048c ??_C@_0BG@BFNILBLN@WakeConditionVariable?$AA@ 0490 ??_C@_0BM@HLJJNPAH@InitializeConditionVariable?$AA@ 0494 ??_C@_0BP@FPNJPEJC@GetSystemTimePreciseAsFileTime?$AA@ 0498 ??_C@_0BL@KBBHGKCM@SetFileInformationByHandle?$AA@ 049c ??_C@_0BN@NEEHBBPO@GetFileInformationByHandleEx?$AA@ 04a0 ??_C@_0P@CDHHOHKP@GetTickCount64?$AA@ 04a4 ??_C@_0BE@JOGNEJCI@GetCurrentPackageId?$AA@ 04a8 ??_C@_0BE@FKKLLFLM@CreateSymbolicLinkW?$AA@ 04ac ??_C@_0BK@DFNBACLA@GetCurrentProcessorNumber?$AA@ 04b0 ??_C@_0BP@KALKKPMO@FreeLibraryWhenCallbackReturns?$AA@ 04b4 ??_C@_0BJ@LKGHFHBO@FlushProcessWriteBuffers?$AA@ 04b8 ??_C@_0BE@OCIOMIMP@CloseThreadpoolWait?$AA@ 04bc ??_C@_0BC@MGCOHNA@SetThreadpoolWait?$AA@ 04c0 ??_C@_0BF@FLABGKKM@CreateThreadpoolWait?$AA@ 04c4 ??_C@_0BF@DCFCCNOC@CloseThreadpoolTimer?$AA@ 04c8 ??_C@_0CA@FMNJENH@WaitForThreadpoolTimerCallbacks?$AA@ 04cc ??_C@_0BD@LPLEMMDI@SetThreadpoolTimer?$AA@ 04d0 ??_C@_0BG@OGFAJCKC@CreateThreadpoolTimer?$AA@ 04d4 ??_C@_0BD@KIEEOEEH@CreateSemaphoreExW?$AA@ 04d8 ??_C@_0BB@MEFPJLHN@CreateSemaphoreW?$AA@ 04dc ??_C@_0P@DLHPPCNH@CreateEventExW?$AA@ 04e0 ??_C@_0BE@GPLMMCMH@InitOnceExecuteOnce?$AA@ 04e4 ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 04e8 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 04ec ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 04f0 ??_C@_07PEJMOBNF@FlsFree?$AA@ 04f4 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 04f8 __imp_GetModuleHandleW 04fc ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 AC B0 DF F8 F0 04 DF F8 E8 34 1B 68 98 47 01 90 01 9B 00 93 DF F8 D8 14 00 98 DF F8 30 34 1B 68 98 47 02 90 02 9A DF F8 20 34 1B 68 5A 40 DF F8 14 34 1A 60 DF F8 B4 14 00 98 DF F8 10 34 1B 68 98 47 03 90 03 9A DF F8 00 34 1B 68 5A 40 FD 4B 1B 1D 1A 60 DF F8 90 14 00 98 FC 4B 1B 68 98 47 04 90 04 9A F9 4B 1B 68 5A 40 F6 4B 08 33 1A 60 DF F8 70 14 00 98 F5 4B 1B 68 98 47 05 90 05 9A F2 4B 1B 68 5A 40 EF 4B 0C 33 1A 60 DF F8 50 14 00 98 EE 4B 1B 68 98 47 06 90 06 9A EB 4B 1B 68 5A 40 E8 4B 10 33 1A 60 DF F8 30 14 00 98 E7 4B 1B 68 98 47 07 90 07 9A E4 4B 1B 68 5A 40 E1 4B 14 33 1A 60 DF F8 10 14 00 98 E0 4B 1B 68 98 47 08 90 08 9A DD 4B 1B 68 5A 40 DA 4B 18 33 1A 60 FC 49 00 98 DA 4B 1B 68 98 47 09 90 09 9A D6 4B 1B 68 5A 40 D4 4B 1C 33 1A 60 F4 49 00 98 D3 4B 1B 68 98 47 0A 90 0A 9A D0 4B 1B 68 5A 40 CD 4B 20 33 1A 60 ED 49 00 98 CD 4B 1B 68 98 47 0B 90 0B 9A C9 4B 1B 68 5A 40 C7 4B 24 33 1A 60 E5 49 00 98 C6 4B 1B 68 98 47 0C 90 0C 9A C3 4B 1B 68 5A 40 C0 4B 28 33 1A 60 DE 49 00 98 C0 4B 1B 68 98 47 0D 90 0D 9A BC 4B 1B 68 5A 40 BA 4B 2C 33 1A 60 D6 49 00 98 B9 4B 1B 68 98 47 0E 90 0E 9A B6 4B 1B 68 5A 40 B3 4B 30 33 1A 60 CF 49 00 98 B3 4B 1B 68 98 47 0F 90 0F 9A AF 4B 1B 68 5A 40 AD 4B 34 33 1A 60 C7 49 00 98 AC 4B 1B 68 98 47 10 90 10 9A A9 4B 1B 68 5A 40 A6 4B 38 33 1A 60 C0 49 00 98 A6 4B 1B 68 98 47 11 90 11 9A A2 4B 1B 68 5A 40 A0 4B 3C 33 1A 60 B8 49 00 98 9F 4B 1B 68 98 47 12 90 12 9A 9C 4B 1B 68 5A 40 99 4B 40 33 1A 60 B1 49 00 98 99 4B 1B 68 98 47 13 90 13 9A 95 4B 1B 68 5A 40 93 4B 44 33 1A 60 A9 49 00 98 92 4B 1B 68 98 47 14 90 14 9A 8F 4B 1B 68 5A 40 8C 4B 48 33 1A 60 A2 49 00 98 8C 4B 1B 68 98 47 15 90 15 9A 88 4B 1B 68 5A 40 86 4B 4C 33 1A 60 9A 49 00 98 85 4B 1B 68 98 47 16 90 16 9A 82 4B 1B 68 5A 40 7F 4B 50 33 1A 60 93 49 00 98 7F 4B 1B 68 98 47 17 90 17 9A 7B 4B 1B 68 5A 40 79 4B 54 33 1A 60 8B 49 00 98 78 4B 1B 68 98 47 18 90 18 9A 75 4B 1B 68 5A 40 72 4B 58 33 1A 60 84 49 00 98 72 4B 1B 68 98 47 19 90 19 9A 6E 4B 1B 68 5A 40 6C 4B 5C 33 1A 60 7C 49 00 98 6B 4B 1B 68 98 47 1A 90 1A 9A 68 4B 1B 68 5A 40 65 4B 60 33 1A 60 75 49 00 98 65 4B 1B 68 98 47 1B 90 1B 9A 61 4B 1B 68 5A 40 5F 4B 64 33 1A 60 6D 49 00 98 5E 4B 1B 68 98 47 1C 90 1C 9A 5B 4B 1B 68 5A 40 58 4B 68 33 1A 60 66 49 00 98 58 4B 1B 68 98 47 1D 90 1D 9A 54 4B 1B 68 5A 40 52 4B 6C 33 1A 60 5E 49 00 98 51 4B 1B 68 98 47 1E 90 1E 9A 4E 4B 1B 68 5A 40 4B 4B 70 33 1A 60 57 49 00 98 4B 4B 1B 68 98 47 1F 90 1F 9A 47 4B 1B 68 5A 40 45 4B 74 33 1A 60 4F 49 00 98 44 4B 1B 68 98 47 20 90 20 9A 41 4B 1B 68 5A 40 3E 4B 78 33 1A 60 48 49 00 98 3E 4B 1B 68 98 47 21 90 21 9A 3A 4B 1B 68 5A 40 38 4B 7C 33 1A 60 40 49 00 98 37 4B 1B 68 98 47 22 90 22 9A 34 4B 1B 68 5A 40 31 4B 80 33 1A 60 39 49 00 98 31 4B 1B 68 98 47 23 90 23 9A 2D 4B 1B 68 5A 40 2B 4B 84 33 1A 60 31 49 00 98 2A 4B 1B 68 98 47 24 90 24 9A 27 4B 1B 68 5A 40 24 4B 88 33 1A 60 2A 49 00 98 24 4B 1B 68 98 47 25 90 25 9A 20 4B 1B 68 5A 40 1E 4B 8C 33 1A 60 22 49 00 98 1D 4B 1B 68 98 47 26 90 26 9A 1A 4B 1B 68 5A 40 17 4B 90 33 1A 60 1B 49 00 98 17 4B 1B 68 98 47 27 90 27 9A 13 4B 1B 68 5A 40 11 4B 94 33 1A 60 13 49 00 98 10 4B 1B 68 98 47 28 90 28 9A 0D 4B 1B 68 5A 40 0A 4B 98 33 1A 60 0C 49 00 98 0A 4B 1B 68 98 47 29 90 29 9A 06 4B 1B 68 5A 40 04 4B 9C 33 1A 60 00 23 2A 93 2A 98 2C B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_1_1 {
	meta:
		name = "__crtIsPackagedApp"
		size = 64
		refs = "0010 __crt_IsPackagedAppHelper 003c ?isPackaged@?1??__crtIsPackagedApp@@9@4HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 0C 4B 1B 68 00 2B 05 DA ?? ?? ?? ?? 01 90 01 9A 08 4B 1A 60 07 4B 1B 68 00 2B 02 DD 01 23 00 93 01 E0 00 23 00 93 00 9B 02 93 02 98 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_2_1 {
	meta:
		name = "__crtQueueUserWorkItem"
		size = 26
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_107_3_1 {
	meta:
		name = "__crt_IsPackagedAppHelper"
		size = 100
		refs = "0032 _guard_check_icall 005c __security_cookie 0060 __encodedKERNEL32Functions"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 43 F6 54 53 02 93 00 23 04 93 12 4B 50 33 1A 68 10 4B 1B 68 53 40 00 93 00 9B 00 2B 0D D0 00 25 04 AC 00 9B 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 98 47 05 90 05 9B 02 93 02 9B 7A 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 98 06 B0 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_0_1 {
	meta:
		name = "_Dscale"
		size = 956
		refs = "0078 _Dnorm 03b8 _Inf"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 04 93 04 9B 9B 1D 1A 88 47 F6 F0 73 13 40 1B 11 1B B2 AD F8 02 30 BD F9 02 20 40 F2 FF 73 9A 42 1F D1 04 9B 9B 1D 1B 88 03 F0 0F 03 00 2B 10 D1 04 9B 1B 1D 1B 88 00 2B 0B D1 04 9B 9B 1C 1B 88 00 2B 06 D1 04 9B 1B 88 00 2B 02 D1 01 23 06 93 01 E0 02 23 06 93 06 9B 1B B2 AD F8 14 30 9E E1 14 E0 BD F9 02 30 00 2B 10 D1 04 98 ?? ?? ?? ?? AD F8 0E 00 BD F9 0E 30 AD F8 02 30 BD F9 02 30 00 2B 03 DD 00 23 AD F8 14 30 88 E1 0F 9B 00 2B 24 DD BD F9 02 20 40 F2 FF 73 9A 1A 0F 9B 9A 42 1C DC 04 9B 9B 1D 1B 88 13 F4 00 4F 07 D0 BF 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0A 0B 04 E0 BB 4B 93 ED 00 0B 8D ED 0A 0B 9D ED 0A 0B 0E 9B 83 ED 00 0B 01 23 AD F8 14 30 61 E1 60 E1 BD F9 02 30 5A 42 0F 9B 9A 42 14 DA 04 9B 9B 1D 19 88 6F F3 0E 11 BD F9 02 20 0F 9B 13 44 1B 01 0B 43 9A B2 04 9B 9B 1D 1A 80 6F F0 00 03 AD F8 14 30 46 E1 45 E1 04 9B 9B 1D 1B 88 03 F4 00 43 9B B2 AD F8 06 30 04 9B 9B 1D 1B 88 03 F0 0F 03 43 F0 10 03 9A B2 04 9B 9B 1D 1A 80 BD F9 02 30 5A 1E 0F 9B 13 44 0F 93 0F 9B 13 F1 35 0F 02 DB 0F 9B 00 2B 14 DB 04 9B 9A 1D BD F8 06 30 13 80 04 9B 1A 1D 00 23 13 80 04 9B 9A 1C 00 23 13 80 04 9A 00 23 13 80 00 23 AD F8 14 30 11 E1 10 E1 0F 9B 1B B2 AD F8 00 30 00 23 AD F8 04 30 05 E0 BD F9 00 30 10 33 1B B2 AD F8 00 30 BD F9 00 30 13 F1 10 0F 25 DC BD F8 04 30 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 04 9B 1A 88 07 9B 13 43 9B B2 AD F8 04 30 04 9B 9B 1C 04 9A 1B 88 13 80 04 9B 19 1D 04 9B 9A 1C 0B 88 13 80 04 9B 99 1D 04 9B 1A 1D 0B 88 13 80 04 9B 9A 1D 00 23 13 80 CE E7 BD F9 00 30 5B 42 1B B2 AD F8 00 30 BD F9 00 30 00 2B 5C D0 BD F8 04 30 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 04 9B 1A 88 BD F9 00 30 C3 F1 10 03 9A 40 08 9B 13 43 9B B2 AD F8 04 30 04 9B 1A 88 BD F9 00 30 42 FA 03 F1 04 9B 9B 1C 1A 88 BD F9 00 30 C3 F1 10 03 02 FA 03 F3 0B 43 9A B2 04 9B 1A 80 04 9B 9B 1C 1A 88 BD F9 00 30 42 FA 03 F1 04 9B 1B 1D 1A 88 BD F9 00 30 C3 F1 10 03 02 FA 03 F3 0B 43 9A B2 04 9B 9B 1C 1A 80 04 9B 1B 1D 1A 88 BD F9 00 30 42 FA 03 F1 04 9B 9B 1D 1A 88 BD F9 00 30 C3 F1 10 03 02 FA 03 F3 0B 43 9A B2 04 9B 1B 1D 1A 80 04 9B 99 1D BD F9 00 30 9A B2 0B 88 D3 40 9A B2 04 9B 9B 1D 1A 80 04 9B 9B 1D BD F8 06 20 1B 88 43 EA 02 01 04 9B 9A 1D 8B B2 13 80 BD F8 04 30 B3 F5 00 4F 09 DC BD F8 04 30 B3 F5 00 4F 3E D1 04 9B 1B 88 13 F0 01 0F 39 D0 04 9B 1B 88 5B 1C 9B B2 AD F8 08 30 04 9A BD F8 08 30 13 80 BD F8 08 30 9B B2 00 2B 2A D1 04 9B 9B 1C 1B 88 5B 1C 9B B2 AD F8 0A 30 04 9B 9A 1C BD F8 0A 30 13 80 BD F8 0A 30 9B B2 00 2B 19 D1 04 9B 1B 1D 1B 88 5B 1C 9B B2 AD F8 0C 30 04 9B 1A 1D BD F8 0C 30 13 80 BD F8 0C 30 9B B2 00 2B 08 D1 04 9B 9B 1D 1B 88 5B 1C 9A B2 04 9B 9B 1D 1A 80 18 E0 04 9B 9B 1D 1A 88 BD F8 06 30 9A 42 11 D1 04 9B 1B 1D 1B 88 00 2B 0C D1 04 9B 9B 1C 1B 88 00 2B 07 D1 04 9B 1B 88 00 2B 03 D1 00 23 AD F8 14 30 03 E0 6F F0 00 03 AD F8 14 30 BD F9 14 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_109_0_1 {
	meta:
		name = "_LDint"
		size = 46
		refs = "0010 _Dint"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F9 14 10 04 98 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_110_4_1 {
	meta:
		name = "??0future_error@std@@QAA@Verror_code@1@@Z"
		size = 64
		refs = "000e ??0logic_error@std@@QAA@PBD@Z 0024 memcpy 0038 ??_7future_error@std@@6B@ 003c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 0C 49 04 98 ?? ?? ?? ?? 01 90 08 4A 04 9B 1A 60 04 9B 03 F1 0C 00 05 A9 08 22 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_14_1 {
	meta:
		name = "?_Future_error_map@std@@YAPBDH@Z"
		size = 92
		refs = "004c ??_C@_08CCNMMIE@no?5state?$AA@ 0050 ??_C@_0BK@JNDAEPJA@promise?5already?5satisfied?$AA@ 0054 ??_C@_0BJ@JOKOCMFN@future?5already?5retrieved?$AA@ 0058 ??_C@_0P@JCDOJLHG@broken?5promise?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 01 9B 5B 1E 01 93 01 9B 03 2B 10 D8 01 9A DF E8 02 F0 02 05 08 0B 0C 4B 00 93 0A E0 0A 4B 00 93 07 E0 07 4B 00 93 04 E0 05 4B 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_15_1 {
	meta:
		name = "?_RethrowException@exception_ptr@std@@QBAXXZ"
		size = 16
		refs = "000a ?__ExceptionPtrRethrow@@YAXPBX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_110_16_1 {
	meta:
		name = "?_Rethrow_future_exception@std@@YAXVexception_ptr@1@@Z"
		size = 56
		refs = "0020 ??0exception_ptr@std@@QAA@ABV01@@Z 002c ?rethrow_exception@std@@YAXVexception_ptr@1@@Z 0032 ??1exception_ptr@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 04 33 17 F1 18 03 3B 60 39 6B 38 68 ?? ?? ?? ?? 78 60 7B 68 BB 60 B8 68 ?? ?? ?? ?? 38 6B ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_110_18_1 {
	meta:
		name = "?_Throw_future_error@std@@YAXABVerror_code@1@@Z"
		size = 40
		refs = "0016 ??0future_error@std@@QAA@Verror_code@1@@Z 001e _CxxThrowException 0024 _TI3?AVfuture_error@std@@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 93 00 9B 19 68 5A 68 02 A8 ?? ?? ?? ?? 02 49 02 A8 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_19_1 {
	meta:
		name = "?rethrow_exception@std@@YAXVexception_ptr@1@@Z"
		size = 36
		refs = "0018 ?_RethrowException@exception_ptr@std@@QBAXXZ 001e ??1exception_ptr@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_110_23_1 {
	meta:
		name = "?what@future_error@std@@UBAPBDXZ"
		size = 46
		refs = "0010 ?value@error_code@std@@QBAHXZ 0018 ?_Future_error_map@std@@YAPBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 0C 00 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_111_0_1 {
	meta:
		name = "?_Rng_abort@std@@YAXPBD@Z"
		size = 48
		refs = "000c __acrt_iob_func 0016 fputs 0026 fputc 002a abort"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 99 04 98 ?? ?? ?? ?? 02 20 ?? ?? ?? ?? 01 90 01 99 0A 20 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_116_0_1 {
	meta:
		name = "_FExp"
		size = 528
		refs = "01ce _FDscale 01ec p 01f0 q 01f4 _FEps 01f8 c2 01fc c1 0200 invln2 0204 _FInf 0208 hugexp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 02 0A 7E 4B 93 ED 00 0A F1 EE 40 0A 0A 9B 93 ED 00 0A B4 EE E0 0A F1 EE 10 FA 06 D3 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 09 D1 9F ED 75 0A 0A 9B 83 ED 00 0A 00 23 AD F8 0C 30 CA E0 C9 E0 6F 4B D3 ED 00 0A 0A 9B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 0A D2 68 4B 93 ED 00 0A 0A 9B 83 ED 00 0A 01 23 AD F8 0C 30 B4 E0 B3 E0 0A 9B D3 ED 00 0A 60 4B 93 ED 00 0A 20 EE 80 0A 8D ED 01 0A 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 04 D2 BE EE 00 0A 8D ED 04 0A 03 E0 B6 EE 00 0A 8D ED 04 0A DD ED 01 0A 9D ED 04 0A 30 EE 80 0A BD EE C0 0A 10 EE 10 3A 1B B2 AD F8 00 30 BD F9 00 30 00 EE 10 3A B8 EE C0 0A 8D ED 01 0A DD ED 01 0A 48 4B 93 ED 00 0A 60 EE 80 0A 0A 9B 93 ED 00 0A 30 EE 60 1A DD ED 01 0A 41 4B 93 ED 00 0A 20 EE 80 0A 31 EE 40 0A 8D ED 01 0A 3C 4B 93 ED 00 0A F1 EE 40 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 0F D2 DD ED 01 0A 35 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 05 D2 9D ED 02 0A 0A 9B 83 ED 00 0A 43 E0 DD ED 01 0A 9D ED 01 0A 20 EE 80 0A 8D ED 05 0A 29 4B D3 ED 00 0A 9D ED 05 0A 60 EE 80 0A 25 4B 1B 1D 93 ED 00 0A 30 EE 80 0A 8D ED 06 0A 20 4B 1B 1D DD ED 05 0A 93 ED 00 0A 70 EE 80 0A 9D ED 01 0A 20 EE 20 0A 8D ED 01 0A DD ED 06 0A 9D ED 01 0A 30 EE 80 1A DD ED 06 0A 9D ED 01 0A 30 EE C0 0A C1 EE 00 0A B0 EE 00 0A 60 EE 80 0A 9D ED 02 0A 20 EE 80 0A 0A 9B 83 ED 00 0A BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 20 BD F9 2C 30 D1 18 0A 98 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 0C 30 BD F9 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_117_0_1 {
	meta:
		name = "_Towupper"
		size = 148
		refs = "006a __crtLCMapStringW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 BD F8 20 30 AD F8 08 30 BD F8 20 20 4F F6 FF 73 9A 42 00 D1 2E E0 09 9B 0C 33 1B 68 00 2B 14 D1 BD F8 20 30 B3 F5 80 7F 0F DA BD F8 20 30 61 2B 0A DB BD F8 20 30 7A 2B 06 DC BD F8 20 30 61 3B 41 33 9B B2 AD F8 08 30 14 E0 01 23 01 93 02 AB 00 93 01 23 08 AA 4F F4 00 71 09 98 0C 30 00 68 ?? ?? ?? ?? 03 90 03 9B 00 2B 03 D1 BD F8 20 30 AD F8 08 30 BD F8 08 30 AD F8 10 30 BD F8 10 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_10_1 {
	meta:
		name = "??$_Getvals@D@?$numpunct@D@std@@IAAXDPBUlconv@@U_Cvtvec@@@Z"
		size = 86
		refs = "0016 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 AA 00 21 06 9B 1B 68 93 F9 00 00 ?? ?? ?? ?? 8D F8 00 00 04 9B 03 F1 0C 02 9D F9 00 30 13 70 07 AA 00 21 06 9B 1B 1D 1B 68 93 F9 00 00 ?? ?? ?? ?? 8D F8 01 00 04 9B 03 F1 0D 02 9D F9 01 30 13 70 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_118_158_1 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z"
		size = 1228
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00cc strcspn 00e2 memcpy 00e6 localeconv 0114 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0120 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 012e ??1locale@std@@QAA@XZ 013c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 014a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0168 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 0180 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0198 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a2 ?thousands_sep@?$numpunct@D@std@@QBADXZ 01ba ?decimal_point@?$numpunct@D@std@@QBADXZ 01f2 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0238 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0254 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0264 ?width@ios_base@std@@QBA_JXZ 0312 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0354 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 0472 ?width@ios_base@std@@QAA_J_J@Z 0498 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04b2 __security_pop_cookie 04c0 ??_C@_01LFCBOECM@?4?$AA@ 04c4 ??_C@_02OOPEBDOJ@pP?$AA@ 04c8 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D4 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 7C 31 00 2B 0E D9 D7 F8 78 31 93 F9 00 30 2B 2B 05 D0 D7 F8 78 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 62 01 E0 00 23 7B 62 7B 6A 3B 60 D7 F8 70 01 ?? ?? ?? ?? 78 63 7B 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 64 34 BB 62 2E E0 DF F8 58 34 BB 62 3B 68 9A 1C D7 F8 7C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 78 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 B9 6A D7 F8 78 01 ?? ?? ?? ?? B8 63 BB 6B FB 66 17 F1 0C 03 FB 63 F8 6B F8 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 38 64 3B 6C 1B 68 17 F1 0C 02 93 F9 00 30 13 70 17 F1 0C 01 D7 F8 78 01 ?? ?? ?? ?? 78 64 7B 6C 7B 61 17 F1 D8 01 D7 F8 70 01 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D BB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 7C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? 78 65 7B 6D D7 F8 7C 11 01 22 01 FB 02 F1 D7 F8 78 21 0A 44 D7 F8 78 11 B8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 70 01 ?? ?? ?? ?? F8 65 FB 6D 3B 66 38 6E ?? ?? ?? ?? 78 66 7B 6E FB 61 17 F1 E0 00 ?? ?? ?? ?? 17 F5 9C 71 F8 69 ?? ?? ?? ?? C7 F8 D4 00 F8 69 ?? ?? ?? ?? 38 71 97 F9 04 30 BB 71 7A 69 D7 F8 7C 31 9A 42 0D D0 F8 69 ?? ?? ?? ?? 78 71 79 69 17 F5 90 70 ?? ?? ?? ?? B8 66 97 F9 05 20 BB 6E 1A 70 7A 69 D7 F8 7C 31 9A 42 02 D1 FB 6E FB 62 01 E0 7B 69 FB 62 FB 6A BB 61 00 21 17 F5 9C 70 ?? ?? ?? ?? 38 67 3B 6F BB 60 BB 68 93 F9 00 30 7F 2B 24 D0 BB 68 93 F9 00 30 00 2B 1F DD BB 68 93 F9 00 10 BA 69 3B 68 D3 1A 99 42 17 D2 BB 68 93 F9 00 20 BB 69 9B 1A BB 61 97 F9 06 30 01 22 B9 69 17 F5 90 70 ?? ?? ?? ?? BB 68 5B 1C 93 F9 00 30 00 2B 02 DD BB 68 5B 1C BB 60 D5 E7 17 F5 90 70 ?? ?? ?? ?? 78 67 7B 6F C7 F8 7C 31 D7 F8 70 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 BB 67 D7 F8 BC 30 00 2B 20 DB 02 DC BB 6F 00 2B 1C D9 D7 F8 70 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 7C 31 9A 42 0E D9 D7 F8 70 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 7C 31 D3 1A 3B 63 01 E0 00 23 3B 63 3B 6B 3B 61 D7 F8 70 01 ?? ?? ?? ?? F8 67 FB 6F 03 F4 E0 73 3B 62 3B 6A 40 2B 3D D0 3B 6A B3 F5 80 7F 39 D0 3B 69 01 93 97 F9 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 17 F1 F0 01 D7 F8 60 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 23 3B 61 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 84 00 3B 68 01 93 D7 F8 84 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F1 F8 01 D7 F8 60 01 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 5C E0 3B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 8C 00 3B 68 01 93 D7 F8 8C 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 80 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 3B 69 01 93 97 F9 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 84 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 23 3B 61 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 98 00 3B 68 01 93 D7 F8 98 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 88 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 7C 21 3B 68 D3 1A 01 93 D7 F8 A0 30 00 93 D7 F8 68 21 D7 F8 6C 31 17 F5 8C 71 D7 F8 60 01 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 10 17 F5 B4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 70 01 ?? ?? ?? ?? 3B 69 01 93 97 F9 74 31 00 93 D7 F8 68 21 D7 F8 6C 31 D7 F8 64 11 D7 F8 60 01 ?? ?? ?? ?? 17 F5 9C 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 64 31 C7 F8 A8 30 D7 F8 A8 00 56 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_190_1 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2124
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 004e ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 007c ??1locale@std@@QAA@XZ 0086 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b0 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00d2 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 00de ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00f4 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 011e ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0196 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 01ce ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01f2 ??$_Find_elem@D@std@@YAIPADD@Z 0258 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0270 ?thousands_sep@?$numpunct@D@std@@QBADXZ 028c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0338 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03b6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 047a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04a4 ?decimal_point@?$numpunct@D@std@@QBADXZ 04b8 localeconv 0838 __security_pop_cookie 0844 ?_Src@?1??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 36 33 D7 F8 40 01 ?? ?? ?? ?? F8 65 FB 6D 03 F4 40 53 B3 F5 40 5F 13 D1 D7 F8 44 31 01 93 D7 F8 40 31 00 93 D7 F8 3C 31 D7 F8 38 21 D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? 38 66 3B 6E BB 65 EC E3 17 F1 C8 01 D7 F8 40 01 ?? ?? ?? ?? 78 66 7B 6E BB 66 B8 6E ?? ?? ?? ?? F8 66 FB 6E 7B 64 17 F1 C8 00 ?? ?? ?? ?? 17 F1 F8 01 78 6C ?? ?? ?? ?? C7 F8 BC 00 D7 F8 34 31 7B 60 00 23 7B 72 00 23 3B 72 17 F1 D0 01 D7 F8 40 01 ?? ?? ?? ?? 38 67 3B 6F 7B 67 78 6F ?? ?? ?? ?? B8 67 BB 6F FB 67 17 F1 D0 00 ?? ?? ?? ?? 17 F5 88 73 DF F8 7C 27 0F 32 DF F8 74 17 F8 6F ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 00 D0 32 E0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 29 00 97 F9 29 20 17 F5 88 73 0B 33 93 F9 00 30 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? 18 E0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2A 00 97 F9 2A 20 17 F5 88 73 0A 33 93 F9 00 30 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? 7B 68 7B 65 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 3B 61 00 23 BB 61 D7 F8 44 31 1A 68 DF F8 CC 36 9A 42 03 D1 4F F4 40 73 FB 64 01 E0 24 23 FB 64 FB 6C BB 64 00 21 17 F1 F8 00 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 7B 62 7B 6A 93 F9 00 30 7F 2B 04 D0 7B 6A 93 F9 00 30 00 2B 4D DC 05 E0 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 39 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2C 00 97 F9 2C 10 17 F5 88 70 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 7B 61 7B 69 0A 2B 25 D2 BA 6C 3B 69 9A 42 08 DC BB 69 5B 1C BB 61 7B 69 00 2B 01 D9 01 23 3B 72 17 E0 7B 69 00 2B 03 D1 3B 69 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 0C 36 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B 1C 3B 61 B3 E7 14 E1 17 F1 F8 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 00 2B 02 D1 00 23 3B 77 07 E0 78 6C ?? ?? ?? ?? 87 F8 2D 00 97 F9 2D 30 3B 77 97 F9 1C 30 7B 77 00 22 01 21 17 F1 E0 00 ?? ?? ?? ?? C7 F8 C0 00 00 23 FB 60 03 E0 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2E 00 97 F8 2E 30 00 2B 00 F0 83 80 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2F 00 97 F9 2F 10 17 F5 88 70 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 7B 61 7B 69 0A 2B 45 D2 01 23 3B 70 BA 6C 3B 69 9A 42 08 DC BB 69 5B 1C BB 61 7B 69 00 2B 01 D9 01 23 3B 72 17 E0 7B 69 00 2B 03 D1 3B 69 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 28 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B 1C 3B 61 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 93 F9 00 30 7F 2B 10 D0 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 3B 65 3B 6D 93 F9 00 30 5B 1C 5A B2 3B 6D 1A 70 27 E0 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 93 F9 00 30 00 2B 0F D0 97 F9 1D 30 00 2B 0B D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 40 00 97 F9 40 20 97 F9 1D 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 E0 00 ?? ?? ?? ?? FB 68 5B 1C FB 60 6B E7 FB 68 00 2B 00 D1 12 E0 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 93 F9 00 30 00 2B 03 DD FB 68 5B 1C FB 60 01 E0 01 23 7B 72 7B 7A 00 2B 3F D1 FB 68 00 2B 3C D9 7B 6A 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 FB 68 5B 1E FB 60 FB 68 00 2B 0F D9 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 A0 00 7B 6A 93 F9 00 20 D7 F8 A0 30 93 F9 00 30 9A 42 12 D1 FB 68 00 2B 12 D1 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 A4 00 7B 6A 93 F9 00 20 D7 F8 A4 30 93 F9 00 30 9A 42 02 DA 01 23 7B 72 08 E0 7B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 7B 6A 5B 1C 7B 62 BC E7 17 F1 E0 00 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3F 00 97 F8 3F 30 00 2B 22 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3E 00 78 6C ?? ?? ?? ?? 87 F8 3D 00 97 F9 3E 20 97 F9 3D 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? D7 F8 44 31 1A 68 D9 4B 9A 42 33 D0 3B 69 00 2B 30 D1 05 E0 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3C 00 97 F8 3C 30 00 2B 11 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3B 00 97 F9 3B 20 17 F5 88 73 93 F9 00 30 9A 42 03 D1 BB 69 5B 1E BB 61 DB E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 41 00 97 F8 41 30 00 2B 2E D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 30 00 97 F9 30 10 17 F5 88 70 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 7B 61 7B 69 0A 2B 1A D2 3A 69 BB 6C 9A 42 10 DA 7A 69 01 23 02 FB 03 F2 A5 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B 1C 3B 61 04 E0 7B 69 00 2B 01 D9 01 23 3B 72 BE E7 3B 7A 00 2B 33 D0 7B 68 3B 62 3B 6A 5B 1E 3B 62 3A 6A 7B 6D 9A 42 20 D0 ?? ?? ?? ?? C7 F8 B0 00 3B 6A 93 F9 00 20 D7 F8 B0 30 1B 68 93 F9 00 30 9A 42 00 D1 10 E0 3B 6A 93 F9 00 30 39 2B 08 D0 3B 6A 93 F9 00 30 5B 1C 5A B2 3B 6A 1A 70 04 E0 02 E0 3A 6A 30 23 13 70 D7 E7 3A 6A 7B 6D 9A 42 05 D1 3A 6A 31 23 13 70 BB 69 5B 1C BB 61 3B 78 00 2B 00 F0 DF 80 D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 31 00 97 F8 31 30 00 2B 00 F0 D2 80 D7 F8 38 01 ?? ?? ?? ?? 87 F8 32 00 97 F9 32 20 17 F5 88 73 0D 33 93 F9 00 30 9A 42 0F D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 33 00 97 F9 33 20 17 F5 88 73 0C 33 93 F9 00 30 9A 42 40 F0 B3 80 7A 68 65 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 61 D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 34 00 97 F8 34 30 00 2B 00 D0 32 E0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 35 00 97 F9 35 20 17 F5 88 73 0B 33 93 F9 00 30 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? 18 E0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 36 00 97 F9 36 20 17 F5 88 73 0A 33 93 F9 00 30 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 37 00 97 F8 37 30 00 2B 14 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 38 00 97 F9 38 20 17 F5 88 73 93 F9 00 30 9A 42 06 D1 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? DE E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 39 00 97 F8 39 30 00 2B 27 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3A 00 97 F9 3A 10 17 F5 88 70 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 7B 61 7B 69 0A 2B 13 D2 3B 69 08 2B 0F DA 7A 69 01 23 02 FB 03 F2 15 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B 1C 3B 61 C5 E7 7B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 34 31 7B 60 7A 68 00 23 13 70 BB 69 C7 F8 B8 30 17 F1 F8 00 ?? ?? ?? ?? D7 F8 B8 30 BB 65 B8 6D 4A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_118_195_1 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2092
		refs = "000a __security_push_cookie 0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 003c ??1locale@std@@QAA@XZ 0046 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0062 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0084 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 009a ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00b0 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 00da ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 017c ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01fa ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0252 ??$_Find_elem@D@std@@YAIPADD@Z 02aa ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 02be ?thousands_sep@?$numpunct@D@std@@QBADXZ 02da ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 037a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 04bc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04fe ?decimal_point@?$numpunct@D@std@@QBADXZ 0512 localeconv 0818 __security_pop_cookie 0824 ?_Src@?1??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C8 B0 6F 46 6F F0 01 03 C7 E9 32 33 17 F1 B8 01 D7 F8 40 01 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? F8 65 FB 6D 7B 64 17 F1 B8 00 ?? ?? ?? ?? 17 F1 E8 01 78 6C ?? ?? ?? ?? C7 F8 B0 00 17 F1 C0 01 D7 F8 40 01 ?? ?? ?? ?? 38 66 3B 6E 7B 66 78 6E ?? ?? ?? ?? B8 66 BB 6E FB 66 17 F1 C0 00 ?? ?? ?? ?? 17 F5 80 73 DF F8 A8 27 1D 32 DF F8 A4 17 F8 6E ?? ?? ?? ?? D7 F8 34 31 7B 60 00 23 3B 72 D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 41 00 97 F8 41 30 00 2B 00 D0 32 E0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 42 00 97 F9 42 20 17 F5 80 73 17 33 93 F9 00 30 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? 18 E0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 24 00 97 F9 24 20 17 F5 80 73 16 33 93 F9 00 30 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 7A 68 78 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 FB 60 00 23 FB 61 D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 0D D1 D7 F8 38 01 ?? ?? ?? ?? 87 F8 26 00 97 F9 26 20 17 F5 80 73 93 F9 00 30 9A 42 00 D0 34 E0 D7 F8 38 01 ?? ?? ?? ?? 38 67 D7 F8 3C 11 38 6F ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 22 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 28 00 97 F9 28 20 17 F5 80 73 19 33 93 F9 00 30 9A 42 0E D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 29 00 97 F9 29 20 17 F5 80 73 18 33 93 F9 00 30 9A 42 04 D1 D7 F8 38 01 ?? ?? ?? ?? 01 E0 01 23 3B 70 D7 F8 44 31 1A 68 DF F8 48 36 9A 42 03 D1 4F F4 40 73 FB 64 01 E0 24 23 FB 64 FB 6C BB 64 00 21 17 F1 E8 00 ?? ?? ?? ?? 78 67 7B 6F 3B 62 3B 6A 93 F9 00 30 7F 2B 04 D0 3B 6A 93 F9 00 30 00 2B 46 DC 05 E0 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 32 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2B 00 97 F9 2B 10 17 F5 80 70 ?? ?? ?? ?? B8 67 BB 6F 7B 61 7B 69 16 2B 20 D2 BA 6C FB 68 9A 42 03 DC FB 69 5B 1C FB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 98 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 BA E7 0C E1 17 F1 E8 00 ?? ?? ?? ?? F8 67 FB 6F 00 2B 02 D1 00 23 3B 76 07 E0 78 6C ?? ?? ?? ?? 87 F8 2C 00 97 F9 2C 30 3B 76 97 F9 18 30 7B 76 00 22 01 21 17 F1 D0 00 ?? ?? ?? ?? C7 F8 B4 00 00 23 3B 61 03 E0 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 00 2B 7D D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2E 00 97 F9 2E 10 17 F5 80 70 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 7B 61 7B 69 16 2B 40 D2 01 23 3B 70 BA 6C FB 68 9A 42 03 DC FB 69 5B 1C FB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 C8 34 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 93 F9 00 30 7F 2B 10 D0 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 3B 65 3B 6D 93 F9 00 30 5B 1C 5A B2 3B 6D 1A 70 27 E0 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 93 F9 00 30 00 2B 0F D0 97 F9 19 30 00 2B 0B D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 2F 00 97 F9 2F 20 97 F9 19 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 D0 00 ?? ?? ?? ?? 3B 69 5B 1C 3B 61 71 E7 3B 69 00 2B 00 D1 12 E0 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 93 F9 00 30 00 2B 03 DD 3B 69 5B 1C 3B 61 01 E0 01 23 3B 72 3B 7A 00 2B 3F D1 3B 69 00 2B 3C D9 3B 6A 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 3B 69 5B 1E 3B 61 3B 69 00 2B 0F D9 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 94 00 3B 6A 93 F9 00 20 D7 F8 94 30 93 F9 00 30 9A 42 12 D1 3B 69 00 2B 12 D1 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 98 00 3B 6A 93 F9 00 20 D7 F8 98 30 93 F9 00 30 9A 42 02 DA 01 23 3B 72 08 E0 3B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6A 5B 1C 3B 62 BC E7 17 F1 D0 00 ?? ?? ?? ?? 3B 78 00 2B 08 D0 FB 68 00 2B 05 D1 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 22 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 31 00 78 6C ?? ?? ?? ?? 87 F8 32 00 97 F9 31 20 97 F9 32 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? FB 68 00 2B 30 D1 05 E0 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 33 00 97 F8 33 30 00 2B 11 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 34 00 97 F9 34 20 17 F5 80 73 93 F9 00 30 9A 42 03 D1 FB 69 5B 1E FB 61 DB E7 FB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 FB 69 5B 1C FB 61 05 E0 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 35 00 97 F8 35 30 00 2B 28 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 36 00 97 F9 36 10 17 F5 80 70 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 7B 61 7B 69 16 2B 14 D2 FA 68 BB 6C 9A 42 0F DA 7A 69 01 23 02 FB 03 F2 89 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C4 E7 3B 78 00 2B 00 F0 DF 80 D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 37 00 97 F8 37 30 00 2B 00 F0 D2 80 D7 F8 38 01 ?? ?? ?? ?? 87 F8 38 00 97 F9 38 20 17 F5 80 73 1B 33 93 F9 00 30 9A 42 0F D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 39 00 97 F9 39 20 17 F5 80 73 1A 33 93 F9 00 30 9A 42 40 F0 B3 80 7A 68 70 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? 00 23 3B 70 00 23 FB 60 D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3A 00 97 F8 3A 30 00 2B 00 D0 32 E0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 40 00 97 F9 40 20 17 F5 80 73 17 33 93 F9 00 30 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? 18 E0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3B 00 97 F9 3B 20 17 F5 80 73 16 33 93 F9 00 30 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3C 00 97 F8 3C 30 00 2B 14 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3D 00 97 F9 3D 20 17 F5 80 73 93 F9 00 30 9A 42 06 D1 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? DE E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 38 01 ?? ?? ?? ?? D7 F8 3C 11 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3E 00 97 F8 3E 30 00 2B 27 D0 D7 F8 38 01 ?? ?? ?? ?? 87 F8 3F 00 97 F9 3F 10 17 F5 80 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 7B 61 7B 69 16 2B 13 D2 FB 68 08 2B 0F DA 7A 69 01 23 02 FB 03 F2 18 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C5 E7 3B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 34 31 7B 60 7A 68 00 23 13 70 FA 69 D7 F8 44 31 1A 60 00 23 C7 F8 A8 30 17 F1 E8 00 ?? ?? ?? ?? D7 F8 A8 30 C7 F8 AC 30 D7 F8 AC 00 48 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_118_200_1 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z"
		size = 1112
		refs = "000a __security_push_cookie 001e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 003a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 004e ?thousands_sep@?$numpunct@D@std@@QBADXZ 0064 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 007a ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 008c ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 009e ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 00c6 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0156 ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0230 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0274 ??$_Find_elem@D@std@@YAIPADD@Z 02c6 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0336 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0372 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 042e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0446 __security_pop_cookie 0454 ?_Src@?1??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? BA B0 6F 46 6F F0 01 03 C7 E9 24 33 D7 F8 0C 01 ?? ?? ?? ?? 78 64 7B 6C 7B 62 17 F1 B0 01 78 6A ?? ?? ?? ?? C7 F8 84 00 17 F1 B0 00 ?? ?? ?? ?? B8 64 BB 6C 00 2B 02 D1 00 23 7B 73 06 E0 78 6A ?? ?? ?? ?? 38 75 97 F9 14 30 7B 73 97 F9 0D 30 BB 73 D7 F8 0C 01 ?? ?? ?? ?? F8 64 FB 6C 3B 65 17 F1 C8 03 F8 4A 1B 32 F7 49 38 6D ?? ?? ?? ?? D7 F8 FC 30 BB 60 D7 F8 04 11 D7 F8 00 01 ?? ?? ?? ?? 78 75 7B 7D 00 2B 00 D0 30 E0 D7 F8 00 01 ?? ?? ?? ?? B8 75 97 F9 16 20 17 F1 C8 03 17 33 93 F9 00 30 9A 42 0A D1 BA 68 2B 23 13 70 BB 68 5B 1C BB 60 D7 F8 00 01 ?? ?? ?? ?? 17 E0 D7 F8 00 01 ?? ?? ?? ?? F8 75 97 F9 17 20 17 F1 C8 03 16 33 93 F9 00 30 9A 42 09 D1 BA 68 2D 23 13 70 BB 68 5B 1C BB 60 D7 F8 00 01 ?? ?? ?? ?? D7 F8 08 31 03 F4 60 63 C7 F8 08 31 D7 F8 08 31 B3 F5 80 6F 02 D1 08 23 3B 63 14 E0 D7 F8 08 31 B3 F5 00 6F 02 D1 10 23 FB 62 0A E0 D7 F8 08 31 00 2B 02 D1 00 23 BB 62 01 E0 0A 23 BB 62 BB 6A FB 62 FB 6A 3B 63 3B 6B 3B 61 00 23 3B 70 00 23 3B 73 D7 F8 04 11 D7 F8 00 01 ?? ?? ?? ?? 38 76 3B 7E 00 2B 4C D0 D7 F8 00 01 ?? ?? ?? ?? 78 76 97 F9 19 20 17 F1 C8 03 93 F9 00 30 9A 42 3F D1 01 23 3B 70 D7 F8 00 01 ?? ?? ?? ?? D7 F8 04 11 D7 F8 00 01 ?? ?? ?? ?? B8 76 BB 7E 00 2B 2A D0 D7 F8 00 01 ?? ?? ?? ?? F8 76 97 F9 1B 20 17 F1 C8 03 19 33 93 F9 00 30 9A 42 0D D0 D7 F8 00 01 ?? ?? ?? ?? 38 77 97 F9 1C 20 17 F1 C8 03 18 33 93 F9 00 30 9A 42 0E D1 3B 69 00 2B 02 D0 3B 69 10 2B 08 D1 10 23 3B 61 00 23 3B 70 D7 F8 00 01 ?? ?? ?? ?? 04 E0 3B 69 00 2B 01 D1 08 23 3B 61 3B 69 00 2B 0D D0 3B 69 0A 2B 0A D0 3B 69 08 2B 02 D1 08 23 7B 63 01 E0 16 23 7B 63 7B 6B BB 63 01 E0 0A 23 BB 63 BB 6B BB 65 3B 78 5A B2 01 21 17 F1 98 00 ?? ?? ?? ?? C7 F8 88 00 00 23 7B 60 D7 F8 FC 30 1F 33 FB 65 03 E0 D7 F8 00 01 ?? ?? ?? ?? D7 F8 04 11 D7 F8 00 01 ?? ?? ?? ?? 78 77 7B 7F 00 2B 6F D0 D7 F8 00 01 ?? ?? ?? ?? B8 77 97 F9 1E 10 17 F1 C8 00 ?? ?? ?? ?? 78 65 7B 6D FB 63 FA 6B BB 6D 9A 42 37 D2 FA 6B 01 23 02 FB 03 F2 71 4B 13 44 93 F9 00 20 BB 68 1A 70 3B 7B 00 2B 04 D1 BB 68 93 F9 00 30 30 2B 08 D0 BA 68 FB 6D 9A 42 04 D2 BB 68 5B 1C BB 60 01 23 3B 73 01 23 3B 70 79 68 17 F1 98 00 ?? ?? ?? ?? 38 66 3B 6E 93 F9 00 30 7F 2B 0E D0 79 68 17 F1 98 00 ?? ?? ?? ?? 78 66 7B 6E 3B 64 3B 6C 93 F9 00 30 5B 1C 5A B2 3B 6C 1A 70 24 E0 79 68 17 F1 98 00 ?? ?? ?? ?? B8 66 BB 6E 93 F9 00 30 00 2B 0E D0 97 F9 0E 30 00 2B 0A D0 D7 F8 00 01 ?? ?? ?? ?? F8 77 97 F9 1F 20 97 F9 0E 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 98 00 ?? ?? ?? ?? 7B 68 5B 1C 7B 60 81 E7 7B 68 00 2B 00 D1 10 E0 79 68 17 F1 98 00 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 00 2B 03 DD 7B 68 5B 1C 7B 60 01 E0 00 23 3B 70 00 21 17 F1 B0 00 ?? ?? ?? ?? 38 67 3B 6F 3B 62 3B 78 00 2B 3B D0 7B 68 00 2B 38 D9 3B 6A 93 F9 00 30 7F 2B 01 D1 32 E0 30 E0 7B 68 5B 1E 7B 60 7B 68 00 2B 0D D9 79 68 17 F1 98 00 ?? ?? ?? ?? 78 67 3B 6A 93 F9 00 20 7B 6F 93 F9 00 30 9A 42 10 D1 7B 68 00 2B 10 D1 79 68 17 F1 98 00 ?? ?? ?? ?? B8 67 3B 6A 93 F9 00 20 BB 6F 93 F9 00 30 9A 42 02 DA 00 23 3B 70 08 E0 3B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6A 5B 1C 3B 62 C0 E7 3B 78 00 2B 09 D0 3B 7B 00 2B 06 D1 BA 68 30 23 13 70 BB 68 5B 1C BB 60 05 E0 3B 78 00 2B 02 D1 D7 F8 FC 30 BB 60 BA 68 00 23 13 70 3B 69 FB 67 17 F1 98 00 ?? ?? ?? ?? 17 F1 B0 00 ?? ?? ?? ?? FB 6F C7 F8 80 30 D7 F8 80 00 3A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_204_1 {
	meta:
		name = "?_Getname@_Locinfo@std@@QBAPBDXZ"
		size = 38
		refs = "0010 ?_C_str@?$_Yarn@D@std@@QBAPBDXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 2C 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_217_1 {
	meta:
		name = "?_Init@?$numpunct@D@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 336
		refs = "000a __security_push_cookie 0020 ?_Getlconv@_Locinfo@std@@QBAPBUlconv@@XZ 0032 ?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ 0084 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 009a ?_Getfalse@_Locinfo@std@@QBAPBDXZ 00be ?_Gettrue@_Locinfo@std@@QBAPBDXZ 00f0 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 012a memcpy 0138 ??$_Getvals@D@?$numpunct@D@std@@IAAXDPBUlconv@@U_Cvtvec@@@Z 013e __security_pop_cookie 014c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A4 B0 6F 46 8A B0 6F F0 01 03 C7 E9 0A 33 D7 F8 A4 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 30 01 D7 F8 A4 00 ?? ?? ?? ?? D7 F8 A0 30 03 F1 08 02 00 23 13 60 D7 F8 A0 30 03 F1 10 02 00 23 13 60 D7 F8 A0 30 03 F1 14 02 00 23 13 60 17 F1 60 01 D7 F8 A4 00 ?? ?? ?? ?? 38 61 97 F8 A8 30 00 2B 02 D0 36 4B 7B 60 03 E0 BB 68 08 33 1B 68 7B 60 3A 69 00 21 78 68 ?? ?? ?? ?? 78 61 D7 F8 A0 30 03 F1 08 02 7B 69 13 60 D7 F8 A4 00 ?? ?? ?? ?? B8 61 17 F1 30 02 00 21 B8 69 ?? ?? ?? ?? F8 61 D7 F8 A0 30 03 F1 10 02 FB 69 13 60 D7 F8 A4 00 ?? ?? ?? ?? 38 62 17 F1 30 02 00 21 38 6A ?? ?? ?? ?? 78 62 D7 F8 A0 30 03 F1 14 02 7B 6A 13 60 FF E7 97 F8 A8 30 00 2B 1C D0 17 F1 30 02 00 21 2E 20 ?? ?? ?? ?? 38 70 D7 F8 A0 30 03 F1 0C 02 97 F9 00 30 13 70 17 F1 30 02 00 21 2C 20 ?? ?? ?? ?? 78 70 D7 F8 A0 30 03 F1 0D 02 97 F9 01 30 13 70 0C E0 68 46 17 F1 34 01 28 22 ?? ?? ?? ?? 3B 6B BA 68 00 21 D7 F8 A0 00 ?? ?? ?? ?? 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_221_1 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z"
		size = 1052
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00c0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00da ??1locale@std@@QAA@XZ 00e8 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00f6 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0114 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 012c ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0144 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0152 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0172 ?thousands_sep@?$numpunct@D@std@@QBADXZ 01c2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 01de ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 01ee ?width@ios_base@std@@QBA_JXZ 029c ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 02aa memcpy 02d6 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 03d4 ?width@ios_base@std@@QAA_J_J@Z 03fa ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0410 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 D7 F8 4C 31 00 2B 0E D9 D7 F8 48 31 93 F9 00 30 2B 2B 05 D0 D7 F8 48 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 40 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 4C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 48 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 40 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 4C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 4C 11 01 22 01 FB 02 F1 D7 F8 48 21 0A 44 D7 F8 48 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 40 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 84 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 84 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 39 D0 7B 68 93 F9 00 30 00 2B 34 DD B8 69 ?? ?? ?? ?? 38 72 97 F9 08 30 7B 72 7B 68 93 F9 00 30 7F 2B 28 D0 7B 68 93 F9 00 30 00 2B 23 DD 7B 68 93 F9 00 10 D7 F8 4C 21 3B 68 D3 1A 99 42 1A D2 7B 68 93 F9 00 20 D7 F8 4C 31 9B 1A C7 F8 4C 31 97 F9 09 30 01 22 D7 F8 4C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D1 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 4C 31 D7 F8 40 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 40 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 4C 31 9A 42 0E D9 D7 F8 40 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 4C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 FB 60 D7 F8 40 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 FB 68 01 93 97 F9 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 C0 01 D7 F8 30 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 C8 01 D7 F8 30 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 9C 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 D0 01 D7 F8 30 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 9C 70 08 22 ?? ?? ?? ?? FB 68 01 93 97 F9 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 D8 01 D7 F8 30 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 E0 01 D7 F8 30 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 9C 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 4C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 38 21 D7 F8 3C 31 17 F1 E8 01 D7 F8 30 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 9C 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 40 01 ?? ?? ?? ?? FB 68 01 93 97 F9 44 31 00 93 D7 F8 38 21 D7 F8 3C 31 D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? 17 F5 84 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 34 31 FB 67 F8 6F 4A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_226_1 {
	meta:
		name = "?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z"
		size = 384
		refs = "001e ??0_Lockit@std@@QAA@H@Z 005a _realloc_dbg 006a ?_Xbad_alloc@std@@YAXXZ 00be _guard_check_icall 016c ??1_Lockit@std@@QAA@XZ 017c ??_C@_0CL@KAIJNGJC@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B 91 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 00 21 17 F1 2C 00 ?? ?? ?? ?? 38 63 28 23 7B 63 BB 6D 0C 33 1A 68 3B 6E 9A 42 3D D8 3B 6E 5B 1C 3B 60 3B 68 28 2B 01 D2 28 23 3B 60 81 23 00 93 4C 4B 02 22 38 68 04 21 00 FB 01 F1 B8 6D 08 30 00 68 ?? ?? ?? ?? B8 61 BB 69 BB 60 BB 68 00 2B 01 D1 ?? ?? ?? ?? BB 6D 03 F1 08 02 BB 68 13 60 06 E0 BB 6D 0C 33 1B 68 5A 1C BB 6D 0C 33 1A 60 BB 6D 0C 33 1A 68 3B 68 9A 42 0D D2 BB 6D 03 F1 08 01 BB 6D 0C 33 1A 68 04 23 02 FB 03 F2 0B 68 1A 44 00 23 13 60 E4 E7 FB 6D 1B 68 1B 1D FC 6D 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 BB 6D 03 F1 08 01 3A 6E 04 23 02 FB 03 F2 0B 68 13 44 1B 68 00 2B 38 D0 BB 6D 03 F1 08 01 3A 6E 04 23 02 FB 03 F2 0B 68 13 44 18 68 BB 6D 03 F1 08 01 3A 6E 04 23 02 FB 03 F2 0B 68 13 44 1C 68 03 68 08 33 1B 68 3B 61 38 69 ?? ?? ?? ?? 3B 69 20 46 98 47 F8 61 FB 69 3B 62 3B 6A 7B 60 7B 68 00 2B 10 D0 01 25 7B 68 1B 68 7C 68 1B 68 7B 61 78 69 ?? ?? ?? ?? 7B 69 20 46 29 46 98 47 78 62 7B 6A BB 62 01 E0 00 23 BB 62 BB 6D 03 F1 08 01 3A 6E 04 23 02 FB 03 F2 0B 68 1A 44 FB 6D 13 60 17 F1 2C 00 ?? ?? ?? ?? 13 B0 BD E8 B0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_228_1 {
	meta:
		name = "?_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z"
		size = 260
		refs = "0026 ??0_Locinfo@std@@QAA@PBD@Z 0036 ?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z 003e ??1_Locinfo@std@@QAA@XZ 004a ??0_Lockit@std@@QAA@H@Z 006c _malloc_dbg 0082 ?_Xbad_alloc@std@@YAXXZ 00d8 _guard_check_icall 00e8 ??1_Lockit@std@@QAA@XZ 00f8 ??_C@_0CL@KAIJNGJC@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@ 00fc ??_C@_01GFHCPBMG@C?$AA@ 0100 ?_Clocptr@_Locimp@locale@std@@0PAV123@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 98 B0 6F 46 6F F0 01 03 C7 E9 08 33 7A 6F 39 4B 1B 68 9A 42 11 D1 36 49 17 F1 28 00 ?? ?? ?? ?? 78 61 00 23 3A 6F 3F 21 17 F1 28 00 ?? ?? ?? ?? 17 F1 28 00 ?? ?? ?? ?? 53 E0 00 21 17 F1 10 00 ?? ?? ?? ?? B8 61 3B 6F 0C 33 1B 68 00 2B 44 D9 65 23 26 4A 02 21 38 6F 0C 30 04 68 04 20 04 FB 00 F0 ?? ?? ?? ?? B8 60 3B 6F 03 F1 08 02 BB 68 13 60 BB 68 00 2B 01 D1 ?? ?? ?? ?? 3B 6F 0C 33 1B 68 3B 60 3B 68 00 2B 27 D9 3B 68 5B 1E 3B 60 3A 68 04 23 02 FB 03 F2 7B 6F 08 33 1B 68 13 44 1B 68 7B 60 3B 6F 03 F1 08 01 3A 68 04 23 02 FB 03 F2 0B 68 1A 44 7B 68 13 60 7B 68 00 2B 0B D0 7B 68 1B 68 1B 1D 7C 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 D4 E7 17 F1 10 00 ?? ?? ?? ?? 18 B0 BD E8 90 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_231_1 {
	meta:
		name = "?_Locinfo_Addcats@_Locinfo@std@@SAAAV12@PAV12@HPBD@Z"
		size = 236
		refs = "0016 ?_Xruntime_error@std@@YAXPBD@Z 003c setlocale 00a6 ??4?$_Yarn@D@std@@QAAAAV01@PBD@Z 00b2 ?_C_str@?$_Yarn@D@std@@QBAPBDXZ 00bc strcmp 00e4 ??_C@_01NBENCBCI@?$CK?$AA@ 00e8 ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 00 23 01 93 0C 9B 00 2B 02 D1 34 48 ?? ?? ?? ?? 0C 9B 93 F9 00 30 2A 2B 06 D1 0C 9B 5B 1C 93 F9 00 30 00 2B 00 D1 32 E0 0B 9B 00 2B 07 D1 00 21 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 27 E0 0B 9B 3F 2B 07 D1 0C 99 00 20 ?? ?? ?? ?? 03 90 03 9B 01 93 1C E0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 05 2B 0C DC 00 9A 01 23 93 40 5A 10 0B 9B 13 40 00 2B 03 D0 0C 99 00 98 ?? ?? ?? ?? EC E7 0C 99 00 20 ?? ?? ?? ?? 04 90 04 9B 01 93 01 9B 00 2B 06 D1 11 49 0A 9B 03 F1 2C 00 ?? ?? ?? ?? 13 E0 0A 9B 03 F1 2C 00 ?? ?? ?? ?? 05 90 0A 49 05 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 05 D0 01 99 0A 9B 03 F1 2C 00 ?? ?? ?? ?? 0A 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_232_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@HPBD@Z"
		size = 76
		refs = "000e setlocale 0030 ??4?$_Yarn@D@std@@QAAAAV01@PBD@Z 003a ?_Locinfo_Addcats@_Locinfo@std@@SAAAV12@PAV12@HPBD@Z 0048 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 21 00 20 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 0A 4B 01 93 01 E0 00 9B 01 93 01 99 06 9B 03 F1 24 00 ?? ?? ?? ?? 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_233_1 {
	meta:
		name = "?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 908
		refs = "001a ?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 003e ??Bid@locale@std@@QAAIXZ 0046 ??2_Crt_new_delete@std@@SAPAXI@Z 005e ??0?$ctype@D@std@@QAA@ABV_Locinfo@1@I@Z 007a ?_Addfac@_Locimp@locale@std@@AAAXPAVfacet@23@I@Z 008c ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00a2 ?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 00e6 ??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 0114 ??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 012a ?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 016e ??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z 019c ??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 01b2 ?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 01fe ??0?$numpunct@D@std@@QAA@ABV_Locinfo@1@I_N@Z 0238 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0254 ?_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 02a2 ??0?$codecvt@DDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z 02dc ??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z 0304 ?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 0318 ?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 032c ?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 034a ?_Getname@_Locinfo@std@@QBAPBDXZ 035e ??4?$_Yarn@D@std@@QAAAAV01@PBD@Z 0378 ?id@?$codecvt@DDU_Mbstatet@@@std@@2V0locale@2@A 037c ?id@?$numpunct@D@std@@2V0locale@2@A 0380 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0384 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0388 ?id@?$ctype@D@std@@2V0locale@2@A"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B B3 B0 6F 46 6F F0 01 03 C7 E9 30 33 00 21 00 20 ?? ?? ?? ?? B8 62 BA 6A 01 23 93 40 5A 10 D7 F8 DC 30 13 40 00 2B 00 D1 34 E0 D7 F8 E4 30 00 2B 21 D1 D2 48 ?? ?? ?? ?? 78 63 18 20 ?? ?? ?? ?? F8 62 FB 6A 3B 60 3B 68 00 2B 09 D0 00 22 D7 F8 D8 10 38 68 ?? ?? ?? ?? 38 63 3B 6B 7B 60 01 E0 00 23 7B 60 7B 68 BB 63 7A 6B B9 6B D7 F8 E0 00 ?? ?? ?? ?? 0E E0 C1 48 ?? ?? ?? ?? F8 63 D7 F8 E4 00 ?? ?? ?? ?? 38 64 FA 6B 39 6C D7 F8 E0 00 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 78 64 7A 6C 01 23 93 40 5A 10 D7 F8 DC 30 13 40 00 2B 00 D1 34 E0 D7 F8 E4 30 00 2B 21 D1 AF 48 ?? ?? ?? ?? 38 65 08 20 ?? ?? ?? ?? B8 64 BB 6C BB 60 BB 68 00 2B 09 D0 00 22 D7 F8 D8 10 B8 68 ?? ?? ?? ?? F8 64 FB 6C FB 60 01 E0 00 23 FB 60 FB 68 7B 65 3A 6D 79 6D D7 F8 E0 00 ?? ?? ?? ?? 0E E0 9E 48 ?? ?? ?? ?? B8 65 D7 F8 E4 00 ?? ?? ?? ?? F8 65 BA 6D F9 6D D7 F8 E0 00 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 38 66 3A 6E 01 23 93 40 5A 10 D7 F8 DC 30 13 40 00 2B 00 D1 34 E0 D7 F8 E4 30 00 2B 21 D1 8C 48 ?? ?? ?? ?? F8 66 08 20 ?? ?? ?? ?? 78 66 7B 6E 3B 61 3B 69 00 2B 09 D0 00 22 D7 F8 D8 10 38 69 ?? ?? ?? ?? B8 66 BB 6E 7B 61 01 E0 00 23 7B 61 7B 69 3B 67 FA 6E 39 6F D7 F8 E0 00 ?? ?? ?? ?? 0E E0 7B 48 ?? ?? ?? ?? 78 67 D7 F8 E4 00 ?? ?? ?? ?? B8 67 7A 6F B9 6F D7 F8 E0 00 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? F8 67 FA 6F 01 23 93 40 5A 10 D7 F8 DC 30 13 40 00 2B 00 D1 41 E0 D7 F8 E4 30 00 2B 2A D1 69 48 ?? ?? ?? ?? C7 F8 88 00 18 20 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 BB 61 BB 69 00 2B 0C D0 00 23 00 22 D7 F8 D8 10 B8 69 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 FB 61 01 E0 00 23 FB 61 FB 69 C7 F8 8C 30 D7 F8 88 20 D7 F8 8C 10 D7 F8 E0 00 ?? ?? ?? ?? 12 E0 54 48 ?? ?? ?? ?? C7 F8 90 00 D7 F8 E4 00 ?? ?? ?? ?? C7 F8 94 00 D7 F8 90 20 D7 F8 94 10 D7 F8 E0 00 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 20 01 23 93 40 5A 10 D7 F8 DC 30 13 40 00 2B 00 D1 40 E0 D7 F8 E4 30 00 2B 29 D1 3F 48 ?? ?? ?? ?? C7 F8 A4 00 08 20 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 3B 62 3B 6A 00 2B 0B D0 00 22 D7 F8 D8 10 38 6A ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 7B 62 01 E0 00 23 7B 62 7B 6A C7 F8 A8 30 D7 F8 A4 20 D7 F8 A8 10 D7 F8 E0 00 ?? ?? ?? ?? 12 E0 2A 48 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 E4 00 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 AC 20 D7 F8 B0 10 D7 F8 E0 00 ?? ?? ?? ?? D7 F8 E4 30 D7 F8 E0 20 D7 F8 DC 10 D7 F8 D8 00 ?? ?? ?? ?? D7 F8 E4 30 D7 F8 E0 20 D7 F8 DC 10 D7 F8 D8 00 ?? ?? ?? ?? D7 F8 E4 30 D7 F8 E0 20 D7 F8 DC 10 D7 F8 D8 00 ?? ?? ?? ?? D7 F8 E0 30 10 33 1A 68 D7 F8 DC 30 1A 43 D7 F8 E0 30 10 33 1A 60 D7 F8 D8 00 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 10 D7 F8 E0 30 03 F1 18 00 ?? ?? ?? ?? D7 F8 E0 30 C7 F8 B8 30 D7 F8 B8 00 33 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_249_1 {
	meta:
		name = "?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z"
		size = 84
		refs = "0014 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0026 ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0034 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0040 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 E0 09 9B 5B 1E 09 93 06 A8 ?? ?? ?? ?? 08 9B 5B 1C 08 93 09 9B 00 2B 0A D9 06 A8 ?? ?? ?? ?? 00 90 08 9B 93 F9 00 10 00 98 ?? ?? ?? ?? E8 E7 05 98 06 A9 08 22 ?? ?? ?? ?? 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_118_250_1 {
	meta:
		name = "?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
		size = 76
		refs = "0014 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0020 ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 002c ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0038 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 E0 09 9B 5B 1E 09 93 06 A8 ?? ?? ?? ?? 09 9B 00 2B 09 D9 06 A8 ?? ?? ?? ?? 00 90 9D F9 20 10 00 98 ?? ?? ?? ?? EC E7 05 98 06 A9 08 22 ?? ?? ?? ?? 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_118_267_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@$$QAV12@@Z"
		size = 136
		refs = "0024 ?get_allocator@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA?AV?$allocator@D@2@XZ 0038 ??$?9DD@std@@YA_NABV?$allocator@D@0@0@Z 0046 ?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0058 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@ABV01@@Z 0064 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 006a ??$forward@V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@@std@@YA$$QAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@0@AAV10@@Z 0074 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 3A 6B 7B 6B 9A 42 00 D1 2B E0 79 1C 78 6B ?? ?? ?? ?? 78 60 B9 1C 38 6B ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 0C D0 78 6B ?? ?? ?? ?? F8 60 FB 68 1B 68 10 2B 04 D3 79 6B 38 6B ?? ?? ?? ?? 0C E0 00 22 01 21 38 6B ?? ?? ?? ?? 78 6B ?? ?? ?? ?? 38 61 39 69 38 6B ?? ?? ?? ?? 3B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_118_317_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DJ@Z"
		size = 104
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 002c sprintf_s 004c ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 0058 __security_pop_cookie 0064 ??_C@_02EAOCLKAK@ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 12 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 9D F9 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_318_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DK@Z"
		size = 104
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 002c sprintf_s 004c ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 0058 __security_pop_cookie 0064 ??_C@_02BDDLJJBK@lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 12 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 9D F9 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_319_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z"
		size = 416
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00ca frexp 00e0 __rt_sdiv 00f4 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 010e ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 0118 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0122 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0138 sprintf_s 0170 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0186 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A8 B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 1E 33 17 F1 80 00 ?? ?? ?? ?? 38 67 D7 F8 C0 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C0 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C0 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 1E D0 97 ED 06 0B B0 EE C0 1B 9F ED 38 0B B4 EE C1 0B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 80 00 ?? ?? ?? ?? D7 F8 C0 00 ?? ?? ?? ?? F8 62 FB 6A 00 22 17 F1 98 01 D7 F8 B0 00 ?? ?? ?? ?? 38 63 17 F1 80 00 ?? ?? ?? ?? 78 63 17 F1 80 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 80 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 97 F9 C4 30 01 93 D7 F8 C0 30 00 93 D7 F8 B8 20 D7 F8 BC 30 D7 F8 B4 10 D7 F8 B0 00 ?? ?? ?? ?? 17 F1 80 00 ?? ?? ?? ?? D7 F8 B4 30 BB 64 B8 6C 2C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_118_321_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z"
		size = 424
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00b0 fabsl 00d2 frexpl 00e8 __rt_sdiv 00fc ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0116 ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 0120 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 012a ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0140 sprintf_s 0178 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z 0180 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 018e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AA B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 20 33 17 F1 88 00 ?? ?? ?? ?? 38 67 D7 F8 C8 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C8 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C8 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 22 D0 97 ED 06 0B ?? ?? ?? ?? 87 ED 1E 0B 9F ED 39 1B 97 ED 1E 0B B4 EE C0 1B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 88 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? F8 62 FB 6A 4C 22 17 F1 A0 01 D7 F8 B8 00 ?? ?? ?? ?? 38 63 17 F1 88 00 ?? ?? ?? ?? 78 63 17 F1 88 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 88 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 97 F9 CC 30 01 93 D7 F8 C8 30 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 BC 10 D7 F8 B8 00 ?? ?? ?? ?? 17 F1 88 00 ?? ?? ?? ?? D7 F8 BC 30 BB 64 B8 6C 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_118_323_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBX@Z"
		size = 84
		refs = "0008 __security_push_cookie 0016 sprintf_s 0036 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 0042 __security_pop_cookie 0050 ??_C@_02BBAHNLBA@?$CFp?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 20 9B 0F 4A 40 21 06 A8 ?? ?? ?? ?? 04 90 04 9B 03 93 06 AB 02 93 9D F9 7C 30 01 93 1E 9B 00 93 1C 9A 1D 9B 1B 99 1A 98 ?? ?? ?? ?? 1B 9B 05 93 05 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_324_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_J@Z"
		size = 112
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 0032 sprintf_s 0052 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 005e __security_pop_cookie 006c ??_C@_02HIKPPMOK@Ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 14 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 00 93 25 9B 01 93 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 9D F9 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_325_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_K@Z"
		size = 112
		refs = "0008 __security_push_cookie 0010 ?flags@ios_base@std@@QBAHXZ 001e ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 0032 sprintf_s 0052 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 005e __security_pop_cookie 006c ??_C@_02CLHGNPPK@Lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 22 98 ?? ?? ?? ?? 04 90 04 9B 14 4A 08 A9 1E 98 ?? ?? ?? ?? 05 90 24 9B 00 93 25 9B 01 93 05 9A 40 21 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 93 0A AB 02 93 9D F9 8C 30 01 93 22 9B 00 93 20 9A 21 9B 1F 99 1E 98 ?? ?? ?? ?? 1F 9B 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_326_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z"
		size = 556
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 005e _guard_check_icall 0080 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 008c ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 009a ??1locale@std@@QAA@XZ 00a2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00b6 ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00c6 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@$$QAV12@@Z 00ce ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00da ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00fa ?width@ios_base@std@@QBA_JXZ 012c ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0190 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 019e memcpy 01b4 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 01d2 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 01ec ?width@ios_base@std@@QAA_J_J@Z 0220 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BB B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 D7 F8 20 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 28 31 02 93 97 F9 24 31 01 93 D7 F8 20 31 00 93 D7 F8 18 91 D7 F8 1C 81 D7 F8 14 61 D7 F8 10 31 1B 68 24 33 D7 F8 10 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 14 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 28 31 00 2B 11 D0 17 F1 B8 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 10 E0 17 F1 D0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 D0 00 ?? ?? ?? ?? D7 F8 20 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 20 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 20 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 97 F9 24 31 00 93 D7 F8 18 21 D7 F8 1C 31 17 F1 90 01 D7 F8 10 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 8C 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 18 21 D7 F8 1C 31 17 F1 98 01 D7 F8 10 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 8C 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 20 01 ?? ?? ?? ?? 3B 68 01 93 97 F9 24 31 00 93 D7 F8 18 21 D7 F8 1C 31 D7 F8 14 11 D7 F8 10 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 14 31 3B 61 38 69 3F B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_118_347_1 {
	meta:
		name = "?global@locale@std@@SA?AV12@ABV12@@Z"
		size = 352
		refs = "001e ??0locale@std@@QAA@XZ 002a ??0_Lockit@std@@QAA@H@Z 0030 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0056 _guard_check_icall 00a2 ?_Setgloballocale@locale@std@@CAXPAX@Z 00d6 ?_C_str@?$_Yarn@D@std@@QBAPBDXZ 00e0 setlocale 0126 ??0locale@std@@QAA@ABV01@@Z 0138 ??1_Lockit@std@@QAA@XZ 0140 ??1locale@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B 9B B0 6F 46 6F F0 01 03 C7 E9 18 33 00 23 FB 61 17 F1 48 00 ?? ?? ?? ?? 38 65 00 21 17 F1 3C 00 ?? ?? ?? ?? 78 65 ?? ?? ?? ?? 38 62 3B 6A 3B 60 D7 F8 84 30 1B 1D 3A 68 1B 68 9A 42 6A D0 3B 68 1B 68 08 33 3C 68 1B 68 FB 60 F8 68 ?? ?? ?? ?? FB 68 20 46 98 47 78 62 7B 6A BB 62 BB 6A BB 60 BB 68 00 2B 10 D0 01 25 BB 68 1B 68 BC 68 1B 68 3B 61 38 69 ?? ?? ?? ?? 3B 69 20 46 29 46 98 47 F8 62 FB 6A 3B 63 01 E0 00 23 3B 63 D7 F8 84 30 1B 1D 1B 68 3B 60 38 68 ?? ?? ?? ?? 3B 68 1B 68 1B 1D 3C 68 1B 68 7B 61 78 69 ?? ?? ?? ?? 7B 69 20 46 98 47 3B 68 10 33 1B 68 03 F0 3F 03 BB 61 BB 69 3F 2B 0A D1 3B 68 03 F1 18 00 ?? ?? ?? ?? 78 63 79 6B 00 20 ?? ?? ?? ?? 1B E0 00 23 7B 60 02 E0 7B 68 5B 1C 7B 60 7B 68 05 2B 12 DC 7A 68 01 23 93 40 5A 10 BB 69 13 40 00 2B 09 D0 3B 68 03 F1 18 00 ?? ?? ?? ?? B8 63 B9 6B 78 68 ?? ?? ?? ?? E6 E7 17 F1 48 01 D7 F8 80 00 ?? ?? ?? ?? B8 65 FB 69 43 F0 01 03 FB 61 17 F1 3C 00 ?? ?? ?? ?? 17 F1 48 00 ?? ?? ?? ?? D7 F8 80 30 3B 64 03 E0 17 F1 48 00 ?? ?? ?? ?? 38 6C 1B B0 BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_119_10_1 {
	meta:
		name = "_Xp_sqrtx"
		size = 320
		refs = "0014 _Dtest 0046 _Feraise 00b0 _Xp_setw 00ce _Xp_movx 00da _Xp_mulh 00ea _Xp_mulx 0106 _Xp_addh 013c _Nan"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 8C E0 0C 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 07 DA 0C 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 11 D2 0C 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 0C 9A 3B 4B 93 ED 00 0B 82 ED 00 0B 69 E0 0E 9B 03 93 0D 9A 08 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 08 23 02 FB 03 F2 04 9B 13 44 05 93 0C 9B 93 ED 00 0B 8D ED 08 0B 0D 9B 01 2B 09 DD 0C 9B 08 33 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B 9D ED 08 0B B1 EE C0 1B B7 EE 00 0B 80 EE 01 0B 0D 99 04 98 ?? ?? ?? ?? 02 23 06 93 02 E0 06 9B 5B 00 06 93 06 9A 0D 9B 9A 42 29 DA 04 9A 0D 99 03 98 ?? ?? ?? ?? BE EE 00 0B 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 08 0B 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 03 9A 0D 99 04 98 ?? ?? ?? ?? CE E7 05 9B 00 93 0D 9B 04 9A 0D 99 0C 98 ?? ?? ?? ?? 0C 9B 07 93 07 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_1_1 {
	meta:
		name = "??0?$_Smanip@_J@std@@QAA@P6AXAAVios_base@1@_J@Z1@Z"
		size = 50
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 04 9B 08 33 00 93 06 9A 00 9B 1A 60 07 9A 00 9B 5A 60 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_4_1 {
	meta:
		name = "?precision@ios_base@std@@QAA_J_J@Z"
		size = 68
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 18 33 00 93 00 9B 1B 68 02 93 00 9B 5B 68 03 93 08 9B 18 33 01 93 0A 9A 01 9B 1A 60 0B 9A 01 9B 5A 60 02 9A 03 9B 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_5_1 {
	meta:
		name = "?resetiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 40
		refs = "0010 ??0?$_Smanip@H@std@@QAA@P6AXAAVios_base@1@H@ZH@Z 0024 ?rsfun@std@@YAXAAVios_base@1@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 05 49 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_8_1 {
	meta:
		name = "?setbase@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 40
		refs = "0010 ??0?$_Smanip@H@std@@QAA@P6AXAAVios_base@1@H@ZH@Z 0024 ?sbfun@std@@YAXAAVios_base@1@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 05 49 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_10_1 {
	meta:
		name = "?setiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 40
		refs = "0010 ??0?$_Smanip@H@std@@QAA@P6AXAAVios_base@1@H@ZH@Z 0024 ?sifun@std@@YAXAAVios_base@1@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 05 49 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_6_1 {
	meta:
		name = "?rsfun@std@@YAXAAVios_base@1@H@Z"
		size = 26
		refs = "000e ?setf@ios_base@std@@QAAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9A 00 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_7_1 {
	meta:
		name = "?sbfun@std@@YAXAAVios_base@1@H@Z"
		size = 86
		refs = "0048 ?setf@ios_base@std@@QAAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 08 2B 03 D1 4F F4 80 63 02 93 13 E0 07 9B 0A 2B 03 D1 4F F4 00 73 01 93 0A E0 07 9B 10 2B 03 D1 4F F4 00 63 00 93 01 E0 00 23 00 93 00 9B 01 93 01 9B 02 93 4F F4 60 62 02 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_9_1 {
	meta:
		name = "?setf@ios_base@std@@QAAHHH@Z"
		size = 68
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 14 33 1B 68 00 93 04 9B 03 F1 14 01 06 9B DA 43 0B 68 03 EA 02 01 05 9A 06 9B 13 40 9B B2 41 EA 03 02 04 9B 14 33 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_11_1 {
	meta:
		name = "?setprecision@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 44
		refs = "0012 ??0?$_Smanip@_J@std@@QAA@P6AXAAVios_base@1@_J@Z1@Z 0028 ?spfun@std@@YAXAAVios_base@1@_J@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 07 9B 06 49 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_12_1 {
	meta:
		name = "?setw@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 44
		refs = "0012 ??0?$_Smanip@_J@std@@QAA@P6AXAAVios_base@1@_J@Z1@Z 0028 ?swfun@std@@YAXAAVios_base@1@_J@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 07 9B 06 49 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_13_1 {
	meta:
		name = "?sifun@std@@YAXAAVios_base@1@H@Z"
		size = 28
		refs = "0010 ?setf@ios_base@std@@QAAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9A 4F F6 FF 71 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_14_1 {
	meta:
		name = "?spfun@std@@YAXAAVios_base@1@_J@Z"
		size = 26
		refs = "000e ?precision@ios_base@std@@QAA_J_J@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 05 9B 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_15_1 {
	meta:
		name = "?swfun@std@@YAXAAVios_base@1@_J@Z"
		size = 26
		refs = "000e ?width@ios_base@std@@QAA_J_J@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9A 05 9B 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_4_4_2 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@X@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z"
		size = 64
		refs = "0018 ??$forward@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@0@AAU10@@Z 0024 ??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z 002c ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 F8 6A ?? ?? ?? ?? 78 60 7A 68 39 78 B8 6A ?? ?? ?? ?? F8 60 B8 6A ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_12_2 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@X@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z"
		size = 64
		refs = "0018 ??$forward@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@0@AAU10@@Z 0024 ??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z 002c ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 F8 6A ?? ?? ?? ?? 78 60 7A 68 39 78 B8 6A ?? ?? ?? ?? F8 60 B8 6A ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_15_2 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@X@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z"
		size = 64
		refs = "0018 ??$forward@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YA$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@AAU10@@Z 0024 ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z 002c ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 F8 6A ?? ?? ?? ?? 78 60 7A 68 39 78 B8 6A ?? ?? ?? ?? F8 60 B8 6A ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_4_22_2 {
	meta:
		name = "??$construct@U_Container_proxy@std@@U12@@?$allocator@U_Container_proxy@std@@@std@@QAAXPAU_Container_proxy@1@$$QAU21@@Z"
		size = 68
		refs = "000e ??2@YAPAXIPAX@Z 0020 ??$forward@U_Container_proxy@std@@@std@@YA$$QAU_Container_proxy@0@AAU10@@Z 002c memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 99 08 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 0B D0 08 98 ?? ?? ?? ?? 02 90 02 99 00 98 08 22 ?? ?? ?? ?? 00 9B 03 93 01 E0 00 23 03 93 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_4_42_2 {
	meta:
		name = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@XZ"
		size = 34
		refs = "000c ??0_Iterator_base12@std@@QAA@XZ"
		altNames = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@XZ ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_43_2 {
	meta:
		name = "??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ"
		size = 54
		refs = "001a ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 39 78 B8 6A ?? ?? ?? ?? B8 60 B8 6A ?? ?? ?? ?? BB 6A 7B 60 78 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_220_2 {
	meta:
		name = "??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ"
		size = 54
		refs = "001a ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 39 78 B8 6A ?? ?? ?? ?? B8 60 B8 6A ?? ?? ?? ?? BB 6A 7B 60 78 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_7_26_2 {
	meta:
		name = "??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ"
		size = 54
		refs = "001a ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 39 78 B8 6A ?? ?? ?? ?? B8 60 B8 6A ?? ?? ?? ?? BB 6A 7B 60 78 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_4_45_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PBDPBU_Container_base12@1@@Z"
		size = 64
		refs = "0018 ??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@XZ 002c ?_Adopt@_Iterator_base12@std@@QAAXPBU_Container_base12@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 3B 6A 03 F1 08 02 7B 6A 13 60 B9 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_226_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PBGPBU_Container_base12@1@@Z"
		size = 64
		refs = "0018 ??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@XZ 002c ?_Adopt@_Iterator_base12@std@@QAAXPBU_Container_base12@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 3B 6A 03 F1 08 02 7B 6A 13 60 B9 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_7_29_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PB_WPBU_Container_base12@1@@Z"
		size = 64
		refs = "0018 ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@XZ 002c ?_Adopt@_Iterator_base12@std@@QAAXPBU_Container_base12@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 38 6A ?? ?? ?? ?? 78 60 3B 6A 03 F1 08 02 7B 6A 13 60 B9 6A 38 6A ?? ?? ?? ?? 3B 6A 3B 60 38 68 05 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_4_47_2 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PADPBU_Container_base12@1@@Z"
		size = 38
		refs = "0010 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PBDPBU_Container_base12@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_34_235_2 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PAGPBU_Container_base12@1@@Z"
		size = 38
		refs = "0010 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PBGPBU_Container_base12@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_7_32_2 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PA_WPBU_Container_base12@1@@Z"
		size = 38
		refs = "0010 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PB_WPBU_Container_base12@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_4_48_2 {
	meta:
		name = "??0?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
		size = 76
		refs = "0018 ??0_Container_base12@std@@QAA@XZ 0022 ??0_Bxty@?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 B8 6A ?? ?? ?? ?? 78 60 BB 6A 18 1D ?? ?? ?? ?? B8 60 BB 6A 03 F1 14 02 00 23 13 60 BB 6A 03 F1 18 02 00 23 13 60 BB 6A 3B 60 38 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_240_2 {
	meta:
		name = "??0?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
		size = 76
		refs = "0018 ??0_Container_base12@std@@QAA@XZ 0022 ??0_Bxty@?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 B8 6A ?? ?? ?? ?? 78 60 BB 6A 18 1D ?? ?? ?? ?? B8 60 BB 6A 03 F1 14 02 00 23 13 60 BB 6A 03 F1 18 02 00 23 13 60 BB 6A 3B 60 38 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_7_33_2 {
	meta:
		name = "??0?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
		size = 76
		refs = "0018 ??0_Container_base12@std@@QAA@XZ 0022 ??0_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 B8 6A ?? ?? ?? ?? 78 60 BB 6A 18 1D ?? ?? ?? ?? B8 60 BB 6A 03 F1 14 02 00 23 13 60 BB 6A 03 F1 18 02 00 23 13 60 BB 6A 3B 60 38 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_4_92_2 {
	meta:
		name = "??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 136
		refs = "000a __security_push_cookie 0026 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 003c ?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z 004a ??0runtime_error@std@@QAA@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0054 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 006a memcpy 0076 __security_pop_cookie 0084 ??_7_System_error@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 6F F0 01 03 C7 E9 08 33 17 F1 28 03 3B 60 D7 F8 84 10 38 68 ?? ?? ?? ?? 78 60 7B 68 BB 60 BB 68 F9 6F D7 F8 80 20 17 F1 48 00 ?? ?? ?? ?? F8 60 FB 68 3B 61 39 69 B8 6F ?? ?? ?? ?? B8 61 17 F1 48 00 ?? ?? ?? ?? 0A 4A BB 6F 1A 60 BB 6F 03 F1 0C 00 17 F1 7C 01 08 22 ?? ?? ?? ?? BB 6F 7B 61 78 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_117_2 {
	meta:
		name = "??0system_error@std@@QAA@Verror_code@1@PBD@Z"
		size = 92
		refs = "000a __security_push_cookie 0020 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0030 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 003a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 004c __security_pop_cookie 0058 ??_7system_error@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 8E B0 6F 46 6F F0 01 03 C7 E9 04 33 79 6D 17 F1 18 00 ?? ?? ?? ?? 78 60 17 F1 18 03 F9 6C 3A 6D B8 6C ?? ?? ?? ?? B8 60 17 F1 18 00 ?? ?? ?? ?? 06 4A BB 6C 1A 60 BB 6C 3B 60 38 68 0E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_122_2 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ"
		size = 44
		refs = "0018 ?_Free_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ 001e ??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_375_2 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ"
		size = 44
		refs = "0018 ?_Free_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ 001e ??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_7_46_2 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ"
		size = 44
		refs = "0018 ?_Free_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ 001e ??1?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 6F F0 01 03 C7 E9 00 33 B8 69 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_4_125_2 {
	meta:
		name = "??1?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
		size = 30
		refs = "000c ??1_Bxty@?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ 0012 ??1_Container_base12@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_382_2 {
	meta:
		name = "??1?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ"
		size = 30
		refs = "000c ??1_Bxty@?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ 0012 ??1_Container_base12@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_49_2 {
	meta:
		name = "??1?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
		size = 30
		refs = "000c ??1_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ 0012 ??1_Container_base12@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 1D ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_162_2 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ"
		size = 288
		refs = "0024 _CrtDbgReportW 003e _invalid_parameter 0044 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0084 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ 0094 ??$_Unfancy@$$CBD@std@@YAPBDPBD@Z 0100 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0104 ??_C@_1MG@GDGHDIKC@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0108 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1KE@EPBMMCMN@?$AA?$CC?$AA_?$AAC?$AAo?$AAn?$AAt?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_@ 0114 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0118 ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 011c ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 08 33 1B 68 00 2B 16 D1 41 4B 01 93 3C 4B 00 93 00 23 51 22 39 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 51 23 33 4A 32 49 35 48 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 16 D1 30 4B 01 93 2C 4B 00 93 00 23 53 22 29 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 53 23 23 4A 22 49 25 48 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 07 90 07 9B 03 93 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 03 9A 08 9B 9A 42 0D D8 0E 9B 08 33 18 68 ?? ?? ?? ?? 09 90 02 9B 14 33 03 9A 1B 68 1A 44 09 9B 93 42 16 D3 14 4B 01 93 12 4B 00 93 00 23 55 22 0F 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 00 23 00 93 55 23 09 4A 07 49 06 48 ?? ?? ?? ?? 0E 9B 08 33 1B 68 0B 93 0B 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_196_2 {
	meta:
		name = "?_Adopt@_Iterator_base12@std@@QAAXPBU_Container_base12@2@@Z"
		size = 40
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 2B 00 D1 05 E0 05 9B 1B 68 00 93 04 9A 00 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_197_2 {
	meta:
		name = "?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
		size = 120
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0016 ??$?0AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z 001e ?allocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAPAU_Container_proxy@2@I@Z 0026 ??$_Unfancy@U_Container_proxy@std@@@std@@YAPAU_Container_proxy@0@PAU10@@Z 002e ?_Myproxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ 003c ??0_Container_proxy@std@@QAA@XZ 0052 ??$construct@U_Container_proxy@std@@U12@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@$$QAU21@@Z 0058 ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 01 21 68 46 ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? 03 90 0E 98 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 0A A8 ?? ?? ?? ?? 05 90 0E 98 ?? ?? ?? ?? 06 90 05 9A 06 9B 19 68 68 46 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 08 90 0E 98 ?? ?? ?? ?? 07 90 07 9B 1A 68 08 9B 13 60 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_566_2 {
	meta:
		name = "?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ"
		size = 120
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0016 ??$?0AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z 001e ?allocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAPAU_Container_proxy@2@I@Z 0026 ??$_Unfancy@U_Container_proxy@std@@@std@@YAPAU_Container_proxy@0@PAU10@@Z 002e ?_Myproxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ 003c ??0_Container_proxy@std@@QAA@XZ 0052 ??$construct@U_Container_proxy@std@@U12@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@$$QAU21@@Z 0058 ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 01 21 68 46 ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? 03 90 0E 98 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 0A A8 ?? ?? ?? ?? 05 90 0E 98 ?? ?? ?? ?? 06 90 05 9A 06 9B 19 68 68 46 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 08 90 0E 98 ?? ?? ?? ?? 07 90 07 9B 1A 68 08 9B 13 60 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_67_2 {
	meta:
		name = "?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
		size = 120
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0016 ??$?0AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z 001e ?allocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAPAU_Container_proxy@2@I@Z 0026 ??$_Unfancy@U_Container_proxy@std@@@std@@YAPAU_Container_proxy@0@PAU10@@Z 002e ?_Myproxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ 003c ??0_Container_proxy@std@@QAA@XZ 0052 ??$construct@U_Container_proxy@std@@U12@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@$$QAU21@@Z 0058 ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 01 21 68 46 ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? 03 90 0E 98 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 0A A8 ?? ?? ?? ?? 05 90 0E 98 ?? ?? ?? ?? 06 90 05 9A 06 9B 19 68 68 46 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 08 90 0E 98 ?? ?? ?? ?? 07 90 07 9B 1A 68 08 9B 13 60 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_200_2 {
	meta:
		name = "?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
		size = 184
		refs = "0024 ?_Fetch_add_relaxed_4@std@@YAKPCKK@Z 0034 ?_Fetch_add_acquire_4@std@@YAKPCKK@Z 0044 ?_Fetch_add_release_4@std@@YAKPCKK@Z 0054 ?_Fetch_add_seq_cst_4@std@@YAKPCKK@Z 0072 _CrtDbgReportW 008e _invalid_parameter 00a4 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 00a8 ??_C@_1DC@FMPHIJPC@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAA?$AAt?$AAo?$AAm?$AAi?$AAc?$AA_?$AAf?$AAe?$AAt?$AAc?$AAh?$AA_?$AAa?$AAd?$AAd?$AA_?$AA4?$AA?$AA@ 00ac ??_C@_1FE@BMABLLBF@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1EK@OKFFHHJB@?$AA?$CC?$AA?2?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA_?$AAo?$AAr?$AAd?$AAe?$AAr?$AA?2?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CC?$AA?5@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 03 93 03 9B 05 2B 25 D8 03 9A DF E8 02 F0 03 0B 0B 13 1B 1B 0D 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 32 E0 0D 99 0C 98 ?? ?? ?? ?? 05 90 05 9B 02 93 2A E0 0D 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 02 93 22 E0 0D 99 0C 98 ?? ?? ?? ?? 07 90 07 9B 02 93 1A E0 14 4B 01 93 12 4B 00 93 00 23 40 F2 54 62 0F 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 54 63 08 4A 07 49 05 48 ?? ?? ?? ?? 00 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_202_2 {
	meta:
		name = "?_Bx@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1B 1D 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_575_2 {
	meta:
		name = "?_Bx@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1B 1D 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_69_2 {
	meta:
		name = "?_Bx@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAT_Bxty@?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 1B 1D 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_212_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ"
		size = 600
		refs = "000a __security_push_cookie 0044 ?eof@?$char_traits@D@std@@SAHXZ 005e _guard_check_icall 0082 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 009c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00aa ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00b6 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00c0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00fc ?unshift@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z 010a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 019a fwrite 01de ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0214 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 024c __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? BA B0 6F 46 82 B0 6F F0 01 03 C7 E9 30 33 00 23 FB 60 D7 F8 00 31 38 33 1B 68 00 2B 05 D0 D7 F8 00 31 3D 33 1B 78 00 2B 03 D1 01 23 3B 72 04 E1 03 E1 08 23 BB 67 ?? ?? ?? ?? 38 62 3D 6A D7 F8 00 31 1B 68 0C 33 D7 F8 00 41 1B 68 BB 61 B8 69 ?? ?? ?? ?? BB 69 20 46 29 46 98 47 78 62 7B 6A FB 62 ?? ?? ?? ?? B8 62 BB 6A 3B 63 17 F1 2C 01 17 F1 30 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 00 23 3B 72 D9 E0 00 22 08 21 17 F1 C8 00 ?? ?? ?? ?? F8 67 17 F1 90 01 17 F1 C8 00 ?? ?? ?? ?? 78 63 7B 6B BB 63 B8 6B ?? ?? ?? ?? 78 64 17 F1 C8 00 ?? ?? ?? ?? B8 64 17 F1 80 01 17 F1 C8 00 ?? ?? ?? ?? F8 63 FB 6B 3B 64 38 6C ?? ?? ?? ?? F8 64 17 F1 60 03 00 93 7A 6C BB 6C 13 44 FA 6C D7 F8 00 11 40 31 D7 F8 00 01 38 30 00 68 ?? ?? ?? ?? 38 65 3B 6D 7B 65 17 F1 80 00 ?? ?? ?? ?? 17 F1 90 00 ?? ?? ?? ?? 7B 6D 7B 61 7B 69 00 2B 06 D0 7B 69 01 2B 09 D0 7B 69 03 2B 76 D0 7E E0 D7 F8 00 31 03 F1 3D 02 00 23 13 70 17 F1 A0 01 17 F1 C8 00 ?? ?? ?? ?? B8 65 BB 6D FB 65 F8 6D ?? ?? ?? ?? 78 66 3A 6E 7B 6E D3 1A 3B 61 17 F1 A0 00 ?? ?? ?? ?? 3B 69 00 2B 21 D9 17 F1 B0 01 17 F1 C8 00 ?? ?? ?? ?? B8 66 BB 6E FB 66 FB 68 43 F0 01 03 FB 60 F8 6E ?? ?? ?? ?? 38 67 D7 F8 00 31 4C 33 1B 68 3A 69 01 21 38 6F ?? ?? ?? ?? 78 67 3A 69 7B 6F 9A 42 02 D0 01 23 FB 61 01 E0 00 23 FB 61 FB 69 DB B2 7B 70 FB 68 13 F0 01 0F 07 D0 FB 68 23 F0 01 03 FB 60 17 F1 B0 00 ?? ?? ?? ?? 7B 78 00 2B 08 D0 00 23 BB 70 17 F1 C8 00 ?? ?? ?? ?? BB 78 3B 72 2F E0 D7 F8 00 31 3D 33 1B 78 00 2B 08 D1 01 23 FB 70 17 F1 C8 00 ?? ?? ?? ?? FB 78 3B 72 20 E0 3B 69 00 2B 05 D1 00 22 08 21 17 F1 C8 00 ?? ?? ?? ?? 11 E0 01 23 3B 71 17 F1 C8 00 ?? ?? ?? ?? 3B 79 3B 72 0D E0 00 23 7B 71 17 F1 C8 00 ?? ?? ?? ?? 7B 79 3B 72 04 E0 30 E7 17 F1 C8 00 ?? ?? ?? ?? 38 7A 3C B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_4_217_2 {
	meta:
		name = "__unwindfunclet$?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ$4"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 FB 68 03 F0 01 03 00 2B 00 F0 08 80 FB 68 23 F0 01 03 FB 60 17 F1 B0 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_4_218_2 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
		size = 74
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ 003c ?assign@?$char_traits@D@std@@SAXAADABD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 00 23 8D F8 00 30 01 98 ?? ?? ?? ?? 03 90 01 9B 03 F1 14 02 07 9B 13 60 69 46 07 9A 01 23 02 FB 03 F2 03 9B 98 18 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_223_2 {
	meta:
		name = "?_Free_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
		size = 104
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0016 ??$?0AAU?$_Wrap_alloc@V?$allocator@D@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z 001c ?_Orphan_all@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ 0022 ?_Myproxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ 002e ??$destroy@U_Container_proxy@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@@Z 0040 ?address@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QBAPAU_Container_proxy@2@AAU32@@Z 004c ?deallocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@2@I@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 02 90 02 9B 19 68 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 03 90 03 9B 19 68 68 46 ?? ?? ?? ?? 04 90 01 22 04 99 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 05 90 05 9A 00 23 13 60 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_632_2 {
	meta:
		name = "?_Free_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ"
		size = 104
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0016 ??$?0AAU?$_Wrap_alloc@V?$allocator@G@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z 001c ?_Orphan_all@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ 0022 ?_Myproxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ 002e ??$destroy@U_Container_proxy@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@@Z 0040 ?address@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QBAPAU_Container_proxy@2@AAU32@@Z 004c ?deallocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@2@I@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 02 90 02 9B 19 68 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 03 90 03 9B 19 68 68 46 ?? ?? ?? ?? 04 90 01 22 04 99 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 05 90 05 9A 00 23 13 60 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_79_2 {
	meta:
		name = "?_Free_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
		size = 104
		refs = "000c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0016 ??$?0AAU?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAA@AAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z 001c ?_Orphan_all@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ 0022 ?_Myproxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAPAU_Container_proxy@2@XZ 002e ??$destroy@U_Container_proxy@std@@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@@Z 0040 ?address@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QBAPAU_Container_proxy@2@AAU32@@Z 004c ?deallocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@2@I@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 01 90 01 99 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 02 90 02 9B 19 68 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 03 90 03 9B 19 68 68 46 ?? ?? ?? ?? 04 90 01 22 04 99 68 46 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 05 90 05 9A 00 23 13 60 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_238_2 {
	meta:
		name = "?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ"
		size = 48
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 02 D1 00 23 00 93 03 E0 04 9B 1B 68 1B 68 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_258_2 {
	meta:
		name = "?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z"
		size = 136
		refs = "000a __security_push_cookie 0020 ?empty@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA_NXZ 0030 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z 003c ?message@error_code@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 004a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@@Z 0052 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 005a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0076 __security_pop_cookie 0084 ??_C@_02LMMGGCAJ@?3?5?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 90 B0 6F 46 6F F0 01 03 C7 E9 06 33 00 23 7B 60 F8 6D ?? ?? ?? ?? 38 70 3B 78 00 2B 03 D1 15 49 F8 6D ?? ?? ?? ?? 17 F1 20 01 17 F1 54 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 F9 68 F8 6D ?? ?? ?? ?? 17 F1 20 00 ?? ?? ?? ?? F9 6D 38 6D ?? ?? ?? ?? 78 61 7B 68 43 F0 01 03 7B 60 F8 6D ?? ?? ?? ?? 3B 6D 3B 61 38 69 10 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_264_2 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ"
		size = 60
		refs = "001a ??$_Unfancy@D@std@@YAPADPAD@Z"
		altNames = "?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 33 1B 68 10 2B 08 D3 06 9B 1B 1D 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 02 E0 06 9B 1B 1D 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_266_2 {
	meta:
		name = "?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 18 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_93_144_2 {
	meta:
		name = "?_Myres@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABV?$_String_val@U?$_Simple_types@D@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 18 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_933_2 {
	meta:
		name = "?_Myres@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 18 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_97_2 {
	meta:
		name = "?_Myres@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ"
		size = 36
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 18 33 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_290_2 {
	meta:
		name = "?allocate@?$allocator@U_Container_proxy@std@@@std@@QAAPAU_Container_proxy@2@I@Z"
		size = 38
		refs = "0010 ?_Allocate@std@@YAPAXII_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 08 21 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_317_2 {
	meta:
		name = "?deallocate@?$allocator@U_Container_proxy@std@@@std@@QAAXPAU_Container_proxy@2@I@Z"
		size = 26
		refs = "000e ?_Deallocate@std@@YAXPAXII@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 08 22 04 99 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_4_367_2 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHH@Z"
		size = 916
		refs = "000a __security_push_cookie 0020 ?eof@?$char_traits@D@std@@SAHXZ 0032 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0042 ?not_eof@?$char_traits@D@std@@SAHABH@Z 0054 ?pptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 006e ?epptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 0080 ?to_char_type@?$char_traits@D@std@@SADABH@Z 008a ?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ 00be ?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ 00e4 ??$_Fputc@D@std@@YA_NDPAU_iobuf@@@Z 0128 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0138 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0144 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 014e ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 019a ?out@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z 01a8 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 023c fwrite 0290 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 02ee ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0388 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 84 B0 6F F0 01 03 C7 E9 42 33 00 23 3B 61 ?? ?? ?? ?? B8 62 BB 6A FB 62 17 F5 A2 71 17 F1 2C 00 ?? ?? ?? ?? 38 72 3B 7A 00 2B 08 D0 17 F5 A2 70 ?? ?? ?? ?? 38 63 3B 6B 7B 60 9A E1 34 E0 D7 F8 40 01 ?? ?? ?? ?? 78 63 7B 6B 00 2B 20 D0 D7 F8 40 01 ?? ?? ?? ?? B8 63 D7 F8 40 01 ?? ?? ?? ?? F8 63 BA 6B FB 6B 9A 42 12 D2 17 F5 A2 70 ?? ?? ?? ?? 78 72 D7 F8 40 01 ?? ?? ?? ?? 38 64 97 F9 09 20 3B 6C 1A 70 D7 F8 44 31 7B 60 71 E1 0B E0 D7 F8 40 31 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 78 64 7B 6C 7B 60 64 E1 D7 F8 40 01 ?? ?? ?? ?? D7 F8 40 31 38 33 1B 68 00 2B 1D D1 17 F5 A2 70 ?? ?? ?? ?? B8 72 D7 F8 40 31 4C 33 19 68 97 F9 0A 00 ?? ?? ?? ?? F8 72 FB 7A 00 2B 03 D0 D7 F8 44 31 FB 61 04 E0 ?? ?? ?? ?? B8 64 BB 6C FB 61 FB 69 7B 60 3D E1 3C E1 08 23 C7 F8 BC 30 17 F5 A2 70 ?? ?? ?? ?? 38 73 97 F9 0C 30 3B 70 00 22 08 21 17 F5 88 70 ?? ?? ?? ?? C7 F8 C0 00 17 F1 D8 01 17 F5 88 70 ?? ?? ?? ?? F8 64 FB 6C 3B 65 38 6D ?? ?? ?? ?? F8 65 17 F5 88 70 ?? ?? ?? ?? 38 66 17 F1 C8 01 17 F5 88 70 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? 78 66 17 F1 78 03 03 93 FA 6D 3B 6E 13 44 02 93 7B 6E 01 93 17 F1 98 03 00 93 3B 46 5B 1C 3A 46 D7 F8 40 11 40 31 D7 F8 40 01 38 30 00 68 ?? ?? ?? ?? B8 66 BB 6E FB 66 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D8 00 ?? ?? ?? ?? FB 6E BB 61 BB 69 00 2B C0 F2 CD 80 BB 69 01 2B 04 DD BB 69 03 2B 00 F0 A4 80 C4 E0 17 F1 E8 01 17 F5 88 70 ?? ?? ?? ?? 38 67 3B 6F 7B 67 78 6F ?? ?? ?? ?? F8 67 BA 6F FB 6F D3 1A 7B 61 17 F1 E8 00 ?? ?? ?? ?? 7B 69 00 2B 29 D9 17 F1 F8 01 17 F5 88 70 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 3B 69 43 F0 01 03 3B 61 D7 F8 84 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 40 31 4C 33 1B 68 7A 69 01 21 D7 F8 88 00 ?? ?? ?? ?? C7 F8 8C 00 7A 69 D7 F8 8C 30 9A 42 02 D0 01 23 3B 62 01 E0 00 23 3B 62 3B 6A DB B2 7B 73 3B 69 13 F0 01 0F 07 D0 3B 69 23 F0 01 03 3B 61 17 F1 F8 00 ?? ?? ?? ?? 7B 7B 00 2B 0F D0 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 C7 F8 94 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 94 30 7B 60 73 E0 D7 F8 40 31 03 F1 3D 02 01 23 13 70 D7 F8 98 20 3B 46 9A 42 0B D0 D7 F8 44 31 C7 F8 9C 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 9C 30 7B 60 5C E0 7B 69 00 2B 00 D9 20 E0 17 F5 88 70 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 20 2B 06 D2 00 22 08 21 17 F5 88 70 ?? ?? ?? ?? 0F E0 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 C7 F8 A8 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 A8 30 7B 60 37 E0 31 E0 D7 F8 40 31 4C 33 19 68 97 F9 00 00 ?? ?? ?? ?? B8 73 BB 7B 00 2B 03 D0 D7 F8 44 31 7B 62 06 E0 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 7B 62 7B 6A C7 F8 B0 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 B0 30 7B 60 14 E0 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 C7 F8 B8 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 B8 30 7B 60 04 E0 D9 E6 17 F5 88 70 ?? ?? ?? ?? 78 68 50 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_4_372_2 {
	meta:
		name = "__unwindfunclet$?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHH@Z$4"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 01 03 00 2B 00 F0 08 80 3B 69 23 F0 01 03 3B 61 17 F1 F8 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_4_401_2 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 812
		refs = "000a __security_push_cookie 0020 ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 003a ?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ 004c ?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ 0054 ?to_int_type@?$char_traits@D@std@@SAHABD@Z 006e ?eof@?$char_traits@D@std@@SAHXZ 007e ?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ 009c ??$_Fgetc@D@std@@YA_NAADPAU_iobuf@@@Z 00cc ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00dc fgetc 00fc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0110 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 011c ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0128 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0132 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 017e ?in@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z 018c ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 0216 ungetc 0272 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 02c4 memcpy_s 0320 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 84 B0 6F F0 01 03 C7 E9 42 33 D7 F8 40 01 ?? ?? ?? ?? F8 61 FB 69 00 2B 1A D0 D7 F8 40 01 ?? ?? ?? ?? 38 62 D7 F8 40 01 ?? ?? ?? ?? 78 62 3A 6A 7B 6A 9A 42 0C D2 D7 F8 40 01 ?? ?? ?? ?? B8 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 60 5D E1 0B E0 D7 F8 40 31 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 38 63 3B 6B 7B 60 50 E1 D7 F8 40 01 ?? ?? ?? ?? D7 F8 40 31 38 33 1B 68 00 2B 1C D1 00 23 7B 70 D7 F8 40 31 4C 33 19 68 78 1C ?? ?? ?? ?? B8 70 BB 78 00 2B 06 D0 78 1C ?? ?? ?? ?? 78 63 7B 6B 7B 61 04 E0 ?? ?? ?? ?? B8 63 BB 6B 7B 61 7B 69 7B 60 2A E1 29 E1 17 F5 88 70 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 40 31 4C 33 18 68 ?? ?? ?? ?? F8 63 FB 6B BB 61 BB 69 B3 F1 FF 3F 0B D1 ?? ?? ?? ?? 38 64 3B 6C 7B 64 17 F5 88 70 ?? ?? ?? ?? 7B 6C 7B 60 0A E1 BB 69 5A B2 01 21 17 F5 88 70 ?? ?? ?? ?? 17 F1 C8 01 17 F5 88 70 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? B8 65 17 F5 88 70 ?? ?? ?? ?? F8 65 17 F1 B8 01 17 F5 88 70 ?? ?? ?? ?? 38 65 3B 6D 7B 65 78 6D ?? ?? ?? ?? 38 66 17 F1 6C 03 03 93 3B 46 5B 1C 02 93 3B 46 01 93 17 F1 10 03 00 93 BA 6D FB 6D 13 44 3A 6E D7 F8 40 11 40 31 D7 F8 40 01 38 30 00 68 ?? ?? ?? ?? 78 66 7B 6E BB 66 17 F1 B8 00 ?? ?? ?? ?? 17 F1 C8 00 ?? ?? ?? ?? BB 6E FB 60 FB 68 00 2B C0 F2 A7 80 FB 68 01 2B 03 DD FB 68 03 2B 67 D0 9F E0 FA 6E 3B 46 9A 42 42 D0 17 F1 D8 01 17 F5 88 70 ?? ?? ?? ?? 38 67 3B 6F 7B 67 78 6F ?? ?? ?? ?? B8 67 17 F5 88 70 ?? ?? ?? ?? F8 67 BA 6F FB 6F 1A 44 3B 69 D3 1A BB 60 17 F1 D8 00 ?? ?? ?? ?? BB 68 00 2B 11 DD BB 68 5B 1E BB 60 D7 F8 40 31 4C 33 19 68 BA 68 01 23 02 FB 03 F2 3B 69 13 44 93 F9 00 00 ?? ?? ?? ?? EA E7 38 46 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 84 30 7B 60 6E E0 1E E0 17 F1 E8 01 17 F5 88 70 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 D7 F8 8C 00 ?? ?? ?? ?? C7 F8 90 00 3A 69 D7 F8 90 30 D2 1A 00 21 17 F5 88 70 ?? ?? ?? ?? 17 F1 E8 00 ?? ?? ?? ?? 48 E0 17 F5 88 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 01 2B 00 D2 3D E0 17 F1 F8 01 17 F5 88 70 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 00 ?? ?? ?? ?? C7 F8 A0 00 01 23 D7 F8 A0 20 01 21 38 46 ?? ?? ?? ?? 17 F1 F8 00 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 C7 F8 A8 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 A8 30 7B 60 14 E0 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 C7 F8 B0 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 B0 30 7B 60 04 E0 DF E6 17 F5 88 70 ?? ?? ?? ?? 78 68 50 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_7_24_2 {
	meta:
		name = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@ABU01@@Z"
		size = 36
		refs = "000e ??0_Iterator_base12@std@@QAA@ABU01@@Z"
		altNames = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@ABU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@ABU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_98_2 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@ABV01@@Z"
		size = 36
		refs = "000e ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_234_2 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@ABV01@@Z"
		size = 36
		refs = "000e ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_31_2 {
	meta:
		name = "??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@ABV01@@Z"
		size = 36
		refs = "000e ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_28_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@ABV01@@Z"
		size = 52
		refs = "000e ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@ABU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_93_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@$$QAV01@@Z"
		size = 52
		refs = "000e ??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_94_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@ABV01@@Z"
		size = 52
		refs = "000e ??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@ABU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_224_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@$$QAV01@@Z"
		size = 52
		refs = "000e ??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_225_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@ABV01@@Z"
		size = 52
		refs = "000e ??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@ABU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_229_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@$$QAV01@@Z"
		size = 52
		refs = "000e ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 01 90 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_42_2 {
	meta:
		name = "??0_Iterator_base12@std@@QAA@ABU01@@Z"
		size = 48
		refs = "001c ??4_Iterator_base12@std@@QAAAAU01@ABU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 1A 1D 00 23 13 60 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_55_2 {
	meta:
		name = "??4_Iterator_base12@std@@QAAAAU01@ABU01@@Z"
		size = 60
		refs = "0028 ?_Adopt@_Iterator_base12@std@@QAAXPBU_Container_base12@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 12 68 1B 68 9A 42 00 D1 09 E0 05 9B 1B 68 00 2B 05 D0 05 9B 1B 68 19 68 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_56_2 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ"
		size = 296
		refs = "0024 _CrtDbgReportW 003e _invalid_parameter 0044 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0084 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ 0094 ??$_Unfancy@$$CB_W@std@@YAPB_WPB_W@Z 0108 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 010c ??_C@_1MM@BFHGHMKD@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0110 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0114 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0118 ??_C@_1KE@EPBMMCMN@?$AA?$CC?$AA_?$AAC?$AAo?$AAn?$AAt?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_@ 011c ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0120 ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 0124 ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 08 33 1B 68 00 2B 16 D1 43 4B 01 93 3E 4B 00 93 00 23 51 22 3B 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 51 23 35 4A 34 49 37 48 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 16 D1 32 4B 01 93 2E 4B 00 93 00 23 53 22 2B 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 53 23 25 4A 24 49 27 48 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 07 90 07 9B 03 93 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 03 9A 08 9B 9A 42 10 D8 0E 9B 08 33 18 68 ?? ?? ?? ?? 09 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 03 9B 1A 44 09 9B 93 42 16 D3 14 4B 01 93 12 4B 00 93 00 23 55 22 0F 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 00 23 00 93 55 23 09 4A 08 49 06 48 ?? ?? ?? ?? 0E 9B 08 33 1B 68 0B 93 0B 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_464_2 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ"
		size = 296
		refs = "0024 _CrtDbgReportW 003e _invalid_parameter 0044 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0084 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ 0094 ??$_Unfancy@$$CBG@std@@YAPBGPBG@Z 0108 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 010c ??_C@_1NK@KPDIHNEP@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0110 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0114 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0118 ??_C@_1KE@EPBMMCMN@?$AA?$CC?$AA_?$AAC?$AAo?$AAn?$AAt?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_@ 011c ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0120 ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 0124 ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 08 33 1B 68 00 2B 16 D1 43 4B 01 93 3E 4B 00 93 00 23 51 22 3B 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 51 23 35 4A 34 49 37 48 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 16 D1 32 4B 01 93 2E 4B 00 93 00 23 53 22 2B 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 53 23 25 4A 24 49 27 48 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 07 90 07 9B 03 93 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 03 9A 08 9B 9A 42 10 D8 0E 9B 08 33 18 68 ?? ?? ?? ?? 09 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 03 9B 1A 44 09 9B 93 42 16 D3 14 4B 01 93 12 4B 00 93 00 23 55 22 0F 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 00 23 00 93 55 23 09 4A 08 49 06 48 ?? ?? ?? ?? 0E 9B 08 33 1B 68 0B 93 0B 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_58_2 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 92
		refs = "0020 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@ABV01@@Z 002c ??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z 0048 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 06 33 00 23 3B 60 B9 6B 17 F1 20 00 ?? ?? ?? ?? F8 60 39 6C 17 F1 20 00 ?? ?? ?? ?? 78 60 79 68 F8 6B ?? ?? ?? ?? 38 61 3B 68 43 F0 01 03 3B 60 17 F1 20 00 ?? ?? ?? ?? FB 6B BB 60 B8 68 0B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_225_2 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 92
		refs = "0020 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@ABV01@@Z 002c ??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z 0048 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 06 33 00 23 3B 60 B9 6B 17 F1 20 00 ?? ?? ?? ?? F8 60 39 6C 17 F1 20 00 ?? ?? ?? ?? 78 60 79 68 F8 6B ?? ?? ?? ?? 38 61 3B 68 43 F0 01 03 3B 60 17 F1 20 00 ?? ?? ?? ?? FB 6B BB 60 B8 68 0B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_482_2 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 92
		refs = "0020 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@ABV01@@Z 002c ??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z 0048 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 06 33 00 23 3B 60 B9 6B 17 F1 20 00 ?? ?? ?? ?? F8 60 39 6C 17 F1 20 00 ?? ?? ?? ?? 78 60 79 68 F8 6B ?? ?? ?? ?? 38 61 3B 68 43 F0 01 03 3B 60 17 F1 20 00 ?? ?? ?? ?? FB 6B BB 60 B8 68 0B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_228_2 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 92
		refs = "0020 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@ABV01@@Z 002c ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z 0048 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 06 33 00 23 3B 60 B9 6B 17 F1 20 00 ?? ?? ?? ?? F8 60 39 6C 17 F1 20 00 ?? ?? ?? ?? 78 60 79 68 F8 6B ?? ?? ?? ?? 38 61 3B 68 43 F0 01 03 3B 60 17 F1 20 00 ?? ?? ?? ?? FB 6B BB 60 B8 68 0B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_488_2 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 92
		refs = "0020 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@ABV01@@Z 002c ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z 0048 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 06 33 00 23 3B 60 B9 6B 17 F1 20 00 ?? ?? ?? ?? F8 60 39 6C 17 F1 20 00 ?? ?? ?? ?? 78 60 79 68 F8 6B ?? ?? ?? ?? 38 61 3B 68 43 F0 01 03 3B 60 17 F1 20 00 ?? ?? ?? ?? FB 6B BB 60 B8 68 0B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_490_2 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 92
		refs = "0020 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@ABV01@@Z 002c ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z 0048 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 6F F0 01 03 C7 E9 06 33 00 23 3B 60 B9 6B 17 F1 20 00 ?? ?? ?? ?? F8 60 39 6C 17 F1 20 00 ?? ?? ?? ?? 78 60 79 68 F8 6B ?? ?? ?? ?? 38 61 3B 68 43 F0 01 03 3B 60 17 F1 20 00 ?? ?? ?? ?? FB 6B BB 60 B8 68 0B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_7_63_2 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 340
		refs = "002a _CrtDbgReportW 0044 _invalid_parameter 004a ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 008a ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ 009a ??$_Unfancy@$$CB_W@std@@YAPB_WPB_W@Z 0134 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0138 ??_C@_1MO@BFIEDEJC@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 013c ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0144 ??_C@_1MC@COGNBHAN@?$AA?$CC?$AA_?$AAC?$AAo?$AAn?$AAt?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$CL?$AA?5?$AA_?$AAO@ 0148 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 014c ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 0150 ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 7D D0 0E 9B 08 33 1B 68 00 2B 16 D1 4D 4B 01 93 48 4B 00 93 00 23 B2 22 45 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 B2 23 3F 4A 3D 49 41 48 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 16 D1 3C 4B 01 93 38 4B 00 93 00 23 B4 22 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 B4 23 2F 4A 2D 49 31 48 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 07 90 07 9B 03 93 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 0F 9A 02 23 02 FB 03 F2 08 9B 1A 44 03 9B 93 42 15 D8 0E 9B 08 33 18 68 ?? ?? ?? ?? 09 90 0F 9A 02 23 02 FB 03 F2 09 9B 99 18 02 9B 14 33 1A 68 02 23 02 FB 03 F2 03 9B 13 44 99 42 16 D9 19 4B 01 93 17 4B 00 93 00 23 B7 22 14 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 00 23 00 93 B7 23 0E 4A 0C 49 0B 48 ?? ?? ?? ?? 0E 9B 03 F1 08 01 0F 9A 02 23 02 FB 03 F2 0B 68 1A 44 0E 9B 08 33 1A 60 0E 9B 0B 93 0B 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_492_2 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 340
		refs = "002a _CrtDbgReportW 0044 _invalid_parameter 004a ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 008a ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ 009a ??$_Unfancy@$$CBG@std@@YAPBGPBG@Z 0134 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0138 ??_C@_1NM@JAEIACKK@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 013c ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0144 ??_C@_1MC@COGNBHAN@?$AA?$CC?$AA_?$AAC?$AAo?$AAn?$AAt?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$CL?$AA?5?$AA_?$AAO@ 0148 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 014c ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 0150 ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 7D D0 0E 9B 08 33 1B 68 00 2B 16 D1 4D 4B 01 93 48 4B 00 93 00 23 B2 22 45 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 B2 23 3F 4A 3D 49 41 48 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 16 D1 3C 4B 01 93 38 4B 00 93 00 23 B4 22 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 B4 23 2F 4A 2D 49 31 48 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 07 90 07 9B 03 93 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 0F 9A 02 23 02 FB 03 F2 08 9B 1A 44 03 9B 93 42 15 D8 0E 9B 08 33 18 68 ?? ?? ?? ?? 09 90 0F 9A 02 23 02 FB 03 F2 09 9B 99 18 02 9B 14 33 1A 68 02 23 02 FB 03 F2 03 9B 13 44 99 42 16 D9 19 4B 01 93 17 4B 00 93 00 23 B7 22 14 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 00 23 00 93 B7 23 0E 4A 0C 49 0B 48 ?? ?? ?? ?? 0E 9B 03 F1 08 01 0F 9A 02 23 02 FB 03 F2 0B 68 1A 44 0E 9B 08 33 1A 60 0E 9B 0B 93 0B 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_76_2 {
	meta:
		name = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
		size = 74
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ 003c ?assign@?$char_traits@_W@std@@SAXAA_WAB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 00 23 AD F8 00 30 01 98 ?? ?? ?? ?? 03 90 01 9B 03 F1 14 02 07 9B 13 60 69 46 07 9A 02 23 02 FB 03 F2 03 9B 98 18 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_613_2 {
	meta:
		name = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
		size = 74
		refs = "000c ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ 003c ?assign@?$char_traits@G@std@@SAXAAGABG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 00 23 AD F8 00 30 01 98 ?? ?? ?? ?? 03 90 01 9B 03 F1 14 02 07 9B 13 60 69 46 07 9A 02 23 02 FB 03 F2 03 9B 98 18 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_95_2 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ"
		size = 60
		refs = "001a ??$_Unfancy@_W@std@@YAPA_WPA_W@Z"
		altNames = "?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 33 1B 68 08 2B 08 D3 06 9B 1B 1D 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 02 E0 06 9B 1B 1D 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_928_2 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ"
		size = 60
		refs = "001a ??$_Unfancy@G@std@@YAPAGPAG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 33 1B 68 08 2B 08 D3 06 9B 1B 1D 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 02 E0 06 9B 1B 1D 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_929_2 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ"
		size = 60
		refs = "001a ??$_Unfancy@G@std@@YAPAGPAG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 33 1B 68 08 2B 08 D3 06 9B 1B 1D 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 02 E0 06 9B 1B 1D 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_121_2 {
	meta:
		name = "?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WXZ"
		size = 100
		refs = "001c ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 002e ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 003a ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 0048 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 6F F0 01 03 C7 E9 08 33 17 F1 38 01 38 6D ?? ?? ?? ?? 38 60 3B 68 7B 60 01 22 17 F1 28 01 78 68 ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 61 17 F1 28 00 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? 7B 69 BB 61 B8 69 11 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_7_131_2 {
	meta:
		name = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
		size = 100
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@_W@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBAPA_WAA_W@Z 0050 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PA_WPBU_Container_base12@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 3B 68 14 33 19 68 02 23 01 FB 03 F1 3B 69 19 44 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1290_2 {
	meta:
		name = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 100
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@G@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBAPAGAAG@Z 0050 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PAGPBU_Container_base12@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 3B 68 14 33 19 68 02 23 01 FB 03 F1 3B 69 19 44 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_7_154_2 {
	meta:
		name = "_Open_dir"
		size = 300
		refs = "000a __security_push_cookie 0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z 001c ?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ 0030 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z 0036 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 0072 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00b0 _Read_dir 00d0 _Close_dir 00ea ?_Strcpy@v1@filesystem@experimental@std@@YAPA_WAAY0BAE@_WPB_W@Z 00f0 ?_Map_mode@v1@filesystem@experimental@std@@YA?AW4file_type@1234@H@Z 0118 __security_pop_cookie 0124 __imp_FindFirstFileExW 0128 ??_C@_15PKPONJIK@?$AA?2?$AA?$CK?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 28 7D AD 99 0C A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 3E 49 0C A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 05 90 00 23 01 93 00 23 00 93 00 23 14 AA 00 21 05 98 35 4C 24 68 A0 47 06 90 06 9B 03 93 03 9B B3 F1 FF 3F 0E D1 AE 9A A1 23 13 60 AC 9A 00 23 13 80 00 23 07 93 0C A8 ?? ?? ?? ?? 07 9B 04 93 4A E0 46 E0 AE 9A 00 23 13 60 1F AB 1B 88 2E 2B 2C D1 1F AB 9B 1C 1B 88 00 2B 09 D0 1F AB 9B 1C 1B 88 2E 2B 22 D1 1F AB 1B 1D 1B 88 00 2B 1D D1 AF 9A 03 99 AC 98 ?? ?? ?? ?? AC 9B 1B 88 00 2B 08 D0 03 9B 08 93 0C A8 ?? ?? ?? ?? 08 9B 04 93 22 E0 0A E0 03 98 ?? ?? ?? ?? 00 23 09 93 0C A8 ?? ?? ?? ?? 09 9B 04 93 16 E0 12 E0 1F A9 AC 98 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0A 90 0A 9A AF 9B 1A 60 03 9B 0B 93 0C A8 ?? ?? ?? ?? 0B 9B 04 93 02 E0 0C A8 ?? ?? ?? ?? 04 98 0D F5 28 7D ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_161_2 {
	meta:
		name = "_Statvfs"
		size = 260
		refs = "000a __security_push_cookie 0038 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z 003e ?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ 0050 ?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WXZ 0072 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z 0078 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 00b2 memcpy 00b8 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00f0 __security_pop_cookie 00fc __imp_GetDiskFreeSpaceExW 0100 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? A9 B0 6F F0 00 03 14 93 6F F0 00 03 15 93 6F F0 00 03 16 93 6F F0 00 03 17 93 6F F0 00 03 18 93 6F F0 00 03 19 93 2F 99 1A A8 ?? ?? ?? ?? 1A A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D1 1A A8 ?? ?? ?? ?? 03 90 03 9B 1B 88 2F 2B 0B D0 1A A8 ?? ?? ?? ?? 04 90 04 9B 1B 88 5C 2B 03 D0 24 49 1A A8 ?? ?? ?? ?? 1A A8 ?? ?? ?? ?? 05 90 0A AB 08 AA 0C A9 05 98 1D 4C 24 68 A0 47 06 90 06 9B 00 2B 0B D0 08 9B 14 93 09 9B 15 93 0A 9B 16 93 0B 9B 17 93 0C 9B 18 93 0D 9B 19 93 22 A8 14 A9 18 22 ?? ?? ?? ?? 1A A8 ?? ?? ?? ?? 2E 9A 22 AB 01 92 02 93 01 9D 02 9C 94 E8 0F 00 85 E8 0F 00 02 9B 10 33 02 93 01 9B 10 33 01 93 01 98 02 99 91 E8 0C 00 80 E8 0C 00 2E 9B 0E 93 0E 98 29 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_42_2 {
	meta:
		name = "??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z"
		size = 132
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 002e _CrtDbgReportW 004a _invalid_parameter 0050 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0070 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0074 ??_C@_1NA@KFAKIFMH@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAw?$AAc?$AAh?$AAa?$AAr?$AA_?$AAt?$AA?0?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt@ 0078 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1DO@BEGGBFCM@?$AA?$CC?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAs?$AAi?$AAz?$AAe?$AA?$CI?$AA?$CJ?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 9A 02 9B 1B 68 9A 42 18 D9 18 4B 01 93 16 4B 00 93 00 23 40 F2 95 62 13 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 95 63 0C 4A 0B 49 09 48 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 04 90 09 9A 02 23 02 FB 03 F2 04 9B 13 44 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_459_2 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z"
		size = 132
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 002e _CrtDbgReportW 004a _invalid_parameter 0050 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 0070 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0074 ??_C@_1PK@DGBEGJPE@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAs?$AAh?$AAo?$AAr?$AAt@ 0078 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1DO@BEGGBFCM@?$AA?$CC?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAs?$AAi?$AAz?$AAe?$AA?$CI?$AA?$CJ?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 9A 02 9B 1B 68 9A 42 18 D9 18 4B 01 93 16 4B 00 93 00 23 40 F2 95 62 13 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 95 63 0C 4A 0B 49 09 48 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 04 90 09 9A 02 23 02 FB 03 F2 04 9B 13 44 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_212_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ"
		size = 600
		refs = "000a __security_push_cookie 0044 ?eof@?$char_traits@G@std@@SAGXZ 005e _guard_check_icall 0082 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 009c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00aa ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00b6 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00c0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00fc ?unshift@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z 010a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 019a fwrite 01de ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0214 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 024c __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? B8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 00 23 FB 60 D7 F8 F8 30 38 33 1B 68 00 2B 05 D0 D7 F8 F8 30 3E 33 1B 78 00 2B 03 D1 01 23 3B 72 04 E1 03 E1 08 23 3B 67 ?? ?? ?? ?? B8 82 BD 8A D7 F8 F8 30 1B 68 0C 33 D7 F8 F8 40 1B 68 7B 62 78 6A ?? ?? ?? ?? 7B 6A 20 46 29 46 98 47 F8 82 FB 8A 7B 83 ?? ?? ?? ?? 38 83 3B 8B BB 83 17 F1 1A 01 17 F1 1C 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 00 23 3B 72 D9 E0 00 22 08 21 17 F1 C0 00 ?? ?? ?? ?? 78 67 17 F1 88 01 17 F1 C0 00 ?? ?? ?? ?? F8 62 FB 6A 3B 63 38 6B ?? ?? ?? ?? F8 63 17 F1 C0 00 ?? ?? ?? ?? 38 64 17 F1 78 01 17 F1 C0 00 ?? ?? ?? ?? 78 63 7B 6B BB 63 B8 6B ?? ?? ?? ?? 78 64 17 F1 58 03 00 93 FA 6B 3B 6C 13 44 7A 6C D7 F8 F8 10 40 31 D7 F8 F8 00 38 30 00 68 ?? ?? ?? ?? B8 64 BB 6C FB 64 17 F1 78 00 ?? ?? ?? ?? 17 F1 88 00 ?? ?? ?? ?? FB 6C 3B 62 3B 6A 00 2B 06 D0 3B 6A 01 2B 09 D0 3B 6A 03 2B 76 D0 7E E0 D7 F8 F8 30 03 F1 3E 02 00 23 13 70 17 F1 98 01 17 F1 C0 00 ?? ?? ?? ?? 38 65 3B 6D 7B 65 78 6D ?? ?? ?? ?? F8 65 BA 6D FB 6D D3 1A 3B 61 17 F1 98 00 ?? ?? ?? ?? 3B 69 00 2B 21 D9 17 F1 A8 01 17 F1 C0 00 ?? ?? ?? ?? 38 66 3B 6E 7B 66 FB 68 43 F0 01 03 FB 60 78 6E ?? ?? ?? ?? B8 66 D7 F8 F8 30 4C 33 1B 68 3A 69 01 21 B8 6E ?? ?? ?? ?? F8 66 3A 69 FB 6E 9A 42 02 D0 01 23 BB 62 01 E0 00 23 BB 62 BB 6A DB B2 7B 70 FB 68 13 F0 01 0F 07 D0 FB 68 23 F0 01 03 FB 60 17 F1 A8 00 ?? ?? ?? ?? 7B 78 00 2B 08 D0 00 23 BB 70 17 F1 C0 00 ?? ?? ?? ?? BB 78 3B 72 2F E0 D7 F8 F8 30 3E 33 1B 78 00 2B 08 D1 01 23 FB 70 17 F1 C0 00 ?? ?? ?? ?? FB 78 3B 72 20 E0 3B 69 00 2B 05 D1 00 22 08 21 17 F1 C0 00 ?? ?? ?? ?? 11 E0 01 23 3B 71 17 F1 C0 00 ?? ?? ?? ?? 3B 79 3B 72 0D E0 00 23 7B 71 17 F1 C0 00 ?? ?? ?? ?? 7B 79 3B 72 04 E0 30 E7 17 F1 C0 00 ?? ?? ?? ?? 38 7A 3A B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_30_212_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ"
		size = 600
		refs = "000a __security_push_cookie 0044 ?eof@?$char_traits@_W@std@@SAGXZ 005e _guard_check_icall 0082 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 009c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00aa ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00b6 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00c0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00fc ?unshift@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z 010a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 019a fwrite 01de ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0214 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 024c __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? B8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 00 23 FB 60 D7 F8 F8 30 38 33 1B 68 00 2B 05 D0 D7 F8 F8 30 3E 33 1B 78 00 2B 03 D1 01 23 3B 72 04 E1 03 E1 08 23 3B 67 ?? ?? ?? ?? B8 82 BD 8A D7 F8 F8 30 1B 68 0C 33 D7 F8 F8 40 1B 68 7B 62 78 6A ?? ?? ?? ?? 7B 6A 20 46 29 46 98 47 F8 82 FB 8A 7B 83 ?? ?? ?? ?? 38 83 3B 8B BB 83 17 F1 1A 01 17 F1 1C 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 00 23 3B 72 D9 E0 00 22 08 21 17 F1 C0 00 ?? ?? ?? ?? 78 67 17 F1 88 01 17 F1 C0 00 ?? ?? ?? ?? F8 62 FB 6A 3B 63 38 6B ?? ?? ?? ?? F8 63 17 F1 C0 00 ?? ?? ?? ?? 38 64 17 F1 78 01 17 F1 C0 00 ?? ?? ?? ?? 78 63 7B 6B BB 63 B8 6B ?? ?? ?? ?? 78 64 17 F1 58 03 00 93 FA 6B 3B 6C 13 44 7A 6C D7 F8 F8 10 40 31 D7 F8 F8 00 38 30 00 68 ?? ?? ?? ?? B8 64 BB 6C FB 64 17 F1 78 00 ?? ?? ?? ?? 17 F1 88 00 ?? ?? ?? ?? FB 6C 3B 62 3B 6A 00 2B 06 D0 3B 6A 01 2B 09 D0 3B 6A 03 2B 76 D0 7E E0 D7 F8 F8 30 03 F1 3E 02 00 23 13 70 17 F1 98 01 17 F1 C0 00 ?? ?? ?? ?? 38 65 3B 6D 7B 65 78 6D ?? ?? ?? ?? F8 65 BA 6D FB 6D D3 1A 3B 61 17 F1 98 00 ?? ?? ?? ?? 3B 69 00 2B 21 D9 17 F1 A8 01 17 F1 C0 00 ?? ?? ?? ?? 38 66 3B 6E 7B 66 FB 68 43 F0 01 03 FB 60 78 6E ?? ?? ?? ?? B8 66 D7 F8 F8 30 4C 33 1B 68 3A 69 01 21 B8 6E ?? ?? ?? ?? F8 66 3A 69 FB 6E 9A 42 02 D0 01 23 BB 62 01 E0 00 23 BB 62 BB 6A DB B2 7B 70 FB 68 13 F0 01 0F 07 D0 FB 68 23 F0 01 03 FB 60 17 F1 A8 00 ?? ?? ?? ?? 7B 78 00 2B 08 D0 00 23 BB 70 17 F1 C0 00 ?? ?? ?? ?? BB 78 3B 72 2F E0 D7 F8 F8 30 3E 33 1B 78 00 2B 08 D1 01 23 FB 70 17 F1 C0 00 ?? ?? ?? ?? FB 78 3B 72 20 E0 3B 69 00 2B 05 D1 00 22 08 21 17 F1 C0 00 ?? ?? ?? ?? 11 E0 01 23 3B 71 17 F1 C0 00 ?? ?? ?? ?? 3B 79 3B 72 0D E0 00 23 7B 71 17 F1 C0 00 ?? ?? ?? ?? 7B 79 3B 72 04 E0 30 E7 17 F1 C0 00 ?? ?? ?? ?? 38 7A 3A B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 0C FB }
	condition:
		$1
}

rule file_23_217_2 {
	meta:
		name = "__unwindfunclet$?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ$4"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
		altNames = "__unwindfunclet$?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ$4"
	strings:
		$1 = { 10 B5 FB 68 03 F0 01 03 00 2B 00 F0 08 80 FB 68 23 F0 01 03 FB 60 17 F1 A8 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_23_375_2 {
	meta:
		name = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGG@Z"
		size = 878
		refs = "000a __security_push_cookie 0020 ?eof@?$char_traits@G@std@@SAGXZ 0032 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0042 ?not_eof@?$char_traits@G@std@@SAGABG@Z 0054 ?pptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 006e ?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 0080 ?to_char_type@?$char_traits@G@std@@SAGABG@Z 008a ?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ 00bc ?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ 00e0 ??$_Fputc@G@std@@YA_NGPAU_iobuf@@@Z 0122 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0132 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 013e ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0148 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0194 ?out@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBG1AAPBGPAD3AAPAD@Z 01a2 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 023c fwrite 028a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 02e2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0362 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C4 B0 6F 46 84 B0 6F F0 01 03 C7 E9 3A 33 00 23 3B 61 ?? ?? ?? ?? 38 83 3B 8B 7B 83 17 F5 92 71 17 F1 1A 00 ?? ?? ?? ?? 38 72 3B 7A 00 2B 08 D0 17 F5 92 70 ?? ?? ?? ?? B8 83 BB 8B BB 80 87 E1 33 E0 D7 F8 20 01 ?? ?? ?? ?? 78 64 7B 6C 00 2B 1F D0 D7 F8 20 01 ?? ?? ?? ?? B8 64 D7 F8 20 01 ?? ?? ?? ?? F8 64 BA 6C FB 6C 9A 42 11 D2 17 F5 92 70 ?? ?? ?? ?? F8 83 D7 F8 20 01 ?? ?? ?? ?? 38 65 FA 8B 3B 6D 1A 80 B7 F8 24 31 BB 80 5F E1 0B E0 D7 F8 20 31 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 38 84 3B 8C BB 80 52 E1 D7 F8 20 01 ?? ?? ?? ?? D7 F8 20 31 38 33 1B 68 00 2B 1C D1 17 F5 92 70 ?? ?? ?? ?? 78 84 D7 F8 20 31 4C 33 19 68 78 8C ?? ?? ?? ?? 78 72 7B 7A 00 2B 03 D0 B7 F8 24 31 BB 81 04 E0 ?? ?? ?? ?? B8 84 BB 8C BB 81 BB 89 BB 80 2C E1 2B E1 08 23 C7 F8 A0 30 17 F5 92 70 ?? ?? ?? ?? F8 84 FB 8C 3B 80 00 22 08 21 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A4 00 17 F1 B8 01 17 F1 F0 00 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? 78 66 17 F1 F0 00 ?? ?? ?? ?? B8 66 17 F1 A8 01 17 F1 F0 00 ?? ?? ?? ?? F8 65 FB 6D 3B 66 38 6E ?? ?? ?? ?? F8 66 17 F1 80 03 03 93 7A 6E BB 6E 13 44 02 93 FB 6E 01 93 17 F1 98 03 00 93 3B 46 9B 1C 3A 46 D7 F8 20 11 40 31 D7 F8 20 01 38 30 00 68 ?? ?? ?? ?? 38 67 3B 6F 7B 67 17 F1 A8 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 7B 6F FB 63 FB 6B 00 2B C0 F2 C1 80 FB 6B 01 2B 04 DD FB 6B 03 2B 00 F0 9D 80 B8 E0 17 F1 C8 01 17 F1 F0 00 ?? ?? ?? ?? B8 67 BB 6F FB 67 F8 6F ?? ?? ?? ?? C7 F8 84 00 D7 F8 80 20 D7 F8 84 30 D3 1A 7B 61 17 F1 C8 00 ?? ?? ?? ?? 7B 69 00 2B 29 D9 17 F1 D8 01 17 F1 F0 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 3B 69 43 F0 01 03 3B 61 D7 F8 8C 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 20 31 4C 33 1B 68 7A 69 01 21 D7 F8 90 00 ?? ?? ?? ?? C7 F8 94 00 7A 69 D7 F8 94 30 9A 42 02 D0 01 23 3B 64 01 E0 00 23 3B 64 3B 6C DB B2 BB 72 3B 69 13 F0 01 0F 07 D0 3B 69 23 F0 01 03 3B 61 17 F1 D8 00 ?? ?? ?? ?? BB 7A 00 2B 0B D0 ?? ?? ?? ?? 38 85 3B 8D 7B 85 17 F1 F0 00 ?? ?? ?? ?? 7B 8D BB 80 64 E0 D7 F8 20 31 03 F1 3E 02 01 23 13 70 D7 F8 98 20 3B 46 9A 42 09 D0 B7 F8 24 31 BB 85 17 F1 F0 00 ?? ?? ?? ?? BB 8D BB 80 4F E0 7B 69 00 2B 00 D9 1C E0 17 F1 F0 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 20 2B 06 D2 00 22 08 21 17 F1 F0 00 ?? ?? ?? ?? 0B E0 ?? ?? ?? ?? F8 85 FB 8D 3B 86 17 F1 F0 00 ?? ?? ?? ?? 3B 8E BB 80 2E E0 28 E0 D7 F8 20 31 4C 33 19 68 38 88 ?? ?? ?? ?? F8 72 FB 7A 00 2B 03 D0 B7 F8 24 31 FB 81 04 E0 ?? ?? ?? ?? 78 86 7B 8E FB 81 FB 89 BB 86 17 F1 F0 00 ?? ?? ?? ?? BB 8E BB 80 10 E0 ?? ?? ?? ?? F8 86 FB 8E 3B 87 17 F1 F0 00 ?? ?? ?? ?? 3B 8F BB 80 04 E0 E9 E6 17 F1 F0 00 ?? ?? ?? ?? B8 88 48 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_30_375_2 {
	meta:
		name = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z"
		size = 878
		refs = "000a __security_push_cookie 0020 ?eof@?$char_traits@_W@std@@SAGXZ 0032 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0042 ?not_eof@?$char_traits@_W@std@@SAGABG@Z 0054 ?pptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 006e ?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 0080 ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z 008a ?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ 00bc ?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ 00e0 ??$_Fputc@_W@std@@YA_N_WPAU_iobuf@@@Z 0122 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0132 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 013e ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0148 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0194 ?out@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PB_W1AAPB_WPAD3AAPAD@Z 01a2 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 023c fwrite 028a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 02e2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0362 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C4 B0 6F 46 84 B0 6F F0 01 03 C7 E9 3A 33 00 23 3B 61 ?? ?? ?? ?? 38 83 3B 8B 7B 83 17 F5 92 71 17 F1 1A 00 ?? ?? ?? ?? 38 72 3B 7A 00 2B 08 D0 17 F5 92 70 ?? ?? ?? ?? B8 83 BB 8B BB 80 87 E1 33 E0 D7 F8 20 01 ?? ?? ?? ?? 78 64 7B 6C 00 2B 1F D0 D7 F8 20 01 ?? ?? ?? ?? B8 64 D7 F8 20 01 ?? ?? ?? ?? F8 64 BA 6C FB 6C 9A 42 11 D2 17 F5 92 70 ?? ?? ?? ?? F8 83 D7 F8 20 01 ?? ?? ?? ?? 38 65 FA 8B 3B 6D 1A 80 B7 F8 24 31 BB 80 5F E1 0B E0 D7 F8 20 31 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 38 84 3B 8C BB 80 52 E1 D7 F8 20 01 ?? ?? ?? ?? D7 F8 20 31 38 33 1B 68 00 2B 1C D1 17 F5 92 70 ?? ?? ?? ?? 78 84 D7 F8 20 31 4C 33 19 68 78 8C ?? ?? ?? ?? 78 72 7B 7A 00 2B 03 D0 B7 F8 24 31 BB 81 04 E0 ?? ?? ?? ?? B8 84 BB 8C BB 81 BB 89 BB 80 2C E1 2B E1 08 23 C7 F8 A0 30 17 F5 92 70 ?? ?? ?? ?? F8 84 FB 8C 3B 80 00 22 08 21 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A4 00 17 F1 B8 01 17 F1 F0 00 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? 78 66 17 F1 F0 00 ?? ?? ?? ?? B8 66 17 F1 A8 01 17 F1 F0 00 ?? ?? ?? ?? F8 65 FB 6D 3B 66 38 6E ?? ?? ?? ?? F8 66 17 F1 80 03 03 93 7A 6E BB 6E 13 44 02 93 FB 6E 01 93 17 F1 98 03 00 93 3B 46 9B 1C 3A 46 D7 F8 20 11 40 31 D7 F8 20 01 38 30 00 68 ?? ?? ?? ?? 38 67 3B 6F 7B 67 17 F1 A8 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 7B 6F FB 63 FB 6B 00 2B C0 F2 C1 80 FB 6B 01 2B 04 DD FB 6B 03 2B 00 F0 9D 80 B8 E0 17 F1 C8 01 17 F1 F0 00 ?? ?? ?? ?? B8 67 BB 6F FB 67 F8 6F ?? ?? ?? ?? C7 F8 84 00 D7 F8 80 20 D7 F8 84 30 D3 1A 7B 61 17 F1 C8 00 ?? ?? ?? ?? 7B 69 00 2B 29 D9 17 F1 D8 01 17 F1 F0 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 3B 69 43 F0 01 03 3B 61 D7 F8 8C 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 20 31 4C 33 1B 68 7A 69 01 21 D7 F8 90 00 ?? ?? ?? ?? C7 F8 94 00 7A 69 D7 F8 94 30 9A 42 02 D0 01 23 3B 64 01 E0 00 23 3B 64 3B 6C DB B2 BB 72 3B 69 13 F0 01 0F 07 D0 3B 69 23 F0 01 03 3B 61 17 F1 D8 00 ?? ?? ?? ?? BB 7A 00 2B 0B D0 ?? ?? ?? ?? 38 85 3B 8D 7B 85 17 F1 F0 00 ?? ?? ?? ?? 7B 8D BB 80 64 E0 D7 F8 20 31 03 F1 3E 02 01 23 13 70 D7 F8 98 20 3B 46 9A 42 09 D0 B7 F8 24 31 BB 85 17 F1 F0 00 ?? ?? ?? ?? BB 8D BB 80 4F E0 7B 69 00 2B 00 D9 1C E0 17 F1 F0 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 20 2B 06 D2 00 22 08 21 17 F1 F0 00 ?? ?? ?? ?? 0B E0 ?? ?? ?? ?? F8 85 FB 8D 3B 86 17 F1 F0 00 ?? ?? ?? ?? 3B 8E BB 80 2E E0 28 E0 D7 F8 20 31 4C 33 19 68 38 88 ?? ?? ?? ?? F8 72 FB 7A 00 2B 03 D0 B7 F8 24 31 FB 81 04 E0 ?? ?? ?? ?? 78 86 7B 8E FB 81 FB 89 BB 86 17 F1 F0 00 ?? ?? ?? ?? BB 8E BB 80 10 E0 ?? ?? ?? ?? F8 86 FB 8E 3B 87 17 F1 F0 00 ?? ?? ?? ?? 3B 8F BB 80 04 E0 E9 E6 17 F1 F0 00 ?? ?? ?? ?? B8 88 48 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_23_380_2 {
	meta:
		name = "__unwindfunclet$?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGG@Z$4"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
		altNames = "__unwindfunclet$?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z$4"
	strings:
		$1 = { 10 B5 3B 69 03 F0 01 03 00 2B 00 F0 08 80 3B 69 23 F0 01 03 3B 61 17 F1 D8 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_23_410_2 {
	meta:
		name = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
		size = 792
		refs = "000a __security_push_cookie 0020 ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 003a ?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ 004c ?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ 0054 ?to_int_type@?$char_traits@G@std@@SAGABG@Z 006e ?eof@?$char_traits@G@std@@SAGXZ 007e ?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ 009e ??$_Fgetc@G@std@@YA_NAAGPAU_iobuf@@@Z 00d0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00e0 fgetc 0100 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0114 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0120 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 012c ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0136 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0182 ?in@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAG3AAPAG@Z 0190 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 021a ungetc 026e ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 02c0 memcpy_s 030c __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C6 B0 6F 46 84 B0 6F F0 01 03 C7 E9 3C 33 D7 F8 28 01 ?? ?? ?? ?? 78 63 7B 6B 00 2B 1A D0 D7 F8 28 01 ?? ?? ?? ?? B8 63 D7 F8 28 01 ?? ?? ?? ?? F8 63 BA 6B FB 6B 9A 42 0C D2 D7 F8 28 01 ?? ?? ?? ?? 38 64 38 6C ?? ?? ?? ?? 38 82 3B 8A BB 80 53 E1 0B E0 D7 F8 28 31 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 78 82 7B 8A BB 80 46 E1 D7 F8 28 01 ?? ?? ?? ?? D7 F8 28 31 38 33 1B 68 00 2B 1E D1 00 23 3B 81 D7 F8 28 31 4C 33 19 68 17 F1 08 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 07 D0 17 F1 08 00 ?? ?? ?? ?? B8 82 BB 8A 7B 81 04 E0 ?? ?? ?? ?? F8 82 FB 8A 7B 81 7B 89 BB 80 1E E1 1D E1 17 F1 F8 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 28 31 4C 33 18 68 ?? ?? ?? ?? 78 64 7B 6C 3B 63 3B 6B B3 F1 FF 3F 0B D1 ?? ?? ?? ?? 38 83 3B 8B 7B 83 17 F1 F8 00 ?? ?? ?? ?? 7B 8B BB 80 FE E0 3B 6B 5A B2 01 21 17 F1 F8 00 ?? ?? ?? ?? 17 F1 B0 01 17 F1 F8 00 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? B8 65 17 F1 F8 00 ?? ?? ?? ?? F8 65 17 F1 A0 01 17 F1 F8 00 ?? ?? ?? ?? 38 65 3B 6D 7B 65 78 6D ?? ?? ?? ?? 38 66 17 F1 6C 03 03 93 3B 46 9B 1C 02 93 3B 46 01 93 17 F1 2C 03 00 93 BA 6D FB 6D 13 44 3A 6E D7 F8 28 11 40 31 D7 F8 28 01 38 30 00 68 ?? ?? ?? ?? 78 66 7B 6E BB 66 17 F1 A0 00 ?? ?? ?? ?? 17 F1 B0 00 ?? ?? ?? ?? BB 6E BB 62 BB 6A 00 2B C0 F2 9F 80 BB 6A 01 2B 03 DD BB 6A 03 2B 63 D0 97 E0 FA 6E 3B 46 9A 42 3E D0 17 F1 C0 01 17 F1 F8 00 ?? ?? ?? ?? 38 67 3B 6F 7B 67 78 6F ?? ?? ?? ?? B8 67 17 F1 F8 00 ?? ?? ?? ?? F8 67 BA 6F FB 6F 1A 44 FB 6A D3 1A FB 60 17 F1 C0 00 ?? ?? ?? ?? FB 68 00 2B 11 DD FB 68 5B 1E FB 60 D7 F8 28 31 4C 33 19 68 FA 68 01 23 02 FB 03 F2 FB 6A 13 44 93 F9 00 00 ?? ?? ?? ?? EA E7 38 46 ?? ?? ?? ?? B8 83 BB 8B FB 83 17 F1 F8 00 ?? ?? ?? ?? FB 8B BB 80 66 E0 1E E0 17 F1 D0 01 17 F1 F8 00 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 00 ?? ?? ?? ?? C7 F8 88 00 FA 6A D7 F8 88 30 D2 1A 00 21 17 F1 F8 00 ?? ?? ?? ?? 17 F1 D0 00 ?? ?? ?? ?? 40 E0 17 F1 F8 00 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 02 2B 00 D2 35 E0 17 F1 E0 01 17 F1 F8 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 C7 F8 94 30 D7 F8 94 00 ?? ?? ?? ?? C7 F8 98 00 02 23 D7 F8 98 20 02 21 38 46 ?? ?? ?? ?? 17 F1 E0 00 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 38 84 3B 8C 7B 84 17 F1 F8 00 ?? ?? ?? ?? 7B 8C BB 80 10 E0 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F1 F8 00 ?? ?? ?? ?? FB 8C BB 80 04 E0 EB E6 17 F1 F8 00 ?? ?? ?? ?? B8 88 4A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_30_409_2 {
	meta:
		name = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
		size = 792
		refs = "000a __security_push_cookie 0020 ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 003a ?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ 004c ?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ 0054 ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 006e ?eof@?$char_traits@_W@std@@SAGXZ 007e ?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ 009e ??$_Fgetc@_W@std@@YA_NAA_WPAU_iobuf@@@Z 00d0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00e0 fgetc 0100 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0114 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0120 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 012c ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0136 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0182 ?in@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPA_W3AAPA_W@Z 0190 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 021a ungetc 026e ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 02c0 memcpy_s 030c __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C6 B0 6F 46 84 B0 6F F0 01 03 C7 E9 3C 33 D7 F8 28 01 ?? ?? ?? ?? 78 63 7B 6B 00 2B 1A D0 D7 F8 28 01 ?? ?? ?? ?? B8 63 D7 F8 28 01 ?? ?? ?? ?? F8 63 BA 6B FB 6B 9A 42 0C D2 D7 F8 28 01 ?? ?? ?? ?? 38 64 38 6C ?? ?? ?? ?? 38 82 3B 8A BB 80 53 E1 0B E0 D7 F8 28 31 4C 33 1B 68 00 2B 05 D1 ?? ?? ?? ?? 78 82 7B 8A BB 80 46 E1 D7 F8 28 01 ?? ?? ?? ?? D7 F8 28 31 38 33 1B 68 00 2B 1E D1 00 23 3B 81 D7 F8 28 31 4C 33 19 68 17 F1 08 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 07 D0 17 F1 08 00 ?? ?? ?? ?? B8 82 BB 8A 7B 81 04 E0 ?? ?? ?? ?? F8 82 FB 8A 7B 81 7B 89 BB 80 1E E1 1D E1 17 F1 F8 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 28 31 4C 33 18 68 ?? ?? ?? ?? 78 64 7B 6C 3B 63 3B 6B B3 F1 FF 3F 0B D1 ?? ?? ?? ?? 38 83 3B 8B 7B 83 17 F1 F8 00 ?? ?? ?? ?? 7B 8B BB 80 FE E0 3B 6B 5A B2 01 21 17 F1 F8 00 ?? ?? ?? ?? 17 F1 B0 01 17 F1 F8 00 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? B8 65 17 F1 F8 00 ?? ?? ?? ?? F8 65 17 F1 A0 01 17 F1 F8 00 ?? ?? ?? ?? 38 65 3B 6D 7B 65 78 6D ?? ?? ?? ?? 38 66 17 F1 6C 03 03 93 3B 46 9B 1C 02 93 3B 46 01 93 17 F1 2C 03 00 93 BA 6D FB 6D 13 44 3A 6E D7 F8 28 11 40 31 D7 F8 28 01 38 30 00 68 ?? ?? ?? ?? 78 66 7B 6E BB 66 17 F1 A0 00 ?? ?? ?? ?? 17 F1 B0 00 ?? ?? ?? ?? BB 6E BB 62 BB 6A 00 2B C0 F2 9F 80 BB 6A 01 2B 03 DD BB 6A 03 2B 63 D0 97 E0 FA 6E 3B 46 9A 42 3E D0 17 F1 C0 01 17 F1 F8 00 ?? ?? ?? ?? 38 67 3B 6F 7B 67 78 6F ?? ?? ?? ?? B8 67 17 F1 F8 00 ?? ?? ?? ?? F8 67 BA 6F FB 6F 1A 44 FB 6A D3 1A FB 60 17 F1 C0 00 ?? ?? ?? ?? FB 68 00 2B 11 DD FB 68 5B 1E FB 60 D7 F8 28 31 4C 33 19 68 FA 68 01 23 02 FB 03 F2 FB 6A 13 44 93 F9 00 00 ?? ?? ?? ?? EA E7 38 46 ?? ?? ?? ?? B8 83 BB 8B FB 83 17 F1 F8 00 ?? ?? ?? ?? FB 8B BB 80 66 E0 1E E0 17 F1 D0 01 17 F1 F8 00 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 00 ?? ?? ?? ?? C7 F8 88 00 FA 6A D7 F8 88 30 D2 1A 00 21 17 F1 F8 00 ?? ?? ?? ?? 17 F1 D0 00 ?? ?? ?? ?? 40 E0 17 F1 F8 00 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 02 2B 00 D2 35 E0 17 F1 E0 01 17 F1 F8 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 C7 F8 94 30 D7 F8 94 00 ?? ?? ?? ?? C7 F8 98 00 02 23 D7 F8 98 20 02 21 38 46 ?? ?? ?? ?? 17 F1 E0 00 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 38 84 3B 8C 7B 84 17 F1 F8 00 ?? ?? ?? ?? 7B 8C BB 80 10 E0 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F1 F8 00 ?? ?? ?? ?? FB 8C BB 80 04 E0 EB E6 17 F1 F8 00 ?? ?? ?? ?? B8 88 4A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_43_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBD@Z"
		size = 554
		refs = "000a __security_push_cookie 0070 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 008c ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 00fa ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0192 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01a2 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 0212 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 021e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 6F F0 01 03 C7 E9 12 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 30 00 2B 14 D0 7A 69 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 20 D7 F8 8C 30 93 F9 00 30 9A 42 04 D1 D7 F8 88 30 5B 1C C7 F8 88 30 DC E7 00 22 D7 F8 88 10 17 F1 50 00 ?? ?? ?? ?? 38 64 6F F0 01 03 FB 61 01 23 3B 61 09 E0 3B 69 5B 1C 3B 61 D7 F8 80 00 ?? ?? ?? ?? 6F F0 00 03 FB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 88 30 9A 42 80 F0 9B 80 02 E0 7B 68 5B 1C 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 30 00 2B 0F D0 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 20 D7 F8 8C 30 93 F9 00 30 9A 42 00 D0 E1 E7 B9 68 17 F1 50 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 50 00 ?? ?? ?? ?? F8 62 FB 6A 93 F9 00 20 7B 68 13 44 7B 60 62 E0 7A 68 3B 69 13 44 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 20 D7 F8 8C 30 93 F9 00 30 9A 42 0A D0 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 30 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 BB 68 FB 61 2F E0 D7 F8 84 10 D7 F8 80 00 ?? ?? ?? ?? 38 73 3B 7B 00 2B 10 D1 D7 F8 80 00 ?? ?? ?? ?? 38 83 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 20 3B 8B 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 7B 62 01 E0 7F 23 7B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 78 63 7B 6A 5A B2 7B 6B 1A 70 01 E0 01 23 3B 70 5B E7 3B 78 00 2B 09 D0 D7 F8 84 10 D7 F8 80 00 ?? ?? ?? ?? 78 73 7B 7B 00 2B 00 D0 00 E0 3B E7 FB 69 BB 63 17 F1 50 00 ?? ?? ?? ?? BB 6B FB 63 F8 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_45_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPBD@Z"
		size = 554
		refs = "000a __security_push_cookie 0070 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 008c ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 00fa ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0192 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01a2 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 0212 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 021e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 6F F0 01 03 C7 E9 12 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 30 00 2B 14 D0 7A 69 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 20 D7 F8 8C 30 93 F9 00 30 9A 42 04 D1 D7 F8 88 30 5B 1C C7 F8 88 30 DC E7 00 22 D7 F8 88 10 17 F1 50 00 ?? ?? ?? ?? 38 64 6F F0 01 03 FB 61 01 23 3B 61 09 E0 3B 69 5B 1C 3B 61 D7 F8 80 00 ?? ?? ?? ?? 6F F0 00 03 FB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 88 30 9A 42 80 F0 9B 80 02 E0 7B 68 5B 1C 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 30 00 2B 0F D0 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 20 D7 F8 8C 30 93 F9 00 30 9A 42 00 D0 E1 E7 B9 68 17 F1 50 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 50 00 ?? ?? ?? ?? F8 62 FB 6A 93 F9 00 20 7B 68 13 44 7B 60 62 E0 7A 68 3B 69 13 44 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 20 D7 F8 8C 30 93 F9 00 30 9A 42 0A D0 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 30 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 BB 68 FB 61 2F E0 D7 F8 84 10 D7 F8 80 00 ?? ?? ?? ?? 38 73 3B 7B 00 2B 10 D1 D7 F8 80 00 ?? ?? ?? ?? 38 83 7A 68 01 23 02 FB 03 F2 D7 F8 8C 30 13 44 93 F9 00 20 3B 8B 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 7B 62 01 E0 7F 23 7B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 78 63 7B 6A 5A B2 7B 6B 1A 70 01 E0 01 23 3B 70 5B E7 3B 78 00 2B 09 D0 D7 F8 84 10 D7 F8 80 00 ?? ?? ?? ?? 78 73 7B 7B 00 2B 00 D0 00 E0 3B E7 FB 69 BB 63 17 F1 50 00 ?? ?? ?? ?? BB 6B FB 63 F8 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_47_2 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z"
		size = 534
		refs = "000a __security_push_cookie 006a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0086 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 00ee ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0180 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0190 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 01fe ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 020a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 6F F0 01 03 C7 E9 12 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1B 88 00 2B 12 D0 7A 69 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1A 88 D7 F8 8C 30 1B 88 9A 42 04 D1 D7 F8 88 30 5B 1C C7 F8 88 30 DF E7 00 22 D7 F8 88 10 17 F1 50 00 ?? ?? ?? ?? 38 64 6F F0 01 03 FB 61 01 23 3B 61 09 E0 3B 69 5B 1C 3B 61 D7 F8 80 00 ?? ?? ?? ?? 6F F0 00 03 FB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 88 30 9A 42 80 F0 94 80 02 E0 7B 68 5B 1C 7B 60 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1B 88 00 2B 0D D0 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1A 88 D7 F8 8C 30 1B 88 9A 42 00 D0 E4 E7 B9 68 17 F1 50 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 50 00 ?? ?? ?? ?? F8 62 FB 6A 93 F9 00 20 7B 68 13 44 7B 60 5E E0 7A 68 3B 69 13 44 7B 60 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1A 88 D7 F8 8C 30 1B 88 9A 42 09 D0 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1B 88 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 BB 68 FB 61 2E E0 D7 F8 84 10 D7 F8 80 00 ?? ?? ?? ?? 38 73 3B 7B 00 2B 0F D1 D7 F8 80 00 ?? ?? ?? ?? 38 83 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1A 88 3B 8B 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 7B 62 01 E0 7F 23 7B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 78 63 7B 6A 5A B2 7B 6B 1A 70 01 E0 01 23 3B 70 62 E7 3B 78 00 2B 09 D0 D7 F8 84 10 D7 F8 80 00 ?? ?? ?? ?? 78 73 7B 7B 00 2B 00 D0 00 E0 42 E7 FB 69 BB 63 17 F1 50 00 ?? ?? ?? ?? BB 6B FB 63 F8 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_49_2 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z"
		size = 534
		refs = "000a __security_push_cookie 006a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0086 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 00ee ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0180 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0190 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 01fe ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 020a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 6F F0 01 03 C7 E9 12 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1B 88 00 2B 12 D0 7A 69 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1A 88 D7 F8 8C 30 1B 88 9A 42 04 D1 D7 F8 88 30 5B 1C C7 F8 88 30 DF E7 00 22 D7 F8 88 10 17 F1 50 00 ?? ?? ?? ?? 38 64 6F F0 01 03 FB 61 01 23 3B 61 09 E0 3B 69 5B 1C 3B 61 D7 F8 80 00 ?? ?? ?? ?? 6F F0 00 03 FB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 88 30 9A 42 80 F0 94 80 02 E0 7B 68 5B 1C 7B 60 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1B 88 00 2B 0D D0 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1A 88 D7 F8 8C 30 1B 88 9A 42 00 D0 E4 E7 B9 68 17 F1 50 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 50 00 ?? ?? ?? ?? F8 62 FB 6A 93 F9 00 20 7B 68 13 44 7B 60 5E E0 7A 68 3B 69 13 44 7B 60 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1A 88 D7 F8 8C 30 1B 88 9A 42 09 D0 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1B 88 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 BB 68 FB 61 2E E0 D7 F8 84 10 D7 F8 80 00 ?? ?? ?? ?? 38 73 3B 7B 00 2B 0F D1 D7 F8 80 00 ?? ?? ?? ?? 38 83 7A 68 02 23 02 FB 03 F2 D7 F8 8C 30 13 44 1A 88 3B 8B 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 7B 62 01 E0 7F 23 7B 62 B9 68 17 F1 50 00 ?? ?? ?? ?? 78 63 7B 6A 5A B2 7B 6B 1A 70 01 E0 01 23 3B 70 62 E7 3B 78 00 2B 09 D0 D7 F8 84 10 D7 F8 80 00 ?? ?? ?? ?? 78 73 7B 7B 00 2B 00 D0 00 E0 42 E7 FB 69 BB 63 17 F1 50 00 ?? ?? ?? ?? BB 6B FB 63 F8 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_96_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z"
		size = 216
		refs = "0024 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@ABV01@@Z 0052 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0060 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@$$QAV01@@Z 0078 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 009e ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z 00ac ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B AD B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 17 F1 78 03 3B 60 D7 F8 C8 10 38 68 ?? ?? ?? ?? 78 60 7B 68 3B 63 17 F1 88 03 BB 60 D7 F8 C4 10 B8 68 ?? ?? ?? ?? F8 60 FB 68 7B 63 17 F1 98 03 BB 61 17 F1 60 01 D7 F8 C0 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 69 ?? ?? ?? ?? F8 61 FB 69 BB 63 17 F1 A8 03 BB 62 17 F1 50 01 D7 F8 C0 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 79 6A B8 6A ?? ?? ?? ?? F8 62 FB 6A FB 63 3B 6B 00 93 7B 6B BA 6B F9 6B D7 F8 C0 00 ?? ?? ?? ?? 38 64 3B 6C 7B 64 17 F1 50 00 ?? ?? ?? ?? 17 F1 60 00 ?? ?? ?? ?? D7 F8 C4 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? 7B 6C BB 64 B8 6C 2F B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_40_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z"
		size = 216
		refs = "0024 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@ABV01@@Z 0052 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0060 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@$$QAV01@@Z 0078 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 009e ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z 00ac ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B AD B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 17 F1 78 03 3B 60 D7 F8 C8 10 38 68 ?? ?? ?? ?? 78 60 7B 68 3B 63 17 F1 88 03 BB 60 D7 F8 C4 10 B8 68 ?? ?? ?? ?? F8 60 FB 68 7B 63 17 F1 98 03 BB 61 17 F1 60 01 D7 F8 C0 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 69 ?? ?? ?? ?? F8 61 FB 69 BB 63 17 F1 A8 03 BB 62 17 F1 50 01 D7 F8 C0 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 79 6A B8 6A ?? ?? ?? ?? F8 62 FB 6A FB 63 3B 6B 00 93 7B 6B BA 6B F9 6B D7 F8 C0 00 ?? ?? ?? ?? 38 64 3B 6C 7B 64 17 F1 50 00 ?? ?? ?? ?? 17 F1 60 00 ?? ?? ?? ?? D7 F8 C4 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? 7B 6C BB 64 B8 6C 2F B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_104_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z"
		size = 216
		refs = "0024 ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@ABV01@@Z 0052 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0060 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@$$QAV01@@Z 0078 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 009e ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z 00ac ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B AD B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 17 F1 78 03 3B 60 D7 F8 C8 10 38 68 ?? ?? ?? ?? 78 60 7B 68 3B 63 17 F1 88 03 BB 60 D7 F8 C4 10 B8 68 ?? ?? ?? ?? F8 60 FB 68 7B 63 17 F1 98 03 BB 61 17 F1 60 01 D7 F8 C0 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 79 69 B8 69 ?? ?? ?? ?? F8 61 FB 69 BB 63 17 F1 A8 03 BB 62 17 F1 50 01 D7 F8 C0 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 79 6A B8 6A ?? ?? ?? ?? F8 62 FB 6A FB 63 3B 6B 00 93 7B 6B BA 6B F9 6B D7 F8 C0 00 ?? ?? ?? ?? 38 64 3B 6C 7B 64 17 F1 50 00 ?? ?? ?? ?? 17 F1 60 00 ?? ?? ?? ?? D7 F8 C4 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? 7B 6C BB 64 B8 6C 2F B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_228_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
		size = 44
		refs = "000c ??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 04 9B 03 F1 08 02 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_97_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
		size = 44
		refs = "000c ??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 04 9B 03 F1 08 02 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_233_2 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
		size = 44
		refs = "000c ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 04 9B 03 F1 08 02 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_439_2 {
	meta:
		name = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z"
		size = 50
		refs = "000e ??4?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_204_2 {
	meta:
		name = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z"
		size = 50
		refs = "000e ??4?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_440_2 {
	meta:
		name = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z"
		size = 50
		refs = "000e ??4?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 05 9B 03 F1 08 01 04 9B 03 F1 08 02 0B 68 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_445_2 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z"
		size = 204
		refs = "0024 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 002a ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 003c ??$?9V?$allocator@G@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z 0054 ?_Move_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z 0082 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0096 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 00a6 ??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z 00ae ??$forward@V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@@std@@YA$$QAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@0@AAV10@@Z 00b8 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 6F F0 01 03 C7 E9 0E 33 BA 6E FB 6E 9A 42 4E D0 00 22 01 21 B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? 78 60 B8 6E ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 F8 6E ?? ?? ?? ?? F8 60 F9 68 B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? 38 61 B8 6E ?? ?? ?? ?? 78 61 39 69 78 69 ?? ?? ?? ?? 78 70 7B 78 00 2B 19 D0 17 F1 40 03 BB 61 B9 69 F8 6E ?? ?? ?? ?? F8 61 FB 69 BB 62 17 F1 50 03 3B 62 39 6A F8 6E ?? ?? ?? ?? 78 62 7B 6A FB 62 BA 6A F9 6A B8 6E ?? ?? ?? ?? 07 E0 F8 6E ?? ?? ?? ?? 38 63 39 6B B8 6E ?? ?? ?? ?? BB 6E 7B 63 78 6B 17 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_87_207_2 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z"
		size = 204
		refs = "0024 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 002a ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 003c ??$?9V?$allocator@D@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z 0054 ?_Move_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z 0082 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0096 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00a6 ??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z 00ae ??$forward@V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@@std@@YA$$QAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@0@AAV10@@Z 00b8 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 6F F0 01 03 C7 E9 0E 33 BA 6E FB 6E 9A 42 4E D0 00 22 01 21 B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? 78 60 B8 6E ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 F8 6E ?? ?? ?? ?? F8 60 F9 68 B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? 38 61 B8 6E ?? ?? ?? ?? 78 61 39 69 78 69 ?? ?? ?? ?? 78 70 7B 78 00 2B 19 D0 17 F1 40 03 BB 61 B9 69 F8 6E ?? ?? ?? ?? F8 61 FB 69 BB 62 17 F1 50 03 3B 62 39 6A F8 6E ?? ?? ?? ?? 78 62 7B 6A FB 62 BA 6A F9 6A B8 6E ?? ?? ?? ?? 07 E0 F8 6E ?? ?? ?? ?? 38 63 39 6B B8 6E ?? ?? ?? ?? BB 6E 7B 63 78 6B 17 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_447_2 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z"
		size = 204
		refs = "0024 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 002a ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 003c ??$?9V?$allocator@_W@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z 0054 ?_Move_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z 0082 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0096 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00a6 ??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z 00ae ??$forward@V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@@std@@YA$$QAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@0@AAV10@@Z 00b8 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 6F F0 01 03 C7 E9 0E 33 BA 6E FB 6E 9A 42 4E D0 00 22 01 21 B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? 78 60 B8 6E ?? ?? ?? ?? B8 60 79 68 B8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 F8 6E ?? ?? ?? ?? F8 60 F9 68 B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? 38 61 B8 6E ?? ?? ?? ?? 78 61 39 69 78 69 ?? ?? ?? ?? 78 70 7B 78 00 2B 19 D0 17 F1 40 03 BB 61 B9 69 F8 6E ?? ?? ?? ?? F8 61 FB 69 BB 62 17 F1 50 03 3B 62 39 6A F8 6E ?? ?? ?? ?? 78 62 7B 6A FB 62 BA 6A F9 6A B8 6E ?? ?? ?? ?? 07 E0 F8 6E ?? ?? ?? ?? 38 63 39 6B B8 6E ?? ?? ?? ?? BB 6E 7B 63 78 6B 17 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_453_2 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 68
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 03 F1 08 02 05 9B 08 33 12 68 1B 68 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_211_2 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 68
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 03 F1 08 02 05 9B 08 33 12 68 1B 68 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_454_2 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 68
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 03 F1 08 02 05 9B 08 33 12 68 1B 68 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_457_2 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z"
		size = 132
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 002e _CrtDbgReportW 004a _invalid_parameter 0050 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0070 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0074 ??_C@_1LO@NPPEKPAI@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAc?$AAh?$AAa?$AAr?$AA?0?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA?5?$AAs?$AAt@ 0078 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1DO@BEGGBFCM@?$AA?$CC?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAs?$AAi?$AAz?$AAe?$AA?$CI?$AA?$CJ?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 9A 02 9B 1B 68 9A 42 18 D9 18 4B 01 93 16 4B 00 93 00 23 40 F2 95 62 13 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 95 63 0C 4A 0B 49 09 48 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 04 90 09 9A 01 23 02 FB 03 F2 04 9B 13 44 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_458_2 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z"
		size = 132
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ 002e _CrtDbgReportW 004a _invalid_parameter 0050 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ 0070 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0074 ??_C@_1LO@NPPEKPAI@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAc?$AAh?$AAa?$AAr?$AA?0?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA?5?$AAs?$AAt@ 0078 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1DO@BEGGBFCM@?$AA?$CC?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAs?$AAi?$AAz?$AAe?$AA?$CI?$AA?$CJ?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 9A 02 9B 1B 68 9A 42 18 D9 18 4B 01 93 16 4B 00 93 00 23 40 F2 A2 62 13 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 A2 63 0C 4A 0B 49 09 48 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 04 90 09 9A 01 23 02 FB 03 F2 04 9B 13 44 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_460_2 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAABGI@Z"
		size = 132
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABIXZ 002e _CrtDbgReportW 004a _invalid_parameter 0050 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ 0070 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0074 ??_C@_1PK@DGBEGJPE@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAs?$AAh?$AAo?$AAr?$AAt@ 0078 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1DO@BEGGBFCM@?$AA?$CC?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAs?$AAi?$AAz?$AAe?$AA?$CI?$AA?$CJ?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 9A 02 9B 1B 68 9A 42 18 D9 18 4B 01 93 16 4B 00 93 00 23 40 F2 A2 62 13 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 A2 63 0C 4A 0B 49 09 48 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 04 90 09 9A 02 23 02 FB 03 F2 04 9B 13 44 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_462_2 {
	meta:
		name = "??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAAB_WI@Z"
		size = 132
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABIXZ 002e _CrtDbgReportW 004a _invalid_parameter 0050 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ 0070 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0074 ??_C@_1NA@KFAKIFMH@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAw?$AAc?$AAh?$AAa?$AAr?$AA_?$AAt?$AA?0?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt@ 0078 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1DO@BEGGBFCM@?$AA?$CC?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAs?$AAi?$AAz?$AAe?$AA?$CI?$AA?$CJ?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 9A 02 9B 1B 68 9A 42 18 D9 18 4B 01 93 16 4B 00 93 00 23 40 F2 A2 62 13 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 A2 63 0C 4A 0B 49 09 48 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 04 90 09 9A 02 23 02 FB 03 F2 04 9B 13 44 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_472_2 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ"
		size = 280
		refs = "0024 _CrtDbgReportW 003e _invalid_parameter 0044 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0088 ??$_Unfancy@$$CBG@std@@YAPBGPBG@Z 0090 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ 00f8 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00fc ??_C@_1NM@OFDKAKOJ@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0100 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HK@PLALELEO@?$AA?$CC?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAp?$AAt@ 010c ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0110 ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 0114 ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 08 33 1B 68 00 2B 16 D1 3F 4B 01 93 3A 4B 00 93 00 23 6F 22 37 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 6F 23 31 4A 30 49 33 48 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 16 D1 2E 4B 01 93 2A 4B 00 93 00 23 71 22 27 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 00 23 00 93 71 23 21 4A 20 49 23 48 ?? ?? ?? ?? 0C 9B 08 33 18 68 ?? ?? ?? ?? 07 90 02 98 ?? ?? ?? ?? 06 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 06 9B 1A 44 07 9B 93 42 16 D3 16 4B 01 93 14 4B 00 93 00 23 72 22 11 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 00 23 00 93 72 23 0B 4A 0A 49 08 48 ?? ?? ?? ?? 0C 9B 08 33 1B 68 9A 1C 0C 9B 08 33 1A 60 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_473_2 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ"
		size = 280
		refs = "0024 _CrtDbgReportW 003e _invalid_parameter 0044 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0088 ??$_Unfancy@$$CB_W@std@@YAPB_WPB_W@Z 0090 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ 00f8 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00fc ??_C@_1MO@GAPGDMNB@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0100 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HK@PLALELEO@?$AA?$CC?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAp?$AAt@ 010c ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0110 ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 0114 ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 08 33 1B 68 00 2B 16 D1 3F 4B 01 93 3A 4B 00 93 00 23 6F 22 37 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 6F 23 31 4A 30 49 33 48 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 16 D1 2E 4B 01 93 2A 4B 00 93 00 23 71 22 27 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 00 23 00 93 71 23 21 4A 20 49 23 48 ?? ?? ?? ?? 0C 9B 08 33 18 68 ?? ?? ?? ?? 07 90 02 98 ?? ?? ?? ?? 06 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 06 9B 1A 44 07 9B 93 42 16 D3 16 4B 01 93 14 4B 00 93 00 23 72 22 11 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 00 23 00 93 72 23 0B 4A 0A 49 08 48 ?? ?? ?? ?? 0C 9B 08 33 1B 68 9A 1C 0C 9B 08 33 1A 60 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_480_2 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV01@@Z"
		size = 50
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 03 F1 08 02 05 9B 08 33 12 68 1B 68 D3 1A 5B 10 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_481_2 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV01@@Z"
		size = 50
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 03 F1 08 02 05 9B 08 33 12 68 1B 68 D3 1A 5B 10 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_588_2 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAXABV12@@Z"
		size = 116
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0034 _CrtDbgReportW 0050 _invalid_parameter 0060 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0064 ??_C@_1NE@FAMHLCMB@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0068 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1FK@GDJNIOJA@?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAG?$AAe?$AAt?$AAc?$AAo?$AAn?$AAt?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAR?$AAi?$AAg?$AAh?$AAt?$AA?4?$AA_?$AAG?$AAe?$AAt@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 98 ?? ?? ?? ?? 03 90 02 9A 03 9B 9A 42 18 D0 13 4B 01 93 11 4B 00 93 00 23 4F F4 84 72 0D 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 4F F4 84 73 07 4A 05 49 04 48 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_273_2 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAXABV12@@Z"
		size = 116
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0034 _CrtDbgReportW 0050 _invalid_parameter 0060 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0064 ??_C@_1MA@BDELDFHB@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0068 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1FK@GDJNIOJA@?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAG?$AAe?$AAt?$AAc?$AAo?$AAn?$AAt?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAR?$AAi?$AAg?$AAh?$AAt?$AA?4?$AA_?$AAG?$AAe?$AAt@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 98 ?? ?? ?? ?? 03 90 02 9A 03 9B 9A 42 18 D0 13 4B 01 93 11 4B 00 93 00 23 4F F4 84 72 0D 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 4F F4 84 73 07 4A 05 49 04 48 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_589_2 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAXABV12@@Z"
		size = 116
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0034 _CrtDbgReportW 0050 _invalid_parameter 0060 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0064 ??_C@_1MG@CLNEOJNJ@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0068 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1FK@GDJNIOJA@?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAG?$AAe?$AAt?$AAc?$AAo?$AAn?$AAt?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAR?$AAi?$AAg?$AAh?$AAt?$AA?4?$AA_?$AAG?$AAe?$AAt@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 98 ?? ?? ?? ?? 03 90 02 9A 03 9B 9A 42 18 D0 13 4B 01 93 11 4B 00 93 00 23 4F F4 84 72 0D 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 4F F4 84 73 07 4A 05 49 04 48 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_599_2 {
	meta:
		name = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z"
		size = 48
		refs = "000c ?_Free_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ 0012 ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 001c ??$_Pocca@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@ABU10@@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_37_166_2 {
	meta:
		name = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z"
		size = 48
		refs = "000c ?_Free_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ 0012 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 001c ??$_Pocca@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@ABU10@@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_600_2 {
	meta:
		name = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z"
		size = 48
		refs = "000c ?_Free_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ 0012 ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 001c ??$_Pocca@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@ABU10@@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_389_2 {
	meta:
		name = "?_Move_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z"
		size = 48
		refs = "000c ?_Free_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ 0012 ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 001c ??$_Pocma@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_915_2 {
	meta:
		name = "?_Move_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z"
		size = 48
		refs = "000c ?_Free_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ 0012 ?_Getal@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@XZ 001c ??$_Pocma@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@0@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_916_2 {
	meta:
		name = "?_Move_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z"
		size = 48
		refs = "000c ?_Free_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ 0012 ?_Getal@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@XZ 001c ??$_Pocma@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0@Z 0022 ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 00 90 05 99 00 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_621_2 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z"
		size = 1224
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00cc strcspn 00e2 memcpy 00e6 localeconv 0114 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0120 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 012e ??1locale@std@@QAA@XZ 013c ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 014a ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0168 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 0180 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0198 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a2 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 01b8 ?decimal_point@?$numpunct@G@std@@QBAGXZ 01ee ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0232 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 024e ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 025e ?width@ios_base@std@@QBA_JXZ 0310 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0352 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 0470 ?width@ios_base@std@@QAA_J_J@Z 0496 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 049e ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 04b0 __security_pop_cookie 04bc ??_C@_01LFCBOECM@?4?$AA@ 04c0 ??_C@_02OOPEBDOJ@pP?$AA@ 04c4 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 8C 31 00 2B 0E D9 D7 F8 88 31 93 F9 00 30 2B 2B 05 D0 D7 F8 88 31 93 F9 00 30 2D 2B 02 D1 01 23 BB 62 01 E0 00 23 BB 62 BB 6A 3B 60 D7 F8 80 01 ?? ?? ?? ?? B8 63 BB 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 60 34 FB 62 2E E0 DF F8 54 34 FB 62 3B 68 9A 1C D7 F8 8C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 F9 6A D7 F8 88 01 ?? ?? ?? ?? F8 63 FB 6B 3B 67 17 F1 08 03 3B 64 38 6C F7 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 78 64 7B 6C 1B 68 17 F1 08 02 93 F9 00 30 13 70 17 F1 08 01 D7 F8 88 01 ?? ?? ?? ?? B8 64 BB 6C 3B 61 17 F1 D8 01 D7 F8 80 01 ?? ?? ?? ?? F8 64 FB 6C 3B 65 38 6D ?? ?? ?? ?? 78 65 7B 6D FB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 8C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? B8 65 BB 6D D7 F8 8C 11 01 22 01 FB 02 F1 D7 F8 88 21 0A 44 D7 F8 88 11 F8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 80 01 ?? ?? ?? ?? 38 66 3B 6E 7B 66 78 6E ?? ?? ?? ?? B8 66 BB 6E 3B 62 17 F1 E0 00 ?? ?? ?? ?? 17 F5 A0 71 38 6A ?? ?? ?? ?? C7 F8 D4 00 38 6A ?? ?? ?? ?? 38 83 3B 8B BB 83 3A 69 D7 F8 8C 31 9A 42 0C D0 38 6A ?? ?? ?? ?? 78 83 39 69 17 F5 90 70 ?? ?? ?? ?? F8 66 7A 8B FB 6E 1A 80 3A 69 D7 F8 8C 31 9A 42 02 D1 3B 6F 3B 63 01 E0 3B 69 3B 63 3B 6B 7B 61 00 21 17 F5 A0 70 ?? ?? ?? ?? 78 67 7B 6F 7B 60 7B 68 93 F9 00 30 7F 2B 23 D0 7B 68 93 F9 00 30 00 2B 1E DD 7B 68 93 F9 00 10 7A 69 3B 68 D3 1A 99 42 16 D2 7B 68 93 F9 00 20 7B 69 9B 1A 7B 61 BB 8B 01 22 79 69 17 F5 90 70 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D6 E7 17 F5 90 70 ?? ?? ?? ?? B8 67 BB 6F C7 F8 8C 31 D7 F8 80 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 FB 67 D7 F8 BC 30 00 2B 20 DB 02 DC FB 6F 00 2B 1C D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 8C 31 9A 42 0E D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 8C 31 D3 1A 7B 63 01 E0 00 23 7B 63 7B 6B FB 60 D7 F8 80 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 03 F4 E0 73 7B 62 7B 6A 40 2B 3D D0 7B 6A B3 F5 80 7F 39 D0 FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F0 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 88 00 3B 68 01 93 D7 F8 88 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F8 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 5C E0 7B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 90 00 3B 68 01 93 D7 F8 90 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 80 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 BC 70 08 22 ?? ?? ?? ?? FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 84 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 9C 00 3B 68 01 93 D7 F8 9C 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 88 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 8C 21 3B 68 D3 1A 01 93 D7 F8 A4 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 8C 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 80 01 ?? ?? ?? ?? FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 17 F5 A0 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 74 31 C7 F8 AC 30 D7 F8 AC 00 5A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_626_2 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z"
		size = 1224
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00cc strcspn 00e2 memcpy 00e6 localeconv 0114 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0120 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 012e ??1locale@std@@QAA@XZ 013c ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 014a ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0168 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 0180 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0198 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a2 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 01b8 ?decimal_point@?$numpunct@_W@std@@QBA_WXZ 01ee ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0232 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 024e ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 025e ?width@ios_base@std@@QBA_JXZ 0310 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0352 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 0470 ?width@ios_base@std@@QAA_J_J@Z 0496 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 049e ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 04b0 __security_pop_cookie 04bc ??_C@_01LFCBOECM@?4?$AA@ 04c0 ??_C@_02OOPEBDOJ@pP?$AA@ 04c4 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 8C 31 00 2B 0E D9 D7 F8 88 31 93 F9 00 30 2B 2B 05 D0 D7 F8 88 31 93 F9 00 30 2D 2B 02 D1 01 23 BB 62 01 E0 00 23 BB 62 BB 6A 3B 60 D7 F8 80 01 ?? ?? ?? ?? B8 63 BB 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 60 34 FB 62 2E E0 DF F8 54 34 FB 62 3B 68 9A 1C D7 F8 8C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 F9 6A D7 F8 88 01 ?? ?? ?? ?? F8 63 FB 6B 3B 67 17 F1 08 03 3B 64 38 6C F7 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 78 64 7B 6C 1B 68 17 F1 08 02 93 F9 00 30 13 70 17 F1 08 01 D7 F8 88 01 ?? ?? ?? ?? B8 64 BB 6C 3B 61 17 F1 D8 01 D7 F8 80 01 ?? ?? ?? ?? F8 64 FB 6C 3B 65 38 6D ?? ?? ?? ?? 78 65 7B 6D FB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 8C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? B8 65 BB 6D D7 F8 8C 11 01 22 01 FB 02 F1 D7 F8 88 21 0A 44 D7 F8 88 11 F8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 80 01 ?? ?? ?? ?? 38 66 3B 6E 7B 66 78 6E ?? ?? ?? ?? B8 66 BB 6E 3B 62 17 F1 E0 00 ?? ?? ?? ?? 17 F5 A0 71 38 6A ?? ?? ?? ?? C7 F8 D4 00 38 6A ?? ?? ?? ?? 38 83 3B 8B BB 83 3A 69 D7 F8 8C 31 9A 42 0C D0 38 6A ?? ?? ?? ?? 78 83 39 69 17 F5 90 70 ?? ?? ?? ?? F8 66 7A 8B FB 6E 1A 80 3A 69 D7 F8 8C 31 9A 42 02 D1 3B 6F 3B 63 01 E0 3B 69 3B 63 3B 6B 7B 61 00 21 17 F5 A0 70 ?? ?? ?? ?? 78 67 7B 6F 7B 60 7B 68 93 F9 00 30 7F 2B 23 D0 7B 68 93 F9 00 30 00 2B 1E DD 7B 68 93 F9 00 10 7A 69 3B 68 D3 1A 99 42 16 D2 7B 68 93 F9 00 20 7B 69 9B 1A 7B 61 BB 8B 01 22 79 69 17 F5 90 70 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D6 E7 17 F5 90 70 ?? ?? ?? ?? B8 67 BB 6F C7 F8 8C 31 D7 F8 80 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 FB 67 D7 F8 BC 30 00 2B 20 DB 02 DC FB 6F 00 2B 1C D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 8C 31 9A 42 0E D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 8C 31 D3 1A 7B 63 01 E0 00 23 7B 63 7B 6B FB 60 D7 F8 80 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 03 F4 E0 73 7B 62 7B 6A 40 2B 3D D0 7B 6A B3 F5 80 7F 39 D0 FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F0 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 88 00 3B 68 01 93 D7 F8 88 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F8 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 5C E0 7B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 90 00 3B 68 01 93 D7 F8 90 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 80 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 BC 70 08 22 ?? ?? ?? ?? FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 84 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 9C 00 3B 68 01 93 D7 F8 9C 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 88 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 8C 21 3B 68 D3 1A 01 93 D7 F8 A4 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 8C 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 80 01 ?? ?? ?? ?? FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 17 F5 A0 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 74 31 C7 F8 AC 30 D7 F8 AC 00 5A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_664_2 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 226
		refs = "000a __security_push_cookie 0032 ??2_Crt_new_delete@std@@SAPAXI@Z 004a ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 006a ??0_Locinfo@std@@QAA@PBD@Z 0082 ??0?$collate@G@std@@QAA@ABV_Locinfo@1@I@Z 00b2 ??1_Locinfo@std@@QAA@XZ 00ca ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A4 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 23 3B 60 D7 F8 A0 30 00 2B 53 D0 D7 F8 A0 30 1B 68 00 2B 4E D1 10 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 25 D0 17 F1 70 01 D7 F8 A4 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 3B 68 43 F0 01 03 3B 60 78 69 ?? ?? ?? ?? B8 61 B9 69 17 F1 38 00 ?? ?? ?? ?? F8 61 FB 69 3B 62 3B 68 43 F0 02 03 3B 60 00 22 39 6A 78 68 ?? ?? ?? ?? 78 62 7B 6A BB 60 01 E0 00 23 BB 60 BB 68 BB 62 BA 6A D7 F8 A0 30 1A 60 3B 68 13 F0 02 0F 07 D0 3B 68 23 F0 02 03 3B 60 17 F1 38 00 ?? ?? ?? ?? 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 70 00 ?? ?? ?? ?? 01 23 FB 62 F8 6A 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_87_296_2 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 226
		refs = "000a __security_push_cookie 0032 ??2_Crt_new_delete@std@@SAPAXI@Z 004a ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 006a ??0_Locinfo@std@@QAA@PBD@Z 0082 ??0?$collate@D@std@@QAA@ABV_Locinfo@1@I@Z 00b2 ??1_Locinfo@std@@QAA@XZ 00ca ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A4 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 23 3B 60 D7 F8 A0 30 00 2B 53 D0 D7 F8 A0 30 1B 68 00 2B 4E D1 10 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 25 D0 17 F1 70 01 D7 F8 A4 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 3B 68 43 F0 01 03 3B 60 78 69 ?? ?? ?? ?? B8 61 B9 69 17 F1 38 00 ?? ?? ?? ?? F8 61 FB 69 3B 62 3B 68 43 F0 02 03 3B 60 00 22 39 6A 78 68 ?? ?? ?? ?? 78 62 7B 6A BB 60 01 E0 00 23 BB 60 BB 68 BB 62 BA 6A D7 F8 A0 30 1A 60 3B 68 13 F0 02 0F 07 D0 3B 68 23 F0 02 03 3B 60 17 F1 38 00 ?? ?? ?? ?? 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 70 00 ?? ?? ?? ?? 01 23 FB 62 F8 6A 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_668_2 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 226
		refs = "000a __security_push_cookie 0032 ??2_Crt_new_delete@std@@SAPAXI@Z 004a ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 006a ??0_Locinfo@std@@QAA@PBD@Z 0082 ??0?$collate@_W@std@@QAA@ABV_Locinfo@1@I@Z 00b2 ??1_Locinfo@std@@QAA@XZ 00ca ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A4 B0 6F 46 6F F0 01 03 C7 E9 0C 33 00 23 3B 60 D7 F8 A0 30 00 2B 53 D0 D7 F8 A0 30 1B 68 00 2B 4E D1 10 20 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 00 2B 25 D0 17 F1 70 01 D7 F8 A4 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 3B 68 43 F0 01 03 3B 60 78 69 ?? ?? ?? ?? B8 61 B9 69 17 F1 38 00 ?? ?? ?? ?? F8 61 FB 69 3B 62 3B 68 43 F0 02 03 3B 60 00 22 39 6A 78 68 ?? ?? ?? ?? 78 62 7B 6A BB 60 01 E0 00 23 BB 60 BB 68 BB 62 BA 6A D7 F8 A0 30 1A 60 3B 68 13 F0 02 0F 07 D0 3B 68 23 F0 02 03 3B 60 17 F1 38 00 ?? ?? ?? ?? 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 70 00 ?? ?? ?? ?? 01 23 FB 62 F8 6A 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_746_2 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2088
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 004e ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 007c ??1locale@std@@QAA@XZ 0086 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b8 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00e2 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 00ee ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0104 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 0128 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 019a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 01d2 ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01f2 ??$_Find_elem@G@std@@YAIPAGG@Z 0258 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0270 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 0286 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 032c ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03a2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0466 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 048e ?decimal_point@?$numpunct@G@std@@QBAGXZ 04a0 localeconv 0814 __security_pop_cookie 0820 ?_Src@?1??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D4 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 70 01 ?? ?? ?? ?? F8 66 FB 6E 03 F4 40 53 B3 F5 40 5F 13 D1 D7 F8 74 31 01 93 D7 F8 70 31 00 93 D7 F8 6C 31 D7 F8 68 21 D7 F8 64 11 D7 F8 60 01 ?? ?? ?? ?? 38 67 3B 6F BB 66 DA E3 17 F1 D8 01 D7 F8 70 01 ?? ?? ?? ?? 78 67 7B 6F BB 67 B8 6F ?? ?? ?? ?? F8 67 FB 6F 7B 65 17 F1 D8 00 ?? ?? ?? ?? 17 F5 88 71 78 6D ?? ?? ?? ?? C7 F8 CC 00 D7 F8 64 31 7B 60 00 23 7B 72 00 23 3B 72 17 F1 E0 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 17 F1 E0 00 ?? ?? ?? ?? 17 F5 98 73 DF F8 48 27 0F 32 DF F8 44 17 D7 F8 8C 00 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 00 D0 2C E0 D7 F8 68 01 ?? ?? ?? ?? 78 86 7A 8E 17 F5 98 73 16 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? 15 E0 D7 F8 68 01 ?? ?? ?? ?? B8 86 BA 8E 17 F5 98 73 14 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? 7B 68 7B 66 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 7B 61 00 23 BB 61 D7 F8 74 31 1A 68 DF F8 A4 36 9A 42 03 D1 4F F4 40 73 FB 65 01 E0 24 23 FB 65 FB 6D BB 65 00 21 17 F5 88 70 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 3B 62 3B 6A 93 F9 00 30 7F 2B 04 D0 3B 6A 93 F9 00 30 00 2B 4B DC 05 E0 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 37 D0 D7 F8 68 01 ?? ?? ?? ?? F8 86 F9 8E 17 F5 98 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 3B 61 3B 69 0A 2B 25 D2 BA 6D 7B 69 9A 42 08 DC BB 69 5B 1C BB 61 3B 69 00 2B 01 D9 01 23 3B 72 17 E0 3B 69 00 2B 03 D1 7B 69 00 2B 00 D1 10 E0 3A 69 01 23 02 FB 03 F2 DF F8 E8 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 B5 E7 0A E1 17 F5 88 70 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 00 2B 02 D1 00 23 FB 85 05 E0 78 6D ?? ?? ?? ?? 38 87 3B 8F FB 85 FB 8D 3B 86 00 22 01 21 17 F1 F0 00 ?? ?? ?? ?? C7 F8 D0 00 00 23 FB 60 03 E0 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 7C D0 D7 F8 68 01 ?? ?? ?? ?? 78 87 79 8F 17 F5 98 70 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 3B 61 3B 69 0A 2B 45 D2 01 23 3B 70 BA 6D 7B 69 9A 42 08 DC BB 69 5B 1C BB 61 3B 69 00 2B 01 D9 01 23 3B 72 17 E0 3B 69 00 2B 03 D1 7B 69 00 2B 00 D1 10 E0 3A 69 01 23 02 FB 03 F2 DF F8 10 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 93 F9 00 30 7F 2B 10 D0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 3B 66 3B 6E 93 F9 00 30 5B 1C 5A B2 3B 6E 1A 70 23 E0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 93 F9 00 30 00 2B 0B D0 3B 8E 00 2B 08 D0 D7 F8 68 01 ?? ?? ?? ?? B8 87 BA 8F 3B 8E 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 F0 00 ?? ?? ?? ?? FB 68 5B 1C FB 60 72 E7 FB 68 00 2B 00 D1 12 E0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 93 F9 00 30 00 2B 03 DD FB 68 5B 1C FB 60 01 E0 01 23 7B 72 7B 7A 00 2B 3F D1 FB 68 00 2B 3C D9 3B 6A 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 FB 68 5B 1E FB 60 FB 68 00 2B 0F D9 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 B0 00 3B 6A 93 F9 00 20 D7 F8 B0 30 93 F9 00 30 9A 42 12 D1 FB 68 00 2B 12 D1 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 B4 00 3B 6A 93 F9 00 20 D7 F8 B4 30 93 F9 00 30 9A 42 02 DA 01 23 7B 72 08 E0 3B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6A 5B 1C 3B 62 BC E7 17 F1 F0 00 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 20 D0 D7 F8 68 01 ?? ?? ?? ?? F8 87 78 6D ?? ?? ?? ?? A7 F8 40 00 FA 8F B7 F8 40 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? D7 F8 74 31 1A 68 D6 4B 9A 42 32 D0 7B 69 00 2B 2F D1 05 E0 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 10 D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 42 00 B7 F8 42 20 17 F5 98 73 1B 88 9A 42 03 D1 BB 69 5B 1E BB 61 DC E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 2E D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 44 00 B7 F8 44 10 17 F5 98 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 3B 61 3B 69 0A 2B 1A D2 7A 69 BB 6D 9A 42 10 DA 3A 69 01 23 02 FB 03 F2 A2 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 04 E0 3B 69 00 2B 01 D9 01 23 3B 72 BE E7 3B 7A 00 2B 33 D0 7B 68 FB 61 FB 69 5B 1E FB 61 FA 69 7B 6E 9A 42 20 D0 ?? ?? ?? ?? C7 F8 C0 00 FB 69 93 F9 00 20 D7 F8 C0 30 1B 68 93 F9 00 30 9A 42 00 D1 10 E0 FB 69 93 F9 00 30 39 2B 08 D0 FB 69 93 F9 00 30 5B 1C 5A B2 FB 69 1A 70 04 E0 02 E0 FA 69 30 23 13 70 D7 E7 FA 69 7B 6E 9A 42 05 D1 FA 69 31 23 13 70 BB 69 5B 1C BB 61 3B 78 00 2B 00 F0 DA 80 D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 00 F0 CD 80 D7 F8 68 01 ?? ?? ?? ?? A7 F8 46 00 B7 F8 46 20 17 F5 98 73 1A 33 1B 88 9A 42 0E D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 48 00 B7 F8 48 20 17 F5 98 73 18 33 1B 88 9A 42 40 F0 B0 80 7A 68 65 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? 00 23 3B 70 00 23 7B 61 D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 00 D0 30 E0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 17 F5 98 73 16 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? 17 E0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 20 17 F5 98 73 14 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 2C 00 97 F8 2C 30 00 2B 13 D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 20 17 F5 98 73 1B 88 9A 42 06 D1 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? DF E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 00 2B 27 D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 10 17 F5 98 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 3B 61 3B 69 0A 2B 13 D2 7B 69 08 2B 0F DA 3A 69 01 23 02 FB 03 F2 15 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 C5 E7 7B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 64 31 7B 60 7A 68 00 23 13 70 BB 69 C7 F8 C8 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 C8 30 BB 66 B8 6E 56 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_34_751_2 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2088
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 004e ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 007c ??1locale@std@@QAA@XZ 0086 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b8 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00e2 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 00ee ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0104 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 0128 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 019a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 01d2 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01f2 ??$_Find_elem@_W@std@@YAIPA_W_W@Z 0258 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0270 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 0286 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 032c ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03a2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0466 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 048e ?decimal_point@?$numpunct@_W@std@@QBA_WXZ 04a0 localeconv 0814 __security_pop_cookie 0820 ?_Src@?1??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D4 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 70 01 ?? ?? ?? ?? F8 66 FB 6E 03 F4 40 53 B3 F5 40 5F 13 D1 D7 F8 74 31 01 93 D7 F8 70 31 00 93 D7 F8 6C 31 D7 F8 68 21 D7 F8 64 11 D7 F8 60 01 ?? ?? ?? ?? 38 67 3B 6F BB 66 DA E3 17 F1 D8 01 D7 F8 70 01 ?? ?? ?? ?? 78 67 7B 6F BB 67 B8 6F ?? ?? ?? ?? F8 67 FB 6F 7B 65 17 F1 D8 00 ?? ?? ?? ?? 17 F5 88 71 78 6D ?? ?? ?? ?? C7 F8 CC 00 D7 F8 64 31 7B 60 00 23 7B 72 00 23 3B 72 17 F1 E0 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 17 F1 E0 00 ?? ?? ?? ?? 17 F5 98 73 DF F8 48 27 0F 32 DF F8 44 17 D7 F8 8C 00 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 00 D0 2C E0 D7 F8 68 01 ?? ?? ?? ?? 78 86 7A 8E 17 F5 98 73 16 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? 15 E0 D7 F8 68 01 ?? ?? ?? ?? B8 86 BA 8E 17 F5 98 73 14 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? 7B 68 7B 66 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 7B 61 00 23 BB 61 D7 F8 74 31 1A 68 DF F8 A4 36 9A 42 03 D1 4F F4 40 73 FB 65 01 E0 24 23 FB 65 FB 6D BB 65 00 21 17 F5 88 70 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 3B 62 3B 6A 93 F9 00 30 7F 2B 04 D0 3B 6A 93 F9 00 30 00 2B 4B DC 05 E0 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 37 D0 D7 F8 68 01 ?? ?? ?? ?? F8 86 F9 8E 17 F5 98 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 3B 61 3B 69 0A 2B 25 D2 BA 6D 7B 69 9A 42 08 DC BB 69 5B 1C BB 61 3B 69 00 2B 01 D9 01 23 3B 72 17 E0 3B 69 00 2B 03 D1 7B 69 00 2B 00 D1 10 E0 3A 69 01 23 02 FB 03 F2 DF F8 E8 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 B5 E7 0A E1 17 F5 88 70 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 00 2B 02 D1 00 23 FB 85 05 E0 78 6D ?? ?? ?? ?? 38 87 3B 8F FB 85 FB 8D 3B 86 00 22 01 21 17 F1 F0 00 ?? ?? ?? ?? C7 F8 D0 00 00 23 FB 60 03 E0 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 7C D0 D7 F8 68 01 ?? ?? ?? ?? 78 87 79 8F 17 F5 98 70 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 3B 61 3B 69 0A 2B 45 D2 01 23 3B 70 BA 6D 7B 69 9A 42 08 DC BB 69 5B 1C BB 61 3B 69 00 2B 01 D9 01 23 3B 72 17 E0 3B 69 00 2B 03 D1 7B 69 00 2B 00 D1 10 E0 3A 69 01 23 02 FB 03 F2 DF F8 10 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 93 F9 00 30 7F 2B 10 D0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 3B 66 3B 6E 93 F9 00 30 5B 1C 5A B2 3B 6E 1A 70 23 E0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 93 F9 00 30 00 2B 0B D0 3B 8E 00 2B 08 D0 D7 F8 68 01 ?? ?? ?? ?? B8 87 BA 8F 3B 8E 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 F0 00 ?? ?? ?? ?? FB 68 5B 1C FB 60 72 E7 FB 68 00 2B 00 D1 12 E0 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 93 F9 00 30 00 2B 03 DD FB 68 5B 1C FB 60 01 E0 01 23 7B 72 7B 7A 00 2B 3F D1 FB 68 00 2B 3C D9 3B 6A 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 FB 68 5B 1E FB 60 FB 68 00 2B 0F D9 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 B0 00 3B 6A 93 F9 00 20 D7 F8 B0 30 93 F9 00 30 9A 42 12 D1 FB 68 00 2B 12 D1 F9 68 17 F1 F0 00 ?? ?? ?? ?? C7 F8 B4 00 3B 6A 93 F9 00 20 D7 F8 B4 30 93 F9 00 30 9A 42 02 DA 01 23 7B 72 08 E0 3B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6A 5B 1C 3B 62 BC E7 17 F1 F0 00 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 20 D0 D7 F8 68 01 ?? ?? ?? ?? F8 87 78 6D ?? ?? ?? ?? A7 F8 40 00 FA 8F B7 F8 40 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? D7 F8 74 31 1A 68 D6 4B 9A 42 32 D0 7B 69 00 2B 2F D1 05 E0 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 10 D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 42 00 B7 F8 42 20 17 F5 98 73 1B 88 9A 42 03 D1 BB 69 5B 1E BB 61 DC E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 2E D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 44 00 B7 F8 44 10 17 F5 98 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 3B 61 3B 69 0A 2B 1A D2 7A 69 BB 6D 9A 42 10 DA 3A 69 01 23 02 FB 03 F2 A2 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 04 E0 3B 69 00 2B 01 D9 01 23 3B 72 BE E7 3B 7A 00 2B 33 D0 7B 68 FB 61 FB 69 5B 1E FB 61 FA 69 7B 6E 9A 42 20 D0 ?? ?? ?? ?? C7 F8 C0 00 FB 69 93 F9 00 20 D7 F8 C0 30 1B 68 93 F9 00 30 9A 42 00 D1 10 E0 FB 69 93 F9 00 30 39 2B 08 D0 FB 69 93 F9 00 30 5B 1C 5A B2 FB 69 1A 70 04 E0 02 E0 FA 69 30 23 13 70 D7 E7 FA 69 7B 6E 9A 42 05 D1 FA 69 31 23 13 70 BB 69 5B 1C BB 61 3B 78 00 2B 00 F0 DA 80 D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 00 F0 CD 80 D7 F8 68 01 ?? ?? ?? ?? A7 F8 46 00 B7 F8 46 20 17 F5 98 73 1A 33 1B 88 9A 42 0E D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 48 00 B7 F8 48 20 17 F5 98 73 18 33 1B 88 9A 42 40 F0 B0 80 7A 68 65 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? 00 23 3B 70 00 23 7B 61 D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 00 D0 30 E0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 17 F5 98 73 16 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? 17 E0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 20 17 F5 98 73 14 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 2C 00 97 F8 2C 30 00 2B 13 D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 20 17 F5 98 73 1B 88 9A 42 06 D1 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? DF E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 68 01 ?? ?? ?? ?? D7 F8 6C 11 D7 F8 68 01 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 00 2B 27 D0 D7 F8 68 01 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 10 17 F5 98 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 3B 61 3B 69 0A 2B 13 D2 7B 69 08 2B 0F DA 3A 69 01 23 02 FB 03 F2 15 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 7B 69 5B 1C 7B 61 C5 E7 7B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 64 31 7B 60 7A 68 00 23 13 70 BB 69 C7 F8 C8 30 17 F5 88 70 ?? ?? ?? ?? D7 F8 C8 30 BB 66 B8 6E 56 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_34_756_2 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2052
		refs = "000a __security_push_cookie 0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 003c ??1locale@std@@QAA@XZ 0046 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0062 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0088 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 009e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00b4 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 00dc ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 017a ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01ec ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0244 ??$_Find_elem@G@std@@YAIPAGG@Z 02a0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 02b8 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 02ce ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 036a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03e0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 04a4 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04e4 ?decimal_point@?$numpunct@G@std@@QBAGXZ 04f6 localeconv 07f0 __security_pop_cookie 07fc ?_Src@?1??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? DA B0 6F 46 6F F0 01 03 C7 E9 38 33 17 F1 D0 01 D7 F8 88 01 ?? ?? ?? ?? B8 66 BB 6E FB 66 F8 6E ?? ?? ?? ?? 38 67 3B 6F BB 65 17 F1 D0 00 ?? ?? ?? ?? 17 F5 84 71 B8 6D ?? ?? ?? ?? C7 F8 C4 00 17 F1 D8 01 D7 F8 88 01 ?? ?? ?? ?? 78 67 7B 6F BB 67 B8 6F ?? ?? ?? ?? F8 67 FB 6F C7 F8 80 30 17 F1 D8 00 ?? ?? ?? ?? 17 F5 94 73 DF F8 80 27 1D 32 DF F8 78 17 D7 F8 80 00 ?? ?? ?? ?? D7 F8 7C 31 7B 60 00 23 3B 72 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 20 00 97 F8 20 30 00 2B 00 D0 30 E0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 20 17 F5 94 73 2E 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? 17 E0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 54 00 B7 F8 54 20 17 F5 94 73 2C 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 7A 68 78 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 FB 60 00 23 BB 61 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 21 00 97 F8 21 30 00 2B 0A D1 D7 F8 80 01 ?? ?? ?? ?? 38 86 3A 8E 17 F5 94 73 1B 88 9A 42 00 D0 30 E0 D7 F8 80 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 11 D7 F8 84 00 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 1C D0 D7 F8 80 01 ?? ?? ?? ?? 78 86 7A 8E 17 F5 94 73 32 33 1B 88 9A 42 0B D0 D7 F8 80 01 ?? ?? ?? ?? B8 86 BA 8E 17 F5 94 73 30 33 1B 88 9A 42 04 D1 D7 F8 80 01 ?? ?? ?? ?? 01 E0 01 23 3B 70 D7 F8 8C 31 1A 68 DF F8 30 36 9A 42 03 D1 4F F4 40 73 3B 66 01 E0 24 23 3B 66 3B 6E FB 65 00 21 17 F5 84 70 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 FB 61 FB 69 93 F9 00 30 7F 2B 04 D0 FB 69 93 F9 00 30 00 2B 46 DC 05 E0 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 23 00 97 F8 23 30 00 2B 32 D0 D7 F8 80 01 ?? ?? ?? ?? F8 86 F9 8E 17 F5 94 70 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 7B 61 7B 69 16 2B 20 D2 FA 6D FB 68 9A 42 03 DC BB 69 5B 1C BB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 7C 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 BA E7 05 E1 17 F5 84 70 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 00 2B 02 D1 00 23 BB 85 05 E0 B8 6D ?? ?? ?? ?? 38 87 3B 8F BB 85 BB 8D FB 85 00 22 01 21 17 F1 E8 00 ?? ?? ?? ?? C7 F8 C8 00 00 23 3B 61 03 E0 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 77 D0 D7 F8 80 01 ?? ?? ?? ?? 78 87 79 8F 17 F5 94 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 7B 61 7B 69 16 2B 40 D2 01 23 3B 70 FA 6D FB 68 9A 42 03 DC BB 69 5B 1C BB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 B0 34 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 93 F9 00 30 7F 2B 10 D0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 7B 66 7B 6E 93 F9 00 30 5B 1C 5A B2 7B 6E 1A 70 23 E0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 93 F9 00 30 00 2B 0B D0 FB 8D 00 2B 08 D0 D7 F8 80 01 ?? ?? ?? ?? B8 87 BA 8F FB 8D 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 E8 00 ?? ?? ?? ?? 3B 69 5B 1C 3B 61 77 E7 3B 69 00 2B 00 D1 12 E0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 93 F9 00 30 00 2B 03 DD 3B 69 5B 1C 3B 61 01 E0 01 23 3B 72 3B 7A 00 2B 3F D1 3B 69 00 2B 3C D9 FB 69 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 3B 69 5B 1E 3B 61 3B 69 00 2B 0F D9 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A8 00 FB 69 93 F9 00 20 D7 F8 A8 30 93 F9 00 30 9A 42 12 D1 3B 69 00 2B 12 D1 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 AC 00 FB 69 93 F9 00 20 D7 F8 AC 30 93 F9 00 30 9A 42 02 DA 01 23 3B 72 08 E0 FB 69 5B 1C 93 F9 00 30 00 2B 02 DD FB 69 5B 1C FB 61 BC E7 17 F1 E8 00 ?? ?? ?? ?? 3B 78 00 2B 08 D0 FB 68 00 2B 05 D1 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 20 D0 D7 F8 80 01 ?? ?? ?? ?? F8 87 B8 6D ?? ?? ?? ?? A7 F8 40 00 FA 8F B7 F8 40 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? FB 68 00 2B 2F D1 05 E0 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 10 D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 42 00 B7 F8 42 20 17 F5 94 73 1B 88 9A 42 03 D1 BB 69 5B 1E BB 61 DC E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 28 D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 44 00 B7 F8 44 10 17 F5 94 70 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 7B 61 7B 69 16 2B 14 D2 FA 68 FB 6D 9A 42 0F DA 7A 69 01 23 02 FB 03 F2 87 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C4 E7 3B 78 00 2B 00 F0 DA 80 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 00 F0 CD 80 D7 F8 80 01 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 20 17 F5 94 73 36 33 1B 88 9A 42 0E D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 46 00 B7 F8 46 20 17 F5 94 73 34 33 1B 88 9A 42 40 F0 B0 80 7A 68 70 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? 00 23 3B 70 00 23 FB 60 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 00 D0 30 E0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 48 00 B7 F8 48 20 17 F5 94 73 2E 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? 17 E0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 17 F5 94 73 2C 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 13 D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 20 17 F5 94 73 1B 88 9A 42 06 D1 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? DF E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 27 D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 10 17 F5 94 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 7B 61 7B 69 16 2B 13 D2 FB 68 08 2B 0F DA 7A 69 01 23 02 FB 03 F2 18 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C5 E7 3B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 7C 31 7B 60 7A 68 00 23 13 70 BA 69 D7 F8 8C 31 1A 60 00 23 C7 F8 BC 30 17 F5 84 70 ?? ?? ?? ?? D7 F8 BC 30 C7 F8 C0 30 D7 F8 C0 00 5A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_34_761_2 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2052
		refs = "000a __security_push_cookie 0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 003c ??1locale@std@@QAA@XZ 0046 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0062 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0088 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 009e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00b4 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 00dc ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 017a ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01ec ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0244 ??$_Find_elem@_W@std@@YAIPA_W_W@Z 02a0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 02b8 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 02ce ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 036a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03e0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 04a4 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04e4 ?decimal_point@?$numpunct@_W@std@@QBA_WXZ 04f6 localeconv 07f0 __security_pop_cookie 07fc ?_Src@?1??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? DA B0 6F 46 6F F0 01 03 C7 E9 38 33 17 F1 D0 01 D7 F8 88 01 ?? ?? ?? ?? B8 66 BB 6E FB 66 F8 6E ?? ?? ?? ?? 38 67 3B 6F BB 65 17 F1 D0 00 ?? ?? ?? ?? 17 F5 84 71 B8 6D ?? ?? ?? ?? C7 F8 C4 00 17 F1 D8 01 D7 F8 88 01 ?? ?? ?? ?? 78 67 7B 6F BB 67 B8 6F ?? ?? ?? ?? F8 67 FB 6F C7 F8 80 30 17 F1 D8 00 ?? ?? ?? ?? 17 F5 94 73 DF F8 80 27 1D 32 DF F8 78 17 D7 F8 80 00 ?? ?? ?? ?? D7 F8 7C 31 7B 60 00 23 3B 72 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 20 00 97 F8 20 30 00 2B 00 D0 30 E0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 20 17 F5 94 73 2E 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? 17 E0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 54 00 B7 F8 54 20 17 F5 94 73 2C 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 7A 68 78 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 FB 60 00 23 BB 61 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 21 00 97 F8 21 30 00 2B 0A D1 D7 F8 80 01 ?? ?? ?? ?? 38 86 3A 8E 17 F5 94 73 1B 88 9A 42 00 D0 30 E0 D7 F8 80 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 11 D7 F8 84 00 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 1C D0 D7 F8 80 01 ?? ?? ?? ?? 78 86 7A 8E 17 F5 94 73 32 33 1B 88 9A 42 0B D0 D7 F8 80 01 ?? ?? ?? ?? B8 86 BA 8E 17 F5 94 73 30 33 1B 88 9A 42 04 D1 D7 F8 80 01 ?? ?? ?? ?? 01 E0 01 23 3B 70 D7 F8 8C 31 1A 68 DF F8 30 36 9A 42 03 D1 4F F4 40 73 3B 66 01 E0 24 23 3B 66 3B 6E FB 65 00 21 17 F5 84 70 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 FB 61 FB 69 93 F9 00 30 7F 2B 04 D0 FB 69 93 F9 00 30 00 2B 46 DC 05 E0 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 23 00 97 F8 23 30 00 2B 32 D0 D7 F8 80 01 ?? ?? ?? ?? F8 86 F9 8E 17 F5 94 70 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 7B 61 7B 69 16 2B 20 D2 FA 6D FB 68 9A 42 03 DC BB 69 5B 1C BB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 7C 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 BA E7 05 E1 17 F5 84 70 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 00 2B 02 D1 00 23 BB 85 05 E0 B8 6D ?? ?? ?? ?? 38 87 3B 8F BB 85 BB 8D FB 85 00 22 01 21 17 F1 E8 00 ?? ?? ?? ?? C7 F8 C8 00 00 23 3B 61 03 E0 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 77 D0 D7 F8 80 01 ?? ?? ?? ?? 78 87 79 8F 17 F5 94 70 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 7B 61 7B 69 16 2B 40 D2 01 23 3B 70 FA 6D FB 68 9A 42 03 DC BB 69 5B 1C BB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 B0 34 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 93 F9 00 30 7F 2B 10 D0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 7B 66 7B 6E 93 F9 00 30 5B 1C 5A B2 7B 6E 1A 70 23 E0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 93 F9 00 30 00 2B 0B D0 FB 8D 00 2B 08 D0 D7 F8 80 01 ?? ?? ?? ?? B8 87 BA 8F FB 8D 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 E8 00 ?? ?? ?? ?? 3B 69 5B 1C 3B 61 77 E7 3B 69 00 2B 00 D1 12 E0 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 93 F9 00 30 00 2B 03 DD 3B 69 5B 1C 3B 61 01 E0 01 23 3B 72 3B 7A 00 2B 3F D1 3B 69 00 2B 3C D9 FB 69 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 3B 69 5B 1E 3B 61 3B 69 00 2B 0F D9 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 A8 00 FB 69 93 F9 00 20 D7 F8 A8 30 93 F9 00 30 9A 42 12 D1 3B 69 00 2B 12 D1 39 69 17 F1 E8 00 ?? ?? ?? ?? C7 F8 AC 00 FB 69 93 F9 00 20 D7 F8 AC 30 93 F9 00 30 9A 42 02 DA 01 23 3B 72 08 E0 FB 69 5B 1C 93 F9 00 30 00 2B 02 DD FB 69 5B 1C FB 61 BC E7 17 F1 E8 00 ?? ?? ?? ?? 3B 78 00 2B 08 D0 FB 68 00 2B 05 D1 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 20 D0 D7 F8 80 01 ?? ?? ?? ?? F8 87 B8 6D ?? ?? ?? ?? A7 F8 40 00 FA 8F B7 F8 40 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? FB 68 00 2B 2F D1 05 E0 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 10 D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 42 00 B7 F8 42 20 17 F5 94 73 1B 88 9A 42 03 D1 BB 69 5B 1E BB 61 DC E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 28 D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 44 00 B7 F8 44 10 17 F5 94 70 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 7B 61 7B 69 16 2B 14 D2 FA 68 FB 6D 9A 42 0F DA 7A 69 01 23 02 FB 03 F2 87 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C4 E7 3B 78 00 2B 00 F0 DA 80 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 00 F0 CD 80 D7 F8 80 01 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 20 17 F5 94 73 36 33 1B 88 9A 42 0E D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 46 00 B7 F8 46 20 17 F5 94 73 34 33 1B 88 9A 42 40 F0 B0 80 7A 68 70 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? 00 23 3B 70 00 23 FB 60 D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 00 D0 30 E0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 48 00 B7 F8 48 20 17 F5 94 73 2E 33 1B 88 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? 17 E0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 17 F5 94 73 2C 33 1B 88 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 13 D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 20 17 F5 94 73 1B 88 9A 42 06 D1 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? DF E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 80 01 ?? ?? ?? ?? D7 F8 84 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 27 D0 D7 F8 80 01 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 10 17 F5 94 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 7B 61 7B 69 16 2B 13 D2 FB 68 08 2B 0F DA 7A 69 01 23 02 FB 03 F2 18 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C5 E7 3B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 7C 31 7B 60 7A 68 00 23 13 70 BA 69 D7 F8 8C 31 1A 60 00 23 C7 F8 BC 30 17 F5 84 70 ?? ?? ?? ?? D7 F8 BC 30 C7 F8 C0 30 D7 F8 C0 00 5A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_34_770_2 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z"
		size = 1092
		refs = "000a __security_push_cookie 001e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 003a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 004e ?thousands_sep@?$numpunct@G@std@@QBAGXZ 0060 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0076 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 0088 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 009a ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 00be ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 014a ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0218 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 025a ??$_Find_elem@G@std@@YAIPAGG@Z 02ac ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0316 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0352 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0418 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0432 __security_pop_cookie 0440 ?_Src@?1??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C6 B0 6F 46 6F F0 01 03 C7 E9 26 33 D7 F8 3C 01 ?? ?? ?? ?? 38 65 3B 6D 3B 63 17 F1 C0 01 38 6B ?? ?? ?? ?? C7 F8 90 00 17 F1 C0 00 ?? ?? ?? ?? 78 65 7B 6D 00 2B 02 D1 00 23 BB 83 05 E0 38 6B ?? ?? ?? ?? 38 84 3B 8C BB 83 BB 8B FB 83 D7 F8 3C 01 ?? ?? ?? ?? B8 65 BB 6D FB 65 17 F1 E0 03 F4 4A 1B 32 F3 49 F8 6D ?? ?? ?? ?? D7 F8 2C 31 BB 60 D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? 38 75 3B 7D 00 2B 00 D0 2C E0 D7 F8 30 01 ?? ?? ?? ?? 78 84 7A 8C 17 F1 E0 03 2E 33 1B 88 9A 42 0A D1 BA 68 2B 23 13 70 BB 68 5B 1C BB 60 D7 F8 30 01 ?? ?? ?? ?? 15 E0 D7 F8 30 01 ?? ?? ?? ?? B8 84 BA 8C 17 F1 E0 03 2C 33 1B 88 9A 42 09 D1 BA 68 2D 23 13 70 BB 68 5B 1C BB 60 D7 F8 30 01 ?? ?? ?? ?? D7 F8 38 31 03 F4 60 63 C7 F8 38 31 D7 F8 38 31 B3 F5 80 6F 02 D1 08 23 FB 63 14 E0 D7 F8 38 31 B3 F5 00 6F 02 D1 10 23 BB 63 0A E0 D7 F8 38 31 00 2B 02 D1 00 23 7B 63 01 E0 0A 23 7B 63 7B 6B BB 63 BB 6B FB 63 FB 6B 3B 61 00 23 3B 70 00 23 3B 73 D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? 78 75 7B 7D 00 2B 46 D0 D7 F8 30 01 ?? ?? ?? ?? F8 84 FA 8C 17 F1 E0 03 1B 88 9A 42 3B D1 01 23 3B 70 D7 F8 30 01 ?? ?? ?? ?? D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? B8 75 BB 7D 00 2B 26 D0 D7 F8 30 01 ?? ?? ?? ?? 38 85 3A 8D 17 F1 E0 03 32 33 1B 88 9A 42 0B D0 D7 F8 30 01 ?? ?? ?? ?? 78 85 7A 8D 17 F1 E0 03 30 33 1B 88 9A 42 0E D1 3B 69 00 2B 02 D0 3B 69 10 2B 08 D1 10 23 3B 61 00 23 3B 70 D7 F8 30 01 ?? ?? ?? ?? 04 E0 3B 69 00 2B 01 D1 08 23 3B 61 3B 69 00 2B 0D D0 3B 69 0A 2B 0A D0 3B 69 08 2B 02 D1 08 23 3B 64 01 E0 16 23 3B 64 3B 6C 7B 64 01 E0 0A 23 7B 64 7B 6C 7B 66 3B 78 5A B2 01 21 17 F1 A0 00 ?? ?? ?? ?? C7 F8 94 00 00 23 7B 60 D7 F8 2C 31 1F 33 BB 66 03 E0 D7 F8 30 01 ?? ?? ?? ?? D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? F8 75 FB 7D 00 2B 6B D0 D7 F8 30 01 ?? ?? ?? ?? B8 85 B9 8D 17 F1 E0 00 ?? ?? ?? ?? 38 66 3B 6E BB 64 BA 6C 7B 6E 9A 42 37 D2 BA 6C 01 23 02 FB 03 F2 72 4B 13 44 93 F9 00 20 BB 68 1A 70 3B 7B 00 2B 04 D1 BB 68 93 F9 00 30 30 2B 08 D0 BA 68 BB 6E 9A 42 04 D2 BB 68 5B 1C BB 60 01 23 3B 73 01 23 3B 70 79 68 17 F1 A0 00 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 0E D0 79 68 17 F1 A0 00 ?? ?? ?? ?? 38 67 3B 6F FB 64 FB 6C 93 F9 00 30 5B 1C 5A B2 FB 6C 1A 70 21 E0 79 68 17 F1 A0 00 ?? ?? ?? ?? 78 67 7B 6F 93 F9 00 30 00 2B 0B D0 FB 8B 00 2B 08 D0 D7 F8 30 01 ?? ?? ?? ?? F8 85 FA 8D FB 8B 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 A0 00 ?? ?? ?? ?? 7B 68 5B 1C 7B 60 85 E7 7B 68 00 2B 00 D1 10 E0 79 68 17 F1 A0 00 ?? ?? ?? ?? B8 67 BB 6F 93 F9 00 30 00 2B 03 DD 7B 68 5B 1C 7B 60 01 E0 00 23 3B 70 00 21 17 F1 C0 00 ?? ?? ?? ?? F8 67 FB 6F BB 61 3B 78 00 2B 3F D0 7B 68 00 2B 3C D9 BB 69 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 7B 68 5B 1E 7B 60 7B 68 00 2B 0F D9 79 68 17 F1 A0 00 ?? ?? ?? ?? C7 F8 80 00 BB 69 93 F9 00 20 D7 F8 80 30 93 F9 00 30 9A 42 12 D1 7B 68 00 2B 12 D1 79 68 17 F1 A0 00 ?? ?? ?? ?? C7 F8 84 00 BB 69 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 02 DA 00 23 3B 70 08 E0 BB 69 5B 1C 93 F9 00 30 00 2B 02 DD BB 69 5B 1C BB 61 BC E7 3B 78 00 2B 09 D0 3B 7B 00 2B 06 D1 BA 68 30 23 13 70 BB 68 5B 1C BB 60 05 E0 3B 78 00 2B 02 D1 D7 F8 2C 31 BB 60 BA 68 00 23 13 70 3B 69 C7 F8 88 30 17 F1 A0 00 ?? ?? ?? ?? 17 F1 C0 00 ?? ?? ?? ?? D7 F8 88 30 C7 F8 8C 30 D7 F8 8C 00 46 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_773_2 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z"
		size = 1092
		refs = "000a __security_push_cookie 001e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 003a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 004e ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 0060 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0076 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 0088 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 009a ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 00be ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 014a ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0218 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 025a ??$_Find_elem@_W@std@@YAIPA_W_W@Z 02ac ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0316 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0352 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0418 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0432 __security_pop_cookie 0440 ?_Src@?1??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? C6 B0 6F 46 6F F0 01 03 C7 E9 26 33 D7 F8 3C 01 ?? ?? ?? ?? 38 65 3B 6D 3B 63 17 F1 C0 01 38 6B ?? ?? ?? ?? C7 F8 90 00 17 F1 C0 00 ?? ?? ?? ?? 78 65 7B 6D 00 2B 02 D1 00 23 BB 83 05 E0 38 6B ?? ?? ?? ?? 38 84 3B 8C BB 83 BB 8B FB 83 D7 F8 3C 01 ?? ?? ?? ?? B8 65 BB 6D FB 65 17 F1 E0 03 F4 4A 1B 32 F3 49 F8 6D ?? ?? ?? ?? D7 F8 2C 31 BB 60 D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? 38 75 3B 7D 00 2B 00 D0 2C E0 D7 F8 30 01 ?? ?? ?? ?? 78 84 7A 8C 17 F1 E0 03 2E 33 1B 88 9A 42 0A D1 BA 68 2B 23 13 70 BB 68 5B 1C BB 60 D7 F8 30 01 ?? ?? ?? ?? 15 E0 D7 F8 30 01 ?? ?? ?? ?? B8 84 BA 8C 17 F1 E0 03 2C 33 1B 88 9A 42 09 D1 BA 68 2D 23 13 70 BB 68 5B 1C BB 60 D7 F8 30 01 ?? ?? ?? ?? D7 F8 38 31 03 F4 60 63 C7 F8 38 31 D7 F8 38 31 B3 F5 80 6F 02 D1 08 23 FB 63 14 E0 D7 F8 38 31 B3 F5 00 6F 02 D1 10 23 BB 63 0A E0 D7 F8 38 31 00 2B 02 D1 00 23 7B 63 01 E0 0A 23 7B 63 7B 6B BB 63 BB 6B FB 63 FB 6B 3B 61 00 23 3B 70 00 23 3B 73 D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? 78 75 7B 7D 00 2B 46 D0 D7 F8 30 01 ?? ?? ?? ?? F8 84 FA 8C 17 F1 E0 03 1B 88 9A 42 3B D1 01 23 3B 70 D7 F8 30 01 ?? ?? ?? ?? D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? B8 75 BB 7D 00 2B 26 D0 D7 F8 30 01 ?? ?? ?? ?? 38 85 3A 8D 17 F1 E0 03 32 33 1B 88 9A 42 0B D0 D7 F8 30 01 ?? ?? ?? ?? 78 85 7A 8D 17 F1 E0 03 30 33 1B 88 9A 42 0E D1 3B 69 00 2B 02 D0 3B 69 10 2B 08 D1 10 23 3B 61 00 23 3B 70 D7 F8 30 01 ?? ?? ?? ?? 04 E0 3B 69 00 2B 01 D1 08 23 3B 61 3B 69 00 2B 0D D0 3B 69 0A 2B 0A D0 3B 69 08 2B 02 D1 08 23 3B 64 01 E0 16 23 3B 64 3B 6C 7B 64 01 E0 0A 23 7B 64 7B 6C 7B 66 3B 78 5A B2 01 21 17 F1 A0 00 ?? ?? ?? ?? C7 F8 94 00 00 23 7B 60 D7 F8 2C 31 1F 33 BB 66 03 E0 D7 F8 30 01 ?? ?? ?? ?? D7 F8 34 11 D7 F8 30 01 ?? ?? ?? ?? F8 75 FB 7D 00 2B 6B D0 D7 F8 30 01 ?? ?? ?? ?? B8 85 B9 8D 17 F1 E0 00 ?? ?? ?? ?? 38 66 3B 6E BB 64 BA 6C 7B 6E 9A 42 37 D2 BA 6C 01 23 02 FB 03 F2 72 4B 13 44 93 F9 00 20 BB 68 1A 70 3B 7B 00 2B 04 D1 BB 68 93 F9 00 30 30 2B 08 D0 BA 68 BB 6E 9A 42 04 D2 BB 68 5B 1C BB 60 01 23 3B 73 01 23 3B 70 79 68 17 F1 A0 00 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 0E D0 79 68 17 F1 A0 00 ?? ?? ?? ?? 38 67 3B 6F FB 64 FB 6C 93 F9 00 30 5B 1C 5A B2 FB 6C 1A 70 21 E0 79 68 17 F1 A0 00 ?? ?? ?? ?? 78 67 7B 6F 93 F9 00 30 00 2B 0B D0 FB 8B 00 2B 08 D0 D7 F8 30 01 ?? ?? ?? ?? F8 85 FA 8D FB 8B 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 A0 00 ?? ?? ?? ?? 7B 68 5B 1C 7B 60 85 E7 7B 68 00 2B 00 D1 10 E0 79 68 17 F1 A0 00 ?? ?? ?? ?? B8 67 BB 6F 93 F9 00 30 00 2B 03 DD 7B 68 5B 1C 7B 60 01 E0 00 23 3B 70 00 21 17 F1 C0 00 ?? ?? ?? ?? F8 67 FB 6F BB 61 3B 78 00 2B 3F D0 7B 68 00 2B 3C D9 BB 69 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 7B 68 5B 1E 7B 60 7B 68 00 2B 0F D9 79 68 17 F1 A0 00 ?? ?? ?? ?? C7 F8 80 00 BB 69 93 F9 00 20 D7 F8 80 30 93 F9 00 30 9A 42 12 D1 7B 68 00 2B 12 D1 79 68 17 F1 A0 00 ?? ?? ?? ?? C7 F8 84 00 BB 69 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 02 DA 00 23 3B 70 08 E0 BB 69 5B 1C 93 F9 00 30 00 2B 02 DD BB 69 5B 1C BB 61 BC E7 3B 78 00 2B 09 D0 3B 7B 00 2B 06 D1 BA 68 30 23 13 70 BB 68 5B 1C BB 60 05 E0 3B 78 00 2B 02 D1 D7 F8 2C 31 BB 60 BA 68 00 23 13 70 3B 69 C7 F8 88 30 17 F1 A0 00 ?? ?? ?? ?? 17 F1 C0 00 ?? ?? ?? ?? D7 F8 88 30 C7 F8 8C 30 D7 F8 8C 00 46 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_779_2 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z"
		size = 3168
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0078 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 009a ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00a8 ?neg_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 00b0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d4 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00fe ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 016c ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0178 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 0184 ?flags@ios_base@std@@QBAHXZ 019e ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01b2 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 01be ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 01da ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@I@Z 01ea ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 0202 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 024a ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0262 ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z 026a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 0274 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ 027c ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 02a0 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 02c0 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z 02e0 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ 0366 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 036e ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 03a0 ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 03f0 ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0482 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 0496 ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0630 ?frac_digits@?$_Mpunct@G@std@@QBAHXZ 0644 ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0650 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 066a ?thousands_sep@?$_Mpunct@G@std@@QBAGXZ 068e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 06da ??$_Find_elem@G@std@@YAIPAGG@Z 0704 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0714 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 078a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0806 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 08e2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 08fa ?decimal_point@?$_Mpunct@G@std@@QBAGXZ 0a4e ?is@?$ctype@G@std@@QBA_NFG@Z 0bfc ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 0c12 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0c1e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0c4e __security_pop_cookie 0c5c ?_Src@?1??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAAVios_base@3@PAG@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 7E 7D 6F 46 6F F0 01 03 C7 E9 94 33 00 23 7B 60 97 F8 18 34 00 2B 19 D0 17 F5 E8 71 D7 F8 1C 04 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 C7 F8 9C 30 D7 F8 9C 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 3B 61 17 F5 E8 70 ?? ?? ?? ?? 18 E0 17 F5 EC 71 D7 F8 1C 04 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 C7 F8 A8 30 D7 F8 A8 00 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 3B 61 17 F5 EC 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 2E 70 ?? ?? ?? ?? C7 F8 E8 01 17 F1 88 01 38 69 ?? ?? ?? ?? 17 F5 26 70 ?? ?? ?? ?? C7 F8 EC 01 17 F5 F0 71 D7 F8 1C 04 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 C7 F8 B4 30 D7 F8 B4 00 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 C7 F8 84 30 17 F5 F0 70 ?? ?? ?? ?? D7 F8 20 34 DF F8 68 2B 0C 32 DF F8 64 1B D7 F8 84 00 ?? ?? ?? ?? 00 23 BB 63 02 E0 BB 6B 5B 1C BB 63 3B 78 00 2B 40 F0 B9 84 BB 6B 04 2B 80 F0 B5 84 BA 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 FB 63 FB 6B 2B 2B 0C DC FB 6B 2B 2B 00 F0 22 81 FB 6B 20 2B 00 F0 61 84 FB 6B 24 2B 0B D0 00 F0 99 BC FB 6B 76 2B 00 F0 68 82 FB 6B 78 2B 00 F0 54 84 00 F0 8F BC 17 F5 16 71 38 69 ?? ?? ?? ?? C7 F8 B4 01 17 F1 90 00 ?? ?? ?? ?? C7 F8 B8 01 D7 F8 1C 04 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 13 F0 08 0F 24 D1 D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 2F 00 97 F8 2F 30 00 2B 18 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 56 00 17 F5 16 70 ?? ?? ?? ?? C7 F8 C0 00 B7 F8 56 20 D7 F8 C0 30 1B 88 9A 42 05 D0 00 21 17 F5 16 70 ?? ?? ?? ?? 30 E0 BB 6B 03 2B 2D D1 17 F5 2E 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 01 2B 23 D8 D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 12 D1 D7 F8 10 04 ?? ?? ?? ?? A7 F8 58 00 17 F5 16 70 ?? ?? ?? ?? C7 F8 C8 00 B7 F8 58 20 D7 F8 C8 30 1B 88 9A 42 04 D0 00 21 17 F5 16 70 ?? ?? ?? ?? 17 F5 F8 71 17 F5 16 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 C7 F8 D0 30 D7 F8 D0 10 17 F1 90 00 ?? ?? ?? ?? 17 F5 F8 70 ?? ?? ?? ?? 07 E0 17 F1 90 00 ?? ?? ?? ?? D7 F8 10 04 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 31 00 97 F8 31 30 00 2B 31 D0 17 F5 00 71 17 F5 16 70 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 30 C7 F8 D8 30 7B 68 43 F0 01 03 7B 60 D7 F8 D8 10 17 F1 90 00 ?? ?? ?? ?? 87 F8 32 00 97 F8 32 30 00 2B 15 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 5A 00 17 F1 90 00 ?? ?? ?? ?? C7 F8 DC 00 B7 F8 5A 20 D7 F8 DC 30 1B 88 9A 42 02 D1 01 23 FB 66 01 E0 00 23 FB 66 FB 6E DB B2 3B 77 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 00 70 ?? ?? ?? ?? 3B 7F 00 2B 00 D0 A4 E7 17 F5 04 71 17 F5 16 70 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 C7 F8 E4 30 D7 F8 E4 10 17 F1 90 00 ?? ?? ?? ?? 78 77 7B 7F BB 77 17 F5 04 70 ?? ?? ?? ?? BB 7F 00 2B 01 D0 01 23 3B 70 17 F1 90 00 ?? ?? ?? ?? 17 F5 16 70 ?? ?? ?? ?? 87 E3 17 F1 90 00 ?? ?? ?? ?? 17 F5 16 70 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? F8 77 FB 7F 00 2B 00 D0 46 E1 17 F5 46 71 38 69 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 7B 68 43 F0 02 03 7B 60 D7 F8 EC 00 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 30 00 2B 25 D9 17 F5 3E 71 38 69 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 30 C7 F8 F8 30 7B 68 43 F0 04 03 7B 60 00 21 D7 F8 F8 00 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 10 04 ?? ?? ?? ?? A7 F8 5C 00 D7 F8 FC 30 1A 88 B7 F8 5C 30 9A 42 02 D1 01 23 3B 67 01 E0 00 23 3B 67 3B 6F DB B2 87 F8 20 30 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 3E 70 ?? ?? ?? ?? 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 46 70 ?? ?? ?? ?? 97 F8 20 30 00 2B 19 D0 D7 F8 10 04 ?? ?? ?? ?? 17 F5 4E 71 38 69 ?? ?? ?? ?? C7 F8 00 01 D7 F8 00 31 C7 F8 04 31 D7 F8 04 11 17 F5 2E 70 ?? ?? ?? ?? 17 F5 4E 70 ?? ?? ?? ?? CB E0 17 F5 5E 71 38 69 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 C7 F8 0C 31 7B 68 43 F0 08 03 7B 60 D7 F8 0C 01 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 31 00 2B 25 D9 17 F5 56 71 38 69 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 31 C7 F8 18 31 7B 68 43 F0 10 03 7B 60 00 21 D7 F8 18 01 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 10 04 ?? ?? ?? ?? A7 F8 5E 00 D7 F8 1C 31 1A 88 B7 F8 5E 30 9A 42 02 D1 01 23 7B 67 01 E0 00 23 7B 67 7B 6F DB B2 87 F8 21 30 7B 68 13 F0 10 0F 07 D0 7B 68 23 F0 10 03 7B 60 17 F5 56 70 ?? ?? ?? ?? 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 5E 70 ?? ?? ?? ?? 97 F8 21 30 00 2B 1B D0 D7 F8 10 04 ?? ?? ?? ?? 17 F5 66 71 38 69 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 31 C7 F8 24 31 D7 F8 24 11 17 F5 2E 70 ?? ?? ?? ?? 17 F5 66 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 6E 71 38 69 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 31 C7 F8 2C 31 D7 F8 2C 01 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 00 2B 02 D1 01 23 BB 67 01 E0 00 23 BB 67 BB 6F DB B2 87 F8 22 30 17 F5 6E 70 ?? ?? ?? ?? 97 F8 22 30 00 2B 00 D0 27 E0 17 F5 76 71 38 69 ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 C7 F8 38 31 D7 F8 38 01 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 00 2B 02 D1 01 23 FB 67 01 E0 00 23 FB 67 FB 6F DB B2 87 F8 23 30 17 F5 76 70 ?? ?? ?? ?? 97 F8 23 30 00 2B 01 D0 01 23 3B 73 2C E2 00 23 7B 63 38 69 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 31 BB 66 17 F5 36 71 38 69 ?? ?? ?? ?? C7 F8 BC 01 17 F5 36 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 31 00 2B 03 D1 00 23 A7 F8 44 30 08 E0 38 69 ?? ?? ?? ?? A7 F8 60 00 B7 F8 60 30 A7 F8 44 30 B7 F8 44 30 A7 F8 46 30 B7 F8 46 30 00 2B 0C D0 17 F5 36 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 10 04 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 21 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 62 00 B7 F8 62 10 D7 F8 20 04 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 64 35 13 44 93 F9 00 10 17 F5 26 70 ?? ?? ?? ?? CD E7 F5 E0 00 22 01 21 17 F5 1E 70 ?? ?? ?? ?? C7 F8 C0 01 00 23 BB 60 03 E0 D7 F8 10 04 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 67 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 64 00 B7 F8 64 10 D7 F8 20 04 ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 BB 61 BB 69 0A 2B 2E D2 BA 69 01 23 02 FB 03 F2 DF F8 E8 34 13 44 93 F9 00 10 17 F5 26 70 ?? ?? ?? ?? B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 31 93 F9 00 30 7F 2B 13 D0 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 C7 F8 80 30 D7 F8 80 30 93 F9 00 30 5B 1C 5A B2 D7 F8 80 30 1A 70 23 E0 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 5C 31 93 F9 00 30 00 2B 0B D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 B7 F8 46 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 1E 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 87 E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 36 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 31 3B 64 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 3B 6C 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 68 01 3B 6C 93 F9 00 20 D7 F8 68 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 6C 01 3B 6C 93 F9 00 20 D7 F8 6C 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 3B 6C 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6C 5B 1C 3B 64 BC E7 3B 78 00 2B 08 D0 17 F5 1E 70 ?? ?? ?? ?? 17 F5 36 70 ?? ?? ?? ?? C9 E0 17 F5 1E 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 30 A7 F8 48 30 D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 4F D0 B7 F8 48 30 00 2B 4B D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 20 B7 F8 48 30 9A 42 3F D1 D7 F8 10 04 ?? ?? ?? ?? C7 F8 70 01 D7 F8 14 14 D7 F8 70 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 27 D0 7A 6B BB 6E 9A 42 23 DA D7 F8 10 04 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 10 D7 F8 20 04 ?? ?? ?? ?? C7 F8 74 01 D7 F8 74 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 AF 4B 13 44 93 F9 00 10 17 F5 26 70 ?? ?? ?? ?? 7B 6B 5B 1C 7B 63 C5 E7 7A 6B BB 6E 9A 42 01 DA 01 23 3B 70 17 F5 26 70 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 7B 6B 5B 1C 7B 63 7A 6B BB 6E 9A 42 05 DA 30 21 17 F5 26 70 ?? ?? ?? ?? F2 E7 17 F5 36 70 ?? ?? ?? ?? 40 E0 17 F5 36 70 ?? ?? ?? ?? BB 6B 03 2B 00 D1 38 E0 00 23 3B 75 03 E0 D7 F8 10 04 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 15 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 20 48 21 D7 F8 84 00 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 02 D0 01 23 3B 75 D9 E7 BA 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 20 2B 04 D1 3B 7D 00 2B 01 D1 01 23 3B 70 FF F7 40 BB 3B 78 00 2B 40 F0 B0 80 17 F5 2E 70 ?? ?? ?? ?? C7 F8 7C 01 D7 F8 7C 31 01 2B 40 F2 A5 80 17 F5 D4 70 ?? ?? ?? ?? C7 F8 C4 01 17 F5 08 71 17 F5 2E 70 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 31 C7 F8 A4 31 D7 F8 A4 11 17 F5 D4 70 ?? ?? ?? ?? 17 F5 08 70 ?? ?? ?? ?? 03 E0 D7 F8 10 04 ?? ?? ?? ?? 17 F5 0C 71 17 F5 2E 70 ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 31 C7 F8 8C 31 7B 68 43 F0 20 03 7B 60 17 F5 D4 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 8C 11 D7 F8 90 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 22 D0 D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 16 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 54 00 17 F5 D4 70 ?? ?? ?? ?? C7 F8 94 01 B7 F8 54 20 D7 F8 94 31 1B 88 9A 42 03 D1 01 23 C7 F8 8C 30 02 E0 00 23 C7 F8 8C 30 D7 F8 8C 30 DB B2 87 F8 2C 30 7B 68 13 F0 20 0F 07 D0 7B 68 23 F0 20 03 7B 60 17 F5 0C 70 ?? ?? ?? ?? 97 F8 2C 30 00 2B 00 D0 9D E7 17 F5 10 71 17 F5 2E 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 98 31 C7 F8 9C 31 D7 F8 9C 11 17 F5 D4 70 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 87 F8 2E 30 17 F5 10 70 ?? ?? ?? ?? 97 F8 2E 30 00 2B 01 D0 01 23 3B 70 17 F5 D4 70 ?? ?? ?? ?? 3B 78 00 2B 05 D0 00 21 17 F5 26 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 26 70 ?? ?? ?? ?? 17 F5 26 71 D7 F8 0C 04 ?? ?? ?? ?? C7 F8 C8 01 7B 68 43 F0 40 03 7B 60 17 F5 26 70 ?? ?? ?? ?? 17 F5 2E 70 ?? ?? ?? ?? D7 F8 0C 34 C7 F8 A0 31 D7 F8 A0 01 0D F5 7E 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_800_2 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z"
		size = 3168
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0078 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 009a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00a8 ?neg_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 00b0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00d4 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00fe ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 016c ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0178 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 0184 ?flags@ios_base@std@@QBAHXZ 019e ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01b2 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 01be ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 01da ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I@Z 01ea ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 0202 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 024a ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0262 ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z 026a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 0274 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ 027c ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 02a0 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 02c0 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z 02e0 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ 0366 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 036e ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 03a0 ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 03f0 ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0482 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 0496 ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0630 ?frac_digits@?$_Mpunct@_W@std@@QBAHXZ 0644 ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0650 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 066a ?thousands_sep@?$_Mpunct@_W@std@@QBA_WXZ 068e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 06da ??$_Find_elem@_W@std@@YAIPA_W_W@Z 0704 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0714 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 078a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0806 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 08e2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 08fa ?decimal_point@?$_Mpunct@_W@std@@QBA_WXZ 0a4e ?is@?$ctype@_W@std@@QBA_NF_W@Z 0bfc ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 0c12 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0c1e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0c4e __security_pop_cookie 0c5c ?_Src@?1??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAAVios_base@3@PA_W@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 7E 7D 6F 46 6F F0 01 03 C7 E9 94 33 00 23 7B 60 97 F8 18 34 00 2B 19 D0 17 F5 E8 71 D7 F8 1C 04 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 C7 F8 9C 30 D7 F8 9C 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 3B 61 17 F5 E8 70 ?? ?? ?? ?? 18 E0 17 F5 EC 71 D7 F8 1C 04 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 C7 F8 A8 30 D7 F8 A8 00 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 3B 61 17 F5 EC 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 2E 70 ?? ?? ?? ?? C7 F8 E8 01 17 F1 88 01 38 69 ?? ?? ?? ?? 17 F5 26 70 ?? ?? ?? ?? C7 F8 EC 01 17 F5 F0 71 D7 F8 1C 04 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 C7 F8 B4 30 D7 F8 B4 00 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 C7 F8 84 30 17 F5 F0 70 ?? ?? ?? ?? D7 F8 20 34 DF F8 68 2B 0C 32 DF F8 64 1B D7 F8 84 00 ?? ?? ?? ?? 00 23 BB 63 02 E0 BB 6B 5B 1C BB 63 3B 78 00 2B 40 F0 B9 84 BB 6B 04 2B 80 F0 B5 84 BA 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 FB 63 FB 6B 2B 2B 0C DC FB 6B 2B 2B 00 F0 22 81 FB 6B 20 2B 00 F0 61 84 FB 6B 24 2B 0B D0 00 F0 99 BC FB 6B 76 2B 00 F0 68 82 FB 6B 78 2B 00 F0 54 84 00 F0 8F BC 17 F5 16 71 38 69 ?? ?? ?? ?? C7 F8 B4 01 17 F1 90 00 ?? ?? ?? ?? C7 F8 B8 01 D7 F8 1C 04 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 13 F0 08 0F 24 D1 D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 2F 00 97 F8 2F 30 00 2B 18 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 56 00 17 F5 16 70 ?? ?? ?? ?? C7 F8 C0 00 B7 F8 56 20 D7 F8 C0 30 1B 88 9A 42 05 D0 00 21 17 F5 16 70 ?? ?? ?? ?? 30 E0 BB 6B 03 2B 2D D1 17 F5 2E 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 01 2B 23 D8 D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 12 D1 D7 F8 10 04 ?? ?? ?? ?? A7 F8 58 00 17 F5 16 70 ?? ?? ?? ?? C7 F8 C8 00 B7 F8 58 20 D7 F8 C8 30 1B 88 9A 42 04 D0 00 21 17 F5 16 70 ?? ?? ?? ?? 17 F5 F8 71 17 F5 16 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 C7 F8 D0 30 D7 F8 D0 10 17 F1 90 00 ?? ?? ?? ?? 17 F5 F8 70 ?? ?? ?? ?? 07 E0 17 F1 90 00 ?? ?? ?? ?? D7 F8 10 04 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 31 00 97 F8 31 30 00 2B 31 D0 17 F5 00 71 17 F5 16 70 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 30 C7 F8 D8 30 7B 68 43 F0 01 03 7B 60 D7 F8 D8 10 17 F1 90 00 ?? ?? ?? ?? 87 F8 32 00 97 F8 32 30 00 2B 15 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 5A 00 17 F1 90 00 ?? ?? ?? ?? C7 F8 DC 00 B7 F8 5A 20 D7 F8 DC 30 1B 88 9A 42 02 D1 01 23 FB 66 01 E0 00 23 FB 66 FB 6E DB B2 3B 77 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 00 70 ?? ?? ?? ?? 3B 7F 00 2B 00 D0 A4 E7 17 F5 04 71 17 F5 16 70 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 C7 F8 E4 30 D7 F8 E4 10 17 F1 90 00 ?? ?? ?? ?? 78 77 7B 7F BB 77 17 F5 04 70 ?? ?? ?? ?? BB 7F 00 2B 01 D0 01 23 3B 70 17 F1 90 00 ?? ?? ?? ?? 17 F5 16 70 ?? ?? ?? ?? 87 E3 17 F1 90 00 ?? ?? ?? ?? 17 F5 16 70 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? F8 77 FB 7F 00 2B 00 D0 46 E1 17 F5 46 71 38 69 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 7B 68 43 F0 02 03 7B 60 D7 F8 EC 00 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 30 00 2B 25 D9 17 F5 3E 71 38 69 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 30 C7 F8 F8 30 7B 68 43 F0 04 03 7B 60 00 21 D7 F8 F8 00 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 10 04 ?? ?? ?? ?? A7 F8 5C 00 D7 F8 FC 30 1A 88 B7 F8 5C 30 9A 42 02 D1 01 23 3B 67 01 E0 00 23 3B 67 3B 6F DB B2 87 F8 20 30 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 3E 70 ?? ?? ?? ?? 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 46 70 ?? ?? ?? ?? 97 F8 20 30 00 2B 19 D0 D7 F8 10 04 ?? ?? ?? ?? 17 F5 4E 71 38 69 ?? ?? ?? ?? C7 F8 00 01 D7 F8 00 31 C7 F8 04 31 D7 F8 04 11 17 F5 2E 70 ?? ?? ?? ?? 17 F5 4E 70 ?? ?? ?? ?? CB E0 17 F5 5E 71 38 69 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 C7 F8 0C 31 7B 68 43 F0 08 03 7B 60 D7 F8 0C 01 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 31 00 2B 25 D9 17 F5 56 71 38 69 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 31 C7 F8 18 31 7B 68 43 F0 10 03 7B 60 00 21 D7 F8 18 01 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 10 04 ?? ?? ?? ?? A7 F8 5E 00 D7 F8 1C 31 1A 88 B7 F8 5E 30 9A 42 02 D1 01 23 7B 67 01 E0 00 23 7B 67 7B 6F DB B2 87 F8 21 30 7B 68 13 F0 10 0F 07 D0 7B 68 23 F0 10 03 7B 60 17 F5 56 70 ?? ?? ?? ?? 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 5E 70 ?? ?? ?? ?? 97 F8 21 30 00 2B 1B D0 D7 F8 10 04 ?? ?? ?? ?? 17 F5 66 71 38 69 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 31 C7 F8 24 31 D7 F8 24 11 17 F5 2E 70 ?? ?? ?? ?? 17 F5 66 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 6E 71 38 69 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 31 C7 F8 2C 31 D7 F8 2C 01 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 00 2B 02 D1 01 23 BB 67 01 E0 00 23 BB 67 BB 6F DB B2 87 F8 22 30 17 F5 6E 70 ?? ?? ?? ?? 97 F8 22 30 00 2B 00 D0 27 E0 17 F5 76 71 38 69 ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 C7 F8 38 31 D7 F8 38 01 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 00 2B 02 D1 01 23 FB 67 01 E0 00 23 FB 67 FB 6F DB B2 87 F8 23 30 17 F5 76 70 ?? ?? ?? ?? 97 F8 23 30 00 2B 01 D0 01 23 3B 73 2C E2 00 23 7B 63 38 69 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 31 BB 66 17 F5 36 71 38 69 ?? ?? ?? ?? C7 F8 BC 01 17 F5 36 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 31 00 2B 03 D1 00 23 A7 F8 44 30 08 E0 38 69 ?? ?? ?? ?? A7 F8 60 00 B7 F8 60 30 A7 F8 44 30 B7 F8 44 30 A7 F8 46 30 B7 F8 46 30 00 2B 0C D0 17 F5 36 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 10 04 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 21 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 62 00 B7 F8 62 10 D7 F8 20 04 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 64 35 13 44 93 F9 00 10 17 F5 26 70 ?? ?? ?? ?? CD E7 F5 E0 00 22 01 21 17 F5 1E 70 ?? ?? ?? ?? C7 F8 C0 01 00 23 BB 60 03 E0 D7 F8 10 04 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 67 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 64 00 B7 F8 64 10 D7 F8 20 04 ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 BB 61 BB 69 0A 2B 2E D2 BA 69 01 23 02 FB 03 F2 DF F8 E8 34 13 44 93 F9 00 10 17 F5 26 70 ?? ?? ?? ?? B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 31 93 F9 00 30 7F 2B 13 D0 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 C7 F8 80 30 D7 F8 80 30 93 F9 00 30 5B 1C 5A B2 D7 F8 80 30 1A 70 23 E0 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 5C 31 93 F9 00 30 00 2B 0B D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 B7 F8 46 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 1E 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 87 E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 36 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 31 3B 64 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 3B 6C 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 68 01 3B 6C 93 F9 00 20 D7 F8 68 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 1E 70 ?? ?? ?? ?? C7 F8 6C 01 3B 6C 93 F9 00 20 D7 F8 6C 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 3B 6C 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6C 5B 1C 3B 64 BC E7 3B 78 00 2B 08 D0 17 F5 1E 70 ?? ?? ?? ?? 17 F5 36 70 ?? ?? ?? ?? C9 E0 17 F5 1E 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 30 A7 F8 48 30 D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 4F D0 B7 F8 48 30 00 2B 4B D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 20 B7 F8 48 30 9A 42 3F D1 D7 F8 10 04 ?? ?? ?? ?? C7 F8 70 01 D7 F8 14 14 D7 F8 70 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 27 D0 7A 6B BB 6E 9A 42 23 DA D7 F8 10 04 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 10 D7 F8 20 04 ?? ?? ?? ?? C7 F8 74 01 D7 F8 74 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 AF 4B 13 44 93 F9 00 10 17 F5 26 70 ?? ?? ?? ?? 7B 6B 5B 1C 7B 63 C5 E7 7A 6B BB 6E 9A 42 01 DA 01 23 3B 70 17 F5 26 70 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 7B 6B 5B 1C 7B 63 7A 6B BB 6E 9A 42 05 DA 30 21 17 F5 26 70 ?? ?? ?? ?? F2 E7 17 F5 36 70 ?? ?? ?? ?? 40 E0 17 F5 36 70 ?? ?? ?? ?? BB 6B 03 2B 00 D1 38 E0 00 23 3B 75 03 E0 D7 F8 10 04 ?? ?? ?? ?? D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 15 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 20 48 21 D7 F8 84 00 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 02 D0 01 23 3B 75 D9 E7 BA 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 20 2B 04 D1 3B 7D 00 2B 01 D1 01 23 3B 70 FF F7 40 BB 3B 78 00 2B 40 F0 B0 80 17 F5 2E 70 ?? ?? ?? ?? C7 F8 7C 01 D7 F8 7C 31 01 2B 40 F2 A5 80 17 F5 D4 70 ?? ?? ?? ?? C7 F8 C4 01 17 F5 08 71 17 F5 2E 70 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 31 C7 F8 A4 31 D7 F8 A4 11 17 F5 D4 70 ?? ?? ?? ?? 17 F5 08 70 ?? ?? ?? ?? 03 E0 D7 F8 10 04 ?? ?? ?? ?? 17 F5 0C 71 17 F5 2E 70 ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 31 C7 F8 8C 31 7B 68 43 F0 20 03 7B 60 17 F5 D4 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 8C 11 D7 F8 90 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 22 D0 D7 F8 14 14 D7 F8 10 04 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 16 D0 D7 F8 10 04 ?? ?? ?? ?? A7 F8 54 00 17 F5 D4 70 ?? ?? ?? ?? C7 F8 94 01 B7 F8 54 20 D7 F8 94 31 1B 88 9A 42 03 D1 01 23 C7 F8 8C 30 02 E0 00 23 C7 F8 8C 30 D7 F8 8C 30 DB B2 87 F8 2C 30 7B 68 13 F0 20 0F 07 D0 7B 68 23 F0 20 03 7B 60 17 F5 0C 70 ?? ?? ?? ?? 97 F8 2C 30 00 2B 00 D0 9D E7 17 F5 10 71 17 F5 2E 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 98 31 C7 F8 9C 31 D7 F8 9C 11 17 F5 D4 70 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 87 F8 2E 30 17 F5 10 70 ?? ?? ?? ?? 97 F8 2E 30 00 2B 01 D0 01 23 3B 70 17 F5 D4 70 ?? ?? ?? ?? 3B 78 00 2B 05 D0 00 21 17 F5 26 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 26 70 ?? ?? ?? ?? 17 F5 26 71 D7 F8 0C 04 ?? ?? ?? ?? C7 F8 C8 01 7B 68 43 F0 40 03 7B 60 17 F5 26 70 ?? ?? ?? ?? 17 F5 2E 70 ?? ?? ?? ?? D7 F8 0C 34 C7 F8 A0 31 D7 F8 A0 01 0D F5 7E 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_788_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$8"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 00 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_809_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$8"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 00 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_790_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 46 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_811_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 46 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_791_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$11"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 3E 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_812_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$11"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 3E 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_792_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$13"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 5E 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_813_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$13"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 5E 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_793_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$14"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 10 03 00 2B 00 F0 08 80 7B 68 23 F0 10 03 7B 60 17 F5 56 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_814_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$14"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 10 03 00 2B 00 F0 08 80 7B 68 23 F0 10 03 7B 60 17 F5 56 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_798_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$22"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 20 03 00 2B 00 F0 08 80 7B 68 23 F0 20 03 7B 60 17 F5 0C 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_819_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$22"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 20 03 00 2B 00 F0 08 80 7B 68 23 F0 20 03 7B 60 17 F5 0C 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_874_2 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z"
		size = 1048
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00c0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00da ??1locale@std@@QAA@XZ 00e8 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 00f6 ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0114 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 012c ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0144 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0152 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0172 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 01be ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 01da ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 01ea ?width@ios_base@std@@QBA_JXZ 0298 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 02a6 memcpy 02d2 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 03d0 ?width@ios_base@std@@QAA_J_J@Z 03f6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 03fe ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 040c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 D7 F8 5C 31 00 2B 0E D9 D7 F8 58 31 93 F9 00 30 2B 2B 05 D0 D7 F8 58 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 50 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 5C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 50 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 5C 11 01 22 01 FB 02 F1 D7 F8 58 21 0A 44 D7 F8 58 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 50 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 88 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 88 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 37 D0 7B 68 93 F9 00 30 00 2B 32 DD B8 69 ?? ?? ?? ?? B8 81 BB 89 FB 81 7B 68 93 F9 00 30 7F 2B 27 D0 7B 68 93 F9 00 30 00 2B 22 DD 7B 68 93 F9 00 10 D7 F8 5C 21 3B 68 D3 1A 99 42 19 D2 7B 68 93 F9 00 20 D7 F8 5C 31 9B 1A C7 F8 5C 31 FB 89 01 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D2 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 5C 31 D7 F8 50 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 5C 31 9A 42 0E D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 5C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 BB 60 D7 F8 50 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C0 01 D7 F8 40 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 BB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C8 01 D7 F8 40 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D0 01 D7 F8 40 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D8 01 D7 F8 40 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 BB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E0 01 D7 F8 40 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 5C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E8 01 D7 F8 40 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 50 01 ?? ?? ?? ?? BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 D7 F8 44 11 D7 F8 40 01 ?? ?? ?? ?? 17 F5 88 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 44 31 FB 67 F8 6F 4E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_879_2 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z"
		size = 1048
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00c0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00da ??1locale@std@@QAA@XZ 00e8 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 00f6 ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0114 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 012c ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0144 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0152 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0172 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 01be ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 01da ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 01ea ?width@ios_base@std@@QBA_JXZ 0298 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 02a6 memcpy 02d2 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 03d0 ?width@ios_base@std@@QAA_J_J@Z 03f6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 03fe ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 040c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 D7 F8 5C 31 00 2B 0E D9 D7 F8 58 31 93 F9 00 30 2B 2B 05 D0 D7 F8 58 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 50 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 5C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 50 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 5C 11 01 22 01 FB 02 F1 D7 F8 58 21 0A 44 D7 F8 58 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 50 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 88 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 88 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 37 D0 7B 68 93 F9 00 30 00 2B 32 DD B8 69 ?? ?? ?? ?? B8 81 BB 89 FB 81 7B 68 93 F9 00 30 7F 2B 27 D0 7B 68 93 F9 00 30 00 2B 22 DD 7B 68 93 F9 00 10 D7 F8 5C 21 3B 68 D3 1A 99 42 19 D2 7B 68 93 F9 00 20 D7 F8 5C 31 9B 1A C7 F8 5C 31 FB 89 01 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D2 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 5C 31 D7 F8 50 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 5C 31 9A 42 0E D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 5C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 BB 60 D7 F8 50 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C0 01 D7 F8 40 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 BB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C8 01 D7 F8 40 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D0 01 D7 F8 40 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D8 01 D7 F8 40 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 BB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E0 01 D7 F8 40 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 5C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E8 01 D7 F8 40 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 50 01 ?? ?? ?? ?? BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 D7 F8 44 11 D7 F8 40 01 ?? ?? ?? ?? 17 F5 88 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 44 31 FB 67 F8 6F 4E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_951_2 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@I@Z"
		size = 114
		refs = "0022 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 0028 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ 0034 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ 003e ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 004a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0058 memcpy 005e ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 09 E0 BB 6B 5B 1E BB 63 17 F1 2C 00 ?? ?? ?? ?? 78 6B ?? ?? ?? ?? BB 6B 00 2B 0E D9 78 6B ?? ?? ?? ?? 38 60 17 F1 2C 00 ?? ?? ?? ?? 78 60 3B 68 19 88 78 68 ?? ?? ?? ?? E3 E7 B8 6A 17 F1 2C 01 08 22 ?? ?? ?? ?? 78 6B ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_953_2 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@I@Z"
		size = 114
		refs = "0022 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 0028 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ 0034 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ 003e ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 004a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0058 memcpy 005e ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 09 E0 BB 6B 5B 1E BB 63 17 F1 2C 00 ?? ?? ?? ?? 78 6B ?? ?? ?? ?? BB 6B 00 2B 0E D9 78 6B ?? ?? ?? ?? 38 60 17 F1 2C 00 ?? ?? ?? ?? 78 60 3B 68 19 88 78 68 ?? ?? ?? ?? E3 E7 B8 6A 17 F1 2C 01 08 22 ?? ?? ?? ?? 78 6B ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_957_2 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 2504
		refs = "000a __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0048 ??1locale@std@@QAA@XZ 0062 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 007a ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0084 ?frac_digits@?$_Mpunct@G@std@@QBAHXZ 00a8 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 00d2 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 00dc ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0102 ?thousands_sep@?$_Mpunct@G@std@@QBAGXZ 017e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0194 ?neg_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 01a2 memcpy 01ac ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01c4 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 01cc ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 01d8 ?pos_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 01f4 ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0228 ?flags@ios_base@std@@QBAHXZ 0240 ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0364 ?width@ios_base@std@@QBA_JXZ 0416 ?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 04a2 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 04ba ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@$$QAV01@@Z 04e0 ?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@I@Z 04fa ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 061e ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@H@Z 062a ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 063a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0640 ?decimal_point@?$_Mpunct@G@std@@QBAGXZ 07d8 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 07f2 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z 0902 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z 0970 ?width@ios_base@std@@QAA_J_J@Z 09a0 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 09bc __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 86 6D 6F 46 82 B0 6F F0 01 03 C7 E9 A8 33 97 F8 50 34 00 2B 13 D0 17 F5 00 71 D7 F8 54 04 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D FB 60 17 F5 00 70 ?? ?? ?? ?? 12 E0 17 F5 02 71 D7 F8 54 04 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? F8 65 FB 6D FB 60 17 F5 02 70 ?? ?? ?? ?? 17 F5 6C 71 F8 68 ?? ?? ?? ?? C7 F8 F0 01 F8 68 ?? ?? ?? ?? 38 66 3B 6E FB 62 FB 6A 00 2B 03 DA FB 6A 5B 42 BB 63 01 E0 FB 6A BB 63 BB 6B 7B 60 D7 F8 60 04 ?? ?? ?? ?? 78 66 7A 6E 7B 68 9A 42 10 D8 D7 F8 60 04 ?? ?? ?? ?? B8 66 B7 F8 64 34 79 68 BA 6E 8A 1A 52 1C 00 21 D7 F8 60 04 ?? ?? ?? ?? 50 E0 17 F5 6C 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 46 D0 17 F5 6C 70 ?? ?? ?? ?? 38 67 3B 6F 93 F9 00 30 00 2B 3C DD F8 68 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F5 6C 70 ?? ?? ?? ?? 78 67 7B 6F 7B 61 D7 F8 60 04 ?? ?? ?? ?? B8 67 BA 6F 7B 68 D3 1A 3B 62 7B 69 93 F9 00 30 7F 2B 21 D0 7B 69 93 F9 00 30 00 2B 1C DD 7B 69 93 F9 00 20 3B 6A 9A 42 16 D2 7B 69 93 F9 00 20 3B 6A 9B 1A 3B 62 FB 8C 01 22 39 6A D7 F8 60 04 ?? ?? ?? ?? 7B 69 5B 1C 93 F9 00 30 00 2B 02 DD 7B 69 5B 1C 7B 61 D8 E7 17 F5 5C 70 ?? ?? ?? ?? C7 F8 F4 01 97 F8 5C 34 00 2B 21 D0 17 F5 FC 71 F8 68 ?? ?? ?? ?? F8 67 F9 6F 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 74 71 F8 68 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 10 17 F5 5C 70 ?? ?? ?? ?? 17 F5 74 70 ?? ?? ?? ?? 22 E0 17 F5 F4 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 7C 71 F8 68 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 D7 F8 90 10 17 F5 5C 70 ?? ?? ?? ?? 17 F5 7C 70 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? C7 F8 EC 01 D7 F8 54 04 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 13 F0 08 0F 14 D0 17 F5 82 61 F8 68 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 10 17 F5 64 70 ?? ?? ?? ?? 17 F5 82 60 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 BB 61 BB 69 2B 2B 09 DC BB 69 2B 2B 19 D0 BB 69 20 2B 54 D0 BB 69 24 2B 07 D0 58 E0 BB 69 76 2B 1B D0 BB 69 78 2B 4D D0 51 E0 17 F5 64 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 45 E0 17 F5 5C 70 ?? ?? ?? ?? C7 F8 A4 00 3A 68 D7 F8 A4 30 13 44 3B 60 39 E0 D7 F8 60 04 ?? ?? ?? ?? C7 F8 B0 00 7B 68 00 2B 02 D9 01 23 FB 63 01 E0 00 23 FB 63 D7 F8 60 04 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 20 7B 68 9A 42 0C D8 D7 F8 60 04 ?? ?? ?? ?? C7 F8 AC 00 7A 68 D7 F8 AC 30 D3 1A 5B 1C 3B 64 01 E0 00 23 3B 64 D7 F8 B0 20 FB 6B 1A 44 3B 6C 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 54 04 ?? ?? ?? ?? C7 F8 CC 11 C7 F8 C8 01 D7 F8 C8 31 C7 F8 D0 31 D7 F8 CC 31 C7 F8 D4 31 D7 F8 D0 31 C7 F8 B4 30 D7 F8 D4 31 00 2B 1F DB 03 DC D7 F8 B4 30 00 2B 1A D9 D7 F8 54 04 ?? ?? ?? ?? C7 F8 DC 11 C7 F8 D8 01 D7 F8 D8 21 3B 68 9A 42 0D D9 D7 F8 54 04 ?? ?? ?? ?? C7 F8 E4 11 C7 F8 E0 01 D7 F8 E0 21 3B 68 D3 1A 7B 64 01 E0 00 23 7B 64 7B 6C 3B 60 D7 F8 54 04 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 03 F4 E0 73 7B 63 7B 6B 40 2B 1D D0 7B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 2A 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 10 17 F5 89 60 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 3A 82 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 0A DC FB 69 2B 2B 4D D0 FB 69 20 2B 00 F0 F5 81 FB 69 24 2B 09 D0 20 E2 FB 69 76 2B 00 F0 82 80 FB 69 78 2B 00 F0 FE 81 17 E2 17 F5 64 70 ?? ?? ?? ?? C7 F8 D0 00 17 F5 40 73 C7 F8 C8 30 17 F5 20 71 17 F5 64 70 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 C7 F8 C4 30 D7 F8 C4 10 D7 F8 C8 00 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 C7 F8 D4 30 D7 F8 D0 30 00 93 D7 F8 D4 30 D7 F8 48 14 D7 F8 4C 24 17 F5 2C 70 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 10 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 20 70 ?? ?? ?? ?? DA E1 17 F5 5C 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 00 2B 34 D9 17 F5 44 73 C7 F8 E8 30 17 F5 14 71 17 F5 5C 70 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 C7 F8 E4 30 D7 F8 E4 10 D7 F8 E8 00 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 30 C7 F8 F0 30 01 23 00 93 D7 F8 F0 30 D7 F8 48 14 D7 F8 4C 24 17 F5 2E 70 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 10 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 14 70 ?? ?? ?? ?? 9A E1 7B 68 00 2B 3C D1 D7 F8 60 04 ?? ?? ?? ?? C7 F8 08 01 17 F5 48 73 C7 F8 00 31 17 F5 18 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 C7 F8 FC 30 D7 F8 FC 10 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 04 31 C7 F8 0C 31 D7 F8 08 31 00 93 D7 F8 0C 31 D7 F8 48 14 D7 F8 4C 24 17 F5 30 70 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? 29 E1 D7 F8 60 04 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 21 7B 68 9A 42 00 F2 84 80 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 01 ?? ?? ?? ?? C7 F8 1C 01 B7 F8 64 14 D7 F8 1C 01 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 38 85 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 01 ?? ?? ?? ?? C7 F8 24 01 39 8D D7 F8 24 01 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? C7 F8 28 01 7A 68 D7 F8 28 31 D3 1A 00 93 B7 F8 64 34 D7 F8 48 14 D7 F8 4C 24 17 F5 32 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 11 17 F5 89 60 08 22 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? C7 F8 40 01 17 F5 4C 73 C7 F8 38 31 17 F5 1C 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 C7 F8 34 31 D7 F8 34 11 D7 F8 38 01 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 C7 F8 44 31 D7 F8 40 31 00 93 D7 F8 44 31 D7 F8 48 14 D7 F8 4C 24 17 F5 34 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 1C 70 ?? ?? ?? ?? 99 E0 D7 F8 60 04 ?? ?? ?? ?? C7 F8 5C 01 17 F5 50 73 C7 F8 54 31 17 F5 24 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 C7 F8 50 31 D7 F8 50 11 D7 F8 54 01 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 C7 F8 60 31 D7 F8 5C 21 7B 68 D3 1A 00 93 D7 F8 60 31 D7 F8 48 14 D7 F8 4C 24 17 F5 3E 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 24 70 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 78 85 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 01 ?? ?? ?? ?? C7 F8 6C 01 79 8D D7 F8 6C 01 ?? ?? ?? ?? 17 F5 54 73 C7 F8 80 31 17 F5 04 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 70 01 D7 F8 70 31 C7 F8 74 31 7A 68 17 F5 10 71 D7 F8 74 01 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 31 C7 F8 7C 31 D7 F8 7C 11 D7 F8 80 01 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 C7 F8 88 31 7B 68 00 93 D7 F8 88 31 D7 F8 48 14 D7 F8 4C 24 17 F5 36 70 ?? ?? ?? ?? C7 F8 8C 01 D7 F8 8C 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 10 70 ?? ?? ?? ?? 17 F5 04 70 ?? ?? ?? ?? 2F E0 01 23 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 38 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 11 17 F5 89 60 08 22 ?? ?? ?? ?? 7B 6B B3 F5 80 7F 16 D1 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 3A 70 ?? ?? ?? ?? C7 F8 94 01 D7 F8 94 11 17 F5 89 60 08 22 ?? ?? ?? ?? 00 23 3B 60 BE E5 17 F5 5C 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 98 31 01 2B 4D D9 17 F5 5C 70 ?? ?? ?? ?? C7 F8 B4 01 17 F5 58 73 C7 F8 AC 31 17 F5 0C 71 17 F5 5C 70 ?? ?? ?? ?? C7 F8 9C 01 D7 F8 9C 31 C7 F8 A0 31 01 22 17 F5 08 71 D7 F8 A0 01 ?? ?? ?? ?? C7 F8 A4 01 D7 F8 A4 31 C7 F8 A8 31 D7 F8 A8 11 D7 F8 AC 01 ?? ?? ?? ?? C7 F8 B0 01 D7 F8 B0 31 C7 F8 B8 31 D7 F8 B4 31 5B 1E 00 93 D7 F8 B8 31 D7 F8 48 14 D7 F8 4C 24 17 F5 3C 70 ?? ?? ?? ?? C7 F8 BC 01 D7 F8 BC 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 08 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? 00 22 00 23 D7 F8 54 04 ?? ?? ?? ?? 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 D7 F8 44 04 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? 17 F5 5C 70 ?? ?? ?? ?? 17 F5 6C 70 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? D7 F8 44 34 C7 F8 C0 31 D7 F8 C0 01 0D F5 87 6D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_973_2 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 2504
		refs = "000a __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0048 ??1locale@std@@QAA@XZ 0062 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 007a ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0084 ?frac_digits@?$_Mpunct@_W@std@@QBAHXZ 00a8 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00d2 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 00dc ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0102 ?thousands_sep@?$_Mpunct@_W@std@@QBA_WXZ 017e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0194 ?neg_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 01a2 memcpy 01ac ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01c4 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 01cc ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 01d8 ?pos_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 01f4 ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0228 ?flags@ios_base@std@@QBAHXZ 0240 ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0364 ?width@ios_base@std@@QBA_JXZ 0416 ?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 04a2 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 04ba ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@$$QAV01@@Z 04e0 ?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@I@Z 04fa ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 061e ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@H@Z 062a ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 063a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0640 ?decimal_point@?$_Mpunct@_W@std@@QBA_WXZ 07d8 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 07f2 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 0902 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 0970 ?width@ios_base@std@@QAA_J_J@Z 09a0 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 09bc __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 86 6D 6F 46 82 B0 6F F0 01 03 C7 E9 A8 33 97 F8 50 34 00 2B 13 D0 17 F5 00 71 D7 F8 54 04 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D FB 60 17 F5 00 70 ?? ?? ?? ?? 12 E0 17 F5 02 71 D7 F8 54 04 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? F8 65 FB 6D FB 60 17 F5 02 70 ?? ?? ?? ?? 17 F5 6C 71 F8 68 ?? ?? ?? ?? C7 F8 F0 01 F8 68 ?? ?? ?? ?? 38 66 3B 6E FB 62 FB 6A 00 2B 03 DA FB 6A 5B 42 BB 63 01 E0 FB 6A BB 63 BB 6B 7B 60 D7 F8 60 04 ?? ?? ?? ?? 78 66 7A 6E 7B 68 9A 42 10 D8 D7 F8 60 04 ?? ?? ?? ?? B8 66 B7 F8 64 34 79 68 BA 6E 8A 1A 52 1C 00 21 D7 F8 60 04 ?? ?? ?? ?? 50 E0 17 F5 6C 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 46 D0 17 F5 6C 70 ?? ?? ?? ?? 38 67 3B 6F 93 F9 00 30 00 2B 3C DD F8 68 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F5 6C 70 ?? ?? ?? ?? 78 67 7B 6F 7B 61 D7 F8 60 04 ?? ?? ?? ?? B8 67 BA 6F 7B 68 D3 1A 3B 62 7B 69 93 F9 00 30 7F 2B 21 D0 7B 69 93 F9 00 30 00 2B 1C DD 7B 69 93 F9 00 20 3B 6A 9A 42 16 D2 7B 69 93 F9 00 20 3B 6A 9B 1A 3B 62 FB 8C 01 22 39 6A D7 F8 60 04 ?? ?? ?? ?? 7B 69 5B 1C 93 F9 00 30 00 2B 02 DD 7B 69 5B 1C 7B 61 D8 E7 17 F5 5C 70 ?? ?? ?? ?? C7 F8 F4 01 97 F8 5C 34 00 2B 21 D0 17 F5 FC 71 F8 68 ?? ?? ?? ?? F8 67 F9 6F 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 74 71 F8 68 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 10 17 F5 5C 70 ?? ?? ?? ?? 17 F5 74 70 ?? ?? ?? ?? 22 E0 17 F5 F4 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 7C 71 F8 68 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 D7 F8 90 10 17 F5 5C 70 ?? ?? ?? ?? 17 F5 7C 70 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? C7 F8 EC 01 D7 F8 54 04 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 13 F0 08 0F 14 D0 17 F5 82 61 F8 68 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 10 17 F5 64 70 ?? ?? ?? ?? 17 F5 82 60 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 BB 61 BB 69 2B 2B 09 DC BB 69 2B 2B 19 D0 BB 69 20 2B 54 D0 BB 69 24 2B 07 D0 58 E0 BB 69 76 2B 1B D0 BB 69 78 2B 4D D0 51 E0 17 F5 64 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 45 E0 17 F5 5C 70 ?? ?? ?? ?? C7 F8 A4 00 3A 68 D7 F8 A4 30 13 44 3B 60 39 E0 D7 F8 60 04 ?? ?? ?? ?? C7 F8 B0 00 7B 68 00 2B 02 D9 01 23 FB 63 01 E0 00 23 FB 63 D7 F8 60 04 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 20 7B 68 9A 42 0C D8 D7 F8 60 04 ?? ?? ?? ?? C7 F8 AC 00 7A 68 D7 F8 AC 30 D3 1A 5B 1C 3B 64 01 E0 00 23 3B 64 D7 F8 B0 20 FB 6B 1A 44 3B 6C 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 54 04 ?? ?? ?? ?? C7 F8 CC 11 C7 F8 C8 01 D7 F8 C8 31 C7 F8 D0 31 D7 F8 CC 31 C7 F8 D4 31 D7 F8 D0 31 C7 F8 B4 30 D7 F8 D4 31 00 2B 1F DB 03 DC D7 F8 B4 30 00 2B 1A D9 D7 F8 54 04 ?? ?? ?? ?? C7 F8 DC 11 C7 F8 D8 01 D7 F8 D8 21 3B 68 9A 42 0D D9 D7 F8 54 04 ?? ?? ?? ?? C7 F8 E4 11 C7 F8 E0 01 D7 F8 E0 21 3B 68 D3 1A 7B 64 01 E0 00 23 7B 64 7B 6C 3B 60 D7 F8 54 04 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 03 F4 E0 73 7B 63 7B 6B 40 2B 1D D0 7B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 2A 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 10 17 F5 89 60 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 3A 82 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 0A DC FB 69 2B 2B 4D D0 FB 69 20 2B 00 F0 F5 81 FB 69 24 2B 09 D0 20 E2 FB 69 76 2B 00 F0 82 80 FB 69 78 2B 00 F0 FE 81 17 E2 17 F5 64 70 ?? ?? ?? ?? C7 F8 D0 00 17 F5 40 73 C7 F8 C8 30 17 F5 20 71 17 F5 64 70 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 C7 F8 C4 30 D7 F8 C4 10 D7 F8 C8 00 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 C7 F8 D4 30 D7 F8 D0 30 00 93 D7 F8 D4 30 D7 F8 48 14 D7 F8 4C 24 17 F5 2C 70 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 10 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 20 70 ?? ?? ?? ?? DA E1 17 F5 5C 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 00 2B 34 D9 17 F5 44 73 C7 F8 E8 30 17 F5 14 71 17 F5 5C 70 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 C7 F8 E4 30 D7 F8 E4 10 D7 F8 E8 00 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 30 C7 F8 F0 30 01 23 00 93 D7 F8 F0 30 D7 F8 48 14 D7 F8 4C 24 17 F5 2E 70 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 10 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 14 70 ?? ?? ?? ?? 9A E1 7B 68 00 2B 3C D1 D7 F8 60 04 ?? ?? ?? ?? C7 F8 08 01 17 F5 48 73 C7 F8 00 31 17 F5 18 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 C7 F8 FC 30 D7 F8 FC 10 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 04 31 C7 F8 0C 31 D7 F8 08 31 00 93 D7 F8 0C 31 D7 F8 48 14 D7 F8 4C 24 17 F5 30 70 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? 29 E1 D7 F8 60 04 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 21 7B 68 9A 42 00 F2 84 80 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 01 ?? ?? ?? ?? C7 F8 1C 01 B7 F8 64 14 D7 F8 1C 01 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 38 85 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 01 ?? ?? ?? ?? C7 F8 24 01 39 8D D7 F8 24 01 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? C7 F8 28 01 7A 68 D7 F8 28 31 D3 1A 00 93 B7 F8 64 34 D7 F8 48 14 D7 F8 4C 24 17 F5 32 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 11 17 F5 89 60 08 22 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? C7 F8 40 01 17 F5 4C 73 C7 F8 38 31 17 F5 1C 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 C7 F8 34 31 D7 F8 34 11 D7 F8 38 01 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 C7 F8 44 31 D7 F8 40 31 00 93 D7 F8 44 31 D7 F8 48 14 D7 F8 4C 24 17 F5 34 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 1C 70 ?? ?? ?? ?? 99 E0 D7 F8 60 04 ?? ?? ?? ?? C7 F8 5C 01 17 F5 50 73 C7 F8 54 31 17 F5 24 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 C7 F8 50 31 D7 F8 50 11 D7 F8 54 01 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 C7 F8 60 31 D7 F8 5C 21 7B 68 D3 1A 00 93 D7 F8 60 31 D7 F8 48 14 D7 F8 4C 24 17 F5 3E 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 24 70 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 78 85 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 01 ?? ?? ?? ?? C7 F8 6C 01 79 8D D7 F8 6C 01 ?? ?? ?? ?? 17 F5 54 73 C7 F8 80 31 17 F5 04 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 70 01 D7 F8 70 31 C7 F8 74 31 7A 68 17 F5 10 71 D7 F8 74 01 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 31 C7 F8 7C 31 D7 F8 7C 11 D7 F8 80 01 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 C7 F8 88 31 7B 68 00 93 D7 F8 88 31 D7 F8 48 14 D7 F8 4C 24 17 F5 36 70 ?? ?? ?? ?? C7 F8 8C 01 D7 F8 8C 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 10 70 ?? ?? ?? ?? 17 F5 04 70 ?? ?? ?? ?? 2F E0 01 23 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 38 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 11 17 F5 89 60 08 22 ?? ?? ?? ?? 7B 6B B3 F5 80 7F 16 D1 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 3A 70 ?? ?? ?? ?? C7 F8 94 01 D7 F8 94 11 17 F5 89 60 08 22 ?? ?? ?? ?? 00 23 3B 60 BE E5 17 F5 5C 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 98 31 01 2B 4D D9 17 F5 5C 70 ?? ?? ?? ?? C7 F8 B4 01 17 F5 58 73 C7 F8 AC 31 17 F5 0C 71 17 F5 5C 70 ?? ?? ?? ?? C7 F8 9C 01 D7 F8 9C 31 C7 F8 A0 31 01 22 17 F5 08 71 D7 F8 A0 01 ?? ?? ?? ?? C7 F8 A4 01 D7 F8 A4 31 C7 F8 A8 31 D7 F8 A8 11 D7 F8 AC 01 ?? ?? ?? ?? C7 F8 B0 01 D7 F8 B0 31 C7 F8 B8 31 D7 F8 B4 31 5B 1E 00 93 D7 F8 B8 31 D7 F8 48 14 D7 F8 4C 24 17 F5 3C 70 ?? ?? ?? ?? C7 F8 BC 01 D7 F8 BC 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 08 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? 00 22 00 23 D7 F8 54 04 ?? ?? ?? ?? 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 D7 F8 44 04 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? 17 F5 5C 70 ?? ?? ?? ?? 17 F5 6C 70 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? D7 F8 44 34 C7 F8 C0 31 D7 F8 C0 01 0D F5 87 6D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1107_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 272
		refs = "000a __security_push_cookie 003e ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z 004c ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 006c ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 008e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00a8 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 00ee memcpy 00f6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0104 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 58 03 02 93 D7 F8 9C 30 01 93 97 F8 98 30 00 93 17 F1 90 03 17 F1 88 02 17 F1 38 01 D7 F8 80 00 ?? ?? ?? ?? F8 61 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 A0 30 1B 68 43 F0 01 02 D7 F8 A0 30 1A 60 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 00 2B 08 D1 D7 F8 A0 30 1B 68 43 F0 02 02 D7 F8 A0 30 1A 60 2C E0 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 7B 60 00 23 BB 60 17 F1 08 03 00 22 17 F1 14 01 78 68 ?? ?? ?? ?? 87 ED 08 0B 97 ED 08 0B 87 ED 0A 0B 7A 69 7B 68 9A 42 02 D0 BB 68 00 2B 08 D0 D7 F8 A0 30 1B 68 43 F0 02 02 D7 F8 A0 30 1A 60 05 E0 97 ED 0A 0B D7 F8 A4 30 83 ED 00 0B D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? D7 F8 84 30 BB 61 B8 69 20 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1111_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 272
		refs = "000a __security_push_cookie 003e ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z 004c ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 006c ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 008e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00a8 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 00ee memcpy 00f6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0104 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 58 03 02 93 D7 F8 9C 30 01 93 97 F8 98 30 00 93 17 F1 90 03 17 F1 88 02 17 F1 38 01 D7 F8 80 00 ?? ?? ?? ?? F8 61 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 A0 30 1B 68 43 F0 01 02 D7 F8 A0 30 1A 60 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 00 2B 08 D1 D7 F8 A0 30 1B 68 43 F0 02 02 D7 F8 A0 30 1A 60 2C E0 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 7B 60 00 23 BB 60 17 F1 08 03 00 22 17 F1 14 01 78 68 ?? ?? ?? ?? 87 ED 08 0B 97 ED 08 0B 87 ED 0A 0B 7A 69 7B 68 9A 42 02 D0 BB 68 00 2B 08 D0 D7 F8 A0 30 1B 68 43 F0 02 02 D7 F8 A0 30 1A 60 05 E0 97 ED 0A 0B D7 F8 A4 30 83 ED 00 0B D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? D7 F8 84 30 BB 61 B8 69 20 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1109_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 326
		refs = "000a __security_push_cookie 003e ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z 0048 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 005a ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0098 ?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 00a2 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 00bc ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0124 memcpy 012c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 013a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 58 03 02 93 D7 F8 9C 30 01 93 97 F8 98 30 00 93 17 F1 90 03 17 F1 88 02 17 F1 38 01 D7 F8 80 00 ?? ?? ?? ?? B8 62 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 71 3B 79 00 2B 07 D0 D7 F8 A0 30 1B 68 43 F0 01 02 D7 F8 A0 30 1A 60 BB 68 00 2B 08 D1 D7 F8 A0 30 1B 68 43 F0 02 02 D7 F8 A0 30 1A 60 45 E0 00 23 3B 60 B9 68 D7 F8 A4 00 ?? ?? ?? ?? 00 21 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 93 F9 00 30 2D 2B 10 D1 3B 68 7B 61 79 69 D7 F8 A4 00 ?? ?? ?? ?? B8 61 17 F1 58 03 14 33 1A 88 BB 69 1A 80 3B 68 5B 1C 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 BB 68 9A 42 1A D2 39 68 17 F1 38 00 ?? ?? ?? ?? F8 61 39 68 D7 F8 A4 00 ?? ?? ?? ?? 38 62 FB 69 93 F9 00 30 A3 F1 30 02 02 23 02 FB 03 F2 17 F1 58 03 13 44 1A 88 3B 6A 1A 80 DD E7 D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? D7 F8 84 30 7B 62 78 6A 20 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1113_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 326
		refs = "000a __security_push_cookie 003e ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z 0048 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 005a ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0098 ?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 00a2 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 00bc ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0124 memcpy 012c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 013a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 58 03 02 93 D7 F8 9C 30 01 93 97 F8 98 30 00 93 17 F1 90 03 17 F1 88 02 17 F1 38 01 D7 F8 80 00 ?? ?? ?? ?? B8 62 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 71 3B 79 00 2B 07 D0 D7 F8 A0 30 1B 68 43 F0 01 02 D7 F8 A0 30 1A 60 BB 68 00 2B 08 D1 D7 F8 A0 30 1B 68 43 F0 02 02 D7 F8 A0 30 1A 60 45 E0 00 23 3B 60 B9 68 D7 F8 A4 00 ?? ?? ?? ?? 00 21 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 93 F9 00 30 2D 2B 10 D1 3B 68 7B 61 79 69 D7 F8 A4 00 ?? ?? ?? ?? B8 61 17 F1 58 03 14 33 1A 88 BB 69 1A 80 3B 68 5B 1C 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 BB 68 9A 42 1A D2 39 68 17 F1 38 00 ?? ?? ?? ?? F8 61 39 68 D7 F8 A4 00 ?? ?? ?? ?? 38 62 FB 69 93 F9 00 30 A3 F1 30 02 02 23 02 FB 03 F2 17 F1 58 03 13 44 1A 88 3B 6A 1A 80 DD E7 D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? D7 F8 84 30 7B 62 78 6A 20 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1132_2 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 466
		refs = "000a __security_push_cookie 0026 ?flags@ios_base@std@@QBAHXZ 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0062 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 006e ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 007e ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@ABV01@@Z 0086 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0090 ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@G@Z 009a ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ba ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 00cc ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0118 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 012c _Stoulx 0160 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01b8 memcpy 01c6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? BE B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 6F F0 00 03 7B 60 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 20 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 98 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 98 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 20 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 8C 73 17 F5 88 72 17 F1 D8 01 D7 F8 08 01 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 D8 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 D8 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 24 31 1B 68 43 F0 01 02 D7 F8 24 31 1A 60 7B 68 00 2B 08 DA D7 F8 24 31 1B 68 43 F0 02 02 D7 F8 24 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 28 31 1A 70 D7 F8 0C 01 17 F5 88 71 08 22 ?? ?? ?? ?? D7 F8 0C 31 BB 65 B8 6D 40 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_37_331_2 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 466
		refs = "000a __security_push_cookie 0026 ?flags@ios_base@std@@QBAHXZ 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0062 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 006e ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 007e ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@ABV01@@Z 0086 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0090 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 009a ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ba ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00cc ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0118 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 012c _Stoulx 0160 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01b8 memcpy 01c6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? BE B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 6F F0 00 03 7B 60 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 20 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 98 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 98 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 20 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 8C 73 17 F5 88 72 17 F1 D8 01 D7 F8 08 01 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 D8 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 D8 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 24 31 1B 68 43 F0 01 02 D7 F8 24 31 1A 60 7B 68 00 2B 08 DA D7 F8 24 31 1B 68 43 F0 02 02 D7 F8 24 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 28 31 1A 70 D7 F8 0C 01 17 F5 88 71 08 22 ?? ?? ?? ?? D7 F8 0C 31 BB 65 B8 6D 40 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1155_2 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 466
		refs = "000a __security_push_cookie 0026 ?flags@ios_base@std@@QBAHXZ 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0062 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 006e ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 007e ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@ABV01@@Z 0086 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0090 ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@_W@Z 009a ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ba ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 00cc ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0118 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 012c _Stoulx 0160 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01b8 memcpy 01c6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? BE B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 6F F0 00 03 7B 60 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 20 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 98 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 98 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 20 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 8C 73 17 F5 88 72 17 F1 D8 01 D7 F8 08 01 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 D8 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 D8 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 24 31 1B 68 43 F0 01 02 D7 F8 24 31 1A 60 7B 68 00 2B 08 DA D7 F8 24 31 1B 68 43 F0 02 02 D7 F8 24 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 28 31 1A 70 D7 F8 0C 01 17 F5 88 71 08 22 ?? ?? ?? ?? D7 F8 0C 31 BB 65 B8 6D 40 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1214_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 384
		refs = "000a __security_push_cookie 0024 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0030 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 003e ??1locale@std@@QAA@XZ 004e ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 005e ?empty@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBA_NXZ 0070 ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAABGI@Z 0094 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 00c6 ??$_Find_elem@G@std@@YAIPAGG@Z 00ec ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBGI@Z 010e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 011e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z 015a ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0162 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0170 __security_pop_cookie 017c ?_Src@?1??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@3@V43@_NAAVios_base@3@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AC B0 6F 46 86 B0 6F F0 01 03 C7 E9 14 33 17 F1 48 01 D7 F8 D4 00 ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 61 17 F1 48 00 ?? ?? ?? ?? 17 F1 98 03 4D 4A 0C 32 4C 49 B8 69 ?? ?? ?? ?? 00 23 3B 70 00 23 BB 60 D7 F8 DC 00 ?? ?? ?? ?? 78 70 7B 78 00 2B 12 D1 00 21 D7 F8 DC 00 ?? ?? ?? ?? F8 61 FB 69 1A 88 17 F1 98 03 14 33 1B 88 9A 42 04 D1 01 23 3B 70 BB 68 5B 1C BB 60 D7 F8 DC 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 BB 68 7B 60 02 E0 7B 68 5B 1C 7B 60 7A 68 7B 6A 9A 42 10 D2 79 68 D7 F8 DC 00 ?? ?? ?? ?? B8 62 BB 6A 19 88 17 F1 98 00 ?? ?? ?? ?? F8 62 FB 6A 0A 2B 00 D2 E7 E7 B9 68 D7 F8 DC 00 ?? ?? ?? ?? 38 63 7A 68 BB 68 D2 1A 39 6B 17 F1 78 00 ?? ?? ?? ?? 78 64 17 F1 78 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 07 D0 17 F1 98 03 1A 88 01 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 78 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 17 F1 98 03 1B 88 05 93 FB 6B 04 93 3B 78 03 93 B7 F8 D8 30 02 93 D7 F8 D4 30 01 93 97 F8 D0 30 00 93 D7 F8 C8 20 D7 F8 CC 30 D7 F8 C4 10 D7 F8 C0 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? D7 F8 C4 30 3B 64 38 6C 32 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1220_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 384
		refs = "000a __security_push_cookie 0024 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0030 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 003e ??1locale@std@@QAA@XZ 004e ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 005e ?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ 0070 ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAAB_WI@Z 0094 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00c6 ??$_Find_elem@_W@std@@YAIPA_W_W@Z 00ec ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_WI@Z 010e ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 011e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z 015a ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0162 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0170 __security_pop_cookie 017c ?_Src@?1??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@3@V43@_NAAVios_base@3@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AC B0 6F 46 86 B0 6F F0 01 03 C7 E9 14 33 17 F1 48 01 D7 F8 D4 00 ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 61 17 F1 48 00 ?? ?? ?? ?? 17 F1 98 03 4D 4A 0C 32 4C 49 B8 69 ?? ?? ?? ?? 00 23 3B 70 00 23 BB 60 D7 F8 DC 00 ?? ?? ?? ?? 78 70 7B 78 00 2B 12 D1 00 21 D7 F8 DC 00 ?? ?? ?? ?? F8 61 FB 69 1A 88 17 F1 98 03 14 33 1B 88 9A 42 04 D1 01 23 3B 70 BB 68 5B 1C BB 60 D7 F8 DC 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 BB 68 7B 60 02 E0 7B 68 5B 1C 7B 60 7A 68 7B 6A 9A 42 10 D2 79 68 D7 F8 DC 00 ?? ?? ?? ?? B8 62 BB 6A 19 88 17 F1 98 00 ?? ?? ?? ?? F8 62 FB 6A 0A 2B 00 D2 E7 E7 B9 68 D7 F8 DC 00 ?? ?? ?? ?? 38 63 7A 68 BB 68 D2 1A 39 6B 17 F1 78 00 ?? ?? ?? ?? 78 64 17 F1 78 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 07 D0 17 F1 98 03 1A 88 01 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 78 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 17 F1 98 03 1B 88 05 93 FB 6B 04 93 3B 78 03 93 B7 F8 D8 30 02 93 D7 F8 D4 30 01 93 97 F8 D0 30 00 93 D7 F8 C8 20 D7 F8 CC 30 D7 F8 C4 10 D7 F8 C0 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? D7 F8 C4 30 3B 64 38 6C 32 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1217_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z"
		size = 416
		refs = "000a __security_push_cookie 008c sprintf_s 00a6 memcpy 00ba ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00c6 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00d4 ??1locale@std@@QAA@XZ 00dc ?widen@?$ctype@G@std@@QBAGD@Z 00ee ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 00fa ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0116 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 0122 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0132 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z 016a ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0172 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0180 __security_pop_cookie 018c ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B0 B0 6F 46 86 B0 87 ED 02 0B 6F F0 01 03 C7 E9 14 33 00 23 3B 70 97 ED 02 0B B5 EE C0 0B F1 EE 10 FA 07 D2 01 23 3B 70 97 ED 02 0B B1 EE 40 0B 87 ED 02 0B 00 23 7B 60 02 E0 7B 68 0A 33 7B 60 9F ED 52 1B 97 ED 02 0B B4 EE C0 1B F1 EE 10 FA 0D D8 7A 68 41 F2 88 33 9A 42 08 D2 97 ED 02 1B 9F ED 48 0B 81 EE 00 0B 87 ED 02 0B E5 E7 BB 68 00 93 FB 68 01 93 41 4A 28 21 17 F1 98 00 ?? ?? ?? ?? 38 62 3B 6A 7B 61 7B 69 00 2B 0A DA D7 F8 D4 00 17 F1 D8 01 08 22 ?? ?? ?? ?? D7 F8 D4 30 FB 61 64 E0 17 F1 48 01 D7 F8 E4 00 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A BB 61 17 F1 48 00 ?? ?? ?? ?? 30 21 B8 69 ?? ?? ?? ?? 38 82 3B 8A 7B 80 00 22 79 69 17 F1 78 00 ?? ?? ?? ?? 38 64 00 21 17 F1 78 00 ?? ?? ?? ?? 38 63 3B 6B 79 69 01 22 01 FB 02 F1 17 F1 98 02 0A 44 17 F1 98 01 B8 69 ?? ?? ?? ?? 7A 88 79 68 17 F1 78 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 78 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 7B 88 05 93 FB 6B 04 93 3B 78 03 93 B7 F8 E8 30 02 93 D7 F8 E4 30 01 93 97 F8 E0 30 00 93 D7 F8 D8 20 D7 F8 DC 30 D7 F8 D4 10 D7 F8 D0 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? D7 F8 D4 30 FB 61 F8 69 36 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_34_1223_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z"
		size = 416
		refs = "000a __security_push_cookie 008c sprintf_s 00a6 memcpy 00ba ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00c6 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00d4 ??1locale@std@@QAA@XZ 00dc ?widen@?$ctype@_W@std@@QBA_WD@Z 00ee ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 00fa ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0116 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 0122 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0132 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z 016a ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0172 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0180 __security_pop_cookie 018c ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? B0 B0 6F 46 86 B0 87 ED 02 0B 6F F0 01 03 C7 E9 14 33 00 23 3B 70 97 ED 02 0B B5 EE C0 0B F1 EE 10 FA 07 D2 01 23 3B 70 97 ED 02 0B B1 EE 40 0B 87 ED 02 0B 00 23 7B 60 02 E0 7B 68 0A 33 7B 60 9F ED 52 1B 97 ED 02 0B B4 EE C0 1B F1 EE 10 FA 0D D8 7A 68 41 F2 88 33 9A 42 08 D2 97 ED 02 1B 9F ED 48 0B 81 EE 00 0B 87 ED 02 0B E5 E7 BB 68 00 93 FB 68 01 93 41 4A 28 21 17 F1 98 00 ?? ?? ?? ?? 38 62 3B 6A 7B 61 7B 69 00 2B 0A DA D7 F8 D4 00 17 F1 D8 01 08 22 ?? ?? ?? ?? D7 F8 D4 30 FB 61 64 E0 17 F1 48 01 D7 F8 E4 00 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A BB 61 17 F1 48 00 ?? ?? ?? ?? 30 21 B8 69 ?? ?? ?? ?? 38 82 3B 8A 7B 80 00 22 79 69 17 F1 78 00 ?? ?? ?? ?? 38 64 00 21 17 F1 78 00 ?? ?? ?? ?? 38 63 3B 6B 79 69 01 22 01 FB 02 F1 17 F1 98 02 0A 44 17 F1 98 01 B8 69 ?? ?? ?? ?? 7A 88 79 68 17 F1 78 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 78 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 7B 88 05 93 FB 6B 04 93 3B 78 03 93 B7 F8 E8 30 02 93 D7 F8 E4 30 01 93 97 F8 E0 30 00 93 D7 F8 D8 20 D7 F8 DC 30 D7 F8 D4 10 D7 F8 D0 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? D7 F8 D4 30 FB 61 F8 69 36 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_34_1228_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z"
		size = 416
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00ca frexp 00e0 __rt_sdiv 00f4 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 010e ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 0118 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0122 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0138 sprintf_s 0170 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0186 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AA B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 1E 33 17 F1 80 00 ?? ?? ?? ?? 38 67 D7 F8 C8 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C8 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C8 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 1E D0 97 ED 06 0B B0 EE C0 1B 9F ED 38 0B B4 EE C1 0B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 80 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? F8 62 FB 6A 00 22 17 F1 A0 01 D7 F8 B8 00 ?? ?? ?? ?? 38 63 17 F1 80 00 ?? ?? ?? ?? 78 63 17 F1 80 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 80 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 B7 F8 CC 30 01 93 D7 F8 C8 30 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 BC 10 D7 F8 B8 00 ?? ?? ?? ?? 17 F1 80 00 ?? ?? ?? ?? D7 F8 BC 30 BB 64 B8 6C 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_34_1240_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z"
		size = 416
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00ca frexp 00e0 __rt_sdiv 00f4 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 010e ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 0118 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0122 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0138 sprintf_s 0170 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0186 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AA B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 1E 33 17 F1 80 00 ?? ?? ?? ?? 38 67 D7 F8 C8 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C8 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C8 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 1E D0 97 ED 06 0B B0 EE C0 1B 9F ED 38 0B B4 EE C1 0B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 80 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? F8 62 FB 6A 00 22 17 F1 A0 01 D7 F8 B8 00 ?? ?? ?? ?? 38 63 17 F1 80 00 ?? ?? ?? ?? 78 63 17 F1 80 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 80 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 B7 F8 CC 30 01 93 D7 F8 C8 30 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 BC 10 D7 F8 B8 00 ?? ?? ?? ?? 17 F1 80 00 ?? ?? ?? ?? D7 F8 BC 30 BB 64 B8 6C 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_34_1230_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z"
		size = 424
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00b0 fabsl 00d2 frexpl 00e8 __rt_sdiv 00fc ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0116 ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 0120 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 012a ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0140 sprintf_s 0178 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z 0180 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 018e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AC B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 20 33 17 F1 88 00 ?? ?? ?? ?? 38 67 D7 F8 D0 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 D0 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 D0 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 22 D0 97 ED 06 0B ?? ?? ?? ?? 87 ED 1E 0B 9F ED 39 1B 97 ED 1E 0B B4 EE C0 1B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 88 00 ?? ?? ?? ?? D7 F8 D0 00 ?? ?? ?? ?? F8 62 FB 6A 4C 22 17 F1 A8 01 D7 F8 C0 00 ?? ?? ?? ?? 38 63 17 F1 88 00 ?? ?? ?? ?? 78 63 17 F1 88 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 88 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 B7 F8 D4 30 01 93 D7 F8 D0 30 00 93 D7 F8 C8 20 D7 F8 CC 30 D7 F8 C4 10 D7 F8 C0 00 ?? ?? ?? ?? 17 F1 88 00 ?? ?? ?? ?? D7 F8 C4 30 BB 64 B8 6C 30 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_34_1242_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z"
		size = 424
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00b0 fabsl 00d2 frexpl 00e8 __rt_sdiv 00fc ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0116 ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 0120 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 012a ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0140 sprintf_s 0178 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z 0180 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 018e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AC B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 20 33 17 F1 88 00 ?? ?? ?? ?? 38 67 D7 F8 D0 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 D0 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 D0 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 22 D0 97 ED 06 0B ?? ?? ?? ?? 87 ED 1E 0B 9F ED 39 1B 97 ED 1E 0B B4 EE C0 1B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 88 00 ?? ?? ?? ?? D7 F8 D0 00 ?? ?? ?? ?? F8 62 FB 6A 4C 22 17 F1 A8 01 D7 F8 C0 00 ?? ?? ?? ?? 38 63 17 F1 88 00 ?? ?? ?? ?? 78 63 17 F1 88 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 88 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 B7 F8 D4 30 01 93 D7 F8 D0 30 00 93 D7 F8 C8 20 D7 F8 CC 30 D7 F8 C4 10 D7 F8 C0 00 ?? ?? ?? ?? 17 F1 88 00 ?? ?? ?? ?? D7 F8 C4 30 BB 64 B8 6C 30 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_34_1235_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z"
		size = 556
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 005e _guard_check_icall 0080 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 008c ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 009a ??1locale@std@@QAA@XZ 00a2 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00b6 ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00c6 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@$$QAV12@@Z 00ce ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00da ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00fa ?width@ios_base@std@@QBA_JXZ 012c ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 0190 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 019e memcpy 01b4 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 01d2 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 01ec ?width@ios_base@std@@QAA_J_J@Z 0220 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BF B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 D7 F8 30 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 38 31 02 93 B7 F8 34 31 01 93 D7 F8 30 31 00 93 D7 F8 28 91 D7 F8 2C 81 D7 F8 24 61 D7 F8 20 31 1B 68 24 33 D7 F8 20 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 24 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 30 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 38 31 00 2B 11 D0 17 F1 C0 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 C0 00 ?? ?? ?? ?? 10 E0 17 F1 E0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 E0 00 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 30 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 30 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 30 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 B7 F8 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 90 01 D7 F8 20 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 94 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 98 01 D7 F8 20 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 94 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 30 01 ?? ?? ?? ?? 3B 68 01 93 B7 F8 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 24 31 3B 61 38 69 43 B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1247_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z"
		size = 556
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 005e _guard_check_icall 0080 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 008c ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 009a ??1locale@std@@QAA@XZ 00a2 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00b6 ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00c6 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@$$QAV12@@Z 00ce ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00da ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00fa ?width@ios_base@std@@QBA_JXZ 012c ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 0190 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 019e memcpy 01b4 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 01d2 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 01ec ?width@ios_base@std@@QAA_J_J@Z 0220 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BF B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 D7 F8 30 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 38 31 02 93 B7 F8 34 31 01 93 D7 F8 30 31 00 93 D7 F8 28 91 D7 F8 2C 81 D7 F8 24 61 D7 F8 20 31 1B 68 24 33 D7 F8 20 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 24 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 30 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 38 31 00 2B 11 D0 17 F1 C0 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 C0 00 ?? ?? ?? ?? 10 E0 17 F1 E0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 E0 00 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 30 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 30 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 30 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 B7 F8 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 90 01 D7 F8 20 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 94 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 98 01 D7 F8 20 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 94 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 30 01 ?? ?? ?? ?? 3B 68 01 93 B7 F8 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 24 31 3B 61 38 69 43 B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1250_2 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z"
		size = 352
		refs = "000a __security_push_cookie 003e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0090 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 009c ?_Getptr@_Timevec@std@@QBAPAXXZ 00a6 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00b4 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00c0 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 00d6 _Wcsftime 00fa ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 010e ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0128 memcpy 0138 ??$copy@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z 0140 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 014e __security_pop_cookie 015c ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 14 33 17 F1 78 03 3B 61 38 69 4D 49 91 E8 0C 00 80 E8 0C 00 08 31 08 30 02 46 0B 46 1B 88 13 80 17 F1 58 00 ?? ?? ?? ?? B8 63 97 F9 B8 30 00 2B 07 D1 97 F9 B4 30 9A B2 17 F1 78 03 1B 1D 1A 80 0D E0 97 F9 B8 30 9A B2 17 F1 78 03 1B 1D 1A 80 97 F9 B4 30 9A B2 17 F1 78 03 9B 1D 1A 80 10 23 7B 60 04 E0 7A 68 02 23 02 FB 03 F3 7B 60 00 22 79 68 17 F1 58 00 ?? ?? ?? ?? D7 F8 98 30 03 F1 08 00 ?? ?? ?? ?? F8 61 17 F1 58 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 58 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 B8 69 ?? ?? ?? ?? 78 62 FB 69 00 93 D7 F8 B0 30 17 F1 78 02 39 6A 78 6A ?? ?? ?? ?? B8 62 BB 6A FB 60 FB 68 00 2B 02 D9 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 BA E7 F9 68 17 F1 58 00 ?? ?? ?? ?? F8 62 01 21 17 F1 58 00 ?? ?? ?? ?? 38 63 68 46 17 F1 A4 01 04 22 ?? ?? ?? ?? D7 F8 A0 30 FA 6A 39 6B D7 F8 9C 00 ?? ?? ?? ?? 17 F1 58 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1253_2 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z"
		size = 352
		refs = "000a __security_push_cookie 003e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0090 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 009c ?_Getptr@_Timevec@std@@QBAPAXXZ 00a6 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00b4 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00c0 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 00d6 _Wcsftime 00fa ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 010e ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0128 memcpy 0138 ??$copy@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z 0140 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 014e __security_pop_cookie 015c ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 14 33 17 F1 78 03 3B 61 38 69 4D 49 91 E8 0C 00 80 E8 0C 00 08 31 08 30 02 46 0B 46 1B 88 13 80 17 F1 58 00 ?? ?? ?? ?? B8 63 97 F9 B8 30 00 2B 07 D1 97 F9 B4 30 9A B2 17 F1 78 03 1B 1D 1A 80 0D E0 97 F9 B8 30 9A B2 17 F1 78 03 1B 1D 1A 80 97 F9 B4 30 9A B2 17 F1 78 03 9B 1D 1A 80 10 23 7B 60 04 E0 7A 68 02 23 02 FB 03 F3 7B 60 00 22 79 68 17 F1 58 00 ?? ?? ?? ?? D7 F8 98 30 03 F1 08 00 ?? ?? ?? ?? F8 61 17 F1 58 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 58 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 B8 69 ?? ?? ?? ?? 78 62 FB 69 00 93 D7 F8 B0 30 17 F1 78 02 39 6A 78 6A ?? ?? ?? ?? B8 62 BB 6A FB 60 FB 68 00 2B 02 D9 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 BA E7 F9 68 17 F1 58 00 ?? ?? ?? ?? F8 62 01 21 17 F1 58 00 ?? ?? ?? ?? 38 63 68 46 17 F1 A4 01 04 22 ?? ?? ?? ?? D7 F8 A0 30 FA 6A 39 6B D7 F8 9C 00 ?? ?? ?? ?? 17 F1 58 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1272_2 {
	meta:
		name = "?do_transform@?$collate@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z"
		size = 296
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0044 ?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 0050 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 005c ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAAAGXZ 0066 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 00a4 ??$_LStrxfrm@G@std@@YAIPAG0PBG1PBU_Collvec@@@Z 00d4 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 00fc ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@$$QAV01@@Z 010e ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 011c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 18 33 00 23 FB 60 17 F1 68 00 ?? ?? ?? ?? B8 63 D7 F8 A4 20 D7 F8 A0 30 D3 1A 5B 10 7B 60 7B 68 00 2B 55 D9 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 50 01 17 F1 68 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? 78 62 17 F1 68 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 68 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? B8 62 D7 F8 98 30 08 33 00 93 D7 F8 A4 30 D7 F8 A0 20 38 6A 02 21 00 FB 01 F0 79 6A 01 44 B8 6A ?? ?? ?? ?? F8 62 17 F1 68 00 ?? ?? ?? ?? 38 63 FB 6A 7B 60 7A 68 3B 6B 9A 42 02 D8 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 17 F1 50 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 A6 E7 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 68 01 D7 F8 9C 00 ?? ?? ?? ?? F8 63 FB 68 43 F0 01 03 FB 60 17 F1 68 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1276_2 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z"
		size = 296
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0044 ?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 0050 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 005c ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 0066 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00a4 ??$_LStrxfrm@_W@std@@YAIPA_W0PB_W1PBU_Collvec@@@Z 00d4 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 00fc ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@$$QAV01@@Z 010e ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 011c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 18 33 00 23 FB 60 17 F1 68 00 ?? ?? ?? ?? B8 63 D7 F8 A4 20 D7 F8 A0 30 D3 1A 5B 10 7B 60 7B 68 00 2B 55 D9 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 50 01 17 F1 68 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? 78 62 17 F1 68 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 68 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? B8 62 D7 F8 98 30 08 33 00 93 D7 F8 A4 30 D7 F8 A0 20 38 6A 02 21 00 FB 01 F0 79 6A 01 44 B8 6A ?? ?? ?? ?? F8 62 17 F1 68 00 ?? ?? ?? ?? 38 63 FB 6A 7B 60 7A 68 3B 6B 9A 42 02 D8 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 17 F1 50 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 A6 E7 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 68 01 D7 F8 9C 00 ?? ?? ?? ?? F8 63 FB 68 43 F0 01 03 FB 60 17 F1 68 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1347_2 {
	meta:
		name = "?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 210
		refs = "000a __security_push_cookie 002e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0052 ?c_str@?$_Yarn@D@std@@QBAPBDXZ 005e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 007e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 00a0 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00c6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 D7 F8 80 30 1B 1D 1B 68 00 2B 0D D1 17 F1 50 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 3B 68 43 F0 01 03 3B 60 FB 68 7B 60 16 E0 D7 F8 80 30 1B 1D 1B 68 03 F1 18 00 ?? ?? ?? ?? 38 61 39 69 17 F1 30 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 3B 68 43 F0 02 03 3B 60 BB 69 7B 60 7B 68 FB 61 F9 69 D7 F8 84 00 ?? ?? ?? ?? 78 62 3B 68 43 F0 04 03 3B 60 3B 68 13 F0 02 0F 07 D0 3B 68 23 F0 02 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 3B 68 13 F0 01 0F 07 D0 3B 68 23 F0 01 03 3B 60 17 F1 50 00 ?? ?? ?? ?? D7 F8 84 30 3B 62 38 6A 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_34_1348_2 {
	meta:
		name = "__unwindfunclet$?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ$0"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 08 80 3B 68 23 F0 01 03 3B 60 17 F1 50 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_1365_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
		size = 224
		refs = "001e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z 002e ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV01@@Z 003a ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0054 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z 005c ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 0068 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@@Z 0070 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAAAGXZ 00a6 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIPBGI@Z 00b8 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 82 B0 6F F0 01 03 C7 E9 16 33 D7 F8 80 10 F8 6F ?? ?? ?? ?? 38 70 3B 78 00 2B 1B D0 79 6F B8 6F ?? ?? ?? ?? F8 60 17 F1 38 01 38 6F ?? ?? ?? ?? 78 60 7B 68 BB 60 B9 68 78 6F ?? ?? ?? ?? 38 61 FA 68 39 69 38 6F ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? 27 E0 F9 6F D7 F8 80 00 ?? ?? ?? ?? F8 61 F8 6F ?? ?? ?? ?? 38 62 79 6F B8 6F ?? ?? ?? ?? 78 62 17 F1 48 01 38 6F ?? ?? ?? ?? 78 61 7B 69 BB 61 B9 69 78 6F ?? ?? ?? ?? B8 62 FB 69 00 93 3B 6A 7A 6A B9 6A 38 6F ?? ?? ?? ?? 17 F1 48 00 ?? ?? ?? ?? 3B 6F FB 62 78 6F ?? ?? ?? ?? B8 6F ?? ?? ?? ?? F8 6F ?? ?? ?? ?? D7 F8 80 00 ?? ?? ?? ?? FB 6A 3B 63 38 6B 1B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_542_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
		size = 224
		refs = "001e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z 002e ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV01@@Z 003a ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0054 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 005c ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 0068 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@@Z 0070 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00a6 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z 00b8 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 82 B0 6F F0 01 03 C7 E9 16 33 D7 F8 80 10 F8 6F ?? ?? ?? ?? 38 70 3B 78 00 2B 1B D0 79 6F B8 6F ?? ?? ?? ?? F8 60 17 F1 38 01 38 6F ?? ?? ?? ?? 78 60 7B 68 BB 60 B9 68 78 6F ?? ?? ?? ?? 38 61 FA 68 39 69 38 6F ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? 27 E0 F9 6F D7 F8 80 00 ?? ?? ?? ?? F8 61 F8 6F ?? ?? ?? ?? 38 62 79 6F B8 6F ?? ?? ?? ?? 78 62 17 F1 48 01 38 6F ?? ?? ?? ?? 78 61 7B 69 BB 61 B9 69 78 6F ?? ?? ?? ?? B8 62 FB 69 00 93 3B 6A 7A 6A B9 6A 38 6F ?? ?? ?? ?? 17 F1 48 00 ?? ?? ?? ?? 3B 6F FB 62 78 6F ?? ?? ?? ?? B8 6F ?? ?? ?? ?? F8 6F ?? ?? ?? ?? D7 F8 80 00 ?? ?? ?? ?? FB 6A 3B 63 38 6B 1B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1374_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
		size = 224
		refs = "001e ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z 002e ??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV01@@Z 003a ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0054 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z 005c ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 0068 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@@Z 0070 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 00a6 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIPB_WI@Z 00b8 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 82 B0 6F F0 01 03 C7 E9 16 33 D7 F8 80 10 F8 6F ?? ?? ?? ?? 38 70 3B 78 00 2B 1B D0 79 6F B8 6F ?? ?? ?? ?? F8 60 17 F1 38 01 38 6F ?? ?? ?? ?? 78 60 7B 68 BB 60 B9 68 78 6F ?? ?? ?? ?? 38 61 FA 68 39 69 38 6F ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? 27 E0 F9 6F D7 F8 80 00 ?? ?? ?? ?? F8 61 F8 6F ?? ?? ?? ?? 38 62 79 6F B8 6F ?? ?? ?? ?? 78 62 17 F1 48 01 38 6F ?? ?? ?? ?? 78 61 7B 69 BB 61 B9 69 78 6F ?? ?? ?? ?? B8 62 FB 69 00 93 3B 6A 7A 6A B9 6A 38 6F ?? ?? ?? ?? 17 F1 48 00 ?? ?? ?? ?? 3B 6F FB 62 78 6F ?? ?? ?? ?? B8 6F ?? ?? ?? ?? F8 6F ?? ?? ?? ?? D7 F8 80 00 ?? ?? ?? ?? FB 6A 3B 63 38 6B 1B B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_37_10_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z"
		size = 544
		refs = "000a __security_push_cookie 0070 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 008a ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 00f8 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 018c ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 019a ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 0208 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0214 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 6F F0 01 03 C7 E9 10 33 00 23 7B 61 02 E0 7B 69 5B 1C 7B 61 7A 69 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 14 D0 7A 69 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 04 D1 D7 F8 80 30 5B 1C C7 F8 80 30 DC E7 00 22 D7 F8 80 10 17 F1 48 00 ?? ?? ?? ?? F8 63 6F F0 01 03 BB 61 01 23 3B 61 08 E0 3B 69 5B 1C 3B 61 B8 6F ?? ?? ?? ?? 6F F0 00 03 BB 61 00 23 3B 70 00 23 7B 60 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 D7 F8 80 30 9A 42 80 F0 99 80 02 E0 7B 68 5B 1C 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 0F D0 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 00 D0 E1 E7 B9 68 17 F1 48 00 ?? ?? ?? ?? 78 62 7B 6A 93 F9 00 30 00 2B 0C D0 B9 68 17 F1 48 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 20 7B 68 13 44 7B 60 60 E0 7A 68 3B 69 13 44 7B 60 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 D7 F8 84 30 93 F9 00 30 9A 42 0A D0 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 30 00 2B 14 D1 3B 69 7F 2B 02 D2 3B 69 FB 61 01 E0 7F 23 FB 61 B9 68 17 F1 48 00 ?? ?? ?? ?? F8 62 FB 69 5A B2 FB 6A 1A 70 BB 68 BB 61 2D E0 F9 6F B8 6F ?? ?? ?? ?? 38 73 3B 7B 00 2B 10 D1 B8 6F ?? ?? ?? ?? 78 73 7A 68 01 23 02 FB 03 F2 D7 F8 84 30 13 44 93 F9 00 20 97 F9 0D 30 9A 42 12 D0 3B 69 7F 2B 02 D2 3B 69 3B 62 01 E0 7F 23 3B 62 B9 68 17 F1 48 00 ?? ?? ?? ?? 38 63 3B 6A 5A B2 3B 6B 1A 70 01 E0 01 23 3B 70 5D E7 3B 78 00 2B 07 D0 F9 6F B8 6F ?? ?? ?? ?? B8 73 BB 7B 00 2B 00 D0 00 E0 40 E7 BB 69 7B 63 17 F1 48 00 ?? ?? ?? ?? 7B 6B BB 63 B8 6B 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_37_176_2 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z"
		size = 1228
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00cc strcspn 00e2 memcpy 00e6 localeconv 0114 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0120 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 012e ??1locale@std@@QAA@XZ 013c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 014a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0168 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 0180 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0198 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a2 ?thousands_sep@?$numpunct@D@std@@QBADXZ 01ba ?decimal_point@?$numpunct@D@std@@QBADXZ 01f2 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0238 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0254 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0264 ?width@ios_base@std@@QBA_JXZ 0312 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0354 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 0472 ?width@ios_base@std@@QAA_J_J@Z 0498 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04b2 __security_pop_cookie 04c0 ??_C@_01LFCBOECM@?4?$AA@ 04c4 ??_C@_02OOPEBDOJ@pP?$AA@ 04c8 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 D7 F8 8C 31 00 2B 0E D9 D7 F8 88 31 93 F9 00 30 2B 2B 05 D0 D7 F8 88 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 62 01 E0 00 23 7B 62 7B 6A 3B 60 D7 F8 80 01 ?? ?? ?? ?? 78 63 7B 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 64 34 BB 62 2E E0 DF F8 58 34 BB 62 3B 68 9A 1C D7 F8 8C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 B9 6A D7 F8 88 01 ?? ?? ?? ?? B8 63 BB 6B FB 66 17 F1 0C 03 FB 63 F8 6B F8 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 38 64 3B 6C 1B 68 17 F1 0C 02 93 F9 00 30 13 70 17 F1 0C 01 D7 F8 88 01 ?? ?? ?? ?? 78 64 7B 6C 7B 61 17 F1 D8 01 D7 F8 80 01 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D BB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 8C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? 78 65 7B 6D D7 F8 8C 11 01 22 01 FB 02 F1 D7 F8 88 21 0A 44 D7 F8 88 11 B8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 80 01 ?? ?? ?? ?? F8 65 FB 6D 3B 66 38 6E ?? ?? ?? ?? 78 66 7B 6E FB 61 17 F1 E0 00 ?? ?? ?? ?? 17 F5 A0 71 F8 69 ?? ?? ?? ?? C7 F8 D4 00 F8 69 ?? ?? ?? ?? 38 71 97 F9 04 30 BB 71 7A 69 D7 F8 8C 31 9A 42 0D D0 F8 69 ?? ?? ?? ?? 78 71 79 69 17 F5 90 70 ?? ?? ?? ?? B8 66 97 F9 05 20 BB 6E 1A 70 7A 69 D7 F8 8C 31 9A 42 02 D1 FB 6E FB 62 01 E0 7B 69 FB 62 FB 6A BB 61 00 21 17 F5 A0 70 ?? ?? ?? ?? 38 67 3B 6F BB 60 BB 68 93 F9 00 30 7F 2B 24 D0 BB 68 93 F9 00 30 00 2B 1F DD BB 68 93 F9 00 10 BA 69 3B 68 D3 1A 99 42 17 D2 BB 68 93 F9 00 20 BB 69 9B 1A BB 61 97 F9 06 30 01 22 B9 69 17 F5 90 70 ?? ?? ?? ?? BB 68 5B 1C 93 F9 00 30 00 2B 02 DD BB 68 5B 1C BB 60 D5 E7 17 F5 90 70 ?? ?? ?? ?? 78 67 7B 6F C7 F8 8C 31 D7 F8 80 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 BB 67 D7 F8 BC 30 00 2B 20 DB 02 DC BB 6F 00 2B 1C D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 8C 31 9A 42 0E D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 8C 31 D3 1A 3B 63 01 E0 00 23 3B 63 3B 6B 3B 61 D7 F8 80 01 ?? ?? ?? ?? F8 67 FB 6F 03 F4 E0 73 3B 62 3B 6A 40 2B 3D D0 3B 6A B3 F5 80 7F 39 D0 3B 69 01 93 97 F9 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F0 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 3B 61 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 84 00 3B 68 01 93 D7 F8 84 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F8 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 5C E0 3B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 8C 00 3B 68 01 93 D7 F8 8C 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 80 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 3B 69 01 93 97 F9 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 84 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 3B 61 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 98 00 3B 68 01 93 D7 F8 98 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 88 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 8C 21 3B 68 D3 1A 01 93 D7 F8 A0 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 8C 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 80 01 ?? ?? ?? ?? 3B 69 01 93 97 F9 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 17 F5 A0 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 74 31 C7 F8 A8 30 D7 F8 A8 00 5A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_209_2 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2124
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 004e ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 007c ??1locale@std@@QAA@XZ 0086 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b0 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00d2 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 00de ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00f4 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 011e ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0196 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 01ce ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01f2 ??$_Find_elem@D@std@@YAIPADD@Z 0258 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0270 ?thousands_sep@?$numpunct@D@std@@QBADXZ 028c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0338 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03b6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 047a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04a4 ?decimal_point@?$numpunct@D@std@@QBADXZ 04b8 localeconv 0838 __security_pop_cookie 0844 ?_Src@?1??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 82 B0 6F F0 01 03 C7 E9 36 33 D7 F8 50 01 ?? ?? ?? ?? F8 65 FB 6D 03 F4 40 53 B3 F5 40 5F 13 D1 D7 F8 54 31 01 93 D7 F8 50 31 00 93 D7 F8 4C 31 D7 F8 48 21 D7 F8 44 11 D7 F8 40 01 ?? ?? ?? ?? 38 66 3B 6E BB 65 EC E3 17 F1 C8 01 D7 F8 50 01 ?? ?? ?? ?? 78 66 7B 6E BB 66 B8 6E ?? ?? ?? ?? F8 66 FB 6E 7B 64 17 F1 C8 00 ?? ?? ?? ?? 17 F5 80 71 78 6C ?? ?? ?? ?? C7 F8 BC 00 D7 F8 44 31 7B 60 00 23 7B 72 00 23 3B 72 17 F1 D0 01 D7 F8 50 01 ?? ?? ?? ?? 38 67 3B 6F 7B 67 78 6F ?? ?? ?? ?? B8 67 BB 6F FB 67 17 F1 D0 00 ?? ?? ?? ?? 17 F5 90 73 DF F8 7C 27 0F 32 DF F8 74 17 F8 6F ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 00 D0 32 E0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 29 00 97 F9 29 20 17 F5 90 73 0B 33 93 F9 00 30 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? 18 E0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2A 00 97 F9 2A 20 17 F5 90 73 0A 33 93 F9 00 30 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? 7B 68 7B 65 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 3B 61 00 23 BB 61 D7 F8 54 31 1A 68 DF F8 CC 36 9A 42 03 D1 4F F4 40 73 FB 64 01 E0 24 23 FB 64 FB 6C BB 64 00 21 17 F5 80 70 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 7B 62 7B 6A 93 F9 00 30 7F 2B 04 D0 7B 6A 93 F9 00 30 00 2B 4D DC 05 E0 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 39 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2C 00 97 F9 2C 10 17 F5 90 70 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 7B 61 7B 69 0A 2B 25 D2 BA 6C 3B 69 9A 42 08 DC BB 69 5B 1C BB 61 7B 69 00 2B 01 D9 01 23 3B 72 17 E0 7B 69 00 2B 03 D1 3B 69 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 0C 36 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B 1C 3B 61 B3 E7 14 E1 17 F5 80 70 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 00 2B 02 D1 00 23 3B 77 07 E0 78 6C ?? ?? ?? ?? 87 F8 2D 00 97 F9 2D 30 3B 77 97 F9 1C 30 7B 77 00 22 01 21 17 F1 E0 00 ?? ?? ?? ?? C7 F8 C0 00 00 23 FB 60 03 E0 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2E 00 97 F8 2E 30 00 2B 00 F0 83 80 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2F 00 97 F9 2F 10 17 F5 90 70 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 7B 61 7B 69 0A 2B 45 D2 01 23 3B 70 BA 6C 3B 69 9A 42 08 DC BB 69 5B 1C BB 61 7B 69 00 2B 01 D9 01 23 3B 72 17 E0 7B 69 00 2B 03 D1 3B 69 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 28 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B 1C 3B 61 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 93 F9 00 30 7F 2B 10 D0 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 3B 65 3B 6D 93 F9 00 30 5B 1C 5A B2 3B 6D 1A 70 27 E0 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 93 F9 00 30 00 2B 0F D0 97 F9 1D 30 00 2B 0B D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 40 00 97 F9 40 20 97 F9 1D 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 E0 00 ?? ?? ?? ?? FB 68 5B 1C FB 60 6B E7 FB 68 00 2B 00 D1 12 E0 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 93 F9 00 30 00 2B 03 DD FB 68 5B 1C FB 60 01 E0 01 23 7B 72 7B 7A 00 2B 3F D1 FB 68 00 2B 3C D9 7B 6A 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 FB 68 5B 1E FB 60 FB 68 00 2B 0F D9 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 A0 00 7B 6A 93 F9 00 20 D7 F8 A0 30 93 F9 00 30 9A 42 12 D1 FB 68 00 2B 12 D1 F9 68 17 F1 E0 00 ?? ?? ?? ?? C7 F8 A4 00 7B 6A 93 F9 00 20 D7 F8 A4 30 93 F9 00 30 9A 42 02 DA 01 23 7B 72 08 E0 7B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 7B 6A 5B 1C 7B 62 BC E7 17 F1 E0 00 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3F 00 97 F8 3F 30 00 2B 22 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3E 00 78 6C ?? ?? ?? ?? 87 F8 3D 00 97 F9 3E 20 97 F9 3D 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? D7 F8 54 31 1A 68 D9 4B 9A 42 33 D0 3B 69 00 2B 30 D1 05 E0 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3C 00 97 F8 3C 30 00 2B 11 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3B 00 97 F9 3B 20 17 F5 90 73 93 F9 00 30 9A 42 03 D1 BB 69 5B 1E BB 61 DB E7 BB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 BB 69 5B 1C BB 61 05 E0 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 41 00 97 F8 41 30 00 2B 2E D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 30 00 97 F9 30 10 17 F5 90 70 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 7B 61 7B 69 0A 2B 1A D2 3A 69 BB 6C 9A 42 10 DA 7A 69 01 23 02 FB 03 F2 A5 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B 1C 3B 61 04 E0 7B 69 00 2B 01 D9 01 23 3B 72 BE E7 3B 7A 00 2B 33 D0 7B 68 3B 62 3B 6A 5B 1E 3B 62 3A 6A 7B 6D 9A 42 20 D0 ?? ?? ?? ?? C7 F8 B0 00 3B 6A 93 F9 00 20 D7 F8 B0 30 1B 68 93 F9 00 30 9A 42 00 D1 10 E0 3B 6A 93 F9 00 30 39 2B 08 D0 3B 6A 93 F9 00 30 5B 1C 5A B2 3B 6A 1A 70 04 E0 02 E0 3A 6A 30 23 13 70 D7 E7 3A 6A 7B 6D 9A 42 05 D1 3A 6A 31 23 13 70 BB 69 5B 1C BB 61 3B 78 00 2B 00 F0 DF 80 D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 31 00 97 F8 31 30 00 2B 00 F0 D2 80 D7 F8 48 01 ?? ?? ?? ?? 87 F8 32 00 97 F9 32 20 17 F5 90 73 0D 33 93 F9 00 30 9A 42 0F D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 33 00 97 F9 33 20 17 F5 90 73 0C 33 93 F9 00 30 9A 42 40 F0 B3 80 7A 68 65 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 61 D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 34 00 97 F8 34 30 00 2B 00 D0 32 E0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 35 00 97 F9 35 20 17 F5 90 73 0B 33 93 F9 00 30 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? 18 E0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 36 00 97 F9 36 20 17 F5 90 73 0A 33 93 F9 00 30 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 37 00 97 F8 37 30 00 2B 14 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 38 00 97 F9 38 20 17 F5 90 73 93 F9 00 30 9A 42 06 D1 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? DE E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 39 00 97 F8 39 30 00 2B 27 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3A 00 97 F9 3A 10 17 F5 90 70 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 7B 61 7B 69 0A 2B 13 D2 3B 69 08 2B 0F DA 7A 69 01 23 02 FB 03 F2 15 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B 1C 3B 61 C5 E7 7B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 44 31 7B 60 7A 68 00 23 13 70 BB 69 C7 F8 B8 30 17 F5 80 70 ?? ?? ?? ?? D7 F8 B8 30 BB 65 B8 6D 4E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_37_214_2 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2092
		refs = "000a __security_push_cookie 0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 003c ??1locale@std@@QAA@XZ 0046 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0062 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0084 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 009a ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00b0 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 00da ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 017c ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01fa ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0252 ??$_Find_elem@D@std@@YAIPADD@Z 02aa ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 02be ?thousands_sep@?$numpunct@D@std@@QBADXZ 02da ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 037a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 03f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 04bc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04fe ?decimal_point@?$numpunct@D@std@@QBADXZ 0512 localeconv 0818 __security_pop_cookie 0824 ?_Src@?1??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 6F F0 01 03 C7 E9 32 33 17 F1 B8 01 D7 F8 50 01 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? F8 65 FB 6D 7B 64 17 F1 B8 00 ?? ?? ?? ?? 17 F1 F0 01 78 6C ?? ?? ?? ?? C7 F8 B0 00 17 F1 C0 01 D7 F8 50 01 ?? ?? ?? ?? 38 66 3B 6E 7B 66 78 6E ?? ?? ?? ?? B8 66 BB 6E FB 66 17 F1 C0 00 ?? ?? ?? ?? 17 F5 88 73 DF F8 A8 27 1D 32 DF F8 A4 17 F8 6E ?? ?? ?? ?? D7 F8 44 31 7B 60 00 23 3B 72 D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 41 00 97 F8 41 30 00 2B 00 D0 32 E0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 42 00 97 F9 42 20 17 F5 88 73 17 33 93 F9 00 30 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? 18 E0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 24 00 97 F9 24 20 17 F5 88 73 16 33 93 F9 00 30 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 7A 68 78 23 13 70 7B 68 5B 1C 7B 60 00 23 3B 70 00 23 FB 60 00 23 FB 61 D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 0D D1 D7 F8 48 01 ?? ?? ?? ?? 87 F8 26 00 97 F9 26 20 17 F5 88 73 93 F9 00 30 9A 42 00 D0 34 E0 D7 F8 48 01 ?? ?? ?? ?? 38 67 D7 F8 4C 11 38 6F ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 22 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 28 00 97 F9 28 20 17 F5 88 73 19 33 93 F9 00 30 9A 42 0E D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 29 00 97 F9 29 20 17 F5 88 73 18 33 93 F9 00 30 9A 42 04 D1 D7 F8 48 01 ?? ?? ?? ?? 01 E0 01 23 3B 70 D7 F8 54 31 1A 68 DF F8 48 36 9A 42 03 D1 4F F4 40 73 FB 64 01 E0 24 23 FB 64 FB 6C BB 64 00 21 17 F1 F0 00 ?? ?? ?? ?? 78 67 7B 6F 3B 62 3B 6A 93 F9 00 30 7F 2B 04 D0 3B 6A 93 F9 00 30 00 2B 46 DC 05 E0 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 32 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2B 00 97 F9 2B 10 17 F5 88 70 ?? ?? ?? ?? B8 67 BB 6F 7B 61 7B 69 16 2B 20 D2 BA 6C FB 68 9A 42 03 DC FB 69 5B 1C FB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 98 35 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 BA E7 0C E1 17 F1 F0 00 ?? ?? ?? ?? F8 67 FB 6F 00 2B 02 D1 00 23 3B 76 07 E0 78 6C ?? ?? ?? ?? 87 F8 2C 00 97 F9 2C 30 3B 76 97 F9 18 30 7B 76 00 22 01 21 17 F1 D0 00 ?? ?? ?? ?? C7 F8 B4 00 00 23 3B 61 03 E0 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 00 2B 7D D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2E 00 97 F9 2E 10 17 F5 88 70 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 7B 61 7B 69 16 2B 40 D2 01 23 3B 70 BA 6C FB 68 9A 42 03 DC FB 69 5B 1C FB 61 17 E0 7B 69 00 2B 03 D1 FB 68 00 2B 00 D1 10 E0 7A 69 01 23 02 FB 03 F2 DF F8 C8 34 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 93 F9 00 30 7F 2B 10 D0 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 3B 65 3B 6D 93 F9 00 30 5B 1C 5A B2 3B 6D 1A 70 27 E0 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 93 F9 00 30 00 2B 0F D0 97 F9 19 30 00 2B 0B D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 2F 00 97 F9 2F 20 97 F9 19 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 D0 00 ?? ?? ?? ?? 3B 69 5B 1C 3B 61 71 E7 3B 69 00 2B 00 D1 12 E0 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 93 F9 00 30 00 2B 03 DD 3B 69 5B 1C 3B 61 01 E0 01 23 3B 72 3B 7A 00 2B 3F D1 3B 69 00 2B 3C D9 3B 6A 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 3B 69 5B 1E 3B 61 3B 69 00 2B 0F D9 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 94 00 3B 6A 93 F9 00 20 D7 F8 94 30 93 F9 00 30 9A 42 12 D1 3B 69 00 2B 12 D1 39 69 17 F1 D0 00 ?? ?? ?? ?? C7 F8 98 00 3B 6A 93 F9 00 20 D7 F8 98 30 93 F9 00 30 9A 42 02 DA 01 23 3B 72 08 E0 3B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6A 5B 1C 3B 62 BC E7 17 F1 D0 00 ?? ?? ?? ?? 3B 78 00 2B 08 D0 FB 68 00 2B 05 D1 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 22 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 31 00 78 6C ?? ?? ?? ?? 87 F8 32 00 97 F9 31 20 97 F9 32 30 9A 42 11 D1 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 1B 68 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? FB 68 00 2B 30 D1 05 E0 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 33 00 97 F8 33 30 00 2B 11 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 34 00 97 F9 34 20 17 F5 88 73 93 F9 00 30 9A 42 03 D1 FB 69 5B 1E FB 61 DB E7 FB 69 00 2B 08 DA 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 FB 69 5B 1C FB 61 05 E0 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 35 00 97 F8 35 30 00 2B 28 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 36 00 97 F9 36 10 17 F5 88 70 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 7B 61 7B 69 16 2B 14 D2 FA 68 BB 6C 9A 42 0F DA 7A 69 01 23 02 FB 03 F2 89 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C4 E7 3B 78 00 2B 00 F0 DF 80 D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 37 00 97 F8 37 30 00 2B 00 F0 D2 80 D7 F8 48 01 ?? ?? ?? ?? 87 F8 38 00 97 F9 38 20 17 F5 88 73 1B 33 93 F9 00 30 9A 42 0F D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 39 00 97 F9 39 20 17 F5 88 73 1A 33 93 F9 00 30 9A 42 40 F0 B3 80 7A 68 70 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? 00 23 3B 70 00 23 FB 60 D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3A 00 97 F8 3A 30 00 2B 00 D0 32 E0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 40 00 97 F9 40 20 17 F5 88 73 17 33 93 F9 00 30 9A 42 0A D1 7A 68 2B 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? 18 E0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3B 00 97 F9 3B 20 17 F5 88 73 16 33 93 F9 00 30 9A 42 09 D1 7A 68 2D 23 13 70 7B 68 5B 1C 7B 60 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3C 00 97 F8 3C 30 00 2B 14 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3D 00 97 F9 3D 20 17 F5 88 73 93 F9 00 30 9A 42 06 D1 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? DE E7 3B 78 00 2B 05 D0 7A 68 30 23 13 70 7B 68 5B 1C 7B 60 05 E0 01 23 3B 70 D7 F8 48 01 ?? ?? ?? ?? D7 F8 4C 11 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3E 00 97 F8 3E 30 00 2B 27 D0 D7 F8 48 01 ?? ?? ?? ?? 87 F8 3F 00 97 F9 3F 10 17 F5 88 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 7B 61 7B 69 16 2B 13 D2 FB 68 08 2B 0F DA 7A 69 01 23 02 FB 03 F2 18 4B 13 44 93 F9 00 20 7B 68 1A 70 7B 68 5B 1C 7B 60 FB 68 5B 1C FB 60 C5 E7 3B 7A 00 2B 02 D1 3B 78 00 2B 02 D1 D7 F8 44 31 7B 60 7A 68 00 23 13 70 FA 69 D7 F8 54 31 1A 60 00 23 C7 F8 A8 30 17 F1 F0 00 ?? ?? ?? ?? D7 F8 A8 30 C7 F8 AC 30 D7 F8 AC 00 4C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_37_219_2 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z"
		size = 1112
		refs = "000a __security_push_cookie 001e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 003a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 004e ?thousands_sep@?$numpunct@D@std@@QBADXZ 0064 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 007a ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 008c ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 009e ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 00c6 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0156 ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0230 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0274 ??$_Find_elem@D@std@@YAIPADD@Z 02c6 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0336 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0372 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 042e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0446 __security_pop_cookie 0454 ?_Src@?1??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? BE B0 6F 46 6F F0 01 03 C7 E9 24 33 D7 F8 1C 01 ?? ?? ?? ?? 78 64 7B 6C 7B 62 17 F1 B8 01 78 6A ?? ?? ?? ?? C7 F8 84 00 17 F1 B8 00 ?? ?? ?? ?? B8 64 BB 6C 00 2B 02 D1 00 23 7B 73 06 E0 78 6A ?? ?? ?? ?? 38 75 97 F9 14 30 7B 73 97 F9 0D 30 BB 73 D7 F8 1C 01 ?? ?? ?? ?? F8 64 FB 6C 3B 65 17 F1 D8 03 F8 4A 1B 32 F7 49 38 6D ?? ?? ?? ?? D7 F8 0C 31 BB 60 D7 F8 14 11 D7 F8 10 01 ?? ?? ?? ?? 78 75 7B 7D 00 2B 00 D0 30 E0 D7 F8 10 01 ?? ?? ?? ?? B8 75 97 F9 16 20 17 F1 D8 03 17 33 93 F9 00 30 9A 42 0A D1 BA 68 2B 23 13 70 BB 68 5B 1C BB 60 D7 F8 10 01 ?? ?? ?? ?? 17 E0 D7 F8 10 01 ?? ?? ?? ?? F8 75 97 F9 17 20 17 F1 D8 03 16 33 93 F9 00 30 9A 42 09 D1 BA 68 2D 23 13 70 BB 68 5B 1C BB 60 D7 F8 10 01 ?? ?? ?? ?? D7 F8 18 31 03 F4 60 63 C7 F8 18 31 D7 F8 18 31 B3 F5 80 6F 02 D1 08 23 3B 63 14 E0 D7 F8 18 31 B3 F5 00 6F 02 D1 10 23 FB 62 0A E0 D7 F8 18 31 00 2B 02 D1 00 23 BB 62 01 E0 0A 23 BB 62 BB 6A FB 62 FB 6A 3B 63 3B 6B 3B 61 00 23 3B 70 00 23 3B 73 D7 F8 14 11 D7 F8 10 01 ?? ?? ?? ?? 38 76 3B 7E 00 2B 4C D0 D7 F8 10 01 ?? ?? ?? ?? 78 76 97 F9 19 20 17 F1 D8 03 93 F9 00 30 9A 42 3F D1 01 23 3B 70 D7 F8 10 01 ?? ?? ?? ?? D7 F8 14 11 D7 F8 10 01 ?? ?? ?? ?? B8 76 BB 7E 00 2B 2A D0 D7 F8 10 01 ?? ?? ?? ?? F8 76 97 F9 1B 20 17 F1 D8 03 19 33 93 F9 00 30 9A 42 0D D0 D7 F8 10 01 ?? ?? ?? ?? 38 77 97 F9 1C 20 17 F1 D8 03 18 33 93 F9 00 30 9A 42 0E D1 3B 69 00 2B 02 D0 3B 69 10 2B 08 D1 10 23 3B 61 00 23 3B 70 D7 F8 10 01 ?? ?? ?? ?? 04 E0 3B 69 00 2B 01 D1 08 23 3B 61 3B 69 00 2B 0D D0 3B 69 0A 2B 0A D0 3B 69 08 2B 02 D1 08 23 7B 63 01 E0 16 23 7B 63 7B 6B BB 63 01 E0 0A 23 BB 63 BB 6B BB 65 3B 78 5A B2 01 21 17 F1 98 00 ?? ?? ?? ?? C7 F8 88 00 00 23 7B 60 D7 F8 0C 31 1F 33 FB 65 03 E0 D7 F8 10 01 ?? ?? ?? ?? D7 F8 14 11 D7 F8 10 01 ?? ?? ?? ?? 78 77 7B 7F 00 2B 6F D0 D7 F8 10 01 ?? ?? ?? ?? B8 77 97 F9 1E 10 17 F1 D8 00 ?? ?? ?? ?? 78 65 7B 6D FB 63 FA 6B BB 6D 9A 42 37 D2 FA 6B 01 23 02 FB 03 F2 71 4B 13 44 93 F9 00 20 BB 68 1A 70 3B 7B 00 2B 04 D1 BB 68 93 F9 00 30 30 2B 08 D0 BA 68 FB 6D 9A 42 04 D2 BB 68 5B 1C BB 60 01 23 3B 73 01 23 3B 70 79 68 17 F1 98 00 ?? ?? ?? ?? 38 66 3B 6E 93 F9 00 30 7F 2B 0E D0 79 68 17 F1 98 00 ?? ?? ?? ?? 78 66 7B 6E 3B 64 3B 6C 93 F9 00 30 5B 1C 5A B2 3B 6C 1A 70 24 E0 79 68 17 F1 98 00 ?? ?? ?? ?? B8 66 BB 6E 93 F9 00 30 00 2B 0E D0 97 F9 0E 30 00 2B 0A D0 D7 F8 10 01 ?? ?? ?? ?? F8 77 97 F9 1F 20 97 F9 0E 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F1 98 00 ?? ?? ?? ?? 7B 68 5B 1C 7B 60 81 E7 7B 68 00 2B 00 D1 10 E0 79 68 17 F1 98 00 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 00 2B 03 DD 7B 68 5B 1C 7B 60 01 E0 00 23 3B 70 00 21 17 F1 B8 00 ?? ?? ?? ?? 38 67 3B 6F 3B 62 3B 78 00 2B 3B D0 7B 68 00 2B 38 D9 3B 6A 93 F9 00 30 7F 2B 01 D1 32 E0 30 E0 7B 68 5B 1E 7B 60 7B 68 00 2B 0D D9 79 68 17 F1 98 00 ?? ?? ?? ?? 78 67 3B 6A 93 F9 00 20 7B 6F 93 F9 00 30 9A 42 10 D1 7B 68 00 2B 10 D1 79 68 17 F1 98 00 ?? ?? ?? ?? B8 67 3B 6A 93 F9 00 20 BB 6F 93 F9 00 30 9A 42 02 DA 00 23 3B 70 08 E0 3B 6A 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6A 5B 1C 3B 62 C0 E7 3B 78 00 2B 09 D0 3B 7B 00 2B 06 D1 BA 68 30 23 13 70 BB 68 5B 1C BB 60 05 E0 3B 78 00 2B 02 D1 D7 F8 0C 31 BB 60 BA 68 00 23 13 70 3B 69 FB 67 17 F1 98 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? FB 6F C7 F8 80 30 D7 F8 80 00 3E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_240_2 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z"
		size = 1052
		refs = "000a __security_push_cookie 004e ?flags@ios_base@std@@QBAHXZ 00c0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00da ??1locale@std@@QAA@XZ 00e8 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00f6 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0114 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 012c ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0144 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0152 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0172 ?thousands_sep@?$numpunct@D@std@@QBADXZ 01c2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 01de ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 01ee ?width@ios_base@std@@QBA_JXZ 029c ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 02aa memcpy 02d6 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 03d4 ?width@ios_base@std@@QAA_J_J@Z 03fa ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0410 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 D7 F8 5C 31 00 2B 0E D9 D7 F8 58 31 93 F9 00 30 2B 2B 05 D0 D7 F8 58 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 50 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 5C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 50 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 5C 11 01 22 01 FB 02 F1 D7 F8 58 21 0A 44 D7 F8 58 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 50 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 88 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 88 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 39 D0 7B 68 93 F9 00 30 00 2B 34 DD B8 69 ?? ?? ?? ?? 38 72 97 F9 08 30 7B 72 7B 68 93 F9 00 30 7F 2B 28 D0 7B 68 93 F9 00 30 00 2B 23 DD 7B 68 93 F9 00 10 D7 F8 5C 21 3B 68 D3 1A 99 42 1A D2 7B 68 93 F9 00 20 D7 F8 5C 31 9B 1A C7 F8 5C 31 97 F9 09 30 01 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D1 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 5C 31 D7 F8 50 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 5C 31 9A 42 0E D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 5C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 FB 60 D7 F8 50 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 FB 68 01 93 97 F9 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C0 01 D7 F8 40 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C8 01 D7 F8 40 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D0 01 D7 F8 40 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? FB 68 01 93 97 F9 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D8 01 D7 F8 40 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E0 01 D7 F8 40 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 5C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E8 01 D7 F8 40 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 50 01 ?? ?? ?? ?? FB 68 01 93 97 F9 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 D7 F8 44 11 D7 F8 40 01 ?? ?? ?? ?? 17 F5 88 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 44 31 FB 67 F8 6F 4E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_37_346_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z"
		size = 416
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00ca frexp 00e0 __rt_sdiv 00f4 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 010e ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 0118 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0122 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0138 sprintf_s 0170 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0186 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AA B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 1E 33 17 F1 80 00 ?? ?? ?? ?? 38 67 D7 F8 C8 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 C8 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 C8 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 1E D0 97 ED 06 0B B0 EE C0 1B 9F ED 38 0B B4 EE C1 0B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 80 00 ?? ?? ?? ?? D7 F8 C8 00 ?? ?? ?? ?? F8 62 FB 6A 00 22 17 F1 A0 01 D7 F8 B8 00 ?? ?? ?? ?? 38 63 17 F1 80 00 ?? ?? ?? ?? 78 63 17 F1 80 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 80 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 97 F9 CC 30 01 93 D7 F8 C8 30 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 BC 10 D7 F8 B8 00 ?? ?? ?? ?? 17 F1 80 00 ?? ?? ?? ?? D7 F8 BC 30 BB 64 B8 6C 2E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_37_348_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z"
		size = 424
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 002e ?flags@ios_base@std@@QBAHXZ 0054 ?precision@ios_base@std@@QBA_JXZ 00b0 fabsl 00d2 frexpl 00e8 __rt_sdiv 00fc ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0116 ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 0120 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 012a ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0140 sprintf_s 0178 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z 0180 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 018e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AC B0 6F 46 84 B0 87 ED 06 0B 6F F0 01 03 C7 E9 20 33 17 F1 88 00 ?? ?? ?? ?? 38 67 D7 F8 D0 00 ?? ?? ?? ?? 38 62 3B 6A 03 F4 40 53 B3 F5 00 5F 02 D1 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 D7 F8 D0 00 ?? ?? ?? ?? 79 65 38 65 3B 6D BB 65 7B 6D FB 65 BB 6D 7B 62 FB 6D 00 2B 0B DC 02 DB 7B 6A 00 2B 07 D8 3B 78 00 2B 04 D1 06 23 3B 61 00 23 7B 61 09 E0 D7 F8 D0 00 ?? ?? ?? ?? 79 66 38 66 3B 6E 3B 61 7B 6E 7B 61 3B 69 BB 66 7B 69 FB 66 BB 6E 7B 60 3B 78 00 2B 22 D0 97 ED 06 0B ?? ?? ?? ?? 87 ED 1E 0B 9F ED 39 1B 97 ED 1E 0B B4 EE C0 1B F1 EE 10 FA 13 D2 17 F1 28 00 97 ED 06 0B ?? ?? ?? ?? BB 6A DA 17 53 40 9A 1A 47 F2 97 53 02 FB 03 F1 2D 48 ?? ?? ?? ?? 7B 68 03 44 7B 60 7B 68 03 F1 32 01 17 F1 88 00 ?? ?? ?? ?? D7 F8 D0 00 ?? ?? ?? ?? F8 62 FB 6A 4C 22 17 F1 A8 01 D7 F8 C0 00 ?? ?? ?? ?? 38 63 17 F1 88 00 ?? ?? ?? ?? 78 63 17 F1 88 00 ?? ?? ?? ?? B8 63 BB 69 00 93 FB 69 01 93 BB 6E 3A 6B 79 6B B8 6B ?? ?? ?? ?? F8 63 FB 6B 3B 64 17 F1 88 00 ?? ?? ?? ?? 78 64 3B 6C 03 93 7B 6C 02 93 97 F9 D4 30 01 93 D7 F8 D0 30 00 93 D7 F8 C8 20 D7 F8 CC 30 D7 F8 C4 10 D7 F8 C0 00 ?? ?? ?? ?? 17 F1 88 00 ?? ?? ?? ?? D7 F8 C4 30 BB 64 B8 6C 30 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE A0 86 01 00 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_37_353_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z"
		size = 556
		refs = "000a __security_push_cookie 0020 ?flags@ios_base@std@@QBAHXZ 005e _guard_check_icall 0080 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 008c ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 009a ??1locale@std@@QAA@XZ 00a2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00b6 ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00c6 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@$$QAV12@@Z 00ce ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00da ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00fa ?width@ios_base@std@@QBA_JXZ 012c ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0190 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 019e memcpy 01b4 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 01d2 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 01ec ?width@ios_base@std@@QAA_J_J@Z 0220 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BF B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 D7 F8 30 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 38 31 02 93 97 F9 34 31 01 93 D7 F8 30 31 00 93 D7 F8 28 91 D7 F8 2C 81 D7 F8 24 61 D7 F8 20 31 1B 68 24 33 D7 F8 20 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 24 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 30 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 38 31 00 2B 11 D0 17 F1 C0 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 C0 00 ?? ?? ?? ?? 10 E0 17 F1 E0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 E0 00 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 30 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 30 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 30 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 97 F9 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 90 01 D7 F8 20 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 94 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 98 01 D7 F8 20 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 94 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 30 01 ?? ?? ?? ?? 3B 68 01 93 97 F9 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 24 31 3B 61 38 69 43 B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_38_61_2 {
	meta:
		name = "??0system_error@std@@QAA@HABVerror_category@1@PBD@Z"
		size = 112
		refs = "000a __security_push_cookie 0020 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 002e ??0error_code@std@@QAA@HABVerror_category@1@@Z 0044 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 004e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0060 __security_pop_cookie 006c ??_7system_error@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 92 B0 6F 46 6F F0 01 03 C7 E9 06 33 79 6E 17 F1 28 00 ?? ?? ?? ?? F8 60 3A 6E F9 6D 17 F1 20 00 ?? ?? ?? ?? 38 60 17 F1 28 03 3A 68 7A 60 7A 68 11 68 52 68 B8 6D ?? ?? ?? ?? 38 61 17 F1 28 00 ?? ?? ?? ?? 06 4A BB 6D 1A 60 BB 6D BB 60 B8 68 12 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_220_2 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ"
		size = 276
		refs = "0024 _CrtDbgReportW 003e _invalid_parameter 0044 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0088 ??$_Unfancy@$$CBD@std@@YAPBDPBD@Z 0090 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ 00f4 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00f8 ??_C@_1MI@IFMPOAI@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00fc ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1HK@PLALELEO@?$AA?$CC?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAp?$AAt@ 0108 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 010c ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 0110 ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 08 33 1B 68 00 2B 16 D1 3E 4B 01 93 39 4B 00 93 00 23 6F 22 36 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 23 00 93 6F 23 30 4A 2F 49 32 48 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 16 D1 2D 4B 01 93 29 4B 00 93 00 23 71 22 26 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 00 23 00 93 71 23 20 4A 1F 49 22 48 ?? ?? ?? ?? 0C 9B 08 33 18 68 ?? ?? ?? ?? 07 90 02 98 ?? ?? ?? ?? 06 90 02 9B 14 33 06 9A 1B 68 1A 44 07 9B 93 42 16 D3 17 4B 01 93 15 4B 00 93 00 23 72 22 12 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 00 23 00 93 72 23 0C 4A 0A 49 09 48 ?? ?? ?? ?? 0C 9B 08 33 1B 68 5A 1C 0C 9B 08 33 1A 60 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_224_2 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV01@@Z"
		size = 48
		refs = "000e ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 04 9B 03 F1 08 02 05 9B 08 33 12 68 1B 68 D3 1A 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_230_2 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 316
		refs = "002a _CrtDbgReportW 0044 _invalid_parameter 004a ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 008a ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ 009a ??$_Unfancy@$$CBD@std@@YAPBDPBD@Z 011c ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0120 ??_C@_1MI@HNCOPGEL@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0124 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1MC@COGNBHAN@?$AA?$CC?$AA_?$AAC?$AAo?$AAn?$AAt?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAU?$AAn?$AAf?$AAa?$AAn?$AAc?$AAy?$AA?$CI?$AA_?$AAP?$AAt?$AAr?$AA?$CJ?$AA?5?$AA?$CL?$AA?5?$AA_?$AAO@ 0130 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0134 ??_C@_1CI@JGCODNFG@?$AA?$CC?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@ 0138 ??_C@_1DG@FDEMKBEN@?$AA?$CC?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA_?$AAt?$AA?$HL?$AA?$HN?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 74 D0 0E 9B 08 33 1B 68 00 2B 16 D1 47 4B 01 93 42 4B 00 93 00 23 B2 22 3F 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 B2 23 39 4A 37 49 3B 48 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 16 D1 36 4B 01 93 32 4B 00 93 00 23 B4 22 2F 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 B4 23 29 4A 27 49 2B 48 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 07 90 07 9B 03 93 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 08 9A 0F 9B 1A 44 03 9B 93 42 0F D8 0E 9B 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B D1 18 02 9B 14 33 03 9A 1B 68 13 44 99 42 16 D9 17 4B 01 93 15 4B 00 93 00 23 B7 22 12 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 00 23 00 93 B7 23 0C 4A 0B 49 09 48 ?? ?? ?? ?? 0E 9B 08 33 1A 68 0F 9B 1A 44 0E 9B 08 33 1A 60 0E 9B 0B 93 0B 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_335_2 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z"
		size = 3156
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0078 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 009a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00a8 ?neg_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 00d4 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00fa ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 0168 ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0174 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 0180 ?flags@ios_base@std@@QBAHXZ 019a ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01ae ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 01ba ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 01d8 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 01e8 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0200 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 024a ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0262 ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z 026a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 0274 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ 027c ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 029c ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 02bc ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z 02d6 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ 0366 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 036e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 03a4 ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 03f4 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0488 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 049c ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0638 ?frac_digits@?$_Mpunct@D@std@@QBAHXZ 064c ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0670 ?thousands_sep@?$_Mpunct@D@std@@QBADXZ 06dc ??$_Find_elem@D@std@@YAIPADD@Z 0706 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0716 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0802 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 08f6 ?decimal_point@?$_Mpunct@D@std@@QBADXZ 0a46 ?is@?$ctype@D@std@@QBA_NFD@Z 0c06 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0c12 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0c42 __security_pop_cookie 0c50 ?_Src@?1??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAAVios_base@3@PAD@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 7A 7D 6F 46 6F F0 01 03 C7 E9 90 33 00 23 7B 60 97 F8 08 34 00 2B 19 D0 17 F5 E0 71 D7 F8 0C 04 ?? ?? ?? ?? C7 F8 74 01 D7 F8 74 31 C7 F8 8C 30 D7 F8 8C 00 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 3B 61 17 F5 E0 70 ?? ?? ?? ?? 18 E0 17 F5 E4 71 D7 F8 0C 04 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 C7 F8 98 30 D7 F8 98 00 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 3B 61 17 F5 E4 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 2A 70 ?? ?? ?? ?? C7 F8 D8 01 17 F1 74 01 38 69 ?? ?? ?? ?? 17 F5 22 70 ?? ?? ?? ?? C7 F8 DC 01 17 F5 E8 71 D7 F8 0C 04 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 C7 F8 A4 30 D7 F8 A4 00 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 3B 67 17 F5 E8 70 ?? ?? ?? ?? D7 F8 10 34 DF F8 60 2B 0C 32 DF F8 58 1B 38 6F ?? ?? ?? ?? 00 23 BB 64 02 E0 BB 6C 5B 1C BB 64 3B 78 00 2B 40 F0 B7 84 BB 6C 04 2B 80 F0 B3 84 BA 6C 01 23 02 FB 03 F2 17 F1 74 03 13 44 93 F9 00 30 FB 64 FB 6C 2B 2B 0C DC FB 6C 2B 2B 00 F0 24 81 FB 6C 20 2B 00 F0 60 84 FB 6C 24 2B 0B D0 00 F0 97 BC FB 6C 76 2B 00 F0 6E 82 FB 6C 78 2B 00 F0 53 84 00 F0 8D BC 17 F5 12 71 38 69 ?? ?? ?? ?? C7 F8 A4 01 17 F1 80 00 ?? ?? ?? ?? C7 F8 A8 01 D7 F8 0C 04 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 13 F0 08 0F 25 D1 D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 87 F8 3D 00 97 F8 3D 30 00 2B 19 D0 D7 F8 00 04 ?? ?? ?? ?? 87 F8 3E 00 17 F5 12 70 ?? ?? ?? ?? C7 F8 B0 00 97 F9 3E 20 D7 F8 B0 30 93 F9 00 30 9A 42 05 D0 00 21 17 F5 12 70 ?? ?? ?? ?? 31 E0 BB 6C 03 2B 2E D1 17 F5 2A 70 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 01 2B 24 D8 D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 87 F8 3F 00 97 F8 3F 30 00 2B 13 D1 D7 F8 00 04 ?? ?? ?? ?? 87 F8 40 00 17 F5 12 70 ?? ?? ?? ?? C7 F8 B8 00 97 F9 40 20 D7 F8 B8 30 93 F9 00 30 9A 42 04 D0 00 21 17 F5 12 70 ?? ?? ?? ?? 17 F5 F0 71 17 F5 12 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 C7 F8 C0 30 D7 F8 C0 10 17 F1 80 00 ?? ?? ?? ?? 17 F5 F0 70 ?? ?? ?? ?? 07 E0 17 F1 80 00 ?? ?? ?? ?? D7 F8 00 04 ?? ?? ?? ?? D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 38 77 3B 7F 00 2B 2F D0 17 F5 F8 71 17 F5 12 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 C7 F8 C8 30 7B 68 43 F0 01 03 7B 60 D7 F8 C8 10 17 F1 80 00 ?? ?? ?? ?? 78 77 7B 7F 00 2B 15 D0 D7 F8 00 04 ?? ?? ?? ?? B8 77 17 F1 80 00 ?? ?? ?? ?? C7 F8 CC 00 97 F9 1E 20 D7 F8 CC 30 93 F9 00 30 9A 42 02 D1 01 23 BB 65 01 E0 00 23 BB 65 BB 6D DB B2 FB 77 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 F8 70 ?? ?? ?? ?? FB 7F 00 2B 00 D0 A8 E7 17 F5 00 71 17 F5 12 70 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 D0 30 C7 F8 D4 30 D7 F8 D4 10 17 F1 80 00 ?? ?? ?? ?? 87 F8 20 00 97 F8 20 30 87 F8 21 30 17 F5 00 70 ?? ?? ?? ?? 97 F8 21 30 00 2B 01 D0 01 23 3B 70 17 F1 80 00 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? 83 E3 17 F1 80 00 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 00 D0 48 E1 17 F5 42 71 38 69 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 30 C7 F8 DC 30 7B 68 43 F0 02 03 7B 60 D7 F8 DC 00 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 00 2B 26 D9 17 F5 3A 71 38 69 ?? ?? ?? ?? C7 F8 E4 00 D7 F8 E4 30 C7 F8 E8 30 7B 68 43 F0 04 03 7B 60 00 21 D7 F8 E8 00 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 00 04 ?? ?? ?? ?? 87 F8 23 00 D7 F8 EC 30 93 F9 00 20 97 F9 23 30 9A 42 02 D1 01 23 FB 65 01 E0 00 23 FB 65 FB 6D DB B2 87 F8 24 30 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 3A 70 ?? ?? ?? ?? 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 42 70 ?? ?? ?? ?? 97 F8 24 30 00 2B 19 D0 D7 F8 00 04 ?? ?? ?? ?? 17 F5 4A 71 38 69 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 30 C7 F8 F4 30 D7 F8 F4 10 17 F5 2A 70 ?? ?? ?? ?? 17 F5 4A 70 ?? ?? ?? ?? CC E0 17 F5 5A 71 38 69 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 C7 F8 FC 30 7B 68 43 F0 08 03 7B 60 D7 F8 FC 00 ?? ?? ?? ?? C7 F8 00 01 D7 F8 00 31 00 2B 26 D9 17 F5 52 71 38 69 ?? ?? ?? ?? C7 F8 04 01 D7 F8 04 31 C7 F8 08 31 7B 68 43 F0 10 03 7B 60 00 21 D7 F8 08 01 ?? ?? ?? ?? C7 F8 0C 01 D7 F8 00 04 ?? ?? ?? ?? 87 F8 25 00 D7 F8 0C 31 93 F9 00 20 97 F9 25 30 9A 42 02 D1 01 23 3B 66 01 E0 00 23 3B 66 3B 6E DB B2 87 F8 26 30 7B 68 13 F0 10 0F 07 D0 7B 68 23 F0 10 03 7B 60 17 F5 52 70 ?? ?? ?? ?? 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 5A 70 ?? ?? ?? ?? 97 F8 26 30 00 2B 1B D0 D7 F8 00 04 ?? ?? ?? ?? 17 F5 62 71 38 69 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 31 C7 F8 14 31 D7 F8 14 11 17 F5 2A 70 ?? ?? ?? ?? 17 F5 62 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 6A 71 38 69 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 C7 F8 1C 31 D7 F8 1C 01 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 31 00 2B 02 D1 01 23 7B 66 01 E0 00 23 7B 66 7B 6E DB B2 87 F8 27 30 17 F5 6A 70 ?? ?? ?? ?? 97 F8 27 30 00 2B 00 D0 27 E0 17 F5 72 71 38 69 ?? ?? ?? ?? C7 F8 24 01 D7 F8 24 31 C7 F8 28 31 D7 F8 28 01 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 31 00 2B 02 D1 01 23 BB 66 01 E0 00 23 BB 66 BB 6E DB B2 87 F8 28 30 17 F5 72 70 ?? ?? ?? ?? 97 F8 28 30 00 2B 01 D0 01 23 3B 73 24 E2 00 23 7B 64 38 69 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 7B 65 17 F5 32 71 38 69 ?? ?? ?? ?? C7 F8 AC 01 17 F5 32 70 ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 00 2B 02 D1 00 23 3B 75 07 E0 38 69 ?? ?? ?? ?? 87 F8 29 00 97 F9 29 30 3B 75 97 F9 14 30 7B 75 97 F9 15 30 00 2B 0C D0 17 F5 32 70 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 00 04 ?? ?? ?? ?? D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 21 D0 D7 F8 00 04 ?? ?? ?? ?? 87 F8 2B 00 97 F9 2B 10 D7 F8 10 04 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 54 35 13 44 93 F9 00 10 17 F5 22 70 ?? ?? ?? ?? CD E7 F2 E0 00 22 01 21 17 F5 1A 70 ?? ?? ?? ?? C7 F8 B0 01 00 23 BB 60 03 E0 D7 F8 00 04 ?? ?? ?? ?? D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 87 F8 2C 00 97 F8 2C 30 00 2B 64 D0 D7 F8 00 04 ?? ?? ?? ?? 87 F8 2D 00 97 F9 2D 10 D7 F8 10 04 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 31 BB 61 BB 69 0A 2B 2B D2 BA 69 01 23 02 FB 03 F2 DF F8 D8 34 13 44 93 F9 00 10 17 F5 22 70 ?? ?? ?? ?? B9 68 17 F5 1A 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 31 93 F9 00 30 7F 2B 10 D0 B9 68 17 F5 1A 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 FB 66 FB 6E 93 F9 00 30 5B 1C 5A B2 FB 6E 1A 70 23 E0 B9 68 17 F5 1A 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 93 F9 00 30 00 2B 0B D0 D7 F8 00 04 ?? ?? ?? ?? 87 F8 2E 00 97 F9 2E 20 97 F9 15 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 1A 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 8A E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 1A 70 ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 32 70 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 31 3B 65 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 3B 6D 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 1A 70 ?? ?? ?? ?? C7 F8 58 01 3B 6D 93 F9 00 20 D7 F8 58 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 1A 70 ?? ?? ?? ?? C7 F8 5C 01 3B 6D 93 F9 00 20 D7 F8 5C 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 3B 6D 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6D 5B 1C 3B 65 BC E7 3B 78 00 2B 08 D0 17 F5 1A 70 ?? ?? ?? ?? 17 F5 32 70 ?? ?? ?? ?? C7 E0 17 F5 1A 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? 87 F8 2F 00 97 F9 2F 30 BB 75 D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 4F D0 97 F9 16 30 00 2B 4B D0 D7 F8 00 04 ?? ?? ?? ?? 87 F8 31 00 97 F9 31 20 97 F9 16 30 9A 42 3F D1 D7 F8 00 04 ?? ?? ?? ?? C7 F8 60 01 D7 F8 04 14 D7 F8 60 01 ?? ?? ?? ?? 87 F8 32 00 97 F8 32 30 00 2B 27 D0 7A 6C 7B 6D 9A 42 23 DA D7 F8 00 04 ?? ?? ?? ?? 87 F8 33 00 97 F9 33 10 D7 F8 10 04 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 AD 4B 13 44 93 F9 00 10 17 F5 22 70 ?? ?? ?? ?? 7B 6C 5B 1C 7B 64 C5 E7 7A 6C 7B 6D 9A 42 01 DA 01 23 3B 70 17 F5 22 70 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 7B 6C 5B 1C 7B 64 7A 6C 7B 6D 9A 42 05 DA 30 21 17 F5 22 70 ?? ?? ?? ?? F2 E7 17 F5 32 70 ?? ?? ?? ?? 3F E0 17 F5 32 70 ?? ?? ?? ?? BB 6C 03 2B 00 D1 37 E0 00 23 FB 75 03 E0 D7 F8 00 04 ?? ?? ?? ?? D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 87 F8 34 00 97 F8 34 30 00 2B 14 D0 D7 F8 00 04 ?? ?? ?? ?? 87 F8 35 00 97 F9 35 20 48 21 38 6F ?? ?? ?? ?? 87 F8 36 00 97 F8 36 30 00 2B 02 D0 01 23 FB 75 DA E7 BA 6C 01 23 02 FB 03 F2 17 F1 74 03 13 44 93 F9 00 30 20 2B 04 D1 FB 7D 00 2B 01 D1 01 23 3B 70 FF F7 42 BB 3B 78 00 2B 40 F0 AE 80 17 F5 2A 70 ?? ?? ?? ?? C7 F8 6C 01 D7 F8 6C 31 01 2B 40 F2 A3 80 17 F5 CC 70 ?? ?? ?? ?? C7 F8 B4 01 17 F5 04 71 17 F5 2A 70 ?? ?? ?? ?? C7 F8 70 01 D7 F8 70 31 C7 F8 94 31 D7 F8 94 11 17 F5 CC 70 ?? ?? ?? ?? 17 F5 04 70 ?? ?? ?? ?? 03 E0 D7 F8 00 04 ?? ?? ?? ?? 17 F5 08 71 17 F5 2A 70 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 31 C7 F8 7C 31 7B 68 43 F0 20 03 7B 60 17 F5 CC 70 ?? ?? ?? ?? C7 F8 80 01 D7 F8 7C 11 D7 F8 80 01 ?? ?? ?? ?? 87 F8 37 00 97 F8 37 30 00 2B 22 D0 D7 F8 04 14 D7 F8 00 04 ?? ?? ?? ?? 87 F8 38 00 97 F8 38 30 00 2B 16 D0 D7 F8 00 04 ?? ?? ?? ?? 87 F8 39 00 17 F5 CC 70 ?? ?? ?? ?? C7 F8 84 01 97 F9 39 20 D7 F8 84 31 93 F9 00 30 9A 42 02 D1 01 23 BB 67 01 E0 00 23 BB 67 BB 6F DB B2 87 F8 3A 30 7B 68 13 F0 20 0F 07 D0 7B 68 23 F0 20 03 7B 60 17 F5 08 70 ?? ?? ?? ?? 97 F8 3A 30 00 2B 00 D0 9F E7 17 F5 0C 71 17 F5 2A 70 ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 31 C7 F8 8C 31 D7 F8 8C 11 17 F5 CC 70 ?? ?? ?? ?? 87 F8 3B 00 97 F8 3B 30 87 F8 3C 30 17 F5 0C 70 ?? ?? ?? ?? 97 F8 3C 30 00 2B 01 D0 01 23 3B 70 17 F5 CC 70 ?? ?? ?? ?? 3B 78 00 2B 05 D0 00 21 17 F5 22 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 22 70 ?? ?? ?? ?? 17 F5 22 71 D7 F8 FC 03 ?? ?? ?? ?? C7 F8 B8 01 7B 68 43 F0 40 03 7B 60 17 F5 22 70 ?? ?? ?? ?? 17 F5 2A 70 ?? ?? ?? ?? D7 F8 FC 33 C7 F8 90 31 D7 F8 90 01 0D F5 7A 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_344_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$8"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 F8 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_87_346_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 42 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_87_347_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$11"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 3A 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_87_348_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$13"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 5A 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_87_349_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$14"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 10 03 00 2B 00 F0 08 80 7B 68 23 F0 10 03 7B 60 17 F5 52 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_87_354_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$22"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 20 03 00 2B 00 F0 08 80 7B 68 23 F0 20 03 7B 60 17 F5 08 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_87_403_2 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@I@Z"
		size = 116
		refs = "0022 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0028 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ 0034 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ 003e ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 004c ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 005a memcpy 0060 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 09 E0 BB 6B 5B 1E BB 63 17 F1 2C 00 ?? ?? ?? ?? 78 6B ?? ?? ?? ?? BB 6B 00 2B 0F D9 78 6B ?? ?? ?? ?? 38 60 17 F1 2C 00 ?? ?? ?? ?? 78 60 3B 68 93 F9 00 10 78 68 ?? ?? ?? ?? E2 E7 B8 6A 17 F1 2C 01 08 22 ?? ?? ?? ?? 78 6B ?? ?? ?? ?? BB 6A BB 60 B8 68 07 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_405_2 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 2508
		refs = "000a __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0048 ??1locale@std@@QAA@XZ 0062 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 007a ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0084 ?frac_digits@?$_Mpunct@D@std@@QBAHXZ 00a8 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00d2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 00dc ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0102 ?thousands_sep@?$_Mpunct@D@std@@QBADXZ 0182 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0198 ?neg_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 01a6 memcpy 01b0 ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01c4 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 01cc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01d8 ?pos_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 01f4 ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0228 ?flags@ios_base@std@@QBAHXZ 0240 ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0364 ?width@ios_base@std@@QBA_JXZ 0416 ?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 04a2 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 04ba ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@$$QAV01@@Z 04e0 ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@I@Z 04fa ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 061e ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@H@Z 062a ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 063a ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0640 ?decimal_point@?$_Mpunct@D@std@@QBADXZ 07dc ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 07f6 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z 0906 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z 0974 ?width@ios_base@std@@QAA_J_J@Z 09c0 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 85 6D 6F 46 82 B0 6F F0 01 03 C7 E9 A6 33 97 F8 48 34 00 2B 13 D0 17 F5 FC 71 D7 F8 4C 04 ?? ?? ?? ?? 78 64 7B 6C BB 64 B8 6C ?? ?? ?? ?? F8 64 FB 6C FB 60 17 F5 FC 70 ?? ?? ?? ?? 12 E0 17 F5 00 71 D7 F8 4C 04 ?? ?? ?? ?? 38 65 3B 6D 7B 65 78 6D ?? ?? ?? ?? B8 65 BB 6D FB 60 17 F5 00 70 ?? ?? ?? ?? 17 F5 6A 71 F8 68 ?? ?? ?? ?? C7 F8 E8 01 F8 68 ?? ?? ?? ?? F8 65 FB 6D BB 62 BB 6A 00 2B 03 DA BB 6A 5B 42 7B 63 01 E0 BB 6A 7B 63 7B 6B 7B 60 D7 F8 58 04 ?? ?? ?? ?? 38 66 3A 6E 7B 68 9A 42 10 D8 D7 F8 58 04 ?? ?? ?? ?? 78 66 97 F9 5C 34 79 68 7A 6E 8A 1A 52 1C 00 21 D7 F8 58 04 ?? ?? ?? ?? 52 E0 17 F5 6A 70 ?? ?? ?? ?? B8 66 BB 6E 93 F9 00 30 7F 2B 48 D0 17 F5 6A 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 00 2B 3E DD F8 68 ?? ?? ?? ?? 38 75 97 F9 14 30 7B 75 17 F5 6A 70 ?? ?? ?? ?? 38 67 3B 6F BB 61 D7 F8 58 04 ?? ?? ?? ?? 78 67 7A 6F 7B 68 D3 1A 7B 62 BB 69 93 F9 00 30 7F 2B 22 D0 BB 69 93 F9 00 30 00 2B 1D DD BB 69 93 F9 00 20 7B 6A 9A 42 17 D2 BB 69 93 F9 00 20 7B 6A 9B 1A 7B 62 97 F9 15 30 01 22 79 6A D7 F8 58 04 ?? ?? ?? ?? BB 69 5B 1C 93 F9 00 30 00 2B 02 DD BB 69 5B 1C BB 61 D7 E7 17 F5 5A 70 ?? ?? ?? ?? C7 F8 EC 01 97 F8 54 34 00 2B 1F D0 17 F5 F8 71 F8 68 ?? ?? ?? ?? B8 67 B9 6F 17 F1 2C 00 04 22 ?? ?? ?? ?? 17 F5 72 71 F8 68 ?? ?? ?? ?? F8 67 FB 6F C7 F8 80 30 D7 F8 80 10 17 F5 5A 70 ?? ?? ?? ?? 17 F5 72 70 ?? ?? ?? ?? 22 E0 17 F5 F0 71 F8 68 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F1 2C 00 04 22 ?? ?? ?? ?? 17 F5 7A 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 D7 F8 8C 10 17 F5 5A 70 ?? ?? ?? ?? 17 F5 7A 70 ?? ?? ?? ?? 17 F5 62 70 ?? ?? ?? ?? C7 F8 E4 01 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 13 F0 08 0F 14 D0 17 F5 81 61 F8 68 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 C7 F8 98 30 D7 F8 98 10 17 F5 62 70 ?? ?? ?? ?? 17 F5 81 60 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 2C 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 09 DC FB 69 2B 2B 19 D0 FB 69 20 2B 54 D0 FB 69 24 2B 07 D0 58 E0 FB 69 76 2B 1B D0 FB 69 78 2B 4D D0 51 E0 17 F5 62 70 ?? ?? ?? ?? C7 F8 9C 00 3A 68 D7 F8 9C 30 13 44 3B 60 45 E0 17 F5 5A 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 39 E0 D7 F8 58 04 ?? ?? ?? ?? C7 F8 AC 00 7B 68 00 2B 02 D9 01 23 BB 63 01 E0 00 23 BB 63 D7 F8 58 04 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 20 7B 68 9A 42 0C D8 D7 F8 58 04 ?? ?? ?? ?? C7 F8 A8 00 7A 68 D7 F8 A8 30 D3 1A 5B 1C FB 63 01 E0 00 23 FB 63 D7 F8 AC 20 BB 6B 1A 44 FB 6B 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 C4 11 C7 F8 C0 01 D7 F8 C0 31 C7 F8 C8 31 D7 F8 C4 31 C7 F8 CC 31 D7 F8 C8 31 C7 F8 B0 30 D7 F8 CC 31 00 2B 1F DB 03 DC D7 F8 B0 30 00 2B 1A D9 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 D4 11 C7 F8 D0 01 D7 F8 D0 21 3B 68 9A 42 0D D9 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 DC 11 C7 F8 D8 01 D7 F8 D8 21 3B 68 D3 1A 3B 64 01 E0 00 23 3B 64 3B 6C 3B 60 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 03 F4 E0 73 3B 63 3B 6B 40 2B 1D D0 3B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 97 F9 50 34 D7 F8 40 14 D7 F8 44 24 17 F5 28 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 10 17 F5 88 60 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 3C 82 3A 69 01 23 02 FB 03 F2 17 F1 2C 03 13 44 93 F9 00 30 3B 62 3B 6A 2B 2B 0A DC 3B 6A 2B 2B 4D D0 3B 6A 20 2B 00 F0 F7 81 3B 6A 24 2B 09 D0 22 E2 3B 6A 76 2B 00 F0 82 80 3B 6A 78 2B 00 F0 00 82 19 E2 17 F5 62 70 ?? ?? ?? ?? C7 F8 CC 00 17 F5 3E 73 C7 F8 C4 30 17 F5 1E 71 17 F5 62 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 C7 F8 C0 30 D7 F8 C0 10 D7 F8 C4 00 ?? ?? ?? ?? C7 F8 C8 00 D7 F8 C8 30 C7 F8 D0 30 D7 F8 CC 30 00 93 D7 F8 D0 30 D7 F8 40 14 D7 F8 44 24 17 F5 2A 70 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 10 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 1E 70 ?? ?? ?? ?? DC E1 17 F5 5A 70 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 30 00 2B 34 D9 17 F5 42 73 C7 F8 E4 30 17 F5 12 71 17 F5 5A 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 C7 F8 E0 30 D7 F8 E0 10 D7 F8 E4 00 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 01 23 00 93 D7 F8 EC 30 D7 F8 40 14 D7 F8 44 24 17 F5 2C 70 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 10 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? 9C E1 7B 68 00 2B 3C D1 D7 F8 58 04 ?? ?? ?? ?? C7 F8 04 01 17 F5 46 73 C7 F8 FC 30 17 F5 16 71 D7 F8 58 04 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 30 C7 F8 F8 30 D7 F8 F8 10 D7 F8 FC 00 ?? ?? ?? ?? C7 F8 00 01 D7 F8 00 31 C7 F8 08 31 D7 F8 04 31 00 93 D7 F8 08 31 D7 F8 40 14 D7 F8 44 24 17 F5 2E 70 ?? ?? ?? ?? C7 F8 0C 01 D7 F8 0C 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 16 70 ?? ?? ?? ?? 2B E1 D7 F8 58 04 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 21 7B 68 9A 42 00 F2 85 80 00 21 17 F5 88 60 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 01 ?? ?? ?? ?? C7 F8 18 01 97 F9 5C 14 D7 F8 18 01 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? B8 75 00 21 17 F5 88 60 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 01 ?? ?? ?? ?? C7 F8 20 01 97 F9 16 10 D7 F8 20 01 ?? ?? ?? ?? D7 F8 58 04 ?? ?? ?? ?? C7 F8 24 01 7A 68 D7 F8 24 31 D3 1A 00 93 97 F9 5C 34 D7 F8 40 14 D7 F8 44 24 17 F5 30 70 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 11 17 F5 88 60 08 22 ?? ?? ?? ?? D7 F8 58 04 ?? ?? ?? ?? C7 F8 3C 01 17 F5 4A 73 C7 F8 34 31 17 F5 1A 71 D7 F8 58 04 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 31 C7 F8 30 31 D7 F8 30 11 D7 F8 34 01 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 C7 F8 40 31 D7 F8 3C 31 00 93 D7 F8 40 31 D7 F8 40 14 D7 F8 44 24 17 F5 32 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 1A 70 ?? ?? ?? ?? 9A E0 D7 F8 58 04 ?? ?? ?? ?? C7 F8 58 01 17 F5 4E 73 C7 F8 50 31 17 F5 22 71 D7 F8 58 04 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 C7 F8 4C 31 D7 F8 4C 11 D7 F8 50 01 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 31 C7 F8 5C 31 D7 F8 58 21 7B 68 D3 1A 00 93 D7 F8 5C 31 D7 F8 40 14 D7 F8 44 24 17 F5 3C 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 22 70 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? F8 75 00 21 17 F5 88 60 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 01 ?? ?? ?? ?? C7 F8 68 01 97 F9 17 10 D7 F8 68 01 ?? ?? ?? ?? 17 F5 52 73 C7 F8 7C 31 17 F5 02 71 D7 F8 58 04 ?? ?? ?? ?? C7 F8 6C 01 D7 F8 6C 31 C7 F8 70 31 7A 68 17 F5 0E 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 74 01 D7 F8 74 31 C7 F8 78 31 D7 F8 78 11 D7 F8 7C 01 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 31 C7 F8 84 31 7B 68 00 93 D7 F8 84 31 D7 F8 40 14 D7 F8 44 24 17 F5 34 70 ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 0E 70 ?? ?? ?? ?? 17 F5 02 70 ?? ?? ?? ?? 2F E0 01 23 00 93 97 F9 50 34 D7 F8 40 14 D7 F8 44 24 17 F5 36 70 ?? ?? ?? ?? C7 F8 8C 01 D7 F8 8C 11 17 F5 88 60 08 22 ?? ?? ?? ?? 3B 6B B3 F5 80 7F 16 D1 3B 68 00 93 97 F9 50 34 D7 F8 40 14 D7 F8 44 24 17 F5 38 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 11 17 F5 88 60 08 22 ?? ?? ?? ?? 00 23 3B 60 BC E5 17 F5 5A 70 ?? ?? ?? ?? C7 F8 94 01 D7 F8 94 31 01 2B 4D D9 17 F5 5A 70 ?? ?? ?? ?? C7 F8 B0 01 17 F5 56 73 C7 F8 A8 31 17 F5 0A 71 17 F5 5A 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 98 31 C7 F8 9C 31 01 22 17 F5 06 71 D7 F8 9C 01 ?? ?? ?? ?? C7 F8 A0 01 D7 F8 A0 31 C7 F8 A4 31 D7 F8 A4 11 D7 F8 A8 01 ?? ?? ?? ?? C7 F8 AC 01 D7 F8 AC 31 C7 F8 B4 31 D7 F8 B0 31 5B 1E 00 93 D7 F8 B4 31 D7 F8 40 14 D7 F8 44 24 17 F5 3A 70 ?? ?? ?? ?? C7 F8 B8 01 D7 F8 B8 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 06 70 ?? ?? ?? ?? 17 F5 0A 70 ?? ?? ?? ?? 00 22 00 23 D7 F8 4C 04 ?? ?? ?? ?? 3B 68 00 93 97 F9 50 34 D7 F8 40 14 D7 F8 44 24 D7 F8 3C 04 ?? ?? ?? ?? 17 F5 62 70 ?? ?? ?? ?? 17 F5 5A 70 ?? ?? ?? ?? 17 F5 6A 70 ?? ?? ?? ?? D7 F8 58 04 ?? ?? ?? ?? D7 F8 3C 34 C7 F8 BC 31 D7 F8 BC 01 0D F5 86 6D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_465_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 266
		refs = "000a __security_push_cookie 003c ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z 004a ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 006a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 008c ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00a6 ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 00ea memcpy 00f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00fe __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 58 03 02 93 D7 F8 94 30 01 93 97 F8 90 30 00 93 17 F1 88 03 17 F1 80 02 17 F1 38 01 B8 6F ?? ?? ?? ?? F8 61 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 98 30 1B 68 43 F0 01 02 D7 F8 98 30 1A 60 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 00 2B 08 D1 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 2C E0 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 7B 60 00 23 BB 60 17 F1 08 03 00 22 17 F1 14 01 78 68 ?? ?? ?? ?? 87 ED 08 0B 97 ED 08 0B 87 ED 0A 0B 7A 69 7B 68 9A 42 02 D0 BB 68 00 2B 08 D0 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 05 E0 97 ED 0A 0B D7 F8 9C 30 83 ED 00 0B F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? FB 6F BB 61 B8 69 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_467_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 324
		refs = "000a __security_push_cookie 003c ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z 0046 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0058 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0096 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 00a0 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0124 memcpy 012c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0138 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 84 B0 6F F0 01 03 C7 E9 0C 33 17 F1 58 03 02 93 D7 F8 94 30 01 93 97 F8 90 30 00 93 17 F1 88 03 17 F1 80 02 17 F1 38 01 B8 6F ?? ?? ?? ?? B8 62 17 F1 38 00 ?? ?? ?? ?? F8 60 FB 68 BB 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 71 3B 79 00 2B 07 D0 D7 F8 98 30 1B 68 43 F0 01 02 D7 F8 98 30 1A 60 BB 68 00 2B 08 D1 D7 F8 98 30 1B 68 43 F0 02 02 D7 F8 98 30 1A 60 47 E0 00 23 3B 60 B9 68 D7 F8 9C 00 ?? ?? ?? ?? 00 21 17 F1 38 00 ?? ?? ?? ?? 38 61 3B 69 93 F9 00 30 2D 2B 11 D1 3B 68 7B 61 79 69 D7 F8 9C 00 ?? ?? ?? ?? B8 61 17 F1 58 03 0A 33 93 F9 00 20 BB 69 1A 70 3B 68 5B 1C 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 BB 68 9A 42 1B D2 39 68 17 F1 38 00 ?? ?? ?? ?? F8 61 39 68 D7 F8 9C 00 ?? ?? ?? ?? 38 62 FB 69 93 F9 00 30 A3 F1 30 02 01 23 02 FB 03 F2 17 F1 58 03 13 44 93 F9 00 20 3B 6A 1A 70 DC E7 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? FB 6F 7B 62 78 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_488_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 396
		refs = "000a __security_push_cookie 0024 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0030 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 003e ??1locale@std@@QAA@XZ 004e ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 005e ?empty@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA_NXZ 0070 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0098 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00cc ??$_Find_elem@D@std@@YAIPADD@Z 00f2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBDI@Z 0116 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0126 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0164 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 016c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 017a __security_pop_cookie 0188 ?_Src@?1??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@3@V43@_NAAVios_base@3@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AA B0 6F 46 86 B0 6F F0 01 03 C7 E9 14 33 17 F1 48 01 D7 F8 CC 00 ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 61 17 F1 48 00 ?? ?? ?? ?? 17 F1 98 03 50 4A 0C 32 4F 49 B8 69 ?? ?? ?? ?? 00 23 3B 70 00 23 BB 60 D7 F8 D4 00 ?? ?? ?? ?? 78 70 7B 78 00 2B 14 D1 00 21 D7 F8 D4 00 ?? ?? ?? ?? F8 61 FB 69 93 F9 00 20 17 F1 98 03 0A 33 93 F9 00 30 9A 42 04 D1 01 23 3B 70 BB 68 5B 1C BB 60 D7 F8 D4 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 BB 68 7B 60 02 E0 7B 68 5B 1C 7B 60 7A 68 7B 6A 9A 42 11 D2 79 68 D7 F8 D4 00 ?? ?? ?? ?? B8 62 BB 6A 93 F9 00 10 17 F1 98 00 ?? ?? ?? ?? F8 62 FB 6A 0A 2B 00 D2 E6 E7 B9 68 D7 F8 D4 00 ?? ?? ?? ?? 38 63 7A 68 BB 68 D2 1A 39 6B 17 F1 78 00 ?? ?? ?? ?? 78 64 17 F1 78 00 ?? ?? ?? ?? B8 70 BB 78 00 2B 08 D0 17 F1 98 03 93 F9 00 20 01 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 58 03 7B 63 17 F1 78 01 78 6B ?? ?? ?? ?? B8 63 BB 6B FB 63 17 F1 98 03 93 F9 00 30 05 93 FB 6B 04 93 3B 78 03 93 97 F9 D0 30 02 93 D7 F8 CC 30 01 93 97 F8 C8 30 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 BC 10 D7 F8 B8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? D7 F8 BC 30 3B 64 38 6C 30 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_491_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z"
		size = 424
		refs = "000a __security_push_cookie 008c sprintf_s 00a6 memcpy 00ba ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00c6 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00d4 ??1locale@std@@QAA@XZ 00dc ?widen@?$ctype@D@std@@QBADD@Z 00f0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00fc ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0118 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 0126 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0136 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0170 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 0178 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0186 __security_pop_cookie 0194 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AE B0 6F 46 86 B0 87 ED 02 0B 6F F0 01 03 C7 E9 12 33 00 23 7B 70 97 ED 02 0B B5 EE C0 0B F1 EE 10 FA 07 D2 01 23 7B 70 97 ED 02 0B B1 EE 40 0B 87 ED 02 0B 00 23 7B 60 02 E0 7B 68 0A 33 7B 60 9F ED 54 1B 97 ED 02 0B B4 EE C0 1B F1 EE 10 FA 0D D8 7A 68 41 F2 88 33 9A 42 08 D2 97 ED 02 1B 9F ED 4A 0B 81 EE 00 0B 87 ED 02 0B E5 E7 BB 68 00 93 FB 68 01 93 43 4A 28 21 17 F1 90 00 ?? ?? ?? ?? F8 61 FB 69 3B 61 3B 69 00 2B 0A DA D7 F8 CC 00 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 CC 30 BB 61 67 E0 17 F1 40 01 D7 F8 DC 00 ?? ?? ?? ?? 38 62 3B 6A 7B 62 78 6A ?? ?? ?? ?? B8 62 BB 6A 7B 61 17 F1 40 00 ?? ?? ?? ?? 30 21 78 69 ?? ?? ?? ?? B8 70 97 F9 02 30 3B 70 00 22 39 69 17 F1 70 00 ?? ?? ?? ?? F8 63 00 21 17 F1 70 00 ?? ?? ?? ?? F8 62 FB 6A 39 69 01 22 01 FB 02 F1 17 F1 90 02 0A 44 17 F1 90 01 78 69 ?? ?? ?? ?? 97 F9 00 20 79 68 17 F1 70 00 ?? ?? ?? ?? 17 F1 50 03 3B 63 17 F1 70 01 38 6B ?? ?? ?? ?? 78 63 7B 6B BB 63 97 F9 00 30 05 93 BB 6B 04 93 7B 78 03 93 97 F9 E0 30 02 93 D7 F8 DC 30 01 93 97 F8 D8 30 00 93 D7 F8 D0 20 D7 F8 D4 30 D7 F8 CC 10 D7 F8 C8 00 ?? ?? ?? ?? 17 F1 70 00 ?? ?? ?? ?? D7 F8 CC 30 BB 61 B8 69 34 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_87_494_2 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z"
		size = 332
		refs = "000a __security_push_cookie 0028 memcpy 0030 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 007c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0088 ?_Getptr@_Timevec@std@@QBAPAXXZ 0092 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00a0 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00ac ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00c2 _Strftime 00e6 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 00fa ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0124 ??$copy@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z 012c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 013a __security_pop_cookie 0148 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A0 B0 6F 46 82 B0 6F F0 01 03 C7 E9 14 33 17 F1 78 03 3B 61 38 69 48 49 05 22 ?? ?? ?? ?? 17 F1 58 00 ?? ?? ?? ?? B8 63 97 F9 B0 30 00 2B 06 D1 17 F1 78 03 9A 1C 97 F9 AC 30 13 70 0B E0 17 F1 78 03 9A 1C 97 F9 B0 30 13 70 17 F1 78 03 DA 1C 97 F9 AC 30 13 70 10 23 7B 60 04 E0 7A 68 02 23 02 FB 03 F3 7B 60 00 22 79 68 17 F1 58 00 ?? ?? ?? ?? D7 F8 90 30 03 F1 08 00 ?? ?? ?? ?? F8 61 17 F1 58 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 58 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 B8 69 ?? ?? ?? ?? 78 62 FB 69 00 93 D7 F8 A8 30 17 F1 78 02 39 6A 78 6A ?? ?? ?? ?? B8 62 BB 6A FB 60 FB 68 00 2B 02 D9 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 BA E7 F9 68 17 F1 58 00 ?? ?? ?? ?? F8 62 01 21 17 F1 58 00 ?? ?? ?? ?? 38 63 68 46 17 F1 9C 01 04 22 ?? ?? ?? ?? D7 F8 98 30 FA 6A 39 6B D7 F8 94 00 ?? ?? ?? ?? 17 F1 58 00 ?? ?? ?? ?? D7 F8 94 30 7B 63 78 6B 22 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_502_2 {
	meta:
		name = "?do_transform@?$collate@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z"
		size = 288
		refs = "000a __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0042 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 004e ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 005a ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0064 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 009c ??$_LStrxfrm@D@std@@YAIPAD0PBD1PBU_Collvec@@@Z 00cc ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 00f4 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0106 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0114 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 18 33 00 23 FB 60 17 F1 68 00 ?? ?? ?? ?? B8 63 D7 F8 A4 20 D7 F8 A0 30 D3 1A 7B 60 7B 68 00 2B 52 D9 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 50 01 17 F1 68 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? 38 62 17 F1 68 00 ?? ?? ?? ?? 78 62 17 F1 40 01 17 F1 68 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? B8 62 D7 F8 98 30 08 33 00 93 D7 F8 A4 30 D7 F8 A0 20 38 6A 79 6A 01 44 B8 6A ?? ?? ?? ?? F8 62 17 F1 68 00 ?? ?? ?? ?? 38 63 FB 6A 7B 60 7A 68 3B 6B 9A 42 02 D8 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 17 F1 50 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 A9 E7 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 68 01 D7 F8 9C 00 ?? ?? ?? ?? F8 63 FB 68 43 F0 01 03 FB 60 17 F1 68 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_87_509_2 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 94
		refs = "0018 ?_Get_data@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAV?$_String_val@U?$_Simple_types@D@std@@@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ 002c ?_Getal@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@XZ 0036 ?address@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBAPADAAD@Z 004a ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PADPBU_Container_base12@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 38 6B ?? ?? ?? ?? 78 60 7B 68 3B 60 38 68 ?? ?? ?? ?? B8 60 38 6B ?? ?? ?? ?? F8 60 B9 68 F8 68 ?? ?? ?? ?? 38 61 3A 68 3B 68 14 33 39 69 1B 68 19 44 78 6B ?? ?? ?? ?? 7B 6B 7B 61 78 69 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_93_81_2 {
	meta:
		name = "??0system_error@std@@QAA@Verror_code@1@@Z"
		size = 96
		refs = "000a __security_push_cookie 0020 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0030 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 003a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 004c __security_pop_cookie 0058 ??_7system_error@std@@6B@ 005c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 8E B0 6F 46 6F F0 01 03 C7 E9 04 33 10 49 17 F1 18 00 ?? ?? ?? ?? 78 60 17 F1 18 03 F9 6C 3A 6D B8 6C ?? ?? ?? ?? B8 60 17 F1 18 00 ?? ?? ?? ?? 06 4A BB 6C 1A 60 BB 6C 3B 60 38 68 0E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_150_2 {
	meta:
		name = "?_Swap_all@_Container_base12@std@@QAAXAAU12@@Z"
		size = 72
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 93 05 9B 04 9A 1B 68 13 60 05 9A 00 9B 13 60 04 9B 1B 68 00 2B 03 D0 04 9B 1A 68 04 9B 13 60 05 9B 1B 68 00 2B 03 D0 05 9B 1A 68 05 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_93_195_2 {
	meta:
		name = "?message@_System_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 192
		refs = "000a __security_push_cookie 002e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 003a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0048 ?_Winerror_message@std@@YAKKPADK@Z 005c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 006e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 007e ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0086 ?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXXZ 0090 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 00ae __security_pop_cookie 00bc ??_C@_0O@BFJCFAAK@unknown?5error?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 94 B0 6F 46 6F F0 01 03 C7 E9 0A 33 00 23 3B 60 47 F6 FF 73 7B 61 00 22 47 F6 FF 71 17 F1 30 00 ?? ?? ?? ?? B8 61 00 21 17 F1 30 00 ?? ?? ?? ?? F8 60 47 F6 FF 72 F9 68 B8 6E ?? ?? ?? ?? 38 61 3B 69 7B 60 7B 68 00 2B 0F D1 18 49 78 6E ?? ?? ?? ?? F8 61 3B 68 43 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 7B 6E BB 60 18 E0 79 68 17 F1 30 00 ?? ?? ?? ?? 17 F1 30 00 ?? ?? ?? ?? 17 F1 30 01 78 6E ?? ?? ?? ?? 38 62 3B 68 43 F0 01 03 3B 60 17 F1 30 00 ?? ?? ?? ?? 7B 6E BB 60 B8 68 14 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_7_3 {
	meta:
		name = "??$_Debug_pointer@$$CBD@std@@YAXPBDPB_WI@Z"
		size = 36
		refs = "0014 ?_Debug_message@std@@YAXPB_W0I@Z 0020 ??_C@_1CK@EOPGIILJ@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$AA@"
		altNames = "??$_Debug_pointer@$$CBG@std@@YAXPBGPB_WI@Z ??$_Debug_pointer@$$CBUtm@@@std@@YAXPBUtm@@PB_WI@Z ??$_Debug_pointer@$$CB_W@std@@YAXPB_W0I@Z ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z ??$_Debug_pointer@F@std@@YAXPAFPB_WI@Z ??$_Debug_pointer@G@std@@YAXPAGPB_WI@Z ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z ??$_Debug_pointer@_W@std@@YAXPA_WPB_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9B 00 2B 04 D1 04 9A 03 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_9_3 {
	meta:
		name = "??$_Debug_pointer_if@$$CBD@std@@YAX_NPBDPB_WI@Z"
		size = 44
		refs = "001c ?_Debug_message@std@@YAXPB_W0I@Z 0028 ??_C@_1CK@EOPGIILJ@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$AA@"
		altNames = "??$_Debug_pointer_if@$$CBG@std@@YAX_NPBGPB_WI@Z ??$_Debug_pointer_if@$$CB_W@std@@YAX_NPB_W1I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9D F8 08 30 00 2B 07 D0 03 9B 00 2B 04 D1 05 9A 04 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_10_3 {
	meta:
		name = "??$_Debug_range2@PBD@std@@YAXPBD0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 68
		refs = "0016 ??$_Debug_pointer@$$CBD@std@@YAXPBDPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 0040 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 12 D0 05 9A 04 99 02 98 ?? ?? ?? ?? 05 9A 04 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 05 9A 04 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_13_3 {
	meta:
		name = "??$_Debug_range2@PAD@std@@YAXPAD0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 68
		refs = "0016 ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 0040 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 12 D0 05 9A 04 99 02 98 ?? ?? ?? ?? 05 9A 04 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 05 9A 04 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_14_3 {
	meta:
		name = "??$_Debug_range2@PAG@std@@YAXPAG0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 68
		refs = "0016 ??$_Debug_pointer@G@std@@YAXPAGPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 0040 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 12 D0 05 9A 04 99 02 98 ?? ?? ?? ?? 05 9A 04 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 05 9A 04 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_14_3 {
	meta:
		name = "??$_Debug_range2@PA_W@std@@YAXPA_W0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 68
		refs = "0016 ??$_Debug_pointer@_W@std@@YAXPA_WPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 0040 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 12 D0 05 9A 04 99 02 98 ?? ?? ?? ?? 05 9A 04 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 05 9A 04 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_16_3 {
	meta:
		name = "??$_Debug_range2@PBG@std@@YAXPBG0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 68
		refs = "0016 ??$_Debug_pointer@$$CBG@std@@YAXPBGPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 0040 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 12 D0 05 9A 04 99 02 98 ?? ?? ?? ?? 05 9A 04 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 05 9A 04 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_16_3 {
	meta:
		name = "??$_Debug_range2@PB_W@std@@YAXPB_W00IUrandom_access_iterator_tag@0@@Z"
		size = 68
		refs = "0016 ??$_Debug_pointer@$$CB_W@std@@YAXPB_W0I@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 0040 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 12 D0 05 9A 04 99 02 98 ?? ?? ?? ?? 05 9A 04 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 05 9A 04 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_11_3 {
	meta:
		name = "??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z"
		size = 52
		refs = "0010 memset 001a memcpy 0026 ??$_Debug_range2@PBD@std@@YAXPBD0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 68 46 02 A9 01 22 ?? ?? ?? ?? 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_26_17_3 {
	meta:
		name = "??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z"
		size = 52
		refs = "0010 memset 001a memcpy 0026 ??$_Debug_range2@PAD@std@@YAXPAD0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 68 46 02 A9 01 22 ?? ?? ?? ?? 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_26_18_3 {
	meta:
		name = "??$_Debug_range@PAG@std@@YAXPAG0PB_WI@Z"
		size = 52
		refs = "0010 memset 001a memcpy 0026 ??$_Debug_range2@PAG@std@@YAXPAG0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 68 46 02 A9 01 22 ?? ?? ?? ?? 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_37_18_3 {
	meta:
		name = "??$_Debug_range@PA_W@std@@YAXPA_W0PB_WI@Z"
		size = 52
		refs = "0010 memset 001a memcpy 0026 ??$_Debug_range2@PA_W@std@@YAXPA_W0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 68 46 02 A9 01 22 ?? ?? ?? ?? 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_46_20_3 {
	meta:
		name = "??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z"
		size = 52
		refs = "0010 memset 001a memcpy 0026 ??$_Debug_range2@PBG@std@@YAXPBG0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 68 46 02 A9 01 22 ?? ?? ?? ?? 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_37_20_3 {
	meta:
		name = "??$_Debug_range@PB_W@std@@YAXPB_W00I@Z"
		size = 52
		refs = "0010 memset 001a memcpy 0026 ??$_Debug_range2@PB_W@std@@YAXPB_W00IUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 68 46 02 A9 01 22 ?? ?? ?? ?? 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_13_12_3 {
	meta:
		name = "??$_Debug_range_ptr2@PBDPAD@std@@YAXPBD0AAPADPB_WIUrandom_access_iterator_tag@0@@Z"
		size = 80
		refs = "0016 ??$_Debug_pointer@$$CBD@std@@YAXPBDPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003e ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 004c ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 18 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 06 48 ?? ?? ?? ?? 06 9A 05 99 04 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_21_3 {
	meta:
		name = "??$_Debug_range_ptr2@PBDPAG@std@@YAXPBD0AAPAGPB_WIUrandom_access_iterator_tag@0@@Z"
		size = 80
		refs = "0016 ??$_Debug_pointer@$$CBD@std@@YAXPBDPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003e ??$_Debug_pointer@G@std@@YAXPAGPB_WI@Z 004c ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 18 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 06 48 ?? ?? ?? ?? 06 9A 05 99 04 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_21_3 {
	meta:
		name = "??$_Debug_range_ptr2@PBDPA_W@std@@YAXPBD0AAPA_WPB_WIUrandom_access_iterator_tag@0@@Z"
		size = 80
		refs = "0016 ??$_Debug_pointer@$$CBD@std@@YAXPBDPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003e ??$_Debug_pointer@_W@std@@YAXPA_WPB_WI@Z 004c ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 18 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 06 48 ?? ?? ?? ?? 06 9A 05 99 04 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_22_3 {
	meta:
		name = "??$_Debug_range_ptr2@PBGPAD@std@@YAXPBG0AAPADPB_WIUrandom_access_iterator_tag@0@@Z"
		size = 80
		refs = "0016 ??$_Debug_pointer@$$CBG@std@@YAXPBGPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003e ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 004c ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 18 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 06 48 ?? ?? ?? ?? 06 9A 05 99 04 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_23_3 {
	meta:
		name = "??$_Debug_range_ptr2@PBGPAF@std@@YAXPBG0AAPAFPB_WIUrandom_access_iterator_tag@0@@Z"
		size = 80
		refs = "0016 ??$_Debug_pointer@$$CBG@std@@YAXPBGPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003e ??$_Debug_pointer@F@std@@YAXPAFPB_WI@Z 004c ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 18 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 06 48 ?? ?? ?? ?? 06 9A 05 99 04 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_22_3 {
	meta:
		name = "??$_Debug_range_ptr2@PB_WPAD@std@@YAXPB_W0AAPAD0IUrandom_access_iterator_tag@0@@Z"
		size = 80
		refs = "0016 ??$_Debug_pointer@$$CB_W@std@@YAXPB_W0I@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003e ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 004c ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 18 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 06 48 ?? ?? ?? ?? 06 9A 05 99 04 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_23_3 {
	meta:
		name = "??$_Debug_range_ptr2@PB_WPAF@std@@YAXPB_W0AAPAF0IUrandom_access_iterator_tag@0@@Z"
		size = 80
		refs = "0016 ??$_Debug_pointer@$$CB_W@std@@YAXPB_W0I@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003e ??$_Debug_pointer@F@std@@YAXPAFPB_WI@Z 004c ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 18 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 06 48 ?? ?? ?? ?? 06 9A 05 99 04 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_13_3 {
	meta:
		name = "??$_Debug_range_ptr@PBDPAD@std@@YAXPBD0AAPADPB_WI@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PBDPAD@std@@YAXPBD0AAPADPB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_95_29_3 {
	meta:
		name = "??$_Debug_range_ptr@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXPAD0AAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXPAD0AAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_79_3 {
	meta:
		name = "??$_Debug_range_ptr@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXPA_W0AAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXPA_W0AAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_80_3 {
	meta:
		name = "??$_Debug_range_ptr@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXPA_W0AAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXPA_W0AAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_26_24_3 {
	meta:
		name = "??$_Debug_range_ptr@PBDPAG@std@@YAXPBD0AAPAGPB_WI@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PBDPAG@std@@YAXPBD0AAPAGPB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_24_3 {
	meta:
		name = "??$_Debug_range_ptr@PBDPA_W@std@@YAXPBD0AAPA_WPB_WI@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PBDPA_W@std@@YAXPBD0AAPA_WPB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_83_3 {
	meta:
		name = "??$_Debug_range_ptr@PBGPAD@std@@YAXPBG0AAPADPB_WI@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PBGPAD@std@@YAXPBG0AAPADPB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_76_26_3 {
	meta:
		name = "??$_Debug_range_ptr@PBGPAF@std@@YAXPBG0AAPAFPB_WI@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PBGPAF@std@@YAXPBG0AAPAFPB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_25_3 {
	meta:
		name = "??$_Debug_range_ptr@PB_WPAD@std@@YAXPB_W0AAPAD0I@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PB_WPAD@std@@YAXPB_W0AAPAD0IUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_55_26_3 {
	meta:
		name = "??$_Debug_range_ptr@PB_WPAF@std@@YAXPB_W0AAPAF0I@Z"
		size = 56
		refs = "0010 memset 001a memcpy 002a ??$_Debug_range_ptr2@PB_WPAF@std@@YAXPB_W0AAPAF0IUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 02 A8 ?? ?? ?? ?? 01 A8 02 A9 01 22 ?? ?? ?? ?? 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_13_147_3 {
	meta:
		name = "??1_Iterator_base12@std@@QAA@XZ"
		size = 52
		refs = "001a ??0_Lockit@std@@QAA@H@Z 0020 ?_Orphan_me@_Iterator_base12@std@@QAAXXZ 0026 ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 03 21 38 46 ?? ?? ?? ?? 38 6A ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_13_169_3 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ"
		size = 216
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ 0048 ??$_Unfancy@$$CBD@std@@YAPBDPBD@Z 0078 ?_Debug_message@std@@YAXPB_W0I@Z 008c _CrtDbgReportW 00a6 _invalid_parameter 00c0 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00c4 ??_C@_1MG@GDGHDIKC@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00c8 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d0 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 00d4 ??_C@_1EG@CNCHLAOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAa?$AAb@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 06 90 06 9B 03 93 01 E0 00 23 03 93 03 9B 04 93 02 9B 00 2B 1C D0 0E 9B 08 33 1B 68 00 2B 17 D0 0E 9B 08 33 18 68 ?? ?? ?? ?? 07 90 07 9A 04 9B 9A 42 0D D3 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 02 9B 14 33 04 9A 1B 68 1A 44 08 9B 9A 42 1B D8 4C 22 14 49 17 48 ?? ?? ?? ?? 14 4B 01 93 12 4B 00 93 00 23 4D 22 0F 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 00 23 00 93 4D 23 09 4A 08 49 06 48 ?? ?? ?? ?? 0E 9B 08 33 1B 68 0A 93 0A 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_203_3 {
	meta:
		name = "?_Adopt@_Iterator_base12@std@@QAAXPBU_Container_base12@2@@Z"
		size = 130
		refs = "0020 ??0_Lockit@std@@QAA@H@Z 0028 ?_Orphan_me@_Iterator_base12@std@@QAAXXZ 002e ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 7B 6B 00 2B 0B D1 03 21 38 1D ?? ?? ?? ?? F8 60 38 6B ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 21 E0 7B 6B 1B 68 3B 60 3B 6B 1A 68 3B 68 9A 42 19 D0 03 21 17 F1 08 00 ?? ?? ?? ?? 38 61 38 6B ?? ?? ?? ?? 3B 68 19 1D 3B 6B 1A 1D 0B 68 13 60 3B 68 1A 1D 3B 6B 13 60 3A 6B 3B 68 13 60 17 F1 08 00 ?? ?? ?? ?? 09 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_13_209_3 {
	meta:
		name = "?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
		size = 200
		refs = "0024 ?_Fetch_add_relaxed_4@std@@YAKPCKK@Z 0034 ?_Fetch_add_acquire_4@std@@YAKPCKK@Z 0044 ?_Fetch_add_release_4@std@@YAKPCKK@Z 0054 ?_Fetch_add_seq_cst_4@std@@YAKPCKK@Z 0068 ?_Debug_message@std@@YAXPB_W0I@Z 007e _CrtDbgReportW 009a _invalid_parameter 00b0 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 00b4 ??_C@_1DC@FMPHIJPC@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAA?$AAt?$AAo?$AAm?$AAi?$AAc?$AA_?$AAf?$AAe?$AAt?$AAc?$AAh?$AA_?$AAa?$AAd?$AAd?$AA_?$AA4?$AA?$AA@ 00b8 ??_C@_1FE@BMABLLBF@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00bc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1FO@GJIHNDLM@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5@ 00c4 ??_C@_1CK@BEGEBJJG@?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA_?$AAo?$AAr?$AAd?$AAe?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 03 93 03 9B 05 2B 25 D8 03 9A DF E8 02 F0 03 0B 0B 13 1B 1B 0D 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 38 E0 0D 99 0C 98 ?? ?? ?? ?? 05 90 05 9B 02 93 30 E0 0D 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 02 93 28 E0 0D 99 0C 98 ?? ?? ?? ?? 07 90 07 9B 02 93 20 E0 40 F2 54 62 14 49 17 48 ?? ?? ?? ?? 14 4B 01 93 12 4B 00 93 00 23 40 F2 54 62 0F 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 54 63 08 4A 07 49 05 48 ?? ?? ?? ?? 00 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_279_3 {
	meta:
		name = "?_Orphan_all@_Container_base12@std@@QAAXXZ"
		size = 94
		refs = "0016 ??0_Lockit@std@@QAA@H@Z 0050 ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 00 2B 20 D0 03 21 01 A8 ?? ?? ?? ?? 02 90 06 9B 1B 68 1B 1D 00 93 05 E0 00 9B 1B 68 1B 1D 1A 68 00 9B 1A 60 00 9B 1B 68 00 2B 04 D0 00 9B 1A 68 00 23 13 60 F0 E7 06 9B 1B 68 1A 1D 00 23 13 60 01 A8 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_13_280_3 {
	meta:
		name = "?_Orphan_me@_Iterator_base12@std@@QAAXXZ"
		size = 108
		refs = "0044 ?_Debug_message@std@@YAXPB_W0I@Z 0064 ??_C@_1DC@POOIKBAO@?$AAI?$AAT?$AAE?$AAR?$AAA?$AAT?$AAO?$AAR?$AA?5?$AAL?$AAI?$AAS?$AAT?$AA?5?$AAC?$AAO?$AAR?$AAR?$AAU?$AAP?$AAT?$AAE?$AAD?$AA?$CB?$AA?$AA@ 0068 ??_C@_1FC@NAFHOCEF@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 22 D0 04 9B 1B 68 1B 1D 00 93 00 9B 1B 68 00 2B 09 D0 00 9B 1A 68 04 9B 9A 42 04 D0 00 9B 1B 68 1B 1D 00 93 F1 E7 00 9B 1B 68 00 2B 04 D1 CA 22 09 49 08 48 ?? ?? ?? ?? 04 9B 1B 1D 1A 68 00 9B 1A 60 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_305_3 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z"
		size = 64
		refs = "0012 ??$_Debug_pointer@$$CBD@std@@YAXPBDPB_WI@Z 0018 ?length@?$char_traits@D@std@@SAIPBD@Z 0024 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 003c ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 40 F2 52 42 0B 49 07 98 ?? ?? ?? ?? 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_121_3 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z"
		size = 64
		refs = "0012 ??$_Debug_pointer@$$CB_W@std@@YAXPB_W0I@Z 0018 ?length@?$char_traits@_W@std@@SAIPB_W@Z 0024 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 003c ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 40 F2 52 42 0B 49 07 98 ?? ?? ?? ?? 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_306_3 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		size = 240
		refs = "002a ??$_Debug_pointer_if@$$CBD@std@@YAX_NPBDPB_WI@Z 0032 ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z 0044 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0056 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0064 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 007c ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 009e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 00ca ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 00d2 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 00e8 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 00ec ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 4F F4 88 63 32 4A 0D 99 9D F8 00 00 ?? ?? ?? ?? 0D 99 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0F D0 0C 98 ?? ?? ?? ?? 03 90 0E 9B 0D 99 03 9A 8A 1A 0C 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 3B E0 0C 98 ?? ?? ?? ?? 05 90 1F 4B 1A 68 05 9B 1B 68 D2 1A 0E 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 06 90 06 9B 1A 68 0E 9B 13 44 01 93 0E 9B 00 2B 1E D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 13 D0 0C 98 ?? ?? ?? ?? 07 90 0C 98 ?? ?? ?? ?? 08 90 0E 9A 0D 99 07 98 08 9B 1B 68 18 44 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_309_3 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z"
		size = 64
		refs = "0012 ??$_Debug_pointer@$$CBD@std@@YAXPBDPB_WI@Z 0018 ?length@?$char_traits@D@std@@SAIPBD@Z 0024 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 003c ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 40 F2 9D 42 0B 49 07 98 ?? ?? ?? ?? 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1093_3 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBG@Z"
		size = 64
		refs = "0012 ??$_Debug_pointer@$$CBG@std@@YAXPBGPB_WI@Z 0018 ?length@?$char_traits@G@std@@SAIPBG@Z 0024 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z 003c ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 40 F2 9D 42 0B 49 07 98 ?? ?? ?? ?? 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1099_3 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z"
		size = 64
		refs = "0012 ??$_Debug_pointer@$$CB_W@std@@YAXPB_W0I@Z 0018 ?length@?$char_traits@_W@std@@SAIPB_W@Z 0024 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 003c ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 40 F2 9D 42 0B 49 07 98 ?? ?? ?? ?? 07 98 ?? ?? ?? ?? 00 90 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_310_3 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		size = 168
		refs = "002a ??$_Debug_pointer_if@$$CBD@std@@YAX_NPBDPB_WI@Z 0032 ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z 0044 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 0056 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0068 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0086 ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 008e ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 00a4 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9B 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 40 F2 8E 43 20 4A 09 99 9D F8 00 00 ?? ?? ?? ?? 09 99 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0F D0 08 98 ?? ?? ?? ?? 02 90 0A 9B 09 99 02 9A 8A 1A 08 99 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 19 E0 00 22 0A 99 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 0C D0 08 98 ?? ?? ?? ?? 04 90 0A 9A 09 99 04 98 ?? ?? ?? ?? 0A 99 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_336_3 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MBAPBDPBD0DPAD@Z"
		size = 64
		refs = "0018 ??$_Debug_range_ptr@PBDPAD@std@@YAXPBD0AAPADPB_WI@Z 0026 memcpy 003c ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 40 F6 FF 13 00 93 0A 4B 0A AA 08 99 07 98 ?? ?? ?? ?? 08 9A 07 9B D2 1A 07 99 0A 98 ?? ?? ?? ?? 08 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_339_3 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MBAPBDPADPBD@Z"
		size = 92
		refs = "0014 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0036 _Tolower 0058 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 D6 13 12 4A 06 99 05 98 ?? ?? ?? ?? 02 E0 05 9B 5B 1C 05 93 05 9A 06 9B 9A 42 0E D0 04 9B 03 F1 08 01 05 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 00 90 00 9B 5A B2 05 9B 1A 70 E9 E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_341_3 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MBAPBDPADPBD@Z"
		size = 92
		refs = "0014 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0036 _Toupper 0058 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 E4 13 12 4A 06 99 05 98 ?? ?? ?? ?? 02 E0 05 9B 5B 1C 05 93 05 9A 06 9B 9A 42 0E D0 04 9B 03 F1 08 01 05 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 00 90 00 9B 5A B2 05 9B 1A 70 E9 E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_344_3 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MBAPBDPBD0PAD@Z"
		size = 64
		refs = "0018 ??$_Debug_range_ptr@PBDPAD@std@@YAXPBD0AAPADPB_WI@Z 0026 memcpy 003c ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 40 F6 F2 13 00 93 0A 4B 09 AA 08 99 07 98 ?? ?? ?? ?? 08 9A 07 9B D2 1A 07 99 09 98 ?? ?? ?? ?? 08 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_42_3 {
	meta:
		name = "??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z"
		size = 84
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 0024 ?_Debug_message@std@@YAXPB_W0I@Z 002a ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 004c ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0050 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 07 9B 9A 42 05 D2 40 F2 92 62 0B 49 0A 48 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 01 90 07 9A 02 23 02 FB 03 F2 01 9B 13 44 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_506_3 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z"
		size = 84
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 0024 ?_Debug_message@std@@YAXPB_W0I@Z 002a ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 004c ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0050 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 07 9B 9A 42 05 D2 40 F2 92 62 0B 49 0A 48 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 01 90 07 9A 02 23 02 FB 03 F2 01 9B 13 44 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_347_3 {
	meta:
		name = "?do_in@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPAG3AAPAG@Z"
		size = 260
		refs = "0014 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0022 ??$_Debug_range@PAG@std@@YAXPAG0PB_WI@Z 0076 _Mbrtowc 00bc strlen 0100 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 40 F2 74 73 3C 4A 0F 99 0E 98 ?? ?? ?? ?? 40 F2 75 73 38 4A 12 99 11 98 ?? ?? ?? ?? 0E 9A 10 9B 1A 60 11 9A 13 9B 1A 60 10 9B 1A 68 0F 9B 9A 42 02 D1 00 23 06 93 01 E0 01 23 06 93 06 9B 04 93 10 9B 1A 68 0F 9B 9A 42 4D D0 13 9B 1A 68 12 9B 9A 42 48 D0 0C 9B 08 33 00 93 0D 9B 0F 99 10 9A 12 68 8A 1A 10 99 09 68 13 98 00 68 ?? ?? ?? ?? 07 90 07 9B 02 93 02 9B 03 93 03 9B 13 F1 02 0F 07 D0 03 9B B3 F1 FF 3F 09 D0 03 9B 00 2B 09 D0 15 E0 0F 9A 10 9B 1A 60 04 9B 05 93 25 E0 02 23 05 93 22 E0 13 9B 1B 68 1B 88 00 2B 07 D1 10 9B 18 68 ?? ?? ?? ?? 08 90 08 9B 5B 1C 02 93 02 9B 13 F1 03 0F 01 D1 00 23 02 93 10 9B 1A 68 02 9B 1A 44 10 9B 1A 60 13 9B 1B 68 9A 1C 13 9B 1A 60 00 23 04 93 AC E7 04 9B 05 93 05 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_348_3 {
	meta:
		name = "?do_is@?$ctype@G@std@@MBAPBGPBG0PAF@Z"
		size = 64
		refs = "0018 ??$_Debug_range_ptr@PBGPAF@std@@YAXPBG0AAPAFPB_WI@Z 0026 _Getwctypes 003c ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 40 F6 64 33 00 93 0A 4B 09 AA 08 99 07 98 ?? ?? ?? ?? 06 9B 08 33 09 9A 08 99 07 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_350_3 {
	meta:
		name = "?do_length@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1I@Z"
		size = 196
		refs = "0014 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 001e memcpy 004c _Mbrtowc 0088 strlen 00c0 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 40 F2 D6 73 2C 4A 11 99 10 98 ?? ?? ?? ?? 0F 99 0A A8 08 22 ?? ?? ?? ?? 00 23 04 93 10 9B 03 93 04 9A 12 9B 9A 42 3E D2 03 9A 11 9B 9A 42 3A D0 0E 9B 08 33 00 93 0A AB 11 99 03 9A 8A 1A 03 99 02 A8 ?? ?? ?? ?? 08 90 08 9B 05 93 05 9B 06 93 06 9B 13 F1 02 0F 07 D0 06 9B B3 F1 FF 3F 06 D0 06 9B 00 2B 06 D0 10 E0 04 9B 07 93 1D E0 04 9B 07 93 1A E0 BD F8 08 30 00 2B 06 D1 03 98 ?? ?? ?? ?? 09 90 09 9B 5B 1C 05 93 05 9B 13 F1 03 0F 01 D1 00 23 05 93 03 9A 05 9B 13 44 03 93 04 9B 5B 1C 04 93 BC E7 04 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_354_3 {
	meta:
		name = "?do_narrow@?$ctype@G@std@@MBAPBGPBG0DPAD@Z"
		size = 100
		refs = "0018 ??$_Debug_range_ptr@PBGPAD@std@@YAXPBG0AAPADPB_WI@Z 003c ?_Donarrow@?$ctype@G@std@@IBADGD@Z 0060 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 40 F6 BD 33 00 93 13 4B 0A AA 08 99 07 98 ?? ?? ?? ?? 05 E0 07 9B 9B 1C 07 93 0A 9B 5B 1C 0A 93 07 9A 08 9B 9A 42 0D D0 9D F9 24 20 07 9B 19 88 06 98 ?? ?? ?? ?? 8D F8 08 00 9D F9 08 20 0A 9B 1A 70 E7 E7 07 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_355_3 {
	meta:
		name = "?do_out@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBG1AAPBGPAD3AAPAD@Z"
		size = 308
		refs = "0008 __security_push_cookie 0018 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0026 ??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z 0066 _Wcrtomb 009c memcpy 0122 __security_pop_cookie 0130 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8B B0 4F F4 F3 63 47 4A 11 99 10 98 ?? ?? ?? ?? 40 F2 99 73 43 4A 14 99 13 98 ?? ?? ?? ?? 10 9A 12 9B 1A 60 13 9A 15 9B 1A 60 12 9B 1A 68 11 9B 9A 42 62 D0 15 9B 1A 68 14 9B 9A 42 5D D0 14 9A 15 9B 1B 68 D3 1A 05 2B 1F DB 0E 9B 08 33 0F 9A 12 99 09 68 09 88 15 98 00 68 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 03 DA 02 23 01 93 50 E0 0A E0 12 9B 1B 68 9A 1C 12 9B 1A 60 15 9B 1A 68 00 9B 1A 44 15 9B 1A 60 36 E0 0F 99 06 A8 08 22 ?? ?? ?? ?? 0E 9B 08 33 0F 9A 12 99 09 68 09 88 08 A8 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 03 DA 02 23 01 93 2C E0 1E E0 14 9A 15 9B 1B 68 D2 1A 00 9B 9A 42 06 DA 0F 98 06 A9 08 22 ?? ?? ?? ?? 12 E0 10 E0 00 9A 08 A9 15 9B 18 68 ?? ?? ?? ?? 12 9B 1B 68 9A 1C 12 9B 1A 60 15 9B 1A 68 00 9B 1A 44 15 9B 1A 60 97 E7 12 9B 1A 68 11 9B 9A 42 02 D1 00 23 02 93 01 E0 01 23 02 93 02 9B 01 93 01 98 0B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_356_3 {
	meta:
		name = "?do_scan_is@?$ctype@G@std@@MBAPBGFPBG0@Z"
		size = 88
		refs = "0014 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0032 ?is@?$ctype@G@std@@QBA_NFG@Z 0054 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 6C 33 11 4A 07 99 06 98 ?? ?? ?? ?? 02 E0 06 9B 9B 1C 06 93 06 9A 07 9B 9A 42 0D D0 06 9B 1A 88 BD F9 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 00 D1 EA E7 06 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_357_3 {
	meta:
		name = "?do_scan_not@?$ctype@G@std@@MBAPBGFPBG0@Z"
		size = 88
		refs = "0014 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0032 ?is@?$ctype@G@std@@QBA_NFG@Z 0054 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 75 33 11 4A 07 99 06 98 ?? ?? ?? ?? 02 E0 06 9B 9B 1C 06 93 06 9A 07 9B 9A 42 0D D0 06 9B 1A 88 BD F9 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 00 D0 EA E7 06 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_359_3 {
	meta:
		name = "?do_tolower@?$ctype@G@std@@MBAPBGPAGPBG@Z"
		size = 88
		refs = "0014 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0032 _Towlower 0054 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 83 33 11 4A 06 99 05 98 ?? ?? ?? ?? 02 E0 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 0D D0 04 9B 03 F1 08 01 05 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 05 9B 1A 80 EA E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_361_3 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MBAPBGPAGPBG@Z"
		size = 88
		refs = "0014 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0032 _Towupper 0054 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 91 33 11 4A 06 99 05 98 ?? ?? ?? ?? 02 E0 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 0D D0 04 9B 03 F1 08 01 05 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 05 9B 1A 80 EA E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_362_3 {
	meta:
		name = "?do_unshift@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PAD1AAPAD@Z"
		size = 172
		refs = "0008 __security_push_cookie 0018 ??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z 002c memcpy 003a _Wcrtomb 009a __security_pop_cookie 00a8 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 40 F2 BD 73 25 4A 0F 99 0E 98 ?? ?? ?? ?? 0E 9A 10 9B 1A 60 00 23 01 93 0D 99 04 A8 08 22 ?? ?? ?? ?? 0C 9B 08 33 0D 9A 00 21 06 A8 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 DC 02 23 01 93 20 E0 00 9B 5B 1E 00 93 0F 9A 10 9B 1B 68 D2 1A 00 9B 9A 42 07 DA 0D 98 04 A9 08 22 ?? ?? ?? ?? 01 23 01 93 0E E0 00 9B 00 2B 0B DD 00 9A 06 A9 10 9B 18 68 ?? ?? ?? ?? 10 9B 1A 68 00 9B 1A 44 10 9B 1A 60 01 9B 03 93 03 98 09 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_364_3 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MBAPBDPBD0PAG@Z"
		size = 96
		refs = "0018 ??$_Debug_range_ptr@PBDPAG@std@@YAXPBD0AAPAGPB_WI@Z 003a ?_Dowiden@?$ctype@G@std@@IBAGD@Z 005c ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 40 F6 A7 33 00 93 12 4B 09 AA 08 99 07 98 ?? ?? ?? ?? 05 E0 07 9B 5B 1C 07 93 09 9B 9B 1C 09 93 07 9A 08 9B 9A 42 0C D0 07 9B 93 F9 00 10 06 98 ?? ?? ?? ?? AD F8 08 00 BD F8 08 20 09 9B 1A 80 E8 E7 07 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_347_3 {
	meta:
		name = "?do_in@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPA_W3AAPA_W@Z"
		size = 260
		refs = "0014 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0022 ??$_Debug_range@PA_W@std@@YAXPA_W0PB_WI@Z 0076 _Mbrtowc 00bc strlen 0100 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 40 F2 8A 63 3C 4A 0F 99 0E 98 ?? ?? ?? ?? 40 F2 8B 63 38 4A 12 99 11 98 ?? ?? ?? ?? 0E 9A 10 9B 1A 60 11 9A 13 9B 1A 60 10 9B 1A 68 0F 9B 9A 42 02 D1 00 23 06 93 01 E0 01 23 06 93 06 9B 04 93 10 9B 1A 68 0F 9B 9A 42 4D D0 13 9B 1A 68 12 9B 9A 42 48 D0 0C 9B 08 33 00 93 0D 9B 0F 99 10 9A 12 68 8A 1A 10 99 09 68 13 98 00 68 ?? ?? ?? ?? 07 90 07 9B 02 93 02 9B 03 93 03 9B 13 F1 02 0F 07 D0 03 9B B3 F1 FF 3F 09 D0 03 9B 00 2B 09 D0 15 E0 0F 9A 10 9B 1A 60 04 9B 05 93 25 E0 02 23 05 93 22 E0 13 9B 1B 68 1B 88 00 2B 07 D1 10 9B 18 68 ?? ?? ?? ?? 08 90 08 9B 5B 1C 02 93 02 9B 13 F1 03 0F 01 D1 00 23 02 93 10 9B 1A 68 02 9B 1A 44 10 9B 1A 60 13 9B 1B 68 9A 1C 13 9B 1A 60 00 23 04 93 AC E7 04 9B 05 93 05 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_348_3 {
	meta:
		name = "?do_is@?$ctype@_W@std@@MBAPB_WPB_W0PAF@Z"
		size = 64
		refs = "0018 ??$_Debug_range_ptr@PB_WPAF@std@@YAXPB_W0AAPAF0I@Z 0026 _Getwctypes 003c ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 40 F6 84 23 00 93 0A 4B 09 AA 08 99 07 98 ?? ?? ?? ?? 06 9B 08 33 09 9A 08 99 07 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_350_3 {
	meta:
		name = "?do_length@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1I@Z"
		size = 196
		refs = "0014 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 001e memcpy 004c _Mbrtowc 0088 strlen 00c0 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 40 F2 EC 63 2C 4A 11 99 10 98 ?? ?? ?? ?? 0F 99 0A A8 08 22 ?? ?? ?? ?? 00 23 04 93 10 9B 03 93 04 9A 12 9B 9A 42 3E D2 03 9A 11 9B 9A 42 3A D0 0E 9B 08 33 00 93 0A AB 11 99 03 9A 8A 1A 03 99 02 A8 ?? ?? ?? ?? 08 90 08 9B 05 93 05 9B 06 93 06 9B 13 F1 02 0F 07 D0 06 9B B3 F1 FF 3F 06 D0 06 9B 00 2B 06 D0 10 E0 04 9B 07 93 1D E0 04 9B 07 93 1A E0 BD F8 08 30 00 2B 06 D1 03 98 ?? ?? ?? ?? 09 90 09 9B 5B 1C 05 93 05 9B 13 F1 03 0F 01 D1 00 23 05 93 03 9A 05 9B 13 44 03 93 04 9B 5B 1C 04 93 BC E7 04 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_354_3 {
	meta:
		name = "?do_narrow@?$ctype@_W@std@@MBAPB_WPB_W0DPAD@Z"
		size = 100
		refs = "0018 ??$_Debug_range_ptr@PB_WPAD@std@@YAXPB_W0AAPAD0I@Z 003c ?_Donarrow@?$ctype@_W@std@@IBAD_WD@Z 0060 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 40 F6 DC 23 00 93 13 4B 0A AA 08 99 07 98 ?? ?? ?? ?? 05 E0 07 9B 9B 1C 07 93 0A 9B 5B 1C 0A 93 07 9A 08 9B 9A 42 0D D0 9D F9 24 20 07 9B 19 88 06 98 ?? ?? ?? ?? 8D F8 08 00 9D F9 08 20 0A 9B 1A 70 E7 E7 07 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_355_3 {
	meta:
		name = "?do_out@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PB_W1AAPB_WPAD3AAPAD@Z"
		size = 308
		refs = "0008 __security_push_cookie 0018 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0026 ??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z 0066 _Wcrtomb 009c memcpy 0122 __security_pop_cookie 0130 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8B B0 40 F2 AE 63 47 4A 11 99 10 98 ?? ?? ?? ?? 40 F2 AF 63 43 4A 14 99 13 98 ?? ?? ?? ?? 10 9A 12 9B 1A 60 13 9A 15 9B 1A 60 12 9B 1A 68 11 9B 9A 42 62 D0 15 9B 1A 68 14 9B 9A 42 5D D0 14 9A 15 9B 1B 68 D3 1A 05 2B 1F DB 0E 9B 08 33 0F 9A 12 99 09 68 09 88 15 98 00 68 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 03 DA 02 23 01 93 50 E0 0A E0 12 9B 1B 68 9A 1C 12 9B 1A 60 15 9B 1A 68 00 9B 1A 44 15 9B 1A 60 36 E0 0F 99 06 A8 08 22 ?? ?? ?? ?? 0E 9B 08 33 0F 9A 12 99 09 68 09 88 08 A8 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 03 DA 02 23 01 93 2C E0 1E E0 14 9A 15 9B 1B 68 D2 1A 00 9B 9A 42 06 DA 0F 98 06 A9 08 22 ?? ?? ?? ?? 12 E0 10 E0 00 9A 08 A9 15 9B 18 68 ?? ?? ?? ?? 12 9B 1B 68 9A 1C 12 9B 1A 60 15 9B 1A 68 00 9B 1A 44 15 9B 1A 60 97 E7 12 9B 1A 68 11 9B 9A 42 02 D1 00 23 02 93 01 E0 01 23 02 93 02 9B 01 93 01 98 0B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_356_3 {
	meta:
		name = "?do_scan_is@?$ctype@_W@std@@MBAPB_WFPB_W0@Z"
		size = 88
		refs = "0014 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0032 ?is@?$ctype@_W@std@@QBA_NF_W@Z 0054 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 8B 23 11 4A 07 99 06 98 ?? ?? ?? ?? 02 E0 06 9B 9B 1C 06 93 06 9A 07 9B 9A 42 0D D0 06 9B 1A 88 BD F9 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 00 D1 EA E7 06 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_357_3 {
	meta:
		name = "?do_scan_not@?$ctype@_W@std@@MBAPB_WFPB_W0@Z"
		size = 88
		refs = "0014 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0032 ?is@?$ctype@_W@std@@QBA_NF_W@Z 0054 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 94 23 11 4A 07 99 06 98 ?? ?? ?? ?? 02 E0 06 9B 9B 1C 06 93 06 9A 07 9B 9A 42 0D D0 06 9B 1A 88 BD F9 14 10 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 00 D0 EA E7 06 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_358_3 {
	meta:
		name = "?do_tolower@?$ctype@_W@std@@MBAPB_WPA_WPB_W@Z"
		size = 88
		refs = "0014 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0032 _Towlower 0054 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 40 F6 A2 23 11 4A 06 99 05 98 ?? ?? ?? ?? 02 E0 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 0D D0 04 9B 03 F1 08 01 05 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 05 9B 1A 80 EA E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_360_3 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MBAPB_WPA_WPB_W@Z"
		size = 88
		refs = "0014 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0032 _Towupper 0054 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 4F F4 2B 63 11 4A 06 99 05 98 ?? ?? ?? ?? 02 E0 05 9B 9B 1C 05 93 05 9A 06 9B 9A 42 0D D0 04 9B 03 F1 08 01 05 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 05 9B 1A 80 EA E7 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_362_3 {
	meta:
		name = "?do_unshift@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PAD1AAPAD@Z"
		size = 172
		refs = "0008 __security_push_cookie 0018 ??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z 002c memcpy 003a _Wcrtomb 009a __security_pop_cookie 00a8 ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 40 F2 D3 63 25 4A 0F 99 0E 98 ?? ?? ?? ?? 0E 9A 10 9B 1A 60 00 23 01 93 0D 99 04 A8 08 22 ?? ?? ?? ?? 0C 9B 08 33 0D 9A 00 21 06 A8 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 DC 02 23 01 93 20 E0 00 9B 5B 1E 00 93 0F 9A 10 9B 1B 68 D2 1A 00 9B 9A 42 07 DA 0D 98 04 A9 08 22 ?? ?? ?? ?? 01 23 01 93 0E E0 00 9B 00 2B 0B DD 00 9A 06 A9 10 9B 18 68 ?? ?? ?? ?? 10 9B 1A 68 00 9B 1A 44 10 9B 1A 60 01 9B 03 93 03 98 09 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_363_3 {
	meta:
		name = "?do_widen@?$ctype@_W@std@@MBAPBDPBD0PA_W@Z"
		size = 96
		refs = "0018 ??$_Debug_range_ptr@PBDPA_W@std@@YAXPBD0AAPA_WPB_WI@Z 003a ?_Dowiden@?$ctype@_W@std@@IBA_WD@Z 005c ??_C@_1FA@FDFFHJNL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 40 F6 C6 23 00 93 12 4B 09 AA 08 99 07 98 ?? ?? ?? ?? 05 E0 07 9B 5B 1C 07 93 09 9B 9B 1C 09 93 07 9A 08 9B 9A 42 0C D0 07 9B 93 F9 00 10 06 98 ?? ?? ?? ?? AD F8 08 00 BD F8 08 20 09 9B 1A 80 E8 E7 07 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_17_3 {
	meta:
		name = "??$_Pocs@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0U?$integral_constant@_N$0A@@0@@Z"
		size = 68
		refs = "001a ??$?9V?$allocator@D@std@@V01@@std@@YA_NABU?$_Wrap_alloc@V?$allocator@D@std@@@0@0@Z 002e ?_Debug_message@std@@YAXPB_W0I@Z 003c ??_C@_1EC@KLICFBGL@?$AAc?$AAo?$AAn?$AAt?$AAa?$AAi?$AAn?$AAe?$AAr?$AAs?$AA?5?$AAi?$AAn?$AAc?$AAo?$AAm?$AAp?$AAa?$AAt?$AAi?$AAb?$AAl?$AAe?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAs?$AAw?$AAa?$AAp@ 0040 ??_C@_1FC@CNLMDHOG@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 C7 E9 02 33 79 6A 38 6A ?? ?? ?? ?? 38 70 3B 78 00 2B 05 D0 4F F4 87 62 05 49 03 48 ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_103_3 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z"
		size = 84
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 0024 ?_Debug_message@std@@YAXPB_W0I@Z 002a ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 004c ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0050 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 07 9B 9A 42 05 D2 40 F2 92 62 0B 49 0A 48 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 01 90 07 9A 01 23 02 FB 03 F2 01 9B 13 44 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_152_3 {
	meta:
		name = "?_Swap_all@_Container_base12@std@@QAAXAAU12@@Z"
		size = 88
		refs = "000e ??0_Lockit@std@@QAA@H@Z 004a ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 03 21 01 A8 ?? ?? ?? ?? 02 90 06 9B 1B 68 00 93 07 9B 06 9A 1B 68 13 60 07 9A 00 9B 13 60 06 9B 1B 68 00 2B 03 D0 06 9B 1A 68 06 9B 13 60 07 9B 1B 68 00 2B 03 D0 07 9B 1A 68 07 9B 13 60 01 A8 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_35_3 {
	meta:
		name = "??$_Copy_no_deprecate@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z"
		size = 136
		refs = "0018 ??$_Debug_range_ptr@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXPA_W0AAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 0022 ??$?0Uoutput_iterator_tag@std@@@_Any_tag@std@@QAA@$$QAUoutput_iterator_tag@1@@Z 0030 memset 0036 ??$_Unchecked@PA_W@std@@YAPA_WPA_W@Z 004e memcpy 0070 ??$_Copy_no_deprecate1@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z 0084 ??_C@_1FC@NAFHOCEF@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 40 F6 3A 13 00 93 1C 4B 0F AA 0E 99 0D 98 ?? ?? ?? ?? 04 A9 0D F1 11 00 ?? ?? ?? ?? 05 90 01 22 00 21 0D F1 12 00 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 07 90 0D 98 ?? ?? ?? ?? 08 90 05 9B 06 93 02 A8 06 99 01 22 ?? ?? ?? ?? 01 A8 0D F1 13 01 01 22 ?? ?? ?? ?? 68 46 10 A9 04 22 ?? ?? ?? ?? 0F 9B 07 9A 08 99 0C 98 ?? ?? ?? ?? 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_14_3 {
	meta:
		name = "??$_Copy_no_deprecate@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z"
		size = 136
		refs = "0018 ??$_Debug_range_ptr@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXPAD0AAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 0022 ??$?0Uoutput_iterator_tag@std@@@_Any_tag@std@@QAA@$$QAUoutput_iterator_tag@1@@Z 0030 memset 0036 ??$_Unchecked@PAD@std@@YAPADPAD@Z 004e memcpy 0070 ??$_Copy_no_deprecate1@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z 0084 ??_C@_1FC@NAFHOCEF@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 40 F6 3A 13 00 93 1C 4B 0F AA 0E 99 0D 98 ?? ?? ?? ?? 04 A9 0D F1 11 00 ?? ?? ?? ?? 05 90 01 22 00 21 0D F1 12 00 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 07 90 0D 98 ?? ?? ?? ?? 08 90 05 9B 06 93 02 A8 06 99 01 22 ?? ?? ?? ?? 01 A8 0D F1 13 01 01 22 ?? ?? ?? ?? 68 46 10 A9 04 22 ?? ?? ?? ?? 0F 9B 07 9A 08 99 0C 98 ?? ?? ?? ?? 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_36_3 {
	meta:
		name = "??$_Copy_no_deprecate@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z"
		size = 136
		refs = "0018 ??$_Debug_range_ptr@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXPA_W0AAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 0022 ??$?0Uoutput_iterator_tag@std@@@_Any_tag@std@@QAA@$$QAUoutput_iterator_tag@1@@Z 0030 memset 0036 ??$_Unchecked@PA_W@std@@YAPA_WPA_W@Z 004e memcpy 0070 ??$_Copy_no_deprecate1@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z 0084 ??_C@_1FC@NAFHOCEF@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 40 F6 3A 13 00 93 1C 4B 0F AA 0E 99 0D 98 ?? ?? ?? ?? 04 A9 0D F1 11 00 ?? ?? ?? ?? 05 90 01 22 00 21 0D F1 12 00 ?? ?? ?? ?? 0E 98 ?? ?? ?? ?? 07 90 0D 98 ?? ?? ?? ?? 08 90 05 9B 06 93 02 A8 06 99 01 22 ?? ?? ?? ?? 01 A8 0D F1 13 01 01 22 ?? ?? ?? ?? 68 46 10 A9 04 22 ?? ?? ?? ?? 0F 9B 07 9A 08 99 0C 98 ?? ?? ?? ?? 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_61_3 {
	meta:
		name = "??$_Debug_range2@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 24
		refs = "000c ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 A9 02 A8 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_47_14_3 {
	meta:
		name = "??$_Debug_range2@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 24
		refs = "000c ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 A9 02 A8 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_62_3 {
	meta:
		name = "??$_Debug_range2@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 24
		refs = "000c ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 A9 02 A8 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_69_3 {
	meta:
		name = "??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z"
		size = 50
		refs = "0010 memcpy 0024 ??$_Debug_range2@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 02 A8 04 A9 01 22 ?? ?? ?? ?? 0D 9B 01 93 0C 9B 00 93 0A 9A 0B 9B 08 98 09 99 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_47_16_3 {
	meta:
		name = "??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z"
		size = 50
		refs = "0010 memcpy 0024 ??$_Debug_range2@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 02 A8 04 A9 01 22 ?? ?? ?? ?? 0D 9B 01 93 0C 9B 00 93 0A 9A 0B 9B 08 98 09 99 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_70_3 {
	meta:
		name = "??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z"
		size = 50
		refs = "0010 memcpy 0024 ??$_Debug_range2@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 02 A8 04 A9 01 22 ?? ?? ?? ?? 0D 9B 01 93 0C 9B 00 93 0A 9A 0B 9B 08 98 09 99 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_36_71_3 {
	meta:
		name = "??$_Debug_range_ptr2@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXPA_W0AAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 76
		refs = "0016 ??$_Debug_pointer@_W@std@@YAXPA_WPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003c ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 0048 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 17 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 05 48 ?? ?? ?? ?? 06 9A 05 99 04 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_27_3 {
	meta:
		name = "??$_Debug_range_ptr2@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXPAD0AAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 76
		refs = "0016 ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003c ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 0048 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 17 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 05 48 ?? ?? ?? ?? 06 9A 05 99 04 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_72_3 {
	meta:
		name = "??$_Debug_range_ptr2@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXPA_W0AAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 76
		refs = "0016 ??$_Debug_pointer@_W@std@@YAXPA_WPB_WI@Z 0032 ?_Debug_message@std@@YAXPB_W0I@Z 003c ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 0048 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 9A 42 17 D0 06 9A 05 99 02 98 ?? ?? ?? ?? 06 9A 05 99 03 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 04 D2 06 9A 05 99 05 48 ?? ?? ?? ?? 06 9A 05 99 04 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_497_3 {
	meta:
		name = "??4_Iterator_base12@std@@QAAAAU01@ABU01@@Z"
		size = 96
		refs = "0034 ?_Adopt@_Iterator_base12@std@@QAAXPBU_Container_base12@2@@Z 003e ??0_Lockit@std@@QAA@H@Z 0046 ?_Orphan_me@_Iterator_base12@std@@QAAXXZ 004c ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 6F F0 01 03 C7 E9 04 33 BA 6A FB 6A 12 68 1B 68 9A 42 00 D1 15 E0 FB 6A 1B 68 00 2B 06 D0 FB 6A 1B 68 19 68 B8 6A ?? ?? ?? ?? 0A E0 03 21 38 46 ?? ?? ?? ?? B8 60 B8 6A ?? ?? ?? ?? 38 46 ?? ?? ?? ?? BB 6A 7B 60 78 68 07 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_36_505_3 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z"
		size = 84
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAABIXZ 0024 ?_Debug_message@std@@YAXPB_W0I@Z 002a ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ 004c ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0050 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 07 9B 9A 42 05 D2 40 F2 9F 62 0B 49 0A 48 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 01 90 07 9A 01 23 02 FB 03 F2 01 9B 13 44 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_507_3 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAABGI@Z"
		size = 84
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAABIXZ 0024 ?_Debug_message@std@@YAXPB_W0I@Z 002a ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ 004c ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0050 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 07 9B 9A 42 05 D2 40 F2 9F 62 0B 49 0A 48 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 01 90 07 9A 02 23 02 FB 03 F2 01 9B 13 44 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_509_3 {
	meta:
		name = "??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAAB_WI@Z"
		size = 84
		refs = "000c ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAABIXZ 0024 ?_Debug_message@std@@YAXPB_W0I@Z 002a ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ 004c ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0050 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 1A 68 07 9B 9A 42 05 D2 40 F2 9F 62 0B 49 0A 48 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 01 90 07 9A 02 23 02 FB 03 F2 01 9B 13 44 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_511_3 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ"
		size = 220
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ 0048 ??$_Unfancy@$$CBG@std@@YAPBGPBG@Z 007e ?_Debug_message@std@@YAXPB_W0I@Z 0092 _CrtDbgReportW 00ac _invalid_parameter 00c4 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00c8 ??_C@_1NK@KPDIHNEP@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00cc ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d4 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 00d8 ??_C@_1EG@CNCHLAOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAa?$AAb@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 06 90 06 9B 03 93 01 E0 00 23 03 93 03 9B 04 93 02 9B 00 2B 1F D0 0E 9B 08 33 1B 68 00 2B 1A D0 0E 9B 08 33 18 68 ?? ?? ?? ?? 07 90 07 9A 04 9B 9A 42 10 D3 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 04 9B 1A 44 08 9B 9A 42 1B D8 4C 22 14 49 16 48 ?? ?? ?? ?? 14 4B 01 93 12 4B 00 93 00 23 4D 22 0F 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 00 23 00 93 4D 23 09 4A 07 49 06 48 ?? ?? ?? ?? 0E 9B 08 33 1B 68 0A 93 0A 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_512_3 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ"
		size = 220
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 001e ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ 0048 ??$_Unfancy@$$CB_W@std@@YAPB_WPB_W@Z 007e ?_Debug_message@std@@YAXPB_W0I@Z 0092 _CrtDbgReportW 00ac _invalid_parameter 00c4 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00c8 ??_C@_1MM@BFHGHMKD@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00cc ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d4 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 00d8 ??_C@_1EG@CNCHLAOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAa?$AAb@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 06 90 06 9B 03 93 01 E0 00 23 03 93 03 9B 04 93 02 9B 00 2B 1F D0 0E 9B 08 33 1B 68 00 2B 1A D0 0E 9B 08 33 18 68 ?? ?? ?? ?? 07 90 07 9A 04 9B 9A 42 10 D3 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 04 9B 1A 44 08 9B 9A 42 1B D8 4C 22 14 49 16 48 ?? ?? ?? ?? 14 4B 01 93 12 4B 00 93 00 23 4D 22 0F 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 00 23 00 93 4D 23 09 4A 07 49 06 48 ?? ?? ?? ?? 0E 9B 08 33 1B 68 0A 93 0A 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_515_3 {
	meta:
		name = "??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ"
		size = 80
		refs = "0016 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0048 ??_C@_1FE@NIBPPHHA@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf@ 004c ??_C@_1FE@CDFBMMIP@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 04 9B 1B 68 00 2B 05 D1 40 F2 05 22 09 49 07 48 ?? ?? ?? ?? 04 9B 9B 1D 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_516_3 {
	meta:
		name = "??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ"
		size = 80
		refs = "0016 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0048 ??_C@_1FE@NIBPPHHA@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf@ 004c ??_C@_1FE@CDFBMMIP@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 04 9B 1B 68 00 2B 05 D1 40 F2 05 22 09 49 07 48 ?? ?? ?? ?? 04 9B 9B 1D 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_519_3 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ"
		size = 192
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0028 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ 0034 ??$_Unfancy@$$CBG@std@@YAPBGPBG@Z 0056 ?_Debug_message@std@@YAXPB_W0I@Z 006a _CrtDbgReportW 0084 _invalid_parameter 00a8 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00ac ??_C@_1NM@OFDKAKOJ@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00b0 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b8 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 00bc ??_C@_1EE@HAKOGNPH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe?$AAm?$AAe?$AAn?$AAt?$AAa?$AAb?$AAl@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 19 D0 0A 9B 08 33 1B 68 00 2B 14 D0 02 98 ?? ?? ?? ?? 04 90 0A 9B 08 33 18 68 ?? ?? ?? ?? 05 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 04 9B 1A 44 05 9B 9A 42 1B D8 6A 22 17 49 19 48 ?? ?? ?? ?? 17 4B 01 93 15 4B 00 93 00 23 6B 22 12 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 6B 23 0C 4A 0A 49 09 48 ?? ?? ?? ?? 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 0A 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_520_3 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ"
		size = 192
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0028 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ 0034 ??$_Unfancy@$$CB_W@std@@YAPB_WPB_W@Z 0056 ?_Debug_message@std@@YAXPB_W0I@Z 006a _CrtDbgReportW 0084 _invalid_parameter 00a8 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00ac ??_C@_1MO@GAPGDMNB@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00b0 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b8 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 00bc ??_C@_1EE@HAKOGNPH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe?$AAm?$AAe?$AAn?$AAt?$AAa?$AAb?$AAl@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 19 D0 0A 9B 08 33 1B 68 00 2B 14 D0 02 98 ?? ?? ?? ?? 04 90 0A 9B 08 33 18 68 ?? ?? ?? ?? 05 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 04 9B 1A 44 05 9B 9A 42 1B D8 6A 22 17 49 19 48 ?? ?? ?? ?? 17 4B 01 93 15 4B 00 93 00 23 6B 22 12 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 6B 23 0C 4A 0A 49 09 48 ?? ?? ?? ?? 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 0A 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_521_3 {
	meta:
		name = "??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ"
		size = 60
		refs = "001a ?_Debug_message@std@@YAXPB_W0I@Z 0020 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 0034 ??_C@_1FC@CLFDMKBM@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe@ 0038 ??_C@_1FE@CDFBMMIP@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 05 D1 4F F4 05 72 08 49 06 48 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_142_3 {
	meta:
		name = "??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ"
		size = 60
		refs = "001a ?_Debug_message@std@@YAXPB_W0I@Z 0020 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 0034 ??_C@_1FC@CLFDMKBM@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe@ 0038 ??_C@_1FE@CDFBMMIP@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 05 D1 4F F4 05 72 08 49 06 48 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_522_3 {
	meta:
		name = "??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ"
		size = 60
		refs = "001a ?_Debug_message@std@@YAXPB_W0I@Z 0020 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 0034 ??_C@_1FC@CLFDMKBM@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe@ 0038 ??_C@_1FE@CDFBMMIP@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 05 D1 4F F4 05 72 08 49 06 48 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_539_3 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 268
		refs = "0012 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ 004e ??$_Unfancy@$$CBG@std@@YAPBGPBG@Z 0098 ?_Debug_message@std@@YAXPB_W0I@Z 00ac _CrtDbgReportW 00c6 _invalid_parameter 00f4 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00f8 ??_C@_1NM@JAEIACKK@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00fc ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 0108 ??_C@_1EM@MEFKBKGF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AA?$CL?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 5C D0 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 06 90 06 9B 03 93 01 E0 00 23 03 93 03 9B 04 93 02 9B 00 2B 29 D0 0E 9B 08 33 1B 68 00 2B 24 D0 0E 9B 08 33 18 68 ?? ?? ?? ?? 07 90 0F 9A 02 23 02 FB 03 F2 07 9B 1A 44 04 9B 9A 42 15 D3 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 04 9B 99 18 0F 9A 02 23 02 FB 03 F2 08 9B 13 44 99 42 1B D2 AA 22 19 49 1C 48 ?? ?? ?? ?? 19 4B 01 93 17 4B 00 93 00 23 AB 22 14 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 00 23 00 93 AB 23 0E 4A 0D 49 0B 48 ?? ?? ?? ?? 0E 9B 03 F1 08 01 0F 9A 02 23 02 FB 03 F2 0B 68 1A 44 0E 9B 08 33 1A 60 0E 9B 0A 93 0A 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_540_3 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 268
		refs = "0012 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ 004e ??$_Unfancy@$$CB_W@std@@YAPB_WPB_W@Z 0098 ?_Debug_message@std@@YAXPB_W0I@Z 00ac _CrtDbgReportW 00c6 _invalid_parameter 00f4 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00f8 ??_C@_1MO@BFIEDEJC@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00fc ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 0108 ??_C@_1EM@MEFKBKGF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AA?$CL?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 5C D0 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 06 90 06 9B 03 93 01 E0 00 23 03 93 03 9B 04 93 02 9B 00 2B 29 D0 0E 9B 08 33 1B 68 00 2B 24 D0 0E 9B 08 33 18 68 ?? ?? ?? ?? 07 90 0F 9A 02 23 02 FB 03 F2 07 9B 1A 44 04 9B 9A 42 15 D3 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 02 9B 14 33 1A 68 02 23 02 FB 03 F2 04 9B 99 18 0F 9A 02 23 02 FB 03 F2 08 9B 13 44 99 42 1B D2 AA 22 19 49 1C 48 ?? ?? ?? ?? 19 4B 01 93 17 4B 00 93 00 23 AB 22 14 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 00 23 00 93 AB 23 0E 4A 0D 49 0B 48 ?? ?? ?? ?? 0E 9B 03 F1 08 01 0F 9A 02 23 02 FB 03 F2 0B 68 1A 44 0E 9B 08 33 1A 60 0E 9B 0A 93 0A 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_637_3 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAXABV12@@Z"
		size = 132
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0040 _CrtDbgReportW 005c _invalid_parameter 006c ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0070 ??_C@_1NE@FAMHLCMB@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0074 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1FO@GJIHNDLM@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5@ 0080 ??_C@_1DM@KDEKGMPF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AAs?$AA?5?$AAi?$AAn?$AAc?$AAo?$AAm?$AAp?$AAa?$AAt?$AAi?$AAb?$AAl?$AAe?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 98 ?? ?? ?? ?? 03 90 02 9A 03 9B 9A 42 1E D0 4F F4 80 72 13 49 15 48 ?? ?? ?? ?? 13 4B 01 93 11 4B 00 93 00 23 40 F2 01 12 0D 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 01 13 07 4A 05 49 04 48 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_290_3 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAXABV12@@Z"
		size = 132
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0040 _CrtDbgReportW 005c _invalid_parameter 006c ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0070 ??_C@_1MA@BDELDFHB@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0074 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1FO@GJIHNDLM@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5@ 0080 ??_C@_1DM@KDEKGMPF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AAs?$AA?5?$AAi?$AAn?$AAc?$AAo?$AAm?$AAp?$AAa?$AAt?$AAi?$AAb?$AAl?$AAe?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 98 ?? ?? ?? ?? 03 90 02 9A 03 9B 9A 42 1E D0 4F F4 80 72 13 49 15 48 ?? ?? ?? ?? 13 4B 01 93 11 4B 00 93 00 23 40 F2 01 12 0D 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 01 13 07 4A 05 49 04 48 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_638_3 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAXABV12@@Z"
		size = 132
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0040 _CrtDbgReportW 005c _invalid_parameter 006c ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0070 ??_C@_1MG@CLNEOJNJ@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 0074 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1FO@GJIHNDLM@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5@ 0080 ??_C@_1DM@KDEKGMPF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AAs?$AA?5?$AAi?$AAn?$AAc?$AAo?$AAm?$AAp?$AAa?$AAt?$AAi?$AAb?$AAl?$AAe?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 09 98 ?? ?? ?? ?? 03 90 02 9A 03 9B 9A 42 1E D0 4F F4 80 72 13 49 15 48 ?? ?? ?? ?? 13 4B 01 93 11 4B 00 93 00 23 40 F2 01 12 0D 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 00 93 40 F2 01 13 07 4A 05 49 04 48 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_670_3 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z"
		size = 1244
		refs = "000a __security_push_cookie 0028 ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 005e ?flags@ios_base@std@@QBAHXZ 00dc strcspn 00f2 memcpy 00f6 localeconv 0124 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0130 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 013e ??1locale@std@@QAA@XZ 014c ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 015a ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0178 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 0190 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 01a8 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01b2 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 01c8 ?decimal_point@?$numpunct@G@std@@QBAGXZ 01fe ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0242 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 025e ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 026e ?width@ios_base@std@@QBA_JXZ 0320 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0362 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 0480 ?width@ios_base@std@@QAA_J_J@Z 04a6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04ae ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 04c0 __security_pop_cookie 04cc ??_C@_01LFCBOECM@?4?$AA@ 04d0 ??_C@_02OOPEBDOJ@pP?$AA@ 04d4 ??_C@_02MDKMJEGG@eE?$AA@ 04d8 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 40 F2 86 52 DF F8 B4 14 17 F5 BC 70 ?? ?? ?? ?? D7 F8 8C 31 00 2B 0E D9 D7 F8 88 31 93 F9 00 30 2B 2B 05 D0 D7 F8 88 31 93 F9 00 30 2D 2B 02 D1 01 23 BB 62 01 E0 00 23 BB 62 BB 6A 3B 60 D7 F8 80 01 ?? ?? ?? ?? B8 63 BB 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 60 34 FB 62 2E E0 DF F8 54 34 FB 62 3B 68 9A 1C D7 F8 8C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 F9 6A D7 F8 88 01 ?? ?? ?? ?? F8 63 FB 6B 3B 67 17 F1 08 03 3B 64 38 6C F7 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 78 64 7B 6C 1B 68 17 F1 08 02 93 F9 00 30 13 70 17 F1 08 01 D7 F8 88 01 ?? ?? ?? ?? B8 64 BB 6C 3B 61 17 F1 D8 01 D7 F8 80 01 ?? ?? ?? ?? F8 64 FB 6C 3B 65 38 6D ?? ?? ?? ?? 78 65 7B 6D FB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 8C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? B8 65 BB 6D D7 F8 8C 11 01 22 01 FB 02 F1 D7 F8 88 21 0A 44 D7 F8 88 11 F8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 80 01 ?? ?? ?? ?? 38 66 3B 6E 7B 66 78 6E ?? ?? ?? ?? B8 66 BB 6E 3B 62 17 F1 E0 00 ?? ?? ?? ?? 17 F5 A0 71 38 6A ?? ?? ?? ?? C7 F8 D4 00 38 6A ?? ?? ?? ?? 38 83 3B 8B BB 83 3A 69 D7 F8 8C 31 9A 42 0C D0 38 6A ?? ?? ?? ?? 78 83 39 69 17 F5 90 70 ?? ?? ?? ?? F8 66 7A 8B FB 6E 1A 80 3A 69 D7 F8 8C 31 9A 42 02 D1 3B 6F 3B 63 01 E0 3B 69 3B 63 3B 6B 7B 61 00 21 17 F5 A0 70 ?? ?? ?? ?? 78 67 7B 6F 7B 60 7B 68 93 F9 00 30 7F 2B 23 D0 7B 68 93 F9 00 30 00 2B 1E DD 7B 68 93 F9 00 10 7A 69 3B 68 D3 1A 99 42 16 D2 7B 68 93 F9 00 20 7B 69 9B 1A 7B 61 BB 8B 01 22 79 69 17 F5 90 70 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D6 E7 17 F5 90 70 ?? ?? ?? ?? B8 67 BB 6F C7 F8 8C 31 D7 F8 80 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 FB 67 D7 F8 BC 30 00 2B 20 DB 02 DC FB 6F 00 2B 1C D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 8C 31 9A 42 0E D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 8C 31 D3 1A 7B 63 01 E0 00 23 7B 63 7B 6B FB 60 D7 F8 80 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 03 F4 E0 73 7B 62 7B 6A 40 2B 3D D0 7B 6A B3 F5 80 7F 39 D0 FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F0 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 88 00 3B 68 01 93 D7 F8 88 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F8 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 5C E0 7B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 90 00 3B 68 01 93 D7 F8 90 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 80 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 BC 70 08 22 ?? ?? ?? ?? FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 84 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 9C 00 3B 68 01 93 D7 F8 9C 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 88 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 8C 21 3B 68 D3 1A 01 93 D7 F8 A4 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 8C 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 80 01 ?? ?? ?? ?? FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 17 F5 A0 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 74 31 C7 F8 AC 30 D7 F8 AC 00 5A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_675_3 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z"
		size = 1244
		refs = "000a __security_push_cookie 0028 ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 005e ?flags@ios_base@std@@QBAHXZ 00dc strcspn 00f2 memcpy 00f6 localeconv 0124 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0130 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 013e ??1locale@std@@QAA@XZ 014c ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 015a ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0178 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 0190 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 01a8 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01b2 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 01c8 ?decimal_point@?$numpunct@_W@std@@QBA_WXZ 01fe ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0242 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 025e ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 026e ?width@ios_base@std@@QBA_JXZ 0320 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0362 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 0480 ?width@ios_base@std@@QAA_J_J@Z 04a6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04ae ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 04c0 __security_pop_cookie 04cc ??_C@_01LFCBOECM@?4?$AA@ 04d0 ??_C@_02OOPEBDOJ@pP?$AA@ 04d4 ??_C@_02MDKMJEGG@eE?$AA@ 04d8 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 40 F2 86 52 DF F8 B4 14 17 F5 BC 70 ?? ?? ?? ?? D7 F8 8C 31 00 2B 0E D9 D7 F8 88 31 93 F9 00 30 2B 2B 05 D0 D7 F8 88 31 93 F9 00 30 2D 2B 02 D1 01 23 BB 62 01 E0 00 23 BB 62 BB 6A 3B 60 D7 F8 80 01 ?? ?? ?? ?? B8 63 BB 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 60 34 FB 62 2E E0 DF F8 54 34 FB 62 3B 68 9A 1C D7 F8 8C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 F9 6A D7 F8 88 01 ?? ?? ?? ?? F8 63 FB 6B 3B 67 17 F1 08 03 3B 64 38 6C F7 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 78 64 7B 6C 1B 68 17 F1 08 02 93 F9 00 30 13 70 17 F1 08 01 D7 F8 88 01 ?? ?? ?? ?? B8 64 BB 6C 3B 61 17 F1 D8 01 D7 F8 80 01 ?? ?? ?? ?? F8 64 FB 6C 3B 65 38 6D ?? ?? ?? ?? 78 65 7B 6D FB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 8C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? B8 65 BB 6D D7 F8 8C 11 01 22 01 FB 02 F1 D7 F8 88 21 0A 44 D7 F8 88 11 F8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 80 01 ?? ?? ?? ?? 38 66 3B 6E 7B 66 78 6E ?? ?? ?? ?? B8 66 BB 6E 3B 62 17 F1 E0 00 ?? ?? ?? ?? 17 F5 A0 71 38 6A ?? ?? ?? ?? C7 F8 D4 00 38 6A ?? ?? ?? ?? 38 83 3B 8B BB 83 3A 69 D7 F8 8C 31 9A 42 0C D0 38 6A ?? ?? ?? ?? 78 83 39 69 17 F5 90 70 ?? ?? ?? ?? F8 66 7A 8B FB 6E 1A 80 3A 69 D7 F8 8C 31 9A 42 02 D1 3B 6F 3B 63 01 E0 3B 69 3B 63 3B 6B 7B 61 00 21 17 F5 A0 70 ?? ?? ?? ?? 78 67 7B 6F 7B 60 7B 68 93 F9 00 30 7F 2B 23 D0 7B 68 93 F9 00 30 00 2B 1E DD 7B 68 93 F9 00 10 7A 69 3B 68 D3 1A 99 42 16 D2 7B 68 93 F9 00 20 7B 69 9B 1A 7B 61 BB 8B 01 22 79 69 17 F5 90 70 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D6 E7 17 F5 90 70 ?? ?? ?? ?? B8 67 BB 6F C7 F8 8C 31 D7 F8 80 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 FB 67 D7 F8 BC 30 00 2B 20 DB 02 DC FB 6F 00 2B 1C D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 8C 31 9A 42 0E D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 8C 31 D3 1A 7B 63 01 E0 00 23 7B 63 7B 6B FB 60 D7 F8 80 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 03 F4 E0 73 7B 62 7B 6A 40 2B 3D D0 7B 6A B3 F5 80 7F 39 D0 FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F0 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 88 00 3B 68 01 93 D7 F8 88 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F8 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 5C E0 7B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 90 00 3B 68 01 93 D7 F8 90 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 80 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 BC 70 08 22 ?? ?? ?? ?? FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 84 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 9C 00 3B 68 01 93 D7 F8 9C 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 88 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 8C 21 3B 68 D3 1A 01 93 D7 F8 A4 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 8C 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 80 01 ?? ?? ?? ?? FB 68 01 93 B7 F8 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 17 F5 A0 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 74 31 C7 F8 AC 30 D7 F8 AC 00 5A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_828_3 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z"
		size = 3220
		refs = "000a __security_push_cookie 004e ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0076 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0088 ??1locale@std@@QAA@XZ 00aa ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 00cc ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00da ?neg_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 00e2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0106 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0130 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 019e ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01aa ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 01b6 ?flags@ios_base@std@@QBAHXZ 01d0 ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01e4 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 01f0 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 020c ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@I@Z 021c ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 0234 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 027c ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0294 ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z 029c ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 02a6 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ 02ae ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 02d2 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 02f2 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z 0312 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ 0398 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 03a0 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 03d2 ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0422 ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 04b4 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 04c8 ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0662 ?frac_digits@?$_Mpunct@G@std@@QBAHXZ 0676 ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0682 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 069c ?thousands_sep@?$_Mpunct@G@std@@QBAGXZ 06c0 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 070c ??$_Find_elem@G@std@@YAIPAGG@Z 0736 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0746 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 07bc ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0838 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0914 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 092c ?decimal_point@?$_Mpunct@G@std@@QBAGXZ 0a80 ?is@?$ctype@G@std@@QBA_NFG@Z 0c2e ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 0c44 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0c50 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0c80 __security_pop_cookie 0c8c ?_Src@?1??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAAVios_base@3@PAG@Z@4QBDB 0c90 ??_C@_1FA@FFGPJJDL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 80 6D 6F 46 82 B0 6F F0 01 03 C7 E9 96 33 00 23 7B 60 40 F2 CF 13 01 93 DF F8 64 3C 00 93 D7 F8 1C 34 C7 F8 8C 31 D7 F8 8C 31 1A 68 5B 68 D7 F8 18 14 C7 F8 9C 10 D7 F8 9C 10 08 68 49 68 ?? ?? ?? ?? 97 F8 20 34 00 2B 19 D0 17 F5 EC 71 D7 F8 24 04 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 C7 F8 A4 30 D7 F8 A4 00 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 3B 61 17 F5 EC 70 ?? ?? ?? ?? 18 E0 17 F5 F0 71 D7 F8 24 04 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 C7 F8 B0 30 D7 F8 B0 00 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 3B 61 17 F5 F0 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 30 70 ?? ?? ?? ?? C7 F8 F0 01 17 F1 88 01 38 69 ?? ?? ?? ?? 17 F5 28 70 ?? ?? ?? ?? C7 F8 F4 01 17 F5 F4 71 D7 F8 24 04 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 C7 F8 BC 30 D7 F8 BC 00 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 C7 F8 84 30 17 F5 F4 70 ?? ?? ?? ?? D7 F8 28 34 DF F8 68 2B 0C 32 DF F8 60 1B D7 F8 84 00 ?? ?? ?? ?? 00 23 BB 63 02 E0 BB 6B 5B 1C BB 63 3B 78 00 2B 40 F0 B9 84 BB 6B 04 2B 80 F0 B5 84 BA 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 FB 63 FB 6B 2B 2B 0C DC FB 6B 2B 2B 00 F0 22 81 FB 6B 20 2B 00 F0 61 84 FB 6B 24 2B 0B D0 00 F0 99 BC FB 6B 76 2B 00 F0 68 82 FB 6B 78 2B 00 F0 54 84 00 F0 8F BC 17 F5 18 71 38 69 ?? ?? ?? ?? C7 F8 BC 01 17 F1 90 00 ?? ?? ?? ?? C7 F8 C0 01 D7 F8 24 04 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 13 F0 08 0F 24 D1 D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 2F 00 97 F8 2F 30 00 2B 18 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 56 00 17 F5 18 70 ?? ?? ?? ?? C7 F8 C8 00 B7 F8 56 20 D7 F8 C8 30 1B 88 9A 42 05 D0 00 21 17 F5 18 70 ?? ?? ?? ?? 30 E0 BB 6B 03 2B 2D D1 17 F5 30 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 01 2B 23 D8 D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 12 D1 D7 F8 18 04 ?? ?? ?? ?? A7 F8 58 00 17 F5 18 70 ?? ?? ?? ?? C7 F8 D0 00 B7 F8 58 20 D7 F8 D0 30 1B 88 9A 42 04 D0 00 21 17 F5 18 70 ?? ?? ?? ?? 17 F5 FC 71 17 F5 18 70 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 30 C7 F8 D8 30 D7 F8 D8 10 17 F1 90 00 ?? ?? ?? ?? 17 F5 FC 70 ?? ?? ?? ?? 07 E0 17 F1 90 00 ?? ?? ?? ?? D7 F8 18 04 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 31 00 97 F8 31 30 00 2B 31 D0 17 F5 02 71 17 F5 18 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 C7 F8 E0 30 7B 68 43 F0 01 03 7B 60 D7 F8 E0 10 17 F1 90 00 ?? ?? ?? ?? 87 F8 32 00 97 F8 32 30 00 2B 15 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 5A 00 17 F1 90 00 ?? ?? ?? ?? C7 F8 E4 00 B7 F8 5A 20 D7 F8 E4 30 1B 88 9A 42 02 D1 01 23 FB 66 01 E0 00 23 FB 66 FB 6E DB B2 3B 77 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 02 70 ?? ?? ?? ?? 3B 7F 00 2B 00 D0 A4 E7 17 F5 06 71 17 F5 18 70 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 D7 F8 EC 10 17 F1 90 00 ?? ?? ?? ?? 78 77 7B 7F BB 77 17 F5 06 70 ?? ?? ?? ?? BB 7F 00 2B 01 D0 01 23 3B 70 17 F1 90 00 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? 87 E3 17 F1 90 00 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? F8 77 FB 7F 00 2B 00 D0 46 E1 17 F5 48 71 38 69 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 30 C7 F8 F4 30 7B 68 43 F0 02 03 7B 60 D7 F8 F4 00 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 00 2B 25 D9 17 F5 40 71 38 69 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 30 C7 F8 00 31 7B 68 43 F0 04 03 7B 60 00 21 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 18 04 ?? ?? ?? ?? A7 F8 5C 00 D7 F8 04 31 1A 88 B7 F8 5C 30 9A 42 02 D1 01 23 3B 67 01 E0 00 23 3B 67 3B 6F DB B2 87 F8 20 30 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 40 70 ?? ?? ?? ?? 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 48 70 ?? ?? ?? ?? 97 F8 20 30 00 2B 19 D0 D7 F8 18 04 ?? ?? ?? ?? 17 F5 50 71 38 69 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 C7 F8 0C 31 D7 F8 0C 11 17 F5 30 70 ?? ?? ?? ?? 17 F5 50 70 ?? ?? ?? ?? CB E0 17 F5 60 71 38 69 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 31 C7 F8 14 31 7B 68 43 F0 08 03 7B 60 D7 F8 14 01 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 00 2B 25 D9 17 F5 58 71 38 69 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 31 C7 F8 20 31 7B 68 43 F0 10 03 7B 60 00 21 D7 F8 20 01 ?? ?? ?? ?? C7 F8 24 01 D7 F8 18 04 ?? ?? ?? ?? A7 F8 5E 00 D7 F8 24 31 1A 88 B7 F8 5E 30 9A 42 02 D1 01 23 7B 67 01 E0 00 23 7B 67 7B 6F DB B2 87 F8 21 30 7B 68 13 F0 10 0F 07 D0 7B 68 23 F0 10 03 7B 60 17 F5 58 70 ?? ?? ?? ?? 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 60 70 ?? ?? ?? ?? 97 F8 21 30 00 2B 1B D0 D7 F8 18 04 ?? ?? ?? ?? 17 F5 68 71 38 69 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 31 C7 F8 2C 31 D7 F8 2C 11 17 F5 30 70 ?? ?? ?? ?? 17 F5 68 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 70 71 38 69 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 C7 F8 34 31 D7 F8 34 01 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 00 2B 02 D1 01 23 BB 67 01 E0 00 23 BB 67 BB 6F DB B2 87 F8 22 30 17 F5 70 70 ?? ?? ?? ?? 97 F8 22 30 00 2B 00 D0 27 E0 17 F5 78 71 38 69 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 C7 F8 40 31 D7 F8 40 01 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 31 00 2B 02 D1 01 23 FB 67 01 E0 00 23 FB 67 FB 6F DB B2 87 F8 23 30 17 F5 78 70 ?? ?? ?? ?? 97 F8 23 30 00 2B 01 D0 01 23 3B 73 2C E2 00 23 7B 63 38 69 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 BB 66 17 F5 38 71 38 69 ?? ?? ?? ?? C7 F8 C4 01 17 F5 38 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 00 2B 03 D1 00 23 A7 F8 44 30 08 E0 38 69 ?? ?? ?? ?? A7 F8 60 00 B7 F8 60 30 A7 F8 44 30 B7 F8 44 30 A7 F8 46 30 B7 F8 46 30 00 2B 0C D0 17 F5 38 70 ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 18 04 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 21 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 62 00 B7 F8 62 10 D7 F8 28 04 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 60 35 13 44 93 F9 00 10 17 F5 28 70 ?? ?? ?? ?? CD E7 F5 E0 00 22 01 21 17 F5 20 70 ?? ?? ?? ?? C7 F8 C8 01 00 23 BB 60 03 E0 D7 F8 18 04 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 67 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 64 00 B7 F8 64 10 D7 F8 28 04 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 BB 61 BB 69 0A 2B 2E D2 BA 69 01 23 02 FB 03 F2 DF F8 E4 34 13 44 93 F9 00 10 17 F5 28 70 ?? ?? ?? ?? B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 5C 31 93 F9 00 30 7F 2B 13 D0 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 31 C7 F8 80 30 D7 F8 80 30 93 F9 00 30 5B 1C 5A B2 D7 F8 80 30 1A 70 23 E0 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 31 93 F9 00 30 00 2B 0B D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 B7 F8 46 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 20 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 87 E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 38 70 ?? ?? ?? ?? C7 F8 6C 01 D7 F8 6C 31 3B 64 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 3B 6C 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 70 01 3B 6C 93 F9 00 20 D7 F8 70 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 74 01 3B 6C 93 F9 00 20 D7 F8 74 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 3B 6C 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6C 5B 1C 3B 64 BC E7 3B 78 00 2B 08 D0 17 F5 20 70 ?? ?? ?? ?? 17 F5 38 70 ?? ?? ?? ?? C9 E0 17 F5 20 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 30 A7 F8 48 30 D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 4F D0 B7 F8 48 30 00 2B 4B D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 20 B7 F8 48 30 9A 42 3F D1 D7 F8 18 04 ?? ?? ?? ?? C7 F8 78 01 D7 F8 1C 14 D7 F8 78 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 27 D0 7A 6B BB 6E 9A 42 23 DA D7 F8 18 04 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 10 D7 F8 28 04 ?? ?? ?? ?? C7 F8 7C 01 D7 F8 7C 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 AE 4B 13 44 93 F9 00 10 17 F5 28 70 ?? ?? ?? ?? 7B 6B 5B 1C 7B 63 C5 E7 7A 6B BB 6E 9A 42 01 DA 01 23 3B 70 17 F5 28 70 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 7B 6B 5B 1C 7B 63 7A 6B BB 6E 9A 42 05 DA 30 21 17 F5 28 70 ?? ?? ?? ?? F2 E7 17 F5 38 70 ?? ?? ?? ?? 40 E0 17 F5 38 70 ?? ?? ?? ?? BB 6B 03 2B 00 D1 38 E0 00 23 3B 75 03 E0 D7 F8 18 04 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 15 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 20 48 21 D7 F8 84 00 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 02 D0 01 23 3B 75 D9 E7 BA 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 20 2B 04 D1 3B 7D 00 2B 01 D1 01 23 3B 70 FF F7 40 BB 3B 78 00 2B 40 F0 B0 80 17 F5 30 70 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 01 2B 40 F2 A5 80 17 F5 D8 70 ?? ?? ?? ?? C7 F8 CC 01 17 F5 0A 71 17 F5 30 70 ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 31 C7 F8 AC 31 D7 F8 AC 11 17 F5 D8 70 ?? ?? ?? ?? 17 F5 0A 70 ?? ?? ?? ?? 03 E0 D7 F8 18 04 ?? ?? ?? ?? 17 F5 0E 71 17 F5 30 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 31 C7 F8 94 31 7B 68 43 F0 20 03 7B 60 17 F5 D8 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 94 11 D7 F8 98 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 22 D0 D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 16 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 54 00 17 F5 D8 70 ?? ?? ?? ?? C7 F8 9C 01 B7 F8 54 20 D7 F8 9C 31 1B 88 9A 42 03 D1 01 23 C7 F8 8C 30 02 E0 00 23 C7 F8 8C 30 D7 F8 8C 30 DB B2 87 F8 2C 30 7B 68 13 F0 20 0F 07 D0 7B 68 23 F0 20 03 7B 60 17 F5 0E 70 ?? ?? ?? ?? 97 F8 2C 30 00 2B 00 D0 9D E7 17 F5 12 71 17 F5 30 70 ?? ?? ?? ?? C7 F8 A0 01 D7 F8 A0 31 C7 F8 A4 31 D7 F8 A4 11 17 F5 D8 70 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 87 F8 2E 30 17 F5 12 70 ?? ?? ?? ?? 97 F8 2E 30 00 2B 01 D0 01 23 3B 70 17 F5 D8 70 ?? ?? ?? ?? 3B 78 00 2B 05 D0 00 21 17 F5 28 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 28 70 ?? ?? ?? ?? 17 F5 28 71 D7 F8 14 04 ?? ?? ?? ?? C7 F8 D0 01 7B 68 43 F0 40 03 7B 60 17 F5 28 70 ?? ?? ?? ?? 17 F5 30 70 ?? ?? ?? ?? D7 F8 14 34 C7 F8 A8 31 D7 F8 A8 01 0D F5 81 6D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_849_3 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z"
		size = 3220
		refs = "000a __security_push_cookie 004e ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0076 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0088 ??1locale@std@@QAA@XZ 00aa ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 00cc ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00da ?neg_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 00e2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0106 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0130 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 019e ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01aa ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 01b6 ?flags@ios_base@std@@QBAHXZ 01d0 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01e4 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 01f0 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 020c ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I@Z 021c ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 0234 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 027c ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0294 ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z 029c ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 02a6 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ 02ae ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 02d2 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 02f2 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z 0312 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ 0398 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 03a0 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 03d2 ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0422 ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 04b4 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 04c8 ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0662 ?frac_digits@?$_Mpunct@_W@std@@QBAHXZ 0676 ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0682 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 069c ?thousands_sep@?$_Mpunct@_W@std@@QBA_WXZ 06c0 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 070c ??$_Find_elem@_W@std@@YAIPA_W_W@Z 0736 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0746 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 07bc ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0838 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0914 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 092c ?decimal_point@?$_Mpunct@_W@std@@QBA_WXZ 0a80 ?is@?$ctype@_W@std@@QBA_NF_W@Z 0c2e ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 0c44 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0c50 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0c80 __security_pop_cookie 0c8c ?_Src@?1??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAAVios_base@3@PA_W@Z@4QBDB 0c90 ??_C@_1FA@FFGPJJDL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 80 6D 6F 46 82 B0 6F F0 01 03 C7 E9 96 33 00 23 7B 60 40 F2 CF 13 01 93 DF F8 64 3C 00 93 D7 F8 1C 34 C7 F8 8C 31 D7 F8 8C 31 1A 68 5B 68 D7 F8 18 14 C7 F8 9C 10 D7 F8 9C 10 08 68 49 68 ?? ?? ?? ?? 97 F8 20 34 00 2B 19 D0 17 F5 EC 71 D7 F8 24 04 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 C7 F8 A4 30 D7 F8 A4 00 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 3B 61 17 F5 EC 70 ?? ?? ?? ?? 18 E0 17 F5 F0 71 D7 F8 24 04 ?? ?? ?? ?? C7 F8 AC 00 D7 F8 AC 30 C7 F8 B0 30 D7 F8 B0 00 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 3B 61 17 F5 F0 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 30 70 ?? ?? ?? ?? C7 F8 F0 01 17 F1 88 01 38 69 ?? ?? ?? ?? 17 F5 28 70 ?? ?? ?? ?? C7 F8 F4 01 17 F5 F4 71 D7 F8 24 04 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 C7 F8 BC 30 D7 F8 BC 00 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 C7 F8 84 30 17 F5 F4 70 ?? ?? ?? ?? D7 F8 28 34 DF F8 68 2B 0C 32 DF F8 60 1B D7 F8 84 00 ?? ?? ?? ?? 00 23 BB 63 02 E0 BB 6B 5B 1C BB 63 3B 78 00 2B 40 F0 B9 84 BB 6B 04 2B 80 F0 B5 84 BA 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 FB 63 FB 6B 2B 2B 0C DC FB 6B 2B 2B 00 F0 22 81 FB 6B 20 2B 00 F0 61 84 FB 6B 24 2B 0B D0 00 F0 99 BC FB 6B 76 2B 00 F0 68 82 FB 6B 78 2B 00 F0 54 84 00 F0 8F BC 17 F5 18 71 38 69 ?? ?? ?? ?? C7 F8 BC 01 17 F1 90 00 ?? ?? ?? ?? C7 F8 C0 01 D7 F8 24 04 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 13 F0 08 0F 24 D1 D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 2F 00 97 F8 2F 30 00 2B 18 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 56 00 17 F5 18 70 ?? ?? ?? ?? C7 F8 C8 00 B7 F8 56 20 D7 F8 C8 30 1B 88 9A 42 05 D0 00 21 17 F5 18 70 ?? ?? ?? ?? 30 E0 BB 6B 03 2B 2D D1 17 F5 30 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 01 2B 23 D8 D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 12 D1 D7 F8 18 04 ?? ?? ?? ?? A7 F8 58 00 17 F5 18 70 ?? ?? ?? ?? C7 F8 D0 00 B7 F8 58 20 D7 F8 D0 30 1B 88 9A 42 04 D0 00 21 17 F5 18 70 ?? ?? ?? ?? 17 F5 FC 71 17 F5 18 70 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 30 C7 F8 D8 30 D7 F8 D8 10 17 F1 90 00 ?? ?? ?? ?? 17 F5 FC 70 ?? ?? ?? ?? 07 E0 17 F1 90 00 ?? ?? ?? ?? D7 F8 18 04 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 31 00 97 F8 31 30 00 2B 31 D0 17 F5 02 71 17 F5 18 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 C7 F8 E0 30 7B 68 43 F0 01 03 7B 60 D7 F8 E0 10 17 F1 90 00 ?? ?? ?? ?? 87 F8 32 00 97 F8 32 30 00 2B 15 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 5A 00 17 F1 90 00 ?? ?? ?? ?? C7 F8 E4 00 B7 F8 5A 20 D7 F8 E4 30 1B 88 9A 42 02 D1 01 23 FB 66 01 E0 00 23 FB 66 FB 6E DB B2 3B 77 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 02 70 ?? ?? ?? ?? 3B 7F 00 2B 00 D0 A4 E7 17 F5 06 71 17 F5 18 70 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 D7 F8 EC 10 17 F1 90 00 ?? ?? ?? ?? 78 77 7B 7F BB 77 17 F5 06 70 ?? ?? ?? ?? BB 7F 00 2B 01 D0 01 23 3B 70 17 F1 90 00 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? 87 E3 17 F1 90 00 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? F8 77 FB 7F 00 2B 00 D0 46 E1 17 F5 48 71 38 69 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 30 C7 F8 F4 30 7B 68 43 F0 02 03 7B 60 D7 F8 F4 00 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 00 2B 25 D9 17 F5 40 71 38 69 ?? ?? ?? ?? C7 F8 FC 00 D7 F8 FC 30 C7 F8 00 31 7B 68 43 F0 04 03 7B 60 00 21 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 18 04 ?? ?? ?? ?? A7 F8 5C 00 D7 F8 04 31 1A 88 B7 F8 5C 30 9A 42 02 D1 01 23 3B 67 01 E0 00 23 3B 67 3B 6F DB B2 87 F8 20 30 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 40 70 ?? ?? ?? ?? 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 48 70 ?? ?? ?? ?? 97 F8 20 30 00 2B 19 D0 D7 F8 18 04 ?? ?? ?? ?? 17 F5 50 71 38 69 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 C7 F8 0C 31 D7 F8 0C 11 17 F5 30 70 ?? ?? ?? ?? 17 F5 50 70 ?? ?? ?? ?? CB E0 17 F5 60 71 38 69 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 31 C7 F8 14 31 7B 68 43 F0 08 03 7B 60 D7 F8 14 01 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 00 2B 25 D9 17 F5 58 71 38 69 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 31 C7 F8 20 31 7B 68 43 F0 10 03 7B 60 00 21 D7 F8 20 01 ?? ?? ?? ?? C7 F8 24 01 D7 F8 18 04 ?? ?? ?? ?? A7 F8 5E 00 D7 F8 24 31 1A 88 B7 F8 5E 30 9A 42 02 D1 01 23 7B 67 01 E0 00 23 7B 67 7B 6F DB B2 87 F8 21 30 7B 68 13 F0 10 0F 07 D0 7B 68 23 F0 10 03 7B 60 17 F5 58 70 ?? ?? ?? ?? 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 60 70 ?? ?? ?? ?? 97 F8 21 30 00 2B 1B D0 D7 F8 18 04 ?? ?? ?? ?? 17 F5 68 71 38 69 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 31 C7 F8 2C 31 D7 F8 2C 11 17 F5 30 70 ?? ?? ?? ?? 17 F5 68 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 70 71 38 69 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 C7 F8 34 31 D7 F8 34 01 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 00 2B 02 D1 01 23 BB 67 01 E0 00 23 BB 67 BB 6F DB B2 87 F8 22 30 17 F5 70 70 ?? ?? ?? ?? 97 F8 22 30 00 2B 00 D0 27 E0 17 F5 78 71 38 69 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 C7 F8 40 31 D7 F8 40 01 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 31 00 2B 02 D1 01 23 FB 67 01 E0 00 23 FB 67 FB 6F DB B2 87 F8 23 30 17 F5 78 70 ?? ?? ?? ?? 97 F8 23 30 00 2B 01 D0 01 23 3B 73 2C E2 00 23 7B 63 38 69 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 BB 66 17 F5 38 71 38 69 ?? ?? ?? ?? C7 F8 C4 01 17 F5 38 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 00 2B 03 D1 00 23 A7 F8 44 30 08 E0 38 69 ?? ?? ?? ?? A7 F8 60 00 B7 F8 60 30 A7 F8 44 30 B7 F8 44 30 A7 F8 46 30 B7 F8 46 30 00 2B 0C D0 17 F5 38 70 ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 18 04 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 21 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 62 00 B7 F8 62 10 D7 F8 28 04 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 60 35 13 44 93 F9 00 10 17 F5 28 70 ?? ?? ?? ?? CD E7 F5 E0 00 22 01 21 17 F5 20 70 ?? ?? ?? ?? C7 F8 C8 01 00 23 BB 60 03 E0 D7 F8 18 04 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 67 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 64 00 B7 F8 64 10 D7 F8 28 04 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 BB 61 BB 69 0A 2B 2E D2 BA 69 01 23 02 FB 03 F2 DF F8 E4 34 13 44 93 F9 00 10 17 F5 28 70 ?? ?? ?? ?? B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 5C 31 93 F9 00 30 7F 2B 13 D0 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 31 C7 F8 80 30 D7 F8 80 30 93 F9 00 30 5B 1C 5A B2 D7 F8 80 30 1A 70 23 E0 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 31 93 F9 00 30 00 2B 0B D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 4A 00 B7 F8 4A 20 B7 F8 46 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 20 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 87 E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 38 70 ?? ?? ?? ?? C7 F8 6C 01 D7 F8 6C 31 3B 64 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 3B 6C 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 70 01 3B 6C 93 F9 00 20 D7 F8 70 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 20 70 ?? ?? ?? ?? C7 F8 74 01 3B 6C 93 F9 00 20 D7 F8 74 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 3B 6C 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6C 5B 1C 3B 64 BC E7 3B 78 00 2B 08 D0 17 F5 20 70 ?? ?? ?? ?? 17 F5 38 70 ?? ?? ?? ?? C9 E0 17 F5 20 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? A7 F8 4C 00 B7 F8 4C 30 A7 F8 48 30 D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 4F D0 B7 F8 48 30 00 2B 4B D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 4E 00 B7 F8 4E 20 B7 F8 48 30 9A 42 3F D1 D7 F8 18 04 ?? ?? ?? ?? C7 F8 78 01 D7 F8 1C 14 D7 F8 78 01 ?? ?? ?? ?? 87 F8 27 00 97 F8 27 30 00 2B 27 D0 7A 6B BB 6E 9A 42 23 DA D7 F8 18 04 ?? ?? ?? ?? A7 F8 50 00 B7 F8 50 10 D7 F8 28 04 ?? ?? ?? ?? C7 F8 7C 01 D7 F8 7C 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 AE 4B 13 44 93 F9 00 10 17 F5 28 70 ?? ?? ?? ?? 7B 6B 5B 1C 7B 63 C5 E7 7A 6B BB 6E 9A 42 01 DA 01 23 3B 70 17 F5 28 70 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 7B 6B 5B 1C 7B 63 7A 6B BB 6E 9A 42 05 DA 30 21 17 F5 28 70 ?? ?? ?? ?? F2 E7 17 F5 38 70 ?? ?? ?? ?? 40 E0 17 F5 38 70 ?? ?? ?? ?? BB 6B 03 2B 00 D1 38 E0 00 23 3B 75 03 E0 D7 F8 18 04 ?? ?? ?? ?? D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 28 00 97 F8 28 30 00 2B 15 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 52 00 B7 F8 52 20 48 21 D7 F8 84 00 ?? ?? ?? ?? 87 F8 29 00 97 F8 29 30 00 2B 02 D0 01 23 3B 75 D9 E7 BA 6B 01 23 02 FB 03 F2 17 F1 88 03 13 44 93 F9 00 30 20 2B 04 D1 3B 7D 00 2B 01 D1 01 23 3B 70 FF F7 40 BB 3B 78 00 2B 40 F0 B0 80 17 F5 30 70 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 01 2B 40 F2 A5 80 17 F5 D8 70 ?? ?? ?? ?? C7 F8 CC 01 17 F5 0A 71 17 F5 30 70 ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 31 C7 F8 AC 31 D7 F8 AC 11 17 F5 D8 70 ?? ?? ?? ?? 17 F5 0A 70 ?? ?? ?? ?? 03 E0 D7 F8 18 04 ?? ?? ?? ?? 17 F5 0E 71 17 F5 30 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 31 C7 F8 94 31 7B 68 43 F0 20 03 7B 60 17 F5 D8 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 94 11 D7 F8 98 01 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 22 D0 D7 F8 1C 14 D7 F8 18 04 ?? ?? ?? ?? 87 F8 2B 00 97 F8 2B 30 00 2B 16 D0 D7 F8 18 04 ?? ?? ?? ?? A7 F8 54 00 17 F5 D8 70 ?? ?? ?? ?? C7 F8 9C 01 B7 F8 54 20 D7 F8 9C 31 1B 88 9A 42 03 D1 01 23 C7 F8 8C 30 02 E0 00 23 C7 F8 8C 30 D7 F8 8C 30 DB B2 87 F8 2C 30 7B 68 13 F0 20 0F 07 D0 7B 68 23 F0 20 03 7B 60 17 F5 0E 70 ?? ?? ?? ?? 97 F8 2C 30 00 2B 00 D0 9D E7 17 F5 12 71 17 F5 30 70 ?? ?? ?? ?? C7 F8 A0 01 D7 F8 A0 31 C7 F8 A4 31 D7 F8 A4 11 17 F5 D8 70 ?? ?? ?? ?? 87 F8 2D 00 97 F8 2D 30 87 F8 2E 30 17 F5 12 70 ?? ?? ?? ?? 97 F8 2E 30 00 2B 01 D0 01 23 3B 70 17 F5 D8 70 ?? ?? ?? ?? 3B 78 00 2B 05 D0 00 21 17 F5 28 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 28 70 ?? ?? ?? ?? 17 F5 28 71 D7 F8 14 04 ?? ?? ?? ?? C7 F8 D0 01 7B 68 43 F0 40 03 7B 60 17 F5 28 70 ?? ?? ?? ?? 17 F5 30 70 ?? ?? ?? ?? D7 F8 14 34 C7 F8 A8 31 D7 F8 A8 01 0D F5 81 6D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_837_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$8"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 02 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_858_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$8"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 02 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_839_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 48 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_860_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 48 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_840_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$11"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 40 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_861_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$11"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 40 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_841_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$13"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 60 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_862_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$13"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 60 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_842_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$14"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 10 03 00 2B 00 F0 08 80 7B 68 23 F0 10 03 7B 60 17 F5 58 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_863_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$14"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 10 03 00 2B 00 F0 08 80 7B 68 23 F0 10 03 7B 60 17 F5 58 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_847_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$22"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 20 03 00 2B 00 F0 08 80 7B 68 23 F0 20 03 7B 60 17 F5 0E 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_868_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$22"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 20 03 00 2B 00 F0 08 80 7B 68 23 F0 20 03 7B 60 17 F5 0E 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_36_923_3 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z"
		size = 1068
		refs = "000a __security_push_cookie 0028 ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 005e ?flags@ios_base@std@@QBAHXZ 00d0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00dc ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00ea ??1locale@std@@QAA@XZ 00f8 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 0106 ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z 0124 ?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z 013c ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0154 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0162 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0182 ?thousands_sep@?$numpunct@G@std@@QBAGXZ 01ce ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 01ea ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 01fa ?width@ios_base@std@@QBA_JXZ 02a8 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 02b6 memcpy 02e2 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 03e0 ?width@ios_base@std@@QAA_J_J@Z 0406 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 040e ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 041c __security_pop_cookie 0428 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 40 F2 EC 52 DF F8 04 14 17 F5 A4 70 ?? ?? ?? ?? D7 F8 5C 31 00 2B 0E D9 D7 F8 58 31 93 F9 00 30 2B 2B 05 D0 D7 F8 58 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 50 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 5C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 50 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 5C 11 01 22 01 FB 02 F1 D7 F8 58 21 0A 44 D7 F8 58 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 50 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 88 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 88 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 37 D0 7B 68 93 F9 00 30 00 2B 32 DD B8 69 ?? ?? ?? ?? B8 81 BB 89 FB 81 7B 68 93 F9 00 30 7F 2B 27 D0 7B 68 93 F9 00 30 00 2B 22 DD 7B 68 93 F9 00 10 D7 F8 5C 21 3B 68 D3 1A 99 42 19 D2 7B 68 93 F9 00 20 D7 F8 5C 31 9B 1A C7 F8 5C 31 FB 89 01 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D2 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 5C 31 D7 F8 50 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 5C 31 9A 42 0E D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 5C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 BB 60 D7 F8 50 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C0 01 D7 F8 40 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 BB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C8 01 D7 F8 40 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D0 01 D7 F8 40 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D8 01 D7 F8 40 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 BB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E0 01 D7 F8 40 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 5C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E8 01 D7 F8 40 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 50 01 ?? ?? ?? ?? BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 D7 F8 44 11 D7 F8 40 01 ?? ?? ?? ?? 17 F5 88 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 44 31 FB 67 F8 6F 4E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_928_3 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z"
		size = 1068
		refs = "000a __security_push_cookie 0028 ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 005e ?flags@ios_base@std@@QBAHXZ 00d0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00dc ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00ea ??1locale@std@@QAA@XZ 00f8 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 0106 ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0124 ?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z 013c ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0154 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0162 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0182 ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ 01ce ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 01ea ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 01fa ?width@ios_base@std@@QBA_JXZ 02a8 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 02b6 memcpy 02e2 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 03e0 ?width@ios_base@std@@QAA_J_J@Z 0406 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 040e ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 041c __security_pop_cookie 0428 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 40 F2 EC 52 DF F8 04 14 17 F5 A4 70 ?? ?? ?? ?? D7 F8 5C 31 00 2B 0E D9 D7 F8 58 31 93 F9 00 30 2B 2B 05 D0 D7 F8 58 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 50 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 5C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 50 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 5C 11 01 22 01 FB 02 F1 D7 F8 58 21 0A 44 D7 F8 58 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 50 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 88 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 88 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 37 D0 7B 68 93 F9 00 30 00 2B 32 DD B8 69 ?? ?? ?? ?? B8 81 BB 89 FB 81 7B 68 93 F9 00 30 7F 2B 27 D0 7B 68 93 F9 00 30 00 2B 22 DD 7B 68 93 F9 00 10 D7 F8 5C 21 3B 68 D3 1A 99 42 19 D2 7B 68 93 F9 00 20 D7 F8 5C 31 9B 1A C7 F8 5C 31 FB 89 01 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D2 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 5C 31 D7 F8 50 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 5C 31 9A 42 0E D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 5C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 BB 60 D7 F8 50 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C0 01 D7 F8 40 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 BB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C8 01 D7 F8 40 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D0 01 D7 F8 40 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D8 01 D7 F8 40 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 BB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E0 01 D7 F8 40 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 5C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E8 01 D7 F8 40 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 50 01 ?? ?? ?? ?? BB 68 01 93 B7 F8 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 D7 F8 44 11 D7 F8 40 01 ?? ?? ?? ?? 17 F5 88 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 44 31 FB 67 F8 6F 4E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1007_3 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 2524
		refs = "000a __security_push_cookie 002a ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0058 ??1locale@std@@QAA@XZ 0072 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 008a ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0094 ?frac_digits@?$_Mpunct@G@std@@QBAHXZ 00b8 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 00e2 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 00ec ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0112 ?thousands_sep@?$_Mpunct@G@std@@QBAGXZ 018e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 01a4 ?neg_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 01b2 memcpy 01bc ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01d4 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 01dc ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 01e8 ?pos_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ 0204 ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0238 ?flags@ios_base@std@@QBAHXZ 0250 ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0374 ?width@ios_base@std@@QBA_JXZ 0426 ?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 04b2 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 04ca ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@$$QAV01@@Z 04f0 ?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@I@Z 050a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 062e ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@H@Z 063a ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 064a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0650 ?decimal_point@?$_Mpunct@G@std@@QBAGXZ 07e8 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0802 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z 0912 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z 0980 ?width@ios_base@std@@QAA_J_J@Z 09b0 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 09cc __security_pop_cookie 09d8 ??_C@_1FA@FFGPJJDL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 86 6D 6F 46 82 B0 6F F0 01 03 C7 E9 A8 33 4F F4 41 72 DF F8 B4 19 17 F5 89 60 ?? ?? ?? ?? 97 F8 50 34 00 2B 13 D0 17 F5 00 71 D7 F8 54 04 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D FB 60 17 F5 00 70 ?? ?? ?? ?? 12 E0 17 F5 02 71 D7 F8 54 04 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? F8 65 FB 6D FB 60 17 F5 02 70 ?? ?? ?? ?? 17 F5 6C 71 F8 68 ?? ?? ?? ?? C7 F8 F0 01 F8 68 ?? ?? ?? ?? 38 66 3B 6E FB 62 FB 6A 00 2B 03 DA FB 6A 5B 42 BB 63 01 E0 FB 6A BB 63 BB 6B 7B 60 D7 F8 60 04 ?? ?? ?? ?? 78 66 7A 6E 7B 68 9A 42 10 D8 D7 F8 60 04 ?? ?? ?? ?? B8 66 B7 F8 64 34 79 68 BA 6E 8A 1A 52 1C 00 21 D7 F8 60 04 ?? ?? ?? ?? 50 E0 17 F5 6C 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 46 D0 17 F5 6C 70 ?? ?? ?? ?? 38 67 3B 6F 93 F9 00 30 00 2B 3C DD F8 68 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F5 6C 70 ?? ?? ?? ?? 78 67 7B 6F 7B 61 D7 F8 60 04 ?? ?? ?? ?? B8 67 BA 6F 7B 68 D3 1A 3B 62 7B 69 93 F9 00 30 7F 2B 21 D0 7B 69 93 F9 00 30 00 2B 1C DD 7B 69 93 F9 00 20 3B 6A 9A 42 16 D2 7B 69 93 F9 00 20 3B 6A 9B 1A 3B 62 FB 8C 01 22 39 6A D7 F8 60 04 ?? ?? ?? ?? 7B 69 5B 1C 93 F9 00 30 00 2B 02 DD 7B 69 5B 1C 7B 61 D8 E7 17 F5 5C 70 ?? ?? ?? ?? C7 F8 F4 01 97 F8 5C 34 00 2B 21 D0 17 F5 FC 71 F8 68 ?? ?? ?? ?? F8 67 F9 6F 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 74 71 F8 68 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 10 17 F5 5C 70 ?? ?? ?? ?? 17 F5 74 70 ?? ?? ?? ?? 22 E0 17 F5 F4 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 7C 71 F8 68 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 D7 F8 90 10 17 F5 5C 70 ?? ?? ?? ?? 17 F5 7C 70 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? C7 F8 EC 01 D7 F8 54 04 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 13 F0 08 0F 14 D0 17 F5 82 61 F8 68 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 10 17 F5 64 70 ?? ?? ?? ?? 17 F5 82 60 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 BB 61 BB 69 2B 2B 09 DC BB 69 2B 2B 19 D0 BB 69 20 2B 54 D0 BB 69 24 2B 07 D0 58 E0 BB 69 76 2B 1B D0 BB 69 78 2B 4D D0 51 E0 17 F5 64 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 45 E0 17 F5 5C 70 ?? ?? ?? ?? C7 F8 A4 00 3A 68 D7 F8 A4 30 13 44 3B 60 39 E0 D7 F8 60 04 ?? ?? ?? ?? C7 F8 B0 00 7B 68 00 2B 02 D9 01 23 FB 63 01 E0 00 23 FB 63 D7 F8 60 04 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 20 7B 68 9A 42 0C D8 D7 F8 60 04 ?? ?? ?? ?? C7 F8 AC 00 7A 68 D7 F8 AC 30 D3 1A 5B 1C 3B 64 01 E0 00 23 3B 64 D7 F8 B0 20 FB 6B 1A 44 3B 6C 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 54 04 ?? ?? ?? ?? C7 F8 CC 11 C7 F8 C8 01 D7 F8 C8 31 C7 F8 D0 31 D7 F8 CC 31 C7 F8 D4 31 D7 F8 D0 31 C7 F8 B4 30 D7 F8 D4 31 00 2B 1F DB 03 DC D7 F8 B4 30 00 2B 1A D9 D7 F8 54 04 ?? ?? ?? ?? C7 F8 DC 11 C7 F8 D8 01 D7 F8 D8 21 3B 68 9A 42 0D D9 D7 F8 54 04 ?? ?? ?? ?? C7 F8 E4 11 C7 F8 E0 01 D7 F8 E0 21 3B 68 D3 1A 7B 64 01 E0 00 23 7B 64 7B 6C 3B 60 D7 F8 54 04 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 03 F4 E0 73 7B 63 7B 6B 40 2B 1D D0 7B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 2A 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 10 17 F5 89 60 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 3A 82 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 0A DC FB 69 2B 2B 4D D0 FB 69 20 2B 00 F0 F5 81 FB 69 24 2B 09 D0 20 E2 FB 69 76 2B 00 F0 82 80 FB 69 78 2B 00 F0 FE 81 17 E2 17 F5 64 70 ?? ?? ?? ?? C7 F8 D0 00 17 F5 40 73 C7 F8 C8 30 17 F5 20 71 17 F5 64 70 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 C7 F8 C4 30 D7 F8 C4 10 D7 F8 C8 00 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 C7 F8 D4 30 D7 F8 D0 30 00 93 D7 F8 D4 30 D7 F8 48 14 D7 F8 4C 24 17 F5 2C 70 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 10 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 20 70 ?? ?? ?? ?? DA E1 17 F5 5C 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 00 2B 34 D9 17 F5 44 73 C7 F8 E8 30 17 F5 14 71 17 F5 5C 70 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 C7 F8 E4 30 D7 F8 E4 10 D7 F8 E8 00 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 30 C7 F8 F0 30 01 23 00 93 D7 F8 F0 30 D7 F8 48 14 D7 F8 4C 24 17 F5 2E 70 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 10 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 14 70 ?? ?? ?? ?? 9A E1 7B 68 00 2B 3C D1 D7 F8 60 04 ?? ?? ?? ?? C7 F8 08 01 17 F5 48 73 C7 F8 00 31 17 F5 18 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 C7 F8 FC 30 D7 F8 FC 10 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 04 31 C7 F8 0C 31 D7 F8 08 31 00 93 D7 F8 0C 31 D7 F8 48 14 D7 F8 4C 24 17 F5 30 70 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? 29 E1 D7 F8 60 04 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 21 7B 68 9A 42 00 F2 84 80 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 01 ?? ?? ?? ?? C7 F8 1C 01 B7 F8 64 14 D7 F8 1C 01 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 38 85 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 01 ?? ?? ?? ?? C7 F8 24 01 39 8D D7 F8 24 01 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? C7 F8 28 01 7A 68 D7 F8 28 31 D3 1A 00 93 B7 F8 64 34 D7 F8 48 14 D7 F8 4C 24 17 F5 32 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 11 17 F5 89 60 08 22 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? C7 F8 40 01 17 F5 4C 73 C7 F8 38 31 17 F5 1C 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 C7 F8 34 31 D7 F8 34 11 D7 F8 38 01 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 C7 F8 44 31 D7 F8 40 31 00 93 D7 F8 44 31 D7 F8 48 14 D7 F8 4C 24 17 F5 34 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 1C 70 ?? ?? ?? ?? 99 E0 D7 F8 60 04 ?? ?? ?? ?? C7 F8 5C 01 17 F5 50 73 C7 F8 54 31 17 F5 24 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 C7 F8 50 31 D7 F8 50 11 D7 F8 54 01 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 C7 F8 60 31 D7 F8 5C 21 7B 68 D3 1A 00 93 D7 F8 60 31 D7 F8 48 14 D7 F8 4C 24 17 F5 3E 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 24 70 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 78 85 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 01 ?? ?? ?? ?? C7 F8 6C 01 79 8D D7 F8 6C 01 ?? ?? ?? ?? 17 F5 54 73 C7 F8 80 31 17 F5 04 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 70 01 D7 F8 70 31 C7 F8 74 31 7A 68 17 F5 10 71 D7 F8 74 01 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 31 C7 F8 7C 31 D7 F8 7C 11 D7 F8 80 01 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 C7 F8 88 31 7B 68 00 93 D7 F8 88 31 D7 F8 48 14 D7 F8 4C 24 17 F5 36 70 ?? ?? ?? ?? C7 F8 8C 01 D7 F8 8C 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 10 70 ?? ?? ?? ?? 17 F5 04 70 ?? ?? ?? ?? 2F E0 01 23 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 38 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 11 17 F5 89 60 08 22 ?? ?? ?? ?? 7B 6B B3 F5 80 7F 16 D1 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 3A 70 ?? ?? ?? ?? C7 F8 94 01 D7 F8 94 11 17 F5 89 60 08 22 ?? ?? ?? ?? 00 23 3B 60 BE E5 17 F5 5C 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 98 31 01 2B 4D D9 17 F5 5C 70 ?? ?? ?? ?? C7 F8 B4 01 17 F5 58 73 C7 F8 AC 31 17 F5 0C 71 17 F5 5C 70 ?? ?? ?? ?? C7 F8 9C 01 D7 F8 9C 31 C7 F8 A0 31 01 22 17 F5 08 71 D7 F8 A0 01 ?? ?? ?? ?? C7 F8 A4 01 D7 F8 A4 31 C7 F8 A8 31 D7 F8 A8 11 D7 F8 AC 01 ?? ?? ?? ?? C7 F8 B0 01 D7 F8 B0 31 C7 F8 B8 31 D7 F8 B4 31 5B 1E 00 93 D7 F8 B8 31 D7 F8 48 14 D7 F8 4C 24 17 F5 3C 70 ?? ?? ?? ?? C7 F8 BC 01 D7 F8 BC 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 08 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? 00 22 00 23 D7 F8 54 04 ?? ?? ?? ?? 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 D7 F8 44 04 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? 17 F5 5C 70 ?? ?? ?? ?? 17 F5 6C 70 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? D7 F8 44 34 C7 F8 C0 31 D7 F8 C0 01 0D F5 87 6D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1023_3 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 2524
		refs = "000a __security_push_cookie 002a ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0058 ??1locale@std@@QAA@XZ 0072 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 008a ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0094 ?frac_digits@?$_Mpunct@_W@std@@QBAHXZ 00b8 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00e2 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 00ec ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0112 ?thousands_sep@?$_Mpunct@_W@std@@QBA_WXZ 018e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 01a4 ?neg_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 01b2 memcpy 01bc ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01d4 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 01dc ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 01e8 ?pos_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ 0204 ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0238 ?flags@ios_base@std@@QBAHXZ 0250 ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0374 ?width@ios_base@std@@QBA_JXZ 0426 ?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 04b2 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 04ca ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@$$QAV01@@Z 04f0 ?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@I@Z 050a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 062e ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@H@Z 063a ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 064a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0650 ?decimal_point@?$_Mpunct@_W@std@@QBA_WXZ 07e8 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0802 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 0912 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 0980 ?width@ios_base@std@@QAA_J_J@Z 09b0 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 09cc __security_pop_cookie 09d8 ??_C@_1FA@FFGPJJDL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 86 6D 6F 46 82 B0 6F F0 01 03 C7 E9 A8 33 4F F4 41 72 DF F8 B4 19 17 F5 89 60 ?? ?? ?? ?? 97 F8 50 34 00 2B 13 D0 17 F5 00 71 D7 F8 54 04 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D FB 60 17 F5 00 70 ?? ?? ?? ?? 12 E0 17 F5 02 71 D7 F8 54 04 ?? ?? ?? ?? 78 65 7B 6D BB 65 B8 6D ?? ?? ?? ?? F8 65 FB 6D FB 60 17 F5 02 70 ?? ?? ?? ?? 17 F5 6C 71 F8 68 ?? ?? ?? ?? C7 F8 F0 01 F8 68 ?? ?? ?? ?? 38 66 3B 6E FB 62 FB 6A 00 2B 03 DA FB 6A 5B 42 BB 63 01 E0 FB 6A BB 63 BB 6B 7B 60 D7 F8 60 04 ?? ?? ?? ?? 78 66 7A 6E 7B 68 9A 42 10 D8 D7 F8 60 04 ?? ?? ?? ?? B8 66 B7 F8 64 34 79 68 BA 6E 8A 1A 52 1C 00 21 D7 F8 60 04 ?? ?? ?? ?? 50 E0 17 F5 6C 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 7F 2B 46 D0 17 F5 6C 70 ?? ?? ?? ?? 38 67 3B 6F 93 F9 00 30 00 2B 3C DD F8 68 ?? ?? ?? ?? B8 84 BB 8C FB 84 17 F5 6C 70 ?? ?? ?? ?? 78 67 7B 6F 7B 61 D7 F8 60 04 ?? ?? ?? ?? B8 67 BA 6F 7B 68 D3 1A 3B 62 7B 69 93 F9 00 30 7F 2B 21 D0 7B 69 93 F9 00 30 00 2B 1C DD 7B 69 93 F9 00 20 3B 6A 9A 42 16 D2 7B 69 93 F9 00 20 3B 6A 9B 1A 3B 62 FB 8C 01 22 39 6A D7 F8 60 04 ?? ?? ?? ?? 7B 69 5B 1C 93 F9 00 30 00 2B 02 DD 7B 69 5B 1C 7B 61 D8 E7 17 F5 5C 70 ?? ?? ?? ?? C7 F8 F4 01 97 F8 5C 34 00 2B 21 D0 17 F5 FC 71 F8 68 ?? ?? ?? ?? F8 67 F9 6F 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 74 71 F8 68 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 C7 F8 84 30 D7 F8 84 10 17 F5 5C 70 ?? ?? ?? ?? 17 F5 74 70 ?? ?? ?? ?? 22 E0 17 F5 F4 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F1 30 00 04 22 ?? ?? ?? ?? 17 F5 7C 71 F8 68 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 C7 F8 90 30 D7 F8 90 10 17 F5 5C 70 ?? ?? ?? ?? 17 F5 7C 70 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? C7 F8 EC 01 D7 F8 54 04 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 13 F0 08 0F 14 D0 17 F5 82 61 F8 68 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 C7 F8 9C 30 D7 F8 9C 10 17 F5 64 70 ?? ?? ?? ?? 17 F5 82 60 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 BB 61 BB 69 2B 2B 09 DC BB 69 2B 2B 19 D0 BB 69 20 2B 54 D0 BB 69 24 2B 07 D0 58 E0 BB 69 76 2B 1B D0 BB 69 78 2B 4D D0 51 E0 17 F5 64 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 45 E0 17 F5 5C 70 ?? ?? ?? ?? C7 F8 A4 00 3A 68 D7 F8 A4 30 13 44 3B 60 39 E0 D7 F8 60 04 ?? ?? ?? ?? C7 F8 B0 00 7B 68 00 2B 02 D9 01 23 FB 63 01 E0 00 23 FB 63 D7 F8 60 04 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 20 7B 68 9A 42 0C D8 D7 F8 60 04 ?? ?? ?? ?? C7 F8 AC 00 7A 68 D7 F8 AC 30 D3 1A 5B 1C 3B 64 01 E0 00 23 3B 64 D7 F8 B0 20 FB 6B 1A 44 3B 6C 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 54 04 ?? ?? ?? ?? C7 F8 CC 11 C7 F8 C8 01 D7 F8 C8 31 C7 F8 D0 31 D7 F8 CC 31 C7 F8 D4 31 D7 F8 D0 31 C7 F8 B4 30 D7 F8 D4 31 00 2B 1F DB 03 DC D7 F8 B4 30 00 2B 1A D9 D7 F8 54 04 ?? ?? ?? ?? C7 F8 DC 11 C7 F8 D8 01 D7 F8 D8 21 3B 68 9A 42 0D D9 D7 F8 54 04 ?? ?? ?? ?? C7 F8 E4 11 C7 F8 E0 01 D7 F8 E0 21 3B 68 D3 1A 7B 64 01 E0 00 23 7B 64 7B 6C 3B 60 D7 F8 54 04 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 30 03 F4 E0 73 7B 63 7B 6B 40 2B 1D D0 7B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 2A 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 10 17 F5 89 60 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 3A 82 3A 69 01 23 02 FB 03 F2 17 F1 30 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 0A DC FB 69 2B 2B 4D D0 FB 69 20 2B 00 F0 F5 81 FB 69 24 2B 09 D0 20 E2 FB 69 76 2B 00 F0 82 80 FB 69 78 2B 00 F0 FE 81 17 E2 17 F5 64 70 ?? ?? ?? ?? C7 F8 D0 00 17 F5 40 73 C7 F8 C8 30 17 F5 20 71 17 F5 64 70 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 C7 F8 C4 30 D7 F8 C4 10 D7 F8 C8 00 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 C7 F8 D4 30 D7 F8 D0 30 00 93 D7 F8 D4 30 D7 F8 48 14 D7 F8 4C 24 17 F5 2C 70 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 10 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 20 70 ?? ?? ?? ?? DA E1 17 F5 5C 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 00 2B 34 D9 17 F5 44 73 C7 F8 E8 30 17 F5 14 71 17 F5 5C 70 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 C7 F8 E4 30 D7 F8 E4 10 D7 F8 E8 00 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 30 C7 F8 F0 30 01 23 00 93 D7 F8 F0 30 D7 F8 48 14 D7 F8 4C 24 17 F5 2E 70 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 10 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 14 70 ?? ?? ?? ?? 9A E1 7B 68 00 2B 3C D1 D7 F8 60 04 ?? ?? ?? ?? C7 F8 08 01 17 F5 48 73 C7 F8 00 31 17 F5 18 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 C7 F8 FC 30 D7 F8 FC 10 D7 F8 00 01 ?? ?? ?? ?? C7 F8 04 01 D7 F8 04 31 C7 F8 0C 31 D7 F8 08 31 00 93 D7 F8 0C 31 D7 F8 48 14 D7 F8 4C 24 17 F5 30 70 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 18 70 ?? ?? ?? ?? 29 E1 D7 F8 60 04 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 21 7B 68 9A 42 00 F2 84 80 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 01 ?? ?? ?? ?? C7 F8 1C 01 B7 F8 64 14 D7 F8 1C 01 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 38 85 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 01 ?? ?? ?? ?? C7 F8 24 01 39 8D D7 F8 24 01 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? C7 F8 28 01 7A 68 D7 F8 28 31 D3 1A 00 93 B7 F8 64 34 D7 F8 48 14 D7 F8 4C 24 17 F5 32 70 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 11 17 F5 89 60 08 22 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? C7 F8 40 01 17 F5 4C 73 C7 F8 38 31 17 F5 1C 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 30 01 D7 F8 30 31 C7 F8 34 31 D7 F8 34 11 D7 F8 38 01 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 C7 F8 44 31 D7 F8 40 31 00 93 D7 F8 44 31 D7 F8 48 14 D7 F8 4C 24 17 F5 34 70 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 1C 70 ?? ?? ?? ?? 99 E0 D7 F8 60 04 ?? ?? ?? ?? C7 F8 5C 01 17 F5 50 73 C7 F8 54 31 17 F5 24 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 C7 F8 50 31 D7 F8 50 11 D7 F8 54 01 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 C7 F8 60 31 D7 F8 5C 21 7B 68 D3 1A 00 93 D7 F8 60 31 D7 F8 48 14 D7 F8 4C 24 17 F5 3E 70 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 24 70 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? 78 85 00 21 17 F5 89 60 ?? ?? ?? ?? C7 F8 68 01 D7 F8 68 01 ?? ?? ?? ?? C7 F8 6C 01 79 8D D7 F8 6C 01 ?? ?? ?? ?? 17 F5 54 73 C7 F8 80 31 17 F5 04 71 D7 F8 60 04 ?? ?? ?? ?? C7 F8 70 01 D7 F8 70 31 C7 F8 74 31 7A 68 17 F5 10 71 D7 F8 74 01 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 31 C7 F8 7C 31 D7 F8 7C 11 D7 F8 80 01 ?? ?? ?? ?? C7 F8 84 01 D7 F8 84 31 C7 F8 88 31 7B 68 00 93 D7 F8 88 31 D7 F8 48 14 D7 F8 4C 24 17 F5 36 70 ?? ?? ?? ?? C7 F8 8C 01 D7 F8 8C 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 10 70 ?? ?? ?? ?? 17 F5 04 70 ?? ?? ?? ?? 2F E0 01 23 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 38 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 11 17 F5 89 60 08 22 ?? ?? ?? ?? 7B 6B B3 F5 80 7F 16 D1 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 17 F5 3A 70 ?? ?? ?? ?? C7 F8 94 01 D7 F8 94 11 17 F5 89 60 08 22 ?? ?? ?? ?? 00 23 3B 60 BE E5 17 F5 5C 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 98 31 01 2B 4D D9 17 F5 5C 70 ?? ?? ?? ?? C7 F8 B4 01 17 F5 58 73 C7 F8 AC 31 17 F5 0C 71 17 F5 5C 70 ?? ?? ?? ?? C7 F8 9C 01 D7 F8 9C 31 C7 F8 A0 31 01 22 17 F5 08 71 D7 F8 A0 01 ?? ?? ?? ?? C7 F8 A4 01 D7 F8 A4 31 C7 F8 A8 31 D7 F8 A8 11 D7 F8 AC 01 ?? ?? ?? ?? C7 F8 B0 01 D7 F8 B0 31 C7 F8 B8 31 D7 F8 B4 31 5B 1E 00 93 D7 F8 B8 31 D7 F8 48 14 D7 F8 4C 24 17 F5 3C 70 ?? ?? ?? ?? C7 F8 BC 01 D7 F8 BC 11 17 F5 89 60 08 22 ?? ?? ?? ?? 17 F5 08 70 ?? ?? ?? ?? 17 F5 0C 70 ?? ?? ?? ?? 00 22 00 23 D7 F8 54 04 ?? ?? ?? ?? 3B 68 00 93 B7 F8 58 34 D7 F8 48 14 D7 F8 4C 24 D7 F8 44 04 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? 17 F5 5C 70 ?? ?? ?? ?? 17 F5 6C 70 ?? ?? ?? ?? D7 F8 60 04 ?? ?? ?? ?? D7 F8 44 34 C7 F8 C0 31 D7 F8 C0 01 0D F5 87 6D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1094_3 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
		size = 168
		refs = "002a ??$_Debug_pointer_if@$$CBG@std@@YAX_NPBGPB_WI@Z 0032 ?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NPBG@Z 0044 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 0058 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 006a ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0088 ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 0090 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 00a4 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9B 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 40 F2 8E 43 20 4A 09 99 9D F8 00 00 ?? ?? ?? ?? 09 99 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 10 D0 08 98 ?? ?? ?? ?? 02 90 0A 9B 09 99 02 9A 8A 1A 52 10 08 99 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 19 E0 00 22 0A 99 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 0C D0 08 98 ?? ?? ?? ?? 04 90 0A 9A 09 99 04 98 ?? ?? ?? ?? 0A 99 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1100_3 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
		size = 168
		refs = "002a ??$_Debug_pointer_if@$$CB_W@std@@YAX_NPB_W1I@Z 0032 ?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z 0044 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0058 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 006a ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0088 ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 0090 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 00a4 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9B 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 40 F2 8E 43 20 4A 09 99 9D F8 00 00 ?? ?? ?? ?? 09 99 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 10 D0 08 98 ?? ?? ?? ?? 02 90 0A 9B 09 99 02 9A 8A 1A 52 10 08 99 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 19 E0 00 22 0A 99 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 0C D0 08 98 ?? ?? ?? ?? 04 90 0A 9A 09 99 04 98 ?? ?? ?? ?? 0A 99 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1138_3 {
	meta:
		name = "?do_compare@?$collate@G@std@@MBAHPBG000@Z"
		size = 112
		refs = "0012 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0030 ??$_LStrcoll@G@std@@YAHPBG000PBU_Collvec@@@Z 006c ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 5F 23 17 4A 0C 99 0B 98 ?? ?? ?? ?? 60 23 14 4A 0E 99 0D 98 ?? ?? ?? ?? 0A 9B 08 33 00 93 0E 9B 0D 9A 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 03 DA 6F F0 00 03 04 93 09 E0 02 9B 00 2B 02 D1 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_477_3 {
	meta:
		name = "?do_compare@?$collate@D@std@@MBAHPBD000@Z"
		size = 112
		refs = "0012 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0030 ??$_LStrcoll@D@std@@YAHPBD000PBU_Collvec@@@Z 006c ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 5F 23 17 4A 0C 99 0B 98 ?? ?? ?? ?? 60 23 14 4A 0E 99 0D 98 ?? ?? ?? ?? 0A 9B 08 33 00 93 0E 9B 0D 9A 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 03 DA 6F F0 00 03 04 93 09 E0 02 9B 00 2B 02 D1 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1139_3 {
	meta:
		name = "?do_compare@?$collate@_W@std@@MBAHPB_W000@Z"
		size = 112
		refs = "0012 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0030 ??$_LStrcoll@_W@std@@YAHPB_W000PBU_Collvec@@@Z 006c ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 5F 23 17 4A 0C 99 0B 98 ?? ?? ?? ?? 60 23 14 4A 0E 99 0D 98 ?? ?? ?? ?? 0A 9B 08 33 00 93 0E 9B 0D 9A 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 03 DA 6F F0 00 03 04 93 09 E0 02 9B 00 2B 02 D1 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1165_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 332
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0054 ?flags@ios_base@std@@QBAHXZ 0070 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 007e ??1locale@std@@QAA@XZ 00ae _Stoulx 00c0 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0130 memcpy 013c __security_pop_cookie 0148 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 4F F4 E8 73 01 93 49 4B 00 93 D7 F8 88 20 D7 F8 8C 30 D7 F8 80 00 D7 F8 84 10 ?? ?? ?? ?? 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 07 D0 3B 69 00 2B 04 D1 7A 68 4F F6 FF 73 9A 42 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 10 E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7B 69 9A B2 D7 F8 98 30 1A 80 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_324_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 332
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0054 ?flags@ios_base@std@@QBAHXZ 0070 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 007e ??1locale@std@@QAA@XZ 00ae _Stoulx 00c0 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0130 memcpy 013c __security_pop_cookie 0148 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 4F F4 E8 73 01 93 49 4B 00 93 D7 F8 88 20 D7 F8 8C 30 D7 F8 80 00 D7 F8 84 10 ?? ?? ?? ?? 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 07 D0 3B 69 00 2B 04 D1 7A 68 4F F6 FF 73 9A 42 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 10 E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7B 69 9A B2 D7 F8 98 30 1A 80 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1188_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 332
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0054 ?flags@ios_base@std@@QBAHXZ 0070 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 007e ??1locale@std@@QAA@XZ 00ae _Stoulx 00c0 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0130 memcpy 013c __security_pop_cookie 0148 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 4F F4 E8 73 01 93 49 4B 00 93 D7 F8 88 20 D7 F8 8C 30 D7 F8 80 00 D7 F8 84 10 ?? ?? ?? ?? 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 07 D0 3B 69 00 2B 04 D1 7A 68 4F F6 FF 73 9A 42 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 10 E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7B 69 9A B2 D7 F8 98 30 1A 80 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1167_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 328
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0054 ?flags@ios_base@std@@QBAHXZ 0070 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 007e ??1locale@std@@QAA@XZ 00ae _Stoulx 00c0 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 012c memcpy 0138 __security_pop_cookie 0144 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 40 F2 E7 13 01 93 48 4B 00 93 D7 F8 88 20 D7 F8 8C 30 D7 F8 80 00 D7 F8 84 10 ?? ?? ?? ?? 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 06 D0 3B 69 00 2B 03 D1 7B 68 B3 F1 FF 3F 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 0F E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7A 69 D7 F8 98 30 1A 60 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_326_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 328
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0054 ?flags@ios_base@std@@QBAHXZ 0070 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 007e ??1locale@std@@QAA@XZ 00ae _Stoulx 00c0 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 012c memcpy 0138 __security_pop_cookie 0144 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 40 F2 E7 13 01 93 48 4B 00 93 D7 F8 88 20 D7 F8 8C 30 D7 F8 80 00 D7 F8 84 10 ?? ?? ?? ?? 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 06 D0 3B 69 00 2B 03 D1 7B 68 B3 F1 FF 3F 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 0F E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7A 69 D7 F8 98 30 1A 60 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1190_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 328
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0054 ?flags@ios_base@std@@QBAHXZ 0070 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 007e ??1locale@std@@QAA@XZ 00ae _Stoulx 00c0 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 012c memcpy 0138 __security_pop_cookie 0144 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 82 B0 6F F0 01 03 C7 E9 10 33 40 F2 E7 13 01 93 48 4B 00 93 D7 F8 88 20 D7 F8 8C 30 D7 F8 80 00 D7 F8 84 10 ?? ?? ?? ?? 00 23 3B 61 17 F1 38 01 D7 F8 90 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 D7 F8 90 00 ?? ?? ?? ?? 38 62 FB 69 01 93 3B 6A 00 93 17 F1 88 03 17 F1 80 02 17 F1 48 01 B8 6F ?? ?? ?? ?? 78 62 7B 6A BB 62 17 F1 38 00 ?? ?? ?? ?? 17 F1 48 03 93 F9 00 30 2D 2B 04 D1 17 F1 48 03 5B 1C BB 60 02 E0 17 F1 48 03 BB 60 BB 68 FB 60 17 F1 10 03 BA 6A 17 F1 30 01 F8 68 ?? ?? ?? ?? F8 62 FB 6A 7B 60 17 F1 88 01 17 F1 80 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 94 30 1B 68 43 F0 01 02 D7 F8 94 30 1A 60 3A 6B FB 68 9A 42 06 D0 3B 69 00 2B 03 D1 7B 68 B3 F1 FF 3F 08 D9 D7 F8 94 30 1B 68 43 F0 02 02 D7 F8 94 30 1A 60 0F E0 17 F1 48 03 93 F9 00 30 2D 2B 03 D1 7B 68 5B 42 7B 61 01 E0 7B 68 7B 61 7A 69 D7 F8 98 30 1A 60 F8 6F 17 F1 80 01 08 22 ?? ?? ?? ?? FB 6F 7B 63 78 6B 1C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1169_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 256
		refs = "000a __security_push_cookie 002e ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?flags@ios_base@std@@QBAHXZ 0068 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 007a _Stolx 0088 ??1locale@std@@QAA@XZ 0094 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00e2 memcpy 00ee __security_pop_cookie 00fc ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 40 F2 FD 13 01 93 36 4B 00 93 BA 6F FB 6F 38 6F 79 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_328_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 256
		refs = "000a __security_push_cookie 002e ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?flags@ios_base@std@@QBAHXZ 0068 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 007a _Stolx 0088 ??1locale@std@@QAA@XZ 0094 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00e2 memcpy 00ee __security_pop_cookie 00fc ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 40 F2 FD 13 01 93 36 4B 00 93 BA 6F FB 6F 38 6F 79 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1192_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 256
		refs = "000a __security_push_cookie 002e ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?flags@ios_base@std@@QBAHXZ 0068 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 007a _Stolx 0088 ??1locale@std@@QAA@XZ 0094 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00e2 memcpy 00ee __security_pop_cookie 00fc ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 40 F2 FD 13 01 93 36 4B 00 93 BA 6F FB 6F 38 6F 79 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1171_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 256
		refs = "000a __security_push_cookie 002e ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?flags@ios_base@std@@QBAHXZ 0068 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 007a _Stoulx 0088 ??1locale@std@@QAA@XZ 0094 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00e2 memcpy 00ee __security_pop_cookie 00fc ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 40 F2 11 23 01 93 36 4B 00 93 BA 6F FB 6F 38 6F 79 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_330_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 256
		refs = "000a __security_push_cookie 002e ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?flags@ios_base@std@@QBAHXZ 0068 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 007a _Stoulx 0088 ??1locale@std@@QAA@XZ 0094 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00e2 memcpy 00ee __security_pop_cookie 00fc ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 40 F2 11 23 01 93 36 4B 00 93 BA 6F FB 6F 38 6F 79 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1194_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 256
		refs = "000a __security_push_cookie 002e ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ?flags@ios_base@std@@QBAHXZ 0068 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 007a _Stoulx 0088 ??1locale@std@@QAA@XZ 0094 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00e2 memcpy 00ee __security_pop_cookie 00fc ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0C 33 40 F2 11 23 01 93 36 4B 00 93 BA 6F FB 6F 38 6F 79 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 28 01 D7 F8 80 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 80 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 78 03 17 F1 70 02 17 F1 38 01 B8 6E ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 1C 01 17 F1 38 00 ?? ?? ?? ?? B8 61 BB 69 3B 62 17 F1 28 00 ?? ?? ?? ?? 17 F1 78 01 17 F1 70 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 84 30 1B 68 43 F0 01 02 D7 F8 84 30 1A 60 FA 69 17 F1 38 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 84 30 1B 68 43 F0 02 02 D7 F8 84 30 1A 60 03 E0 3A 6A D7 F8 88 30 1A 60 F8 6E 17 F1 70 01 08 22 ?? ?? ?? ?? FB 6E 7B 62 78 6A 18 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1173_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0076 ldexpf 008a ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 53 7D 40 F2 53 23 01 93 36 4B 00 93 DA 9A DB 9B D8 98 D9 99 ?? ?? ?? ?? 00 23 05 93 30 4B 03 93 03 AB 01 93 DC 9B 00 93 DA AB D8 AA 0C A9 D6 98 ?? ?? ?? ?? 06 90 05 AB 06 9A 09 A9 0C A8 ?? ?? ?? ?? 8D ED 07 0A 9D ED 07 0A 8D ED 04 0A 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 04 0A ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A DA A9 D8 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DD 9B 1B 68 43 F0 01 02 DD 9B 1A 60 09 9A 0C AB 9A 42 02 D0 05 9B 00 2B 06 D0 DD 9B 1B 68 43 F0 02 02 DD 9B 1A 60 04 E0 9D ED 04 0A DE 9B 83 ED 00 0A D7 98 D8 A9 08 22 ?? ?? ?? ?? D7 9B 0A 93 0A 98 0D F5 53 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_332_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0076 ldexpf 008a ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 53 7D 40 F2 53 23 01 93 36 4B 00 93 DA 9A DB 9B D8 98 D9 99 ?? ?? ?? ?? 00 23 05 93 30 4B 03 93 03 AB 01 93 DC 9B 00 93 DA AB D8 AA 0C A9 D6 98 ?? ?? ?? ?? 06 90 05 AB 06 9A 09 A9 0C A8 ?? ?? ?? ?? 8D ED 07 0A 9D ED 07 0A 8D ED 04 0A 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 04 0A ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A DA A9 D8 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DD 9B 1B 68 43 F0 01 02 DD 9B 1A 60 09 9A 0C AB 9A 42 02 D0 05 9B 00 2B 06 D0 DD 9B 1B 68 43 F0 02 02 DD 9B 1A 60 04 E0 9D ED 04 0A DE 9B 83 ED 00 0A D7 98 D8 A9 08 22 ?? ?? ?? ?? D7 9B 0A 93 0A 98 0D F5 53 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1196_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0076 ldexpf 008a ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 53 7D 40 F2 53 23 01 93 36 4B 00 93 DA 9A DB 9B D8 98 D9 99 ?? ?? ?? ?? 00 23 05 93 30 4B 03 93 03 AB 01 93 DC 9B 00 93 DA AB D8 AA 0C A9 D6 98 ?? ?? ?? ?? 06 90 05 AB 06 9A 09 A9 0C A8 ?? ?? ?? ?? 8D ED 07 0A 9D ED 07 0A 8D ED 04 0A 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 04 0A ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A DA A9 D8 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DD 9B 1B 68 43 F0 01 02 DD 9B 1A 60 09 9A 0C AB 9A 42 02 D0 05 9B 00 2B 06 D0 DD 9B 1B 68 43 F0 02 02 DD 9B 1A 60 04 E0 9D ED 04 0A DE 9B 83 ED 00 0A D7 98 D8 A9 08 22 ?? ?? ?? ?? D7 9B 0A 93 0A 98 0D F5 53 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1174_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0076 ldexp 008a ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 40 F2 6B 23 01 93 36 4B 00 93 DC 9A DD 9B DA 98 DB 99 ?? ?? ?? ?? 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_333_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0076 ldexp 008a ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 40 F2 6B 23 01 93 36 4B 00 93 DC 9A DD 9B DA 98 DB 99 ?? ?? ?? ?? 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1197_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0076 ldexp 008a ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 40 F2 6B 23 01 93 36 4B 00 93 DC 9A DD 9B DA 98 DB 99 ?? ?? ?? ?? 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1175_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0076 ldexpl 008a ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 40 F2 83 23 01 93 36 4B 00 93 DC 9A DD 9B DA 98 DB 99 ?? ?? ?? ?? 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_334_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0076 ldexpl 008a ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 40 F2 83 23 01 93 36 4B 00 93 DC 9A DD 9B DA 98 DB 99 ?? ?? ?? ?? 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1198_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 244
		refs = "0008 __security_push_cookie 0022 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 003e ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 004c ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0076 ldexpl 008a ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00d2 memcpy 00e0 __security_pop_cookie 00f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D 40 F2 83 23 01 93 36 4B 00 93 DC 9A DD 9B DA 98 DB 99 ?? ?? ?? ?? 00 23 04 93 30 4B 03 93 03 AB 01 93 DE 9B 00 93 DC AB DA AA 0E A9 D8 98 ?? ?? ?? ?? 05 90 04 AB 05 9A 06 A9 0E A8 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 03 9A 23 4B 9A 42 10 D0 03 9B 00 2B 0D D0 03 9A 04 23 02 FB 03 F0 9D ED 08 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B DC A9 DA A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D0 DF 9B 1B 68 43 F0 01 02 DF 9B 1A 60 06 9A 0E AB 9A 42 02 D0 04 9B 00 2B 06 D0 DF 9B 1B 68 43 F0 02 02 DF 9B 1A 60 04 E0 9D ED 08 0B E0 9B 83 ED 00 0B D9 98 DA A9 08 22 ?? ?? ?? ?? D9 9B 07 93 07 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1176_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 308
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006a ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0078 ??1locale@std@@QAA@XZ 0088 _Stoulx 00a4 _Stoullx 00c4 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0114 memcpy 0122 __security_pop_cookie 0130 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 82 B0 6F F0 01 03 C7 E9 12 33 40 F2 9D 23 01 93 43 4B 00 93 D7 F8 90 20 D7 F8 94 30 D7 F8 88 00 D7 F8 8C 10 ?? ?? ?? ?? 00 23 7B 60 17 F1 40 01 D7 F8 98 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 FB 69 01 93 4F F4 00 63 00 93 17 F1 90 03 17 F1 88 02 17 F1 50 01 D7 F8 80 00 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 40 00 ?? ?? ?? ?? 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 78 62 7B 6A 3B 61 00 23 7B 61 0D E0 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 79 63 38 63 3B 6B 3B 61 7B 6B 7B 61 3B 69 BB 63 7B 69 FB 63 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 9C 30 1B 68 43 F0 01 02 D7 F8 9C 30 1A 60 FA 68 17 F1 50 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 9C 30 1B 68 43 F0 02 02 D7 F8 9C 30 1A 60 03 E0 BA 6B D7 F8 A0 30 1A 60 D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? D7 F8 84 30 BB 62 B8 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_335_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 308
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006a ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0078 ??1locale@std@@QAA@XZ 0088 _Stoulx 00a4 _Stoullx 00c4 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0114 memcpy 0122 __security_pop_cookie 0130 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 82 B0 6F F0 01 03 C7 E9 12 33 40 F2 9D 23 01 93 43 4B 00 93 D7 F8 90 20 D7 F8 94 30 D7 F8 88 00 D7 F8 8C 10 ?? ?? ?? ?? 00 23 7B 60 17 F1 40 01 D7 F8 98 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 FB 69 01 93 4F F4 00 63 00 93 17 F1 90 03 17 F1 88 02 17 F1 50 01 D7 F8 80 00 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 40 00 ?? ?? ?? ?? 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 78 62 7B 6A 3B 61 00 23 7B 61 0D E0 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 79 63 38 63 3B 6B 3B 61 7B 6B 7B 61 3B 69 BB 63 7B 69 FB 63 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 9C 30 1B 68 43 F0 01 02 D7 F8 9C 30 1A 60 FA 68 17 F1 50 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 9C 30 1B 68 43 F0 02 02 D7 F8 9C 30 1A 60 03 E0 BA 6B D7 F8 A0 30 1A 60 D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? D7 F8 84 30 BB 62 B8 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1199_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 308
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0046 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 006a ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0078 ??1locale@std@@QAA@XZ 0088 _Stoulx 00a4 _Stoullx 00c4 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0114 memcpy 0122 __security_pop_cookie 0130 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9C B0 6F 46 82 B0 6F F0 01 03 C7 E9 12 33 40 F2 9D 23 01 93 43 4B 00 93 D7 F8 90 20 D7 F8 94 30 D7 F8 88 00 D7 F8 8C 10 ?? ?? ?? ?? 00 23 7B 60 17 F1 40 01 D7 F8 98 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 FB 69 01 93 4F F4 00 63 00 93 17 F1 90 03 17 F1 88 02 17 F1 50 01 D7 F8 80 00 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 40 00 ?? ?? ?? ?? 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 78 62 7B 6A 3B 61 00 23 7B 61 0D E0 3B 1D BA 68 17 F1 0C 01 17 F1 50 00 ?? ?? ?? ?? 79 63 38 63 3B 6B 3B 61 7B 6B 7B 61 3B 69 BB 63 7B 69 FB 63 17 F1 90 01 17 F1 88 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 9C 30 1B 68 43 F0 01 02 D7 F8 9C 30 1A 60 FA 68 17 F1 50 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 9C 30 1B 68 43 F0 02 02 D7 F8 9C 30 1A 60 03 E0 BA 6B D7 F8 A0 30 1A 60 D7 F8 84 00 17 F1 88 01 08 22 ?? ?? ?? ?? D7 F8 84 30 BB 62 B8 6A 1E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1178_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 272
		refs = "000a __security_push_cookie 0032 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0050 ?flags@ios_base@std@@QBAHXZ 006c ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 007e _Stollx 0092 ??1locale@std@@QAA@XZ 009e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00f4 memcpy 0100 __security_pop_cookie 010c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 40 F2 25 23 01 93 3A 4B 00 93 D7 F8 80 20 D7 F8 84 30 B8 6F F9 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_337_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 272
		refs = "000a __security_push_cookie 0032 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0050 ?flags@ios_base@std@@QBAHXZ 006c ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 007e _Stollx 0092 ??1locale@std@@QAA@XZ 009e ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00f4 memcpy 0100 __security_pop_cookie 010c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 40 F2 25 23 01 93 3A 4B 00 93 D7 F8 80 20 D7 F8 84 30 B8 6F F9 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1201_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 272
		refs = "000a __security_push_cookie 0032 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0050 ?flags@ios_base@std@@QBAHXZ 006c ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 007e _Stollx 0092 ??1locale@std@@QAA@XZ 009e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00f4 memcpy 0100 __security_pop_cookie 010c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 40 F2 25 23 01 93 3A 4B 00 93 D7 F8 80 20 D7 F8 84 30 B8 6F F9 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1180_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 272
		refs = "000a __security_push_cookie 0032 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0050 ?flags@ios_base@std@@QBAHXZ 006c ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 007e _Stoullx 0092 ??1locale@std@@QAA@XZ 009e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00f4 memcpy 0100 __security_pop_cookie 010c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 40 F2 39 23 01 93 3A 4B 00 93 D7 F8 80 20 D7 F8 84 30 B8 6F F9 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_339_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 272
		refs = "000a __security_push_cookie 0032 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0050 ?flags@ios_base@std@@QBAHXZ 006c ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 007e _Stoullx 0092 ??1locale@std@@QAA@XZ 009e ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00f4 memcpy 0100 __security_pop_cookie 010c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 40 F2 39 23 01 93 3A 4B 00 93 D7 F8 80 20 D7 F8 84 30 B8 6F F9 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1203_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 272
		refs = "000a __security_push_cookie 0032 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0050 ?flags@ios_base@std@@QBAHXZ 006c ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 007e _Stoullx 0092 ??1locale@std@@QAA@XZ 009e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00f4 memcpy 0100 __security_pop_cookie 010c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 6F F0 01 03 C7 E9 0E 33 40 F2 39 23 01 93 3A 4B 00 93 D7 F8 80 20 D7 F8 84 30 B8 6F F9 6F ?? ?? ?? ?? 00 23 7B 60 17 F1 30 01 D7 F8 88 00 ?? ?? ?? ?? B8 60 BB 68 FB 60 D7 F8 88 00 ?? ?? ?? ?? 38 61 FB 68 01 93 3B 69 00 93 17 F1 80 03 17 F1 78 02 17 F1 40 01 38 6F ?? ?? ?? ?? 78 61 3B 1D 7A 69 17 F1 18 01 17 F1 40 00 ?? ?? ?? ?? 79 62 38 62 3B 6A BB 62 7B 6A FB 62 17 F1 30 00 ?? ?? ?? ?? 17 F1 80 01 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 8C 30 1B 68 43 F0 01 02 D7 F8 8C 30 1A 60 BA 69 17 F1 40 03 9A 42 02 D0 7B 68 00 2B 08 D0 D7 F8 8C 30 1B 68 43 F0 02 02 D7 F8 8C 30 1A 60 07 E0 BA 6A D7 F8 90 30 1A 60 FA 6A D7 F8 90 30 5A 60 78 6F 17 F1 78 01 08 22 ?? ?? ?? ?? 7B 6F FB 61 F8 69 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1182_3 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 500
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0044 ?flags@ios_base@std@@QBAHXZ 005a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0066 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0074 ??1locale@std@@QAA@XZ 0080 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 008c ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 009c ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@ABV01@@Z 00a4 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00ae ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@G@Z 00b8 ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00d8 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 00ea ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0136 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 014a _Stoulx 017e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01d6 memcpy 01e4 __security_pop_cookie 01f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? BE B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 40 F2 AB 13 01 93 73 4B 00 93 D7 F8 18 21 D7 F8 1C 31 D7 F8 10 01 D7 F8 14 11 ?? ?? ?? ?? 6F F0 00 03 7B 60 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 20 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 98 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 98 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 20 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 8C 73 17 F5 88 72 17 F1 D8 01 D7 F8 08 01 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 D8 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 D8 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 24 31 1B 68 43 F0 01 02 D7 F8 24 31 1A 60 7B 68 00 2B 08 DA D7 F8 24 31 1B 68 43 F0 02 02 D7 F8 24 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 28 31 1A 70 D7 F8 0C 01 17 F5 88 71 08 22 ?? ?? ?? ?? D7 F8 0C 31 BB 65 B8 6D 40 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_341_3 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 500
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0044 ?flags@ios_base@std@@QBAHXZ 005a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0066 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0074 ??1locale@std@@QAA@XZ 0080 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 008c ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 009c ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@ABV01@@Z 00a4 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00ae ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 00b8 ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00d8 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 00ea ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0136 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 014a _Stoulx 017e ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01d6 memcpy 01e4 __security_pop_cookie 01f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? BE B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 40 F2 AB 13 01 93 73 4B 00 93 D7 F8 18 21 D7 F8 1C 31 D7 F8 10 01 D7 F8 14 11 ?? ?? ?? ?? 6F F0 00 03 7B 60 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 20 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 98 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 98 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 20 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 8C 73 17 F5 88 72 17 F1 D8 01 D7 F8 08 01 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 D8 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 D8 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 24 31 1B 68 43 F0 01 02 D7 F8 24 31 1A 60 7B 68 00 2B 08 DA D7 F8 24 31 1B 68 43 F0 02 02 D7 F8 24 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 28 31 1A 70 D7 F8 0C 01 17 F5 88 71 08 22 ?? ?? ?? ?? D7 F8 0C 31 BB 65 B8 6D 40 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1205_3 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 500
		refs = "000a __security_push_cookie 0036 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0044 ?flags@ios_base@std@@QBAHXZ 005a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0066 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0074 ??1locale@std@@QAA@XZ 0080 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 008c ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 009c ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@ABV01@@Z 00a4 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00ae ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@_W@Z 00b8 ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00d8 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 00ea ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0136 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 014a _Stoulx 017e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01d6 memcpy 01e4 __security_pop_cookie 01f0 ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? BE B0 6F 46 82 B0 6F F0 01 03 C7 E9 1C 33 40 F2 AB 13 01 93 73 4B 00 93 D7 F8 18 21 D7 F8 1C 31 D7 F8 10 01 D7 F8 14 11 ?? ?? ?? ?? 6F F0 00 03 7B 60 D7 F8 20 01 ?? ?? ?? ?? B8 61 BB 69 13 F4 80 4F 55 D0 17 F1 60 01 D7 F8 20 01 ?? ?? ?? ?? F8 61 FB 69 3B 62 38 6A ?? ?? ?? ?? 78 62 7B 6A BB 60 17 F1 60 00 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? F8 65 17 F1 98 01 B8 68 ?? ?? ?? ?? B8 62 BB 6A FB 62 F9 6A 17 F1 78 00 ?? ?? ?? ?? 17 F1 98 00 ?? ?? ?? ?? 00 21 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 01 B8 68 ?? ?? ?? ?? 38 63 3B 6B 7B 63 79 6B 17 F1 78 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? B8 63 BB 6B 02 22 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? 3B E0 00 23 FB 60 17 F1 68 01 D7 F8 20 01 ?? ?? ?? ?? 38 64 3B 6C 7B 64 D7 F8 20 01 ?? ?? ?? ?? B8 64 7B 6C 01 93 BB 6C 00 93 17 F5 8C 73 17 F5 88 72 17 F1 D8 01 D7 F8 08 01 ?? ?? ?? ?? F8 64 17 F1 0C 03 FA 6C 17 F1 54 01 17 F1 D8 00 ?? ?? ?? ?? 38 65 3B 6D 3B 61 17 F1 68 00 ?? ?? ?? ?? 7A 6D 17 F1 D8 03 9A 42 07 D0 FB 68 00 2B 04 D1 3B 69 01 2B 01 D8 3B 69 7B 60 17 F5 8C 71 17 F5 88 70 ?? ?? ?? ?? 38 70 3B 78 00 2B 07 D0 D7 F8 24 31 1B 68 43 F0 01 02 D7 F8 24 31 1A 60 7B 68 00 2B 08 DA D7 F8 24 31 1B 68 43 F0 02 02 D7 F8 24 31 1A 60 0C E0 7B 68 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 DA B2 D7 F8 28 31 1A 70 D7 F8 0C 01 17 F5 88 71 08 22 ?? ?? ?? ?? D7 F8 0C 31 BB 65 B8 6D 40 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1215_3 {
	meta:
		name = "?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1564
		refs = "0034 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0044 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0050 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 005c ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 006a ??1locale@std@@QAA@XZ 0072 ?date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ 008e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 00a0 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 00ac ?is@?$ctype@G@std@@QBA_NFG@Z 00d2 memcpy 00e6 ?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0122 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 01b6 ?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01d0 ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01fc ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 0226 ?narrow@?$ctype@G@std@@QBADGD@Z 0618 ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B AD B0 6F 46 86 B0 6F F0 01 03 C7 E9 20 33 4F F4 86 73 01 93 DF F8 F8 35 00 93 D7 F8 D0 20 D7 F8 D4 30 D7 F8 C8 00 D7 F8 CC 10 ?? ?? ?? ?? 40 F2 0D 12 DF F8 D8 15 D7 F8 E0 00 ?? ?? ?? ?? 17 F1 78 01 D7 F8 D8 00 ?? ?? ?? ?? 78 63 7B 6B BB 63 B8 6B ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? D7 F8 C0 00 ?? ?? ?? ?? 38 64 3B 6C BB 60 BB 68 00 2B 01 D1 02 23 BB 60 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 73 3B 7B 00 2B 00 D0 95 E0 17 F1 C8 00 ?? ?? ?? ?? F8 85 FA 8D 04 21 78 68 ?? ?? ?? ?? 78 73 7B 7B 00 2B 22 D1 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 88 01 D7 F8 C0 00 ?? ?? ?? ?? 78 64 79 6C 17 F1 C8 00 08 22 ?? ?? ?? ?? 02 23 BB 60 64 E0 BB 68 02 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 64 D7 F8 DC 30 1A 68 BB 6C 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 3D E0 BB 68 01 2B 1A D1 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 64 D7 F8 DC 30 1A 68 FB 6C 1A 43 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 90 01 D7 F8 C0 00 ?? ?? ?? ?? 38 65 39 6D 17 F1 C8 00 08 22 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 73 BB 7B 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 38 86 3A 8E 48 21 78 68 ?? ?? ?? ?? F8 73 FB 7B 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 74 3B 7C 00 2B 1D D0 17 F1 C8 00 ?? ?? ?? ?? 38 84 00 22 39 8C 78 68 ?? ?? ?? ?? 78 74 97 F9 11 30 3B 70 97 F9 00 30 3A 2B 07 D0 97 F9 00 30 2C 2B 03 D0 97 F9 00 30 2F 2B 03 D1 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 74 BB 7C 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 78 84 7A 8C 48 21 78 68 ?? ?? ?? ?? F8 74 FB 7C 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 75 3B 7D 00 2B 00 D0 83 E0 17 F1 C8 00 ?? ?? ?? ?? B8 84 BA 8C 04 21 78 68 ?? ?? ?? ?? 78 75 7B 7D 00 2B 31 D1 BB 68 02 2B 08 D1 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 24 E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 98 01 D7 F8 C0 00 ?? ?? ?? ?? 78 65 79 6D 17 F1 C8 00 08 22 ?? ?? ?? ?? BB 68 04 2B 01 D1 03 23 BB 60 43 E0 BB 68 01 2B 02 D0 BB 68 03 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 65 D7 F8 DC 30 1A 68 BB 6D 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 19 E0 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 65 D7 F8 DC 30 1A 68 FB 6D 1A 43 D7 F8 DC 30 1A 60 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 75 BB 7D 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? F8 84 FA 8C 48 21 78 68 ?? ?? ?? ?? F8 75 FB 7D 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 76 3B 7E 00 2B 1D D0 17 F1 C8 00 ?? ?? ?? ?? 38 85 00 22 39 8D 78 68 ?? ?? ?? ?? 78 76 97 F9 19 30 7B 70 97 F9 01 30 3A 2B 07 D0 97 F9 01 30 2C 2B 03 D0 97 F9 01 30 2F 2B 03 D1 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 76 BB 7E 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 78 85 7A 8D 48 21 78 68 ?? ?? ?? ?? F8 76 FB 7E 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 77 3B 7F 00 2B 08 D0 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 9F E0 17 F1 C8 00 ?? ?? ?? ?? B8 85 BA 8D 04 21 78 68 ?? ?? ?? ?? 78 77 7B 7F 00 2B 2C D1 BB 68 04 2B 08 D0 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 A0 01 D7 F8 C0 00 ?? ?? ?? ?? 38 66 39 6E 17 F1 C8 00 08 22 ?? ?? ?? ?? 64 E0 BB 68 04 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? 78 66 D7 F8 DC 30 1A 68 7B 6E 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 3D E0 BB 68 03 2B 1A D1 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 66 D7 F8 DC 30 1A 68 BB 6E 1A 43 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 A8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 66 F9 6E 17 F1 C8 00 08 22 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 77 BB 7F 00 2B 07 D0 D7 F8 DC 30 1B 68 43 F0 01 02 D7 F8 DC 30 1A 60 D7 F8 C4 00 17 F1 C8 01 08 22 ?? ?? ?? ?? D7 F8 C4 30 3B 67 38 6F 33 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1217_3 {
	meta:
		name = "?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1564
		refs = "0034 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0044 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0050 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 005c ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 006a ??1locale@std@@QAA@XZ 0072 ?date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ 008e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 00a0 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 00ac ?is@?$ctype@_W@std@@QBA_NF_W@Z 00d2 memcpy 00e6 ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0122 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 01b6 ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01d0 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01fc ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 0226 ?narrow@?$ctype@_W@std@@QBAD_WD@Z 0618 ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B AD B0 6F 46 86 B0 6F F0 01 03 C7 E9 20 33 4F F4 86 73 01 93 DF F8 F8 35 00 93 D7 F8 D0 20 D7 F8 D4 30 D7 F8 C8 00 D7 F8 CC 10 ?? ?? ?? ?? 40 F2 0D 12 DF F8 D8 15 D7 F8 E0 00 ?? ?? ?? ?? 17 F1 78 01 D7 F8 D8 00 ?? ?? ?? ?? 78 63 7B 6B BB 63 B8 6B ?? ?? ?? ?? F8 63 FB 6B 7B 60 17 F1 78 00 ?? ?? ?? ?? D7 F8 C0 00 ?? ?? ?? ?? 38 64 3B 6C BB 60 BB 68 00 2B 01 D1 02 23 BB 60 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 73 3B 7B 00 2B 00 D0 95 E0 17 F1 C8 00 ?? ?? ?? ?? F8 85 FA 8D 04 21 78 68 ?? ?? ?? ?? 78 73 7B 7B 00 2B 22 D1 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 88 01 D7 F8 C0 00 ?? ?? ?? ?? 78 64 79 6C 17 F1 C8 00 08 22 ?? ?? ?? ?? 02 23 BB 60 64 E0 BB 68 02 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 64 D7 F8 DC 30 1A 68 BB 6C 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 3D E0 BB 68 01 2B 1A D1 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 64 D7 F8 DC 30 1A 68 FB 6C 1A 43 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 90 01 D7 F8 C0 00 ?? ?? ?? ?? 38 65 39 6D 17 F1 C8 00 08 22 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 73 BB 7B 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 38 86 3A 8E 48 21 78 68 ?? ?? ?? ?? F8 73 FB 7B 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 74 3B 7C 00 2B 1D D0 17 F1 C8 00 ?? ?? ?? ?? 38 84 00 22 39 8C 78 68 ?? ?? ?? ?? 78 74 97 F9 11 30 3B 70 97 F9 00 30 3A 2B 07 D0 97 F9 00 30 2C 2B 03 D0 97 F9 00 30 2F 2B 03 D1 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 74 BB 7C 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 78 84 7A 8C 48 21 78 68 ?? ?? ?? ?? F8 74 FB 7C 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 75 3B 7D 00 2B 00 D0 83 E0 17 F1 C8 00 ?? ?? ?? ?? B8 84 BA 8C 04 21 78 68 ?? ?? ?? ?? 78 75 7B 7D 00 2B 31 D1 BB 68 02 2B 08 D1 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 24 E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 98 01 D7 F8 C0 00 ?? ?? ?? ?? 78 65 79 6D 17 F1 C8 00 08 22 ?? ?? ?? ?? BB 68 04 2B 01 D1 03 23 BB 60 43 E0 BB 68 01 2B 02 D0 BB 68 03 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 65 D7 F8 DC 30 1A 68 BB 6D 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 19 E0 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 65 D7 F8 DC 30 1A 68 FB 6D 1A 43 D7 F8 DC 30 1A 60 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 75 BB 7D 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? F8 84 FA 8C 48 21 78 68 ?? ?? ?? ?? F8 75 FB 7D 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 76 3B 7E 00 2B 1D D0 17 F1 C8 00 ?? ?? ?? ?? 38 85 00 22 39 8D 78 68 ?? ?? ?? ?? 78 76 97 F9 19 30 7B 70 97 F9 01 30 3A 2B 07 D0 97 F9 01 30 2C 2B 03 D0 97 F9 01 30 2F 2B 03 D1 17 F1 C8 00 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 76 BB 7E 00 2B 12 D0 17 F1 C8 00 ?? ?? ?? ?? 78 85 7A 8D 48 21 78 68 ?? ?? ?? ?? F8 76 FB 7E 00 2B 04 D0 17 F1 C8 00 ?? ?? ?? ?? E2 E7 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? 38 77 3B 7F 00 2B 08 D0 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 9F E0 17 F1 C8 00 ?? ?? ?? ?? B8 85 BA 8D 04 21 78 68 ?? ?? ?? ?? 78 77 7B 7F 00 2B 2C D1 BB 68 04 2B 08 D0 D7 F8 DC 30 1B 68 43 F0 02 02 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 A0 01 D7 F8 C0 00 ?? ?? ?? ?? 38 66 39 6E 17 F1 C8 00 08 22 ?? ?? ?? ?? 64 E0 BB 68 04 2B 23 D1 7B 68 02 93 D7 F8 E0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? 78 66 D7 F8 DC 30 1A 68 7B 6E 1A 43 D7 F8 DC 30 1A 60 D7 F8 E0 30 10 33 1B 68 5A 1E D7 F8 E0 30 10 33 1A 60 3D E0 BB 68 03 2B 1A D1 7B 68 02 93 D7 F8 E0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 D0 02 17 F1 C8 01 D7 F8 C0 00 ?? ?? ?? ?? B8 66 D7 F8 DC 30 1A 68 BB 6E 1A 43 D7 F8 DC 30 1A 60 1F E0 D7 F8 E0 30 04 93 D7 F8 DC 30 03 93 D7 F8 D8 30 02 93 68 46 17 F1 D0 01 08 22 ?? ?? ?? ?? D7 F8 C8 20 D7 F8 CC 30 17 F1 A8 01 D7 F8 C0 00 ?? ?? ?? ?? F8 66 F9 6E 17 F1 C8 00 08 22 ?? ?? ?? ?? 17 F1 D0 01 17 F1 C8 00 ?? ?? ?? ?? B8 77 BB 7F 00 2B 07 D0 D7 F8 DC 30 1B 68 43 F0 01 02 D7 F8 DC 30 1A 60 D7 F8 C4 00 17 F1 C8 01 08 22 ?? ?? ?? ?? D7 F8 C4 30 3B 67 38 6F 33 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1219_3 {
	meta:
		name = "?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 128
		refs = "001c ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0028 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0038 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0066 memcpy 007c ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 4F F4 BF 73 01 93 1A 4B 00 93 0C 9A 0D 9B 0A 98 0B 99 ?? ?? ?? ?? 40 F2 7F 12 15 49 10 98 ?? ?? ?? ?? 08 9B 0C 33 1B 68 00 22 0C A9 0A A8 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 06 DA 0F 9B 1B 68 43 F0 02 02 0F 9B 1A 60 04 E0 02 9B 5A 10 10 9B 10 33 1A 60 09 98 0A A9 08 22 ?? ?? ?? ?? 09 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_491_3 {
	meta:
		name = "?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 128
		refs = "001c ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0028 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0038 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0066 memcpy 007c ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 4F F4 BF 73 01 93 1A 4B 00 93 0C 9A 0D 9B 0A 98 0B 99 ?? ?? ?? ?? 40 F2 7F 12 15 49 10 98 ?? ?? ?? ?? 08 9B 0C 33 1B 68 00 22 0C A9 0A A8 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 06 DA 0F 9B 1B 68 43 F0 02 02 0F 9B 1A 60 04 E0 02 9B 5A 10 10 9B 10 33 1A 60 09 98 0A A9 08 22 ?? ?? ?? ?? 09 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1220_3 {
	meta:
		name = "?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 128
		refs = "001c ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0028 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0038 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0066 memcpy 007c ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 4F F4 BF 73 01 93 1A 4B 00 93 0C 9A 0D 9B 0A 98 0B 99 ?? ?? ?? ?? 40 F2 7F 12 15 49 10 98 ?? ?? ?? ?? 08 9B 0C 33 1B 68 00 22 0C A9 0A A8 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 06 DA 0F 9B 1B 68 43 F0 02 02 0F 9B 1A 60 04 E0 02 9B 5A 10 10 9B 10 33 1A 60 09 98 0A A9 08 22 ?? ?? ?? ?? 09 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1221_3 {
	meta:
		name = "?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 372
		refs = "0028 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0032 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0074 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 0092 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ 009e ?narrow@?$ctype@G@std@@QBADGD@Z 00be ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ 015c memcpy 0170 ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0E 33 F3 23 01 93 54 4B 00 93 3A 6E 7B 6E B8 6D F9 6D ?? ?? ?? ?? F4 22 50 49 38 6F ?? ?? ?? ?? 17 F1 30 01 B8 6E ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 60 17 F1 30 00 ?? ?? ?? ?? BB 68 02 93 3B 6F 08 33 01 93 17 23 00 93 00 23 17 F1 60 02 17 F1 58 01 38 6D ?? ?? ?? ?? B8 61 FB 6E 1A 68 BB 69 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0E D1 17 F1 58 00 ?? ?? ?? ?? 78 80 00 22 79 88 B8 68 ?? ?? ?? ?? 38 70 97 F9 00 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 19 E0 17 F1 58 00 ?? ?? ?? ?? F8 61 BB 68 02 93 3B 6F 1B 1D 01 93 3B 23 00 93 00 23 17 F1 60 02 F9 69 38 6D ?? ?? ?? ?? 38 62 FB 6E 1A 68 3B 6A 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0E D1 17 F1 58 00 ?? ?? ?? ?? B8 80 00 22 B9 88 B8 68 ?? ?? ?? ?? 78 70 97 F9 01 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 18 E0 17 F1 58 00 ?? ?? ?? ?? 78 62 BB 68 02 93 3B 6F 01 93 3B 23 00 93 00 23 17 F1 60 02 79 6A 38 6D ?? ?? ?? ?? B8 62 FB 6E 1A 68 BB 6A 1A 43 FB 6E 1A 60 78 6D 17 F1 58 01 08 22 ?? ?? ?? ?? 7B 6D FB 62 F8 6A 15 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1223_3 {
	meta:
		name = "?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 372
		refs = "0028 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0032 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0074 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 0092 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ 009e ?narrow@?$ctype@_W@std@@QBAD_WD@Z 00be ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ 015c memcpy 0170 ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0E 33 F3 23 01 93 54 4B 00 93 3A 6E 7B 6E B8 6D F9 6D ?? ?? ?? ?? F4 22 50 49 38 6F ?? ?? ?? ?? 17 F1 30 01 B8 6E ?? ?? ?? ?? F8 60 FB 68 3B 61 38 69 ?? ?? ?? ?? 78 61 7B 69 BB 60 17 F1 30 00 ?? ?? ?? ?? BB 68 02 93 3B 6F 08 33 01 93 17 23 00 93 00 23 17 F1 60 02 17 F1 58 01 38 6D ?? ?? ?? ?? B8 61 FB 6E 1A 68 BB 69 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0E D1 17 F1 58 00 ?? ?? ?? ?? 78 80 00 22 79 88 B8 68 ?? ?? ?? ?? 38 70 97 F9 00 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 19 E0 17 F1 58 00 ?? ?? ?? ?? F8 61 BB 68 02 93 3B 6F 1B 1D 01 93 3B 23 00 93 00 23 17 F1 60 02 F9 69 38 6D ?? ?? ?? ?? 38 62 FB 6E 1A 68 3B 6A 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0E D1 17 F1 58 00 ?? ?? ?? ?? B8 80 00 22 B9 88 B8 68 ?? ?? ?? ?? 78 70 97 F9 01 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 18 E0 17 F1 58 00 ?? ?? ?? ?? 78 62 BB 68 02 93 3B 6F 01 93 3B 23 00 93 00 23 17 F1 60 02 79 6A 38 6D ?? ?? ?? ?? B8 62 FB 6E 1A 68 BB 6A 1A 43 FB 6E 1A 60 78 6D 17 F1 58 01 08 22 ?? ?? ?? ?? 7B 6D FB 62 F8 6A 15 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1225_3 {
	meta:
		name = "?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 128
		refs = "001c ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0028 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0038 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0066 memcpy 007c ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 40 F2 6F 13 01 93 1A 4B 00 93 0C 9A 0D 9B 0A 98 0B 99 ?? ?? ?? ?? 4F F4 B8 72 15 49 10 98 ?? ?? ?? ?? 08 9B 08 33 1B 68 00 22 0C A9 0A A8 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 06 DA 0F 9B 1B 68 43 F0 02 02 0F 9B 1A 60 04 E0 02 9B 5A 10 10 9B 18 33 1A 60 09 98 0A A9 08 22 ?? ?? ?? ?? 09 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_494_3 {
	meta:
		name = "?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 128
		refs = "001c ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0028 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0038 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0066 memcpy 007c ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 40 F2 6F 13 01 93 1A 4B 00 93 0C 9A 0D 9B 0A 98 0B 99 ?? ?? ?? ?? 4F F4 B8 72 15 49 10 98 ?? ?? ?? ?? 08 9B 08 33 1B 68 00 22 0C A9 0A A8 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 06 DA 0F 9B 1B 68 43 F0 02 02 0F 9B 1A 60 04 E0 02 9B 5A 10 10 9B 18 33 1A 60 09 98 0A A9 08 22 ?? ?? ?? ?? 09 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1226_3 {
	meta:
		name = "?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 128
		refs = "001c ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0028 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0038 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0066 memcpy 007c ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 40 F2 6F 13 01 93 1A 4B 00 93 0C 9A 0D 9B 0A 98 0B 99 ?? ?? ?? ?? 4F F4 B8 72 15 49 10 98 ?? ?? ?? ?? 08 9B 08 33 1B 68 00 22 0C A9 0A A8 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 06 DA 0F 9B 1B 68 43 F0 02 02 0F 9B 1A 60 04 E0 02 9B 5A 10 10 9B 18 33 1A 60 09 98 0A A9 08 22 ?? ?? ?? ?? 09 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1227_3 {
	meta:
		name = "?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 240
		refs = "002a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0036 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 005a ??1locale@std@@QAA@XZ 007c ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 00d6 memcpy 00ec ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 84 B0 6F F0 01 03 C7 E9 0A 33 40 F2 8D 13 01 93 33 4B 00 93 3A 6D 7B 6D B8 6C F9 6C ?? ?? ?? ?? 4F F4 C7 72 2E 49 38 6E ?? ?? ?? ?? 17 F1 20 01 B8 6D ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 61 17 F1 20 00 ?? ?? ?? ?? 00 23 3B 60 7B 69 02 93 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 50 02 17 F1 48 01 38 6C ?? ?? ?? ?? B8 61 BB 69 7B 60 FB 6D 1A 68 7B 68 1A 43 FB 6D 1A 60 7B 68 13 F0 02 0F 00 D0 18 E0 3B 68 45 2B 06 DA 3B 68 03 F1 64 02 3B 6E 14 33 1A 60 0E E0 3B 68 64 2B 05 DA 3B 6E 03 F1 14 02 3B 68 13 60 05 E0 3B 68 A3 F2 6C 72 3B 6E 14 33 1A 60 78 6C 17 F1 48 01 08 22 ?? ?? ?? ?? 7B 6C FB 61 F8 69 11 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_495_3 {
	meta:
		name = "?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 240
		refs = "002a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0036 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 005a ??1locale@std@@QAA@XZ 007c ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 00d6 memcpy 00ec ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 84 B0 6F F0 01 03 C7 E9 0A 33 40 F2 8D 13 01 93 33 4B 00 93 3A 6D 7B 6D B8 6C F9 6C ?? ?? ?? ?? 4F F4 C7 72 2E 49 38 6E ?? ?? ?? ?? 17 F1 20 01 B8 6D ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 61 17 F1 20 00 ?? ?? ?? ?? 00 23 3B 60 7B 69 02 93 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 50 02 17 F1 48 01 38 6C ?? ?? ?? ?? B8 61 BB 69 7B 60 FB 6D 1A 68 7B 68 1A 43 FB 6D 1A 60 7B 68 13 F0 02 0F 00 D0 18 E0 3B 68 45 2B 06 DA 3B 68 03 F1 64 02 3B 6E 14 33 1A 60 0E E0 3B 68 64 2B 05 DA 3B 6E 03 F1 14 02 3B 68 13 60 05 E0 3B 68 A3 F2 6C 72 3B 6E 14 33 1A 60 78 6C 17 F1 48 01 08 22 ?? ?? ?? ?? 7B 6C FB 61 F8 69 11 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1229_3 {
	meta:
		name = "?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 240
		refs = "002a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0036 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004c ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 005a ??1locale@std@@QAA@XZ 007c ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 00d6 memcpy 00ec ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 84 B0 6F F0 01 03 C7 E9 0A 33 40 F2 8D 13 01 93 33 4B 00 93 3A 6D 7B 6D B8 6C F9 6C ?? ?? ?? ?? 4F F4 C7 72 2E 49 38 6E ?? ?? ?? ?? 17 F1 20 01 B8 6D ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 61 17 F1 20 00 ?? ?? ?? ?? 00 23 3B 60 7B 69 02 93 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 50 02 17 F1 48 01 38 6C ?? ?? ?? ?? B8 61 BB 69 7B 60 FB 6D 1A 68 7B 68 1A 43 FB 6D 1A 60 7B 68 13 F0 02 0F 00 D0 18 E0 3B 68 45 2B 06 DA 3B 68 03 F1 64 02 3B 6E 14 33 1A 60 0E E0 3B 68 64 2B 05 DA 3B 6E 03 F1 14 02 3B 68 13 60 05 E0 3B 68 A3 F2 6C 72 3B 6E 14 33 1A 60 78 6C 17 F1 48 01 08 22 ?? ?? ?? ?? 7B 6C FB 61 F8 69 11 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1235_3 {
	meta:
		name = "?do_hash@?$collate@G@std@@MBAJPBG0@Z"
		size = 64
		refs = "0012 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0026 ?_Hash_seq@std@@YAIPBEI@Z 003c ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 7B 23 0B 4A 06 99 05 98 ?? ?? ?? ?? 06 9A 05 9B D3 1A 5A 10 02 23 02 FB 03 F1 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1236_3 {
	meta:
		name = "?do_hash@?$collate@_W@std@@MBAJPB_W0@Z"
		size = 64
		refs = "0012 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0026 ?_Hash_seq@std@@YAIPBEI@Z 003c ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 7B 23 0B 4A 06 99 05 98 ?? ?? ?? ?? 06 9A 05 9B D3 1A 5A 10 02 23 02 FB 03 F1 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1285_3 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z"
		size = 576
		refs = "000a __security_push_cookie 0026 ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 002e ?flags@ios_base@std@@QBAHXZ 006c _guard_check_icall 008e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 009a ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 00a8 ??1locale@std@@QAA@XZ 00b0 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00c4 ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00d4 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@$$QAV12@@Z 00dc ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 00e8 ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0108 ?width@ios_base@std@@QBA_JXZ 013a ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 019e ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 01ac memcpy 01c2 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ 01e0 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 01fa ?width@ios_base@std@@QAA_J_J@Z 022e __security_pop_cookie 023c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BF B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 4F F4 9D 62 86 49 17 F5 94 70 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 38 31 02 93 B7 F8 34 31 01 93 D7 F8 30 31 00 93 D7 F8 28 91 D7 F8 2C 81 D7 F8 24 61 D7 F8 20 31 1B 68 24 33 D7 F8 20 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 24 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 30 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 38 31 00 2B 11 D0 17 F1 C0 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 C0 00 ?? ?? ?? ?? 10 E0 17 F1 E0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 E0 00 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 30 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 30 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 30 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 B7 F8 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 90 01 D7 F8 20 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 94 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 98 01 D7 F8 20 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 94 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 30 01 ?? ?? ?? ?? 3B 68 01 93 B7 F8 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 24 31 3B 61 38 69 43 B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1297_3 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z"
		size = 576
		refs = "000a __security_push_cookie 0026 ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 002e ?flags@ios_base@std@@QBAHXZ 006c _guard_check_icall 008e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 009a ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 00a8 ??1locale@std@@QAA@XZ 00b0 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00c4 ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00d4 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@$$QAV12@@Z 00dc ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00e8 ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0108 ?width@ios_base@std@@QBA_JXZ 013a ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 019e ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 01ac memcpy 01c2 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ 01e0 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 01fa ?width@ios_base@std@@QAA_J_J@Z 022e __security_pop_cookie 023c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BF B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 4F F4 9D 62 86 49 17 F5 94 70 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 38 31 02 93 B7 F8 34 31 01 93 D7 F8 30 31 00 93 D7 F8 28 91 D7 F8 2C 81 D7 F8 24 61 D7 F8 20 31 1B 68 24 33 D7 F8 20 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 24 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 30 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 38 31 00 2B 11 D0 17 F1 C0 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 C0 00 ?? ?? ?? ?? 10 E0 17 F1 E0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 E0 00 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 30 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 30 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 30 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 B7 F8 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 90 01 D7 F8 20 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 94 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 98 01 D7 F8 20 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 94 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 30 01 ?? ?? ?? ?? 3B 68 01 93 B7 F8 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 24 31 3B 61 38 69 43 B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1300_3 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z"
		size = 384
		refs = "000a __security_push_cookie 0026 ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 0034 ??$_Debug_pointer@$$CBUtm@@@std@@YAXPBUtm@@PB_WI@Z 005a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00ac ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 00b8 ?_Getptr@_Timevec@std@@QBAPAXXZ 00c2 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00d0 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00dc ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 00f2 _Wcsftime 0116 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 012a ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0144 memcpy 0154 ??$copy@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z 015c ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 016a __security_pop_cookie 0178 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 017c ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 14 33 40 F2 2C 42 56 49 17 F1 A0 00 ?? ?? ?? ?? 40 F2 2D 42 53 49 D7 F8 B0 00 ?? ?? ?? ?? 17 F1 78 03 3B 61 38 69 4D 49 91 E8 0C 00 80 E8 0C 00 08 31 08 30 02 46 0B 46 1B 88 13 80 17 F1 58 00 ?? ?? ?? ?? B8 63 97 F9 B8 30 00 2B 07 D1 97 F9 B4 30 9A B2 17 F1 78 03 1B 1D 1A 80 0D E0 97 F9 B8 30 9A B2 17 F1 78 03 1B 1D 1A 80 97 F9 B4 30 9A B2 17 F1 78 03 9B 1D 1A 80 10 23 7B 60 04 E0 7A 68 02 23 02 FB 03 F3 7B 60 00 22 79 68 17 F1 58 00 ?? ?? ?? ?? D7 F8 98 30 03 F1 08 00 ?? ?? ?? ?? F8 61 17 F1 58 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 58 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 B8 69 ?? ?? ?? ?? 78 62 FB 69 00 93 D7 F8 B0 30 17 F1 78 02 39 6A 78 6A ?? ?? ?? ?? B8 62 BB 6A FB 60 FB 68 00 2B 02 D9 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 BA E7 F9 68 17 F1 58 00 ?? ?? ?? ?? F8 62 01 21 17 F1 58 00 ?? ?? ?? ?? 38 63 68 46 17 F1 A4 01 04 22 ?? ?? ?? ?? D7 F8 A0 30 FA 6A 39 6B D7 F8 9C 00 ?? ?? ?? ?? 17 F1 58 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1303_3 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z"
		size = 384
		refs = "000a __security_push_cookie 0026 ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 0034 ??$_Debug_pointer@$$CBUtm@@@std@@YAXPBUtm@@PB_WI@Z 005a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 00ac ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 00b8 ?_Getptr@_Timevec@std@@QBAPAXXZ 00c2 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00d0 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00dc ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 00f2 _Wcsftime 0116 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 012a ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z 0144 memcpy 0154 ??$copy@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z 015c ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 016a __security_pop_cookie 0178 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 017c ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 14 33 40 F2 9D 32 56 49 17 F1 A0 00 ?? ?? ?? ?? 40 F2 9E 32 53 49 D7 F8 B0 00 ?? ?? ?? ?? 17 F1 78 03 3B 61 38 69 4D 49 91 E8 0C 00 80 E8 0C 00 08 31 08 30 02 46 0B 46 1B 88 13 80 17 F1 58 00 ?? ?? ?? ?? B8 63 97 F9 B8 30 00 2B 07 D1 97 F9 B4 30 9A B2 17 F1 78 03 1B 1D 1A 80 0D E0 97 F9 B8 30 9A B2 17 F1 78 03 1B 1D 1A 80 97 F9 B4 30 9A B2 17 F1 78 03 9B 1D 1A 80 10 23 7B 60 04 E0 7A 68 02 23 02 FB 03 F3 7B 60 00 22 79 68 17 F1 58 00 ?? ?? ?? ?? D7 F8 98 30 03 F1 08 00 ?? ?? ?? ?? F8 61 17 F1 58 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 58 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 B8 69 ?? ?? ?? ?? 78 62 FB 69 00 93 D7 F8 B0 30 17 F1 78 02 39 6A 78 6A ?? ?? ?? ?? B8 62 BB 6A FB 60 FB 68 00 2B 02 D9 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 BA E7 F9 68 17 F1 58 00 ?? ?? ?? ?? F8 62 01 21 17 F1 58 00 ?? ?? ?? ?? 38 63 68 46 17 F1 A4 01 04 22 ?? ?? ?? ?? D7 F8 A0 30 FA 6A 39 6B D7 F8 9C 00 ?? ?? ?? ?? 17 F1 58 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1322_3 {
	meta:
		name = "?do_transform@?$collate@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z"
		size = 316
		refs = "000a __security_push_cookie 002c ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0034 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0054 ?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 0060 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 006c ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAAAGXZ 0076 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ 00b4 ??$_LStrxfrm@G@std@@YAIPAG0PBG1PBU_Collvec@@@Z 00e4 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ 010c ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@$$QAV01@@Z 011e ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 012c __security_pop_cookie 0138 ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 18 33 00 23 FB 60 68 23 45 4A D7 F8 A4 10 D7 F8 A0 00 ?? ?? ?? ?? 17 F1 68 00 ?? ?? ?? ?? B8 63 D7 F8 A4 20 D7 F8 A0 30 D3 1A 5B 10 7B 60 7B 68 00 2B 55 D9 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 50 01 17 F1 68 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? 78 62 17 F1 68 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 68 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? B8 62 D7 F8 98 30 08 33 00 93 D7 F8 A4 30 D7 F8 A0 20 38 6A 02 21 00 FB 01 F0 79 6A 01 44 B8 6A ?? ?? ?? ?? F8 62 17 F1 68 00 ?? ?? ?? ?? 38 63 FB 6A 7B 60 7A 68 3B 6B 9A 42 02 D8 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 17 F1 50 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 A6 E7 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 68 01 D7 F8 9C 00 ?? ?? ?? ?? F8 63 FB 68 43 F0 01 03 FB 60 17 F1 68 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1326_3 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z"
		size = 316
		refs = "000a __security_push_cookie 002c ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0034 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0054 ?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 0060 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 006c ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ 0076 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ 00b4 ??$_LStrxfrm@_W@std@@YAIPA_W0PB_W1PBU_Collvec@@@Z 00e4 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ 010c ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@$$QAV01@@Z 011e ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 012c __security_pop_cookie 0138 ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 18 33 00 23 FB 60 68 23 45 4A D7 F8 A4 10 D7 F8 A0 00 ?? ?? ?? ?? 17 F1 68 00 ?? ?? ?? ?? B8 63 D7 F8 A4 20 D7 F8 A0 30 D3 1A 5B 10 7B 60 7B 68 00 2B 55 D9 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 50 01 17 F1 68 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? 78 62 17 F1 68 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 68 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? B8 62 D7 F8 98 30 08 33 00 93 D7 F8 A4 30 D7 F8 A0 20 38 6A 02 21 00 FB 01 F0 79 6A 01 44 B8 6A ?? ?? ?? ?? F8 62 17 F1 68 00 ?? ?? ?? ?? 38 63 FB 6A 7B 60 7A 68 3B 6B 9A 42 02 D8 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 17 F1 50 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 A6 E7 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 68 01 D7 F8 9C 00 ?? ?? ?? ?? F8 63 FB 68 43 F0 01 03 FB 60 17 F1 68 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1414_3 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIPBGI@Z"
		size = 448
		refs = "002c ??$_Debug_pointer_if@$$CBG@std@@YAX_NPBGPB_WI@Z 0034 ?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NPBG@Z 0046 ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ 0062 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIABV12@II@Z 0072 ?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z 007c ?_Clamp_suffix_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIII@Z 0088 ?_Mysize@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAAAIXZ 00a2 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 0102 ?move@?$char_traits@G@std@@SAPAGPAGPBGI@Z 012e ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 01a0 ?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z 01a8 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z 01bc ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 91 B0 18 9B 00 2B 03 D0 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 40 F2 AE 53 65 4A 17 99 9D F8 08 00 ?? ?? ?? ?? 17 99 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 14 D0 14 98 ?? ?? ?? ?? 06 90 18 9B 01 93 17 9A 06 9B D3 1A 5B 10 00 93 14 9B 16 9A 15 99 14 98 ?? ?? ?? ?? 07 90 07 9B 05 93 A0 E0 15 99 14 98 ?? ?? ?? ?? 16 9A 15 99 14 98 ?? ?? ?? ?? 08 90 08 9B 16 93 14 98 ?? ?? ?? ?? 09 90 18 9B C3 F1 FF 31 09 9B 1A 68 16 9B D3 1A 99 42 02 D8 14 98 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0A 90 0A 9B 1A 68 16 9B D2 1A 15 9B D3 1A 03 93 18 9A 16 9B 9A 42 20 D2 14 98 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 03 9A 15 99 02 23 01 FB 03 F1 0B 9B 58 18 16 99 02 23 01 FB 03 F3 C1 18 15 98 02 23 00 FB 03 F0 0C 9B 1C 18 18 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0D 90 0D 9B 1A 68 18 9B 1A 44 16 9B D3 1A 04 93 18 9B 00 2B 02 D8 16 9B 00 2B 41 D9 00 22 04 99 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 36 D0 16 9A 18 9B 9A 42 20 D2 14 98 ?? ?? ?? ?? 0E 90 14 98 ?? ?? ?? ?? 0F 90 03 9A 15 99 02 23 01 FB 03 F1 0E 9B 58 18 16 99 02 23 01 FB 03 F3 C1 18 15 98 02 23 00 FB 03 F0 0F 9B 1C 18 18 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 10 90 18 9A 17 99 15 98 02 23 00 FB 03 F0 10 9B 18 44 ?? ?? ?? ?? 04 99 14 98 ?? ?? ?? ?? 14 9B 05 93 05 98 11 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_1423_3 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIPB_WI@Z"
		size = 448
		refs = "002c ??$_Debug_pointer_if@$$CB_W@std@@YAX_NPB_W1I@Z 0034 ?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z 0046 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0062 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIABV12@II@Z 0072 ?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z 007c ?_Clamp_suffix_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIII@Z 0088 ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 00a2 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 0102 ?move@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 012e ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 01a0 ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 01a8 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 01bc ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 91 B0 18 9B 00 2B 03 D0 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 40 F2 AE 53 65 4A 17 99 9D F8 08 00 ?? ?? ?? ?? 17 99 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 14 D0 14 98 ?? ?? ?? ?? 06 90 18 9B 01 93 17 9A 06 9B D3 1A 5B 10 00 93 14 9B 16 9A 15 99 14 98 ?? ?? ?? ?? 07 90 07 9B 05 93 A0 E0 15 99 14 98 ?? ?? ?? ?? 16 9A 15 99 14 98 ?? ?? ?? ?? 08 90 08 9B 16 93 14 98 ?? ?? ?? ?? 09 90 18 9B C3 F1 FF 31 09 9B 1A 68 16 9B D3 1A 99 42 02 D8 14 98 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0A 90 0A 9B 1A 68 16 9B D2 1A 15 9B D3 1A 03 93 18 9A 16 9B 9A 42 20 D2 14 98 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 03 9A 15 99 02 23 01 FB 03 F1 0B 9B 58 18 16 99 02 23 01 FB 03 F3 C1 18 15 98 02 23 00 FB 03 F0 0C 9B 1C 18 18 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0D 90 0D 9B 1A 68 18 9B 1A 44 16 9B D3 1A 04 93 18 9B 00 2B 02 D8 16 9B 00 2B 41 D9 00 22 04 99 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 36 D0 16 9A 18 9B 9A 42 20 D2 14 98 ?? ?? ?? ?? 0E 90 14 98 ?? ?? ?? ?? 0F 90 03 9A 15 99 02 23 01 FB 03 F1 0E 9B 58 18 16 99 02 23 01 FB 03 F3 C1 18 15 98 02 23 00 FB 03 F0 0F 9B 1C 18 18 98 02 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 10 90 18 9A 17 99 15 98 02 23 00 FB 03 F0 10 9B 18 44 ?? ?? ?? ?? 04 99 14 98 ?? ?? ?? ?? 14 9B 05 93 05 98 11 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_140_3 {
	meta:
		name = "??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ"
		size = 80
		refs = "0016 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0048 ??_C@_1FE@NIBPPHHA@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf@ 004c ??_C@_1FE@CDFBMMIP@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D1 04 98 ?? ?? ?? ?? 04 9B 1B 68 00 2B 05 D1 40 F2 05 22 09 49 07 48 ?? ?? ?? ?? 04 9B 5B 1D 93 F9 00 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_186_3 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z"
		size = 1248
		refs = "000a __security_push_cookie 0028 ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 005e ?flags@ios_base@std@@QBAHXZ 00dc strcspn 00f2 memcpy 00f6 localeconv 0124 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0130 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 013e ??1locale@std@@QAA@XZ 014c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 015a ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0178 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 0190 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 01a8 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01b2 ?thousands_sep@?$numpunct@D@std@@QBADXZ 01ca ?decimal_point@?$numpunct@D@std@@QBADXZ 0202 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0248 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0264 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0274 ?width@ios_base@std@@QBA_JXZ 0322 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0364 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 0482 ?width@ios_base@std@@QAA_J_J@Z 04a8 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 04c2 __security_pop_cookie 04d0 ??_C@_01LFCBOECM@?4?$AA@ 04d4 ??_C@_02OOPEBDOJ@pP?$AA@ 04d8 ??_C@_02MDKMJEGG@eE?$AA@ 04dc ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? D8 B0 6F 46 82 B0 6F F0 01 03 C7 E9 3A 33 40 F2 86 52 DF F8 B8 14 17 F5 BC 70 ?? ?? ?? ?? D7 F8 8C 31 00 2B 0E D9 D7 F8 88 31 93 F9 00 30 2B 2B 05 D0 D7 F8 88 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 62 01 E0 00 23 7B 62 7B 6A 3B 60 D7 F8 80 01 ?? ?? ?? ?? 78 63 7B 6B 03 F4 40 53 B3 F5 40 5F 03 D0 DF F8 64 34 BB 62 2E E0 DF F8 58 34 BB 62 3B 68 9A 1C D7 F8 8C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 88 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 B9 6A D7 F8 88 01 ?? ?? ?? ?? B8 63 BB 6B FB 66 17 F1 0C 03 FB 63 F8 6B F8 49 02 22 ?? ?? ?? ?? ?? ?? ?? ?? 38 64 3B 6C 1B 68 17 F1 0C 02 93 F9 00 30 13 70 17 F1 0C 01 D7 F8 88 01 ?? ?? ?? ?? 78 64 7B 6C 7B 61 17 F1 D8 01 D7 F8 80 01 ?? ?? ?? ?? B8 64 BB 6C FB 64 F8 6C ?? ?? ?? ?? 38 65 3B 6D BB 65 17 F1 D8 00 ?? ?? ?? ?? 00 22 D7 F8 8C 11 17 F5 90 70 ?? ?? ?? ?? C7 F8 D0 00 00 21 17 F5 90 70 ?? ?? ?? ?? 78 65 7B 6D D7 F8 8C 11 01 22 01 FB 02 F1 D7 F8 88 21 0A 44 D7 F8 88 11 B8 6D ?? ?? ?? ?? 17 F1 E0 01 D7 F8 80 01 ?? ?? ?? ?? F8 65 FB 6D 3B 66 38 6E ?? ?? ?? ?? 78 66 7B 6E FB 61 17 F1 E0 00 ?? ?? ?? ?? 17 F5 A0 71 F8 69 ?? ?? ?? ?? C7 F8 D4 00 F8 69 ?? ?? ?? ?? 38 71 97 F9 04 30 BB 71 7A 69 D7 F8 8C 31 9A 42 0D D0 F8 69 ?? ?? ?? ?? 78 71 79 69 17 F5 90 70 ?? ?? ?? ?? B8 66 97 F9 05 20 BB 6E 1A 70 7A 69 D7 F8 8C 31 9A 42 02 D1 FB 6E FB 62 01 E0 7B 69 FB 62 FB 6A BB 61 00 21 17 F5 A0 70 ?? ?? ?? ?? 38 67 3B 6F BB 60 BB 68 93 F9 00 30 7F 2B 24 D0 BB 68 93 F9 00 30 00 2B 1F DD BB 68 93 F9 00 10 BA 69 3B 68 D3 1A 99 42 17 D2 BB 68 93 F9 00 20 BB 69 9B 1A BB 61 97 F9 06 30 01 22 B9 69 17 F5 90 70 ?? ?? ?? ?? BB 68 5B 1C 93 F9 00 30 00 2B 02 DD BB 68 5B 1C BB 60 D5 E7 17 F5 90 70 ?? ?? ?? ?? 78 67 7B 6F C7 F8 8C 31 D7 F8 80 01 ?? ?? ?? ?? C7 F8 B4 10 C7 F8 B0 00 D7 F8 B0 30 C7 F8 B8 30 D7 F8 B4 30 C7 F8 BC 30 D7 F8 B8 30 BB 67 D7 F8 BC 30 00 2B 20 DB 02 DC BB 6F 00 2B 1C D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 C4 10 C7 F8 C0 00 D7 F8 C0 20 D7 F8 8C 31 9A 42 0E D9 D7 F8 80 01 ?? ?? ?? ?? C7 F8 CC 10 C7 F8 C8 00 D7 F8 C8 20 D7 F8 8C 31 D3 1A 3B 63 01 E0 00 23 3B 63 3B 6B 3B 61 D7 F8 80 01 ?? ?? ?? ?? F8 67 FB 6F 03 F4 E0 73 3B 62 3B 6A 40 2B 3D D0 3B 6A B3 F5 80 7F 39 D0 3B 69 01 93 97 F9 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F0 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 3B 61 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 84 00 3B 68 01 93 D7 F8 84 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F1 F8 01 D7 F8 70 01 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 5C E0 3B 6A B3 F5 80 7F 39 D1 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 8C 00 3B 68 01 93 D7 F8 8C 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 80 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 3B 69 01 93 97 F9 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 84 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 23 3B 61 1E E0 00 21 17 F5 90 70 ?? ?? ?? ?? C7 F8 98 00 3B 68 01 93 D7 F8 98 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 88 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 39 68 17 F5 90 70 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 8C 21 3B 68 D3 1A 01 93 D7 F8 A0 30 00 93 D7 F8 78 21 D7 F8 7C 31 17 F5 8C 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 10 17 F5 BC 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 80 01 ?? ?? ?? ?? 3B 69 01 93 97 F9 84 31 00 93 D7 F8 78 21 D7 F8 7C 31 D7 F8 74 11 D7 F8 70 01 ?? ?? ?? ?? 17 F5 A0 70 ?? ?? ?? ?? 17 F5 90 70 ?? ?? ?? ?? D7 F8 74 31 C7 F8 A8 30 D7 F8 A8 00 5A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_250_3 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z"
		size = 1072
		refs = "000a __security_push_cookie 0028 ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 005e ?flags@ios_base@std@@QBAHXZ 00d0 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00dc ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00ea ??1locale@std@@QAA@XZ 00f8 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0106 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0124 ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 013c ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0154 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0162 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z 0182 ?thousands_sep@?$numpunct@D@std@@QBADXZ 01d2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 01ee ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 01fe ?width@ios_base@std@@QBA_JXZ 02ac ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 02ba memcpy 02e6 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 03e4 ?width@ios_base@std@@QAA_J_J@Z 040a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0420 __security_pop_cookie 042c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? CC B0 6F 46 82 B0 6F F0 01 03 C7 E9 2E 33 40 F2 EC 52 DF F8 08 14 17 F5 A4 70 ?? ?? ?? ?? D7 F8 5C 31 00 2B 0E D9 D7 F8 58 31 93 F9 00 30 2B 2B 05 D0 D7 F8 58 31 93 F9 00 30 2D 2B 02 D1 01 23 7B 61 01 E0 00 23 7B 61 7B 69 3B 60 D7 F8 50 01 ?? ?? ?? ?? 38 62 3B 6A 03 F4 60 63 B3 F5 00 6F 2B D1 3B 68 9A 1C D7 F8 5C 31 9A 42 25 D8 3A 68 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 30 2B 1A D1 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 78 2B 0B D0 3B 68 5A 1C 01 23 02 FB 03 F2 D7 F8 58 31 13 44 93 F9 00 30 58 2B 02 D1 3B 68 9B 1C 3B 60 17 F1 A8 01 D7 F8 50 01 ?? ?? ?? ?? 78 62 7B 6A BB 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A 7B 63 17 F1 A8 00 ?? ?? ?? ?? 00 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? C7 F8 A0 00 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 63 3B 6B D7 F8 5C 11 01 22 01 FB 02 F1 D7 F8 58 21 0A 44 D7 F8 58 11 78 6B ?? ?? ?? ?? 17 F1 B0 01 D7 F8 50 01 ?? ?? ?? ?? B8 63 BB 6B FB 63 F8 6B ?? ?? ?? ?? 38 64 3B 6C BB 61 17 F1 B0 00 ?? ?? ?? ?? 17 F5 88 71 B8 69 ?? ?? ?? ?? C7 F8 A4 00 00 21 17 F5 88 70 ?? ?? ?? ?? 78 64 7B 6C 7B 60 7B 68 93 F9 00 30 7F 2B 39 D0 7B 68 93 F9 00 30 00 2B 34 DD B8 69 ?? ?? ?? ?? 38 72 97 F9 08 30 7B 72 7B 68 93 F9 00 30 7F 2B 28 D0 7B 68 93 F9 00 30 00 2B 23 DD 7B 68 93 F9 00 10 D7 F8 5C 21 3B 68 D3 1A 99 42 1A D2 7B 68 93 F9 00 20 D7 F8 5C 31 9B 1A C7 F8 5C 31 97 F9 09 30 01 22 D7 F8 5C 11 17 F1 F0 00 ?? ?? ?? ?? 7B 68 5B 1C 93 F9 00 30 00 2B 02 DD 7B 68 5B 1C 7B 60 D1 E7 17 F1 F0 00 ?? ?? ?? ?? B8 64 BB 6C C7 F8 5C 31 D7 F8 50 01 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 C7 F8 88 30 D7 F8 84 30 C7 F8 8C 30 D7 F8 88 30 FB 64 D7 F8 8C 30 00 2B 20 DB 02 DC FB 6C 00 2B 1C D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 94 10 C7 F8 90 00 D7 F8 90 20 D7 F8 5C 31 9A 42 0E D9 D7 F8 50 01 ?? ?? ?? ?? C7 F8 9C 10 C7 F8 98 00 D7 F8 98 20 D7 F8 5C 31 D3 1A FB 61 01 E0 00 23 FB 61 FB 69 FB 60 D7 F8 50 01 ?? ?? ?? ?? 38 65 3B 6D 03 F4 E0 73 3B 61 3B 69 40 2B 37 D0 3B 69 B3 F5 80 7F 33 D0 FB 68 01 93 97 F9 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C0 01 D7 F8 40 01 ?? ?? ?? ?? 78 65 79 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 FB 60 00 21 17 F1 F0 00 ?? ?? ?? ?? B8 65 3B 68 01 93 BB 6D 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 C8 01 D7 F8 40 01 ?? ?? ?? ?? F8 65 F9 6D 17 F5 A4 70 08 22 ?? ?? ?? ?? 52 E0 3B 69 B3 F5 80 7F 33 D1 00 21 17 F1 F0 00 ?? ?? ?? ?? 38 66 3B 68 01 93 3B 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D0 01 D7 F8 40 01 ?? ?? ?? ?? 78 66 79 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? FB 68 01 93 97 F9 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 D8 01 D7 F8 40 01 ?? ?? ?? ?? B8 66 B9 6E 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 23 FB 60 1A E0 00 21 17 F1 F0 00 ?? ?? ?? ?? F8 66 3B 68 01 93 FB 6E 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E0 01 D7 F8 40 01 ?? ?? ?? ?? 38 67 39 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 39 68 17 F1 F0 00 ?? ?? ?? ?? 78 67 D7 F8 5C 21 3B 68 D3 1A 01 93 7B 6F 00 93 D7 F8 48 21 D7 F8 4C 31 17 F1 E8 01 D7 F8 40 01 ?? ?? ?? ?? B8 67 B9 6F 17 F5 A4 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 50 01 ?? ?? ?? ?? FB 68 01 93 97 F9 54 31 00 93 D7 F8 48 21 D7 F8 4C 31 D7 F8 44 11 D7 F8 40 01 ?? ?? ?? ?? 17 F5 88 70 ?? ?? ?? ?? 17 F1 F0 00 ?? ?? ?? ?? D7 F8 44 31 FB 67 F8 6F 4E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_363_3 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z"
		size = 576
		refs = "000a __security_push_cookie 0026 ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 002e ?flags@ios_base@std@@QBAHXZ 006c _guard_check_icall 008e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 009a ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 00a8 ??1locale@std@@QAA@XZ 00b0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00c4 ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00d4 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@$$QAV12@@Z 00dc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00e8 ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0108 ?width@ios_base@std@@QBA_JXZ 013a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 019e ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 01ac memcpy 01c2 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 01e0 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 01fa ?width@ios_base@std@@QAA_J_J@Z 022e __security_pop_cookie 023c ??_C@_1FA@GLBIBAML@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? BF B0 6F 46 84 B0 6F F0 01 03 C7 E9 22 33 4F F4 9D 62 86 49 17 F5 94 70 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? 78 61 7B 69 13 F4 80 4F 24 D1 97 F8 38 31 02 93 97 F9 34 31 01 93 D7 F8 30 31 00 93 D7 F8 28 91 D7 F8 2C 81 D7 F8 24 61 D7 F8 20 31 1B 68 24 33 D7 F8 20 51 1B 68 7B 60 78 68 ?? ?? ?? ?? 7C 68 28 46 31 46 4A 46 43 46 A0 47 D7 F8 24 31 3B 61 D2 E0 D1 E0 17 F1 80 01 D7 F8 30 01 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? 38 62 3B 6A BB 60 17 F1 80 00 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? B8 67 97 F8 38 31 00 2B 11 D0 17 F1 C0 01 B8 68 ?? ?? ?? ?? 78 62 7B 6A BB 62 B9 6A 17 F1 A0 00 ?? ?? ?? ?? 17 F1 C0 00 ?? ?? ?? ?? 10 E0 17 F1 E0 01 B8 68 ?? ?? ?? ?? F8 62 FB 6A 3B 63 39 6B 17 F1 A0 00 ?? ?? ?? ?? 17 F1 E0 00 ?? ?? ?? ?? D7 F8 30 01 ?? ?? ?? ?? F9 65 B8 65 BB 6D 3B 66 FB 6D 7B 66 3B 6E 7B 63 7B 6E 00 2B 22 DB 02 DC 7B 6B 00 2B 1E D9 D7 F8 30 01 ?? ?? ?? ?? F9 66 B8 66 17 F1 A0 00 ?? ?? ?? ?? B8 63 BA 6E BB 6B 9A 42 0F D9 D7 F8 30 01 ?? ?? ?? ?? 79 67 38 67 17 F1 A0 00 ?? ?? ?? ?? F8 63 3A 6F FB 6B D3 1A FB 60 01 E0 00 23 FB 60 FB 68 3B 60 D7 F8 30 01 ?? ?? ?? ?? 38 64 3B 6C 03 F4 E0 73 40 2B 17 D0 3B 68 01 93 97 F9 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 90 01 D7 F8 20 01 ?? ?? ?? ?? 78 64 79 6C 17 F5 94 70 08 22 ?? ?? ?? ?? 00 23 3B 60 17 F1 A0 00 ?? ?? ?? ?? B8 64 17 F1 A0 00 ?? ?? ?? ?? F8 64 BB 6C 01 93 FB 6C 00 93 D7 F8 28 21 D7 F8 2C 31 17 F1 98 01 D7 F8 20 01 ?? ?? ?? ?? 38 65 39 6D 17 F5 94 70 08 22 ?? ?? ?? ?? 00 22 00 23 D7 F8 30 01 ?? ?? ?? ?? 3B 68 01 93 97 F9 34 31 00 93 D7 F8 28 21 D7 F8 2C 31 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 17 F1 A0 00 ?? ?? ?? ?? D7 F8 24 31 3B 61 38 69 43 B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_122_3 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
		size = 248
		refs = "002a ??$_Debug_pointer_if@$$CB_W@std@@YAX_NPB_W1I@Z 0032 ?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z 0044 ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ 0058 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 0066 ?_Mysize@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAAAIXZ 007e ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 00a0 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 00d2 ?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z 00da ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z 00f0 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 00f4 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 4F F4 88 63 34 4A 0D 99 9D F8 00 00 ?? ?? ?? ?? 0D 99 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 10 D0 0C 98 ?? ?? ?? ?? 03 90 0E 9B 0D 99 03 9A 8A 1A 52 10 0C 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 3E E0 0C 98 ?? ?? ?? ?? 05 90 20 4B 1A 68 05 9B 1B 68 D2 1A 0E 9B 9A 42 02 D8 0C 98 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 06 90 06 9B 1A 68 0E 9B 13 44 01 93 0E 9B 00 2B 21 D9 00 22 01 99 0C 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 16 D0 0C 98 ?? ?? ?? ?? 08 90 0C 98 ?? ?? ?? ?? 07 90 0E 9A 0D 99 07 9B 18 68 02 23 00 FB 03 F0 08 9B 18 44 ?? ?? ?? ?? 01 99 0C 98 ?? ?? ?? ?? 0C 9B 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_235_3 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ"
		size = 184
		refs = "000c ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0028 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ 0034 ??$_Unfancy@$$CBD@std@@YAPBDPBD@Z 0050 ?_Debug_message@std@@YAXPB_W0I@Z 0064 _CrtDbgReportW 007e _invalid_parameter 00a0 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00a4 ??_C@_1MI@IFMPOAI@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00a8 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b0 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 00b4 ??_C@_1EE@HAKOGNPH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe?$AAm?$AAe?$AAn?$AAt?$AAa?$AAb?$AAl@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 00 2B 16 D0 0A 9B 08 33 1B 68 00 2B 11 D0 02 98 ?? ?? ?? ?? 04 90 0A 9B 08 33 18 68 ?? ?? ?? ?? 05 90 02 9B 14 33 04 9A 1B 68 1A 44 05 9B 9A 42 1B D8 6A 22 16 49 19 48 ?? ?? ?? ?? 16 4B 01 93 14 4B 00 93 00 23 6B 22 11 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 00 23 00 93 6B 23 0B 4A 0A 49 08 48 ?? ?? ?? ?? 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 0A 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_245_3 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 240
		refs = "0012 ?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ 0024 ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ 004e ??$_Unfancy@$$CBD@std@@YAPBDPBD@Z 0086 ?_Debug_message@std@@YAXPB_W0I@Z 009a _CrtDbgReportW 00b4 _invalid_parameter 00d8 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 00dc ??_C@_1MI@HNCOPGEL@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAl?$AAa?$AAs@ 00e0 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@ 00e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e8 ??_C@_1FG@IBPIFFN@?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAR@ 00ec ??_C@_1EM@MEFKBKGF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AA?$CL?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 53 D0 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 06 D0 02 98 ?? ?? ?? ?? 06 90 06 9B 03 93 01 E0 00 23 03 93 03 9B 04 93 02 9B 00 2B 20 D0 0E 9B 08 33 1B 68 00 2B 1B D0 0E 9B 08 33 18 68 ?? ?? ?? ?? 07 90 07 9A 0F 9B 1A 44 04 9B 9A 42 0F D3 0E 9B 08 33 18 68 ?? ?? ?? ?? 08 90 02 9B 14 33 04 9A 1B 68 D1 18 08 9A 0F 9B 13 44 99 42 1B D2 AA 22 17 49 19 48 ?? ?? ?? ?? 17 4B 01 93 15 4B 00 93 00 23 AB 22 12 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 00 23 00 93 AB 23 0C 4A 0A 49 09 48 ?? ?? ?? ?? 0E 9B 08 33 1A 68 0F 9B 1A 44 0E 9B 08 33 1A 60 0E 9B 0A 93 0A 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_352_3 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z"
		size = 3208
		refs = "000a __security_push_cookie 004e ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0062 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0076 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0088 ??1locale@std@@QAA@XZ 00aa ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 00cc ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 00da ?neg_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 0106 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 012c ?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z 019a ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a6 ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 01b2 ?flags@ios_base@std@@QBAHXZ 01cc ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01e0 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 01ec ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 020a ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z 021a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 0232 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 027c ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0294 ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z 029c ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 02a6 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ 02ae ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 02ce ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 02ee ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z 0308 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ 0398 ??1?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 03a0 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 03d6 ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0426 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 04ba ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 04ce ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 066a ?frac_digits@?$_Mpunct@D@std@@QBAHXZ 067e ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 06a2 ?thousands_sep@?$_Mpunct@D@std@@QBADXZ 070e ??$_Find_elem@D@std@@YAIPADD@Z 0738 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0748 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0834 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0928 ?decimal_point@?$_Mpunct@D@std@@QBADXZ 0a78 ?is@?$ctype@D@std@@QBA_NFD@Z 0c38 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0c44 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0c74 __security_pop_cookie 0c80 ?_Src@?1??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAAVios_base@3@PAD@Z@4QBDB 0c84 ??_C@_1FA@FFGPJJDL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 7C 7D 6F 46 82 B0 6F F0 01 03 C7 E9 92 33 00 23 7B 60 40 F2 CF 13 01 93 DF F8 58 3C 00 93 D7 F8 0C 34 C7 F8 7C 31 D7 F8 7C 31 1A 68 5B 68 D7 F8 08 14 C7 F8 8C 10 D7 F8 8C 10 08 68 49 68 ?? ?? ?? ?? 97 F8 10 34 00 2B 19 D0 17 F5 E4 71 D7 F8 14 04 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 C7 F8 94 30 D7 F8 94 00 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 30 3B 61 17 F5 E4 70 ?? ?? ?? ?? 18 E0 17 F5 E8 71 D7 F8 14 04 ?? ?? ?? ?? C7 F8 9C 00 D7 F8 9C 30 C7 F8 A0 30 D7 F8 A0 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 3B 61 17 F5 E8 70 ?? ?? ?? ?? 00 23 3B 70 00 23 3B 73 17 F5 2C 70 ?? ?? ?? ?? C7 F8 E0 01 17 F1 74 01 38 69 ?? ?? ?? ?? 17 F5 24 70 ?? ?? ?? ?? C7 F8 E4 01 17 F5 EC 71 D7 F8 14 04 ?? ?? ?? ?? C7 F8 A8 00 D7 F8 A8 30 C7 F8 AC 30 D7 F8 AC 00 ?? ?? ?? ?? C7 F8 B0 00 D7 F8 B0 30 3B 67 17 F5 EC 70 ?? ?? ?? ?? D7 F8 18 34 DF F8 5C 2B 0C 32 DF F8 58 1B 38 6F ?? ?? ?? ?? 00 23 BB 64 02 E0 BB 6C 5B 1C BB 64 3B 78 00 2B 40 F0 B7 84 BB 6C 04 2B 80 F0 B3 84 BA 6C 01 23 02 FB 03 F2 17 F1 74 03 13 44 93 F9 00 30 FB 64 FB 6C 2B 2B 0C DC FB 6C 2B 2B 00 F0 24 81 FB 6C 20 2B 00 F0 60 84 FB 6C 24 2B 0B D0 00 F0 97 BC FB 6C 76 2B 00 F0 6E 82 FB 6C 78 2B 00 F0 53 84 00 F0 8D BC 17 F5 14 71 38 69 ?? ?? ?? ?? C7 F8 AC 01 17 F1 80 00 ?? ?? ?? ?? C7 F8 B0 01 D7 F8 14 04 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 13 F0 08 0F 25 D1 D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 87 F8 3D 00 97 F8 3D 30 00 2B 19 D0 D7 F8 08 04 ?? ?? ?? ?? 87 F8 3E 00 17 F5 14 70 ?? ?? ?? ?? C7 F8 B8 00 97 F9 3E 20 D7 F8 B8 30 93 F9 00 30 9A 42 05 D0 00 21 17 F5 14 70 ?? ?? ?? ?? 31 E0 BB 6C 03 2B 2E D1 17 F5 2C 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 01 2B 24 D8 D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 87 F8 3F 00 97 F8 3F 30 00 2B 13 D1 D7 F8 08 04 ?? ?? ?? ?? 87 F8 40 00 17 F5 14 70 ?? ?? ?? ?? C7 F8 C0 00 97 F9 40 20 D7 F8 C0 30 93 F9 00 30 9A 42 04 D0 00 21 17 F5 14 70 ?? ?? ?? ?? 17 F5 F4 71 17 F5 14 70 ?? ?? ?? ?? C7 F8 C4 00 D7 F8 C4 30 C7 F8 C8 30 D7 F8 C8 10 17 F1 80 00 ?? ?? ?? ?? 17 F5 F4 70 ?? ?? ?? ?? 07 E0 17 F1 80 00 ?? ?? ?? ?? D7 F8 08 04 ?? ?? ?? ?? D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 38 77 3B 7F 00 2B 2F D0 17 F5 FC 71 17 F5 14 70 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 C7 F8 D0 30 7B 68 43 F0 01 03 7B 60 D7 F8 D0 10 17 F1 80 00 ?? ?? ?? ?? 78 77 7B 7F 00 2B 15 D0 D7 F8 08 04 ?? ?? ?? ?? B8 77 17 F1 80 00 ?? ?? ?? ?? C7 F8 D4 00 97 F9 1E 20 D7 F8 D4 30 93 F9 00 30 9A 42 02 D1 01 23 BB 65 01 E0 00 23 BB 65 BB 6D DB B2 FB 77 7B 68 13 F0 01 0F 07 D0 7B 68 23 F0 01 03 7B 60 17 F5 FC 70 ?? ?? ?? ?? FB 7F 00 2B 00 D0 A8 E7 17 F5 02 71 17 F5 14 70 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 30 C7 F8 DC 30 D7 F8 DC 10 17 F1 80 00 ?? ?? ?? ?? 87 F8 20 00 97 F8 20 30 87 F8 21 30 17 F5 02 70 ?? ?? ?? ?? 97 F8 21 30 00 2B 01 D0 01 23 3B 70 17 F1 80 00 ?? ?? ?? ?? 17 F5 14 70 ?? ?? ?? ?? 83 E3 17 F1 80 00 ?? ?? ?? ?? 17 F5 14 70 ?? ?? ?? ?? D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 00 D0 48 E1 17 F5 44 71 38 69 ?? ?? ?? ?? C7 F8 E0 00 D7 F8 E0 30 C7 F8 E4 30 7B 68 43 F0 02 03 7B 60 D7 F8 E4 00 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 00 2B 26 D9 17 F5 3C 71 38 69 ?? ?? ?? ?? C7 F8 EC 00 D7 F8 EC 30 C7 F8 F0 30 7B 68 43 F0 04 03 7B 60 00 21 D7 F8 F0 00 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 08 04 ?? ?? ?? ?? 87 F8 23 00 D7 F8 F4 30 93 F9 00 20 97 F9 23 30 9A 42 02 D1 01 23 FB 65 01 E0 00 23 FB 65 FB 6D DB B2 87 F8 24 30 7B 68 13 F0 04 0F 07 D0 7B 68 23 F0 04 03 7B 60 17 F5 3C 70 ?? ?? ?? ?? 7B 68 13 F0 02 0F 07 D0 7B 68 23 F0 02 03 7B 60 17 F5 44 70 ?? ?? ?? ?? 97 F8 24 30 00 2B 19 D0 D7 F8 08 04 ?? ?? ?? ?? 17 F5 4C 71 38 69 ?? ?? ?? ?? C7 F8 F8 00 D7 F8 F8 30 C7 F8 FC 30 D7 F8 FC 10 17 F5 2C 70 ?? ?? ?? ?? 17 F5 4C 70 ?? ?? ?? ?? CC E0 17 F5 5C 71 38 69 ?? ?? ?? ?? C7 F8 00 01 D7 F8 00 31 C7 F8 04 31 7B 68 43 F0 08 03 7B 60 D7 F8 04 01 ?? ?? ?? ?? C7 F8 08 01 D7 F8 08 31 00 2B 26 D9 17 F5 54 71 38 69 ?? ?? ?? ?? C7 F8 0C 01 D7 F8 0C 31 C7 F8 10 31 7B 68 43 F0 10 03 7B 60 00 21 D7 F8 10 01 ?? ?? ?? ?? C7 F8 14 01 D7 F8 08 04 ?? ?? ?? ?? 87 F8 25 00 D7 F8 14 31 93 F9 00 20 97 F9 25 30 9A 42 02 D1 01 23 3B 66 01 E0 00 23 3B 66 3B 6E DB B2 87 F8 26 30 7B 68 13 F0 10 0F 07 D0 7B 68 23 F0 10 03 7B 60 17 F5 54 70 ?? ?? ?? ?? 7B 68 13 F0 08 0F 07 D0 7B 68 23 F0 08 03 7B 60 17 F5 5C 70 ?? ?? ?? ?? 97 F8 26 30 00 2B 1B D0 D7 F8 08 04 ?? ?? ?? ?? 17 F5 64 71 38 69 ?? ?? ?? ?? C7 F8 18 01 D7 F8 18 31 C7 F8 1C 31 D7 F8 1C 11 17 F5 2C 70 ?? ?? ?? ?? 17 F5 64 70 ?? ?? ?? ?? 01 23 3B 73 4E E0 17 F5 6C 71 38 69 ?? ?? ?? ?? C7 F8 20 01 D7 F8 20 31 C7 F8 24 31 D7 F8 24 01 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 31 00 2B 02 D1 01 23 7B 66 01 E0 00 23 7B 66 7B 6E DB B2 87 F8 27 30 17 F5 6C 70 ?? ?? ?? ?? 97 F8 27 30 00 2B 00 D0 27 E0 17 F5 74 71 38 69 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 31 C7 F8 30 31 D7 F8 30 01 ?? ?? ?? ?? C7 F8 34 01 D7 F8 34 31 00 2B 02 D1 01 23 BB 66 01 E0 00 23 BB 66 BB 6E DB B2 87 F8 28 30 17 F5 74 70 ?? ?? ?? ?? 97 F8 28 30 00 2B 01 D0 01 23 3B 73 24 E2 00 23 7B 64 38 69 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 7B 65 17 F5 34 71 38 69 ?? ?? ?? ?? C7 F8 B4 01 17 F5 34 70 ?? ?? ?? ?? C7 F8 3C 01 D7 F8 3C 31 00 2B 02 D1 00 23 3B 75 07 E0 38 69 ?? ?? ?? ?? 87 F8 29 00 97 F9 29 30 3B 75 97 F9 14 30 7B 75 97 F9 15 30 00 2B 0C D0 17 F5 34 70 ?? ?? ?? ?? C7 F8 40 01 D7 F8 40 31 93 F9 00 30 DB B2 7F 2B 33 DB 03 E0 D7 F8 08 04 ?? ?? ?? ?? D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 87 F8 2A 00 97 F8 2A 30 00 2B 21 D0 D7 F8 08 04 ?? ?? ?? ?? 87 F8 2B 00 97 F9 2B 10 D7 F8 18 04 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 31 BB 61 BB 69 0A 2B 0D D2 BA 69 01 23 02 FB 03 F2 DF F8 54 35 13 44 93 F9 00 10 17 F5 24 70 ?? ?? ?? ?? CD E7 F2 E0 00 22 01 21 17 F5 1C 70 ?? ?? ?? ?? C7 F8 B8 01 00 23 BB 60 03 E0 D7 F8 08 04 ?? ?? ?? ?? D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 87 F8 2C 00 97 F8 2C 30 00 2B 64 D0 D7 F8 08 04 ?? ?? ?? ?? 87 F8 2D 00 97 F9 2D 10 D7 F8 18 04 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 BB 61 BB 69 0A 2B 2B D2 BA 69 01 23 02 FB 03 F2 DF F8 D8 34 13 44 93 F9 00 10 17 F5 24 70 ?? ?? ?? ?? B9 68 17 F5 1C 70 ?? ?? ?? ?? C7 F8 4C 01 D7 F8 4C 31 93 F9 00 30 7F 2B 10 D0 B9 68 17 F5 1C 70 ?? ?? ?? ?? C7 F8 50 01 D7 F8 50 31 FB 66 FB 6E 93 F9 00 30 5B 1C 5A B2 FB 6E 1A 70 23 E0 B9 68 17 F5 1C 70 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 31 93 F9 00 30 00 2B 0B D0 D7 F8 08 04 ?? ?? ?? ?? 87 F8 2E 00 97 F9 2E 20 97 F9 15 30 9A 42 01 D0 0A E0 08 E0 00 22 01 21 17 F5 1C 70 ?? ?? ?? ?? BB 68 5B 1C BB 60 8A E7 BB 68 00 2B 00 D1 12 E0 B9 68 17 F5 1C 70 ?? ?? ?? ?? C7 F8 58 01 D7 F8 58 31 93 F9 00 30 00 2B 03 DD BB 68 5B 1C BB 60 01 E0 01 23 3B 70 17 F5 34 70 ?? ?? ?? ?? C7 F8 5C 01 D7 F8 5C 31 3B 65 3B 78 00 2B 3F D1 BB 68 00 2B 3C D9 3B 6D 93 F9 00 30 7F 2B 01 D1 36 E0 34 E0 BB 68 5B 1E BB 60 BB 68 00 2B 0F D9 B9 68 17 F5 1C 70 ?? ?? ?? ?? C7 F8 60 01 3B 6D 93 F9 00 20 D7 F8 60 31 93 F9 00 30 9A 42 12 D1 BB 68 00 2B 12 D1 B9 68 17 F5 1C 70 ?? ?? ?? ?? C7 F8 64 01 3B 6D 93 F9 00 20 D7 F8 64 31 93 F9 00 30 9A 42 02 DA 01 23 3B 70 08 E0 3B 6D 5B 1C 93 F9 00 30 00 2B 02 DD 3B 6D 5B 1C 3B 65 BC E7 3B 78 00 2B 08 D0 17 F5 1C 70 ?? ?? ?? ?? 17 F5 34 70 ?? ?? ?? ?? C7 E0 17 F5 1C 70 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? 87 F8 2F 00 97 F9 2F 30 BB 75 D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 87 F8 30 00 97 F8 30 30 00 2B 4F D0 97 F9 16 30 00 2B 4B D0 D7 F8 08 04 ?? ?? ?? ?? 87 F8 31 00 97 F9 31 20 97 F9 16 30 9A 42 3F D1 D7 F8 08 04 ?? ?? ?? ?? C7 F8 68 01 D7 F8 0C 14 D7 F8 68 01 ?? ?? ?? ?? 87 F8 32 00 97 F8 32 30 00 2B 27 D0 7A 6C 7B 6D 9A 42 23 DA D7 F8 08 04 ?? ?? ?? ?? 87 F8 33 00 97 F9 33 10 D7 F8 18 04 ?? ?? ?? ?? C7 F8 6C 01 D7 F8 6C 31 BB 61 BB 69 0A 2B 0F D2 BA 69 01 23 02 FB 03 F2 AD 4B 13 44 93 F9 00 10 17 F5 24 70 ?? ?? ?? ?? 7B 6C 5B 1C 7B 64 C5 E7 7A 6C 7B 6D 9A 42 01 DA 01 23 3B 70 17 F5 24 70 ?? ?? ?? ?? C7 F8 70 01 D7 F8 70 31 00 2B 02 D1 01 23 3B 70 0D E0 02 E0 7B 6C 5B 1C 7B 64 7A 6C 7B 6D 9A 42 05 DA 30 21 17 F5 24 70 ?? ?? ?? ?? F2 E7 17 F5 34 70 ?? ?? ?? ?? 3F E0 17 F5 34 70 ?? ?? ?? ?? BB 6C 03 2B 00 D1 37 E0 00 23 FB 75 03 E0 D7 F8 08 04 ?? ?? ?? ?? D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 87 F8 34 00 97 F8 34 30 00 2B 14 D0 D7 F8 08 04 ?? ?? ?? ?? 87 F8 35 00 97 F9 35 20 48 21 38 6F ?? ?? ?? ?? 87 F8 36 00 97 F8 36 30 00 2B 02 D0 01 23 FB 75 DA E7 BA 6C 01 23 02 FB 03 F2 17 F1 74 03 13 44 93 F9 00 30 20 2B 04 D1 FB 7D 00 2B 01 D1 01 23 3B 70 FF F7 42 BB 3B 78 00 2B 40 F0 AE 80 17 F5 2C 70 ?? ?? ?? ?? C7 F8 74 01 D7 F8 74 31 01 2B 40 F2 A3 80 17 F5 D0 70 ?? ?? ?? ?? C7 F8 BC 01 17 F5 06 71 17 F5 2C 70 ?? ?? ?? ?? C7 F8 78 01 D7 F8 78 31 C7 F8 9C 31 D7 F8 9C 11 17 F5 D0 70 ?? ?? ?? ?? 17 F5 06 70 ?? ?? ?? ?? 03 E0 D7 F8 08 04 ?? ?? ?? ?? 17 F5 0A 71 17 F5 2C 70 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 31 C7 F8 84 31 7B 68 43 F0 20 03 7B 60 17 F5 D0 70 ?? ?? ?? ?? C7 F8 88 01 D7 F8 84 11 D7 F8 88 01 ?? ?? ?? ?? 87 F8 37 00 97 F8 37 30 00 2B 22 D0 D7 F8 0C 14 D7 F8 08 04 ?? ?? ?? ?? 87 F8 38 00 97 F8 38 30 00 2B 16 D0 D7 F8 08 04 ?? ?? ?? ?? 87 F8 39 00 17 F5 D0 70 ?? ?? ?? ?? C7 F8 8C 01 97 F9 39 20 D7 F8 8C 31 93 F9 00 30 9A 42 02 D1 01 23 BB 67 01 E0 00 23 BB 67 BB 6F DB B2 87 F8 3A 30 7B 68 13 F0 20 0F 07 D0 7B 68 23 F0 20 03 7B 60 17 F5 0A 70 ?? ?? ?? ?? 97 F8 3A 30 00 2B 00 D0 9F E7 17 F5 0E 71 17 F5 2C 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 31 C7 F8 94 31 D7 F8 94 11 17 F5 D0 70 ?? ?? ?? ?? 87 F8 3B 00 97 F8 3B 30 87 F8 3C 30 17 F5 0E 70 ?? ?? ?? ?? 97 F8 3C 30 00 2B 01 D0 01 23 3B 70 17 F5 D0 70 ?? ?? ?? ?? 3B 78 00 2B 05 D0 00 21 17 F5 24 70 ?? ?? ?? ?? 09 E0 3B 7B 00 2B 06 D0 2D 23 01 22 00 21 17 F5 24 70 ?? ?? ?? ?? 17 F5 24 71 D7 F8 04 04 ?? ?? ?? ?? C7 F8 C0 01 7B 68 43 F0 40 03 7B 60 17 F5 24 70 ?? ?? ?? ?? 17 F5 2C 70 ?? ?? ?? ?? D7 F8 04 34 C7 F8 98 31 D7 F8 98 01 0D F5 7E 7D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_361_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$8"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 08 80 7B 68 23 F0 01 03 7B 60 17 F5 FC 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_95_363_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 02 03 00 2B 00 F0 08 80 7B 68 23 F0 02 03 7B 60 17 F5 44 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_95_364_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$11"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F5 3C 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_95_365_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$13"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F5 5C 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_95_366_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$14"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 10 03 00 2B 00 F0 08 80 7B 68 23 F0 10 03 7B 60 17 F5 54 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_95_371_3 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$22"
		size = 32
		refs = "001a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 20 03 00 2B 00 F0 08 80 7B 68 23 F0 20 03 7B 60 17 F5 0A 70 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_95_423_3 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 2528
		refs = "000a __security_push_cookie 002a ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 003e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0058 ??1locale@std@@QAA@XZ 0072 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 008a ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0094 ?frac_digits@?$_Mpunct@D@std@@QBAHXZ 00b8 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00e2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 00ec ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ 0112 ?thousands_sep@?$_Mpunct@D@std@@QBADXZ 0192 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01a8 ?neg_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 01b6 memcpy 01c0 ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01d4 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 01dc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 01e8 ?pos_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ 0204 ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0238 ?flags@ios_base@std@@QBAHXZ 0250 ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0374 ?width@ios_base@std@@QBA_JXZ 0426 ?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 04b2 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 04ca ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@$$QAV01@@Z 04f0 ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@I@Z 050a ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 062e ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@H@Z 063a ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 064a ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0650 ?decimal_point@?$_Mpunct@D@std@@QBADXZ 07ec ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0806 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z 0916 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z 0984 ?width@ios_base@std@@QAA_J_J@Z 09d0 __security_pop_cookie 09dc ??_C@_1FA@FFGPJJDL@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? AD F5 85 6D 6F 46 82 B0 6F F0 01 03 C7 E9 A6 33 4F F4 41 72 DF F8 B8 19 17 F5 88 60 ?? ?? ?? ?? 97 F8 48 34 00 2B 13 D0 17 F5 FC 71 D7 F8 4C 04 ?? ?? ?? ?? 78 64 7B 6C BB 64 B8 6C ?? ?? ?? ?? F8 64 FB 6C FB 60 17 F5 FC 70 ?? ?? ?? ?? 12 E0 17 F5 00 71 D7 F8 4C 04 ?? ?? ?? ?? 38 65 3B 6D 7B 65 78 6D ?? ?? ?? ?? B8 65 BB 6D FB 60 17 F5 00 70 ?? ?? ?? ?? 17 F5 6A 71 F8 68 ?? ?? ?? ?? C7 F8 E8 01 F8 68 ?? ?? ?? ?? F8 65 FB 6D BB 62 BB 6A 00 2B 03 DA BB 6A 5B 42 7B 63 01 E0 BB 6A 7B 63 7B 6B 7B 60 D7 F8 58 04 ?? ?? ?? ?? 38 66 3A 6E 7B 68 9A 42 10 D8 D7 F8 58 04 ?? ?? ?? ?? 78 66 97 F9 5C 34 79 68 7A 6E 8A 1A 52 1C 00 21 D7 F8 58 04 ?? ?? ?? ?? 52 E0 17 F5 6A 70 ?? ?? ?? ?? B8 66 BB 6E 93 F9 00 30 7F 2B 48 D0 17 F5 6A 70 ?? ?? ?? ?? F8 66 FB 6E 93 F9 00 30 00 2B 3E DD F8 68 ?? ?? ?? ?? 38 75 97 F9 14 30 7B 75 17 F5 6A 70 ?? ?? ?? ?? 38 67 3B 6F BB 61 D7 F8 58 04 ?? ?? ?? ?? 78 67 7A 6F 7B 68 D3 1A 7B 62 BB 69 93 F9 00 30 7F 2B 22 D0 BB 69 93 F9 00 30 00 2B 1D DD BB 69 93 F9 00 20 7B 6A 9A 42 17 D2 BB 69 93 F9 00 20 7B 6A 9B 1A 7B 62 97 F9 15 30 01 22 79 6A D7 F8 58 04 ?? ?? ?? ?? BB 69 5B 1C 93 F9 00 30 00 2B 02 DD BB 69 5B 1C BB 61 D7 E7 17 F5 5A 70 ?? ?? ?? ?? C7 F8 EC 01 97 F8 54 34 00 2B 1F D0 17 F5 F8 71 F8 68 ?? ?? ?? ?? B8 67 B9 6F 17 F1 2C 00 04 22 ?? ?? ?? ?? 17 F5 72 71 F8 68 ?? ?? ?? ?? F8 67 FB 6F C7 F8 80 30 D7 F8 80 10 17 F5 5A 70 ?? ?? ?? ?? 17 F5 72 70 ?? ?? ?? ?? 22 E0 17 F5 F0 71 F8 68 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 10 17 F1 2C 00 04 22 ?? ?? ?? ?? 17 F5 7A 71 F8 68 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 C7 F8 8C 30 D7 F8 8C 10 17 F5 5A 70 ?? ?? ?? ?? 17 F5 7A 70 ?? ?? ?? ?? 17 F5 62 70 ?? ?? ?? ?? C7 F8 E4 01 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 13 F0 08 0F 14 D0 17 F5 81 61 F8 68 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 30 C7 F8 98 30 D7 F8 98 10 17 F5 62 70 ?? ?? ?? ?? 17 F5 81 60 ?? ?? ?? ?? 00 23 3B 72 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 70 D2 3A 69 01 23 02 FB 03 F2 17 F1 2C 03 13 44 93 F9 00 30 FB 61 FB 69 2B 2B 09 DC FB 69 2B 2B 19 D0 FB 69 20 2B 54 D0 FB 69 24 2B 07 D0 58 E0 FB 69 76 2B 1B D0 FB 69 78 2B 4D D0 51 E0 17 F5 62 70 ?? ?? ?? ?? C7 F8 9C 00 3A 68 D7 F8 9C 30 13 44 3B 60 45 E0 17 F5 5A 70 ?? ?? ?? ?? C7 F8 A0 00 3A 68 D7 F8 A0 30 13 44 3B 60 39 E0 D7 F8 58 04 ?? ?? ?? ?? C7 F8 AC 00 7B 68 00 2B 02 D9 01 23 BB 63 01 E0 00 23 BB 63 D7 F8 58 04 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 20 7B 68 9A 42 0C D8 D7 F8 58 04 ?? ?? ?? ?? C7 F8 A8 00 7A 68 D7 F8 A8 30 D3 1A 5B 1C FB 63 01 E0 00 23 FB 63 D7 F8 AC 20 BB 6B 1A 44 FB 6B 1A 44 3B 68 13 44 3B 60 07 E0 3B 68 5B 1C 3B 60 3B 69 03 2B 01 D0 01 23 3B 72 88 E7 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 C4 11 C7 F8 C0 01 D7 F8 C0 31 C7 F8 C8 31 D7 F8 C4 31 C7 F8 CC 31 D7 F8 C8 31 C7 F8 B0 30 D7 F8 CC 31 00 2B 1F DB 03 DC D7 F8 B0 30 00 2B 1A D9 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 D4 11 C7 F8 D0 01 D7 F8 D0 21 3B 68 9A 42 0D D9 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 DC 11 C7 F8 D8 01 D7 F8 D8 21 3B 68 D3 1A 3B 64 01 E0 00 23 3B 64 3B 6C 3B 60 D7 F8 4C 04 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 03 F4 E0 73 3B 63 3B 6B 40 2B 1D D0 3B 6B B3 F5 80 7F 02 D1 3B 7A 00 2B 16 D1 3B 68 00 93 97 F9 50 34 D7 F8 40 14 D7 F8 44 24 17 F5 28 70 ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 10 17 F5 88 60 08 22 ?? ?? ?? ?? 00 23 3B 60 00 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3B 69 04 2B 80 F0 3C 82 3A 69 01 23 02 FB 03 F2 17 F1 2C 03 13 44 93 F9 00 30 3B 62 3B 6A 2B 2B 0A DC 3B 6A 2B 2B 4D D0 3B 6A 20 2B 00 F0 F7 81 3B 6A 24 2B 09 D0 22 E2 3B 6A 76 2B 00 F0 82 80 3B 6A 78 2B 00 F0 00 82 19 E2 17 F5 62 70 ?? ?? ?? ?? C7 F8 CC 00 17 F5 3E 73 C7 F8 C4 30 17 F5 1E 71 17 F5 62 70 ?? ?? ?? ?? C7 F8 BC 00 D7 F8 BC 30 C7 F8 C0 30 D7 F8 C0 10 D7 F8 C4 00 ?? ?? ?? ?? C7 F8 C8 00 D7 F8 C8 30 C7 F8 D0 30 D7 F8 CC 30 00 93 D7 F8 D0 30 D7 F8 40 14 D7 F8 44 24 17 F5 2A 70 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 10 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 1E 70 ?? ?? ?? ?? DC E1 17 F5 5A 70 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 30 00 2B 34 D9 17 F5 42 73 C7 F8 E4 30 17 F5 12 71 17 F5 5A 70 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 DC 30 C7 F8 E0 30 D7 F8 E0 10 D7 F8 E4 00 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 C7 F8 EC 30 01 23 00 93 D7 F8 EC 30 D7 F8 40 14 D7 F8 44 24 17 F5 2C 70 ?? ?? ?? ?? C7 F8 F0 00 D7 F8 F0 10 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 12 70 ?? ?? ?? ?? 9C E1 7B 68 00 2B 3C D1 D7 F8 58 04 ?? ?? ?? ?? C7 F8 04 01 17 F5 46 73 C7 F8 FC 30 17 F5 16 71 D7 F8 58 04 ?? ?? ?? ?? C7 F8 F4 00 D7 F8 F4 30 C7 F8 F8 30 D7 F8 F8 10 D7 F8 FC 00 ?? ?? ?? ?? C7 F8 00 01 D7 F8 00 31 C7 F8 08 31 D7 F8 04 31 00 93 D7 F8 08 31 D7 F8 40 14 D7 F8 44 24 17 F5 2E 70 ?? ?? ?? ?? C7 F8 0C 01 D7 F8 0C 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 16 70 ?? ?? ?? ?? 2B E1 D7 F8 58 04 ?? ?? ?? ?? C7 F8 10 01 D7 F8 10 21 7B 68 9A 42 00 F2 85 80 00 21 17 F5 88 60 ?? ?? ?? ?? C7 F8 14 01 D7 F8 14 01 ?? ?? ?? ?? C7 F8 18 01 97 F9 5C 14 D7 F8 18 01 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? B8 75 00 21 17 F5 88 60 ?? ?? ?? ?? C7 F8 1C 01 D7 F8 1C 01 ?? ?? ?? ?? C7 F8 20 01 97 F9 16 10 D7 F8 20 01 ?? ?? ?? ?? D7 F8 58 04 ?? ?? ?? ?? C7 F8 24 01 7A 68 D7 F8 24 31 D3 1A 00 93 97 F9 5C 34 D7 F8 40 14 D7 F8 44 24 17 F5 30 70 ?? ?? ?? ?? C7 F8 28 01 D7 F8 28 11 17 F5 88 60 08 22 ?? ?? ?? ?? D7 F8 58 04 ?? ?? ?? ?? C7 F8 3C 01 17 F5 4A 73 C7 F8 34 31 17 F5 1A 71 D7 F8 58 04 ?? ?? ?? ?? C7 F8 2C 01 D7 F8 2C 31 C7 F8 30 31 D7 F8 30 11 D7 F8 34 01 ?? ?? ?? ?? C7 F8 38 01 D7 F8 38 31 C7 F8 40 31 D7 F8 3C 31 00 93 D7 F8 40 31 D7 F8 40 14 D7 F8 44 24 17 F5 32 70 ?? ?? ?? ?? C7 F8 44 01 D7 F8 44 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 1A 70 ?? ?? ?? ?? 9A E0 D7 F8 58 04 ?? ?? ?? ?? C7 F8 58 01 17 F5 4E 73 C7 F8 50 31 17 F5 22 71 D7 F8 58 04 ?? ?? ?? ?? C7 F8 48 01 D7 F8 48 31 C7 F8 4C 31 D7 F8 4C 11 D7 F8 50 01 ?? ?? ?? ?? C7 F8 54 01 D7 F8 54 31 C7 F8 5C 31 D7 F8 58 21 7B 68 D3 1A 00 93 D7 F8 5C 31 D7 F8 40 14 D7 F8 44 24 17 F5 3C 70 ?? ?? ?? ?? C7 F8 60 01 D7 F8 60 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 22 70 ?? ?? ?? ?? F8 68 ?? ?? ?? ?? F8 75 00 21 17 F5 88 60 ?? ?? ?? ?? C7 F8 64 01 D7 F8 64 01 ?? ?? ?? ?? C7 F8 68 01 97 F9 17 10 D7 F8 68 01 ?? ?? ?? ?? 17 F5 52 73 C7 F8 7C 31 17 F5 02 71 D7 F8 58 04 ?? ?? ?? ?? C7 F8 6C 01 D7 F8 6C 31 C7 F8 70 31 7A 68 17 F5 0E 71 D7 F8 70 01 ?? ?? ?? ?? C7 F8 74 01 D7 F8 74 31 C7 F8 78 31 D7 F8 78 11 D7 F8 7C 01 ?? ?? ?? ?? C7 F8 80 01 D7 F8 80 31 C7 F8 84 31 7B 68 00 93 D7 F8 84 31 D7 F8 40 14 D7 F8 44 24 17 F5 34 70 ?? ?? ?? ?? C7 F8 88 01 D7 F8 88 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 0E 70 ?? ?? ?? ?? 17 F5 02 70 ?? ?? ?? ?? 2F E0 01 23 00 93 97 F9 50 34 D7 F8 40 14 D7 F8 44 24 17 F5 36 70 ?? ?? ?? ?? C7 F8 8C 01 D7 F8 8C 11 17 F5 88 60 08 22 ?? ?? ?? ?? 3B 6B B3 F5 80 7F 16 D1 3B 68 00 93 97 F9 50 34 D7 F8 40 14 D7 F8 44 24 17 F5 38 70 ?? ?? ?? ?? C7 F8 90 01 D7 F8 90 11 17 F5 88 60 08 22 ?? ?? ?? ?? 00 23 3B 60 BC E5 17 F5 5A 70 ?? ?? ?? ?? C7 F8 94 01 D7 F8 94 31 01 2B 4D D9 17 F5 5A 70 ?? ?? ?? ?? C7 F8 B0 01 17 F5 56 73 C7 F8 A8 31 17 F5 0A 71 17 F5 5A 70 ?? ?? ?? ?? C7 F8 98 01 D7 F8 98 31 C7 F8 9C 31 01 22 17 F5 06 71 D7 F8 9C 01 ?? ?? ?? ?? C7 F8 A0 01 D7 F8 A0 31 C7 F8 A4 31 D7 F8 A4 11 D7 F8 A8 01 ?? ?? ?? ?? C7 F8 AC 01 D7 F8 AC 31 C7 F8 B4 31 D7 F8 B0 31 5B 1E 00 93 D7 F8 B4 31 D7 F8 40 14 D7 F8 44 24 17 F5 3A 70 ?? ?? ?? ?? C7 F8 B8 01 D7 F8 B8 11 17 F5 88 60 08 22 ?? ?? ?? ?? 17 F5 06 70 ?? ?? ?? ?? 17 F5 0A 70 ?? ?? ?? ?? 00 22 00 23 D7 F8 4C 04 ?? ?? ?? ?? 3B 68 00 93 97 F9 50 34 D7 F8 40 14 D7 F8 44 24 D7 F8 3C 04 ?? ?? ?? ?? 17 F5 62 70 ?? ?? ?? ?? 17 F5 5A 70 ?? ?? ?? ?? 17 F5 6A 70 ?? ?? ?? ?? D7 F8 58 04 ?? ?? ?? ?? D7 F8 3C 34 C7 F8 BC 31 D7 F8 BC 01 0D F5 86 6D ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_489_3 {
	meta:
		name = "?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1608
		refs = "0034 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0044 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 0050 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 005c ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 006a ??1locale@std@@QAA@XZ 0072 ?date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ 008e ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 00a4 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 00b4 ?is@?$ctype@D@std@@QBA_NFD@Z 00da memcpy 00ee ?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 012a ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 01be ?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01d8 ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0206 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0232 ?narrow@?$ctype@D@std@@QBADDD@Z 0644 ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B A9 B0 6F 46 86 B0 6F F0 01 03 C7 E9 1C 33 4F F4 86 73 01 93 DF F8 24 36 00 93 D7 F8 C0 20 D7 F8 C4 30 D7 F8 B8 00 D7 F8 BC 10 ?? ?? ?? ?? 40 F2 0D 12 DF F8 04 16 D7 F8 D0 00 ?? ?? ?? ?? 17 F1 68 01 D7 F8 C8 00 ?? ?? ?? ?? B8 62 BB 6A FB 62 F8 6A ?? ?? ?? ?? 38 63 3B 6B 7B 60 17 F1 68 00 ?? ?? ?? ?? D7 F8 B0 00 ?? ?? ?? ?? 78 63 7B 6B BB 60 BB 68 00 2B 01 D1 02 23 BB 60 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 87 F8 26 00 97 F8 26 30 00 2B 00 D0 97 E0 17 F1 B8 00 ?? ?? ?? ?? 87 F8 27 00 97 F9 27 20 04 21 78 68 ?? ?? ?? ?? 38 73 3B 7B 00 2B 22 D1 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 78 01 D7 F8 B0 00 ?? ?? ?? ?? B8 63 B9 6B 17 F1 B8 00 08 22 ?? ?? ?? ?? 02 23 BB 60 64 E0 BB 68 02 2B 23 D1 7B 68 02 93 D7 F8 D0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? F8 63 D7 F8 CC 30 1A 68 FB 6B 1A 43 D7 F8 CC 30 1A 60 D7 F8 D0 30 10 33 1B 68 5A 1E D7 F8 D0 30 10 33 1A 60 3D E0 BB 68 01 2B 1A D1 7B 68 02 93 D7 F8 D0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? 38 64 D7 F8 CC 30 1A 68 3B 6C 1A 43 D7 F8 CC 30 1A 60 1F E0 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 80 01 D7 F8 B0 00 ?? ?? ?? ?? 78 64 79 6C 17 F1 B8 00 08 22 ?? ?? ?? ?? 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 78 73 7B 7B 00 2B 13 D0 17 F1 B8 00 ?? ?? ?? ?? B8 73 97 F9 0E 20 48 21 78 68 ?? ?? ?? ?? F8 73 FB 7B 00 2B 04 D0 17 F1 B8 00 ?? ?? ?? ?? E1 E7 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 38 74 3B 7C 00 2B 1E D0 17 F1 B8 00 ?? ?? ?? ?? 78 74 00 22 97 F9 11 10 78 68 ?? ?? ?? ?? B8 74 97 F9 12 30 3B 70 97 F9 00 30 3A 2B 07 D0 97 F9 00 30 2C 2B 03 D0 97 F9 00 30 2F 2B 03 D1 17 F1 B8 00 ?? ?? ?? ?? 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? F8 74 FB 7C 00 2B 13 D0 17 F1 B8 00 ?? ?? ?? ?? 38 75 97 F9 14 20 48 21 78 68 ?? ?? ?? ?? 78 75 7B 7D 00 2B 04 D0 17 F1 B8 00 ?? ?? ?? ?? E1 E7 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? B8 75 BB 7D 00 2B 00 D0 84 E0 17 F1 B8 00 ?? ?? ?? ?? F8 75 97 F9 17 20 04 21 78 68 ?? ?? ?? ?? 38 76 3B 7E 00 2B 31 D1 BB 68 02 2B 08 D1 D7 F8 CC 30 1B 68 43 F0 02 02 D7 F8 CC 30 1A 60 24 E0 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 88 01 D7 F8 B0 00 ?? ?? ?? ?? B8 64 B9 6C 17 F1 B8 00 08 22 ?? ?? ?? ?? BB 68 04 2B 01 D1 03 23 BB 60 43 E0 BB 68 01 2B 02 D0 BB 68 03 2B 23 D1 7B 68 02 93 D7 F8 D0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? F8 64 D7 F8 CC 30 1A 68 FB 6C 1A 43 D7 F8 CC 30 1A 60 D7 F8 D0 30 10 33 1B 68 5A 1E D7 F8 D0 30 10 33 1A 60 19 E0 7B 68 02 93 D7 F8 D0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? 38 65 D7 F8 CC 30 1A 68 3B 6D 1A 43 D7 F8 CC 30 1A 60 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 78 76 7B 7E 00 2B 13 D0 17 F1 B8 00 ?? ?? ?? ?? B8 76 97 F9 1A 20 48 21 78 68 ?? ?? ?? ?? F8 76 FB 7E 00 2B 04 D0 17 F1 B8 00 ?? ?? ?? ?? E1 E7 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 38 77 3B 7F 00 2B 1E D0 17 F1 B8 00 ?? ?? ?? ?? 78 77 00 22 97 F9 1D 10 78 68 ?? ?? ?? ?? B8 77 97 F9 1E 30 7B 70 97 F9 01 30 3A 2B 07 D0 97 F9 01 30 2C 2B 03 D0 97 F9 01 30 2F 2B 03 D1 17 F1 B8 00 ?? ?? ?? ?? 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? F8 77 FB 7F 00 2B 16 D0 17 F1 B8 00 ?? ?? ?? ?? 87 F8 20 00 97 F9 20 20 48 21 78 68 ?? ?? ?? ?? 87 F8 21 00 97 F8 21 30 00 2B 04 D0 17 F1 B8 00 ?? ?? ?? ?? DE E7 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 87 F8 22 00 97 F8 22 30 00 2B 08 D0 D7 F8 CC 30 1B 68 43 F0 02 02 D7 F8 CC 30 1A 60 A3 E0 17 F1 B8 00 ?? ?? ?? ?? 87 F8 23 00 97 F9 23 20 04 21 78 68 ?? ?? ?? ?? 87 F8 24 00 97 F8 24 30 00 2B 2C D1 BB 68 04 2B 08 D0 D7 F8 CC 30 1B 68 43 F0 02 02 D7 F8 CC 30 1A 60 1F E0 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 90 01 D7 F8 B0 00 ?? ?? ?? ?? 78 65 79 6D 17 F1 B8 00 08 22 ?? ?? ?? ?? 64 E0 BB 68 04 2B 23 D1 7B 68 02 93 D7 F8 D0 30 10 33 01 93 0C 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? B8 65 D7 F8 CC 30 1A 68 BB 6D 1A 43 D7 F8 CC 30 1A 60 D7 F8 D0 30 10 33 1B 68 5A 1E D7 F8 D0 30 10 33 1A 60 3D E0 BB 68 03 2B 1A D1 7B 68 02 93 D7 F8 D0 30 0C 33 01 93 1F 23 00 93 01 23 17 F1 C0 02 17 F1 B8 01 D7 F8 B0 00 ?? ?? ?? ?? F8 65 D7 F8 CC 30 1A 68 FB 6D 1A 43 D7 F8 CC 30 1A 60 1F E0 D7 F8 D0 30 04 93 D7 F8 CC 30 03 93 D7 F8 C8 30 02 93 68 46 17 F1 C0 01 08 22 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 BC 30 17 F1 98 01 D7 F8 B0 00 ?? ?? ?? ?? 38 66 39 6E 17 F1 B8 00 08 22 ?? ?? ?? ?? 17 F1 C0 01 17 F1 B8 00 ?? ?? ?? ?? 87 F8 25 00 97 F8 25 30 00 2B 07 D0 D7 F8 CC 30 1B 68 43 F0 01 02 D7 F8 CC 30 1A 60 D7 F8 B4 00 17 F1 B8 01 08 22 ?? ?? ?? ?? D7 F8 B4 30 7B 66 78 6E 2F B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_492_3 {
	meta:
		name = "?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 376
		refs = "0028 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0032 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 003c ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0056 ??1locale@std@@QAA@XZ 0074 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 0092 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ 00a0 ?narrow@?$ctype@D@std@@QBADDD@Z 00c0 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ 0160 memcpy 0174 ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 84 B0 6F F0 01 03 C7 E9 0E 33 F3 23 01 93 55 4B 00 93 3A 6E 7B 6E B8 6D F9 6D ?? ?? ?? ?? F4 22 51 49 38 6F ?? ?? ?? ?? 17 F1 30 01 B8 6E ?? ?? ?? ?? B8 60 BB 68 FB 60 F8 68 ?? ?? ?? ?? 38 61 3B 69 7B 60 17 F1 30 00 ?? ?? ?? ?? 7B 68 02 93 3B 6F 08 33 01 93 17 23 00 93 00 23 17 F1 60 02 17 F1 58 01 38 6D ?? ?? ?? ?? 78 61 FB 6E 1A 68 7B 69 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0F D1 17 F1 58 00 ?? ?? ?? ?? 38 70 00 22 97 F9 00 10 78 68 ?? ?? ?? ?? 78 70 97 F9 01 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 19 E0 17 F1 58 00 ?? ?? ?? ?? B8 61 7B 68 02 93 3B 6F 1B 1D 01 93 3B 23 00 93 00 23 17 F1 60 02 B9 69 38 6D ?? ?? ?? ?? F8 61 FB 6E 1A 68 FB 69 1A 43 FB 6E 1A 60 FB 6E 1B 68 00 2B 0F D1 17 F1 58 00 ?? ?? ?? ?? B8 70 00 22 97 F9 02 10 78 68 ?? ?? ?? ?? F8 70 97 F9 03 30 3A 2B 06 D0 FB 6E 1B 68 43 F0 02 02 FB 6E 1A 60 18 E0 17 F1 58 00 ?? ?? ?? ?? 38 62 7B 68 02 93 3B 6F 01 93 3B 23 00 93 00 23 17 F1 60 02 39 6A 38 6D ?? ?? ?? ?? 78 62 FB 6E 1A 68 7B 6A 1A 43 FB 6E 1A 60 78 6D 17 F1 58 01 08 22 ?? ?? ?? ?? 7B 6D BB 62 B8 6A 15 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_498_3 {
	meta:
		name = "?do_hash@?$collate@D@std@@MBAJPBD0@Z"
		size = 56
		refs = "0012 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 001e ?_Hash_seq@std@@YAIPBEI@Z 0034 ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 7B 23 09 4A 06 99 05 98 ?? ?? ?? ?? 06 9A 05 9B D1 1A 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_512_3 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z"
		size = 364
		refs = "000a __security_push_cookie 0026 ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 0034 ??$_Debug_pointer@$$CBUtm@@@std@@YAXPBUtm@@PB_WI@Z 0044 memcpy 004c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0098 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00a4 ?_Getptr@_Timevec@std@@QBAPAXXZ 00ae ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00bc ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00c8 ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 00de _Strftime 0102 ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 0116 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z 0140 ??$copy@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z 0148 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0156 __security_pop_cookie 0164 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0168 ??_C@_1FC@CCNJEHIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A0 B0 6F 46 82 B0 6F F0 01 03 C7 E9 14 33 40 F2 0E 32 51 49 17 F1 98 00 ?? ?? ?? ?? 40 F2 0F 32 4E 49 D7 F8 A8 00 ?? ?? ?? ?? 17 F1 78 03 3B 61 38 69 48 49 05 22 ?? ?? ?? ?? 17 F1 58 00 ?? ?? ?? ?? B8 63 97 F9 B0 30 00 2B 06 D1 17 F1 78 03 9A 1C 97 F9 AC 30 13 70 0B E0 17 F1 78 03 9A 1C 97 F9 B0 30 13 70 17 F1 78 03 DA 1C 97 F9 AC 30 13 70 10 23 7B 60 04 E0 7A 68 02 23 02 FB 03 F3 7B 60 00 22 79 68 17 F1 58 00 ?? ?? ?? ?? D7 F8 90 30 03 F1 08 00 ?? ?? ?? ?? F8 61 17 F1 58 00 ?? ?? ?? ?? 38 62 17 F1 40 01 17 F1 58 00 ?? ?? ?? ?? 78 61 7B 69 BB 61 B8 69 ?? ?? ?? ?? 78 62 FB 69 00 93 D7 F8 A8 30 17 F1 78 02 39 6A 78 6A ?? ?? ?? ?? B8 62 BB 6A FB 60 FB 68 00 2B 02 D9 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 BA E7 F9 68 17 F1 58 00 ?? ?? ?? ?? F8 62 01 21 17 F1 58 00 ?? ?? ?? ?? 38 63 68 46 17 F1 9C 01 04 22 ?? ?? ?? ?? D7 F8 98 30 FA 6A 39 6B D7 F8 94 00 ?? ?? ?? ?? 17 F1 58 00 ?? ?? ?? ?? D7 F8 94 30 7B 63 78 6B 22 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_520_3 {
	meta:
		name = "?do_transform@?$collate@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z"
		size = 308
		refs = "000a __security_push_cookie 002c ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0034 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0052 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 005e ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 006a ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ 0074 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIXZ 00ac ??$_LStrxfrm@D@std@@YAIPAD0PBD1PBU_Collvec@@@Z 00dc ??1?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ 0104 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0116 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0124 __security_pop_cookie 0130 ??_C@_1EO@DCLGIN@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 18 33 00 23 FB 60 68 23 43 4A D7 F8 A4 10 D7 F8 A0 00 ?? ?? ?? ?? 17 F1 68 00 ?? ?? ?? ?? B8 63 D7 F8 A4 20 D7 F8 A0 30 D3 1A 7B 60 7B 68 00 2B 52 D9 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 50 01 17 F1 68 00 ?? ?? ?? ?? 38 61 3B 69 7B 61 78 69 ?? ?? ?? ?? 38 62 17 F1 68 00 ?? ?? ?? ?? 78 62 17 F1 40 01 17 F1 68 00 ?? ?? ?? ?? B8 61 BB 69 FB 61 F8 69 ?? ?? ?? ?? B8 62 D7 F8 98 30 08 33 00 93 D7 F8 A4 30 D7 F8 A0 20 38 6A 79 6A 01 44 B8 6A ?? ?? ?? ?? F8 62 17 F1 68 00 ?? ?? ?? ?? 38 63 FB 6A 7B 60 7A 68 3B 6B 9A 42 02 D8 01 23 BB 60 01 E0 00 23 BB 60 BB 68 DB B2 3B 70 17 F1 40 00 ?? ?? ?? ?? 17 F1 50 00 ?? ?? ?? ?? 3B 78 00 2B 00 D0 00 E0 A9 E7 79 68 17 F1 68 00 ?? ?? ?? ?? 17 F1 68 01 D7 F8 9C 00 ?? ?? ?? ?? F8 63 FB 68 43 F0 01 03 FB 60 17 F1 68 00 ?? ?? ?? ?? D7 F8 9C 30 7B 63 78 6B 24 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_559_3 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z"
		size = 392
		refs = "002a ??$_Debug_pointer_if@$$CBD@std@@YAX_NPBDPB_WI@Z 0032 ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z 0044 ?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ 005e ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIABV12@II@Z 006e ?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z 0078 ?_Clamp_suffix_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIII@Z 0084 ?_Mysize@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAAAIXZ 009e ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 00e6 ?move@?$char_traits@D@std@@SAPADPADPBDI@Z 0112 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0166 ?copy@?$char_traits@D@std@@SAPADPADPBDI@Z 016e ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z 0184 ??_C@_1FA@OCLBCAFA@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAc?$AAr?$AAt?$AAw?$AA3?$AA2?$AA?2?$AAs?$AAt?$AAd?$AAh?$AAp?$AAp?$AA?2@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 18 9B 00 2B 03 D0 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 40 F2 AE 53 58 4A 17 99 9D F8 08 00 ?? ?? ?? ?? 17 99 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 13 D0 14 98 ?? ?? ?? ?? 06 90 18 9B 01 93 17 9A 06 9B D3 1A 00 93 14 9B 16 9A 15 99 14 98 ?? ?? ?? ?? 07 90 07 9B 05 93 85 E0 15 99 14 98 ?? ?? ?? ?? 16 9A 15 99 14 98 ?? ?? ?? ?? 08 90 08 9B 16 93 14 98 ?? ?? ?? ?? 09 90 18 9B C3 F1 FF 31 09 9B 1A 68 16 9B D3 1A 99 42 02 D8 14 98 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0A 90 0A 9B 1A 68 16 9B D2 1A 15 9B D3 1A 03 93 18 9A 16 9B 9A 42 14 D2 14 98 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 03 9A 0B 99 15 9B 19 44 16 9B 19 44 0C 98 15 9B 18 44 18 9B 18 44 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 0D 90 0D 9B 1A 68 18 9B 1A 44 16 9B D3 1A 04 93 18 9B 00 2B 02 D8 16 9B 00 2B 32 D9 00 22 04 99 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 27 D0 16 9A 18 9B 9A 42 14 D2 14 98 ?? ?? ?? ?? 0E 90 14 98 ?? ?? ?? ?? 0F 90 03 9A 0E 99 15 9B 19 44 16 9B 19 44 0F 98 15 9B 18 44 18 9B 18 44 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 10 90 18 9A 17 99 10 98 15 9B 18 44 ?? ?? ?? ?? 04 99 14 98 ?? ?? ?? ?? 14 9B 05 93 05 98 12 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_2_4 {
	meta:
		name = "??0scoped_get_last_error_reset@?A0x19d85740@@QAA@XZ"
		size = 44
		refs = "0028 __imp_GetLastError"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 98 47 00 90 04 9A 00 9B 13 60 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_4_4 {
	meta:
		name = "??1scoped_get_last_error_reset@?A0x19d85740@@QAA@XZ"
		size = 32
		refs = "001c __imp_SetLastError"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_10_4 {
	meta:
		name = "?store_and_initialize_ptd@@YA_NQAU__vcrt_ptd@@@Z"
		size = 60
		refs = "0010 __vcrt_FlsSetValue 0038 ?__vcrt_flsindex@@3KA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 99 0A 4B 18 68 ?? ?? ?? ?? 01 90 01 9B 00 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_11_4 {
	meta:
		name = "__vcrt_FlsAlloc"
		size = 40
		refs = "0024 __imp_FlsAlloc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_12_4 {
	meta:
		name = "__vcrt_FlsFree"
		size = 40
		refs = "0024 __imp_FlsFree"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_13_4 {
	meta:
		name = "__vcrt_FlsGetValue"
		size = 40
		refs = "0024 __imp_FlsGetValue"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1_4 {
	meta:
		name = "__vcrt_GetModuleHandleW"
		size = 40
		refs = "0024 __imp_GetModuleHandleW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_14_4 {
	meta:
		name = "__vcrt_FlsSetValue"
		size = 44
		refs = "0028 __imp_FlsSetValue"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 06 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_15_4 {
	meta:
		name = "__vcrt_freefls"
		size = 44
		refs = "001c _free_dbg 0028 ?__vcrt_startup_thread_ptd@@3U__vcrt_ptd@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 03 D0 02 9A 05 4B 9A 42 00 D1 03 E0 02 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_16_4 {
	meta:
		name = "__vcrt_freeptd"
		size = 84
		refs = "0020 __vcrt_FlsGetValue 003a __vcrt_FlsSetValue 0040 __vcrt_freefls 0050 ?__vcrt_flsindex@@3KA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 11 4B 1B 68 B3 F1 FF 3F 00 D1 16 E0 06 9B 00 2B 07 D1 0C 4B 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 06 9B 00 93 00 9B 02 93 00 21 06 4B 18 68 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_17_4 {
	meta:
		name = "__vcrt_getptd"
		size = 40
		refs = "0008 __vcrt_getptd_noexit 0018 abort"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 01 D1 ?? ?? ?? ?? 00 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_1_18_4 {
	meta:
		name = "__vcrt_getptd_noexit"
		size = 312
		refs = "0020 ??0scoped_get_last_error_reset@?A0x19d85740@@QAA@XZ 0028 __vcrt_FlsGetValue 0040 ??1scoped_get_last_error_reset@?A0x19d85740@@QAA@XZ 006a __vcrt_FlsSetValue 0092 _calloc_dbg 009c ??0?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAA@QAU__vcrt_ptd@@@Z 00a2 ??B?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ 00c2 ??1?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAA@XZ 00d4 ?get@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QBAPAU__vcrt_ptd@@XZ 00dc ?store_and_initialize_ptd@@YA_NQAU__vcrt_ptd@@@Z 010e ?detach@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAAPAU__vcrt_ptd@@XZ 0130 ?__vcrt_flsindex@@3KA 0134 ??_C@_0DN@JAECLCAP@f?3?2dd?2vctools?2crt?2vcruntime?2src?2@"
	strings:
		$1 = { 2D E9 00 48 EB 46 94 B0 6F F0 00 03 12 93 48 4B 1B 68 B3 F1 FF 3F 02 D1 00 23 03 93 84 E0 05 A8 ?? ?? ?? ?? 42 4B 18 68 ?? ?? ?? ?? 07 90 07 9B 06 93 06 9B B3 F1 FF 3F 08 D1 00 23 08 93 05 A8 ?? ?? ?? ?? 08 9B 03 93 6E E0 0A E0 06 9B 00 2B 07 D0 06 9B 09 93 05 A8 ?? ?? ?? ?? 09 9B 03 93 62 E0 6F F0 00 01 32 4B 18 68 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 07 D1 00 23 0B 93 05 A8 ?? ?? ?? ?? 0B 9B 03 93 50 E0 7E 23 00 93 2A 4B 02 22 3C 21 01 20 ?? ?? ?? ?? 0C 90 0C 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0F D1 00 21 1E 4B 18 68 ?? ?? ?? ?? 00 23 0D 93 04 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 0D 9B 03 93 2A E0 04 A8 ?? ?? ?? ?? 0E 90 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 0F D1 00 21 10 4B 18 68 ?? ?? ?? ?? 00 23 0F 93 04 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 0F 9B 03 93 0D E0 04 A8 ?? ?? ?? ?? 10 90 10 9B 11 93 04 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 11 9B 03 93 03 98 14 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_19_4 {
	meta:
		name = "__vcrt_initialize_ptd"
		size = 100
		refs = "000a __vcrt_FlsAlloc 002a ?store_and_initialize_ptd@@YA_NQAU__vcrt_ptd@@@Z 003a __vcrt_uninitialize_ptd 0058 ?__vcrt_startup_thread_ptd@@3U__vcrt_ptd@@A 005c ?__vcrt_flsindex@@3KA 0060 __vcrt_freefls"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 15 48 ?? ?? ?? ?? 02 90 02 9A 12 4B 1A 60 11 4B 1B 68 B3 F1 FF 3F 03 D1 00 23 8D F8 04 30 11 E0 0B 48 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 05 D1 ?? ?? ?? ?? 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_20_4 {
	meta:
		name = "__vcrt_uninitialize_ptd"
		size = 56
		refs = "0016 __vcrt_FlsFree 0034 ?__vcrt_flsindex@@3KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 0A 4B 1B 68 B3 F1 FF 3F 07 D0 08 4B 18 68 ?? ?? ?? ?? 06 4A 6F F0 00 03 13 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_0_4 {
	meta:
		name = "__memcpy_forward_new"
		size = 288
		refs = "010a __memcpy_forward_large_func"
	strings:
		$1 = { 91 F8 00 F0 10 2A 03 46 7A D2 DF E8 02 F0 0A 08 0B 0E 13 16 1B 20 29 2E 37 40 4B 54 5F 6A 0A 78 1A 70 70 47 0A 88 1A 80 70 47 0A 88 89 78 1A 80 99 70 70 47 0A 68 1A 60 70 47 0A 68 09 79 1A 60 19 71 70 47 0A 68 89 88 1A 60 99 80 70 47 D1 F8 00 C0 8A 88 89 79 C3 F8 00 C0 9A 80 99 71 70 47 0A 68 49 68 1A 60 59 60 70 47 D1 F8 00 C0 4A 68 09 7A C3 F8 00 C0 5A 60 19 72 70 47 D1 F8 00 C0 4A 68 09 89 C3 F8 00 C0 5A 60 19 81 70 47 D1 F8 00 C0 4A 68 C3 F8 00 C0 5A 60 0A 89 89 7A 1A 81 99 72 70 47 D1 F8 00 C0 4A 68 89 68 C3 F8 00 C0 5A 60 99 60 70 47 D1 F8 00 C0 4A 68 C3 F8 00 C0 5A 60 8A 68 09 7B 9A 60 19 73 70 47 D1 F8 00 C0 4A 68 C3 F8 00 C0 5A 60 8A 68 89 89 9A 60 99 81 70 47 D1 F8 00 C0 4A 68 C3 F8 00 C0 5A 60 D1 F8 08 C0 8A 89 89 7B C3 F8 08 C0 9A 81 99 73 70 47 80 EA 01 0C 1C F0 03 0F 6A D1 ?? ?? ?? ?? C0 F2 00 0C DC F8 00 F0 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_2_1_4 {
	meta:
		name = "__memcpy_forward_large_integer"
		size = 192
		refs = "0068 CpySmal"
	strings:
		$1 = { 5F EA C3 7C 2D E9 F0 4B 0D F1 18 0B 06 D5 11 F8 01 4B 52 1E 03 F8 01 4B 5F EA C3 7C 04 D3 31 F8 02 4B 92 1E 23 F8 02 4B 11 F0 03 0F 1F D1 20 3A 0F D3 20 3A 91 F8 20 F0 07 D3 91 F8 40 F0 20 3A B1 E8 F0 53 A3 E8 F0 53 F7 D2 B1 E8 F0 53 A3 E8 F0 53 18 32 05 D3 08 3A F1 E8 02 45 E3 E8 02 45 F9 D2 08 32 BD E8 F0 4B ?? ?? ?? ?? 70 47 40 3A 14 D3 91 F8 20 F0 91 F8 40 F0 0C 68 4D 68 8E 68 CF 68 D1 F8 10 80 D1 F8 14 90 D1 F8 18 C0 D1 F8 1C E0 20 31 20 3A A3 E8 F0 53 EC D2 38 32 06 D3 0C 68 4D 68 08 31 08 3A E3 E8 02 45 F8 D2 08 32 BD E8 F0 4B ?? ?? ?? ?? 70 47 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_2_3_4 {
	meta:
		name = "memmove"
		size = 288
		refs = "0004 memcpy 00fa __memcpy_reverse_large_neon 00fe __memcpy_reverse_large_func"
	strings:
		$1 = { 43 1A 93 42 ?? ?? ?? ?? 10 2A 91 F8 00 F0 70 D2 DF E8 02 F0 0A 08 0B 0E 13 16 1B 20 27 2C 33 3A 45 4E 59 64 0A 78 02 70 70 47 0A 88 02 80 70 47 0A 88 89 78 02 80 81 70 70 47 0A 68 02 60 70 47 0A 68 09 79 02 60 01 71 70 47 0A 68 89 88 02 60 81 80 70 47 0B 68 8A 88 89 79 03 60 82 80 81 71 70 47 0A 68 49 68 02 60 41 60 70 47 0B 68 4A 68 09 7A 03 60 42 60 01 72 70 47 0B 68 4A 68 09 89 03 60 42 60 01 81 70 47 D1 F8 00 C0 4B 68 0A 89 89 7A C0 F8 00 C0 43 60 02 81 81 72 70 47 D1 F8 00 C0 4A 68 89 68 C0 F8 00 C0 42 60 81 60 70 47 D1 F8 00 C0 4B 68 8A 68 09 7B C0 F8 00 C0 43 60 82 60 01 73 70 47 D1 F8 00 C0 4B 68 8A 68 89 89 C0 F8 00 C0 43 60 82 60 81 81 70 47 8B 89 8A 7B 83 81 82 73 0B 68 4A 68 89 68 03 60 42 60 81 60 70 47 80 EA 01 0C 1C F0 03 0F ?? ?? ?? ?? ?? ?? ?? ?? C0 F2 00 0C DC F8 00 F0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_2_4_4 {
	meta:
		name = "__memcpy_reverse_large_integer"
		size = 224
		refs = "0072 MovSmal"
	strings:
		$1 = { 83 18 89 18 5F EA C3 7C 11 F8 20 FC 2D E9 F0 4B 0D F1 18 0B 06 D5 11 F8 01 4D 52 1E 03 F8 01 4D 5F EA C3 7C 04 D3 31 F8 02 4D 92 1E 23 F8 02 4D 11 F0 03 0F 20 D1 20 3A 0F D3 20 3A 11 F8 40 FC 07 D3 11 F8 60 FC 20 3A 31 E9 F0 53 23 E9 F0 53 F7 D2 31 E9 F0 53 23 E9 F0 53 18 32 05 D3 08 3A 71 E9 02 45 63 E9 02 45 F9 D2 08 32 89 1A BD E8 F0 4B ?? ?? ?? ?? 70 47 40 3A 14 D3 11 F8 40 FC 11 F8 60 FC 20 3A 51 F8 20 4D 4D 68 8E 68 CF 68 D1 F8 10 80 D1 F8 14 90 D1 F8 18 C0 D1 F8 1C E0 23 E9 F0 53 EC D2 38 32 06 D3 08 3A 51 F8 08 4D 4D 68 63 E9 02 45 F8 D2 08 32 89 1A BD E8 F0 4B ?? ?? ?? ?? 70 47 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_2_5_4 {
	meta:
		name = "__memcpy_reverse_large_neon"
		size = 128
		refs = "0078 MovSmal"
	strings:
		$1 = { 83 18 89 18 5F EA C3 7C 11 F8 20 FC 2D E9 30 48 0D F1 08 0B 06 D5 11 F8 01 4D 52 1E 03 F8 01 4D 5F EA C3 7C 04 D3 31 F8 02 4D 92 1E 23 F8 02 4D 20 3A 13 D3 20 3A 11 F8 40 FC 09 D3 11 F8 60 FC 20 39 20 3B 20 3A 21 F9 0F 02 03 F9 0F 02 F5 D2 20 39 20 3B 21 F9 0F 02 03 F9 0F 02 18 32 07 D3 51 F8 08 4D 4D 68 08 3A 43 F8 08 4D 5D 60 F7 D2 08 32 89 1A BD E8 30 48 ?? ?? ?? ?? 70 47 00 00 }
	condition:
		$1
}

rule file_2_6_4 {
	meta:
		name = "_memcpy_strict_align"
		size = 350
	strings:
		$1 = { A0 EB 01 03 9A B3 13 F0 03 03 31 D1 10 F0 03 0F 13 D0 10 F0 01 0F 08 D0 52 1E 11 F8 01 3B 00 F8 01 3B 24 D0 10 F0 03 0F 07 D0 02 2A 19 D3 92 1E 31 F8 02 3B 20 F8 02 3B 19 D0 12 1F 05 DB 12 1F 51 F8 04 3B 40 F8 04 3B F9 DA 12 1D 0F D0 92 1E 05 DB 92 1E 31 F8 02 3B 20 F8 02 3B F9 DA 92 1C 05 D0 52 1E 11 F8 01 3B 00 F8 01 3B F9 D1 70 47 02 2B 2A D1 10 F0 03 0F 13 D0 10 F0 01 0F 08 D0 52 1E 11 F8 01 3B 00 F8 01 3B F0 D0 10 F0 03 0F 07 D0 02 2A E5 D3 92 1E 31 F8 02 3B 20 F8 02 3B E5 D0 92 1F 0E DB 31 F8 02 CB 92 1E 12 1F 51 F8 04 3B 4C EA 03 4C 40 F8 04 CB 4F EA 13 4C F5 DA 20 F8 02 CB 92 1D D2 D0 C1 E7 01 2B 1F D1 10 F0 03 0F 08 D0 52 1E 11 F8 01 3B 00 F8 01 3B C6 D0 10 F0 03 0F F6 D1 52 1F 0E DB 11 F8 01 CB 52 1E 12 1F 51 F8 04 3B 4C EA 03 2C 40 F8 04 CB 4F EA 13 6C F5 DA 00 F8 01 CB 52 1D B0 D0 A9 E7 10 F0 03 0F 08 D0 52 1E 11 F8 01 3B 00 F8 01 3B A6 D0 10 F0 03 0F F6 D1 D2 1F 16 DB 11 F8 01 CB 31 F8 02 3B 4C EA 03 2C D2 1E 12 1F 51 F8 04 3B 4C EA 03 6C 40 F8 04 CB 4F EA 13 2C F5 DA 20 F8 02 CB 4F EA 1C 4C 00 F8 01 CB D2 1D 88 D0 81 E7 }
	condition:
		$1
}

rule file_3_0_4 {
	meta:
		name = "__DestructExceptionObject"
		size = 236
		refs = "008a ?_CallMemberFunction0@@YAXQAX0@Z 0090 terminate 00c8 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 84 B0 6F 46 3B 6A 00 2B 1B D0 3B 6A 1A 68 33 4B 9A 42 16 D1 3B 6A 10 33 1B 68 04 2B 11 D1 3B 6A 14 33 1A 68 2D 4B 9A 42 0C D0 3B 6A 14 33 1A 68 29 4B 9A 42 06 D0 3B 6A 14 33 1A 68 25 4B 9A 42 00 D0 41 E0 3B 6A 14 33 08 33 1B 68 00 2B 3B D0 3B 6A 14 33 08 33 1B 68 1B 1D 1B 68 00 2B 16 D0 3B 6A 14 33 03 F1 0C 02 3B 6A 14 33 08 33 1B 68 1B 1D 12 68 1B 68 D1 18 3B 6A 14 33 1B 1D 18 68 ?? ?? ?? ?? 02 E0 ?? ?? ?? ?? FF E7 1C E0 3B 6A 14 33 08 33 1B 68 1B 68 13 F0 10 0F 14 D0 3B 6A 14 33 1B 1D 1B 68 1B 68 3B 60 3B 68 00 2B 0B D0 3B 68 1B 68 08 33 3C 68 1B 68 BB 60 B8 68 ?? ?? ?? ?? BB 68 20 46 98 47 04 B0 BD E8 90 08 5D F8 0C FB 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_3_7_4 {
	meta:
		name = "??8type_info@@QBA_NABV0@@Z"
		size = 62
		refs = "0012 __std_type_info_compare"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 19 1D 06 9B 18 1D ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_3_10_4 {
	meta:
		name = "?CatchIt@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@PBU_s_HandlerType@@PBU_s_CatchableType@@PBU_s_TryBlockMapEntry@@H1EE@Z"
		size = 110
		refs = "0016 ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z 002e __BuildCatchObject 0032 _GetImageBase 0060 _UnwindNestedFrames"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 06 93 09 AB 10 9A 0F 99 0D 98 ?? ?? ?? ?? 07 90 07 9B 06 93 12 9B 00 2B 05 D0 12 9B 11 9A 06 99 0C 98 ?? ?? ?? ?? ?? ?? ?? ?? 08 90 9D F8 5C 30 04 93 0F 9B 03 93 10 9B 02 93 13 9B 1B 68 01 93 11 9B 0C 33 08 9A 1B 68 13 44 00 93 06 9B 0E 9A 0C 99 0D 98 ?? ?? ?? ?? 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_3_11_4 {
	meta:
		name = "?ExFilterRethrow@@YAHPAU_EXCEPTION_POINTERS@@PAUEHExceptionRecord@@PAH@Z"
		size = 232
		refs = "00ac __vcrt_getptd"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 00 93 08 9A 00 23 13 60 00 9B 1A 68 32 4B 9A 42 23 D1 00 9B 10 33 1B 68 04 2B 1E D1 00 9B 14 33 1A 68 2B 4B 9A 42 0B D0 00 9B 14 33 1A 68 27 4B 9A 42 05 D0 00 9B 14 33 1A 68 23 4B 9A 42 0C D1 00 9B 14 33 1A 1D 07 9B 14 33 1B 1D 12 68 1B 68 9A 42 02 D1 08 9A 01 23 13 60 00 9B 1A 68 1D 4B 9A 42 2A D1 00 9B 10 33 1B 68 04 2B 25 D1 00 9B 14 33 1A 68 17 4B 9A 42 0B D0 00 9B 14 33 1A 68 13 4B 9A 42 05 D0 00 9B 14 33 1A 68 0F 4B 9A 42 13 D1 00 9B 14 33 08 33 1B 68 00 2B 0D D1 ?? ?? ?? ?? 02 90 02 9B 03 F1 20 02 01 23 13 60 08 9A 01 23 13 60 01 23 01 93 01 E0 00 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_3_12_4 {
	meta:
		name = "?FindHandler@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@EH1@Z"
		size = 1268
		refs = "001a ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 002c ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z 0036 ?__GetUnwindTryBlock@@YAHPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z 004c ?__SetState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z 0058 ?__SetUnwindTryBlock@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z 0084 terminate 00dc __vcrt_getptd 0118 _SetThrowImageBase 0120 ?_ValidateRead@@YA_NPBXI@Z 01b0 ?IsInExceptionSpec@@YAEPAUEHExceptionRecord@@PBU_s_ESTypeList@@@Z 01c4 ?Is_bad_exception_allowed@@YAEPBU_s_ESTypeList@@@Z 01d8 __DestructExceptionObject 01de ??0bad_exception@std@@QAA@XZ 01e6 _CxxThrowException 024e ?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PAKPBU_s_FuncInfo@@HHPAI2PAU_xDISPATCHER_CONTEXT@@@Z 0286 _GetImageBase 02b4 _GetThrowImageBase 0318 __TypeMatch 0358 ?CatchIt@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@PBU_s_HandlerType@@PBU_s_CatchableType@@PBU_s_TryBlockMapEntry@@H1EE@Z 03f8 ?_ExecutionInCatch@@YAHPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z 0484 _UnwindNestedFrames 04b4 ?FindHandlerForForeignException@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@HH1@Z 04f0 _TI2?AVbad_exception@std@@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B4 B0 00 23 8D F8 20 30 00 23 8D F8 21 30 39 99 3A 98 ?? ?? ?? ?? 17 90 17 9B 09 93 19 AB 3A 9A 39 99 37 98 ?? ?? ?? ?? 3A 9A 39 99 37 98 ?? ?? ?? ?? 18 90 09 9A 18 9B 9A 42 0C DD 09 9B 3A 9A 39 99 19 A8 ?? ?? ?? ?? 09 9B 3A 9A 39 99 37 98 ?? ?? ?? ?? 07 E0 3A 9A 39 99 37 98 ?? ?? ?? ?? 1A 90 1A 9B 09 93 09 9B B3 F1 FF 3F 06 DB 3A 9B 1B 1D 09 9A 1B 68 9A 42 00 DA 01 E0 ?? ?? ?? ?? 36 9B 1A 68 DF F8 5C 34 9A 42 40 F0 AD 80 36 9B 10 33 1B 68 04 2B 40 F0 A7 80 36 9B 14 33 1A 68 DF F8 3C 34 9A 42 0E D0 36 9B 14 33 1A 68 DF F8 28 34 9A 42 07 D0 36 9B 14 33 1A 68 DF F8 1C 34 9A 42 40 F0 91 80 36 9B 14 33 08 33 1B 68 00 2B 40 F0 8A 80 ?? ?? ?? ?? 1B 90 1B 9B 10 33 1B 68 00 2B 00 D1 F2 E1 ?? ?? ?? ?? 1C 90 1C 9B 10 33 1B 68 36 93 ?? ?? ?? ?? 1D 90 1D 9B 14 33 1B 68 38 93 01 23 8D F8 20 30 36 9B 14 33 0C 33 18 68 ?? ?? ?? ?? 01 21 36 98 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 00 D0 01 E0 ?? ?? ?? ?? 36 9B 1A 68 EC 4B 9A 42 1E D1 36 9B 10 33 1B 68 04 2B 19 D1 36 9B 14 33 1A 68 E5 4B 9A 42 0B D0 36 9B 14 33 1A 68 E0 4B 9A 42 05 D0 36 9B 14 33 1A 68 DE 4B 9A 42 07 D1 36 9B 14 33 08 33 1B 68 00 2B 01 D1 ?? ?? ?? ?? ?? ?? ?? ?? 1E 90 1E 9B 1C 33 1B 68 00 2B 30 D0 ?? ?? ?? ?? 1F 90 1F 9B 1C 33 1B 68 11 93 ?? ?? ?? ?? 20 90 20 9B 03 F1 1C 02 00 23 13 60 11 99 36 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 00 D0 16 E0 11 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 0B D0 01 21 36 98 ?? ?? ?? ?? 30 A8 ?? ?? ?? ?? C3 49 30 A8 ?? ?? ?? ?? 01 E0 ?? ?? ?? ?? 36 9B 1A 68 BD 4B 9A 42 40 F0 47 81 36 9B 10 33 1B 68 04 2B 40 F0 41 81 36 9B 14 33 1A 68 B6 4B 9A 42 0C D0 36 9B 14 33 1A 68 B1 4B 9A 42 06 D0 36 9B 14 33 1A 68 AF 4B 9A 42 40 F0 2E 81 3A 9B 0C 33 1B 68 00 2B 40 F2 97 80 39 9B 02 93 22 AB 01 93 0D AB 00 93 09 9B 3C 9A 3A 99 37 98 ?? ?? ?? ?? 21 90 21 9B 0B 93 05 E0 0D 9B 5B 1C 0D 93 0B 9B 14 33 0B 93 0D 9A 22 9B 9A 42 7B D2 0B 9B 1A 68 09 9B 9A 42 05 DC 0B 9B 1B 1D 09 9A 1B 68 9A 42 00 DD E9 E7 ?? ?? ?? ?? 23 90 0B 9B 10 33 23 9A 1B 68 13 44 0C 93 0B 9B 0C 33 1B 68 0E 93 05 E0 0E 9B 5B 1E 0E 93 0C 9B 10 33 0C 93 0E 9B 00 2B 57 DD ?? ?? ?? ?? 24 90 36 9B 14 33 08 33 1B 68 0C 33 24 9A 1B 68 13 44 1B 1D 10 93 ?? ?? ?? ?? 25 90 36 9B 14 33 08 33 1B 68 0C 33 25 9A 1B 68 13 44 1B 68 0F 93 05 E0 0F 9B 5B 1E 0F 93 10 9B 1B 1D 10 93 0F 9B 00 2B 32 DD ?? ?? ?? ?? 26 90 26 9A 10 9B 1B 68 13 44 12 93 36 9B 14 33 08 33 1A 68 12 99 0C 98 ?? ?? ?? ?? 27 90 27 9B 00 2B 00 D1 E1 E7 01 23 8D F8 21 30 9D F8 EC 30 07 93 9D F8 20 30 06 93 3D 9B 05 93 3C 9B 04 93 0B 9B 03 93 12 9B 02 93 0C 9B 01 93 3A 9B 00 93 39 9B 38 9A 37 99 36 98 ?? ?? ?? ?? 02 E0 01 E0 C3 E7 9E E7 79 E7 20 E0 3A 9B 1B 68 23 F0 60 42 5B 4B 9A 42 00 D3 01 E0 ?? ?? ?? ?? 3A 9B 20 33 1B 68 00 2B 09 D0 ?? ?? ?? ?? 28 90 3A 9B 20 33 28 9A 1B 68 13 44 13 93 01 E0 00 23 13 93 13 9B 00 2B 00 D0 01 E0 ?? ?? ?? ?? 9D F8 21 30 00 2B 6A D1 3A 9B 1B 68 23 F0 60 42 49 4B 9A 42 63 D3 3A 9B 20 33 1B 68 00 2B 09 D0 ?? ?? ?? ?? 29 90 3A 9B 20 33 29 9A 1B 68 13 44 14 93 01 E0 00 23 14 93 14 9B 00 2B 0D D1 3A 9B 24 33 1B 68 13 F0 04 0F 49 D0 3A 99 39 98 ?? ?? ?? ?? 2A 90 2A 9B 00 2B 41 D1 3A 9B 24 33 1B 68 13 F0 04 0F 01 D0 ?? ?? ?? ?? 3A 9B 20 33 1B 68 00 2B 09 D0 ?? ?? ?? ?? 2B 90 3A 9B 20 33 2B 9A 1B 68 13 44 15 93 01 E0 00 23 15 93 15 99 36 98 ?? ?? ?? ?? 8D F8 2B 00 9D F8 2B 30 00 2B 1E D1 37 9B 16 93 2E AB 3A 9A 39 99 37 98 ?? ?? ?? ?? 2C 90 2C 9B 16 93 00 23 2F 93 9D F8 EC 30 04 93 39 9B 03 93 3A 9B 02 93 6F F0 00 03 01 93 00 23 00 93 16 9B 38 9A 36 99 37 98 ?? ?? ?? ?? 19 E0 3A 9B 0C 33 1B 68 00 2B 14 D9 9D F8 EC 30 00 2B 0E D1 3D 9B 03 93 3C 9B 02 93 09 9B 01 93 3A 9B 00 93 39 9B 38 9A 37 99 36 98 ?? ?? ?? ?? 01 E0 ?? ?? ?? ?? ?? ?? ?? ?? 2D 90 2D 9B 1C 33 1B 68 00 2B 00 D1 01 E0 ?? ?? ?? ?? 34 B0 5D F8 04 BB 5D F8 14 FB FE DE 21 05 93 19 22 05 93 19 20 05 93 19 63 73 6D E0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_13_4 {
	meta:
		name = "?FindHandlerForForeignException@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@HH1@Z"
		size = 564
		refs = "001a __vcrt_getptd 006e _CallSETranslator 0088 terminate 00a0 ?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PAKPBU_s_FuncInfo@@HHPAI2PAU_xDISPATCHER_CONTEXT@@@Z 00da _GetImageBase 0218 ?CatchIt@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@PBU_s_HandlerType@@PBU_s_CatchableType@@PBU_s_TryBlockMapEntry@@H1EE@Z 0230 __imp_EncodePointer"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9A B0 1C 9B 1A 68 01 23 DB 07 DB 1C 9A 42 00 D1 01 E1 ?? ?? ?? ?? 0C 90 0C 9B 08 33 1B 68 00 2B 28 D0 ?? ?? ?? ?? 0D 90 00 20 7F 4B 1B 68 98 47 0E 90 0D 9B 08 33 1A 68 0E 9B 9A 42 1A D0 1C 9B 1A 68 78 4B 9A 42 15 D0 1C 9B 1A 68 74 4B 9A 42 10 D0 23 9B 02 93 22 9B 01 93 20 9B 00 93 1F 9B 1E 9A 1D 99 1C 98 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 00 D0 D0 E0 20 9B 0C 33 1B 68 00 2B 00 D0 01 E0 ?? ?? ?? ?? 1F 9B 02 93 11 AB 01 93 09 AB 00 93 21 9B 22 9A 20 99 1D 98 ?? ?? ?? ?? 10 90 10 9B 08 93 05 E0 09 9B 5B 1C 09 93 08 9B 14 33 08 93 09 9A 11 9B 9A 42 80 F0 AE 80 08 9B 21 9A 1B 68 9A 42 C0 F2 81 80 08 9B 1B 1D 21 9A 1B 68 9A 42 7A DC ?? ?? ?? ?? 12 90 08 9B 10 33 12 9A 1B 68 D1 18 08 9B 0C 33 1B 68 5A 1E 10 23 02 FB 03 F3 0B 44 1B 1D 1B 68 00 2B 18 D0 ?? ?? ?? ?? 14 90 ?? ?? ?? ?? 13 90 08 9B 10 33 13 9A 1B 68 D1 18 08 9B 0C 33 1B 68 5A 1E 10 23 02 FB 03 F3 0B 44 1B 1D 14 9A 1B 68 13 44 0A 93 01 E0 00 23 0A 93 0A 9B 00 2B 34 D0 ?? ?? ?? ?? 15 90 08 9B 10 33 15 9A 1B 68 D1 18 08 9B 0C 33 1B 68 5A 1E 10 23 02 FB 03 F3 0B 44 1B 1D 1B 68 00 2B 18 D0 ?? ?? ?? ?? 17 90 ?? ?? ?? ?? 16 90 08 9B 10 33 16 9A 1B 68 D1 18 08 9B 0C 33 1B 68 5A 1E 10 23 02 FB 03 F3 0B 44 1B 1D 17 9A 1B 68 13 44 0B 93 01 E0 00 23 0B 93 0B 9B 08 33 93 F9 00 30 00 2B 13 D1 ?? ?? ?? ?? 18 90 08 9B 10 33 18 9A 1B 68 D1 18 08 9B 0C 33 1B 68 5A 1E 10 23 02 FB 03 F3 0B 44 1B 68 13 F0 40 0F 00 D0 6C E7 ?? ?? ?? ?? 19 90 00 23 07 93 01 23 06 93 23 9B 05 93 22 9B 04 93 08 9B 03 93 00 23 02 93 08 9B 10 33 19 9A 1B 68 D1 18 08 9B 0C 33 1B 68 5A 1E 10 23 02 FB 03 F3 0B 44 01 93 20 9B 00 93 1F 9B 1E 9A 1D 99 1C 98 ?? ?? ?? ?? 46 E7 1A B0 5D F8 04 BB 5D F8 14 FB 52 43 43 E0 4D 4F 43 E0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_14_4 {
	meta:
		name = "?IsInExceptionSpec@@YAEPAUEHExceptionRecord@@PBU_s_ESTypeList@@@Z"
		size = 232
		refs = "0014 terminate 003e _GetThrowImageBase 0096 _GetImageBase 00ba __TypeMatch"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0F 9B 00 2B 00 D0 01 E0 ?? ?? ?? ?? 0F 9B 00 2B 01 D1 ?? ?? ?? ?? 00 23 8D F8 00 30 00 23 01 93 02 E0 01 9B 5B 1C 01 93 0F 9B 01 9A 1B 68 9A 42 49 DA ?? ?? ?? ?? 04 90 0E 9B 14 33 08 33 1B 68 0C 33 04 9A 1B 68 13 44 1B 1D 03 93 ?? ?? ?? ?? 05 90 0E 9B 14 33 08 33 1B 68 0C 33 05 9A 1B 68 13 44 1B 68 02 93 05 E0 02 9B 5B 1E 02 93 03 9B 1B 1D 03 93 02 9B 00 2B 24 DD ?? ?? ?? ?? 06 90 06 9A 03 9B 1B 68 13 44 07 93 ?? ?? ?? ?? 08 90 0E 9B 14 33 08 33 1A 68 07 99 0F 9B 1B 1D 08 98 1B 68 C4 18 01 98 10 23 00 FB 03 F3 E0 18 ?? ?? ?? ?? 09 90 09 9B 00 2B 03 D0 01 23 8D F8 00 30 00 E0 D1 E7 AD E7 9D F8 00 30 8D F8 28 30 9D F8 28 00 0B B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_3_15_4 {
	meta:
		name = "?Is_bad_exception_allowed@@YAEPBU_s_ESTypeList@@@Z"
		size = 168
		refs = "0020 _GetImageBase 0076 ??8type_info@@QBA_NABV0@@Z 00a4 ??_R0?AVbad_exception@std@@@8"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 0A 9B 01 9A 1B 68 9A 42 37 DA ?? ?? ?? ?? 04 90 0A 9B 1B 1D 04 9A 1B 68 D1 18 01 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1B 68 00 2B 15 D0 ?? ?? ?? ?? 06 90 ?? ?? ?? ?? 05 90 0A 9B 1B 1D 05 9A 1B 68 D1 18 01 9A 10 23 02 FB 03 F3 0B 44 1B 1D 06 9A 1B 68 13 44 02 93 01 E0 00 23 02 93 0C 49 02 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 01 23 8D F8 0C 30 03 E0 BF E7 00 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_19_4 {
	meta:
		name = "?_ValidateExecute@@YA_NP6AHXZ@Z"
		size = 44
		altNames = "?_ValidateRead@@YA_NPBXI@Z ?_ValidateWrite@@YA_NPAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_3_22_4 {
	meta:
		name = "?__RethrowException@@YAXPAUEHExceptionRecord@@@Z"
		size = 52
		refs = "0030 __imp_RaiseException"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 81 B0 04 9B 14 33 04 9A 10 32 12 68 04 99 09 1D 09 68 04 98 00 68 03 4C 24 68 A0 47 01 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_23_4 {
	meta:
		name = "?raw_name@type_info@@QBAPBDXZ"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 1D 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_3_26_4 {
	meta:
		name = "__AdjustPointer"
		size = 86
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 04 9A 1B 68 13 44 00 93 05 9B 1B 1D 1B 68 00 2B 13 DB 05 9B 1B 1D 04 9A 1B 68 1A 44 05 9B 08 33 12 68 1B 68 13 44 00 9A 1B 68 13 44 00 93 05 9B 1B 1D 00 9A 1B 68 13 44 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_3_27_4 {
	meta:
		name = "__BuildCatchObject"
		size = 228
		refs = "0036 __BuildCatchObjectHelper 005c __AdjustPointer 006c _GetThrowImageBase 008a ?_CallMemberFunction1@@YAXQAX00@Z 00ce ?_CallMemberFunction2@@YAXQAX00H@Z 00d4 terminate"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 BB 6B 1B 68 13 F0 00 4F 02 D0 7B 6B 3B 60 07 E0 BB 6B 03 F1 08 01 7B 6B 1A 68 0B 68 13 44 3B 60 FB 6B BA 6B 79 6B 38 6B ?? ?? ?? ?? 38 61 3B 69 7B 60 7B 68 01 2B 03 D0 7B 68 02 2B 21 D0 41 E0 FB 6B 03 F1 08 01 3B 6B 14 33 1B 1D 18 68 ?? ?? ?? ?? B8 61 FB 6B 18 33 1B 68 00 2B 09 D0 ?? ?? ?? ?? 78 61 FB 6B 18 33 7A 69 1B 68 13 44 BB 60 01 E0 00 23 BB 60 BA 69 B9 68 38 68 ?? ?? ?? ?? 20 E0 FB 6B 03 F1 08 01 3B 6B 14 33 1B 1D 18 68 ?? ?? ?? ?? 38 62 FB 6B 18 33 1B 68 00 2B 09 D0 ?? ?? ?? ?? F8 61 FB 6B 18 33 FA 69 1B 68 13 44 FB 60 01 E0 00 23 FB 60 01 23 3A 6A F9 68 38 68 ?? ?? ?? ?? 02 E0 ?? ?? ?? ?? FF E7 09 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_3_29_4 {
	meta:
		name = "__BuildCatchObjectHelper"
		size = 748
		refs = "001c _GetImageBase 00c6 _guard_check_icall 00d8 ?_ValidateRead@@YA_NPBXI@Z 00e8 ?_ValidateWrite@@YA_NPAXI@Z 0104 __AdjustPointer 0112 terminate 01b2 memmove 01f0 _GetThrowImageBase 02a8 ?_ValidateExecute@@YA_NP6AHXZ@Z 02e8 ?g_OutOfMemoryExceptionCallback@@3P6APAXXZA"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 95 B0 6F 46 00 23 3B 61 BB 6E 1B 1D 1B 68 00 2B 09 D0 ?? ?? ?? ?? 38 63 BB 6E 1B 1D 3A 6B 1B 68 13 44 7B 61 01 E0 00 23 7B 61 7B 69 00 2B 20 D0 BB 6E 1B 1D 1B 68 00 2B 09 D0 ?? ?? ?? ?? 78 63 BB 6E 1B 1D 7A 6B 1B 68 13 44 BB 61 01 E0 00 23 BB 61 BB 69 08 33 93 F9 00 30 00 2B 09 D0 BB 6E 08 33 1B 68 00 2B 07 D1 BB 6E 1B 68 13 F0 00 4F 02 D1 00 23 FB 62 2B E1 BB 6E 1B 68 13 F0 00 4F 02 D0 7B 6E 3B 60 07 E0 BB 6E 03 F1 08 01 7B 6E 1A 68 0B 68 13 44 3B 60 BB 6E 1B 68 13 F0 80 0F 35 D0 FB 6E 1B 68 13 F0 10 0F 30 D0 8C 4B 1B 68 00 2B 2C D0 8A 4B 1B 68 FB 61 F8 69 ?? ?? ?? ?? FB 69 98 47 B8 63 BB 6B 3B 62 01 21 38 6A ?? ?? ?? ?? 38 71 3B 79 00 2B 16 D0 01 21 38 68 ?? ?? ?? ?? 78 71 7B 79 00 2B 0E D0 3A 6A 3B 68 1A 60 FB 6E 03 F1 08 01 3B 68 18 68 ?? ?? ?? ?? F8 63 FA 6B 3B 68 1A 60 01 E0 ?? ?? ?? ?? DA E0 BB 6E 1B 68 13 F0 08 0F 27 D0 01 21 3B 6E 14 33 1B 1D 18 68 ?? ?? ?? ?? B8 71 BB 79 00 2B 19 D0 01 21 38 68 ?? ?? ?? ?? F8 71 FB 79 00 2B 11 D0 3B 6E 14 33 1B 1D 1A 68 3B 68 1A 60 FB 6E 03 F1 08 01 3B 68 18 68 ?? ?? ?? ?? 38 64 3A 6C 3B 68 1A 60 01 E0 ?? ?? ?? ?? AD E0 FB 6E 1B 68 13 F0 01 0F 34 D0 01 21 3B 6E 14 33 1B 1D 18 68 ?? ?? ?? ?? 38 72 3B 7A 00 2B 26 D0 01 21 38 68 ?? ?? ?? ?? 78 72 7B 7A 00 2B 1E D0 FB 6E 14 33 1A 68 3B 6E 14 33 1B 1D 19 68 38 68 ?? ?? ?? ?? FB 6E 14 33 1B 68 04 2B 0E D1 3B 68 1B 68 00 2B 0A D0 FB 6E 03 F1 08 01 3B 68 18 68 ?? ?? ?? ?? 78 64 7A 6C 3B 68 1A 60 01 E0 ?? ?? ?? ?? 73 E0 FB 6E 18 33 1B 68 00 2B 09 D0 ?? ?? ?? ?? B8 64 FB 6E 18 33 BA 6C 1B 68 13 44 7B 62 01 E0 00 23 7B 62 7B 6A 00 2B 27 D1 01 21 3B 6E 14 33 1B 1D 18 68 ?? ?? ?? ?? B8 72 BB 7A 00 2B 19 D0 01 21 38 68 ?? ?? ?? ?? F8 72 FB 7A 00 2B 11 D0 FB 6E 03 F1 08 01 3B 6E 14 33 1B 1D 18 68 ?? ?? ?? ?? F8 64 FB 6E 14 33 1A 68 F9 6C 38 68 ?? ?? ?? ?? 01 E0 ?? ?? ?? ?? 37 E0 01 21 3B 6E 14 33 1B 1D 18 68 ?? ?? ?? ?? 38 73 3B 7B 00 2B 2A D0 01 21 38 68 ?? ?? ?? ?? 78 73 7B 7B 00 2B 22 D0 FB 6E 18 33 1B 68 00 2B 09 D0 ?? ?? ?? ?? 38 65 FB 6E 18 33 3A 6D 1B 68 13 44 BB 62 01 E0 00 23 BB 62 B8 6A ?? ?? ?? ?? B8 73 BB 7B 00 2B 0A D0 FB 6E 1B 68 13 F0 04 0F 02 D0 02 23 3B 61 01 E0 01 23 3B 61 01 E0 ?? ?? ?? ?? 02 E0 ?? ?? ?? ?? FF E7 3B 69 FB 62 F8 6A 15 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_31_4 {
	meta:
		name = "__CxxCallCatchBlock"
		size = 492
		refs = "001e __vcrt_getptd 0078 __except_validate_context_record 00b2 _CreateFrameInfo 00ee _CallSettingFrame 0118 __DestructExceptionObject 011e ?__RethrowException@@YAXPAUEHExceptionRecord@@@Z 012e _FindAndUnlinkFrame 0178 _IsExceptionObjectToBeDestroyed"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B A3 B0 6F 46 00 23 7B 60 00 23 BB 61 00 23 7B 63 00 23 FB 61 ?? ?? ?? ?? B8 63 BB 6B 14 33 1B 68 BB 62 ?? ?? ?? ?? F8 63 FB 6B 10 33 1B 68 7B 62 D7 F8 98 30 14 33 18 33 1B 68 3B 60 D7 F8 98 30 14 33 14 33 1B 68 FB 66 D7 F8 98 30 14 33 10 33 1B 68 7B 61 D7 F8 98 30 14 33 08 33 1B 68 7B 65 D7 F8 98 30 14 33 1B 1D 1B 68 FB 62 78 69 ?? ?? ?? ?? ?? ?? ?? ?? 38 64 3B 6C 03 F1 10 02 3B 68 13 60 ?? ?? ?? ?? 78 64 7B 6C 03 F1 14 02 7B 69 13 60 ?? ?? ?? ?? B8 64 BB 6C 10 33 1B 68 14 33 1B 1D 19 68 17 F1 78 00 ?? ?? ?? ?? F8 64 FB 6C 3B 62 D7 F8 98 30 14 33 1C 33 1B 68 00 2B 08 D0 01 23 BB 61 ?? ?? ?? ?? 38 65 3B 6D 38 33 1B 68 FB 61 4F F4 80 73 D7 F8 98 20 14 32 28 32 12 68 F9 6A 78 6D ?? ?? ?? ?? B8 65 BB 6D 7B 63 18 E0 01 23 7B 60 ?? ?? ?? ?? B8 66 BB 6E 03 F1 20 02 00 23 13 60 BB 69 00 2B 07 D0 01 21 38 68 ?? ?? ?? ?? F8 69 ?? ?? ?? ?? 02 E0 38 68 ?? ?? ?? ?? FF E7 38 6A ?? ?? ?? ?? 7B 68 00 2B 29 D1 3B 68 1A 68 2A 4B 9A 42 24 D1 3B 68 10 33 1B 68 04 2B 1F D1 3B 68 14 33 1A 68 24 4B 9A 42 0B D0 3B 68 14 33 1A 68 20 4B 9A 42 05 D0 3B 68 14 33 1A 68 1C 4B 9A 42 0D D1 3B 68 14 33 1B 1D 18 68 ?? ?? ?? ?? B8 60 BB 68 00 2B 03 D0 01 21 38 68 ?? ?? ?? ?? ?? ?? ?? ?? F8 60 FB 68 03 F1 10 02 7B 6A 13 60 ?? ?? ?? ?? 38 61 3B 69 03 F1 14 02 BB 6A 13 60 FB 6E 03 F1 1C 01 FB 6A 1A 68 0B 68 13 44 3B 63 3A 6B 6F F0 01 03 13 60 3A 6B 6F F0 00 03 53 60 7B 6B 3B 67 38 6F 23 B0 BD E8 80 08 5D F8 0C FB 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_3_32_4 {
	meta:
		name = "__CxxCallCatchBlock$filt$0"
		size = 24
		refs = "000e ?ExFilterRethrow@@YAHPAU_EXCEPTION_POINTERS@@PAUEHExceptionRecord@@PAH@Z"
	strings:
		$1 = { 10 B5 F8 65 FB 6D 3B 66 3A 1D 39 68 38 6E ?? ?? ?? ?? 78 66 78 6E 10 BD }
	condition:
		$1
}

rule file_3_33_4 {
	meta:
		name = "__CxxCallCatchBlock$fin$1"
		size = 152
		refs = "0004 _FindAndUnlinkFrame 004e _IsExceptionObjectToBeDestroyed 005e __DestructExceptionObject 0062 __vcrt_getptd"
	strings:
		$1 = { 10 B5 38 6A ?? ?? ?? ?? 7B 68 00 2B 29 D1 3B 68 1A 68 20 4B 9A 42 24 D1 3B 68 10 33 1B 68 04 2B 1F D1 3B 68 14 33 1A 68 19 4B 9A 42 0B D0 3B 68 14 33 1A 68 15 4B 9A 42 05 D0 3B 68 14 33 1A 68 11 4B 9A 42 0D D1 3B 68 14 33 1B 1D 18 68 ?? ?? ?? ?? B8 60 BB 68 00 2B 03 D0 01 21 38 68 ?? ?? ?? ?? ?? ?? ?? ?? F8 60 FB 68 03 F1 10 02 7B 6A 13 60 ?? ?? ?? ?? 38 61 3B 69 03 F1 14 02 BB 6A 13 60 FF E7 10 BD FE DE 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_3_34_4 {
	meta:
		name = "__CxxDetectRethrow"
		size = 156
		refs = "0060 __vcrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 02 D1 00 23 01 93 34 E0 06 9B 1B 68 00 93 00 9B 1A 68 1D 4B 9A 42 2A D1 00 9B 10 33 1B 68 04 2B 25 D1 00 9B 14 33 1A 68 17 4B 9A 42 0B D0 00 9B 14 33 1A 68 13 4B 9A 42 05 D0 00 9B 14 33 1A 68 0F 4B 9A 42 13 D1 00 9B 14 33 08 33 1B 68 00 2B 0D D1 ?? ?? ?? ?? 03 90 03 9B 18 33 02 93 02 9B 1B 68 5A 1C 02 9B 1A 60 01 23 01 93 01 E0 00 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_3_35_4 {
	meta:
		name = "__CxxExceptionFilter"
		size = 624
		refs = "000a __security_push_cookie 0098 __vcrt_getptd 0138 _GetImageBase 014a _SetThrowImageBase 0162 _SetImageBase 017c _GetThrowImageBase 01e2 __TypeMatch 0218 __BuildCatchObject 0226 __jump_unwind 0244 __security_pop_cookie 0250 $LN28 0254 __imp_RtlPcToFileHeader"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 9A B0 6F 46 BB 6F 00 2B 02 D1 00 23 7B 60 10 E1 BB 6F 1B 68 3B 60 FB 6F 00 2B 05 D0 FB 6F 08 33 93 F9 00 30 00 2B 49 D1 3B 68 1A 68 8C 4B 9A 42 09 D0 3B 68 1A 68 88 4B 9A 42 04 D0 D7 F8 80 30 13 F0 40 0F 3A D1 3B 68 1A 68 82 4B 9A 42 27 D1 3B 68 10 33 1B 68 04 2B 22 D1 3B 68 14 33 1A 68 7C 4B 9A 42 0B D0 3B 68 14 33 1A 68 78 4B 9A 42 05 D0 3B 68 14 33 1A 68 74 4B 9A 42 10 D1 3B 68 14 33 08 33 1B 68 00 2B 0A D1 ?? ?? ?? ?? 78 62 7B 6A 10 33 1B 68 00 2B 02 D1 00 23 7B 60 C8 E0 ?? ?? ?? ?? B8 62 BB 6A 18 33 7B 61 7B 69 1B 68 5A 1C 7B 69 1A 60 01 23 7B 60 BA E0 3B 68 1A 68 65 4B 9A 42 40 F0 AE 80 3B 68 10 33 1B 68 04 2B 40 F0 A8 80 3B 68 14 33 1A 68 5D 4B 9A 42 0C D0 3B 68 14 33 1A 68 59 4B 9A 42 06 D0 3B 68 14 33 1A 68 55 4B 9A 42 40 F0 95 80 3B 68 14 33 08 33 1B 68 00 2B 11 D1 ?? ?? ?? ?? F8 62 FB 6A 10 33 1B 68 00 2B 02 D1 00 23 7B 60 8A E0 ?? ?? ?? ?? 38 63 3B 6B 10 33 1B 68 3B 60 ?? ?? ?? ?? 78 63 7B 6B 3B 62 3B 68 14 33 0C 33 18 68 ?? ?? ?? ?? 17 F1 08 01 F8 6F 3F 4B 1B 68 98 47 B8 63 BB 6B BB 60 B8 68 ?? ?? ?? ?? FA 6F BB 68 D3 1A FB 65 D7 F8 80 30 BB 65 BB 6D 43 F0 00 43 BB 65 ?? ?? ?? ?? F8 63 3B 68 14 33 08 33 1B 68 0C 33 FA 6B 1B 68 13 44 1B 1D 3B 61 ?? ?? ?? ?? 38 64 3B 68 14 33 08 33 1B 68 0C 33 3A 6C 1B 68 13 44 1B 68 FB 60 05 E0 FB 68 5B 1E FB 60 3B 69 1B 1D 3B 61 FB 68 00 2B 33 DD ?? ?? ?? ?? 78 64 7A 6C 3B 69 1B 68 13 44 FB 61 3B 68 14 33 08 33 1A 68 F9 69 17 F1 58 00 ?? ?? ?? ?? B8 64 BB 6C 00 2B 1D D0 ?? ?? ?? ?? F8 64 FB 6C 18 33 BB 61 BB 69 1B 68 5A 1C BB 69 1A 60 D7 F8 84 30 00 2B 07 D0 FB 69 17 F1 58 02 D7 F8 84 10 38 68 ?? ?? ?? ?? 01 23 3B 65 0B 49 07 F1 88 00 ?? ?? ?? ?? C2 E7 38 6A ?? ?? ?? ?? 00 23 7B 60 03 E0 02 E0 00 BF 3B 6D 7B 60 78 68 1A B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 52 43 43 E0 4D 4F 43 E0 }
	condition:
		$1
}

rule file_3_37_4 {
	meta:
		name = "__CxxQueryExceptionSize"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 1C 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_3_38_4 {
	meta:
		name = "__CxxRegisterExceptionObject"
		size = 304
		refs = "0076 __vcrt_getptd 008e _CreateFrameInfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 00 23 00 93 11 9B 01 93 01 9B 14 33 02 93 02 9B 1B 1D 03 93 10 9B 00 2B 52 D0 10 9B 1B 68 00 2B 4E D0 10 9B 1B 68 00 93 00 9B 1A 68 3D 4B 9A 42 23 D1 00 9B 10 33 1B 68 04 2B 1E D1 00 9B 14 33 1A 68 36 4B 9A 42 0B D0 00 9B 14 33 1A 68 32 4B 9A 42 05 D0 00 9B 14 33 1A 68 2E 4B 9A 42 0C D1 00 9B 14 33 08 33 1B 68 00 2B 06 D1 ?? ?? ?? ?? 05 90 05 9B 10 33 1B 68 00 93 00 9B 14 33 1B 1D 19 68 01 98 ?? ?? ?? ?? 06 90 06 9B 01 93 ?? ?? ?? ?? 07 90 07 9B 10 33 1A 68 02 9B 1A 60 ?? ?? ?? ?? 08 90 08 9B 14 33 1A 68 03 9B 1A 60 ?? ?? ?? ?? 09 90 09 9B 03 F1 10 02 00 9B 13 60 07 E0 02 9A 6F F0 00 03 13 60 03 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 0A 90 0A 9B 18 33 04 93 04 9B 1B 68 5A 1E 04 9B 1A 60 ?? ?? ?? ?? 0B 90 0B 9B 18 33 1B 68 00 2B 07 DA ?? ?? ?? ?? 0C 90 0C 9B 03 F1 18 02 00 23 13 60 01 23 0D 93 0D 98 0E B0 5D F8 04 BB 5D F8 0C FB 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_3_39_4 {
	meta:
		name = "__CxxUnregisterExceptionObject"
		size = 400
		refs = "0028 _FindAndUnlinkFrame 0032 __vcrt_getptd 00ae _IsExceptionObjectToBeDestroyed 00c8 __DestructExceptionObject"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 16 9B 01 93 01 9B 14 33 00 93 00 9B 1B 1D 13 93 00 9B 1B 68 B3 F1 FF 3F 00 F0 A8 80 01 98 ?? ?? ?? ?? 17 9B 00 2B 4C D1 ?? ?? ?? ?? 03 90 03 9B 10 33 1B 68 1A 68 52 4B 9A 42 42 D1 ?? ?? ?? ?? 04 90 04 9B 10 33 1B 68 10 33 1B 68 04 2B 38 D1 ?? ?? ?? ?? 05 90 05 9B 10 33 1B 68 14 33 1A 68 47 4B 9A 42 15 D0 ?? ?? ?? ?? 06 90 06 9B 10 33 1B 68 14 33 1A 68 40 4B 9A 42 0A D0 ?? ?? ?? ?? 07 90 07 9B 10 33 1B 68 14 33 1A 68 3A 4B 9A 42 17 D1 ?? ?? ?? ?? 08 90 08 9B 10 33 1B 68 14 33 1B 1D 18 68 ?? ?? ?? ?? 09 90 09 9B 00 2B 08 D0 ?? ?? ?? ?? 0A 90 01 21 0A 9B 10 33 18 68 ?? ?? ?? ?? ?? ?? ?? ?? 0B 90 0B 9B 10 33 1B 68 1A 68 2C 4B 9A 42 38 D1 ?? ?? ?? ?? 0C 90 0C 9B 10 33 1B 68 10 33 1B 68 04 2B 2E D1 ?? ?? ?? ?? 0D 90 0D 9B 10 33 1B 68 14 33 1A 68 20 4B 9A 42 15 D0 ?? ?? ?? ?? 0E 90 0E 9B 10 33 1B 68 14 33 1A 68 1A 4B 9A 42 0A D0 ?? ?? ?? ?? 0F 90 0F 9B 10 33 1B 68 14 33 1A 68 13 4B 9A 42 0D D1 17 9B 00 2B 0A D0 ?? ?? ?? ?? 10 90 10 9B 18 33 02 93 02 9B 1B 68 5A 1E 02 9B 1A 60 ?? ?? ?? ?? 11 90 11 9B 03 F1 10 02 00 9B 1B 68 13 60 ?? ?? ?? ?? 12 90 12 9B 03 F1 14 02 13 9B 1B 68 13 60 14 B0 5D F8 04 BB 5D F8 0C FB 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_3_40_4 {
	meta:
		name = "__DestructExceptionObject$filt$0"
		size = 22
	strings:
		$1 = { 97 F8 24 30 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 78 68 70 47 }
	condition:
		$1
}

rule file_3_41_4 {
	meta:
		name = "__FrameUnwindFilter"
		size = 140
		refs = "0030 __vcrt_getptd 0040 terminate"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1B 68 03 93 03 9B 1B 68 00 93 00 9A 1B 4B 9A 42 12 D0 00 9A 18 4B 9A 42 0E D0 00 9A 15 4B 9A 42 00 D0 1F E0 ?? ?? ?? ?? 04 90 04 9B 03 F1 18 02 00 23 13 60 ?? ?? ?? ?? ?? ?? ?? ?? 05 90 05 9B 18 33 1B 68 00 2B 0A DD ?? ?? ?? ?? 06 90 06 9B 18 33 01 93 01 9B 1B 68 5A 1E 01 9B 1A 60 00 23 02 93 01 E0 00 23 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB 63 73 6D E0 4D 4F 43 E0 52 43 43 E0 }
	condition:
		$1
}

rule file_3_42_4 {
	meta:
		name = "__FrameUnwindToState"
		size = 434
		refs = "000e _GetImageBase 001e ?__GetCurrentState@@YAHPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z 0028 __vcrt_getptd 0068 terminate 00ea ?__SetState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z 014e _CallSettingFrame 0154 _SetImageBase"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 ?? ?? ?? ?? 38 62 3B 6A BB 64 3A 6F F9 6E B8 6E ?? ?? ?? ?? 78 62 7B 6A 3B 60 ?? ?? ?? ?? B8 62 BB 6A 18 33 3B 61 3B 69 1B 68 5A 1C 3B 69 1A 60 3B 68 B3 F1 FF 3F 00 F0 8D 80 3A 68 7B 6F 9A 42 40 F3 88 80 3B 68 B3 F1 FF 3F 06 DD 3B 6F 1B 1D 3A 68 1B 68 9A 42 00 DA 01 E0 ?? ?? ?? ?? ?? ?? ?? ?? F8 62 3B 6F 08 33 FA 6A 1B 68 D1 18 3A 68 08 23 02 FB 03 F3 0B 44 1B 68 FB 61 ?? ?? ?? ?? 38 63 3B 6F 08 33 3A 6B 1B 68 D1 18 3A 68 08 23 02 FB 03 F3 0B 44 1B 1D 1B 68 00 2B 15 D0 ?? ?? ?? ?? B8 63 ?? ?? ?? ?? 78 63 3B 6F 08 33 7A 6B 1B 68 D1 18 3A 68 08 23 02 FB 03 F3 0B 44 1B 1D BA 6B 1B 68 13 44 7B 61 01 E0 00 23 7B 61 7B 69 00 2B 3A D0 FB 69 3A 6F F9 6E B8 6E ?? ?? ?? ?? ?? ?? ?? ?? F8 63 3B 6F 08 33 FA 6B 1B 68 D1 18 3A 68 08 23 02 FB 03 F3 0B 44 1B 1D 1B 68 00 2B 15 D0 ?? ?? ?? ?? 78 64 ?? ?? ?? ?? 38 64 3B 6F 08 33 3A 6C 1B 68 D1 18 3A 68 08 23 02 FB 03 F3 0B 44 1B 1D 7A 6C 1B 68 13 44 BB 61 01 E0 00 23 BB 61 40 F2 03 13 FA 6E 2C 32 12 68 B9 6E B8 69 ?? ?? ?? ?? B8 6C ?? ?? ?? ?? 00 E0 FF E7 FB 69 3B 60 6D E7 ?? ?? ?? ?? B8 60 BB 68 18 33 1B 68 00 2B 0A DD ?? ?? ?? ?? F8 60 FB 68 18 33 7B 60 7B 68 1B 68 5A 1E 7B 68 1A 60 3B 68 B3 F1 FF 3F 05 D0 3A 68 7B 6F 9A 42 01 DD ?? ?? ?? ?? 3B 68 3A 6F F9 6E B8 6E ?? ?? ?? ?? 17 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_3_43_4 {
	meta:
		name = "__FrameUnwindToState$filt$0"
		size = 20
		refs = "000a __FrameUnwindFilter"
	strings:
		$1 = { 10 B5 F8 64 FB 6C 3B 65 38 6D ?? ?? ?? ?? 78 65 78 6D 10 BD }
	condition:
		$1
}

rule file_3_44_4 {
	meta:
		name = "__FrameUnwindToState$fin$1"
		size = 44
		refs = "0002 __vcrt_getptd"
	strings:
		$1 = { 10 B5 ?? ?? ?? ?? B8 60 BB 68 18 33 1B 68 00 2B 0A DD ?? ?? ?? ?? F8 60 FB 68 18 33 7B 60 7B 68 1B 68 5A 1E 7B 68 1A 60 FF E7 10 BD }
	condition:
		$1
}

rule file_3_45_4 {
	meta:
		name = "__GetPlatformExceptionInfo"
		size = 136
		refs = "0010 __vcrt_getptd 0066 _is_exception_typeof 0084 ??_R0?AVbad_alloc@std@@@8"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9A 00 23 13 60 ?? ?? ?? ?? 04 90 04 9B 10 33 1B 68 00 93 00 9B 00 2B 26 D0 00 9B 14 33 08 33 1B 68 02 93 02 9B 00 2B 1E D0 02 9B 1B 68 13 F0 10 0F 0D D0 00 9B 14 33 1B 1D 1B 68 1B 68 01 93 01 9B 1B 1F 01 93 01 9B 1B 68 03 93 0E E0 0B E0 00 9B 06 93 00 23 07 93 06 A9 07 48 ?? ?? ?? ?? 05 90 05 9A 0A 9B 1A 60 00 23 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_46_4 {
	meta:
		name = "__InternalCxxFrameHandler"
		size = 688
		refs = "000e __except_validate_context_record 0012 __vcrt_getptd 00c2 ?__StateFromIp@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@H@Z 00e2 terminate 00ee __FrameUnwindToState 015a ?__FrameUnwindToEmptyState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z 0188 _GetImageBase 01f0 _GetThrowImageBase 021a ?_ValidateExecute@@YA_NP6AHXZ@Z 024c _guard_check_icall 028a ?FindHandler@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@EH1@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 93 B0 1C 98 ?? ?? ?? ?? ?? ?? ?? ?? 0D 90 0D 9B 20 33 1B 68 00 2B 2E D1 1A 9B 1A 68 9F 4B 9A 42 29 D0 1A 9B 1A 68 01 23 DB 07 29 33 9A 42 0B D1 1A 9B 10 33 1B 68 0F 2B 06 D1 1A 9B 14 33 20 33 1A 68 97 4B 9A 42 16 D0 1A 9B 1A 68 01 23 DB 07 26 33 9A 42 0F D0 1E 9B 1B 68 23 F0 60 42 8D 4B 9A 42 08 D3 1E 9B 24 33 1B 68 13 F0 01 0F 02 D0 01 23 05 93 08 E1 1A 9B 1B 1D 1B 68 03 F0 66 03 00 2B 6B D0 1E 9B 1B 1D 1B 68 00 2B 62 D0 1F 9B 00 2B 5F D1 1A 9B 1B 1D 1B 68 13 F0 20 0F 27 D0 1A 9B 1A 68 01 23 DB 07 26 33 9A 42 20 D1 1C 9B 40 33 1A 68 1D 99 1E 98 ?? ?? ?? ?? 0E 90 0E 9B 06 93 06 9B B3 F1 FF 3F 06 DB 1E 9B 1B 1D 06 9A 1B 68 9A 42 00 DA 01 E0 ?? ?? ?? ?? 06 9B 1E 9A 1D 99 1B 98 ?? ?? ?? ?? 01 23 05 93 CC E0 2C E0 1A 9B 1B 1D 1B 68 13 F0 20 0F 26 D0 1A 9B 1A 68 01 23 DB 07 29 33 9A 42 1F D1 1A 9B 09 93 09 9B 14 33 0C 33 1B 68 07 93 07 9B B3 F1 FF 3F 06 DB 1E 9B 1B 1D 07 9A 1B 68 9A 42 00 DA 01 E0 ?? ?? ?? ?? 07 9B 1E 9A 1D 99 09 98 14 30 00 1D 00 68 ?? ?? ?? ?? 01 23 05 93 9E E0 1E 9A 1D 99 1B 98 ?? ?? ?? ?? 01 23 05 93 96 E0 93 E0 1E 9B 0C 33 1B 68 00 2B 27 D1 1E 9B 1B 68 23 F0 60 42 4B 4B 9A 42 13 D3 1E 9B 20 33 1B 68 00 2B 09 D0 ?? ?? ?? ?? 0F 90 1E 9B 20 33 0F 9A 1B 68 13 44 0A 93 01 E0 00 23 0A 93 0A 9B 00 2B 0C D1 1E 9B 1B 68 23 F0 60 42 3C 4B 9A 42 6C D3 1E 9B 24 33 1B 68 13 F0 04 0F 66 D0 1A 9B 1A 68 37 4B 9A 42 52 D1 1A 9B 10 33 1B 68 03 2B 4D D3 1A 9B 14 33 1A 68 31 4B 9A 42 47 D9 1A 9B 14 33 08 33 1B 68 08 33 1B 68 00 2B 0C D0 ?? ?? ?? ?? 10 90 1A 9B 14 33 08 33 1B 68 08 33 10 9A 1B 68 13 44 0B 93 01 E0 00 23 0B 93 0B 9B 08 93 08 9B 00 2B 2B D0 08 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 1F D0 9D F8 84 30 03 93 20 9B 02 93 1F 9B 01 93 1E 9B 00 93 DD F8 74 80 1C 9F 1B 9E 1A 9D 08 9B 0C 93 0C 98 ?? ?? ?? ?? 0C 9C 28 46 31 46 3A 46 43 46 A0 47 11 90 11 9B 12 93 12 9B 05 93 14 E0 01 E0 ?? ?? ?? ?? 0E E0 20 9B 03 93 1F 9B 02 93 9D F8 84 30 01 93 1E 9B 00 93 1D 9B 1C 9A 1B 99 1A 98 ?? ?? ?? ?? 01 23 05 93 05 98 13 B0 BD E8 F0 09 5D F8 14 FB FE DE 22 05 93 19 63 73 6D E0 21 05 93 19 20 05 93 19 }
	condition:
		$1
}

rule file_3_47_4 {
	meta:
		name = "__TypeMatch"
		size = 368
		refs = "0014 _GetImageBase 00a2 _GetThrowImageBase 00f4 strcmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 10 9B 1B 1D 1B 68 00 2B 09 D0 ?? ?? ?? ?? 06 90 10 9B 1B 1D 06 9A 1B 68 13 44 01 93 01 E0 00 23 01 93 01 9B 00 2B 16 D0 10 9B 1B 1D 1B 68 00 2B 09 D0 ?? ?? ?? ?? 07 90 10 9B 1B 1D 07 9A 1B 68 13 44 02 93 01 E0 00 23 02 93 02 9B 08 33 93 F9 00 30 00 2B 02 D1 01 23 00 93 7E E0 10 9B 1B 68 13 F0 80 0F 07 D0 11 9B 1B 68 13 F0 10 0F 02 D0 01 23 00 93 71 E0 10 9B 1B 1D 1B 68 00 2B 09 D0 ?? ?? ?? ?? 08 90 10 9B 1B 1D 08 9A 1B 68 13 44 03 93 01 E0 00 23 03 93 ?? ?? ?? ?? 09 90 11 9B 1B 1D 09 9A 1B 68 1A 44 03 9B 93 42 26 D0 ?? ?? ?? ?? 0B 90 10 9B 1B 1D 1B 68 00 2B 09 D0 ?? ?? ?? ?? 0A 90 10 9B 1B 1D 0A 9A 1B 68 13 44 04 93 01 E0 00 23 04 93 11 9B 1B 1D 0B 9A 1B 68 13 44 03 F1 08 01 04 9B 03 F1 08 00 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 02 D0 00 23 00 93 2E E0 11 9B 1B 68 13 F0 02 0F 04 D0 10 9B 1B 68 13 F0 08 0F 20 D0 12 9B 1B 68 13 F0 01 0F 04 D0 10 9B 1B 68 13 F0 01 0F 16 D0 12 9B 1B 68 13 F0 04 0F 04 D0 10 9B 1B 68 13 F0 04 0F 0C D0 12 9B 1B 68 13 F0 02 0F 04 D0 10 9B 1B 68 13 F0 02 0F 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 00 93 00 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_3_48_4 {
	meta:
		name = "__current_exception"
		size = 28
		refs = "0008 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 10 33 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_3_49_4 {
	meta:
		name = "__current_exception_context"
		size = 28
		refs = "0008 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 14 33 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_3_50_4 {
	meta:
		name = "__processing_throw"
		size = 28
		refs = "0008 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 18 33 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_3_52_4 {
	meta:
		name = "__uncaught_exception"
		size = 52
		refs = "0008 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 18 33 1B 68 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_3_53_4 {
	meta:
		name = "__uncaught_exceptions"
		size = 30
		refs = "0008 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 18 33 1B 68 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_3_54_4 {
	meta:
		name = "_is_exception_typeof"
		size = 260
		refs = "0012 terminate 00b8 ?raw_name@type_info@@QBAPBDXZ 00ce strcmp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 9B 00 2B 00 D0 01 E0 ?? ?? ?? ?? 0B 9B 1B 68 00 93 00 9B 00 2B 00 D0 01 E0 ?? ?? ?? ?? 00 9B 1A 68 34 4B 9A 42 17 D1 00 9B 10 33 1B 68 04 2B 12 D1 00 9B 14 33 1A 68 2E 4B 9A 42 0B D0 00 9B 14 33 1A 68 2A 4B 9A 42 05 D0 00 9B 14 33 1A 68 26 4B 9A 42 00 D1 01 E0 ?? ?? ?? ?? 00 9B 14 33 0C 33 1B 68 01 93 00 9B 14 33 08 33 1B 68 0C 33 01 9A 1B 68 13 44 1B 1D 03 93 00 9B 14 33 08 33 1B 68 0C 33 01 9A 1B 68 13 44 1B 68 02 93 05 E0 02 9B 5B 1E 02 93 03 9B 1B 1D 03 93 02 9B 00 2B 1A DD 01 9A 03 9B 1B 68 13 44 05 93 0A 98 ?? ?? ?? ?? 06 90 05 9B 1B 1D 01 9A 1B 68 13 44 03 F1 08 01 06 98 ?? ?? ?? ?? 07 90 07 9B 00 2B 02 D1 01 23 04 93 02 E0 DB E7 00 23 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_4_0_4 {
	meta:
		name = "strstr"
		size = 140
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 07 9B 93 F9 00 30 00 2B 02 D1 06 9B 03 93 30 E0 01 9B 93 F9 00 30 00 2B 29 D0 01 9B 02 93 07 9B 00 93 02 9B 93 F9 00 30 00 2B 14 D0 00 9B 93 F9 00 30 00 2B 0F D0 02 9B 93 F9 00 20 00 9B 93 F9 00 30 D3 1A 00 2B 06 D1 02 9B 5B 1C 02 93 00 9B 5B 1C 00 93 E5 E7 00 9B 93 F9 00 30 00 2B 02 D1 01 9B 03 93 05 E0 01 9B 5B 1C 01 93 D0 E7 00 23 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_0_4 {
	meta:
		name = "?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZH@Z"
		size = 46
		refs = "0012 _set_se_translator"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 06 D1 00 20 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_1_4 {
	meta:
		name = "_set_se_translator"
		size = 56
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 00 90 00 9B 08 33 1B 68 02 93 ?? ?? ?? ?? 01 90 01 9B 03 F1 08 02 06 9B 13 60 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_2_4 {
	meta:
		name = "__except_validate_context_record"
		size = 78
		refs = "000a _guard_icall_checks_enforced 0016 NtCurrentTeb"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 2B 16 D0 ?? ?? ?? ?? 03 90 03 9B 00 93 06 9B 38 33 1B 68 01 93 00 9B 08 33 01 9A 1B 68 9A 42 05 D3 00 9B 1B 1D 01 9A 1B 68 9A 42 01 D9 0D 20 FB DE 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_3_4 {
	meta:
		name = "__except_validate_jump_buffer"
		size = 90
		refs = "000a _guard_icall_checks_enforced 0016 NtCurrentTeb"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 2B 1C D0 ?? ?? ?? ?? 03 90 03 9B 00 93 06 9B 24 33 1B 68 01 93 00 9B 08 33 01 9A 1B 68 9A 42 05 D3 00 9B 1B 1D 01 9A 1B 68 9A 42 01 D9 0D 20 FB DE 06 9B 1B 68 00 2B 01 D1 0D 20 FB DE 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_4_4 {
	meta:
		name = "_guard_icall_checks_enforced"
		size = 48
		refs = "0028 _guard_check_icall_nop 002c __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 08 4B 1A 68 06 4B 9A 42 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_0_4 {
	meta:
		name = "_CxxThrowException"
		size = 248
		refs = "0088 _guard_check_icall 00e8 __imp_RaiseException 00f0 __imp_RtlPcToFileHeader 00f4 ?ExceptionTemplate@?1??_CxxThrowException@@9@4UEHExceptionRecord@@B"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 92 B0 39 4B 08 AA 00 92 01 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9D 01 9C 94 E8 0F 00 85 E8 0F 00 01 9B 10 33 01 93 00 9B 10 33 00 93 00 9A 01 9B 1B 68 13 60 17 9B 02 93 02 9B 00 2B 1D D0 02 9B 1B 68 13 F0 10 0F 18 D0 16 9B 1B 68 03 93 03 9B 1B 1F 03 93 03 9B 04 93 04 9B 1B 68 18 33 1B 68 02 93 04 9C 04 9B 1B 68 20 33 1B 68 06 93 06 98 ?? ?? ?? ?? 06 9B 20 46 98 47 16 9B 0E 93 02 9B 0F 93 05 A9 02 98 14 4B 1B 68 98 47 07 90 07 9B 05 93 05 9B 10 93 02 9B 00 2B 0C D0 02 9B 1B 68 13 F0 08 0F 02 D0 0B 4B 0D 93 04 E0 05 9B 00 2B 01 D1 08 4B 0D 93 0D AB 0C 9A 09 99 08 98 04 4C 24 68 A0 47 12 B0 BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? 00 40 99 01 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_0_4 {
	meta:
		name = "strrchr"
		size = 98
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 04 9B 93 F9 00 20 04 9B 5B 1C 04 93 00 2A 00 D0 F6 E7 04 9B 5B 1E 04 93 04 9A 01 9B 9A 42 07 D0 04 9B 93 F9 00 20 05 9B 5B B2 9A 42 00 D0 F0 E7 04 9B 93 F9 00 20 05 9B 5B B2 9A 42 02 D1 04 9B 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_12_2_4 {
	meta:
		name = "??$__crt_interlocked_compare_exchange_pointer@$$A6AXXZ$$T$$T@@YAP6AXXZPDS6AXXZ$$T1@Z"
		size = 62
		altNames = "??$__crt_interlocked_compare_exchange_pointer@$$CBD$$T$$T@@YAPBDPDSBD$$T1@Z ??$__crt_interlocked_compare_exchange_pointer@$$CBDPAD$$T@@YAPBDPDSBDQAD$$T@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 83 B0 BF F3 5B 8F 06 9C 08 98 07 99 54 E8 00 2F 82 42 03 D1 44 E8 00 13 00 2B F7 D1 13 46 00 93 BF F3 5B 8F 00 9B 01 93 01 98 03 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_12_3_4 {
	meta:
		name = "??$__crt_interlocked_exchange_pointer@$$A6AXXZP6AXXZ@@YAP6AXXZPDS6AXXZQ6AXXZ@Z"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BF F3 5B 8F 04 98 05 99 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 13 46 00 93 BF F3 5B 8F 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_12_4_4 {
	meta:
		name = "??$__crt_interlocked_read_pointer@$$A6AXXZ@@YAP6AXXZPDS6AXXZ@Z"
		size = 38
		refs = "0010 ??$__crt_interlocked_compare_exchange_pointer@$$A6AXXZ$$T$$T@@YAP6AXXZPDS6AXXZ$$T1@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_6_4 {
	meta:
		name = "??$__crt_interlocked_read_pointer@$$CBD@@YAPBDPDSBD@Z"
		size = 38
		refs = "0010 ??$__crt_interlocked_compare_exchange_pointer@$$CBD$$T$$T@@YAPBDPDSBD$$T1@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_12_6_4 {
	meta:
		name = "_get_purecall_handler"
		size = 40
		refs = "000a ??$__crt_interlocked_read_pointer@$$A6AXXZ@@YAP6AXXZPDS6AXXZ@Z 0012 ??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z 0024 __pPurecall"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 06 48 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_7_4 {
	meta:
		name = "_purecall"
		size = 48
		refs = "0008 _get_purecall_handler 001e _guard_check_icall 0026 abort"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 06 D0 00 9B 01 93 01 98 ?? ?? ?? ?? 01 9B 98 47 ?? ?? ?? ?? 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_12_8_4 {
	meta:
		name = "_set_purecall_handler"
		size = 56
		refs = "000c ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z 0016 ??$__crt_interlocked_exchange_pointer@$$A6AXXZP6AXXZ@@YAP6AXXZPDS6AXXZQ6AXXZ@Z 001e ??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z 0034 __pPurecall"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 99 07 48 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_0_4 {
	meta:
		name = "memcmp"
		size = 156
	strings:
		$1 = { 04 2A 3C DB 40 EA 01 03 13 F0 01 0F 38 D1 13 F0 02 0F 1D D1 12 1F 30 DB 50 F8 04 3B 51 F8 04 CB 9C EA 03 0C F6 D0 04 23 1C F0 FF 0F 08 D1 5B 1E 1C F4 7F 4F 04 D1 5B 1E 1C F4 7F 0F 00 D1 5B 1E C0 1A C9 1A 03 78 91 F8 00 C0 A3 EB 0C 00 70 47 92 1E 13 DB 30 F8 02 3B 31 F8 02 CB B3 EB 0C 03 F6 D0 13 F0 FF 0F 01 D1 18 12 70 47 10 F8 02 3C 0C F0 FF 0C A3 EB 0C 00 70 47 92 1C 92 1C 5A B1 10 F8 01 3B 11 F8 01 CB 52 1E 02 D0 93 EA 0C 0F F6 D0 A3 EB 0C 00 70 47 10 46 70 47 }
	condition:
		$1
}

rule file_15_0_4 {
	meta:
		name = "??$?B$$A6AXXZ@__crt_fast_encoded_nullptr_t@@QBAP6AXXZXZ"
		size = 34
		refs = "000c ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_15_2_4 {
	meta:
		name = "?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z"
		size = 26
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_15_4_4 {
	meta:
		name = "__vcrt_initialize_pure_virtual_call_handler"
		size = 52
		refs = "000a ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0016 memcpy 001c ??$?B$$A6AXXZ@__crt_fast_encoded_nullptr_t@@QBAP6AXXZXZ 0030 __pPurecall"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 20 ?? ?? ?? ?? 01 90 68 46 01 A9 01 22 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 02 90 02 9A 02 4B 1A 60 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_0_4 {
	meta:
		name = "__vcrt_GetModuleFileNameW"
		size = 44
		refs = "0028 __imp_GetModuleFileNameW"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_0_4 {
	meta:
		name = "__vcrt_InitializeCriticalSectionEx"
		size = 44
		refs = "0028 __imp_InitializeCriticalSectionEx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_2_4 {
	meta:
		name = "__vcrt_LoadLibraryExW"
		size = 44
		refs = "0028 __imp_LoadLibraryExW"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_0_4 {
	meta:
		name = "wcschr"
		size = 72
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 88 00 2B 09 D0 04 9B 1A 88 BD F8 14 30 9A 42 03 D0 04 9B 9B 1C 04 93 F1 E7 04 9B 1A 88 BD F8 14 30 9A 42 02 D1 04 9B 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_0_4 {
	meta:
		name = "?_CatchTryBlock@@YAPBU_s_TryBlockMapEntry@@PBU_s_FuncInfo@@H@Z"
		size = 120
		refs = "0024 __vcrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 0C 33 1B 68 03 93 03 9B 00 93 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B 21 D9 ?? ?? ?? ?? 04 90 04 9B 03 F1 30 02 08 9B 10 33 12 68 1B 68 D1 18 00 9B 5A 1E 14 23 02 FB 03 F3 0B 44 01 93 01 9B 1B 1D 09 9A 1B 68 9A 42 08 DD 01 9B 08 33 09 9A 1B 68 9A 42 02 DC 01 9B 02 93 02 E0 D7 E7 00 23 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_1_4 {
	meta:
		name = "?_ExecutionInCatch@@YAHPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z"
		size = 66
		refs = "000e ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 001c ?_CatchTryBlock@@YAPBU_s_TryBlockMapEntry@@PBU_s_FuncInfo@@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 99 09 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 99 09 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_2_4 {
	meta:
		name = "?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z"
		size = 240
		refs = "0016 ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 00ec __imp_RtlLookupFunctionEntry"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 9B 0C 33 1B 68 05 93 0F 99 10 98 ?? ?? ?? ?? 04 90 04 9B 03 93 0E 9B 1A 68 11 9B 1A 60 05 9B 02 93 02 E0 02 9B 5B 1E 02 93 02 9B 00 2B 4F D9 0F 9B 1A 1D 10 9B 10 33 12 68 1B 68 D1 18 02 9B 5A 1E 14 23 02 FB 03 F3 0B 44 00 93 00 9B 1B 1D 03 9A 1B 68 9A 42 3A DD 00 9B 08 33 03 9A 1B 68 9A 42 34 DC 00 22 07 A9 0F 9B 18 68 1D 4B 1B 68 98 47 06 90 06 9B 1B 68 09 93 00 9B 10 33 07 9A 1B 68 13 44 08 93 00 23 01 93 02 E0 01 9B 5B 1C 01 93 00 9B 0C 33 01 9A 1B 68 9A 42 0B D2 01 9A 10 23 02 FB 03 F2 08 9B 13 44 0C 33 1A 68 09 9B 9A 42 00 D0 EA E7 00 9B 0C 33 01 9A 1B 68 9A 42 05 D2 11 9B 1B 68 1A 68 11 9B 1A 60 00 E0 A9 E7 11 9B 0A 93 0A 98 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_3_4 {
	meta:
		name = "?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PAKPBU_s_FuncInfo@@HHPAI2PAU_xDISPATCHER_CONTEXT@@@Z"
		size = 374
		refs = "001a ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 002c terminate"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 00 23 02 93 0B 9B 0C 33 1B 68 03 93 10 99 0B 98 ?? ?? ?? ?? 06 90 06 9B 04 93 03 9B 00 2B 00 D9 01 E0 ?? ?? ?? ?? 0F 9A 6F F0 00 03 13 60 0E 9A 6F F0 00 03 13 60 03 9B 00 93 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B 1B D9 10 9B 1A 1D 0B 9B 10 33 12 68 1B 68 D1 18 00 9B 5A 1E 14 23 02 FB 03 F3 0B 44 01 93 01 9B 1B 1D 04 9A 1B 68 9A 42 06 DD 01 9B 08 33 04 9A 1B 68 9A 42 00 DC 00 E0 DD E7 00 9B 00 2B 0D D0 10 9B 1A 1D 0B 9B 10 33 12 68 1B 68 D1 18 00 9B 5A 1E 14 23 02 FB 03 F3 0B 44 02 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 03 9B 9A 42 37 D2 10 9B 1A 1D 0B 9B 10 33 12 68 1B 68 D1 18 00 9A 14 23 02 FB 03 F3 0B 44 01 93 02 9B 00 2B 0F D0 01 9A 02 9B 1B 1D 12 68 1B 68 9A 42 07 DD 01 9B 1A 1D 02 9B 08 33 12 68 1B 68 9A 42 00 DD D8 E7 01 9B 0D 9A 1B 68 9A 42 11 DB 01 9B 1B 1D 0D 9A 1B 68 9A 42 0B DC 0E 9B 1B 68 B3 F1 FF 3F 02 D1 00 9A 0E 9B 1A 60 00 9B 5A 1C 0F 9B 1A 60 C0 E7 0E 9B 1B 68 B3 F1 FF 3F 09 D1 0E 9A 00 23 13 60 0F 9A 00 23 13 60 00 23 05 93 0E E0 0D E0 10 9B 1A 1D 0B 9B 10 33 12 68 1B 68 D1 18 0E 9B 1A 68 14 23 02 FB 03 F3 0B 44 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_19_4_4 {
	meta:
		name = "?__FrameUnwindToEmptyState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z"
		size = 100
		refs = "0012 ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z 0020 ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 002e ?_CatchTryBlock@@YAPBU_s_TryBlockMapEntry@@PBU_s_FuncInfo@@H@Z 0056 __FrameUnwindToState"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 07 AB 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 02 90 02 9B 06 93 0B 99 0C 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 99 0C 98 ?? ?? ?? ?? 05 90 05 9B 00 93 00 9B 00 2B 03 D1 6F F0 00 03 01 93 03 E0 00 9B 1B 1D 1B 68 01 93 01 9B 0C 9A 0B 99 06 98 ?? ?? ?? ?? 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_19_5_4 {
	meta:
		name = "?__SehTransFilter@@YAHPAU_EXCEPTION_POINTERS@@PAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@PAH@Z"
		size = 120
		refs = "000a __vcrt_getptd 004e __InternalCxxFrameHandler"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 04 90 04 9B 03 F1 38 02 0B 9B 13 60 ?? ?? ?? ?? 05 90 0A 9B 1B 68 14 33 03 F1 0C 01 05 9B 03 F1 34 02 0B 68 13 60 01 23 03 93 00 23 02 93 00 23 01 93 0F 9B 00 93 0E 9B 0D 9A 0C 99 0A 98 00 68 ?? ?? ?? ?? ?? ?? ?? ?? 06 90 06 9B 03 F1 38 02 00 23 13 60 10 9A 01 23 13 60 01 23 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_19_6_4 {
	meta:
		name = "_CallSETranslator"
		size = 92
		refs = "001c __vcrt_getptd 0038 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B 8B B0 6F 46 84 B0 00 23 3B 60 3B 6C 3B 62 BB 6C 7B 62 ?? ?? ?? ?? B8 60 BB 68 08 33 1B 68 FB 60 17 F1 20 05 3B 6C 1C 68 FB 68 7B 60 78 68 ?? ?? ?? ?? 7B 68 20 46 29 46 98 47 00 23 3B 60 00 E0 FF E7 3B 68 FB 61 F8 69 0F B0 BD E8 B0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_19_7_4 {
	meta:
		name = "_CallSETranslator$filt$0"
		size = 42
		refs = "001e ?__SehTransFilter@@YAHPAU_EXCEPTION_POINTERS@@PAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@PAH@Z"
	strings:
		$1 = { 10 B5 84 B0 38 61 3B 69 7B 61 3B 46 02 93 3B 6D 01 93 FB 6C 00 93 BB 6C 7A 6C 39 6C 78 69 ?? ?? ?? ?? B8 61 B8 69 04 B0 10 BD }
	condition:
		$1
}

rule file_19_8_4 {
	meta:
		name = "_CreateFrameInfo"
		size = 96
		refs = "0010 __vcrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9A 09 9B 13 60 ?? ?? ?? ?? 01 90 01 9B 2C 33 08 9A 1B 68 9A 42 07 D2 ?? ?? ?? ?? 02 90 02 9B 2C 33 1B 68 00 93 01 E0 00 23 00 93 08 9B 03 F1 10 02 00 9B 13 60 ?? ?? ?? ?? 03 90 03 9B 03 F1 2C 02 08 9B 13 60 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_9_4 {
	meta:
		name = "_FindAndUnlinkFrame"
		size = 116
		refs = "000a __vcrt_getptd 001e terminate"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 2C 33 06 9A 1B 68 9A 42 00 D1 01 E0 ?? ?? ?? ?? ?? ?? ?? ?? 02 90 02 9B 2C 33 1B 68 00 93 03 E0 00 9B 10 33 1B 68 00 93 00 9B 00 2B 10 D0 06 9A 00 9B 9A 42 0B D1 ?? ?? ?? ?? 03 90 00 9B 03 F1 10 01 03 9B 03 F1 2C 02 0B 68 13 60 04 E0 E7 E7 00 E0 01 E0 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_10_4 {
	meta:
		name = "_GetImageBase"
		size = 30
		refs = "0008 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 30 33 1B 68 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_19_11_4 {
	meta:
		name = "_GetThrowImageBase"
		size = 30
		refs = "0008 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 34 33 1B 68 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_19_12_4 {
	meta:
		name = "_IsExceptionObjectToBeDestroyed"
		size = 74
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 2C 33 1B 68 00 93 03 E0 00 9B 10 33 1B 68 00 93 00 9B 00 2B 08 D0 00 9B 1A 68 06 9B 9A 42 02 D1 00 23 01 93 02 E0 EF E7 01 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_13_4 {
	meta:
		name = "_MoveContext"
		size = 28
		refs = "0010 memmove"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 4F F4 D0 72 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_14_4 {
	meta:
		name = "_SetImageBase"
		size = 36
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 03 F1 30 02 04 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_15_4 {
	meta:
		name = "_SetThrowImageBase"
		size = 36
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 03 F1 34 02 04 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_19_16_4 {
	meta:
		name = "_UnwindNestedFrames"
		size = 292
		refs = "000a __security_push_cookie 0108 __security_pop_cookie 0114 __imp_RtlUnwindEx 011c __CxxCallCatchBlock 0120 ?ExceptionTemplate@?1??_UnwindNestedFrames@@9@4U_EXCEPTION_RECORD@@B"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 99 B0 43 4B 04 AA 02 92 03 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 09 AA 25 4B 13 60 09 AB 1A 1D 21 9B 13 60 09 AB 03 F1 08 02 22 9B 13 60 09 AB 03 F1 0C 02 23 9B 13 60 09 AB 03 F1 10 02 20 9B 13 60 09 AB 03 F1 14 02 24 9B 13 60 09 AB 03 F1 18 02 1F 9B 13 60 9D F8 98 20 09 AB 1C 33 1A 60 09 AB 03 F1 20 02 10 4B 13 60 09 AB 03 F1 28 02 6F F0 00 03 13 60 25 9B 20 33 1B 68 01 93 25 9B 14 33 1B 68 00 93 00 23 04 AA 25 99 09 68 1E 98 00 68 04 4C 24 68 A0 47 19 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB ?? ?? ?? ?? 20 05 93 19 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_17_4 {
	meta:
		name = "__CxxFrameHandler"
		size = 134
		refs = "000e __vcrt_getptd 006c __InternalCxxFrameHandler"
		altNames = "__CxxFrameHandler3"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0F 9B 08 93 ?? ?? ?? ?? 04 90 11 9B 19 1D 04 9B 03 F1 30 02 0B 68 13 60 ?? ?? ?? ?? 05 90 0E 9B 14 33 03 F1 0C 01 05 9B 03 F1 34 02 0B 68 13 60 ?? ?? ?? ?? 06 90 06 9B 03 F1 30 02 11 9B 1C 33 1B 68 12 68 1B 68 13 44 07 93 00 23 03 93 00 23 02 93 00 23 01 93 07 9B 00 93 11 9B 10 9A 08 A9 0E 98 ?? ?? ?? ?? 09 90 09 9B 0A 93 0A 9B 0B 93 0B 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_0_4 {
	meta:
		name = "setjmp"
		size = 48
		refs = "002c _setjmpexused"
	strings:
		$1 = { 0A 4A 12 68 00 2A 18 BF 10 47 02 60 00 F1 04 01 81 E8 F0 5F C1 F8 20 D0 F1 EE 10 2A 00 F1 30 01 A1 EC 10 8B C2 62 4F F0 00 00 70 47 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_0_4 {
	meta:
		name = "longjmp"
		size = 30
		refs = "000a __except_validate_jump_buffer 0012 __longjmp_internal"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 03 99 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_22_0_4 {
	meta:
		name = "??$?RD@__crt_public_free_policy@@QBAXQBD@Z"
		size = 22
		refs = "000a free"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_22_8_4 {
	meta:
		name = "__std_exception_copy"
		size = 224
		refs = "002c _CrtDbgReportW 0062 strlen 0070 malloc 007a ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@QAD@Z 0080 ??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ 0092 ??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@XZ 009a ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBAPADXZ 00a8 strcpy_s 00ae ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAPADXZ 00d4 ??_C@_1GK@GJEBHBCE@?$AAf?$AA?3?$AA?2?$AAd?$AAd?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA?2?$AAv?$AAc?$AAr?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?2?$AAs?$AAr?$AAc?$AA?2@ 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1FK@OACNEHHA@?$AAt?$AAo?$AA?9?$AA?$DO?$AA_?$AAW?$AAh?$AAa?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAo?$AA?9?$AA?$DO?$AA_?$AAD?$AAo?$AAF@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0D 9B 1B 68 00 2B 04 D1 0D 9B 1B 1D 1B 78 00 2B 0E D0 2F 4B 01 93 2D 4B 00 93 00 23 12 22 2A 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 0C 9B 1B 1D 1B 78 00 2B 03 D0 0C 9B 1B 68 00 2B 08 D1 0C 9B 0D 9A 1B 68 13 60 0D 9B 1A 1D 00 23 13 70 34 E0 0C 9B 18 68 ?? ?? ?? ?? 06 90 06 9B 5B 1C 04 93 04 98 ?? ?? ?? ?? 07 90 07 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 03 A8 ?? ?? ?? ?? 17 E0 03 A8 ?? ?? ?? ?? 08 90 0C 9B 1A 68 04 99 08 98 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 09 90 0D 9A 09 9B 13 60 0D 9B 1A 1D 01 23 13 70 03 A8 ?? ?? ?? ?? 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_22_9_4 {
	meta:
		name = "__std_exception_destroy"
		size = 48
		refs = "0016 free"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 78 00 2B 03 D0 02 9B 18 68 ?? ?? ?? ?? 02 9B 1A 1D 00 23 13 70 02 9A 00 23 13 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_23_0_4 {
	meta:
		name = "__intrinsic_setjmpex"
		size = 38
	strings:
		$1 = { 01 60 C0 F8 24 D0 C0 F8 28 E0 00 F1 30 03 A3 EC 10 8B F1 EE 10 3A C3 62 00 F1 04 00 80 E8 F0 0F 4F F0 00 00 70 47 }
	condition:
		$1
}

rule file_24_0_4 {
	meta:
		name = "??0__non_rtti_object@std@@AAA@QBDH@Z"
		size = 48
		refs = "0010 ??0bad_typeid@std@@AAA@QBDH@Z 002c ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 01 22 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_2_4 {
	meta:
		name = "??0bad_cast@std@@AAA@QBDH@Z"
		size = 48
		refs = "0010 ??0exception@std@@QAA@QBDH@Z 002c ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 01 22 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_4_4 {
	meta:
		name = "??0bad_typeid@std@@AAA@QBDH@Z"
		size = 48
		refs = "0010 ??0exception@std@@QAA@QBDH@Z 002c ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 01 22 05 99 04 98 ?? ?? ?? ?? 05 4A 04 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_16_4 {
	meta:
		name = "?FindCompleteObject@@YAPAXPAPAX@Z"
		size = 80
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 6F F0 03 02 06 9B 1B 68 13 44 1B 68 00 93 00 9B 1B 1D 06 9A 1B 68 D3 1A 01 93 00 9B 08 33 1B 68 00 2B 08 D0 00 9B 08 33 06 9A 1B 68 D3 1A 01 9A 1B 68 D3 1A 01 93 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_17_4 {
	meta:
		name = "?FindMITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z"
		size = 442
		refs = "007e strcmp 00f4 ?PMDtoOffset@@YAHPAXABUPMD@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 00 23 03 93 00 23 06 93 11 9B 10 33 1B 68 0C 33 1B 68 08 93 11 9B 10 33 1B 68 08 33 1B 68 07 93 00 23 05 93 6F F0 00 03 04 93 00 23 02 93 02 E0 02 9B 5B 1C 02 93 02 9A 07 9B 9A 42 80 F0 B0 80 08 99 02 9A 04 23 02 FB 03 F3 0B 44 1B 68 00 93 02 9A 04 9B D2 1A 05 9B 9A 42 30 D9 00 9B 1A 68 14 9B 9A 42 0C D0 14 9B 03 F1 08 01 00 9B 1B 68 03 F1 08 00 ?? ?? ?? ?? 09 90 09 9B 00 2B 1E D1 06 9B 00 2B 13 D0 00 9B 14 33 1B 68 03 F0 03 03 00 2B 05 D1 06 9B 14 33 1B 68 13 F0 01 0F 03 D0 00 23 01 93 7E E0 02 E0 00 9B 01 93 7A E0 00 9B 03 93 02 9B 04 93 00 9B 1B 1D 1B 68 05 93 00 9B 1A 68 12 9B 9A 42 0C D0 12 9B 03 F1 08 01 00 9B 1B 68 03 F1 08 00 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 5D D1 00 9B 03 F1 08 01 10 98 ?? ?? ?? ?? 0B 90 0B 9A 13 9B 9A 42 52 D1 03 9B 00 2B 4D D0 02 9A 04 9B D2 1A 05 9B 9A 42 33 D8 03 9B 14 33 1B 68 13 F0 40 0F 0F D1 04 9B 00 2B 09 D1 00 9B 14 33 1B 68 13 F0 01 0F 03 D0 00 23 01 93 3A E0 02 E0 03 9B 01 93 36 E0 03 9B 18 33 1B 68 0C 33 1B 68 0C 93 0C 99 02 9A 04 9B D2 1A 04 23 02 FB 03 F3 0B 44 1B 68 0D 93 0D 9B 14 33 1B 68 13 F0 01 0F 03 D0 00 23 01 93 1D E0 02 E0 03 9B 01 93 19 E0 13 E0 03 9B 14 33 1B 68 03 F0 03 03 00 2B 05 D1 00 9B 14 33 1B 68 13 F0 01 0F 03 D0 00 23 01 93 08 E0 02 E0 03 9B 01 93 04 E0 00 9B 06 93 47 E7 00 23 01 93 01 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_24_18_4 {
	meta:
		name = "?FindSITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@1@Z"
		size = 230
		refs = "005e strcmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0C 9B 10 33 1B 68 0C 33 1B 68 06 93 0C 9B 10 33 1B 68 08 33 1B 68 05 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 05 9B 9A 42 4F D2 06 99 00 9A 04 23 02 FB 03 F3 0B 44 1B 68 04 93 04 9B 1A 68 0E 9B 9A 42 0C D0 0E 9B 03 F1 08 01 04 9B 1B 68 03 F1 08 00 ?? ?? ?? ?? 07 90 07 9B 00 2B 34 D1 00 9B 5B 1C 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 05 9B 9A 42 26 D2 06 99 01 9A 04 23 02 FB 03 F3 0B 44 1B 68 03 93 03 9B 14 33 1B 68 13 F0 04 0F 02 D0 00 23 02 93 1B E0 03 9B 1A 68 0D 9B 9A 42 0C D0 0D 9B 03 F1 08 01 03 9B 1B 68 03 F1 08 00 ?? ?? ?? ?? 08 90 08 9B 00 2B 02 D1 04 9B 02 93 06 E0 D1 E7 00 23 02 93 02 E0 A8 E7 00 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_24_19_4 {
	meta:
		name = "?FindVITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z"
		size = 532
		refs = "0092 strcmp 00ec ?PMDtoOffset@@YAHPAXABUPMD@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 00 23 06 93 00 23 0E 93 00 23 09 93 00 23 05 93 19 9B 10 33 1B 68 0C 33 1B 68 10 93 19 9B 10 33 1B 68 08 33 1B 68 0F 93 00 23 08 93 6F F0 00 03 04 93 01 23 8D F8 00 30 6F F0 00 03 0D 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9A 0F 9B 9A 42 80 F0 C0 80 10 99 03 9A 04 23 02 FB 03 F3 0B 44 1B 68 01 93 03 9A 04 9B D2 1A 08 9B 9A 42 22 D9 01 9B 1A 68 1C 9B 9A 42 0C D0 1C 9B 03 F1 08 01 01 9B 1B 68 03 F1 08 00 ?? ?? ?? ?? 11 90 11 9B 00 2B 10 D1 01 9B 14 33 1B 68 03 F0 03 03 00 2B 01 D1 01 9B 09 93 01 9B 05 93 03 9B 04 93 01 9B 1B 1D 1B 68 08 93 01 9B 1A 68 1A 9B 9A 42 0C D0 1A 9B 03 F1 08 01 01 9B 1B 68 03 F1 08 00 ?? ?? ?? ?? 12 90 12 9B 00 2B 7B D1 01 9B 03 F1 08 01 18 98 ?? ?? ?? ?? 13 90 13 9A 1B 9B 9A 42 70 D1 03 9A 04 9B D2 1A 08 9B 9A 42 61 D8 9D F8 00 30 00 2B 5C D0 05 9B 14 33 1B 68 13 F0 40 0F 0F D1 04 9B 00 2B 08 D1 01 9B 14 33 1B 68 13 F0 01 0F 02 D0 00 23 8D F8 00 30 01 23 8D F8 08 30 27 E0 05 9B 18 33 1B 68 0C 33 1B 68 14 93 14 99 03 9A 04 9B D2 1A 04 23 02 FB 03 F3 0B 44 1B 68 0A 93 0A 9B 14 33 1B 68 13 F0 01 0F 02 D0 00 23 8D F8 00 30 0A 9B 14 33 1B 68 13 F0 04 0F 02 D1 01 23 0B 93 01 E0 00 23 0B 93 0B 9B DB B2 8D F8 08 30 9D F8 00 30 00 2B 1A D0 9D F8 08 30 00 2B 16 D0 05 9B 03 F1 08 01 18 98 ?? ?? ?? ?? 15 90 15 9B 0C 93 06 9B 00 2B 06 D0 0D 9A 0C 9B 9A 42 02 D0 00 23 07 93 23 E0 05 9B 06 93 0C 9B 0D 93 08 E0 01 9B 14 33 1B 68 03 F0 05 03 00 2B 01 D1 01 9B 0E 93 37 E7 9D F8 00 30 00 2B 05 D0 06 9B 00 2B 02 D0 06 9B 07 93 0A E0 0E 9B 00 2B 05 D0 09 9B 00 2B 02 D0 09 9B 07 93 01 E0 00 23 07 93 07 98 16 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_24_20_4 {
	meta:
		name = "?PMDtoOffset@@YAHPAXABUPMD@@@Z"
		size = 82
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 05 9B 1B 1D 1B 68 00 2B 0F DB 05 9B 1B 1D 1B 68 00 93 04 9A 00 9B 1A 44 05 9B 08 33 12 68 1B 68 13 44 00 9A 1B 68 13 44 00 93 05 9B 00 9A 1B 68 13 44 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_21_4 {
	meta:
		name = "?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QBD@Z"
		size = 36
		refs = "0010 ??0__non_rtti_object@std@@AAA@QBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_22_4 {
	meta:
		name = "?__construct_from_string_literal@bad_cast@std@@SA?AV12@QBD@Z"
		size = 36
		refs = "0010 ??0bad_cast@std@@AAA@QBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_23_4 {
	meta:
		name = "?__construct_from_string_literal@bad_typeid@std@@SA?AV12@QBD@Z"
		size = 36
		refs = "0010 ??0bad_typeid@std@@AAA@QBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_24_25_4 {
	meta:
		name = "__RTCastToVoid"
		size = 88
		refs = "001c ?FindCompleteObject@@YAPAXPAPAX@Z 0034 ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QBD@Z 003e _CxxThrowException 0050 _TI3?AV__non_rtti_object@std@@ 0054 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 3B 6B 00 2B 02 D1 00 23 7B 60 14 E0 38 6B ?? ?? ?? ?? B8 60 BB 68 FB 60 FB 68 7B 60 0B E0 0A E0 09 49 17 F1 18 00 ?? ?? ?? ?? 05 49 17 F1 18 00 ?? ?? ?? ?? FF E7 78 68 09 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_26_4 {
	meta:
		name = "__RTCastToVoid$filt$0"
		size = 36
	strings:
		$1 = { 38 61 3B 69 1B 68 1B 68 7B 61 7A 69 04 4B 9A 42 02 D1 01 23 3B 60 01 E0 00 23 3B 60 38 68 70 47 05 00 00 C0 }
	condition:
		$1
}

rule file_24_27_4 {
	meta:
		name = "__RTDynamicCast"
		size = 292
		refs = "0022 ?FindCompleteObject@@YAPAXPAPAX@Z 0060 ?FindSITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@1@Z 0088 ?FindMITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z 00a0 ?FindVITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z 00b8 ?PMDtoOffset@@YAHPAXABUPMD@@@Z 00d8 ?__construct_from_string_literal@bad_cast@std@@SA?AV12@QBD@Z 00e2 _CxxThrowException 00f2 ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QBD@Z 0114 _TI3?AV__non_rtti_object@std@@ 0118 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 011c _TI2?AVbad_cast@std@@ 0120 ??_C@_0BC@JNJNLHBP@Bad?5dynamic_cast?$CB?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 95 B0 6F 46 82 B0 00 23 FB 60 3B 6E 00 2B 02 D1 00 23 BB 61 72 E0 38 6E ?? ?? ?? ?? F8 61 FB 69 7B 60 6F F0 03 02 3B 6E 1B 68 13 44 1B 68 3B 60 3A 6E 7B 6E D3 1A 3B 66 3A 6E 7B 68 D3 1A 3B 61 3B 68 10 33 1B 68 1B 1D 1B 68 13 F0 01 0F 08 D1 FA 6E B9 6E 38 68 ?? ?? ?? ?? 38 62 3B 6A BB 60 1E E0 3B 68 10 33 1B 68 1B 1D 1B 68 13 F0 02 0F 0B D1 FB 6E 00 93 3B 69 BA 6E 39 68 78 68 ?? ?? ?? ?? 78 62 7B 6A BB 60 0A E0 FB 6E 00 93 3B 69 BA 6E 39 68 78 68 ?? ?? ?? ?? B8 62 BB 6A BB 60 BB 68 00 2B 0B D0 BB 68 03 F1 08 01 78 68 ?? ?? ?? ?? F8 62 7A 68 FB 6A 13 44 FB 60 0E E0 00 23 FB 60 3B 6F 00 2B 09 D0 13 49 17 F1 38 00 ?? ?? ?? ?? 0F 49 17 F1 38 00 ?? ?? ?? ?? 0C E0 00 23 FB 60 0A 49 17 F1 48 00 ?? ?? ?? ?? 07 49 17 F1 48 00 ?? ?? ?? ?? FF E7 FB 68 BB 61 B8 69 17 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_28_4 {
	meta:
		name = "__RTDynamicCast$filt$0"
		size = 40
	strings:
		$1 = { 82 B0 38 63 3B 6B 1B 68 1B 68 7B 63 7A 6B 05 4B 9A 42 02 D1 01 23 7B 61 01 E0 00 23 7B 61 78 69 02 B0 70 47 05 00 00 C0 }
	condition:
		$1
}

rule file_24_29_4 {
	meta:
		name = "__RTtypeid"
		size = 156
		refs = "001a ?__construct_from_string_literal@bad_typeid@std@@SA?AV12@QBD@Z 0024 _CxxThrowException 0056 ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QBD@Z 0088 _TI3?AV__non_rtti_object@std@@ 008c ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 0090 ??_C@_0CB@EEENAAHH@Bad?5read?5pointer?5?9?5no?5RTTI?5data?$CB@ 0094 _TI2?AVbad_typeid@std@@ 0098 ??_C@_0CH@OLLMPELC@Attempted?5a?5typeid?5of?5nullptr?5po@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 3B 6D 00 2B 09 D1 20 49 17 F1 18 00 ?? ?? ?? ?? 1D 49 17 F1 18 00 ?? ?? ?? ?? 6F F0 03 02 3B 6D 1B 68 13 44 1B 68 3B 60 3B 68 0C 33 1B 68 00 2B 07 D0 3B 68 0C 33 1B 68 BB 60 BB 68 7B 61 16 E0 09 E0 0F 49 17 F1 28 00 ?? ?? ?? ?? 0B 49 17 F1 28 00 ?? ?? ?? ?? 0A E0 09 49 17 F1 38 00 ?? ?? ?? ?? 05 49 17 F1 38 00 ?? ?? ?? ?? FF E7 78 69 11 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_30_4 {
	meta:
		name = "__RTtypeid$filt$0"
		size = 36
	strings:
		$1 = { F8 60 FB 68 1B 68 1B 68 3B 61 3A 69 04 4B 9A 42 02 D1 01 23 7B 60 01 E0 00 23 7B 60 78 68 70 47 05 00 00 C0 }
	condition:
		$1
}

rule file_25_24_4 {
	meta:
		name = "__std_type_info_compare"
		size = 54
		refs = "0020 strcmp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 9A 42 02 D1 00 23 00 93 08 E0 05 9B 59 1D 04 9B 58 1D ?? ?? ?? ?? 01 90 01 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_25_25_4 {
	meta:
		name = "__std_type_info_destroy_list"
		size = 64
		refs = "0028 _free_dbg 003c __imp_InterlockedFlushSList"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 0B 4B 1B 68 98 47 01 90 01 9B 00 93 00 9B 00 2B 09 D0 00 9B 1B 68 02 93 02 21 00 98 ?? ?? ?? ?? 02 9B 00 93 F2 E7 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_26_4 {
	meta:
		name = "__std_type_info_hash"
		size = 96
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 14 4B 03 93 12 4B 04 93 12 4B 00 93 08 9B 5B 1D 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 93 F9 00 30 00 2B 0C D0 01 9B 93 F9 00 30 DA B2 00 9B 53 40 00 93 00 9A 06 4B 02 FB 03 F3 00 93 EA E7 00 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB 93 01 00 01 C5 9D 1C 81 }
	condition:
		$1
}

rule file_25_27_4 {
	meta:
		name = "__std_type_info_name"
		size = 464
		refs = "000c ??$__crt_interlocked_read_pointer@$$CBD@@YAPBDPDSBD@Z 0028 memset 002e ??B<lambda_998df822d83bde51c0affd9febd79072>@@QBAP6AXQAX@ZXZ 0044 ??B<lambda_898920cacc91e508364b5fd76d256868>@@QBAP6APAXI@ZXZ 005e __unDName 0068 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 006e ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ 0084 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 0090 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 0098 strlen 00fc _malloc_dbg 0106 ??0?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAA@QAX@Z 010c ??B?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QBA_NXZ 0122 ??1?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAA@XZ 0134 ?get@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QBAPAXXZ 0154 memcpy 0166 strcpy_s 0170 ??$__crt_interlocked_compare_exchange_pointer@$$CBDPAD$$T@@YAPBDPDSBDQAD$$T@Z 0198 ?detach@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAAPAXXZ 01c8 __imp_InterlockedPushEntrySList 01cc ??_C@_0DF@NOINFFIM@f?3?2dd?2vctools?2crt?2vcruntime?2src?2@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9E B0 20 98 ?? ?? ?? ?? 0C 90 0C 9B 09 93 09 9B 00 2B 02 D0 09 9B 06 93 CB E0 01 22 00 21 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0D 90 01 22 00 21 0D F1 0D 00 ?? ?? ?? ?? 0D F1 0D 00 ?? ?? ?? ?? 0E 90 4F F4 20 53 01 93 0D 9B 00 93 0E 9B 00 22 20 99 49 1D 00 20 ?? ?? ?? ?? 0F 90 0F 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 07 D1 00 23 10 93 02 A8 ?? ?? ?? ?? 10 9B 06 93 95 E0 02 A8 ?? ?? ?? ?? 11 90 11 98 ?? ?? ?? ?? 12 90 12 9B 04 93 04 9B 00 2B 1F D0 02 A8 ?? ?? ?? ?? 13 90 04 9B 5A 1E 01 23 02 FB 03 F2 13 9B 13 44 93 F9 00 30 20 2B 10 D1 02 A8 ?? ?? ?? ?? 14 90 04 9B 5A 1E 01 23 02 FB 03 F2 14 9B 1A 44 00 23 13 70 04 9B 5B 1E 04 93 DC E7 04 9B 5B 1C 0A 93 0A 9B 1B 1D 15 93 66 23 35 4A 02 21 15 98 ?? ?? ?? ?? 16 90 16 99 05 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 0A D1 00 23 17 93 05 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 17 9B 06 93 43 E0 05 A8 ?? ?? ?? ?? 18 90 18 9B 07 93 07 9B 1B 1D 08 93 04 22 00 21 19 A8 ?? ?? ?? ?? 07 98 19 A9 04 22 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 1A 90 1A 9A 0A 99 08 98 ?? ?? ?? ?? 00 22 08 99 20 98 ?? ?? ?? ?? 1B 90 1B 9B 0B 93 0B 9B 00 2B 0A D0 0B 9B 1C 93 05 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 1C 9B 06 93 11 E0 05 A8 ?? ?? ?? ?? 07 99 21 98 09 4B 1B 68 98 47 08 9B 1D 93 05 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 1D 9B 06 93 06 98 1E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_1_4 {
	meta:
		name = "__vcrt_thread_attach"
		size = 44
		refs = "0008 __vcrt_getptd_noexit"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 01 90 01 9B 00 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_28_2_4 {
	meta:
		name = "__vcrt_thread_detach"
		size = 30
		refs = "000a __vcrt_freeptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_28_3_4 {
	meta:
		name = "__vcrt_uninitialize"
		size = 46
		refs = "000a __vcrt_uninitialize_ptd 000e __vcrt_uninitialize_locks 0016 __vcrt_uninitialize_winapi_thunks"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? ?? ?? ?? ?? 9D F8 10 00 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_28_4_4 {
	meta:
		name = "__vcrt_uninitialize_critical"
		size = 28
		refs = "0008 __vcrt_uninitialize_ptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_28_5_4 {
	meta:
		name = "init_memcpy_functions"
		size = 56
		refs = "000a IsProcessorFeaturePresent 0028 __memcpy_reverse_large_func 002c __memcpy_reverse_large_integer 0030 __memcpy_forward_large_func 0034 __memcpy_forward_large_integer"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 1A 20 ?? ?? ?? ?? 00 90 00 9B 00 2B 05 D0 07 4A 05 4B 1A 60 03 4A 02 4B 1A 60 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_2_4 {
	meta:
		name = "??0DName@@QAA@AAPBDD@Z"
		size = 608
		refs = "018a ?doNoIdentCharCheck@UnDecorator@@SAHXZ 01bc ?doPchar@DName@@AAAXPBDH@Z 0204 ?status@DName@@QBA?AW4DNameStatus@@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 1D 1B 68 23 F0 FF 02 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 72 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 72 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 62 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 62 08 9B 1B 1D 1A 60 08 9A 00 23 13 60 08 9B 1B 1D 1B 68 23 F4 80 52 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 52 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 42 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 42 08 9B 1B 1D 1A 60 09 9B 1B 68 00 2B 00 F0 C9 80 09 9B 1B 68 93 F9 00 30 00 2B 00 F0 B7 80 00 23 00 93 09 9B 1B 68 02 93 04 E0 09 9B 1B 68 5A 1C 09 9B 1A 60 09 9B 1B 68 93 F9 00 30 00 2B 6D D0 09 9B 1B 68 93 F9 00 20 9D F9 28 30 9A 42 65 D0 09 9B 1B 68 93 F9 00 30 5F 2B 4F D0 09 9B 1B 68 93 F9 00 30 24 2B 49 D0 09 9B 1B 68 93 F9 00 30 3C 2B 43 D0 09 9B 1B 68 93 F9 00 30 3E 2B 3D D0 09 9B 1B 68 93 F9 00 30 2D 2B 37 D0 09 9B 1B 68 93 F9 00 30 61 2B 05 DB 09 9B 1B 68 93 F9 00 30 7A 2B 2B DD 09 9B 1B 68 93 F9 00 30 41 2B 05 DB 09 9B 1B 68 93 F9 00 30 5A 2B 1F DD 09 9B 1B 68 93 F9 00 30 30 2B 05 DB 09 9B 1B 68 93 F9 00 30 39 2B 13 DD 09 9B 1B 68 93 F9 00 30 DB B2 80 2B 06 DB 09 9B 1B 68 93 F9 00 30 DB B2 FE 2B 05 DD ?? ?? ?? ?? 01 90 01 9B 00 2B 03 D0 00 9B 5B 1C 00 93 0A E0 08 9B 1B 1D 19 68 02 23 63 F3 07 01 08 9B 1A 1D 0B 46 13 60 4D E0 86 E7 00 9A 02 99 08 98 ?? ?? ?? ?? 09 9B 1B 68 93 F9 00 30 00 2B 1A D0 09 9B 1B 68 93 F9 00 00 9D F9 28 10 09 9B 1B 68 5A 1C 09 9B 1A 60 88 42 0C D0 08 9B 1B 1D 19 68 03 23 63 F3 07 01 08 9B 1A 1D 0B 46 13 60 08 9A 00 23 13 60 10 E0 08 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 09 D1 08 9B 1B 1D 19 68 01 23 63 F3 07 01 08 9B 1A 1D 0B 46 13 60 09 E0 08 9B 1B 1D 19 68 01 23 63 F3 07 01 08 9B 1A 1D 0B 46 13 60 09 E0 08 9B 1B 1D 19 68 02 23 63 F3 07 01 08 9B 1A 1D 0B 46 13 60 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_3_4 {
	meta:
		name = "??0DName@@QAA@ABV0@@Z"
		size = 40
		refs = "0014 memcpy"
		altNames = "??4DName@@QAAAAV0@ABV0@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 05 99 00 98 08 22 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_4_4 {
	meta:
		name = "??0DName@@QAA@D@Z"
		size = 194
		refs = "00ae ?doPchar@DName@@AAAXPBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 23 F0 FF 02 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 62 04 9B 1B 1D 1A 60 04 9A 00 23 13 60 04 9B 1B 1D 1B 68 23 F4 80 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 42 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 42 04 9B 1B 1D 1A 60 9D F9 14 30 00 2B 04 D0 01 22 05 A9 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_5_4 {
	meta:
		name = "??0DName@@QAA@PAV0@@Z"
		size = 276
		refs = "0016 ??2@YAPAXIAAV_HeapManager@@H@Z 002a ??0pDNameNode@@QAA@PAVDName@@@Z 0110 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 9B 00 2B 2B D0 00 22 3F 49 08 20 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 07 D0 09 99 00 98 ?? ?? ?? ?? 04 90 04 9B 01 93 01 E0 00 23 01 93 08 9A 01 9B 13 60 08 9B 1B 68 00 2B 02 D0 00 23 02 93 01 E0 03 23 02 93 08 9B 1A 1D 02 9B 11 68 63 F3 07 01 08 9B 1A 1D 0B 46 13 60 0A E0 08 9B 1B 1D 1B 68 23 F0 FF 02 08 9B 1B 1D 1A 60 08 9A 00 23 13 60 08 9B 1B 1D 1B 68 23 F4 80 72 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 72 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 62 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 62 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 52 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 52 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 42 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 42 08 9B 1B 1D 1A 60 08 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_6_4 {
	meta:
		name = "??0DName@@QAA@PBD@Z"
		size = 210
		refs = "00a8 ?und_strlen@@YAIPBD@Z 00be ?doPchar@DName@@AAAXPBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 68 23 F0 FF 02 06 9B 1B 1D 1A 60 06 9A 00 23 13 60 06 9B 1B 1D 1B 68 23 F4 80 72 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 00 72 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 80 62 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 00 62 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 80 52 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 00 52 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 80 42 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 00 42 06 9B 1B 1D 1A 60 07 9B 00 2B 0D D0 07 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 04 D9 00 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_7_4 {
	meta:
		name = "??0DName@@QAA@W4DNameStatus@@@Z"
		size = 250
		refs = "00c2 ?make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 68 23 F4 80 72 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 00 72 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 80 62 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 00 62 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 80 52 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 00 52 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 80 42 06 9B 1B 1D 1A 60 06 9B 1B 1D 1B 68 23 F4 00 42 06 9B 1B 1D 1A 60 07 9B 02 2B 05 D0 07 9B 03 2B 02 D0 00 23 00 93 01 E0 07 9B 00 93 06 9B 1A 1D 00 9B 11 68 63 F3 07 01 06 9B 1A 1D 0B 46 13 60 06 9A 00 23 13 60 07 9B 01 2B 14 D1 07 98 ?? ?? ?? ?? 01 90 06 9A 01 9B 13 60 06 9B 1B 68 00 2B 09 D1 06 9B 1B 1D 19 68 03 23 63 F3 07 01 06 9B 1A 1D 0B 46 13 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_8_4 {
	meta:
		name = "??0DName@@QAA@XZ"
		size = 176
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 1B 1D 1B 68 23 F0 FF 02 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 42 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 42 04 9B 1B 1D 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_9_4 {
	meta:
		name = "??0DName@@QAA@_J@Z"
		size = 356
		refs = "0008 __security_push_cookie 00f2 __rt_udiv64 014c ?doPchar@DName@@AAAXPBDH@Z 0158 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 0C AB 15 33 01 93 16 9B 1B 1D 1B 68 23 F0 FF 02 16 9B 1B 1D 1A 60 16 9A 00 23 13 60 16 9B 1B 1D 1B 68 23 F4 80 72 16 9B 1B 1D 1A 60 16 9B 1B 1D 1B 68 23 F4 00 72 16 9B 1B 1D 1A 60 16 9B 1B 1D 1B 68 23 F4 80 62 16 9B 1B 1D 1A 60 16 9B 1B 1D 1B 68 23 F4 00 62 16 9B 1B 1D 1A 60 16 9B 1B 1D 1B 68 23 F4 80 52 16 9B 1B 1D 1A 60 16 9B 1B 1D 1B 68 23 F4 00 52 16 9B 1B 1D 1A 60 16 9B 1B 1D 1B 68 23 F4 80 42 16 9B 1B 1D 1A 60 16 9B 1B 1D 1B 68 23 F4 00 42 16 9B 1B 1D 1A 60 01 9A 00 23 13 70 00 23 8D F8 00 30 18 9B 04 93 19 9B 05 93 04 9B 02 93 05 9B 00 2B 0D DC 02 DB 02 9B 00 2B 09 D2 01 23 8D F8 00 30 18 9A 19 99 00 23 52 42 8B 41 18 92 19 93 01 9B 5B 1E 01 93 0A 20 00 21 18 9A 19 9B ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 5A B2 01 9B 1A 70 0A 20 00 21 18 9A 19 9B ?? ?? ?? ?? 0B 93 0A 92 18 90 19 91 18 9B 06 93 19 9B 07 93 07 9A 06 9B 13 43 00 2B DC D1 9D F8 00 30 00 2B 05 D0 01 9B 5B 1E 01 93 01 9A 2D 23 13 70 01 9A 0C AB D3 1A C3 F1 15 02 01 99 16 98 ?? ?? ?? ?? 16 9B 03 93 03 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_10_4 {
	meta:
		name = "??0DName@@QAA@_K@Z"
		size = 284
		refs = "0008 __security_push_cookie 00be __rt_udiv64 0104 ?doPchar@DName@@AAAXPBDH@Z 0110 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 08 AB 14 33 00 93 12 9B 1B 1D 1B 68 23 F0 FF 02 12 9B 1B 1D 1A 60 12 9A 00 23 13 60 12 9B 1B 1D 1B 68 23 F4 80 72 12 9B 1B 1D 1A 60 12 9B 1B 1D 1B 68 23 F4 00 72 12 9B 1B 1D 1A 60 12 9B 1B 1D 1B 68 23 F4 80 62 12 9B 1B 1D 1A 60 12 9B 1B 1D 1B 68 23 F4 00 62 12 9B 1B 1D 1A 60 12 9B 1B 1D 1B 68 23 F4 80 52 12 9B 1B 1D 1A 60 12 9B 1B 1D 1B 68 23 F4 00 52 12 9B 1B 1D 1A 60 12 9B 1B 1D 1B 68 23 F4 80 42 12 9B 1B 1D 1A 60 12 9B 1B 1D 1B 68 23 F4 00 42 12 9B 1B 1D 1A 60 00 9A 00 23 13 70 00 9B 5B 1E 00 93 0A 20 00 21 14 9A 15 9B ?? ?? ?? ?? 05 91 04 90 02 F1 30 03 5A B2 00 9B 1A 70 0A 20 00 21 14 9A 15 9B ?? ?? ?? ?? 07 93 06 92 14 90 15 91 14 9B 02 93 15 9B 03 93 03 9A 02 9B 13 43 00 2B DC D1 00 9A 08 AB D3 1A C3 F1 14 02 00 99 12 98 ?? ?? ?? ?? 12 9B 01 93 01 98 0F B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_12_4 {
	meta:
		name = "??0DNameStatusNode@@AAA@W4DNameStatus@@@Z"
		size = 80
		refs = "000c ??0DNameNode@@IAA@XZ 004c ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 0E 4A 04 9B 1A 60 04 9B 1A 1D 05 9B 13 60 04 9B 1B 1D 1B 68 01 2B 02 D1 04 23 00 93 01 E0 00 23 00 93 04 9B 03 F1 08 02 00 9B 13 60 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_13_4 {
	meta:
		name = "??0Replicator@@QAA@XZ"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 6F F0 00 03 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_14_4 {
	meta:
		name = "??0UnDecorator@@QAA@PADPBDHP6APADJ@ZK@Z"
		size = 160
		refs = "000c ??0Replicator@@QAA@XZ 007c ?fExplicitTemplateParams@UnDecorator@@0_NA 0080 ?m_pGetParameter@UnDecorator@@0P6APADJ@ZA 0084 ?disableFlags@UnDecorator@@0KA 0088 ?pArgList@UnDecorator@@0PAVReplicator@@A 008c ?pZNameList@UnDecorator@@0PAVReplicator@@A 0090 ?maxStringLength@UnDecorator@@0HA 0094 ?outputString@UnDecorator@@0PADA 0098 ?gName@UnDecorator@@0PBDB 009c ?name@UnDecorator@@0PBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 03 F1 2C 00 ?? ?? ?? ?? 06 9A 1F 4B 1A 60 1E 4B 1A 68 1C 4B 1A 60 05 9B 00 2B 06 D0 07 9A 17 4B 1A 60 05 9A 17 4B 1A 60 05 E0 15 4A 00 23 13 60 13 4A 00 23 13 60 04 9B 03 F1 2C 02 0F 4B 1A 60 04 9A 0C 4B 1A 60 09 9A 0A 4B 1A 60 08 9A 07 4B 1A 60 05 4A 00 23 13 70 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_15_4 {
	meta:
		name = "??0charNode@@QAA@D@Z"
		size = 52
		refs = "000c ??0DNameNode@@IAA@XZ 0030 ??_7charNode@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 07 4A 04 9B 1A 60 04 9B 1A 1D 9D F9 14 30 13 70 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_16_4 {
	meta:
		name = "??0pDNameNode@@QAA@PAVDName@@@Z"
		size = 96
		refs = "000c ??0DNameNode@@IAA@XZ 001e ?status@DName@@QBA?AW4DNameStatus@@XZ 005c ??_7pDNameNode@@6B@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 12 4A 06 9B 1A 60 07 9B 00 2B 10 D0 07 98 ?? ?? ?? ?? 01 90 01 9B 02 2B 06 D0 07 98 ?? ?? ?? ?? 02 90 02 9B 03 2B 02 D1 00 23 00 93 01 E0 07 9B 00 93 06 9B 1A 1D 00 9B 13 60 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_17_4 {
	meta:
		name = "??0pairNode@@QAA@PAVDNameNode@@0@Z"
		size = 72
		refs = "000c ??0DNameNode@@IAA@XZ 0044 ??_7pairNode@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 0C 4A 04 9B 1A 60 04 9B 1A 1D 05 9B 13 60 04 9B 03 F1 08 02 06 9B 13 60 04 9B 03 F1 0C 02 6F F0 00 03 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_18_4 {
	meta:
		name = "??0pcharNode@@QAA@PBDH@Z"
		size = 148
		refs = "000c ??0DNameNode@@IAA@XZ 0028 ??2@YAPAXIAAV_HeapManager@@H@Z 0058 ?und_memcpy@@YAXPADPBDI@Z 008c ?heap@@3V_HeapManager@@A 0090 ??_7pcharNode@@6B@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 1F 4A 06 9B 1A 60 08 9B 00 2B 26 D0 07 9B 00 2B 23 D0 00 22 19 49 08 98 ?? ?? ?? ?? 00 90 00 9B 01 93 06 9B 1A 1D 01 9B 13 60 06 9B 03 F1 08 02 08 9B 13 60 06 9B 1B 1D 1B 68 00 2B 07 D0 08 9A 07 99 06 9B 1B 1D 18 68 ?? ?? ?? ?? 04 E0 06 9B 03 F1 08 02 00 23 13 60 08 E0 06 9B 1A 1D 00 23 13 60 06 9B 03 F1 08 02 00 23 13 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_19_4 {
	meta:
		name = "??2@YAPAXIAAV_HeapManager@@H@Z"
		size = 44
		refs = "0010 ?getMemory@_HeapManager@@QAAPAXIH@Z 0028 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 04 99 06 48 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_21_4 {
	meta:
		name = "??4DName@@QAAAAV0@D@Z"
		size = 194
		refs = "00ae ?doPchar@DName@@AAAXPBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 23 F0 FF 02 04 9B 1B 1D 1A 60 04 9A 00 23 13 60 04 9B 1B 1D 1B 68 23 F4 80 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 42 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 42 04 9B 1B 1D 1A 60 9D F9 14 30 00 2B 04 D0 01 22 05 A9 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_22_4 {
	meta:
		name = "??4DName@@QAAAAV0@PAV0@@Z"
		size = 284
		refs = "00ac ??2@YAPAXIAAV_HeapManager@@H@Z 00c0 ??0pDNameNode@@QAA@PAVDName@@@Z 0118 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 1D 1B 68 23 F0 FF 02 08 9B 1B 1D 1A 60 08 9A 00 23 13 60 08 9B 1B 1D 1B 68 23 F4 80 72 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 72 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 62 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 62 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 52 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 52 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 80 42 08 9B 1B 1D 1A 60 08 9B 1B 1D 1B 68 23 F4 00 42 08 9B 1B 1D 1A 60 09 9B 00 2B 26 D0 00 22 1B 49 08 20 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 07 D0 09 99 00 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 E0 00 23 01 93 08 9A 01 9B 13 60 08 9B 1B 68 00 2B 09 D1 08 9B 1B 1D 19 68 03 23 63 F3 07 01 08 9B 1A 1D 0B 46 13 60 09 E0 08 9B 1B 1D 19 68 03 23 63 F3 07 01 08 9B 1A 1D 0B 46 13 60 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_23_4 {
	meta:
		name = "??4DName@@QAAAAV0@PBD@Z"
		size = 194
		refs = "00a2 ?und_strlen@@YAIPBD@Z 00ae ?doPchar@DName@@AAAXPBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 23 F0 FF 02 04 9B 1B 1D 1A 60 04 9A 00 23 13 60 04 9B 1B 1D 1B 68 23 F4 80 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 42 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 42 04 9B 1B 1D 1A 60 05 98 ?? ?? ?? ?? 00 90 00 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_24_4 {
	meta:
		name = "??4DName@@QAAAAV0@W4DNameStatus@@@Z"
		size = 230
		refs = "00a6 ?make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 23 F4 80 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 72 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 62 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 52 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 80 42 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F4 00 42 04 9B 1B 1D 1A 60 04 9B 1A 1D 05 9B 11 68 63 F3 07 01 04 9B 1A 1D 0B 46 13 60 05 9B 01 2B 15 D1 05 98 ?? ?? ?? ?? 00 90 04 9A 00 9B 13 60 04 9B 1B 68 00 2B 09 D1 04 9B 1B 1D 19 68 03 23 63 F3 07 01 04 9B 1A 1D 0B 46 13 60 02 E0 04 9A 00 23 13 60 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_25_4 {
	meta:
		name = "??AReplicator@@QBA?AVDName@@H@Z"
		size = 112
		refs = "001a ??0DName@@QAA@W4DNameStatus@@@Z 005c ??0DName@@QAA@ABV0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 00 2B 02 DB 06 9B 09 2B 07 DD 03 21 05 98 ?? ?? ?? ?? 05 9B 00 93 1F E0 1E E0 04 9B 1B 68 B3 F1 FF 3F 04 D0 04 9B 06 9A 1B 68 9A 42 07 DD 02 21 05 98 ?? ?? ?? ?? 05 9B 00 93 0D E0 0C E0 04 9B 19 1D 06 9A 04 23 02 FB 03 F3 0B 44 19 68 05 98 ?? ?? ?? ?? 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_26_4 {
	meta:
		name = "??BUnDecorator@@QAAPADXZ"
		size = 564
		refs = "000c ??0DName@@QAA@XZ 0044 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0050 ??H@YA?AVDName@@PBDABV0@@Z 005a ??4DName@@QAAAAV0@ABV0@@Z 007e ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 008e ?status@DName@@QBA?AW4DNameStatus@@XZ 009a ?doNameOnly@UnDecorator@@SAHXZ 00f8 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 0150 ??4DName@@QAAAAV0@PBD@Z 0168 ?length@DName@@QBAHXZ 017e ??2@YAPAXIAAV_HeapManager@@H@Z 01a0 ?getString@DName@@QBAPADPADH@Z 021c ?outputString@UnDecorator@@0PADA 0220 ?maxStringLength@UnDecorator@@0HA 0224 ?heap@@3V_HeapManager@@A 0228 ?name@UnDecorator@@0PBDB 022c ?gName@UnDecorator@@0PBDB 0230 ??_C@_04HEJADOOB@CV?3?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A0 B0 02 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 84 4B 1B 68 00 2B 77 D0 82 4B 1B 68 93 F9 00 30 3F 2B 1A D1 7F 4B 1B 68 5B 1C 93 F9 00 30 40 2B 13 D1 7C 4B 1B 68 9A 1C 7B 4B 1A 60 16 A8 ?? ?? ?? ?? 08 90 08 9A 78 49 18 A8 ?? ?? ?? ?? 09 90 09 99 02 A8 ?? ?? ?? ?? 56 E0 71 4B 1B 68 93 F9 00 30 3F 2B 2F D1 6E 4B 1B 68 5B 1C 93 F9 00 30 24 2B 28 D1 00 21 1A A8 ?? ?? ?? ?? 0A 90 0A 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0B 90 0B 9B 02 2B 0B D0 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 11 D1 61 4B 1B 68 93 F9 00 30 00 2B 0B D0 5D 4B 1A 68 5D 4B 1A 60 1C A8 ?? ?? ?? ?? 0D 90 0D 99 02 A8 ?? ?? ?? ?? 20 E0 56 4B 1B 68 93 F9 00 30 3F 2B 12 D1 53 4B 1B 68 5B 1C 93 F9 00 30 3F 2B 0B D1 50 4B 1B 68 9B 1C 93 F9 00 30 40 2B 04 D1 02 21 02 A8 ?? ?? ?? ?? 07 E0 1E A8 ?? ?? ?? ?? 0E 90 0E 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0F 90 0F 9B 03 2B 03 D1 00 23 04 93 76 E0 1C E0 02 A8 ?? ?? ?? ?? 10 90 10 9B 02 2B 0B D0 ?? ?? ?? ?? 11 90 11 9B 00 2B 0B D1 3B 4B 1B 68 93 F9 00 30 00 2B 05 D0 37 4B 19 68 06 A8 ?? ?? ?? ?? 03 E0 02 A9 06 A8 ?? ?? ?? ?? 2F 4B 1B 68 00 2B 13 D1 06 A8 ?? ?? ?? ?? 12 90 12 9B 5A 1C 2B 4B 1A 60 01 22 2A 49 29 4B 18 68 ?? ?? ?? ?? 13 90 13 9B 14 93 14 9A 24 4B 1A 60 23 4B 1B 68 00 2B 39 D0 22 4B 1A 68 20 4B 19 68 06 A8 ?? ?? ?? ?? 1D 4B 1B 68 00 93 00 9B 01 93 00 9B 93 F9 00 30 00 2B 23 D0 00 9B 93 F9 00 30 20 2B 12 D1 00 9B 5B 1C 00 93 01 9A 20 23 13 70 01 9B 5B 1C 01 93 00 9B 93 F9 00 30 20 2B 03 D1 00 9B 5B 1C 00 93 F6 E7 0A E0 00 9B 93 F9 00 20 01 9B 1A 70 01 9B 5B 1C 01 93 00 9B 5B 1C 00 93 D6 E7 00 9B 93 F9 00 20 01 9B 1A 70 04 4B 1B 68 04 93 04 98 20 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_27_4 {
	meta:
		name = "??H@YA?AVDName@@DABV0@@Z"
		size = 48
		refs = "0010 ??0DName@@QAA@D@Z 001c ??HDName@@QBA?AV0@ABV0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F9 1C 10 02 A8 ?? ?? ?? ?? 00 90 08 9A 06 99 00 98 ?? ?? ?? ?? 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_28_4 {
	meta:
		name = "??H@YA?AVDName@@PBDABV0@@Z"
		size = 46
		refs = "000e ??0DName@@QAA@PBD@Z 001a ??HDName@@QBA?AV0@ABV0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 99 02 A8 ?? ?? ?? ?? 00 90 08 9A 06 99 00 98 ?? ?? ?? ?? 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_29_4 {
	meta:
		name = "??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z"
		size = 46
		refs = "000e ??0DName@@QAA@W4DNameStatus@@@Z 001a ??HDName@@QBA?AV0@ABV0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 99 02 A8 ?? ?? ?? ?? 00 90 08 9A 06 99 00 98 ?? ?? ?? ?? 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_30_4 {
	meta:
		name = "??HDName@@QBA?AV0@ABV0@@Z"
		size = 50
		refs = "000e ??0DName@@QAA@ABV0@@Z 0016 ??YDName@@QAAAAV0@ABV0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 02 A8 ?? ?? ?? ?? 08 99 02 A8 ?? ?? ?? ?? 02 A9 07 98 ?? ?? ?? ?? 07 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_32_4 {
	meta:
		name = "??HDName@@QBA?AV0@PAV0@@Z"
		size = 50
		refs = "000e ??0DName@@QAA@ABV0@@Z 0016 ??YDName@@QAAAAV0@PAV0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 02 A8 ?? ?? ?? ?? 08 99 02 A8 ?? ?? ?? ?? 02 A9 07 98 ?? ?? ?? ?? 07 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_33_4 {
	meta:
		name = "??HDName@@QBA?AV0@PBD@Z"
		size = 50
		refs = "000e ??0DName@@QAA@ABV0@@Z 0016 ??YDName@@QAAAAV0@PBD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 02 A8 ?? ?? ?? ?? 08 99 02 A8 ?? ?? ?? ?? 02 A9 07 98 ?? ?? ?? ?? 07 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_34_4 {
	meta:
		name = "??HDName@@QBA?AV0@W4DNameStatus@@@Z"
		size = 50
		refs = "000e ??0DName@@QAA@ABV0@@Z 0016 ??YDName@@QAAAAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 02 A8 ?? ?? ?? ?? 08 99 02 A8 ?? ?? ?? ?? 02 A9 07 98 ?? ?? ?? ?? 07 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_31_4 {
	meta:
		name = "??HDName@@QBA?AV0@D@Z"
		size = 52
		refs = "000e ??0DName@@QAA@ABV0@@Z 0018 ??YDName@@QAAAAV0@D@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 99 02 A8 ?? ?? ?? ?? 9D F9 20 10 02 A8 ?? ?? ?? ?? 02 A9 07 98 ?? ?? ?? ?? 07 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_35_4 {
	meta:
		name = "??YDName@@QAAAAV0@ABV0@@Z"
		size = 106
		refs = "000c ?isValid@DName@@QBAHXZ 001a ?isEmpty@DName@@QBAHXZ 0028 ?status@DName@@QBA?AW4DNameStatus@@XZ 0032 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 004a ??4DName@@QAAAAV0@ABV0@@Z 0056 ?append@DName@@AAAXPAVDNameNode@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 00 90 00 9B 00 2B 20 D0 09 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 08 D0 09 98 ?? ?? ?? ?? 02 90 02 99 08 98 ?? ?? ?? ?? 10 E0 08 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 04 D0 09 99 08 98 ?? ?? ?? ?? 04 E0 09 9B 19 68 08 98 ?? ?? ?? ?? 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_36_4 {
	meta:
		name = "??YDName@@QAAAAV0@D@Z"
		size = 132
		refs = "000c ?isValid@DName@@QBAHXZ 0022 ?isEmpty@DName@@QBAHXZ 0034 ??4DName@@QAAAAV0@D@Z 0040 ??2@YAPAXIAAV_HeapManager@@H@Z 0056 ??0charNode@@QAA@D@Z 006a ?append@DName@@AAAXPAVDNameNode@@@Z 0080 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 2A D0 9D F9 2C 30 00 2B 26 D0 0A 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 05 D0 9D F9 2C 10 0A 98 ?? ?? ?? ?? 19 E0 00 22 10 49 08 20 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 08 D0 9D F9 2C 10 00 98 ?? ?? ?? ?? 05 90 05 9B 01 93 01 E0 00 23 01 93 01 99 0A 98 ?? ?? ?? ?? 0A 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_37_4 {
	meta:
		name = "??YDName@@QAAAAV0@PAV0@@Z"
		size = 172
		refs = "000c ?isValid@DName@@QBAHXZ 0020 ?isEmpty@DName@@QBAHXZ 0030 ??4DName@@QAAAAV0@PAV0@@Z 0038 ?status@DName@@QBA?AW4DNameStatus@@XZ 0058 ??2@YAPAXIAAV_HeapManager@@H@Z 006c ??0pDNameNode@@QAA@PAVDName@@@Z 0080 ?append@DName@@AAAXPAVDNameNode@@@Z 0092 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 00a8 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 3E D0 0D 9B 00 2B 3B D0 0C 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 04 D0 0D 99 0C 98 ?? ?? ?? ?? 2F E0 0D 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 06 D0 0D 98 ?? ?? ?? ?? 05 90 05 9B 01 2B 19 D1 00 22 14 49 08 20 ?? ?? ?? ?? 06 90 06 9B 00 93 00 9B 00 2B 07 D0 0D 99 00 98 ?? ?? ?? ?? 07 90 07 9B 01 93 01 E0 00 23 01 93 01 99 0C 98 ?? ?? ?? ?? 07 E0 0D 98 ?? ?? ?? ?? 08 90 08 99 0C 98 ?? ?? ?? ?? 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_38_4 {
	meta:
		name = "??YDName@@QAAAAV0@PBD@Z"
		size = 144
		refs = "000c ?isValid@DName@@QBAHXZ 002a ?isEmpty@DName@@QBAHXZ 003a ??4DName@@QAAAAV0@PBD@Z 0046 ??2@YAPAXIAAV_HeapManager@@H@Z 0058 ?und_strlen@@YAIPBD@Z 0064 ??0pcharNode@@QAA@PBDH@Z 0078 ?append@DName@@AAAXPAVDNameNode@@@Z 008c ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 31 D0 0B 9B 00 2B 2E D0 0B 9B 93 F9 00 30 00 2B 29 D0 0A 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 04 D0 0B 99 0A 98 ?? ?? ?? ?? 1D E0 00 22 12 49 0C 20 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 0C D0 0B 98 ?? ?? ?? ?? 05 90 05 9A 0B 99 00 98 ?? ?? ?? ?? 06 90 06 9B 01 93 01 E0 00 23 01 93 01 99 0A 98 ?? ?? ?? ?? 0A 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_39_4 {
	meta:
		name = "??YDName@@QAAAAV0@W4DNameStatus@@@Z"
		size = 100
		refs = "000c ?isValid@DName@@QBAHXZ 001a ?isEmpty@DName@@QBAHXZ 0036 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 0046 ?make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z 0050 ?append@DName@@AAAXPAVDNameNode@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 00 2B 1D D0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 05 D1 07 9B 02 2B 02 D0 07 9B 03 2B 04 D1 07 99 06 98 ?? ?? ?? ?? 0B E0 07 9B 00 2B 00 D1 07 E0 07 98 ?? ?? ?? ?? 02 90 02 99 06 98 ?? ?? ?? ?? 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_40_4 {
	meta:
		name = "??YReplicator@@QAAAAV0@ABVDName@@@Z"
		size = 144
		refs = "000c ?isFull@Replicator@@QBAHXZ 001a ?isEmpty@DName@@QBAHXZ 002c ??2@YAPAXIAAV_HeapManager@@H@Z 0040 ??0DName@@QAA@ABV0@@Z 008c ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 30 D1 0D 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 29 D1 00 22 18 49 08 20 ?? ?? ?? ?? 06 90 06 9B 00 93 00 9B 00 2B 07 D0 0D 99 00 98 ?? ?? ?? ?? 07 90 07 9B 01 93 01 E0 00 23 01 93 01 9B 03 93 03 9B 00 2B 0F D0 0C 9B 1B 68 5B 1C 02 93 0C 9A 02 9B 13 60 02 9A 04 23 02 FB 03 F2 0C 9B 1B 1D 1A 44 03 9B 13 60 0C 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_41_4 {
	meta:
		name = "??_5DName@@QAAAAV0@ABV0@@Z"
		size = 82
		refs = "000c ?status@DName@@QBA?AW4DNameStatus@@XZ 001a ?isValid@DName@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 00 9B 03 2B 14 D0 07 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 0D D1 07 98 ?? ?? ?? ?? 02 90 06 9B 1A 1D 02 9B 11 68 63 F3 07 01 06 9B 1A 1D 0B 46 13 60 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_42_4 {
	meta:
		name = "?Constructor@_HeapManager@@QAAXP6APAXI@ZP6AXPAX@Z@Z"
		size = 60
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 02 9A 03 9B 13 60 02 9B 1A 1D 04 9B 13 60 02 9B 03 F1 10 02 00 23 13 60 02 9B 03 F1 08 02 00 23 13 60 02 9B 03 F1 0C 02 00 23 13 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_43_4 {
	meta:
		name = "?Destructor@_HeapManager@@QAAXXZ"
		size = 102
		refs = "0050 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 81 B0 04 9B 1B 1D 1B 68 00 2B 22 D0 04 9B 03 F1 08 01 04 9B 03 F1 0C 02 0B 68 13 60 04 9B 0C 33 1B 68 00 2B 15 D0 04 9B 0C 33 19 68 04 9B 03 F1 08 02 0B 68 13 60 04 9B 0C 33 1C 68 04 9B 1B 1D 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 DC E7 01 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_29_44_4 {
	meta:
		name = "?UScore@UnDecorator@@SAPBDW4Tokens@@@Z"
		size = 76
		refs = "000a ?doUnderScore@UnDecorator@@SAHXZ 0048 ?tokenTable@@3QBQBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 01 90 01 9B 00 2B 09 D0 04 9A 04 23 02 FB 03 F2 0A 4B 13 44 1B 68 00 93 09 E0 08 E0 04 9A 04 23 02 FB 03 F2 05 4B 13 44 1B 68 9B 1C 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_45_4 {
	meta:
		name = "?append@DName@@AAAXPAVDNameNode@@@Z"
		size = 132
		refs = "0016 ??2@YAPAXIAAV_HeapManager@@H@Z 002e ??0pairNode@@QAA@PAVDNameNode@@0@Z 0080 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 28 D0 00 22 1B 49 10 20 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 09 D0 07 9A 06 9B 19 68 00 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 E0 00 23 01 93 06 9A 01 9B 13 60 06 9B 1B 68 00 2B 09 D1 06 9B 1B 1D 19 68 03 23 63 F3 07 01 06 9B 1A 1D 0B 46 13 60 09 E0 06 9B 1B 1D 19 68 03 23 63 F3 07 01 06 9B 1A 1D 0B 46 13 60 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_46_4 {
	meta:
		name = "?composeDeclaration@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 4856
		refs = "000e ??0DName@@QAA@XZ 0012 ?getTypeEncoding@UnDecorator@@CAHXZ 0020 ?isUDC@DName@@QBAHXZ 003a ??0DName@@QAA@W4DNameStatus@@@Z 005e ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 0080 ??0DName@@QAA@ABV0@@Z 01e4 ?doMSKeywords@UnDecorator@@SAHXZ 01f0 ?doAllocationModel@UnDecorator@@SAHXZ 01fe ?getBasedType@UnDecorator@@CA?AVDName@@XZ 020a ??H@YA?AVDName@@DABV0@@Z 0214 ??4DName@@QAAAAV0@ABV0@@Z 0226 ??_5DName@@QAAAAV0@ABV0@@Z 02b4 ?getCallIndex@UnDecorator@@CA?AVDName@@XZ 02c2 ??HDName@@QBA?AV0@D@Z 02ce ??HDName@@QBA?AV0@ABV0@@Z 02d8 ??YDName@@QAAAAV0@ABV0@@Z 02de ?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ 02e2 ?doNameOnly@UnDecorator@@SAHXZ 0300 ??HDName@@QBA?AV0@PBD@Z 0312 ??YDName@@QAAAAV0@PBD@Z 0318 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 0328 ?doAllocationLanguage@UnDecorator@@SAHXZ 0370 ??_C@_02IGFCGPIL@?$HN?8?$AA@ 0374 ??_C@_03OPGICMGF@?$HN?8?5?$AA@ 0440 ?getDisplacement@UnDecorator@@CA?AVDName@@XZ 0596 ?doThisTypes@UnDecorator@@SAHXZ 05a6 ?getThisType@UnDecorator@@CA?AVDName@@XZ 062c ?isEmpty@DName@@QBAHXZ 068c ?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z 069c ??H@YA?AVDName@@PBDABV0@@Z 06d4 ??2@YAPAXIAAV_HeapManager@@H@Z 08b4 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0998 ?doRestrictionSpec@UnDecorator@@SAHXZ 09a8 ?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ 09ca ?doThrowTypes@UnDecorator@@SAHXZ 09da ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ 0a00 ?getDispatchTarget@UnDecorator@@CA?AVDName@@XZ 0a0e ?doFunctionReturns@UnDecorator@@SAHXZ 0a56 ?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z 0a80 ?getVbTableType@UnDecorator@@CA?AVDName@@ABV2@@Z 0aa8 ?getGuardNumber@UnDecorator@@CA?AVDName@@XZ 0afc ?getVdispMapType@UnDecorator@@CA?AVDName@@ABV2@@Z 0dc2 ?getExternalDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0e14 ?doMemberTypes@UnDecorator@@SAHXZ 101c ?doAccessSpecifiers@UnDecorator@@SAHXZ 12b4 ??_C@_0M@DHNBOJMP@extern?5?$CCC?$CC?5?$AA@ 12b8 ??_C@_08KJLFOPNE@?$FLthunk?$FN?3?$AA@ 12bc ??_C@_08GPDDCMKI@public?3?5?$AA@ 12c0 ??_C@_0M@GAIFPFIP@protected?3?5?$AA@ 12c4 ??_C@_09LAPHOOG@private?3?5?$AA@ 12c8 ??_C@_08NIEOINHE@virtual?5?$AA@ 12cc ??_C@_07PGOEDBHP@static?5?$AA@ 12d0 ??_C@_01CLKCMJKC@?5?$AA@ 12d4 ??_C@_0DA@HGFJFBBE@?$GAtemplate?5static?5data?5member?5des@ 12d8 ??_C@_0DB@ILEFOCIJ@?$GAtemplate?5static?5data?5member?5con@ 12dc ??_C@_0CB@KJDOOODE@?$GAlocal?5static?5destructor?5helper?8@ 12e8 ??_C@_0L@HNGCOGAE@?$GAadjustor?$HL?$AA@ 12ec ??_C@_0L@GHPFDFH@?$GAvtordisp?$HL?$AA@ 12f0 ??_C@_0N@CBHHHENL@?$GAvtordispex?$HL?$AA@ 12f4 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 AD F5 AA 6D 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? D5 90 D5 9B 00 93 DD F8 5C 05 ?? ?? ?? ?? D6 90 D6 9B AB 93 00 9A 4F F6 FF 73 9A 42 0A D1 02 21 DD F8 58 05 ?? ?? ?? ?? DD F8 58 35 04 93 01 F0 2E B9 21 E0 00 9A 4F F6 FE 73 9A 42 0C D1 DD F8 5C 25 01 21 DD F8 58 05 ?? ?? ?? ?? DD F8 58 35 04 93 01 F0 1C B9 0F E0 00 9A 4F F6 FD 73 9A 42 0A D1 DD F8 5C 15 DD F8 58 05 ?? ?? ?? ?? DD F8 58 35 04 93 01 F0 0B B9 00 9B 13 F4 00 4F 00 F0 CD 84 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 84 93 01 E0 00 23 84 93 84 9B 07 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 04 D0 00 9B 03 F4 80 63 08 93 03 E0 00 9B 03 F4 80 53 08 93 08 9B 00 2B 17 D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 D8 53 B3 F5 80 5F 02 D1 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 01 E0 00 23 0A 93 0A 9B 00 2B 40 F0 88 84 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0D 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 04 D0 00 9B 03 F4 80 63 0E 93 03 E0 00 9B 03 F4 80 53 0E 93 0E 9B 00 2B 2F D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 D8 53 B3 F5 88 5F 02 D1 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 01 E0 00 23 10 93 10 9B 00 2B 40 F0 43 84 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 D8 53 B3 F5 90 5F 02 D1 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 01 E0 00 23 12 93 12 9B 00 2B 40 F0 2B 84 00 9B 13 F4 80 4F 22 D0 ?? ?? ?? ?? 88 90 88 9B 00 2B 14 D0 ?? ?? ?? ?? 89 90 89 9B 00 2B 0E D0 E6 A8 ?? ?? ?? ?? 8A 90 8A 9A 20 21 E8 A8 ?? ?? ?? ?? 8B 90 8B 99 02 A8 ?? ?? ?? ?? 07 E0 EA A8 ?? ?? ?? ?? 8C 90 8C 99 02 A8 ?? ?? ?? ?? 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 13 93 01 E0 00 23 13 93 13 9B 15 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 14 93 01 E0 00 23 14 93 14 9B 15 93 15 9B 00 2B 04 D0 00 9B 03 F4 80 63 16 93 03 E0 00 9B 03 F4 80 53 16 93 16 9B 00 2B 79 D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 C0 5F 02 D1 01 23 17 93 01 E0 00 23 17 93 17 9B 18 93 01 E0 00 23 18 93 18 9B 00 2B 62 D0 EC A8 ?? ?? ?? ?? 8D 90 7B 22 EE A9 DD F8 5C 05 ?? ?? ?? ?? 8E 90 8D 9A F0 A9 8E 98 ?? ?? ?? ?? 8F 90 8F 99 02 A8 ?? ?? ?? ?? E2 A8 ?? ?? ?? ?? ?? ?? ?? ?? 90 90 90 9B 00 2B 0F D1 E2 AA 2C 21 F2 A8 ?? ?? ?? ?? 91 90 1E 4A F4 A9 91 98 ?? ?? ?? ?? 92 90 92 99 02 A8 ?? ?? ?? ?? 18 49 02 A8 ?? ?? ?? ?? E4 A8 ?? ?? ?? ?? ?? ?? ?? ?? 93 90 93 9B 00 2B 21 D0 ?? ?? ?? ?? 94 90 94 9B 00 2B 1B D0 ?? ?? ?? ?? 95 90 95 9B 00 2B 15 D1 E4 AA 20 21 F6 A8 ?? ?? ?? ?? 96 90 20 22 F8 A9 96 98 ?? ?? ?? ?? 97 90 02 AA FA A9 97 98 ?? ?? ?? ?? 98 90 98 99 02 A8 ?? ?? ?? ?? 60 E3 FE DE ?? ?? ?? ?? ?? ?? ?? ?? DA A8 ?? ?? ?? ?? DC A8 ?? ?? ?? ?? 86 A8 ?? ?? ?? ?? DE A8 ?? ?? ?? ?? D8 A8 ?? ?? ?? ?? 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 19 93 01 E0 00 23 19 93 19 9B 1B 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 1A 93 01 E0 00 23 1A 93 1A 9B 1B 93 1B 9B 00 2B 04 D0 00 9B 03 F4 80 63 1C 93 03 E0 00 9B 03 F4 80 53 1C 93 1C 9B 00 2B 79 D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 1D 93 01 E0 00 23 1D 93 1D 9B 1F 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 1E 93 01 E0 00 23 1E 93 1E 9B 1F 93 1F 9B 00 2B 1F D0 00 9B 03 F4 E0 63 B3 F5 C0 6F 19 D1 FC A8 ?? ?? ?? ?? 99 90 99 99 DA A8 ?? ?? ?? ?? FE A8 ?? ?? ?? ?? 9A 90 9A 99 DC A8 ?? ?? ?? ?? 0D F5 80 60 ?? ?? ?? ?? 9B 90 9B 99 86 A8 ?? ?? ?? ?? 2F E0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 20 93 01 E0 00 23 20 93 20 9B 22 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 21 93 01 E0 00 23 21 93 21 9B 22 93 22 9B 00 2B 0E D0 00 9B 03 F4 E0 63 B3 F5 A0 6F 08 D1 0D F5 81 60 ?? ?? ?? ?? 9C 90 9C 99 86 A8 ?? ?? ?? ?? 0D F5 82 60 ?? ?? ?? ?? 9D 90 9D 99 DE A8 ?? ?? ?? ?? 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 23 93 01 E0 00 23 23 93 23 9B 25 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 24 93 01 E0 00 23 24 93 24 9B 25 93 25 9B 00 2B 50 D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 26 93 01 E0 00 23 26 93 26 9B 28 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 27 93 01 E0 00 23 27 93 27 9B 28 93 28 9B 00 2B 16 D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 E0 63 B3 F5 00 7F 02 D1 01 23 29 93 01 E0 00 23 29 93 29 9B 2A 93 01 E0 01 23 2A 93 2A 9B 00 2B 18 D1 ?? ?? ?? ?? 9E 90 9E 9B 00 2B 09 D0 0D F5 83 60 ?? ?? ?? ?? 9F 90 9F 99 D8 A8 ?? ?? ?? ?? 08 E0 0D F5 84 60 ?? ?? ?? ?? A0 90 A0 99 D8 A8 ?? ?? ?? ?? ?? ?? ?? ?? A1 90 A1 9B 00 2B 20 D0 ?? ?? ?? ?? A2 90 A2 9B 00 2B 10 D0 0D F5 85 60 ?? ?? ?? ?? A3 90 02 AA 0D F5 86 61 A3 98 ?? ?? ?? ?? A4 90 A4 99 02 A8 ?? ?? ?? ?? 08 E0 0D F5 87 60 ?? ?? ?? ?? A5 90 A5 99 02 A8 ?? ?? ?? ?? 08 E0 0D F5 88 60 ?? ?? ?? ?? A6 90 A6 99 02 A8 ?? ?? ?? ?? DD F8 5C 05 ?? ?? ?? ?? A7 90 A7 9B 00 2B 1E D1 02 A8 ?? ?? ?? ?? A8 90 A8 9B 00 2B 12 D1 ?? ?? ?? ?? A9 90 A9 9B 00 2B 0C D1 DD F8 5C 25 20 21 0D F5 89 60 ?? ?? ?? ?? AA 90 AA 99 02 A8 ?? ?? ?? ?? 04 E0 DD F8 5C 15 02 A8 ?? ?? ?? ?? 00 23 05 93 E0 A8 ?? ?? ?? ?? AB 9B 00 2B 22 D0 00 21 0D F5 8A 60 ?? ?? ?? ?? AC 90 AC 9A DF F8 38 1C 0D F5 8B 60 ?? ?? ?? ?? AD 90 AD 99 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? AE 90 AE 9B 00 2B 09 D0 02 A9 DD F8 58 05 ?? ?? ?? ?? DD F8 58 35 04 93 00 F0 ED BD 20 E0 00 22 DF F8 24 1C 08 20 ?? ?? ?? ?? AF 90 AF 9B 2B 93 2B 9B 00 2B 06 D0 2B 98 ?? ?? ?? ?? B0 90 B0 9B 2C 93 01 E0 00 23 2C 93 2C 9B 05 93 05 99 0D F5 8C 60 ?? ?? ?? ?? B1 90 B1 99 E0 A8 ?? ?? ?? ?? 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 2D 93 01 E0 00 23 2D 93 2D 9B 2F 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 2E 93 01 E0 00 23 2E 93 2E 9B 2F 93 2F 9B 00 2B 04 D0 00 9B 03 F4 80 63 30 93 03 E0 00 9B 03 F4 80 53 30 93 30 9B 00 2B 00 F0 A3 80 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 31 93 01 E0 00 23 31 93 31 9B 33 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 32 93 01 E0 00 23 32 93 32 9B 33 93 33 9B 00 2B 35 D0 00 9B 03 F4 E0 63 B3 F5 C0 6F 2F D1 DA AA DF F8 34 1B 0D F5 8D 60 ?? ?? ?? ?? B2 90 2C 22 0D F5 8E 61 B2 98 ?? ?? ?? ?? B3 90 DC AA 0D F5 8F 61 B3 98 ?? ?? ?? ?? B4 90 2C 22 0D F5 90 61 B4 98 ?? ?? ?? ?? B5 90 86 AA 0D F5 91 61 B5 98 ?? ?? ?? ?? B6 90 2C 22 0D F5 92 61 B6 98 ?? ?? ?? ?? B7 90 B7 99 02 A8 ?? ?? ?? ?? 3F E0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 34 93 01 E0 00 23 34 93 34 9B 36 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 35 93 01 E0 00 23 35 93 35 9B 36 93 36 9B 00 2B 19 D0 00 9B 03 F4 E0 63 B3 F5 A0 6F 13 D1 86 AA DF F8 80 1A 0D F5 93 60 ?? ?? ?? ?? B8 90 2C 22 0D F5 94 61 B8 98 ?? ?? ?? ?? B9 90 B9 99 02 A8 ?? ?? ?? ?? 04 E0 DF F8 58 1A 02 A8 ?? ?? ?? ?? DF F8 48 2A 0D F5 95 61 DE A8 ?? ?? ?? ?? BA 90 BA 99 02 A8 ?? ?? ?? ?? 0D F5 96 60 ?? ?? ?? ?? BB 90 BB 9A 28 21 0D F5 97 60 ?? ?? ?? ?? BC 90 29 22 0D F5 98 61 BC 98 ?? ?? ?? ?? BD 90 BD 99 02 A8 ?? ?? ?? ?? 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 37 93 01 E0 00 23 37 93 37 9B 39 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 38 93 01 E0 00 23 38 93 38 9B 39 93 39 9B 00 2B 3B D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 3A 93 01 E0 00 23 3A 93 3A 9B 3C 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 3B 93 01 E0 00 23 3B 93 3B 9B 3C 93 3C 9B 00 2B 16 D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 E0 63 B3 F5 00 7F 02 D1 01 23 3D 93 01 E0 00 23 3D 93 3D 9B 3E 93 01 E0 01 23 3E 93 3E 9B 00 2B 03 D1 D8 A9 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? BE 90 BE 9B 00 2B 09 D0 0D F5 99 60 ?? ?? ?? ?? BF 90 BF 99 02 A8 ?? ?? ?? ?? 08 E0 0D F5 9A 60 ?? ?? ?? ?? C0 90 C0 99 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? C1 90 C1 9B 00 2B 09 D0 0D F5 9B 60 ?? ?? ?? ?? C2 90 C2 99 02 A8 ?? ?? ?? ?? 08 E0 0D F5 9C 60 ?? ?? ?? ?? C3 90 C3 99 02 A8 ?? ?? ?? ?? 0D F5 9D 60 ?? ?? ?? ?? C4 90 C4 99 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? C5 90 C5 9B 00 2B 0A D0 05 9B 00 2B 07 D0 02 A9 05 98 ?? ?? ?? ?? E0 A9 02 A8 ?? ?? ?? ?? CE E1 DD F8 5C 15 02 A8 ?? ?? ?? ?? 00 9B 13 F4 00 4F 10 D1 00 9B 03 F4 F8 43 B3 F5 D0 4F 0A D1 02 A9 DD F8 58 05 ?? ?? ?? ?? DD F8 58 35 04 93 00 F0 20 BC 42 E1 00 9B 13 F4 00 4F 10 D1 00 9B 03 F4 F8 43 B3 F5 E0 4F 0A D1 02 A9 DD F8 58 05 ?? ?? ?? ?? DD F8 58 35 04 93 00 F0 0B BC 2D E1 00 9B 13 F4 00 4F 24 D1 00 9B 03 F4 F8 43 B3 F5 C0 4F 1E D1 0D F5 9E 60 ?? ?? ?? ?? C6 90 7B 22 0D F5 9F 61 02 A8 ?? ?? ?? ?? C7 90 C6 9A 0D F5 A0 61 C7 98 ?? ?? ?? ?? C8 90 DF F8 14 28 DD F8 58 15 C8 98 ?? ?? ?? ?? DD F8 58 35 04 93 E1 E3 04 E1 00 9B 13 F4 00 4F 0F D1 00 9B 03 F4 F8 43 B3 F5 F8 4F 09 D1 02 A9 DD F8 58 05 ?? ?? ?? ?? DD F8 58 35 04 93 CD E3 F0 E0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 3F 93 01 E0 00 23 3F 93 3F 9B 41 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 40 93 01 E0 00 23 40 93 40 9B 41 93 41 9B 00 2B 04 D0 00 9B 03 F4 80 63 42 93 03 E0 00 9B 03 F4 80 53 42 93 42 9B 00 2B 1C D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 D8 53 B3 F5 80 5F 02 D1 01 23 43 93 01 E0 00 23 43 93 43 9B 44 93 01 E0 00 23 44 93 44 9B 00 2B 05 D0 DF F8 48 17 02 A8 ?? ?? ?? ?? A6 E0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 45 93 01 E0 00 23 45 93 45 9B 47 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 46 93 01 E0 00 23 46 93 46 9B 47 93 47 9B 00 2B 04 D0 00 9B 03 F4 80 63 48 93 03 E0 00 9B 03 F4 80 53 48 93 48 9B 00 2B 1C D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 D8 53 B3 F5 88 5F 02 D1 01 23 49 93 01 E0 00 23 49 93 49 9B 4A 93 01 E0 00 23 4A 93 4A 9B 00 2B 05 D0 DF F8 B0 16 02 A8 ?? ?? ?? ?? 5C E0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 4B 93 01 E0 00 23 4B 93 4B 9B 4D 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 4C 93 01 E0 00 23 4C 93 4C 9B 4D 93 4D 9B 00 2B 04 D0 00 9B 03 F4 80 63 4E 93 03 E0 00 9B 03 F4 80 53 4E 93 4E 9B 00 2B 1C D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 D8 53 B3 F5 90 5F 02 D1 01 23 4F 93 01 E0 00 23 4F 93 4F 9B 50 93 01 E0 00 23 50 93 50 9B 00 2B 05 D0 DF F8 18 16 02 A8 ?? ?? ?? ?? 12 E0 00 9B 13 F4 00 4F 0E D1 00 9B 03 F4 F8 43 B3 F5 F0 4F 08 D1 02 A9 DD F8 58 05 ?? ?? ?? ?? DD F8 58 35 04 93 DB E2 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 51 93 01 E0 00 23 51 93 51 9B 53 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 52 93 01 E0 00 23 52 93 52 9B 53 93 53 9B 00 2B 04 D0 00 9B 03 F4 80 63 54 93 03 E0 00 9B 03 F4 80 53 54 93 54 9B 00 2B 3A D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 D8 53 B3 F5 88 5F 02 D1 01 23 55 93 01 E0 00 23 55 93 55 9B 56 93 01 E0 00 23 56 93 56 9B 00 2B 16 D1 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 D8 53 B3 F5 90 5F 02 D1 01 23 57 93 01 E0 00 23 57 93 57 9B 58 93 01 E0 00 23 58 93 58 9B 00 2B 0C D0 02 AA DF F8 28 15 0D F5 A1 60 ?? ?? ?? ?? C9 90 C9 99 02 A8 ?? ?? ?? ?? 09 E0 02 A9 0D F5 A2 60 ?? ?? ?? ?? CA 90 CA 99 02 A8 ?? ?? ?? ?? 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 59 93 01 E0 00 23 59 93 59 9B 5B 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 5A 93 01 E0 00 23 5A 93 5A 9B 5B 93 5B 9B 00 2B 00 F0 F3 81 ?? ?? ?? ?? CB 90 CB 9B 00 2B 00 F0 FD 80 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 5C 93 01 E0 00 23 5C 93 5C 9B 5E 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 5D 93 01 E0 00 23 5D 93 5D 9B 5E 93 5E 9B 00 2B 22 D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 E0 63 B3 F5 00 7F 02 D1 01 23 5F 93 01 E0 00 23 5F 93 5F 9B 60 93 01 E0 01 23 60 93 60 9B 00 2B 0B D0 02 AA DF F8 34 14 0D F5 A3 60 ?? ?? ?? ?? CC 90 CC 99 02 A8 ?? ?? ?? ?? 00 9B 13 F4 00 4F 06 D0 00 9B 03 F4 E0 63 B3 F5 80 7F 00 F0 A3 80 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 61 93 01 E0 00 23 61 93 61 9B 63 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 62 93 01 E0 00 23 62 93 62 9B 63 93 63 9B 00 2B 04 D0 00 9B 03 F4 80 63 64 93 03 E0 00 9B 03 F4 80 53 64 93 64 9B 00 2B 00 F0 80 80 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 65 93 01 E0 00 23 65 93 65 9B 67 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 66 93 01 E0 00 23 66 93 66 9B 67 93 67 9B 00 2B 05 D0 00 9B 03 F4 E0 63 B3 F5 A0 6F 4D D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 68 93 01 E0 00 23 68 93 68 9B 6A 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 69 93 01 E0 00 23 69 93 69 9B 6A 93 6A 9B 00 2B 05 D0 00 9B 03 F4 E0 63 B3 F5 C0 6F 26 D0 00 9B 13 F4 00 4F 0D D0 00 9B 03 F4 C0 53 B3 F5 00 6F 02 D1 01 23 6B 93 01 E0 00 23 6B 93 6B 9B 6D 93 0B E0 00 9B 03 F4 C0 43 00 2B 02 D1 01 23 6C 93 01 E0 00 23 6C 93 6C 9B 6D 93 6D 9B 00 2B 10 D0 00 9B 03 F4 E0 63 }
	condition:
		$1
}

rule file_29_47_4 {
	meta:
		name = "?dbGetString@DName@@QBAPADXZ"
		size = 40
		refs = "0010 ?getString@DName@@QBAPADPADH@Z 0024 ?buf@?1??dbGetString@DName@@QBAPADXZ@4PADA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 50 22 05 49 04 98 ?? ?? ?? ?? 03 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_48_4 {
	meta:
		name = "?doAccessSpecifiers@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F0 80 0F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_49_4 {
	meta:
		name = "?doAllocationLanguage@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F0 10 0F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_50_4 {
	meta:
		name = "?doAllocationModel@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F0 08 0F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_51_4 {
	meta:
		name = "?doEcsu@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F4 00 4F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_52_4 {
	meta:
		name = "?doEllipsis@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F4 80 2F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_53_4 {
	meta:
		name = "?doFunctionReturns@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F0 04 0F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_54_4 {
	meta:
		name = "?doMSKeywords@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F0 02 0F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_55_4 {
	meta:
		name = "?doMemberTypes@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F4 00 7F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_56_4 {
	meta:
		name = "?doNameOnly@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 03 F4 80 53 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_57_4 {
	meta:
		name = "?doNoIdentCharCheck@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 03 F4 80 33 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_58_4 {
	meta:
		name = "?doPchar@DName@@AAAXPBDH@Z"
		size = 276
		refs = "0016 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 0056 ??2@YAPAXIAAV_HeapManager@@H@Z 006e ??0charNode@@QAA@D@Z 00be ??0pcharNode@@QAA@PBDH@Z 0110 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0C 9B 1B 68 00 2B 04 D0 03 21 0C 98 ?? ?? ?? ?? 74 E0 0D 9B 00 2B 67 D0 0E 9B 00 2B 64 D0 0E 9B 00 93 00 9B 00 2B 03 D0 00 9B 01 2B 0B D0 33 E0 0C 9B 1B 1D 19 68 03 23 63 F3 07 01 0C 9B 1A 1D 0B 46 13 60 4F E0 00 22 2F 49 08 20 ?? ?? ?? ?? 05 90 05 9B 01 93 01 9B 00 2B 09 D0 0D 9B 93 F9 00 10 01 98 ?? ?? ?? ?? 06 90 06 9B 02 93 01 E0 00 23 02 93 0C 9A 02 9B 13 60 0C 9B 1B 68 00 2B 09 D1 0C 9B 1B 1D 19 68 03 23 63 F3 07 01 0C 9B 1A 1D 0B 46 13 60 26 E0 00 22 1A 49 0C 20 ?? ?? ?? ?? 07 90 07 9B 03 93 03 9B 00 2B 08 D0 0E 9A 0D 99 03 98 ?? ?? ?? ?? 08 90 08 9B 04 93 01 E0 00 23 04 93 0C 9A 04 9B 13 60 0C 9B 1B 68 00 2B 09 D1 0C 9B 1B 1D 19 68 03 23 63 F3 07 01 0C 9B 1A 1D 0B 46 13 60 09 E0 0C 9B 1B 1D 19 68 02 23 63 F3 07 01 0C 9B 1A 1D 0B 46 13 60 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_59_4 {
	meta:
		name = "?doPtr64@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F4 00 3F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_60_4 {
	meta:
		name = "?doRestrictionSpec@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F4 00 2F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_61_4 {
	meta:
		name = "?doThisTypes@UnDecorator@@SAHXZ"
		size = 48
		refs = "002c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 03 F0 60 03 60 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_62_4 {
	meta:
		name = "?doThrowTypes@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F4 80 7F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_63_4 {
	meta:
		name = "?doTypeOnly@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 03 F4 00 53 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_64_4 {
	meta:
		name = "?doUnderScore@UnDecorator@@SAHXZ"
		size = 44
		refs = "0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 13 F0 01 0F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_65_4 {
	meta:
		name = "?getArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 280
		refs = "0010 ??0DName@@QAA@XZ 0016 ?status@DName@@QBA?AW4DNameStatus@@XZ 004a ??YDName@@QAAAAV0@D@Z 0084 ??AReplicator@@QBA?AVDName@@H@Z 008e ??YDName@@QAAAAV0@ABV0@@Z 00a6 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 00ba ?isFull@Replicator@@QBAHXZ 00cc ??YReplicator@@QAAAAV0@ABVDName@@@Z 00e6 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 00f0 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 00fc ??0DName@@QAA@ABV0@@Z 0110 ?gName@UnDecorator@@0PBDB 0114 ?pArgList@UnDecorator@@0PAVReplicator@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 01 23 01 93 08 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 03 90 03 9B 00 2B 6A D1 3B 4B 1B 68 93 F9 00 30 40 2B 64 D0 38 4B 1B 68 93 F9 00 30 5A 2B 5E D0 01 9B 00 2B 02 D0 00 23 01 93 03 E0 2C 21 08 A8 ?? ?? ?? ?? 30 4B 1B 68 93 F9 00 30 00 2B 48 D0 2D 4B 1B 68 93 F9 00 30 30 3B 00 93 00 9B 00 2B 13 DB 00 9B 09 2B 10 DC 27 4B 1B 68 5A 1C 25 4B 1A 60 00 9A 0C A9 24 4B 18 68 ?? ?? ?? ?? 04 90 04 99 08 A8 ?? ?? ?? ?? 2A E0 1E 4B 1B 68 02 93 0E A8 ?? ?? ?? ?? 05 90 05 99 0A A8 ?? ?? ?? ?? 19 4B 1A 68 02 9B D3 1A 01 2B 0C DD 17 4B 18 68 ?? ?? ?? ?? 06 90 06 9B 00 2B 04 D1 0A A9 12 4B 18 68 ?? ?? ?? ?? 0A A9 08 A8 ?? ?? ?? ?? 0D 4B 1A 68 02 9B 9A 42 03 D1 02 21 08 A8 ?? ?? ?? ?? 04 E0 01 21 08 A8 ?? ?? ?? ?? 00 E0 8D E7 08 A9 12 98 ?? ?? ?? ?? 12 9B 07 93 07 98 10 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_66_4 {
	meta:
		name = "?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 316
		refs = "002c ?doEllipsis@UnDecorator@@SAHXZ 0046 ??0DName@@QAA@PBD@Z 006a ?getArgumentList@UnDecorator@@CA?AVDName@@XZ 0070 ?status@DName@@QBA?AW4DNameStatus@@XZ 009e ??0DName@@QAA@ABV0@@Z 00ce ??HDName@@QBA?AV0@PBD@Z 00fe ??0DName@@QAA@W4DNameStatus@@@Z 0124 ?gName@UnDecorator@@0PBDB 0128 ??_C@_0M@ELJOJFFH@?0?$DMellipsis?$DO?$AA@ 012c ??_C@_04EENFHACM@?0?4?4?4?$AA@ 0130 ??_C@_04GKJNKENE@void?$AA@ 0134 ??_C@_0L@EGPHHEKN@?$DMellipsis?$DO?$AA@ 0138 ??_C@_03KHICJKCI@?4?4?4?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 46 4B 1B 68 93 F9 00 30 02 93 02 9B 58 2B 1A D0 02 9B 5A 2B 00 D0 22 E0 40 4B 1B 68 5A 1C 3E 4B 1A 60 ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D0 3F 4B 03 93 01 E0 3D 4B 03 93 03 99 10 98 ?? ?? ?? ?? 10 9B 00 93 62 E0 34 4B 1B 68 5A 1C 33 4B 1A 60 35 49 10 98 ?? ?? ?? ?? 10 9B 00 93 56 E0 0A A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 06 90 06 9B 00 2B 46 D1 29 4B 1B 68 93 F9 00 30 01 93 01 9B 00 2B 06 D0 01 9B 40 2B 27 D0 01 9B 5A 2B 07 D0 2F E0 0A A9 10 98 ?? ?? ?? ?? 10 9B 00 93 36 E0 1E 4B 1B 68 5A 1C 1D 4B 1A 60 ?? ?? ?? ?? 07 90 07 9B 00 2B 02 D0 1B 4B 04 93 01 E0 18 4B 04 93 04 9A 0C A9 0A A8 ?? ?? ?? ?? 08 90 08 99 10 98 ?? ?? ?? ?? 10 9B 00 93 19 E0 10 4B 1B 68 5A 1C 0E 4B 1A 60 0A A9 10 98 ?? ?? ?? ?? 10 9B 00 93 0D E0 02 21 10 98 ?? ?? ?? ?? 10 9B 00 93 06 E0 05 E0 0A A9 10 98 ?? ?? ?? ?? 10 9B 00 93 00 98 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_67_4 {
	meta:
		name = "?getArrayType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 484
		refs = "0018 ?getNumberOfDimensions@UnDecorator@@CAHXZ 0036 ??0DName@@QAA@D@Z 0042 ??HDName@@QBA?AV0@W4DNameStatus@@@Z 004e ??HDName@@QBA?AV0@D@Z 0058 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0066 ??0DName@@QAA@XZ 006c ?isArray@DName@@QBAHXZ 007c ??YDName@@QAAAAV0@PBD@Z 0082 ?isValid@DName@@QBAHXZ 00aa ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00b6 ??H@YA?AVDName@@DABV0@@Z 00cc ??YDName@@QAAAAV0@ABV0@@Z 00d4 ?isEmpty@DName@@QBAHXZ 00f4 ??HDName@@QBA?AV0@ABV0@@Z 00fe ??4DName@@QAAAAV0@ABV0@@Z 0134 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 013a ?setIsArray@DName@@QAAXXZ 0142 ??0DName@@QAA@ABV0@@Z 016e ??HDName@@QBA?AV0@PBD@Z 01d8 ??_C@_02GOGNNPBN@?$CJ?$FL?$AA@ 01dc ?gName@UnDecorator@@0PBDB 01e0 ??_C@_02GPECMEKF@?$FL?$FN?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 C0 B0 74 4B 1B 68 93 F9 00 30 00 2B 00 F0 9B 80 ?? ?? ?? ?? 1A 90 1A 9B 00 93 00 9B 00 2B 01 DA 00 23 00 93 00 9B 00 2B 18 D1 5B 21 1E A8 ?? ?? ?? ?? 04 90 01 22 20 A9 04 98 ?? ?? ?? ?? 05 90 5D 22 22 A9 05 98 ?? ?? ?? ?? 06 90 06 99 42 98 ?? ?? ?? ?? 42 9B 01 93 B3 E0 73 E0 02 A8 ?? ?? ?? ?? 43 98 ?? ?? ?? ?? 07 90 07 9B 00 2B 03 D0 59 49 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 08 90 08 9B 00 2B 21 D0 00 9A 00 9B 5B 1E 00 93 00 2A 1B D0 50 4B 1B 68 93 F9 00 30 00 2B 15 D0 00 21 24 A8 ?? ?? ?? ?? 09 90 09 9A 5B 21 26 A8 ?? ?? ?? ?? 0A 90 5D 22 28 A9 0A 98 ?? ?? ?? ?? 0B 90 0B 99 02 A8 ?? ?? ?? ?? D6 E7 43 98 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 27 D1 43 98 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 0A D0 02 AA 2A A9 43 98 ?? ?? ?? ?? 0E 90 0E 99 02 A8 ?? ?? ?? ?? 15 E0 43 9A 28 21 2C A8 ?? ?? ?? ?? 0F 90 29 22 2E A9 0F 98 ?? ?? ?? ?? 10 90 02 AA 30 A9 10 98 ?? ?? ?? ?? 11 90 11 99 02 A8 ?? ?? ?? ?? 02 A9 1C A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 1C A9 42 98 ?? ?? ?? ?? 42 9B 01 93 3E E0 3D E0 43 98 ?? ?? ?? ?? 12 90 12 9B 00 2B 1F D1 43 9A 28 21 32 A8 ?? ?? ?? ?? 13 90 1B 4A 34 A9 13 98 ?? ?? ?? ?? 14 90 01 22 36 A9 14 98 ?? ?? ?? ?? 15 90 5D 22 38 A9 15 98 ?? ?? ?? ?? 16 90 16 99 42 98 ?? ?? ?? ?? 42 9B 01 93 17 E0 16 E0 5B 21 3A A8 ?? ?? ?? ?? 17 90 01 22 3C A9 17 98 ?? ?? ?? ?? 18 90 5D 22 3E A9 18 98 ?? ?? ?? ?? 19 90 19 99 42 98 ?? ?? ?? ?? 42 9B 01 93 01 98 40 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_68_4 {
	meta:
		name = "?getBasedType@UnDecorator@@CA?AVDName@@XZ"
		size = 180
		refs = "000c ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 0016 ??0DName@@QAA@PBD@Z 0056 ??YDName@@QAAAAV0@PBD@Z 005e ?getScopedName@UnDecorator@@CA?AVDName@@XZ 0068 ??YDName@@QAAAAV0@ABV0@@Z 0072 ??0DName@@QAA@W4DNameStatus@@@Z 0082 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0092 ??0DName@@QAA@ABV0@@Z 00a8 ??_C@_02KCKGHPCA@?$CJ?5?$AA@ 00ac ??_C@_04GKJNKENE@void?$AA@ 00b0 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 00 20 ?? ?? ?? ?? 02 90 02 99 06 A8 ?? ?? ?? ?? 25 4B 1B 68 93 F9 00 30 00 2B 2B D0 22 4B 1B 68 93 F9 00 30 03 93 1F 4B 1B 68 5A 1C 1E 4B 1A 60 03 9B 00 93 00 9B 30 2B 06 D0 00 9B 32 2B 08 D0 00 9B 35 2B 0E D0 14 E0 16 49 06 A8 ?? ?? ?? ?? 0F E0 08 A8 ?? ?? ?? ?? 04 90 04 99 06 A8 ?? ?? ?? ?? 06 E0 02 21 0C 98 ?? ?? ?? ?? 0C 9B 01 93 0E E0 03 E0 01 21 06 A8 ?? ?? ?? ?? 08 49 06 A8 ?? ?? ?? ?? 06 A9 0C 98 ?? ?? ?? ?? 0C 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_69_4 {
	meta:
		name = "?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 1168
		refs = "0046 ??0DName@@QAA@XZ 00a2 ??4DName@@QAAAAV0@PBD@Z 00dc ??YDName@@QAAAAV0@PBD@Z 01fc ?getECSUDataType@UnDecorator@@CA?AVDName@@XZ 0206 ??4DName@@QAAAAV0@ABV0@@Z 020c ?isEmpty@DName@@QBAHXZ 021c ??0DName@@QAA@ABV0@@Z 022c ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0238 ??H@YA?AVDName@@PBDABV0@@Z 0250 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 034e ??H@YA?AVDName@@DABV0@@Z 0358 ??YDName@@QAAAAV0@ABV0@@Z 0384 ?setIsArray@DName@@QAAXXZ 038e ?getPointerTypeArray@UnDecorator@@CA?AVDName@@ABV2@0@Z 0394 ?isArray@DName@@QBAHXZ 03fc ?getPointerType@UnDecorator@@CA?AVDName@@ABV2@0@Z 040e ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 0424 ??_C@_08PABEKFH@volatile?$AA@ 0428 ??_C@_09EFNPDFFP@?5volatile?$AA@ 042c ??_C@_05BNCCCJPP@const?$AA@ 0430 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 0434 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 0438 ??_C@_07EDHNAJHC@signed?5?$AA@ 043c ?gName@UnDecorator@@0PBDB 0440 ??_C@_04GKJNKENE@void?$AA@ 0444 ??_C@_07NFANNNEC@UNKNOWN?$AA@ 0448 ??_C@_06GCICPBLB@__w64?5?$AA@ 044c ??_C@_07CLGGIAMF@wchar_t?$AA@ 0450 ??_C@_08IECNCBKG@char32_t?$AA@ 0454 ??_C@_08HBIPOFJB@char16_t?$AA@ 0458 ??_C@_09EEKGDCPH@?$DMunknown?$DO?$AA@ 045c ??_C@_08GAHOLHEO@__int128?$AA@ 0460 ??_C@_07LFCOJCAC@__int64?$AA@ 0464 ??_C@_07OFLPPHGP@__int32?$AA@ 0468 ??_C@_07ICFHOGAF@__int16?$AA@ 046c ??_C@_06EBGKOKIG@__int8?$AA@ 0470 ??_C@_04DDKJGDCM@bool?$AA@ 0474 ??_C@_06BNJCAIGJ@double?$AA@ 0478 ??_C@_05CJIMAING@long?5?$AA@ 047c ??_C@_05KNFBNCOH@float?$AA@ 0480 ??_C@_04GOKPGOLB@long?$AA@ 0484 ??_C@_03JBIPMCLC@int?$AA@ 0488 ??_C@_05BFKKPKCG@short?$AA@ 048c ??_C@_04ENMBGAPA@char?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 AC B0 DF F8 30 34 1B 68 93 F9 00 30 00 2B 00 F0 F7 81 DF F8 20 34 1B 68 93 F9 00 30 DB B2 8D F8 10 30 DF F8 10 34 1B 68 5A 1C DF F8 08 34 1A 60 00 23 8D F8 11 30 6F F0 00 03 05 93 02 A8 ?? ?? ?? ?? 9D F8 10 30 08 93 08 9B 43 3B 08 93 08 9B 1C 2B 00 F2 06 81 08 9A DF E8 12 F0 1D 00 1D 00 1D 00 22 00 22 00 27 00 27 00 2C 00 2C 00 03 01 31 00 3A 00 36 00 3F 00 3F 00 3F 00 3F 00 03 01 03 01 03 01 03 01 FE 00 03 01 03 01 03 01 03 01 03 01 03 01 45 00 FB 49 02 A8 ?? ?? ?? ?? FB E0 F7 49 02 A8 ?? ?? ?? ?? F6 E0 F4 49 02 A8 ?? ?? ?? ?? F1 E0 F0 49 02 A8 ?? ?? ?? ?? EC E0 ED 49 02 A8 ?? ?? ?? ?? E7 E0 E9 49 02 A8 ?? ?? ?? ?? E6 49 02 A8 ?? ?? ?? ?? DE E0 9D F8 10 30 03 F0 03 03 05 93 D8 E0 D3 4B 1B 68 93 F9 00 30 DB B2 8D F8 11 30 9D F8 11 30 0C 93 CE 4B 1B 68 5A 1C CC 4B 1A 60 0C 9B 00 93 00 9B 4E 2B 27 DC 00 9B 4E 2B 37 D0 00 9B 47 2B 15 DC 00 9B 46 2B 3B DA 00 9B 24 2B 07 DC 00 9B 24 2B 79 D0 00 9B 00 2B 00 F0 83 80 8B E0 00 9B 44 2B C0 F2 88 80 00 9B 45 2B 24 DD 83 E0 00 9B 48 3B 00 93 00 9B 05 2B 7D D8 00 9A DF E8 02 F0 25 25 2A 2A 2F 2F 00 9B 4F 3B 00 93 00 9B 0A 2B 71 D8 00 9A DF E8 02 F0 06 6F 6F 28 2D 6F 32 6F 37 3C 3C 3C 6F F0 01 03 05 93 68 E0 B8 49 02 A8 ?? ?? ?? ?? 63 E0 B5 49 02 A8 ?? ?? ?? ?? 5E E0 B1 49 02 A8 ?? ?? ?? ?? 59 E0 AE 49 02 A8 ?? ?? ?? ?? 54 E0 AA 49 02 A8 ?? ?? ?? ?? 4F E0 A7 49 02 A8 ?? ?? ?? ?? 4A E0 A3 49 02 A8 ?? ?? ?? ?? 45 E0 A0 49 02 A8 ?? ?? ?? ?? 40 E0 9C 49 02 A8 ?? ?? ?? ?? 3B E0 99 49 02 A8 ?? ?? ?? ?? 36 E0 92 4B 1B 68 5A 1E 91 4B 1A 60 1E A8 ?? ?? ?? ?? 0D 90 0D 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 06 D0 02 A9 2E 98 ?? ?? ?? ?? 2E 9B 06 93 F7 E0 1A E0 2F 99 20 A8 ?? ?? ?? ?? 0F 90 0F 9A 84 49 2E 98 ?? ?? ?? ?? 2E 9B 06 93 E9 E0 7E 4B 1B 68 5A 1E 7C 4B 1A 60 01 21 02 A8 ?? ?? ?? ?? 03 E0 7B 49 02 A8 ?? ?? ?? ?? 1F E0 77 49 02 A8 ?? ?? ?? ?? 1A E0 74 4B 1B 68 5A 1E 72 4B 1A 60 22 A8 ?? ?? ?? ?? 10 90 10 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 11 90 11 9B 00 2B 06 D0 02 A9 2E 98 ?? ?? ?? ?? 2E 9B 06 93 BA E0 05 9B B3 F1 FF 3F 61 D1 9D F8 10 30 07 93 07 9B 5F 2B 10 DC 07 9B 5F 2B 24 D0 07 9B 43 3B 07 93 07 9B 08 2B 39 D8 07 9A DF E8 02 F0 11 37 06 37 06 37 06 37 06 06 30 E0 02 AA 56 49 24 A8 ?? ?? ?? ?? 12 90 12 99 02 A8 ?? ?? ?? ?? 25 E0 02 AA 51 49 26 A8 ?? ?? ?? ?? 13 90 13 99 02 A8 ?? ?? ?? ?? 1A E0 9D F8 11 30 09 93 09 9B 45 3B 09 93 09 9B 08 2B 11 D8 09 9A DF E8 02 F0 05 0F 05 0F 05 0F 05 0F 05 05 02 AA 42 49 28 A8 ?? ?? ?? ?? 14 90 14 99 02 A8 ?? ?? ?? ?? 2F 98 ?? ?? ?? ?? 15 90 15 9B 00 2B 09 D1 2F 9A 20 21 2A A8 ?? ?? ?? ?? 16 90 16 99 02 A8 ?? ?? ?? ?? 02 A9 2E 98 ?? ?? ?? ?? 2E 9B 06 93 55 E0 4C E0 0A A8 ?? ?? ?? ?? 2F 99 1C A8 ?? ?? ?? ?? 05 9B 13 F1 02 0F 19 D1 1C A8 ?? ?? ?? ?? 1C AA 0A A9 1A A8 ?? ?? ?? ?? 1A A8 ?? ?? ?? ?? 17 90 17 9B 00 2B 03 D1 23 49 1A A8 ?? ?? ?? ?? 1A A9 2E 98 ?? ?? ?? ?? 2E 9B 06 93 2F E0 2F 98 ?? ?? ?? ?? 18 90 18 9B 00 2B 18 D0 05 9B 13 F0 01 0F 0C D0 17 49 0A A8 ?? ?? ?? ?? 05 9B 13 F0 02 0F 03 D0 12 49 0A A8 ?? ?? ?? ?? 07 E0 05 9B 13 F0 02 0F 03 D0 0D 49 0A A8 ?? ?? ?? ?? 1C AA 0A A9 2E 98 ?? ?? ?? ?? 2E 9B 06 93 07 E0 06 E0 2F 9A 01 21 2E 98 ?? ?? ?? ?? 2E 9B 06 93 06 98 2C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_70_4 {
	meta:
		name = "?getCallIndex@UnDecorator@@CA?AVDName@@XZ"
		size = 34
		refs = "000e ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		altNames = "?getGuardNumber@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_71_4 {
	meta:
		name = "?getCallingConvention@UnDecorator@@CA?AVDName@@XZ"
		size = 312
		refs = "0038 ??0DName@@QAA@W4DNameStatus@@@Z 003c ?doMSKeywords@UnDecorator@@SAHXZ 0070 ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 007a ??4DName@@QAAAAV0@PBD@Z 0100 ??0DName@@QAA@ABV0@@Z 0134 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 4A 4B 1B 68 93 F9 00 30 00 2B 00 F0 82 80 46 4B 1B 68 93 F9 00 30 41 3B 01 93 43 4B 1B 68 5A 1C 42 4B 1A 60 01 9B 10 2B 6B D8 02 21 0C A8 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 03 9B 00 2B 59 D0 01 9B 23 F0 01 03 02 93 02 9B 10 2B 52 D8 02 9A DF E8 02 F0 09 50 12 50 1B 50 24 50 2D 50 50 50 3F 50 48 50 36 36 01 20 ?? ?? ?? ?? 04 90 04 99 0C A8 ?? ?? ?? ?? 3D E0 02 20 ?? ?? ?? ?? 05 90 05 99 0C A8 ?? ?? ?? ?? 34 E0 04 20 ?? ?? ?? ?? 06 90 06 99 0C A8 ?? ?? ?? ?? 2B E0 03 20 ?? ?? ?? ?? 07 90 07 99 0C A8 ?? ?? ?? ?? 22 E0 05 20 ?? ?? ?? ?? 08 90 08 99 0C A8 ?? ?? ?? ?? 19 E0 06 20 ?? ?? ?? ?? 09 90 09 99 0C A8 ?? ?? ?? ?? 10 E0 07 20 ?? ?? ?? ?? 0A 90 0A 99 0C A8 ?? ?? ?? ?? 07 E0 08 20 ?? ?? ?? ?? 0B 90 0B 99 0C A8 ?? ?? ?? ?? 0C A9 10 98 ?? ?? ?? ?? 10 9B 00 93 0E E0 06 E0 02 21 10 98 ?? ?? ?? ?? 10 9B 00 93 06 E0 05 E0 01 21 10 98 ?? ?? ?? ?? 10 9B 00 93 00 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_72_4 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z"
		size = 1636
		refs = "000e ??0DName@@QAA@XZ 003e ?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AAPBDAA_NH@Z 0044 ?isEmpty@DName@@QBAHXZ 0054 ??0DName@@QAA@ABV0@@Z 00c0 ?doMSKeywords@UnDecorator@@SAHXZ 00cc ?doPtr64@UnDecorator@@SAHXZ 00e8 ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 00f4 ??HDName@@QBA?AV0@D@Z 0100 ??HDName@@QBA?AV0@PBD@Z 010a ??4DName@@QAAAAV0@ABV0@@Z 011c ??4DName@@QAAAAV0@PBD@Z 01d8 ??0DName@@QAA@W4DNameStatus@@@Z 02a4 ??0DName@@QAA@PBD@Z 02ae ??HDName@@QBA?AV0@ABV0@@Z 0344 ??H@YA?AVDName@@PBDABV0@@Z 0360 ?getScope@UnDecorator@@CA?AVDName@@XZ 0382 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 03aa ??_5DName@@QAAAAV0@ABV0@@Z 03be ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0416 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 04d2 ?isPtrRef@DName@@QBAHXZ 04ee ?isArray@DName@@QBAHXZ 050a ??H@YA?AVDName@@DABV0@@Z 0514 ??YDName@@QAAAAV0@ABV0@@Z 056c ?setPtrRef@DName@@QAAAAV1@XZ 057a ?setIsPinPtr@DName@@QAAXXZ 064c ??_C@_03PCKGMOPB@?$CG?$CG?5?$AA@ 0650 ??_C@_02KJPKDIBN@?$CG?5?$AA@ 0654 ??_C@_06LIJLOJAG@const?5?$AA@ 0658 ??_C@_09GAIEOBLP@volatile?5?$AA@ 065c ?gName@UnDecorator@@0PBDB 0660 ??_C@_02MOLJINC@?3?3?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AD F5 0A 7D 4C A8 ?? ?? ?? ?? 00 23 8D F8 08 30 DF F8 40 36 1B 68 93 F9 00 30 00 2B 00 F0 BB 82 DF F8 30 36 1B 68 93 F9 00 30 24 2B 13 D1 90 9B 02 AA 8E A9 48 A8 ?? ?? ?? ?? 48 A8 ?? ?? ?? ?? 44 90 44 9B 00 2B 06 D1 48 A9 8C 98 ?? ?? ?? ?? 8C 9B 03 93 EE E2 DF F8 FC 35 1B 68 93 F9 00 30 41 2B 02 DB 41 23 0C 93 01 E0 16 23 0C 93 DF F8 E4 35 1B 68 93 F9 00 20 0C 9B D3 1A 05 93 06 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 01 23 09 93 00 23 8D F8 10 30 00 23 8D F8 11 30 05 9B 08 93 08 9B 1B 1F 08 93 08 9B 04 2B 00 F2 A9 80 08 9A DF E8 02 F0 03 34 8A 98 5F 5F ?? ?? ?? ?? 45 90 45 9B 00 2B 29 D0 ?? ?? ?? ?? 46 90 46 9B 00 2B 23 D0 06 A8 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 14 D1 09 20 ?? ?? ?? ?? 0F 90 20 22 4E A9 06 A8 ?? ?? ?? ?? 10 90 0F 9A 50 A9 10 98 ?? ?? ?? ?? 11 90 11 99 06 A8 ?? ?? ?? ?? 07 E0 09 20 ?? ?? ?? ?? 12 90 12 99 06 A8 ?? ?? ?? ?? 73 E0 ?? ?? ?? ?? 13 90 13 9B 00 2B 23 D0 0A A8 ?? ?? ?? ?? 14 90 14 9B 00 2B 14 D1 0B 20 ?? ?? ?? ?? 15 90 20 22 52 A9 0A A8 ?? ?? ?? ?? 16 90 15 9A 54 A9 16 98 ?? ?? ?? ?? 17 90 17 99 0A A8 ?? ?? ?? ?? 07 E0 0B 20 ?? ?? ?? ?? 18 90 18 99 0A A8 ?? ?? ?? ?? 48 E0 ?? ?? ?? ?? 19 90 19 9B 00 2B 23 D0 06 A8 ?? ?? ?? ?? 1A 90 1A 9B 00 2B 14 D1 0A 20 ?? ?? ?? ?? 1B 90 20 22 56 A9 06 A8 ?? ?? ?? ?? 1C 90 1B 9A 58 A9 1C 98 ?? ?? ?? ?? 1D 90 1D 99 06 A8 ?? ?? ?? ?? 07 E0 0A 20 ?? ?? ?? ?? 1E 90 1E 99 06 A8 ?? ?? ?? ?? 1D E0 90 9B 00 2B 06 D1 02 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 2C E2 01 23 8D F8 10 30 0F E0 90 9B 00 2B 06 D1 02 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 1E E2 01 23 8D F8 11 30 01 E0 00 23 09 93 09 9B 00 2B 34 D0 DF F8 48 34 1B 68 5A 1C DF F8 40 34 1A 60 DF F8 3C 34 1B 68 93 F9 00 30 24 2B 13 D1 90 9B 02 AA 8E A9 4A A8 ?? ?? ?? ?? 4A A8 ?? ?? ?? ?? 1F 90 1F 9B 00 2B 06 D1 4A A9 8C 98 ?? ?? ?? ?? 8C 9B 03 93 F3 E1 DF F8 04 34 1B 68 93 F9 00 30 41 2B 02 DB 41 23 0D 93 01 E0 16 23 0D 93 FB 4B 1B 68 93 F9 00 20 0D 9B D3 1A 05 93 09 9B 00 2B 7F F4 10 AF F6 4B 1B 68 93 F9 00 30 00 2B 04 D0 F3 4B 1B 68 5A 1C F1 4B 1A 60 05 9B 1F 2B 00 F2 77 81 8E 99 68 46 ?? ?? ?? ?? 6A 46 5A A9 4C A8 ?? ?? ?? ?? 20 90 20 99 68 46 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 21 90 21 9B 00 2B 0F D1 20 22 5C A9 68 46 ?? ?? ?? ?? 22 90 06 AA 5E A9 22 98 ?? ?? ?? ?? 23 90 23 99 68 46 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 24 90 24 9B 00 2B 0F D1 20 22 60 A9 0A A8 ?? ?? ?? ?? 25 90 6A 46 62 A9 25 98 ?? ?? ?? ?? 26 90 26 99 68 46 ?? ?? ?? ?? 05 9B 13 F0 10 0F 63 D0 90 9B 00 2B 06 D0 02 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 83 E1 8E 9B 93 F9 00 30 00 2B 29 D0 6A 46 C7 49 64 A8 ?? ?? ?? ?? 27 90 27 99 68 46 ?? ?? ?? ?? C2 4B 1B 68 93 F9 00 30 00 2B 0E D0 66 A8 ?? ?? ?? ?? 28 90 6A 46 68 A9 28 98 ?? ?? ?? ?? 29 90 29 99 68 46 ?? ?? ?? ?? 09 E0 6A 46 01 21 6A A8 ?? ?? ?? ?? 2A 90 2A 99 68 46 ?? ?? ?? ?? 0D E0 B2 4B 1B 68 93 F9 00 30 00 2B 07 D0 6C A8 ?? ?? ?? ?? 2B 90 2B 99 68 46 ?? ?? ?? ?? AB 4B 1B 68 93 F9 00 30 00 2B 04 D1 01 21 68 46 ?? ?? ?? ?? 11 E0 A5 4B 1B 68 93 F9 00 10 A3 4B 1B 68 5A 1C A2 4B 1A 60 40 29 06 D0 02 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 29 E1 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 1E D0 05 9B 03 F0 0C 03 0C 2B 00 D0 17 E0 90 9B 00 2B 06 D0 02 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 13 E1 6E A8 ?? ?? ?? ?? 2D 90 6A 46 70 A9 2D 98 ?? ?? ?? ?? 2E 90 2E 99 68 46 ?? ?? ?? ?? 0C E0 05 9B 03 F0 0C 03 0C 2B 07 D1 72 A8 ?? ?? ?? ?? 2F 90 2F 99 68 46 ?? ?? ?? ?? 05 9B 13 F0 02 0F 09 D0 6A 46 80 49 74 A8 ?? ?? ?? ?? 30 90 30 99 68 46 ?? ?? ?? ?? 05 9B 13 F0 01 0F 09 D0 6A 46 78 49 76 A8 ?? ?? ?? ?? 31 90 31 99 68 46 ?? ?? ?? ?? 9D F8 10 30 00 2B 09 D0 70 4A 78 A9 68 46 ?? ?? ?? ?? 32 90 32 99 68 46 ?? ?? ?? ?? 9D F8 11 30 00 2B 09 D0 68 4A 7A A9 68 46 ?? ?? ?? ?? 33 90 33 99 68 46 ?? ?? ?? ?? 90 9B 00 2B 53 D1 8D 98 ?? ?? ?? ?? 34 90 34 9B 00 2B 3B D1 8D 98 ?? ?? ?? ?? 35 90 35 9B 00 2B 06 D1 8F 98 ?? ?? ?? ?? 36 90 36 9B 00 2B 16 D0 8D 98 ?? ?? ?? ?? 37 90 37 9B 00 2B 04 D0 8D 99 68 46 ?? ?? ?? ?? 09 E0 8D 9A 20 21 7C A8 ?? ?? ?? ?? 38 90 38 99 68 46 ?? ?? ?? ?? 15 E0 8F 9A 20 21 7E A8 ?? ?? ?? ?? 39 90 20 22 80 A9 39 98 ?? ?? ?? ?? 3A 90 8D 9A 82 A9 3A 98 ?? ?? ?? ?? 3B 90 3B 99 68 46 ?? ?? ?? ?? 10 E0 8F 98 ?? ?? ?? ?? 3C 90 3C 9B 00 2B 09 D1 8F 9A 20 21 84 A8 ?? ?? ?? ?? 3D 90 3D 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 9D F8 08 30 00 2B 02 D0 68 46 ?? ?? ?? ?? 69 46 8C 98 ?? ?? ?? ?? 8C 9B 03 93 57 E0 06 E0 02 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 4F E0 4E E0 90 9B 00 2B 32 D1 8D 98 ?? ?? ?? ?? 3E 90 3E 9B 00 2B 2B D1 8D 98 ?? ?? ?? ?? 3F 90 3F 9B 00 2B 06 D1 8F 98 ?? ?? ?? ?? 40 90 40 9B 00 2B 08 D0 8D 9A 01 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 2E E0 13 E0 8F 9A 01 21 86 A8 ?? ?? ?? ?? 41 90 20 22 88 A9 41 98 ?? ?? ?? ?? 42 90 8D 9A 8C 99 42 98 ?? ?? ?? ?? 8C 9B 03 93 19 E0 18 E0 90 9B 00 2B 0F D1 8F 98 ?? ?? ?? ?? 43 90 43 9B 00 2B 08 D1 8F 9A 01 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 06 E0 05 E0 01 21 8C 98 ?? ?? ?? ?? 8C 9B 03 93 03 98 0D F5 0A 7D 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_73_4 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@XZ"
		size = 68
		refs = "0010 ??0DName@@QAA@XZ 002a ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 0040 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0D 4B 03 93 06 A8 ?? ?? ?? ?? 02 90 08 A8 ?? ?? ?? ?? 04 90 00 23 00 93 02 9B 03 9A 04 99 0C 98 ?? ?? ?? ?? 0C 9B 05 93 05 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_74_4 {
	meta:
		name = "?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z"
		size = 236
		refs = "000e ??0DName@@QAA@PAV0@@Z 0036 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 004c ?isEmpty@DName@@QBAHXZ 005c ??0DName@@QAA@PBD@Z 006e ??H@YA?AVDName@@PBDABV0@@Z 0088 ??0DName@@QAA@XZ 009a ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 00a4 ??4DName@@QAAAAV0@ABV0@@Z 00ac ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 00ba ??0DName@@QAA@ABV0@@Z 00dc ??_C@_00CNPNBAHC@?$AA@ 00e0 ?gName@UnDecorator@@0PBDB 00e4 ??_C@_05BEFAKPML@void?5?$AA@ 00e8 ??_C@_04GKJNKENE@void?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 11 99 08 A8 ?? ?? ?? ?? 33 4B 1B 68 93 F9 00 30 03 93 03 9B 00 2B 06 D0 03 9B 3F 2B 27 D0 03 9B 58 2B 08 D0 49 E0 08 AA 01 21 10 98 ?? ?? ?? ?? 10 9B 02 93 47 E0 27 4B 1B 68 5A 1C 26 4B 1A 60 08 A8 ?? ?? ?? ?? 04 90 04 9B 00 2B 07 D0 23 49 10 98 ?? ?? ?? ?? 10 9B 02 93 34 E0 07 E0 08 AA 1E 49 10 98 ?? ?? ?? ?? 10 9B 02 93 2B E0 19 4B 1B 68 5A 1C 18 4B 1A 60 16 4B 06 93 0A A8 ?? ?? ?? ?? 05 90 00 23 00 93 05 9B 06 9A 08 A9 0C A8 ?? ?? ?? ?? 07 90 07 99 08 A8 ?? ?? ?? ?? 08 A9 10 98 ?? ?? ?? ?? 10 9B 02 93 0C E0 08 A9 10 98 ?? ?? ?? ?? 10 9B 02 93 05 E0 08 A9 10 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_75_4 {
	meta:
		name = "?getDecoratedName@UnDecorator@@CA?AVDName@@XZ"
		size = 672
		refs = "000a ?doTypeOnly@UnDecorator@@SAHXZ 0026 ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 003a ??0DName@@QAA@ABV0@@Z 007a ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 00a6 ?getSymbolName@UnDecorator@@CA?AVDName@@XZ 00ac ?isUDC@DName@@QBAHXZ 00b8 ?isVCallThunk@DName@@QBAHXZ 00c4 ?isValid@DName@@QBAHXZ 00f8 ?getScope@UnDecorator@@CA?AVDName@@XZ 00fe ?isEmpty@DName@@QBAHXZ 011e ??HDName@@QBA?AV0@ABV0@@Z 0128 ??4DName@@QAAAAV0@ABV0@@Z 014e ??HDName@@QBA?AV0@PBD@Z 0192 ?setIsUDC@DName@@QAAXXZ 019e ?setIsVCallThunk@DName@@QAAXXZ 01b2 ?isNoTE@DName@@QBAHXZ 01fc ?doNameOnly@UnDecorator@@SAHXZ 021e ??0DName@@QAA@XZ 0228 ?composeDeclaration@UnDecorator@@CA?AVDName@@ABV2@@Z 0250 ??0DName@@QAA@W4DNameStatus@@@Z 0290 ?gName@UnDecorator@@0PBDB 0294 ??_C@_02MOLJINC@?3?3?$AA@ 0298 ?fExplicitTemplateParams@UnDecorator@@0_NA 029c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 AE B0 ?? ?? ?? ?? 08 90 08 9B 00 2B 17 D0 A1 4B 1B 68 23 F4 00 52 9F 4B 1A 60 00 21 1A A8 ?? ?? ?? ?? 9C 4B 1B 68 43 F4 00 52 9A 4B 1A 60 1A A9 30 98 ?? ?? ?? ?? 30 9B 00 93 1F E1 1E E1 92 4B 1B 68 93 F9 00 30 3F 2B 40 F0 04 81 8E 4B 1B 68 5A 1C 8D 4B 1A 60 8C 4B 1B 68 93 F9 00 30 3F 2B 1C D1 89 4B 1B 68 5B 1C 93 F9 00 30 3F 2B 15 D1 1C A8 ?? ?? ?? ?? 84 4B 1B 68 93 F9 00 30 00 2B 05 D0 81 4B 1B 68 5A 1C 7F 4B 1A 60 F3 E7 1C A9 30 98 ?? ?? ?? ?? 30 9B 00 93 EF E0 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 09 90 09 9B 04 93 02 A8 ?? ?? ?? ?? 0A 90 0A 9B 13 93 02 A8 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 06 D1 02 A9 30 98 ?? ?? ?? ?? 30 9B 00 93 D2 E0 6C 4B 1B 68 93 F9 00 30 00 2B 4F D0 69 4B 1B 68 93 F9 00 30 40 2B 49 D0 06 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 3F D1 63 4B 1B 78 00 2B 2B D0 61 4A 00 23 13 70 06 AA 1E A9 02 A8 ?? ?? ?? ?? 0D 90 0D 99 02 A8 ?? ?? ?? ?? 58 4B 1B 68 93 F9 00 30 40 2B 17 D0 20 A8 ?? ?? ?? ?? 0E 90 0E 99 06 A8 ?? ?? ?? ?? 52 4A 22 A9 06 A8 ?? ?? ?? ?? 0F 90 02 AA 24 A9 0F 98 ?? ?? ?? ?? 10 90 10 99 02 A8 ?? ?? ?? ?? 0F E0 4A 4A 26 A9 06 A8 ?? ?? ?? ?? 11 90 02 AA 28 A9 11 98 ?? ?? ?? ?? 12 90 12 99 02 A8 ?? ?? ?? ?? 04 9B 00 2B 02 D0 02 A8 ?? ?? ?? ?? 13 9B 00 2B 02 D0 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 14 90 14 9B 00 2B 06 D1 02 A8 ?? ?? ?? ?? 15 90 15 9B 00 2B 07 D0 02 A9 30 98 ?? ?? ?? ?? 30 9B 00 93 5B E0 45 E0 30 4B 1B 68 93 F9 00 30 00 2B 05 D0 2D 4B 1B 68 93 F9 00 30 40 2B 32 D1 2A 4B 1B 68 93 F9 00 30 00 2B 04 D0 27 4B 1B 68 5A 1C 25 4B 1A 60 ?? ?? ?? ?? 16 90 16 9B 00 2B 19 D0 04 9B 00 2B 16 D1 02 A8 ?? ?? ?? ?? 17 90 17 9B 00 2B 0F D1 2A A8 ?? ?? ?? ?? 18 90 18 99 2C A8 ?? ?? ?? ?? 02 A9 30 98 ?? ?? ?? ?? 30 9B 00 93 24 E0 06 E0 02 A9 30 98 ?? ?? ?? ?? 30 9B 00 93 1C E0 06 E0 02 21 30 98 ?? ?? ?? ?? 30 9B 00 93 14 E0 13 E0 0C 4B 1B 68 93 F9 00 30 00 2B 07 D0 02 21 30 98 ?? ?? ?? ?? 30 9B 00 93 06 E0 05 E0 01 21 30 98 ?? ?? ?? ?? 30 9B 00 93 00 98 2E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_76_4 {
	meta:
		name = "?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		size = 580
		refs = "0038 ??0DName@@QAA@W4DNameStatus@@@Z 008a ??0DName@@QAA@_K@Z 0096 ??H@YA?AVDName@@PBDABV0@@Z 00dc ??0DName@@QAA@ABV0@@Z 01b0 ??0DName@@QAA@_J@Z 023c ?gName@UnDecorator@@0PBDB 0240 ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 AE B0 00 23 00 93 8B 4B 1B 68 93 F9 00 30 51 2B 06 D1 89 4B 00 93 87 4B 1B 68 5A 1C 85 4B 1A 60 84 4B 1B 68 93 F9 00 30 00 2B 07 D1 01 21 30 98 ?? ?? ?? ?? 30 9B 01 93 F6 E0 F5 E0 7D 4B 1B 68 93 F9 00 30 30 2B 4B DB 7A 4B 1B 68 93 F9 00 30 39 2B 45 DC 00 9B 00 2B 1F D0 76 4B 1B 68 93 F9 00 30 30 3B 5B 1C 04 93 04 9A 04 9B DB 17 18 92 19 93 70 4B 1B 68 5A 1C 6E 4B 1A 60 18 9A 19 9B 1C A8 ?? ?? ?? ?? 16 90 16 9A 00 99 1E A8 ?? ?? ?? ?? 0B 90 0B 9B 06 93 18 E0 66 4B 1B 68 93 F9 00 30 30 3B 5B 1C 05 93 05 9A 05 9B DB 17 1A 92 1B 93 60 4B 1B 68 5A 1C 5E 4B 1A 60 1A 9A 1B 9B 20 A8 ?? ?? ?? ?? 0C 90 0C 9B 06 93 06 9B 0D 93 0D 99 30 98 ?? ?? ?? ?? 30 9B 01 93 A4 E0 A3 E0 00 23 02 93 00 23 03 93 52 4B 1B 68 93 F9 00 30 40 2B 3D D0 4F 4B 1B 68 93 F9 00 30 00 2B 07 D1 01 21 30 98 ?? ?? ?? ?? 30 9B 01 93 8C E0 29 E0 48 4B 1B 68 93 F9 00 30 41 2B 1C DB 45 4B 1B 68 93 F9 00 30 50 2B 16 DC 02 9A 03 9B 07 92 19 01 07 9B 1A 0F 07 9B 18 01 11 43 3E 4B 1B 68 93 F9 00 30 41 3B 08 93 08 9A 08 9B DB 17 12 18 4B 41 02 92 03 93 06 E0 02 21 30 98 ?? ?? ?? ?? 30 9B 01 93 61 E0 33 4B 1B 68 5A 1C 32 4B 1A 60 BB E7 30 4B 1B 68 93 F9 00 10 2E 4B 1B 68 5A 1C 2D 4B 1A 60 40 29 06 D0 02 21 30 98 ?? ?? ?? ?? 30 9B 01 93 49 E0 9D F8 C4 30 00 2B 23 D0 00 9B 00 2B 0E D0 02 9A 03 9B 22 A8 ?? ?? ?? ?? 0E 90 0E 9A 00 99 24 A8 ?? ?? ?? ?? 0F 90 0F 9B 09 93 07 E0 02 9A 03 9B 26 A8 ?? ?? ?? ?? 10 90 10 9B 09 93 09 9B 11 93 11 99 30 98 ?? ?? ?? ?? 30 9B 01 93 22 E0 21 E0 00 9B 00 2B 0E D0 02 9A 03 9B 28 A8 ?? ?? ?? ?? 12 90 12 9A 00 99 2A A8 ?? ?? ?? ?? 13 90 13 9B 0A 93 07 E0 02 9A 03 9B 2C A8 ?? ?? ?? ?? 14 90 14 9B 0A 93 0A 9B 15 93 15 99 30 98 ?? ?? ?? ?? 30 9B 01 93 01 98 2E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_77_4 {
	meta:
		name = "?getDispatchTarget@UnDecorator@@CA?AVDName@@XZ"
		size = 152
		refs = "0072 ??0DName@@QAA@W4DNameStatus@@@Z 007e ??0DName@@QAA@XZ 0094 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 22 4B 1B 68 93 F9 00 30 00 2B 32 D0 1F 4B 1B 68 93 F9 00 30 5F 2B 2C D1 1C 4B 1B 68 5B 1C 93 F9 00 30 00 2B 25 D0 18 4B 1B 68 5B 1C 93 F9 00 30 5F 2B 1E D1 15 4B 1B 68 5A 1C 13 4B 1A 60 12 4B 1B 68 5A 1C 11 4B 1A 60 10 4B 1B 68 93 F9 00 30 41 3B 01 93 0D 4B 1B 68 5A 1C 0B 4B 1A 60 01 9B 03 2B 06 D9 02 21 04 98 ?? ?? ?? ?? 04 9B 00 93 04 E0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_78_4 {
	meta:
		name = "?getDisplacement@UnDecorator@@CA?AVDName@@XZ"
		size = 34
		refs = "000e ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_79_4 {
	meta:
		name = "?getECSUDataType@UnDecorator@@CA?AVDName@@XZ"
		size = 336
		refs = "000a ?doEcsu@UnDecorator@@SAHXZ 0016 ?doNameOnly@UnDecorator@@SAHXZ 0032 ??0DName@@QAA@XZ 0092 ??0DName@@QAA@PBD@Z 00a0 ??4DName@@QAAAAV0@PBD@Z 00da ?getEnumType@UnDecorator@@CA?AVDName@@XZ 00e6 ??H@YA?AVDName@@PBDABV0@@Z 00f0 ??4DName@@QAAAAV0@ABV0@@Z 010a ?getECSUName@UnDecorator@@CA?AVDName@@XZ 0114 ??YDName@@QAAAAV0@ABV0@@Z 011c ??0DName@@QAA@ABV0@@Z 0130 ??_C@_05LJGMCFOG@enum?5?$AA@ 0134 ??_C@_0N@DLIEFKNA@cointerface?5?$AA@ 0138 ??_C@_08KOFANOFK@coclass?5?$AA@ 013c ??_C@_06LJBABKPM@class?5?$AA@ 0140 ??_C@_07DIBCDNGL@struct?5?$AA@ 0144 ??_C@_06MOJHIBMG@union?5?$AA@ 0148 ??_C@_0P@GCIFDJCJ@?$GAunknown?5ecsu?8?$AA@ 014c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D0 ?? ?? ?? ?? 05 90 05 9B 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B 02 93 0C A8 ?? ?? ?? ?? 45 4B 1B 68 93 F9 00 30 06 93 42 4B 1B 68 5A 1C 41 4B 1A 60 06 9B 00 93 00 9B 56 2B 0C DC 00 9B 56 2B 2A D0 00 9B 00 2B 10 D0 00 9B 54 2B 1A D0 00 9B 55 2B 1C D0 42 E0 00 9B 57 2B 2C D0 00 9B 58 2B 1F D0 00 9B 59 2B 21 D0 38 E0 32 4B 1B 68 5A 1E 30 4B 1A 60 2E 4B 59 1C 18 98 ?? ?? ?? ?? 18 9B 03 93 43 E0 29 49 0C A8 ?? ?? ?? ?? 26 E0 26 49 0C A8 ?? ?? ?? ?? 21 E0 22 49 0C A8 ?? ?? ?? ?? 1C E0 1F 49 0C A8 ?? ?? ?? ?? 17 E0 1B 49 0C A8 ?? ?? ?? ?? 12 E0 ?? ?? ?? ?? 07 90 07 9B 02 93 10 A8 ?? ?? ?? ?? 08 90 08 9A 13 49 12 A8 ?? ?? ?? ?? 09 90 09 99 0C A8 ?? ?? ?? ?? 0E A8 ?? ?? ?? ?? 02 9B 00 2B 03 D0 0C A9 0E A8 ?? ?? ?? ?? 14 A8 ?? ?? ?? ?? 0A 90 0A 99 0E A8 ?? ?? ?? ?? 0E A9 18 98 ?? ?? ?? ?? 18 9B 03 93 03 98 16 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_81_4 {
	meta:
		name = "?getEnumType@UnDecorator@@CA?AVDName@@XZ"
		size = 256
		refs = "000c ??0DName@@QAA@XZ 0044 ??4DName@@QAAAAV0@PBD@Z 006e ??0DName@@QAA@W4DNameStatus@@@Z 00b0 ??H@YA?AVDName@@PBDABV0@@Z 00ba ??4DName@@QAAAAV0@ABV0@@Z 00c2 ??0DName@@QAA@ABV0@@Z 00e8 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 00ec ?gName@UnDecorator@@0PBDB 00f0 ??_C@_05CJIMAING@long?5?$AA@ 00f4 ??_C@_04LAHKHJMA@int?5?$AA@ 00f8 ??_C@_06EHJMALKF@short?5?$AA@ 00fc ??_C@_05CIHEBHNO@char?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 06 A8 ?? ?? ?? ?? 36 4B 1B 68 93 F9 00 30 00 2B 58 D0 33 4B 1B 68 93 F9 00 30 00 93 00 9B 30 3B 00 93 00 9B 07 2B 1B D8 00 9A DF E8 02 F0 04 04 09 09 0E 0F 14 14 2E 49 06 A8 ?? ?? ?? ?? 16 E0 2B 49 06 A8 ?? ?? ?? ?? 11 E0 10 E0 27 49 06 A8 ?? ?? ?? ?? 0B E0 23 49 06 A8 ?? ?? ?? ?? 06 E0 02 21 0C 98 ?? ?? ?? ?? 0C 9B 02 93 30 E0 1C 4B 1B 68 93 F9 00 30 03 93 1A 4B 1B 68 5A 1C 18 4B 1A 60 03 9B 01 93 01 9B 31 3B 01 93 01 9B 06 2B 10 D8 01 9A DF E8 02 F0 04 0E 04 0E 04 0E 04 04 06 AA 0E 49 08 A8 ?? ?? ?? ?? 04 90 04 99 06 A8 ?? ?? ?? ?? 06 A9 0C 98 ?? ?? ?? ?? 0C 9B 02 93 06 E0 05 E0 01 21 0C 98 ?? ?? ?? ?? 0C 9B 02 93 02 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_82_4 {
	meta:
		name = "?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AAPBDAA_NH@Z"
		size = 468
		refs = "000c ??0DName@@QAA@XZ 0078 ??0DName@@QAA@W4DNameStatus@@@Z 008c ??4DName@@QAAAAV0@D@Z 0124 ??0DName@@QAA@_K@Z 0130 ??HDName@@QBA?AV0@ABV0@@Z 013a ??4DName@@QAAAAV0@ABV0@@Z 0144 ??HDName@@QBA?AV0@D@Z 019a ??YDName@@QAAAAV0@W4DNameStatus@@@Z 01a0 ?setIsComArray@DName@@QAAXXZ 01a8 ??0DName@@QAA@ABV0@@Z 01c8 ?gName@UnDecorator@@0PBDB 01cc ??_C@_01FGNFDNOH@?$CF?$AA@ 01d0 ??_C@_01JKBOJNNK@?$FO?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 08 A8 ?? ?? ?? ?? 6D 4B 1B 68 5A 1C 6C 4B 1A 60 6B 4B 1B 68 93 F9 00 30 01 93 01 9B 41 2B 06 D0 01 9B 42 2B 1E D0 01 9B 43 2B 32 D0 3A E0 17 9B 00 2B 11 D1 15 9B 1B 68 93 F9 00 30 26 2B 02 D1 60 4A 15 9B 1A 60 15 9B 1B 68 93 F9 00 30 2A 2B 02 D1 5C 4A 15 9B 1A 60 59 4B 1B 68 5A 1C 57 4B 1A 60 A1 E0 17 9B 00 2B 06 D0 02 21 14 98 ?? ?? ?? ?? 14 9B 00 93 9C E0 16 9A 01 23 13 70 3E 21 08 A8 ?? ?? ?? ?? 4D 4B 1B 68 5A 1C 4C 4B 1A 60 8A E0 4B 4A 15 9B 1A 60 49 4B 1B 68 5A 1C 47 4B 1A 60 81 E0 46 4B 1B 68 93 F9 00 30 00 2B 06 D0 43 4B 1B 68 5B 1C 93 F9 00 30 00 2B 06 D1 01 21 14 98 ?? ?? ?? ?? 14 9B 00 93 72 E0 17 9B 00 2B 06 D0 02 21 14 98 ?? ?? ?? ?? 14 9B 00 93 68 E0 37 4B 1B 68 93 F9 00 30 30 3B 1A 01 34 4B 1B 68 5B 1C 93 F9 00 30 30 3B 13 44 02 93 30 4B 1B 68 9A 1C 2E 4B 1A 60 02 9B 01 2B 13 D9 2C 21 08 A8 ?? ?? ?? ?? 02 9A 00 23 0A A8 ?? ?? ?? ?? 03 90 03 9A 0C A9 08 A8 ?? ?? ?? ?? 04 90 04 99 08 A8 ?? ?? ?? ?? 3E 22 0E A9 08 A8 ?? ?? ?? ?? 05 90 05 99 08 A8 ?? ?? ?? ?? 1D 4B 1B 68 93 F9 00 30 24 2B 05 D1 1A 4B 1B 68 5A 1C 18 4B 1A 60 09 E0 5E 22 10 A9 08 A8 ?? ?? ?? ?? 06 90 06 99 08 A8 ?? ?? ?? ?? 12 4B 1B 68 93 F9 00 30 00 2B 05 D0 0F 4B 1B 68 5A 1C 0D 4B 1A 60 03 E0 01 21 08 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 08 A9 14 98 ?? ?? ?? ?? 14 9B 00 93 04 E0 14 98 ?? ?? ?? ?? 14 9B 00 93 00 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_83_4 {
	meta:
		name = "?getExternalDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 132
		refs = "0010 ??2@YAPAXIAAV_HeapManager@@H@Z 0022 ??0DName@@QAA@XZ 003a ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 0040 ?getStorageConvention@UnDecorator@@CA?AVDName@@XZ 004c ??HDName@@QBA?AV0@D@Z 0058 ??HDName@@QBA?AV0@ABV0@@Z 0062 ??4DName@@QAAAAV0@ABV0@@Z 006a ??0DName@@QAA@ABV0@@Z 0080 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 22 1C 49 08 20 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 04 90 04 9B 01 93 01 E0 00 23 01 93 01 9B 02 93 02 99 0A A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 05 90 20 22 0E A9 05 98 ?? ?? ?? ?? 06 90 15 9A 10 A9 06 98 ?? ?? ?? ?? 07 90 07 99 02 98 ?? ?? ?? ?? 0A A9 14 98 ?? ?? ?? ?? 14 9B 08 93 08 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_84_4 {
	meta:
		name = "?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 944
		refs = "001c ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 004e ??0DName@@QAA@W4DNameStatus@@@Z 00e8 ??0DName@@QAA@XZ 00f0 ??0DName@@QAA@ABV0@@Z 010e ??H@YA?AVDName@@PBDABV0@@Z 0118 ??4DName@@QAAAAV0@ABV0@@Z 012a ?getScope@UnDecorator@@CA?AVDName@@XZ 0136 ??H@YA?AVDName@@DABV0@@Z 0142 ??HDName@@QBA?AV0@ABV0@@Z 01b6 ?doThisTypes@UnDecorator@@SAHXZ 01c4 ?getThisType@UnDecorator@@CA?AVDName@@XZ 01e0 ??_5DName@@QAAAAV0@ABV0@@Z 01ec ?doMSKeywords@UnDecorator@@SAHXZ 01fa ?getBasedType@UnDecorator@@CA?AVDName@@XZ 0240 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 026e ?isEmpty@DName@@QBAHXZ 028c ??HDName@@QBA?AV0@D@Z 02a0 ??2@YAPAXIAAV_HeapManager@@H@Z 02ca ?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z 02d0 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 02f2 ??YDName@@QAAAAV0@ABV0@@Z 0312 ?doRestrictionSpec@UnDecorator@@SAHXZ 0320 ?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ 0340 ?doThrowTypes@UnDecorator@@SAHXZ 034e ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ 03a4 ?heap@@3V_HeapManager@@A 03a8 ?gName@UnDecorator@@0PBDB 03ac ??_C@_02MOLJINC@?3?3?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 DA B0 E7 4B 1B 68 93 F9 00 30 00 2B 07 D1 5D 9A 01 21 5C 98 ?? ?? ?? ?? 5C 9B 04 93 B8 E1 E0 4B 1B 68 93 F9 00 30 36 2B 05 DB DD 4B 1B 68 93 F9 00 30 39 2B 0C DD DA 4B 1B 68 93 F9 00 30 5F 2B 06 D0 02 21 5C 98 ?? ?? ?? ?? 5C 9B 04 93 9F E1 D3 4B 1B 68 93 F9 00 30 36 3B 00 93 D0 4B 1B 68 5A 1C CF 4B 1A 60 00 9B 29 2B 24 D1 CC 4B 1B 68 93 F9 00 30 00 2B 15 D0 C9 4B 1B 68 93 F9 00 30 41 3B 1B 1D 00 93 C6 4B 1B 68 5A 1C C4 4B 1A 60 00 9B 04 2B 02 DB 00 9B 07 2B 02 DD 6F F0 00 03 00 93 07 E0 5D 9A 01 21 5C 98 ?? ?? ?? ?? 5C 9B 04 93 6D E1 08 E0 00 9B 00 2B 02 DB 00 9B 03 2B 02 DD 6F F0 00 03 00 93 00 9B B3 F1 FF 3F 06 D1 02 21 5C 98 ?? ?? ?? ?? 5C 9B 04 93 58 E1 28 A8 ?? ?? ?? ?? 5D 99 02 A8 ?? ?? ?? ?? 00 9B 13 F0 02 0F 73 D0 AA 4B 1B 68 93 F9 00 30 40 2B 2F D0 02 AA A8 49 2C A8 ?? ?? ?? ?? 27 90 27 99 02 A8 ?? ?? ?? ?? A2 4B 1B 68 93 F9 00 30 00 2B 14 D0 2E A8 ?? ?? ?? ?? 08 90 08 9A 20 21 30 A8 ?? ?? ?? ?? 09 90 02 AA 32 A9 09 98 ?? ?? ?? ?? 0A 90 0A 99 02 A8 ?? ?? ?? ?? 09 E0 02 AA 01 21 34 A8 ?? ?? ?? ?? 0B 90 0B 99 02 A8 ?? ?? ?? ?? 04 E0 8F 4B 1B 68 5A 1C 8E 4B 1A 60 8D 4B 1B 68 93 F9 00 30 00 2B 13 D0 8A 4B 1B 68 93 F9 00 30 40 2B 05 D1 87 4B 1B 68 5A 1C 85 4B 1A 60 06 E0 02 21 5C 98 ?? ?? ?? ?? 5C 9B 04 93 F9 E0 07 E0 02 AA 01 21 5C 98 ?? ?? ?? ?? 5C 9B 04 93 F0 E0 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 08 D0 36 A8 ?? ?? ?? ?? 0D 90 0D 99 28 A8 ?? ?? ?? ?? 07 E0 38 A8 ?? ?? ?? ?? 0E 90 0E 99 28 A8 ?? ?? ?? ?? 00 9B 13 F0 04 0F 22 D0 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 14 D0 3A A8 ?? ?? ?? ?? 10 90 10 9A 20 21 3C A8 ?? ?? ?? ?? 11 90 02 AA 3E A9 11 98 ?? ?? ?? ?? 12 90 12 99 02 A8 ?? ?? ?? ?? 07 E0 40 A8 ?? ?? ?? ?? 13 90 13 99 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? 14 90 14 9B 00 2B 0E D0 42 A8 ?? ?? ?? ?? 15 90 02 AA 44 A9 15 98 ?? ?? ?? ?? 16 90 16 99 02 A8 ?? ?? ?? ?? 07 E0 46 A8 ?? ?? ?? ?? 17 90 17 99 02 A8 ?? ?? ?? ?? 5D 98 ?? ?? ?? ?? 18 90 18 9B 00 2B 0F D1 02 AA 28 21 48 A8 ?? ?? ?? ?? 19 90 29 22 4A A9 19 98 ?? ?? ?? ?? 1A 90 1A 99 02 A8 ?? ?? ?? ?? 00 22 41 49 08 20 ?? ?? ?? ?? 1B 90 1B 9B 06 93 06 9B 00 2B 06 D0 06 98 ?? ?? ?? ?? 1C 90 1C 9B 07 93 01 E0 00 23 07 93 07 9B 05 93 05 99 2A A8 ?? ?? ?? ?? 4C A8 ?? ?? ?? ?? 1D 90 1D 9A 28 21 4E A8 ?? ?? ?? ?? 1E 90 29 22 50 A9 1E 98 ?? ?? ?? ?? 1F 90 1F 99 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? 20 90 20 9B 00 2B 07 D0 00 9B 13 F0 02 0F 03 D0 28 A9 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? 21 90 21 9B 00 2B 08 D0 52 A8 ?? ?? ?? ?? 22 90 22 99 02 A8 ?? ?? ?? ?? 07 E0 54 A8 ?? ?? ?? ?? 23 90 23 99 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? 24 90 24 9B 00 2B 08 D0 56 A8 ?? ?? ?? ?? 25 90 25 99 02 A8 ?? ?? ?? ?? 07 E0 58 A8 ?? ?? ?? ?? 26 90 26 99 02 A8 ?? ?? ?? ?? 05 9B 00 2B 04 D0 02 A9 05 98 ?? ?? ?? ?? 06 E0 03 21 5C 98 ?? ?? ?? ?? 5C 9B 04 93 05 E0 2A A9 5C 98 ?? ?? ?? ?? 5C 9B 04 93 04 98 5A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_86_4 {
	meta:
		name = "?getLastChar@DName@@QBADXZ"
		size = 88
		refs = "000e ?isEmpty@DName@@QBAHXZ 0034 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 08 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 03 D0 00 23 8D F8 08 30 13 E0 08 9B 1A 68 08 9B 1C 68 13 68 1B 1D 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 8D F8 00 00 9D F9 00 30 8D F8 08 30 9D F9 08 00 05 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_29_87_4 {
	meta:
		name = "?getLastChar@DNameStatusNode@@UBADXZ"
		size = 68
		refs = "0040 ??_C@_04OKOHEJBO@?5?$DP?$DP?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 01 2B 06 D1 0A 4B DB 1C 93 F9 00 30 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F9 00 30 8D F8 04 30 9D F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_88_4 {
	meta:
		name = "?getLastChar@charNode@@UBADXZ"
		size = 36
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 93 F9 00 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_89_4 {
	meta:
		name = "?getLastChar@pDNameNode@@UBADXZ"
		size = 72
		refs = "001a ?getLastChar@DName@@QBADXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 00 2B 0B D0 04 9B 1B 1D 18 68 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F9 00 30 8D F8 04 30 9D F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_90_4 {
	meta:
		name = "?getLastChar@pairNode@@UBADXZ"
		size = 130
		refs = "0022 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 08 9B 08 33 1A 68 08 9B 08 33 1C 68 13 68 1B 1D 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 8D F8 01 00 9D F9 01 30 8D F8 00 30 9D F9 00 30 00 2B 15 D1 08 9B 1B 1D 1A 68 08 9B 1B 1D 1C 68 13 68 1B 1D 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 8D F8 02 00 9D F9 02 30 8D F8 00 30 9D F9 00 30 8D F8 0C 30 9D F9 0C 00 05 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_29_91_4 {
	meta:
		name = "?getLastChar@pcharNode@@UBADXZ"
		size = 80
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 1B 68 00 2B 0F D0 04 9B 19 1D 04 9B 08 33 1B 68 5A 1E 01 23 02 FB 03 F2 0B 68 13 44 93 F9 00 30 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F9 00 30 8D F8 04 30 9D F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_92_4 {
	meta:
		name = "?getLexicalFrame@UnDecorator@@CA?AVDName@@XZ"
		size = 58
		refs = "000e ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 001a ??H@YA?AVDName@@DABV0@@Z 0026 ??HDName@@QBA?AV0@D@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 00 21 04 A8 ?? ?? ?? ?? 00 90 00 9A 60 21 06 A8 ?? ?? ?? ?? 01 90 27 22 0A 99 01 98 ?? ?? ?? ?? 0A 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_93_4 {
	meta:
		name = "?getMemory@_HeapManager@@QAAPAXIH@Z"
		size = 280
		refs = "0028 _guard_check_icall 0068 ??2@YAPAXIAAV_HeapManager@@H@Z 007a ??0Block@_HeapManager@@QAA@XZ 0114 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 89 B0 0D 9B 08 33 5B 1E 23 F0 07 03 0D 93 0E 9B 00 2B 0E D0 0D 9C 0C 9B 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 98 47 05 90 05 9B 01 93 65 E0 64 E0 0D 9B 00 2B 01 D8 08 23 0D 93 0C 9B 10 33 1A 68 0D 9B 9A 42 45 D2 0D 9B B3 F5 80 5F 02 D9 00 23 01 93 52 E0 01 22 2C 49 41 F2 04 00 ?? ?? ?? ?? 06 90 06 9B 03 93 03 9B 00 2B 06 D0 03 98 ?? ?? ?? ?? 07 90 07 9B 04 93 01 E0 00 23 04 93 04 9B 00 93 00 9B 00 2B 20 D0 0C 9B 0C 33 1B 68 00 2B 0A D0 0C 9B 0C 33 1A 68 00 9B 13 60 0C 9B 03 F1 0C 02 00 9B 13 60 09 E0 0C 9B 03 F1 0C 02 00 9B 13 60 0C 9B 03 F1 08 02 00 9B 13 60 0D 9B C3 F5 80 52 0C 9B 10 33 1A 60 02 E0 00 23 01 93 14 E0 07 E0 0C 9B 10 33 1A 68 0D 9B D2 1A 0C 9B 10 33 1A 60 0C 9B 0C 33 1B 68 19 1D 0C 9B 10 33 1A 68 01 23 02 FB 03 F3 0B 44 01 93 01 98 09 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_94_4 {
	meta:
		name = "?getNumberOfDimensions@UnDecorator@@CAHXZ"
		size = 232
		refs = "00e4 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 36 4B 1B 68 93 F9 00 30 00 2B 03 D1 00 23 00 93 5F E0 5E E0 31 4B 1B 68 93 F9 00 30 30 2B 15 DB 2E 4B 1B 68 93 F9 00 30 39 2B 0F DC 2B 4B 1B 68 93 F9 00 30 30 3B 5B 1C 02 93 28 4B 1B 68 5A 1C 26 4B 1A 60 02 9B 00 93 43 E0 42 E0 00 23 01 93 22 4B 1B 68 93 F9 00 30 40 2B 29 D0 1F 4B 1B 68 93 F9 00 30 00 2B 03 D1 00 23 00 93 31 E0 19 E0 1A 4B 1B 68 93 F9 00 30 41 2B 0F DB 17 4B 1B 68 93 F9 00 30 50 2B 09 DC 01 9B 1A 01 13 4B 1B 68 93 F9 00 30 41 3B 13 44 01 93 03 E0 6F F0 00 03 00 93 16 E0 0D 4B 1B 68 5A 1C 0C 4B 1A 60 CF E7 0A 4B 1B 68 93 F9 00 10 08 4B 1B 68 5A 1C 07 4B 1A 60 40 29 03 D0 6F F0 00 03 00 93 01 E0 01 9B 00 93 00 98 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_95_4 {
	meta:
		name = "?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z"
		size = 2144
		refs = "000c ??0DName@@QAA@XZ 00a4 ??0DName@@QAA@W4DNameStatus@@@Z 00be ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 00ca ??H@YA?AVDName@@DABV0@@Z 00d4 ??YDName@@QAAAAV0@ABV0@@Z 00da ?getLastChar@DName@@QBADXZ 00ee ??YDName@@QAAAAV0@D@Z 0118 ??0DName@@QAA@ABV0@@Z 013e ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0148 ??4DName@@QAAAAV0@ABV0@@Z 0156 ?isEmpty@DName@@QBAHXZ 01cc ??4DName@@QAAAAV0@PBD@Z 0316 ??0DName@@QAA@PBD@Z 034c ?setIsVCallThunk@DName@@QAAXXZ 0368 ?getStringEncoding@UnDecorator@@CA?AVDName@@PADH@Z 036e ?setIsNoTE@DName@@QAAXXZ 03e0 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 03fe ?isUDTThunk@DName@@QBAHXZ 041e ??HDName@@QBA?AV0@ABV0@@Z 0468 ??HDName@@QBA?AV0@W4DNameStatus@@@Z 04e0 ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 04ea ??HDName@@QBA?AV0@D@Z 051a ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0570 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 06f8 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0720 ?getSymbolName@UnDecorator@@CA?AVDName@@XZ 0732 ??YDName@@QAAAAV0@PBD@Z 0804 ?setIsUDC@DName@@QAAXXZ 081e ??H@YA?AVDName@@PBDABV0@@Z 0844 ??_C@_08LHJFAFGD@operator?$AA@ 0848 ?gName@UnDecorator@@0PBDB 084c ?nameTable@@3QBQBDB 0850 ??_C@_02OHHJMEON@?8?8?$AA@ 0854 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 0858 ?rttiTable@@3QBQBDB 085c ??_C@_08OBABFOLI@?$GAstring?8?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 E0 B0 04 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 00 23 0F 93 00 23 07 93 DF F8 28 38 1B 68 93 F9 00 30 2C 93 DF F8 1C 38 1B 68 5A 1C DF F8 14 38 1A 60 2C 9B 02 93 02 9B 41 2B 16 DC 02 9B 41 2B 00 F0 C6 80 02 9B 31 2B 06 DC 02 9B 30 2B 2B DA 02 9B 00 2B 1A D0 C7 E3 02 9B 32 2B C0 F2 C4 83 02 9B 39 2B 40 F3 9F 80 BE E3 02 9B 5A 2B 08 DC 02 9B 43 2B 80 F2 AC 80 02 9B 42 2B 00 F0 A6 80 B2 E3 02 9B 5F 2B 00 F0 B7 80 AD E3 DF F8 B4 37 1B 68 5A 1E DF F8 AC 37 1A 60 01 21 62 98 ?? ?? ?? ?? 62 9B 00 93 C4 E3 0C A8 ?? ?? ?? ?? 9D F8 8C 31 00 2B 39 D0 3C A8 ?? ?? ?? ?? 2D 90 2D 9A 3C 21 3E A8 ?? ?? ?? ?? 2F 90 2F 99 0C A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 8D F8 18 00 9D F9 18 30 3E 2B 03 D1 20 21 0C A8 ?? ?? ?? ?? 3E 21 0C A8 ?? ?? ?? ?? 64 9B 00 2B 02 D0 64 9A 01 23 13 70 DF F8 40 37 1B 68 93 F9 00 30 00 2B 06 D1 0C A9 62 98 ?? ?? ?? ?? 62 9B 00 93 8A E3 DF F8 24 37 1B 68 5A 1C DF F8 1C 37 1A 60 DF F8 14 37 1B 68 14 93 00 22 00 21 40 A8 ?? ?? ?? ?? 30 90 30 99 04 A8 ?? ?? ?? ?? 14 9A DF F8 F8 36 1A 60 04 A8 ?? ?? ?? ?? 15 90 15 9B 00 2B 11 D1 DF F8 E4 36 1B 68 5B 1E 93 F9 00 30 31 2B 09 D1 04 AA 7E 21 42 A8 ?? ?? ?? ?? 16 90 16 99 04 A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 17 90 17 9B 00 2B 03 D1 0C A9 04 A8 ?? ?? ?? ?? 04 A9 62 98 ?? ?? ?? ?? 62 9B 00 93 46 E3 27 E3 DF F8 98 36 1B 68 5B 1E 93 F9 00 30 A3 F1 32 02 04 23 02 FB 03 F2 DF F8 88 36 13 44 19 68 04 A8 ?? ?? ?? ?? 14 E3 01 23 0F 93 DF F8 70 36 1B 68 5B 1E 93 F9 00 30 41 3B 03 F1 08 02 04 23 02 FB 03 F2 DF F8 5C 36 13 44 19 68 04 A8 ?? ?? ?? ?? FE E2 DF F8 48 36 1B 68 93 F9 00 30 18 93 DF F8 3C 36 1B 68 5A 1C DF F8 34 36 1A 60 18 9B 01 93 01 9B 4F 2B 2A DC 01 9B 44 2B 80 F2 AB 80 01 9B 39 2B 14 DC 01 9B 39 2B 75 D0 01 9B 36 2B 06 DC 01 9B 30 2B 42 DA 01 9B 00 2B 31 D0 C9 E2 01 9B 37 2B C0 F2 C6 82 01 9B 38 2B 4C DD C1 E2 01 9B 3F 3B 01 93 01 9B 04 2B 00 F2 BB 82 01 9A DF E8 12 F0 C1 01 B8 02 89 00 89 00 79 00 01 9B 50 3B 01 93 01 9B 0F 2B 00 F2 AC 82 01 9A DF E8 12 F0 92 00 CF 00 D0 00 7A 00 7A 00 9E 01 9E 01 A9 02 7A 00 7A 00 A9 02 A9 02 A9 02 A9 02 A9 02 E8 01 DF F8 98 35 1B 68 5A 1E DF F8 90 35 1A 60 01 21 62 98 ?? ?? ?? ?? 62 9B 00 93 B7 E2 DF F8 7C 35 1B 68 5B 1E 93 F9 00 30 30 3B 1A 33 03 F1 08 02 04 23 02 FB 03 F2 DF F8 68 35 13 44 19 68 04 A8 ?? ?? ?? ?? 7C E2 DF F8 54 35 1B 68 5B 1E 93 F9 00 30 30 3B 1A 33 03 F1 08 02 04 23 02 FB 03 F2 DF F8 3C 35 13 44 19 68 62 98 ?? ?? ?? ?? 62 9B 00 93 8B E2 64 E2 DF F8 24 35 1B 68 5B 1E 93 F9 00 30 30 3B 1A 33 03 F1 08 02 04 23 02 FB 03 F2 DF F8 0C 35 13 44 19 68 32 A8 ?? ?? ?? ?? 32 A8 ?? ?? ?? ?? 32 A9 62 98 ?? ?? ?? ?? 62 9B 00 93 6C E2 45 E2 01 22 DF F8 F8 14 34 A8 ?? ?? ?? ?? 34 A8 ?? ?? ?? ?? 34 A9 62 98 ?? ?? ?? ?? 62 9B 00 93 5B E2 DF F8 C4 34 1B 68 5B 1E 93 F9 00 30 41 3B 0A 33 1A 33 03 F1 08 02 04 23 02 FB 03 F2 DF F8 AC 34 13 44 19 68 62 98 ?? ?? ?? ?? 62 9B 00 93 43 E2 DF F8 94 34 1B 68 5B 1E 93 F9 00 30 41 3B 0A 33 1A 33 03 F1 08 02 04 23 02 FB 03 F2 DF F8 7C 34 13 44 19 68 04 A8 ?? ?? ?? ?? 00 22 00 21 44 A8 ?? ?? ?? ?? 19 90 19 99 0A A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 1A 90 1A 9B 00 2B 0D D1 0A A8 ?? ?? ?? ?? 1B 90 1B 9B 00 2B 06 D0 02 21 62 98 ?? ?? ?? ?? 62 9B 00 93 0F E2 0A AA 62 99 04 A8 ?? ?? ?? ?? 62 9B 00 93 07 E2 E0 E1 DF E1 DF F8 18 34 1B 68 5B 1E 93 F9 00 30 41 3B 0A 33 1A 33 03 F1 08 02 04 23 02 FB 03 F2 DF F8 00 34 13 44 19 68 04 A8 ?? ?? ?? ?? FC 4B 1B 68 93 F9 00 30 00 2B 07 D1 01 22 62 99 04 A8 ?? ?? ?? ?? 62 9B 00 93 E2 E1 F5 4B 1B 68 93 F9 00 30 30 3B 07 93 07 9B 00 2B 02 DB 07 9B 05 2B 06 D3 02 21 62 98 ?? ?? ?? ?? 62 9B 00 93 CF E1 07 9A 04 23 02 FB 03 F2 ED 4B 13 44 19 68 0A A8 ?? ?? ?? ?? E6 4B 1B 68 93 F9 00 30 1C 93 E4 4B 1B 68 5A 1C E2 4B 1A 60 1C 9B 08 93 08 9B 30 3B 08 93 08 9B 04 2B 6E D8 08 9A DF E8 02 F0 03 1C 63 63 63 63 00 21 3A A8 ?? ?? ?? ?? 20 22 46 A9 3A A8 ?? ?? ?? ?? 1D 90 04 AA 48 A9 1D 98 ?? ?? ?? ?? 1E 90 0A AA 62 99 1E 98 ?? ?? ?? ?? 62 9B 00 93 95 E1 5B E0 0A AA 10 A9 04 A8 ?? ?? ?? ?? 4A A8 ?? ?? ?? ?? 26 90 2C 22 4C A9 26 98 ?? ?? ?? ?? 1F 90 1F 99 10 A8 ?? ?? ?? ?? 4E A8 ?? ?? ?? ?? 20 90 2C 22 50 A9 20 98 ?? ?? ?? ?? 21 90 21 99 10 A8 ?? ?? ?? ?? 52 A8 ?? ?? ?? ?? 22 90 2C 22 54 A9 22 98 ?? ?? ?? ?? 23 90 23 99 10 A8 ?? ?? ?? ?? 00 21 56 A8 ?? ?? ?? ?? 24 90 29 22 58 A9 24 98 ?? ?? ?? ?? 25 90 25 99 10 A8 ?? ?? ?? ?? 27 22 62 99 10 A8 ?? ?? ?? ?? 62 9B 00 93 4E E1 14 E0 0A AA 62 99 04 A8 ?? ?? ?? ?? 62 9B 00 93 45 E1 0B E0 A6 4B 1B 68 5A 1E A4 4B 1A 60 01 21 62 98 ?? ?? ?? ?? 62 9B 00 93 38 E1 11 E1 9F 4B 1B 68 5B 1E 93 F9 00 30 41 3B 0A 33 1A 33 03 F1 08 02 04 23 02 FB 03 F2 9A 4B 13 44 19 68 04 A8 ?? ?? ?? ?? FD E0 95 4B 1B 68 93 F9 00 30 2E 93 93 4B 1B 68 5A 1C 91 4B 1A 60 2E 9B 0E 93 0E 9B 00 2B 03 D0 0E 9B 30 2B 0C D0 1A E0 8C 4B 1B 68 5A 1E 8A 4B 1A 60 01 21 62 98 ?? ?? ?? ?? 62 9B 00 93 04 E1 00 22 88 49 36 A8 ?? ?? ?? ?? 36 A8 ?? ?? ?? ?? 36 A9 62 98 ?? ?? ?? ?? 62 9B 00 93 F5 E0 02 21 62 98 ?? ?? ?? ?? 62 9B 00 93 EE E0 C7 E0 7A 4B 1B 68 93 F9 00 30 27 93 78 4B 1B 68 5A 1C 76 4B 1A 60 27 9B 09 93 09 9B 41 3B 09 93 09 9B 0A 2B 00 F2 A6 80 09 9A DF E8 02 F0 06 06 06 06 1D 1D 06 06 06 06 5F 5F 6C 4B 1B 68 5B 1E 93 F9 00 30 41 3B 19 33 0A 33 1A 33 03 F1 08 02 04 23 02 FB 03 F2 66 4B 13 44 19 68 62 98 ?? ?? ?? ?? 62 9B 00 93 BA E0 61 4B 1B 68 5B 1E 93 F9 00 30 41 3B 19 33 0A 33 1A 33 03 F1 08 02 04 23 02 FB 03 F2 5B 4B 13 44 19 68 12 A8 ?? ?? ?? ?? 57 4B 1B 68 93 F9 00 30 3F 2B 13 D1 5A A8 ?? ?? ?? ?? 28 90 28 99 12 A8 ?? ?? ?? ?? 50 4B 1B 68 93 F9 00 30 40 2B 04 D1 4D 4B 1B 68 5A 1C 4B 4B 1A 60 07 E0 5C A8 ?? ?? ?? ?? 29 90 29 99 12 A8 ?? ?? ?? ?? 48 49 12 A8 ?? ?? ?? ?? 12 A9 62 98 ?? ?? ?? ?? 62 9B 00 93 79 E0 4A E0 40 4B 1B 68 5B 1E 93 F9 00 30 41 3B 19 33 0A 33 1A 33 03 F1 08 02 04 23 02 FB 03 F2 3A 4B 13 44 19 68 38 A8 ?? ?? ?? ?? 36 4B 1B 68 93 F9 00 30 00 2B 16 D0 33 4B 1B 68 93 F9 00 30 40 2B 10 D0 30 4B 1B 68 93 F9 00 30 8D F8 19 30 2D 4B 1B 68 5A 1C 2B 4B 1A 60 9D F9 19 10 38 A8 ?? ?? ?? ?? E2 E7 27 4B 1B 68 93 F9 00 30 40 2B 04 D1 24 4B 1B 68 5A 1C 23 4B 1A 60 38 A9 62 98 ?? ?? ?? ?? 62 9B 00 93 35 E0 06 E0 02 21 62 98 ?? ?? ?? ?? 62 9B 00 93 2D E0 06 E0 02 21 62 98 ?? ?? ?? ?? 62 9B 00 93 25 E0 06 E0 02 21 62 98 ?? ?? ?? ?? 62 9B 00 93 1D E0 0F 9B 00 2B 03 D0 04 A8 ?? ?? ?? ?? 10 E0 04 A8 ?? ?? ?? ?? 2A 90 2A 9B 00 2B 09 D1 04 AA 0A 49 5E A8 ?? ?? ?? ?? 2B 90 2B 99 04 A8 ?? ?? ?? ?? 04 A9 62 98 ?? ?? ?? ?? 62 9B 00 93 00 98 60 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_96_4 {
	meta:
		name = "?getPointerType@UnDecorator@@CA?AVDName@@ABV2@0@Z"
		size = 48
		refs = "0016 ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z 002c ??_C@_01NBENCBCI@?$CK?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 4B 00 93 00 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_97_4 {
	meta:
		name = "?getPointerTypeArray@UnDecorator@@CA?AVDName@@ABV2@0@Z"
		size = 48
		refs = "0016 ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z 002c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 4B 00 93 00 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_98_4 {
	meta:
		name = "?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 684
		refs = "000c ??0DName@@QAA@XZ 0042 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 0050 ??4DName@@QAAAAV0@PBD@Z 0056 ?isEmpty@DName@@QBAHXZ 0066 ??YDName@@QAAAAV0@D@Z 006e ??0DName@@QAA@ABV0@@Z 0082 ?setPtrRef@DName@@QAAAAV1@XZ 0090 ?getReferenceType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z 00cc ??0DName@@QAA@W4DNameStatus@@@Z 0144 ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z 015e ?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z 018a ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 0194 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0226 ??H@YA?AVDName@@PBDABV0@@Z 0236 ??0DName@@QAA@PBD@Z 024e ?getScopedName@UnDecorator@@CA?AVDName@@XZ 0290 ?gName@UnDecorator@@0PBDB 0294 ??_C@_0P@GCOCNKDM@std?3?3nullptr_t?$AA@ 0298 ??_C@_0BA@LKIJLKPP@std?3?3nullptr_t?5?$AA@ 029c ??_C@_02PPKAJPJL@?$CG?$CG?$AA@ 02a0 ??_C@_08PABEKFH@volatile?$AA@ 02a4 ??_C@_00CNPNBAHC@?$AA@ 02a8 ??_C@_01HNPIGOCE@?$CG?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9A B0 06 A8 ?? ?? ?? ?? 9F 4B 1B 68 93 F9 00 30 04 93 04 9B 41 2B 09 DC 04 9B 41 2B 21 D0 04 9B 00 2B 07 D0 04 9B 24 2B 33 D0 20 E1 04 9B 42 2B 08 D0 1C E1 1D 9A 01 21 1C 98 ?? ?? ?? ?? 1C 9B 02 93 1A E1 94 49 06 A8 ?? ?? ?? ?? 1D 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 03 D1 20 21 06 A8 ?? ?? ?? ?? 1D 99 12 A8 ?? ?? ?? ?? 87 4B 1B 68 5A 1C 85 4B 1A 60 8A 4B 09 93 12 A8 ?? ?? ?? ?? 0A 90 09 9B 0A 9A 06 A9 1C 98 ?? ?? ?? ?? 1C 9B 02 93 F3 E0 7D 4B 1B 68 5B 1C 93 F9 00 30 24 2B 16 D0 79 4B 1B 68 5B 1C 93 F9 00 30 00 2B 08 D1 1D 9A 01 21 1C 98 ?? ?? ?? ?? 1C 9B 02 93 DD E0 06 E0 02 21 1C 98 ?? ?? ?? ?? 1C 9B 02 93 D5 E0 6E 4B 1B 68 9A 1C 6C 4B 1A 60 6B 4B 1B 68 93 F9 00 30 03 93 03 9B 51 2B 14 DC 03 9B 51 2B 63 D0 03 9B 42 2B 0A DC 03 9B 42 2B 25 D0 03 9B 00 2B 00 F0 A7 80 03 9B 41 2B 12 D0 AA E0 03 9B 43 2B 27 D0 A6 E0 03 9B 52 3B 03 93 03 9B 07 2B 00 F2 A0 80 03 9A DF E8 02 F0 39 60 6D 9D 9D 9D 9D 8A 56 4B 1B 68 5A 1C 54 4B 1A 60 1D 99 1C 98 ?? ?? ?? ?? 1C 9B 02 93 99 E0 50 4B 1B 68 5A 1C 4E 4B 1A 60 01 22 1D 99 1C 98 ?? ?? ?? ?? 1C 9B 02 93 8C E0 49 4B 1B 68 5A 1C 48 4B 1A 60 4C 4B 0C 93 16 A8 ?? ?? ?? ?? 0B 90 00 23 00 93 0B 9B 0C 9A 1D 99 18 A8 ?? ?? ?? ?? 0D 90 0D 99 1C 98 ?? ?? ?? ?? 1C 9B 02 93 71 E0 6A E0 3F 49 06 A8 ?? ?? ?? ?? 1D 98 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 03 D1 20 21 06 A8 ?? ?? ?? ?? 1D 99 14 A8 ?? ?? ?? ?? 32 4B 1B 68 5A 1C 30 4B 1A 60 32 4B 0F 93 14 A8 ?? ?? ?? ?? 10 90 0F 9B 10 9A 06 A9 1C 98 ?? ?? ?? ?? 1C 9B 02 93 49 E0 28 4B 1B 68 5A 1C 26 4B 1A 60 02 21 1C 98 ?? ?? ?? ?? 1C 9B 02 93 3D E0 36 E0 21 4B 1B 68 5A 1C 20 4B 1A 60 1D 98 ?? ?? ?? ?? 11 90 11 9B 00 2B 08 D1 1D 9A 1D 49 1C 98 ?? ?? ?? ?? 1C 9B 02 93 28 E0 06 E0 18 49 1C 98 ?? ?? ?? ?? 1C 9B 02 93 20 E0 19 E0 13 4B 1B 68 5A 1C 11 4B 1A 60 1C 98 ?? ?? ?? ?? 1C 9B 02 93 14 E0 1D 9A 01 21 1C 98 ?? ?? ?? ?? 1C 9B 02 93 0C E0 02 21 1C 98 ?? ?? ?? ?? 1C 9B 02 93 05 E0 1D 99 1C 98 ?? ?? ?? ?? 1C 9B 02 93 02 98 1A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_99_4 {
	meta:
		name = "?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z"
		size = 320
		refs = "0034 ?isEmpty@DName@@QBAHXZ 0044 ??0DName@@QAA@PBD@Z 0054 ??H@YA?AVDName@@PBDABV0@@Z 00aa ?getArrayType@UnDecorator@@CA?AVDName@@ABV2@@Z 00b8 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 00be ?isComArray@DName@@QBAHXZ 00da ??4DName@@QAAAAV0@ABV0@@Z 00e2 ?isPinPtr@DName@@QBAHXZ 0106 ??0DName@@QAA@ABV0@@Z 0118 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 012c ??_C@_0O@GKABPPIF@cli?3?3pin_ptr?$DM?$AA@ 0130 ??_C@_0M@EALIELKG@cli?3?3array?$DM?$AA@ 0134 ?gName@UnDecorator@@0PBDB 0138 ??_C@_05BEFAKPML@void?5?$AA@ 013c ??_C@_04GKJNKENE@void?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 4A 4B 1B 68 93 F9 00 30 00 2B 7D D0 10 9B 00 2B 39 D0 45 4B 1B 68 93 F9 00 30 58 2B 1A D1 42 4B 1B 68 5A 1C 41 4B 1A 60 0F 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 06 D0 3E 49 0E 98 ?? ?? ?? ?? 0E 9B 00 93 68 E0 0F 9A 39 49 0E 98 ?? ?? ?? ?? 0E 9B 00 93 60 E0 35 4B 1B 68 93 F9 00 30 5F 2B 12 D1 32 4B 1B 68 5B 1C 93 F9 00 30 5F 2B 0B D1 2E 4B 1B 68 9B 1C 93 F9 00 30 5A 2B 04 D1 2B 4B 1B 68 DA 1C 29 4B 1A 60 28 4B 1B 68 93 F9 00 30 59 2B 0B D1 25 4B 1B 68 5A 1C 24 4B 1A 60 0F 99 0E 98 ?? ?? ?? ?? 0E 9B 00 93 35 E0 0F 99 06 A8 ?? ?? ?? ?? 0F 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 0A D0 06 AA 18 49 08 A8 ?? ?? ?? ?? 03 90 03 99 06 A8 ?? ?? ?? ?? 10 E0 0F 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 09 D0 06 AA 0E 49 0A A8 ?? ?? ?? ?? 05 90 05 99 06 A8 ?? ?? ?? ?? 06 A9 0E 98 ?? ?? ?? ?? 0E 9B 00 93 07 E0 06 E0 0F 9A 01 21 0E 98 ?? ?? ?? ?? 0E 9B 00 93 00 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_100_4 {
	meta:
		name = "?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z"
		size = 320
		refs = "003e ??0DName@@QAA@PBD@Z 0044 ?isEmpty@DName@@QBAHXZ 0060 ?isPtrRef@DName@@QBAHXZ 0070 ??YDName@@QAAAAV0@ABV0@@Z 008e ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z 00a6 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 00c4 ?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z 00d4 ??0DName@@QAA@W4DNameStatus@@@Z 00dc ??YDName@@QAAAAV0@PBD@Z 0116 ??YDName@@QAAAAV0@D@Z 0126 ??0DName@@QAA@ABV0@@Z 013c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 4C 4B 1B 68 93 F9 00 30 00 2B 5C D0 49 4B 1B 68 93 F9 00 30 36 2B 05 DB 46 4B 1B 68 93 F9 00 30 39 2B 05 DD 43 4B 1B 68 93 F9 00 30 5F 2B 2F D1 17 99 0E A8 ?? ?? ?? ?? 15 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 11 D1 16 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 06 D1 16 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 03 D1 15 99 0E A8 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 07 90 07 9B 00 2B 03 D1 16 99 0E A8 ?? ?? ?? ?? 0E A9 14 98 ?? ?? ?? ?? 14 9B 02 93 4A E0 19 E0 00 23 00 93 15 9B 17 9A 16 99 10 A8 ?? ?? ?? ?? 17 9B 93 F9 00 30 2A 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9A 10 A9 14 98 ?? ?? ?? ?? 14 9B 02 93 2F E0 2E E0 01 21 0C A8 ?? ?? ?? ?? 17 99 0C A8 ?? ?? ?? ?? 15 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 03 D1 15 99 0C A8 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 09 90 09 9B 00 2B 0E D1 15 98 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 03 D1 20 21 0C A8 ?? ?? ?? ?? 16 99 0C A8 ?? ?? ?? ?? 0C A9 14 98 ?? ?? ?? ?? 14 9B 02 93 02 98 12 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_101_4 {
	meta:
		name = "?getReferenceType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z"
		size = 38
		refs = "0012 ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_102_4 {
	meta:
		name = "?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ"
		size = 292
		refs = "004a ??0DName@@QAA@XZ 004e ?doMSKeywords@UnDecorator@@SAHXZ 005e ??YDName@@QAAAAV0@PBD@Z 0064 ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 00ae ??0DName@@QAA@W4DNameStatus@@@Z 00d6 ??YDName@@QAAAAV0@D@Z 00de ??0DName@@QAA@ABV0@@Z 0110 ??_C@_02KEGNLNML@?0?5?$AA@ 0114 ??_C@_03DCBBJBAA@amp?$AA@ 0118 ??_C@_03PBJBJNON@cpu?$AA@ 011c ??_C@_01CLKCMJKC@?5?$AA@ 0120 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 45 4B 1B 68 93 F9 00 30 00 2B 71 D0 42 4B 1B 68 93 F9 00 30 5F 2B 6B D1 3F 4B 1B 68 5A 1C 3D 4B 1A 60 3C 4B 1B 68 93 F9 00 30 41 3B 00 93 39 4B 1B 68 5A 1C 38 4B 1A 60 00 9B 03 2B 50 D8 06 A8 ?? ?? ?? ?? ?? ?? ?? ?? 04 90 04 9B 00 2B 3F D0 30 49 06 A8 ?? ?? ?? ?? 0C 20 ?? ?? ?? ?? 05 90 05 99 06 A8 ?? ?? ?? ?? 00 9B 00 2B 2C D0 00 9B DB 43 5A 1C 00 9B 13 40 03 93 03 9B 02 93 02 9B 01 2B 03 D0 02 9B 02 2B 05 D0 09 E0 20 49 06 A8 ?? ?? ?? ?? 0B E0 1C 49 06 A8 ?? ?? ?? ?? 06 E0 02 21 0A 98 ?? ?? ?? ?? 0A 9B 01 93 25 E0 03 9B DA 43 00 9B 13 40 00 93 00 9B 00 2B 03 D0 11 49 06 A8 ?? ?? ?? ?? CF E7 29 21 06 A8 ?? ?? ?? ?? 06 A9 0A 98 ?? ?? ?? ?? 0A 9B 01 93 0D E0 06 E0 02 21 0A 98 ?? ?? ?? ?? 0A 9B 01 93 05 E0 04 E0 0A 98 ?? ?? ?? ?? 0A 9B 01 93 01 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_103_4 {
	meta:
		name = "?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z"
		size = 76
		refs = "0024 ??0DName@@QAA@PAV0@@Z 0034 ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 0048 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0F 4B 1B 68 93 F9 00 30 40 2B 0C D1 0C 4B 1B 68 5A 1C 0A 4B 1A 60 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 06 E0 05 E0 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_104_4 {
	meta:
		name = "?getScope@UnDecorator@@CA?AVDName@@XZ"
		size = 976
		refs = "000c ??0DName@@QAA@XZ 0018 ?status@DName@@QBA?AW4DNameStatus@@XZ 0056 ??0DName@@QAA@ABV0@@Z 0062 ?isEmpty@DName@@QBAHXZ 0074 ??H@YA?AVDName@@PBDABV0@@Z 007e ??4DName@@QAAAAV0@ABV0@@Z 0090 ??H@YA?AVDName@@DABV0@@Z 0124 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 0130 ??HDName@@QBA?AV0@ABV0@@Z 0158 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0170 ??HDName@@QBA?AV0@D@Z 019c ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 01be ??0DName@@QAA@AAPBDD@Z 01da ?isFull@Replicator@@QBAHXZ 01ec ??YReplicator@@QAAAAV0@ABVDName@@@Z 026c ??HDName@@QBA?AV0@PBD@Z 0296 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 02fa ?getLexicalFrame@UnDecorator@@CA?AVDName@@XZ 036c ??0DName@@QAA@W4DNameStatus@@@Z 03b8 ??_C@_02MOLJINC@?3?3?$AA@ 03bc ?gName@UnDecorator@@0PBDB 03c0 ?pZNameList@UnDecorator@@0PAVReplicator@@A 03c4 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 03c8 ?fGetTemplateArgumentList@UnDecorator@@0_NA 03cc ?fExplicitTemplateParams@UnDecorator@@0_NA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 E2 B0 02 A8 ?? ?? ?? ?? 00 23 8D F8 00 30 02 A8 ?? ?? ?? ?? 29 90 29 9B 00 2B 40 F0 89 81 E5 4B 1B 68 93 F9 00 30 00 2B 00 F0 82 81 E1 4B 1B 68 93 F9 00 30 40 2B 00 F0 7B 81 E2 4B 1B 78 00 2B 0A D0 DF 4B 1B 78 00 2B 06 D1 02 A9 64 98 ?? ?? ?? ?? 64 9B 09 93 A4 E1 02 A8 ?? ?? ?? ?? 2A 90 2A 9B 00 2B 1A D1 02 AA D1 49 30 A8 ?? ?? ?? ?? 0A 90 0A 99 02 A8 ?? ?? ?? ?? 9D F8 00 30 00 2B 0C D0 02 AA 5B 21 32 A8 ?? ?? ?? ?? 0B 90 0B 99 02 A8 ?? ?? ?? ?? 00 23 8D F8 00 30 C5 4B 1B 68 93 F9 00 30 3F 2B 40 F0 32 81 C2 4B 1B 68 5A 1C C0 4B 1A 60 BF 4B 1B 68 93 F9 00 30 04 93 04 9B 41 2B 0C DC 04 9B 41 2B 72 D0 04 9B 24 2B 59 D0 04 9B 25 2B 6C D0 04 9B 3F 2B 09 D0 08 E1 04 9B 49 2B 00 F0 82 80 04 9B 51 2B 00 F0 9D 80 FF E0 B0 4B 1B 68 5B 1C 93 F9 00 30 5F 2B 27 D1 AD 4B 1B 68 9B 1C 93 F9 00 30 3F 2B 20 D1 A9 4B 1B 68 5A 1C A8 4B 1A 60 00 22 00 21 34 A8 ?? ?? ?? ?? 0C 90 02 AA 36 A9 0C 98 ?? ?? ?? ?? 0D 90 0D 99 02 A8 ?? ?? ?? ?? 9F 4B 1B 68 93 F9 00 30 40 2B 04 D1 9C 4B 1B 68 5A 1C 9A 4B 1A 60 19 E0 38 A8 ?? ?? ?? ?? 0E 90 0E 9A 60 21 3A A8 ?? ?? ?? ?? 0F 90 27 22 3C A9 0F 98 ?? ?? ?? ?? 10 90 02 AA 3E A9 10 98 ?? ?? ?? ?? 11 90 11 99 02 A8 ?? ?? ?? ?? C3 E0 8B 4B 1B 68 5A 1E 8A 4B 1A 60 00 22 01 21 40 A8 ?? ?? ?? ?? 12 90 02 AA 42 A9 12 98 ?? ?? ?? ?? 13 90 13 99 02 A8 ?? ?? ?? ?? AD E0 40 22 80 49 2E A8 ?? ?? ?? ?? 02 AA 7F 49 44 A8 ?? ?? ?? ?? 14 90 14 99 02 A8 ?? ?? ?? ?? 7A 4B 18 68 ?? ?? ?? ?? 15 90 15 9B 00 2B 04 D1 2E A9 75 4B 18 68 ?? ?? ?? ?? 90 E0 72 4B 1B 68 5A 1C 70 4B 1A 60 00 22 01 21 46 A8 ?? ?? ?? ?? 16 90 5D 22 48 A9 16 98 ?? ?? ?? ?? 17 90 02 AA 4A A9 17 98 ?? ?? ?? ?? 18 90 18 99 02 A8 ?? ?? ?? ?? 01 23 8D F8 00 30 71 E0 06 A8 ?? ?? ?? ?? 61 4B 1B 68 5A 1C 5F 4B 1A 60 00 22 01 21 2C A8 ?? ?? ?? ?? 2C A8 ?? ?? ?? ?? 19 90 19 9B 00 2B 1C D1 06 A8 ?? ?? ?? ?? 1A 90 1A 9B 00 2B 10 D1 54 4A 4C A9 2C A8 ?? ?? ?? ?? 1B 90 06 AA 4E A9 1B 98 ?? ?? ?? ?? 1C 90 1C 99 06 A8 ?? ?? ?? ?? 03 E0 2C A9 06 A8 ?? ?? ?? ?? 03 E0 02 21 06 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 1D 90 1D 9B 00 2B 05 D1 44 4B 1B 68 93 F9 00 30 40 2B C5 D1 06 A8 ?? ?? ?? ?? 1E 90 1E 9B 00 2B 15 D1 06 AA 5B 21 50 A8 ?? ?? ?? ?? 1F 90 5D 22 52 A9 1F 98 ?? ?? ?? ?? 20 90 20 99 02 A8 ?? ?? ?? ?? 36 4B 1B 68 5A 1C 34 4B 1A 60 03 E0 02 21 02 A8 ?? ?? ?? ?? 0D E0 54 A8 ?? ?? ?? ?? 21 90 02 AA 56 A9 21 98 ?? ?? ?? ?? 22 90 22 99 02 A8 ?? ?? ?? ?? 0F E0 00 22 01 21 58 A8 ?? ?? ?? ?? 23 90 02 AA 5A A9 23 98 ?? ?? ?? ?? 24 90 24 99 02 A8 ?? ?? ?? ?? 6E E6 20 4B 1B 68 93 F9 00 30 08 93 08 9B 00 2B 03 D0 08 9B 40 2B 22 D0 22 E0 02 A8 ?? ?? ?? ?? 25 90 25 9B 00 2B 04 D0 01 21 02 A8 ?? ?? ?? ?? 14 E0 01 21 5C A8 ?? ?? ?? ?? 26 90 11 4A 5E A9 26 98 ?? ?? ?? ?? 27 90 02 AA 60 A9 27 98 ?? ?? ?? ?? 28 90 28 99 02 A8 ?? ?? ?? ?? 04 E0 03 E0 02 21 02 A8 ?? ?? ?? ?? 02 A9 64 98 ?? ?? ?? ?? 64 9B 09 93 09 98 62 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_105_4 {
	meta:
		name = "?getScopedName@UnDecorator@@CA?AVDName@@XZ"
		size = 260
		refs = "000c ??0DName@@QAA@XZ 0016 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0020 ??4DName@@QAAAAV0@ABV0@@Z 0026 ?status@DName@@QBA?AW4DNameStatus@@XZ 004c ?getScope@UnDecorator@@CA?AVDName@@XZ 0058 ??HDName@@QBA?AV0@PBD@Z 0064 ??HDName@@QBA?AV0@ABV0@@Z 009a ??4DName@@QAAAAV0@W4DNameStatus@@@Z 00a2 ?isEmpty@DName@@QBAHXZ 00bc ??0DName@@QAA@W4DNameStatus@@@Z 00e6 ??0DName@@QAA@ABV0@@Z 00fc ??_C@_02MOLJINC@?3?3?$AA@ 0100 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9A B0 68 46 ?? ?? ?? ?? 00 22 01 21 0C A8 ?? ?? ?? ?? 02 90 02 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 9B 00 2B 1F D1 33 4B 1B 68 93 F9 00 30 00 2B 19 D0 30 4B 1B 68 93 F9 00 30 40 2B 13 D0 0E A8 ?? ?? ?? ?? 04 90 2A 4A 10 A9 04 98 ?? ?? ?? ?? 05 90 6A 46 12 A9 05 98 ?? ?? ?? ?? 06 90 06 99 68 46 ?? ?? ?? ?? 23 4B 1B 68 93 F9 00 30 40 2B 05 D1 20 4B 1B 68 5A 1C 1E 4B 1A 60 2B E0 1D 4B 1B 68 93 F9 00 30 00 2B 04 D0 02 21 68 46 ?? ?? ?? ?? 20 E0 68 46 ?? ?? ?? ?? 07 90 07 9B 00 2B 04 D0 01 21 68 46 ?? ?? ?? ?? 14 E0 01 21 14 A8 ?? ?? ?? ?? 08 90 0E 4A 16 A9 08 98 ?? ?? ?? ?? 09 90 6A 46 18 A9 09 98 ?? ?? ?? ?? 0A 90 0A 99 68 46 ?? ?? ?? ?? 69 46 1C 98 ?? ?? ?? ?? 1C 9B 0B 93 0B 98 1A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_106_4 {
	meta:
		name = "?getSignedDimension@UnDecorator@@CA?AVDName@@XZ"
		size = 116
		refs = "001a ??0DName@@QAA@W4DNameStatus@@@Z 0040 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 004c ??H@YA?AVDName@@DABV0@@Z 0070 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 19 4B 1B 68 93 F9 00 30 00 2B 07 D1 01 21 06 98 ?? ?? ?? ?? 06 9B 00 93 1F E0 1E E0 12 4B 1B 68 93 F9 00 30 3F 2B 12 D1 0F 4B 1B 68 5A 1C 0D 4B 1A 60 00 21 02 A8 ?? ?? ?? ?? 01 90 01 9A 2D 21 06 98 ?? ?? ?? ?? 06 9B 00 93 06 E0 05 E0 00 21 06 98 ?? ?? ?? ?? 06 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_108_4 {
	meta:
		name = "?getString@DName@@QBAPADPAD0@Z"
		size = 86
		refs = "000e ?isEmpty@DName@@QBAHXZ 0036 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 85 B0 0A 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 02 D0 0B 9B 01 93 14 E0 0C 9E 0B 9D 0A 9B 1A 68 0A 9B 1C 68 13 68 08 33 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 29 46 32 46 98 47 03 90 03 9B 01 93 01 98 05 B0 BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_29_109_4 {
	meta:
		name = "?getString@DName@@QBAPADPADH@Z"
		size = 132
		refs = "000c ?isEmpty@DName@@QBAHXZ 0020 ?length@DName@@QBAHXZ 0032 ??2@YAPAXIAAV_HeapManager@@H@Z 0052 ?getString@DName@@QBAPADPAD0@Z 0080 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 00 90 00 9B 00 2B 25 D1 0B 9B 00 2B 10 D1 0A 98 ?? ?? ?? ?? 01 90 01 9B 5B 1C 0C 93 00 22 14 49 0C 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 9B 0B 93 0B 9B 00 2B 0D D0 0B 9A 0C 9B 13 44 5A 1E 0B 99 0A 98 ?? ?? ?? ?? 04 90 04 9B 05 93 05 9A 00 23 13 70 05 E0 0B 9B 00 2B 02 D0 0B 9A 00 23 13 70 0B 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_110_4 {
	meta:
		name = "?getString@DNameStatusNode@@UBAPADPAD0@Z"
		size = 60
		refs = "001c ?getStringHelper@@YAPADPAD00H@Z 0038 ??_C@_04OKOHEJBO@?5?$DP?$DP?5?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 01 2B 09 D1 04 23 08 4A 06 99 05 98 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_111_4 {
	meta:
		name = "?getString@charNode@@UBAPADPAD0@Z"
		size = 52
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 06 9B 9A 42 08 D2 04 9B 1B 1D 93 F9 00 20 05 9B 1A 70 05 9B 5B 1C 05 93 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_112_4 {
	meta:
		name = "?getString@pDNameNode@@UBAPADPAD0@Z"
		size = 62
		refs = "001e ?getString@DName@@QBAPADPAD0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 68 00 2B 0A D0 08 9A 07 99 06 9B 1B 1D 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 07 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_113_4 {
	meta:
		name = "?getString@pairNode@@UBAPADPAD0@Z"
		size = 132
		refs = "0026 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 87 B0 0E 9E 0D 9D 0C 9B 1B 1D 1A 68 0C 9B 1B 1D 1C 68 13 68 08 33 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 29 46 32 46 98 47 04 90 04 9B 00 93 00 9A 0E 9B 9A 42 18 D2 0E 9E 00 9D 0C 9B 08 33 1A 68 0C 9B 08 33 1C 68 13 68 08 33 1B 68 02 93 02 98 ?? ?? ?? ?? 02 9B 20 46 29 46 32 46 98 47 05 90 05 9B 03 93 02 E0 01 E0 00 9B 03 93 03 98 07 B0 BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_29_114_4 {
	meta:
		name = "?getString@pcharNode@@UBAPADPAD0@Z"
		size = 48
		refs = "001a ?getStringHelper@@YAPADPAD00H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 1B 68 04 9A 12 1D 12 68 06 99 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_115_4 {
	meta:
		name = "?getStringEncoding@UnDecorator@@CA?AVDName@@PADH@Z"
		size = 212
		refs = "000e ??0DName@@QAA@PBD@Z 0042 ??0DName@@QAA@W4DNameStatus@@@Z 005a ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00bc ??0DName@@QAA@ABV0@@Z 00d0 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 99 02 A8 ?? ?? ?? ?? 2F 4B 1B 68 93 F9 00 10 2D 4B 1B 68 5A 1C 2B 4B 1A 60 40 29 0A D1 29 4B 1B 68 93 F9 00 10 27 4B 1B 68 5A 1C 26 4B 1A 60 5F 29 06 D0 02 21 0A 98 ?? ?? ?? ?? 0A 9B 00 93 3B E0 20 4B 1B 68 5A 1C 1F 4B 1A 60 00 21 04 A8 ?? ?? ?? ?? 00 21 06 A8 ?? ?? ?? ?? 1A 4B 1B 68 93 F9 00 30 00 2B 0B D0 17 4B 1B 68 93 F9 00 30 40 2B 05 D0 14 4B 1B 68 5A 1C 12 4B 1A 60 ED E7 11 4B 1B 68 93 F9 00 30 00 2B 0B D1 0E 4B 1B 68 5A 1E 0C 4B 1A 60 01 21 0A 98 ?? ?? ?? ?? 0A 9B 00 93 0A E0 08 4B 1B 68 5A 1C 06 4B 1A 60 02 A9 0A 98 ?? ?? ?? ?? 0A 9B 00 93 00 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_116_4 {
	meta:
		name = "?getStringHelper@@YAPADPAD00H@Z"
		size = 60
		refs = "0024 ?und_memcpy@@YAXPADPBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 04 9B D3 1A 00 93 07 9A 00 9B 9A 42 01 DD 00 9B 07 93 07 9A 06 99 04 98 ?? ?? ?? ?? 04 9A 07 9B 13 44 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_117_4 {
	meta:
		name = "?getSymbolName@UnDecorator@@CA?AVDName@@XZ"
		size = 112
		refs = "0028 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 0044 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 0056 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 006c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 18 4B 1B 68 93 F9 00 30 3F 2B 1C D1 15 4B 1B 68 5B 1C 93 F9 00 30 24 2B 07 D1 01 21 04 98 ?? ?? ?? ?? 04 9B 00 93 15 E0 0C E0 0D 4B 1B 68 5A 1C 0C 4B 1A 60 00 22 00 21 04 98 ?? ?? ?? ?? 04 9B 00 93 07 E0 06 E0 00 22 01 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_118_4 {
	meta:
		name = "?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 792
		refs = "000a __security_push_cookie 0018 ??0DName@@QAA@XZ 0024 ?status@DName@@QBA?AW4DNameStatus@@XZ 00a0 ??AReplicator@@QBA?AVDName@@H@Z 00aa ??4DName@@QAAAAV0@ABV0@@Z 017c ??4DName@@QAAAAV0@PBD@Z 01a8 ?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ 01c6 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 01ca ?haveTemplateParameters@UnDecorator@@SAHXZ 01e4 ?getString@DName@@QBAPADPADH@Z 01ea atol 01fa _guard_check_icall 0220 ??H@YA?AVDName@@PBDABV0@@Z 022c ??HDName@@QBA?AV0@PBD@Z 026a ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0288 ?isFull@Replicator@@QBAHXZ 029a ??YReplicator@@QAAAAV0@ABVDName@@@Z 02a0 ?isEmpty@DName@@QBAHXZ 02b8 ??YDName@@QAAAAV0@D@Z 02c0 ??YDName@@QAAAAV0@ABV0@@Z 02d0 ??YDName@@QAAAAV0@PBD@Z 02e0 ??0DName@@QAA@ABV0@@Z 02ec __security_pop_cookie 02f8 ?fGetTemplateArgumentList@UnDecorator@@0_NA 02fc ??_C@_03KHICJKCI@?4?4?4?$AA@ 0300 ?pTemplateArgList@UnDecorator@@0PAVReplicator@@A 0304 ?gName@UnDecorator@@0PBDB 0308 ??_C@_01GEODFPGF@?8?$AA@ 030c ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 0310 ?m_pGetParameter@UnDecorator@@0P6APADJ@ZA 0314 ??_C@_04GKJNKENE@void?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? B0 B0 01 23 8D F8 01 30 08 A8 ?? ?? ?? ?? B6 4A 01 23 13 70 08 A8 ?? ?? ?? ?? 18 90 18 9B 00 2B 40 F0 52 81 B4 4B 1B 68 93 F9 00 30 00 2B 00 F0 4B 81 B0 4B 1B 68 93 F9 00 30 40 2B 00 F0 44 81 00 23 8D F8 02 30 9D F8 01 30 00 2B 03 D0 00 23 8D F8 01 30 02 E0 01 23 8D F8 02 30 A6 4B 1B 68 93 F9 00 30 30 3B 04 93 02 A8 ?? ?? ?? ?? 00 23 8D F8 03 30 04 9B 00 2B 13 DB 04 9B 09 2B 10 DC 9D 4B 1B 68 5A 1C 9B 4B 1A 60 04 9A 1C A9 98 4B 18 68 ?? ?? ?? ?? 19 90 19 99 02 A8 ?? ?? ?? ?? F6 E0 94 4B 1B 68 14 93 93 4B 1B 68 93 F9 00 30 24 2B 4F D1 90 4B 1B 68 5B 1C 93 F9 00 30 24 2B 48 D1 00 23 8D F8 00 30 8B 4B 1B 68 9B 1C 93 F9 00 30 01 93 01 9B 56 2B 09 DC 01 9B 56 2B 1C D0 01 9B 24 2B 22 D0 01 9B 55 2B 10 D0 2D E0 01 9B 57 2B 03 D0 01 9B 5A 2B 0F D0 26 E0 01 23 8D F8 03 30 7C 4B 1B 68 DA 1C 7B 4B 1A 60 1D E0 79 4B 1B 68 DA 1C 78 4B 1A 60 17 E0 76 4B 1B 68 DA 1C 75 4B 1A 60 01 23 8D F8 00 30 0E E0 72 4B 1B 68 DB 1C 93 F9 00 30 56 2B 07 D1 6E 4B 1B 68 1A 1D 6D 4B 1A 60 01 23 8D F8 00 30 9D F8 00 30 00 2B 00 D0 5F E7 68 4B 1B 68 93 F9 00 30 58 2B 09 D1 65 4B 1B 68 5A 1C 63 4B 1A 60 66 49 02 A8 ?? ?? ?? ?? 7A E0 60 4B 1B 68 93 F9 00 30 24 2B 14 D1 5D 4B 1B 68 5B 1C 93 F9 00 30 24 2B 0D D0 59 4B 1B 68 5A 1C 58 4B 1A 60 1E A8 ?? ?? ?? ?? 0A 90 0A 99 02 A8 ?? ?? ?? ?? 5F E0 52 4B 1B 68 93 F9 00 30 3F 2B 4C D1 1A A8 ?? ?? ?? ?? ?? ?? ?? ?? 0B 90 0B 9B 00 2B 32 D0 4E 4B 1B 68 00 2B 2E D0 10 22 2C A9 1A A8 ?? ?? ?? ?? 2C A8 ?? ?? ?? ?? 0C 90 0C 9C 47 4B 1B 68 05 93 05 98 ?? ?? ?? ?? 05 9B 20 46 98 47 0D 90 0D 9B 06 93 06 9B 00 2B 04 D0 06 99 02 A8 ?? ?? ?? ?? 0F E0 1A AA 3B 49 20 A8 ?? ?? ?? ?? 0E 90 38 4A 22 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 99 02 A8 ?? ?? ?? ?? 0F E0 1A AA 33 49 24 A8 ?? ?? ?? ?? 10 90 2F 4A 26 A9 10 98 ?? ?? ?? ?? 11 90 11 99 02 A8 ?? ?? ?? ?? 0C E0 28 A8 ?? ?? ?? ?? 12 90 12 99 2A A8 ?? ?? ?? ?? 13 90 13 99 02 A8 ?? ?? ?? ?? 22 4B 1A 68 14 9B D3 1A 01 2B 0C DD 1E 4B 18 68 ?? ?? ?? ?? 15 90 15 9B 00 2B 04 D1 02 A9 1A 4B 18 68 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 16 90 16 9B 00 2B 13 D1 9D F8 02 30 00 2B 03 D0 2C 21 08 A8 ?? ?? ?? ?? 02 A9 08 A8 ?? ?? ?? ?? 9D F8 03 30 00 2B 03 D0 0B 49 08 A8 ?? ?? ?? ?? A5 E6 08 4A 00 23 13 70 08 A9 34 98 ?? ?? ?? ?? 34 9B 17 93 17 98 30 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_119_4 {
	meta:
		name = "?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ"
		size = 952
		refs = "000a __security_push_cookie 0086 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 00aa ??0DName@@QAA@PBD@Z 00b8 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 00ce ??HDName@@QBA?AV0@ABV0@@Z 00f2 ?isValid@DName@@QBAHXZ 0114 ?getString@DName@@QBAPADPADH@Z 0124 ??0DName@@QAA@W4DNameStatus@@@Z 0174 ??HDName@@QBA?AV0@D@Z 01a0 ??0DName@@QAA@D@Z 01c4 ??YDName@@QAAAAV0@ABV0@@Z 01cc ??YDName@@QAAAAV0@D@Z 0242 ??0DName@@QAA@XZ 0260 atol 026a ?haveTemplateParameters@UnDecorator@@SAHXZ 028c _guard_check_icall 02bc sprintf_s 02ec ??H@YA?AVDName@@PBDABV0@@Z 02f8 ??HDName@@QBA?AV0@PBD@Z 0388 __security_pop_cookie 0394 ?gName@UnDecorator@@0PBDB 0398 ??_C@_01GEODFPGF@?8?$AA@ 039c ??_C@_0BL@NGJBLFIL@?$GAgeneric?9method?9parameter?9?$AA@ 03a0 ??_C@_0BK@OFCNNNKO@?$GAgeneric?9class?9parameter?9?$AA@ 03a4 ??_C@_0BK@IHCCFNEL@?$GAtemplate?9type?9parameter?9?$AA@ 03a8 ??_C@_02DPKJAMEF@?$CFd?$AA@ 03ac ?m_pGetParameter@UnDecorator@@0P6APADJ@ZA 03b0 ??_C@_01HNPIGOCE@?$CG?$AA@ 03b4 ??_C@_04HIBGFPH@NULL?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? DA B0 E0 4B 1B 68 93 F9 00 30 8D F8 00 30 DD 4B 1B 68 5A 1C DC 4B 1A 60 9D F9 00 30 02 93 02 9B 4A 2B 18 DC 02 9B 46 2B 80 F2 B1 80 02 9B 31 2B 0A DC 02 9B 31 2B 24 D0 02 9B 00 2B 00 F0 88 81 02 9B 30 2B 17 D0 90 E1 02 9B 32 2B 43 D0 02 9B 45 2B 3A D0 89 E1 02 9B 51 3B 02 93 02 9B 05 2B 00 F2 83 81 02 9A DF E8 12 F0 6B 01 EB 00 E4 00 EB 00 EB 00 EB 00 5E 98 ?? ?? ?? ?? 5E 9B 01 93 79 E1 C0 4B 1B 68 93 F9 00 30 40 2B 0C D1 BD 4B 1B 68 5A 1C BC 4B 1A 60 C3 49 5E 98 ?? ?? ?? ?? 5E 9B 01 93 67 E1 10 E0 26 A8 ?? ?? ?? ?? 1C 90 BC 49 28 A8 ?? ?? ?? ?? 0C 90 1C 9A 5E 99 0C 98 ?? ?? ?? ?? 5E 9B 01 93 55 E1 5E 98 ?? ?? ?? ?? 5E 9B 01 93 4F E1 20 A8 ?? ?? ?? ?? 22 A8 ?? ?? ?? ?? 20 A8 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 46 D0 22 A8 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 3F D0 63 22 40 AB 59 1C 20 A8 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 06 D1 02 21 5E 98 ?? ?? ?? ?? 5E 9B 01 93 2A E1 40 AB 5B 1C 40 AA 93 F9 00 30 13 70 40 AB 93 F9 00 30 2D 2B 0B D1 40 AB 99 1C 40 AB 5A 1C 91 F9 00 30 13 70 40 AB 9A 1C 2E 23 13 70 03 E0 40 AB 5A 1C 2E 23 13 70 40 A9 2A A8 ?? ?? ?? ?? 10 90 65 22 2C A9 10 98 ?? ?? ?? ?? 11 90 22 AA 5E 99 11 98 ?? ?? ?? ?? 5E 9B 01 93 FC E0 06 E0 01 21 5E 98 ?? ?? ?? ?? 5E 9B 01 93 F4 E0 F3 E0 7B 21 06 A8 ?? ?? ?? ?? 9D F9 00 30 08 93 08 9B 48 2B 0F DB 08 9B 4A 2B 00 DD 0B E0 2E A8 ?? ?? ?? ?? 12 90 12 99 06 A8 ?? ?? ?? ?? 2C 21 06 A8 ?? ?? ?? ?? 9D F9 00 30 03 93 03 9B 46 3B 03 93 03 9B 04 2B 25 D8 03 9A DF E8 02 F0 0F 03 1B 0F 03 03 30 A8 ?? ?? ?? ?? 13 90 13 99 06 A8 ?? ?? ?? ?? 2C 21 06 A8 ?? ?? ?? ?? 32 A8 ?? ?? ?? ?? 14 90 14 99 06 A8 ?? ?? ?? ?? 2C 21 06 A8 ?? ?? ?? ?? 34 A8 ?? ?? ?? ?? 15 90 15 99 06 A8 ?? ?? ?? ?? 7D 22 5E 99 06 A8 ?? ?? ?? ?? 5E 9B 01 93 A2 E0 A1 E0 5E 98 ?? ?? ?? ?? 5E 9B 01 93 9B E0 9A E0 24 A8 ?? ?? ?? ?? 10 22 3C A9 24 A8 ?? ?? ?? ?? 3C A8 ?? ?? ?? ?? 16 90 16 9B 0B 93 ?? ?? ?? ?? 17 90 17 9B 00 2B 1C D0 4D 4B 1B 68 00 2B 18 D0 0B 9C 6F F3 1F 34 49 4B 1B 68 09 93 09 98 ?? ?? ?? ?? 09 9B 20 46 98 47 18 90 18 9B 0A 93 0A 9B 00 2B 06 D0 0A 99 5E 98 ?? ?? ?? ?? 5E 9B 01 93 69 E0 0B 9B 6F F3 1F 33 3C 4A 10 21 3C A8 ?? ?? ?? ?? 3C A9 1E A8 ?? ?? ?? ?? 9D F9 00 30 04 93 04 9B 52 3B 04 93 04 9B 04 2B 31 D8 04 9A DF E8 02 F0 03 2F 03 12 21 21 1E AA 2E 49 36 A8 ?? ?? ?? ?? 19 90 29 4A 5E 99 19 98 ?? ?? ?? ?? 5E 9B 01 93 40 E0 1C E0 1E AA 26 49 38 A8 ?? ?? ?? ?? 1A 90 21 4A 5E 99 1A 98 ?? ?? ?? ?? 5E 9B 01 93 31 E0 0D E0 1E AA 1D 49 3A A8 ?? ?? ?? ?? 1B 90 1A 4A 5E 99 1B 98 ?? ?? ?? ?? 5E 9B 01 93 22 E0 02 21 5E 98 ?? ?? ?? ?? 5E 9B 01 93 1B E0 1A E0 02 21 5E 98 ?? ?? ?? ?? 5E 9B 01 93 13 E0 12 E0 0D 4B 1B 68 5A 1E 0B 4B 1A 60 01 21 5E 98 ?? ?? ?? ?? 5E 9B 01 93 06 E0 05 E0 02 21 5E 98 ?? ?? ?? ?? 5E 9B 01 93 01 98 5A B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_120_4 {
	meta:
		name = "?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z"
		size = 372
		refs = "0028 ??0DName@@QAA@W4DNameStatus@@@Z 0050 ??0Replicator@@QAA@XZ 0074 ??0DName@@QAA@XZ 009a ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 00a4 ??4DName@@QAAAAV0@ABV0@@Z 00b0 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 00c0 ?isEmpty@DName@@QBAHXZ 00dc ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 00e8 ??H@YA?AVDName@@DABV0@@Z 00f2 ??YDName@@QAAAAV0@ABV0@@Z 00f8 ?getLastChar@DName@@QBADXZ 010c ??YDName@@QAAAAV0@D@Z 014c ??0DName@@QAA@ABV0@@Z 0160 ?pTemplateArgList@UnDecorator@@0PAVReplicator@@A 0164 ?pZNameList@UnDecorator@@0PAVReplicator@@A 0168 ?pArgList@UnDecorator@@0PAVReplicator@@A 016c ?gName@UnDecorator@@0PBDB 0170 ?fExplicitTemplateParams@UnDecorator@@0_NA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 BA B0 58 4B 1B 68 93 F9 00 30 3F 2B 06 D1 55 4B 1B 68 5B 1C 93 F9 00 30 24 2B 06 D0 02 21 3C 98 ?? ?? ?? ?? 3C 9B 04 93 90 E0 4E 4B 1B 68 9A 1C 4C 4B 1A 60 4A 4B 1B 68 0A 93 48 4B 1B 68 0B 93 45 4B 1B 68 0C 93 16 A8 ?? ?? ?? ?? 22 A8 ?? ?? ?? ?? 2E A8 ?? ?? ?? ?? 16 AA 41 4B 1A 60 22 AA 3E 4B 1A 60 2E AA 3C 4B 1A 60 02 A8 ?? ?? ?? ?? 00 23 8D F8 00 30 3B 4B 1B 68 93 F9 00 30 3F 2B 0F D1 38 4B 1B 68 5A 1C 36 4B 1A 60 6A 46 01 21 0E A8 ?? ?? ?? ?? 05 90 05 99 02 A8 ?? ?? ?? ?? 09 E0 01 22 01 21 10 A8 ?? ?? ?? ?? 06 90 06 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 07 90 07 9B 00 2B 02 D0 28 4A 01 23 13 70 9D F8 00 30 00 2B 2D D1 12 A8 ?? ?? ?? ?? 08 90 08 9A 3C 21 14 A8 ?? ?? ?? ?? 09 90 09 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 3E 2B 03 D1 20 21 02 A8 ?? ?? ?? ?? 3E 21 02 A8 ?? ?? ?? ?? 9D F8 F4 30 00 2B 0A D0 12 4B 1B 68 93 F9 00 30 00 2B 04 D0 0F 4B 1B 68 5A 1C 0E 4B 1A 60 0A 9A 0B 4B 1A 60 0B 9A 09 4B 1A 60 0C 9A 06 4B 1A 60 02 A9 3C 98 ?? ?? ?? ?? 3C 9B 04 93 04 98 3A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_121_4 {
	meta:
		name = "?getThisType@UnDecorator@@CA?AVDName@@XZ"
		size = 68
		refs = "0010 ??0DName@@QAA@XZ 002a ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 0040 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0D 4B 03 93 06 A8 ?? ?? ?? ?? 02 90 08 A8 ?? ?? ?? ?? 04 90 01 23 00 93 02 9B 03 9A 04 99 0C 98 ?? ?? ?? ?? 0C 9B 05 93 05 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_122_4 {
	meta:
		name = "?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 164
		refs = "002e ??0DName@@QAA@XZ 0038 ??0DName@@QAA@ABV0@@Z 0046 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0052 ??H@YA?AVDName@@PBDABV0@@Z 005e ??HDName@@QBA?AV0@D@Z 006e ??0DName@@QAA@PBD@Z 007a ??HDName@@QBA?AV0@W4DNameStatus@@@Z 009c ??_C@_07HDJPLPEK@?5throw?$CI?$AA@ 00a0 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 25 4B 1B 68 93 F9 00 30 00 2B 29 D0 22 4B 1B 68 93 F9 00 30 5A 2B 10 D1 1F 4B 1B 68 5A 1C 1D 4B 1A 60 06 A8 ?? ?? ?? ?? 01 90 01 99 12 98 ?? ?? ?? ?? 12 9B 00 93 25 E0 11 E0 08 A8 ?? ?? ?? ?? 02 90 02 9A 13 49 0A A8 ?? ?? ?? ?? 03 90 29 22 12 99 03 98 ?? ?? ?? ?? 12 9B 00 93 12 E0 11 E0 0C 49 0C A8 ?? ?? ?? ?? 04 90 01 22 0E A9 04 98 ?? ?? ?? ?? 05 90 29 22 12 99 05 98 ?? ?? ?? ?? 12 9B 00 93 00 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_123_4 {
	meta:
		name = "?getTypeEncoding@UnDecorator@@CAHXZ"
		size = 1956
		refs = "033c ?getTypeEncoding@UnDecorator@@CAHXZ 07a0 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 00 48 EB 46 A2 B0 00 23 00 93 DF F8 90 37 1B 68 93 F9 00 30 5F 2B 0A D1 00 9B 43 F4 80 43 00 93 DF F8 7C 37 1B 68 5A 1C DF F8 74 37 1A 60 DF F8 6C 37 1B 68 93 F9 00 30 41 2B C0 F2 D1 80 DF F8 5C 37 1B 68 93 F9 00 30 5A 2B 00 F3 C9 80 DF F8 4C 37 1B 68 93 F9 00 30 41 3B 05 93 DF F8 40 37 1B 68 5A 1C DF F8 38 37 1A 60 00 9B 43 F4 00 43 00 93 05 9B 13 F0 01 0F 04 D0 00 9B 43 F4 00 53 00 93 03 E0 00 9B 23 F4 00 53 00 93 05 9B 18 2B 80 F2 A5 80 00 9B 13 F4 00 4F 08 D0 00 9A 01 23 63 F3 CC 22 13 46 00 93 00 9B 1C 93 05 E0 00 9B 23 F4 C0 43 00 93 00 9B 1C 93 05 9B 03 F0 18 03 07 93 07 9B 00 2B 06 D0 07 9B 08 2B 17 D0 07 9B 10 2B 28 D0 37 E0 00 9B 13 F4 00 4F 06 D0 00 9A 01 23 63 F3 87 12 13 46 09 93 05 E0 00 9A 01 23 63 F3 CC 22 13 46 09 93 09 9B 00 93 29 E0 00 9B 13 F4 00 4F 06 D0 00 9A 02 23 63 F3 87 12 13 46 0A 93 05 E0 00 9A 02 23 63 F3 CC 22 13 46 0A 93 0A 9B 00 93 15 E0 00 9B 13 F4 00 4F 04 D0 00 9B 23 F0 C0 03 0B 93 03 E0 00 9B 23 F4 C0 53 0B 93 0B 9B 00 93 05 E0 4F F6 FF 73 00 93 00 9B 01 93 20 E3 05 9B 03 F0 06 03 0C 93 0C 9B 06 2B 38 D8 0C 9A DF E8 02 F0 35 36 12 36 0B 36 04 04 00 9A 04 23 63 F3 0A 22 13 46 00 93 30 E0 00 9A 01 23 63 F3 0A 22 13 46 00 93 29 E0 00 9B 13 F4 00 4F 06 D0 00 9A 02 23 63 F3 0A 22 13 46 0E 93 14 E0 00 9B 13 F4 00 4F 08 D0 00 9A 01 23 63 F3 CC 22 13 46 00 93 00 9B 0D 93 05 E0 00 9B 23 F4 C0 43 00 93 00 9B 0D 93 0D 9B 0E 93 0E 9B 00 93 06 E0 05 E0 4F F6 FF 73 00 93 00 9B 01 93 DA E2 D7 E2 DF F8 BC 35 1B 68 93 F9 00 30 24 2B 40 F0 B8 81 00 23 8D F8 08 30 DF F8 A4 35 1B 68 5A 1C DF F8 9C 35 1A 60 DF F8 98 35 1B 68 93 F9 00 30 03 93 03 9B 42 2B 15 DC 03 9B 42 2B 33 D0 03 9B 35 2B 0B DC 03 9B 30 2B 80 F2 07 81 03 9B 00 2B 00 F0 D6 80 03 9B 24 2B 41 D0 86 E1 03 9B 41 2B 1A D0 82 E1 03 9B 43 3B 03 93 03 9B 0F 2B 00 F2 7C 81 03 9A DF E8 12 F0 2C 00 1E 00 25 00 79 01 79 01 79 01 79 01 79 01 79 01 79 01 79 01 79 01 79 01 79 01 79 01 CD 00 00 9B 23 F4 1B 43 43 F4 10 43 00 93 67 E1 00 9B 23 F4 18 43 43 F4 18 43 00 93 60 E1 00 9B 23 F4 1B 43 43 F4 11 43 00 93 59 E1 00 9B 23 F4 1B 43 43 F4 12 43 00 93 52 E1 00 9A 1F 23 63 F3 8E 22 13 46 00 93 4B E1 DF F8 E0 34 1B 68 5B 1C 93 F9 00 30 50 2B 06 D1 DF F8 D0 34 1B 68 5A 1C DF F8 C8 34 1A 60 DF F8 C0 34 1B 68 5A 1C DF F8 B8 34 1A 60 DF F8 B4 34 1B 68 93 F9 00 30 04 93 04 9B 4A 2B 0C DC 04 9B 4A 2B 22 D0 04 9B 00 2B 5E D0 04 9B 46 2B 0F D0 04 9B 48 2B 0C D0 5D E0 04 9B 4C 3B 04 93 04 9B 05 2B 57 D8 04 9A DF E8 02 F0 03 03 10 10 55 44 DF F8 70 34 1B 68 5A 1C DF F8 68 34 1A 60 ?? ?? ?? ?? 1D 90 1D 9B 01 93 26 E2 DF F8 54 34 1B 68 5A 1C DF F8 4C 34 1A 60 DF F8 48 34 1B 68 93 F9 00 30 30 2B 21 DB DF F8 38 34 1B 68 93 F9 00 30 39 2B 1A DC DF F8 2C 34 1B 68 93 F9 00 30 30 3B 5A 1C DF F8 1C 34 1B 68 1A 44 DF F8 14 34 1A 60 ?? ?? ?? ?? 1E 90 1E 9B 00 93 00 9B 43 F4 80 33 00 93 00 9B 01 93 F7 E1 02 E0 4F F6 FF 73 00 93 16 E0 FB 4B 1B 68 5A 1C FA 4B 1A 60 ?? ?? ?? ?? 1F 90 1F 9B 01 93 E7 E1 4F F6 FE 73 00 93 00 9B 01 93 E1 E1 4F F6 FF 73 00 93 00 9B 01 93 DB E1 BA E0 4F F6 FE 73 00 93 EE 4B 1B 68 5A 1E EC 4B 1A 60 B1 E0 01 23 8D F8 08 30 E9 4B 1B 68 5A 1C E8 4B 1A 60 E7 4B 1B 68 93 F9 00 30 30 2B 05 DB E4 4B 1B 68 93 F9 00 30 35 2B 0F DD E1 4B 1B 68 93 F9 00 30 00 2B 03 D0 4F F6 FE 73 00 93 02 E0 4F F6 FF 73 00 93 00 9B 01 93 AD E1 D9 4B 1B 68 93 F9 00 30 30 3B 0F 93 00 9B 43 F4 00 43 00 93 00 9B 13 F4 00 4F 08 D0 00 9A 01 23 63 F3 CC 22 13 46 00 93 00 9B 20 93 05 E0 00 9B 23 F4 C0 43 00 93 00 9B 20 93 9D F8 08 30 00 2B 06 D0 00 9A 06 23 63 F3 0A 22 13 46 00 93 05 E0 00 9A 05 23 63 F3 0A 22 13 46 00 93 0F 9B 13 F0 01 0F 04 D0 00 9B 43 F4 00 53 00 93 03 E0 00 9B 23 F4 00 53 00 93 0F 9B 03 F0 06 03 08 93 08 9B 00 2B 06 D0 08 9B 02 2B 17 D0 08 9B 04 2B 28 D0 37 E0 00 9B 13 F4 00 4F 06 D0 00 9A 01 23 63 F3 87 12 13 46 10 93 05 E0 00 9A 01 23 63 F3 CC 22 13 46 10 93 10 9B 00 93 29 E0 00 9B 13 F4 00 4F 06 D0 00 9A 02 23 63 F3 87 12 13 46 11 93 05 E0 00 9A 02 23 63 F3 CC 22 13 46 11 93 11 9B 00 93 15 E0 00 9B 13 F4 00 4F 04 D0 00 9B 23 F0 C0 03 12 93 03 E0 00 9B 23 F4 C0 53 12 93 12 9B 00 93 05 E0 4F F6 FF 73 00 93 00 9B 01 93 26 E1 05 E0 4F F6 FF 73 00 93 00 9B 01 93 1F E1 92 4B 1B 68 5A 1C 90 4B 1A 60 17 E1 8F 4B 1B 68 93 F9 00 30 30 2B C0 F2 F5 80 8B 4B 1B 68 93 F9 00 30 38 2B 00 F3 EE 80 88 4B 1B 68 93 F9 00 30 21 93 85 4B 1B 68 5A 1C 84 4B 1A 60 00 9B 23 F4 00 43 00 93 21 9B 06 93 06 9B 30 3B 06 93 06 9B 08 2B 00 F2 D0 80 06 9A DF E8 02 F0 05 3B 71 A3 B1 AA B8 BF C6 C6 00 9B 13 F4 00 4F 06 D0 00 9A 02 23 63 F3 0A 22 13 46 14 93 14 E0 00 9B 13 F4 00 4F 08 D0 00 9A 01 23 63 F3 CC 22 13 46 00 93 00 9B 13 93 05 E0 00 9B 23 F4 C0 43 00 93 00 9B 13 93 13 9B 14 93 14 9B 00 93 00 9B 13 F4 00 4F 06 D0 00 9A 01 23 63 F3 87 12 13 46 15 93 05 E0 00 9A 01 23 63 F3 CC 22 13 46 15 93 15 9B 00 93 97 E0 00 9B 13 F4 00 4F 06 D0 00 9A 02 23 63 F3 0A 22 13 46 17 93 14 E0 00 9B 13 F4 00 4F 08 D0 00 9A 01 23 63 F3 CC 22 13 46 00 93 00 9B 16 93 05 E0 00 9B 23 F4 C0 43 00 93 00 9B 16 93 16 9B 17 93 17 9B 00 93 00 9B 13 F4 00 4F 06 D0 00 9A 02 23 63 F3 87 12 13 46 18 93 05 E0 00 9A 02 23 63 F3 CC 22 13 46 18 93 18 9B 00 93 61 E0 00 9B 13 F4 00 4F 06 D0 00 9A 02 23 63 F3 0A 22 13 46 1A 93 14 E0 00 9B 13 F4 00 4F 08 D0 00 9A 01 23 63 F3 CC 22 13 46 00 93 00 9B 19 93 05 E0 00 9B 23 F4 C0 43 00 93 00 9B 19 93 19 9B 1A 93 1A 9B 00 93 00 9B 13 F4 00 4F 04 D0 00 9B 23 F0 C0 03 1B 93 03 E0 00 9B 23 F4 C0 53 1B 93 1B 9B 00 93 2F E0 00 9A 02 23 63 F3 4E 32 13 46 00 93 28 E0 00 9A 18 23 63 F3 8E 22 13 46 00 93 21 E0 00 9A 01 23 63 F3 4E 32 13 46 00 93 1A E0 00 9A 1A 23 63 F3 8E 22 13 46 00 93 13 E0 00 9A 1C 23 63 F3 8E 22 13 46 00 93 0C E0 00 9A 1E 23 63 F3 8E 22 13 46 00 93 05 E0 4F F6 FF 73 00 93 00 9B 01 93 1E E0 1B E0 11 4B 1B 68 93 F9 00 30 39 2B 08 D1 0E 4B 1B 68 5A 1C 0C 4B 1A 60 4F F6 FD 73 00 93 0C E0 09 4B 1B 68 93 F9 00 30 00 2B 03 D0 4F F6 FF 73 00 93 02 E0 4F F6 FE 73 00 93 00 9B 01 93 01 98 22 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_124_4 {
	meta:
		name = "?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ"
		size = 104
		refs = "0030 ??0DName@@QAA@PBD@Z 003e ??0DName@@QAA@W4DNameStatus@@@Z 0060 ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 0064 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 16 4B 1B 68 93 F9 00 30 01 93 01 9B 00 2B 0F D0 01 9B 41 2B 00 D0 12 E0 10 4B 1B 68 5A 1C 0E 4B 1A 60 0C 49 04 98 ?? ?? ?? ?? 04 9B 00 93 0C E0 01 21 04 98 ?? ?? ?? ?? 04 9B 00 93 05 E0 02 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_126_4 {
	meta:
		name = "?getVdispMapType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 104
		refs = "000e ??0DName@@QAA@ABV0@@Z 0016 ??YDName@@QAAAAV0@PBD@Z 001c ?getScope@UnDecorator@@CA?AVDName@@XZ 0026 ??YDName@@QAAAAV0@ABV0@@Z 002e ??YDName@@QAAAAV0@D@Z 0060 ?gName@UnDecorator@@0PBDB 0064 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 02 A8 ?? ?? ?? ?? 14 49 02 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 99 02 A8 ?? ?? ?? ?? 7D 21 02 A8 ?? ?? ?? ?? 0B 4B 1B 68 93 F9 00 30 40 2B 04 D1 08 4B 1B 68 5A 1C 06 4B 1A 60 02 A9 08 98 ?? ?? ?? ?? 08 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_127_4 {
	meta:
		name = "?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 396
		refs = "000e ??0DName@@QAA@ABV0@@Z 0014 ?isValid@DName@@QBAHXZ 0032 ?getStorageConvention@UnDecorator@@CA?AVDName@@XZ 003e ??HDName@@QBA?AV0@D@Z 004a ??HDName@@QBA?AV0@ABV0@@Z 0054 ??4DName@@QAAAAV0@ABV0@@Z 0076 ??YDName@@QAAAAV0@PBD@Z 00a2 ?getScope@UnDecorator@@CA?AVDName@@XZ 00ae ??H@YA?AVDName@@DABV0@@Z 00c4 ??YDName@@QAAAAV0@ABV0@@Z 0120 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0128 ??YDName@@QAAAAV0@D@Z 0158 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 0180 ?gName@UnDecorator@@0PBDB 0184 ??_C@_02MDINNEEG@s?5?$AA@ 0188 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9E B0 21 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 02 90 02 9B 00 2B 00 F0 91 80 57 4B 1B 68 93 F9 00 30 00 2B 00 F0 8A 80 10 A8 ?? ?? ?? ?? 03 90 20 22 12 A9 03 98 ?? ?? ?? ?? 04 90 6A 46 14 A9 04 98 ?? ?? ?? ?? 05 90 05 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 06 90 06 9B 00 2B 6D D0 46 4B 1B 68 93 F9 00 30 40 2B 5C D0 45 49 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 07 90 07 9B 00 2B 3C D0 3D 4B 1B 68 93 F9 00 30 00 2B 36 D0 3A 4B 1B 68 93 F9 00 30 40 2B 30 D0 16 A8 ?? ?? ?? ?? 08 90 08 9A 60 21 18 A8 ?? ?? ?? ?? 09 90 27 22 1A A9 09 98 ?? ?? ?? ?? 0A 90 0A 99 68 46 ?? ?? ?? ?? 2D 4B 1B 68 93 F9 00 30 40 2B 04 D1 2A 4B 1B 68 5A 1C 29 4B 1A 60 68 46 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 09 D0 24 4B 1B 68 93 F9 00 30 40 2B 03 D0 22 49 68 46 ?? ?? ?? ?? BB E7 68 46 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 0D D0 1B 4B 1B 68 93 F9 00 30 00 2B 03 D1 01 21 68 46 ?? ?? ?? ?? 7D 21 68 46 ?? ?? ?? ?? 14 4B 1B 68 93 F9 00 30 40 2B 04 D1 11 4B 1B 68 5A 1C 10 4B 1A 60 10 E0 68 46 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 09 D0 6A 46 01 21 1C A8 ?? ?? ?? ?? 0E 90 0E 99 68 46 ?? ?? ?? ?? 69 46 20 98 ?? ?? ?? ?? 20 9B 0F 93 0F 98 1E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_128_4 {
	meta:
		name = "?getZName@UnDecorator@@CA?AVDName@@_N0@Z"
		size = 584
		refs = "000a __security_push_cookie 003a ??AReplicator@@QBA?AVDName@@H@Z 0048 ??0DName@@QAA@XZ 005c ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 0066 ??4DName@@QAAAAV0@ABV0@@Z 00a4 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 00b2 ?und_strncmp@@YAIPBD0I@Z 0102 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0106 ?haveTemplateParameters@UnDecorator@@SAHXZ 0120 ?getString@DName@@QBAPADPADH@Z 0126 atol 0136 _guard_check_icall 0150 ??4DName@@QAAAAV0@PBD@Z 0164 ??H@YA?AVDName@@PBDABV0@@Z 0170 ??HDName@@QBA?AV0@PBD@Z 017a ??YDName@@QAAAAV0@ABV0@@Z 01e0 ??0DName@@QAA@AAPBDD@Z 01fa ?isFull@Replicator@@QBAHXZ 020c ??YReplicator@@QAAAAV0@ABVDName@@@Z 0214 ??0DName@@QAA@ABV0@@Z 0220 __security_pop_cookie 022c ?pZNameList@UnDecorator@@0PAVReplicator@@A 0230 ?gName@UnDecorator@@0PBDB 0234 ??_C@_01GEODFPGF@?8?$AA@ 0238 ??_C@_01NLNLIGKH@?$GA?$AA@ 023c ?m_pGetParameter@UnDecorator@@0P6APADJ@ZA 0240 ??_C@_0O@KHGCOMHP@generic?9type?9?$AA@ 0244 ??_C@_0BE@JAEOCHPE@template?9parameter?9?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AA B0 87 4B 1B 68 93 F9 00 30 30 3B 04 93 04 9B 00 2B 11 DB 04 9B 09 2B 0E DC 81 4B 1B 68 5A 1C 80 4B 1A 60 04 9A 2E 99 7D 4B 18 68 ?? ?? ?? ?? 2E 9B 08 93 EB E0 EA E0 02 A8 ?? ?? ?? ?? 78 4B 1B 68 93 F9 00 30 3F 2B 28 D1 00 21 18 A8 ?? ?? ?? ?? 09 90 09 99 02 A8 ?? ?? ?? ?? 71 4B 1B 68 93 F9 00 10 6F 4B 1B 68 5A 1C 6D 4B 1A 60 40 29 13 D0 6B 4B 1B 68 5A 1E 6A 4B 1A 60 69 4B 1B 68 93 F9 00 30 00 2B 02 D0 02 23 05 93 01 E0 01 23 05 93 05 99 02 A8 ?? ?? ?? ?? A1 E0 13 22 65 49 60 4B 18 68 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 08 D1 61 4B 00 93 5B 4B 1B 68 03 F1 13 02 59 4B 1A 60 14 E0 0D 22 5B 49 56 4B 18 68 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 08 D1 56 4B 00 93 51 4B 1B 68 03 F1 0D 02 4F 4B 1A 60 01 E0 00 23 00 93 00 9B 00 2B 54 D0 16 A8 ?? ?? ?? ?? ?? ?? ?? ?? 0C 90 0C 9B 00 2B 36 D0 4A 4B 1B 68 00 2B 32 D0 10 22 26 A9 16 A8 ?? ?? ?? ?? 26 A8 ?? ?? ?? ?? 0D 90 0D 9C 43 4B 1B 68 06 93 06 98 ?? ?? ?? ?? 06 9B 20 46 98 47 0E 90 0E 9B 07 93 07 9B 00 2B 04 D0 07 99 02 A8 ?? ?? ?? ?? 13 E0 38 49 02 A8 ?? ?? ?? ?? 16 AA 00 99 1A A8 ?? ?? ?? ?? 0F 90 32 4A 1C A9 0F 98 ?? ?? ?? ?? 10 90 10 99 02 A8 ?? ?? ?? ?? 13 E0 2D 49 02 A8 ?? ?? ?? ?? 16 AA 00 99 1E A8 ?? ?? ?? ?? 11 90 27 4A 20 A9 11 98 ?? ?? ?? ?? 12 90 12 99 02 A8 ?? ?? ?? ?? 21 E0 9D F8 C0 30 00 2B 13 D0 1F 4B 1B 68 93 F9 00 30 40 2B 0D D1 22 A8 ?? ?? ?? ?? 13 90 13 99 02 A8 ?? ?? ?? ?? 18 4B 1B 68 5A 1C 16 4B 1A 60 09 E0 40 22 14 49 24 A8 ?? ?? ?? ?? 14 90 14 99 02 A8 ?? ?? ?? ?? 9D F8 BC 30 00 2B 0C D0 0D 4B 18 68 ?? ?? ?? ?? 15 90 15 9B 00 2B 04 D1 02 A9 08 4B 18 68 ?? ?? ?? ?? 02 A9 2E 98 ?? ?? ?? ?? 2E 9B 08 93 08 98 2A B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_129_4 {
	meta:
		name = "?haveTemplateParameters@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 03 F4 80 43 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_130_4 {
	meta:
		name = "?isArray@DName@@QBAHXZ"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 C3 F3 C0 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_131_4 {
	meta:
		name = "?isComArray@DName@@QBAHXZ"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 C3 F3 80 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_132_4 {
	meta:
		name = "?isEmpty@DName@@QBAHXZ"
		size = 44
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_133_4 {
	meta:
		name = "?isFull@Replicator@@QBAHXZ"
		size = 44
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 09 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_134_4 {
	meta:
		name = "?isNoTE@DName@@QBAHXZ"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 C3 F3 00 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_135_4 {
	meta:
		name = "?isPinPtr@DName@@QBAHXZ"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 C3 F3 40 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_136_4 {
	meta:
		name = "?isPtrRef@DName@@QBAHXZ"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 C3 F3 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_137_4 {
	meta:
		name = "?isUDC@DName@@QBAHXZ"
		size = 62
		refs = "000c ?isEmpty@DName@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 08 D1 06 9B 1B 1D 1B 68 13 F4 00 7F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_138_4 {
	meta:
		name = "?isUDTThunk@DName@@QBAHXZ"
		size = 62
		refs = "000c ?isEmpty@DName@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 08 D1 06 9B 1B 1D 1B 68 13 F4 80 6F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_139_4 {
	meta:
		name = "?isVCallThunk@DName@@QBAHXZ"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 C3 F3 C0 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_140_4 {
	meta:
		name = "?isValid@DName@@QBAHXZ"
		size = 48
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 5B B2 01 2B 02 DC 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_141_4 {
	meta:
		name = "?length@DName@@QBAHXZ"
		size = 76
		refs = "000e ?isEmpty@DName@@QBAHXZ 0030 _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 08 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 02 D0 00 23 01 93 0F E0 08 9B 1A 68 08 9B 1C 68 13 68 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 03 90 03 9B 01 93 01 98 05 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_29_142_4 {
	meta:
		name = "?length@DNameStatusNode@@UBAHXZ"
		size = 30
		altNames = "?length@pcharNode@@UBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_144_4 {
	meta:
		name = "?length@pDNameNode@@UBAHXZ"
		size = 58
		refs = "001a ?length@DName@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 68 00 2B 08 D0 06 9B 1B 1D 18 68 ?? ?? ?? ?? 01 90 01 9B 00 93 01 E0 00 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_145_4 {
	meta:
		name = "?length@pairNode@@UBAHXZ"
		size = 118
		refs = "002a _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 08 9B 0C 33 1B 68 00 2B 25 DA 08 9B 1B 1D 1A 68 08 9B 1B 1D 1C 68 13 68 1B 68 00 93 00 98 ?? ?? ?? ?? 00 9B 20 46 98 47 02 90 08 9B 08 33 1A 68 08 9B 08 33 1C 68 13 68 1B 68 01 93 01 98 ?? ?? ?? ?? 01 9B 20 46 98 47 03 90 02 9A 03 9B 1A 44 08 9B 0C 33 1A 60 08 9B 0C 33 1B 68 04 93 04 98 05 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_29_147_4 {
	meta:
		name = "?make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z"
		size = 132
		refs = "0024 ??0DNameStatusNode@@AAA@W4DNameStatus@@@Z 007c ?nodes@?1??make@DNameStatusNode@@SAPAV2@W4DNameStatus@@@Z@4PAV2@A 0080 ??_B?1??make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z@51"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 1D 4B 1B 68 13 F0 01 0F 1B D1 1A 4B 1B 68 43 F0 01 02 18 4B 1A 60 00 21 16 48 ?? ?? ?? ?? 01 21 14 4B 03 F1 0C 00 ?? ?? ?? ?? 02 21 11 4B 03 F1 18 00 ?? ?? ?? ?? 03 21 0E 4B 03 F1 24 00 ?? ?? ?? ?? 04 9B 00 2B 0A DB 04 9B 04 2B 07 DA 04 9A 0C 23 02 FB 03 F2 06 4B 13 44 00 93 02 E0 04 4B 24 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_148_4 {
	meta:
		name = "?setIsArray@DName@@QAAXXZ"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 68 43 F4 00 62 02 9B 1B 1D 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_149_4 {
	meta:
		name = "?setIsComArray@DName@@QAAXXZ"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 68 43 F4 80 42 02 9B 1B 1D 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_150_4 {
	meta:
		name = "?setIsNoTE@DName@@QAAXXZ"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 68 43 F4 80 52 02 9B 1B 1D 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_151_4 {
	meta:
		name = "?setIsPinPtr@DName@@QAAXXZ"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 68 43 F4 00 52 02 9B 1B 1D 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_152_4 {
	meta:
		name = "?setIsUDC@DName@@QAAXXZ"
		size = 50
		refs = "000c ?isEmpty@DName@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 00 2B 07 D1 04 9B 1B 1D 1B 68 43 F4 00 72 04 9B 1B 1D 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_153_4 {
	meta:
		name = "?setIsVCallThunk@DName@@QAAXXZ"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 68 43 F4 00 42 02 9B 1B 1D 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_154_4 {
	meta:
		name = "?setPtrRef@DName@@QAAAAV1@XZ"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 43 F4 80 72 04 9B 1B 1D 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_155_4 {
	meta:
		name = "?status@DName@@QBA?AW4DNameStatus@@XZ"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 5B B2 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_156_4 {
	meta:
		name = "?und_memcpy@@YAXPADPBDI@Z"
		size = 72
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 06 9B 9A 42 0F D2 00 9A 01 23 02 FB 03 F2 05 9B 99 18 00 9A 01 23 02 FB 03 F2 04 9B 1A 44 91 F9 00 30 13 70 E8 E7 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_157_4 {
	meta:
		name = "?und_strlen@@YAIPBD@Z"
		size = 56
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 04 9B 5B 1C 04 93 04 9B 93 F9 00 30 00 2B 03 D0 00 9B 5B 1C 00 93 F3 E7 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_29_158_4 {
	meta:
		name = "?und_strncmp@@YAIPBD0I@Z"
		size = 98
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 00 2B 02 D1 00 23 00 93 1F E0 06 9B 5B 1E 06 93 06 9B 00 2B 13 D0 04 9B 93 F9 00 30 00 2B 0E D0 04 9B 93 F9 00 20 05 9B 93 F9 00 30 9A 42 06 D1 04 9B 5B 1C 04 93 05 9B 5B 1C 05 93 E5 E7 04 9B 1A 78 05 9B 1B 78 D3 1A 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_29_160_4 {
	meta:
		name = "__unDName"
		size = 128
		refs = "0024 __vcrt_lock 0032 ?Constructor@_HeapManager@@QAAXP6APAXI@ZP6AXPAX@Z@Z 004c ??0UnDecorator@@QAA@PADPBDHP6APADJ@ZK@Z 0054 ??BUnDecorator@@QAAPADXZ 0060 ?Destructor@_HeapManager@@QAAXXZ 0066 __vcrt_unlock 007c ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 9B B0 6F 46 82 B0 D7 F8 84 30 00 2B 02 D1 00 23 7B 60 27 E0 00 23 3B 60 00 20 ?? ?? ?? ?? D7 F8 88 20 D7 F8 84 10 12 48 ?? ?? ?? ?? B7 F8 8C 30 01 93 00 23 00 93 D7 F8 80 30 FA 6F B9 6F 17 F1 10 00 ?? ?? ?? ?? 17 F1 10 00 ?? ?? ?? ?? B8 60 BB 68 3B 60 07 48 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 1D B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_161_4 {
	meta:
		name = "__unDName$fin$0"
		size = 16
		refs = "0006 __vcrt_unlock"
		altNames = "__unDNameEx$fin$0"
	strings:
		$1 = { 10 B5 82 B0 00 20 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_29_162_4 {
	meta:
		name = "__unDNameEx"
		size = 128
		refs = "0024 __vcrt_lock 0032 ?Constructor@_HeapManager@@QAAXP6APAXI@ZP6AXPAX@Z@Z 004e ??0UnDecorator@@QAA@PADPBDHP6APADJ@ZK@Z 0056 ??BUnDecorator@@QAAPADXZ 0062 ?Destructor@_HeapManager@@QAAXXZ 0068 __vcrt_unlock 007c ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 9B B0 6F 46 82 B0 D7 F8 84 30 00 2B 02 D1 00 23 7B 60 28 E0 00 23 3B 60 00 20 ?? ?? ?? ?? D7 F8 88 20 D7 F8 84 10 12 48 ?? ?? ?? ?? D7 F8 90 30 01 93 D7 F8 8C 30 00 93 D7 F8 80 30 FA 6F B9 6F 17 F1 10 00 ?? ?? ?? ?? 17 F1 10 00 ?? ?? ?? ?? B8 60 BB 68 3B 60 06 48 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 1D B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_1_4 {
	meta:
		name = "__vcrt_initialize_locks"
		size = 104
		refs = "002c __vcrt_InitializeCriticalSectionEx 0038 __vcrt_uninitialize_locks 0060 __vcrt_locks_initialized 0064 __vcrt_lock_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 1A D2 00 22 4F F4 7A 61 00 98 18 23 00 FB 03 F0 0E 4B 18 44 ?? ?? ?? ?? 02 90 02 9B 00 2B 05 D1 ?? ?? ?? ?? 00 23 8D F8 04 30 08 E0 06 4B 1B 68 5A 1C 05 4B 1A 60 DE E7 01 23 8D F8 04 30 9D F8 04 00 04 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_2_4 {
	meta:
		name = "__vcrt_lock"
		size = 44
		refs = "0024 __imp_EnterCriticalSection 0028 __vcrt_lock_table"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 18 23 02 FB 03 F2 05 4B 98 18 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_4_4 {
	meta:
		name = "__vcrt_unlock"
		size = 44
		refs = "0024 __imp_LeaveCriticalSection 0028 __vcrt_lock_table"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 18 23 02 FB 03 F2 05 4B 98 18 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_3_4 {
	meta:
		name = "__vcrt_uninitialize_locks"
		size = 88
		refs = "004c __vcrt_locks_initialized 0050 __imp_DeleteCriticalSection 0054 __vcrt_lock_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 10 4B 1B 68 00 93 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B 0F D9 00 9B 5A 1E 18 23 02 FB 03 F2 0B 4B 98 18 09 4B 1B 68 98 47 06 4B 1B 68 5A 1E 05 4B 1A 60 E9 E7 01 23 8D F8 04 30 9D F8 04 00 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_0_4 {
	meta:
		name = "strchr"
		size = 78
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 93 F9 00 30 00 2B 0A D0 04 9B 93 F9 00 20 05 9B 5B B2 9A 42 03 D0 04 9B 5B 1C 04 93 EF E7 04 9B 93 F9 00 20 05 9B 5B B2 9A 42 02 D1 04 9B 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_32_0_4 {
	meta:
		name = "wcsrchr"
		size = 92
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 04 9B 1A 88 04 9B 9B 1C 04 93 00 2A 00 D0 F7 E7 04 9B 9B 1E 04 93 04 9A 01 9B 9A 42 06 D0 04 9B 1A 88 BD F8 14 30 9A 42 00 D0 F1 E7 04 9B 1A 88 BD F8 14 30 9A 42 02 D1 04 9B 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_33_0_4 {
	meta:
		name = "memchr"
		size = 74
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 00 2B 0C D0 04 9B 1A 78 05 9B DB B2 9A 42 06 D0 04 9B 5B 1C 04 93 06 9B 5B 1E 06 93 EF E7 06 9B 00 2B 02 D0 04 9B 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_34_2_4 {
	meta:
		name = "set_unexpected"
		size = 56
		refs = "000a __vcrt_getptd 0016 ?get_unexpected_or_default@@YAP6AXXZQBU__vcrt_ptd@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 00 9B 1A 1D 08 9B 13 60 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_34_3_4 {
	meta:
		name = "unexpected"
		size = 48
		refs = "0008 __vcrt_getptd 0022 _guard_check_icall 002a terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 1B 1D 1B 68 00 93 00 9B 00 2B 06 D0 00 9B 01 93 01 98 ?? ?? ?? ?? 01 9B 98 47 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_35_0_4 {
	meta:
		name = "wcsstr"
		size = 126
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 07 9B 1B 88 00 2B 02 D1 06 9B 03 93 2A E0 01 9B 1B 88 00 2B 24 D0 01 9B 02 93 07 9B 00 93 02 9B 1B 88 00 2B 11 D0 00 9B 1B 88 00 2B 0D D0 02 9B 1A 88 00 9B 1B 88 D3 1A 00 2B 06 D1 02 9B 9B 1C 02 93 00 9B 9B 1C 00 93 E9 E7 00 9B 1B 88 00 2B 02 D1 01 9B 03 93 05 E0 01 9B 9B 1C 01 93 D6 E7 00 23 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_0_4 {
	meta:
		name = "memset"
		size = 106
	strings:
		$1 = { 12 1F 03 46 1A DB 11 F0 FF 01 41 EA 01 21 13 F0 03 0C 1D D1 41 EA 01 41 0C 3A 8C 46 05 DB A3 E8 02 10 10 3A A3 E8 02 10 F9 DA 08 32 02 DB A3 E8 02 10 08 3A 12 1D 01 DB 43 F8 04 1B 00 DA 12 1D 05 D0 19 70 02 2A 02 DB 59 70 C8 BF 99 70 70 47 13 F0 01 0F 02 D0 52 1E 03 F8 01 1B 13 F0 02 0F D8 D0 92 1E 23 F8 02 1B D4 E7 }
	condition:
		$1
}

rule file_37_0_4 {
	meta:
		name = "?__GetCurrentState@@YAHPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z"
		size = 80
		refs = "0024 ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 03 F1 1C 01 04 9B 1A 68 0B 68 13 44 1B 68 13 F1 02 0F 08 D1 05 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 09 E0 08 E0 06 9B 03 F1 1C 01 04 9B 1A 68 0B 68 13 44 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_37_1_4 {
	meta:
		name = "?__GetUnwindTryBlock@@YAHPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z"
		size = 58
		refs = "0012 ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 6B 46 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 00 93 08 9B 1C 33 00 9A 1B 68 13 44 1B 1D 1B 68 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_37_2_4 {
	meta:
		name = "?__SetState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z"
		size = 34
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9B 03 F1 1C 01 02 9B 1A 68 0B 68 1A 44 05 9B 13 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_37_3_4 {
	meta:
		name = "?__SetUnwindTryBlock@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z"
		size = 76
		refs = "0012 ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 6B 46 06 9A 05 99 04 98 ?? ?? ?? ?? 01 90 01 9B 1B 68 00 93 06 9B 1C 33 00 9A 1B 68 13 44 1B 1D 07 9A 1B 68 9A 42 07 DD 06 9B 1C 33 00 9A 1B 68 13 44 1A 1D 07 9B 13 60 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_37_4_4 {
	meta:
		name = "?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z"
		size = 60
		refs = "0026 ?__StateFromIp@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 1B 68 00 93 07 9B 28 33 1B 78 00 2B 02 D0 00 9B 9B 1E 00 93 00 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_37_5_4 {
	meta:
		name = "?__StateFromIp@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@H@Z"
		size = 180
		refs = "0012 terminate"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 00 D0 01 E0 ?? ?? ?? ?? 06 9B 14 33 1B 68 02 93 07 9B 1A 1D 06 9B 18 33 12 68 1B 68 13 44 00 2B 00 D0 01 E0 ?? ?? ?? ?? 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 02 9B 9A 42 17 D2 07 9B 1A 1D 06 9B 18 33 12 68 1B 68 D1 18 00 9A 08 23 02 FB 03 F3 0B 44 03 93 07 9B 1A 1D 03 9B 12 68 1B 68 1A 44 08 9B 93 42 00 D2 00 E0 E0 E7 00 9B 00 2B 03 D1 6F F0 00 03 01 93 0F E0 07 9B 1A 1D 06 9B 18 33 12 68 1B 68 D1 18 00 9B 5A 1E 08 23 02 FB 03 F3 0B 44 1B 1D 1B 68 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_38_0_4 {
	meta:
		name = "__C_specific_handler"
		size = 860
		refs = "010a __C_ExecuteExceptionFilter 013c _IsNonwritableInCurrentImage 0154 _guard_check_icall 017e _NLG_Notify 01b6 __NLG_Return2 0338 __C_ExecuteTerminationHandler 0350 __imp_RtlUnwindEx 0354 _pDestructExceptionObject"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 92 B0 19 9B 1B 1D 1B 68 05 93 19 9B 1A 68 05 9B D3 1A 06 93 19 9B 1C 33 1B 68 02 93 02 9B 1B 68 13 F0 00 4F 06 D0 02 9B 1B 68 23 F0 00 42 05 9B 13 44 02 93 19 9B 28 33 1B 78 00 2B 02 D0 06 9B 9B 1E 06 93 16 9B 1B 1D 1B 68 03 F0 66 03 00 2B 40 F0 B0 80 16 9B 10 93 18 9B 11 93 19 9B 24 33 1B 68 03 93 02 E0 03 9B 5B 1C 03 93 02 9B 03 9A 1B 68 9A 42 80 F0 9D 80 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 06 9A 1B 68 9A 42 C0 F0 90 80 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 1B 1D 06 9A 1B 68 9A 42 80 F0 83 80 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 0C 33 1B 68 00 2B 77 D0 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 08 33 1B 68 01 2B 02 D1 01 23 07 93 16 E0 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 08 33 1A 68 05 9B 13 44 0B 93 19 9B 2C 33 1B 68 0B 9A 17 99 10 A8 ?? ?? ?? ?? 0C 90 0C 9B 07 93 07 9B 00 2B 03 DA 00 23 0A 93 10 E1 4B E0 07 9B 00 2B 48 DD 16 9B 1A 68 8A 4B 9A 42 16 D1 88 4B 1B 68 00 2B 12 D0 86 48 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 0B D0 01 25 16 9C 81 4B 1B 68 09 93 09 98 ?? ?? ?? ?? 09 9B 20 46 29 46 98 47 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 0C 33 05 9A 1B 68 13 44 0E 93 01 22 17 99 0E 98 ?? ?? ?? ?? 19 9B 20 33 1B 68 01 93 19 9B 14 33 1B 68 00 93 16 9B 1B 68 16 9A 02 99 0C 1D 03 98 10 21 00 FB 01 F1 21 44 0C 31 08 68 05 99 01 44 17 98 67 4C 24 68 A0 47 ?? ?? ?? ?? 59 E7 BF E0 19 9B 10 33 1A 68 05 9B D3 1A 08 93 19 9B 24 33 1B 68 03 93 02 E0 03 9B 5B 1C 03 93 02 9B 03 9A 1B 68 9A 42 80 F0 AC 80 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 06 9A 1B 68 9A 42 C0 F0 9F 80 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 1B 1D 06 9A 1B 68 9A 42 80 F0 92 80 16 9B 1B 1D 1B 68 13 F0 20 0F 53 D0 00 23 04 93 02 E0 04 9B 5B 1C 04 93 02 9B 04 9A 1B 68 9A 42 42 D2 02 9B 19 1D 04 9A 10 23 02 FB 03 F3 0B 44 08 9A 1B 68 9A 42 36 D3 02 9B 19 1D 04 9A 10 23 02 FB 03 F3 0B 44 1B 1D 08 9A 1B 68 9A 42 2A D2 02 9B 19 1D 04 9A 10 23 02 FB 03 F3 0B 44 03 F1 0C 00 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 0C 33 02 68 1B 68 9A 42 15 D1 02 9B 19 1D 04 9A 10 23 02 FB 03 F3 0B 44 03 F1 08 00 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 08 33 02 68 1B 68 9A 42 00 D1 00 E0 B4 E7 02 9B 04 9A 1B 68 9A 42 00 D0 38 E0 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 0C 33 1B 68 00 2B 13 D0 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 0C 33 08 9A 1B 68 9A 42 06 D1 16 9B 1B 1D 1B 68 13 F0 20 0F 00 D0 1A E0 18 E0 03 9B 5A 1C 19 9B 24 33 1A 60 02 9B 19 1D 03 9A 10 23 02 FB 03 F3 0B 44 08 33 1A 68 05 9B 13 44 0F 93 19 9B 2C 33 1B 68 0F 9A 17 99 01 20 ?? ?? ?? ?? 4A E7 01 23 0A 93 0A 98 12 B0 BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? 63 73 6D E0 }
	condition:
		$1
}

rule file_8_14_5 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000EC 0009 0A0000D5"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_8_16_5 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 25
		refs = "0002 01000016 000c 0A0000EE"
	strings:
		$1 = { 06 75 ?? ?? ?? ?? 0B 07 2C 0A 07 6F ?? ?? ?? ?? 16 0D 2B 02 16 0D DC DE 0F }
	condition:
		$1
}

rule file_205_14_5 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 25
		refs = "0002 01000016 000c 0A00009C"
	strings:
		$1 = { 06 75 ?? ?? ?? ?? 0B 07 2C 0A 07 6F ?? ?? ?? ?? 16 0D 2B 02 16 0D DC DE 0F }
	condition:
		$1
}

rule file_269_14_5 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 25
		refs = "0002 01000016 000c 0A0000A4"
	strings:
		$1 = { 06 75 ?? ?? ?? ?? 0B 07 2C 0A 07 6F ?? ?? ?? ?? 16 0D 2B 02 16 0D DC DE 0F }
	condition:
		$1
}

rule file_277_28_8 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 25
		refs = "0002 01000016 000c 0A000082"
	strings:
		$1 = { 06 75 ?? ?? ?? ?? 0B 07 2C 0A 07 6F ?? ?? ?? ?? 16 0D 2B 02 16 0D DC DE 0F }
	condition:
		$1
}

rule file_1071_29_8 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 25
		refs = "0002 01000017 000c 0A0000A5"
	strings:
		$1 = { 06 75 ?? ?? ?? ?? 0B 07 2C 0A 07 6F ?? ?? ?? ?? 16 0D 2B 02 16 0D DC DE 0F }
	condition:
		$1
}

rule file_8_17_5 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 71
		refs = "0005 040000EC 000a 0A0000D5"
	strings:
		$1 = { 11 04 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 24 00 00 00 20 00 00 00 44 00 00 00 17 00 00 00 3F 00 00 01 02 00 00 00 0C 00 00 00 51 00 00 00 5D 00 00 00 0F 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_8_21_5 {
	meta:
		name = "__catch$?__get_default_appdomain@@$$FYAJPAPAUIUnknown@@@Z$0"
		size = 73
		refs = "0003 0A0000E0 0017 11000002 0023 11000001 0045 0100000B"
	strings:
		$1 = { 0C 08 28 ?? ?? ?? ?? 0B DE 00 07 16 32 1A 06 02 06 4A 1F 34 58 4A 29 ?? ?? ?? ?? 0B 06 25 4A 1E 58 4A 29 ?? ?? ?? ?? 26 07 0D 09 2A 00 41 1C 00 00 00 00 00 00 06 00 00 00 29 00 00 00 2F 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_24_5 {
	meta:
		name = "__catch$?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMP$AAVAppDomain@System@@XZ$0"
		size = 48
		refs = "0002 0A00003F 000b 0A0000DF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? DC 2B 06 08 28 ?? ?? ?? ?? 14 0B 07 2A 00 41 1C 00 00 02 00 00 00 13 00 00 00 2D 00 00 00 40 00 00 00 07 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_8_26_5 {
	meta:
		name = "__catch$?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPAX@Z0@Z$0"
		size = 42
		refs = "0007 11000001"
	strings:
		$1 = { 06 25 4A 1E 58 4A 29 ?? ?? ?? ?? 26 DC 2A 41 1C 00 00 02 00 00 00 2B 00 00 00 27 00 00 00 52 00 00 00 0D 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_8_30_5 {
	meta:
		name = "?_getFiberPtrId@@YAPAXXZ"
		size = 30
		refs = "0008 NtCurrentTeb"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 1B 1D 1B 68 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_8_55_5 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ$0"
		size = 107
		refs = "0002 0A0000EB 000b 0A0000EA 0012 0A0000A7 001b 0A0000D3 0020 0A0000EC 003f 0A0000B9 0047 0A00004C 004c 0400011F 0054 0A00004E 005a 0A00004F 0061 0A000048"
	strings:
		$1 = { 16 28 ?? ?? ?? ?? 13 07 11 04 28 ?? ?? ?? ?? 13 06 7F ?? ?? ?? ?? 11 06 11 07 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 0B 07 2D 04 17 0A 2B 09 07 11 04 33 04 17 0D 17 0A DC 06 2D 0A 20 E8 03 00 00 28 ?? ?? ?? ?? 2B B6 02 28 ?? ?? ?? ?? 7E ?? ?? ?? ?? 2C 0E 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2B 09 28 ?? ?? ?? ?? 2C 02 17 0C DE 1A }
	condition:
		$1
}

rule file_8_56_5 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ$2"
		size = 108
		refs = "0005 0A0000EB 000c 0A0000A7 0013 0A0000D1 001f 0A00004D 0025 0A000050 002b 0400011C 0031 0A000051"
	strings:
		$1 = { 09 2D 16 16 28 ?? ?? ?? ?? 13 05 7F ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 08 DC 08 2C 06 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 17 80 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2A 00 00 41 34 00 00 02 00 00 00 33 00 00 00 02 00 00 00 35 00 00 00 36 00 00 00 3F 00 00 01 02 00 00 00 30 00 00 00 70 00 00 00 A0 00 00 00 1A 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_8_59_5 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXP$AAVException@System@@@Z$1"
		size = 66
		refs = "0004 0600001D 0026 0100000B 003e 01000010"
	strings:
		$1 = { 0C 03 14 28 ?? ?? ?? ?? DE 00 2A 00 00 00 41 34 00 00 00 00 00 00 04 00 00 00 20 00 00 00 24 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 04 00 00 00 20 00 00 00 2E 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_63_5 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAAXXZ$0"
		size = 22
		refs = "0001 0400011B 0006 0A0000CF 0010 0A000053"
	strings:
		$1 = { 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 17 0A DC 02 28 ?? ?? ?? ?? DE 32 }
	condition:
		$1
}

rule file_8_64_5 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAAXXZ$2"
		size = 25
		refs = "0007 06000040 000d 06000045 0013 0600001F"
	strings:
		$1 = { 0B 06 2C 07 02 07 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? DE 19 }
	condition:
		$1
}

rule file_8_65_5 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAAXXZ$3"
		size = 103
		refs = "0007 06000040 000d 06000045 0013 0600001F 004b 0100000B 0063 01000010"
	strings:
		$1 = { 0C 06 2C 07 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 41 4C 00 00 02 00 00 00 1C 00 00 00 02 00 00 00 1E 00 00 00 0E 00 00 00 3F 00 00 01 00 00 00 00 0B 00 00 00 29 00 00 00 34 00 00 00 19 00 00 00 ?? ?? ?? ?? 00 00 00 00 0B 00 00 00 29 00 00 00 4D 00 00 00 19 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_67_5 {
	meta:
		name = "?.cctor@@YMXXZ"
		size = 16
		refs = "000c __mep@?.cctor@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_3_5 {
	meta:
		name = "??_L@YMXPAXIHP6MX0@Z1@Z"
		size = 16
		refs = "000c __mep@??_L@$$FYMXPAXIHP6MX0@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_1_5 {
	meta:
		name = "??_L@YMXPAXIIP6MX0@Z1@Z"
		size = 16
		refs = "000c __mep@??_L@$$FYMXPAXIIP6MX0@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_6_5 {
	meta:
		name = "??_M@YMXPAXIHP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??_M@$$FYMXPAXIHP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_4_5 {
	meta:
		name = "??_M@YMXPAXIIP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??_M@$$FYMXPAXIIP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_174_3_5 {
	meta:
		name = "??_N@YMXPAXIHP6MX0@Z1@Z"
		size = 16
		refs = "000c __mep@??_N@$$FYMXPAXIHP6MX0@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_174_1_5 {
	meta:
		name = "??_N@YMXPAXIIP6MX0@Z1@Z"
		size = 16
		refs = "000c __mep@??_N@$$FYMXPAXIIP6MX0@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_177_3_5 {
	meta:
		name = "??__C@YMXPAX0IHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??__C@$$FYMXPAX0IHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_177_1_5 {
	meta:
		name = "??__C@YMXPAX0IIP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??__C@$$FYMXPAX0IIP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_123_3_5 {
	meta:
		name = "??__D@YMXPAX0IHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??__D@$$FYMXPAX0IHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_123_1_5 {
	meta:
		name = "??__D@YMXPAX0IIP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??__D@$$FYMXPAX0IIP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_7_5 {
	meta:
		name = "?ArrayUnwindFilter@?A0x6d90d867@@YAHPAU_EXCEPTION_POINTERS@@@Z"
		size = 16
		refs = "000c __mep@?ArrayUnwindFilter@?A0x6d90d867@@$$FYAHPAU_EXCEPTION_POINTERS@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_1_5 {
	meta:
		name = "?WinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "000c __mep@?WinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_6_5 {
	meta:
		name = "?_Facet_Register_m@std@@YAXPAV_Facet_base@1@@Z"
		size = 16
		refs = "000c __mep@?_Facet_Register_m@std@@$$FYAXPAV_Facet_base@1@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_2_5 {
	meta:
		name = "?__ArrayUnwind@@YMXPAXIIP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@?__ArrayUnwind@@$$FYMXPAXIIP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_48_5 {
	meta:
		name = "?__alloc_global_lock@?A0x84f2cb61@@YA_NXZ"
		size = 16
		refs = "000c __mep@?__alloc_global_lock@?A0x84f2cb61@@$$FYA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_45_5 {
	meta:
		name = "?__dealloc_global_lock@?A0x84f2cb61@@YAXXZ"
		size = 16
		refs = "000c __mep@?__dealloc_global_lock@?A0x84f2cb61@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_43_5 {
	meta:
		name = "?__global_lock@?A0x84f2cb61@@YA_NXZ"
		size = 16
		refs = "000c __mep@?__global_lock@?A0x84f2cb61@@$$FYA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_44_5 {
	meta:
		name = "?__global_unlock@?A0x84f2cb61@@YA_NXZ"
		size = 16
		refs = "000c __mep@?__global_unlock@?A0x84f2cb61@@$$FYA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_5_5 {
	meta:
		name = "?__init_cmdline@?A0x08501a4a@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?__init_cmdline@?A0x08501a4a@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_122_5_5 {
	meta:
		name = "?__set_managed_app_type@?A0x3806648a@@YMXXZ"
		size = 16
		refs = "000c __mep@?__set_managed_app_type@?A0x3806648a@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_5_5 {
	meta:
		name = "?__winit_cmdline@?A0x091a2d4d@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?__winit_cmdline@?A0x091a2d4d@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_6_5 {
	meta:
		name = "?_common_init@?A0x08501a4a@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0x08501a4a@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_6_5 {
	meta:
		name = "?_common_init@?A0x091a2d4d@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0x091a2d4d@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_122_6_5 {
	meta:
		name = "?_common_init@?A0x3806648a@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0x3806648a@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_4_5 {
	meta:
		name = "?_common_init@?A0x7070bcd4@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0x7070bcd4@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_4_5 {
	meta:
		name = "?_common_init@?A0xee156340@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0xee156340@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_269_21_5 {
	meta:
		name = "?_initterm@@YMXPAP6AXXZ0@Z"
		size = 16
		refs = "000c __mep@?_initterm@@$$FYMXPAP6AXXZ0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_269_19_5 {
	meta:
		name = "?_initterm_e@@YMHPAP6AHXZ0@Z"
		size = 16
		refs = "000c __mep@?_initterm_e@@$$FYMHPAP6AHXZ0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_269_27_5 {
	meta:
		name = "?_initterm_m@@YMXPBQ6MPBXXZ0@Z"
		size = 16
		refs = "000c __mep@?_initterm_m@@$$FYMXPBQ6MPBXXZ0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_59_1_5 {
	meta:
		name = "?_lfind@@YMPAXPBX0PAIIP6MH00@Z@Z"
		size = 16
		refs = "000c __mep@?_lfind@@$$FYMPAXPBX0PAIIP6MH00@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_59_3_5 {
	meta:
		name = "?_lfind_s@@YMPAXPBX0PAIIP6MHPAX00@Z2@Z"
		size = 16
		refs = "000c __mep@?_lfind_s@@$$FYMPAXPBX0PAIIP6MHPAX00@Z2@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_1_5 {
	meta:
		name = "?_lsearch@@YMPAXPBXPAXPAIIP6MH00@Z@Z"
		size = 16
		refs = "000c __mep@?_lsearch@@$$FYMPAXPBXPAXPAIIP6MH00@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_3_5 {
	meta:
		name = "?_lsearch_s@@YMPAXPBXPAXPAIIP6MH100@Z1@Z"
		size = 16
		refs = "000c __mep@?_lsearch_s@@$$FYMPAXPBXPAXPAIIP6MH100@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_1_5 {
	meta:
		name = "?bsearch@@YMPAXPBX0IIP6MH00@Z@Z"
		size = 16
		refs = "000c __mep@?bsearch@@$$FYMPAXPBX0IIP6MH00@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_3_5 {
	meta:
		name = "?bsearch_s@@YMPAXPBX0IIP6MHPAX00@Z1@Z"
		size = 16
		refs = "000c __mep@?bsearch_s@@$$FYMPAXPBX0IIP6MHPAX00@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_4_5 {
	meta:
		name = "?mainCRTStartup@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?mainCRTStartup@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_122_1_5 {
	meta:
		name = "?mainCRTStartupStrArray@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?mainCRTStartupStrArray@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_3_5 {
	meta:
		name = "?qsort@@YMXPAXIIP6MHPBX1@Z@Z"
		size = 16
		refs = "000c __mep@?qsort@@$$FYMXPAXIIP6MHPBX1@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_6_5 {
	meta:
		name = "?qsort_s@@YMXPAXIIP6MH0PBX1@Z0@Z"
		size = 16
		refs = "000c __mep@?qsort_s@@$$FYMXPAXIIP6MH0PBX1@Z0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_8_5 {
	meta:
		name = "?shortsort@?A0xcafeb4ac@@YMXPAD0IP6MHPBX1@Z@Z"
		size = 16
		refs = "000c __mep@?shortsort@?A0xcafeb4ac@@$$FYMXPAD0IP6MHPBX1@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_9_5 {
	meta:
		name = "?shortsort_s@?A0xcafeb4ac@@YMXPAD0IP6MHPAXPBX2@ZQAX@Z"
		size = 16
		refs = "000c __mep@?shortsort_s@?A0xcafeb4ac@@$$FYMXPAD0IP6MHPAXPBX2@ZQAX@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_7_5 {
	meta:
		name = "?swap@?A0xcafeb4ac@@YMXPAD0I@Z"
		size = 16
		refs = "000c __mep@?swap@?A0xcafeb4ac@@$$FYMXPAD0I@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_1_5 {
	meta:
		name = "?wWinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "000c __mep@?wWinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_4_5 {
	meta:
		name = "?wmainCRTStartup@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?wmainCRTStartup@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_205_21_5 {
	meta:
		name = "_Init_thread_abort_m"
		size = 16
		refs = "000c __mep@?_Init_thread_abort_m@@$$J0YMXPCH@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_205_23_5 {
	meta:
		name = "_Init_thread_footer_m"
		size = 16
		refs = "000c __mep@?_Init_thread_footer_m@@$$J0YMXPCH@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_205_19_5 {
	meta:
		name = "_Init_thread_header_m"
		size = 16
		refs = "000c __mep@?_Init_thread_header_m@@$$J0YMXPCH@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_139_3_5 {
	meta:
		name = "___CxxCallUnwindDelDtor"
		size = 16
		refs = "000c __mep@?___CxxCallUnwindDelDtor@@$$J0YMXP6MXPAX@Z0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_139_1_5 {
	meta:
		name = "___CxxCallUnwindDtor"
		size = 16
		refs = "000c __mep@?___CxxCallUnwindDtor@@$$J0YMXP6MXPAX@Z0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_139_5_5 {
	meta:
		name = "___CxxCallUnwindVecDtor"
		size = 16
		refs = "000c __mep@?___CxxCallUnwindVecDtor@@$$J0YMXP6MXPAXIHP6MX0@Z@Z0IH1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_269_30_5 {
	meta:
		name = "__t2m@??$ResolveMethod@$$A6MPBXXZ@ThisModule@<CrtImplementationDetails>@@SMP6MPBXXZP6MPBXXZ@Z"
		size = 16
		refs = "000c __mep@??$ResolveMethod@$$A6MPBXXZ@ThisModule@<CrtImplementationDetails>@@$$FSMP6MPBXXZP6MPBXXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_92_5 {
	meta:
		name = "__t2m@??0?$gcroot@P$AAVString@System@@@@QAA@XZ"
		size = 16
		refs = "000c __mep@??0?$gcroot@P$AAVString@System@@@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_102_5 {
	meta:
		name = "__t2m@??0LanguageSupport@<CrtImplementationDetails>@@QAA@XZ"
		size = 16
		refs = "000c __mep@??0LanguageSupport@<CrtImplementationDetails>@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_8_5 {
	meta:
		name = "__t2m@??0_Fac_node@std@@QAA@PAU01@PAV_Facet_base@1@@Z"
		size = 16
		refs = "000c __mep@??0_Fac_node@std@@$$FQAA@PAU01@PAV_Facet_base@1@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_91_5 {
	meta:
		name = "__t2m@??1?$gcroot@P$AAVString@System@@@@QAA@XZ"
		size = 16
		refs = "000c __mep@??1?$gcroot@P$AAVString@System@@@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_103_5 {
	meta:
		name = "__t2m@??1LanguageSupport@<CrtImplementationDetails>@@QAA@XZ"
		size = 16
		refs = "000c __mep@??1LanguageSupport@<CrtImplementationDetails>@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_9_5 {
	meta:
		name = "__t2m@??1_Fac_node@std@@QAA@XZ"
		size = 16
		refs = "000c __mep@??1_Fac_node@std@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_13_5 {
	meta:
		name = "__t2m@??1_Fac_tidy_reg_t@std@@QAA@XZ"
		size = 16
		refs = "000c __mep@??1_Fac_tidy_reg_t@std@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_10_5 {
	meta:
		name = "__t2m@??2_Fac_node@std@@SAPAXI@Z"
		size = 16
		refs = "000c __mep@??2_Fac_node@std@@$$FSAPAXI@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_11_5 {
	meta:
		name = "__t2m@??3_Fac_node@std@@SAXPAX@Z"
		size = 16
		refs = "000c __mep@??3_Fac_node@std@@$$FSAXPAX@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_90_5 {
	meta:
		name = "__t2m@??4?$gcroot@P$AAVString@System@@@@QAMAAU0@P$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@??4?$gcroot@P$AAVString@System@@@@$$FQAMAAU0@P$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_17_5 {
	meta:
		name = "__t2m@???__E?A0x20acd70d@_Fac_tidy_reg@std@@YMXXZ@?A0x20acd70d@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?A0x20acd70d@_Fac_tidy_reg@std@@YMXXZ@?A0x20acd70d@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_112_5 {
	meta:
		name = "__t2m@???__E?Initialized@CurrentDomain@<CrtImplementationDetails>@@$$Q2HA@@YMXXZ@?A0xb08f4746@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?Initialized@CurrentDomain@<CrtImplementationDetails>@@$$Q2HA@@YMXXZ@?A0xb08f4746@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_116_5 {
	meta:
		name = "__t2m@???__E?InitializedNative@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb08f4746@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?InitializedNative@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb08f4746@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_118_5 {
	meta:
		name = "__t2m@???__E?InitializedPerAppDomain@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb08f4746@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?InitializedPerAppDomain@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb08f4746@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_117_5 {
	meta:
		name = "__t2m@???__E?InitializedPerProcess@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb08f4746@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?InitializedPerProcess@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb08f4746@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_115_5 {
	meta:
		name = "__t2m@???__E?InitializedVtables@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb08f4746@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?InitializedVtables@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb08f4746@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_114_5 {
	meta:
		name = "__t2m@???__E?IsDefaultDomain@CurrentDomain@<CrtImplementationDetails>@@$$Q2_NA@@YMXXZ@?A0xb08f4746@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?IsDefaultDomain@CurrentDomain@<CrtImplementationDetails>@@$$Q2_NA@@YMXXZ@?A0xb08f4746@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_113_5 {
	meta:
		name = "__t2m@???__E?Uninitialized@CurrentDomain@<CrtImplementationDetails>@@$$Q2HA@@YMXXZ@?A0xb08f4746@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?Uninitialized@CurrentDomain@<CrtImplementationDetails>@@$$Q2HA@@YMXXZ@?A0xb08f4746@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_16_5 {
	meta:
		name = "__t2m@???__F?A0x20acd70d@_Fac_tidy_reg@std@@YMXXZ@?A0x20acd70d@@YMXXZ"
		size = 16
		refs = "000c __mep@???__F?A0x20acd70d@_Fac_tidy_reg@std@@YMXXZ@?A0x20acd70d@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_89_5 {
	meta:
		name = "__t2m@??B?$gcroot@P$AAVString@System@@@@QBMP$AAVString@System@@XZ"
		size = 16
		refs = "000c __mep@??B?$gcroot@P$AAVString@System@@@@$$FQBMP$AAVString@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_12_5 {
	meta:
		name = "__t2m@??_G_Fac_node@std@@QAAPAXI@Z"
		size = 16
		refs = "000c __mep@??_G_Fac_node@std@@$$FQAAPAXI@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_47_5 {
	meta:
		name = "__t2m@?AddRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?AddRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_101_5 {
	meta:
		name = "__t2m@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@AAMXP$AAVException@System@@@Z"
		size = 16
		refs = "000c __mep@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXP$AAVException@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_76_5 {
	meta:
		name = "__t2m@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@YAXP6AJPAX@Z0@Z"
		size = 16
		refs = "000c __mep@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPAX@Z0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_79_5 {
	meta:
		name = "__t2m@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@CAJPAX@Z"
		size = 16
		refs = "000c __mep@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@$$FCAJPAX@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_88_5 {
	meta:
		name = "__t2m@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@CMXP$AAVObject@System@@P$AAVEventArgs@4@@Z"
		size = 16
		refs = "000c __mep@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@$$FCMXP$AAVObject@System@@P$AAVEventArgs@4@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_41_5 {
	meta:
		name = "__t2m@?Enter@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?Enter@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_42_5 {
	meta:
		name = "__t2m@?Exit@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?Exit@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_72_5 {
	meta:
		name = "__t2m@?FromGUID@<CrtImplementationDetails>@@YM?AVGuid@System@@ABU_GUID@@@Z"
		size = 16
		refs = "000c __mep@?FromGUID@<CrtImplementationDetails>@@$$FYM?AVGuid@System@@ABU_GUID@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_75_5 {
	meta:
		name = "__t2m@?GetDefaultDomain@<CrtImplementationDetails>@@YMP$AAVAppDomain@System@@XZ"
		size = 16
		refs = "000c __mep@?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMP$AAVAppDomain@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_269_29_5 {
	meta:
		name = "__t2m@?Handle@ThisModule@<CrtImplementationDetails>@@CM?AVModuleHandle@System@@XZ"
		size = 16
		refs = "000c __mep@?Handle@ThisModule@<CrtImplementationDetails>@@$$FCM?AVModuleHandle@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_81_5 {
	meta:
		name = "__t2m@?HasNative@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?HasNative@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_80_5 {
	meta:
		name = "__t2m@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_84_5 {
	meta:
		name = "__t2m@?Initialize@DefaultDomain@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?Initialize@DefaultDomain@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_104_5 {
	meta:
		name = "__t2m@?Initialize@LanguageSupport@<CrtImplementationDetails>@@QAAXXZ"
		size = 16
		refs = "000c __mep@?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_95_5 {
	meta:
		name = "__t2m@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_96_5 {
	meta:
		name = "__t2m@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_98_5 {
	meta:
		name = "__t2m@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_97_5 {
	meta:
		name = "__t2m@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_99_5 {
	meta:
		name = "__t2m@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_94_5 {
	meta:
		name = "__t2m@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_39_5 {
	meta:
		name = "__t2m@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_82_5 {
	meta:
		name = "__t2m@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_83_5 {
	meta:
		name = "__t2m@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_71_5 {
	meta:
		name = "__t2m@?RegisterModuleUninitializer@<CrtImplementationDetails>@@YMXP$AAVEventHandler@System@@@Z"
		size = 16
		refs = "000c __mep@?RegisterModuleUninitializer@<CrtImplementationDetails>@@$$FYMXP$AAVEventHandler@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_40_5 {
	meta:
		name = "__t2m@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_69_5 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_70_5 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXP$AAVString@System@@P$AAVException@3@@Z"
		size = 16
		refs = "000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXP$AAVString@System@@P$AAVException@3@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_93_5 {
	meta:
		name = "__t2m@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@YMXP$AAVException@System@@0@Z"
		size = 16
		refs = "000c __mep@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@$$FYMXP$AAVException@System@@0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_85_5 {
	meta:
		name = "__t2m@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "000c __mep@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_87_5 {
	meta:
		name = "__t2m@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "000c __mep@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_100_5 {
	meta:
		name = "__t2m@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_86_5 {
	meta:
		name = "__t2m@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAJPAX@Z"
		size = 16
		refs = "000c __mep@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAJPAX@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_73_5 {
	meta:
		name = "__t2m@?__get_default_appdomain@@YAJPAPAUIUnknown@@@Z"
		size = 16
		refs = "000c __mep@?__get_default_appdomain@@$$FYAJPAPAUIUnknown@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_74_5 {
	meta:
		name = "__t2m@?__release_appdomain@@YAXPAUIUnknown@@@Z"
		size = 16
		refs = "000c __mep@?__release_appdomain@@$$FYAXPAUIUnknown@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_77_5 {
	meta:
		name = "__t2m@?__scrt_is_safe_for_managed_code@@YA_NXZ"
		size = 16
		refs = "000c __mep@?__scrt_is_safe_for_managed_code@@$$FYA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_35_5 {
	meta:
		name = "__t2m@?_handle@AtExitLock@<CrtImplementationDetails>@@CMP$AA__ZVGCHandle@InteropServices@Runtime@System@@XZ"
		size = 16
		refs = "000c __mep@?_handle@AtExitLock@<CrtImplementationDetails>@@$$FCMP$AA__ZVGCHandle@InteropServices@Runtime@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_46_5 {
	meta:
		name = "__t2m@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@CMXP$AAVObject@System@@@Z"
		size = 16
		refs = "000c __mep@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@$$FCMXP$AAVObject@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_38_5 {
	meta:
		name = "__t2m@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "000c __mep@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_37_5 {
	meta:
		name = "__t2m@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@CMP$AAVObject@System@@XZ"
		size = 16
		refs = "000c __mep@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@$$FCMP$AAVObject@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_36_5 {
	meta:
		name = "__t2m@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@CMXP$AAVObject@System@@@Z"
		size = 16
		refs = "000c __mep@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@$$FCMXP$AAVObject@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_21_5 {
	meta:
		name = "_app_exit_callback"
		size = 16
		refs = "000c __mep@?_app_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_15_5 {
	meta:
		name = "_atexit_helper"
		size = 16
		refs = "000c __mep@?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_19_5 {
	meta:
		name = "_atexit_m"
		size = 16
		refs = "000c __mep@?_atexit_m@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_23_5 {
	meta:
		name = "_atexit_m_appdomain"
		size = 16
		refs = "000c __mep@?_atexit_m_appdomain@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_17_5 {
	meta:
		name = "_exit_callback"
		size = 16
		refs = "000c __mep@?_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_32_5 {
	meta:
		name = "_initatexit_app_domain"
		size = 16
		refs = "000c __mep@?_initatexit_app_domain@@$$J0YMHXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_28_5 {
	meta:
		name = "_initatexit_m"
		size = 16
		refs = "000c __mep@?_initatexit_m@@$$J0YMHXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_30_5 {
	meta:
		name = "_onexit_m"
		size = 16
		refs = "000c __mep@?_onexit_m@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_34_5 {
	meta:
		name = "_onexit_m_appdomain"
		size = 16
		refs = "000c __mep@?_onexit_m_appdomain@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_2_5 {
	meta:
		name = "?_mixed_pre_c_init@?A0x08501a4a@@YAHXZ"
		size = 76
		refs = "000a __scrt_initialize_onexit_tables 001c __scrt_fastfail 002a __setusermatherr 002e _RTC_Initialize 0032 ?_common_init@?A0x08501a4a@@YAXXZ 0044 _matherr 0048 __scrt_default_matherr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? 09 4B 1B 68 00 2B 02 D1 06 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 23 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_2_5 {
	meta:
		name = "?_mixed_pre_c_init@?A0x091a2d4d@@YAHXZ"
		size = 76
		refs = "000a __scrt_initialize_onexit_tables 001c __scrt_fastfail 002a __setusermatherr 002e _RTC_Initialize 0032 ?_common_init@?A0x091a2d4d@@YAXXZ 0044 _matherr 0048 __scrt_default_matherr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? 09 4B 1B 68 00 2B 02 D1 06 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 23 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_122_4_5 {
	meta:
		name = "?_mixed_pre_c_init@?A0x3806648a@@YAHXZ"
		size = 76
		refs = "000a __scrt_initialize_onexit_tables 001c __scrt_fastfail 002a __setusermatherr 002e _RTC_Initialize 0032 ?_common_init@?A0x3806648a@@YAXXZ 0044 _matherr 0048 __scrt_default_matherr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? 09 4B 1B 68 00 2B 02 D1 06 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 23 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_3_5 {
	meta:
		name = "?_mixed_pre_c_init@?A0x7070bcd4@@YAHXZ"
		size = 76
		refs = "000a __scrt_initialize_onexit_tables 001c __scrt_fastfail 002a __setusermatherr 002e _RTC_Initialize 0032 ?_common_init@?A0x7070bcd4@@YAXXZ 0044 _matherr 0048 __scrt_default_matherr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? 09 4B 1B 68 00 2B 02 D1 06 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 23 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_3_5 {
	meta:
		name = "?_mixed_pre_c_init@?A0xee156340@@YAHXZ"
		size = 76
		refs = "000a __scrt_initialize_onexit_tables 001c __scrt_fastfail 002a __setusermatherr 002e _RTC_Initialize 0032 ?_common_init@?A0xee156340@@YAXXZ 0044 _matherr 0048 __scrt_default_matherr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 07 20 ?? ?? ?? ?? 09 4B 1B 68 00 2B 02 D1 06 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 23 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_12_5 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$0"
		size = 89
		refs = "000a 0A0000F1 0012 0A0000F0 001b 0A0000EF 0024 0A0000F2 004a 0A0000E1"
	strings:
		$1 = { 26 12 07 03 4A 1A 5A 1E 58 28 ?? ?? ?? ?? 12 06 07 28 ?? ?? ?? ?? 11 06 11 07 28 ?? ?? ?? ?? 13 0A 12 0A 28 ?? ?? ?? ?? 06 58 07 59 0A 12 0A 28 ?? ?? ?? ?? 0B 03 25 4A 1A 58 54 DE 00 06 02 54 06 1A 58 0A 02 13 05 05 07 28 ?? ?? ?? ?? 54 04 06 28 ?? ?? ?? ?? 54 DE 03 }
	condition:
		$1
}

rule file_1739_24_8 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$0"
		size = 89
		refs = "000a 0A00009F 0012 0A00009E 001b 0A00009D 0024 0A0000A0 004a 0A00008F"
	strings:
		$1 = { 26 12 07 03 4A 1A 5A 1E 58 28 ?? ?? ?? ?? 12 06 07 28 ?? ?? ?? ?? 11 06 11 07 28 ?? ?? ?? ?? 13 0A 12 0A 28 ?? ?? ?? ?? 06 58 07 59 0A 12 0A 28 ?? ?? ?? ?? 0B 03 25 4A 1A 58 54 DE 00 06 02 54 06 1A 58 0A 02 13 05 05 07 28 ?? ?? ?? ?? 54 04 06 28 ?? ?? ?? ?? 54 DE 03 }
	condition:
		$1
}

rule file_56_14_5 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$3"
		size = 99
		refs = "0001 0A000069 002f 0100000C"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 05 2D 03 15 2B 01 16 13 04 11 04 2A 00 00 00 41 4C 00 00 00 00 00 00 37 00 00 00 68 00 00 00 9F 00 00 00 3D 00 00 00 ?? ?? ?? ?? 00 00 00 00 19 00 00 00 DF 00 00 00 F8 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 19 00 00 00 E8 00 00 00 01 01 00 00 07 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_205_12_5 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000ED 0009 0A00008E"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 36 00 00 01 }
	condition:
		$1
}

rule file_205_15_5 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 71
		refs = "0005 040000ED 000a 0A00008E"
	strings:
		$1 = { 11 04 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 24 00 00 00 20 00 00 00 44 00 00 00 17 00 00 00 36 00 00 01 02 00 00 00 0C 00 00 00 51 00 00 00 5D 00 00 00 0F 00 00 00 36 00 00 01 }
	condition:
		$1
}

rule file_269_12_5 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000F6 0009 0A000094"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 39 00 00 01 }
	condition:
		$1
}

rule file_269_15_5 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 71
		refs = "0005 040000F6 000a 0A000094"
	strings:
		$1 = { 11 04 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 24 00 00 00 20 00 00 00 44 00 00 00 17 00 00 00 39 00 00 01 02 00 00 00 0C 00 00 00 51 00 00 00 5D 00 00 00 0F 00 00 00 39 00 00 01 }
	condition:
		$1
}

rule file_1304_3_6 {
	meta:
		name = "??2_Fac_node@std@@SAPAXI@Z"
		size = 88
		refs = "004c __imp_?_Xbad_alloc@std@@YAXXZ 0050 __imp__malloc_dbg 0054 ??_C@_0CM@OKINAFCK@f?3?2dd?2vctools?2crt?2crtw32?2stdcpp?2@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 08 9B 00 2B 02 D9 08 9B 00 93 01 E0 01 23 00 93 22 23 0D 4A 02 21 00 98 0A 4C 24 68 A0 47 02 90 02 9B 01 93 01 9B 00 2B 02 D1 05 4B 1B 68 98 47 01 9B 03 93 03 98 05 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1304_4_6 {
	meta:
		name = "??3_Fac_node@std@@SAXPAX@Z"
		size = 32
		refs = "001c __imp__free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 21 02 98 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_0_7 {
	meta:
		name = "DllMain"
		size = 56
		refs = "0030 __imp_DisableThreadLibraryCalls 0034 _pRawDllMain"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 01 2B 07 D1 08 4B 1B 68 00 2B 03 D1 04 98 05 4B 1B 68 98 47 01 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_67_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DD 000e 0A0000BD"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_342_69_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DF 000e 0A0000BD"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_511_69_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000E1 000e 0A0000BE"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_609_101_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000EF 000e 0A0000CE"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_676_67_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DF 000e 0A0000BD"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_793_72_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000F3 000e 0A0000D4"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1242_69_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DF 000e 0A0000BD"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1379_69_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DF 000e 0A0000BE"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1760_69_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000E1 000e 0A0000BD"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1768_78_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000E4 000e 0A0000C6"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1794_69_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DF 000e 0A0000BE"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_10_68_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000DF"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_342_70_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000E1"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_511_70_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000E3"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_676_68_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000E1"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1760_70_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000E3"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_79_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000E6"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1794_70_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000E1"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_10_432_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DD 000b 04000142 0011 0A0000C4 0016 060000DF 0020 060000EC 0035 0600012A 003f 060000BC 0047 04000172 004c 0A000044 0061 11000021 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_284_494_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DD 000b 0400022A 0011 040002CA 0016 060000DD 0020 060000EA 0035 060002BF 003f 060000BA 0047 0400016E 004c 0A000044 0061 11000021 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_676_500_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 04000237 0011 040002D7 0016 060000DF 0020 060000EC 0035 060002C6 003f 060000BC 0047 04000175 004c 0A000044 0061 11000021 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_10_497_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DD 000b 0400022E 0011 040002CB 0016 060000DF 0020 060000EC 0035 060002C3 003f 060000BC 0047 04000172 004c 0A000044 0061 11000021 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_526_496_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DD 000b 0400022D 0011 040002CB 0016 060000DF 0020 060000EC 0035 060002C3 003f 060000BC 0047 0400016D 004c 0A000044 0061 11000021 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_793_465_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000F3 000b 0400028D 0011 0400032B 0016 060000FF 0020 0600010D 0035 060001E4 003f 060000DB 0047 040001D2 004c 0A000051 0061 11000021 0067 0A0000D6"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_342_437_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 040001E1 0011 0A0000DB 0016 060000DF 0020 060000EC 0035 0600011D 003f 060000BD 0047 0400016C 004c 0A000044 0061 11000020 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_725_438_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 040001E5 0011 0A0000DB 0016 060000DF 0020 060000EC 0035 0600011D 003f 060000BD 0047 0400016E 004c 0A000044 0061 11000020 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1242_437_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 040001DF 0011 0A0000DC 0016 060000DF 0020 060000EC 0035 0600011D 003f 060000BD 0047 04000167 004c 0A000044 0061 11000020 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_939_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 04000350 0011 0A0000EC 0016 060000FA 0020 06000108 0035 0600013A 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1760_441_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E1 000b 040001EC 0011 0A0000DC 0016 060000DF 0020 060000EC 0035 0600011D 003f 060000BD 0047 04000172 004c 0A000044 0061 11000020 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1794_437_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 040002C2 0011 0A0000CC 0016 060000DF 0020 060000EC 0035 06000112 003f 060000BD 0047 0400016F 004c 0A000044 0061 11000020 0067 0A0000C0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1379_437_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 040002C2 0011 0A0000CC 0016 060000DF 0020 060000EC 0035 06000112 003f 060000BD 0047 04000171 004c 0A000044 0061 11000020 0067 0A0000C0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_915_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040004A7 0011 0A0000DB 0016 060000FA 0020 06000108 0035 0600012E 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1608_438_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 040002C4 0011 0A0000CC 0016 060000DF 0020 060000EC 0035 06000112 003f 060000BD 0047 0400016F 004c 0A000044 0061 11000020 0067 0A0000C0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_511_441_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E1 000b 040002D2 0011 0A0000CC 0016 060000DF 0020 060000EC 0035 06000112 003f 060000BD 0047 04000179 004c 0A000044 0061 11000020 0067 0A0000C0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_706_8 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMABV?$collate@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 040002AE 0011 0400036B 0016 060000ED 0020 060000FB 0035 06000202 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1368_8 {
	meta:
		name = "__catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMABV?$collate@G@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040002AE 0011 040004A0 0016 060000FA 0020 06000108 0035 06000221 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1365_8 {
	meta:
		name = "__catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMABV?$collate@_W@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 0400049C 0011 0400049F 0016 060000FA 0020 06000108 0035 06000278 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_793_447_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000F3 000b 0400019F 0011 0A0000D9 0016 060000FF 0020 0600010D 0035 0600014A 003f 060000DB 0047 040001D2 004c 0A000051 0061 11000021 0067 0A0000D6"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_513_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 040001B7 0011 0A0000CB 0016 060000ED 0020 060000FB 0035 0600013A 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_526_431_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DD 000b 04000140 0011 0A0000C3 0016 060000DF 0020 060000EC 0035 0600012A 003f 060000BC 0047 0400016D 004c 0A000044 0061 11000021 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_676_435_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 04000148 0011 0A0000C5 0016 060000DF 0020 060000EC 0035 0600012A 003f 060000BC 0047 04000175 004c 0A000044 0061 11000021 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_284_429_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DD 000b 04000142 0011 0A0000C4 0016 060000DD 0020 060000EA 0035 06000128 003f 060000BA 0047 0400016E 004c 0A000044 0061 11000021 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_918_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 04000437 0011 0A0000DD 0016 060000FA 0020 06000108 0035 06000175 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1242_446_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 0400027E 0011 0A0000CD 0016 060000DF 0020 060000EC 0035 06000152 003f 060000BD 0047 04000167 004c 0A000044 0061 11000020 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1760_450_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E1 000b 0400028B 0011 0A0000CD 0016 060000DF 0020 060000EC 0035 06000152 003f 060000BD 0047 04000172 004c 0A000044 0061 11000020 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_725_447_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 04000281 0011 0A0000CC 0016 060000DF 0020 060000EC 0035 06000152 003f 060000BD 0047 0400016E 004c 0A000044 0061 11000020 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_342_446_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 0400027F 0011 0A0000CC 0016 060000DF 0020 060000EC 0035 06000152 003f 060000BD 0047 0400016C 004c 0A000044 0061 11000020 0067 0A0000BF"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1379_446_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 0400025E 0011 0A0000BD 0016 060000DF 0020 060000EC 0035 0600013F 003f 060000BD 0047 04000171 004c 0A000044 0061 11000020 0067 0A0000C0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1608_447_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000DF 000b 0400025B 0011 0A0000BD 0016 060000DF 0020 060000EC 0035 0600013F 003f 060000BD 0047 0400016F 004c 0A000044 0061 11000020 0067 0A0000C0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_511_450_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E1 000b 04000269 0011 0A0000BD 0016 060000DF 0020 060000EC 0035 0600013F 003f 060000BD 0047 04000179 004c 0A000044 0061 11000020 0067 0A0000C0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_894_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040003F2 0011 0A0000CD 0016 060000FA 0020 06000108 0035 0600015E 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_525_8 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMABV?$messages@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 04000385 0011 0400020E 0016 060000ED 0020 060000FB 0035 060001FC 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_927_8 {
	meta:
		name = "__catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMABV?$messages@G@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040004A2 0011 040003FD 0016 060000FA 0020 06000108 0035 0600021B 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_903_8 {
	meta:
		name = "__catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMABV?$messages@_W@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040001BD 0011 0400029C 0016 060000FA 0020 06000108 0035 06000272 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_528_8 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 04000389 0011 04000312 0016 060000ED 0020 060000FB 0035 060001F6 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_930_8 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 04000315 0011 040001CE 0016 060000FA 0020 06000108 0035 06000215 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_906_8 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040003E4 0011 04000499 0016 060000FA 0020 06000108 0035 0600026C 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_531_8 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 04000148 0011 0400038A 0016 060000ED 0020 060000FB 0035 060001F1 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_933_8 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 0400044E 0011 040004A3 0016 060000FA 0020 06000108 0035 06000210 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_909_8 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 04000196 0011 040004A8 0016 060000FA 0020 06000108 0035 06000267 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_660_8 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMABV?$moneypunct@D$00@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 04000334 0011 04000386 0016 060000ED 0020 060000FB 0035 060001E9 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_657_8 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 040002BA 0011 04000145 0016 060000ED 0020 060000FB 0035 060001EC 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1153_8 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMABV?$moneypunct@G$00@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 0400043B 0011 0400029A 0016 060000FA 0020 06000108 0035 06000208 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1150_8 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040002FC 0011 040002D4 0016 060000FA 0020 06000108 0035 0600020B 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1147_8 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMABV?$moneypunct@_W$00@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040003CC 0011 040001B2 0016 060000FA 0020 06000108 0035 0600025F 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1144_8 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040004A5 0011 040004A9 0016 060000FA 0020 06000108 0035 06000262 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_793_459_8 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000F3 000b 04000111 0011 040002AD 0016 060000FF 0020 0600010D 0035 06000206 003f 060000DB 0047 040001D2 004c 0A000051 0061 11000021 0067 0A0000D6"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_921_8 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 04000496 0011 040003ED 0016 060000FA 0020 06000108 0035 06000243 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_897_8 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 0400049D 0011 040004A1 0016 060000FA 0020 06000108 0035 0600029A 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_793_462_8 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000F3 000b 0400032A 0011 04000329 0016 060000FF 0020 0600010D 0035 060001F8 003f 060000DB 0047 040001D2 004c 0A000051 0061 11000021 0067 0A0000D6"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_924_8 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 04000468 0011 0400018D 0016 060000FA 0020 06000108 0035 06000235 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_900_8 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040001DB 0011 040001C5 0016 060000FA 0020 06000108 0035 0600028C 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_793_518_8 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMABV?$numpunct@D@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000F3 000b 04000277 0011 040001B7 0016 060000FF 0020 0600010D 0035 060001EC 003f 060000DB 0047 040001D2 004c 0A000051 0061 11000021 0067 0A0000D6"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1067_8 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMABV?$numpunct@G@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040004A6 0011 0400049A 0016 060000FA 0020 06000108 0035 06000229 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1064_8 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMABV?$numpunct@_W@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 04000161 0011 0400049E 0016 060000FA 0020 06000108 0035 06000280 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_663_8 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 04000387 0011 0400025F 0016 060000ED 0020 060000FB 0035 060001E6 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1217_8 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040001B6 0011 0400017F 0016 060000FA 0020 06000108 0035 06000205 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_1214_8 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 040002BE 0011 040003DC 0016 060000FA 0020 06000108 0035 0600025C 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_1768_534_8 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000E4 000b 04000160 0011 040002C3 0016 060000ED 0020 060000FB 0035 060001DC 003f 060000C1 0047 040001F0 004c 0A000048 0061 11000026 0067 0A0000C8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_936_8 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 04000498 0011 04000497 0016 060000FA 0020 06000108 0035 060001FB 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_609_912_8 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 112
		refs = "0002 0A0000EF 000b 0400048E 0011 0400028D 0016 060000FA 0020 06000108 0035 06000252 003f 060000CA 0047 04000280 004c 0A00004B 0061 11000029 0067 0A0000D0"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 06 02 11 06 28 ?? ?? ?? ?? 0B 07 2C 02 2B 41 06 2C 04 06 0B 2B 3A 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 07 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 07 13 05 DE 0B }
	condition:
		$1
}

rule file_10_433_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000DF"
		altNames = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_676_501_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_342_438_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1760_442_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E3"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_511_442_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E3"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1794_438_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_707_8 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMABV?$collate@D@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_676_436_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_514_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_342_447_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1760_451_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E3"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_725_448_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1608_448_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_511_451_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E3"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1794_447_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_526_8 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMABV?$messages@D@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_529_8 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_532_8 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_661_8 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMABV?$moneypunct@D$00@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_658_8 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_664_8 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1768_535_8 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_10_510_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013A 0009 0A000139 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1242_504_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1768_625_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00014A 0009 0A000149 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1760_508_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013E 0009 0A00013D 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1608_505_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1585_371_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000169 0009 0A000168 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1566_649_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00018F 0009 0A00018E 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1478_273_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00010C 0009 0A00010B 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1379_504_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1364_369_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000121 0009 0A000120 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1303_361_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00012C 0009 0A00012B 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_108_368_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000152 0009 0A000151 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1150_405_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000163 0009 0A000162 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_793_535_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00015C 0009 0A00015B 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_725_505_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_609_1133_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00015B 0009 0A00015A 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_511_508_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013E 0009 0A00013D 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_342_504_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_265_361_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00012C 0009 0A00012B 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_181_426_8 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000143 0009 0A000142 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_877_173_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000118 0009 0A000117 0011 0A000022"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_10_511_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A000139 000b 0A00009A 0015 06000216 001d 0600027E"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1242_505_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00013B 000b 0A00009A 0015 06000213 001d 06000279"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1768_626_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A000149 000b 0A00009D 0015 0600025E 001d 06000357"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1760_509_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00013D 000b 0A00009A 0015 06000216 001d 0600027C"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1608_506_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00013B 000b 0A00009A 0015 06000213 001d 06000279"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1585_372_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A000168 000b 0A0000B4 0015 0600020C 001d 060002C0"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1566_650_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00018E 000b 0A0000C3 0015 0600038B 001d 060004B8"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1566_639_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00018E 000b 0A0000C3 0015 0600037C 001d 060004B6"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1478_274_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00010B 000b 0A000094 0015 06000124 001d 0600017C"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1478_263_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00010B 000b 0A000094 0015 06000140 001d 06000179"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1379_505_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00013B 000b 0A00009A 0015 06000213 001d 06000279"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1364_370_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A000120 000b 0A00008F 0015 060001CF 001d 0600020D"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1303_362_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00012B 000b 0A000092 0015 060001D3 001d 06000211"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_108_369_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A000151 000b 0A0000AA 0015 060001F1 001d 0600022F"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_1150_406_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A000162 000b 0A0000B3 0015 06000234 001d 060002E8"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_793_536_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00015B 000b 0A0000AB 0015 0600023F 001d 060002A3"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_725_506_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00013B 000b 0A00009A 0015 06000213 001d 06000279"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_676_514_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00013B 000b 0A00009A 0015 06000219 001d 06000281"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_609_1134_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00015A 000b 0A0000A0 0015 0600034D 001d 060004E8"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_609_1123_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00015A 000b 0A0000A0 0015 06000400 001d 060004E6"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_609_1112_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00015A 000b 0A0000A0 0015 060003A1 001d 060004D1"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_511_509_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00013D 000b 0A00009A 0015 06000216 001d 0600027C"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_342_505_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00013B 000b 0A00009A 0015 06000213 001d 06000279"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_284_508_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A000139 000b 0A00009A 0015 06000212 001d 0600027A"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_265_362_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A00012B 000b 0A000092 0015 060001CE 001d 0600020C"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_181_427_8 {
	meta:
		name = "__catch$55"
		size = 37
		refs = "0004 0A000142 000b 0A00009C 0015 0600024A 001d 060002FE"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 28 ?? ?? ?? ?? 06 17 58 28 ?? ?? ?? ?? 13 04 DE 5B }
	condition:
		$1
}

rule file_10_512_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013A 0009 0A000139 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1566_745_8 {
	meta:
		name = "__unwind$12"
		size = 23
		refs = "0002 0A00018F 0009 0A00018E 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1242_506_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1768_627_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00014A 0009 0A000149 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1760_510_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013E 0009 0A00013D 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1608_507_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1585_373_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000169 0009 0A000168 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1566_651_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00018F 0009 0A00018E 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1478_275_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00010C 0009 0A00010B 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1379_506_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1364_371_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000121 0009 0A000120 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1303_363_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00012C 0009 0A00012B 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_108_370_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000152 0009 0A000151 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1150_407_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000163 0009 0A000162 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_793_537_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00015C 0009 0A00015B 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_725_507_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_609_1135_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00015B 0009 0A00015A 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_511_510_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013E 0009 0A00013D 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_342_506_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013C 0009 0A00013B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_265_363_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00012C 0009 0A00012B 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_181_428_8 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000143 0009 0A000142 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_877_162_8 {
	meta:
		name = "__unwind$6"
		size = 23
		refs = "0002 0A000118 0009 0A000117 0011 0A000022"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_10_513_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A000139 000a 0A00009A 0014 0600021B 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1242_507_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00013B 000a 0A00009A 0014 06000218 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1768_628_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A000149 000a 0A00009D 0014 06000269 001b 0A000048"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1760_511_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00013D 000a 0A00009A 0014 0600021B 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1608_508_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00013B 000a 0A00009A 0014 06000218 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1585_374_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A000168 000a 0A0000B4 0014 06000217 001b 0A000056"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1566_652_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00018E 000a 0A0000C3 0014 060003A8 001b 0A00005C"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1566_641_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00018E 000a 0A0000C3 0014 06000397 001b 0A00005C"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1478_276_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00010B 000a 0A000094 0014 0600012B 001b 0A00004B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1478_265_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00010B 000a 0A000094 0014 06000129 001b 0A00004B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1379_507_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00013B 000a 0A00009A 0014 06000218 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1364_372_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A000120 000a 0A00008F 0014 060001D4 001b 0A000040"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1303_364_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00012B 000a 0A000092 0014 060001D8 001b 0A000041"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_108_371_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A000151 000a 0A0000AA 0014 060001F6 001b 0A00004F"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1150_408_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A000162 000a 0A0000B3 0014 0600023F 001b 0A000055"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_793_538_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00015B 000a 0A0000AB 0014 06000244 001b 0A000051"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_725_508_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00013B 000a 0A00009A 0014 06000218 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_676_516_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00013B 000a 0A00009A 0014 0600021E 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_1136_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00015A 000a 0A0000A0 0014 06000367 001b 0A00004B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_1125_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00015A 000a 0A0000A0 0014 06000356 001b 0A00004B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_1114_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00015A 000a 0A0000A0 0014 060003A7 001b 0A00004B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_511_511_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00013D 000a 0A00009A 0014 0600021B 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_342_507_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00013B 000a 0A00009A 0014 06000218 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_284_510_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A000139 000a 0A00009A 0014 06000217 001b 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_265_364_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A00012B 000a 0A000092 0014 060001D3 001b 0A000041"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_181_429_8 {
	meta:
		name = "__catch$59"
		size = 33
		refs = "0004 0A000142 000a 0A00009C 0014 06000255 001b 0A000047"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_10_519_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002AB 0018 0600021A 001e 0600008B 0027 0600021B 002d 06000216 0033 06000254 0038 060002A9 003f 060002AF 0045 06000253 004e 0600025E"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_181_435_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000039 0012 0600035E 0018 0600024E 001e 06000093 0027 06000255 002d 0600024A 0033 0600028D 0038 0600035C 003f 06000362 0045 0600028C 004e 060002A3"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_284_516_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002A7 0018 06000216 001e 06000089 0027 06000217 002d 06000212 0033 06000250 0038 060002A5 003f 060002AB 0045 0600024F 004e 0600025A"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_342_513_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002A6 0018 06000217 001e 06000090 0027 06000218 002d 06000213 0033 0600024F 0038 060002A4 003f 060002AA 0045 0600024E 004e 06000259"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_511_517_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002A9 0018 0600021A 001e 06000090 0027 0600021B 002d 06000216 0033 06000252 0038 060002A7 003f 060002AD 0045 06000251 004e 0600025C"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_676_522_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002AE 0018 0600021D 001e 0600008B 0027 0600021E 002d 06000219 0033 06000257 0038 060002AC 003f 060002B2 0045 06000256 004e 06000261"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_725_514_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002A6 0018 06000217 001e 06000090 0027 06000218 002d 06000213 0033 0600024F 0038 060002A4 003f 060002AA 0045 0600024E 004e 06000259"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1364_378_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000035 0012 06000239 0018 060001D3 001e 06000089 0027 060001D4 002d 060001CF 0033 060001EB 0038 06000237 003f 0600023D 0045 060001EA 004e 060001F5"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1608_514_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002A6 0018 06000217 001e 06000090 0027 06000218 002d 06000213 0033 0600024F 0038 060002A4 003f 060002AA 0045 0600024E 004e 06000259"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1760_517_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002A9 0018 0600021A 001e 06000090 0027 0600021B 002d 06000216 0033 06000252 0038 060002A7 003f 060002AD 0045 06000251 004e 0600025C"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1768_634_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000039 0012 060003DB 0018 06000262 001e 06000091 0027 06000269 002d 0600025E 0033 060002C3 0038 060003D9 003f 060003DF 0045 060002C2 004e 060002D9"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1794_513_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002A6 0018 06000217 001e 06000090 0027 06000218 002d 06000213 0033 0600024F 0038 060002A4 003f 060002AA 0045 0600024E 004e 06000259"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 26 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_108_377_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000041 0012 0600025D 0018 060001F5 001e 06000089 0027 060001F6 002d 060001F1 0033 0600020D 0038 0600025B 003f 06000261 0045 0600020C 004e 06000217"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 2A 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1150_414_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000045 0012 06000348 0018 06000238 001e 060000C3 0027 0600023F 002d 06000234 0033 06000277 0038 06000346 003f 0600034C 0045 06000276 004e 0600028D"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 2A 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1303_370_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000035 0012 0600023D 0018 060001D7 001e 06000089 0027 060001D8 002d 060001D3 0033 060001EF 0038 0600023B 003f 06000241 0045 060001EE 004e 060001F9"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 2A 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1585_380_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000046 0012 06000320 0018 06000210 001e 06000091 0027 06000217 002d 0600020C 0033 0600024F 0038 0600031E 003f 06000324 0045 0600024E 004e 06000265"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 2A 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_265_370_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000035 0012 06000238 0018 060001D2 001e 06000089 0027 060001D3 002d 060001CE 0033 060001EA 0038 06000236 003f 0600023C 0045 060001E9 004e 060001F4"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 28 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_277_26_8 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000F4 0009 0A000077"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 3D 00 00 01 }
	condition:
		$1
}

rule file_277_29_8 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 71
		refs = "0005 040000F4 000a 0A000077"
	strings:
		$1 = { 11 04 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 24 00 00 00 20 00 00 00 44 00 00 00 17 00 00 00 3D 00 00 01 02 00 00 00 0C 00 00 00 51 00 00 00 5D 00 00 00 0F 00 00 00 3D 00 00 01 }
	condition:
		$1
}

rule file_526_68_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000DF"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1242_70_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000E1"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_526_432_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000DF"
		altNames = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 27 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1242_438_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 27 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1379_438_8 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 27 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1242_447_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 27 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1379_447_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000E1"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 27 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_526_518_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002AB 0018 0600021A 001e 0600008B 0027 0600021B 002d 06000216 0033 06000254 0038 060002A9 003f 060002AF 0045 06000253 004e 0600025E"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 27 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1242_513_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0012 060002A6 0018 06000217 001e 06000090 0027 06000218 002d 06000213 0033 0600024F 0038 060002A4 003f 060002AA 0045 0600024E 004e 06000259"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 27 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_609_102_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000F1"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_609_611_8 {
	meta:
		name = "__unwind$10"
		size = 23
		refs = "0002 0A00015B 0009 0A00015A 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_793_341_8 {
	meta:
		name = "__unwind$10"
		size = 23
		refs = "0002 0A00015C 0009 0A00015B 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_877_46_8 {
	meta:
		name = "__unwind$13"
		size = 23
		refs = "0002 0A000118 0009 0A000117 0011 0A000022"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_877_148_8 {
	meta:
		name = "__unwind$17"
		size = 23
		refs = "0002 0A000118 0009 0A000117 0011 0A000022"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_609_612_8 {
	meta:
		name = "__catch$30"
		size = 31
		refs = "0004 0A00015A 000a 0A0000A0 0012 0600030E 0019 0A00004B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 05 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_618_8 {
	meta:
		name = "__catch$30"
		size = 31
		refs = "0004 0A00015A 000a 0A0000A0 0012 0600032F 0019 0A00004B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 05 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_793_342_8 {
	meta:
		name = "__catch$30"
		size = 31
		refs = "0004 0A00015B 000a 0A0000AB 0012 0600022B 0019 0A000051"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 05 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_615_8 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 135
		refs = "0003 0A00003B 0017 0600010E 0033 06000594"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 20 02 1F 0C 58 1F 2E 16 12 04 28 ?? ?? ?? ?? 53 02 1F 0E 58 1F 2C 16 12 04 28 ?? ?? ?? ?? 53 2B 0A 02 16 08 11 04 28 ?? ?? ?? ?? 2A 00 00 00 41 4C 00 00 01 00 00 00 9D 00 00 00 0F 00 00 00 BB 00 00 00 03 00 00 00 AC 00 00 00 02 00 00 00 9D 00 00 00 28 00 00 00 C5 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 2B 00 00 00 4B 00 00 00 8D 00 00 00 42 00 00 00 76 00 00 00 }
	condition:
		$1
}

rule file_609_621_8 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 135
		refs = "0003 0A00003B 0017 0600010D 0033 060003D1"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 20 02 1F 0C 58 1F 2E 16 12 04 28 ?? ?? ?? ?? 53 02 1F 0E 58 1F 2C 16 12 04 28 ?? ?? ?? ?? 53 2B 0A 02 16 08 11 04 28 ?? ?? ?? ?? 2A 00 00 00 41 4C 00 00 01 00 00 00 9D 00 00 00 0F 00 00 00 BB 00 00 00 03 00 00 00 AC 00 00 00 02 00 00 00 9D 00 00 00 28 00 00 00 C5 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 2B 00 00 00 4B 00 00 00 8D 00 00 00 42 00 00 00 76 00 00 00 }
	condition:
		$1
}

rule file_609_627_8 {
	meta:
		name = "__unwind$11"
		size = 23
		refs = "0002 0A00015B 0009 0A00015A 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1768_481_8 {
	meta:
		name = "__unwind$11"
		size = 23
		refs = "0002 0A00014A 0009 0A000149 0011 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1523_15_8 {
	meta:
		name = "__unwind$6"
		size = 23
		refs = "0002 0A000071 0009 0A000070 0011 0A000016"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1566_662_8 {
	meta:
		name = "__unwind$6"
		size = 23
		refs = "0002 0A00018F 0009 0A00018E 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1566_607_8 {
	meta:
		name = "__unwind$7"
		size = 23
		refs = "0002 0A00018F 0009 0A00018E 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_609_628_8 {
	meta:
		name = "__catch$31"
		size = 31
		refs = "0004 0A00015A 000a 0A0000A0 0012 060002EA 0019 0A00004B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 04 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_642_8 {
	meta:
		name = "__catch$31"
		size = 31
		refs = "0004 0A00015A 000a 0A0000A0 0012 0600031E 0019 0A00004B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 04 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1768_482_8 {
	meta:
		name = "__catch$31"
		size = 31
		refs = "0004 0A000149 000a 0A00009D 0012 0600023D 0019 0A000048"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 04 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_631_8 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 216
		refs = "0003 0A00003B 0051 06000447 0076 04000068"
	strings:
		$1 = { 09 07 28 ?? ?? ?? ?? DC DE 00 02 1F 28 58 47 2C 08 06 1F 28 58 46 0C 2B 06 06 1F 29 58 46 0C 02 1F 1C 58 08 54 02 1F 1C 58 4A 16 32 09 1F 7F 02 1F 1C 58 4A 30 06 02 1F 1C 58 16 54 02 25 1F 20 58 06 1F 2B 58 46 06 1F 2A 58 46 06 1F 2E 58 46 28 ?? ?? ?? ?? 02 25 1F 24 58 06 1F 2D 58 46 06 1F 2C 58 46 06 1F 2F 58 46 28 ?? ?? ?? ?? 04 2C 18 02 1F 20 58 7F ?? ?? ?? ?? 1A FE 17 02 1F 24 58 7F ?? ?? ?? ?? 1A FE 17 2A 00 00 41 4C 00 00 01 00 00 00 7C 00 00 00 0F 00 00 00 9A 00 00 00 03 00 00 00 8B 00 00 00 02 00 00 00 7C 00 00 00 28 00 00 00 A4 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 38 00 00 00 1D 00 00 00 6C 00 00 00 42 00 00 00 55 00 00 00 }
	condition:
		$1
}

rule file_609_645_8 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 216
		refs = "0003 0A00003B 0051 06000461 0076 04000068"
	strings:
		$1 = { 09 07 28 ?? ?? ?? ?? DC DE 00 02 1F 28 58 47 2C 08 06 1F 28 58 46 0C 2B 06 06 1F 29 58 46 0C 02 1F 1C 58 08 54 02 1F 1C 58 4A 16 32 09 1F 7F 02 1F 1C 58 4A 30 06 02 1F 1C 58 16 54 02 25 1F 20 58 06 1F 2B 58 46 06 1F 2A 58 46 06 1F 2E 58 46 28 ?? ?? ?? ?? 02 25 1F 24 58 06 1F 2D 58 46 06 1F 2C 58 46 06 1F 2F 58 46 28 ?? ?? ?? ?? 04 2C 18 02 1F 20 58 7F ?? ?? ?? ?? 1A FE 17 02 1F 24 58 7F ?? ?? ?? ?? 1A FE 17 2A 00 00 41 4C 00 00 01 00 00 00 7C 00 00 00 0F 00 00 00 9A 00 00 00 03 00 00 00 8B 00 00 00 02 00 00 00 7C 00 00 00 28 00 00 00 A4 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 38 00 00 00 1D 00 00 00 6C 00 00 00 42 00 00 00 55 00 00 00 }
	condition:
		$1
}

rule file_609_895_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000F1"
		altNames = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMABV?$collate@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMABV?$collate@_W@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMABV?$messages@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMABV?$messages@_W@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMABV?$moneypunct@G$00@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMABV?$moneypunct@_W$00@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMABV?$numpunct@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMABV?$numpunct@_W@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 29 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_609_1000_8 {
	meta:
		name = "__unwind$6"
		size = 22
		refs = "0002 0A00015B 0008 0A00015A 0010 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0D 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1768_580_8 {
	meta:
		name = "__unwind$6"
		size = 22
		refs = "0002 0A00014A 0008 0A000149 0010 0A00001B"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0D 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_609_1001_8 {
	meta:
		name = "__catch$26"
		size = 30
		refs = "0004 0A00015A 000a 0A0000A0 0011 06000300 0018 0A00004B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 0C 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_1011_8 {
	meta:
		name = "__catch$26"
		size = 30
		refs = "0004 0A00015A 000a 0A0000A0 0011 06000321 0018 0A00004B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 0C 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1768_581_8 {
	meta:
		name = "__catch$26"
		size = 30
		refs = "0004 0A000149 000a 0A00009D 0011 06000240 0018 0A000048"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 0C 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_609_1004_8 {
	meta:
		name = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@$$FIAMXABV_Locinfo@2@@Z$2"
		size = 87
		refs = "0003 0A00003B"
		altNames = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@$$FIAMXABV_Locinfo@2@@Z$2"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2A 41 4C 00 00 01 00 00 00 55 00 00 00 0F 00 00 00 73 00 00 00 03 00 00 00 64 00 00 00 02 00 00 00 55 00 00 00 28 00 00 00 7D 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 1B 00 00 00 15 00 00 00 46 00 00 00 41 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule file_609_1120_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@$$FQAMXII@Z$6"
		size = 231
		refs = "0004 0A00003B 0012 060005B3 0018 060003A5 001e 06000093 0027 060003A7 002d 060003A1 0033 06000453 0038 060005B6 003f 060005BB 0045 0600039C 004e 060003A9"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 41 94 00 00 01 00 00 00 E2 00 00 00 11 00 00 00 02 01 00 00 03 00 00 00 F3 00 00 00 02 00 00 00 E2 00 00 00 2A 00 00 00 0C 01 00 00 08 00 00 00 29 00 00 01 01 00 00 00 A9 00 00 00 12 00 00 00 D2 00 00 00 44 00 00 00 BB 00 00 00 01 00 00 00 A7 00 00 00 71 00 00 00 27 01 00 00 03 00 00 00 18 01 00 00 02 00 00 00 A7 00 00 00 8A 00 00 00 31 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 64 00 00 00 1B 00 00 00 96 00 00 00 A6 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_609_1131_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQAMXII@Z$6"
		size = 231
		refs = "0004 0A00003B 0012 060005A4 0018 06000403 001e 0600008A 0027 06000356 002d 06000400 0033 060003FC 0038 060005A2 003f 060005C8 0045 060003F9 004e 0600041E"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 41 94 00 00 01 00 00 00 E2 00 00 00 11 00 00 00 02 01 00 00 03 00 00 00 F3 00 00 00 02 00 00 00 E2 00 00 00 2A 00 00 00 0C 01 00 00 08 00 00 00 29 00 00 01 01 00 00 00 A9 00 00 00 12 00 00 00 D2 00 00 00 44 00 00 00 BB 00 00 00 01 00 00 00 A7 00 00 00 71 00 00 00 27 01 00 00 03 00 00 00 18 01 00 00 02 00 00 00 A7 00 00 00 8A 00 00 00 31 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 64 00 00 00 1B 00 00 00 96 00 00 00 A6 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_609_1142_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A00003B 0012 060005AC 0018 06000351 001e 0600009D 0027 06000367 002d 0600034D 0033 0600040D 0038 060005AA 003f 060005B0 0045 0600040C 004e 06000430"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 29 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_793_73_8 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 70
		refs = "0005 0A0000F5"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 0C 08 2A 00 00 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 2D 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_793_180_8 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPAV123@PAVfacet@23@I@Z$0"
		size = 191
		refs = "0002 0A0000F3 002b 0400007F 0035 0A00009F 003e 0A0000E7 0074 11000021 009a 1100001C 00a8 11000010"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 1F 28 13 06 02 1F 0C 58 4A 04 35 57 04 17 58 0A 06 1F 28 34 03 1F 28 0A 02 1E 58 4A 06 1A 5A 18 7F ?? ?? ?? ?? 20 81 00 00 00 28 ?? ?? ?? ?? 0C 08 2D 05 28 ?? ?? ?? ?? 02 1E 58 08 54 2B 0C 02 1F 0C 58 02 1F 0C 58 4A 17 58 54 02 1F 0C 58 4A 06 34 10 02 1E 58 4A 02 1F 0C 58 4A 1A 5A 58 16 54 2B DC 03 25 4A 1A 58 4A 29 ?? ?? ?? ?? 02 1E 58 4A 04 1A 5A 58 4A 2C 30 02 1E 58 4A 04 1A 5A 58 4A 02 1E 58 4A 04 1A 5A 58 4A 4A 1E 58 4A 29 ?? ?? ?? ?? 0B 07 2C 0E 07 17 07 4A 4A 29 ?? ?? ?? ?? 13 05 2B 03 16 13 05 02 1E 58 4A 04 1A 5A 58 03 54 DE 0B }
	condition:
		$1
}

rule file_793_181_8 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPAV123@PAVfacet@23@I@Z$2"
		size = 64
		refs = "0006 0A0000F5"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 2A 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 2D 00 00 01 02 00 00 00 0A 00 00 00 C6 00 00 00 D0 00 00 00 0B 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_793_329_8 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@ABV12@@Z$0"
		size = 170
		refs = "0003 0A0000F3 000c 0A0000EA 0022 1100001C 0030 11000010 0042 0A0000EB 004d 11000021 0067 0600020C 006c 0A00013A 009f 06000107"
	strings:
		$1 = { 11 05 28 ?? ?? ?? ?? 17 13 06 DC 28 ?? ?? ?? ?? 0A 06 03 1A 58 4A 3B 80 00 00 00 06 25 4A 1E 58 4A 29 ?? ?? ?? ?? 0D 09 2C 0E 09 17 09 4A 4A 29 ?? ?? ?? ?? 13 09 2B 03 16 13 09 03 1A 58 4A 0A 06 28 ?? ?? ?? ?? 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 06 1F 10 58 4A 1F 3F 5F 13 04 11 04 1F 3F 33 12 16 06 1F 18 58 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 2B 28 16 0B 2B 04 07 17 58 0B 07 1B 30 1C 17 07 62 17 63 11 04 5F 2C 10 07 06 1F 18 58 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 2B DC 02 12 0A 28 ?? ?? ?? ?? 26 08 17 60 0C DE 20 }
	condition:
		$1
}

rule file_793_330_8 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@ABV12@@Z$2"
		size = 186
		refs = "0009 0A0000F5 0014 06000109 001b 0A000003"
	strings:
		$1 = { 11 06 2D 02 DE 07 11 05 28 ?? ?? ?? ?? DC DE 1C DE 0E FE 06 ?? ?? ?? ?? 12 0A 28 ?? ?? ?? ?? DC 12 0A 28 ?? ?? ?? ?? 02 13 08 2B 07 12 0A 28 ?? ?? ?? ?? 11 08 13 07 DE 17 08 17 5F 2C 11 08 1F FE 5F 0C FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 07 2A 00 00 00 41 64 00 00 02 00 00 00 1A 00 00 00 02 00 00 00 1C 00 00 00 0B 00 00 00 2D 00 00 01 02 00 00 00 15 00 00 00 B1 00 00 00 C6 00 00 00 0E 00 00 00 2D 00 00 01 04 00 00 00 0A 00 00 00 CE 00 00 00 D8 00 00 00 0E 00 00 00 2D 00 00 01 04 00 00 00 0A 00 00 00 F5 00 00 00 FF 00 00 00 17 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_793_345_8 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 135
		refs = "0003 0A000043 0017 060002E3 0033 060002E4"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 20 02 1F 0C 58 1F 2E 16 12 04 28 ?? ?? ?? ?? 52 02 1F 0D 58 1F 2C 16 12 04 28 ?? ?? ?? ?? 52 2B 0A 02 16 08 11 04 28 ?? ?? ?? ?? 2A 00 00 00 41 4C 00 00 01 00 00 00 9D 00 00 00 0F 00 00 00 BB 00 00 00 03 00 00 00 AC 00 00 00 02 00 00 00 9D 00 00 00 28 00 00 00 C5 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 2B 00 00 00 4B 00 00 00 8D 00 00 00 42 00 00 00 76 00 00 00 }
	condition:
		$1
}

rule file_793_448_8 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 67
		refs = "0006 0A0000F5"
		altNames = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMABV?$numpunct@D@0@ABVlocale@0@@Z$2"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 11 05 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 2D 00 00 01 02 00 00 00 0A 00 00 00 77 00 00 00 81 00 00 00 0B 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_793_527_8 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPAV123@ABV123@@Z$0"
		size = 61
		refs = "0003 0A0000F3 000e 0400006D 0013 060000E9 001f 060001D9 0028 060000F0 002f 0A000003"
	strings:
		$1 = { 11 05 28 ?? ?? ?? ?? 17 13 06 DC 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 1F 3F 02 16 28 ?? ?? ?? ?? 26 DE 0E FE 06 ?? ?? ?? ?? 12 07 28 ?? ?? ?? ?? DC 12 07 28 ?? ?? ?? ?? DE 0C }
	condition:
		$1
}

rule file_793_528_8 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPAV123@ABV123@@Z$2"
		size = 34
		refs = "0007 0A0000F5 0017 0A000110"
	strings:
		$1 = { 11 06 2C 07 11 05 28 ?? ?? ?? ?? DC 38 84 00 00 00 16 13 04 16 0D 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_793_529_8 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPAV123@ABV123@@Z$4"
		size = 104
		refs = "0002 0A0000F3 001b 0400007F 0022 0A00006A 0030 0A0000E7 0060 11000021"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 16 02 1F 0C 58 4A 34 54 02 1F 0C 58 4A 1A 5A 18 7F ?? ?? ?? ?? 1F 65 28 ?? ?? ?? ?? 0C 02 1E 58 08 54 08 2D 05 28 ?? ?? ?? ?? 02 1F 0C 58 4A 0A 16 06 34 28 06 17 59 0A 03 1E 58 4A 06 1A 5A 58 4A 0B 02 1E 58 4A 06 1A 5A 58 07 54 07 2C 0B 07 25 4A 1A 58 4A 29 ?? ?? ?? ?? 2B D4 DE 0B }
	condition:
		$1
}

rule file_793_530_8 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPAV123@ABV123@@Z$6"
		size = 139
		refs = "0006 0A0000F5"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 2A 00 00 00 41 7C 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0B 00 00 00 2D 00 00 01 04 00 00 00 32 00 00 00 0E 00 00 00 40 00 00 00 0E 00 00 00 2D 00 00 01 02 00 00 00 13 00 00 00 44 00 00 00 57 00 00 00 0C 00 00 00 2D 00 00 01 02 00 00 00 77 00 00 00 02 00 00 00 79 00 00 00 0A 00 00 00 2D 00 00 01 02 00 00 00 72 00 00 00 6F 00 00 00 E1 00 00 00 0B 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_793_544_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000043 0012 060002EB 0018 06000243 001e 060000AE 0027 06000244 002d 0600023F 0033 06000267 0038 060002E9 003f 060002EF 0045 06000266 004e 06000271"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1566_658_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A00004B 0012 06000563 0018 0600038F 001e 06000099 0027 060003A8 002d 0600038B 0033 0600041E 0038 06000561 003f 06000566 0045 0600041D 004e 0600043D"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_877_47_8 {
	meta:
		name = "__catch$33"
		size = 23
		refs = "0004 0A000117 000a 0A00009B 0011 0A000082"
		altNames = "__catch$54"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_877_50_8 {
	meta:
		name = "__catch$?_CallCopyCtor@__ExceptionPtr@@$$FABMXPAX0IQBU_s_CatchableType@@@Z$2"
		size = 87
		refs = "0003 0A000041"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 2A 41 4C 00 00 01 00 00 00 A5 00 00 00 07 00 00 00 BB 00 00 00 03 00 00 00 AC 00 00 00 02 00 00 00 A5 00 00 00 20 00 00 00 C5 00 00 00 08 00 00 00 24 00 00 01 01 00 00 00 40 00 00 00 3E 00 00 00 95 00 00 00 3A 00 00 00 7E 00 00 00 }
	condition:
		$1
}

rule file_877_143_8 {
	meta:
		name = "__unwind$9"
		size = 21
		refs = "0002 0A000117 0007 04000144 000f 0A000022"
		altNames = "__unwind$11"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 7F ?? ?? ?? ?? 1F 09 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_877_144_8 {
	meta:
		name = "__catch$50"
		size = 37
		refs = "0004 0A000117 000a 0A00009B 0012 060000ED 0017 0600010E"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 13 07 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 07 17 60 0B DD 76 00 00 00 }
	condition:
		$1
}

rule file_877_152_8 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$5"
		size = 218
		refs = "0003 0A000041 001f 0600010C 0025 0A000003"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 2B 02 02 0D 09 13 04 DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 04 2A 00 41 AC 00 00 01 00 00 00 8B 00 00 00 15 00 00 00 AF 00 00 00 03 00 00 00 A0 00 00 00 02 00 00 00 8B 00 00 00 2E 00 00 00 B9 00 00 00 08 00 00 00 24 00 00 01 01 00 00 00 0C 00 00 00 5A 00 00 00 7B 00 00 00 48 00 00 00 66 00 00 00 01 00 00 00 EA 00 00 00 07 00 00 00 00 01 00 00 03 00 00 00 F1 00 00 00 02 00 00 00 EA 00 00 00 20 00 00 00 0A 01 00 00 08 00 00 00 24 00 00 01 01 00 00 00 0C 00 00 00 5A 00 00 00 DA 00 00 00 3A 00 00 00 C3 00 00 00 04 00 00 00 0C 00 00 00 11 01 00 00 1D 01 00 00 17 00 00 00 24 00 00 01 }
	condition:
		$1
}

rule file_877_163_8 {
	meta:
		name = "__catch$30"
		size = 34
		refs = "0004 0A000117 000a 0A00009B 0015 06000116 001c 0A00004F"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 07 12 09 08 17 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_877_166_8 {
	meta:
		name = "__catch$??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@std@@$$FYM?AV?$shared_ptr@V__ExceptionPtr@@@0@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z$2"
		size = 229
		refs = "0003 0A000041 000d 0600010F 0016 06000117 001c 0600013E 0024 0600011C 0031 0600010C 0038 0A000003"
	strings:
		$1 = { 09 07 28 ?? ?? ?? ?? DC DE 00 12 06 28 ?? ?? ?? ?? 26 12 06 08 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 02 12 06 28 ?? ?? ?? ?? 26 06 17 60 0A DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 28 ?? ?? ?? ?? 02 13 05 11 05 13 04 DE 17 06 17 5F 2C 11 06 1F FE 5F 0A FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 04 2A 00 00 41 7C 00 00 01 00 00 00 5C 00 00 00 12 00 00 00 7D 00 00 00 03 00 00 00 6E 00 00 00 02 00 00 00 5C 00 00 00 2B 00 00 00 87 00 00 00 08 00 00 00 24 00 00 01 01 00 00 00 1E 00 00 00 17 00 00 00 4C 00 00 00 45 00 00 00 35 00 00 00 04 00 00 00 99 00 00 00 1D 00 00 00 B6 00 00 00 0E 00 00 00 24 00 00 01 04 00 00 00 1E 00 00 00 B6 00 00 00 D4 00 00 00 17 00 00 00 24 00 00 01 }
	condition:
		$1
}

rule file_877_169_8 {
	meta:
		name = "__catch$52"
		size = 38
		refs = "0004 0A000117 000b 0A00009B 0013 060000ED 0018 0600010E"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 0B 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 08 17 60 0C DD 79 00 00 00 }
	condition:
		$1
}

rule file_877_174_8 {
	meta:
		name = "__catch$56"
		size = 24
		refs = "0004 0A000117 000b 0A00009B 0012 0A000082"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_877_177_8 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z$5"
		size = 220
		refs = "0004 0A000041 0022 0600010C 0028 0A000003"
	strings:
		$1 = { 11 04 06 28 ?? ?? ?? ?? DC DE 00 2B 03 02 13 05 11 05 13 07 DE 17 08 17 5F 2C 11 08 1F FE 5F 0C FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 07 2A 41 AC 00 00 01 00 00 00 D7 00 00 00 15 00 00 00 FB 00 00 00 03 00 00 00 EC 00 00 00 02 00 00 00 D7 00 00 00 2E 00 00 00 05 01 00 00 09 00 00 00 24 00 00 01 01 00 00 00 0D 00 00 00 A4 00 00 00 C6 00 00 00 4A 00 00 00 B1 00 00 00 01 00 00 00 38 01 00 00 07 00 00 00 4E 01 00 00 03 00 00 00 3F 01 00 00 02 00 00 00 38 01 00 00 20 00 00 00 58 01 00 00 09 00 00 00 24 00 00 01 01 00 00 00 0D 00 00 00 A4 00 00 00 27 01 00 00 3C 00 00 00 10 01 00 00 04 00 00 00 0D 00 00 00 61 01 00 00 6E 01 00 00 17 00 00 00 24 00 00 01 }
	condition:
		$1
}

rule file_1071_27_8 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000EC 0009 0A00008C"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 4D 00 00 01 }
	condition:
		$1
}

rule file_1071_30_8 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 71
		refs = "0005 040000EC 000a 0A00008C"
	strings:
		$1 = { 11 04 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 24 00 00 00 20 00 00 00 44 00 00 00 17 00 00 00 4D 00 00 01 02 00 00 00 0C 00 00 00 51 00 00 00 5D 00 00 00 0F 00 00 00 4D 00 00 01 }
	condition:
		$1
}

rule file_1071_36_8 {
	meta:
		name = "__catch$?ForceLoadRuntimeApis@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXXZ$2"
		size = 76
		refs = "000a 0A0000A5 0030 02000002"
	strings:
		$1 = { 08 13 05 11 05 2C 0C 11 05 6F ?? ?? ?? ?? 16 13 0A 2B 03 16 13 0A DC 2A 41 34 00 00 00 00 00 00 93 00 00 00 08 00 00 00 9B 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 29 00 00 00 7B 00 00 00 A4 00 00 00 17 00 00 00 4D 00 00 01 }
	condition:
		$1
}

rule file_1071_56_8 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXP$AAVException@System@@@Z$1"
		size = 63
		refs = "0004 06000062 0023 0100000C 003b 01000011"
	strings:
		$1 = { 0B 03 14 28 ?? ?? ?? ?? DE 00 2A 41 34 00 00 00 00 00 00 04 00 00 00 07 00 00 00 0B 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 04 00 00 00 07 00 00 00 15 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1071_60_8 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAMXXZ$0"
		size = 22
		refs = "0004 06000075 000a 0600007A 0010 06000063"
	strings:
		$1 = { 0A 02 06 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? DE 16 }
	condition:
		$1
}

rule file_1071_61_8 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAMXXZ$1"
		size = 78
		refs = "0004 06000075 000a 0600007A 0010 06000063 0032 0100000C 004a 01000011"
	strings:
		$1 = { 0B 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 00 00 41 34 00 00 00 00 00 00 04 00 00 00 14 00 00 00 18 00 00 00 16 00 00 00 ?? ?? ?? ?? 00 00 00 00 04 00 00 00 14 00 00 00 2E 00 00 00 16 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1150_161_8 {
	meta:
		name = "__catch$?tidy_global@?A0x20acd70d@@$$J0YMXXZ$0"
		size = 27
		refs = "0002 0A0000F7 000a 04000189 000f 060001E8"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 16 80 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_1150_162_8 {
	meta:
		name = "__catch$?tidy_global@?A0x20acd70d@@$$J0YMXXZ$2"
		size = 65
		refs = "0005 0A0000F9"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2A 00 00 01 02 00 00 00 09 00 00 00 22 00 00 00 2B 00 00 00 0A 00 00 00 2A 00 00 01 }
	condition:
		$1
}

rule file_1150_166_8 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPAV123@@Z$0"
		size = 95
		refs = "0002 0A0000F7 0039 1100001A 0047 1100000F 0059 0A00004C"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 02 1F 0C 58 4A 0A 16 06 34 41 06 17 59 0A 02 1E 58 4A 06 1A 5A 58 4A 2C 30 02 1E 58 4A 06 1A 5A 58 4A 02 1E 58 4A 06 1A 5A 58 4A 4A 1E 58 4A 29 ?? ?? ?? ?? 0B 07 2C 0E 07 17 07 4A 4A 29 ?? ?? ?? ?? 13 04 2B 03 16 13 04 2B BB 02 1E 58 4A 28 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_1150_167_8 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPAV123@@Z$2"
		size = 65
		refs = "0005 0A0000F9"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2A 00 00 01 02 00 00 00 09 00 00 00 66 00 00 00 6F 00 00 00 0A 00 00 00 2A 00 00 01 }
	condition:
		$1
}

rule file_1150_386_8 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPAV_Locimp@12@_N@Z$0"
		size = 135
		refs = "0002 0A0000F7 000a 060001EB 0014 060001F9 001b 060001EC 002b 0400006C 0030 06000207 0037 040002FE 0046 1100001F 004c 040001FC 0051 06000006 0060 0600011F 0072 06000007"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 28 ?? ?? ?? ?? 0A 06 2D 65 16 28 ?? ?? ?? ?? 0A 06 28 ?? ?? ?? ?? 06 1F 10 58 1F 3F 54 06 1F 18 58 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 06 80 ?? ?? ?? ?? 7E ?? ?? ?? ?? 25 4A 1A 58 4A 29 ?? ?? ?? ?? 1E 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 0B 07 2C 0D 07 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? 2B 01 16 13 05 DE 0C 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 02 2C 0B 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_1150_387_8 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPAV_Locimp@12@_N@Z$2"
		size = 95
		refs = "0005 0A0000F9"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 06 13 04 11 04 2A 00 00 00 41 4C 00 00 02 00 00 00 10 00 00 00 02 00 00 00 12 00 00 00 09 00 00 00 2A 00 00 01 04 00 00 00 68 00 00 00 15 00 00 00 7D 00 00 00 0C 00 00 00 2A 00 00 01 02 00 00 00 0B 00 00 00 8E 00 00 00 99 00 00 00 0A 00 00 00 2A 00 00 01 }
	condition:
		$1
}

rule file_1364_146_8 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPAV12@@Z$0"
		size = 105
		refs = "0002 0A0000CA 001f 0400027A 0050 040001A1"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 58 16 54 02 1E 58 4A 17 58 0A 02 1E 58 06 54 06 1E 34 23 7F ?? ?? ?? ?? 02 1E 58 4A 1A 5A 58 4A 2C 10 7F ?? ?? ?? ?? 02 1E 58 4A 1A 5A 58 4A 02 33 02 2B 02 2B CD 7F ?? ?? ?? ?? 02 1E 58 4A 1A 5A 58 02 54 7F ?? ?? ?? ?? 02 1E 58 4A 58 7F ?? ?? ?? ?? 02 1E 58 4A 58 46 17 58 52 DE 0A }
	condition:
		$1
}

rule file_1364_147_8 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPAV12@@Z$2"
		size = 63
		refs = "0005 0A0000CC"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 70 00 00 00 79 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1478_271_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQAMXII@Z$6"
		size = 231
		refs = "0004 0A00003F 0012 06000197 0018 0600011F 001e 06000085 0027 06000129 002d 06000140 0033 0600013E 0038 06000195 003f 060001A6 0045 0600013D 004e 06000154"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 41 94 00 00 01 00 00 00 E2 00 00 00 11 00 00 00 02 01 00 00 03 00 00 00 F3 00 00 00 02 00 00 00 E2 00 00 00 2A 00 00 00 0C 01 00 00 08 00 00 00 23 00 00 01 01 00 00 00 A9 00 00 00 12 00 00 00 D2 00 00 00 44 00 00 00 BB 00 00 00 01 00 00 00 A7 00 00 00 71 00 00 00 27 01 00 00 03 00 00 00 18 01 00 00 02 00 00 00 A7 00 00 00 8A 00 00 00 31 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 64 00 00 00 1B 00 00 00 96 00 00 00 A6 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1478_282_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A00003F 0012 0600019A 0018 06000128 001e 0600008B 0027 0600012B 002d 06000124 0033 0600014C 0038 06000198 003f 0600019E 0045 0600014B 004e 0600015A"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 E3 00 00 00 11 00 00 00 03 01 00 00 03 00 00 00 F4 00 00 00 02 00 00 00 E3 00 00 00 2A 00 00 00 0D 01 00 00 08 00 00 00 23 00 00 01 01 00 00 00 AA 00 00 00 12 00 00 00 D3 00 00 00 44 00 00 00 BC 00 00 00 01 00 00 00 A8 00 00 00 71 00 00 00 28 01 00 00 03 00 00 00 19 01 00 00 02 00 00 00 A8 00 00 00 8A 00 00 00 32 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 65 00 00 00 1B 00 00 00 97 00 00 00 A6 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule file_1520_21_8 {
	meta:
		name = "__catch$?__scrt_initialize_type_info@@$$FYMXXZ$0"
		size = 44
		refs = "0002 0A000067 0007 040000FE 0028 0100000B"
	strings:
		$1 = { 26 7E ?? ?? ?? ?? 80 ?? ?? ?? ?? DE 00 2A 00 00 41 1C 00 00 00 00 00 00 00 00 00 00 44 00 00 00 44 00 00 00 0D 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1523_16_8 {
	meta:
		name = "__catch$26"
		size = 20
		refs = "0004 0A000070 000a 0A000048"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 13 04 16 0D DE 25 }
	condition:
		$1
}

rule file_1523_19_8 {
	meta:
		name = "__catch$??2@$$FYMPAXIABUnothrow_t@std@@@Z$2"
		size = 93
		refs = "0003 0A000023"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 2B 02 09 0B 07 2A 00 41 4C 00 00 01 00 00 00 3A 00 00 00 04 00 00 00 4D 00 00 00 03 00 00 00 3E 00 00 00 02 00 00 00 3A 00 00 00 1D 00 00 00 57 00 00 00 08 00 00 00 23 00 00 01 01 00 00 00 0A 00 00 00 09 00 00 00 2A 00 00 00 37 00 00 00 13 00 00 00 }
	condition:
		$1
}

rule file_1566_608_8 {
	meta:
		name = "__catch$27"
		size = 38
		refs = "0004 0A00018E 000a 0A0000C3 0012 06000353 0019 0600045D 0020 0A00005C"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 13 04 02 28 ?? ?? ?? ?? 06 17 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1566_611_8 {
	meta:
		name = "__catch$?_Buynode0@?$_List_alloc@U?$_List_base_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@@std@@$$FQAMPAU?$_List_node@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@PAX@2@PAU32@0@Z$2"
		size = 91
		refs = "0003 0A00004B"
	strings:
		$1 = { 08 07 28 ?? ?? ?? ?? DC DE 00 06 0D 09 2A 00 41 4C 00 00 01 00 00 00 7A 00 00 00 16 00 00 00 9F 00 00 00 03 00 00 00 90 00 00 00 02 00 00 00 7A 00 00 00 2F 00 00 00 A9 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 21 00 00 00 32 00 00 00 6A 00 00 00 49 00 00 00 53 00 00 00 }
	condition:
		$1
}

rule file_1566_647_8 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQAMXII@Z$6"
		size = 231
		refs = "0004 0A00004B 0012 0600054A 0018 06000383 001e 0600008F 0027 06000397 002d 0600037C 0033 0600040E 0038 0600055A 003f 0600055E 0045 06000377 004e 06000398"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 14 11 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 04 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 54 02 04 28 ?? ?? ?? ?? 2A 41 94 00 00 01 00 00 00 E2 00 00 00 11 00 00 00 02 01 00 00 03 00 00 00 F3 00 00 00 02 00 00 00 E2 00 00 00 2A 00 00 00 0C 01 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 A9 00 00 00 12 00 00 00 D2 00 00 00 44 00 00 00 BB 00 00 00 01 00 00 00 A7 00 00 00 71 00 00 00 27 01 00 00 03 00 00 00 18 01 00 00 02 00 00 00 A7 00 00 00 8A 00 00 00 31 01 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 64 00 00 00 1B 00 00 00 96 00 00 00 A6 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1566_663_8 {
	meta:
		name = "__catch$28"
		size = 38
		refs = "0004 0A00018E 000a 0A0000C3 0013 060003E5 0019 060003E9 0020 0A00005C"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 13 04 02 25 28 ?? ?? ?? ?? 4A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1566_666_8 {
	meta:
		name = "__catch$??$?0U?$_Wrap_alloc@V?$allocator@U?$_List_node@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@PAX@std@@@std@@@std@@X@?$_List_alloc@U?$_List_base_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@@std@@$$FQAM@$$QAU?$_Wrap_alloc@V?$allocator@U?$_List_node@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@PAX@std@@@std@@@1@@Z$2"
		size = 172
		refs = "0003 0A00004B 000e 060003BA 0014 0A000004"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 0F DE 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 02 0D 00 09 0C DE 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 00 41 7C 00 00 01 00 00 00 55 00 00 00 16 00 00 00 7A 00 00 00 03 00 00 00 6B 00 00 00 02 00 00 00 55 00 00 00 2F 00 00 00 84 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 26 00 00 00 08 00 00 00 45 00 00 00 49 00 00 00 2E 00 00 00 04 00 00 00 19 00 00 00 77 00 00 00 90 00 00 00 0D 00 00 00 2D 00 00 01 04 00 00 00 A0 00 00 00 04 00 00 00 A4 00 00 00 0D 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_1566_739_8 {
	meta:
		name = "__catch$26"
		size = 38
		refs = "0004 0A00018E 000a 0A0000C3 0012 06000353 0019 0600045D 0020 0A00005C"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 13 04 02 28 ?? ?? ?? ?? 07 17 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1566_742_8 {
	meta:
		name = "__catch$??$_Buynode@ABU?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@?$_List_buy@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQAMPAU?$_List_node@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@PAX@1@PAU21@0ABU?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@1@@Z$2"
		size = 93
		refs = "0003 0A00004B"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 07 0D 09 2A 00 00 00 41 4C 00 00 01 00 00 00 58 00 00 00 16 00 00 00 7D 00 00 00 03 00 00 00 6E 00 00 00 02 00 00 00 58 00 00 00 2F 00 00 00 87 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 13 00 00 00 1E 00 00 00 48 00 00 00 49 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule file_1566_746_8 {
	meta:
		name = "__catch$43"
		size = 68
		refs = "0004 0A00018E 000a 0A0000C3 0015 0600045B 001e 06000630 002b 06000459 0030 020000C4 0035 06000466 003e 0A00005C"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 13 07 2B 08 12 09 28 ?? ?? ?? ?? 26 12 09 04 28 ?? ?? ?? ?? 2C 17 03 13 06 02 12 06 28 ?? ?? ?? ?? 71 ?? ?? ?? ?? 28 ?? ?? ?? ?? 2B D7 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1566_749_8 {
	meta:
		name = "__catch$??$_Insert_range@V?$_List_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@@std@@@?$list@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQAMXV?$_List_unchecked_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@U_Iterator_base0@2@@1@V?$_List_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@@1@1Uforward_iterator_tag@1@@Z$2"
		size = 369
		refs = "0003 0A00004B 000e 0600032C 0015 0A000004"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 10 DE 0E FE 06 ?? ?? ?? ?? 12 09 28 ?? ?? ?? ?? DC 12 09 28 ?? ?? ?? ?? DE 0D FE 06 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? DC 04 28 ?? ?? ?? ?? DE 0D FE 06 ?? ?? ?? ?? 05 28 ?? ?? ?? ?? DC 05 28 ?? ?? ?? ?? 00 DE 2C FE 06 ?? ?? ?? ?? 12 09 28 ?? ?? ?? ?? DC DE 0D FE 06 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? DC DE 0D FE 06 ?? ?? ?? ?? 05 28 ?? ?? ?? ?? DC 2A 00 00 41 F4 00 00 04 00 00 00 16 00 00 00 0F 00 00 00 25 00 00 00 0D 00 00 00 2D 00 00 01 01 00 00 00 9A 00 00 00 34 00 00 00 DD 00 00 00 03 00 00 00 CE 00 00 00 02 00 00 00 9A 00 00 00 4D 00 00 00 E7 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 4D 00 00 00 26 00 00 00 8A 00 00 00 67 00 00 00 73 00 00 00 04 00 00 00 4D 00 00 00 A6 00 00 00 F3 00 00 00 0E 00 00 00 2D 00 00 01 04 00 00 00 0A 00 00 00 00 01 00 00 0A 01 00 00 0D 00 00 00 2D 00 00 01 04 00 00 00 0A 00 00 00 15 01 00 00 1F 01 00 00 0D 00 00 00 2D 00 00 01 04 00 00 00 33 01 00 00 02 00 00 00 35 01 00 00 0E 00 00 00 2D 00 00 01 04 00 00 00 33 01 00 00 12 00 00 00 45 01 00 00 0D 00 00 00 2D 00 00 01 04 00 00 00 33 01 00 00 21 00 00 00 54 01 00 00 0D 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_1566_752_8 {
	meta:
		name = "__unwind$6"
		size = 23
		refs = "0002 0A00018F 0009 0A00018E 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1566_753_8 {
	meta:
		name = "__catch$45"
		size = 31
		refs = "0004 0A00018E 000a 0A0000C3 0012 06000356 0019 0A00005C"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 13 0B 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1566_756_8 {
	meta:
		name = "__catch$??0?$list@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQAM@ABV01@@Z$2"
		size = 274
		refs = "0003 0A00004B 000e 0600032D 0014 0A000004"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 0F DE 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 02 13 05 00 11 05 13 04 DE 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 04 2A 00 00 00 41 DC 00 00 04 00 00 00 46 00 00 00 0D 00 00 00 53 00 00 00 0E 00 00 00 2D 00 00 01 04 00 00 00 38 00 00 00 2B 00 00 00 63 00 00 00 0D 00 00 00 2D 00 00 01 04 00 00 00 2C 00 00 00 46 00 00 00 72 00 00 00 0D 00 00 00 2D 00 00 01 04 00 00 00 80 00 00 00 18 00 00 00 98 00 00 00 0E 00 00 00 2D 00 00 01 01 00 00 00 D6 00 00 00 0F 00 00 00 F4 00 00 00 03 00 00 00 E5 00 00 00 02 00 00 00 D6 00 00 00 28 00 00 00 FE 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 20 00 00 00 8F 00 00 00 C6 00 00 00 42 00 00 00 AF 00 00 00 04 00 00 00 20 00 00 00 EA 00 00 00 0A 01 00 00 0D 00 00 00 2D 00 00 01 04 00 00 00 1B 01 00 00 06 00 00 00 21 01 00 00 0D 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_1739_26_8 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$3"
		size = 99
		refs = "0001 06000083 002f 0100000D"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 05 2D 03 15 2B 01 16 13 04 11 04 2A 00 00 00 41 4C 00 00 00 00 00 00 37 00 00 00 68 00 00 00 9F 00 00 00 3D 00 00 00 ?? ?? ?? ?? 00 00 00 00 19 00 00 00 DF 00 00 00 F8 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 19 00 00 00 E8 00 00 00 01 01 00 00 07 00 00 00 33 00 00 01 }
	condition:
		$1
}

rule file_1768_485_8 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 216
		refs = "0003 0A000039 0051 060002EB 0076 0400005A"
	strings:
		$1 = { 09 07 28 ?? ?? ?? ?? DC DE 00 02 1F 28 58 47 2C 08 06 1F 28 58 46 0C 2B 06 06 1F 29 58 46 0C 02 1F 1C 58 08 54 02 1F 1C 58 4A 16 32 09 1F 7F 02 1F 1C 58 4A 30 06 02 1F 1C 58 16 54 02 25 1F 20 58 06 1F 2B 58 46 06 1F 2A 58 46 06 1F 2E 58 46 28 ?? ?? ?? ?? 02 25 1F 24 58 06 1F 2D 58 46 06 1F 2C 58 46 06 1F 2F 58 46 28 ?? ?? ?? ?? 04 2C 18 02 1F 20 58 7F ?? ?? ?? ?? 1A FE 17 02 1F 24 58 7F ?? ?? ?? ?? 1A FE 17 2A 00 00 41 4C 00 00 01 00 00 00 7C 00 00 00 0F 00 00 00 9A 00 00 00 03 00 00 00 8B 00 00 00 02 00 00 00 7C 00 00 00 28 00 00 00 A4 00 00 00 08 00 00 00 26 00 00 01 01 00 00 00 38 00 00 00 1D 00 00 00 6C 00 00 00 42 00 00 00 55 00 00 00 }
	condition:
		$1
}

rule file_1768_584_8 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@$$FIAMXABV_Locinfo@2@@Z$2"
		size = 87
		refs = "0003 0A000039"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2A 41 4C 00 00 01 00 00 00 55 00 00 00 0F 00 00 00 73 00 00 00 03 00 00 00 64 00 00 00 02 00 00 00 55 00 00 00 28 00 00 00 7D 00 00 00 08 00 00 00 26 00 00 01 01 00 00 00 1B 00 00 00 15 00 00 00 46 00 00 00 41 00 00 00 30 00 00 00 }
	condition:
		$1
}