private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "ARM"
	condition:
		true
}

rule file_9_0_0 {
	meta:
		name = "??0bad_alloc@std@@AAA@QBD@Z"
		size = 28
		refs = "0018 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 02 4B C0 E9 00 31 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_0_3 {
	meta:
		name = "??0__non_rtti_object@std@@AAA@QBDH@Z"
		size = 28
		refs = "0018 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 02 4B C0 E9 00 31 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_2_3 {
	meta:
		name = "??0bad_cast@std@@AAA@QBDH@Z"
		size = 28
		refs = "0018 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 02 4B C0 E9 00 31 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_4_3 {
	meta:
		name = "??0bad_typeid@std@@AAA@QBDH@Z"
		size = 28
		refs = "0018 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 02 4B C0 E9 00 31 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_21_3 {
	meta:
		name = "?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QBD@Z"
		size = 28
		refs = "0018 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 02 4B C0 E9 00 31 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_22_3 {
	meta:
		name = "?__construct_from_string_literal@bad_cast@std@@SA?AV12@QBD@Z"
		size = 28
		refs = "0018 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 02 4B C0 E9 00 31 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_23_3 {
	meta:
		name = "?__construct_from_string_literal@bad_typeid@std@@SA?AV12@QBD@Z"
		size = 28
		refs = "0018 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 02 4B C0 E9 00 31 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_1_0 {
	meta:
		name = "??0bad_alloc@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7bad_alloc@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_1_3 {
	meta:
		name = "??0__non_rtti_object@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7__non_rtti_object@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_3_6 {
	meta:
		name = "??0bad_array_new_length@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7bad_array_new_length@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_87_1 {
	meta:
		name = "??0bad_cast@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7bad_cast@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_55_1 {
	meta:
		name = "??0bad_exception@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7bad_exception@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_2_2 {
	meta:
		name = "??0bad_function_call@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7bad_function_call@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_5_3 {
	meta:
		name = "??0bad_typeid@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7bad_typeid@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_8_2 {
	meta:
		name = "??0invalid_argument@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7invalid_argument@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_10_2 {
	meta:
		name = "??0length_error@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7length_error@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_12_2 {
	meta:
		name = "??0logic_error@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7logic_error@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_14_1 {
	meta:
		name = "??0out_of_range@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7out_of_range@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_16_2 {
	meta:
		name = "??0overflow_error@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7overflow_error@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_92_57_1 {
	meta:
		name = "??0runtime_error@std@@QAA@ABV01@@Z"
		size = 48
		refs = "0018 __std_exception_copy 0028 ??_7runtime_error@std@@6B@ 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_2_0 {
	meta:
		name = "??0bad_alloc@std@@QAA@XZ"
		size = 32
		refs = "0018 ??_7bad_alloc@std@@6B@ 001c ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 03 4B 43 60 01 4B 03 60 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_4_6 {
	meta:
		name = "??0bad_array_new_length@std@@QAA@XZ"
		size = 32
		refs = "0018 ??_7bad_array_new_length@std@@6B@ 001c ??_C@_0BF@KINCDENJ@bad?5array?5new?5length?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 03 4B 43 60 01 4B 03 60 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_68_2 {
	meta:
		name = "??0bad_cast@std@@QAA@XZ"
		size = 32
		refs = "0018 ??_7bad_cast@std@@6B@ 001c ??_C@_08EPJLHIJG@bad?5cast?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 03 4B 43 60 01 4B 03 60 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_56_2 {
	meta:
		name = "??0bad_exception@std@@QAA@XZ"
		size = 32
		refs = "0018 ??_7bad_exception@std@@6B@ 001c ??_C@_0O@DPKOEFFH@bad?5exception?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 03 4B 43 60 01 4B 03 60 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_5_0 {
	meta:
		name = "??0exception@std@@QAA@ABV01@@Z"
		size = 40
		refs = "0018 __std_exception_copy 0024 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 06 4B 04 46 08 1D 23 60 00 23 C4 E9 01 33 21 1D ?? ?? ?? ?? 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_6_0 {
	meta:
		name = "??0exception@std@@QAA@QBDH@Z"
		size = 28
		refs = "0018 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 03 60 00 23 C0 E9 01 33 41 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_7_0 {
	meta:
		name = "??1bad_alloc@std@@UAA@XZ"
		size = 24
		refs = "0010 __std_exception_destroy 0014 ??_7exception@std@@6B@"
		altNames = "??1_System_error@std@@UAA@XZ ??1__non_rtti_object@std@@UAA@XZ ??1bad_array_new_length@std@@UAA@XZ ??1bad_cast@std@@UAA@XZ ??1bad_exception@std@@UAA@XZ ??1bad_function_call@std@@UAA@XZ ??1bad_typeid@std@@UAA@XZ ??1exception@std@@UAA@XZ ??1failure@ios_base@std@@UAA@XZ ??1future_error@std@@UAA@XZ ??1invalid_argument@std@@UAA@XZ ??1length_error@std@@UAA@XZ ??1logic_error@std@@UAA@XZ ??1out_of_range@std@@UAA@XZ ??1overflow_error@std@@UAA@XZ ??1regex_error@std@@UAA@XZ ??1runtime_error@std@@UAA@XZ ??1system_error@std@@UAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 40 F8 04 3B BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_10_0 {
	meta:
		name = "??_Gbad_alloc@std@@UAAPAXI@Z"
		size = 48
		refs = "0012 __std_exception_destroy 0020 ??3@YAXPAXI@Z 002c ??_7exception@std@@6B@"
		altNames = "??_G__non_rtti_object@std@@UAAPAXI@Z ??_Gbad_array_new_length@std@@UAAPAXI@Z ??_Gbad_cast@std@@UAAPAXI@Z ??_Gbad_exception@std@@UAAPAXI@Z ??_Gbad_function_call@std@@UAAPAXI@Z ??_Gbad_typeid@std@@UAAPAXI@Z ??_Gexception@std@@UAAPAXI@Z ??_Ginvalid_argument@std@@UAAPAXI@Z ??_Glength_error@std@@UAAPAXI@Z ??_Glogic_error@std@@UAAPAXI@Z ??_Gout_of_range@std@@UAAPAXI@Z ??_Goverflow_error@std@@UAAPAXI@Z ??_Gruntime_error@std@@UAAPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 08 4B 05 46 28 1D 2B 60 0C 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 0C 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_13_0 {
	meta:
		name = "?__scrt_throw_std_bad_alloc@@YAXXZ"
		size = 28
		refs = "000a ??0bad_alloc@std@@QAA@XZ 0012 _CxxThrowException 0018 _TI2?AVbad_alloc@std@@"
		altNames = "?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_44_1 {
	meta:
		name = "?_Xbad_function_call@std@@YAXXZ"
		size = 28
		refs = "000a ??0bad_function_call@std@@QAA@XZ 0012 _CxxThrowException 0018 _TI2?AVbad_function_call@std@@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_14_0 {
	meta:
		name = "?__scrt_throw_std_bad_array_new_length@@YAXXZ"
		size = 28
		refs = "000a ??0bad_array_new_length@std@@QAA@XZ 0012 _CxxThrowException 0018 _TI3?AVbad_array_new_length@std@@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_15_0 {
	meta:
		name = "?what@exception@std@@UBAPBDXZ"
		size = 20
		refs = "0010 ??_C@_0BC@EOODALEL@Unknown?5exception?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 40 68 00 B9 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_0_3 {
	meta:
		name = "?get_unexpected_or_default@@YAP6AXXZQBU__vcrt_ptd@@@Z"
		size = 20
		refs = "0010 terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 40 68 00 B9 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_0_0 {
	meta:
		name = "?dllmain_crt_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
		size = 70
		refs = "001c __scrt_dllmain_crt_thread_detach 0024 __scrt_dllmain_crt_thread_attach 002e ?dllmain_crt_process_attach@@YAHQAUHINSTANCE__@@QAX@Z 003e ?dllmain_crt_process_detach@@YAH_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 A1 B1 01 29 0D D0 02 29 07 D0 03 29 01 D0 01 20 14 E0 BD E8 00 48 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? 11 46 BD E8 00 48 ?? ?? ?? ?? 0A B1 01 20 00 E0 00 20 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_11_1_0 {
	meta:
		name = "?dllmain_crt_process_attach@@YAHQAUHINSTANCE__@@QAX@Z"
		size = 212
		refs = "000e __scrt_initialize_crt 0018 __scrt_acquire_startup_lock 002a __scrt_fastfail 0032 __scrt_dllmain_before_initialize_c 0038 _RTC_Initialize 003e atexit 0042 ?__scrt_initialize_type_info@@YAXXZ 004c __scrt_initialize_default_local_stdio_options 0054 _initterm_e 005a __scrt_dllmain_after_initialize_c 0064 _initterm 0072 __scrt_release_startup_lock 007c __scrt_get_dyn_tls_init_callback 0086 __scrt_is_nonwritable_in_current_image 0090 _guard_check_icall 00b4 ?__proc_attached@@3HA 00b8 __xc_a 00bc __xc_z 00c0 __xi_a 00c4 __xi_z 00c8 ?__scrt_uninitialize_type_info@@YAXXZ 00cc _RTC_Terminate 00d0 __scrt_current_native_startup_state"
	strings:
		$1 = { 03 B4 2D E9 9C 48 0D F1 10 0B 6F 46 00 20 ?? ?? ?? ?? 08 B9 00 23 46 E0 ?? ?? ?? ?? 38 70 01 23 7B 70 2B 4C 23 68 13 B1 07 20 ?? ?? ?? ?? 01 23 23 60 ?? ?? ?? ?? D8 B1 ?? ?? ?? ?? 23 48 ?? ?? ?? ?? ?? ?? ?? ?? 20 48 ?? ?? ?? ?? ?? ?? ?? ?? 1C 49 1B 48 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 38 B1 16 49 15 48 ?? ?? ?? ?? 02 23 23 60 00 23 7B 70 38 78 ?? ?? ?? ?? 7B 78 00 2B CB D1 ?? ?? ?? ?? 04 46 23 68 53 B1 ?? ?? ?? ?? 38 B1 24 68 20 46 ?? ?? ?? ?? B8 69 02 21 FA 69 A0 47 05 4A 13 68 5B 1C 13 60 01 23 7B 60 78 68 BD E8 9C 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_3_0 {
	meta:
		name = "?dllmain_crt_process_detach@@YAH_N@Z"
		size = 100
		refs = "001c __scrt_acquire_startup_lock 002c __scrt_fastfail 0030 __scrt_dllmain_uninitialize_c 0038 __scrt_dllmain_uninitialize_critical 003e __scrt_release_startup_lock 0046 __scrt_uninitialize_crt 005c __scrt_current_native_startup_state 0060 ?__proc_attached@@3HA"
	strings:
		$1 = { 03 B4 2D E9 9C 48 0D F1 10 0B 6F 46 14 4A 13 68 00 2B 01 DC 00 23 1B E0 5B 1E 13 60 ?? ?? ?? ?? 38 70 0E 4C 23 68 02 2B 02 D0 07 20 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 23 60 ?? ?? ?? ?? 38 78 ?? ?? ?? ?? 00 21 38 7E ?? ?? ?? ?? 00 28 E2 D0 01 23 7B 60 78 68 BD E8 9C 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_5_0 {
	meta:
		name = "?dllmain_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
		size = 264
		refs = "004a _guard_check_icall 0064 ?dllmain_crt_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z 0074 DllMain 0098 ?dllmain_crt_process_detach@@YAH_N@Z 0100 _pRawDllMain 0104 ?__proc_attached@@3HA"
	strings:
		$1 = { 0F B4 2D E9 FE 4F 0D F1 28 0B 6F 46 82 B0 91 46 BA 63 0E 46 7E 63 82 46 38 63 2E B9 39 4B 1B 68 00 2B 01 DC 00 25 64 E0 01 2E 04 D0 02 2E 02 D0 DF F8 CC 80 1B E0 DF F8 C8 80 D8 F8 00 30 0B B9 01 25 09 E0 D8 F8 00 40 20 46 ?? ?? ?? ?? 50 46 31 46 4A 46 A0 47 05 46 3D 60 00 2D 44 D0 4A 46 31 46 50 46 ?? ?? ?? ?? 05 46 3D 60 E5 B3 4A 46 31 46 50 46 ?? ?? ?? ?? 05 46 3D 60 01 2E 18 D1 BD B9 4A 46 00 21 50 46 ?? ?? ?? ?? B9 F1 00 0F 01 D0 01 20 00 E0 00 20 ?? ?? ?? ?? D8 F8 00 30 3B B1 1C 46 18 46 ?? ?? ?? ?? 50 46 00 21 4A 46 A0 47 0E B1 03 2E 17 D1 4A 46 31 46 50 46 ?? ?? ?? ?? 05 46 3D 60 7D B1 D8 F8 00 30 0B B9 01 25 09 E0 D8 F8 00 40 20 46 ?? ?? ?? ?? 50 46 31 46 4A 46 A0 47 05 46 3D 60 03 E0 00 25 3D 60 00 E0 7D 68 28 46 05 B0 BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_6_0 {
	meta:
		name = "?filt$0@?0??dllmain_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z@4HA"
		size = 28
		refs = "0012 __scrt_dllmain_exception_filter 0018 ?dllmain_crt_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
	strings:
		$1 = { 1C B5 03 68 1B 68 01 90 00 93 03 4B BA 6B 79 6B 38 6B ?? ?? ?? ?? 1C BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_7_0 {
	meta:
		name = "?dllmain_raw@@YAHQAUHINSTANCE__@@KQAX@Z"
		size = 48
		refs = "001c _guard_check_icall 002c _pRawDllMain"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 08 4C 15 46 0E 46 23 68 07 46 0B B9 01 20 07 E0 24 68 20 46 ?? ?? ?? ?? 38 46 31 46 2A 46 A0 47 BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_9_0 {
	meta:
		name = "_DllMainCRTStartup"
		size = 36
		refs = "0012 __security_init_cookie 001c ?dllmain_dispatch@@YAHQAUHINSTANCE__@@KQAX@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0C 46 01 2C 15 46 06 46 01 D1 ?? ?? ?? ?? 2A 46 21 46 30 46 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_14_0_0 {
	meta:
		name = "__scrt_is_user_matherr_present"
		size = 28
		refs = "0018 __scrt_default_matherr"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 1B 68 0B B9 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_0_0 {
	meta:
		name = "?__scrt_initialize_thread_safe_statics@@YAHXZ"
		size = 128
		refs = "0048 atexit 0054 ?__scrt_uninitialize_thread_safe_statics@@YAXXZ 0058 ?encoded_wake_all_condition_variable@@3P6AXPAU_RTL_CONDITION_VARIABLE@@@ZA 005c __imp_WakeAllConditionVariable 0060 __imp_SleepConditionVariableCS 0064 ?encoded_sleep_condition_variable_cs@@3P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZA 0068 __security_cookie 006c __imp_InitializeConditionVariable 0070 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 0074 ?_Tss_event@@3PAXA 0078 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 007c __imp_InitializeCriticalSectionEx"
	strings:
		$1 = { 2D E9 00 48 EB 46 1D 4B 1B 48 00 22 1B 68 4F F4 7A 61 98 47 17 4B 00 22 15 48 1A 60 13 4B 1B 68 98 47 11 4B 0F 4A 18 68 00 F0 1F 03 C3 F1 20 01 0B 4B 1B 68 CB 41 43 40 13 60 08 4B 06 4A 1B 68 CB 41 43 40 03 48 13 60 ?? ?? ?? ?? 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1_0 {
	meta:
		name = "??$__crt_fast_decode_pointer@P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@Z@@YAP6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZQ6AH01K@Z@Z"
		size = 28
		refs = "0018 __security_cookie"
		altNames = "??$__crt_fast_decode_pointer@P6AXPAU_RTL_CONDITION_VARIABLE@@@Z@@YAP6AXPAU_RTL_CONDITION_VARIABLE@@@ZQ6AX0@Z@Z ??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_decode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 1B 68 03 F0 1F 02 43 40 63 FA 02 F0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_3_0 {
	meta:
		name = "??$__crt_fast_encode_pointer@P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@Z@@YAP6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZQ6AH01K@Z@Z"
		size = 36
		refs = "0020 __security_cookie"
		altNames = "??$__crt_fast_encode_pointer@P6AXPAU_RTL_CONDITION_VARIABLE@@@Z@@YAP6AXPAU_RTL_CONDITION_VARIABLE@@@ZQ6AX0@Z@Z ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_encode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4B 1A 68 02 F0 1F 03 C3 F1 20 03 60 FA 03 F3 83 EA 02 00 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_6_0 {
	meta:
		name = "?__scrt_uninitialize_thread_safe_statics@@YAXXZ"
		size = 48
		refs = "0020 __imp_CloseHandle 0024 ?_Tss_event@@3PAXA 0028 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 002c __imp_DeleteCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 4B 07 48 1B 68 98 47 05 4B 18 68 10 B1 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_7_0 {
	meta:
		name = "_Init_thread_abort"
		size = 30
		refs = "000a _Init_thread_lock 0012 _Init_thread_unlock 001a _Init_thread_notify"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 00 23 23 60 ?? ?? ?? ?? BD E8 18 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_8_0 {
	meta:
		name = "_Init_thread_footer"
		size = 68
		refs = "000a _Init_thread_lock 002c _Init_thread_unlock 0034 _Init_thread_notify 0038 _Init_thread_epoch 003c _tls_index 0040 _Init_global_epoch"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 0C 48 03 68 5B 1C 03 60 23 60 08 4B 1A 68 1D EE 50 3F DB 6A 53 F8 22 10 04 4A 03 68 8B 50 ?? ?? ?? ?? BD E8 18 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_9_0 {
	meta:
		name = "_Init_thread_header"
		size = 92
		refs = "000a _Init_thread_lock 0022 _Init_thread_wait 0044 _Init_thread_unlock 0050 _Init_thread_epoch 0054 _Init_global_epoch 0058 _tls_index"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 23 68 1B B9 6F F0 00 03 23 60 14 E0 6F F0 00 05 04 E0 64 20 ?? ?? ?? ?? 23 68 83 B1 AB 42 F8 D0 0A 4B 1A 68 1D EE 50 3F DB 6A 53 F8 22 10 05 4B 04 4A 1B 68 8B 50 ?? ?? ?? ?? BD E8 30 88 25 60 F9 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_10_0 {
	meta:
		name = "_Init_thread_lock"
		size = 28
		refs = "0014 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 0018 __imp_EnterCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 02 48 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_0_0 {
	meta:
		name = "?__scrt_initialize_type_info@@YAXXZ"
		size = 28
		refs = "0014 ?__type_info_root_node@@3U__type_info_node@@A 0018 __imp_InitializeSListHead"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 02 48 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_12_0 {
	meta:
		name = "_Init_thread_unlock"
		size = 28
		refs = "0014 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 0018 __imp_LeaveCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 02 48 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_4_0 {
	meta:
		name = "__scrt_set_unhandled_exception_filter"
		size = 28
		refs = "0014 __scrt_unhandled_exception_filter 0018 __imp_SetUnhandledExceptionFilter"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 02 48 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_11_0 {
	meta:
		name = "_Init_thread_notify"
		size = 88
		refs = "0022 _guard_check_icall 0040 __imp_ResetEvent 0044 __imp_SetEvent 0048 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 004c ?encoded_wake_all_condition_variable@@3P6AXPAU_RTL_CONDITION_VARIABLE@@@ZA 0050 __security_cookie 0054 ?_Tss_event@@3PAXA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 12 4C 20 68 70 B9 10 4B 19 68 0E 4B 01 F0 1F 02 1B 68 4B 40 63 FA 02 F4 20 46 ?? ?? ?? ?? 08 48 A0 47 06 E0 05 4B 1B 68 98 47 03 4B 20 68 1B 68 98 47 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_13_0 {
	meta:
		name = "_Init_thread_wait"
		size = 112
		refs = "0024 _guard_check_icall 0038 _Init_thread_unlock 004a _Init_thread_lock 0058 __imp_WaitForSingleObjectEx 005c ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 0060 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 0064 ?encoded_sleep_condition_variable_cs@@3P6AHPAU_RTL_CONDITION_VARIABLE@@PAU_RTL_CRITICAL_SECTION@@K@ZA 0068 __security_cookie 006c ?_Tss_event@@3PAXA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 18 4C 05 46 23 68 9B B9 15 4B 19 68 13 4B 01 F0 1F 02 1B 68 4B 40 63 FA 02 F4 20 46 ?? ?? ?? ?? 0D 48 0C 49 2A 46 A0 47 78 B9 00 20 BD E8 30 88 ?? ?? ?? ?? 06 4B 20 68 00 22 1B 68 29 46 98 47 04 46 ?? ?? ?? ?? 00 2C EF D1 01 20 EE E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_3_0 {
	meta:
		name = "?configure_argv@__scrt_narrow_argv_policy@@SAHXZ"
		size = 18
		refs = "0006 _get_startup_argv_mode 000e _configure_narrow_argv"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_61_2 {
	meta:
		name = "??1?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ"
		size = 22
		refs = "000e ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 40 68 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_81_4_2 {
	meta:
		name = "??1GlobalCore@details@Concurrency@@QAA@XZ"
		size = 18
		refs = "000e ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 6A 08 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_4_2 {
	meta:
		name = "??1_Lockit@std@@QAA@XZ"
		size = 48
		refs = "000e _unlock_locales 0024 _Mtxunlock 002c ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 1B B9 BD E8 00 48 ?? ?? ?? ?? 08 2B 08 DA 03 EB 43 02 04 4B 03 EB C2 00 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_19_3 {
	meta:
		name = "??2@YAPAXIAAV_HeapManager@@H@Z"
		size = 24
		refs = "000e ?getMemory@_HeapManager@@QAAPAXIH@Z 0014 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 02 48 BD E8 00 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_7_3 {
	meta:
		name = "??8type_info@@QBA_NABV0@@Z"
		size = 26
		refs = "000a __std_type_info_compare"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 1D 00 1D ?? ?? ?? ?? 08 B9 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_34_392_2 {
	meta:
		name = "??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@G@Z"
		size = 18
		refs = "000e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 46 01 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_451_1 {
	meta:
		name = "??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@_W@Z"
		size = 18
		refs = "000e ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 46 01 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_180_2_6 {
	meta:
		name = "??__E?C0@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?C0@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F3 04 35 3F }
	condition:
		$1
}

rule file_98_3_0 {
	meta:
		name = "??__E?C0@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?C0@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CD 3B 7F 66 9E A0 E6 3F }
	condition:
		$1
}

rule file_199_2_0 {
	meta:
		name = "??__E?C1@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?C1@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 30 E6 3F }
	condition:
		$1
}

rule file_180_5_6 {
	meta:
		name = "??__E?C1@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?C1@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 30 E6 3F }
	condition:
		$1
}

rule file_199_3_0 {
	meta:
		name = "??__E?C2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?C2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 83 80 5E B9 }
	condition:
		$1
}

rule file_330_4_6 {
	meta:
		name = "??__E?C2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?C2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A8 0C 61 5C 10 D0 2B BF }
	condition:
		$1
}

rule file_98_6_0 {
	meta:
		name = "??__E?C2@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?C2@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 83 80 5E B9 }
	condition:
		$1
}

rule file_180_7_6 {
	meta:
		name = "??__E?C2@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?C2@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A8 0C 61 5C 10 D0 2B BF }
	condition:
		$1
}

rule file_180_9_6 {
	meta:
		name = "??__E?C3@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?C3@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 48 04 49 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7B CB DB 3F 0E E5 26 15 }
	condition:
		$1
}

rule file_236_7_6 {
	meta:
		name = "??__E?K@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?K@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? ED A8 E2 3E }
	condition:
		$1
}

rule file_236_8_6 {
	meta:
		name = "??__E?K@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?K@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F8 0B AE 94 1D 55 DC 3F }
	condition:
		$1
}

rule file_180_10_6 {
	meta:
		name = "??__E?a0@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?a0@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 3D 7E 0D BF }
	condition:
		$1
}

rule file_180_11_6 {
	meta:
		name = "??__E?a0@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?a0@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9A B5 B3 12 FF 07 50 C0 }
	condition:
		$1
}

rule file_180_12_6 {
	meta:
		name = "??__E?a1@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?a1@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_180_13_6 {
	meta:
		name = "??__E?a1@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?a1@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? ED AF 16 20 4A 62 30 40 }
	condition:
		$1
}

rule file_180_14_6 {
	meta:
		name = "??__E?a2@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?a2@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_98_15_0 {
	meta:
		name = "??__E?a2@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?a2@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 29 BD 56 B3 15 44 E9 BF }
	condition:
		$1
}

rule file_98_16_0 {
	meta:
		name = "??__E?b0@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?b0@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 3A 3F D4 C0 }
	condition:
		$1
}

rule file_98_17_0 {
	meta:
		name = "??__E?b0@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?b0@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 77 90 0D 9C FE 0B 88 C0 }
	condition:
		$1
}

rule file_98_18_0 {
	meta:
		name = "??__E?b1@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?b1@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_19_0 {
	meta:
		name = "??__E?b1@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?b1@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7E 26 15 FA 83 80 73 40 }
	condition:
		$1
}

rule file_98_20_0 {
	meta:
		name = "??__E?b2@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?b2@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_180_21_6 {
	meta:
		name = "??__E?b2@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?b2@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 0F CE 67 4B 80 D5 41 C0 }
	condition:
		$1
}

rule file_98_22_0 {
	meta:
		name = "??__E?b3@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?b3@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_180_23_6 {
	meta:
		name = "??__E?b3@?$VLog@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?b3@?$VLog@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_330_5_6 {
	meta:
		name = "??__E?bigx@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?bigx@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 18 72 B1 42 }
	condition:
		$1
}

rule file_330_6_6 {
	meta:
		name = "??__E?bigx@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?bigx@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE 42 2E 86 40 }
	condition:
		$1
}

rule file_236_9_6 {
	meta:
		name = "??__E?bigx@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?bigx@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 18 52 B1 44 }
	condition:
		$1
}

rule file_134_10_0 {
	meta:
		name = "??__E?bigx@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?bigx@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE C2 2D C6 40 }
	condition:
		$1
}

rule file_268_1_6 {
	meta:
		name = "??__E?c1@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?c1@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 22 09 40 }
	condition:
		$1
}

rule file_149_3_0 {
	meta:
		name = "??__E?c1@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?c1@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 22 F9 3F }
	condition:
		$1
}

rule file_154_2_0 {
	meta:
		name = "??__E?c2@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?c2@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7A 77 15 B7 }
	condition:
		$1
}

rule file_268_3_6 {
	meta:
		name = "??__E?c2@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?c2@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9E E5 9E 4B EF AE E2 BE }
	condition:
		$1
}

rule file_260_4_6 {
	meta:
		name = "??__E?c2@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?c2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 22 AA FD 39 }
	condition:
		$1
}

rule file_260_5_6 {
	meta:
		name = "??__E?c2@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?c2@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9E E5 9E 4B EF AE D2 BE }
	condition:
		$1
}

rule file_260_6_6 {
	meta:
		name = "??__E?eps1@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps1@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 00 }
	condition:
		$1
}

rule file_260_7_6 {
	meta:
		name = "??__E?eps1@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps1@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 6F 28 F4 18 66 1C 73 C0 }
	condition:
		$1
}

rule file_53_0_0 {
	meta:
		name = "??__E?eps@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_102_1_6 {
	meta:
		name = "??__E?eps@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_178_1_6 {
	meta:
		name = "??__E?eps@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_178_2_6 {
	meta:
		name = "??__E?eps@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_330_7_6 {
	meta:
		name = "??__E?eps@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 33 }
	condition:
		$1
}

rule file_330_8_6 {
	meta:
		name = "??__E?eps@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 90 3C }
	condition:
		$1
}

rule file_154_4_0 {
	meta:
		name = "??__E?eps@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_268_5_6 {
	meta:
		name = "??__E?eps@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CD 3B 7F 66 9E A0 46 3E }
	condition:
		$1
}

rule file_147_3_6 {
	meta:
		name = "??__E?eps@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_81_4_0 {
	meta:
		name = "??__E?eps@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_260_8_6 {
	meta:
		name = "??__E?eps@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_260_9_6 {
	meta:
		name = "??__E?eps@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_120_0_6 {
	meta:
		name = "??__E?eps@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?eps@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 80 39 }
	condition:
		$1
}

rule file_120_1_6 {
	meta:
		name = "??__E?eps@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?eps@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 50 3E }
	condition:
		$1
}

rule file_330_10_6 {
	meta:
		name = "??__E?exponentBias@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@I@Z 0018 ?exponentBias@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 40 F2 FE 30 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_4_0 {
	meta:
		name = "??__E?exponentMask@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 FF 40 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_13_6 {
	meta:
		name = "??__E?exponentMask@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?exponentMask@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_268_10_6 {
	meta:
		name = "??__E?half@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?half@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_268_11_6 {
	meta:
		name = "??__E?half@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?half@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_8_0 {
	meta:
		name = "??__E?ind@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?ind@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 F8 FF }
	condition:
		$1
}

rule file_154_14_0 {
	meta:
		name = "??__E?inf@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?inf@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 FF 40 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_268_15_6 {
	meta:
		name = "??__E?inf@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?inf@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_199_17_0 {
	meta:
		name = "??__E?inv_ln2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?inv_ln2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 3B AA B8 3F }
	condition:
		$1
}

rule file_199_18_0 {
	meta:
		name = "??__E?inv_ln2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?inv_ln2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? FE 82 2B 65 47 15 F7 3F }
	condition:
		$1
}

rule file_199_19_0 {
	meta:
		name = "??__E?ln2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?ln2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 18 72 31 3F }
	condition:
		$1
}

rule file_199_20_0 {
	meta:
		name = "??__E?ln2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?ln2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE 42 2E E6 3F }
	condition:
		$1
}

rule file_81_14_0 {
	meta:
		name = "??__E?ln_v@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?ln_v@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 60 2E E6 3F }
	condition:
		$1
}

rule file_134_20_0 {
	meta:
		name = "??__E?lsb_mask@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?lsb_mask@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 01 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_22_0 {
	meta:
		name = "??__E?neginf@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?neginf@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 49 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 F0 FF }
	condition:
		$1
}

rule file_149_20_0 {
	meta:
		name = "??__E?notExponentMask@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?notExponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 FF 40 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_154_20_0 {
	meta:
		name = "??__E?one@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?one@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_268_21_6 {
	meta:
		name = "??__E?one@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?one@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_19_0 {
	meta:
		name = "??__E?one_over_v_squared@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?one_over_v_squared@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 30 FE 7F 3E }
	condition:
		$1
}

rule file_81_20_0 {
	meta:
		name = "??__E?one_over_v_squared@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?one_over_v_squared@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 74 07 29 FE C5 FF CF 3F }
	condition:
		$1
}

rule file_95_15_0 {
	meta:
		name = "??__E?p0@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F6 10 F1 BE }
	condition:
		$1
}

rule file_95_16_0 {
	meta:
		name = "??__E?p0@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? E2 1C 06 51 A6 60 2B C0 }
	condition:
		$1
}

rule file_330_25_6 {
	meta:
		name = "??__E?p0@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B5 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_26_0 {
	meta:
		name = "??__E?p0@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 82 25 B6 FE FF FF CF 3F }
	condition:
		$1
}

rule file_81_21_0 {
	meta:
		name = "??__E?p0@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F0 69 E4 C0 }
	condition:
		$1
}

rule file_81_22_0 {
	meta:
		name = "??__E?p0@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 19 34 53 56 13 79 15 C1 }
	condition:
		$1
}

rule file_260_22_6 {
	meta:
		name = "??__E?p0@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_149_23_0 {
	meta:
		name = "??__E?p0@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_14_0 {
	meta:
		name = "??__E?p0@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p0@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? C6 E2 52 BF }
	condition:
		$1
}

rule file_120_15_6 {
	meta:
		name = "??__E?p0@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p0@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1F B2 B0 C9 A5 35 99 C0 }
	condition:
		$1
}

rule file_102_14_6 {
	meta:
		name = "??__E?p1@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 6B 16 6F 3F }
	condition:
		$1
}

rule file_102_15_6 {
	meta:
		name = "??__E?p1@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 62 0A 3A A8 55 5E 3B C0 }
	condition:
		$1
}

rule file_95_17_0 {
	meta:
		name = "??__E?p1@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 91 86 50 BD }
	condition:
		$1
}

rule file_178_18_6 {
	meta:
		name = "??__E?p1@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CB BC E2 B9 7F 81 34 C0 }
	condition:
		$1
}

rule file_330_27_6 {
	meta:
		name = "??__E?p1@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 08 53 88 3B }
	condition:
		$1
}

rule file_199_28_0 {
	meta:
		name = "??__E?p1@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? E0 F6 B3 6F E4 70 7C 3F }
	condition:
		$1
}

rule file_134_25_0 {
	meta:
		name = "??__E?p1@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 5C B7 AA 3D }
	condition:
		$1
}

rule file_236_26_6 {
	meta:
		name = "??__E?p1@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 4D 55 55 55 55 55 B5 3F }
	condition:
		$1
}

rule file_81_23_0 {
	meta:
		name = "??__E?p1@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? C2 E6 42 BE }
	condition:
		$1
}

rule file_147_24_6 {
	meta:
		name = "??__E?p1@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 90 14 94 B6 C2 95 C6 C0 }
	condition:
		$1
}

rule file_260_24_6 {
	meta:
		name = "??__E?p1@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B8 33 C4 BD }
	condition:
		$1
}

rule file_260_25_6 {
	meta:
		name = "??__E?p1@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 09 4D E5 B5 12 C1 BF }
	condition:
		$1
}

rule file_120_16_6 {
	meta:
		name = "??__E?p1@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p1@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B2 11 7B BB }
	condition:
		$1
}

rule file_120_17_6 {
	meta:
		name = "??__E?p1@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p1@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CC 5C BA A1 75 CE 58 C0 }
	condition:
		$1
}

rule file_53_16_0 {
	meta:
		name = "??__E?p2@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 65 20 01 BF }
	condition:
		$1
}

rule file_102_17_6 {
	meta:
		name = "??__E?p2@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 8A D4 0A 36 A7 9A 4C 40 }
	condition:
		$1
}

rule file_178_19_6 {
	meta:
		name = "??__E?p2@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_95_20_0 {
	meta:
		name = "??__E?p2@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 63 6A 8D 5C 3F FD 20 C0 }
	condition:
		$1
}

rule file_330_29_6 {
	meta:
		name = "??__E?p2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_199_30_0 {
	meta:
		name = "??__E?p2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1C DC 58 6F A4 52 F1 3E }
	condition:
		$1
}

rule file_236_27_6 {
	meta:
		name = "??__E?p2@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_236_28_6 {
	meta:
		name = "??__E?p2@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 0E 08 9E 99 99 99 89 3F }
	condition:
		$1
}

rule file_81_25_0 {
	meta:
		name = "??__E?p2@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_81_26_0 {
	meta:
		name = "??__E?p2@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 4A BE 85 63 41 78 64 C0 }
	condition:
		$1
}

rule file_149_26_0 {
	meta:
		name = "??__E?p2@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_260_27_6 {
	meta:
		name = "??__E?p2@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? DF AA 3B A6 82 0E 6C 3F }
	condition:
		$1
}

rule file_63_18_0 {
	meta:
		name = "??__E?p2@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p2@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_63_19_0 {
	meta:
		name = "??__E?p2@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p2@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7F A7 FB CE 28 DC EE BF }
	condition:
		$1
}

rule file_53_18_0 {
	meta:
		name = "??__E?p3@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_53_19_0 {
	meta:
		name = "??__E?p3@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9F DA A6 A9 2C D8 43 C0 }
	condition:
		$1
}

rule file_95_21_0 {
	meta:
		name = "??__E?p3@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_178_22_6 {
	meta:
		name = "??__E?p3@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? BD 87 B1 D9 7A CD EA BF }
	condition:
		$1
}

rule file_134_29_0 {
	meta:
		name = "??__E?p3@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_134_30_0 {
	meta:
		name = "??__E?p3@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? AC 8D 27 2E 24 49 62 3F }
	condition:
		$1
}

rule file_81_27_0 {
	meta:
		name = "??__E?p3@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_81_28_0 {
	meta:
		name = "??__E?p3@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1B C8 6F B8 E7 44 E9 BF }
	condition:
		$1
}

rule file_260_28_6 {
	meta:
		name = "??__E?p3@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p3@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_149_29_0 {
	meta:
		name = "??__E?p3@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p3@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 24 C7 A2 2E B7 BA F2 BE }
	condition:
		$1
}

rule file_53_20_0 {
	meta:
		name = "??__E?p4@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p4@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_102_21_6 {
	meta:
		name = "??__E?p4@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p4@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 27 39 EC 64 17 4E 24 40 }
	condition:
		$1
}

rule file_134_31_0 {
	meta:
		name = "??__E?p4@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p4@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_236_32_6 {
	meta:
		name = "??__E?p4@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p4@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 28 FC 4A DB FD 78 3C 3F }
	condition:
		$1
}

rule file_53_22_0 {
	meta:
		name = "??__E?p5@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?p5@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_102_23_6 {
	meta:
		name = "??__E?p5@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?p5@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 65 1E E6 B5 BD 4B E6 BF }
	condition:
		$1
}

rule file_53_24_0 {
	meta:
		name = "??__E?q0@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F0 50 B3 40 }
	condition:
		$1
}

rule file_53_25_0 {
	meta:
		name = "??__E?q0@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CC 87 2B 3E C0 86 64 C0 }
	condition:
		$1
}

rule file_178_23_6 {
	meta:
		name = "??__E?q0@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D3 CC B4 3F }
	condition:
		$1
}

rule file_178_24_6 {
	meta:
		name = "??__E?q0@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A9 95 C4 BC 7C 88 44 40 }
	condition:
		$1
}

rule file_330_31_6 {
	meta:
		name = "??__E?q0@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_330_32_6 {
	meta:
		name = "??__E?q0@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_29_0 {
	meta:
		name = "??__E?q0@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 93 4F 2B C2 }
	condition:
		$1
}

rule file_81_30_0 {
	meta:
		name = "??__E?q0@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 13 67 BE 80 CE 1A 40 C1 }
	condition:
		$1
}

rule file_149_30_0 {
	meta:
		name = "??__E?q0@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_31_6 {
	meta:
		name = "??__E?q0@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_20_6 {
	meta:
		name = "??__E?q0@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q0@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1A 2A 1E 40 }
	condition:
		$1
}

rule file_120_21_6 {
	meta:
		name = "??__E?q0@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q0@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 93 96 4E 57 3C E8 B2 40 }
	condition:
		$1
}

rule file_53_26_0 {
	meta:
		name = "??__E?q1@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 0B 8D B1 C0 }
	condition:
		$1
}

rule file_53_27_0 {
	meta:
		name = "??__E?q1@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 43 B8 1E 10 4F 12 7A 40 }
	condition:
		$1
}

rule file_178_25_6 {
	meta:
		name = "??__E?q1@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_178_26_6 {
	meta:
		name = "??__E?q1@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A5 6D 0B 04 12 8A 55 40 }
	condition:
		$1
}

rule file_199_33_0 {
	meta:
		name = "??__E?q1@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 5B BF 4C 3D }
	condition:
		$1
}

rule file_330_34_6 {
	meta:
		name = "??__E?q1@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B3 51 42 71 8E 71 AC 3F }
	condition:
		$1
}

rule file_236_33_6 {
	meta:
		name = "??__E?q1@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 11 72 31 3F }
	condition:
		$1
}

rule file_134_34_0 {
	meta:
		name = "??__E?q1@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE 42 2E E6 3F }
	condition:
		$1
}

rule file_81_31_0 {
	meta:
		name = "??__E?q1@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_147_32_6 {
	meta:
		name = "??__E?q1@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? C7 5E B6 23 57 A8 E1 40 }
	condition:
		$1
}

rule file_260_32_6 {
	meta:
		name = "??__E?q1@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? AF B7 DB BE }
	condition:
		$1
}

rule file_260_33_6 {
	meta:
		name = "??__E?q1@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D5 D9 FB 47 B0 DE DD BF }
	condition:
		$1
}

rule file_120_22_6 {
	meta:
		name = "??__E?q1@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q1@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_23_6 {
	meta:
		name = "??__E?q1@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q1@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F3 F0 01 4D 8B 73 A1 40 }
	condition:
		$1
}

rule file_53_28_0 {
	meta:
		name = "??__E?q2@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_29_6 {
	meta:
		name = "??__E?q2@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 48 A8 56 FC CE DD 77 C0 }
	condition:
		$1
}

rule file_95_27_0 {
	meta:
		name = "??__E?q2@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_95_28_0 {
	meta:
		name = "??__E?q2@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D7 A3 0D 32 0A CA 4D 40 }
	condition:
		$1
}

rule file_199_35_0 {
	meta:
		name = "??__E?q2@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_330_36_6 {
	meta:
		name = "??__E?q2@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 09 38 DE 6F 99 3F 40 3F }
	condition:
		$1
}

rule file_236_35_6 {
	meta:
		name = "??__E?q2@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 15 F3 75 3E }
	condition:
		$1
}

rule file_134_36_0 {
	meta:
		name = "??__E?q2@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? CE C4 82 FF BD BF CE 3F }
	condition:
		$1
}

rule file_81_33_0 {
	meta:
		name = "??__E?q2@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_147_34_6 {
	meta:
		name = "??__E?q2@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? F2 7F C9 81 C3 5B 71 C0 }
	condition:
		$1
}

rule file_149_34_0 {
	meta:
		name = "??__E?q2@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 75 33 1F 3C }
	condition:
		$1
}

rule file_260_35_6 {
	meta:
		name = "??__E?q2@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 59 21 7E A1 9E 47 9A 3F }
	condition:
		$1
}

rule file_63_24_0 {
	meta:
		name = "??__E?q2@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q2@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_63_25_0 {
	meta:
		name = "??__E?q2@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q2@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? FA F7 EB E1 A9 2F 5C 40 }
	condition:
		$1
}

rule file_102_30_6 {
	meta:
		name = "??__E?q3@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_53_31_0 {
	meta:
		name = "??__E?q3@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 70 1C 59 96 7C DE 62 40 }
	condition:
		$1
}

rule file_178_29_6 {
	meta:
		name = "??__E?q3@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_95_30_0 {
	meta:
		name = "??__E?q3@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 10 C7 4A E1 49 0C 2E 40 }
	condition:
		$1
}

rule file_236_37_6 {
	meta:
		name = "??__E?q3@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? FE A8 5E 3D }
	condition:
		$1
}

rule file_236_38_6 {
	meta:
		name = "??__E?q3@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 6D 02 03 D7 08 6B AC 3F }
	condition:
		$1
}

rule file_81_35_0 {
	meta:
		name = "??__E?q3@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_81_36_0 {
	meta:
		name = "??__E?q3@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_36_6 {
	meta:
		name = "??__E?q3@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_260_37_6 {
	meta:
		name = "??__E?q3@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 41 48 09 99 64 6F 34 BF }
	condition:
		$1
}

rule file_120_26_6 {
	meta:
		name = "??__E?q3@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q3@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_63_27_0 {
	meta:
		name = "??__E?q3@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q3@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_32_0 {
	meta:
		name = "??__E?q4@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q4@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_53_33_0 {
	meta:
		name = "??__E?q4@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q4@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1F 86 F9 6E E8 D2 37 C0 }
	condition:
		$1
}

rule file_95_31_0 {
	meta:
		name = "??__E?q4@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q4@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_178_32_6 {
	meta:
		name = "??__E?q4@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q4@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_134_39_0 {
	meta:
		name = "??__E?q4@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q4@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_134_40_0 {
	meta:
		name = "??__E?q4@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q4@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 98 1D 13 6E AB B2 83 3F }
	condition:
		$1
}

rule file_260_38_6 {
	meta:
		name = "??__E?q4@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q4@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_260_39_6 {
	meta:
		name = "??__E?q4@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q4@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? E9 78 76 F0 74 B7 A0 3E }
	condition:
		$1
}

rule file_53_34_0 {
	meta:
		name = "??__E?q5@?$VASin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q5@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_53_35_0 {
	meta:
		name = "??__E?q5@?$VASin@N@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q5@?$VASin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE 00 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_134_41_0 {
	meta:
		name = "??__E?q5@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q5@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_236_42_6 {
	meta:
		name = "??__E?q5@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q5@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9F CD D7 18 7E D8 55 3F }
	condition:
		$1
}

rule file_236_43_6 {
	meta:
		name = "??__E?q6@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q6@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_134_44_0 {
	meta:
		name = "??__E?q6@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q6@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 74 4C 38 E0 7A 2F 24 3F }
	condition:
		$1
}

rule file_134_45_0 {
	meta:
		name = "??__E?q7@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?q7@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_134_46_0 {
	meta:
		name = "??__E?q7@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?q7@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 80 CC 92 E3 DD 4E EF 3E }
	condition:
		$1
}

rule file_154_22_0 {
	meta:
		name = "??__E?r1@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r1@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? A4 AA 2A BE }
	condition:
		$1
}

rule file_268_23_6 {
	meta:
		name = "??__E?r1@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r1@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 55 55 55 55 55 55 C5 BF }
	condition:
		$1
}

rule file_154_24_0 {
	meta:
		name = "??__E?r2@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r2@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 3E 87 08 3C }
	condition:
		$1
}

rule file_268_25_6 {
	meta:
		name = "??__E?r2@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r2@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B0 10 11 11 11 11 81 3F }
	condition:
		$1
}

rule file_154_26_0 {
	meta:
		name = "??__E?r3@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r3@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 22 B2 4F B9 }
	condition:
		$1
}

rule file_154_27_0 {
	meta:
		name = "??__E?r3@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r3@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 1A 3E 01 1A A0 01 2A BF }
	condition:
		$1
}

rule file_154_28_0 {
	meta:
		name = "??__E?r4@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r4@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 5B 9C 2E 36 }
	condition:
		$1
}

rule file_268_29_6 {
	meta:
		name = "??__E?r4@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r4@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 63 F0 24 A5 E3 1D C7 3E }
	condition:
		$1
}

rule file_154_30_0 {
	meta:
		name = "??__E?r5@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r5@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_268_31_6 {
	meta:
		name = "??__E?r5@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r5@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? AB C0 5D 4B 45 E6 5A BE }
	condition:
		$1
}

rule file_268_32_6 {
	meta:
		name = "??__E?r6@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r6@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_268_33_6 {
	meta:
		name = "??__E?r6@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r6@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 30 D4 6A 68 3C 12 E6 3D }
	condition:
		$1
}

rule file_268_34_6 {
	meta:
		name = "??__E?r7@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r7@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_154_35_0 {
	meta:
		name = "??__E?r7@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r7@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 9C 49 08 DC 20 E4 6A BD }
	condition:
		$1
}

rule file_154_36_0 {
	meta:
		name = "??__E?r8@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?r8@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_154_37_0 {
	meta:
		name = "??__E?r8@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?r8@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 95 DF 93 69 FF 80 E8 3C }
	condition:
		$1
}

rule file_154_38_0 {
	meta:
		name = "??__E?sign_mask@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?sign_mask@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 00 40 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_330_37_6 {
	meta:
		name = "??__E?smallx@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?smallx@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 50 AC AE C2 }
	condition:
		$1
}

rule file_199_38_0 {
	meta:
		name = "??__E?smallx@?$VExp@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?smallx@?$VExp@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D2 BC 7A DD 2B 23 86 C0 }
	condition:
		$1
}

rule file_236_47_6 {
	meta:
		name = "??__E?smallx@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?smallx@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 50 8C AE C4 }
	condition:
		$1
}

rule file_236_48_6 {
	meta:
		name = "??__E?smallx@?$VPow@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?smallx@?$VPow@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D2 BC 7A DD AB 22 C6 C0 }
	condition:
		$1
}

rule file_95_34_0 {
	meta:
		name = "??__E?sqrt_three@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?sqrt_three@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 48 04 49 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7A B6 FB 3F AA 4C 58 E8 }
	condition:
		$1
}

rule file_95_36_0 {
	meta:
		name = "??__E?two_minus_sqrt_three@?$VATan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 0018 ?two_minus_sqrt_three@?$VATan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 48 04 49 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 14 26 D1 3F 56 CD 9E 5E }
	condition:
		$1
}

rule file_81_37_0 {
	meta:
		name = "??__E?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 97 08 68 37 }
	condition:
		$1
}

rule file_81_38_0 {
	meta:
		name = "??__E?v_over_two_minus_1@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?v_over_two_minus_1@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? D6 02 02 EB 12 01 ED 3E }
	condition:
		$1
}

rule file_81_39_0 {
	meta:
		name = "??__E?wmax@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?wmax@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 7A 70 B1 42 }
	condition:
		$1
}

rule file_81_40_0 {
	meta:
		name = "??__E?wmax@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?wmax@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B1 BF EC 9E 3C 2E 86 40 }
	condition:
		$1
}

rule file_120_28_6 {
	meta:
		name = "??__E?xbig@?$VTanh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?xbig@?$VTanh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? B3 2C 10 41 }
	condition:
		$1
}

rule file_120_29_6 {
	meta:
		name = "??__E?xbig@?$VTanh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?xbig@?$VTanh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 A0 C1 0F 33 40 }
	condition:
		$1
}

rule file_81_41_0 {
	meta:
		name = "??__E?ybar@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?ybar@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 18 72 B1 42 }
	condition:
		$1
}

rule file_81_42_0 {
	meta:
		name = "??__E?ybar@?$VSinh@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?ybar@?$VSinh@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? EF 39 FA FE 42 2E 86 40 }
	condition:
		$1
}

rule file_268_40_6 {
	meta:
		name = "??__E?ymax@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?ymax@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? DB 0F 49 46 }
	condition:
		$1
}

rule file_154_41_0 {
	meta:
		name = "??__E?ymax@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?ymax@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? E1 62 DD 1A 83 C5 B1 41 }
	condition:
		$1
}

rule file_260_40_6 {
	meta:
		name = "??__E?ymax@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0018 ?ymax@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0A ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 08 C9 45 }
	condition:
		$1
}

rule file_149_41_0 {
	meta:
		name = "??__E?ymax@?$VTan@N@@0T__n128@@B@@YAXXZ"
		size = 36
		refs = "000a ?create@?$VectorOp@N@@SA?AT__n128@@N@Z 0018 ?ymax@?$VTan@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 05 0B ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 ?? ?? ?? ?? 00 00 00 54 FB 21 99 41 }
	condition:
		$1
}

rule file_47_98_2 {
	meta:
		name = "?_Decref@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXXZ"
		size = 22
		refs = "000e ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 40 68 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_51_45_1 {
	meta:
		name = "?_Inc_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z"
		size = 20
		refs = "000a ?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 46 01 21 ?? ?? ?? ?? 40 1C BD E8 00 88 }
	condition:
		$1
}

rule file_27_246_1 {
	meta:
		name = "?_Lock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAAXXZ"
		size = 22
		refs = "000e _lock_file"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 6C 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_89_248_1 {
	meta:
		name = "?_Lock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAAXXZ"
		size = 22
		refs = "000e _lock_file"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 6C 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_102_220_2 {
	meta:
		name = "?_Lock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAAXXZ"
		size = 22
		refs = "000e _lock_file"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 6C 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_19_26_1 {
	meta:
		name = "?_ReportUnobservedException@details@Concurrency@@YAXXZ"
		size = 16
		refs = "000a terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 20 FB DE ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_95_269_1 {
	meta:
		name = "?_Unlock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAAXXZ"
		size = 22
		refs = "000e _unlock_file"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 6C 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_102_270_1 {
	meta:
		name = "?_Unlock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAAXXZ"
		size = 22
		refs = "000e _unlock_file"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 6C 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_68_239_2 {
	meta:
		name = "?_Unlock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAAXXZ"
		size = 22
		refs = "000e _unlock_file"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 6C 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_98_133_1 {
	meta:
		name = "?__ExceptionPtrDestroy@@YAXPAX@Z"
		size = 22
		refs = "000e ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 40 68 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_47_134_2 {
	meta:
		name = "?__ExceptionPtrRethrow@@YAXPBX@Z"
		size = 16
		refs = "0006 ??C?$shared_ptr@V__ExceptionPtr@@@std@@QBAPAV__ExceptionPtr@@XZ 000a ?_RethrowException@__ExceptionPtr@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_218_3_6 {
	meta:
		name = "?__scrt_common_main@@YAHXZ"
		size = 18
		refs = "0006 __security_init_cookie 000e ?__scrt_common_main_seh@@YAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_218_6_6 {
	meta:
		name = "?configure_argv@__scrt_wide_argv_policy@@SAHXZ"
		size = 18
		refs = "0006 _get_startup_argv_mode 000e _configure_wide_argv"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_269_2 {
	meta:
		name = "?copy@?$char_traits@G@std@@SAPAGPAGPBGI@Z"
		size = 18
		refs = "000a memcpy"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 B1 52 00 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_94_269_2 {
	meta:
		name = "?copy@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z"
		size = 18
		refs = "000a memcpy"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 B1 52 00 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_34_1193_2 {
	meta:
		name = "?move@?$char_traits@G@std@@SAPAGPAGPBGI@Z"
		size = 18
		refs = "000a memmove"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 B1 52 00 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_17_1288_1 {
	meta:
		name = "?move@?$char_traits@_W@std@@SAPA_WPA_WPB_WI@Z"
		size = 18
		refs = "000a memmove"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 B1 52 00 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_352_2_6 {
	meta:
		name = "?pre_cpp_initialization@@YAXXZ"
		size = 22
		refs = "0006 __scrt_set_unhandled_exception_filter 000a _get_startup_new_mode 0012 _set_new_mode"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_31_2 {
	meta:
		name = "?wait@stl_condition_variable_concrt@details@Concurrency@@UAAXPAVstl_critical_section_interface@23@@Z"
		size = 18
		refs = "000e ?wait@_Condition_variable@details@Concurrency@@QAAXAAVcritical_section@3@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 1D 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_34_2 {
	meta:
		name = "?wait_for@stl_condition_variable_concrt@details@Concurrency@@UAA_NPAVstl_critical_section_interface@23@I@Z"
		size = 18
		refs = "000e ?wait_for@_Condition_variable@details@Concurrency@@QAA_NAAVcritical_section@3@I@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 1D 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_10_6 {
	meta:
		name = "WinMainCRTStartup"
		size = 18
		refs = "0006 __security_init_cookie 000e ?__scrt_common_main_seh@@YAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_13_3 {
	meta:
		name = "_MoveContext"
		size = 18
		refs = "000e memmove"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F4 D0 72 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_360_11_6 {
	meta:
		name = "__scrt_dllmain_crt_thread_detach"
		size = 20
		refs = "0006 __acrt_thread_detach 000a __vcrt_thread_detach"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? ?? ?? ?? ?? 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_5_3_3 {
	meta:
		name = "__vcrt_uninitialize"
		size = 28
		refs = "0008 __vcrt_uninitialize_ptd 000c __vcrt_uninitialize_locks 0012 __vcrt_uninitialize_winapi_thunks"
	strings:
		$1 = { 2D E9 00 48 EB 46 30 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_12_407_1 {
	meta:
		name = "ldexpf"
		size = 22
		refs = "000a ldexp"
	strings:
		$1 = { 2D E9 00 48 EB 46 B7 EE C0 0A ?? ?? ?? ?? B7 EE C0 0B BD E8 00 88 }
	condition:
		$1
}

rule file_158_10_0 {
	meta:
		name = "mainCRTStartup"
		size = 18
		refs = "0006 __security_init_cookie 000e ?__scrt_common_main_seh@@YAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_10_0 {
	meta:
		name = "wWinMainCRTStartup"
		size = 18
		refs = "0006 __security_init_cookie 000e ?__scrt_common_main_seh@@YAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_218_10_0 {
	meta:
		name = "wmainCRTStartup"
		size = 18
		refs = "0006 __security_init_cookie 000e ?__scrt_common_main_seh@@YAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_4_0 {
	meta:
		name = "?find_pe_section@@YAPAU_IMAGE_SECTION_HEADER@@QAEI@Z"
		size = 58
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B C3 6B 1A 18 93 8A 13 44 03 F1 18 00 D3 88 03 EB 83 03 00 EB C3 04 07 E0 C2 68 91 42 03 D3 83 68 13 44 99 42 03 D3 28 30 A0 42 F5 D1 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_18_5_0 {
	meta:
		name = "?is_potentially_valid_image_base@@YA_NQAX@Z"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B9 00 20 11 E0 02 88 45 F6 4D 23 9A 42 F8 D1 C3 6B 1A 58 19 18 44 F2 50 53 9A 42 F1 D1 0A 8B 40 F2 0B 13 9A 42 EC D1 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_18_7_0 {
	meta:
		name = "__scrt_acquire_startup_lock"
		size = 84
		refs = "0006 __scrt_is_ucrt_dll_in_use 0050 __scrt_native_startup_lock"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? E0 B1 1D EE 50 3F 59 68 BF F3 5B 8F 0E 48 50 E8 00 2F 1A B9 40 E8 00 13 00 2B F8 D1 0A E0 91 42 0F D0 BF F3 5B 8F 50 E8 00 2F 1A B9 40 E8 00 13 00 2B F8 D1 BF F3 5B 8F 00 2A F0 D1 00 20 BD E8 00 88 01 20 FB E7 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_8_0 {
	meta:
		name = "__scrt_dllmain_after_initialize_c"
		size = 42
		refs = "0006 __scrt_is_ucrt_dll_in_use 000c __isa_available_init 0012 _get_startup_argv_mode 0016 _configure_narrow_argv 0020 _initialize_narrow_environment"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 10 B1 ?? ?? ?? ?? 08 E0 ?? ?? ?? ?? ?? ?? ?? ?? 08 B1 00 20 02 E0 ?? ?? ?? ?? 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_44_271_1 {
	meta:
		name = "?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
		size = 20
		refs = "0008 ?_Xlength_error@std@@YAXPBD@Z 0010 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_917_1 {
	meta:
		name = "?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
		size = 20
		refs = "0008 ?_Xlength_error@std@@YAXPBD@Z 0010 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_66_2 {
	meta:
		name = "?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
		size = 20
		refs = "0008 ?_Xlength_error@std@@YAXPBD@Z 0010 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_242_2 {
	meta:
		name = "?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
		size = 20
		refs = "0008 ?_Xout_of_range@std@@YAXPBD@Z 0010 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_841_2 {
	meta:
		name = "?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
		size = 20
		refs = "0008 ?_Xout_of_range@std@@YAXPBD@Z 0010 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_842_2 {
	meta:
		name = "?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
		size = 20
		refs = "0008 ?_Xout_of_range@std@@YAXPBD@Z 0010 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_969_1 {
	meta:
		name = "?copy@?$char_traits@D@std@@SAPADPADPBDI@Z"
		size = 16
		refs = "0008 memcpy"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A B1 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_103_439_2 {
	meta:
		name = "?move@?$char_traits@D@std@@SAPADPADPBDI@Z"
		size = 16
		refs = "0008 memmove"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A B1 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_18_14_0 {
	meta:
		name = "__scrt_dllmain_uninitialize_critical"
		size = 20
		refs = "0008 __acrt_uninitialize_critical 0010 __vcrt_uninitialize_critical"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 20 ?? ?? ?? ?? BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_9_0 {
	meta:
		name = "__scrt_dllmain_before_initialize_c"
		size = 24
		refs = "0008 __scrt_initialize_onexit_tables"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 20 ?? ?? ?? ?? 08 B9 00 20 00 E0 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_18_10_0 {
	meta:
		name = "__scrt_dllmain_crt_thread_attach"
		size = 34
		refs = "0006 __vcrt_thread_attach 0010 __acrt_thread_attach 0016 __vcrt_thread_detach"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 08 B9 00 20 06 E0 ?? ?? ?? ?? 10 B9 ?? ?? ?? ?? F7 E7 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_18_12_0 {
	meta:
		name = "__scrt_dllmain_exception_filter"
		size = 52
		refs = "0010 __scrt_is_ucrt_dll_in_use 001c _guard_check_icall 0030 _seh_filter_dll"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 1C 46 16 46 0D 46 07 46 ?? ?? ?? ?? 40 B9 01 2D 06 D1 20 46 ?? ?? ?? ?? 38 46 00 21 32 46 A0 47 07 99 06 98 BD E8 F0 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_13_0 {
	meta:
		name = "__scrt_dllmain_uninitialize_c"
		size = 44
		refs = "0006 __scrt_is_ucrt_dll_in_use 0012 _execute_onexit_table 0016 _is_c_termination_complete 0020 _cexit 0028 ?module_local_atexit_table@@3U_onexit_table_t@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 20 B1 06 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? 18 B9 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_15_0 {
	meta:
		name = "__scrt_initialize_crt"
		size = 52
		refs = "000e __isa_available_init 0012 __vcrt_initialize 001c __acrt_initialize 0024 __vcrt_uninitialize 0030 ?is_initialized_as_dll@@3_NA"
	strings:
		$1 = { 2D E9 00 48 EB 46 10 B9 09 4B 01 22 1A 70 ?? ?? ?? ?? ?? ?? ?? ?? 08 B9 00 20 07 E0 ?? ?? ?? ?? 18 B9 00 20 ?? ?? ?? ?? F6 E7 01 20 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_16_0 {
	meta:
		name = "__scrt_initialize_onexit_tables"
		size = 124
		refs = "0010 __scrt_is_ucrt_dll_in_use 001c _initialize_onexit_table 006e __scrt_fastfail 0074 ?module_local_atexit_table@@3U_onexit_table_t@@A 0078 __security_cookie"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 04 46 0C B1 01 2C 2D D1 ?? ?? ?? ?? 68 B1 64 B9 16 4C 20 46 ?? ?? ?? ?? 08 B1 00 20 1F E0 04 F1 0C 00 ?? ?? ?? ?? C8 B1 F7 E7 11 4B 6F F0 00 01 0E 4D 1A 68 68 46 02 F0 1F 03 C3 F1 20 03 61 FA 03 F3 83 EA 02 04 CD E9 00 44 02 94 0E C8 68 46 0E C5 CD E9 00 44 02 94 0E C8 0E C5 01 20 04 B0 BD E8 30 88 05 20 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_17_0 {
	meta:
		name = "__scrt_is_nonwritable_in_current_image"
		size = 136
		refs = "0084 __ImageBase"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 45 F6 4D 22 1D 49 0B 88 93 42 2E D1 CB 6B 5C 18 5A 58 44 F2 50 53 9A 42 27 D1 22 8B 40 F2 0B 13 9A 42 22 D1 40 1A A3 8A 23 44 03 F1 18 02 E3 88 03 EB 83 03 02 EB C3 04 A2 42 08 D0 D1 68 88 42 03 D3 93 68 0B 44 98 42 02 D3 28 32 F4 E7 00 22 12 B9 00 20 38 70 0E E0 53 6A 00 2B 02 DA 00 20 38 70 08 E0 01 20 38 70 05 E0 00 20 38 70 02 E0 00 20 00 E0 38 78 BD E8 9C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_18_0 {
	meta:
		name = "__scrt_is_nonwritable_in_current_image$filt$0"
		size = 24
		altNames = "_IsNonwritableInCurrentImage$filt$0 __RTCastToVoid$filt$0 __RTtypeid$filt$0"
	strings:
		$1 = { 03 68 1A 68 03 4B 9A 42 01 D1 01 20 00 E0 00 20 70 47 FE DE 05 00 00 C0 }
	condition:
		$1
}

rule file_18_19_0 {
	meta:
		name = "__scrt_release_startup_lock"
		size = 52
		refs = "000a __scrt_is_ucrt_dll_in_use 0030 __scrt_native_startup_lock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 60 B1 5C B9 BF F3 5B 8F 06 4A 00 20 52 E8 00 1F 42 E8 00 03 00 2B F9 D1 BF F3 5B 8F BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_20_0 {
	meta:
		name = "__scrt_uninitialize_crt"
		size = 40
		refs = "0014 __acrt_uninitialize 001a __vcrt_uninitialize 0024 ?is_initialized_as_dll@@3_NA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 06 4B 04 46 1B 78 03 B1 29 B9 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? 01 20 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_21_0 {
	meta:
		name = "_onexit"
		size = 64
		refs = "0022 _crt_atexit 002a _register_onexit_function 0038 ?module_local_atexit_table@@3U_onexit_table_t@@A 003c __security_cookie"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 4B 04 46 0A 48 19 68 03 68 01 F0 1F 02 4B 40 D3 41 B3 F1 FF 3F 03 D1 20 46 ?? ?? ?? ?? 02 E0 21 46 ?? ?? ?? ?? 00 B1 00 24 20 46 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_22_0 {
	meta:
		name = "at_quick_exit"
		size = 56
		refs = "001e _crt_at_quick_exit 0028 _register_onexit_function 0030 ?module_local_at_quick_exit_table@@3U_onexit_table_t@@A 0034 __security_cookie"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4B 09 4C 19 68 23 68 01 F0 1F 02 4B 40 D3 41 B3 F1 FF 3F 02 D1 ?? ?? ?? ?? 03 E0 01 46 20 46 ?? ?? ?? ?? BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_23_0 {
	meta:
		name = "atexit"
		size = 24
		refs = "0006 _onexit"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 00 28 6F F0 00 00 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_20_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 136
		refs = "000a _set_app_type 000e _get_startup_file_mode 0012 _set_fmode 0016 _get_startup_commit_mode 001c __p__commode 0024 __scrt_initialize_onexit_tables 002a _RTC_Initialize 0030 atexit 0034 _get_startup_argv_mode 0038 _configure_wide_argv 003e ?__scrt_initialize_type_info@@YAXXZ 0042 __scrt_is_user_matherr_present 004a __setusermatherr 004e _initialize_invalid_parameter_handler 0052 _initialize_denormal_control 0056 _get_startup_thread_locale_mode 005a _configthreadlocale 005e _should_initialize_environment 0064 _initialize_wide_environment 0068 __scrt_initialize_winrt 0074 __scrt_fastfail 0080 _matherr 0084 _RTC_Terminate"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 02 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 04 60 01 20 ?? ?? ?? ?? 18 B3 ?? ?? ?? ?? 15 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 B9 ?? ?? ?? ?? ?? ?? ?? ?? 10 B1 0D 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 B1 ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 18 88 07 20 ?? ?? ?? ?? 07 20 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_168_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 136
		refs = "000a _set_app_type 000e _get_startup_file_mode 0012 _set_fmode 0016 _get_startup_commit_mode 001c __p__commode 0024 __scrt_initialize_onexit_tables 002a _RTC_Initialize 0030 atexit 0034 _get_startup_argv_mode 0038 _configure_narrow_argv 003e ?__scrt_initialize_type_info@@YAXXZ 0042 __scrt_is_user_matherr_present 004a __setusermatherr 004e _initialize_invalid_parameter_handler 0052 _initialize_denormal_control 0056 _get_startup_thread_locale_mode 005a _configthreadlocale 005e _should_initialize_environment 0064 _initialize_narrow_environment 0068 __scrt_initialize_winrt 0074 __scrt_fastfail 0080 _matherr 0084 _RTC_Terminate"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 02 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 04 60 01 20 ?? ?? ?? ?? 18 B3 ?? ?? ?? ?? 15 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 B9 ?? ?? ?? ?? ?? ?? ?? ?? 10 B1 0D 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 B1 ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 18 88 07 20 ?? ?? ?? ?? 07 20 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_3_3 {
	meta:
		name = "unexpected"
		size = 30
		refs = "0008 __vcrt_getptd 0012 _guard_check_icall 0018 terminate"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B ?? ?? ?? ?? 44 68 1C B1 20 46 ?? ?? ?? ?? A0 47 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_20_1_0 {
	meta:
		name = "?post_pgo_initialization@@YAHXZ"
		size = 16
		refs = "0006 __scrt_initialize_default_local_stdio_options"
		altNames = "?isPtrRef@DName@@QBAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_154_39_0 {
	meta:
		name = "??__E?sign_mask@?$VSin@N@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "000c ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 001c ?sign_mask@?$VSin@N@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 00 61 00 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 260
		refs = "000c __scrt_initialize_crt 0014 __scrt_fastfail 001c __scrt_acquire_startup_lock 003a _initterm_e 004a _initterm 005a __scrt_release_startup_lock 005e __scrt_get_dyn_tls_init_callback 0068 __scrt_is_nonwritable_in_current_image 0072 _guard_check_icall 007e __scrt_get_dyn_tls_dtor_callback 0090 _register_thread_local_exe_atexit_callback 0094 __scrt_get_show_window_mode 009a _get_wide_winmain_command_line 00a6 wWinMain 00ac __scrt_is_managed_app 00b4 exit 00ba _cexit 00c2 __scrt_uninitialize_crt 00d4 _exit 00dc _c_exit 00ec __ImageBase 00f0 __xc_a 00f4 __xc_z 00f8 __xi_a 00fc __xi_z 0100 __scrt_current_native_startup_state"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 01 20 ?? ?? ?? ?? 10 B9 07 20 ?? ?? ?? ?? 00 25 3D 70 ?? ?? ?? ?? 06 46 37 4C 23 68 01 2B 02 D1 07 20 ?? ?? ?? ?? 83 B9 01 23 23 60 31 49 2F 48 ?? ?? ?? ?? 10 B1 FF 24 7C 60 4E E0 2B 49 29 48 ?? ?? ?? ?? 02 23 23 60 01 E0 01 25 3D 70 30 46 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 23 68 53 B1 ?? ?? ?? ?? 38 B1 24 68 20 46 ?? ?? ?? ?? 00 20 02 21 00 22 A0 47 ?? ?? ?? ?? 04 46 23 68 2B B1 ?? ?? ?? ?? 10 B1 20 68 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 02 46 12 48 23 46 00 21 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 10 B9 20 46 ?? ?? ?? ?? 0D B9 ?? ?? ?? ?? 00 21 01 20 ?? ?? ?? ?? 7C 60 0C E0 04 46 ?? ?? ?? ?? 10 B9 20 46 ?? ?? ?? ?? 3B 78 1B B9 ?? ?? ?? ?? 00 E0 7C 68 20 46 BD E8 FC 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_168_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 260
		refs = "000c __scrt_initialize_crt 0014 __scrt_fastfail 001c __scrt_acquire_startup_lock 003a _initterm_e 004a _initterm 005a __scrt_release_startup_lock 005e __scrt_get_dyn_tls_init_callback 0068 __scrt_is_nonwritable_in_current_image 0072 _guard_check_icall 007e __scrt_get_dyn_tls_dtor_callback 0090 _register_thread_local_exe_atexit_callback 0094 __scrt_get_show_window_mode 009a _get_narrow_winmain_command_line 00a6 WinMain 00ac __scrt_is_managed_app 00b4 exit 00ba _cexit 00c2 __scrt_uninitialize_crt 00d4 _exit 00dc _c_exit 00ec __ImageBase 00f0 __xc_a 00f4 __xc_z 00f8 __xi_a 00fc __xi_z 0100 __scrt_current_native_startup_state"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 01 20 ?? ?? ?? ?? 10 B9 07 20 ?? ?? ?? ?? 00 25 3D 70 ?? ?? ?? ?? 06 46 37 4C 23 68 01 2B 02 D1 07 20 ?? ?? ?? ?? 83 B9 01 23 23 60 31 49 2F 48 ?? ?? ?? ?? 10 B1 FF 24 7C 60 4E E0 2B 49 29 48 ?? ?? ?? ?? 02 23 23 60 01 E0 01 25 3D 70 30 46 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 23 68 53 B1 ?? ?? ?? ?? 38 B1 24 68 20 46 ?? ?? ?? ?? 00 20 02 21 00 22 A0 47 ?? ?? ?? ?? 04 46 23 68 2B B1 ?? ?? ?? ?? 10 B1 20 68 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 02 46 12 48 23 46 00 21 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 10 B9 20 46 ?? ?? ?? ?? 0D B9 ?? ?? ?? ?? 00 21 01 20 ?? ?? ?? ?? 7C 60 0C E0 04 46 ?? ?? ?? ?? 10 B9 20 46 ?? ?? ?? ?? 3B 78 1B B9 ?? ?? ?? ?? 00 E0 7C 68 20 46 BD E8 FC 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 40
		refs = "0008 __scrt_get_show_window_mode 000e _get_wide_winmain_command_line 001a wWinMain 0024 __ImageBase"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 02 46 03 48 23 46 00 21 ?? ?? ?? ?? BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_168_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 40
		refs = "0008 __scrt_get_show_window_mode 000e _get_narrow_winmain_command_line 001a WinMain 0024 __ImageBase"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 02 46 03 48 23 46 00 21 ?? ?? ?? ?? BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_1_0 {
	meta:
		name = "__scrt_get_show_window_mode"
		size = 52
		refs = "000e memset 0030 __imp_GetStartupInfoW"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 68 46 44 22 00 21 ?? ?? ?? ?? 07 4B 68 46 1B 68 98 47 0B 9B 13 F0 01 0F 02 D0 BD F8 30 00 00 E0 0A 20 12 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_3_0 {
	meta:
		name = "__scrt_is_managed_app"
		size = 80
		refs = "004c __imp_GetModuleHandleW"
	strings:
		$1 = { 2D E9 00 48 EB 46 11 4B 00 20 1B 68 98 47 08 B9 00 20 18 E0 02 88 45 F6 4D 23 9A 42 F8 D1 C3 6B 1A 58 19 18 44 F2 50 53 9A 42 F1 D1 0A 8B 40 F2 0B 13 9A 42 EC D1 4B 6F 0E 2B E9 D9 D1 F8 E8 30 00 2B E5 D0 01 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_5_0 {
	meta:
		name = "__scrt_unhandled_exception_filter"
		size = 80
		refs = "0036 terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 68 10 4B 0A 68 9A 42 0F D1 0B 69 04 2B 0C D1 4A 69 0B 4B 9A 42 0B D0 09 4B 9A 42 08 D0 06 4B 9A 42 05 D0 04 4B 9A 42 02 D0 00 20 BD E8 00 88 ?? ?? ?? ?? FE DE 00 40 99 01 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_24_0_0 {
	meta:
		name = "??__C@YAXPAX0IHP6AX00@ZP6AX0@Z@Z"
		size = 18
		refs = "000e ??__C@YAXPAX0IIP6AX00@ZP6AX0@Z@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_22_1 {
	meta:
		name = "??$_LStrcoll@D@std@@YAHPBD000PBU_Collvec@@@Z"
		size = 18
		refs = "000e _Strcoll"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_57_1 {
	meta:
		name = "??$_LStrcoll@_W@std@@YAHPB_W000PBU_Collvec@@@Z"
		size = 18
		refs = "000e _Wcscoll"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_23_1 {
	meta:
		name = "??$_LStrxfrm@D@std@@YAIPAD0PBD1PBU_Collvec@@@Z"
		size = 18
		refs = "000e _Strxfrm"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_59_1 {
	meta:
		name = "??$_LStrxfrm@_W@std@@YAIPA_W0PB_W1PBU_Collvec@@@Z"
		size = 18
		refs = "000e _Wcsxfrm"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_0_0 {
	meta:
		name = "??_L@YAXPAXIHP6AX0@Z1@Z"
		size = 18
		refs = "000e ??_L@YAXPAXIIP6AX0@Z1@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_0_0 {
	meta:
		name = "??_N@YAXPAXIHP6AX0@Z1@Z"
		size = 18
		refs = "000e ??_N@YAXPAXIIP6AX0@Z1@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_130_0_0 {
	meta:
		name = "??__D@YAXPAX0IHP6AX00@ZP6AX0@Z@Z"
		size = 18
		refs = "000e ??__D@YAXPAX0IIP6AX00@ZP6AX0@Z@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_1_0 {
	meta:
		name = "??__C@YAXPAX0IIP6AX00@ZP6AX0@Z@Z"
		size = 94
		refs = "0028 _guard_check_icall 0052 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 FE 4F 0D F1 28 0B 6F 46 9A 46 91 46 BA 63 88 46 06 46 3E 63 00 24 7C 60 00 23 3B 70 3D 6C 54 45 0D D0 28 46 ?? ?? ?? ?? 30 46 41 46 A8 47 4E 44 3E 63 C8 44 C7 F8 34 80 64 1C 7C 60 EF E7 01 23 3B 70 3B 78 2B B9 7B 6C 7A 68 B9 6B 38 6B ?? ?? ?? ?? BD E8 FE 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_24_2_0 {
	meta:
		name = "?fin$0@?0???__C@YAXPAX0IIP6AX00@ZP6AX0@Z@Z@4HA"
		size = 20
		refs = "000e ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
		altNames = "?fin$0@?0???__D@YAXPAX0IIP6AX00@ZP6AX0@Z@Z@4HA"
	strings:
		$1 = { 10 B5 3B 78 2B B9 7B 6C 7A 68 B9 6B 38 6B ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_25_0_0 {
	meta:
		name = "__guard_check_icall_thunk"
		size = 20
		refs = "0004 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 0F 50 ?? ?? ?? ?? C0 F2 00 01 09 68 88 47 BD E8 0F 90 }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "__rt_ursh"
		size = 58
	strings:
		$1 = { 00 2A 08 BF 70 47 20 2A 0C DB 40 2A 03 DB 4F EA 11 01 08 46 70 47 02 F0 1F 02 21 FA 02 F0 4F F0 00 01 70 47 20 FA 02 F0 C2 F1 20 03 01 FA 03 F3 40 EA 03 00 21 FA 02 F1 70 47 }
	condition:
		$1
}

rule file_36_1_0 {
	meta:
		name = "??_L@YAXPAXIIP6AX0@Z1@Z"
		size = 84
		refs = "0026 _guard_check_icall 0048 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 4B 0D F1 20 0B 6F 46 1E 46 90 46 89 46 F9 62 05 46 BD 62 00 24 7C 60 00 23 3B 70 44 45 09 D0 30 46 ?? ?? ?? ?? 28 46 B0 47 4D 44 BD 62 64 1C 7C 60 F3 E7 01 23 3B 70 3B 78 2B B9 BB 6B 7A 68 F9 6A B8 6A ?? ?? ?? ?? BD E8 FC 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_36_2_0 {
	meta:
		name = "?fin$0@?0???_L@YAXPAXIIP6AX0@Z1@Z@4HA"
		size = 20
		refs = "000e ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
		altNames = "?fin$0@?0???_N@YAXPAXIIP6AX0@Z1@Z@4HA"
	strings:
		$1 = { 10 B5 3B 78 2B B9 BB 6B 7A 68 F9 6A B8 6A ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_39_0_0 {
	meta:
		name = "??2@YAPAXIABUnothrow_t@std@@@Z"
		size = 30
		refs = "0012 ??2@YAPAXI@Z"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 ?? ?? ?? ?? 00 E0 00 20 BD E8 8E 88 }
	condition:
		$1
}

rule file_43_97_2 {
	meta:
		name = "??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 36
		refs = "0016 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0020 ??_7ios_base@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 03 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_119_1 {
	meta:
		name = "??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 36
		refs = "0016 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0020 ??_7ios_base@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 03 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_96_2 {
	meta:
		name = "??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 36
		refs = "0016 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0020 ??_7ios_base@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 03 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_117_2 {
	meta:
		name = "??1ios_base@std@@UAA@XZ"
		size = 36
		refs = "0016 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0020 ??_7ios_base@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 03 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_0_0 {
	meta:
		name = "?_RTC_GetErrorFunc@@YAP6AHHPBDH00ZZPBX@Z"
		size = 20
		refs = "0010 ?_RTC_ErrorReportFunc@@3P6AHHPBDH00ZZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 18 68 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_44_1 {
	meta:
		name = "?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ"
		size = 20
		refs = "0010 global_locale"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 18 68 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_1_0 {
	meta:
		name = "?_RTC_GetErrorFuncW@@YAP6AHHPB_WH00ZZPBX@Z"
		size = 20
		refs = "0010 ?_RTC_ErrorReportFuncW@@3P6AHHPB_WH00ZZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 18 68 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_2_0 {
	meta:
		name = "_RTC_GetErrDesc"
		size = 28
		refs = "0018 ?_RTC_errlist@@3QBQBDB"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 28 03 D8 03 4B 53 F8 20 00 00 E0 00 20 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_4_0 {
	meta:
		name = "_RTC_SetErrorFunc"
		size = 28
		refs = "0018 ?_RTC_ErrorReportFunc@@3P6AHHPBDH00ZZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4A 03 46 10 68 13 60 00 23 53 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_5_0 {
	meta:
		name = "_RTC_SetErrorFuncW"
		size = 28
		refs = "0018 ?_RTC_ErrorReportFunc@@3P6AHHPBDH00ZZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4A 03 46 50 68 53 60 00 23 13 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_6_0 {
	meta:
		name = "_RTC_SetErrorType"
		size = 36
		refs = "0020 ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 04 2A 05 D8 04 4B 53 F8 20 00 43 F8 22 10 01 E0 6F F0 00 00 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_0_0 {
	meta:
		name = "__vdecl_fmodf4"
		size = 142
		refs = "0022 fmodf"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 08 8B 22 EF 52 81 18 EE 10 3B 20 EF 50 A1 00 EE 90 3A 1A EE 10 3B 00 EE 10 3A ?? ?? ?? ?? 10 EE 10 3A 0A EE 10 3B 38 EE 10 3B 00 EE 90 3A 3A EE 10 3B 00 EE 10 3A ?? ?? ?? ?? 10 EE 10 3A 2A EE 10 3B 19 EE 10 3B 00 EE 90 3A 1B EE 10 3B 00 EE 10 3A ?? ?? ?? ?? 10 EE 10 3A 0B EE 10 3B 39 EE 10 3B 00 EE 90 3A 3B EE 10 3B 00 EE 10 3A ?? ?? ?? ?? 10 EE 10 3A 2B EE 10 3B 2A EF 5A 01 BD EC 08 8B BD E8 00 88 }
	condition:
		$1
}

rule file_46_0_0 {
	meta:
		name = "__scrt_get_dyn_tls_init_callback"
		size = 16
		refs = "000c __dyn_tls_init_callback"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_85_2 {
	meta:
		name = "?_BadAllocException@__ExceptionPtr@@SAABV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 16
		refs = "000c ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_604_2 {
	meta:
		name = "?_Getfalse@_Locinfo@std@@QBAPBDXZ"
		size = 16
		refs = "000c ??_C@_05LAPONLG@false?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_213_1 {
	meta:
		name = "?_Gettrue@_Locinfo@std@@QBAPBDXZ"
		size = 16
		refs = "000c ??_C@_04LOAJBDKD@true?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_92_116_1 {
	meta:
		name = "?_Init_cnt_func@Init@ios_base@std@@CAAAHXZ"
		size = 16
		refs = "000c ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_165_2 {
	meta:
		name = "?name@_Generic_error_category@std@@UBAPBDXZ"
		size = 16
		refs = "000c ??_C@_07DCLBNMLN@generic?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_362_1 {
	meta:
		name = "?name@_Iostream_error_category@std@@UBAPBDXZ"
		size = 16
		refs = "000c ??_C@_08LLGCOLLL@iostream?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_194_1 {
	meta:
		name = "?name@_System_error_category@std@@UBAPBDXZ"
		size = 16
		refs = "000c ??_C@_06FHFOAHML@system?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_51_2 {
	meta:
		name = "?what@bad_function_call@std@@UBAPBDXZ"
		size = 16
		refs = "000c ??_C@_0BC@DPJNKNAF@bad?5function?5call?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_467_2 {
	meta:
		name = "__local_stdio_printf_options"
		size = 16
		refs = "000c ?_OptionsStorage@?1??__local_stdio_printf_options@@9@4_KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_263_1_6 {
	meta:
		name = "__local_stdio_scanf_options"
		size = 16
		refs = "000c ?_OptionsStorage@?1??__local_stdio_scanf_options@@9@4_KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_0_6 {
	meta:
		name = "__scrt_get_dyn_tls_dtor_callback"
		size = 16
		refs = "000c __dyn_tls_dtor_callback"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_0_0 {
	meta:
		name = "__dyn_tls_dtor"
		size = 104
		refs = "0038 _guard_check_icall 004c _free_base 0060 dtor_list 0064 _tls_index"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 03 29 00 D0 29 BB 15 4B 1A 68 1D EE 50 3F DB 6A DF F8 44 90 53 F8 22 80 58 F8 09 50 CD B1 2B 68 5C 1E 00 2C 0B DB 05 EB 84 06 B7 68 1F B1 38 46 ?? ?? ?? ?? B8 47 64 1E 36 1F 00 2C F5 DA 6C 68 14 B1 28 46 ?? ?? ?? ?? 48 F8 09 40 25 46 00 2C E5 D1 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_1_0 {
	meta:
		name = "??$?RUTlsDtorNode@@@__crt_internal_free_policy@@QBAXQBUTlsDtorNode@@@Z"
		size = 16
		refs = "000c _free_base"
		altNames = "??$?RD@__crt_internal_free_policy@@QBAXQBD@Z ??$?RU__vcrt_ptd@@@__crt_internal_free_policy@@QBAXQBU__vcrt_ptd@@@Z ??$?RX@__crt_internal_free_policy@@QBAXQBX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_0_3 {
	meta:
		name = "??$?RD@__crt_public_free_policy@@QBAXQBD@Z"
		size = 16
		refs = "000c free"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_171_1 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPADI@Z"
		size = 16
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_895_2 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAGI@Z"
		size = 16
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_305_1 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@2@I@Z"
		size = 16
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_81_2 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPA_WI@Z"
		size = 16
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_897_2 {
	meta:
		name = "?deallocate@?$allocator@D@std@@QAAXPADI@Z"
		size = 16
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_981_1 {
	meta:
		name = "?deallocate@?$allocator@G@std@@QAAXPAGI@Z"
		size = 16
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_307_1 {
	meta:
		name = "?deallocate@?$allocator@U_Container_proxy@std@@@std@@QAAXPAU_Container_proxy@2@I@Z"
		size = 16
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_96_56_2 {
	meta:
		name = "?deallocate@?$allocator@_W@std@@QAAXPA_WI@Z"
		size = 16
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_3_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 24
		refs = "000c _free_base"
		altNames = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ ??1?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAA@XZ ??1?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAA@XZ ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_33_60_1 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ"
		size = 24
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_17_333_1 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ"
		size = 24
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_35_34_1 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ"
		size = 24
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_1_2_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@XZ"
		size = 24
		refs = "000c free"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_99_257_1 {
	meta:
		name = "?_Free_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
		size = 24
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_17_565_1 {
	meta:
		name = "?_Free_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ"
		size = 24
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_79_75_1 {
	meta:
		name = "?_Free_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
		size = 24
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_1_7_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAXXZ"
		size = 24
		refs = "000c free"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_51_4_0 {
	meta:
		name = "?detach@?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QAAPAUTlsDtorNode@@XZ"
		size = 18
		altNames = "?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAPADXZ ?detach@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QAAPAU__vcrt_ptd@@XZ ?detach@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QAAPAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 18 68 00 22 1A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_51_6_0 {
	meta:
		name = "__tlregdtor"
		size = 116
		refs = "0032 _malloc_base 003a _free_base 0068 dtor_list_head 006c dtor_list 0070 _tls_index"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 19 4B 07 46 1A 68 1D EE 50 3F DB 6A 15 4E 53 F8 22 40 A3 59 2B B9 12 4B 23 44 00 22 1A 60 A3 51 12 E0 1B 68 1E 2B 0F D1 80 20 ?? ?? ?? ?? 05 46 00 20 ?? ?? ?? ?? 15 B9 6F F0 00 00 0D E0 A3 59 A5 51 6B 60 00 23 2B 60 A2 59 13 68 02 EB 83 03 9F 60 13 68 5B 1C 13 60 00 20 BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_2_0 {
	meta:
		name = "??__E?exponentBias@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 28
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?exponentBias@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 7E 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_6_0 {
	meta:
		name = "??__E?ind@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?ind@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 C0 FF }
	condition:
		$1
}

rule file_53_10_0 {
	meta:
		name = "??__E?neginf@?$VectorOp@M@@2T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?neginf@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 80 FF }
	condition:
		$1
}

rule file_53_13_0 {
	meta:
		name = "??__E?notExponentMask@?$VectorOp@N@@2T__n128@@B@@YAXXZ"
		size = 36
		refs = "000c ?create@?$VectorOp@N@@SA?AT__n128@@_K@Z 001c ?notExponentMask@?$VectorOp@N@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 49 6F F0 00 00 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? FF FF 0F 80 }
	condition:
		$1
}

rule file_53_36_0 {
	meta:
		name = "?A@?$VASin@M@@CA?AT__n128@@T2@@Z"
		size = 84
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 00 23 00 93 10 4B 10 EE 10 2B 30 EE 10 1B 01 93 6B 46 11 EE 10 0B 53 F8 22 30 31 EE 10 4B 02 93 6B 46 53 F8 21 30 03 93 6B 46 53 F8 20 30 04 93 6B 46 53 F8 24 30 05 93 0D F1 08 0C 9C EC 04 0B 07 B0 BD E8 10 88 DA 0F 49 3F }
	condition:
		$1
}

rule file_53_37_0 {
	meta:
		name = "?B@?$VASin@M@@CA?AT__n128@@T2@@Z"
		size = 88
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 12 4B 10 EE 10 2B 30 EE 10 1B 00 93 0E 4B 11 EE 10 0B 31 EE 10 4B 01 93 6B 46 53 F8 22 30 02 93 6B 46 53 F8 21 30 03 93 6B 46 53 F8 20 30 04 93 6B 46 53 F8 24 30 05 93 0D F1 08 0C 9C EC 04 0B 07 B0 BD E8 10 88 DA 0F 49 3F DA 0F C9 3F }
	condition:
		$1
}

rule file_53_40_0 {
	meta:
		name = "?acos@?$VASin@M@@SA?AT__n128@@T2@@Z"
		size = 512
		refs = "001e ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0030 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 01dc ?ind@?$VectorOp@M@@2T__n128@@B 01e4 ?eps@?$VASin@M@@0T__n128@@B 01e8 ?q0@?$VASin@M@@0T__n128@@B 01ec ?q1@?$VASin@M@@0T__n128@@B 01f0 ?p1@?$VASin@M@@0T__n128@@B 01f8 ?p2@?$VASin@M@@0T__n128@@B"
		altNames = "__vdecl_acosf4"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 2D ED 10 8B 94 B0 20 EF 50 E1 9F ED 7A 0A 0D F1 40 0C 8C EC 04 EB ?? ?? ?? ?? 60 EF 50 01 01 20 0D F1 30 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A ?? ?? ?? ?? 20 EF 50 C1 B7 EE 00 0A 8D ED 00 0A ?? ?? ?? ?? 01 20 20 EF 50 81 B9 FF 4E E7 ?? ?? ?? ?? 6E FF 4C AE 60 FF 4A 08 6A EF FA C1 50 FF DA C1 68 EF 4E 0D 61 4B 4E FF 5E 2D 5E 4A 40 FF DC 0D 6A EF FA 81 50 FF F2 81 03 92 1C EE 90 1B FB FF E8 25 3C EE 90 0B 42 FF F2 0D 1D EE 90 4B 68 EF F0 0F 3D EE 90 5B 42 FF F0 2D 42 FF F2 0D 68 EF F0 0F 42 FF F0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D F9 FF E0 07 40 EF E0 0D 50 FF DE A1 D3 EC 04 0B 45 4B 40 FF F8 2D D3 EC 04 0B 42 4B 42 EF E0 0D 40 FF F8 6D D3 EC 04 0B 3D 4B 48 EF E0 0D 40 FF F8 2D D3 EC 04 0B 39 4B 42 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4A FF F0 0D 4A EF E0 2D D3 EC 04 0B 2D 4B 60 FF CE 6E 02 93 02 AB 53 F8 21 30 5A FF F2 61 04 93 02 AB 53 F8 20 30 0D F1 40 0C 9C EC 04 AB 9D ED 00 0A 05 93 02 AB 53 F8 24 30 06 93 02 AB 53 F8 25 30 03 92 07 93 00 23 02 93 02 AB 53 F8 21 30 0D F1 10 0C DC EC 04 2B 08 93 02 AB 53 F8 20 30 42 EF E6 0D 09 93 02 AB 53 F8 24 30 40 EF E2 4D 0A 93 02 AB 53 F8 25 30 0B 93 0D F1 20 0C DC EC 04 2B 62 EF E6 0D 40 EF E2 0D 0D F1 30 0C DC EC 04 2B 22 FF CA 8E 14 FF F0 81 ?? ?? ?? ?? 08 4B 6A FF 50 2E 0A EF 4A 0E D3 EC 04 0B 50 FF D8 21 12 FF DA 01 14 B0 BD EC 10 8B BD E8 30 88 FE DE ?? ?? ?? ?? DA 0F C9 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DA 0F 49 3F ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_53_42_0 {
	meta:
		name = "?asin@?$VASin@M@@SA?AT__n128@@T2@@Z"
		size = 456
		refs = "001e ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0030 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 01a8 ?ind@?$VectorOp@M@@2T__n128@@B 01b0 ?eps@?$VASin@M@@0T__n128@@B 01b4 ?q0@?$VASin@M@@0T__n128@@B 01b8 ?q1@?$VASin@M@@0T__n128@@B 01bc ?p1@?$VASin@M@@0T__n128@@B 01c0 ?p2@?$VASin@M@@0T__n128@@B"
		altNames = "__vdecl_asinf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 91 B0 20 EF 50 E1 9F ED 6C 0A 0D F1 30 0C 8C EC 04 EB ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 20 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A ?? ?? ?? ?? 20 EF 50 C1 B7 EE 00 0A 8D ED 00 0A ?? ?? ?? ?? 01 20 20 EF 50 81 B9 FF 4E E7 ?? ?? ?? ?? 6E FF 4C AE 60 FF 4A 08 6A EF FA C1 50 FF DA C1 68 EF 4E 0D 53 4B 4E FF 5E 2D 40 FF DC 0D 6A EF FA 81 50 FF F2 81 1C EE 90 2B FB FF E8 25 3C EE 90 1B 42 FF F2 0D 1D EE 90 0B 68 EF F0 0F 3D EE 90 4B 42 FF F0 2D 42 FF F2 0D 68 EF F0 0F 42 FF F0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D F9 FF E0 07 40 EF E0 0D 50 FF DE A1 D3 EC 04 0B 39 4B 40 FF F8 2D D3 EC 04 0B 36 4B 42 EF E0 0D 40 FF F8 6D D3 EC 04 0B 31 4B 48 EF E0 0D 40 FF F8 2D D3 EC 04 0B 2D 4B 42 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4A FF F0 0D 4A EF E0 2D D3 EC 04 0B 00 23 02 93 20 4B 60 FF CE 0E 03 93 02 AB 53 F8 22 30 5A FF F2 01 04 93 02 AB 53 F8 21 30 0D F1 20 0C DC EC 04 4B 0D F1 30 0C 9C EC 04 AB 05 93 02 AB 53 F8 20 30 9D ED 00 0A 24 FF CA 8E 06 93 02 AB 53 F8 24 30 07 93 0D F1 10 0C DC EC 04 2B 42 EF E0 0D 40 EF E2 2D F9 FF E2 07 10 FF F2 81 ?? ?? ?? ?? 07 4B 6A FF 50 2E 0A EF 4A 0E D3 EC 04 0B 50 FF D8 21 12 FF DA 01 11 B0 BD EC 10 8B BD E8 10 88 ?? ?? ?? ?? DA 0F 49 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_53_43_0 {
	meta:
		name = "?asin_check_special_case@?$VASin@M@@CA?AT__n128@@T2@T2@@Z"
		size = 60
		refs = "0016 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0038 ?ind@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 08 8B 20 EF 50 A1 B7 EE 00 0A 22 EF 52 81 ?? ?? ?? ?? 07 4B 6A FF 50 2E 0A EF 4A 0E D3 EC 04 0B 50 FF D8 21 12 FF DA 01 BD EC 08 8B BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_44_0 {
	meta:
		name = "?asin_impl@?$VASin@M@@CA?AT__n128@@T2@AAT2@@Z"
		size = 280
		refs = "0016 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0034 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0104 ?eps@?$VASin@M@@0T__n128@@B 0108 ?q0@?$VASin@M@@0T__n128@@B 010c ?q1@?$VASin@M@@0T__n128@@B 0110 ?p1@?$VASin@M@@0T__n128@@B 0114 ?p2@?$VASin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 2D ED 10 8B 20 EF 50 81 B6 EE 00 0A 04 46 ?? ?? ?? ?? 20 EF 50 C1 B7 EE 00 0A ?? ?? ?? ?? B9 FF 48 87 01 20 28 FF 4C EE 20 EF 50 A1 ?? ?? ?? ?? 6E EF 5E 21 D4 EC 04 4B 6E EF 5E 81 60 FF 64 08 32 4B 50 FF F4 21 6A EF 48 0D C4 EC 04 2B 48 FF 58 2D 40 FF DC 0D 50 FF F2 81 FB FF E8 25 42 FF F2 0D 68 EF F0 0F 42 FF F0 2D 42 FF F2 0D 68 EF F0 0F 42 FF F0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D F9 FF E0 07 40 EF E0 0D 10 FF D8 E1 D3 EC 04 0B 1B 4B 40 FF F8 2D D3 EC 04 0B 17 4B 42 EF E0 0D 40 FF F8 6D D3 EC 04 0B 13 4B 48 EF E0 0D 40 FF F8 2D D3 EC 04 0B 0E 4B 42 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4E FF 70 0D 4E EF 60 2D D3 EC 04 0B 20 FF C8 0E 1E FF 72 01 BD EC 10 8B BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_49_0 {
	meta:
		name = "?create@?$VectorOp@M@@SA?AT__n128@@I@Z"
		size = 42
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 A0 EE 10 0B 87 EC 04 0B 06 E0 97 EC 04 0B 03 E0 07 F1 10 0C 9C EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_53_50_0 {
	meta:
		name = "?filt$0@?0??create@?$VectorOp@M@@SA?AT__n128@@I@Z@4HA"
		size = 24
		altNames = "?filt$0@?0??create@?$VectorOp@M@@SA?AT__n128@@M@Z@4HA ?filt$0@?0??create@?$VectorOp@N@@SA?AT__n128@@I@Z@4HA ?filt$0@?0??create@?$VectorOp@N@@SA?AT__n128@@N@Z@4HA ?filt$0@?0??create@?$VectorOp@N@@SA?AT__n128@@_K@Z@4HA"
	strings:
		$1 = { 03 68 1A 68 03 4B 9A 42 01 D1 01 20 00 E0 00 20 70 47 FE DE 1D 00 00 C0 }
	condition:
		$1
}

rule file_53_51_0 {
	meta:
		name = "?create@?$VectorOp@M@@SA?AT__n128@@IIII@Z"
		size = 24
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B CD E9 00 01 CD E9 02 23 9D EC 04 0B BD E8 0F 88 }
	condition:
		$1
}

rule file_53_52_0 {
	meta:
		name = "?create@?$VectorOp@M@@SA?AT__n128@@M@Z"
		size = 42
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 B4 FF 40 0C 87 EC 04 0B 06 E0 97 EC 04 0B 03 E0 07 F1 10 0C 9C EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_53_54_0 {
	meta:
		name = "?create@?$VectorOp@N@@SA?AT__n128@@I@Z"
		size = 48
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 00 23 43 EC 10 0B 20 EF 10 11 87 EC 04 0B 06 E0 97 EC 04 0B 03 E0 07 F1 10 0C 9C EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_53_56_0 {
	meta:
		name = "?create@?$VectorOp@N@@SA?AT__n128@@N@Z"
		size = 58
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 87 ED 00 0B 7A 68 3B 68 42 EC 10 3B 20 EF 10 11 07 F1 10 0C 8C EC 04 0B 06 E0 07 F1 10 0C 9C EC 04 0B 01 E0 97 EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_53_58_0 {
	meta:
		name = "?create@?$VectorOp@N@@SA?AT__n128@@_K@Z"
		size = 46
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 41 EC 10 0B 20 EF 10 11 87 EC 04 0B 06 E0 97 EC 04 0B 03 E0 07 F1 10 0C 9C EC 04 0B 09 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_53_60_0 {
	meta:
		name = "?div@?$VectorOp@M@@SA?AT__n128@@T2@0@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 FB FF 42 25 42 EF 72 0F 42 FF F0 2D 42 EF 72 0F 42 FF F0 0D 00 FF 70 0D BD E8 00 88 }
	condition:
		$1
}

rule file_53_64_0 {
	meta:
		name = "?recip@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 FB FF 40 25 40 EF 72 0F 42 FF F0 2D 40 EF 72 0F 02 FF F0 0D BD E8 00 88 }
	condition:
		$1
}

rule file_53_65_0 {
	meta:
		name = "?sqrt@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 58
	strings:
		$1 = { 2D E9 00 48 EB 46 FB FF C0 25 42 FF F2 0D 60 EF 70 0F 42 FF F0 2D 42 FF F2 0D 60 EF 70 0F 42 FF F0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 02 FF F0 0D BD E8 00 88 }
	condition:
		$1
}

rule file_53_67_0 {
	meta:
		name = "?unpack@?$VectorOp@M@@SAXT__n128@@AAI111@Z"
		size = 36
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 10 EE 10 4B 04 60 30 EE 10 0B 08 60 11 EE 10 1B 11 60 31 EE 10 2B 1A 60 BD E8 18 88 }
	condition:
		$1
}

rule file_54_0_0 {
	meta:
		name = "__rt_udiv"
		size = 360
		refs = "001e _lc009_002361_"
	strings:
		$1 = { 80 B1 02 46 B0 FA 80 F0 B1 FA 81 F3 C0 1A 0F F2 4D 13 A3 EB C0 03 A3 EB 40 03 4F F0 00 00 ?? ?? ?? ?? 18 47 F9 DE B1 EB C2 73 28 BF 19 46 40 41 B1 EB 82 73 28 BF 19 46 40 41 B1 EB 42 73 28 BF 19 46 40 41 B1 EB 02 73 28 BF 19 46 40 41 B1 EB C2 63 28 BF 19 46 40 41 B1 EB 82 63 28 BF 19 46 40 41 B1 EB 42 63 28 BF 19 46 40 41 B1 EB 02 63 28 BF 19 46 40 41 B1 EB C2 53 28 BF 19 46 40 41 B1 EB 82 53 28 BF 19 46 40 41 B1 EB 42 53 28 BF 19 46 40 41 B1 EB 02 53 28 BF 19 46 40 41 B1 EB C2 43 28 BF 19 46 40 41 B1 EB 82 43 28 BF 19 46 40 41 B1 EB 42 43 28 BF 19 46 40 41 B1 EB 02 43 28 BF 19 46 40 41 B1 EB C2 33 28 BF 19 46 40 41 B1 EB 82 33 28 BF 19 46 40 41 B1 EB 42 33 28 BF 19 46 40 41 B1 EB 02 33 28 BF 19 46 40 41 B1 EB C2 23 28 BF 19 46 40 41 B1 EB 82 23 28 BF 19 46 40 41 B1 EB 42 23 28 BF 19 46 40 41 B1 EB 02 23 28 BF 19 46 40 41 B1 EB C2 13 28 BF 19 46 40 41 B1 EB 82 13 28 BF 19 46 40 41 B1 EB 42 13 28 BF 19 46 40 41 B1 EB 02 13 28 BF 19 46 40 41 B1 EB C2 03 28 BF 19 46 40 41 B1 EB 82 03 28 BF 19 46 40 41 B1 EB 42 03 28 BF 19 46 40 41 8B 1A 28 BF 19 46 40 41 70 47 00 00 }
	condition:
		$1
}

rule file_54_1_0 {
	meta:
		name = "__rt_sdiv"
		size = 388
		refs = "002e _lc009_002745_"
	strings:
		$1 = { 10 F0 00 43 48 BF 40 42 93 EA 21 0C 28 BF 49 42 80 B1 02 46 B0 FA 80 F0 B1 FA 81 F3 C0 1A 0F F2 4D 13 A3 EB C0 03 A3 EB 40 03 4F F0 00 00 ?? ?? ?? ?? 18 47 F9 DE B1 EB C2 73 28 BF 19 46 40 41 B1 EB 82 73 28 BF 19 46 40 41 B1 EB 42 73 28 BF 19 46 40 41 B1 EB 02 73 28 BF 19 46 40 41 B1 EB C2 63 28 BF 19 46 40 41 B1 EB 82 63 28 BF 19 46 40 41 B1 EB 42 63 28 BF 19 46 40 41 B1 EB 02 63 28 BF 19 46 40 41 B1 EB C2 53 28 BF 19 46 40 41 B1 EB 82 53 28 BF 19 46 40 41 B1 EB 42 53 28 BF 19 46 40 41 B1 EB 02 53 28 BF 19 46 40 41 B1 EB C2 43 28 BF 19 46 40 41 B1 EB 82 43 28 BF 19 46 40 41 B1 EB 42 43 28 BF 19 46 40 41 B1 EB 02 43 28 BF 19 46 40 41 B1 EB C2 33 28 BF 19 46 40 41 B1 EB 82 33 28 BF 19 46 40 41 B1 EB 42 33 28 BF 19 46 40 41 B1 EB 02 33 28 BF 19 46 40 41 B1 EB C2 23 28 BF 19 46 40 41 B1 EB 82 23 28 BF 19 46 40 41 B1 EB 42 23 28 BF 19 46 40 41 B1 EB 02 23 28 BF 19 46 40 41 B1 EB C2 13 28 BF 19 46 40 41 B1 EB 82 13 28 BF 19 46 40 41 B1 EB 42 13 28 BF 19 46 40 41 B1 EB 02 13 28 BF 19 46 40 41 B1 EB C2 03 28 BF 19 46 40 41 B1 EB 82 03 28 BF 19 46 40 41 B1 EB 42 03 28 BF 19 46 40 41 8B 1A 28 BF 19 46 40 41 5F EA 4C 0C 28 BF 40 42 48 BF 49 42 70 47 00 00 }
	condition:
		$1
}

rule file_54_2_0 {
	meta:
		name = "__rt_udiv64"
		size = 160
		refs = "008a __rt_udiv"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 50 EA 01 04 26 D0 51 EA 03 04 39 D0 06 46 8C 46 B3 FA 83 F1 13 B9 B2 FA 82 F1 20 31 BC F1 00 0F BC FA 8C F0 02 D1 B6 FA 86 F0 20 30 40 1A 2E DB 20 28 65 46 34 46 01 D3 35 46 00 24 10 F0 1F 00 85 40 D0 F1 20 01 34 FA 01 F1 84 40 0D 43 00 20 00 21 06 E0 F9 DE 64 08 00 18 44 EA C5 74 49 41 6D 08 9D 42 07 D8 01 D3 94 42 04 D8 12 1B AB 41 40 1C 51 F1 00 01 B4 42 ED D1 65 45 EB D1 08 E0 11 46 ?? ?? ?? ?? 0A 46 00 21 00 23 01 E0 00 21 00 20 BD E8 F0 88 00 00 }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "__GSHandlerCheck"
		size = 36
		refs = "001a __security_check_cookie"
	strings:
		$1 = { 2D E9 00 48 EB 46 DB 69 1B 68 23 F0 03 02 50 58 13 F0 01 0F 01 D0 13 1A 58 18 ?? ?? ?? ?? 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_62_1_0 {
	meta:
		name = "__GSHandlerCheckCommon"
		size = 34
		refs = "001e __security_check_cookie"
	strings:
		$1 = { 2D E9 00 48 EB 46 13 68 01 46 23 F0 03 02 50 58 13 F0 01 0F 01 D0 13 1A 58 18 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_53_0 {
	meta:
		name = "?signof@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 34
		refs = "0012 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 04 8B 4F F0 00 40 20 EF 50 81 ?? ?? ?? ?? 00 EF 58 01 BD EC 04 8B BD E8 00 88 }
	condition:
		$1
}

rule file_63_55_0 {
	meta:
		name = "?tanh@?$VTanh@M@@SA?AT__n128@@T2@@Z"
		size = 336
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0054 __vdecl_expf4 00fe ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0130 ?inf@?$VectorOp@M@@2T__n128@@B 0134 ?eps@?$VTanh@M@@0T__n128@@B 0138 ?xbig@?$VTanh@M@@0T__n128@@B 013c ?q0@?$VTanh@M@@0T__n128@@B 0140 ?p0@?$VTanh@M@@0T__n128@@B 0144 ?p1@?$VTanh@M@@0T__n128@@B"
		altNames = "__vdecl_tanhf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 88 B0 20 EF 50 E1 9F ED 4E 0A 0D F1 10 0C 8C EC 04 EB ?? ?? ?? ?? 20 EF 50 C1 B7 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 B6 EE 00 0A CD EC 04 0B ?? ?? ?? ?? 20 EF 50 81 9F ED 41 0A ?? ?? ?? ?? B9 FF 4E E7 20 EF 50 A1 0E EF 4E 0D ?? ?? ?? ?? DD EC 04 AB 39 4B 4F F0 00 40 40 EF 6A 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 4E FF 5E 4D 42 FF F0 0D 68 EF 60 0D 40 EF E0 8D D3 EC 04 0B 2D 4B 40 FF F4 2D D3 EC 04 0B 29 4B 42 EF E0 0D 40 FF F4 6D D3 EC 04 0B 25 4B 44 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 6E FF 4A 2E 46 FF F0 0D 0D F1 10 0C 9C EC 04 AB 2C FF 4A 8E 4E FF 70 0D 4E EF 60 0D 58 FF F0 21 D3 EC 04 0B 14 4B 6E FF 60 4E D3 EC 04 0B 5A FF F2 41 60 FF CE 2E 5E FF 74 21 F9 FF E2 07 10 FF F2 81 ?? ?? ?? ?? DD EC 04 2B 0A 4B 40 EF 5A 01 0A EF 4A 0E 60 EF F2 21 D3 EC 04 0B 4E EF 60 0E 52 FF D8 01 10 FF DA 01 08 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 54 9F 0C 3F 00 00 00 00 }
	condition:
		$1
}

rule file_64_0_0 {
	meta:
		name = "__scrt_is_ucrt_dll_in_use"
		size = 28
		refs = "0018 __scrt_ucrt_dll_is_in_use"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 1B 68 0B B1 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_0_0 {
	meta:
		name = "_RTC_AllocaHelper"
		size = 44
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 70 B1 69 B1 62 B1 39 B1 CC 25 03 46 21 B1 44 18 03 F8 01 5B A3 42 FB D1 13 68 C1 60 43 60 10 60 BD E8 30 88 }
	condition:
		$1
}

rule file_67_1_0 {
	meta:
		name = "_RTC_CheckStackVars"
		size = 78
		refs = "003c ?_RTC_StackFailure@@YAXPAXPBD@Z"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 33 68 00 24 80 46 00 2B 1A DD 00 25 6F F0 33 37 73 68 E9 58 EA 18 01 EB 08 03 53 F8 04 3C BB 42 05 D1 53 68 0B 44 53 F8 08 30 BB 42 03 D0 91 68 07 98 ?? ?? ?? ?? 33 68 64 1C 0C 35 9C 42 E7 DB BD E8 F8 89 }
	condition:
		$1
}

rule file_67_2_0 {
	meta:
		name = "_RTC_CheckStackVars2"
		size = 166
		refs = "0042 ?_RTC_StackFailure@@YAXPAXPBD@Z 0080 ?_RTC_AllocaFailure@@YAXPAXPAU_RTC_ALLOCA_NODE@@H@Z"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 0D 46 14 46 81 46 6F F0 33 36 F5 B1 2B 68 00 27 00 2B 1A DD B8 46 6B 68 08 EB 03 02 11 68 01 EB 09 03 53 F8 04 3C B3 42 05 D1 53 68 0B 44 53 F8 09 30 B3 42 03 D0 91 68 07 98 ?? ?? ?? ?? 2B 68 7F 1C 08 F1 0C 08 9F 42 E5 DB 00 25 23 46 24 B3 5B 68 6D 1C 00 2B FB D1 1D E0 23 68 B3 42 08 D1 63 69 B3 42 05 D1 A3 69 B3 42 02 D1 E3 69 B3 42 04 D0 07 98 2A 46 21 46 ?? ?? ?? ?? E3 68 23 44 53 F8 04 3C B3 42 04 D0 07 98 2A 46 21 46 ?? ?? ?? ?? 64 68 6D 1E 00 2C DF D1 BD E8 F0 8B }
	condition:
		$1
}

rule file_72_2_0 {
	meta:
		name = "__scrt_initialize_default_local_stdio_options"
		size = 42
		refs = "0006 __local_stdio_printf_options 0016 __local_stdio_scanf_options"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? D0 E9 00 32 43 F0 04 03 C0 E9 00 32 ?? ?? ?? ?? D0 E9 00 32 43 F0 02 03 C0 E9 00 32 BD E8 00 88 }
	condition:
		$1
}

rule file_75_0_0 {
	meta:
		name = "__GSHandlerCheck_SEH"
		size = 64
		refs = "002c __GSHandlerCheckCommon 0038 __C_specific_handler"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 1E 46 F3 69 90 46 0F 46 1C 68 81 46 00 2C 03 DA 24 F0 00 45 74 68 2B 19 1C 68 31 46 38 46 03 EB 04 14 22 1D ?? ?? ?? ?? 33 46 42 46 39 46 48 46 ?? ?? ?? ?? BD E8 F0 8B }
	condition:
		$1
}

rule file_81_0_0 {
	meta:
		name = "??$cosh_impl@$00@?$VSinh@M@@CA?AT__n128@@T1@@Z"
		size = 168
		refs = "0026 __vdecl_expf4 0046 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0094 ?inf@?$VectorOp@M@@2T__n128@@B 0098 ?wmax@?$VSinh@M@@0T__n128@@B 009c ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B 00a0 ?ln_v@?$VSinh@M@@0T__n128@@B 00a4 ?ybar@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 26 4B 20 EF 50 81 D3 EC 04 0B 22 4B 28 FF 60 EE D3 EC 04 0B 28 EF 60 CD 2C EF 5C 01 ?? ?? ?? ?? 1C 4B D3 EC 04 0B 40 FF D0 0D 00 EF 60 AD 28 EF 58 01 ?? ?? ?? ?? 01 20 20 EF 50 81 ?? ?? ?? ?? FB FF 48 25 12 4B 48 EF 72 0F 42 FF F0 2D 48 EF 72 0F 42 FF F0 0D 48 EF 60 2D F7 EF 50 05 62 FF E0 08 6E EF 5E 21 5A FF 70 21 D3 EC 04 0B 06 4B 6C FF 60 0E 0E EF 70 01 D3 EC 04 0B 10 FF F2 01 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_1_0 {
	meta:
		name = "??$cosh_impl@$0A@@?$VSinh@M@@CA?AT__n128@@T1@@Z"
		size = 168
		refs = "0026 __vdecl_expf4 0046 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0094 ?inf@?$VectorOp@M@@2T__n128@@B 0098 ?wmax@?$VSinh@M@@0T__n128@@B 009c ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B 00a0 ?ln_v@?$VSinh@M@@0T__n128@@B 00a4 ?ybar@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 26 4B 20 EF 50 81 D3 EC 04 0B 22 4B 28 FF 60 EE D3 EC 04 0B 28 EF 60 CD 2C EF 5C 01 ?? ?? ?? ?? 1C 4B D3 EC 04 0B 40 FF D0 0D 00 EF 60 AD 28 EF 58 01 ?? ?? ?? ?? 01 20 20 EF 50 81 ?? ?? ?? ?? FB FF 48 25 12 4B 48 EF 72 0F 42 FF F0 2D 48 EF 72 0F 42 FF F0 0D 68 EF 60 2D F7 EF 50 05 62 FF E0 08 6E EF 5E 21 5A FF 70 21 D3 EC 04 0B 06 4B 6C FF 60 0E 0E EF 70 01 D3 EC 04 0B 10 FF F2 01 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_13_0 {
	meta:
		name = "??__E?ln_v@?$VSinh@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?ln_v@?$VSinh@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 73 31 3F }
	condition:
		$1
}

rule file_81_50_0 {
	meta:
		name = "?cosh@?$VSinh@M@@SA?AT__n128@@T2@@Z"
		size = 204
		refs = "0030 __vdecl_expf4 0050 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 00b8 ?inf@?$VectorOp@M@@2T__n128@@B 00bc ?wmax@?$VSinh@M@@0T__n128@@B 00c0 ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B 00c4 ?ln_v@?$VSinh@M@@0T__n128@@B 00c8 ?ybar@?$VSinh@M@@0T__n128@@B"
		altNames = "__vdecl_coshf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 84 B0 2E 4B 60 EF 50 01 CD EC 04 0B B9 FF 60 87 D3 EC 04 0B 29 4B 28 FF 60 EE D3 EC 04 0B 28 EF 60 CD 2C EF 5C 01 ?? ?? ?? ?? 22 4B D3 EC 04 0B 40 FF D0 0D 00 EF 60 AD 28 EF 58 01 ?? ?? ?? ?? 01 20 20 EF 50 81 ?? ?? ?? ?? FB FF 48 25 18 4B 6E EF 5E 61 48 EF 72 0F 42 FF F0 2D 48 EF 72 0F 42 FF F0 0D 48 EF 60 2D F7 EF 50 05 62 FF E0 08 5A FF 70 61 D3 EC 04 0B 0D 4B 6C FF 60 0E D3 EC 04 4B 4E EF 70 21 54 FF F6 21 DD EC 04 6B 46 EF E6 0E 52 FF F6 01 F9 FF 66 27 02 EF E4 0E 14 FF F0 01 04 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_67_0 {
	meta:
		name = "?sdx@?$VectorOp@M@@SA?AT__n128@@T2@0@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 F7 EF 52 05 20 FF 60 08 BD E8 00 88 }
	condition:
		$1
}

rule file_81_68_0 {
	meta:
		name = "?sinh@?$VSinh@M@@SA?AT__n128@@T2@@Z"
		size = 384
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0058 __vdecl_expf4 0078 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0158 ?eps@?$VSinh@M@@0T__n128@@B 015c ?q0@?$VSinh@M@@0T__n128@@B 0160 ?p0@?$VSinh@M@@0T__n128@@B 0164 ?p1@?$VSinh@M@@0T__n128@@B 0168 ?inf@?$VectorOp@M@@2T__n128@@B 016c ?wmax@?$VSinh@M@@0T__n128@@B 0170 ?v_over_two_minus_1@?$VSinh@M@@0T__n128@@B 0174 ?ln_v@?$VSinh@M@@0T__n128@@B 0178 ?ybar@?$VSinh@M@@0T__n128@@B"
		altNames = "__vdecl_sinhf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 8C B0 20 EF 50 81 9F ED 5A 0A 0D F1 10 0C 8C EC 04 8B ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A CD EC 04 0B ?? ?? ?? ?? 51 4B 60 EF 50 01 0D F1 20 0C CC EC 04 0B D3 EC 04 0B 4C 4B B9 FF 48 87 28 FF 60 EE D3 EC 04 0B 28 EF 60 CD 2C EF 5C 01 ?? ?? ?? ?? 44 4B D3 EC 04 0B 40 FF D0 0D 00 EF 60 AD 28 EF 58 01 ?? ?? ?? ?? 01 20 20 EF 50 81 ?? ?? ?? ?? FB FF 48 25 3A 4B 6E EF 5E 41 48 EF 72 0F 0D F1 10 0C DC EC 04 EB 42 FF F0 2D 4E FF FE 8D 48 EF 72 0F 42 FF F0 0D 68 EF 60 2D F7 EF 50 05 62 FF E0 08 5A FF 70 41 D3 EC 04 0B 2C 4B 6C FF 60 0E D3 EC 04 CB 28 4B 4E EF 70 21 5C FF F4 21 DD EC 04 4B F9 FF E2 07 64 FF EE AE 50 FF F2 A1 D3 EC 04 0B 20 4B 40 FF F8 2D D3 EC 04 0B 1C 4B 42 EF E0 6D D3 EC 04 0B 19 4B 48 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F F9 FF 6E 47 42 FF F0 0D 04 EF EC 0E 46 FF F0 0D 48 FF F0 0D 4E FF F0 0D 4E EF E0 2D D3 EC 04 0B 60 FF E4 0E 5E FF F2 01 0D F1 20 0C DC EC 04 2B 64 FF E2 2E 5A FF F0 21 4E EF EE 0E 52 FF FE 01 1E FF F0 01 0C B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_86_3_0 {
	meta:
		name = "__stoi64"
		size = 248
		refs = "00a8 __fptoi64_exception_helper"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B B5 EE 40 0A F1 EE 10 FA 10 EE 10 0A 2A D0 C0 F3 C7 52 01 02 00 20 41 F0 00 41 4F F0 BE 03 D2 1A 23 DC 52 42 40 2A 4E DA 00 25 20 2A 03 DB 20 3A 05 46 08 46 00 21 D2 F1 20 03 10 FA 03 F4 25 43 D0 40 11 FA 03 F4 20 43 D1 40 B1 F1 00 4F 18 D8 29 D0 F1 EE 10 FA 02 DA 40 42 61 EB 41 01 35 BB BD E8 30 88 00 20 00 21 FA E7 20 2A 02 DB 20 3A 01 46 00 20 D2 F1 20 03 91 40 30 FA 03 F4 21 43 90 40 F1 EE 10 FA 02 DA 40 42 61 EB 41 01 F1 EE 10 3A 43 F0 04 03 03 EA 13 22 D2 06 E0 D0 11 4A ?? ?? ?? ?? DC E7 F1 EE 10 FA F0 DA D1 E7 F1 EE 10 3A 43 F0 01 03 03 EA 13 22 D2 06 D0 D0 0A 4A ?? ?? ?? ?? CC E7 00 20 00 21 F1 EE 10 3A 43 F0 02 03 03 EA 13 22 D2 06 C2 D0 04 4A ?? ?? ?? ?? BE E7 00 00 04 08 00 06 01 08 00 06 02 08 00 06 }
	condition:
		$1
}

rule file_86_4_0 {
	meta:
		name = "__stou64"
		size = 232
		refs = "00a2 __fptoi64_exception_helper"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B B5 EE 40 0A F1 EE 10 FA 10 EE 10 0A 27 D0 C0 F3 C7 52 01 02 00 20 41 F0 00 41 4F F0 BE 03 D2 1A 20 DC 52 42 40 2A 47 DA 00 25 20 2A 03 DB 20 3A 05 46 08 46 00 21 D2 F1 20 03 10 FA 03 F4 25 43 D0 40 11 FA 03 F4 20 43 D1 40 F1 EE 10 FA 03 DA 40 42 61 EB 41 01 17 E0 15 BB BD E8 30 88 00 20 00 21 FA E7 20 2A 02 DB 20 3A 01 46 00 20 D2 F1 20 03 91 40 30 FA 03 F4 21 43 90 40 F1 EE 10 FA 02 DA 40 42 61 EB 41 01 F1 EE 10 3A 43 F0 04 03 03 EA 13 22 D2 06 E0 D0 0E 4A ?? ?? ?? ?? DC E7 F1 EE 10 3A 43 F0 01 03 03 EA 13 22 D2 06 D4 D0 09 4A ?? ?? ?? ?? D0 E7 00 20 00 21 F1 EE 10 3A 43 F0 02 03 03 EA 13 22 D2 06 C6 D0 03 4A ?? ?? ?? ?? C2 E7 04 08 00 09 01 08 00 09 02 08 00 09 }
	condition:
		$1
}

rule file_86_5_0 {
	meta:
		name = "__fptoi64_exception_helper"
		size = 44
		refs = "0022 __fphelper_raise_exception"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 E1 EE 10 3A 8D ED 00 0B CD E9 02 01 D0 B2 C2 F3 07 21 C2 F3 07 63 C2 F3 07 42 ?? ?? ?? ?? 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_95_33_0 {
	meta:
		name = "??__E?sqrt_three@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?sqrt_three@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? D7 B3 DD 3F }
	condition:
		$1
}

rule file_95_35_0 {
	meta:
		name = "??__E?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? A2 30 89 3E }
	condition:
		$1
}

rule file_95_37_0 {
	meta:
		name = "?A@?$VATan@M@@CA?AT__n128@@T2@@Z"
		size = 124
		refs = "0008 __security_push_cookie 0064 __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 88 B0 9F ED 1A 2A 10 EE 10 2B 04 AB 30 EE 10 1B 8D ED 04 2A 9F ED 14 2A 11 EE 10 0B 31 EE 10 4B 8D ED 05 2A 9F ED 0F 2A 8D ED 06 2A 9F ED 0C 2A 8D ED 07 2A 53 F8 22 30 00 93 04 AB 53 F8 21 30 01 93 04 AB 53 F8 20 30 02 93 04 AB 53 F8 24 30 03 93 9D EC 04 0B 08 B0 ?? ?? ?? ?? BD E8 10 88 92 0A 86 3F DB 0F C9 3F 92 0A 06 3F 00 00 00 00 }
	condition:
		$1
}

rule file_95_38_0 {
	meta:
		name = "?A@?$VATan@N@@CA?AT__n128@@T2@@Z"
		size = 144
		refs = "0006 __security_push_cookie 0066 __security_pop_cookie"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 9F ED 1E 2B 9F ED 1B 3B 9F ED 18 4B 9F ED 15 5B 50 EC 11 2B 06 AB 03 EB C2 03 8D ED 06 2B 8D ED 08 3B 8D ED 0A 4B 8D ED 0C 5B 93 ED 00 2B 51 EC 10 2B 06 AB 03 EB C2 03 8D ED 00 2B 03 91 93 ED 00 0B DD E9 00 32 CD E9 03 03 05 92 8D ED 02 0B 0D F1 08 0C 9C EC 04 0B 0F B0 ?? ?? ?? ?? BD E8 00 88 FE DE 66 73 2D 38 52 C1 F0 3F 18 2D 44 54 FB 21 F9 3F 66 73 2D 38 52 C1 E0 3F 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_95_43_0 {
	meta:
		name = "?atan2@?$VATan@M@@SA?AT__n128@@T2@0@Z"
		size = 996
		refs = "002a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00a0 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 021c ?A@?$VATan@M@@CA?AT__n128@@T2@@Z 03a4 ?neginf@?$VectorOp@M@@2T__n128@@B 03a8 ?exponentBias@?$VectorOp@M@@2T__n128@@B 03ac ?exponentMask@?$VectorOp@M@@2T__n128@@B 03b0 ?inf@?$VectorOp@M@@2T__n128@@B 03b4 ?eps@?$VATan@M@@0T__n128@@B 03b8 ?q0@?$VATan@M@@0T__n128@@B 03bc ?p0@?$VATan@M@@0T__n128@@B 03c0 ?p1@?$VATan@M@@0T__n128@@B 03c4 ?sqrt_three@?$VATan@M@@0T__n128@@B 03c8 ?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B"
		altNames = "__vdecl_atan2f4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B B5 B0 20 EF 50 A1 9F ED F3 0A 22 EF 52 E1 0D F1 30 0C 8C EC 04 EB 0D F1 10 0C 8C EC 04 AB ?? ?? ?? ?? 0D F1 20 0C 8C EC 04 0B 9F ED E9 0A ?? ?? ?? ?? 60 EF 50 01 9F ED E5 0A 0D F1 A0 0C CC EC 04 0B ?? ?? ?? ?? 9F ED E0 8A 60 EF 50 01 0D F1 60 0C CC EC 04 0B B0 EE 48 0A ?? ?? ?? ?? 60 EF 50 01 9F ED D8 0A 0D F1 90 0C CC EC 04 0B ?? ?? ?? ?? 60 EF 50 01 9F ED D2 0A 0D F1 C0 0C CC EC 04 0B ?? ?? ?? ?? 60 EF 50 01 7D 20 0D F1 B0 0C CC EC 04 0B ?? ?? ?? ?? 60 EF 50 01 6F F0 79 00 0D F1 70 0C CC EC 04 0B ?? ?? ?? ?? FB FF 4E 25 60 EF 50 01 B6 EE 00 0A 0D F1 80 0C CC EC 04 0B 4E EF 72 0F 42 FF F0 2D 4E EF 72 0F 42 FF F0 0D 4A FF 70 0D B9 FF 60 A7 ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A CD EC 04 0B ?? ?? ?? ?? 20 EF 50 E1 B0 EE 48 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 50 0C CC EC 04 0B ?? ?? ?? ?? FB FF 4A 25 2A FF 4E CE 4A EF 72 0F 02 20 42 FF F0 2D 0D F1 40 0C 8C EC 04 CB 20 EF 50 81 4A EF 72 0F 42 FF F0 0D 10 FF DA C1 ?? ?? ?? ?? A0 4B 0D F1 40 0C 9C EC 04 AB DD EC 04 2B D3 EC 04 0B 9B 4B 10 FF 58 A1 2C FF 60 8E D3 EC 04 0B 40 EF CC 6D 60 EF CE 0D 40 FF DC 0D 60 EF E2 0D 60 EF E2 0D 40 EF CC 4D FB FF 66 25 28 EF 58 E1 46 EF F2 0F 01 20 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 10 FF DC E1 ?? ?? ?? ?? 87 4B 6A EF 40 08 4E FF 5E 4D 10 FF DA 81 01 20 D3 EC 04 0B 81 4B 40 FF F4 2D 8D EC 04 8B D3 EC 04 0B 7C 4B 42 EF E0 0D 40 FF F4 6D D3 EC 04 0B 78 4B 44 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4E FF 70 0D 4E EF 60 2D D3 EC 04 0B 20 FF DE CE 1E FF 72 C1 B9 FF CC 87 ?? ?? ?? ?? DD EC 04 0B 20 EF C0 A3 20 EF F0 01 18 FF 5C A1 ?? ?? ?? ?? 40 EF 4A 2D 62 4C 0D F1 20 0C 9C EC 04 0B 0D F1 30 0C 9C EC 04 4B D4 EC 04 0B 5C 4B 20 FF 44 AE 4E EF 60 4E 0D F1 50 0C DC EC 04 0B 0D F1 60 0C 9C EC 04 EB 0D F1 10 0C 9C EC 04 2B 50 FF F2 41 6A EF 5A 21 6E EF 64 0D 60 FF 42 EE 50 FF F4 21 44 EF 40 CE D3 EC 04 4B 4B 4B F9 FF E2 07 44 EF 74 81 D3 EC 04 AB 50 FF F2 E1 E9 FF 78 00 42 EF 74 41 60 FF EA 28 E9 FF 74 00 02 EF 40 CE 60 FF EA 08 60 FF E2 08 0D F1 70 0C DC EC 04 2B 60 EF F2 63 E9 FF 78 00 60 FF EA 28 E9 FF 74 00 60 FF EA 08 60 FF E2 08 0D F1 80 0C DC EC 04 2B 4F F0 00 40 62 EF F0 43 0D F1 90 0C DC EC 04 2B 6C EF F6 01 52 FF FE 01 42 EF 42 2E 50 FF 70 41 44 EF 44 0E 00 EF F2 81 14 FF D4 81 ?? ?? ?? ?? 0D F1 10 0C DC EC 04 CB 4C EF 5A 41 40 EF 7C A1 0D F1 20 0C 9C EC 04 0B 23 4B 6A EF DE 61 0D F1 30 0C 9C EC 04 EB 6A EF D0 81 6E FF 40 0E 56 FF D8 41 4C EF 70 21 0D F1 A0 0C DC EC 04 0B 6E FF 70 08 58 FF F4 21 4C EF 70 41 6E FF 50 08 56 FF F2 41 4C EF 70 61 F9 FF 6C 07 58 FF F4 61 D4 EC 04 4B 40 EF E4 8E 0D F1 B0 0C DC EC 04 0B 6A EF F0 21 4E EF 64 0E 48 EF F0 41 0D F1 C0 0C DC EC 04 0B 52 FF F6 41 6A EF F0 21 D3 EC 04 0B 4E EF 60 0E 08 EF F0 01 12 FF F4 01 35 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E4 CB 16 40 DB 0F 49 3F DB 0F C9 3F DB 0F 49 40 00 00 00 80 00 00 00 00 }
	condition:
		$1
}

rule file_95_44_0 {
	meta:
		name = "?atan@?$VATan@M@@SA?AT__n128@@T2@@Z"
		size = 484
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0066 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0174 ?A@?$VATan@M@@CA?AT__n128@@T2@@Z 01c0 ?inf@?$VectorOp@M@@2T__n128@@B 01c4 ?eps@?$VATan@M@@0T__n128@@B 01c8 ?q0@?$VATan@M@@0T__n128@@B 01cc ?p0@?$VATan@M@@0T__n128@@B 01d0 ?p1@?$VATan@M@@0T__n128@@B 01d4 ?sqrt_three@?$VATan@M@@0T__n128@@B 01d8 ?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B"
		altNames = "__vdecl_atanf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 94 B0 20 EF 50 81 9F ED 73 0A 0D F1 40 0C 8C EC 04 8B ?? ?? ?? ?? 60 EF 50 01 B6 EE 00 0A 0D F1 30 0C CC EC 04 0B B9 FF 48 A7 ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A 0D F1 10 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 E1 9F ED 62 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 20 0C CC EC 04 0B ?? ?? ?? ?? FB FF 4A 25 2A FF 4E CE 4A EF 72 0F 02 20 42 FF F0 2D 8D EC 04 CB 20 EF 50 81 4A EF 72 0F 42 FF F0 0D 10 FF DA C1 ?? ?? ?? ?? 50 4B 9D EC 04 AB 0D F1 10 0C DC EC 04 2B D3 EC 04 0B 4B 4B 10 FF 58 A1 2C FF 60 8E D3 EC 04 0B 01 20 40 EF CC 6D 60 EF CE 0D 28 EF 58 E1 40 FF DC 0D 60 EF E2 0D 60 EF E2 0D FB FF 66 25 40 EF CC 4D 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 10 FF DC E1 ?? ?? ?? ?? 37 4B 6A EF 40 08 4E FF 5E 4D 10 FF DA 81 D3 EC 04 0B 31 4B 40 FF F4 2D D3 EC 04 0B 2E 4B 0D F1 10 0C 8C EC 04 8B 42 EF E0 0D 40 FF F4 6D D3 EC 04 0B 27 4B 44 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4E FF 70 0D 4E EF 60 2D D3 EC 04 0B 20 FF DE CE 1E FF 72 C1 01 20 B9 FF CC 87 ?? ?? ?? ?? 0D F1 10 0C DC EC 04 0B 20 EF C0 A3 20 EF F0 01 18 FF 5C A1 ?? ?? ?? ?? 40 EF 4A 2D 10 4B 0D F1 40 0C DC EC 04 6B D3 EC 04 0B 06 EF E6 0E 4E EF 60 4E 0D F1 20 0C DC EC 04 0B 50 FF F2 41 0D F1 30 0C DC EC 04 2B F9 FF E4 07 62 FF E6 2E 50 FF F4 21 12 FF F6 01 14 B0 BD EC 10 8B BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 0F C9 3F 00 00 00 00 }
	condition:
		$1
}

rule file_95_45_0 {
	meta:
		name = "?atan_impl@?$VATan@M@@CA?AT__n128@@T2@@Z"
		size = 412
		refs = "0014 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0046 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0154 ?A@?$VATan@M@@CA?AT__n128@@T2@@Z 017c ?inf@?$VectorOp@M@@2T__n128@@B 0180 ?eps@?$VATan@M@@0T__n128@@B 0184 ?q0@?$VATan@M@@0T__n128@@B 0188 ?p0@?$VATan@M@@0T__n128@@B 018c ?p1@?$VATan@M@@0T__n128@@B 0190 ?sqrt_three@?$VATan@M@@0T__n128@@B 0194 ?two_minus_sqrt_three@?$VATan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 8C B0 20 EF 50 A1 B6 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A 0D F1 10 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 E1 9F ED 59 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 20 0C CC EC 04 0B ?? ?? ?? ?? FB FF 4A 25 2A FF 4E CE 4A EF 72 0F 02 20 42 FF F0 2D 8D EC 04 CB 20 EF 50 81 4A EF 72 0F 42 FF F0 0D 10 FF DA C1 ?? ?? ?? ?? 47 4B 9D EC 04 AB 0D F1 10 0C DC EC 04 2B D3 EC 04 0B 42 4B 10 FF 58 A1 2C FF 60 8E D3 EC 04 0B 01 20 40 EF CC 6D 60 EF CE 0D 28 EF 58 E1 40 FF DC 0D 60 EF E2 0D 60 EF E2 0D FB FF 66 25 40 EF CC 4D 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 10 FF DC E1 ?? ?? ?? ?? 2E 4B 6A EF 40 08 4E FF 5E 4D 10 FF DA 81 01 20 D3 EC 04 0B 28 4B 40 FF F4 2D 0D F1 10 0C 8C EC 04 8B D3 EC 04 0B 22 4B 42 EF E0 0D 40 FF F4 6D D3 EC 04 0B 1E 4B 44 EF E0 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 46 FF F0 0D 4E FF 70 0D 4E EF 60 2D D3 EC 04 0B 20 FF DE CE 1E FF 72 C1 B9 FF CC 87 ?? ?? ?? ?? 0D F1 10 0C DC EC 04 0B 20 EF C0 A3 18 FF 5C A1 20 EF F0 01 ?? ?? ?? ?? 08 4B 40 EF 4A 2D D3 EC 04 0B 0E EF 60 0E 0D F1 20 0C DC EC 04 0B 10 FF F2 01 0C B0 BD EC 10 8B BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 0F C9 3F }
	condition:
		$1
}

rule file_95_54_0 {
	meta:
		name = "?create@?$VectorOp@M@@SA?AT__n128@@MMMM@Z"
		size = 32
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B CD ED 01 0A 8D ED 00 0A 8D ED 02 1A CD ED 03 1A 9D EC 04 0B BD E8 0F 88 }
	condition:
		$1
}

rule file_95_59_0 {
	meta:
		name = "?create@?$VectorOp@N@@SA?AT__n128@@NN@Z"
		size = 46
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 0B 8D ED 02 1B 00 9B 04 93 01 9B 05 93 02 9B 06 93 03 9B 07 93 0D F1 10 0C 9C EC 04 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_95_68_0 {
	meta:
		name = "?intxp@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 44
		refs = "0024 ?exponentBias@?$VectorOp@M@@2T__n128@@B 0028 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 4B D3 EC 04 0B 05 4B 40 EF 70 01 E9 FF 70 20 D3 EC 04 0B 22 FF E0 08 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_77_0 {
	meta:
		name = "?unpack@?$VectorOp@N@@SAXT__n128@@AA_K1@Z"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 52 EC 10 3B C0 E9 00 32 52 EC 11 3B C1 E9 00 32 BD E8 00 88 }
	condition:
		$1
}

rule file_97_0_0 {
	meta:
		name = "__security_check_cookie"
		size = 20
		refs = "0010 __security_cookie"
	strings:
		$1 = { DF F8 0C C0 DC F8 00 C0 60 45 03 D1 70 47 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_4_0 {
	meta:
		name = "??__E?C1@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?C1@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 80 31 3F }
	condition:
		$1
}

rule file_199_1_0 {
	meta:
		name = "??__E?C1@?$VExp@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?C1@?$VExp@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 80 31 3F }
	condition:
		$1
}

rule file_98_8_0 {
	meta:
		name = "??__E?C3@?$VLog@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?C3@?$VLog@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? D8 5B DE 3E }
	condition:
		$1
}

rule file_98_57_0 {
	meta:
		name = "?log10@?$VLog@M@@SA?AT__n128@@T2@@Z"
		size = 420
		refs = "001a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 003c ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0170 ?inf@?$VectorOp@M@@2T__n128@@B 0174 ?ind@?$VectorOp@M@@2T__n128@@B 0178 ?neginf@?$VectorOp@M@@2T__n128@@B 017c ?C3@?$VLog@M@@0T__n128@@B 0180 ?C2@?$VLog@M@@0T__n128@@B 0184 ?C1@?$VLog@M@@0T__n128@@B 0188 ?a0@?$VLog@M@@0T__n128@@B 0190 ?b0@?$VLog@M@@0T__n128@@B 0194 ?C0@?$VLog@M@@0T__n128@@B 0198 ?notExponentMask@?$VectorOp@M@@2T__n128@@B 019c ?exponentBias@?$VectorOp@M@@2T__n128@@B 01a0 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
		altNames = "__vdecl_log10f4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 85 B0 20 EF 50 81 B6 EE 00 0A 8D EC 04 8B ?? ?? ?? ?? 60 4B 5E 4C 00 20 D3 EC 04 0B 20 EF 50 E1 48 EF 70 01 E9 FF 70 20 D4 EC 04 0B 22 FF E0 A8 ?? ?? ?? ?? D4 EC 04 0B 54 4B 01 20 60 EF 60 08 F7 EF 70 25 D3 EC 04 0B 4F 4B 48 EF 70 01 20 EF F2 81 D3 EC 04 0B 28 FF 60 CE ?? ?? ?? ?? 6A FF 40 08 68 EF 4E 2D 6C EF 5C A1 5A FF 70 A1 62 EF CE 0D 44 4B 6C EF 5C 41 50 FF F2 41 9F ED 40 0A 44 FF DE 0D 40 EF CE 2D 48 FF 5E 0D 40 EF CE 0D 10 FF F2 C1 FB FF 4C 25 4C EF 72 0F 42 FF F0 2D 4C EF 72 0F 42 FF F0 0D 44 FF F0 8D D3 EC 04 0B 32 4B 48 FF F8 2D 42 EF E0 6D D3 EC 04 0B 2E 4B 42 FF F0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D FB FF 6A 46 48 FF F0 0D 48 EF E0 6D D3 EC 04 0B 21 4B 44 FF F0 2D D3 EC 04 0B 1E 4B 44 FF F0 0D 40 EF E6 0D 40 EF E2 2D D3 EC 04 0B 02 FF F0 8D ?? ?? ?? ?? 20 EF 50 A1 B7 EE 00 0A ?? ?? ?? ?? DD EC 04 6B 12 4B 46 EF C0 2E 46 EF CA 4E 5A FF 58 21 D3 EC 04 0B 0D 4B 06 EF E6 0E 50 FF F2 41 D3 EC 04 0B 08 4B 6A FF 66 2E 50 FF F4 21 D3 EC 04 0B 46 EF E0 0E 56 FF F2 01 10 FF F6 01 05 B0 BD EC 10 8B BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_58_0 {
	meta:
		name = "?log@?$VLog@M@@SA?AT__n128@@T2@@Z"
		size = 408
		refs = "001a ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 003c ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0168 ?inf@?$VectorOp@M@@2T__n128@@B 016c ?ind@?$VectorOp@M@@2T__n128@@B 0170 ?neginf@?$VectorOp@M@@2T__n128@@B 0174 ?C2@?$VLog@M@@0T__n128@@B 0178 ?C1@?$VLog@M@@0T__n128@@B 017c ?a0@?$VLog@M@@0T__n128@@B 0184 ?b0@?$VLog@M@@0T__n128@@B 0188 ?C0@?$VLog@M@@0T__n128@@B 018c ?notExponentMask@?$VectorOp@M@@2T__n128@@B 0190 ?exponentBias@?$VectorOp@M@@2T__n128@@B 0194 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
		altNames = "__vdecl_logf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 85 B0 20 EF 50 81 B6 EE 00 0A 8D EC 04 8B ?? ?? ?? ?? 5D 4B 5B 4C 00 20 D3 EC 04 0B 20 EF 50 E1 48 EF 70 01 E9 FF 70 20 D4 EC 04 0B 22 FF E0 A8 ?? ?? ?? ?? D4 EC 04 0B 51 4B 01 20 60 EF 60 08 F7 EF 70 25 D3 EC 04 0B 4C 4B 48 EF 70 01 20 EF F2 81 D3 EC 04 0B 28 FF 60 CE ?? ?? ?? ?? 6A FF 40 08 68 EF 4E 2D 6C EF 5C A1 5A FF 70 A1 62 EF CE 0D 41 4B 6C EF 5C 41 50 FF F2 41 9F ED 3D 0A 44 FF DE 0D 40 EF CE 2D 48 FF 5E 0D 40 EF CE 0D 10 FF F2 C1 FB FF 4C 25 4C EF 72 0F 42 FF F0 2D 4C EF 72 0F 42 FF F0 0D 44 FF F0 8D D3 EC 04 0B 2F 4B 48 FF F8 2D 42 EF E0 6D D3 EC 04 0B 2B 4B 42 FF F0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D FB FF 6A 46 48 FF F0 0D 48 EF E0 6D D3 EC 04 0B 1E 4B 44 FF F0 2D D3 EC 04 0B 44 FF F0 0D 40 EF E6 0D 00 EF E2 8D ?? ?? ?? ?? 20 EF 50 A1 B7 EE 00 0A ?? ?? ?? ?? DD EC 04 6B 13 4B 46 EF C0 2E D3 EC 04 0B 46 EF CA 4E 5A FF 58 21 50 FF F2 41 6A FF 66 2E 0B 4B 06 EF E6 0E D3 EC 04 0B 08 4B 50 FF F4 21 D3 EC 04 0B 46 EF E0 0E 56 FF F2 01 10 FF F6 01 05 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_59_0 {
	meta:
		name = "?log_check_special_case@?$VLog@M@@CA?AT__n128@@T2@0@Z"
		size = 120
		refs = "0016 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0068 ?inf@?$VectorOp@M@@2T__n128@@B 006c ?ind@?$VectorOp@M@@2T__n128@@B 0070 ?neginf@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 0C 8B 20 EF 50 C1 9F ED 19 0A 22 EF 52 81 ?? ?? ?? ?? 20 EF 50 A1 B7 EE 00 0A ?? ?? ?? ?? 12 4B 4C EF 40 2E 4C EF 4A 4E D3 EC 04 0B 0D 4B 5A FF 58 21 0C EF 4C 0E 50 FF F2 41 6A FF 4C 2E D3 EC 04 0B 07 4B 50 FF F4 21 D3 EC 04 0B 4C EF 60 0E 5C FF 72 01 10 FF DC 01 BD EC 0C 8B BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_98_60_0 {
	meta:
		name = "?log_impl@?$VLog@M@@CA?AT__n128@@T2@@Z"
		size = 300
		refs = "0014 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0036 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 010c ?C2@?$VLog@M@@0T__n128@@B 0110 ?C1@?$VLog@M@@0T__n128@@B 0114 ?a0@?$VLog@M@@0T__n128@@B 0118 ?b0@?$VLog@M@@0T__n128@@B 011c ?C0@?$VLog@M@@0T__n128@@B 0120 ?notExponentMask@?$VectorOp@M@@2T__n128@@B 0124 ?exponentBias@?$VectorOp@M@@2T__n128@@B 0128 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 2D ED 10 8B 20 EF 50 81 B6 EE 00 0A ?? ?? ?? ?? 43 4B 42 4C 00 20 D3 EC 04 0B 20 EF 50 E1 48 EF 70 01 E9 FF 70 20 D4 EC 04 0B 22 FF E0 A8 ?? ?? ?? ?? D4 EC 04 0B 38 4B 01 20 60 EF 60 08 F7 EF 70 25 D3 EC 04 0B 33 4B 48 EF 70 01 20 EF F2 81 D3 EC 04 0B 28 FF 60 CE ?? ?? ?? ?? 6A FF 40 08 68 EF 4E 2D 6C EF 5C A1 5A FF 70 A1 62 EF CE 0D 27 4B 6C EF 5C 41 50 FF F2 41 44 FF DE 0D 40 EF CE 2D 48 FF 5E 0D 40 EF CE 0D 10 FF F2 C1 FB FF 4C 25 4C EF 72 0F 42 FF F0 2D 4C EF 72 0F 42 FF F0 0D 44 FF F0 8D D3 EC 04 0B 18 4B 48 FF F8 2D 42 EF E0 6D D3 EC 04 0B 13 4B 42 FF F0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D FB FF 6A 46 48 FF F0 0D 48 EF E0 6D D3 EC 04 0B 07 4B 44 FF F0 2D D3 EC 04 0B 44 FF F0 0D 40 EF E6 0D 00 EF E2 0D BD EC 10 8B BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_64_0 {
	meta:
		name = "?setxp@?$VectorOp@M@@SA?AT__n128@@T2@0@Z"
		size = 48
		refs = "0028 ?notExponentMask@?$VectorOp@M@@2T__n128@@B 002c ?exponentBias@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 4B D3 EC 04 0B 06 4B 62 EF 60 08 F7 EF 70 25 D3 EC 04 0B 40 EF 70 01 20 EF F2 01 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_0_0 {
	meta:
		name = "_RTC_Check_2_to_1"
		size = 36
		refs = "001a ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 10 F4 7F 43 06 D0 B3 F5 7F 4F 03 D0 03 98 01 21 ?? ?? ?? ?? 60 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_103_1_0 {
	meta:
		name = "_RTC_Check_4_to_1"
		size = 36
		refs = "001a ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 30 F0 FF 03 06 D0 13 F5 80 7F 03 D0 03 98 01 21 ?? ?? ?? ?? 60 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_103_2_0 {
	meta:
		name = "_RTC_Check_4_to_2"
		size = 38
		refs = "001c ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 46 6F F3 0F 03 04 46 33 B1 13 F5 80 3F 03 D0 03 98 01 21 ?? ?? ?? ?? 20 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_103_3_0 {
	meta:
		name = "_RTC_Check_8_to_1"
		size = 46
		refs = "0024 ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 20 F0 FF 02 52 EA 01 03 04 46 09 D0 12 F5 80 7F 02 D1 B1 F1 FF 3F 03 D0 03 98 01 21 ?? ?? ?? ?? 60 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_103_4_0 {
	meta:
		name = "_RTC_Check_8_to_2"
		size = 48
		refs = "0026 ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 02 46 6F F3 0F 02 52 EA 01 03 04 46 09 D0 12 F5 80 3F 02 D1 B1 F1 FF 3F 03 D0 03 98 01 21 ?? ?? ?? ?? 20 B2 BD E8 18 88 }
	condition:
		$1
}

rule file_103_5_0 {
	meta:
		name = "_RTC_Check_8_to_4"
		size = 34
		refs = "0018 ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0B 00 06 D0 B1 F1 FF 3F 03 D0 03 98 01 21 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_108_1_0 {
	meta:
		name = "?DebuggerProbe@@YAHK@Z"
		size = 64
		refs = "0038 __imp_RaiseException"
	strings:
		$1 = { 2D E9 90 48 0D F1 08 0B 88 B0 6F 46 00 23 3B 70 41 F2 01 03 BB 60 F8 60 3B 46 3B 61 17 F1 08 03 06 22 00 21 05 48 04 4C 24 68 A0 47 38 78 00 E0 78 68 08 B0 BD E8 90 88 ?? ?? ?? ?? 88 13 6D 40 }
	condition:
		$1
}

rule file_108_2_0 {
	meta:
		name = "?filt$0@?0??DebuggerProbe@@YAHK@Z@4HA"
		size = 24
		altNames = "?filt$0@?0??DebuggerRuntime@@YAHKHPAXPB_W@Z@4HA"
	strings:
		$1 = { 03 68 1A 68 03 4B 9A 42 01 D1 01 20 00 E0 00 20 70 47 FE DE 88 13 6D 40 }
	condition:
		$1
}

rule file_108_3_0 {
	meta:
		name = "?DebuggerRuntime@@YAHKHPAXPB_W@Z"
		size = 72
		refs = "0040 __imp_RaiseException"
	strings:
		$1 = { 2D E9 90 48 0D F1 08 0B 88 B0 6F 46 00 24 3C 70 41 F2 02 04 BC 60 F8 60 39 61 7A 61 3A 46 BA 61 FB 61 17 F1 08 03 06 22 00 21 06 48 04 4C 24 68 A0 47 38 78 00 E0 78 68 08 B0 BD E8 90 88 FE DE ?? ?? ?? ?? 88 13 6D 40 }
	condition:
		$1
}

rule file_108_5_0 {
	meta:
		name = "?_RTC_AllocaFailure@@YAXPAXPAU_RTC_ALLOCA_NODE@@H@Z"
		size = 292
		refs = "0008 __security_push_cookie 004c sprintf_s 00e6 ?failwithmessage@@YAXPAXHHPBD@Z 00ec __security_pop_cookie 00f4 ??_C@_02LLMPMKNF@?$DO?5?$AA@ 00f8 ??_C@_08KJEDNCKC@?$CFs?$CFs?$CFs?$CFs?$AA@ 00fc ??_C@_01EEMJAFIK@?6?$AA@ 0100 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0104 ??_C@_0EI@CLEPFNGI@Stack?5area?5around?5_alloca?5memory@ 0108 ??_C@_0N@MHFFIMFG@?6Address?3?50x?$AA@ 010c ??_C@_07DFDJCKFN@?6Size?3?5?$AA@ 0110 ??_C@_0CK@DKGBICFE@?6Allocation?5number?5within?5this?5f@ 0114 ??_C@_0BC@HHMKLAND@?$CFs?$CFs?$CFp?$CFs?$CFzd?$CFs?$CFd?$CFs?$AA@ 0118 ??_C@_08OMAHNMHJ@?6Data?3?5?$DM?$AA@ 011c ??_C@_0EJ@LJKNEOLN@Stack?5area?5around?5_alloca?5memory@ 0120 ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? DC B0 44 4B 07 46 1E 69 0C 46 CD E9 08 67 B6 F1 FF 3F 64 D0 0C B9 3E 4B 5C E0 3C 4B 05 92 3A 4A 06 93 38 4B 1E A8 F4 21 04 93 E3 68 24 3B 03 93 33 4B 02 93 04 F1 20 03 01 93 30 4B 00 93 2E 4B ?? ?? ?? ?? E3 68 00 25 0D F1 28 09 A3 F1 24 08 0A AB 0D F1 40 0A 31 27 E6 1A B8 F1 10 0F 43 46 28 BF 10 23 9D 42 10 D2 06 EB 09 03 93 F8 20 40 20 4A 39 46 23 46 50 46 ?? ?? ?? ?? 6D 1C FF 1E 09 F8 01 4B 0A F1 03 0A E7 E7 0A AB 00 21 E9 54 10 AB 05 EB 45 02 DD E9 08 67 D1 54 1E AA 92 F9 00 30 02 F1 01 04 22 46 00 2B F8 D1 1E AA 10 46 12 F9 01 3B 00 2B FA D1 0D 4B 0C 4A 0D F2 6D 11 02 93 10 AB 01 93 08 4B 09 1B 00 93 0A AB ?? ?? ?? ?? 1E AB 04 22 31 46 38 46 ?? ?? ?? ?? 5C B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_6_0 {
	meta:
		name = "?_RTC_Failure@@YAXPAXH@Z"
		size = 60
		refs = "002c ?failwithmessage@@YAXPAXHHPBD@Z 0034 ?_RTC_ErrorMessages@@3QBQBDB 0038 ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 29 06 D8 0A 4B 53 F8 21 40 08 4B 53 F8 21 30 03 E0 06 4B 01 24 05 21 5B 69 B4 F1 FF 3F 03 D0 0A 46 21 46 ?? ?? ?? ?? BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_7_0 {
	meta:
		name = "?_RTC_StackFailure@@YAXPAXPBD@Z"
		size = 128
		refs = "0008 __security_push_cookie 0040 strcpy 0048 strcat 0062 ?failwithmessage@@YAXPAXHHPBD@Z 006a __security_pop_cookie 0074 ??_C@_0CG@IAFNJNEE@Stack?5corrupted?5near?5unknown?5var@ 0078 ?stack_premsg@@3QBDB 007c ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? AD F5 80 6D 1A 4B 0D 46 80 46 9F 68 B7 F1 FF 3F 23 D0 91 F9 00 30 CB B1 0A 46 12 F9 01 3B 00 2B FB D1 53 1B 2C 33 B3 F5 80 6F 0F D8 0F 4C 68 46 6E 46 21 46 ?? ?? ?? ?? 68 46 29 46 ?? ?? ?? ?? 68 46 04 F1 1C 01 ?? ?? ?? ?? 00 E0 06 4E 33 46 02 22 39 46 40 46 ?? ?? ?? ?? 0D F5 80 6D ?? ?? ?? ?? BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_8_0 {
	meta:
		name = "?_getMemBlockDataString@@YAXPAD00I@Z"
		size = 100
		refs = "0036 sprintf_s 0060 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 1F 46 00 25 13 1A CD E9 00 30 1E 46 02 91 81 46 8A 46 4F F0 31 08 10 2F 3A 46 28 BF 10 22 95 42 0F D2 16 F8 09 40 0C 4A 41 46 23 46 50 46 ?? ?? ?? ?? 09 F8 01 4B 6D 1C A8 F1 03 08 0A F1 03 0A E9 E7 DD E9 01 68 00 22 05 EB 45 03 AA 55 03 F8 08 20 BD E8 FE 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_9_0 {
	meta:
		name = "?_strlen_priv@@YAIPBD@Z"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 12 F9 01 3B 00 2B FB D1 13 1A 58 1E BD E8 00 88 }
	condition:
		$1
}

rule file_108_10_0 {
	meta:
		name = "?failwithmessage@@YAXPAXHHPBD@Z"
		size = 380
		refs = "0008 __security_push_cookie 001c ?_RTC_GetErrorFuncW@@YAP6AHHPB_WH00ZZPBX@Z 0026 ?_RTC_GetErrorFunc@@YAP6AHHPBDH00ZZPBX@Z 0070 ?DebuggerProbe@@YAHK@Z 0082 ?DebuggerRuntime@@YAHKHPAXPB_W@Z 00b2 ?_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z 00c4 _guard_check_icall 014e __security_pop_cookie 0158 ??_C@_0CA@IODNCDPG@Run?9Time?5Check?5Failure?5?$CD?$CFd?5?9?5?$CFs?$AA@ 015c ??_C@_0BE@GNBOBNCK@Unknown?5Module?5Name?$AA@ 0160 __imp_WideCharToMultiByte 0164 ??_C@_0BB@PFFGGCJP@Unknown?5Filename?$AA@ 0168 ??_C@_1EA@NFKNIFJP@?$AAR?$AAu?$AAn?$AA?9?$AAT?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAu?$AAr?$AAe?$AA?5?$AA?$CD?$AA?$CF?$AAd?$AA?5?$AA?9?$AA?5?$AA?$CF?$AAs?$AA?$AA@ 016c __imp_IsDebuggerPresent 0170 ?_RTC_NoFalsePositives@@3QBHB 0174 ??_C@_1GM@OLMCBDMB@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?4?$AA?6?$AA?$AN?$AA?5?$AAU?$AAn?$AAa?$AAb?$AAl?$AAe?$AA?5?$AAt?$AAo@ 0178 __imp_MultiByteToWideChar"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AD F6 48 6D 9A 46 91 46 88 46 05 91 06 46 00 27 ?? ?? ?? ?? 05 46 1D B9 30 46 ?? ?? ?? ?? 07 46 52 4C 00 23 01 93 24 68 00 93 DB 43 52 46 00 21 4F F6 E9 50 A0 47 B0 F5 00 7F 10 D2 4B 4C 0D F6 48 23 01 90 24 68 00 93 6F F0 00 03 52 46 00 21 4F F6 E9 50 A0 47 10 B1 0D F6 48 24 00 E0 42 4C 41 F2 02 00 ?? ?? ?? ?? 58 B1 3E 4B 32 46 48 46 53 F8 29 10 23 46 ?? ?? ?? ?? 00 28 5F D1 00 23 00 E0 01 23 0F B9 00 2D 58 D0 23 B1 34 4B 1B 68 98 47 00 28 52 D1 88 AB 00 93 4F F4 82 72 04 AB 06 A9 30 1F 01 92 ?? ?? ?? ?? 6D B1 2B 4B 28 46 02 94 00 93 CD F8 04 90 ?? ?? ?? ?? 04 9A 06 A9 40 46 88 AB A8 47 37 E0 22 4C 00 23 0D F5 85 62 24 68 21 4E 03 93 02 93 40 F2 0A 38 00 92 DB 43 06 AA 00 21 4F F6 E9 50 CD F8 04 80 A0 47 08 B1 0D F5 85 66 17 4C 00 23 0D F5 E7 62 24 68 14 4D 03 93 02 93 00 92 DB 43 88 AA 00 21 4F F6 E9 50 CD F8 04 80 A0 47 08 B1 0D F5 E7 65 0B 4A 38 46 CD F8 08 A0 00 92 CD F8 04 90 ?? ?? ?? ?? DD E9 04 20 31 46 2B 46 B8 47 01 28 00 D1 FE DE 0D F6 48 6D ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_11_0 {
	meta:
		name = "_RTC_UninitUse"
		size = 124
		refs = "0008 __security_push_cookie 003a strcpy 0042 strcat 005e ?failwithmessage@@YAXPAXHHPBD@Z 0066 __security_pop_cookie 0070 ??_C@_0DE@OHJBPMBP@A?5variable?5is?5being?5used?5without@ 0074 ?uninit_premsg@@3QBDB 0078 ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? AD F2 04 4D 19 4B 05 46 DF 68 B7 F1 FF 3F 22 D0 CD B1 02 46 12 F9 01 3B 00 2B FB D1 53 1B 39 33 B3 F5 80 6F 0F D8 10 4C 68 46 6E 46 21 46 ?? ?? ?? ?? 68 46 29 46 ?? ?? ?? ?? 68 46 04 F1 10 01 ?? ?? ?? ?? 00 E0 07 4E DD F8 1C 04 33 46 03 22 39 46 ?? ?? ?? ?? 0D F2 04 4D ?? ?? ?? ?? BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_13_0 {
	meta:
		name = "_vsprintf_s_l"
		size = 56
		refs = "0010 __local_stdio_printf_options 0026 __stdio_common_vsprintf_s"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 1E 46 17 46 88 46 81 46 ?? ?? ?? ?? 0C 9C 05 46 D5 E9 00 01 43 46 4A 46 02 94 01 96 00 97 ?? ?? ?? ?? 00 28 01 DA 6F F0 00 00 04 B0 BD E8 F0 8B }
	condition:
		$1
}

rule file_108_14_0 {
	meta:
		name = "sprintf_s"
		size = 64
		refs = "0012 __local_stdio_printf_options 002a __stdio_common_vsprintf_s"
	strings:
		$1 = { 0F B4 2D E9 FF 48 0D F1 20 0B 15 46 0C 95 0E 46 07 46 ?? ?? ?? ?? 0D AB 02 93 04 46 D4 E9 00 01 00 23 01 93 33 46 3A 46 00 95 ?? ?? ?? ?? 00 28 01 DA 6F F0 00 00 04 B0 BD E8 F0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_110_0_0 {
	meta:
		name = "__chkstk"
		size = 28
	strings:
		$1 = { BD EB 84 0C 1D EE 50 4F A4 68 04 D3 A4 45 05 D3 AD EB 0C 04 70 47 5F F0 00 0C F7 E7 }
	condition:
		$1
}

rule file_110_1_0 {
	meta:
		name = "__chkstk_probe"
		size = 26
	strings:
		$1 = { 60 B4 66 46 6F F3 0B 06 A4 F5 80 54 25 68 B4 42 FA D1 60 BC AD EB 0C 04 70 47 }
	condition:
		$1
}

rule file_111_1_0 {
	meta:
		name = "?__scrt_uninitialize_type_info@@YAXXZ"
		size = 20
		refs = "000c __std_type_info_destroy_list 0010 ?__type_info_root_node@@3U__type_info_node@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_992_6_5 {
	meta:
		name = "??__E_Fac_tidy_reg@std@@YAXXZ"
		size = 20
		refs = "000c atexit 0010 ??__F_Fac_tidy_reg@std@@YAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_29_2 {
	meta:
		name = "??__Eclassic_locale@std@@YAXXZ"
		size = 20
		refs = "000c atexit 0010 ??__Fclassic_locale@std@@YAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_1_2 {
	meta:
		name = "??__Einit_atexit@@YAXXZ"
		size = 20
		refs = "000c atexit 0010 ??__Finit_atexit@@YAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_184_1 {
	meta:
		name = "??__Einit_cout@std@@YAXXZ"
		size = 20
		refs = "000c ??0_Init_cout@std@@QAA@XZ 0010 ?init_cout@std@@3U_Init_cout@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_181_1 {
	meta:
		name = "??__Einit_ushcout@std@@YAXXZ"
		size = 20
		refs = "000c ??0_Init_ushcout@std@@QAA@XZ 0010 ?init_ushcout@std@@3U_Init_ushcout@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_156_2 {
	meta:
		name = "??__Einit_wcout@std@@YAXXZ"
		size = 20
		refs = "000c ??0_Init_wcout@std@@QAA@XZ 0010 ?init_wcout@std@@3U_Init_wcout@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_992_7_5 {
	meta:
		name = "??__F_Fac_tidy_reg@std@@YAXXZ"
		size = 20
		refs = "000c ??1_Fac_tidy_reg_t@std@@QAA@XZ 0010 ?_Fac_tidy_reg@std@@3U_Fac_tidy_reg_t@1@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_164_2 {
	meta:
		name = "??__Fferr@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0010 ?ferr@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_164_2 {
	meta:
		name = "??__Ffin@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0010 ?fin@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_164_2 {
	meta:
		name = "??__Fflog@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0010 ?flog@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_189_1 {
	meta:
		name = "??__Ffout@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0010 ?fout@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_3_2 {
	meta:
		name = "??__Finit_atexit@@YAXXZ"
		size = 20
		refs = "000c ??1_Init_atexit@@QAA@XZ 0010 ?init_atexit@@3U_Init_atexit@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_161_2 {
	meta:
		name = "??__Finitlocks@@YAXXZ"
		size = 20
		refs = "000c ??1_Init_locks@std@@QAA@XZ 0010 ?initlocks@@3V_Init_locks@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_4_2 {
	meta:
		name = "??__Finitlocks@std@@YAXXZ"
		size = 20
		refs = "000c ??1_Init_locks@std@@QAA@XZ 0010 ?initlocks@std@@3V_Init_locks@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_189_1 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_189_1 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_164_2 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_164_2 {
	meta:
		name = "??__Fwferr@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_164_2 {
	meta:
		name = "??__Fwfin@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_189_1 {
	meta:
		name = "??__Fwfin@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_189_1 {
	meta:
		name = "??__Fwflog@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_164_2 {
	meta:
		name = "??__Fwflog@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_164_2 {
	meta:
		name = "??__Fwflog@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_189_1 {
	meta:
		name = "??__Fwfout@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0010 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_164_2 {
	meta:
		name = "??__Fwfout@std@@YAXXZ"
		size = 20
		refs = "000c ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0010 ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_9_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPAV12@@Z"
		size = 20
		refs = "000c _Mtxlock 0010 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_1_0 {
	meta:
		name = "??_N@YAXPAXIIP6AX0@Z1@Z"
		size = 86
		refs = "0026 _guard_check_icall 004a ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 4B 0D F1 20 0B 6F 46 1E 46 90 46 89 46 F9 62 05 46 BD 62 00 24 7C 60 00 23 3B 70 44 45 0A D0 30 46 ?? ?? ?? ?? 28 46 01 21 B0 47 4D 44 BD 62 64 1C 7C 60 F2 E7 01 23 3B 70 3B 78 2B B9 BB 6B 7A 68 F9 6A B8 6A ?? ?? ?? ?? BD E8 FC 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_114_0_0 {
	meta:
		name = "__GSHandlerCheck_EH"
		size = 44
		refs = "0018 __GSHandlerCheckCommon 0024 __CxxFrameHandler3"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 1D 46 EC 69 0F 46 16 46 80 46 22 1D 19 46 38 46 ?? ?? ?? ?? 2B 46 32 46 39 46 40 46 ?? ?? ?? ?? BD E8 F8 89 }
	condition:
		$1
}

rule file_115_0_0 {
	meta:
		name = "__isa_available_init"
		size = 32
		refs = "0008 IsProcessorFeaturePresent 001c __isa_available"
	strings:
		$1 = { 2D E9 00 48 EB 46 13 20 ?? ?? ?? ?? 10 B1 03 4B 01 22 1A 60 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_1_0 {
	meta:
		name = "??_M@YAXPAXIIP6AX0@Z@Z"
		size = 90
		refs = "0034 _guard_check_icall 004e ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 F8 49 0D F1 18 0B 6F 46 1E 46 FE 62 14 46 BC 62 88 46 79 62 00 23 3B 70 01 FB 02 05 3D 62 00 2C A4 F1 01 04 BC 62 08 D0 A5 EB 08 05 3D 62 30 46 ?? ?? ?? ?? 28 46 B0 47 F1 E7 01 23 3B 70 3B 78 2B B9 FB 6A BA 6A 79 6A 38 6A ?? ?? ?? ?? BD E8 F8 09 5D F8 14 FB }
	condition:
		$1
}

rule file_120_2_0 {
	meta:
		name = "?fin$0@?0???_M@YAXPAXIIP6AX0@Z@Z@4HA"
		size = 20
		refs = "000e ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 10 B5 3B 78 2B B9 FB 6A BA 6A 79 6A 38 6A ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_120_3_0 {
	meta:
		name = "?ArrayUnwindFilter@@YAHPAU_EXCEPTION_POINTERS@@@Z"
		size = 32
		refs = "0016 terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 1A 68 04 4B 9A 42 02 D0 00 20 BD E8 00 88 ?? ?? ?? ?? FE DE 63 73 6D E0 }
	condition:
		$1
}

rule file_120_4_0 {
	meta:
		name = "?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
		size = 56
		refs = "0024 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 1E 46 90 46 89 46 05 46 3D 63 00 24 44 45 09 D0 A5 EB 09 05 3D 63 30 46 ?? ?? ?? ?? 28 46 B0 47 64 1C F3 E7 BD E8 FF 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_120_5_0 {
	meta:
		name = "?filt$0@?0??__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z@4HA"
		size = 40
		refs = "001e terminate"
	strings:
		$1 = { 10 B5 F8 60 38 60 3B 68 1B 68 7B 60 7B 68 1A 68 04 4B 9A 42 03 D0 00 23 BB 60 B8 68 01 E0 ?? ?? ?? ?? 10 BD 63 73 6D E0 }
	condition:
		$1
}

rule file_123_0_0 {
	meta:
		name = "__rt_srsh"
		size = 58
	strings:
		$1 = { 00 2A 08 BF 70 47 20 2A 0C DB 40 2A 03 DB 4F EA 21 01 08 46 70 47 02 F0 1F 02 41 FA 02 F0 4F EA 21 01 70 47 20 FA 02 F0 C2 F1 20 03 01 FA 03 F3 40 EA 03 00 41 FA 02 F1 70 47 }
	condition:
		$1
}

rule file_128_0_0 {
	meta:
		name = "?GetPdbDll@@YAPAUHINSTANCE__@@XZ"
		size = 36
		refs = "0018 ?GetPdbDllFromInstallPath@@YAPAUHINSTANCE__@@XZ 0020 ?alreadyTried@?1??GetPdbDll@@YAPAUHINSTANCE__@@XZ@4_NA"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4A 13 78 0B B1 00 20 05 E0 01 23 13 70 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_128_1_0 {
	meta:
		name = "?GetPdbDllFromInstallPath@@YAPAUHINSTANCE__@@XZ"
		size = 372
		refs = "0008 __security_push_cookie 0018 __vcrt_LoadLibraryExW 0086 _guard_check_icall 0140 __security_pop_cookie 0148 ?mspdbName@@3QB_WB 014c __imp_FreeLibrary 0150 ??_C@_1BG@EABPBLLF@?$AAP?$AAr?$AAo?$AAd?$AAu?$AAc?$AAt?$AAD?$AAi?$AAr?$AA?$AA@ 0154 ??_C@_1HE@EBEAGLFB@?$AAS?$AAO?$AAF?$AAT?$AAW?$AAA?$AAR?$AAE?$AA?2?$AAW?$AAo?$AAw?$AA6?$AA4?$AA3?$AA2?$AAN?$AAo?$AAd?$AAe?$AA?2?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?2?$AAV@ 0158 ??_C@_0M@HLOHPNFA@RegCloseKey?$AA@ 015c __imp_GetProcAddress 0160 ??_C@_0BB@GLNAEDBD@RegQueryValueExW?$AA@ 0164 ??_C@_0O@COHOBMLB@RegOpenKeyExW?$AA@ 0168 ??_C@_1BK@JHLNAEJL@?$AAa?$AAd?$AAv?$AAa?$AAp?$AAi?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 016c __imp_GetLastError 0170 ??_C@_1EI@MLPKHBGE@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AAw?$AAi?$AAn?$AA?9?$AAc?$AAo?$AAr?$AAe?$AA?9?$AAr?$AAe?$AAg?$AAi?$AAs?$AAt?$AAr?$AAy?$AA?9?$AAl?$AA1?$AA?9?$AA1?$AA?9?$AA0?$AA?4@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? AD F5 08 7D 57 48 4F F4 00 62 00 21 ?? ?? ?? ?? 05 46 AD B9 51 48 4F F4 00 62 00 21 ?? ?? ?? ?? 05 46 6D B9 4E 4B 1B 68 98 47 57 28 06 D1 4B 48 00 22 00 21 ?? ?? ?? ?? 05 46 0D B9 00 20 77 E0 43 4B 45 49 28 46 1B 68 98 47 06 46 00 2E F5 D0 3F 4B 40 49 28 46 1B 68 98 47 07 46 00 2F ED D0 3B 4B 3A 49 28 46 1B 68 98 47 80 46 00 28 E5 D0 02 AB 30 46 00 93 4F F0 00 44 ?? ?? ?? ?? 32 49 A0 1C 00 22 01 23 B0 47 20 B1 2D 4B 28 46 1B 68 98 47 D3 E7 4F F4 02 73 03 93 03 AB 01 93 06 AB 38 46 00 93 ?? ?? ?? ?? 02 98 26 49 00 22 04 AB B8 47 04 46 40 46 ?? ?? ?? ?? 02 98 C0 47 20 4B 28 46 1B 68 98 47 00 2C B8 D1 04 9B 01 2B B5 D1 03 9B 13 F0 01 0F B1 D1 5A 08 10 46 02 2A AD D3 52 1E 06 AB 03 EB 42 01 0B 88 00 2B A6 D1 31 F8 02 3C 5C 2B 02 D0 5C 23 0B 80 02 46 D3 43 12 2B 9C D3 02 F1 11 03 B3 F5 82 7F 97 D8 06 AB 03 EB 42 02 0A 49 02 F1 22 00 31 F8 02 3B 22 F8 02 3B 82 42 F9 D1 06 A8 00 21 4F F4 10 62 ?? ?? ?? ?? 0D F5 08 7D ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_128_2_0 {
	meta:
		name = "?_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z"
		size = 772
		refs = "0038 __vcrt_GetModuleFileNameW 00ae ?GetPdbDllFromInstallPath@@YAPAUHINSTANCE__@@XZ 00de _guard_check_icall 02d8 __imp_HeapFree 02dc __imp_GetProcessHeap 02e0 __imp_HeapAlloc 02e4 ??_C@_01KDCPPGHE@r?$AA@ 02ec ??_C@_0BB@KCIACLNC@PDBOpenValidate5?$AA@ 02f0 __imp_GetProcAddress 02f4 ?alreadyTried@?1??GetPdbDll@@YAPAUHINSTANCE__@@XZ@4_NA 02f8 ?mspdb@@3PAUHINSTANCE__@@A 02fc ?PDBOK@?1??_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z@4_NA 0300 __imp_VirtualQuery"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 97 B0 BC 4C 4F F0 00 08 C3 F8 00 80 05 46 A1 F8 00 80 24 68 6D 1E 0E 91 1C 22 10 A9 28 46 0C 93 A0 47 08 B9 00 26 4C E1 25 9A 24 99 11 98 ?? ?? ?? ?? 00 28 F6 D0 11 99 45 F6 4D 23 0A 88 9A 42 F0 D1 CB 6B 00 2B ED DD 5A 58 58 18 44 F2 50 53 9A 42 E7 D1 83 8A C4 88 69 1A 03 44 00 27 4F F0 00 09 6C B1 03 F1 18 02 D3 68 99 42 04 D3 A1 EB 03 09 93 68 99 42 03 D3 7F 1C 28 32 A7 42 F3 D3 A7 42 CF D0 9B 4D 99 4C 7F 1C 2B 78 93 B9 23 68 00 2B C7 D1 95 4A 13 78 13 B1 00 23 23 60 C1 E7 01 23 13 70 ?? ?? ?? ?? 20 60 00 28 BA D0 01 23 2B 70 00 E0 20 68 8B 4B 8A 49 1B 68 98 47 04 46 00 2C AF D0 08 AB 03 93 0F AB 00 93 CD F8 08 80 CD F8 04 80 ?? ?? ?? ?? 24 98 00 21 00 22 00 23 A0 47 00 28 9E D0 08 9D 00 26 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 79 4B 98 42 40 F0 D9 80 08 9D 2C 68 E4 69 20 46 ?? ?? ?? ?? 73 4A 28 46 00 21 0B AB A0 47 00 28 00 F0 CB 80 0B 9C CD F8 08 80 CD F8 04 80 22 68 CD F8 00 80 15 6A 28 46 ?? ?? ?? ?? 20 46 B9 B2 4A 46 07 AB A8 47 00 28 00 F0 AF 80 07 9D 00 23 05 93 2B 68 9C 6E 20 46 ?? ?? ?? ?? 28 46 05 A9 A0 47 00 28 00 F0 99 80 05 9D 00 2D 00 F0 95 80 2B 68 B0 46 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 28 7A D0 0D F1 18 0A 05 9C 09 AB 00 93 23 68 00 22 02 92 DD 68 CD F8 04 A0 28 46 ?? ?? ?? ?? 20 46 00 21 0A AA 04 AB A8 47 00 28 6D D0 BD F8 10 30 BB 42 06 D1 0A 9A 4A 45 03 D8 09 9B 13 44 99 45 0A D3 05 9D 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 28 50 D0 D6 E7 06 9A 00 2A 54 D0 6F F0 60 43 9A 42 50 D2 3C 4B 1B 68 98 47 06 9B 00 21 DA 00 3A 4B 1B 68 98 47 80 46 00 28 44 D0 05 9D 02 90 06 AB 2C 68 00 27 01 93 E4 68 00 97 20 46 ?? ?? ?? ?? 28 46 0D A9 00 22 00 23 A0 47 58 B3 0A 9B A9 EB 03 04 D8 F8 00 30 9C 42 24 D3 06 98 01 22 01 28 08 D9 08 F1 08 01 51 F8 08 3B 9C 42 02 D3 52 1C 82 42 F8 D3 08 EB C2 03 53 F8 04 3C 0C 9A 07 9C 23 F0 7F 43 13 60 22 68 02 97 01 97 15 6F 00 97 28 46 ?? ?? ?? ?? DD E9 0D 12 20 46 22 AB A8 47 00 B1 01 26 17 4B 1B 68 98 47 15 4B 42 46 00 21 1B 68 98 47 05 9D 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 07 9D 2B 68 1C 6C 20 46 ?? ?? ?? ?? 28 46 A0 47 0B 9D 2B 68 9C 6B 20 46 ?? ?? ?? ?? 28 46 A0 47 08 9D 2B 68 DC 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 30 46 17 B0 BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 41 91 32 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_130_1_0 {
	meta:
		name = "??__D@YAXPAX0IIP6AX00@ZP6AX0@Z@Z"
		size = 98
		refs = "0028 _guard_check_icall 0056 ?__ArrayUnwind@@YAXPAXIIP6AX0@Z@Z"
	strings:
		$1 = { 0F B4 2D E9 FE 4F 0D F1 28 0B 6F 46 1E 46 92 46 BA 63 89 46 80 46 38 63 00 24 7C 60 00 23 3B 70 3D 6C B4 42 0F D0 28 46 ?? ?? ?? ?? 40 46 49 46 01 22 A8 47 D0 44 C7 F8 30 80 D1 44 C7 F8 34 90 64 1C 7C 60 ED E7 01 23 3B 70 3B 78 2B B9 7B 6C 7A 68 B9 6B 38 6B ?? ?? ?? ?? BD E8 FE 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_134_19_0 {
	meta:
		name = "??__E?lsb_mask@?$VPow@M@@0T__n128@@B@@YAXXZ"
		size = 28
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?lsb_mask@?$VPow@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 20 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_134_49_0 {
	meta:
		name = "?A1@?$VPow@M@@CA?AT__n128@@T2@@Z"
		size = 224
		refs = "0008 __security_push_cookie 009c __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 96 B0 33 4B 4F F0 7E 52 CD E9 04 23 2F 4B 30 EE 10 1B 11 EE 10 0B 06 93 2B 4B 31 EE 10 4B 07 93 28 4B 08 93 26 4B 09 93 24 4B 0A 93 22 4B 0B 93 20 4B 0C 93 1E 4B 0D 93 1C 4B 0E 93 1A 4B 0F 93 18 4B 10 93 16 4B 11 93 14 4B 12 93 12 4B 13 93 A2 F5 00 03 10 EE 10 2B 14 93 04 AB 03 EB 82 03 53 F8 04 3C 00 93 04 AB 03 EB 81 03 53 F8 04 3C 01 93 04 AB 03 EB 80 03 53 F8 04 3C 02 93 04 AB 03 EB 84 03 53 F8 04 3C 03 93 9D EC 04 0B 16 B0 ?? ?? ?? ?? BD E8 10 88 C3 AA 05 3F C1 95 0B 3F D3 C3 11 3F F0 37 18 3F 32 F5 1E 3F D6 FE 25 3F 3E 58 2D 3F F3 04 35 3F A3 08 3D 3F 2A 67 45 3F 8C 24 4E 3F FC 44 57 3F DE CC 60 3F C6 C0 6A 3F 7D 25 75 3F }
	condition:
		$1
}

rule file_134_50_0 {
	meta:
		name = "?A2@?$VPow@M@@CA?AT__n128@@T2@@Z"
		size = 156
		refs = "0008 __security_push_cookie 0074 __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 8C B0 22 4B 10 EE 10 2B 30 EE 10 1B 04 93 1E 4B 11 EE 10 0B 31 EE 10 4B 05 93 1A 4B 06 93 18 4B 07 93 16 4B 08 93 14 4B 09 93 12 4B 0A 93 10 4B 0B 93 04 AB 03 EB 82 03 53 F8 04 3C 00 93 04 AB 03 EB 81 03 53 F8 04 3C 01 93 04 AB 03 EB 80 03 53 F8 04 3C 02 93 04 AB 03 EB 84 03 53 F8 04 3C 03 93 9D EC 04 0B 0C B0 ?? ?? ?? ?? BD E8 10 88 90 98 CF 32 23 56 E7 32 42 23 C1 32 A1 42 6A 33 0C 58 1F 33 24 FC A8 31 94 2A 6C 33 36 24 A9 31 }
	condition:
		$1
}

rule file_134_53_0 {
	meta:
		name = "?adx@?$VectorOp@M@@SA?AT__n128@@T2@0@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 F7 EF 52 05 20 EF 60 08 BD E8 00 88 }
	condition:
		$1
}

rule file_134_76_0 {
	meta:
		name = "?idiv_by16@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 FD EF 50 00 A4 FF 70 01 BC EF 50 00 BD E8 00 88 }
	condition:
		$1
}

rule file_134_78_0 {
	meta:
		name = "?is_odd@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 32
		refs = "0010 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 04 8B 01 20 20 EF 50 81 ?? ?? ?? ?? 20 EF 58 08 BD EC 04 8B BD E8 00 88 }
	condition:
		$1
}

rule file_134_84_0 {
	meta:
		name = "?pow@?$VPow@M@@SA?AT__n128@@T2@0@Z"
		size = 2488
		refs = "000c __security_push_cookie 002e ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00ca ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 091a __security_pop_cookie 0928 ?ind@?$VectorOp@M@@2T__n128@@B 092c ?neginf@?$VectorOp@M@@2T__n128@@B 0930 ?smallx@?$VPow@M@@0T__n128@@B 0934 ?bigx@?$VPow@M@@0T__n128@@B 0938 ?inf@?$VectorOp@M@@2T__n128@@B 096c ?q1@?$VPow@M@@0T__n128@@B 0970 ?q2@?$VPow@M@@0T__n128@@B 0974 ?q3@?$VPow@M@@0T__n128@@B 0978 ?K@?$VPow@M@@0T__n128@@B 097c ?p1@?$VPow@M@@0T__n128@@B 09ac ?notExponentMask@?$VectorOp@M@@2T__n128@@B 09b0 ?exponentBias@?$VectorOp@M@@2T__n128@@B 09b4 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
		altNames = "__vdecl_powf4"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 2D ED 10 8B ?? ?? ?? ?? CC B0 9F ED 1F 8A 20 EF 50 A1 0D F1 18 0C 8C EC 04 2B 0D F1 28 0C 8C EC 04 AB B0 EE 48 0A ?? ?? ?? ?? 0D F1 88 0C 8C EC 04 0B 9F ED 14 0A ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A 0D F1 B8 0C CC EC 04 0B ?? ?? ?? ?? 0D F1 98 0C 8C EC 04 0B BF EE 00 0A ?? ?? ?? ?? 60 EF 50 01 B0 EE 48 0A 0D F1 A8 0C CC EC 04 0B B9 FF 4A C7 ?? ?? ?? ?? 60 EF 50 01 9F ED 01 0A 05 E0 00 00 80 3D 00 00 00 80 00 00 00 00 0D F1 78 0C CC EC 04 0B 8D ED 00 0A ?? ?? ?? ?? 60 EF 50 01 B3 EE 00 0A 0D F1 58 0C CC EC 04 0B 8D ED 01 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 38 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 81 01 20 0D F1 48 0C 8C EC 04 8B ?? ?? ?? ?? DF F8 D0 38 20 EF 50 A1 09 20 D3 EC 04 0B DF F8 C0 38 0D F1 68 0C 8C EC 04 AB 4C EF 70 01 E9 FF 70 20 D3 EC 04 0B DF F8 A4 38 22 FF E0 E8 68 EF 60 08 F7 EF 70 25 D3 EC 04 0B 4C EF 70 01 20 EF F2 C1 ?? ?? ?? ?? DF F8 40 38 DF F8 14 78 4F F0 7E 52 CD E9 32 23 DF F8 2C 38 DF F8 00 68 3D 97 34 93 DF F8 1C 38 35 93 DF F8 10 38 36 93 DF F8 08 38 37 93 DF F8 FC 37 38 93 DF F8 F4 37 39 93 DF F8 E8 37 3A 93 DF F8 E0 37 3B 93 DF F8 D4 37 3C 93 A2 F5 00 08 DF F8 08 58 DF F8 2C A8 DF F8 24 98 10 EE 10 2B 32 AB 03 EB 82 03 CD E9 3E 65 CD E9 40 A9 CD F8 08 81 53 F8 04 3C 30 EE 10 1B 11 EE 10 0B 44 93 32 AB 03 EB 81 03 31 EE 10 4B 53 F8 04 3C 45 93 32 AB 03 EB 80 03 53 F8 04 3C 04 20 46 93 32 AB 03 EB 84 03 53 F8 04 3C 47 93 0D F5 88 7C DC EC 04 0B 00 FF CC 8E 10 FF 5A 81 ?? ?? ?? ?? 4F F0 7E 53 68 EF 40 28 32 93 DF F8 78 37 CD E9 3D 76 12 EE 90 2B 33 93 DF F8 64 37 CD E9 3F 5A CD E9 41 98 34 93 DF F8 54 37 32 EE 90 1B 13 EE 90 0B 35 93 DF F8 40 37 33 EE 90 4B 36 93 DF F8 34 37 37 93 DF F8 28 37 38 93 DF F8 20 37 39 93 DF F8 14 37 3A 93 DF F8 0C 37 3B 93 DF F8 00 37 3C 93 32 AB 03 EB 82 03 53 F8 04 3C 44 93 32 AB 03 EB 81 03 53 F8 04 3C 45 93 32 AB 03 EB 80 03 53 F8 04 3C 46 93 32 AB 03 EB 84 03 53 F8 04 3C 02 20 47 93 0D F5 88 7C DC EC 04 0B 00 FF CC AE 12 FF D8 A1 ?? ?? ?? ?? 4F F0 7E 53 6A EF 40 28 32 93 DF F8 D0 36 DF F8 A8 E6 12 EE 90 2B 33 93 DF F8 BC 36 CD E9 3C E7 CD E9 3E 65 34 93 DF F8 AC 36 CD E9 40 A9 CD F8 08 81 35 93 DF F8 98 36 32 EE 90 1B 13 EE 90 0B 36 93 DF F8 88 36 33 EE 90 4B 37 93 DF F8 78 36 38 93 DF F8 70 36 39 93 DF F8 64 36 3A 93 DF F8 5C 36 3B 93 32 AB 03 EB 82 03 53 F8 04 3C 44 93 32 AB 03 EB 81 03 53 F8 04 3C 45 93 32 AB 03 EB 80 03 53 F8 04 3C 46 93 32 AB 03 EB 84 03 53 F8 04 3C 47 93 4F F0 7E 53 32 93 DF F8 40 36 0D F5 88 7C DC EC 04 0B 33 93 DF F8 2C 36 40 FF CC 8E 0D F1 68 0C DC EC 04 0B 34 93 DF F8 18 36 52 FF DA 81 35 93 DF F8 08 36 68 EF E0 28 36 93 DF F8 FC 35 37 93 DF F8 F0 35 38 93 DF F8 E8 35 39 93 DF F8 DC 35 3A 93 DF F8 D4 35 3B 93 CD E9 3E 65 12 EE 90 5B 32 AB 03 EB 85 03 CD E9 3C E7 CD E9 40 A9 CD F8 08 81 53 F8 04 3C 32 EE 90 6B 13 EE 90 7B 44 93 32 AB 03 EB 86 03 33 EE 90 EB 53 F8 04 3C 45 93 32 AB 03 EB 87 03 53 F8 04 3C 46 93 32 AB 03 EB 8E 03 53 F8 04 3C 47 93 DF F8 D4 35 0D F5 88 7C DC EC 04 0B 44 93 DF F8 C4 35 4C EF 60 6D FF FF 72 00 45 93 DF F8 B0 35 10 EE 90 2B 46 93 DF F8 A4 35 30 EE 90 1B 11 EE 90 0B 47 93 DF F8 90 35 31 EE 90 4B 48 93 DF F8 84 35 49 93 DF F8 78 35 4A 93 DF F8 70 35 4B 93 44 AB 03 EB 82 03 53 F8 04 3C 02 93 44 AB 03 EB 81 03 53 F8 04 3C 03 93 44 AB 03 EB 80 03 53 F8 04 3C 04 93 44 AB 03 EB 84 03 53 F8 04 3C 05 93 4F F0 7E 53 32 93 DF F8 18 35 33 93 DF F8 0C 35 34 93 DF F8 04 35 35 93 DF F8 F8 34 36 93 DF F8 F0 34 37 93 DF F8 E4 34 38 93 DF F8 DC 34 39 93 DF F8 D0 34 DF F8 00 45 CD E9 3F 4A 3A 93 DF F8 C0 34 CD E9 41 98 9D ED 00 0A 3B 93 DF F8 AC 34 3C 93 DF F8 A4 34 3D 93 DF F8 98 34 3E 93 32 AB 03 EB 85 03 53 F8 04 3C 44 93 32 AB 03 EB 86 03 53 F8 04 3C 45 93 32 AB 03 EB 87 03 53 F8 04 3C 46 93 32 AB 03 EB 8E 03 53 F8 04 3C 47 93 DC EC 04 0B DF F8 A0 34 6C EF 60 2D 0D F1 08 0C DC EC 04 0B 62 EF E0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 40 EF E0 6D D3 EC 04 0B DF F8 68 34 46 FF F6 2D D3 EC 04 4B 40 FF F2 0D 40 FF F6 2D 44 FF F2 0D 42 EF E0 2D 46 FF F4 0D 42 EF E0 0D 0D F1 58 0C DC EC 04 2B 00 EF E6 AD E4 EF 5E 05 60 FF E8 08 FB FF 60 06 00 FF F2 ED 0D F1 08 0C 8C EC 04 EB ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 0D F1 18 0C DC EC 04 4B 40 FF 74 0D 9D ED 00 0A FB FF 60 07 FB FF 60 06 00 FF D8 CD 64 EF CC 0D 4E FF 70 2D 4A FF 74 0D 00 EF E2 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D FB FF 60 07 9D ED 00 0A FB FF 60 06 40 FF D8 2D 0D F1 08 0C DC EC 04 0B 2A EF 62 ED 40 FF DC 0D 02 EF E0 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D 9D ED 00 0A FB FF 60 07 FB FF 60 06 00 FF D8 CD 6A EF 4C 0D 0E EF 60 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D 0D F1 38 0C DC EC 04 2B D8 4B FB FF 60 07 01 20 FB FF 60 06 00 FF D8 ED 4C EF 4E 0D 42 FF F0 0D 6A EF 4E 2D FB FF 60 47 0D F1 78 0C DC EC 04 0B 62 FF E0 6E 0D F1 58 0C DC EC 04 0B 66 EF F6 81 62 EF E0 0D 50 FF F2 81 0D F1 68 0C DC EC 04 2B 64 EF E2 08 50 FF F4 61 0D F1 48 0C DC EC 04 0B 20 EF E6 C3 10 FF F2 C1 FD EF 76 00 66 EF F6 21 E4 FF 70 21 BC EF 72 C1 E4 EF 5C 05 20 FF E6 88 D3 EC 04 0B B8 4B 40 FF F8 2D D3 EC 04 0B B4 4B 42 EF E0 0D 40 FF F8 2D D3 EC 04 0B 42 EF E0 0D 00 FF F8 AD ?? ?? ?? ?? 4F F0 7E 53 68 EF 40 08 32 93 AA 4B 33 93 A8 4B 34 93 A6 4B 35 93 A4 4B 36 93 A2 4B 37 93 A0 4B 38 93 9E 4B 39 93 9C 4B 3A 93 9A 4B 10 EE 90 2B CD E9 3F 4A 3B 93 96 4B CD E9 41 98 30 EE 90 1B 3C 93 92 4B 11 EE 90 0B 31 EE 90 4B 3D 93 8E 4B 3E 93 32 AB 03 EB 82 03 53 F8 04 3C 02 93 32 AB 03 EB 81 03 53 F8 04 3C 03 93 32 AB 03 EB 80 03 53 F8 04 3C 04 93 32 AB 03 EB 84 03 53 F8 04 3C 81 4C 01 20 05 93 0D F1 08 0C DC EC 04 2B 7C 4B 42 FF DA 0D 42 EF E0 2D F7 EF 5C 05 62 EF E0 28 D3 EC 04 0B 76 4B 6E FF 60 4E D4 EC 04 0B 50 FF F2 41 D3 EC 04 0B 20 FF CE AE 0D F1 18 0C 9C EC 04 EB 0D F1 78 0C DC EC 04 0B BB FF 4E 87 10 FF F4 A1 FB FF 48 06 00 EF CE CE 0D F1 38 0C 8C EC 04 CB ?? ?? ?? ?? 0D F1 88 0C DC EC 04 6B 0D F1 28 0C DC EC 04 8B 60 EF 58 08 6E FF 66 2E 4C EF 70 41 48 EF E6 0E 26 FF CE EE 40 EF F2 21 0D F1 48 0C CC EC 04 4B 00 EF DE C1 42 EF F4 01 4F F0 00 40 58 FF DA 01 B0 FF E4 A5 02 EF DA 81 16 FF F0 81 ?? ?? ?? ?? 0D F1 28 0C DC EC 04 0B 0D F1 48 0C 9C EC 04 2B 4C EF 5A 61 40 EF 70 01 94 EC 04 0B 4C EF 52 21 60 EF D0 01 50 FF D8 21 46 4B 0D F1 18 0C 9C EC 04 8B 0D F1 28 0C 9C EC 04 CB D3 EC 04 EB 0D F1 A8 0C DC EC 04 0B 48 EF 40 CE 48 EF 6E 4E 50 FF 72 61 0D F1 98 0C 9C EC 04 4B 4C EF 60 2E 6C EF F4 01 B9 FF 4C 67 36 4B 40 EF F2 01 64 FF 46 8E 54 FF 76 01 44 EF F8 21 66 FF 44 AE 50 FF 70 21 0D F1 88 0C 9C EC 04 4B 44 EF FA 01 4C EF FA 41 54 FF 72 01 4C EF F8 21 68 FF 44 AE 54 FF 70 21 0D F1 B8 0C DC EC 04 CB 4C EF 6E 0E 50 FF 72 41 40 EF DE 21 40 EF FA 61 42 EF D2 01 42 EF DA 21 5C FF F4 01 4C EF 40 8E 54 FF 70 21 46 EF D2 01 5E FF F2 01 46 EF DA 21 48 EF FA 61 50 FF 70 21 48 EF DE 01 54 FF 72 01 64 FF 4C 2E 50 FF 70 61 46 EF 40 0E 0C EF 4C 0E F0 FF E0 05 40 EF F2 21 0D F1 38 0C DC EC 04 0B F0 FF E0 05 42 EF F0 41 D3 EC 04 0B 42 EF D2 21 50 FF F6 41 F9 FF E4 07 50 FF F4 21 48 EF 48 0E 52 FF D8 01 10 FF DC 01 4C B0 ?? ?? ?? ?? BD EC 10 8B BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 37 18 3F 32 F5 1E 3F D6 FE 25 3F 3E 58 2D 3F F3 04 35 3F A3 08 3D 3F 2A 67 45 3F 8C 24 4E 3F FC 44 57 3F DE CC 60 3F C6 C0 6A 3F 7D 25 75 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D3 C3 11 3F 90 98 CF 32 23 56 E7 32 42 23 C1 32 A1 42 6A 33 0C 58 1F 33 24 FC A8 31 94 2A 6C 33 36 24 A9 31 C3 AA 05 3F C1 95 0B 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_134_85_0 {
	meta:
		name = "?pow_impl@?$VPow@M@@CA?AT__n128@@T2@0@Z"
		size = 1916
		refs = "000c __security_push_cookie 0022 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 006e ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 06e6 __security_pop_cookie 06f4 ?smallx@?$VPow@M@@0T__n128@@B 06f8 ?inf@?$VectorOp@M@@2T__n128@@B 06fc ?bigx@?$VPow@M@@0T__n128@@B 0730 ?q1@?$VPow@M@@0T__n128@@B 0734 ?q2@?$VPow@M@@0T__n128@@B 0738 ?q3@?$VPow@M@@0T__n128@@B 073c ?K@?$VPow@M@@0T__n128@@B 0740 ?p1@?$VPow@M@@0T__n128@@B 0770 ?notExponentMask@?$VectorOp@M@@2T__n128@@B 0774 ?exponentBias@?$VectorOp@M@@2T__n128@@B 0778 ?exponentMask@?$VectorOp@M@@2T__n128@@B"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 2D ED 10 8B ?? ?? ?? ?? B8 B0 20 EF 50 81 9F ED 07 0A 0D F1 48 0C 8C EC 04 2B ?? ?? ?? ?? 60 EF 50 01 9F ED 01 0A 03 E0 00 00 80 3D 00 00 00 00 0D F1 38 0C CC EC 04 0B 8D ED 00 0A ?? ?? ?? ?? 60 EF 50 01 B3 EE 00 0A 0D F1 18 0C CC EC 04 0B 8D ED 01 0A ?? ?? ?? ?? 60 EF 50 01 00 20 0D F1 58 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 C1 01 20 0D F1 68 0C 8C EC 04 CB ?? ?? ?? ?? DF F8 F0 36 20 EF 50 A1 09 20 D3 EC 04 0B DF F8 E0 36 0D F1 28 0C 8C EC 04 AB 48 EF 70 01 E9 FF 70 20 D3 EC 04 0B DF F8 C4 36 22 FF E0 E8 6C EF 60 08 F7 EF 70 25 D3 EC 04 0B 48 EF 70 01 20 EF F2 C1 ?? ?? ?? ?? DF F8 60 36 4F F0 7E 52 CD E9 1E 23 DF F8 50 36 DF F8 28 76 DF F8 20 66 20 93 DF F8 3C 36 DF F8 58 56 DF F8 7C A6 21 93 DF F8 2C 36 DF F8 70 96 A2 F5 00 08 22 93 DF F8 18 36 10 EE 10 2B CD E9 29 76 23 93 DF F8 08 36 CD E9 2B 5A CD E9 2D 98 24 93 DF F8 F4 35 30 EE 10 1B 11 EE 10 0B 25 93 DF F8 E4 35 31 EE 10 4B 26 93 DF F8 D4 35 27 93 DF F8 CC 35 28 93 1E AB 03 EB 82 03 53 F8 04 3C 30 93 1E AB 03 EB 81 03 53 F8 04 3C 31 93 1E AB 03 EB 80 03 53 F8 04 3C 04 20 32 93 1E AB 03 EB 84 03 53 F8 04 3C 33 93 0D F1 C0 0C DC EC 04 0B 00 FF CC 8E 10 FF 5A 81 ?? ?? ?? ?? 4F F0 7E 53 68 EF 40 28 1E 93 DF F8 98 35 CD E9 29 76 12 EE 90 2B 1F 93 DF F8 88 35 CD E9 2B 5A CD E9 2D 98 20 93 DF F8 74 35 32 EE 90 1B 13 EE 90 0B 21 93 DF F8 64 35 33 EE 90 4B 22 93 DF F8 54 35 23 93 DF F8 4C 35 24 93 DF F8 40 35 25 93 DF F8 38 35 26 93 DF F8 2C 35 27 93 DF F8 24 35 28 93 1E AB 03 EB 82 03 53 F8 04 3C 30 93 1E AB 03 EB 81 03 53 F8 04 3C 31 93 1E AB 03 EB 80 03 53 F8 04 3C 32 93 1E AB 03 EB 84 03 53 F8 04 3C 02 20 33 93 0D F1 C0 0C DC EC 04 0B 00 FF CC AE 12 FF D8 A1 ?? ?? ?? ?? 4F F0 7E 53 6A EF 40 28 1E 93 DF F8 F0 34 1F 93 DF F8 E8 34 20 93 DF F8 DC 34 21 93 DF F8 D4 34 22 93 DF F8 C8 34 DF F8 B0 E4 12 EE 90 2B 23 93 DF F8 B8 34 CD E9 28 E7 CD E9 2A 65 24 93 DF F8 A4 34 CD E9 2C A9 CD F8 B8 80 25 93 DF F8 94 34 32 EE 90 1B 13 EE 90 0B 26 93 DF F8 80 34 33 EE 90 4B 27 93 1E AB 03 EB 82 03 53 F8 04 3C 30 93 1E AB 03 EB 81 03 53 F8 04 3C 31 93 1E AB 03 EB 80 03 53 F8 04 3C 32 93 1E AB 03 EB 84 03 53 F8 04 3C CD E9 2A 65 CD E9 28 E7 33 93 4F F0 7E 53 1E 93 DF F8 58 34 0D F1 C0 0C DC EC 04 0B CD E9 2C A9 1F 93 DF F8 44 34 40 FF CC 8E 0D F1 28 0C DC EC 04 0B 20 93 DF F8 2C 34 52 FF DA 81 CD F8 B8 80 21 93 DF F8 1C 34 68 EF E0 28 22 93 DF F8 0C 34 12 EE 90 5B 32 EE 90 6B 23 93 FF 4B 13 EE 90 7B 33 EE 90 EB 24 93 FB 4B 25 93 F9 4B 26 93 F7 4B 27 93 1E AB 03 EB 85 03 53 F8 04 3C 30 93 1E AB 03 EB 86 03 53 F8 04 3C 31 93 1E AB 03 EB 87 03 53 F8 04 3C 32 93 1E AB 03 EB 8E 03 53 F8 04 3C CD E9 2C A9 CD F8 B8 80 33 93 FE 4B 0D F1 C0 0C DC EC 04 0B 30 93 FA 4B 4C EF 60 6D FF FF 72 00 31 93 F6 4B 10 EE 90 2B 32 93 F3 4B 30 EE 90 1B 11 EE 90 0B 33 93 EF 4B 31 EE 90 4B 34 93 EC 4B 35 93 EA 4B 36 93 E8 4B 37 93 30 AB 03 EB 82 03 53 F8 04 3C 02 93 30 AB 03 EB 81 03 53 F8 04 3C 03 93 30 AB 03 EB 80 03 53 F8 04 3C 04 93 30 AB 03 EB 84 03 53 F8 04 3C DA 4C 05 93 4F F0 7E 53 1E 93 D2 4B 2B 94 1F 93 CF 4B 20 93 CD 4B 21 93 CB 4B 22 93 C9 4B 23 93 C7 4B 24 93 C5 4B 25 93 C3 4B 26 93 C1 4B 27 93 BF 4B 28 93 BD 4B 29 93 BB 4B 2A 93 1E AB 03 EB 85 03 53 F8 04 3C 9D ED 00 0A 30 93 1E AB 03 EB 86 03 53 F8 04 3C 31 93 1E AB 03 EB 87 03 53 F8 04 3C 32 93 1E AB 03 EB 8E 03 53 F8 04 3C 33 93 DC EC 04 0B BC 4B 6C EF 60 2D 0D F1 08 0C DC EC 04 0B 62 EF E0 4D FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 44 FF F0 0D 40 EF E0 6D D3 EC 04 0B AF 4B 46 FF F6 2D D3 EC 04 4B 40 FF F2 0D 40 FF F6 2D 44 FF F2 0D 42 EF E0 2D 46 FF F4 0D 42 EF E0 0D 0D F1 18 0C DC EC 04 2B 00 EF E6 AD E4 EF 5E 05 60 FF E8 08 FB FF 60 06 00 FF F2 ED 0D F1 08 0C 8C EC 04 EB ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 0D F1 48 0C DC EC 04 4B 40 FF 74 0D 9D ED 00 0A FB FF 60 07 FB FF 60 06 00 FF D8 CD 64 EF CC 0D 4E FF 70 2D 4A FF 74 0D 00 EF E2 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D 9D ED 00 0A FB FF 60 07 FB FF 60 06 40 FF D8 2D 0D F1 08 0C DC EC 04 0B 2A EF 62 ED 40 FF DC 0D 02 EF E0 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D FB FF 60 07 FB FF 60 06 00 FF D8 CD 6A EF 4C 0D 9D ED 00 0A 0E EF 60 AD ?? ?? ?? ?? 20 EF 50 81 9D ED 01 0A ?? ?? ?? ?? 40 FF 5A 0D 0D F1 58 0C DC EC 04 2B 6D 4B FB FF 60 07 01 20 FB FF 60 06 00 FF D8 ED 4C EF 4E 0D 42 FF F0 0D 6A EF 4E 2D FB FF 60 47 0D F1 38 0C DC EC 04 0B 62 FF E0 6E 0D F1 18 0C DC EC 04 0B 66 EF F6 81 62 EF E0 0D 50 FF F2 81 0D F1 28 0C DC EC 04 2B 64 EF E2 08 50 FF F4 61 0D F1 68 0C DC EC 04 0B 20 EF E6 C3 10 FF F2 C1 FD EF 76 00 66 EF F6 21 E4 FF 70 21 BC EF 72 C1 E4 EF 5C 05 20 FF E6 88 D3 EC 04 0B 4D 4B 40 FF F8 2D D3 EC 04 0B 4A 4B 42 EF E0 0D 40 FF F8 2D D3 EC 04 0B 42 EF E0 0D 00 FF F8 AD ?? ?? ?? ?? 4F F0 7E 53 68 EF 40 08 1E 93 40 4B CD E9 2B 4A CD E9 2D 98 1F 93 3C 4B 10 EE 90 2B 30 EE 90 1B 20 93 38 4B 11 EE 90 0B 31 EE 90 4B 21 93 34 4B 22 93 32 4B 23 93 30 4B 24 93 2E 4B 25 93 2C 4B 26 93 2A 4B 27 93 28 4B 28 93 26 4B 29 93 24 4B 2A 93 1E AB 03 EB 82 03 53 F8 04 3C 02 93 1E AB 03 EB 81 03 53 F8 04 3C 03 93 1E AB 03 EB 80 03 53 F8 04 3C 04 93 1E AB 03 EB 84 03 53 F8 04 3C 05 93 0D F1 08 0C DC EC 04 2B 14 4B 42 FF DA 0D 42 EF E0 2D F7 EF 5C 05 62 EF E0 28 D3 EC 04 0B 0D 4B 6E FF 60 4E D3 EC 04 0B 0A 4B 50 FF F2 41 D3 EC 04 0B 20 FF CE 0E 0D F1 38 0C DC EC 04 0B 10 FF F4 01 38 B0 ?? ?? ?? ?? BD EC 10 8B BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 37 18 3F 32 F5 1E 3F D6 FE 25 3F 3E 58 2D 3F F3 04 35 3F A3 08 3D 3F 2A 67 45 3F 8C 24 4E 3F FC 44 57 3F DE CC 60 3F C6 C0 6A 3F 7D 25 75 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D3 C3 11 3F 90 98 CF 32 23 56 E7 32 42 23 C1 32 A1 42 6A 33 0C 58 1F 33 24 FC A8 31 94 2A 6C 33 36 24 A9 31 C3 AA 05 3F C1 95 0B 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_134_87_0 {
	meta:
		name = "?reduce@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 64
		refs = "0012 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 08 8B 20 EF 50 81 9F ED 0B 0A ?? ?? ?? ?? 20 EF 50 A1 B3 EE 00 0A ?? ?? ?? ?? 40 FF 58 0D FB FF 60 07 FB FF 60 06 00 FF DA 0D BD EC 08 8B BD E8 00 88 FE DE 00 00 80 3D }
	condition:
		$1
}

rule file_144_2_0 {
	meta:
		name = "__u64tod"
		size = 140
		refs = "0080 __i64tofp_exception_helper"
	strings:
		$1 = { 2D E9 03 48 0D F1 08 0B 00 29 08 D1 B0 FA 80 F2 10 FA 02 F1 28 D0 00 20 02 F1 20 02 08 E0 B1 FA 81 F2 D2 F1 20 03 91 40 30 FA 03 F3 19 43 90 40 40 F2 3E 43 D2 EB 03 02 5F EA 00 5C C0 0A 4B 05 18 43 C9 0A 62 F3 1E 51 1C F0 80 4F 05 D0 3C F0 80 4C 02 D0 40 1C 41 F1 00 01 41 EC 10 0B 5F EA 4C 0C 04 D1 BD E8 03 88 41 EC 10 1B FA E7 F1 EE 10 3A 43 F0 01 03 03 EA 13 22 D2 06 F2 D0 02 4A ?? ?? ?? ?? EE E7 00 00 01 08 09 01 }
	condition:
		$1
}

rule file_144_4_0 {
	meta:
		name = "__u64tos"
		size = 136
		refs = "007c __i64tofp_exception_helper"
	strings:
		$1 = { 2D E9 03 48 0D F1 08 0B 00 29 08 D1 B0 FA 80 F2 10 FA 02 F1 26 D0 00 20 02 F1 20 02 08 E0 B1 FA 81 F2 D2 F1 20 03 91 40 30 FA 03 F3 19 43 90 40 4F F0 BE 03 D2 EB 03 02 5F EA C1 5C 09 0A 62 F3 DE 51 1C F0 80 4F 04 D0 3C F0 80 4C 01 D0 01 F1 01 01 00 EE 10 1A 5F EA 4C 0C 5C EA 00 0C 04 D1 BD E8 03 88 00 EE 10 1A FA E7 F1 EE 10 3A 43 F0 01 03 03 EA 13 22 D2 06 F2 D0 02 4A ?? ?? ?? ?? EE E7 00 00 01 08 09 00 }
	condition:
		$1
}

rule file_149_0_0 {
	meta:
		name = "??$tan_impl@$00@?$VTan@M@@CA?AT__n128@@T1@0@Z"
		size = 380
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00d8 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0150 ?ind@?$VectorOp@M@@2T__n128@@B 0154 ?inf@?$VectorOp@M@@2T__n128@@B 0158 ?eps@?$VTan@M@@0T__n128@@B 015c ?q0@?$VTan@M@@0T__n128@@B 0160 ?q1@?$VTan@M@@0T__n128@@B 0164 ?q2@?$VTan@M@@0T__n128@@B 0168 ?p1@?$VTan@M@@0T__n128@@B 016c ?c1@?$VTan@M@@0T__n128@@B 0170 ?c2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 88 B0 20 EF 50 E1 9F ED 59 0A 0D F1 10 0C 8C EC 04 2B ?? ?? ?? ?? 20 EF 50 81 B7 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 9F ED 50 0A CD EC 04 0B 0E FF 58 CD ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C CE FB FF 60 27 44 4B 01 20 F9 FF E2 03 10 FF F2 C1 D3 EC 04 0B 3F 4B FB FF 4C 46 44 FF F0 2D D3 EC 04 0B 3B 4B 44 FF F0 0D 6E EF 60 0D 60 EF E2 8D D3 EC 04 0B 35 4B 48 FF F8 4D 40 FF F4 0D 40 FF F8 0D 40 EF E8 6D D3 EC 04 0B 2F 4B 40 FF F4 2D D3 EC 04 0B 2B 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 27 4B 42 EF E0 2D D3 EC 04 0B 20 FF F8 AE DD EC 04 0B 2A EF 5A 81 18 FF F6 81 10 FF F2 A1 ?? ?? ?? ?? 60 EF 5C 88 F9 FF C8 07 FB FF 4A 25 1A 4B 68 EF F8 61 50 FF D8 61 4A EF 72 0F 42 FF F0 2D 4A EF 72 0F 42 FF F0 0D FB FF 66 25 46 FF F0 4D 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 4A FF 70 0D 50 FF F4 81 0D F1 10 0C DC EC 04 4B D3 EC 04 0B 08 4B 44 EF E4 2E 04 EF E0 0E D3 EC 04 0B 58 FF F4 21 10 FF F2 01 08 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 83 F9 22 3F }
	condition:
		$1
}

rule file_149_1_0 {
	meta:
		name = "??$tan_impl@$0A@@?$VTan@M@@CA?AT__n128@@T1@0@Z"
		size = 380
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00d8 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0150 ?ind@?$VectorOp@M@@2T__n128@@B 0154 ?inf@?$VectorOp@M@@2T__n128@@B 0158 ?eps@?$VTan@M@@0T__n128@@B 015c ?q0@?$VTan@M@@0T__n128@@B 0160 ?q1@?$VTan@M@@0T__n128@@B 0164 ?q2@?$VTan@M@@0T__n128@@B 0168 ?p1@?$VTan@M@@0T__n128@@B 016c ?c1@?$VTan@M@@0T__n128@@B 0170 ?c2@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 88 B0 20 EF 50 E1 9F ED 59 0A 0D F1 10 0C 8C EC 04 2B ?? ?? ?? ?? 20 EF 50 81 B7 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 9F ED 50 0A CD EC 04 0B 0E FF 58 CD ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C CE FB FF 60 27 44 4B 01 20 F9 FF E2 03 10 FF F2 C1 D3 EC 04 0B 3F 4B FB FF 4C 46 44 FF F0 2D D3 EC 04 0B 3B 4B 44 FF F0 0D 6E EF 60 0D 60 EF E2 8D D3 EC 04 0B 35 4B 48 FF F8 4D 40 FF F4 0D 40 FF F8 0D 40 EF E8 6D D3 EC 04 0B 2F 4B 40 FF F4 2D D3 EC 04 0B 2B 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 27 4B 42 EF E0 2D D3 EC 04 0B 20 FF F8 AE DD EC 04 0B 2A EF 5A 81 18 FF F6 81 10 FF F2 A1 ?? ?? ?? ?? 60 EF 5C 88 F9 FF C8 07 68 EF F8 61 50 FF D8 61 19 4B FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D FB FF 4A 25 4A FF 70 4D 4A EF 72 0F 42 FF F0 2D 4A EF 72 0F 42 FF F0 0D 46 FF F0 0D 50 FF F4 81 0D F1 10 0C DC EC 04 4B D3 EC 04 0B 08 4B 44 EF E4 2E 04 EF E0 0E D3 EC 04 0B 58 FF F4 21 10 FF F2 01 08 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 83 F9 22 3F }
	condition:
		$1
}

rule file_149_2_0 {
	meta:
		name = "??__E?c1@?$VTan@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?c1@?$VTan@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 C9 3F }
	condition:
		$1
}

rule file_149_49_0 {
	meta:
		name = "?cotan@?$VTan@M@@SA?AT__n128@@T2@@Z"
		size = 428
		refs = "0026 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00de ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 017c ?eps1@?$VTan@M@@0T__n128@@B 0180 ?ind@?$VectorOp@M@@2T__n128@@B 0184 ?inf@?$VectorOp@M@@2T__n128@@B 0188 ?eps@?$VTan@M@@0T__n128@@B 018c ?q0@?$VTan@M@@0T__n128@@B 0190 ?q1@?$VTan@M@@0T__n128@@B 0194 ?q2@?$VTan@M@@0T__n128@@B 0198 ?p1@?$VTan@M@@0T__n128@@B 019c ?c1@?$VTan@M@@0T__n128@@B 01a0 ?c2@?$VTan@M@@0T__n128@@B"
		altNames = "__vdecl_cotanf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 89 B0 20 EF 50 A1 9F ED 65 0A F9 FF 4A 07 8D EC 04 AB 0D F1 10 0C CC EC 04 0B ?? ?? ?? ?? 20 EF 50 81 B7 EE 00 0A ?? ?? ?? ?? 20 EF 50 E1 9F ED 5A 0A 0A FF 58 CD ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C CE FB FF 60 27 4F 4B 01 20 F9 FF E2 03 10 FF F2 C1 D3 EC 04 0B 4A 4B FB FF 4C 46 44 FF F0 2D D3 EC 04 0B 45 4B 44 FF F0 0D DD EC 04 4B 64 EF E0 0D 60 EF E2 8D D3 EC 04 0B 3F 4B 48 FF F8 4D 40 FF F4 0D 40 FF F8 0D 40 EF E8 6D D3 EC 04 0B 38 4B 40 FF F4 2D D3 EC 04 0B 35 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 30 4B 42 EF E0 2D D3 EC 04 0B 20 FF F8 AE 2A EF 5A 81 18 FF F6 81 1E FF 72 A1 ?? ?? ?? ?? 60 EF 5C 88 F9 FF C8 07 68 EF F8 61 50 FF D8 61 24 4C 22 4B FB FF 66 25 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D FB FF 4A 25 4A FF 70 4D 4A EF 72 0F 42 FF F0 2D 4A EF 72 0F 0D F1 10 0C 9C EC 04 AB 42 FF F0 0D 4A EF 4A 2E 46 FF F0 0D 50 FF F4 81 D4 EC 04 0B 58 FF DA 21 0A EF 60 8E D3 EC 04 0B 4F F0 00 40 10 FF F2 81 ?? ?? ?? ?? DD EC 04 0B 09 4B 40 EF 70 21 D4 EC 04 0B 62 EF F0 21 D3 EC 04 0B 20 FF CA 0E 12 FF D8 01 09 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 83 F9 22 3F }
	condition:
		$1
}

rule file_149_64_0 {
	meta:
		name = "?intrnd@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 72
		refs = "0012 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 0C 8B 20 EF 50 C1 9F ED 0D 0A ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C 0E FB FF 60 27 F9 FF E2 03 10 FF F2 01 BD EC 0C 8B BD E8 00 88 FE DE 00 00 00 00 }
	condition:
		$1
}

rule file_149_65_0 {
	meta:
		name = "?intrnd_posonly@?$VectorOp@M@@SA?AT__n128@@T2@@Z"
		size = 38
		refs = "0012 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 04 8B 20 EF 50 81 B6 EE 00 0A ?? ?? ?? ?? 48 EF 40 0D BB FF 60 07 BD EC 04 8B BD E8 00 88 }
	condition:
		$1
}

rule file_149_73_0 {
	meta:
		name = "?tan@?$VTan@M@@SA?AT__n128@@T2@@Z"
		size = 368
		refs = "0014 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00d0 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0144 ?ind@?$VectorOp@M@@2T__n128@@B 0148 ?inf@?$VectorOp@M@@2T__n128@@B 014c ?eps@?$VTan@M@@0T__n128@@B 0150 ?q0@?$VTan@M@@0T__n128@@B 0154 ?q1@?$VTan@M@@0T__n128@@B 0158 ?q2@?$VTan@M@@0T__n128@@B 015c ?p1@?$VTan@M@@0T__n128@@B 0160 ?c1@?$VTan@M@@0T__n128@@B 0164 ?c2@?$VTan@M@@0T__n128@@B"
		altNames = "__vdecl_tanf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 10 8B 84 B0 20 EF 50 E1 9F ED 56 0A ?? ?? ?? ?? 20 EF 50 81 B7 EE 00 0A ?? ?? ?? ?? 60 EF 50 01 9F ED 4F 0A CD EC 04 0B 0E FF 58 CD ?? ?? ?? ?? 20 EF 50 A1 B6 EE 00 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C CE FB FF 60 27 43 4B 01 20 F9 FF E2 03 10 FF F2 C1 D3 EC 04 0B 3E 4B FB FF 4C 46 44 FF F0 2D D3 EC 04 0B 3A 4B 44 FF F0 0D 6E EF 60 0D 60 EF E2 8D D3 EC 04 0B 34 4B 48 FF F8 4D 40 FF F4 0D 40 FF F8 0D 40 EF E8 6D D3 EC 04 0B 2E 4B 40 FF F4 2D D3 EC 04 0B 2A 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 26 4B 42 EF E0 2D D3 EC 04 0B 20 FF F8 AE DD EC 04 0B 2A EF 5A 81 18 FF F6 81 10 FF F2 A1 ?? ?? ?? ?? 60 EF 5C 88 F9 FF C8 07 FB FF 4A 25 19 4B 68 EF F8 61 50 FF D8 61 4A EF 72 0F 42 FF F0 2D 4A EF 72 0F 42 FF F0 0D FB FF 66 25 46 FF F0 4D 46 EF F2 0F 42 FF F0 2D 46 EF F2 0F 42 FF F0 0D 4A FF 70 0D 50 FF F4 81 F9 FF 4E 47 D3 EC 04 0B 08 4B 44 EF E4 2E 04 EF E0 0E D3 EC 04 0B 58 FF F4 21 10 FF F2 01 04 B0 BD EC 10 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 83 F9 22 3F }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "_RTC_Initialize"
		size = 52
		refs = "001c _guard_check_icall 002c __rtc_izz 0030 __rtc_iaa"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 09 4B 08 4E 1D 1D 1B 1D B3 42 08 D2 55 F8 04 4B 1C B1 20 46 ?? ?? ?? ?? A0 47 B5 42 F6 D3 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_151_1_0 {
	meta:
		name = "_RTC_Terminate"
		size = 52
		refs = "001c _guard_check_icall 002c __rtc_tzz 0030 __rtc_taa"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 09 4B 08 4E 1D 1D 1B 1D B3 42 08 D2 55 F8 04 4B 1C B1 20 46 ?? ?? ?? ?? A0 47 B5 42 F6 D3 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_154_0_0 {
	meta:
		name = "??__E?c1@?$VSin@M@@0T__n128@@B@@YAXXZ"
		size = 32
		refs = "0008 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0018 ?c1@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 4B 83 EC 04 0B BD E8 00 88 FE DE ?? ?? ?? ?? 00 10 49 40 }
	condition:
		$1
}

rule file_154_48_0 {
	meta:
		name = "?cos@?$VSin@M@@SA?AT__n128@@T2@@Z"
		size = 328
		refs = "0016 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 0058 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0114 ?ind@?$VectorOp@M@@2T__n128@@B 0118 ?inf@?$VectorOp@M@@2T__n128@@B 011c ?eps@?$VSin@M@@0T__n128@@B 0120 ?r1@?$VSin@M@@0T__n128@@B 0124 ?r2@?$VSin@M@@0T__n128@@B 0128 ?r3@?$VSin@M@@0T__n128@@B 012c ?r4@?$VSin@M@@0T__n128@@B 0130 ?c1@?$VSin@M@@0T__n128@@B 0134 ?c2@?$VSin@M@@0T__n128@@B 0138 ?half@?$VSin@M@@0T__n128@@B 0140 ?one@?$VSin@M@@0T__n128@@B"
		altNames = "__vdecl_cosf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 89 B0 20 EF 50 81 9F ED 4C 0A ?? ?? ?? ?? F9 FF 48 07 48 4B 00 EF C0 8D 9F ED 45 0A 93 EC 04 EB 0D F1 10 0C 8C EC 04 8B CD EC 04 0B ?? ?? ?? ?? 3E 4C 48 FF 50 2D 01 20 D4 EC 04 0B B9 FF CE 87 42 EF E0 0D BB FF 60 A7 BB FF 4A C6 ?? ?? ?? ?? D4 EC 04 0B DD EC 04 6B 0D F1 10 0C DC EC 04 AB 31 4B 6C EF 60 0D 46 EF EA 4E 60 EF 5A 88 5C FF 70 41 58 FF 5E 81 D3 EC 04 0B 2A 4B 44 FF F0 2D D3 EC 04 0B 26 4B 44 FF F0 0D 66 EF E0 0D 60 EF E2 6D D3 EC 04 0B 21 4B 46 FF F6 4D 40 FF F4 2D D3 EC 04 0B 1C 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 18 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 13 4B 42 EF E0 0D 40 FF F4 0D 46 FF F0 0D 46 EF E0 2D D3 EC 04 0B 0D 4B 60 FF F6 0E 56 FF F2 01 4A EF EA 2E 40 FF F8 0D 50 FF FA 21 D3 EC 04 0B 05 4B 0A EF E0 0E D3 EC 04 0B 10 FF F2 01 09 B0 BD EC 10 8B BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F9 A2 3E ?? ?? ?? ?? DB 0F C9 3F }
	condition:
		$1
}

rule file_154_65_0 {
	meta:
		name = "?sin@?$VSin@M@@SA?AT__n128@@T2@@Z"
		size = 312
		refs = "002e ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 004e ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 0104 ?ind@?$VectorOp@M@@2T__n128@@B 0108 ?inf@?$VectorOp@M@@2T__n128@@B 010c ?eps@?$VSin@M@@0T__n128@@B 0110 ?r1@?$VSin@M@@0T__n128@@B 0114 ?r2@?$VSin@M@@0T__n128@@B 0118 ?r3@?$VSin@M@@0T__n128@@B 011c ?r4@?$VSin@M@@0T__n128@@B 0120 ?c1@?$VSin@M@@0T__n128@@B 0124 ?c2@?$VSin@M@@0T__n128@@B 0128 ?half@?$VSin@M@@0T__n128@@B 0130 ?one@?$VSin@M@@0T__n128@@B 0134 ?sign_mask@?$VSin@M@@0T__n128@@B"
		altNames = "__vdecl_sinf4"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 85 B0 49 4B B9 FF 40 87 D3 EC 04 0B 45 4B 8D EC 04 8B 40 EF 70 21 D3 EC 04 0B 9F ED 41 0A 22 EF F0 E1 ?? ?? ?? ?? 3D 4C 48 FF 50 2D 01 20 D4 EC 04 0B B9 FF CE 87 42 EF E0 0D BB FF 60 A7 BB FF 4A C6 ?? ?? ?? ?? D4 EC 04 0B DD EC 04 AB 32 4B 6C EF 60 0D 4A EF EA 4E 60 EF 5A 88 5C FF 70 41 58 FF 5E 81 D3 EC 04 0B 2A 4B 44 FF F0 2D D3 EC 04 0B 27 4B 44 FF F0 0D 6A EF E0 0D 60 EF E2 6D D3 EC 04 0B 21 4B 46 FF F6 4D 40 FF F4 2D D3 EC 04 0B 1D 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 18 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 14 4B 42 EF E0 0D 40 FF F4 0D 46 FF F0 0D 46 EF E0 2D D3 EC 04 0B 0D 4B 60 FF F6 0E 56 FF F2 01 4A EF EA 2E 40 FF F8 0D 50 FF FA 21 D3 EC 04 0B 06 4B 0A EF E0 0E D3 EC 04 0B 10 FF F2 01 05 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F9 A2 3E ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_154_66_0 {
	meta:
		name = "?sincos@?$VSin@M@@CA?AT__n128@@T2@00@Z"
		size = 312
		refs = "0026 ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 004e ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 010c ?ind@?$VectorOp@M@@2T__n128@@B 0110 ?inf@?$VectorOp@M@@2T__n128@@B 0114 ?eps@?$VSin@M@@0T__n128@@B 0118 ?r1@?$VSin@M@@0T__n128@@B 011c ?r2@?$VSin@M@@0T__n128@@B 0120 ?r3@?$VSin@M@@0T__n128@@B 0124 ?r4@?$VSin@M@@0T__n128@@B 0128 ?c1@?$VSin@M@@0T__n128@@B 012c ?c2@?$VSin@M@@0T__n128@@B 0130 ?half@?$VSin@M@@0T__n128@@B"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 10 8B 89 B0 20 EF 50 81 9F ED 48 0A 22 EF 52 A1 24 EF 54 E1 0D F1 10 0C 8C EC 04 AB ?? ?? ?? ?? 41 4C 4A FF 50 2D 01 20 D4 EC 04 0B 42 EF E0 0D BB FF 60 A7 F9 FF 48 07 BB FF 4A C6 B9 FF CE 87 CD EC 04 0B ?? ?? ?? ?? 60 EF 5A 88 D4 EC 04 0B DD EC 04 6B 0D F1 10 0C DC EC 04 AB 31 4B 6C EF 60 0D 46 EF EA 4E 58 FF 5E 81 5C FF 70 41 D3 EC 04 0B 2A 4B 44 FF F0 2D D3 EC 04 0B 27 4B 44 FF F0 0D 66 EF E0 0D 60 EF E2 6D D3 EC 04 0B 21 4B 46 FF F6 4D 40 FF F4 2D D3 EC 04 0B 1D 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 18 4B 42 EF E0 0D 40 FF F4 2D D3 EC 04 0B 14 4B 42 EF E0 0D 40 FF F4 0D 46 FF F0 0D 46 EF E0 2D D3 EC 04 0B 0D 4B 60 FF F6 0E 56 FF F2 01 4A EF EA 2E 40 FF F8 0D 50 FF FA 21 D3 EC 04 0B 06 4B 0A EF E0 0E D3 EC 04 0B 10 FF F2 01 09 B0 BD EC 10 8B BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F9 A2 3E }
	condition:
		$1
}

rule file_156_0_0 {
	meta:
		name = "__GSHandlerCheck_SEH_noexcept"
		size = 48
		refs = "000a __GSHandlerCheck_SEH 0026 terminate"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 63 68 13 F0 66 0F 05 D1 22 68 04 4B 9A 42 01 D1 01 28 01 D0 BD E8 18 88 ?? ?? ?? ?? FE DE 63 73 6D E0 }
	condition:
		$1
}

rule file_2_0_3 {
	meta:
		name = "__C_specific_handler_noexcept"
		size = 48
		refs = "000a __C_specific_handler 0026 terminate"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 63 68 13 F0 66 0F 05 D1 22 68 04 4B 9A 42 01 D1 01 28 01 D0 BD E8 18 88 ?? ?? ?? ?? FE DE 63 73 6D E0 }
	condition:
		$1
}

rule file_158_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 136
		refs = "000a _set_app_type 000e _get_startup_file_mode 0012 _set_fmode 0016 _get_startup_commit_mode 001c __p__commode 0024 __scrt_initialize_onexit_tables 002a _RTC_Initialize 0030 atexit 0034 _get_startup_argv_mode 0038 _configure_narrow_argv 003e ?__scrt_initialize_type_info@@YAXXZ 0042 __scrt_is_user_matherr_present 004a __setusermatherr 004e _initialize_invalid_parameter_handler 0052 _initialize_denormal_control 0056 _get_startup_thread_locale_mode 005a _configthreadlocale 005e _should_initialize_environment 0064 _initialize_narrow_environment 0068 __scrt_initialize_winrt 0074 __scrt_fastfail 0080 _matherr 0084 _RTC_Terminate"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 04 60 01 20 ?? ?? ?? ?? 18 B3 ?? ?? ?? ?? 15 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 B9 ?? ?? ?? ?? ?? ?? ?? ?? 10 B1 0D 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 B1 ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 18 88 07 20 ?? ?? ?? ?? 07 20 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_218_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 136
		refs = "000a _set_app_type 000e _get_startup_file_mode 0012 _set_fmode 0016 _get_startup_commit_mode 001c __p__commode 0024 __scrt_initialize_onexit_tables 002a _RTC_Initialize 0030 atexit 0034 _get_startup_argv_mode 0038 _configure_wide_argv 003e ?__scrt_initialize_type_info@@YAXXZ 0042 __scrt_is_user_matherr_present 004a __setusermatherr 004e _initialize_invalid_parameter_handler 0052 _initialize_denormal_control 0056 _get_startup_thread_locale_mode 005a _configthreadlocale 005e _should_initialize_environment 0064 _initialize_wide_environment 0068 __scrt_initialize_winrt 0074 __scrt_fastfail 0080 _matherr 0084 _RTC_Terminate"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 04 60 01 20 ?? ?? ?? ?? 18 B3 ?? ?? ?? ?? 15 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 B9 ?? ?? ?? ?? ?? ?? ?? ?? 10 B1 0D 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 B1 ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 18 88 07 20 ?? ?? ?? ?? 07 20 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 260
		refs = "000c __scrt_initialize_crt 0014 __scrt_fastfail 001c __scrt_acquire_startup_lock 003a _initterm_e 004a _initterm 005a __scrt_release_startup_lock 005e __scrt_get_dyn_tls_init_callback 0068 __scrt_is_nonwritable_in_current_image 0072 _guard_check_icall 007e __scrt_get_dyn_tls_dtor_callback 0090 _register_thread_local_exe_atexit_callback 0094 _get_initial_narrow_environment 009a __p___argv 00a0 __p___argc 00aa main 00b0 __scrt_is_managed_app 00b8 exit 00be _cexit 00c6 __scrt_uninitialize_crt 00d8 _exit 00e0 _c_exit 00f0 __xc_a 00f4 __xc_z 00f8 __xi_a 00fc __xi_z 0100 __scrt_current_native_startup_state"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 01 20 ?? ?? ?? ?? 10 B9 07 20 ?? ?? ?? ?? 00 26 3E 70 ?? ?? ?? ?? 05 46 37 4C 23 68 01 2B 02 D1 07 20 ?? ?? ?? ?? 83 B9 01 23 23 60 31 49 2F 48 ?? ?? ?? ?? 10 B1 FF 24 7C 60 50 E0 2B 49 29 48 ?? ?? ?? ?? 02 23 23 60 01 E0 01 26 3E 70 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 23 68 53 B1 ?? ?? ?? ?? 38 B1 24 68 20 46 ?? ?? ?? ?? 00 20 02 21 00 22 A0 47 ?? ?? ?? ?? 04 46 23 68 2B B1 ?? ?? ?? ?? 10 B1 20 68 ?? ?? ?? ?? ?? ?? ?? ?? 05 46 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 21 68 00 68 2A 46 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 10 B9 20 46 ?? ?? ?? ?? 0E B9 ?? ?? ?? ?? 00 21 01 20 ?? ?? ?? ?? 7C 60 0C E0 04 46 ?? ?? ?? ?? 10 B9 20 46 ?? ?? ?? ?? 3B 78 1B B9 ?? ?? ?? ?? 00 E0 7C 68 20 46 BD E8 FC 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_218_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 260
		refs = "000c __scrt_initialize_crt 0014 __scrt_fastfail 001c __scrt_acquire_startup_lock 003a _initterm_e 004a _initterm 005a __scrt_release_startup_lock 005e __scrt_get_dyn_tls_init_callback 0068 __scrt_is_nonwritable_in_current_image 0072 _guard_check_icall 007e __scrt_get_dyn_tls_dtor_callback 0090 _register_thread_local_exe_atexit_callback 0094 _get_initial_wide_environment 009a __p___wargv 00a0 __p___argc 00aa wmain 00b0 __scrt_is_managed_app 00b8 exit 00be _cexit 00c6 __scrt_uninitialize_crt 00d8 _exit 00e0 _c_exit 00f0 __xc_a 00f4 __xc_z 00f8 __xi_a 00fc __xi_z 0100 __scrt_current_native_startup_state"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 01 20 ?? ?? ?? ?? 10 B9 07 20 ?? ?? ?? ?? 00 26 3E 70 ?? ?? ?? ?? 05 46 37 4C 23 68 01 2B 02 D1 07 20 ?? ?? ?? ?? 83 B9 01 23 23 60 31 49 2F 48 ?? ?? ?? ?? 10 B1 FF 24 7C 60 50 E0 2B 49 29 48 ?? ?? ?? ?? 02 23 23 60 01 E0 01 26 3E 70 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 23 68 53 B1 ?? ?? ?? ?? 38 B1 24 68 20 46 ?? ?? ?? ?? 00 20 02 21 00 22 A0 47 ?? ?? ?? ?? 04 46 23 68 2B B1 ?? ?? ?? ?? 10 B1 20 68 ?? ?? ?? ?? ?? ?? ?? ?? 05 46 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 21 68 00 68 2A 46 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 10 B9 20 46 ?? ?? ?? ?? 0E B9 ?? ?? ?? ?? 00 21 01 20 ?? ?? ?? ?? 7C 60 0C E0 04 46 ?? ?? ?? ?? 10 B9 20 46 ?? ?? ?? ?? 3B 78 1B B9 ?? ?? ?? ?? 00 E0 7C 68 20 46 BD E8 FC 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 38
		refs = "0008 _get_initial_narrow_environment 000e __p___argv 0014 __p___argc 001e main"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 05 46 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 00 68 21 68 2A 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_218_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 38
		refs = "0008 _get_initial_wide_environment 000e __p___wargv 0014 __p___argc 001e wmain"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 05 46 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 00 68 21 68 2A 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_159_0_0 {
	meta:
		name = "_FindPESection"
		size = 58
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B C3 6B 00 24 1A 18 93 8A D5 88 13 44 03 F1 18 00 55 B1 C2 68 91 42 03 D3 83 68 13 44 99 42 06 D3 64 1C 28 30 AC 42 F4 D3 00 20 BD E8 30 88 BD E8 30 88 }
	condition:
		$1
}

rule file_159_1_0 {
	meta:
		name = "_IsNonwritableInCurrentImage"
		size = 76
		refs = "000c __ImageBase 0016 _ValidateImageBase 0026 _FindPESection"
	strings:
		$1 = { 2D E9 B8 48 0D F1 10 0B 6F 46 04 46 ?? ?? ?? ?? C0 F2 00 05 28 46 ?? ?? ?? ?? 10 B9 00 20 38 60 12 E0 61 1B 28 46 ?? ?? ?? ?? 10 B9 00 20 38 60 0A E0 43 6A 00 2B 01 DB 01 20 00 E0 00 20 38 60 02 E0 00 20 00 E0 38 68 BD E8 B8 88 }
	condition:
		$1
}

rule file_159_3_0 {
	meta:
		name = "_ValidateImageBase"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 02 88 45 F6 4D 23 9A 42 02 D0 00 20 BD E8 00 88 C3 6B 1A 58 19 18 44 F2 50 53 9A 42 F5 D1 0A 8B 40 F2 0B 13 9A 42 F0 D1 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_167_1_0 {
	meta:
		name = "_guard_icall_checks_enforced"
		size = 40
		refs = "0020 _guard_check_icall_nop 0024 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4B 1A 68 BF F3 5B 8F 04 4B 9A 42 18 BF 01 20 08 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_180_0_0 {
	meta:
		name = "__fphelper_raise_exception"
		size = 628
		refs = "0008 __security_push_cookie 024e __security_pop_cookie 025c __imp_RaiseException"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 84 B0 6F 46 98 46 96 46 5D F8 80 49 6C 46 0F 34 24 F0 0F 09 C7 F8 04 90 F1 EE 10 2A 96 08 06 F4 00 15 02 F4 80 04 6F F3 1F 31 2C 43 49 01 41 EA 54 54 D9 F8 00 10 04 25 00 F0 08 03 6F F3 10 01 21 43 C9 F8 00 10 05 EA 90 01 01 24 19 43 3A 60 00 F0 02 03 00 EA 04 02 43 EA 82 03 9B 00 43 EA 91 02 D9 F8 04 30 4F F4 80 61 4F F4 00 6A 23 F0 1F 03 1A 43 00 EA 05 03 38 68 13 43 C9 F8 04 30 00 EA 0A 03 06 EA 01 02 1A 43 00 EA 01 03 4F F4 00 75 43 EA 92 02 00 EA 05 03 43 EA 92 02 00 F4 80 73 43 EA 92 02 D9 F8 08 30 23 F0 1F 03 43 EA 12 13 C9 F8 08 30 00 F0 02 03 00 EA 04 02 43 EA 82 01 06 F0 04 02 08 26 00 EA 06 03 13 43 9B 08 43 EA 81 02 D9 F8 0C 30 23 F0 1F 03 1A 43 00 F0 04 03 13 43 C9 F8 0C 30 BB 6B 38 6C C9 F8 10 30 FB 6B C9 F8 14 30 D9 F8 20 30 83 EA 4E 03 03 F0 1E 02 D9 F8 20 30 53 40 23 43 C9 F8 20 30 D9 F8 40 30 A3 43 C9 F8 40 30 C9 F8 50 00 79 6C C9 F8 54 10 D9 F8 60 30 83 EA 48 03 03 F0 1E 02 D9 F8 60 30 53 40 23 43 C9 F8 60 30 D9 F8 0C 30 10 22 13 42 08 D0 D9 F8 08 30 13 42 04 D0 45 48 02 26 4F F0 04 08 2C E0 D9 F8 0C 30 33 42 05 D0 D9 F8 08 30 33 42 01 D0 3E 48 F1 E7 D9 F8 0C 30 4F F0 04 08 13 EA 08 0F 07 D0 D9 F8 08 30 13 EA 08 0F 02 D0 36 48 02 26 13 E0 D9 F8 0C 30 02 26 33 42 05 D0 D9 F8 08 30 33 42 01 D0 2F 48 08 E0 D9 F8 0C 30 23 42 4B D0 D9 F8 08 30 23 42 47 D0 29 48 27 4C 3B 1D BB 60 24 68 17 F1 08 03 01 22 00 21 A0 47 22 4B 3A 68 1A 40 D9 F8 08 30 13 F0 10 0F 04 D0 4F F4 40 75 4F F4 80 71 00 E0 00 21 D9 F8 08 30 13 F0 08 0F D9 F8 08 30 08 BF 0D 46 2A 43 13 EA 08 0F 04 D0 4F F4 40 6A 4F F4 80 63 00 E0 00 23 43 EA 02 00 D9 F8 08 30 33 42 01 D0 4A EA 02 00 D9 F8 08 30 01 22 13 42 02 D0 4F F4 80 51 00 E0 00 21 D9 F8 00 30 1A 40 33 40 43 EA 82 03 41 EA 43 53 03 43 E1 EE 10 3A D9 E9 14 01 BD 46 04 B0 ?? ?? ?? ?? BD E8 F0 8F FE DE FF E0 3F FF ?? ?? ?? ?? 8F 00 00 C0 93 00 00 C0 91 00 00 C0 8E 00 00 C0 90 00 00 C0 }
	condition:
		$1
}

rule file_180_1_0 {
	meta:
		name = "__helper_divide_by_0"
		size = 36
		refs = "0020 __imp_RaiseException"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4C 04 48 00 23 24 68 00 22 00 21 A0 47 BD E8 18 88 FE DE 94 00 00 C0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_0_0 {
	meta:
		name = "??2@YAPAXI@Z"
		size = 50
		refs = "000e _callnewh 001a ?__scrt_throw_std_bad_array_new_length@@YAXXZ 0020 ?__scrt_throw_std_bad_alloc@@YAXXZ 0026 malloc"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0B E0 20 46 ?? ?? ?? ?? 38 B9 B4 F1 FF 3F 02 D1 ?? ?? ?? ?? 01 E0 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? 00 28 EE D0 BD E8 18 88 }
	condition:
		$1
}

rule file_185_0_0 {
	meta:
		name = "__security_init_cookie"
		size = 136
		refs = "006c __security_cookie_complement 0070 __imp_QueryPerformanceCounter 0074 __imp_GetCurrentProcessId 0078 __imp_GetCurrentThreadId 007c __imp_GetSystemTimeAsFileTime 0084 __security_cookie"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 1E 4C 00 23 1C 4D CD E9 02 33 23 68 AB 42 22 D1 18 4B 02 A8 1B 68 98 47 DD E9 02 32 53 40 00 93 13 4B 1B 68 98 47 00 9B 43 40 00 93 0F 4B 1B 68 98 47 00 9B 43 40 00 93 0B 4B 04 A8 1B 68 98 47 DD E9 04 32 5A 40 00 9B 5A 40 6B 46 53 40 AB 42 08 BF 6B 1C 23 60 02 4A DB 43 13 60 06 B0 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 4E E6 40 BB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_60_0 {
	meta:
		name = "?exp@?$VExp@M@@SA?AT__n128@@T2@@Z"
		size = 396
		refs = "001c ?create@?$VectorOp@M@@SA?AT__n128@@M@Z 00f8 ?create@?$VectorOp@M@@SA?AT__n128@@I@Z 015c ?eps@?$VExp@M@@0T__n128@@B 0160 ?smallx@?$VExp@M@@0T__n128@@B 0164 ?inf@?$VectorOp@M@@2T__n128@@B 0168 ?bigx@?$VExp@M@@0T__n128@@B 016c ?q0@?$VExp@M@@0T__n128@@B 0170 ?q1@?$VExp@M@@0T__n128@@B 0174 ?p0@?$VExp@M@@0T__n128@@B 0178 ?p1@?$VExp@M@@0T__n128@@B 017c ?C1@?$VExp@M@@0T__n128@@B 0180 ?C2@?$VExp@M@@0T__n128@@B 0184 ?inv_ln2@?$VExp@M@@0T__n128@@B"
		altNames = "__vdecl_expf4"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 0E 8B 8C B0 9F ED 5E 8A 20 EF 50 A1 8D EC 04 AB B0 EE 48 0A ?? ?? ?? ?? 60 EF 50 01 B7 EE 00 0A 0D F1 10 0C CC EC 04 0B ?? ?? ?? ?? 53 4B 60 EF 50 01 0D F1 20 0C CC EC 04 0B D3 EC 04 0B B0 EE 48 0A 0A FF 70 CD ?? ?? ?? ?? B6 EE 00 EA 20 EF 50 A1 B0 EE 4E 0A B9 FF 4C 87 ?? ?? ?? ?? 48 EF 40 0D 2A FF 4C AE FB FF 60 27 43 4B 9D EC 04 CB B0 EE 4E 0A F9 FF E2 03 10 FF F2 A1 D3 EC 04 0B 3C 4B FB FF 4A 46 44 FF F0 2D D3 EC 04 0B 38 4B 44 FF F0 0D 6C EF 60 0D 60 EF E2 4D D3 EC 04 0B 32 4B 44 FF F4 6D 46 FF F0 2D D3 EC 04 0B 2E 4B 42 EF E0 0D 40 FF F4 8D D3 EC 04 0B 29 4B 46 FF F0 2D D3 EC 04 0B 42 EF E0 0D 60 EF E8 4D FB FF 64 25 44 EF F2 0F 42 FF F0 2D 44 EF F2 0F 42 FF F0 0D 08 FF F0 8D ?? ?? ?? ?? 01 20 00 EF 48 8D ?? ?? ?? ?? 6A EF 40 08 19 4B F7 EF 70 05 68 EF 60 28 D3 EC 04 0B 15 4B 6C FF 60 4E D3 EC 04 0B 11 4B 50 FF F2 41 D3 EC 04 0B 0E 4B 60 FF CC 2E 0D F1 10 0C DC EC 04 0B 50 FF F4 21 D3 EC 04 0B 0D F1 20 0C DC EC 04 4B 60 FF DC 0E 54 FF F2 01 0C EF 4C 0E 10 FF DC 01 0C B0 BD EC 0E 8B BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_212_1_0 {
	meta:
		name = "__security_pop_cookie"
		size = 28
		refs = "0000 __security_cookie"
	strings:
		$1 = { ?? ?? ?? ?? C0 F2 00 0C 00 9B DC F8 00 C0 AD EB 03 03 63 45 01 D1 01 B0 70 47 18 46 }
	condition:
		$1
}

rule file_212_2_0 {
	meta:
		name = "__ppgsfailure"
		size = 24
		refs = "000c __security_check_cookie"
	strings:
		$1 = { 10 B5 6C 46 EC 46 2C F0 07 0C E5 46 ?? ?? ?? ?? A5 46 BD E8 10 40 70 47 }
	condition:
		$1
}

rule file_214_2_0 {
	meta:
		name = "_RTC_InitBase"
		size = 36
		refs = "0016 _RTC_SetErrorFuncW 0020 ?init@?1??_RTC_InitBase@@9@4_NA"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4A 13 78 33 B9 01 23 13 70 00 20 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_215_0_0 {
	meta:
		name = "??1type_info@@UAA@XZ"
		size = 20
		refs = "0010 ??_7type_info@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_38_2 {
	meta:
		name = "??0?$basic_ios@DU?$char_traits@D@std@@@std@@IAA@XZ"
		size = 20
		refs = "0010 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_52_1 {
	meta:
		name = "??0?$basic_ios@GU?$char_traits@G@std@@@std@@IAA@XZ"
		size = 20
		refs = "0010 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_38_2 {
	meta:
		name = "??0?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAA@XZ"
		size = 20
		refs = "0010 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_11_3 {
	meta:
		name = "??0DNameNode@@IAA@XZ"
		size = 20
		refs = "0010 ??_7DNameNode@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_122_1 {
	meta:
		name = "??0_Facet_base@std@@QAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_101_1 {
	meta:
		name = "??0ios_base@std@@IAA@XZ"
		size = 20
		refs = "0010 ??_7ios_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_59_1 {
	meta:
		name = "??1?$_Ref_count_obj@V__ExceptionPtr@@@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_60_1 {
	meta:
		name = "??1?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_103_2 {
	meta:
		name = "??1?$codecvt@DDU_Mbstatet@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_347_1 {
	meta:
		name = "??1?$codecvt@GDU_Mbstatet@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_102_2 {
	meta:
		name = "??1?$codecvt@_WDU_Mbstatet@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_160_1 {
	meta:
		name = "??1?$messages@D@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_353_1 {
	meta:
		name = "??1?$messages@G@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_304_2 {
	meta:
		name = "??1?$messages@_W@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_132_2 {
	meta:
		name = "??1?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_305_2 {
	meta:
		name = "??1?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_356_1 {
	meta:
		name = "??1?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_133_2 {
	meta:
		name = "??1?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_357_1 {
	meta:
		name = "??1?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_358_1 {
	meta:
		name = "??1?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_83_2 {
	meta:
		name = "??1?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_363_1 {
	meta:
		name = "??1?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_364_1 {
	meta:
		name = "??1?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_100_1 {
	meta:
		name = "??1?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_315_2 {
	meta:
		name = "??1?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_366_1 {
	meta:
		name = "??1?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_169_1 {
	meta:
		name = "??1_Facet_base@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_72_1 {
	meta:
		name = "??1_Generic_error_category@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_108_2 {
	meta:
		name = "??1_Iostream_error_category@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_62_1 {
	meta:
		name = "??1_Ref_count_base@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_69_2 {
	meta:
		name = "??1_System_error_category@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_136_1 {
	meta:
		name = "??1codecvt_base@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_137_1 {
	meta:
		name = "??1ctype_base@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_60_2 {
	meta:
		name = "??1error_category@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_141_1 {
	meta:
		name = "??1facet@locale@std@@MAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_387_1 {
	meta:
		name = "??1messages_base@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_388_1 {
	meta:
		name = "??1money_base@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_390_1 {
	meta:
		name = "??1time_base@std@@UAA@XZ"
		size = 20
		refs = "0010 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_215_1_0 {
	meta:
		name = "??_Gtype_info@@UAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7type_info@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 0C 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_76_1 {
	meta:
		name = "??_G_Ref_count_base@std@@UAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 0C 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_222_0_0 {
	meta:
		name = "__dyn_tls_init"
		size = 60
		refs = "001e _guard_check_icall 002a terminate 0034 __xd_z 0038 __xd_a"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 6F 46 02 29 0F D1 0A 4B 1C 1D 08 4E B4 42 07 D0 25 68 1D B1 28 46 ?? ?? ?? ?? A8 47 24 1D F5 E7 01 E0 ?? ?? ?? ?? BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_222_2_0 {
	meta:
		name = "dyntls_init_exception_filter"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 98 42 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE 63 73 6D E0 }
	condition:
		$1
}

rule file_0_0_1 {
	meta:
		name = "_Dtento"
		size = 284
		refs = "000c __security_push_cookie 0036 _Xp_setw 0044 _Xp_movx 004e _Xp_ldexpx 006c _Xp_mulx 00b2 _Xp_getw 00e2 _errno 0108 __security_pop_cookie 0114 _Inf 0118 tenth"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 02 8B ?? ?? ?? ?? A3 B0 0C 46 00 2C 16 46 05 46 6C D0 90 ED 00 0B B5 EE 40 0B F1 EE 10 FA 65 D0 00 2C 06 DD 02 A8 04 21 B2 EE 04 0B ?? ?? ?? ?? 0A E0 36 4A 02 A8 04 21 64 42 ?? ?? ?? ?? 68 22 04 21 28 46 ?? ?? ?? ?? 12 AF 0D F1 48 08 4F F0 01 09 14 EA 09 0F 06 D0 04 23 02 AA 04 21 28 46 00 97 ?? ?? ?? ?? 64 10 0D D0 02 AA 04 21 0A A8 ?? ?? ?? ?? 04 23 0A AA 04 21 02 A8 CD F8 00 80 ?? ?? ?? ?? E5 E7 9D ED 02 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 6F F0 67 02 04 21 28 46 ?? ?? ?? ?? 04 21 28 46 ?? ?? ?? ?? B5 EE 40 0B B0 EE 40 8B F1 EE 10 FA 0E D0 13 4B 93 ED 00 0B B4 EE 40 8B F1 EE 10 FA 06 D0 B1 EE 40 0B B4 EE 40 8B F1 EE 10 FA 0F D1 ?? ?? ?? ?? 22 23 03 60 56 B1 33 68 43 EA 09 03 33 60 05 E0 04 21 28 46 ?? ?? ?? ?? B0 EE 40 8B B0 EE 48 0B 23 B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_78_0_1 {
	meta:
		name = "_LDtento"
		size = 284
		refs = "000c __security_push_cookie 0036 _LXp_setw 0044 _LXp_movx 004e _LXp_ldexpx 006c _LXp_mulx 00b2 _LXp_getw 00e2 _errno 0108 __security_pop_cookie 0114 _LInf 0118 tenth"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 02 8B ?? ?? ?? ?? A3 B0 0C 46 00 2C 16 46 05 46 6C D0 90 ED 00 0B B5 EE 40 0B F1 EE 10 FA 65 D0 00 2C 06 DD 02 A8 04 21 B2 EE 04 0B ?? ?? ?? ?? 0A E0 36 4A 02 A8 04 21 64 42 ?? ?? ?? ?? 68 22 04 21 28 46 ?? ?? ?? ?? 12 AF 0D F1 48 08 4F F0 01 09 14 EA 09 0F 06 D0 04 23 02 AA 04 21 28 46 00 97 ?? ?? ?? ?? 64 10 0D D0 02 AA 04 21 0A A8 ?? ?? ?? ?? 04 23 0A AA 04 21 02 A8 CD F8 00 80 ?? ?? ?? ?? E5 E7 9D ED 02 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 6F F0 67 02 04 21 28 46 ?? ?? ?? ?? 04 21 28 46 ?? ?? ?? ?? B5 EE 40 0B B0 EE 40 8B F1 EE 10 FA 0E D0 13 4B 93 ED 00 0B B4 EE 40 8B F1 EE 10 FA 06 D0 B1 EE 40 0B B4 EE 40 8B F1 EE 10 FA 0F D1 ?? ?? ?? ?? 22 23 03 60 56 B1 33 68 43 EA 09 03 33 60 05 E0 04 21 28 46 ?? ?? ?? ?? B0 EE 40 8B B0 EE 48 0B 23 B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_0_1 {
	meta:
		name = "_Wcsxfrm"
		size = 152
		refs = "001e ___lc_locale_name_func 0034 memcpy 003e _malloc_base 0056 __crtLCMapStringW 008e _free_base"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 9B 1A 5D 10 0C 9B 09 1A 92 46 80 46 4F EA 61 09 6F F0 00 04 1B B9 ?? ?? ?? ?? 47 68 00 E0 5F 68 47 B9 4D 45 04 D8 6A 00 51 46 40 46 ?? ?? ?? ?? 2C 46 2A E0 48 46 ?? ?? ?? ?? 06 46 2E B3 2B 46 52 46 4F F4 80 61 38 46 CD F8 04 90 00 96 ?? ?? ?? ?? 04 46 74 B9 00 23 01 93 00 93 2B 46 52 46 4F F4 80 61 38 46 ?? ?? ?? ?? 04 46 54 B9 6F F0 00 44 07 E0 00 22 2C B1 93 5D 52 1C A2 42 28 F8 02 3B F9 D3 30 46 ?? ?? ?? ?? 20 46 BD E8 FE 8F }
	condition:
		$1
}

rule file_2_0_1 {
	meta:
		name = "_Strxfrm"
		size = 138
		refs = "001c ___lc_locale_name_func 0022 ___lc_collate_cp_func 003c memcpy 005a __crtLCMapStringA"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 85 B0 9C 1A 0E 9B 91 46 82 46 A1 EB 00 08 6F F0 00 05 33 B9 ?? ?? ?? ?? 46 68 ?? ?? ?? ?? 07 46 01 E0 D3 E9 00 76 4E B9 47 B9 44 45 04 D8 22 46 49 46 50 46 ?? ?? ?? ?? 25 46 1E E0 01 23 03 93 00 23 01 93 00 93 23 46 4A 46 4F F4 80 61 30 46 02 97 ?? ?? ?? ?? 80 B1 05 46 40 45 0D DC 01 23 03 93 23 46 4A 46 4F F4 80 61 30 46 02 97 CD F8 04 80 CD F8 00 A0 ?? ?? ?? ?? 28 46 05 B0 BD E8 F0 8F }
	condition:
		$1
}

rule file_3_0_1 {
	meta:
		name = "_Dscale"
		size = 400
		refs = "0038 _Dnorm 018c _Inf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 07 46 FA 88 47 F6 F0 73 40 F2 FF 75 13 40 18 09 A8 42 0C 46 0A D1 12 F0 0F 0F 05 D1 BB 88 1B B9 7B 88 0B B9 3B 88 C3 B1 02 20 A9 E0 28 B9 38 46 ?? ?? ?? ?? 00 28 00 F3 A2 80 00 2C 0F DD 2B 1A A3 42 0C DC B7 F9 06 30 00 2B 4E 4B 93 ED 00 0B 01 DA B1 EE 40 0B 87 ED 00 0B 01 20 90 E0 43 42 A3 42 0A DA FA 88 48 F2 0F 03 01 19 13 40 43 EA 01 13 FB 80 6F F0 00 00 82 E0 FB 88 4F F4 00 49 10 25 03 EA 09 08 03 F0 0F 03 2B 43 FB 80 03 19 5A 1E 02 F1 35 03 34 2B 6B D8 11 B2 E9 42 4F F0 00 0E 15 DC 00 22 3B 88 BE F1 00 0F 18 BF 01 20 08 BF 00 20 40 EA 03 0E 7B 88 3B 80 BB 88 7B 80 FB 88 FA 80 BB 80 01 F1 10 03 19 B2 E9 42 EA DD 4B 42 18 B2 30 B3 39 88 BE F1 00 0F C0 F1 10 06 18 BF 01 22 7C 88 01 FA 06 F3 08 BF 00 22 13 43 85 B2 1F FA 83 FE B8 88 21 FA 05 F3 04 FA 06 F2 13 43 3B 80 F9 88 24 FA 05 F3 00 FA 06 F2 13 43 7B 80 20 FA 05 F3 01 FA 06 F2 13 43 BB 80 21 FA 05 F3 FB 80 FB 88 CE 45 48 EA 03 02 FA 80 04 D8 14 D1 3B 88 13 F0 01 0F 10 D0 3B 88 5B 1C 9B B2 3B 80 5B B9 7B 88 5B 1C 9B B2 7B 80 33 B9 BB 88 5B 1C 9B B2 BB 80 0B B9 53 1C 8A E7 42 45 89 D1 BB 88 00 2B 86 D1 7B 88 00 2B 83 D1 3B 88 33 B1 80 E7 00 22 BA 80 7A 80 3A 80 A7 F8 06 80 00 20 BD E8 F0 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_0_1 {
	meta:
		name = "?_New_handler_interface@std@@YAHI@Z"
		size = 32
		refs = "000e _guard_check_icall 001c ?_New_handler@std@@3P6AXXZA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 4B 1C 68 20 46 ?? ?? ?? ?? A0 47 01 20 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_1_1 {
	meta:
		name = "?get_new_handler@std@@YAP6AXXZXZ"
		size = 48
		refs = "0016 ??0_Lockit@std@@QAA@H@Z 0020 ??1_Lockit@std@@QAA@XZ 002c ?_New_handler@std@@3P6AXXZA"
	strings:
		$1 = { 2D E9 9F 48 0D F1 18 0B 6F 46 6F F0 01 03 38 46 01 21 C7 E9 02 33 ?? ?? ?? ?? 04 4B 38 46 1C 68 ?? ?? ?? ?? 20 46 04 B0 BD E8 90 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_2_1 {
	meta:
		name = "?set_new_handler@std@@YAP6AXXZP6AXXZ@Z"
		size = 72
		refs = "001a ??0_Lockit@std@@QAA@H@Z 002c _set_new_handler 0032 ??1_Lockit@std@@QAA@XZ 0040 ?_New_handler_interface@std@@YAHI@Z 0044 ?_New_handler@std@@3P6AXXZA"
	strings:
		$1 = { 2D E9 B0 48 0D F1 0C 0B 85 B0 6F 46 04 46 6F F0 01 03 38 46 01 21 C7 E9 02 33 ?? ?? ?? ?? 09 4B 1D 68 1C 60 0C B1 06 48 00 E0 00 20 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 28 46 05 B0 BD E8 B0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_0_1 {
	meta:
		name = "_FDint"
		size = 144
		refs = "008c ?mask@?3??_FDint@@9@9"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 6A 88 02 F4 FF 43 D8 09 FF 28 08 D1 12 F0 7F 0F 03 D1 2B 88 0B B9 01 20 31 E0 02 20 2F E0 32 F4 00 43 01 D1 2B 88 4B B3 C0 F1 96 03 5B 1A 1E B2 00 2E 23 DD 18 2E 07 DB 02 F4 00 43 6B 80 00 23 2B 80 6F F0 00 00 1A E0 0E 49 34 11 0B 46 20 33 53 F8 24 00 06 F0 0F 03 31 F8 13 30 35 F8 10 20 00 2C 03 EA 02 01 82 EA 01 03 25 F8 10 30 03 DD 2B 88 19 43 00 23 2B 80 00 29 E2 D1 00 20 BD E8 78 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_6_0_1 {
	meta:
		name = "?_MP_Add@std@@YAXQA_K_K@Z"
		size = 34
		refs = "001a ?add@std@@YAXPA_KH0H@Z"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 00 92 02 93 00 22 00 23 01 92 03 93 6A 46 02 23 05 21 ?? ?? ?? ?? BD E8 0F 88 }
	condition:
		$1
}

rule file_6_1_1 {
	meta:
		name = "?_MP_Get@std@@YA_KQA_K@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 9A 68 D3 E9 00 03 D1 18 BD E8 00 88 }
	condition:
		$1
}

rule file_6_2_1 {
	meta:
		name = "?_MP_Mul@std@@YAXQA_K_K1@Z"
		size = 198
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8B B0 08 93 00 23 09 93 14 9B 06 92 00 22 02 93 00 23 03 93 15 9B 07 92 04 46 04 93 00 23 00 F1 08 02 01 46 05 93 9E 46 C4 E9 00 33 02 F1 20 00 51 F8 04 3B 42 F8 04 3B 82 42 F9 D1 02 AB A3 EB 04 08 02 25 CD E9 00 58 08 EB 04 03 D3 E9 00 67 56 EA 07 03 02 D1 C4 E9 04 EE 29 E0 00 20 0D F1 18 0A 86 46 A1 46 4F F0 02 08 00 25 DA E9 00 13 0A F1 08 0A 03 FB 06 F3 01 FB 07 32 A1 FB 06 13 13 44 09 18 43 EB 0E 00 D9 E9 00 32 4F F0 00 0E 5B 18 42 41 C9 E9 00 32 C9 F8 04 50 09 F1 08 09 10 46 B8 F1 01 08 E1 D1 DD E9 00 58 C4 E9 04 0E 08 34 6D 1E 00 95 C7 D1 0B B0 BD E8 F0 8F }
	condition:
		$1
}

rule file_6_3_1 {
	meta:
		name = "?_MP_Rem@std@@YAXQA_K_K@Z"
		size = 702
		refs = "006c __rt_udiv64 0252 ?add@std@@YAXPA_KH0H@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 93 B0 0E 92 00 22 02 27 CD E9 0F 23 11 92 80 46 08 90 05 97 1B 00 07 D1 12 A9 08 39 51 E9 02 23 7F 1E 13 43 F9 D0 05 97 D8 E9 08 23 05 20 13 43 07 D1 08 F1 28 01 08 39 51 E9 02 23 40 1E 13 43 F9 D0 0E AB 03 EB C7 03 53 E9 02 23 A0 EB 07 09 CD F8 04 90 50 1C 43 F1 00 01 01 23 00 22 08 B9 01 B9 F9 DE ?? ?? ?? ?? 8E 46 09 91 82 46 0C 90 01 28 00 D1 A9 B3 00 26 B1 46 45 46 05 20 D5 E9 00 43 03 FB 0A F3 04 FB 0E 32 A4 FB 0A 13 13 44 8A 19 43 F1 00 03 C5 E9 00 23 C5 F8 04 90 08 35 40 1E 1E 46 EB D1 DD F8 04 90 00 25 00 2F 18 DD 0E A8 3C 46 A8 46 D0 E9 00 12 0E FB 01 F3 0A FB 02 32 AA FB 01 13 13 44 4A 19 43 F1 00 03 C0 E9 00 23 C0 F8 04 80 08 30 64 1E 1D 46 EB D1 DD F8 20 80 B9 F1 00 0F C0 F2 C4 80 BA 1E 0E AB 03 EB C2 03 0A 93 0E AB 03 EB C7 03 53 E9 02 04 08 EB C9 03 CD E9 02 30 07 EB 09 03 08 EB C3 06 04 94 56 F8 08 19 D6 E9 00 23 00 96 0B 44 21 46 08 B9 01 B9 F9 DE ?? ?? ?? ?? 98 46 96 46 CD E9 06 10 50 EA 01 04 00 F0 8D 80 DD E9 03 32 0A 9F B1 46 6F F0 00 04 01 29 16 D8 15 D2 59 E9 02 A4 3D 68 0E EB 04 06 7C 68 04 FB 00 F3 05 FB 01 32 A5 FB 00 43 13 44 B3 42 13 D3 01 D8 54 45 10 D9 DD E9 03 32 6F F0 00 04 00 19 61 41 1E EB 03 0E 48 EB 02 08 B8 F1 01 0F DD D3 02 D8 BE F1 00 0F D9 D3 05 9F DD F8 04 90 00 24 00 25 00 2F CD E9 06 10 56 DD 02 9B 0D F1 38 0A B8 46 1E 46 8E 46 A9 46 01 27 DA E9 00 13 03 FB 00 F3 01 FB 0E 32 A1 FB 00 13 D0 18 D6 E9 00 32 5B 1A 82 41 1B 1B AA 41 14 46 C6 E9 00 32 00 25 23 00 02 D0 64 42 67 EB 05 05 C6 F8 04 90 07 98 08 36 B8 F1 01 08 0A F1 08 0A DE D1 05 9F DD E9 00 69 54 EA 05 03 28 D0 07 EB 09 00 06 F1 08 01 00 26 4F F0 01 09 05 28 12 DA D1 E9 00 32 1B 1B AA 41 14 46 C1 E9 00 32 00 25 23 00 02 D0 64 42 69 EB 05 05 4E 60 08 31 40 1C 54 EA 05 03 EA D1 DD E9 00 69 54 EA 05 03 07 D0 02 98 0E AA 3B 46 79 1C ?? ?? ?? ?? 00 E0 00 9E DD E9 02 30 A9 F1 01 09 04 9C 08 3B CD E9 01 93 B9 F1 00 0F BF F6 53 AF DD E9 08 8E DD F8 30 A0 BA F1 01 0F 02 D1 BE F1 00 0F 18 D0 00 23 00 26 0D 93 04 25 08 F1 20 04 74 E8 02 23 71 46 50 46 33 44 08 B9 01 B9 F9 DE ?? ?? ?? ?? 6D 1E DD F8 24 E0 00 2D 16 46 C4 E9 02 01 0D 93 EC DA 13 B0 BD E8 F0 8F }
	condition:
		$1
}

rule file_6_4_1 {
	meta:
		name = "?add@std@@YAXPA_KH0H@Z"
		size = 126
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 1F 46 00 2F 00 91 4F F0 00 0E 32 DD 80 46 A2 EB 00 0A 19 46 F1 46 0A EB 08 02 D2 E9 00 56 D8 E9 00 24 52 19 74 41 12 EB 0E 02 44 F1 00 03 C8 E9 00 23 C8 F8 04 90 08 F1 08 08 9E 46 49 1E EA D1 DD F8 00 90 5F EA 03 03 13 D0 00 EB C7 01 00 20 4F 45 0E DA D1 E9 00 32 13 EB 0E 03 42 F1 00 02 C1 E9 00 32 48 60 08 31 7F 1C 5F EA 02 03 96 46 EE D1 BD E8 F8 8F }
	condition:
		$1
}

rule file_6_5_1 {
	meta:
		name = "?div@std@@YAXQA_K_K@Z"
		size = 66
		refs = "002c __rt_udiv64"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 1E 46 00 23 01 93 17 46 4F F0 00 0E 04 25 00 F1 20 04 74 E8 02 21 38 46 0E EB 01 03 31 46 08 B9 01 B9 F9 DE ?? ?? ?? ?? 6D 1E 00 2D 96 46 C4 E9 02 01 01 93 ED DA BD E8 FC 88 }
	condition:
		$1
}

rule file_6_6_1 {
	meta:
		name = "?limit@std@@YAHPA_KH@Z"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 00 EB C1 00 01 E0 49 1E 08 38 50 E9 02 23 13 43 F9 D0 08 46 BD E8 00 88 }
	condition:
		$1
}

rule file_6_7_1 {
	meta:
		name = "?mul@std@@YAXPA_KH_K@Z"
		size = 60
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 00 27 00 29 14 DD BE 46 D0 E9 00 64 04 FB 02 F4 06 FB 03 45 A6 FB 02 64 2C 44 F5 19 44 F1 00 04 C0 E9 00 54 C0 F8 04 E0 08 30 49 1E 27 46 EB D1 BD E8 F0 88 }
	condition:
		$1
}

rule file_8_0_1 {
	meta:
		name = "_FDnorm"
		size = 128
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 43 88 01 24 03 F0 7F 02 42 80 03 F4 00 47 42 B9 03 88 5B B3 2A B9 9B B2 43 80 00 23 03 80 6F F0 0E 04 42 88 80 2A 0C D2 01 88 53 00 9B B2 43 EA D1 32 4B 00 99 B2 63 1E 1C B2 80 2A F5 D3 42 80 01 80 41 88 4F F4 80 76 B1 42 0B D3 05 88 CB 03 9A B2 63 1C 49 08 1C B2 42 EA 55 05 B1 42 F6 D2 41 80 05 80 43 88 03 F0 7F 02 42 80 42 EA 07 03 43 80 20 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_9_0_1 {
	meta:
		name = "_FCosh"
		size = 168
		refs = "0016 _FDtest 005c _FExp 008c _Feraise 00a4 _FXbig"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 02 8B 82 B0 68 46 B0 EE 60 8A 8D ED 00 0A ?? ?? ?? ?? D8 B3 43 1E 01 2B 36 D9 B5 EE 40 8A F1 EE 10 FA 33 D0 DD ED 00 0A F5 EE C0 0A F1 EE 10 FA 03 D2 F1 EE 60 0A CD ED 00 0A 18 4B 6F F0 00 01 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 0F D2 B7 EE 00 0A 68 46 ?? ?? ?? ?? DD ED 00 0A B5 EE 00 0A 80 EE 20 0A 30 EE 20 0A 20 EE 08 8A 0E E0 68 46 B0 EE 48 0A ?? ?? ?? ?? 18 B1 01 28 04 D1 08 20 00 E0 10 20 ?? ?? ?? ?? 9D ED 00 8A B0 EE 48 0A 02 B0 BD EC 02 8B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_0_1 {
	meta:
		name = "_Stoll"
		size = 16
		refs = "000c _Stollx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_0_1 {
	meta:
		name = "_Stod"
		size = 16
		refs = "000c _Stodx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_0_1 {
	meta:
		name = "_Stof"
		size = 16
		refs = "000c _Stofx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_0_1 {
	meta:
		name = "_Stold"
		size = 16
		refs = "000c _Stoldx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_0_1 {
	meta:
		name = "_Stoul"
		size = 16
		refs = "000c _Stoulx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_0_1 {
	meta:
		name = "_Stoull"
		size = 16
		refs = "000c _Stoullx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_0_1 {
	meta:
		name = "_WStod"
		size = 16
		refs = "000c _WStodx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_0_1 {
	meta:
		name = "_WStof"
		size = 16
		refs = "000c _WStofx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_0_1 {
	meta:
		name = "_WStold"
		size = 16
		refs = "000c _WStoldx"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_1_1 {
	meta:
		name = "_Stollx"
		size = 180
		refs = "001e isspace 0040 _Stoullx 007e _errno"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 0E 46 99 46 90 46 07 46 06 B9 6E 46 38 78 3C 46 01 E0 64 1C 20 78 ?? ?? ?? ?? 00 28 F9 D1 94 F9 00 50 2D 2D 03 D0 2B 2D 18 BF 2B 25 00 D1 64 1C 4B 46 42 46 31 46 20 46 ?? ?? ?? ?? 33 68 9C 42 00 D1 37 60 33 68 6F F0 00 48 6F F0 00 04 9F 42 4F F0 00 46 02 D1 50 EA 01 03 0C D1 2B 2D 04 D1 41 45 08 D8 01 D3 A0 42 05 D8 2D 2D 18 D1 B1 42 11 D3 00 D8 78 B1 ?? ?? ?? ?? 22 23 03 60 B9 F1 00 0F 02 D0 01 23 C9 F8 00 30 2D 2D 08 BF 00 24 08 D0 46 46 06 E0 00 23 44 42 63 EB 01 06 01 E0 04 46 0E 46 20 46 31 46 BD E8 FC 8B }
	condition:
		$1
}

rule file_11_0_1 {
	meta:
		name = "_Poly"
		size = 40
		altNames = "_LPoly"
	strings:
		$1 = { 2D E9 00 48 EB 46 B0 EE 40 1B 90 ED 00 0B 06 E0 08 30 90 ED 00 2B 00 EE 01 2B B0 EE 42 0B 49 1E 00 29 F5 DA BD E8 00 88 }
	condition:
		$1
}

rule file_12_0_1 {
	meta:
		name = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
		size = 24
		altNames = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 23 03 60 C0 E9 05 33 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_12_4_1 {
	meta:
		name = "??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 54
		refs = "0010 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ"
		altNames = "?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBA_NABV12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 79 0C 46 0B B9 ?? ?? ?? ?? 23 79 13 B9 20 46 ?? ?? ?? ?? 2B 68 00 2B 23 68 03 D1 23 B1 00 20 BD E8 30 88 00 2B FA D0 01 20 F9 E7 }
	condition:
		$1
}

rule file_17_19_1 {
	meta:
		name = "??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 54
		refs = "0010 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 79 0C 46 0B B9 ?? ?? ?? ?? 23 79 13 B9 20 46 ?? ?? ?? ?? 2B 68 00 2B 23 68 03 D1 23 B1 00 20 BD E8 30 88 00 2B FA D0 01 20 F9 E7 }
	condition:
		$1
}

rule file_17_22_1 {
	meta:
		name = "??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 54
		refs = "0010 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 79 0C 46 0B B9 ?? ?? ?? ?? 23 79 13 B9 20 46 ?? ?? ?? ?? 2B 68 00 2B 23 68 03 D1 23 B1 00 20 BD E8 30 88 00 2B FA D0 01 20 F9 E7 }
	condition:
		$1
}

rule file_17_1237_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBA_NABV12@@Z"
		size = 54
		refs = "0010 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 79 0C 46 0B B9 ?? ?? ?? ?? 23 79 13 B9 20 46 ?? ?? ?? ?? 2B 68 00 2B 23 68 03 D1 23 B1 00 20 BD E8 30 88 00 2B FA D0 01 20 F9 E7 }
	condition:
		$1
}

rule file_17_1238_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_NABV12@@Z"
		size = 54
		refs = "0010 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 79 0C 46 0B B9 ?? ?? ?? ?? 23 79 13 B9 20 46 ?? ?? ?? ?? 2B 68 00 2B 23 68 03 D1 23 B1 00 20 BD E8 30 88 00 2B FA D0 01 20 F9 E7 }
	condition:
		$1
}

rule file_12_7_1 {
	meta:
		name = "??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 54
		refs = "0010 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 79 0C 46 0B B9 ?? ?? ?? ?? 23 79 13 B9 20 46 ?? ?? ?? ?? 2B 68 00 2B 23 68 03 D1 23 B9 00 20 BD E8 30 88 00 2B FA D1 01 20 F9 E7 }
	condition:
		$1
}

rule file_17_25_1 {
	meta:
		name = "??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 54
		refs = "0010 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 79 0C 46 0B B9 ?? ?? ?? ?? 23 79 13 B9 20 46 ?? ?? ?? ?? 2B 68 00 2B 23 68 03 D1 23 B9 00 20 BD E8 30 88 00 2B FA D1 01 20 F9 E7 }
	condition:
		$1
}

rule file_17_28_1 {
	meta:
		name = "??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 54
		refs = "0010 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 79 0C 46 0B B9 ?? ?? ?? ?? 23 79 13 B9 20 46 ?? ?? ?? ?? 2B 68 00 2B 23 68 03 D1 23 B9 00 20 BD E8 30 88 00 2B FA D1 01 20 F9 E7 }
	condition:
		$1
}

rule file_12_9_1 {
	meta:
		name = "??$_Find_elem@D@std@@YAIPADD@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 00 20 03 46 04 E0 8A 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 18 1A BD E8 00 88 }
	condition:
		$1
}

rule file_12_10_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z"
		size = 450
		refs = "0008 __security_push_cookie 0044 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00ca ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 018c ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 0196 _invalid_parameter_noinfo_noreturn 01a2 ??3@YAXPAX@Z 01ba __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 92 46 6F F0 01 02 C7 E9 04 22 93 F9 00 50 3B 60 89 46 F9 60 80 46 4D B1 2C 46 1E 46 AC 42 01 D1 0A F1 01 0A 16 F9 01 4F 00 2C F7 D1 17 F1 18 00 00 22 51 46 ?? ?? ?? ?? 6F F0 01 03 01 25 BB 60 00 23 39 6B F8 69 00 26 00 24 7B 60 BA F1 00 0F 00 F0 9D 80 D7 F8 2C E0 3A 68 B3 56 6B B1 92 F9 00 20 D7 F8 00 90 93 42 04 D0 76 1C 16 F9 09 30 00 2B F8 D1 D7 F8 0C 90 3A 68 74 45 00 F2 85 80 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 43 B1 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 1E 44 4C E0 3B 68 2E 44 B2 56 93 F9 00 30 9A 42 38 D0 BA B3 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 99 F8 04 30 2B B9 48 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 D8 F8 00 30 00 2B D9 F8 00 30 01 D1 9B B1 00 E0 8B B9 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 3B 68 F2 56 98 F9 05 30 9A 42 02 D1 01 23 7B 60 18 E0 7F 2D 2B 46 28 BF 7F 23 74 45 36 D8 10 29 0B D2 17 F1 1C 00 08 E0 7F 2D 2B 46 28 BF 7F 23 10 29 01 D2 17 F1 1C 00 BC 60 03 55 F8 69 D7 E9 0B E1 7B 68 64 1C 54 45 89 D3 1B B3 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 39 6B F8 69 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 39 6B F8 69 D8 F8 00 30 00 2B D9 F8 00 30 01 D1 63 B1 00 E0 53 B9 40 46 6D 1C ?? ?? ?? ?? 6F F0 00 03 5B E7 ?? ?? ?? ?? ?? ?? ?? ?? 10 29 01 D3 ?? ?? ?? ?? 0F 23 B8 69 3B 63 00 23 FB 62 3B 77 ?? ?? ?? ?? B8 68 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_12_12_1 {
	meta:
		name = "??$_Getvals@D@?$numpunct@D@std@@IAAXDPBUlconv@@U_Cvtvec@@@Z"
		size = 28
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 13 68 1B 78 03 73 53 68 1B 78 43 73 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_12_14_1 {
	meta:
		name = "??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z"
		size = 52
		refs = "000a strlen 0014 calloc 002e ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 45 1C 28 46 01 21 ?? ?? ?? ?? 48 B1 35 B1 02 1B 23 78 6D 1E 13 55 64 1C 00 2D F9 D1 BD E8 30 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_16_1 {
	meta:
		name = "??$_Pocca@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z"
		size = 16
		altNames = "??$_Pocca@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z ??$_Pocca@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@ABU10@U?$integral_constant@_N$0A@@0@@Z ??$_Pocma@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0U?$integral_constant@_N$00@0@@Z ??$_Pocma@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@0@0U?$integral_constant@_N$00@0@@Z ??$_Pocma@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@0@0U?$integral_constant@_N$00@0@@Z ??$_Pocs@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@@std@@YAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@0@0U?$integral_constant@_N$0A@@0@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_12_22_1 {
	meta:
		name = "??$construct@PADAAPAD@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAXPAPADAAPAD@Z"
		size = 16
		altNames = "??$construct@PADAAPAD@?$allocator@D@std@@QAAXPAPADAAPAD@Z ??$construct@PADAAPAD@?$allocator_traits@V?$allocator@D@std@@@std@@SAXAAV?$allocator@D@1@PAPADAAPAD@Z ??$construct@PAGAAPAG@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAXPAPAGAAPAG@Z ??$construct@PAGAAPAG@?$allocator@G@std@@QAAXPAPAGAAPAG@Z ??$construct@PAGAAPAG@?$allocator_traits@V?$allocator@G@std@@@std@@SAXAAV?$allocator@G@1@PAPAGAAPAG@Z ??$construct@PA_WAAPA_W@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAXPAPA_WAAPA_W@Z ??$construct@PA_WAAPA_W@?$allocator@_W@std@@QAAXPAPA_WAAPA_W@Z ??$construct@PA_WAAPA_W@?$allocator_traits@V?$allocator@_W@std@@@std@@SAXAAV?$allocator@_W@1@PAPA_WAAPA_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 B1 13 68 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_12_25_1 {
	meta:
		name = "??$construct@U_Container_proxy@std@@U12@@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAXPAU_Container_proxy@1@$$QAU21@@Z"
		size = 20
		altNames = "??$construct@U_Container_proxy@std@@U12@@?$allocator@U_Container_proxy@std@@@std@@QAAXPAU_Container_proxy@1@$$QAU21@@Z ??$construct@U_Container_proxy@std@@U12@@?$allocator_traits@V?$allocator@U_Container_proxy@std@@@std@@@std@@SAXAAV?$allocator@U_Container_proxy@std@@@1@PAU_Container_proxy@1@$$QAU31@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 19 B1 13 68 0B 60 53 68 4B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_12_38_1 {
	meta:
		name = "??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$codecvt@DDU_Mbstatet@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$codecvt@DDU_Mbstatet@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_22_2 {
	meta:
		name = "??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$codecvt@GDU_Mbstatet@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$codecvt@GDU_Mbstatet@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_22_2 {
	meta:
		name = "??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$codecvt@_WDU_Mbstatet@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_48_2 {
	meta:
		name = "??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$collate@D@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$collate@D@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_125_2 {
	meta:
		name = "??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$collate@G@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$collate@G@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_127_2 {
	meta:
		name = "??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$collate@_W@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$collate@_W@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_40_1 {
	meta:
		name = "??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$ctype@D@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$ctype@D@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_24_2 {
	meta:
		name = "??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$ctype@G@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$ctype@G@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_24_2 {
	meta:
		name = "??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$ctype@_W@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$ctype@_W@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_64_1 {
	meta:
		name = "??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$messages@D@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$messages@D@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_151_1 {
	meta:
		name = "??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$messages@G@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$messages@G@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_135_2 {
	meta:
		name = "??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$messages@_W@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$messages@_W@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_66_1 {
	meta:
		name = "??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_155_1 {
	meta:
		name = "??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_157_1 {
	meta:
		name = "??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_56_2 {
	meta:
		name = "??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_159_1 {
	meta:
		name = "??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_143_2 {
	meta:
		name = "??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_70_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$moneypunct@D$00@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$moneypunct@D$00@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_60_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$moneypunct@D$0A@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_145_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$moneypunct@G$00@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$moneypunct@G$00@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_147_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$moneypunct@G$0A@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_167_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$moneypunct@_W$00@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_169_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$moneypunct@_W$0A@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_42_1 {
	meta:
		name = "??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_153_2 {
	meta:
		name = "??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_155_2 {
	meta:
		name = "??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_44_1 {
	meta:
		name = "??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_157_2 {
	meta:
		name = "??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_159_2 {
	meta:
		name = "??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_46_1 {
	meta:
		name = "??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$numpunct@D@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$numpunct@D@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_161_2 {
	meta:
		name = "??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$numpunct@G@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$numpunct@G@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_163_2 {
	meta:
		name = "??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$numpunct@_W@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$numpunct@_W@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_74_1 {
	meta:
		name = "??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_165_2 {
	meta:
		name = "??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_167_2 {
	meta:
		name = "??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_76_1 {
	meta:
		name = "??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_187_1 {
	meta:
		name = "??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_189_1 {
	meta:
		name = "??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 224
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0048 ??1_Lockit@std@@QAA@XZ 0068 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0088 ?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 0096 ??0bad_cast@std@@QAA@XZ 00a0 _CxxThrowException 00b0 _guard_check_icall 00ba ?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z 00d0 _TI2?AVbad_cast@std@@ 00d4 ?_Id_cnt@id@locale@std@@0HA 00d8 ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 00dc ?_Psave@?$_Facetptr@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 6F 46 80 46 6F F0 01 03 17 F1 08 00 00 21 C7 E9 04 33 ?? ?? ?? ?? DF F8 B8 90 2C 4D D9 F8 00 60 2C 68 3E 60 74 B9 38 1D 00 21 ?? ?? ?? ?? 2B 68 23 B9 25 4B 1A 68 52 1C 1A 60 2A 60 38 1D ?? ?? ?? ?? 2C 68 D8 F8 04 20 D3 68 9C 42 03 D2 93 68 53 F8 24 50 00 E0 00 25 65 BB 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 50 00 E0 00 25 FD B9 0E B1 35 46 1C E0 38 46 41 46 ?? ?? ?? ?? B0 F1 FF 3F 08 D1 17 F1 18 00 ?? ?? ?? ?? 0D 49 17 F1 18 00 ?? ?? ?? ?? 3D 68 C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 28 46 0A B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_48_1 {
	meta:
		name = "??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ"
		size = 52
		refs = "0014 ??2@YAPAXI@Z 002e _invalid_parameter_noinfo_noreturn"
		altNames = "??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@X@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@X@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@X@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z ??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ ??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 00 23 08 20 23 60 C4 E9 05 33 ?? ?? ?? ?? 48 B1 00 23 00 22 20 60 C0 E9 00 32 23 68 20 46 1C 60 BD E8 18 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_49_1 {
	meta:
		name = "??0?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ"
		size = 18
		altNames = "??0?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ ??0?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 03 60 C0 E9 05 33 BD E8 00 88 }
	condition:
		$1
}

rule file_12_51_1 {
	meta:
		name = "??0?$_Yarn@D@std@@QAA@XZ"
		size = 16
		altNames = "??0task_continuation_context@Concurrency@@AAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 03 60 03 71 BD E8 00 88 }
	condition:
		$1
}

rule file_12_52_1 {
	meta:
		name = "??0?$_Yarn@_W@std@@QAA@XZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 03 60 83 80 BD E8 00 88 }
	condition:
		$1
}

rule file_12_55_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z"
		size = 108
		refs = "002a ??2@YAPAXI@Z 0030 _invalid_parameter_noinfo_noreturn 005e ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 6F 46 04 46 6F F0 01 03 BC 62 4F F0 00 08 C7 E9 00 33 C0 F8 00 80 C0 E9 05 88 08 20 15 46 0E 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 0F 23 A3 61 10 2B 01 D3 63 68 00 E0 23 1D C4 F8 14 80 2A 46 31 46 20 46 83 F8 00 80 ?? ?? ?? ?? 20 46 BD E8 FE 09 5D F8 14 FB }
	condition:
		$1
}

rule file_99_104_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBDI@Z"
		size = 108
		refs = "002a ??2@YAPAXI@Z 0030 _invalid_parameter_noinfo_noreturn 005e ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 6F 46 04 46 6F F0 01 03 BC 62 4F F0 00 08 C7 E9 00 33 C0 F8 00 80 C0 E9 05 88 08 20 15 46 0E 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 0F 23 A3 61 10 2B 01 D3 63 68 00 E0 23 1D C4 F8 14 80 2A 46 31 46 20 46 83 F8 00 80 ?? ?? ?? ?? 20 46 BD E8 FE 09 5D F8 14 FB }
	condition:
		$1
}

rule file_12_57_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
		size = 114
		refs = "0024 ??2@YAPAXI@Z 002a _invalid_parameter_noinfo_noreturn 005a strlen 0064 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 03 B4 2D E9 FC 48 0D F1 18 0B 6F 46 04 46 6F F0 01 03 3C 62 00 26 C7 E9 00 33 08 20 26 60 C4 E9 05 66 0D 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 0F 23 A3 61 10 2B 01 D3 63 68 00 E0 23 1D 66 61 1E 70 95 F9 00 30 0B B9 00 20 02 E0 28 46 ?? ?? ?? ?? 02 46 20 46 29 46 ?? ?? ?? ?? 20 46 BD E8 FC 08 5D F8 0C FB }
	condition:
		$1
}

rule file_12_59_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		size = 68
		refs = "001e ??2@YAPAXI@Z 0024 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 04 46 00 25 C7 E9 00 33 08 20 25 60 C4 E9 05 55 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 0F 23 C4 E9 05 53 25 71 20 46 BD E8 BE 88 }
	condition:
		$1
}

rule file_12_60_1 {
	meta:
		name = "??0?$codecvt@DDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$codecvt@DDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_87_2 {
	meta:
		name = "??0?$messages@D@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$messages@D@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_265_1 {
	meta:
		name = "??0?$messages@G@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$messages@G@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_266_1 {
	meta:
		name = "??0?$messages@_W@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$messages@_W@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_88_2 {
	meta:
		name = "??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_267_1 {
	meta:
		name = "??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_268_1 {
	meta:
		name = "??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_89_2 {
	meta:
		name = "??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_229_2 {
	meta:
		name = "??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_270_1 {
	meta:
		name = "??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_48_2 {
	meta:
		name = "??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_279_1 {
	meta:
		name = "??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_280_1 {
	meta:
		name = "??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_49_2 {
	meta:
		name = "??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_281_1 {
	meta:
		name = "??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_282_1 {
	meta:
		name = "??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 20
		refs = "0010 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 32 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_61_1 {
	meta:
		name = "??0?$ctype@D@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 44
		refs = "0012 _Getctype 0028 ??_7?$ctype@D@std@@6B@"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 07 4B 07 46 68 46 C7 E9 00 32 ?? ?? ?? ?? 6D 46 1E CD 07 F1 08 06 1E C6 38 46 04 B0 BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_64_1 {
	meta:
		name = "??0?$numpunct@D@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 52
		refs = "0022 ?_Init@?$numpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 0030 ??_7?$numpunct@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 05 4A 20 46 22 60 1A 46 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_283_1 {
	meta:
		name = "??0?$numpunct@G@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 52
		refs = "0022 ?_Init@?$numpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 0030 ??_7?$numpunct@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 05 4A 20 46 22 60 1A 46 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_285_1 {
	meta:
		name = "??0?$numpunct@_W@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 52
		refs = "0022 ?_Init@?$numpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 0030 ??_7?$numpunct@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 05 4A 20 46 22 60 1A 46 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_68_1 {
	meta:
		name = "??0_Container_proxy@std@@QAA@XZ"
		size = 16
		altNames = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@XZ ??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@XZ ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@XZ ??0?$_Ptr_base@V__ExceptionPtr@@@std@@QAA@XZ ??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@XZ ??0_Iterator_base12@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 00 33 BD E8 00 88 }
	condition:
		$1
}

rule file_12_70_1 {
	meta:
		name = "??0_Locinfo@std@@QAA@PBD@Z"
		size = 116
		refs = "001e ??0_Lockit@std@@QAA@H@Z 0048 ??0runtime_error@std@@QAA@PBD@Z 0052 _CxxThrowException 005a ?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@PBD@Z 006c _TI2?AVruntime_error@std@@ 0070 ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B 85 B0 6F 46 04 46 0D 46 6F F0 01 03 BC 62 00 21 C7 E9 00 33 ?? ?? ?? ?? 00 23 63 60 23 72 E3 60 23 74 63 61 23 83 E3 61 23 84 63 62 84 F8 28 30 E3 62 84 F8 30 30 4D B9 0B 49 17 F1 08 00 ?? ?? ?? ?? 07 49 17 F1 08 00 ?? ?? ?? ?? 29 46 20 46 ?? ?? ?? ?? 20 46 05 B0 BD E8 B0 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_80_1 {
	meta:
		name = "??0codecvt_base@std@@QAA@I@Z"
		size = 20
		refs = "0010 ??_7codecvt_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_90_1 {
	meta:
		name = "??0ctype_base@std@@QAA@I@Z"
		size = 20
		refs = "0010 ??_7ctype_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_77_2 {
	meta:
		name = "??0facet@locale@std@@IAA@I@Z"
		size = 20
		refs = "0010 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_143_1 {
	meta:
		name = "??0messages_base@std@@QAA@I@Z"
		size = 20
		refs = "0010 ??_7messages_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_277_2 {
	meta:
		name = "??0money_base@std@@QAA@I@Z"
		size = 20
		refs = "0010 ??_7money_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_147_1 {
	meta:
		name = "??0time_base@std@@QAA@I@Z"
		size = 20
		refs = "0010 ??_7time_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_3_1 {
	meta:
		name = "?resetiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 20
		refs = "0010 ?rsfun@std@@YAXAAVios_base@1@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_6_2 {
	meta:
		name = "?setbase@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 20
		refs = "0010 ?sbfun@std@@YAXAAVios_base@1@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_8_2 {
	meta:
		name = "?setiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 20
		refs = "0010 ?sifun@std@@YAXAAVios_base@1@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 31 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_83_1 {
	meta:
		name = "??0exception@std@@QAA@QBD@Z"
		size = 48
		refs = "0020 __std_exception_copy 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 08 4B 04 46 00 91 23 60 00 23 C4 E9 01 33 01 23 68 46 21 1D 8D F8 04 30 ?? ?? ?? ?? 20 46 BD E8 1E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_87_1 {
	meta:
		name = "??0locale@std@@QAA@ABV01@@Z"
		size = 44
		refs = "001e _guard_check_icall"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 4D 68 06 46 75 60 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 30 46 BD E8 FC 88 }
	condition:
		$1
}

rule file_12_88_1 {
	meta:
		name = "??0locale@std@@QAA@XZ"
		size = 34
		refs = "0016 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 03 01 20 C7 E9 00 33 ?? ?? ?? ?? 60 60 20 46 BD E8 9C 88 }
	condition:
		$1
}

rule file_12_90_1 {
	meta:
		name = "??0runtime_error@std@@QAA@PBD@Z"
		size = 56
		refs = "0020 __std_exception_copy 0030 ??_7runtime_error@std@@6B@ 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 0A 4B 04 46 00 91 23 60 00 23 C4 E9 01 33 01 23 68 46 21 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_9_1 {
	meta:
		name = "??0invalid_argument@std@@QAA@PBD@Z"
		size = 56
		refs = "0020 __std_exception_copy 0030 ??_7invalid_argument@std@@6B@ 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 0A 4B 04 46 00 91 23 60 00 23 C4 E9 01 33 01 23 68 46 21 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_11_1 {
	meta:
		name = "??0length_error@std@@QAA@PBD@Z"
		size = 56
		refs = "0020 __std_exception_copy 0030 ??_7length_error@std@@6B@ 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 0A 4B 04 46 00 91 23 60 00 23 C4 E9 01 33 01 23 68 46 21 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_6_1 {
	meta:
		name = "??0logic_error@std@@QAA@PBD@Z"
		size = 56
		refs = "0020 __std_exception_copy 0030 ??_7logic_error@std@@6B@ 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 0A 4B 04 46 00 91 23 60 00 23 C4 E9 01 33 01 23 68 46 21 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_15_1 {
	meta:
		name = "??0out_of_range@std@@QAA@PBD@Z"
		size = 56
		refs = "0020 __std_exception_copy 0030 ??_7out_of_range@std@@6B@ 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 0A 4B 04 46 00 91 23 60 00 23 C4 E9 01 33 01 23 68 46 21 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_17_1 {
	meta:
		name = "??0overflow_error@std@@QAA@PBD@Z"
		size = 56
		refs = "0020 __std_exception_copy 0030 ??_7overflow_error@std@@6B@ 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 0A 4B 04 46 00 91 23 60 00 23 C4 E9 01 33 01 23 68 46 21 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_94_1 {
	meta:
		name = "??1?$_Yarn@D@std@@QAA@XZ"
		size = 26
		refs = "000e free"
		altNames = "??1?$_Yarn@_W@std@@QAA@XZ ?_Tidy@?$_Yarn@D@std@@AAAXXZ ?_Tidy@?$_Yarn@_W@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 08 B1 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_12_96_1 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		size = 44
		refs = "0012 ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 A3 69 10 2B 02 D3 60 68 ?? ?? ?? ?? 0F 23 00 25 C4 E9 05 53 25 71 20 68 ?? ?? ?? ?? 25 60 BD E8 30 88 }
	condition:
		$1
}

rule file_12_98_1 {
	meta:
		name = "??1?$ctype@D@std@@MAA@XZ"
		size = 60
		refs = "0016 free 0020 ??_V@YAXPAX@Z 0034 ??_7_Facet_base@std@@6B@ 0038 ??_7?$ctype@D@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0B 4B 04 46 23 60 23 69 00 2B 03 DD E0 68 ?? ?? ?? ?? 03 E0 02 DA E0 68 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_101_1 {
	meta:
		name = "??1?$numpunct@D@std@@MAA@XZ"
		size = 48
		refs = "0010 free 0028 ??_7_Facet_base@std@@6B@ 002c ??_7?$numpunct@D@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_367_1 {
	meta:
		name = "??1?$numpunct@G@std@@MAA@XZ"
		size = 48
		refs = "0010 free 0028 ??_7_Facet_base@std@@6B@ 002c ??_7?$numpunct@G@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_368_1 {
	meta:
		name = "??1?$numpunct@_W@std@@MAA@XZ"
		size = 48
		refs = "0010 free 0028 ??_7_Facet_base@std@@6B@ 002c ??_7?$numpunct@_W@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_105_1 {
	meta:
		name = "??1_Locinfo@std@@QAA@XZ"
		size = 96
		refs = "0014 ?_Locinfo_dtor@_Locinfo@std@@SAXPAV12@@Z 001c free 0058 ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 04 46 ?? ?? ?? ?? E0 6A 08 B1 ?? ?? ?? ?? 00 25 E5 62 60 6A 08 B1 ?? ?? ?? ?? 65 62 E0 69 08 B1 ?? ?? ?? ?? E5 61 60 69 08 B1 ?? ?? ?? ?? 65 61 E0 68 08 B1 ?? ?? ?? ?? E5 60 60 68 08 B1 ?? ?? ?? ?? 20 46 65 60 ?? ?? ?? ?? BD E8 BE 88 }
	condition:
		$1
}

rule file_12_111_1 {
	meta:
		name = "??1locale@std@@QAA@XZ"
		size = 60
		refs = "001c _guard_check_icall"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 45 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 BD E8 BE 88 }
	condition:
		$1
}

rule file_12_114_1 {
	meta:
		name = "??4?$_Yarn@D@std@@QAAAAV01@PBD@Z"
		size = 74
		refs = "0014 free 0034 malloc 0040 memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 28 68 0C 46 A0 42 18 D0 08 B1 ?? ?? ?? ?? 00 23 2B 60 94 B1 94 F9 00 30 22 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 16 1B 70 1C ?? ?? ?? ?? 28 60 18 B1 72 1C 21 46 ?? ?? ?? ?? 28 46 BD E8 78 88 }
	condition:
		$1
}

rule file_12_115_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@ABV01@@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 8C 42 04 D0 6F F0 00 03 00 22 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_401_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@ABV01@@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 8C 42 04 D0 6F F0 00 03 00 22 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_403_1 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@ABV01@@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 8C 42 04 D0 6F F0 00 03 00 22 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_116_1 {
	meta:
		name = "??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
		size = 88
		refs = "003e _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 06 46 75 68 0F 46 F5 B1 2B 6A 1B 68 13 B1 2B 6B 1B 68 00 E0 00 23 00 2B 0A DD 2A 6B F8 B2 13 68 5B 1E 13 60 2A 6A 11 68 4B 1C 13 60 0F 70 07 E0 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 F9 B2 A0 47 B0 F1 FF 3F 01 D1 01 23 33 70 30 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_12_117_1 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z"
		size = 36
		refs = "001e _invalid_parameter_noinfo_noreturn"
		altNames = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 99 42 08 D8 83 69 10 2B 01 D3 43 68 00 E0 03 1D 58 18 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_119_1 {
	meta:
		name = "??Bid@locale@std@@QAAIXZ"
		size = 52
		refs = "0012 ??0_Lockit@std@@QAA@H@Z 0026 ??1_Lockit@std@@QAA@XZ 0030 ?_Id_cnt@id@locale@std@@0HA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 68 6B B9 68 46 00 21 ?? ?? ?? ?? 23 68 23 B9 05 4B 1A 68 52 1C 1A 60 22 60 68 46 ?? ?? ?? ?? 20 68 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_120_1 {
	meta:
		name = "??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBADXZ"
		size = 26
		refs = "000e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 79 0B B9 ?? ?? ?? ?? 94 F9 05 00 BD E8 18 88 }
	condition:
		$1
}

rule file_12_122_1 {
	meta:
		name = "??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@XZ"
		size = 20
		refs = "000a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_82_2_1 {
	meta:
		name = "??0exception_ptr@std@@QAA@ABV01@@Z"
		size = 20
		refs = "000a ?__ExceptionPtrCopy@@YAXPAXPBX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_429_1 {
	meta:
		name = "??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@XZ"
		size = 20
		refs = "000a ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_430_1 {
	meta:
		name = "??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@XZ"
		size = 20
		refs = "000a ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_445_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 20
		refs = "000a ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_446_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 20
		refs = "000a ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_79_3 {
	meta:
		name = "?getECSUName@UnDecorator@@CA?AVDName@@XZ"
		size = 20
		refs = "000a ?getScopedName@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_100_3 {
	meta:
		name = "?getReferenceType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z"
		size = 20
		refs = "000a ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_124_3 {
	meta:
		name = "?getVbTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 20
		refs = "000a ?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_124_1 {
	meta:
		name = "??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@ABV01@@Z"
		size = 20
		refs = "0010 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
		altNames = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_448_1 {
	meta:
		name = "??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@ABV01@@Z"
		size = 20
		refs = "0010 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_450_1 {
	meta:
		name = "??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@ABV01@@Z"
		size = 20
		refs = "0010 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_934_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@@Z"
		size = 20
		refs = "0010 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_937_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@@Z"
		size = 20
		refs = "0010 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_279_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@@Z"
		size = 20
		refs = "0010 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_945_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@@Z"
		size = 20
		refs = "0010 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_951_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@@Z"
		size = 20
		refs = "0010 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_125_1 {
	meta:
		name = "??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z"
		size = 78
		refs = "001a ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0048 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 62 69 0E 46 D3 43 01 2B 19 D9 55 1C 29 46 00 22 ?? ?? ?? ?? 80 B1 D4 E9 05 23 10 2B 01 D3 63 68 00 E0 23 1D 9E 54 A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 5A 55 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_126_1 {
	meta:
		name = "??_G?$codecvt@DDU_Mbstatet@@@std@@MAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7_Facet_base@std@@6B@"
		altNames = "??_G?$messages@D@std@@MAAPAXI@Z ??_G?$messages@G@std@@MAAPAXI@Z ??_G?$messages@_W@std@@MAAPAXI@Z ??_G?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z ??_G?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z ??_G?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z ??_G?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z ??_G?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z ??_G?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z ??_G?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z ??_G?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z ??_G?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z ??_G?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z ??_G?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z ??_G?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z ??_Gcodecvt_base@std@@UAAPAXI@Z ??_Gctype_base@std@@UAAPAXI@Z ??_Gfacet@locale@std@@MAAPAXI@Z ??_Gmessages_base@std@@UAAPAXI@Z ??_Gmoney_base@std@@UAAPAXI@Z ??_Gtime_base@std@@UAAPAXI@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 08 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_141_2 {
	meta:
		name = "??_G_Generic_error_category@std@@UAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 08 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_141_2 {
	meta:
		name = "??_G_Iostream_error_category@std@@UAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 08 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_80_2 {
	meta:
		name = "??_G_System_error_category@std@@UAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 08 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_146_2 {
	meta:
		name = "??_Gerror_category@std@@UAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 08 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_127_1 {
	meta:
		name = "??_G?$ctype@D@std@@MAAPAXI@Z"
		size = 76
		refs = "0018 free 0022 ??_V@YAXPAX@Z 003a ??3@YAXPAXI@Z 0044 ??_7_Facet_base@std@@6B@ 0048 ??_7?$ctype@D@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0F 4B 04 46 0D 46 23 60 23 69 00 2B 03 DD E0 68 ?? ?? ?? ?? 03 E0 02 DA E0 68 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 05 4B 15 F0 01 0F 23 60 03 D0 18 21 20 46 ?? ?? ?? ?? 20 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_130_1 {
	meta:
		name = "??_G?$numpunct@D@std@@MAAPAXI@Z"
		size = 68
		refs = "0012 free 0030 ??3@YAXPAXI@Z 003c ??_7_Facet_base@std@@6B@ 0040 ??_7?$numpunct@D@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 18 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_476_1 {
	meta:
		name = "??_G?$numpunct@G@std@@MAAPAXI@Z"
		size = 68
		refs = "0012 free 0030 ??3@YAXPAXI@Z 003c ??_7_Facet_base@std@@6B@ 0040 ??_7?$numpunct@G@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 18 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_477_1 {
	meta:
		name = "??_G?$numpunct@_W@std@@MAAPAXI@Z"
		size = 68
		refs = "0012 free 0030 ??3@YAXPAXI@Z 003c ??_7_Facet_base@std@@6B@ 0040 ??_7?$numpunct@_W@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 18 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_131_1 {
	meta:
		name = "??_G_Facet_base@std@@UAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 04 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_139_1 {
	meta:
		name = "?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXXZ"
		size = 42
		refs = "000c ??2@YAPAXI@Z 0024 _invalid_parameter_noinfo_noreturn"
		altNames = "?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXXZ ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 08 20 ?? ?? ?? ?? 40 B1 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 BD E8 18 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_140_1 {
	meta:
		name = "?_Allocate@std@@YAPAXII_N@Z"
		size = 62
		refs = "001e __rt_udiv 002a ??2@YAPAXI@Z 0034 ?_Xbad_alloc@std@@YAXXZ 0038 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 0D 46 14 B9 00 20 BD E8 30 88 6F F0 00 01 28 46 00 B9 F9 DE ?? ?? ?? ?? A0 42 06 D3 04 FB 05 F0 ?? ?? ?? ?? 00 28 EE D1 01 E0 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_141_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX$$QAV12@@Z"
		size = 66
		refs = "001e memmove"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0C 46 A3 69 00 26 05 46 10 2B 07 D2 63 69 5A 1C 09 D0 28 1D 21 1D ?? ?? ?? ?? 04 E0 2A 1D 01 D0 63 68 13 60 66 60 63 69 6B 61 A3 69 AB 61 0F 23 C4 E9 05 63 26 71 BD E8 78 88 }
	condition:
		$1
}

rule file_12_142_1 {
	meta:
		name = "?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
		size = 114
		refs = "006c _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 00 2A 25 D0 2D DD 02 2A 18 DD 03 2A 0C D0 13 1F 01 2B 26 D8 BF F3 5B 8F 54 E8 00 0F 42 18 44 E8 00 23 00 2B F8 D1 10 E0 BF F3 5B 8F 54 E8 00 0F 42 18 44 E8 00 23 00 2B F8 D1 10 E0 54 E8 00 0F 42 18 44 E8 00 23 00 2B F8 D1 BF F3 5B 8F 06 E0 54 E8 00 0F 42 18 44 E8 00 23 00 2B F8 D1 BD E8 18 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_143_1 {
	meta:
		name = "?_Atomic_fetch_sub_4@std@@YAKPCKKW4memory_order@1@@Z"
		size = 16
		refs = "000c ?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 49 42 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_145_1 {
	meta:
		name = "?_C_str@?$_Yarn@D@std@@QBAPBDXZ"
		size = 18
		altNames = "?_C_str@?$_Yarn@_W@std@@QBAPB_WXZ ?c_str@?$_Yarn@D@std@@QBAPBDXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 18 68 00 B9 18 1D BD E8 00 88 }
	condition:
		$1
}

rule file_12_146_1 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXIID@Z"
		size = 54
		refs = "002e memset"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 1C 46 01 2A 07 D1 82 69 10 2A 01 D3 42 68 00 E0 02 1D 54 54 09 E0 83 69 10 2B 01 D3 43 68 00 E0 03 1D 58 18 21 46 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_12_147_1 {
	meta:
		name = "?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z"
		size = 22
		refs = "0010 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 8B 42 01 D3 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_512_1 {
	meta:
		name = "?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z"
		size = 22
		refs = "0010 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 8B 42 01 D3 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_513_1 {
	meta:
		name = "?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z"
		size = 22
		refs = "0010 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 8B 42 01 D3 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_148_1 {
	meta:
		name = "?_Clamp_suffix_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIII@Z"
		size = 22
		altNames = "?_Clamp_suffix_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIII@Z ?_Clamp_suffix_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIII@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 5B 1A 9A 42 88 BF 1A 46 10 46 BD E8 00 88 }
	condition:
		$1
}

rule file_12_149_1 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z"
		size = 200
		refs = "0050 ??2@YAPAXI@Z 0058 _invalid_parameter_noinfo_noreturn 008a memcpy 0096 ??3@YAXPAX@Z"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 4F F0 0F 09 41 EA 09 05 04 46 6F F0 01 03 15 F1 02 0F 90 46 BA 63 79 63 3C 63 C7 E9 02 33 01 D9 0D 46 0D E0 A1 69 24 4B 48 08 A5 FB 03 32 B0 EB 52 0F 05 D9 6F F0 01 05 2B 1A 99 42 00 D8 45 18 68 1C 0D D0 ?? ?? ?? ?? 06 46 56 B9 ?? ?? ?? ?? 3C 6B D7 F8 38 80 D7 E9 00 56 4F F0 0F 09 00 E0 00 26 B8 F1 00 0F 0C D0 A3 69 10 2B 01 D3 61 68 00 E0 21 1D B8 F1 00 0F 03 D0 42 46 30 46 ?? ?? ?? ?? A3 69 10 2B 02 D3 60 68 ?? ?? ?? ?? 4F F0 00 02 C4 E9 05 29 23 1D 1A 70 00 D0 1E 60 A5 61 10 2D 00 D3 63 68 C4 F8 14 80 03 F8 08 20 BD E8 FF 0B 5D F8 14 FB FE DE AB AA AA AA }
	condition:
		$1
}

rule file_12_150_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z$1"
		size = 22
		refs = "0008 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 0010 _CxxThrowException"
	strings:
		$1 = { 10 B5 38 6B 00 22 01 21 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_523_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z$1"
		size = 22
		refs = "0008 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 0010 _CxxThrowException"
	strings:
		$1 = { 10 B5 38 6B 00 22 01 21 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_526_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z$1"
		size = 22
		refs = "0008 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 0010 _CxxThrowException"
	strings:
		$1 = { 10 B5 38 6B 00 22 01 21 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_151_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z$0"
		size = 46
		refs = "0012 ??2@YAPAXI@Z 0022 _invalid_parameter_noinfo_noreturn 002a $LN19"
	strings:
		$1 = { 10 B5 7B 6B 3B 60 58 1C 40 F0 03 80 00 20 00 F0 05 B8 ?? ?? ?? ?? 00 28 00 F0 03 80 78 60 02 48 10 BD ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_152_1 {
	meta:
		name = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z"
		size = 52
		refs = "000c ??3@YAXPAX@Z 0016 ??2@YAPAXI@Z 002e _invalid_parameter_noinfo_noreturn"
		altNames = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z ?_Copy_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXABU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z ?_Move_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z ?_Move_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z ?_Move_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAXAAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 08 20 23 60 ?? ?? ?? ?? 40 B1 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 BD E8 18 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_154_1 {
	meta:
		name = "?_Dec_atomic_counter_explicit@std@@YAKAAKW4memory_order@1@@Z"
		size = 22
		refs = "000c ?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 46 6F F0 00 01 ?? ?? ?? ?? 40 1E BD E8 00 88 }
	condition:
		$1
}

rule file_12_155_1 {
	meta:
		name = "?_Decref@facet@locale@std@@UAAPAV_Facet_base@3@XZ"
		size = 46
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 21 1D BF F3 5B 8F 51 E8 00 0F 42 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 43 1E 18 BF 00 24 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_156_1 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 83 69 10 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 5A 54 BD E8 00 88 }
	condition:
		$1
}

rule file_12_157_1 {
	meta:
		name = "?_Fetch_add_acquire_4@std@@YAKPCKK@Z"
		size = 32
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 50 E8 00 4F 62 18 40 E8 00 23 00 2B F8 D1 20 46 BF F3 5B 8F BD E8 18 88 }
	condition:
		$1
}

rule file_12_158_1 {
	meta:
		name = "?_Fetch_add_relaxed_4@std@@YAKPCKK@Z"
		size = 28
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 50 E8 00 4F 62 18 40 E8 00 23 00 2B F8 D1 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_159_1 {
	meta:
		name = "?_Fetch_add_release_4@std@@YAKPCKK@Z"
		size = 32
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B BF F3 5B 8F 50 E8 00 4F 62 18 40 E8 00 23 00 2B F8 D1 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_160_1 {
	meta:
		name = "?_Fetch_add_seq_cst_4@std@@YAKPCKK@Z"
		size = 36
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B BF F3 5B 8F 50 E8 00 4F 62 18 40 E8 00 23 00 2B F8 D1 20 46 BF F3 5B 8F BD E8 18 88 }
	condition:
		$1
}

rule file_12_161_1 {
	meta:
		name = "?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z"
		size = 140
		altNames = "?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 1C 46 25 23 48 1C 0B 70 14 F0 20 0F 02 D0 2B 23 03 70 40 1C 14 F0 10 0F 02 D0 23 23 03 70 40 1C 2E 23 03 70 2A 23 43 70 80 1C 0A B1 02 70 40 1C 4F F4 40 52 04 EA 02 03 14 F0 04 0F 0D D0 B3 F5 00 5F 0D D0 93 42 08 BF 41 23 15 D0 B3 F5 80 5F 08 BF 45 23 10 D0 47 23 0E E0 B3 F5 00 5F 01 D1 66 23 09 E0 93 42 08 BF 61 23 05 D0 B3 F5 80 5F 08 BF 65 23 18 BF 67 23 03 70 00 23 43 70 08 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_162_1 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z"
		size = 992
		refs = "000a __security_push_cookie 0078 strcspn 0082 localeconv 009e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a2 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00bc _guard_check_icall 00e2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0116 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0150 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0180 _invalid_parameter_noinfo_noreturn 01cc ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0228 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0390 ??3@YAXPAX@Z 03cc __security_pop_cookie 03d8 ??_C@_02OOPEBDOJ@pP?$AA@ 03dc ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9C B0 6F 46 D7 F8 A8 40 D7 F8 B4 50 C7 E9 05 41 6F F0 01 03 D7 F8 B0 90 C7 E9 0A 33 45 B1 99 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 63 69 03 F4 40 53 B3 F5 40 5F 01 D0 E3 49 11 E0 08 F1 02 02 E0 49 AA 42 0C D8 19 F9 08 30 09 EB 08 00 30 2B 06 D1 90 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 48 46 ?? ?? ?? ?? 2E 23 3B 82 B8 60 ?? ?? ?? ?? 03 68 17 F1 10 01 48 46 1B 78 3B 74 ?? ?? ?? ?? 06 46 20 46 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 3C 60 D7 F8 24 A0 BA F1 00 0F 12 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 3C 68 17 F1 30 00 00 22 29 46 ?? ?? ?? ?? BB 6C 10 2B 02 D3 D7 F8 34 A0 01 E0 17 F1 34 0A 22 68 D4 69 20 46 ?? ?? ?? ?? 38 68 49 46 05 EB 09 02 53 46 A0 47 78 69 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 D7 F8 24 A0 BA F1 00 0F 11 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 17 F1 50 01 48 46 ?? ?? ?? ?? D9 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 48 46 A0 47 82 46 AE 42 15 D0 D9 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 48 46 A0 47 7B 6C 9E 42 01 D9 ?? ?? ?? ?? BB 6C 10 2B 01 D3 7B 6B 01 E0 17 F1 34 03 98 55 00 E0 BE 68 BD 6E 78 6D 10 2D 28 BF 04 46 01 D2 17 F1 54 04 94 F9 00 30 7F 2B 1A D0 94 F9 00 20 00 2A 14 DD A6 EB 08 03 9A 42 10 D2 B6 1A 31 46 53 46 01 22 17 F1 30 00 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 30 7F 2B E6 D1 BD 6E 78 6D 79 69 D7 F8 44 E0 D1 E9 08 23 C7 F8 08 E0 00 2B 06 DB 00 DC 22 B1 72 45 02 D9 A2 EB 0E 04 00 E0 00 24 4B 69 03 F4 E0 73 40 2B 2E D0 B3 F5 80 7F 2E D0 D7 E9 28 32 C7 E9 00 32 64 B1 97 F9 AC 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 44 E0 BD 6E 78 6D D7 E9 00 32 BE 6C 79 6B 00 24 10 2E 28 BF 89 46 C7 E9 28 32 01 D2 17 F1 34 09 C2 46 C7 E9 00 32 B8 F1 00 0F 5E D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 4E E0 B3 F5 80 7F 33 D1 BE 6C 79 6B 10 2E 28 BF 89 46 01 D2 17 F1 34 09 D7 E9 28 32 C2 46 B8 F1 00 0F C7 E9 00 32 0E D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 E6 79 6B BD 6E 78 6D D7 E9 00 32 C7 E9 28 32 C7 E9 00 32 6C B1 97 F9 AC 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 11 E6 79 6B BD 6E 78 6D D7 E9 00 32 00 24 1E E0 BE 6C 79 6B 10 2E 28 BF 89 46 01 D2 17 F1 34 09 D7 E9 28 32 C2 46 B8 F1 00 0F C7 E9 00 32 0E D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 E6 D7 E9 00 32 78 6D BD 6E 79 6B C7 E9 28 32 F0 45 01 D9 ?? ?? ?? ?? 10 2E 01 D2 17 F1 34 01 01 EB 08 06 B9 68 C7 E9 02 32 B1 EB 08 08 0C D0 16 F9 01 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 BD 6E 78 6D D7 E9 02 32 D7 F8 14 E0 00 21 C7 E9 28 32 CE E9 08 11 C7 E9 02 32 5C B1 97 F9 AC 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 BD 6E 78 6D D7 E9 02 32 BC 69 C4 E9 00 32 10 2D 01 D3 ?? ?? ?? ?? 0F 23 38 6D BB 66 00 23 7B 66 87 F8 54 30 ?? ?? ?? ?? 00 23 3B 65 BB 6C 10 2B 02 D3 78 6B ?? ?? ?? ?? 0F 23 38 6B BB 64 00 23 7B 64 87 F8 34 30 ?? ?? ?? ?? 20 46 1C B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_178_1 {
	meta:
		name = "?_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$codecvt@DDU_Mbstatet@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 02 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_180_1 {
	meta:
		name = "?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 140
		refs = "0024 ??2@YAPAXI@Z 0042 ??0_Locinfo@std@@QAA@PBD@Z 0054 _Getctype 0076 ??1_Locinfo@std@@QAA@XZ 0084 ??_7?$ctype@D@std@@6B@ 0088 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 96 B0 6F 46 6F F0 01 03 00 25 C7 E9 02 33 A9 46 0C 46 80 46 68 B3 03 68 5B BB 18 20 ?? ?? ?? ?? 06 46 3E 60 DE B1 63 68 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 20 00 ?? ?? ?? ?? 0F 4B 17 F1 10 00 4F F0 01 09 C6 E9 00 35 ?? ?? ?? ?? 17 F1 10 04 0F CC 06 F1 08 05 0F C5 00 E0 00 26 C8 F8 00 60 19 F0 01 0F 03 D0 17 F1 20 00 ?? ?? ?? ?? 02 20 16 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_182_1 {
	meta:
		name = "?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_633_1 {
	meta:
		name = "?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_635_1 {
	meta:
		name = "?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_184_1 {
	meta:
		name = "?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_637_1 {
	meta:
		name = "?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_639_1 {
	meta:
		name = "?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_186_1 {
	meta:
		name = "?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 136
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 0060 ?_Init@?$numpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 0074 ??1_Locinfo@std@@QAA@XZ 0080 ??_7?$numpunct@D@std@@6B@ 0084 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 4D B3 2B 68 3B BB 18 20 ?? ?? ?? ?? 04 46 7C 60 C4 B1 D8 F8 04 30 0B B9 12 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 09 4B 01 22 20 46 23 60 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_641_1 {
	meta:
		name = "?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 136
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 0060 ?_Init@?$numpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 0074 ??1_Locinfo@std@@QAA@XZ 0080 ??_7?$numpunct@G@std@@6B@ 0084 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 4D B3 2B 68 3B BB 18 20 ?? ?? ?? ?? 04 46 7C 60 C4 B1 D8 F8 04 30 0B B9 12 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 09 4B 01 22 20 46 23 60 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_645_1 {
	meta:
		name = "?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 136
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 0060 ?_Init@?$numpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 0074 ??1_Locinfo@std@@QAA@XZ 0080 ??_7?$numpunct@_W@std@@6B@ 0084 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 4D B3 2B 68 3B BB 18 20 ?? ?? ?? ?? 04 46 7C 60 C4 B1 D8 F8 04 30 0B B9 12 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 09 4B 01 22 20 46 23 60 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 04 20 12 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_188_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1"
		size = 32
		refs = "001a ??1_Locinfo@std@@QAA@XZ"
		altNames = "__unwindfunclet$?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 08 80 3B 68 23 F0 01 03 3B 60 17 F1 10 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_1291_1 {
	meta:
		name = "__unwindfunclet$?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ$0"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 08 80 3B 68 23 F0 01 03 3B 60 17 F1 10 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_12_190_1 {
	meta:
		name = "?_Getctype@_Locinfo@std@@QBA?AU_Ctypevec@@XZ"
		size = 34
		refs = "000e _Getctype"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 85 B0 68 46 0E 46 ?? ?? ?? ?? 6D 46 1D CD 86 E8 1D 00 30 46 05 B0 BD E8 70 88 }
	condition:
		$1
}

rule file_12_191_1 {
	meta:
		name = "?_Getcvt@_Locinfo@std@@QBA?AU_Cvtvec@@XZ"
		size = 36
		refs = "000e _Getcvt 0018 memcpy"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 8B B0 68 46 0C 46 ?? ?? ?? ?? 69 46 2C 22 20 46 ?? ?? ?? ?? 20 46 0B B0 BD E8 10 88 }
	condition:
		$1
}

rule file_12_192_1 {
	meta:
		name = "?_Getfacet@locale@std@@QBAPBVfacet@12@I@Z"
		size = 58
		refs = "0022 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 42 68 0C 46 D3 68 9C 42 03 D2 93 68 53 F8 21 00 00 E0 00 20 58 B9 13 7D 4B B1 ?? ?? ?? ?? C3 68 9C 42 03 D2 83 68 53 F8 24 00 00 E0 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_12_194_1 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2056
		refs = "0008 __security_push_cookie 003c ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 004a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0068 _guard_check_icall 008a ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00a2 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00f2 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 0158 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 01ce ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 02d8 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0312 _invalid_parameter_noinfo_noreturn 031a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 039e ??3@YAXPAX@Z 049c localeconv 07f6 __security_pop_cookie 0800 ?_Src@?1??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A4 B0 6F 46 82 B0 D7 F8 B8 50 99 46 6F F0 01 03 C7 E9 0E 33 6C 69 D7 F8 BC 30 16 46 04 F4 40 54 B4 F5 40 5F 39 61 7B 62 06 D1 01 93 4B 46 00 95 ?? ?? ?? ?? 03 46 D6 E3 17 F1 30 01 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 B8 61 D7 F8 34 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 17 F1 60 01 50 46 ?? ?? ?? ?? 00 23 D7 F8 10 A0 17 F1 28 01 28 46 FB 61 FB 60 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 DF F8 2C 57 D4 69 20 46 ?? ?? ?? ?? 40 46 29 46 05 F1 0F 02 17 F1 80 03 A0 47 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 2B 21 2D 24 00 2B D9 F8 00 30 01 D1 23 B3 00 E0 13 BB 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 96 F9 05 20 97 F9 8B 30 9A 42 04 D1 3C 69 21 70 04 F1 01 0A 0E E0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8A 30 9A 42 06 D1 3B 69 1C 70 03 F1 01 0A 30 46 ?? ?? ?? ?? 30 23 C7 F8 28 A0 0A F8 01 3B 7B 6A 00 22 7A 60 1B 68 90 46 7A 61 DF F8 90 26 00 25 3D 60 93 42 03 D1 4F F4 40 72 BA 60 01 E0 24 23 BB 60 BB 6F 10 2B 01 D3 7B 6E 01 E0 17 F1 64 03 3B 62 93 F9 00 30 7F 2B 00 F0 0B 81 00 2B 40 F3 08 81 7B 6F 13 B9 4F F0 00 08 08 E0 BD 69 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 80 46 17 F1 40 00 00 22 01 21 ?? ?? ?? ?? 00 25 17 F1 80 04 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 03 D1 00 2B 00 F0 92 80 02 E0 00 2B 40 F0 8E 80 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 10 97 F9 80 30 17 F1 80 02 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 13 1B 0A 2B 2D D2 01 22 B9 68 7A 60 7A 69 91 42 06 DC 3A 68 52 1C 3A 60 6B B1 01 23 FB 60 0A E0 03 B9 42 B1 DF F8 AC 15 52 1C 7A 61 5B 5C 8A F8 00 30 0A F1 01 0A 7B 6D 9D 42 54 D8 B9 6D 7A 6C 10 29 28 BF 13 46 01 D2 17 F1 44 03 5B 57 7F 2B 45 D0 10 29 01 D2 17 F1 44 02 53 5D 5B 1C 53 55 3D E0 7C 6D A5 42 44 D8 B9 6D 78 6C 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 FB B3 B8 F1 00 0F 3C D0 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 15 41 78 6C 96 F9 05 30 43 45 30 D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 40 00 ?? ?? ?? ?? 90 B1 BB 6D 10 2B 01 D3 7A 6C 01 E0 17 F1 44 02 7B 6D 00 21 99 54 BB 6D 10 2B 01 D3 7B 6C 01 E0 17 F1 44 03 7C 65 19 55 6D 1C 17 F1 80 04 30 46 ?? ?? ?? ?? 62 E7 ?? ?? ?? ?? 17 F1 40 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 15 41 78 6C 6D B1 A5 42 01 D9 ?? ?? ?? ?? 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 00 2B 28 DD 6D 1C D7 F8 20 E0 35 B3 9E F9 00 20 7F 2A 22 D0 6D 1E 0A D0 A5 42 1A D8 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 9A 42 13 D1 4D B9 10 29 28 BF 03 46 01 D2 17 F1 44 03 93 F9 00 30 9A 42 08 DB 9E F9 01 30 00 2B DE DD 0E F1 01 0E DB E7 ?? ?? ?? ?? 01 23 FB 61 10 29 01 D3 ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? D7 F8 14 80 46 E0 17 F1 80 04 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 9B B3 00 E0 8B BB 33 79 13 B9 30 46 ?? ?? ?? ?? 97 F9 80 20 96 F9 05 00 17 F1 80 01 3A B1 13 46 83 42 04 D0 49 1C 91 F9 00 30 00 2B F8 D1 0B 1B 0A 2B 1C D2 BA 68 42 45 05 DC 6D 1C 3D 60 73 B1 01 23 FB 60 0B E0 13 B9 B8 F1 00 0F 07 D0 F4 4A 08 F1 01 08 9B 5C 8A F8 00 30 0A F1 01 0A 01 22 30 46 7A 60 ?? ?? ?? ?? BA E7 97 F9 80 20 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 97 F9 80 20 33 68 00 2B D9 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? BB 69 96 F9 05 50 1B 68 DC 68 20 46 ?? ?? ?? ?? B8 69 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 8A F8 00 30 0A F1 01 0A ?? ?? ?? ?? 97 F9 80 20 7B 6A D2 49 1B 68 8B 42 38 D0 B8 F1 00 0F 35 D1 3D 68 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 97 F9 80 20 33 68 00 2B D9 F8 00 30 01 D1 AB B1 00 E0 9B B9 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 80 20 96 F9 05 30 93 42 08 D1 6D 1E 01 22 30 46 7A 60 ?? ?? ?? ?? 97 F9 80 20 D4 E7 3D 60 00 2D 06 DA 30 23 6D 1C 8A F8 00 30 0A F1 01 0A 3D 60 BD 68 17 F1 80 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 97 F9 80 20 33 68 00 2B D9 F8 00 30 01 D1 6B B3 00 E0 5B BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 80 20 96 F9 05 10 17 F1 80 03 04 E0 8A 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 1B 1B 0A 2B 15 D2 A8 45 08 DA 9A 4A 08 F1 01 08 9B 5C 8A F8 00 30 0A F1 01 0A 02 E0 0B B1 01 23 FB 60 01 22 30 46 7A 60 ?? ?? ?? ?? 97 F9 80 20 BC E7 FB 68 3D 68 FB B1 D7 F8 28 80 AA F1 01 04 44 45 15 D0 ?? ?? ?? ?? 03 68 94 F9 00 20 93 F9 00 30 9A 42 03 D0 39 2A 05 D1 30 23 23 70 64 1E 44 45 EF D1 02 E0 23 78 5B 1C 23 70 44 45 03 D1 31 23 6D 1C 3D 60 23 70 D7 F8 04 80 B8 F1 00 0F 00 F0 D7 80 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 03 D1 00 2B 00 F0 C4 80 02 E0 00 2B 40 F0 C0 80 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8D 30 9A 42 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8C 30 9A 42 40 F0 A9 80 65 23 8A F8 00 30 30 46 0A F1 01 0A ?? ?? ?? ?? 33 79 00 25 4F F0 00 08 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 0B B3 00 E0 FB B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8B 30 9A 42 08 BF 2B 23 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8A 30 9A 42 07 D1 2D 23 8A F8 00 30 0A F1 01 0A 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 7B B1 00 E0 6B B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 97 F9 80 20 93 42 04 D1 4F F0 01 08 DB E7 97 F9 80 20 B8 F1 00 0F 04 D0 30 23 8A F8 00 30 0A F1 01 0A 17 F1 80 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 97 F9 80 20 33 68 00 2B D9 F8 00 30 01 D1 43 B3 00 E0 33 BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 80 20 96 F9 05 10 17 F1 80 03 04 E0 8A 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 1B 1B 0A 2B 10 D2 08 2D 06 DA 17 4A 6D 1C 9B 5C 8A F8 00 30 0A F1 01 0A 30 46 4F F0 01 08 ?? ?? ?? ?? 97 F9 80 20 C1 E7 FB 69 13 B9 B8 F1 00 0F 01 D1 3B 69 9A 46 00 23 8A F8 00 30 BB 6F 10 2B 02 D3 78 6E ?? ?? ?? ?? 0F 23 38 6E BB 67 00 23 7B 67 87 F8 64 30 ?? ?? ?? ?? 3B 68 18 46 26 B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_12_201_1 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2112
		refs = "0008 __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0032 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0044 _guard_check_icall 0066 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00cc ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 012a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 0248 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 034c ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0386 _invalid_parameter_noinfo_noreturn 038e ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0412 ??3@YAXPAX@Z 052a localeconv 0830 __security_pop_cookie 0838 ?_Src@?1??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A6 B0 6F 46 98 46 6F F0 01 03 D7 F8 C0 90 C7 E9 0C 33 D7 F8 C4 30 C7 E9 06 13 17 F1 28 01 48 46 16 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 F8 60 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 58 01 50 46 ?? ?? ?? ?? 17 F1 20 01 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 90 57 D4 69 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 1D 02 17 F1 78 03 A0 47 00 23 BC 69 7B 61 33 79 A1 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 25 00 2B D8 F8 00 30 01 D1 03 B3 00 E0 F3 B9 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 96 F9 05 20 97 F9 8F 30 9A 42 01 D1 21 70 0B E0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8E 30 9A 42 05 D1 25 70 30 46 04 F1 01 09 ?? ?? ?? ?? 30 23 89 F8 00 30 78 23 89 F8 01 30 00 23 3B 60 33 79 00 24 09 F1 02 09 C7 E9 01 44 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 F3 B3 00 E0 E3 BB 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 97 F9 78 10 8B 42 33 D1 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 DB B1 00 E0 CB B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 91 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 90 30 9A 42 03 D1 30 46 ?? ?? ?? ?? 01 E0 01 23 7B 60 97 F9 78 10 FB 69 1A 68 DF F8 48 36 9A 42 02 D1 4F F4 40 75 00 E0 24 25 3B 6F 3D 61 10 2B 01 D3 FB 6D 01 E0 17 F1 5C 03 3B 62 93 F9 00 30 7F 2B 00 F0 0A 81 00 2B 40 F3 07 81 FB 6E 13 B9 4F F0 00 0A 08 E0 FD 68 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 17 F1 38 00 00 22 01 21 ?? ?? ?? ?? 00 25 17 F1 78 04 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8F 80 02 E0 00 2B 40 F0 8B 80 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 10 97 F9 78 30 17 F1 78 02 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 13 1B 16 2B 2A D2 01 22 39 69 7A 60 BA 68 91 42 03 DC 3B 68 5B 1C 3B 60 0A E0 03 B9 42 B1 DF F8 70 15 52 1C BA 60 5B 5C 89 F8 00 30 09 F1 01 09 FB 6C 9D 42 54 D8 39 6D FA 6B 10 29 28 BF 13 46 01 D2 17 F1 3C 03 5B 57 7F 2B 45 D0 10 29 01 D2 17 F1 3C 02 53 5D 5B 1C 53 55 3D E0 FC 6C A5 42 44 D8 39 6D F8 6B 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 FB B3 BA F1 00 0F 3C D0 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 13 41 F8 6B 96 F9 05 30 53 45 30 D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 38 00 ?? ?? ?? ?? 90 B1 3B 6D 10 2B 01 D3 FA 6B 01 E0 17 F1 3C 02 FB 6C 00 21 99 54 3B 6D 10 2B 01 D3 FB 6B 01 E0 17 F1 3C 03 FC 64 E1 54 6D 1C 17 F1 78 04 30 46 ?? ?? ?? ?? 65 E7 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 13 41 F8 6B 6D B1 A5 42 01 D9 ?? ?? ?? ?? 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 00 2B 28 DD 6D 1C D7 F8 20 E0 35 B3 9E F9 00 20 7F 2A 22 D0 6D 1E 0A D0 A5 42 1A D8 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 9A 42 13 D1 4D B9 10 29 28 BF 03 46 01 D2 17 F1 3C 03 93 F9 00 30 9A 42 08 DB 9E F9 01 30 00 2B DE DD 0E F1 01 0E DB E7 ?? ?? ?? ?? 01 23 7B 61 10 29 01 D3 ?? ?? ?? ?? 0F 23 B8 6B 3B 65 00 23 FB 64 87 F8 3C 30 ?? ?? ?? ?? 97 F9 78 10 D7 F8 08 A0 49 E0 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 10 33 68 00 2B D8 F8 00 30 01 D1 93 B3 00 E0 83 BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 10 96 F9 05 00 17 F1 78 03 39 B1 0A 46 82 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 1B 1B 16 2B 19 D2 55 45 03 DC 3B 68 5B 1C 3B 60 0B E0 13 B9 BA F1 00 0F 07 D0 E4 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 7B 60 ?? ?? ?? ?? 97 F9 78 10 B7 E7 7B 68 3B B1 BA F1 00 0F 04 D1 30 23 89 F8 00 30 09 F1 01 09 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 10 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? FB 68 96 F9 05 50 1B 68 DC 68 20 46 ?? ?? ?? ?? F8 68 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 89 F8 00 30 09 F1 01 09 ?? ?? ?? ?? 97 F9 78 10 BA F1 00 0F 35 D1 3C 68 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 10 33 68 00 2B D8 F8 00 30 01 D1 AB B1 00 E0 9B B9 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 10 96 F9 05 30 8B 42 08 D1 64 1E 01 23 30 46 7B 60 ?? ?? ?? ?? 97 F9 78 10 D4 E7 3C 60 00 2C 06 DA 30 23 64 1C 89 F8 00 30 09 F1 01 09 3C 60 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 10 33 68 00 2B D8 F8 00 30 01 D1 53 B3 00 E0 43 BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 10 96 F9 05 20 17 F1 78 03 04 E0 91 42 04 D0 5B 1C 93 F9 00 10 00 29 F8 D1 1B 1B 16 2B 12 D2 3A 69 92 45 07 DA 87 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 7B 60 ?? ?? ?? ?? 97 F9 78 10 BF E7 D7 F8 04 A0 BA F1 00 0F 00 F0 D7 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 C4 80 02 E0 00 2B 40 F0 C0 80 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 93 30 9A 42 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 92 30 9A 42 40 F0 A9 80 70 23 89 F8 00 30 30 46 09 F1 01 09 ?? ?? ?? ?? 33 79 00 25 4F F0 00 0A 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 0B B3 00 E0 FB B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8F 30 9A 42 08 BF 2B 23 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8E 30 9A 42 07 D1 2D 23 89 F8 00 30 09 F1 01 09 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 7B B1 00 E0 6B B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 97 F9 78 20 93 42 04 D1 4F F0 01 0A DB E7 97 F9 78 20 BA F1 00 0F 04 D0 30 23 89 F8 00 30 09 F1 01 09 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 20 33 68 00 2B D8 F8 00 30 01 D1 43 B3 00 E0 33 BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 96 F9 05 10 17 F1 78 03 04 E0 8A 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 1B 1B 16 2B 10 D2 08 2D 06 DA 18 4A 6D 1C 9B 5C 89 F8 00 30 09 F1 01 09 30 46 4F F0 01 0A ?? ?? ?? ?? 97 F9 78 20 C1 E7 7B 69 13 B9 BA F1 00 0F 01 D1 B9 69 89 46 00 23 FA 69 89 F8 00 30 3B 68 13 60 3B 6F 10 2B 02 D3 F8 6D ?? ?? ?? ?? 0F 23 B8 6D 3B 67 00 23 FB 66 87 F8 5C 30 ?? ?? ?? ?? 00 20 26 B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_12_208_1 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z"
		size = 1068
		refs = "0008 __security_push_cookie 0024 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0042 _guard_check_icall 004e ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 007a ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00d4 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 01f4 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 02f8 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0330 _invalid_parameter_noinfo_noreturn 0338 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 03e4 ??3@YAXPAX@Z 0420 __security_pop_cookie 0428 ?_Src@?1??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A0 B0 6F 46 D7 F8 AC 90 98 46 6F F0 01 03 48 46 16 46 39 61 C7 E9 06 33 ?? ?? ?? ?? 17 F1 40 01 05 46 ?? ?? ?? ?? 78 6D 10 B9 00 23 7B 60 07 E0 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 78 60 48 46 ?? ?? ?? ?? 04 46 22 68 DF F8 D0 93 D5 69 28 46 ?? ?? ?? ?? 20 46 49 46 09 F1 1B 02 17 F1 60 03 A8 47 3C 69 33 79 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 03 B3 00 E0 F3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 77 30 9A 42 08 BF 2B 23 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 76 30 9A 42 06 D1 2D 23 30 46 04 F1 01 0A 23 70 ?? ?? ?? ?? D7 F8 A8 30 03 F4 60 63 B3 F5 80 6F 02 D1 4F F0 08 09 0B E0 B3 F5 00 6F 02 D1 4F F0 10 09 05 E0 13 B9 4F F0 00 09 01 E0 4F F0 0A 09 00 23 FB 60 33 79 00 24 3C 60 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 02 D1 00 2B 4E D0 01 E0 00 2B 4B D1 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 60 30 9A 42 40 D1 01 24 30 46 3C 60 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 2B B3 00 E0 1B BB 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 79 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 78 30 9A 42 0D D1 B9 F1 00 0F 02 D0 B9 F1 10 0F 07 D1 00 24 30 46 3C 60 4F F0 10 09 ?? ?? ?? ?? 0F E0 B9 F1 00 0F 04 D1 4F F0 08 09 B9 F1 00 0F 09 D0 B9 F1 0A 0F 06 D0 B9 F1 08 0F 08 BF 08 25 02 D0 16 25 00 E0 0A 25 22 46 17 F1 20 00 01 21 BD 60 ?? ?? ?? ?? 00 24 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 90 80 02 E0 00 2B 40 F0 8C 80 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 10 97 F9 60 30 17 F1 60 02 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 17 F1 60 03 D3 1A AB 42 28 D2 73 4A 9B 56 FA 68 8A F8 00 30 0A B9 30 2B 08 D0 3A 69 02 F1 1F 03 9A 45 03 D2 01 23 FB 60 0A F1 01 0A 01 23 3B 60 7B 6B 9C 42 55 D8 B9 6B 7A 6A 10 29 28 BF 13 46 01 D2 17 F1 24 03 1B 57 7F 2B 46 D0 10 29 01 D2 17 F1 24 02 13 5D 5B 1C 13 55 3E E0 D7 F8 34 E0 74 45 44 D8 BD 6B 78 6A 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 FB B3 7B 68 EB B3 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 0D E5 78 6A 96 F9 05 30 7A 68 93 42 30 D1 CE F1 FF 33 01 2B 23 D9 0E F1 01 05 29 46 00 22 17 F1 20 00 ?? ?? ?? ?? 90 B1 BB 6B 10 2B 01 D3 7A 6A 01 E0 17 F1 24 02 7B 6B 00 21 99 54 BB 6B 10 2B 01 D3 7B 6A 01 E0 17 F1 24 03 7D 63 59 55 BD 68 64 1C 30 46 ?? ?? ?? ?? 64 E7 ?? ?? ?? ?? 17 F1 20 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 0D E5 78 6A 84 B1 74 45 01 D9 ?? ?? ?? ?? 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 00 2B C8 BF 64 1C D8 BF 00 21 00 DD 39 68 BB 6D 10 2B 01 D3 7A 6C 01 E0 17 F1 44 02 61 B3 1C B3 92 F9 00 10 7F 29 1F D0 64 1E 0A D0 74 45 19 D8 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 99 42 1A D1 4C B9 10 2D 28 BF 03 46 01 D2 17 F1 24 03 93 F9 00 30 99 42 0F DB 92 F9 01 30 00 2B DE DD 52 1C DC E7 ?? ?? ?? ?? FB 68 3B B9 30 23 8A F8 00 30 0A F1 01 0A 01 E0 3B 69 9A 46 00 23 8A F8 00 30 10 2D 01 D3 ?? ?? ?? ?? 0F 23 38 6A BB 63 00 23 7B 63 87 F8 24 30 ?? ?? ?? ?? 00 23 3B 62 BB 6D 10 2B 02 D3 78 6C ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? 48 46 20 B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_212_1 {
	meta:
		name = "?_Getname@_Locinfo@std@@QBAPBDXZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 D8 6A 08 B9 03 F1 30 00 BD E8 00 88 }
	condition:
		$1
}

rule file_12_214_1 {
	meta:
		name = "?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ"
		size = 26
		altNames = "?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 C3 69 1B 68 13 B1 C3 6A 18 68 00 E0 00 20 C1 17 BD E8 00 88 }
	condition:
		$1
}

rule file_12_215_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 6A 13 68 5B 1E 13 60 C2 69 10 68 43 1C 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_12_216_1 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z"
		size = 122
		refs = "001a ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z 003c memcpy 0042 ??3@YAXPAX@Z 0074 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0D 46 04 46 11 F1 02 0F 2F D8 A3 69 AB 42 03 D2 62 69 ?? ?? ?? ?? 22 E0 C2 B1 10 2D 16 D2 66 69 B5 42 38 BF 2E 46 10 2B 09 D3 67 68 26 B1 20 1D 32 46 39 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 0F 23 C4 E9 05 63 23 1D 00 22 9A 55 08 E0 45 B9 10 2B 01 D3 63 68 00 E0 23 1D 00 22 62 61 1A 70 0D B1 01 20 00 E0 00 20 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_217_1 {
	meta:
		name = "?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z"
		size = 116
		altNames = "?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 15 46 25 22 48 1C 0A 70 13 F0 20 0F 02 D0 2B 22 02 70 40 1C 13 F0 08 0F 02 D0 23 22 02 70 40 1C 95 F9 00 40 4C 2C 01 D0 04 70 06 E0 49 22 02 70 36 22 42 70 80 1C 34 22 02 70 03 F4 60 62 B2 F5 80 6F 08 BF 6F 23 0B D0 B2 F5 00 6F 02 D0 95 F9 01 30 05 E0 13 F0 04 0F 18 BF 58 23 08 BF 78 23 43 70 00 23 83 70 08 46 BD E8 30 88 }
	condition:
		$1
}

rule file_12_218_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ"
		size = 88
		refs = "003a _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 2E 68 F6 B1 F3 69 1B 68 13 B1 F3 6A 1B 68 00 E0 00 23 00 2B 09 DD F2 6A 13 68 5B 1E 13 60 F2 69 11 68 4B 1C 13 60 08 78 06 E0 33 68 DC 69 20 46 ?? ?? ?? ?? 30 46 A0 47 B0 F1 FF 3F 18 BF 00 23 02 D1 00 23 2B 60 01 23 2B 71 BD E8 78 88 }
	condition:
		$1
}

rule file_12_220_1 {
	meta:
		name = "?_Incref@facet@locale@std@@UAAXXZ"
		size = 26
		altNames = "?_Incref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 1D 52 E8 00 0F 41 1C 42 E8 00 13 00 2B F8 D1 BD E8 00 88 }
	condition:
		$1
}

rule file_12_222_1 {
	meta:
		name = "?_Init@?$ctype@D@std@@IAAXABV_Locinfo@2@@Z"
		size = 30
		refs = "000c _Getctype"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 04 46 68 46 ?? ?? ?? ?? 04 F1 08 05 6C 46 0F CC 0F C5 BD E8 3F 88 }
	condition:
		$1
}

rule file_12_225_1 {
	meta:
		name = "?_Init@?$numpunct@D@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 228
		refs = "001a localeconv 0024 _Getcvt 0048 strlen 0052 calloc 0058 ?_Xbad_alloc@std@@YAXXZ 00d8 ??_C@_04LOAJBDKD@true?$AA@ 00dc ??_C@_05LAPONLG@false?$AA@ 00e0 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 90 B0 6F 46 04 46 6F F0 01 03 3C 60 91 46 C7 E9 02 33 ?? ?? ?? ?? 80 46 17 F1 10 00 ?? ?? ?? ?? 00 23 A3 60 C4 E9 04 33 17 F1 10 00 ?? ?? ?? ?? B9 F1 00 0F 01 D0 28 4D 01 E0 D8 F8 08 50 28 46 ?? ?? ?? ?? 46 1C 30 46 01 21 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 36 B1 42 1B 2B 78 76 1E 53 55 6D 1C 00 2E F9 D1 A0 60 1B 4D 06 20 01 21 06 26 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 42 1B 2B 78 76 1E 53 55 6D 1C 00 2E F9 D1 20 61 11 4D 05 20 01 21 05 26 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 42 1B 2B 78 76 1E 53 55 6D 1C 00 2E F9 D1 60 61 B9 F1 00 0F 03 D0 2E 23 23 73 2C 23 06 E0 D8 F8 00 30 1B 78 23 73 D8 F8 04 30 1B 78 63 73 10 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_226_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 18
		refs = "0004 ?_Tidy@?$numpunct@D@std@@AAAXXZ 000c _CxxThrowException"
	strings:
		$1 = { 10 B5 38 68 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_332_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 18
		refs = "0004 ?_Tidy@?$_Mpunct@D@std@@AAAXXZ 000c _CxxThrowException"
	strings:
		$1 = { 10 B5 38 68 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_766_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 18
		refs = "0004 ?_Tidy@?$_Mpunct@G@std@@AAAXXZ 000c _CxxThrowException"
	strings:
		$1 = { 10 B5 38 68 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_768_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 18
		refs = "0004 ?_Tidy@?$_Mpunct@_W@std@@AAAXXZ 000c _CxxThrowException"
	strings:
		$1 = { 10 B5 38 68 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_228_1 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 91 B1 82 69 10 2A 01 D3 43 68 00 E0 03 1D 99 42 0A D3 10 2A 01 D3 42 68 00 E0 02 1D 43 69 13 44 8B 42 88 BF 01 20 00 D8 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_12_229_1 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z"
		size = 882
		refs = "000a __security_push_cookie 0072 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0076 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0086 _guard_check_icall 00aa ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00e0 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0112 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0166 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 01be ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 02c0 _invalid_parameter_noinfo_noreturn 032a ??3@YAXPAX@Z 0366 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 98 B0 6F 46 39 61 D7 F8 A4 60 D7 F8 98 00 D7 F8 A0 90 6F F0 01 03 B8 60 C7 E9 06 33 46 B1 99 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 43 69 03 F4 60 63 B3 F5 00 6F 10 D1 08 F1 02 02 B2 42 0C D8 19 F9 08 30 09 EB 08 01 30 2B 06 D1 91 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 39 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 20 00 00 22 31 46 ?? ?? ?? ?? BB 6B 10 2B 01 D3 7D 6A 01 E0 17 F1 24 05 DA F8 00 20 D4 69 20 46 ?? ?? ?? ?? 50 46 49 46 06 EB 09 02 2B 46 A0 47 D7 F8 08 A0 39 46 50 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 40 01 48 46 ?? ?? ?? ?? D7 F8 58 E0 78 6C BE F1 10 0F 28 BF 05 46 01 D2 17 F1 44 05 95 F9 00 30 7F 2B 27 D0 00 2B 25 DD D9 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 48 46 A0 47 04 46 14 E0 95 F9 00 20 00 2A 14 DD A6 EB 08 03 9A 42 10 D2 B6 1A 31 46 23 46 01 22 17 F1 20 00 ?? ?? ?? ?? 95 F9 01 30 00 2B C8 BF 6D 1C 95 F9 00 30 7F 2B E6 D1 D7 F8 58 E0 78 6C 7E 6B DA E9 08 23 FE 60 00 2B 05 DB 00 DC 1A B1 B2 42 88 BF 94 1B 00 D8 00 24 DA F8 14 30 03 F4 E0 73 40 2B 2E D0 B3 F5 80 7F 2E D0 D7 E9 24 32 C7 E9 00 32 64 B1 97 F9 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 7E 6B D7 F8 58 E0 78 6C D7 E9 00 32 BD 6B 79 6A 00 24 10 2D 28 BF 89 46 C7 E9 24 32 01 D2 17 F1 24 09 C2 46 C7 E9 00 32 B8 F1 00 0F 61 D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 50 E0 B3 F5 80 7F 35 D1 BD 6B 79 6A 10 2D 28 BF 89 46 01 D2 17 F1 24 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0F D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 0D 65 79 6A D7 F8 58 E0 78 6C D7 E9 00 32 C7 E9 24 32 C7 E9 00 32 74 B1 97 F9 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 0D 65 79 6A D7 F8 58 E0 78 6C D7 E9 00 32 00 24 1F E0 BD 6B 79 6A 10 2D 28 BF 89 46 01 D2 17 F1 24 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0F D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 0D 65 D7 E9 00 32 78 6C D7 F8 58 E0 79 6A C7 E9 24 32 B0 45 01 D9 ?? ?? ?? ?? 10 2D 01 D2 17 F1 24 01 01 EB 08 05 F9 68 C7 E9 00 32 B1 EB 08 06 0B D0 15 F9 01 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 F8 58 E0 78 6C D7 E9 00 32 B9 68 00 25 C7 E9 24 32 C1 E9 08 55 C7 E9 00 32 5C B1 97 F9 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 58 E0 78 6C D7 E9 00 32 3C 69 C4 E9 00 32 BE F1 10 0F 01 D3 ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? 00 23 3B 64 BB 6B 10 2B 02 D3 78 6A ?? ?? ?? ?? 0F 23 38 6A BB 63 00 23 7B 63 87 F8 24 30 ?? ?? ?? ?? 20 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_236_1 {
	meta:
		name = "?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z"
		size = 168
		refs = "001c ??0_Lockit@std@@QAA@H@Z 0032 _realloc_base 0038 ?_Xbad_alloc@std@@YAXXZ 0060 _guard_check_icall 00a0 ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 6F 46 89 46 05 46 6F F0 01 03 38 46 00 21 C7 E9 02 33 16 46 ?? ?? ?? ?? EB 68 B3 42 18 D8 74 1C 28 2C A8 68 38 BF 28 24 A1 00 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? EB 68 A8 60 A3 42 09 D2 00 21 D5 E9 02 32 43 F8 22 10 EB 68 5B 1C EB 60 A3 42 F6 D3 D9 F8 00 30 5C 68 20 46 ?? ?? ?? ?? 48 46 A0 47 AB 68 53 F8 26 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 AB 68 43 F8 26 90 38 46 ?? ?? ?? ?? BD E8 FF 8B }
	condition:
		$1
}

rule file_12_238_1 {
	meta:
		name = "?_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z"
		size = 160
		refs = "0026 ??0_Locinfo@std@@QAA@PBD@Z 0034 ?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z 003c ??1_Locinfo@std@@QAA@XZ 0046 ??0_Lockit@std@@QAA@H@Z 0050 _malloc_base 0058 ?_Xbad_alloc@std@@YAXXZ 007e _guard_check_icall 008c ??1_Lockit@std@@QAA@XZ 0098 ??_C@_01GFHCPBMG@C?$AA@ 009c ?_Clocptr@_Locimp@locale@std@@0PAV123@A"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 C7 E9 02 33 21 4B 89 46 06 46 1B 68 99 45 10 D1 1D 49 17 F1 10 00 ?? ?? ?? ?? 17 F1 10 00 00 23 32 46 3F 21 ?? ?? ?? ?? 17 F1 10 00 ?? ?? ?? ?? 26 E0 38 46 00 21 ?? ?? ?? ?? F3 68 EB B1 98 00 ?? ?? ?? ?? B0 60 08 B9 ?? ?? ?? ?? F5 68 12 E0 D9 F8 08 30 6D 1E 53 F8 25 80 B3 68 B8 F1 00 0F 43 F8 25 80 07 D0 D8 F8 00 30 5C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 00 2D EA D1 38 46 ?? ?? ?? ?? 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_241_1 {
	meta:
		name = "?_Locinfo_Addcats@_Locinfo@std@@SAAAV12@PAV12@HPBD@Z"
		size = 208
		refs = "003e setlocale 005e free 007c strcmp 00a8 malloc 00b4 memcpy 00c0 ?_Xruntime_error@std@@YAXPBD@Z 00c8 ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@ 00cc ??_C@_01NBENCBCI@?$CK?$AA@"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 16 46 00 2E 0F 46 05 46 55 D0 92 F9 00 30 2A 2B 02 D1 92 F9 01 30 CB B1 0F B9 00 21 11 E0 3F 2F 0E D0 00 24 4F F0 01 08 08 FA 04 F3 17 EA 63 0F 03 D0 31 46 20 46 ?? ?? ?? ?? 64 1C 05 2C F3 DD 31 46 00 20 ?? ?? ?? ?? 04 46 74 B9 E8 6A 1D 4C A0 42 2D D0 08 B1 ?? ?? ?? ?? 00 23 EB 62 22 46 12 F9 01 3F 00 2B FB D1 18 E0 E8 6A 08 B9 05 F1 30 00 14 49 ?? ?? ?? ?? D0 B1 E8 6A A0 42 17 D0 08 B1 ?? ?? ?? ?? 00 23 EB 62 94 F9 00 30 22 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 16 1B 70 1C ?? ?? ?? ?? E8 62 18 B1 72 1C 21 46 ?? ?? ?? ?? 28 46 BD E8 F8 89 02 48 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_242_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@HPBD@Z"
		size = 104
		refs = "0012 setlocale 0024 free 0044 malloc 0050 memcpy 005a ?_Locinfo_Addcats@_Locinfo@std@@SAAAV12@PAV12@HPBD@Z 0064 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 88 46 05 46 00 21 00 20 17 46 ?? ?? ?? ?? 04 46 04 B9 12 4C 68 6A A0 42 18 D0 08 B1 ?? ?? ?? ?? 00 23 6B 62 94 B1 94 F9 00 30 22 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 16 1B 70 1C ?? ?? ?? ?? 68 62 18 B1 72 1C 21 46 ?? ?? ?? ?? 3A 46 41 46 28 46 ?? ?? ?? ?? BD E8 F8 89 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_243_1 {
	meta:
		name = "?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 884
		refs = "0044 ??0_Lockit@std@@QAA@H@Z 0058 ??1_Lockit@std@@QAA@XZ 0064 ??2@YAPAXI@Z 0076 _Getctype 0092 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z 00c4 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0184 ??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 01ba ??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0212 ?_Init@?$numpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 0242 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 02ba ??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z 02d4 ?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 02e0 ?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 02ec ?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 030c free 032e malloc 033c memcpy 0348 ??_7?$codecvt@DDU_Mbstatet@@@std@@6B@ 034c ?id@?$codecvt@DDU_Mbstatet@@@std@@2V0locale@2@A 0350 ??_7?$numpunct@D@std@@6B@ 0354 ?id@?$numpunct@D@std@@2V0locale@2@A 0358 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 035c ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0360 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0364 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0368 ?id@?$ctype@D@std@@2V0locale@2@A 036c ??_7?$ctype@D@std@@6B@ 0370 ?_Id_cnt@id@locale@std@@0HA"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8D B0 6F 46 99 46 FB 60 6F F0 01 03 C7 E9 06 33 00 24 11 F0 02 03 3C 61 D3 4E 3B 61 90 46 C7 E9 00 10 52 D0 B9 F1 00 0F 34 D1 CD 4D D5 F8 00 A0 BA F1 00 0F 11 D1 17 F1 08 00 00 21 ?? ?? ?? ?? 2C 68 1C B9 33 68 5B 1C 33 60 2B 60 17 F1 08 00 ?? ?? ?? ?? D5 F8 00 A0 00 24 18 20 ?? ?? ?? ?? 81 46 68 B1 BF 4B C0 E9 00 34 17 F1 20 00 ?? ?? ?? ?? 17 F1 20 04 0F CC 09 F1 08 05 0F C5 01 E0 4F F0 00 09 52 46 49 46 40 46 ?? ?? ?? ?? D7 F8 0C 90 1A E0 B2 4C 25 68 7D B9 17 F1 0C 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 0C 00 ?? ?? ?? ?? 25 68 48 46 ?? ?? ?? ?? 01 46 40 46 2A 46 ?? ?? ?? ?? 3B 68 13 F0 08 0A 76 D0 A2 4C B9 F1 00 0F 25 68 3D D1 7D B9 17 F1 0C 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 0C 00 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 93 4B 03 60 00 E0 00 20 01 46 40 46 2A 46 ?? ?? ?? ?? 8C 4C 25 68 7D B9 17 F1 0C 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 0C 00 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 81 4B 03 60 30 E0 00 20 2E E0 7D B9 17 F1 0C 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 0C 00 ?? ?? ?? ?? 25 68 48 46 ?? ?? ?? ?? 01 46 40 46 2A 46 ?? ?? ?? ?? 71 4C 25 68 7D B9 17 F1 0C 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 0C 00 ?? ?? ?? ?? 25 68 48 46 ?? ?? ?? ?? 01 46 40 46 2A 46 ?? ?? ?? ?? BA F1 00 0F 40 D0 61 4C B9 F1 00 0F 25 68 22 D1 7D B9 17 F1 0C 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 0C 00 ?? ?? ?? ?? 25 68 18 20 ?? ?? ?? ?? 04 46 FC 60 44 B1 00 23 63 60 51 4B 79 68 00 22 23 60 ?? ?? ?? ?? 00 E0 00 24 21 46 14 E0 7D B9 17 F1 0C 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 0C 00 ?? ?? ?? ?? 25 68 48 46 ?? ?? ?? ?? 01 46 2A 46 40 46 ?? ?? ?? ?? 3B 69 CB B3 3D 4C B9 F1 00 0F 25 68 1B D1 7D B9 17 F1 10 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 10 00 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 2E 4B 03 60 15 E0 00 20 13 E0 7D B9 17 F1 10 00 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 17 F1 10 00 ?? ?? ?? ?? 25 68 48 46 ?? ?? ?? ?? 01 46 40 46 2A 46 ?? ?? ?? ?? D7 E9 00 45 4B 46 42 46 21 46 28 46 ?? ?? ?? ?? 4B 46 42 46 21 46 28 46 ?? ?? ?? ?? 4B 46 42 46 21 46 28 46 ?? ?? ?? ?? D8 F8 10 30 23 43 C8 F8 10 30 EC 6A 0C B9 05 F1 30 04 D8 F8 18 00 A0 42 1A D0 08 B1 ?? ?? ?? ?? 00 23 C8 F8 18 30 9C B1 94 F9 00 30 22 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 15 1B 68 1C ?? ?? ?? ?? C8 F8 18 00 18 B1 6A 1C 21 46 ?? ?? ?? ?? 40 46 0D B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_247_1 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ"
		size = 22
		altNames = "?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 83 69 10 2B 01 D3 40 68 00 E0 00 1D BD E8 00 88 }
	condition:
		$1
}

rule file_12_256_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ"
		size = 76
		refs = "002a _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 2E 68 B6 B1 F3 69 1A 68 12 B1 F3 6A 1B 68 00 E0 00 23 00 2B 01 DD 10 78 06 E0 33 68 9C 69 20 46 ?? ?? ?? ?? 30 46 A0 47 B0 F1 FF 3F 01 D0 68 71 01 E0 00 23 2B 60 01 23 95 F9 05 00 2B 71 BD E8 78 88 }
	condition:
		$1
}

rule file_12_257_1 {
	meta:
		name = "?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBA_JXZ"
		size = 26
		altNames = "?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBA_JXZ ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBA_JXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 1B 68 13 B1 03 6B 18 68 00 E0 00 20 C1 17 BD E8 00 88 }
	condition:
		$1
}

rule file_12_258_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6B 13 68 5B 1E 13 60 02 6A 10 68 43 1C 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_12_259_1 {
	meta:
		name = "?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z"
		size = 54
		refs = "001c ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0B 9E CD E9 08 23 0C 46 4E B1 0A 9D 15 F9 01 1B 08 A8 ?? ?? ?? ?? 76 1E F8 D1 DD E9 08 23 C4 E9 00 23 20 46 BD E8 78 08 5D F8 14 FB }
	condition:
		$1
}

rule file_12_260_1 {
	meta:
		name = "?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
		size = 52
		refs = "001a ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 09 9D CD E9 06 23 0C 46 45 B1 9D F9 20 10 06 A8 ?? ?? ?? ?? 6D 1E F8 D1 DD E9 06 23 C4 E9 00 23 20 46 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_12_261_1 {
	meta:
		name = "?_Stodx_v2@std@@YANPBDPAPADHPAH@Z"
		size = 90
		refs = "0014 _errno 0024 strtod 0046 pow"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 02 8B 98 46 91 46 0C 46 05 46 ?? ?? ?? ?? 07 46 3E 68 28 46 00 23 21 46 3B 60 ?? ?? ?? ?? 39 68 B0 EE 40 8B B9 F1 00 0F C8 F8 00 10 3E 60 09 D0 02 EE 10 9A B2 EE 04 0B B8 EE C2 1B ?? ?? ?? ?? 20 EE 08 8B B0 EE 48 0B BD EC 02 8B BD E8 F0 8B }
	condition:
		$1
}

rule file_12_262_1 {
	meta:
		name = "?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z"
		size = 90
		refs = "0014 _errno 0024 strtof 0046 powf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 02 8B 98 46 91 46 0C 46 05 46 ?? ?? ?? ?? 07 46 3E 68 28 46 00 23 21 46 3B 60 ?? ?? ?? ?? 39 68 B0 EE 40 8A B9 F1 00 0F C8 F8 00 10 3E 60 09 D0 02 EE 10 9A B2 EE 04 0A F8 EE C2 0A ?? ?? ?? ?? 20 EE 08 8A B0 EE 48 0A BD EC 02 8B BD E8 F0 8B }
	condition:
		$1
}

rule file_12_265_1 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z"
		size = 54
		refs = "001c memcpy 0022 ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 15 46 04 46 59 B1 A3 69 10 2B 08 D3 66 68 1D B1 20 1D 31 46 ?? ?? ?? ?? 30 46 ?? ?? ?? ?? 0F 23 C4 E9 05 53 23 1D 00 22 5A 55 BD E8 78 88 }
	condition:
		$1
}

rule file_12_266_1 {
	meta:
		name = "?_Tidy@?$ctype@D@std@@IAAXXZ"
		size = 42
		refs = "0012 free 001c ??_V@YAXPAX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 69 00 2B 03 DD E0 68 ?? ?? ?? ?? 03 E0 02 DA E0 68 ?? ?? ?? ?? 60 69 BD E8 18 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_267_1 {
	meta:
		name = "?_Tidy@?$numpunct@D@std@@AAAXXZ"
		size = 32
		refs = "000c free"
		altNames = "?_Tidy@?$_Mpunct@D@std@@AAAXXZ ?_Tidy@?$_Mpunct@G@std@@AAAXXZ ?_Tidy@?$_Mpunct@_W@std@@AAAXXZ ?_Tidy@?$numpunct@G@std@@AAAXXZ ?_Tidy@?$numpunct@_W@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 A0 68 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 BD E8 18 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_271_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QAAPADI@Z"
		size = 30
		refs = "0010 ??2@YAPAXI@Z 0018 _invalid_parameter_noinfo_noreturn"
		altNames = "?allocate@?$allocator@D@std@@QAAPADI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 11 B9 00 20 BD E8 00 88 08 46 ?? ?? ?? ?? 00 28 F8 D1 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_272_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QAAPAU_Container_proxy@2@I@Z"
		size = 44
		refs = "0018 ??2@YAPAXI@Z 0022 ?_Xbad_alloc@std@@YAXXZ 0026 _invalid_parameter_noinfo_noreturn"
		altNames = "?allocate@?$allocator@U_Container_proxy@std@@@std@@QAAPAU_Container_proxy@2@I@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 11 B9 00 20 BD E8 00 88 6F F0 60 43 99 42 05 D8 C8 00 ?? ?? ?? ?? 00 28 F4 D1 01 E0 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_276_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 130
		refs = "0030 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0058 memcpy 0076 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 007c ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 1D 46 73 69 90 46 04 46 43 45 2E D3 9B 1A 62 69 9D 42 88 BF 1D 46 D3 43 AB 42 29 D9 57 19 0D B3 00 22 39 46 20 46 ?? ?? ?? ?? D8 B1 B3 69 10 2B 01 D3 71 68 00 E0 31 1D A3 69 10 2B 01 D3 62 68 00 E0 22 1D 2D B1 63 69 41 44 D0 18 2A 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 67 61 DA 55 20 46 BD E8 F8 89 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_277_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
		size = 110
		refs = "001e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 004a memset 0068 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 0D 46 61 69 17 46 CB 43 AB 42 27 D9 4E 19 15 B3 00 22 31 46 ?? ?? ?? ?? E8 B1 D4 E9 05 23 01 2D 06 D1 10 2B 01 D3 63 68 00 E0 23 1D 9F 54 09 E0 10 2B 01 D3 63 68 00 E0 23 1D 98 18 2A 46 39 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 9A 55 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_278_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@$$QAV12@@Z"
		size = 104
		refs = "0022 ??3@YAXPAX@Z 0042 memmove"
		altNames = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 0D 46 04 46 6F F0 01 03 C7 E9 00 33 AC 42 23 D0 A3 69 10 2B 02 D3 60 68 ?? ?? ?? ?? 4F F0 0F 08 00 26 C4 E9 05 68 26 71 AB 69 10 2B 07 D2 6B 69 5A 1C 0A D0 29 1D 20 1D ?? ?? ?? ?? 05 E0 14 F1 04 0F 01 D0 6B 68 63 60 6E 60 6B 69 63 61 AB 69 A3 61 C5 E9 05 68 2E 71 20 46 BD E8 FE 89 }
	condition:
		$1
}

rule file_12_280_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 154
		refs = "0040 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 004c ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0070 memcpy 008e ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0E 46 1D 46 73 69 17 46 04 46 BB 42 3A D3 DB 1B 9D 42 88 BF 1D 46 B4 42 11 D1 63 69 EA 19 93 42 33 D3 A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 21 62 61 99 54 3A 46 20 46 ?? ?? ?? ?? 1F E0 00 22 29 46 20 46 ?? ?? ?? ?? C8 B1 B3 69 10 2B 01 D3 72 68 00 E0 32 1D A3 69 10 2B 01 D3 60 68 00 E0 20 1D 1D B1 D1 19 2A 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 5A 55 20 46 BD E8 F0 88 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_281_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
		size = 96
		refs = "0016 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 003e memset 005a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0D 46 04 46 B1 F1 FF 3F 22 D0 00 22 ?? ?? ?? ?? D8 B1 A3 69 01 2D 06 D1 10 2B 01 D3 63 68 00 E0 23 1D 1E 70 08 E0 10 2B 01 D3 60 68 00 E0 20 1D 2A 46 31 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 5A 55 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_282_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z"
		size = 42
		refs = "0018 strlen 0022 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 91 F9 00 30 0C 46 05 46 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_68_250_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBD@Z"
		size = 42
		refs = "0018 strlen 0022 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 91 F9 00 30 0C 46 05 46 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_12_283_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		size = 134
		refs = "0044 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0052 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 006a memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0E 46 15 46 04 46 EE B1 A2 69 10 2A 01 D3 63 68 00 E0 23 1D 9E 42 15 D3 10 2A 01 D3 61 68 00 E0 21 1D 63 69 0B 44 B3 42 0C D9 10 2A 01 D3 63 68 00 E0 23 1D F2 1A 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 19 E0 00 22 29 46 20 46 ?? ?? ?? ?? 98 B1 A3 69 10 2B 01 D3 60 68 00 E0 20 1D 1D B1 2A 46 31 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 5A 55 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_12_284_1 {
	meta:
		name = "?assign@?$char_traits@D@std@@SAPADPADID@Z"
		size = 20
		refs = "0010 memset"
	strings:
		$1 = { 2D E9 00 48 EB 46 13 46 0A 46 19 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_288_1 {
	meta:
		name = "?c_str@locale@std@@QBAPBDXZ"
		size = 32
		refs = "001c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 0B B9 04 48 03 E0 98 69 08 B9 03 F1 1C 00 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_294_1 {
	meta:
		name = "?decimal_point@?$numpunct@D@std@@QBADXZ"
		size = 28
		refs = "0010 _guard_check_icall"
		altNames = "?always_noconv@codecvt_base@std@@QBA_NXZ ?date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ ?date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ ?date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AW4dateorder@time_base@2@XZ ?decimal_point@?$_Mpunct@D@std@@QBADXZ ?decimal_point@?$_Mpunct@G@std@@QBAGXZ ?decimal_point@?$_Mpunct@_W@std@@QBA_WXZ ?decimal_point@?$numpunct@G@std@@QBAGXZ ?decimal_point@?$numpunct@_W@std@@QBA_WXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_12_299_1 {
	meta:
		name = "?do_falsename@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
		altNames = "?do_curr_symbol@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_995_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_996_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1006_1 {
	meta:
		name = "?do_falsename@?$numpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1007_1 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_300_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 262
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0090 _Stoulx 00a0 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00fa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 A0 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 81 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F9 18 30 2D 2B 02 D1 17 F1 19 05 01 E0 17 F1 18 05 3B 46 39 1D 4A 46 28 46 ?? ?? ?? ?? 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? BA 6E 3B 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 AB 42 0D D0 3B 68 5B B9 4F F6 FF 73 9C 42 07 D8 97 F9 18 30 2D 2B 08 BF 64 42 AA F8 00 40 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 23 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1020_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 262
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0090 _Stoulx 00a0 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00fa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 A0 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 81 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F9 18 30 2D 2B 02 D1 17 F1 19 05 01 E0 17 F1 18 05 3B 46 39 1D 4A 46 28 46 ?? ?? ?? ?? 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? BA 6E 3B 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 AB 42 0D D0 3B 68 5B B9 4F F6 FF 73 9C 42 07 D8 97 F9 18 30 2D 2B 08 BF 64 42 AA F8 00 40 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 23 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1052_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 262
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0090 _Stoulx 00a0 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00fa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 A0 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 81 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F9 18 30 2D 2B 02 D1 17 F1 19 05 01 E0 17 F1 18 05 3B 46 39 1D 4A 46 28 46 ?? ?? ?? ?? 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? BA 6E 3B 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 AB 42 0D D0 3B 68 5B B9 4F F6 FF 73 9C 42 07 D8 97 F9 18 30 2D 2B 08 BF 64 42 AA F8 00 40 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 23 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_303_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 254
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0090 _Stoulx 00a0 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00f2 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 A0 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 81 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F9 18 30 2D 2B 02 D1 17 F1 19 05 01 E0 17 F1 18 05 3B 46 39 1D 4A 46 28 46 ?? ?? ?? ?? 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? BA 6E 3B 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 AB 42 09 D0 3B 68 3B B9 97 F9 18 30 2D 2B 08 BF 64 42 CA F8 00 40 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 23 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1023_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 254
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0090 _Stoulx 00a0 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00f2 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 A0 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 81 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F9 18 30 2D 2B 02 D1 17 F1 19 05 01 E0 17 F1 18 05 3B 46 39 1D 4A 46 28 46 ?? ?? ?? ?? 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? BA 6E 3B 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 AB 42 09 D0 3B 68 3B B9 97 F9 18 30 2D 2B 08 BF 64 42 CA F8 00 40 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 23 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1055_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 254
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0090 _Stoulx 00a0 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00f2 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 A0 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 81 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F9 18 30 2D 2B 02 D1 17 F1 19 05 01 E0 17 F1 18 05 3B 46 39 1D 4A 46 28 46 ?? ?? ?? ?? 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? BA 6E 3B 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 AB 42 09 D0 3B 68 3B B9 97 F9 18 30 2D 2B 08 BF 64 42 CA F8 00 40 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 23 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_306_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 230
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0058 _Stolx 0068 _guard_check_icall 008e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00da __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 90 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 02 46 17 F1 18 00 3B 46 39 1D ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 C9 F8 00 A0 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_309_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 230
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0058 _Stoulx 0068 _guard_check_icall 008e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00da __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 90 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 02 46 17 F1 18 00 3B 46 39 1D ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 C9 F8 00 A0 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1026_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 230
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0058 _Stolx 0068 _guard_check_icall 008e ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00da __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 90 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 02 46 17 F1 18 00 3B 46 39 1D ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 C9 F8 00 A0 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1029_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 230
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0058 _Stoulx 0068 _guard_check_icall 008e ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00da __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 90 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 02 46 17 F1 18 00 3B 46 39 1D ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 C9 F8 00 A0 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1058_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 230
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0058 _Stolx 0068 _guard_check_icall 008e ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00da __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 90 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 02 46 17 F1 18 00 3B 46 39 1D ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 C9 F8 00 A0 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1061_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 230
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0058 _Stoulx 0068 _guard_check_icall 008e ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00da __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 BC 6F 6F F0 01 03 C7 E9 04 33 FE 6F D7 F8 80 90 00 23 88 46 05 46 20 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 68 02 00 93 17 F1 70 03 17 F1 18 01 28 46 ?? ?? ?? ?? 02 46 17 F1 18 00 3B 46 39 1D ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 C9 F8 00 A0 03 E0 33 68 43 F0 02 03 33 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_312_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 196
		refs = "000e __security_push_cookie 0032 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 003e ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0054 ldexp 0064 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00ae __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 2D ED 02 8B ?? ?? ?? ?? AD F5 4D 7D DC 9A 00 23 29 4C CD E9 02 43 02 AB DD 9D DE 9F 01 93 0E 46 00 92 DA AB D8 AA 06 A9 ?? ?? ?? ?? 02 46 06 A8 03 AB 04 A9 ?? ?? ?? ?? 02 9B B0 EE 40 8A A3 42 07 D0 33 B1 B7 EE C0 0A 98 00 ?? ?? ?? ?? B7 EE C0 8B 9D F8 64 33 13 B9 D8 A8 ?? ?? ?? ?? 9D F8 6C 33 13 B9 DA A8 ?? ?? ?? ?? D8 99 DA 9B 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 04 9B 06 AA 93 42 04 D0 03 9B 13 B9 87 ED 00 8A 03 E0 2B 68 43 F0 02 03 2B 60 D9 9B C6 E9 00 13 30 46 0D F5 4D 7D ?? ?? ?? ?? BD EC 02 8B BD E8 F0 08 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_1032_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 196
		refs = "000e __security_push_cookie 0032 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 003e ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0054 ldexp 0064 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00ae __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 2D ED 02 8B ?? ?? ?? ?? AD F5 4D 7D DC 9A 00 23 29 4C CD E9 02 43 02 AB DD 9D DE 9F 01 93 0E 46 00 92 DA AB D8 AA 06 A9 ?? ?? ?? ?? 02 46 06 A8 03 AB 04 A9 ?? ?? ?? ?? 02 9B B0 EE 40 8A A3 42 07 D0 33 B1 B7 EE C0 0A 98 00 ?? ?? ?? ?? B7 EE C0 8B 9D F8 64 33 13 B9 D8 A8 ?? ?? ?? ?? 9D F8 6C 33 13 B9 DA A8 ?? ?? ?? ?? D8 99 DA 9B 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 04 9B 06 AA 93 42 04 D0 03 9B 13 B9 87 ED 00 8A 03 E0 2B 68 43 F0 02 03 2B 60 D9 9B C6 E9 00 13 30 46 0D F5 4D 7D ?? ?? ?? ?? BD EC 02 8B BD E8 F0 08 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_1064_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 196
		refs = "000e __security_push_cookie 0032 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 003e ?_Stofx_v2@std@@YAMPBDPAPADHPAH@Z 0054 ldexp 0064 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00ae __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 2D ED 02 8B ?? ?? ?? ?? AD F5 4D 7D DC 9A 00 23 29 4C CD E9 02 43 02 AB DD 9D DE 9F 01 93 0E 46 00 92 DA AB D8 AA 06 A9 ?? ?? ?? ?? 02 46 06 A8 03 AB 04 A9 ?? ?? ?? ?? 02 9B B0 EE 40 8A A3 42 07 D0 33 B1 B7 EE C0 0A 98 00 ?? ?? ?? ?? B7 EE C0 8B 9D F8 64 33 13 B9 D8 A8 ?? ?? ?? ?? 9D F8 6C 33 13 B9 DA A8 ?? ?? ?? ?? D8 99 DA 9B 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 04 9B 06 AA 93 42 04 D0 03 9B 13 B9 87 ED 00 8A 03 E0 2B 68 43 F0 02 03 2B 60 D9 9B C6 E9 00 13 30 46 0D F5 4D 7D ?? ?? ?? ?? BD EC 02 8B BD E8 F0 08 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_12_313_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 192
		refs = "000e __security_push_cookie 0032 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 003e ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0050 ldexp 0060 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00aa __security_pop_cookie"
		altNames = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 2D ED 02 8B ?? ?? ?? ?? AD F5 4D 7D DC 9A 00 23 28 4C CD E9 02 43 02 AB DD 9D DE 9F 01 93 0E 46 00 92 DA AB D8 AA 06 A9 ?? ?? ?? ?? 02 46 06 A8 03 AB 04 A9 ?? ?? ?? ?? 02 9B B0 EE 40 8B A3 42 05 D0 23 B1 98 00 ?? ?? ?? ?? B0 EE 40 8B 9D F8 64 33 13 B9 D8 A8 ?? ?? ?? ?? 9D F8 6C 33 13 B9 DA A8 ?? ?? ?? ?? D8 99 DA 9B 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 04 9B 06 AA 93 42 04 D0 03 9B 13 B9 87 ED 00 8B 03 E0 2B 68 43 F0 02 03 2B 60 D9 9B C6 E9 00 13 30 46 0D F5 4D 7D ?? ?? ?? ?? BD EC 02 8B BD E8 F0 08 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_1033_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 192
		refs = "000e __security_push_cookie 0032 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 003e ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0050 ldexp 0060 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00aa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 2D ED 02 8B ?? ?? ?? ?? AD F5 4D 7D DC 9A 00 23 28 4C CD E9 02 43 02 AB DD 9D DE 9F 01 93 0E 46 00 92 DA AB D8 AA 06 A9 ?? ?? ?? ?? 02 46 06 A8 03 AB 04 A9 ?? ?? ?? ?? 02 9B B0 EE 40 8B A3 42 05 D0 23 B1 98 00 ?? ?? ?? ?? B0 EE 40 8B 9D F8 64 33 13 B9 D8 A8 ?? ?? ?? ?? 9D F8 6C 33 13 B9 DA A8 ?? ?? ?? ?? D8 99 DA 9B 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 04 9B 06 AA 93 42 04 D0 03 9B 13 B9 87 ED 00 8B 03 E0 2B 68 43 F0 02 03 2B 60 D9 9B C6 E9 00 13 30 46 0D F5 4D 7D ?? ?? ?? ?? BD EC 02 8B BD E8 F0 08 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_1034_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 192
		refs = "000e __security_push_cookie 0032 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 003e ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0050 ldexp 0060 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00aa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 2D ED 02 8B ?? ?? ?? ?? AD F5 4D 7D DC 9A 00 23 28 4C CD E9 02 43 02 AB DD 9D DE 9F 01 93 0E 46 00 92 DA AB D8 AA 06 A9 ?? ?? ?? ?? 02 46 06 A8 03 AB 04 A9 ?? ?? ?? ?? 02 9B B0 EE 40 8B A3 42 05 D0 23 B1 98 00 ?? ?? ?? ?? B0 EE 40 8B 9D F8 64 33 13 B9 D8 A8 ?? ?? ?? ?? 9D F8 6C 33 13 B9 DA A8 ?? ?? ?? ?? D8 99 DA 9B 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 04 9B 06 AA 93 42 04 D0 03 9B 13 B9 87 ED 00 8B 03 E0 2B 68 43 F0 02 03 2B 60 D9 9B C6 E9 00 13 30 46 0D F5 4D 7D ?? ?? ?? ?? BD EC 02 8B BD E8 F0 08 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_1065_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 192
		refs = "000e __security_push_cookie 0032 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 003e ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0050 ldexp 0060 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00aa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 2D ED 02 8B ?? ?? ?? ?? AD F5 4D 7D DC 9A 00 23 28 4C CD E9 02 43 02 AB DD 9D DE 9F 01 93 0E 46 00 92 DA AB D8 AA 06 A9 ?? ?? ?? ?? 02 46 06 A8 03 AB 04 A9 ?? ?? ?? ?? 02 9B B0 EE 40 8B A3 42 05 D0 23 B1 98 00 ?? ?? ?? ?? B0 EE 40 8B 9D F8 64 33 13 B9 D8 A8 ?? ?? ?? ?? 9D F8 6C 33 13 B9 DA A8 ?? ?? ?? ?? D8 99 DA 9B 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 04 9B 06 AA 93 42 04 D0 03 9B 13 B9 87 ED 00 8B 03 E0 2B 68 43 F0 02 03 2B 60 D9 9B C6 E9 00 13 30 46 0D F5 4D 7D ?? ?? ?? ?? BD EC 02 8B BD E8 F0 08 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_1066_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 192
		refs = "000e __security_push_cookie 0032 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 003e ?_Stodx_v2@std@@YANPBDPAPADHPAH@Z 0050 ldexp 0060 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00aa __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 2D ED 02 8B ?? ?? ?? ?? AD F5 4D 7D DC 9A 00 23 28 4C CD E9 02 43 02 AB DD 9D DE 9F 01 93 0E 46 00 92 DA AB D8 AA 06 A9 ?? ?? ?? ?? 02 46 06 A8 03 AB 04 A9 ?? ?? ?? ?? 02 9B B0 EE 40 8B A3 42 05 D0 23 B1 98 00 ?? ?? ?? ?? B0 EE 40 8B 9D F8 64 33 13 B9 D8 A8 ?? ?? ?? ?? 9D F8 6C 33 13 B9 DA A8 ?? ?? ?? ?? D8 99 DA 9B 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 04 9B 06 AA 93 42 04 D0 03 9B 13 B9 87 ED 00 8B 03 E0 2B 68 43 F0 02 03 2B 60 D9 9B C6 E9 00 13 30 46 0D F5 4D 7D ?? ?? ?? ?? BD EC 02 8B BD E8 F0 08 5D F8 14 FB FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_12_315_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 236
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0080 _Stoulx 0094 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00e0 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 6F F0 01 03 04 46 B8 6F C7 E9 04 33 FD 6F D7 F8 80 A0 00 23 88 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 4F F4 00 63 00 93 01 90 17 F1 70 03 17 F1 68 02 17 F1 18 01 20 46 ?? ?? ?? ?? 81 46 FE 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 3B 46 39 1D 17 F1 18 00 4A 46 ?? ?? ?? ?? 00 23 FB 60 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 CA F8 00 40 03 E0 2B 68 43 F0 02 03 2B 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1035_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 236
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0080 _Stoulx 0094 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00e0 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 6F F0 01 03 04 46 B8 6F C7 E9 04 33 FD 6F D7 F8 80 A0 00 23 88 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 4F F4 00 63 00 93 01 90 17 F1 70 03 17 F1 68 02 17 F1 18 01 20 46 ?? ?? ?? ?? 81 46 FE 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 3B 46 39 1D 17 F1 18 00 4A 46 ?? ?? ?? ?? 00 23 FB 60 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 CA F8 00 40 03 E0 2B 68 43 F0 02 03 2B 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1067_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 236
		refs = "000a __security_push_cookie 0030 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004a ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 005a _guard_check_icall 0080 _Stoulx 0094 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00e0 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 6F F0 01 03 04 46 B8 6F C7 E9 04 33 FD 6F D7 F8 80 A0 00 23 88 46 17 F1 08 01 3B 60 ?? ?? ?? ?? 4F F4 00 63 00 93 01 90 17 F1 70 03 17 F1 68 02 17 F1 18 01 20 46 ?? ?? ?? ?? 81 46 FE 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 3B 46 39 1D 17 F1 18 00 4A 46 ?? ?? ?? ?? 00 23 FB 60 97 F8 6C 30 04 46 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 7B 68 17 F1 18 02 93 42 04 D0 3B 68 13 B9 CA F8 00 40 03 E0 2B 68 43 F0 02 03 2B 60 FB 6E C8 E9 00 13 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_318_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 242
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 005e _Stollx 0072 _guard_check_icall 009a ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 82 B0 D7 F8 80 40 6F F0 01 03 C7 E9 06 33 D7 F8 84 60 D7 F8 88 90 00 23 88 46 05 46 20 46 17 F1 10 01 7B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 70 02 00 93 17 F1 78 03 17 F1 20 01 28 46 ?? ?? ?? ?? 02 46 17 F1 20 00 3B 1D 17 F1 08 01 ?? ?? ?? ?? 04 46 3C 60 8A 46 7D 69 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 39 6F BB 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 BB 68 17 F1 20 02 93 42 04 D0 7B 68 13 B9 C9 E9 00 4A 03 E0 33 68 43 F0 02 03 33 60 7B 6F C8 E9 00 13 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_321_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 242
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 005e _Stoullx 0072 _guard_check_icall 009a ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 82 B0 D7 F8 80 40 6F F0 01 03 C7 E9 06 33 D7 F8 84 60 D7 F8 88 90 00 23 88 46 05 46 20 46 17 F1 10 01 7B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 70 02 00 93 17 F1 78 03 17 F1 20 01 28 46 ?? ?? ?? ?? 02 46 17 F1 20 00 3B 1D 17 F1 08 01 ?? ?? ?? ?? 04 46 3C 60 8A 46 7D 69 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 39 6F BB 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 BB 68 17 F1 20 02 93 42 04 D0 7B 68 13 B9 C9 E9 00 4A 03 E0 33 68 43 F0 02 03 33 60 7B 6F C8 E9 00 13 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1038_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 242
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 005e _Stollx 0072 _guard_check_icall 009a ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 82 B0 D7 F8 80 40 6F F0 01 03 C7 E9 06 33 D7 F8 84 60 D7 F8 88 90 00 23 88 46 05 46 20 46 17 F1 10 01 7B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 70 02 00 93 17 F1 78 03 17 F1 20 01 28 46 ?? ?? ?? ?? 02 46 17 F1 20 00 3B 1D 17 F1 08 01 ?? ?? ?? ?? 04 46 3C 60 8A 46 7D 69 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 39 6F BB 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 BB 68 17 F1 20 02 93 42 04 D0 7B 68 13 B9 C9 E9 00 4A 03 E0 33 68 43 F0 02 03 33 60 7B 6F C8 E9 00 13 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1041_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 242
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 005e _Stoullx 0072 _guard_check_icall 009a ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 82 B0 D7 F8 80 40 6F F0 01 03 C7 E9 06 33 D7 F8 84 60 D7 F8 88 90 00 23 88 46 05 46 20 46 17 F1 10 01 7B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 70 02 00 93 17 F1 78 03 17 F1 20 01 28 46 ?? ?? ?? ?? 02 46 17 F1 20 00 3B 1D 17 F1 08 01 ?? ?? ?? ?? 04 46 3C 60 8A 46 7D 69 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 39 6F BB 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 BB 68 17 F1 20 02 93 42 04 D0 7B 68 13 B9 C9 E9 00 4A 03 E0 33 68 43 F0 02 03 33 60 7B 6F C8 E9 00 13 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1070_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 242
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 005e _Stollx 0072 _guard_check_icall 009a ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 82 B0 D7 F8 80 40 6F F0 01 03 C7 E9 06 33 D7 F8 84 60 D7 F8 88 90 00 23 88 46 05 46 20 46 17 F1 10 01 7B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 70 02 00 93 17 F1 78 03 17 F1 20 01 28 46 ?? ?? ?? ?? 02 46 17 F1 20 00 3B 1D 17 F1 08 01 ?? ?? ?? ?? 04 46 3C 60 8A 46 7D 69 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 39 6F BB 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 BB 68 17 F1 20 02 93 42 04 D0 7B 68 13 B9 C9 E9 00 4A 03 E0 33 68 43 F0 02 03 33 60 7B 6F C8 E9 00 13 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1073_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 242
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 005e _Stoullx 0072 _guard_check_icall 009a ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 82 B0 D7 F8 80 40 6F F0 01 03 C7 E9 06 33 D7 F8 84 60 D7 F8 88 90 00 23 88 46 05 46 20 46 17 F1 10 01 7B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 70 02 00 93 17 F1 78 03 17 F1 20 01 28 46 ?? ?? ?? ?? 02 46 17 F1 20 00 3B 1D 17 F1 08 01 ?? ?? ?? ?? 04 46 3C 60 8A 46 7D 69 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 39 6F BB 6F 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 BB 68 17 F1 20 02 93 42 04 D0 7B 68 13 B9 C9 E9 00 4A 03 E0 33 68 43 F0 02 03 33 60 7B 6F C8 E9 00 13 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_324_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 536
		refs = "000a __security_push_cookie 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 005c _guard_check_icall 0080 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 008a ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0098 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 00a4 ??3@YAXPAX@Z 00c0 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 00ca ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0112 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0158 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0168 _Stoulx 01bc ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 020c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 08 33 D7 F8 D0 30 D7 F8 C8 40 D7 F8 CC 60 3B 61 63 69 80 46 89 46 13 F4 80 4F 6F F0 00 05 20 46 7D D0 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 D7 F8 0C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 17 F1 48 00 00 22 01 21 ?? ?? ?? ?? 17 F1 28 01 50 46 ?? ?? ?? ?? 01 46 17 F1 48 00 2B 46 00 22 ?? ?? ?? ?? 3B 6C 10 2B 02 D3 F8 6A ?? ?? ?? ?? 0F 23 B8 6A 3B 64 00 23 FB 63 87 F8 2C 30 ?? ?? ?? ?? 17 F1 48 00 00 21 ?? ?? ?? ?? 17 F1 28 01 50 46 ?? ?? ?? ?? 01 46 17 F1 48 00 2B 46 00 22 ?? ?? ?? ?? 3B 6C 10 2B 02 D3 F8 6A ?? ?? ?? ?? 0F 23 B8 6A 3B 64 00 23 FB 63 87 F8 2C 30 ?? ?? ?? ?? 3B 6E 10 2B 01 D3 FB 6C 01 E0 17 F1 4C 03 17 F1 C0 01 17 F1 B8 00 02 22 ?? ?? ?? ?? 05 46 3B 6E 10 2B 02 D3 F8 6C ?? ?? ?? ?? 0F 23 B8 6C 3B 66 00 23 FB 65 87 F8 4C 30 ?? ?? ?? ?? 3C E0 00 23 17 F1 18 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 B8 02 00 93 17 F1 C0 03 17 F1 68 01 40 46 ?? ?? ?? ?? 02 46 17 F1 68 00 3B 46 17 F1 08 01 ?? ?? ?? ?? 82 46 D7 F8 1C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 BB 68 17 F1 68 02 93 42 05 D0 3B 68 1B B9 BA F1 01 0F 98 BF 55 46 97 F8 BC 30 1B B9 17 F1 B8 00 ?? ?? ?? ?? 97 F8 C4 30 1B B9 17 F1 C0 00 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 C0 30 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 00 2D 04 DA 33 68 43 F0 02 03 33 60 05 E0 39 69 18 BF 01 23 08 BF 00 23 0B 70 D7 F8 BC 30 C9 E9 00 23 48 46 24 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_332_1 {
	meta:
		name = "?do_grouping@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
		altNames = "?do_grouping@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@G@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 81 68 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_333_1 {
	meta:
		name = "?do_in@?$codecvt@DDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z"
		size = 22
		altNames = "?do_out@?$codecvt@DDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 9B 03 20 1A 60 05 9A 03 9B 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_12_334_1 {
	meta:
		name = "?do_length@?$codecvt@DDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1I@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 02 98 9B 1A 98 42 28 BF 18 46 BD E8 00 88 }
	condition:
		$1
}

rule file_12_337_1 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MBAPBDPBD0DPAD@Z"
		size = 24
		refs = "000e memcpy"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 98 14 46 62 1A ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_339_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DJ@Z"
		size = 92
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 0028 sprintf_s 0042 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 004a __security_pop_cookie 0058 ??_C@_02EAOCLKAK@ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 11 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 40 21 ?? ?? ?? ?? 06 AB 02 93 9D F9 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_340_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DK@Z"
		size = 92
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 0028 sprintf_s 0042 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 004a __security_pop_cookie 0058 ??_C@_02BDDLJJBK@lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 11 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 40 21 ?? ?? ?? ?? 06 AB 02 93 9D F9 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_341_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z"
		size = 388
		refs = "000e __security_push_cookie 0038 ??2@YAPAXI@Z 003e _invalid_parameter_noinfo_noreturn 00a2 frexp 00ee ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00fc ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 011c sprintf_s 0142 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z 014e ??3@YAXPAX@Z 0168 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B ?? ?? ?? ?? 8E B0 6F 46 84 B0 BD 6F 6F F0 01 03 C7 E9 02 33 B0 EE 40 8B 0E 46 80 46 5A EC 10 9B 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 0F 20 1A 60 00 23 00 21 3B 75 C7 E9 09 10 D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 3C 0B B0 EE C8 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 48 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2F 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 09 10 1A 19 02 F1 32 03 8B 42 09 D8 10 28 01 D3 7A 69 01 E0 17 F1 14 02 00 21 7B 62 D1 54 05 E0 59 1A 17 F1 10 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 00 22 40 46 ?? ?? ?? ?? BB 6A 02 46 10 2B 01 D3 78 69 01 E0 17 F1 14 00 79 6A 23 46 CD F8 00 90 CD F8 04 A0 ?? ?? ?? ?? BB 6A 10 2B 01 D3 7B 69 01 E0 17 F1 14 03 02 93 97 F9 7C 30 3A 6F 03 90 01 93 7B 6F 31 46 40 46 00 95 ?? ?? ?? ?? BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 30 46 BD 46 0E B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 0F 5D F8 14 FB 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_12_344_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z"
		size = 388
		refs = "000e __security_push_cookie 0038 ??2@YAPAXI@Z 003e _invalid_parameter_noinfo_noreturn 00a2 frexp 00ee ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00fc ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 011c sprintf_s 0142 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z 014e ??3@YAXPAX@Z 0168 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B ?? ?? ?? ?? 8E B0 6F 46 84 B0 BD 6F 6F F0 01 03 C7 E9 02 33 B0 EE 40 8B 0E 46 80 46 5A EC 10 9B 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 0F 20 1A 60 00 23 00 21 3B 75 C7 E9 09 10 D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 3C 0B B0 EE C8 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 48 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2F 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 09 10 1A 19 02 F1 32 03 8B 42 09 D8 10 28 01 D3 7A 69 01 E0 17 F1 14 02 00 21 7B 62 D1 54 05 E0 59 1A 17 F1 10 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 4C 22 40 46 ?? ?? ?? ?? BB 6A 02 46 10 2B 01 D3 78 69 01 E0 17 F1 14 00 79 6A 23 46 CD F8 00 90 CD F8 04 A0 ?? ?? ?? ?? BB 6A 10 2B 01 D3 7B 69 01 E0 17 F1 14 03 02 93 97 F9 7C 30 3A 6F 03 90 01 93 7B 6F 31 46 40 46 00 95 ?? ?? ?? ?? BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 30 46 BD 46 0E B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 0F 5D F8 14 FB 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_12_347_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBX@Z"
		size = 80
		refs = "000a __security_push_cookie 001e sprintf_s 0038 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 0040 __security_pop_cookie 004c ??_C@_02BBAHNLBA@?$CFp?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 94 B0 20 9B 0E 4A 1E 9C 0E 46 05 46 04 A8 40 21 ?? ?? ?? ?? 04 AB 02 93 9D F9 7C 30 1C 9A 03 90 01 93 1D 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 14 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_348_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_J@Z"
		size = 96
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 002e sprintf_s 0048 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 0050 __security_pop_cookie 005c ??_C@_02HIKPPMOK@Ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 12 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 00 93 23 9B 40 21 01 93 ?? ?? ?? ?? 06 AB 02 93 9D F9 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_349_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_K@Z"
		size = 96
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 002e sprintf_s 0048 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 0050 __security_pop_cookie 005c ??_C@_02CLHGNPPK@Lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 12 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 00 93 23 9B 40 21 01 93 ?? ?? ?? ?? 06 AB 02 93 9D F9 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_350_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z"
		size = 460
		refs = "000a __security_push_cookie 004c _guard_check_icall 0060 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 009a ??2@YAPAXI@Z 00a0 _invalid_parameter_noinfo_noreturn 00cc ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00d6 ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e0 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@$$QAV12@@Z 00ec ??3@YAXPAX@Z 013a ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 01c0 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 94 B0 6F 46 84 B0 D7 F8 88 90 1D 46 6F F0 01 03 C7 E9 20 25 C7 E9 02 33 0E 46 D9 F8 14 10 90 46 82 46 11 F4 80 4F 12 D1 97 F8 90 10 CD F8 00 90 02 91 97 F9 8C 10 01 91 01 68 4C 6A 20 46 ?? ?? ?? ?? 50 46 31 46 42 46 2B 46 A0 47 AF E0 39 46 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 1A 60 0F 23 BB 62 00 23 7B 62 3B 75 97 F8 90 30 40 46 23 B1 17 F1 30 01 ?? ?? ?? ?? 03 E0 17 F1 30 01 ?? ?? ?? ?? 01 46 17 F1 10 00 ?? ?? ?? ?? BB 6C 10 2B 02 D3 78 6B ?? ?? ?? ?? 0F 23 38 6B BB 64 00 23 7B 64 87 F8 34 30 ?? ?? ?? ?? D9 E9 08 23 7D 6A 00 2B 05 DB 00 DC 1A B1 AA 42 88 BF 54 1B 00 D8 00 24 D9 F8 14 30 D7 F8 84 20 03 F4 E0 73 40 2B D7 F8 80 30 0F D0 C7 E9 00 32 4C B1 97 F9 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 7D 6A D7 E9 00 32 C7 E9 20 32 00 24 B9 6A 78 69 10 29 28 BF 80 46 01 D2 17 F1 14 08 C7 E9 00 32 55 B1 18 F9 01 1B 38 46 ?? ?? ?? ?? 6D 1E F8 D1 B9 6A 78 69 D7 E9 00 32 00 25 C9 E9 08 55 C7 E9 20 32 C7 E9 00 32 54 B1 97 F9 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 B9 6A 78 69 D7 E9 00 32 C6 E9 00 32 10 29 01 D3 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 30 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_12_356_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MBADD@Z"
		size = 24
		refs = "000e _Tolower"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 46 00 F1 08 01 D8 B2 ?? ?? ?? ?? 40 B2 BD E8 00 88 }
	condition:
		$1
}

rule file_12_358_1 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MBADD@Z"
		size = 24
		refs = "000e _Toupper"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 46 00 F1 08 01 D8 B2 ?? ?? ?? ?? 40 B2 BD E8 00 88 }
	condition:
		$1
}

rule file_12_357_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MBAPBDPADPBD@Z"
		size = 50
		refs = "001e _Tolower"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0C 46 15 1B 00 26 94 42 88 BF 00 25 07 46 4D B1 20 78 07 F1 08 01 ?? ?? ?? ?? 76 1C AE 42 04 F8 01 0B F5 D1 20 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_12_359_1 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MBAPBDPADPBD@Z"
		size = 50
		refs = "001e _Toupper"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0C 46 15 1B 00 26 94 42 88 BF 00 25 07 46 4D B1 20 78 07 F1 08 01 ?? ?? ?? ?? 76 1C AE 42 04 F8 01 0B F5 D1 20 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_12_360_1 {
	meta:
		name = "?do_truename@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
		altNames = "?do_positive_sign@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 41 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1143_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 41 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1144_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 41 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1221_1 {
	meta:
		name = "?do_truename@?$numpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 41 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1222_1 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 41 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_361_1 {
	meta:
		name = "?do_unshift@?$codecvt@DDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PAD1AAPAD@Z"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 02 9B 00 20 1A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_12_363_1 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MBAPBDPBD0PAD@Z"
		size = 24
		refs = "000e memcpy"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 14 46 62 1A 18 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_12_365_1 {
	meta:
		name = "?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
		size = 24
		altNames = "??$?8V__ExceptionPtr@@V0@@std@@YA_NABV?$shared_ptr@V__ExceptionPtr@@@0@0@Z ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z ?__ExceptionPtrCompare@@YA_NPBX0@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 0B 68 9A 42 08 BF 01 20 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_12_367_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z"
		size = 40
		refs = "0022 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 8B 42 0A D3 83 69 10 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 5A 54 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_368_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z"
		size = 106
		refs = "0046 memmove 0064 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 60 69 88 42 28 D3 43 1A 93 42 09 D8 A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 61 61 5A 54 18 E0 BA B1 A3 69 10 2B 01 D3 63 68 00 E0 23 1D 85 1A 0B 44 68 1A 04 D0 99 18 02 46 18 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 5A 55 20 46 BD E8 30 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_369_1 {
	meta:
		name = "?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 34
		refs = "0012 _guard_check_icall"
		altNames = "?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 0E 46 9D 69 28 46 ?? ?? ?? ?? 20 46 31 46 A8 47 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_12_372_1 {
	meta:
		name = "?getloc@ios_base@std@@QBA?AVlocale@2@XZ"
		size = 46
		refs = "0020 _guard_check_icall"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 03 6B 0E 46 5D 68 75 60 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 30 46 BD E8 FC 88 }
	condition:
		$1
}

rule file_12_374_1 {
	meta:
		name = "?global@locale@std@@SA?AV12@ABV12@@Z"
		size = 200
		refs = "0020 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z 0030 ??0_Lockit@std@@QAA@H@Z 0034 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0046 _guard_check_icall 0066 ?_Setgloballocale@locale@std@@CAXPAX@Z 008c setlocale 00b8 ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 FF 4B 0D F1 28 0B 6F 46 6F F0 01 03 38 63 C7 E9 02 33 0E 46 80 46 00 23 3B 60 01 20 ?? ?? ?? ?? C8 F8 04 00 01 23 38 1D 00 21 3B 60 ?? ?? ?? ?? ?? ?? ?? ?? 73 68 05 46 9D 42 3A D0 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 75 68 28 46 ?? ?? ?? ?? 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 2B 69 03 F0 3F 06 3F 2E 07 D1 A9 69 09 B9 05 F1 1C 01 00 20 ?? ?? ?? ?? 11 E0 00 24 4F F0 01 09 09 FA 04 F3 16 EA 63 0F 06 D0 A9 69 09 B9 05 F1 1C 01 20 46 ?? ?? ?? ?? 64 1C 05 2C F0 DD 38 1D ?? ?? ?? ?? 40 46 04 B0 BD E8 F0 0B 5D F8 0C FB }
	condition:
		$1
}

rule file_12_376_1 {
	meta:
		name = "__unwindfunclet$?global@locale@std@@SA?AV12@ABV12@@Z$0"
		size = 30
		refs = "0018 ??1locale@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 07 80 3B 68 23 F0 01 03 3B 60 38 6B ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_12_379_1 {
	meta:
		name = "?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 34
		refs = "0012 _guard_check_icall"
		altNames = "?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 0E 46 5D 69 28 46 ?? ?? ?? ?? 20 46 31 46 A8 47 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_12_380_1 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z"
		size = 164
		refs = "0024 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0050 memmove 007a memset 0098 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 009e ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 15 46 62 69 0F 46 98 46 BA 42 3F D3 D3 43 AB 42 3F D9 56 19 BD B3 00 22 31 46 ?? ?? ?? ?? 90 B3 A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D 63 69 B3 EB 07 0E 05 D0 D3 19 39 44 58 19 72 46 ?? ?? ?? ?? A3 69 01 2D 07 D1 10 2B 01 D3 63 68 00 E0 23 1D 03 F8 07 80 09 E0 10 2B 01 D3 63 68 00 E0 23 1D D8 19 2A 46 41 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 9A 55 20 46 BD E8 F8 89 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_12_381_1 {
	meta:
		name = "?length@?$char_traits@D@std@@SAIPBD@Z"
		size = 28
		refs = "0014 strlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 00 30 0B B9 00 20 03 E0 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_12_382_1 {
	meta:
		name = "?max_size@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBAIU_Nil@2@@Z"
		size = 20
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 6F F0 00 00 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_12_388_1 {
	meta:
		name = "?precision@ios_base@std@@QBA_JXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 D3 E9 06 01 BD E8 00 88 }
	condition:
		$1
}

rule file_12_389_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
		size = 44
		refs = "0024 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 99 42 09 D8 83 69 10 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 5A 54 03 E0 C9 1A 00 22 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_12_390_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXID@Z"
		size = 42
		refs = "0022 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 99 42 09 D8 83 69 10 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 5A 54 02 E0 C9 1A ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_12_391_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ"
		size = 66
		refs = "0036 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 EB 69 1B 68 13 B1 EB 6A 1B 68 00 E0 00 23 00 2B 09 DD EA 6A 13 68 5B 1E 13 60 EA 69 11 68 4B 1C 13 60 08 78 06 E0 2B 68 DC 69 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_12_392_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ"
		size = 50
		refs = "0026 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 EB 69 1A 68 12 B1 EB 6A 1B 68 00 E0 00 23 00 2B 01 DD 10 78 06 E0 2B 68 9C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_12_394_1 {
	meta:
		name = "?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHD@Z"
		size = 72
		refs = "003a _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 2B 6A 0E 46 1B 68 13 B1 2B 6B 1B 68 00 E0 00 23 00 2B 0A DD 2A 6B F0 B2 13 68 5B 1E 13 60 2A 6A 11 68 4B 1C 13 60 0E 70 07 E0 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 F1 B2 A0 47 BD E8 78 88 }
	condition:
		$1
}

rule file_12_395_1 {
	meta:
		name = "?thousands_sep@?$numpunct@D@std@@QBADXZ"
		size = 28
		refs = "0010 _guard_check_icall"
		altNames = "?thousands_sep@?$_Mpunct@D@std@@QBADXZ ?thousands_sep@?$_Mpunct@G@std@@QBAGXZ ?thousands_sep@?$_Mpunct@_W@std@@QBA_WXZ ?thousands_sep@?$numpunct@G@std@@QBAGXZ ?thousands_sep@?$numpunct@_W@std@@QBA_WXZ _Cnd_destroy_in_situ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_12_398_1 {
	meta:
		name = "?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 34
		refs = "0012 _guard_check_icall"
		altNames = "?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 0E 46 DD 69 28 46 ?? ?? ?? ?? 20 46 31 46 A8 47 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_12_400_1 {
	meta:
		name = "?widen@?$ctype@D@std@@QBAPBDPBD0PAD@Z"
		size = 40
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 05 46 2C 68 98 46 17 46 E4 69 0E 46 20 46 ?? ?? ?? ?? 28 46 31 46 3A 46 43 46 A0 47 BD E8 F8 89 }
	condition:
		$1
}

rule file_12_401_1 {
	meta:
		name = "?width@ios_base@std@@QAA_J_J@Z"
		size = 22
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 D4 E9 08 01 C4 E9 08 23 BD E8 18 88 }
	condition:
		$1
}

rule file_12_402_1 {
	meta:
		name = "?width@ios_base@std@@QBA_JXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 D3 E9 08 01 BD E8 00 88 }
	condition:
		$1
}

rule file_13_0_1 {
	meta:
		name = "_WStopfx"
		size = 282
		refs = "0018 iswctype"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 68 0F 46 80 46 00 25 00 E0 A4 1C 20 88 08 21 ?? ?? ?? ?? 00 28 F8 D1 23 88 2D 2B 08 BF 08 25 01 D0 2B 2B 00 D1 A4 1C 23 88 6E 2B 47 D0 4E 2B 45 D0 69 2B 1B D0 49 2B 19 D0 30 2B 14 D1 63 88 78 2B 01 D0 58 2B 0F D1 A3 88 22 1D 2E 2B 08 BF 92 1C 10 88 80 21 ?? ?? ?? ?? 08 B9 01 23 01 E0 24 1D 02 23 1D 43 4F E0 45 F0 01 05 4C E0 63 88 6E 2B 01 D0 4E 2B 2C D1 A3 88 66 2B 01 D0 46 2B 27 D1 A4 1D 23 88 45 F0 03 05 69 2B 01 D0 49 2B 38 D1 63 88 6E 2B 01 D0 4E 2B 33 D1 A3 88 69 2B 01 D0 49 2B 2E D1 E3 88 74 2B 01 D0 54 2B 29 D1 23 89 79 2B 01 D0 59 2B 24 D1 0A 34 22 E0 63 88 61 2B 01 D0 41 2B 04 D1 A3 88 6E 2B 05 D0 4E 2B 03 D0 D8 F8 00 40 00 25 14 E0 A4 1D 23 88 04 25 26 46 28 2B 0E D1 36 F8 02 0F 40 F2 07 11 ?? ?? ?? ?? 00 28 F7 D1 33 88 5F 2B F4 D0 9B B2 29 2B 08 BF B4 1C 07 B1 3C 60 C8 F8 00 40 28 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_14_0_1 {
	meta:
		name = "_Stopfx"
		size = 304
		refs = "0016 isspace 0062 isxdigit 010a isalnum"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 68 0F 46 80 46 00 25 00 E0 64 1C 20 78 ?? ?? ?? ?? 00 28 F9 D1 94 F9 00 30 2D 2B 08 BF 08 25 01 D0 2B 2B 00 D1 64 1C 94 F9 00 30 6E 2B 4F D0 4E 2B 4D D0 69 2B 1C D0 49 2B 1A D0 30 2B 15 D1 94 F9 01 30 78 2B 01 D0 58 2B 0F D1 94 F9 02 30 A2 1C 2E 2B 08 BF 52 1C 10 78 ?? ?? ?? ?? 08 B9 01 23 01 E0 A4 1C 02 23 1D 43 58 E0 45 F0 01 05 55 E0 94 F9 01 30 6E 2B 01 D0 4E 2B 34 D1 94 F9 02 30 66 2B 01 D0 46 2B 2E D1 E4 1C 94 F9 00 30 45 F0 03 05 69 2B 01 D0 49 2B 3E D1 94 F9 01 30 6E 2B 01 D0 4E 2B 38 D1 94 F9 02 30 69 2B 01 D0 49 2B 32 D1 94 F9 03 30 74 2B 01 D0 54 2B 2C D1 94 F9 04 30 79 2B 01 D0 59 2B 26 D1 64 1D 24 E0 94 F9 01 30 61 2B 01 D0 41 2B 05 D1 94 F9 02 30 6E 2B 05 D0 4E 2B 03 D0 D8 F8 00 40 00 25 14 E0 E4 1C 94 F9 00 30 04 25 26 46 28 2B 0D D1 16 F8 01 0F ?? ?? ?? ?? 00 28 F9 D1 96 F9 00 30 5F 2B F5 D0 5B B2 29 2B 08 BF 74 1C 07 B1 3C 60 C8 F8 00 40 28 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_15_3_1 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z"
		size = 24
		altNames = "??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 00 23 03 60 C0 E9 05 33 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_15_6_1 {
	meta:
		name = "??$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ"
		size = 64
		refs = "0024 atexit 0030 ??__F_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ@YAXXZ 0034 ??_7_Iostream_error_category@std@@6B@ 0038 ?_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@1@XZ@4U?$_Immortalizer@V_Iostream_error_category@std@@@1@A 003c ??_B?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ@51"
		altNames = "?iostream_category@std@@YAABVerror_category@1@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 4A 0B 4C 13 68 13 F0 01 0F 09 D1 43 F0 01 03 13 60 06 4B 04 48 23 60 05 23 63 60 ?? ?? ?? ?? 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_30_1 {
	meta:
		name = "??0?$_Immortalizer@V_Iostream_error_category@std@@@std@@QAA@XZ"
		size = 24
		refs = "0014 ??_7_Iostream_error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 18 B1 02 4B 03 60 05 23 43 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_37_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z"
		size = 120
		refs = "0020 ??2@YAPAXI@Z 0026 _invalid_parameter_noinfo_noreturn 0052 memmove"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 6F F0 01 03 05 46 00 26 C7 E9 00 33 08 20 2E 60 C5 E9 05 66 0C 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 28 60 C0 E9 00 32 2B 68 4F F0 0F 08 1D 60 C5 E9 05 68 2E 71 A3 69 10 2B 07 D2 63 69 5A 1C 0A D0 21 1D 28 1D ?? ?? ?? ?? 05 E0 15 F1 04 0F 01 D0 63 68 6B 60 66 60 63 69 6B 61 A3 69 AB 61 C4 E9 05 68 26 71 28 46 BD E8 FE 89 }
	condition:
		$1
}

rule file_15_38_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z"
		size = 102
		refs = "0024 ??2@YAPAXI@Z 002a _invalid_parameter_noinfo_noreturn 0058 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 03 B4 2D E9 FC 48 0D F1 18 0B 6F 46 04 46 6F F0 01 03 3C 62 00 26 C7 E9 00 33 08 20 26 60 C4 E9 05 66 0D 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 0F 23 A3 61 10 2B 01 D3 63 68 00 E0 23 1D 66 61 1E 70 6F F0 00 03 00 22 29 46 20 46 ?? ?? ?? ?? 20 46 BD E8 FC 08 5D F8 0C FB }
	condition:
		$1
}

rule file_15_45_1 {
	meta:
		name = "??0_Generic_error_category@std@@QAA@XZ"
		size = 24
		refs = "0014 ??_7_Generic_error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 60 03 23 43 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_46_1 {
	meta:
		name = "??0_Iostream_error_category@std@@QAA@XZ"
		size = 24
		refs = "0014 ??_7_Iostream_error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 60 05 23 43 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_47_1 {
	meta:
		name = "??0_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@AAV12@@Z"
		size = 42
		refs = "001c _guard_check_icall"
		altNames = "??0_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@AAV12@@Z ??0_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@AAV12@@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 06 46 31 60 0B 68 5B 68 0B 44 9D 6B 35 B1 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_15_48_1 {
	meta:
		name = "??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 152
		refs = "000a __security_push_cookie 0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0022 ?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z 0048 __std_exception_copy 0058 ??3@YAXPAX@Z 007e __security_pop_cookie 008c ??_7_System_error@std@@6B@ 0090 ??_7runtime_error@std@@6B@ 0094 ??_7exception@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 92 B0 04 46 02 A8 19 46 ?? ?? ?? ?? DD E9 17 12 03 46 0A A8 ?? ?? ?? ?? 83 69 10 2B 01 D3 42 68 00 E0 02 1D 18 4B 68 46 21 1D 23 60 00 23 C4 E9 01 33 01 23 8D F8 04 30 00 92 ?? ?? ?? ?? 10 4B 23 60 10 9B 10 2B 02 D3 0B 98 ?? ?? ?? ?? 0F 23 0A 98 10 93 00 23 0F 93 8D F8 2C 30 ?? ?? ?? ?? 07 4B 20 46 23 60 17 9B E3 60 18 9B 23 61 12 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_49_1 {
	meta:
		name = "??0_System_error@std@@QAA@ABV01@@Z"
		size = 56
		refs = "001a __std_exception_copy 0030 ??_7_System_error@std@@6B@ 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 05 46 0C 46 2B 60 00 23 20 1D C5 E9 01 33 29 1D ?? ?? ?? ?? 04 4B 28 46 2B 60 E3 68 EB 60 23 69 2B 61 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_3_1 {
	meta:
		name = "??0future_error@std@@QAA@ABV01@@Z"
		size = 56
		refs = "001a __std_exception_copy 0030 ??_7future_error@std@@6B@ 0034 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 05 46 0C 46 2B 60 00 23 20 1D C5 E9 01 33 29 1D ?? ?? ?? ?? 04 4B 28 46 2B 60 E3 68 EB 60 23 69 2B 61 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_50_1 {
	meta:
		name = "??0_Winit@std@@QAA@XZ"
		size = 32
		refs = "001c ?_Init_cnt@_Winit@std@@0HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4A 13 68 00 2B A8 BF 5B 1C B8 BF 01 23 13 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_50_1 {
	meta:
		name = "??0_UShinit@std@@QAA@XZ"
		size = 32
		refs = "001c ?_Init_cnt@_UShinit@std@@0HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4A 13 68 00 2B A8 BF 5B 1C B8 BF 01 23 13 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_92_117_1 {
	meta:
		name = "?_Init_ctor@Init@ios_base@std@@CAXPAV123@@Z"
		size = 32
		refs = "001c ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4A 13 68 00 2B A8 BF 5B 1C B8 BF 01 23 13 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_51_1 {
	meta:
		name = "??0error_category@std@@QAA@XZ"
		size = 20
		refs = "0010 ??_7error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B C0 E9 00 30 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_56_1 {
	meta:
		name = "??0failure@ios_base@std@@QAA@ABV012@@Z"
		size = 64
		refs = "001a __std_exception_copy 0034 ??_7failure@ios_base@std@@6B@ 0038 ??_7_System_error@std@@6B@ 003c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 4B 05 46 0C 46 2B 60 00 23 20 1D C5 E9 01 33 29 1D ?? ?? ?? ?? 06 4B 28 46 2B 60 E3 68 EB 60 23 69 2B 61 01 4B 2B 60 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_86_2 {
	meta:
		name = "??0system_error@std@@QAA@ABV01@@Z"
		size = 64
		refs = "001a __std_exception_copy 0034 ??_7system_error@std@@6B@ 0038 ??_7_System_error@std@@6B@ 003c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 4B 05 46 0C 46 2B 60 00 23 20 1D C5 E9 01 33 29 1D ?? ?? ?? ?? 06 4B 28 46 2B 60 E3 68 EB 60 23 69 2B 61 01 4B 2B 60 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_57_1 {
	meta:
		name = "??0failure@ios_base@std@@QAA@PBDABVerror_code@2@@Z"
		size = 36
		refs = "0010 ??0system_error@std@@QAA@Verror_code@1@PBD@Z 0020 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0B 46 D2 E9 00 12 04 46 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_59_1 {
	meta:
		name = "??0runtime_error@std@@QAA@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 68
		refs = "002c __std_exception_copy 003c ??_7runtime_error@std@@6B@ 0040 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 8B 69 04 46 10 2B 01 D3 4A 68 00 E0 0A 1D 0A 4B 68 46 00 92 23 60 00 23 C4 E9 01 33 01 23 21 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_60_1 {
	meta:
		name = "??0sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@AAV12@@Z"
		size = 110
		refs = "0034 _guard_check_icall 004e ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAAAV12@XZ"
	strings:
		$1 = { 03 B4 2D E9 FE 49 0D F1 20 0B 6F 46 06 46 6F F0 01 03 BE 62 0D 46 C7 E9 00 33 35 60 2B 68 5B 68 2B 44 D3 F8 38 80 B8 F1 00 0F 07 D0 D8 F8 00 30 5C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 2B 68 5B 68 5A 19 D3 68 2B B9 D0 6B 18 B1 A8 42 01 D0 ?? ?? ?? ?? 2B 68 5B 68 2B 44 DB 68 0B B9 01 23 00 E0 00 23 33 71 30 46 BD E8 FE 09 5D F8 0C FB }
	condition:
		$1
}

rule file_92_59_1 {
	meta:
		name = "??0sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@AAV12@@Z"
		size = 110
		refs = "0034 _guard_check_icall 004e ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAAAV12@XZ"
	strings:
		$1 = { 03 B4 2D E9 FE 49 0D F1 20 0B 6F 46 06 46 6F F0 01 03 BE 62 0D 46 C7 E9 00 33 35 60 2B 68 5B 68 2B 44 D3 F8 38 80 B8 F1 00 0F 07 D0 D8 F8 00 30 5C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 2B 68 5B 68 5A 19 D3 68 2B B9 D0 6B 18 B1 A8 42 01 D0 ?? ?? ?? ?? 2B 68 5B 68 2B 44 DB 68 0B B9 01 23 00 E0 00 23 33 71 30 46 BD E8 FE 09 5D F8 0C FB }
	condition:
		$1
}

rule file_86_60_1 {
	meta:
		name = "??0sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@AAV12@@Z"
		size = 110
		refs = "0034 _guard_check_icall 004e ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAAAV12@XZ"
	strings:
		$1 = { 03 B4 2D E9 FE 49 0D F1 20 0B 6F 46 06 46 6F F0 01 03 BE 62 0D 46 C7 E9 00 33 35 60 2B 68 5B 68 2B 44 D3 F8 38 80 B8 F1 00 0F 07 D0 D8 F8 00 30 5C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 2B 68 5B 68 5A 19 D3 68 2B B9 D0 6B 18 B1 A8 42 01 D0 ?? ?? ?? ?? 2B 68 5B 68 2B 44 DB 68 0B B9 01 23 00 E0 00 23 33 71 30 46 BD E8 FE 09 5D F8 0C FB }
	condition:
		$1
}

rule file_15_63_1 {
	meta:
		name = "??0system_error@std@@QAA@Verror_code@1@PBD@Z"
		size = 104
		refs = "000a __security_push_cookie 0022 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0030 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 003c ??3@YAXPAX@Z 0058 __security_pop_cookie 0064 ??_7system_error@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? 89 B0 6F 46 04 46 6F F0 01 02 17 F1 08 00 19 46 C7 E9 00 22 ?? ?? ?? ?? D7 E9 0F 12 17 F1 08 03 20 46 ?? ?? ?? ?? 3B 6A 10 2B 02 D3 F8 68 ?? ?? ?? ?? 0F 23 B8 68 3B 62 00 23 FB 61 3B 73 ?? ?? ?? ?? 04 4B 23 60 20 46 09 B0 ?? ?? ?? ?? BD E8 90 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_74_1 {
	meta:
		name = "??1_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@XZ"
		size = 56
		refs = "002c _guard_check_icall"
		altNames = "??1_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@XZ ??1_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 02 68 13 68 5B 68 13 44 9B 6B 53 B1 13 68 5B 68 13 44 9D 6B 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 BE 88 }
	condition:
		$1
}

rule file_15_76_1 {
	meta:
		name = "??1_Winit@std@@QAA@XZ"
		size = 80
		refs = "0022 ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAAAV12@XZ 0040 ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0044 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0048 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 004c ?_Init_cnt@_Winit@std@@0HA"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0E 4A 13 68 5B 1E 13 60 0E D1 0A 4B 18 68 08 B1 ?? ?? ?? ?? 07 4B 18 68 08 B1 ?? ?? ?? ?? 03 4B 18 68 08 B1 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_81_1 {
	meta:
		name = "??1sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@XZ"
		size = 62
		refs = "0014 ?uncaught_exception@std@@YA_NXZ 001c ?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ 0032 _guard_check_icall"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 04 46 ?? ?? ?? ?? 10 B9 20 68 ?? ?? ?? ?? 22 68 13 68 5B 68 13 44 9D 6B 35 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 BE 88 }
	condition:
		$1
}

rule file_92_79_1 {
	meta:
		name = "??1sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@XZ"
		size = 62
		refs = "0014 ?uncaught_exception@std@@YA_NXZ 001c ?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ 0032 _guard_check_icall"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 04 46 ?? ?? ?? ?? 10 B9 20 68 ?? ?? ?? ?? 22 68 13 68 5B 68 13 44 9D 6B 35 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 BE 88 }
	condition:
		$1
}

rule file_86_81_1 {
	meta:
		name = "??1sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@XZ"
		size = 62
		refs = "0014 ?uncaught_exception@std@@YA_NXZ 001c ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ 0032 _guard_check_icall"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 04 46 ?? ?? ?? ?? 10 B9 20 68 ?? ?? ?? ?? 22 68 13 68 5B 68 13 44 9D 6B 35 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 BE 88 }
	condition:
		$1
}

rule file_15_85_1 {
	meta:
		name = "??8error_category@std@@QBA_NABV01@@Z"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 42 68 4B 68 9A 42 08 BF 01 20 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_15_86_1 {
	meta:
		name = "??8std@@YA_NABVerror_condition@0@0@Z"
		size = 38
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 43 68 4A 68 5C 68 53 68 9C 42 05 D1 02 68 0B 68 9A 42 08 BF 01 20 00 D0 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_15_90_1 {
	meta:
		name = "??_G_System_error@std@@UAAPAXI@Z"
		size = 48
		refs = "0012 __std_exception_destroy 0020 ??3@YAXPAXI@Z 002c ??_7exception@std@@6B@"
		altNames = "??_Gfailure@ios_base@std@@UAAPAXI@Z ??_Gfuture_error@std@@UAAPAXI@Z ??_Gsystem_error@std@@UAAPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 08 4B 05 46 28 1D 2B 60 0C 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 14 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_119_1 {
	meta:
		name = "?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z"
		size = 160
		refs = "000a __security_push_cookie 002c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 0038 ?message@error_code@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0046 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0052 ??3@YAXPAX@Z 006a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 008e __security_pop_cookie 009c ??_C@_02LMMGGCAJ@?3?5?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 8B B0 6F 46 1C 46 6F F0 01 03 C7 E9 02 33 3C 60 05 46 00 26 62 69 22 B1 1D 49 02 22 20 46 ?? ?? ?? ?? 17 F1 10 01 17 F1 4C 00 ?? ?? ?? ?? 01 46 6F F0 00 03 00 22 20 46 ?? ?? ?? ?? BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 21 46 28 46 ?? ?? ?? ?? A3 69 10 2B 02 D3 60 68 ?? ?? ?? ?? 0F 23 C4 E9 05 63 26 71 20 68 ?? ?? ?? ?? 26 60 28 46 0B B0 ?? ?? ?? ?? BD E8 F0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_132_1 {
	meta:
		name = "?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ"
		size = 90
		refs = "002e _guard_check_icall 0052 ?clear@ios_base@std@@QAAXH_N@Z"
		altNames = "?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 06 46 33 68 5B 68 9A 19 D3 68 DB B9 53 69 13 F0 02 0F 17 D0 95 6B 2B 68 5C 6B 20 46 ?? ?? ?? ?? 28 46 A0 47 B0 F1 FF 3F 0C D1 33 68 5B 68 98 19 C3 68 43 F0 04 01 83 6B 0B B9 41 F0 04 01 00 22 ?? ?? ?? ?? BD E8 FC 88 }
	condition:
		$1
}

rule file_15_145_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		size = 158
		refs = "0044 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 005e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 007a memcpy 0098 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0F 46 15 46 04 46 EF B1 A0 69 10 28 01 D3 63 68 00 E0 23 1D 9F 42 15 D3 10 28 01 D3 62 68 00 E0 22 1D 63 69 13 44 BB 42 0C D9 10 28 01 D3 63 68 00 E0 23 1D FA 1A 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 21 E0 62 69 D3 43 AB 42 20 D9 56 19 DD B1 00 22 31 46 20 46 ?? ?? ?? ?? A8 B1 A3 69 10 2B 01 D3 62 68 00 E0 22 1D 2D B1 63 69 39 46 D0 18 2A 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 9A 55 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_15_153_1 {
	meta:
		name = "?clear@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAXH_N@Z"
		size = 22
		refs = "0012 ?clear@ios_base@std@@QAAXH_N@Z"
		altNames = "?clear@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAXH_N@Z ?clear@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 83 6B 0B B9 41 F0 04 01 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_154_1 {
	meta:
		name = "?clear@ios_base@std@@QAAXH_N@Z"
		size = 148
		refs = "002e _CxxThrowException 0036 ?make_error_code@std@@YA?AVerror_code@1@W4io_errc@1@@Z 0040 ??0failure@ios_base@std@@QAA@PBDABVerror_code@2@@Z 0084 _TI5?AVfailure@ios_base@std@@ 0088 ??_C@_0BF@OOHOMBOF@ios_base?3?3eofbit?5set?$AA@ 008c ??_C@_0BG@FMKFHCIL@ios_base?3?3failbit?5set?$AA@ 0090 ??_C@_0BF@PHHKMMFD@ios_base?3?3badbit?5set?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 03 69 01 F0 17 01 C1 60 0B 40 07 D0 4A B9 13 F0 04 0F 0A D1 13 F0 02 0F 14 D1 20 E0 08 B0 BD E8 00 88 00 21 00 20 ?? ?? ?? ?? 68 46 01 21 ?? ?? ?? ?? 15 49 02 46 02 A8 ?? ?? ?? ?? 0F 49 02 A8 ?? ?? ?? ?? 68 46 01 21 ?? ?? ?? ?? 0D 49 02 46 02 A8 ?? ?? ?? ?? 09 49 02 A8 ?? ?? ?? ?? 68 46 01 21 ?? ?? ?? ?? 06 49 02 46 02 A8 ?? ?? ?? ?? 02 49 02 A8 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_160_1 {
	meta:
		name = "?default_error_condition@error_category@std@@UBA?AVerror_condition@2@H@Z"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 C1 E9 00 20 08 46 BD E8 00 88 }
	condition:
		$1
}

rule file_15_161_1 {
	meta:
		name = "?empty@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA_NXZ"
		size = 20
		altNames = "?empty@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBA_NXZ ?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 0B B9 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_15_162_1 {
	meta:
		name = "?equivalent@error_category@std@@UBA_NABVerror_code@2@H@Z"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 4B 68 40 68 5B 68 98 42 04 D1 0B 68 93 42 08 BF 01 20 00 D0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_15_163_1 {
	meta:
		name = "?equivalent@error_category@std@@UBA_NHABVerror_condition@2@@Z"
		size = 62
		refs = "0014 _guard_check_icall"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 23 68 17 46 0E 46 DD 68 28 46 ?? ?? ?? ?? 20 46 69 46 32 46 A8 47 43 68 79 68 5C 68 4B 68 9C 42 05 D1 01 68 3B 68 99 42 08 BF 01 20 00 D0 00 20 BD E8 FC 88 }
	condition:
		$1
}

rule file_15_167_1 {
	meta:
		name = "?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAAAV12@XZ"
		size = 142
		refs = "0022 ??0sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@AAV12@@Z 0038 _guard_check_icall 005c ?clear@ios_base@std@@QAAXH_N@Z 0060 ?uncaught_exception@std@@YA_NXZ 0068 ?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 6F 46 6F F0 01 03 06 46 C7 E9 02 33 33 68 5B 68 33 44 9B 6B 9B B3 38 46 31 46 ?? ?? ?? ?? 3B 79 D3 B1 33 68 5B 68 33 44 9D 6B 2B 68 5C 6B 20 46 ?? ?? ?? ?? 28 46 A0 47 B0 F1 FF 3F 0C D1 33 68 5B 68 98 19 C3 68 43 F0 04 01 83 6B 0B B9 41 F0 04 01 00 22 ?? ?? ?? ?? ?? ?? ?? ?? 10 B9 38 68 ?? ?? ?? ?? 3A 68 13 68 5B 68 13 44 9D 6B 35 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 30 46 04 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_92_168_1 {
	meta:
		name = "?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAAAV12@XZ"
		size = 142
		refs = "0022 ??0sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@AAV12@@Z 0038 _guard_check_icall 005c ?clear@ios_base@std@@QAAXH_N@Z 0060 ?uncaught_exception@std@@YA_NXZ 0068 ?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 6F 46 6F F0 01 03 06 46 C7 E9 02 33 33 68 5B 68 33 44 9B 6B 9B B3 38 46 31 46 ?? ?? ?? ?? 3B 79 D3 B1 33 68 5B 68 33 44 9D 6B 2B 68 5C 6B 20 46 ?? ?? ?? ?? 28 46 A0 47 B0 F1 FF 3F 0C D1 33 68 5B 68 98 19 C3 68 43 F0 04 01 83 6B 0B B9 41 F0 04 01 00 22 ?? ?? ?? ?? ?? ?? ?? ?? 10 B9 38 68 ?? ?? ?? ?? 3A 68 13 68 5B 68 13 44 9D 6B 35 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 30 46 04 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_86_167_1 {
	meta:
		name = "?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAAAV12@XZ"
		size = 142
		refs = "0022 ??0sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@AAV12@@Z 0038 _guard_check_icall 005c ?clear@ios_base@std@@QAAXH_N@Z 0060 ?uncaught_exception@std@@YA_NXZ 0068 ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 6F 46 6F F0 01 03 06 46 C7 E9 02 33 33 68 5B 68 33 44 9B 6B 9B B3 38 46 31 46 ?? ?? ?? ?? 3B 79 D3 B1 33 68 5B 68 33 44 9D 6B 2B 68 5C 6B 20 46 ?? ?? ?? ?? 28 46 A0 47 B0 F1 FF 3F 0C D1 33 68 5B 68 98 19 C3 68 43 F0 04 01 83 6B 0B B9 41 F0 04 01 00 22 ?? ?? ?? ?? ?? ?? ?? ?? 10 B9 38 68 ?? ?? ?? ?? 3A 68 13 68 5B 68 13 44 9D 6B 35 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 30 46 04 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_15_171_1 {
	meta:
		name = "?good@ios_base@std@@QBA_NXZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 C3 68 0B B9 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_15_174_1 {
	meta:
		name = "?make_error_code@std@@YA?AVerror_code@1@W4io_errc@1@@Z"
		size = 72
		refs = "0028 atexit 0038 ??__F_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ@YAXXZ 003c ??_7_Iostream_error_category@std@@6B@ 0040 ?_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@1@XZ@4U?$_Immortalizer@V_Iostream_error_category@std@@@1@A 0044 ??_B?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAAV_Iostream_error_category@0@XZ@51"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0E 4A 0D 4D 0E 46 13 68 04 46 13 F0 01 0F 09 D1 43 F0 01 03 13 60 07 4B 05 48 2B 60 05 23 6B 60 ?? ?? ?? ?? C4 E9 00 65 20 46 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_179_1 {
	meta:
		name = "?message@_Generic_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 30
		refs = "000c ?_Syserror_map@std@@YAPBDH@Z 0014 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 10 46 0C 46 ?? ?? ?? ?? 01 46 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_15_180_1 {
	meta:
		name = "?message@_Iostream_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 40
		refs = "0012 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 001a ?message@_Generic_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z 0024 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 2A 04 D1 05 49 20 46 ?? ?? ?? ?? 02 E0 21 46 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_181_1 {
	meta:
		name = "?message@error_code@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 38
		refs = "0014 _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B D0 E9 00 64 0F 46 23 68 9D 68 28 46 ?? ?? ?? ?? 20 46 39 46 32 46 A8 47 38 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_15_186_1 {
	meta:
		name = "?pubsync@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAHXZ"
		size = 28
		refs = "0010 _guard_check_icall"
		altNames = "?pubsync@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAAHXZ ?pubsync@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAHXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 5C 6B 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_15_189_1 {
	meta:
		name = "?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QBA?AU12@U_Nil@2@@Z"
		size = 18
		altNames = "?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBA?AU12@U_Nil@2@@Z ?select_on_container_copy_construction@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBA?AU12@U_Nil@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 08 46 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_15_191_1 {
	meta:
		name = "?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAXH_N@Z"
		size = 28
		refs = "0014 ?clear@ios_base@std@@QAAXH_N@Z"
		altNames = "?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAXH_N@Z ?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAXH_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 39 B1 C3 68 19 43 83 6B 0B B9 41 F0 04 01 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_17_30_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 74
		refs = "002e ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z"
		altNames = "??$_Copy_no_deprecate@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z ??$_Copy_unchecked@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z ??$copy@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 48 0D F1 18 0B 0F 46 D4 1B 61 1C 00 26 97 42 05 46 0C 98 98 BF 4C 08 88 BF 00 24 0B 93 CD E9 00 30 4C B1 37 F8 02 1B 68 46 ?? ?? ?? ?? 76 1C A6 42 F7 D1 DD E9 00 30 C5 E9 00 30 28 46 BD E8 FC 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_31_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 74
		refs = "002e ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 48 0D F1 18 0B 0F 46 D4 1B 61 1C 00 26 97 42 05 46 0C 98 98 BF 4C 08 88 BF 00 24 0B 93 CD E9 00 30 4C B1 37 F8 02 1B 68 46 ?? ?? ?? ?? 76 1C A6 42 F7 D1 DD E9 00 30 C5 E9 00 30 28 46 BD E8 FC 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_33_1 {
	meta:
		name = "??$_Copy_no_deprecate@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z"
		size = 74
		refs = "002e ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 48 0D F1 18 0B 0F 46 D4 1B 61 1C 00 26 97 42 05 46 0C 98 98 BF 4C 08 88 BF 00 24 0B 93 CD E9 00 30 4C B1 37 F8 02 1B 68 46 ?? ?? ?? ?? 76 1C A6 42 F7 D1 DD E9 00 30 C5 E9 00 30 28 46 BD E8 FC 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_37_1 {
	meta:
		name = "??$_Copy_unchecked@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z"
		size = 74
		refs = "002e ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 48 0D F1 18 0B 0F 46 D4 1B 61 1C 00 26 97 42 05 46 0C 98 98 BF 4C 08 88 BF 00 24 0B 93 CD E9 00 30 4C B1 37 F8 02 1B 68 46 ?? ?? ?? ?? 76 1C A6 42 F7 D1 DD E9 00 30 C5 E9 00 30 28 46 BD E8 FC 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_108_1 {
	meta:
		name = "??$copy@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@@Z"
		size = 74
		refs = "002e ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 48 0D F1 18 0B 0F 46 D4 1B 61 1C 00 26 97 42 05 46 0C 98 98 BF 4C 08 88 BF 00 24 0B 93 CD E9 00 30 4C B1 37 F8 02 1B 68 46 ?? ?? ?? ?? 76 1C A6 42 F7 D1 DD E9 00 30 C5 E9 00 30 28 46 BD E8 FC 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_34_1 {
	meta:
		name = "??$_Copy_unchecked1@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PA_W0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 68
		refs = "0028 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 0F 46 D4 1B 61 1C 00 26 97 42 98 BF 4C 08 88 BF 00 24 09 93 05 46 44 B1 37 F8 02 1B 09 A8 ?? ?? ?? ?? 76 1C A6 42 F7 D1 09 9B 2B 60 0A 9B 28 46 6B 60 BD E8 F0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_35_1 {
	meta:
		name = "??$_Copy_unchecked1@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PA_W0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 68
		refs = "0028 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 0F 46 D4 1B 61 1C 00 26 97 42 98 BF 4C 08 88 BF 00 24 09 93 05 46 44 B1 37 F8 02 1B 09 A8 ?? ?? ?? ?? 76 1C A6 42 F7 D1 09 9B 2B 60 0A 9B 28 46 6B 60 BD E8 F0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_38_1 {
	meta:
		name = "??$_Find_elem@G@std@@YAIPAGG@Z"
		size = 32
		altNames = "??$_Find_elem@_W@std@@YAIPA_W_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 88 03 46 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1A 58 10 BD E8 00 88 }
	condition:
		$1
}

rule file_17_40_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBD@Z"
		size = 450
		refs = "0008 __security_push_cookie 0044 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00ca ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 018c ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 0196 _invalid_parameter_noinfo_noreturn 01a2 ??3@YAXPAX@Z 01ba __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 92 46 6F F0 01 02 C7 E9 04 22 93 F9 00 50 3B 60 89 46 F9 60 80 46 4D B1 2C 46 1E 46 AC 42 01 D1 0A F1 01 0A 16 F9 01 4F 00 2C F7 D1 17 F1 18 00 00 22 51 46 ?? ?? ?? ?? 6F F0 01 03 01 25 BB 60 00 23 39 6B F8 69 00 26 00 24 7B 60 BA F1 00 0F 00 F0 9D 80 D7 F8 2C E0 3A 68 B3 56 6B B1 92 F9 00 20 D7 F8 00 90 93 42 04 D0 76 1C 16 F9 09 30 00 2B F8 D1 D7 F8 0C 90 3A 68 74 45 00 F2 85 80 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 43 B1 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 1E 44 4C E0 3B 68 2E 44 B2 56 93 F9 00 30 9A 42 38 D0 BA B3 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 99 F8 04 30 2B B9 48 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 D8 F8 00 30 00 2B D9 F8 00 30 01 D1 9B B1 00 E0 8B B9 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 3B 68 F2 56 B8 F8 06 30 9A 42 02 D1 01 23 7B 60 18 E0 7F 2D 2B 46 28 BF 7F 23 74 45 36 D8 10 29 0B D2 17 F1 1C 00 08 E0 7F 2D 2B 46 28 BF 7F 23 10 29 01 D2 17 F1 1C 00 BC 60 03 55 F8 69 D7 E9 0B E1 7B 68 64 1C 54 45 89 D3 1B B3 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 39 6B F8 69 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 39 6B F8 69 D8 F8 00 30 00 2B D9 F8 00 30 01 D1 63 B1 00 E0 53 B9 40 46 6D 1C ?? ?? ?? ?? 6F F0 00 03 5B E7 ?? ?? ?? ?? ?? ?? ?? ?? 10 29 01 D3 ?? ?? ?? ?? 0F 23 B8 69 3B 63 00 23 FB 62 3B 77 ?? ?? ?? ?? B8 68 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_42_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPBD@Z"
		size = 450
		refs = "0008 __security_push_cookie 0044 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00ca ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 018c ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 0196 _invalid_parameter_noinfo_noreturn 01a2 ??3@YAXPAX@Z 01ba __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 92 46 6F F0 01 02 C7 E9 04 22 93 F9 00 50 3B 60 89 46 F9 60 80 46 4D B1 2C 46 1E 46 AC 42 01 D1 0A F1 01 0A 16 F9 01 4F 00 2C F7 D1 17 F1 18 00 00 22 51 46 ?? ?? ?? ?? 6F F0 01 03 01 25 BB 60 00 23 39 6B F8 69 00 26 00 24 7B 60 BA F1 00 0F 00 F0 9D 80 D7 F8 2C E0 3A 68 B3 56 6B B1 92 F9 00 20 D7 F8 00 90 93 42 04 D0 76 1C 16 F9 09 30 00 2B F8 D1 D7 F8 0C 90 3A 68 74 45 00 F2 85 80 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 43 B1 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 1E 44 4C E0 3B 68 2E 44 B2 56 93 F9 00 30 9A 42 38 D0 BA B3 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 99 F8 04 30 2B B9 48 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 D8 F8 00 30 00 2B D9 F8 00 30 01 D1 9B B1 00 E0 8B B9 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B E1 F8 69 3B 68 F2 56 B8 F8 06 30 9A 42 02 D1 01 23 7B 60 18 E0 7F 2D 2B 46 28 BF 7F 23 74 45 36 D8 10 29 0B D2 17 F1 1C 00 08 E0 7F 2D 2B 46 28 BF 7F 23 10 29 01 D2 17 F1 1C 00 BC 60 03 55 F8 69 D7 E9 0B E1 7B 68 64 1C 54 45 89 D3 1B B3 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 39 6B F8 69 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 39 6B F8 69 D8 F8 00 30 00 2B D9 F8 00 30 01 D1 63 B1 00 E0 53 B9 40 46 6D 1C ?? ?? ?? ?? 6F F0 00 03 5B E7 ?? ?? ?? ?? ?? ?? ?? ?? 10 29 01 D3 ?? ?? ?? ?? 0F 23 B8 69 3B 63 00 23 FB 62 3B 77 ?? ?? ?? ?? B8 68 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_44_1 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z"
		size = 460
		refs = "0008 __security_push_cookie 0048 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00c8 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0194 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 01a0 _invalid_parameter_noinfo_noreturn 01ac ??3@YAXPAX@Z 01c4 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 9E 46 3B 60 13 46 6F F0 01 02 C7 E9 04 22 BE F8 00 50 00 26 BB 60 8A 46 80 46 4D B1 2C 46 AC 42 08 BF 5B 1C 76 1C 3E F8 16 40 00 2C F7 D1 BB 60 17 F1 18 00 00 22 19 46 ?? ?? ?? ?? 6F F0 01 02 FA 60 01 25 BB 68 00 22 39 6B F8 69 00 24 00 2B 7A 60 91 46 00 F0 A0 80 FE 6A D7 F8 00 E0 3E F8 19 30 4B B1 BE F8 00 20 93 42 05 D0 09 F1 01 09 3E F8 19 30 00 2B F7 D1 B4 42 00 F2 8B 80 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 43 B1 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 99 44 50 E0 A9 44 3E F8 19 20 BE F8 00 30 9A 42 3C D0 DA B3 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B 61 F8 69 9A F8 04 30 2B B9 50 46 ?? ?? ?? ?? D7 E9 0B 61 F8 69 D8 F8 00 30 00 2B DA F8 00 30 01 D1 AB B1 00 E0 9B B9 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B 61 F8 69 D7 F8 00 E0 B8 F8 06 20 3E F8 19 30 93 42 04 D1 01 22 7A 60 1A E0 D7 F8 00 E0 7F 2D 2B 46 28 BF 7F 23 B4 42 38 D8 10 29 0B D2 17 F1 1C 00 08 E0 7F 2D 2B 46 28 BF 7F 23 10 29 01 D2 17 F1 1C 00 FC 60 03 55 F8 69 D7 E9 0B 61 7A 68 BB 68 64 1C 9C 42 88 D3 22 B3 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 39 6B F8 69 9A F8 04 30 23 B9 50 46 ?? ?? ?? ?? 39 6B F8 69 D8 F8 00 30 00 2B DA F8 00 30 01 D1 6B B1 00 E0 5B B9 40 46 6D 1C ?? ?? ?? ?? 6F F0 00 03 FB 60 59 E7 ?? ?? ?? ?? ?? ?? ?? ?? 10 29 01 D3 ?? ?? ?? ?? 0F 23 B8 69 3B 63 00 23 FB 62 3B 77 ?? ?? ?? ?? F8 68 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_46_1 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z"
		size = 460
		refs = "0008 __security_push_cookie 0048 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00c8 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0194 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 01a0 _invalid_parameter_noinfo_noreturn 01ac ??3@YAXPAX@Z 01c4 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 9E 46 3B 60 13 46 6F F0 01 02 C7 E9 04 22 BE F8 00 50 00 26 BB 60 8A 46 80 46 4D B1 2C 46 AC 42 08 BF 5B 1C 76 1C 3E F8 16 40 00 2C F7 D1 BB 60 17 F1 18 00 00 22 19 46 ?? ?? ?? ?? 6F F0 01 02 FA 60 01 25 BB 68 00 22 39 6B F8 69 00 24 00 2B 7A 60 91 46 00 F0 A0 80 FE 6A D7 F8 00 E0 3E F8 19 30 4B B1 BE F8 00 20 93 42 05 D0 09 F1 01 09 3E F8 19 30 00 2B F7 D1 B4 42 00 F2 8B 80 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 43 B1 10 29 28 BF 03 46 01 D2 17 F1 1C 03 1B 57 99 44 50 E0 A9 44 3E F8 19 20 BE F8 00 30 9A 42 3C D0 DA B3 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B 61 F8 69 9A F8 04 30 2B B9 50 46 ?? ?? ?? ?? D7 E9 0B 61 F8 69 D8 F8 00 30 00 2B DA F8 00 30 01 D1 AB B1 00 E0 9B B9 98 F8 04 30 2B B9 40 46 ?? ?? ?? ?? D7 E9 0B 61 F8 69 D7 F8 00 E0 B8 F8 06 20 3E F8 19 30 93 42 04 D1 01 22 7A 60 1A E0 D7 F8 00 E0 7F 2D 2B 46 28 BF 7F 23 B4 42 38 D8 10 29 0B D2 17 F1 1C 00 08 E0 7F 2D 2B 46 28 BF 7F 23 10 29 01 D2 17 F1 1C 00 FC 60 03 55 F8 69 D7 E9 0B 61 7A 68 BB 68 64 1C 9C 42 88 D3 22 B3 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 39 6B F8 69 9A F8 04 30 23 B9 50 46 ?? ?? ?? ?? 39 6B F8 69 D8 F8 00 30 00 2B DA F8 00 30 01 D1 6B B1 00 E0 5B B9 40 46 6D 1C ?? ?? ?? ?? 6F F0 00 03 FB 60 59 E7 ?? ?? ?? ?? ?? ?? ?? ?? 10 29 01 D3 ?? ?? ?? ?? 0F 23 B8 69 3B 63 00 23 FB 62 3B 77 ?? ?? ?? ?? F8 68 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_48_1 {
	meta:
		name = "??$_Getvals@G@?$_Mpunct@G@std@@IAAXGPBUlconv@@@Z"
		size = 184
		refs = "0022 ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 0076 _Mbrtowc 00b0 ??_C@_01JOAMLHOP@?9?$AA@ 00b4 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 87 B0 90 F8 28 30 14 46 05 46 0B B1 E0 68 00 E0 20 69 05 F1 2C 06 32 46 00 21 ?? ?? ?? ?? 28 61 94 F8 2E 30 04 2B 01 D9 20 48 00 E0 20 6A 32 46 00 21 ?? ?? ?? ?? 68 61 94 F8 2F 30 04 2B 01 D9 19 48 00 E0 60 6A 32 46 00 21 ?? ?? ?? ?? A8 61 63 69 02 A9 0D F1 0A 00 1B 78 01 22 00 96 8D F8 08 30 00 23 AD F8 0A 30 CD E9 04 33 04 AB ?? ?? ?? ?? BD F8 0A 30 02 A9 0D F1 0A 00 AB 81 A3 69 00 96 1B 78 8D F8 08 30 00 23 AD F8 0A 30 CD E9 04 33 04 AB 01 22 ?? ?? ?? ?? BD F8 0A 30 EB 81 07 B0 BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_49_1 {
	meta:
		name = "??$_Getvals@G@?$numpunct@G@std@@IAAXGPBUlconv@@U_Cvtvec@@@Z"
		size = 128
		refs = "000a __security_push_cookie 001a memcpy 003e _Mbrtowc 0074 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 91 B0 14 46 05 46 06 A8 2C 22 19 A9 ?? ?? ?? ?? 23 68 02 A9 1B 78 0D F1 0A 00 01 22 8D F8 08 30 00 23 AD F8 0A 30 CD E9 04 33 06 AB 00 93 04 AB ?? ?? ?? ?? BD F8 0A 30 02 A9 0D F1 0A 00 AB 81 63 68 1B 78 8D F8 08 30 00 23 AD F8 0A 30 CD E9 04 33 06 AB 00 93 04 AB 01 22 ?? ?? ?? ?? BD F8 0A 30 EB 81 11 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_50_1 {
	meta:
		name = "??$_Getvals@G@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXGABV_Locinfo@1@@Z"
		size = 92
		refs = "0010 _Getcvt 001c memcpy 0022 ?_Getdays@_Locinfo@std@@QBAPBDXZ 002c ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 0034 ?_Getmonths@_Locinfo@std@@QBAPBDXZ 0058 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 8C B0 05 46 68 46 14 46 ?? ?? ?? ?? 05 F1 18 00 69 46 2C 22 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? 05 F1 18 02 00 21 ?? ?? ?? ?? A8 60 20 46 ?? ?? ?? ?? 05 F1 18 02 00 21 ?? ?? ?? ?? E8 60 04 48 05 F1 18 02 00 21 ?? ?? ?? ?? 28 61 0C B0 BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_51_1 {
	meta:
		name = "??$_Getvals@_W@?$_Mpunct@_W@std@@IAAX_WPBUlconv@@@Z"
		size = 192
		refs = "001a wcslen 0026 calloc 0034 memcpy 00aa ?_Xbad_alloc@std@@YAXXZ 00b8 ??_C@_13IMODFHAA@?$AA?9?$AA?$AA@ 00bc ??_C@_11LOCGONAA@?$AA?$AA@"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 90 F8 28 30 14 46 06 46 0B B1 A5 6B 00 E0 E5 6B 28 46 ?? ?? ?? ?? 00 F1 01 08 40 46 02 21 ?? ?? ?? ?? 07 46 EF B3 4F EA 48 02 29 46 ?? ?? ?? ?? 37 61 94 F8 2E 30 04 2B 01 D9 1E 4D 00 E0 A5 6C 28 46 ?? ?? ?? ?? 00 F1 01 08 40 46 02 21 ?? ?? ?? ?? 07 46 3F B3 4F EA 48 02 29 46 ?? ?? ?? ?? 77 61 94 F8 2F 30 04 2B 01 D9 11 4D 00 E0 E5 6C 28 46 ?? ?? ?? ?? 00 F1 01 08 40 46 02 21 ?? ?? ?? ?? 07 46 8F B1 4F EA 48 02 29 46 ?? ?? ?? ?? B7 61 23 6C 1B 88 B3 81 63 6C 1B 88 F3 81 BD E8 F8 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_52_1 {
	meta:
		name = "??$_Getvals@_W@?$numpunct@_W@std@@IAAX_WPBUlconv@@U_Cvtvec@@@Z"
		size = 28
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 13 6B 1B 88 83 81 53 6B 1B 88 C3 81 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_17_53_1 {
	meta:
		name = "??$_Getvals@_W@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAX_WABV_Locinfo@1@@Z"
		size = 156
		refs = "0010 _Getcvt 001c memcpy 0022 ?_W_Getdays@_Locinfo@std@@QBAPBGXZ 0028 wcslen 0034 calloc 004a ?_W_Getmonths@_Locinfo@std@@QBAPBGXZ 0088 ?_Xbad_alloc@std@@YAXXZ 0098 ??_C@_1BK@MHIKGOKE@?$AA?3?$AAA?$AAM?$AA?3?$AAa?$AAm?$AA?3?$AAP?$AAM?$AA?3?$AAp?$AAm?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 8B B0 05 46 68 46 16 46 ?? ?? ?? ?? 05 F1 18 00 69 46 2C 22 ?? ?? ?? ?? 30 46 ?? ?? ?? ?? 07 46 ?? ?? ?? ?? 00 F1 01 08 40 46 02 21 ?? ?? ?? ?? 04 46 2C B3 4F EA 48 02 39 46 ?? ?? ?? ?? 30 46 AC 60 ?? ?? ?? ?? 06 46 ?? ?? ?? ?? 47 1C 38 46 02 21 ?? ?? ?? ?? 04 46 A4 B1 7A 00 31 46 ?? ?? ?? ?? 02 21 0D 20 EC 60 ?? ?? ?? ?? 04 46 5C B1 07 49 1A 22 ?? ?? ?? ?? 2C 61 0B B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_54_1 {
	meta:
		name = "??$_Is_checked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@@Z"
		size = 26
		altNames = "??$_Is_checked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@@Z ??$_Is_checked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AU?$integral_constant@_N$00@0@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@@Z"
	strings:
		$1 = { 03 B4 2D E9 0C 48 0D F1 08 0B 00 23 8D F8 00 30 00 98 BD E8 0C 08 5D F8 0C FB }
	condition:
		$1
}

rule file_17_56_1 {
	meta:
		name = "??$_LStrcoll@G@std@@YAHPBG000PBU_Collvec@@@Z"
		size = 56
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 08 E0 9A 42 0D D0 04 88 32 F8 02 5B A5 42 05 D8 09 D3 80 1C 88 42 F4 D1 9A 42 02 D0 6F F0 00 00 04 E0 88 42 01 D0 01 20 00 E0 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_17_58_1 {
	meta:
		name = "??$_LStrxfrm@G@std@@YAIPAG0PBG1PBU_Collvec@@@Z"
		size = 90
		refs = "0020 _errno 0032 memcpy 003c memset 0050 _invalid_parameter_noinfo"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 16 46 9B 1B 5F 10 0B 1A 5B 10 9F 42 1E D8 7C 00 4F EA 43 05 1A D0 18 B9 ?? ?? ?? ?? 16 23 12 E0 36 B1 A5 42 04 D3 22 46 31 46 ?? ?? ?? ?? 0D E0 2A 46 00 21 ?? ?? ?? ?? 00 2E ED D0 A5 42 05 D2 ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 38 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_17_60_1 {
	meta:
		name = "??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z"
		size = 48
		refs = "001e _Mbrtowc"
		altNames = "??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 00 23 AD F8 08 30 CD E9 04 33 04 AB 00 92 08 A9 02 A8 01 22 ?? ?? ?? ?? BD F8 08 00 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_17_63_1 {
	meta:
		name = "??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z"
		size = 140
		refs = "0014 strlen 0032 _Mbrtowc 004a calloc 0086 ?_Xbad_alloc@std@@YAXXZ"
		altNames = "??$_Maklocstr@_W@std@@YAPA_WPBDPA_WABU_Cvtvec@@@Z"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 88 B0 00 23 CD E9 04 33 90 46 07 46 ?? ?? ?? ?? 10 F1 01 09 4D 46 4F F0 00 04 3E 46 0E D0 04 AB 2A 46 31 46 02 A8 CD F8 00 80 ?? ?? ?? ?? 00 28 04 DD 2D 1A 06 44 64 1C 00 2D F0 D1 64 1C 20 46 02 21 ?? ?? ?? ?? 06 46 CE B1 00 23 CD E9 06 33 05 46 0C E0 06 AB 4A 46 39 46 28 46 CD F8 00 80 ?? ?? ?? ?? 00 28 04 DD 07 44 64 1E AD 1C 00 2C F0 D1 00 23 2B 80 30 46 08 B0 BD E8 F0 8B ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_73_1 {
	meta:
		name = "??$_Ptr_copy_cat@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQA_WABV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@@Z"
		size = 20
		altNames = "??$_Ptr_copy_cat@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQADABV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@@Z ??$_Ptr_copy_cat@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AU_General_ptr_iterator_tag@0@ABQA_WABV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 00 23 8D F8 00 30 00 98 BD E8 0C 88 }
	condition:
		$1
}

rule file_17_75_1 {
	meta:
		name = "??$_Rechecked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@AAV10@V10@@Z"
		size = 20
		altNames = "??$_Rechecked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@AAV10@V10@@Z ??$_Rechecked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@V12@@std@@YAAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@AAV10@V10@@Z ??$_Unchecked@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@V10@@Z ??$_Unchecked@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@V10@@Z ??$_Unchecked@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@V10@@Z ??$_Unchecked_idl0@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@V10@@Z ??$_Unchecked_idl0@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@V10@@Z ??$_Unchecked_idl0@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 01 60 42 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_17_93_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z"
		size = 138
		refs = "003c ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 005a ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0080 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 99 B0 00 23 CD E9 02 33 13 68 04 46 1B B1 1B 68 0B B1 1B 68 02 93 93 68 04 93 00 23 CD E9 06 33 0B 68 1B B1 1B 68 0B B1 1B 68 06 93 8B 68 12 A9 20 46 08 93 ?? ?? ?? ?? 00 23 CD E9 0A 33 03 68 1B B1 1B 68 0B B1 1B 68 0A 93 83 68 16 A9 20 46 0C 93 ?? ?? ?? ?? 00 23 CD E9 0E 33 03 68 1B B1 1B 68 0B B1 1B 68 0E 93 83 68 0A AA 20 46 10 93 02 AB 00 93 06 AB 0E A9 ?? ?? ?? ?? 19 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_99_39_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z"
		size = 138
		refs = "003c ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 005a ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0080 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 99 B0 00 23 CD E9 02 33 13 68 04 46 1B B1 1B 68 0B B1 1B 68 02 93 93 68 04 93 00 23 CD E9 06 33 0B 68 1B B1 1B 68 0B B1 1B 68 06 93 8B 68 12 A9 20 46 08 93 ?? ?? ?? ?? 00 23 CD E9 0A 33 03 68 1B B1 1B 68 0B B1 1B 68 0A 93 83 68 16 A9 20 46 0C 93 ?? ?? ?? ?? 00 23 CD E9 0E 33 03 68 1B B1 1B 68 0B B1 1B 68 0E 93 83 68 0A AA 20 46 10 93 02 AB 00 93 06 AB 0E A9 ?? ?? ?? ?? 19 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_17_94_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z"
		size = 138
		refs = "003c ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 005a ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0080 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 99 B0 00 23 CD E9 02 33 13 68 04 46 1B B1 1B 68 0B B1 1B 68 02 93 93 68 04 93 00 23 CD E9 06 33 0B 68 1B B1 1B 68 0B B1 1B 68 06 93 8B 68 12 A9 20 46 08 93 ?? ?? ?? ?? 00 23 CD E9 0A 33 03 68 1B B1 1B 68 0B B1 1B 68 0A 93 83 68 16 A9 20 46 0C 93 ?? ?? ?? ?? 00 23 CD E9 0E 33 03 68 1B B1 1B 68 0B B1 1B 68 0E 93 83 68 0A AA 20 46 10 93 02 AB 00 93 06 AB 0E A9 ?? ?? ?? ?? 19 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_17_191_1 {
	meta:
		name = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z"
		size = 28
		altNames = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAA@ABU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAA@ABU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@$$QAU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAA@ABU01@@Z ??0_Iterator_base12@std@@QAA@ABU01@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 00 33 0B 68 1B B1 1B 68 0B B1 1B 68 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_197_1 {
	meta:
		name = "??0?$_Mpunct@G@std@@QAA@ABV_Locinfo@1@I_N1@Z"
		size = 60
		refs = "0028 ?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 0038 ??_7?$_Mpunct@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 07 4A 20 46 84 F8 28 30 22 60 97 F8 28 20 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_81_1 {
	meta:
		name = "??0?$_Mpunct@D@std@@QAA@ABV_Locinfo@1@I_N1@Z"
		size = 60
		refs = "0028 ?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 0038 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 07 4A 20 46 84 F8 28 30 22 60 97 F8 28 20 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_199_1 {
	meta:
		name = "??0?$_Mpunct@_W@std@@QAA@ABV_Locinfo@1@I_N1@Z"
		size = 60
		refs = "0028 ?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 0038 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 07 4A 20 46 84 F8 28 30 22 60 97 F8 28 20 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_204_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@$$QAV01@@Z"
		size = 32
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@$$QAV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@ABV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@ABV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@$$QAV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@ABV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@ABV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@ABV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 00 33 0B 68 1B B1 1B 68 0B B1 1B 68 03 60 8B 68 83 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_206_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PBGPBU_Container_base12@1@@Z"
		size = 24
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PBDPBU_Container_base12@1@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PB_WPBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@PADPBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@PAGPBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@PA_WPBU_Container_base12@1@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 00 33 81 60 0A B1 13 68 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_207_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAA@XZ"
		size = 18
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAA@XZ ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 00 33 83 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_239_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@$$QAV01@@Z"
		size = 122
		refs = "0020 ??2@YAPAXI@Z 0026 _invalid_parameter_noinfo_noreturn 0054 memmove"
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@$$QAV01@@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 6F F0 01 03 05 46 00 26 C7 E9 00 33 08 20 2E 60 C5 E9 05 66 0C 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 28 60 C0 E9 00 32 2B 68 4F F0 07 08 1D 60 C5 E9 05 68 AE 80 A3 69 08 2B 08 D2 63 69 5B 1C 0B D0 5A 00 21 1D 28 1D ?? ?? ?? ?? 05 E0 15 F1 04 0F 01 D0 63 68 6B 60 66 60 63 69 6B 61 A3 69 AB 61 C4 E9 05 68 A6 80 28 46 BD E8 FE 89 }
	condition:
		$1
}

rule file_17_240_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z"
		size = 102
		refs = "0024 ??2@YAPAXI@Z 002a _invalid_parameter_noinfo_noreturn 0058 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 03 B4 2D E9 FC 48 0D F1 18 0B 6F 46 04 46 6F F0 01 03 3C 62 00 26 C7 E9 00 33 08 20 26 60 C4 E9 05 66 0D 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 A3 61 08 2B 01 D3 63 68 00 E0 23 1D 66 61 1E 80 6F F0 00 03 00 22 29 46 20 46 ?? ?? ?? ?? 20 46 BD E8 FC 08 5D F8 0C FB }
	condition:
		$1
}

rule file_17_250_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z"
		size = 102
		refs = "0024 ??2@YAPAXI@Z 002a _invalid_parameter_noinfo_noreturn 0058 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 03 B4 2D E9 FC 48 0D F1 18 0B 6F 46 04 46 6F F0 01 03 3C 62 00 26 C7 E9 00 33 08 20 26 60 C4 E9 05 66 0D 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 A3 61 08 2B 01 D3 63 68 00 E0 23 1D 66 61 1E 80 6F F0 00 03 00 22 29 46 20 46 ?? ?? ?? ?? 20 46 BD E8 FC 08 5D F8 0C FB }
	condition:
		$1
}

rule file_17_242_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z"
		size = 108
		refs = "002a ??2@YAPAXI@Z 0030 _invalid_parameter_noinfo_noreturn 005e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 6F 46 04 46 6F F0 01 03 BC 62 4F F0 00 08 C7 E9 00 33 C0 F8 00 80 C0 E9 05 88 08 20 15 46 0E 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 A3 61 08 2B 01 D3 63 68 00 E0 23 1D C4 F8 14 80 2A 46 31 46 20 46 A3 F8 00 80 ?? ?? ?? ?? 20 46 BD E8 FE 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_246_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBGI@Z"
		size = 108
		refs = "002a ??2@YAPAXI@Z 0030 _invalid_parameter_noinfo_noreturn 005e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 6F 46 04 46 6F F0 01 03 BC 62 4F F0 00 08 C7 E9 00 33 C0 F8 00 80 C0 E9 05 88 08 20 15 46 0E 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 A3 61 08 2B 01 D3 63 68 00 E0 23 1D C4 F8 14 80 2A 46 31 46 20 46 A3 F8 00 80 ?? ?? ?? ?? 20 46 BD E8 FE 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_252_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z"
		size = 108
		refs = "002a ??2@YAPAXI@Z 0030 _invalid_parameter_noinfo_noreturn 005e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 6F 46 04 46 6F F0 01 03 BC 62 4F F0 00 08 C7 E9 00 33 C0 F8 00 80 C0 E9 05 88 08 20 15 46 0E 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 A3 61 08 2B 01 D3 63 68 00 E0 23 1D C4 F8 14 80 2A 46 31 46 20 46 A3 F8 00 80 ?? ?? ?? ?? 20 46 BD E8 FE 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_256_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_WI@Z"
		size = 108
		refs = "002a ??2@YAPAXI@Z 0030 _invalid_parameter_noinfo_noreturn 005e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 6F 46 04 46 6F F0 01 03 BC 62 4F F0 00 08 C7 E9 00 33 C0 F8 00 80 C0 E9 05 88 08 20 15 46 0E 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 A3 61 08 2B 01 D3 63 68 00 E0 23 1D C4 F8 14 80 2A 46 31 46 20 46 A3 F8 00 80 ?? ?? ?? ?? 20 46 BD E8 FE 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_244_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
		size = 112
		refs = "0024 ??2@YAPAXI@Z 002a _invalid_parameter_noinfo_noreturn 0058 wcslen 0062 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
	strings:
		$1 = { 03 B4 2D E9 FC 48 0D F1 18 0B 6F 46 04 46 6F F0 01 03 3C 62 00 26 C7 E9 00 33 08 20 26 60 C4 E9 05 66 0D 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 A3 61 08 2B 01 D3 63 68 00 E0 23 1D 66 61 1E 80 2B 88 0B B9 00 20 02 E0 28 46 ?? ?? ?? ?? 02 46 20 46 29 46 ?? ?? ?? ?? 20 46 BD E8 FC 08 5D F8 0C FB }
	condition:
		$1
}

rule file_17_254_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
		size = 112
		refs = "0024 ??2@YAPAXI@Z 002a _invalid_parameter_noinfo_noreturn 0058 wcslen 0062 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 FC 48 0D F1 18 0B 6F 46 04 46 6F F0 01 03 3C 62 00 26 C7 E9 00 33 08 20 26 60 C4 E9 05 66 0D 46 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 A3 61 08 2B 01 D3 63 68 00 E0 23 1D 66 61 1E 80 2B 88 0B B9 00 20 02 E0 28 46 ?? ?? ?? ?? 02 46 20 46 29 46 ?? ?? ?? ?? 20 46 BD E8 FC 08 5D F8 0C FB }
	condition:
		$1
}

rule file_17_248_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
		size = 68
		refs = "001e ??2@YAPAXI@Z 0024 _invalid_parameter_noinfo_noreturn"
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 04 46 00 25 C7 E9 00 33 08 20 25 60 C4 E9 05 55 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 C4 E9 05 53 A5 80 20 46 BD E8 BE 88 }
	condition:
		$1
}

rule file_17_259_1 {
	meta:
		name = "??0?$codecvt@GDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 48
		refs = "0014 _Getcvt 0020 memcpy 002c ??_7?$codecvt@GDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 8B B0 08 4B 04 46 68 46 C4 E9 00 32 ?? ?? ?? ?? 69 46 2C 22 04 F1 08 00 ?? ?? ?? ?? 20 46 0B B0 BD E8 10 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_260_1 {
	meta:
		name = "??0?$codecvt@_WDU_Mbstatet@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 48
		refs = "0014 _Getcvt 0020 memcpy 002c ??_7?$codecvt@_WDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 8B B0 08 4B 04 46 68 46 C4 E9 00 32 ?? ?? ?? ?? 69 46 2C 22 04 F1 08 00 ?? ?? ?? ?? 20 46 0B B0 BD E8 10 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_261_1 {
	meta:
		name = "??0?$collate@G@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 40
		refs = "0012 _Getcoll 0024 ??_7?$collate@G@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 06 4B 04 46 68 46 C4 E9 00 32 ?? ?? ?? ?? 00 9B 20 46 A3 60 01 9B E3 60 BD E8 1E 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_107_1 {
	meta:
		name = "??0?$collate@D@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 40
		refs = "0012 _Getcoll 0024 ??_7?$collate@D@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 06 4B 04 46 68 46 C4 E9 00 32 ?? ?? ?? ?? 00 9B 20 46 A3 60 01 9B E3 60 BD E8 1E 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_262_1 {
	meta:
		name = "??0?$collate@_W@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 40
		refs = "0012 _Getcoll 0024 ??_7?$collate@_W@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 06 4B 04 46 68 46 C4 E9 00 32 ?? ?? ?? ?? 00 9B 20 46 A3 60 01 9B E3 60 BD E8 1E 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_263_1 {
	meta:
		name = "??0?$ctype@G@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 64
		refs = "0014 _Getctype 0024 _Getcvt 0030 memcpy 003c ??_7?$ctype@G@std@@6B@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 90 B0 0C 4B 07 46 68 46 C7 E9 00 32 ?? ?? ?? ?? 6D 46 1E CD 07 F1 08 06 1E C6 04 A8 ?? ?? ?? ?? 04 A9 2C 22 07 F1 18 00 ?? ?? ?? ?? 38 46 10 B0 BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_264_1 {
	meta:
		name = "??0?$ctype@_W@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 64
		refs = "0014 _Getctype 0024 _Getcvt 0030 memcpy 003c ??_7?$ctype@_W@std@@6B@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 90 B0 0C 4B 07 46 68 46 C7 E9 00 32 ?? ?? ?? ?? 6D 46 1E CD 07 F1 08 06 1E C6 04 A8 ?? ?? ?? ?? 04 A9 2C 22 07 F1 18 00 ?? ?? ?? ?? 38 46 10 B0 BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_271_1 {
	meta:
		name = "??0?$moneypunct@G$00@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 68
		refs = "0028 ?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 003c ??_7?$moneypunct@G$00@std@@6B@ 0040 ??_7?$_Mpunct@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 09 4A 20 46 22 60 01 22 84 F8 28 20 1A 46 ?? ?? ?? ?? 03 4B 23 60 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_112_1 {
	meta:
		name = "??0?$moneypunct@D$00@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 68
		refs = "0028 ?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 003c ??_7?$moneypunct@D$00@std@@6B@ 0040 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 09 4A 20 46 22 60 01 22 84 F8 28 20 1A 46 ?? ?? ?? ?? 03 4B 23 60 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_275_1 {
	meta:
		name = "??0?$moneypunct@_W$00@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 68
		refs = "0028 ?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 003c ??_7?$moneypunct@_W$00@std@@6B@ 0040 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 09 4A 20 46 22 60 01 22 84 F8 28 20 1A 46 ?? ?? ?? ?? 03 4B 23 60 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_273_1 {
	meta:
		name = "??0?$moneypunct@G$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 68
		refs = "0028 ?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 003c ??_7?$moneypunct@G$0A@@std@@6B@ 0040 ??_7?$_Mpunct@G@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 09 4A 20 46 22 60 00 22 84 F8 28 20 1A 46 ?? ?? ?? ?? 03 4B 23 60 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_114_1 {
	meta:
		name = "??0?$moneypunct@D$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 68
		refs = "0028 ?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 003c ??_7?$moneypunct@D$0A@@std@@6B@ 0040 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 09 4A 20 46 22 60 00 22 84 F8 28 20 1A 46 ?? ?? ?? ?? 03 4B 23 60 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_277_1 {
	meta:
		name = "??0?$moneypunct@_W$0A@@std@@QAA@ABV_Locinfo@1@I_N@Z"
		size = 68
		refs = "0028 ?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 003c ??_7?$moneypunct@_W$0A@@std@@6B@ 0040 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 00 BC 61 C7 E9 00 00 62 60 09 4A 20 46 22 60 00 22 84 F8 28 20 1A 46 ?? ?? ?? ?? 03 4B 23 60 20 46 BD E8 9C 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_287_1 {
	meta:
		name = "??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 48
		refs = "001e ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 002c ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 03 BC 61 C7 E9 00 33 62 60 04 4B 23 60 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_116_1 {
	meta:
		name = "??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 48
		refs = "001e ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 002c ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 03 BC 61 C7 E9 00 33 62 60 04 4B 23 60 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_289_1 {
	meta:
		name = "??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 48
		refs = "001e ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 002c ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 6F F0 01 03 BC 61 C7 E9 00 33 62 60 04 4B 23 60 ?? ?? ?? ?? 20 46 BD E8 9C 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_291_1 {
	meta:
		name = "??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 52
		refs = "001a ?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0026 free 0030 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 09 4B 0C 46 05 46 00 26 C5 E9 00 32 69 46 20 46 AE 60 ?? ?? ?? ?? 03 68 AB 60 06 60 00 98 ?? ?? ?? ?? 28 46 BD E8 78 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_118_1 {
	meta:
		name = "??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 52
		refs = "001a ?_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0026 free 0030 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 09 4B 0C 46 05 46 00 26 C5 E9 00 32 69 46 20 46 AE 60 ?? ?? ?? ?? 03 68 AB 60 06 60 00 98 ?? ?? ?? ?? 28 46 BD E8 78 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_292_1 {
	meta:
		name = "??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAA@ABV_Locinfo@1@I@Z"
		size = 52
		refs = "001a ?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0026 free 0030 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 09 4B 0C 46 05 46 00 26 C5 E9 00 32 69 46 20 46 AE 60 ?? ?? ?? ?? 03 68 AB 60 06 60 00 98 ?? ?? ?? ?? 28 46 BD E8 78 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_330_1 {
	meta:
		name = "??1?$_Mpunct@G@std@@MAA@XZ"
		size = 56
		refs = "0010 free 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$_Mpunct@G@std@@6B@"
		altNames = "??1?$moneypunct@G$00@std@@MAA@XZ ??1?$moneypunct@G$0A@@std@@MAA@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? A0 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_150_1 {
	meta:
		name = "??1?$_Mpunct@D@std@@MAA@XZ"
		size = 56
		refs = "0010 free 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? A0 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_331_1 {
	meta:
		name = "??1?$_Mpunct@_W@std@@MAA@XZ"
		size = 56
		refs = "0010 free 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? A0 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_163_1 {
	meta:
		name = "??1?$moneypunct@D$00@std@@MAA@XZ"
		size = 56
		refs = "0010 free 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? A0 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_164_1 {
	meta:
		name = "??1?$moneypunct@D$0A@@std@@MAA@XZ"
		size = 56
		refs = "0010 free 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? A0 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_361_1 {
	meta:
		name = "??1?$moneypunct@_W$00@std@@MAA@XZ"
		size = 56
		refs = "0010 free 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? A0 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_362_1 {
	meta:
		name = "??1?$moneypunct@_W$0A@@std@@MAA@XZ"
		size = 56
		refs = "0010 free 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? A0 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_345_1 {
	meta:
		name = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
		size = 44
		refs = "0012 ??3@YAXPAX@Z"
		altNames = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 A3 69 08 2B 02 D3 60 68 ?? ?? ?? ?? 07 23 00 25 C4 E9 05 53 A5 80 20 68 ?? ?? ?? ?? 25 60 BD E8 30 88 }
	condition:
		$1
}

rule file_17_349_1 {
	meta:
		name = "??1?$collate@G@std@@MAA@XZ"
		size = 36
		refs = "0010 free 001c ??_7_Facet_base@std@@6B@ 0020 ??_7?$collate@G@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 E0 68 23 60 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_158_1 {
	meta:
		name = "??1?$collate@D@std@@MAA@XZ"
		size = 36
		refs = "0010 free 001c ??_7_Facet_base@std@@6B@ 0020 ??_7?$collate@D@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 E0 68 23 60 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_350_1 {
	meta:
		name = "??1?$collate@_W@std@@MAA@XZ"
		size = 36
		refs = "0010 free 001c ??_7_Facet_base@std@@6B@ 0020 ??_7?$collate@_W@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 E0 68 23 60 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_351_1 {
	meta:
		name = "??1?$ctype@G@std@@MAA@XZ"
		size = 48
		refs = "0014 free 0028 ??_7_Facet_base@std@@6B@ 002c ??_7?$ctype@G@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 23 60 23 69 13 B1 E0 68 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_352_1 {
	meta:
		name = "??1?$ctype@_W@std@@MAA@XZ"
		size = 48
		refs = "0014 free 0028 ??_7_Facet_base@std@@6B@ 002c ??_7?$ctype@_W@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 23 60 23 69 13 B1 E0 68 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 02 4B 23 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_369_1 {
	meta:
		name = "??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 48
		refs = "0010 free 0028 ??_7_Facet_base@std@@6B@ 002c ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 A0 68 23 60 ?? ?? ?? ?? E0 68 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_165_1 {
	meta:
		name = "??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 48
		refs = "0010 free 0028 ??_7_Facet_base@std@@6B@ 002c ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 A0 68 23 60 ?? ?? ?? ?? E0 68 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_370_1 {
	meta:
		name = "??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 48
		refs = "0010 free 0028 ??_7_Facet_base@std@@6B@ 002c ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4B 04 46 A0 68 23 60 ?? ?? ?? ?? E0 68 ?? ?? ?? ?? 20 69 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_371_1 {
	meta:
		name = "??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAA@XZ"
		size = 36
		refs = "0010 free 001c ??_7_Facet_base@std@@6B@ 0020 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_166_1 {
	meta:
		name = "??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAA@XZ"
		size = 36
		refs = "0010 free 001c ??_7_Facet_base@std@@6B@ 0020 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_372_1 {
	meta:
		name = "??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAA@XZ"
		size = 36
		refs = "0010 free 001c ??_7_Facet_base@std@@6B@ 0020 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 A0 68 23 60 ?? ?? ?? ?? 01 4B 23 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_380_1 {
	meta:
		name = "??1_Timevec@std@@QAA@XZ"
		size = 16
		refs = "000c free"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_392_1 {
	meta:
		name = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@GHPBGABGU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z"
		size = 28
		altNames = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@DHPBDABDU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z ??4?$_Iterator012@Urandom_access_iterator_tag@std@@_WHPB_WAB_WU_Iterator_base12@2@@std@@QAAAAU01@$$QAU01@@Z ??4_Iterator_base12@std@@QAAAAU01@ABU01@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 68 03 68 93 42 04 D0 1A B1 13 68 0B B1 1B 68 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_394_1 {
	meta:
		name = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z"
		size = 32
		altNames = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@$$QAV01@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 68 03 68 93 42 04 D0 1A B1 13 68 0B B1 1B 68 03 60 8B 68 83 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_399_1 {
	meta:
		name = "??4?$_Yarn@_W@std@@QAAAAV01@PB_W@Z"
		size = 70
		refs = "0014 free 0030 malloc 003c memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 28 68 0C 46 A0 42 16 D0 08 B1 ?? ?? ?? ?? 00 23 2B 60 84 B1 23 88 22 46 01 E0 92 1C 13 88 00 2B FB D1 16 1B B0 1C ?? ?? ?? ?? 28 60 18 B1 B2 1C 21 46 ?? ?? ?? ?? 28 46 BD E8 78 88 }
	condition:
		$1
}

rule file_17_400_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z"
		size = 106
		refs = "0022 ??3@YAXPAX@Z 0044 memmove"
		altNames = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@$$QAV12@@Z ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@$$QAV12@@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 0D 46 04 46 6F F0 01 03 C7 E9 00 33 AC 42 24 D0 A3 69 08 2B 02 D3 60 68 ?? ?? ?? ?? 4F F0 07 08 00 26 C4 E9 05 68 A6 80 AB 69 08 2B 08 D2 6B 69 5B 1C 0B D0 5A 00 29 1D 20 1D ?? ?? ?? ?? 05 E0 14 F1 04 0F 01 D0 6B 68 63 60 6E 60 6B 69 63 61 AB 69 A3 61 C5 E9 05 68 AE 80 20 46 BD E8 FE 89 }
	condition:
		$1
}

rule file_17_404_1 {
	meta:
		name = "??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z"
		size = 90
		refs = "003c _guard_check_icall"
		altNames = "??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 06 46 75 68 0F 46 FD B1 2B 6A 1B 68 13 B1 2B 6B 1B 68 00 E0 00 23 00 2B 09 DD 2A 6B 13 68 5B 1E 13 60 2A 6A 11 68 8B 1C 13 60 0F 80 08 E0 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 39 46 A0 47 07 46 4F F6 FF 73 9F 42 01 D1 01 23 33 70 30 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_17_407_1 {
	meta:
		name = "??4_Timevec@std@@QAAAAV01@ABV01@@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 68 03 60 00 23 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_408_1 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 54
		refs = "0030 _invalid_parameter_noinfo_noreturn"
		altNames = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B9 00 23 00 E0 1B 68 0A 68 0A B9 00 22 00 E0 12 68 93 42 08 D1 82 68 8B 68 9A 42 08 BF 01 20 18 BF 00 20 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_410_1 {
	meta:
		name = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 54
		refs = "0030 _invalid_parameter_noinfo_noreturn"
		altNames = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B9 00 23 00 E0 1B 68 0A 68 0A B9 00 22 00 E0 12 68 93 42 08 D1 82 68 8B 68 9A 42 18 BF 01 20 08 BF 00 20 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_414_1 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z"
		size = 38
		refs = "0020 _invalid_parameter_noinfo_noreturn"
		altNames = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAABGI@Z ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAAB_WI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 99 42 09 D8 83 69 08 2B 01 D3 43 68 00 E0 03 1D 03 EB 41 00 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_419_1 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ"
		size = 66
		refs = "0034 _invalid_parameter_noinfo_noreturn"
		altNames = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAAAGXZ ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAA_WXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 84 68 9C B1 03 68 AB B1 1A 68 9A B1 93 69 08 2B 01 D3 51 68 00 E0 11 1D A1 42 09 D8 53 69 01 EB 43 03 9C 42 04 D2 80 68 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_423_1 {
	meta:
		name = "??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBAGXZ"
		size = 24
		refs = "000e ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 79 0B B9 ?? ?? ?? ?? E0 88 BD E8 18 88 }
	condition:
		$1
}

rule file_17_424_1 {
	meta:
		name = "??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBA_WXZ"
		size = 24
		refs = "000e ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 79 0B B9 ?? ?? ?? ?? E0 88 BD E8 18 88 }
	condition:
		$1
}

rule file_17_427_1 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ"
		size = 64
		refs = "0032 _invalid_parameter_noinfo_noreturn"
		altNames = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 81 68 91 B1 03 68 A3 B1 1A 68 92 B1 93 69 08 2B 01 D3 54 68 00 E0 14 1D 53 69 04 EB 43 03 99 42 05 D2 8B 1C 83 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_435_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV01@@Z"
		size = 48
		refs = "002a _invalid_parameter_noinfo_noreturn"
		altNames = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV01@@Z ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@@Z ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B9 00 23 00 E0 1B 68 0A 68 0A B9 00 22 00 E0 12 68 93 42 05 D1 82 68 8B 68 D3 1A 58 10 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_437_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 68
		refs = "0024 ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 23 CD E9 00 33 03 68 0C 46 1B B1 1B 68 0B B1 1B 68 00 93 83 68 51 42 68 46 02 93 ?? ?? ?? ?? 00 23 C4 E9 00 33 00 9B 1B B1 1B 68 0B B1 1B 68 23 60 02 9B 20 46 A3 60 BD E8 1E 88 }
	condition:
		$1
}

rule file_17_439_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 68
		refs = "0024 ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 23 CD E9 00 33 03 68 0C 46 1B B1 1B 68 0B B1 1B 68 00 93 83 68 51 42 68 46 02 93 ?? ?? ?? ?? 00 23 C4 E9 00 33 00 9B 1B B1 1B 68 0B B1 1B 68 23 60 02 9B 20 46 A3 60 BD E8 1E 88 }
	condition:
		$1
}

rule file_17_441_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 68
		refs = "0024 ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 23 CD E9 00 33 03 68 0C 46 1B B1 1B 68 0B B1 1B 68 00 93 83 68 68 46 11 46 02 93 ?? ?? ?? ?? 00 23 C4 E9 00 33 00 9B 1B B1 1B 68 0B B1 1B 68 23 60 02 9B 20 46 A3 60 BD E8 1E 88 }
	condition:
		$1
}

rule file_17_442_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 68
		refs = "0024 ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 23 CD E9 00 33 03 68 0C 46 1B B1 1B 68 0B B1 1B 68 00 93 83 68 68 46 11 46 02 93 ?? ?? ?? ?? 00 23 C4 E9 00 33 00 9B 1B B1 1B 68 0B B1 1B 68 23 60 02 9B 20 46 A3 60 BD E8 1E 88 }
	condition:
		$1
}

rule file_17_443_1 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 82
		refs = "0044 _invalid_parameter_noinfo_noreturn"
		altNames = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 AC B1 85 68 CD B1 03 68 DB B1 1A 68 CA B1 93 69 08 2B 01 D3 51 68 00 E0 11 1D 05 EB 44 05 A9 42 0D D8 53 69 01 EB 43 03 9D 42 00 D9 07 E0 83 68 03 EB 44 03 83 60 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_452_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 22
		refs = "000c ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 49 42 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_453_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 22
		refs = "000c ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 49 42 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_454_1 {
	meta:
		name = "??_G?$_Mpunct@G@std@@MAAPAXI@Z"
		size = 72
		refs = "0012 free 0036 ??3@YAXPAXI@Z 0040 ??_7_Facet_base@std@@6B@ 0044 ??_7?$_Mpunct@G@std@@6B@"
		altNames = "??_G?$moneypunct@G$00@std@@MAAPAXI@Z ??_G?$moneypunct@G$0A@@std@@MAAPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0E 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? A8 69 ?? ?? ?? ?? 05 4B 14 F0 01 0F 2B 60 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_212_1 {
	meta:
		name = "??_G?$_Mpunct@D@std@@MAAPAXI@Z"
		size = 72
		refs = "0012 free 0036 ??3@YAXPAXI@Z 0040 ??_7_Facet_base@std@@6B@ 0044 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0E 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? A8 69 ?? ?? ?? ?? 05 4B 14 F0 01 0F 2B 60 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_455_1 {
	meta:
		name = "??_G?$_Mpunct@_W@std@@MAAPAXI@Z"
		size = 72
		refs = "0012 free 0036 ??3@YAXPAXI@Z 0040 ??_7_Facet_base@std@@6B@ 0044 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0E 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? A8 69 ?? ?? ?? ?? 05 4B 14 F0 01 0F 2B 60 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_218_1 {
	meta:
		name = "??_G?$moneypunct@D$00@std@@MAAPAXI@Z"
		size = 72
		refs = "0012 free 0036 ??3@YAXPAXI@Z 0040 ??_7_Facet_base@std@@6B@ 0044 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0E 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? A8 69 ?? ?? ?? ?? 05 4B 14 F0 01 0F 2B 60 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_219_1 {
	meta:
		name = "??_G?$moneypunct@D$0A@@std@@MAAPAXI@Z"
		size = 72
		refs = "0012 free 0036 ??3@YAXPAXI@Z 0040 ??_7_Facet_base@std@@6B@ 0044 ??_7?$_Mpunct@D@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0E 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? A8 69 ?? ?? ?? ?? 05 4B 14 F0 01 0F 2B 60 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_470_1 {
	meta:
		name = "??_G?$moneypunct@_W$00@std@@MAAPAXI@Z"
		size = 72
		refs = "0012 free 0036 ??3@YAXPAXI@Z 0040 ??_7_Facet_base@std@@6B@ 0044 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0E 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? A8 69 ?? ?? ?? ?? 05 4B 14 F0 01 0F 2B 60 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_471_1 {
	meta:
		name = "??_G?$moneypunct@_W$0A@@std@@MAAPAXI@Z"
		size = 72
		refs = "0012 free 0036 ??3@YAXPAXI@Z 0040 ??_7_Facet_base@std@@6B@ 0044 ??_7?$_Mpunct@_W@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0E 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 68 69 ?? ?? ?? ?? A8 69 ?? ?? ?? ?? 05 4B 14 F0 01 0F 2B 60 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_456_1 {
	meta:
		name = "??_G?$codecvt@GDU_Mbstatet@@@std@@MAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7_Facet_base@std@@6B@"
		altNames = "??_G?$codecvt@_WDU_Mbstatet@@@std@@MAAPAXI@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 34 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_458_1 {
	meta:
		name = "??_G?$collate@G@std@@MAAPAXI@Z"
		size = 56
		refs = "0012 free 0024 ??3@YAXPAXI@Z 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$collate@G@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 05 46 E8 68 0C 46 2B 60 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 10 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_213_1 {
	meta:
		name = "??_G?$collate@D@std@@MAAPAXI@Z"
		size = 56
		refs = "0012 free 0024 ??3@YAXPAXI@Z 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$collate@D@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 05 46 E8 68 0C 46 2B 60 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 10 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_459_1 {
	meta:
		name = "??_G?$collate@_W@std@@MAAPAXI@Z"
		size = 56
		refs = "0012 free 0024 ??3@YAXPAXI@Z 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$collate@_W@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 05 46 E8 68 0C 46 2B 60 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 10 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_460_1 {
	meta:
		name = "??_G?$ctype@G@std@@MAAPAXI@Z"
		size = 64
		refs = "0016 free 002e ??3@YAXPAXI@Z 0038 ??_7_Facet_base@std@@6B@ 003c ??_7?$ctype@G@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 4B 04 46 0D 46 23 60 23 69 13 B1 E0 68 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 05 4B 15 F0 01 0F 23 60 03 D0 44 21 20 46 ?? ?? ?? ?? 20 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_461_1 {
	meta:
		name = "??_G?$ctype@_W@std@@MAAPAXI@Z"
		size = 64
		refs = "0016 free 002e ??3@YAXPAXI@Z 0038 ??_7_Facet_base@std@@6B@ 003c ??_7?$ctype@_W@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 4B 04 46 0D 46 23 60 23 69 13 B1 E0 68 ?? ?? ?? ?? 60 69 ?? ?? ?? ?? 05 4B 15 F0 01 0F 23 60 03 D0 44 21 20 46 ?? ?? ?? ?? 20 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_478_1 {
	meta:
		name = "??_G?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z"
		size = 68
		refs = "0012 free 0030 ??3@YAXPAXI@Z 003c ??_7_Facet_base@std@@6B@ 0040 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? E8 68 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 44 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_220_1 {
	meta:
		name = "??_G?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z"
		size = 68
		refs = "0012 free 0030 ??3@YAXPAXI@Z 003c ??_7_Facet_base@std@@6B@ 0040 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? E8 68 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 44 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_479_1 {
	meta:
		name = "??_G?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z"
		size = 68
		refs = "0012 free 0030 ??3@YAXPAXI@Z 003c ??_7_Facet_base@std@@6B@ 0040 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? E8 68 ?? ?? ?? ?? 28 69 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 44 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_480_1 {
	meta:
		name = "??_G?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAAPAXI@Z"
		size = 56
		refs = "0012 free 0024 ??3@YAXPAXI@Z 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 0C 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_221_1 {
	meta:
		name = "??_G?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAAPAXI@Z"
		size = 56
		refs = "0012 free 0024 ??3@YAXPAXI@Z 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 0C 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_481_1 {
	meta:
		name = "??_G?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAAPAXI@Z"
		size = 56
		refs = "0012 free 0024 ??3@YAXPAXI@Z 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 05 46 A8 68 0C 46 2B 60 ?? ?? ?? ?? 06 4B 14 F0 01 0F 2B 60 03 D0 0C 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_493_1 {
	meta:
		name = "?_Adopt@_Iterator_base12@std@@QAAXPBU_Container_base12@2@@Z"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 09 B1 0B 68 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_499_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX$$QAV12@@Z"
		size = 68
		refs = "0020 memmove"
		altNames = "?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0C 46 A3 69 00 26 05 46 08 2B 08 D2 63 69 5B 1C 0A D0 28 1D 5A 00 21 1D ?? ?? ?? ?? 04 E0 2A 1D 01 D0 63 68 13 60 66 60 63 69 6B 61 A3 69 AB 61 07 23 C4 E9 05 63 A6 80 BD E8 78 88 }
	condition:
		$1
}

rule file_17_509_1 {
	meta:
		name = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIIG@Z"
		size = 66
		altNames = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 1C 46 01 2A 08 D1 82 69 08 2A 01 D3 42 68 00 E0 02 1D 22 F8 11 40 0E E0 83 69 08 2B 01 D3 43 68 00 E0 03 1D 03 EB 41 03 2A B1 03 EB 42 02 23 F8 02 4B 93 42 FB D1 BD E8 18 88 }
	condition:
		$1
}

rule file_17_517_1 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAXABV12@@Z"
		size = 40
		refs = "0022 _invalid_parameter_noinfo_noreturn"
		altNames = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAXABV12@@Z ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAXABV12@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B9 00 22 00 E0 1A 68 0B 68 0B B9 00 23 00 E0 1B 68 9A 42 01 D1 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_522_1 {
	meta:
		name = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z"
		size = 220
		refs = "005c ?_Xbad_alloc@std@@YAXXZ 0062 ??2@YAPAXI@Z 006a _invalid_parameter_noinfo_noreturn 009e memcpy 00aa ??3@YAXPAX@Z"
		altNames = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 6F F0 01 03 C7 E9 02 33 01 23 DE 07 4F F0 07 09 B6 1E 04 46 41 EA 09 05 B5 42 90 46 BA 63 79 63 3C 63 01 D9 0D 46 0D E0 A1 69 28 4B 48 08 A5 FB 03 32 B0 EB 52 0F 05 D9 33 1A 99 42 01 D8 45 18 00 E0 35 46 6A 1C 14 D0 6F F0 00 43 9A 42 01 D9 ?? ?? ?? ?? 50 00 ?? ?? ?? ?? 06 46 56 B9 ?? ?? ?? ?? 3C 6B D7 F8 38 80 D7 E9 00 56 4F F0 07 09 00 E0 00 26 B8 F1 00 0F 0D D0 A3 69 08 2B 01 D3 61 68 00 E0 21 1D B8 F1 00 0F 04 D0 4F EA 48 02 30 46 ?? ?? ?? ?? A3 69 08 2B 02 D3 60 68 ?? ?? ?? ?? 4F F0 00 02 C4 E9 05 29 23 1D 1A 80 00 D0 1E 60 A5 61 08 2D 00 D3 63 68 C4 F8 14 80 23 F8 18 20 BD E8 FF 0B 5D F8 14 FB FE DE AB AA AA AA }
	condition:
		$1
}

rule file_17_524_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z$0"
		size = 62
		refs = "001e ??2@YAPAXI@Z 002e _invalid_parameter_noinfo_noreturn 0032 ?_Xbad_alloc@std@@YAXXZ 003a $LN19"
		altNames = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z$0"
	strings:
		$1 = { 10 B5 7B 6B 3B 60 5A 1C 40 F0 03 80 00 20 00 F0 0B B8 6F F0 00 43 9A 42 00 F2 0B 80 50 00 ?? ?? ?? ?? 00 28 00 F0 03 80 78 60 03 48 10 BD ?? ?? ?? ?? ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_533_1 {
	meta:
		name = "?_Deprecate@_Unchecked_iterators@?1???$copy@PA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@PA_W0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z"
		size = 16
		altNames = "?_Deprecate@_Unchecked_iterators@?1???$copy@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@PAD0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z ?_Deprecate@_Unchecked_iterators@?1???$copy@PA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@PA_W0V32@@Z@SAXU?$integral_constant@_N$00@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_17_535_1 {
	meta:
		name = "?_Donarrow@?$ctype@G@std@@IBADGD@Z"
		size = 54
		refs = "0008 __security_push_cookie 001e _Wcrtomb 002e __security_pop_cookie"
		altNames = "?_Donarrow@?$ctype@_W@std@@IBAD_WD@Z ?do_narrow@?$ctype@G@std@@MBADGD@Z ?do_narrow@?$ctype@_W@std@@MBAD_WD@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 84 B0 00 23 CD E9 00 33 00 F1 18 03 14 46 02 A8 6A 46 ?? ?? ?? ?? 01 28 01 D1 9D F9 08 40 20 46 04 B0 ?? ?? ?? ?? BD E8 10 88 }
	condition:
		$1
}

rule file_17_537_1 {
	meta:
		name = "?_Dowiden@?$ctype@G@std@@IBAGD@Z"
		size = 58
		refs = "001e _Mbrtowc"
		altNames = "?_Dowiden@?$ctype@_W@std@@IBA_WD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 CD E9 04 33 00 F1 18 03 00 93 04 AB 09 A9 02 A8 01 22 ?? ?? ?? ?? 00 28 02 DA 4F F6 FF 70 01 E0 BD F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_17_539_1 {
	meta:
		name = "?_Empty@?$_Yarn@D@std@@QBA_NXZ"
		size = 20
		altNames = "?_Empty@?$_Yarn@_W@std@@QBA_NXZ ?isEmpty@DName@@QBAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B9 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_17_542_1 {
	meta:
		name = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
		size = 30
		altNames = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 83 69 08 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 23 F8 11 20 BD E8 00 88 }
	condition:
		$1
}

rule file_17_550_1 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z"
		size = 992
		refs = "000a __security_push_cookie 0078 strcspn 0082 localeconv 009e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a2 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00bc _guard_check_icall 00e2 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 0116 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0150 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0180 _invalid_parameter_noinfo_noreturn 01ce ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 022a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0392 ??3@YAXPAX@Z 03cc __security_pop_cookie 03d8 ??_C@_02OOPEBDOJ@pP?$AA@ 03dc ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9C B0 6F 46 D7 F8 A8 40 D7 F8 B4 50 C7 E9 05 41 6F F0 01 03 D7 F8 B0 90 C7 E9 0A 33 45 B1 99 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 63 69 03 F4 40 53 B3 F5 40 5F 01 D0 E3 49 11 E0 08 F1 02 02 E0 49 AA 42 0C D8 19 F9 08 30 09 EB 08 00 30 2B 06 D1 90 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 48 46 ?? ?? ?? ?? 2E 23 3B 82 B8 60 ?? ?? ?? ?? 03 68 17 F1 10 01 48 46 1B 78 3B 74 ?? ?? ?? ?? 06 46 20 46 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 3C 60 D7 F8 24 A0 BA F1 00 0F 12 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 3C 68 17 F1 30 00 00 22 29 46 ?? ?? ?? ?? BB 6C 08 2B 02 D3 D7 F8 34 A0 01 E0 17 F1 34 0A 22 68 D4 6A 20 46 ?? ?? ?? ?? 38 68 49 46 05 EB 09 02 53 46 A0 47 78 69 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 D7 F8 24 A0 BA F1 00 0F 11 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 17 F1 50 01 48 46 ?? ?? ?? ?? D9 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 48 46 A0 47 82 46 AE 42 16 D0 D9 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 48 46 A0 47 7B 6C 9E 42 01 D9 ?? ?? ?? ?? BB 6C 08 2B 01 D3 7B 6B 01 E0 17 F1 34 03 23 F8 16 00 00 E0 BE 68 BD 6E 78 6D 10 2D 28 BF 04 46 01 D2 17 F1 54 04 94 F9 00 30 7F 2B 1A D0 94 F9 00 20 00 2A 14 DD A6 EB 08 03 9A 42 10 D2 B6 1A 31 46 53 46 01 22 17 F1 30 00 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 30 7F 2B E6 D1 BD 6E 78 6D 79 69 D7 F8 44 E0 D1 E9 08 23 C7 F8 08 E0 00 2B 06 DB 00 DC 22 B1 72 45 02 D9 A2 EB 0E 04 00 E0 00 24 4B 69 03 F4 E0 73 40 2B 2E D0 B3 F5 80 7F 2E D0 D7 E9 28 32 C7 E9 00 32 64 B1 B7 F8 AC 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 44 E0 BD 6E 78 6D D7 E9 00 32 BE 6C 79 6B 00 24 08 2E 28 BF 89 46 C7 E9 28 32 01 D2 17 F1 34 09 C2 46 C7 E9 00 32 B8 F1 00 0F 5E D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 4E E0 B3 F5 80 7F 33 D1 BE 6C 79 6B 08 2E 28 BF 89 46 01 D2 17 F1 34 09 D7 E9 28 32 C2 46 B8 F1 00 0F C7 E9 00 32 0E D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 E6 79 6B BD 6E 78 6D D7 E9 00 32 C7 E9 28 32 C7 E9 00 32 6C B1 B7 F8 AC 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 11 E6 79 6B BD 6E 78 6D D7 E9 00 32 00 24 1E E0 BE 6C 79 6B 08 2E 28 BF 89 46 01 D2 17 F1 34 09 D7 E9 28 32 C2 46 B8 F1 00 0F C7 E9 00 32 0E D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 E6 D7 E9 00 32 78 6D BD 6E 79 6B C7 E9 28 32 F0 45 01 D9 ?? ?? ?? ?? 08 2E 01 D2 17 F1 34 01 01 EB 48 06 B9 68 C7 E9 02 32 B1 EB 08 08 0C D0 36 F8 02 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 BD 6E 78 6D D7 E9 02 32 D7 F8 14 E0 00 21 C7 E9 28 32 CE E9 08 11 C7 E9 02 32 5C B1 B7 F8 AC 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 BD 6E 78 6D D7 E9 02 32 BC 69 C4 E9 00 32 10 2D 01 D3 ?? ?? ?? ?? 0F 23 38 6D BB 66 00 23 7B 66 87 F8 54 30 ?? ?? ?? ?? 00 23 3B 65 BB 6C 08 2B 02 D3 78 6B ?? ?? ?? ?? 07 23 38 6B BB 64 00 23 7B 64 BB 86 ?? ?? ?? ?? 20 46 1C B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_557_1 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z"
		size = 992
		refs = "000a __security_push_cookie 0078 strcspn 0082 localeconv 009e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a2 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00bc _guard_check_icall 00e2 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 0116 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0150 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0180 _invalid_parameter_noinfo_noreturn 01ce ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 022a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0392 ??3@YAXPAX@Z 03cc __security_pop_cookie 03d8 ??_C@_02OOPEBDOJ@pP?$AA@ 03dc ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9C B0 6F 46 D7 F8 A8 40 D7 F8 B4 50 C7 E9 05 41 6F F0 01 03 D7 F8 B0 90 C7 E9 0A 33 45 B1 99 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 63 69 03 F4 40 53 B3 F5 40 5F 01 D0 E3 49 11 E0 08 F1 02 02 E0 49 AA 42 0C D8 19 F9 08 30 09 EB 08 00 30 2B 06 D1 90 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 48 46 ?? ?? ?? ?? 2E 23 3B 82 B8 60 ?? ?? ?? ?? 03 68 17 F1 10 01 48 46 1B 78 3B 74 ?? ?? ?? ?? 06 46 20 46 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 3C 60 D7 F8 24 A0 BA F1 00 0F 12 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 3C 68 17 F1 30 00 00 22 29 46 ?? ?? ?? ?? BB 6C 08 2B 02 D3 D7 F8 34 A0 01 E0 17 F1 34 0A 22 68 D4 6A 20 46 ?? ?? ?? ?? 38 68 49 46 05 EB 09 02 53 46 A0 47 78 69 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 D7 F8 24 A0 BA F1 00 0F 11 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 17 F1 50 01 48 46 ?? ?? ?? ?? D9 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 48 46 A0 47 82 46 AE 42 16 D0 D9 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 48 46 A0 47 7B 6C 9E 42 01 D9 ?? ?? ?? ?? BB 6C 08 2B 01 D3 7B 6B 01 E0 17 F1 34 03 23 F8 16 00 00 E0 BE 68 BD 6E 78 6D 10 2D 28 BF 04 46 01 D2 17 F1 54 04 94 F9 00 30 7F 2B 1A D0 94 F9 00 20 00 2A 14 DD A6 EB 08 03 9A 42 10 D2 B6 1A 31 46 53 46 01 22 17 F1 30 00 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 30 7F 2B E6 D1 BD 6E 78 6D 79 69 D7 F8 44 E0 D1 E9 08 23 C7 F8 08 E0 00 2B 06 DB 00 DC 22 B1 72 45 02 D9 A2 EB 0E 04 00 E0 00 24 4B 69 03 F4 E0 73 40 2B 2E D0 B3 F5 80 7F 2E D0 D7 E9 28 32 C7 E9 00 32 64 B1 B7 F8 AC 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 44 E0 BD 6E 78 6D D7 E9 00 32 BE 6C 79 6B 00 24 08 2E 28 BF 89 46 C7 E9 28 32 01 D2 17 F1 34 09 C2 46 C7 E9 00 32 B8 F1 00 0F 5E D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 4E E0 B3 F5 80 7F 33 D1 BE 6C 79 6B 08 2E 28 BF 89 46 01 D2 17 F1 34 09 D7 E9 28 32 C2 46 B8 F1 00 0F C7 E9 00 32 0E D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 E6 79 6B BD 6E 78 6D D7 E9 00 32 C7 E9 28 32 C7 E9 00 32 6C B1 B7 F8 AC 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 11 E6 79 6B BD 6E 78 6D D7 E9 00 32 00 24 1E E0 BE 6C 79 6B 08 2E 28 BF 89 46 01 D2 17 F1 34 09 D7 E9 28 32 C2 46 B8 F1 00 0F C7 E9 00 32 0E D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 E6 D7 E9 00 32 78 6D BD 6E 79 6B C7 E9 28 32 F0 45 01 D9 ?? ?? ?? ?? 08 2E 01 D2 17 F1 34 01 01 EB 48 06 B9 68 C7 E9 02 32 B1 EB 08 08 0C D0 36 F8 02 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 BD 6E 78 6D D7 E9 02 32 D7 F8 14 E0 00 21 C7 E9 28 32 CE E9 08 11 C7 E9 02 32 5C B1 B7 F8 AC 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 BD 6E 78 6D D7 E9 02 32 BC 69 C4 E9 00 32 10 2D 01 D3 ?? ?? ?? ?? 0F 23 38 6D BB 66 00 23 7B 66 87 F8 54 30 ?? ?? ?? ?? 00 23 3B 65 BB 6C 08 2B 02 D3 78 6B ?? ?? ?? ?? 07 23 38 6B BB 64 00 23 7B 64 BB 86 ?? ?? ?? ?? 20 46 1C B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_591_1 {
	meta:
		name = "?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 140
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0056 _Getcvt 0064 memcpy 0078 ??1_Locinfo@std@@QAA@XZ 0084 ??_7?$codecvt@GDU_Mbstatet@@@std@@6B@ 0088 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 9E B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 6D B3 2B 68 5B BB 34 20 ?? ?? ?? ?? 04 46 3C 60 E4 B1 D8 F8 04 30 0B B9 14 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 40 00 ?? ?? ?? ?? 0E 4B 17 F1 10 00 01 26 C4 E9 00 39 ?? ?? ?? ?? 17 F1 10 01 2C 22 04 F1 08 00 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 40 00 ?? ?? ?? ?? 02 20 1E B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_593_1 {
	meta:
		name = "?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 140
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0056 _Getcvt 0064 memcpy 0078 ??1_Locinfo@std@@QAA@XZ 0084 ??_7?$codecvt@_WDU_Mbstatet@@@std@@6B@ 0088 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 9E B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 6D B3 2B 68 5B BB 34 20 ?? ?? ?? ?? 04 46 3C 60 E4 B1 D8 F8 04 30 0B B9 14 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 40 00 ?? ?? ?? ?? 0E 4B 17 F1 10 00 01 26 C4 E9 00 39 ?? ?? ?? ?? 17 F1 10 01 2C 22 04 F1 08 00 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 40 00 ?? ?? ?? ?? 02 20 1E B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_595_1 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 196
		refs = "0008 __security_push_cookie 0032 ??2@YAPAXI@Z 0042 ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005a ??0_Locinfo@std@@QAA@PBD@Z 006a _Getcoll 008a ??1_Locinfo@std@@QAA@XZ 009c ??3@YAXPAX@Z 00b6 __security_pop_cookie 00c0 ??_7?$collate@G@std@@6B@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9B B0 6F 46 6F F0 01 03 06 46 4F F0 00 09 C7 E9 04 33 C7 F8 00 90 88 46 4C 46 00 2E 43 D0 33 68 00 2B 40 D1 10 20 ?? ?? ?? ?? 05 46 BD 60 ED B1 17 F1 50 01 40 46 ?? ?? ?? ?? 01 23 3B 60 83 69 10 2B 01 D3 41 68 00 E0 01 1D 17 F1 18 00 ?? ?? ?? ?? 18 4B 03 24 17 F1 08 00 C5 E9 00 39 ?? ?? ?? ?? BB 68 AB 60 FB 68 EB 60 00 E0 00 25 35 60 14 F0 02 0F 05 D0 17 F1 18 00 24 F0 02 04 ?? ?? ?? ?? 14 F0 01 0F 0E D0 BB 6E 10 2B 02 D3 78 6D ?? ?? ?? ?? 0F 23 38 6D BB 66 00 23 7B 66 87 F8 54 30 ?? ?? ?? ?? 01 20 1B B0 ?? ?? ?? ?? BD E8 F0 8B FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_266_1 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 196
		refs = "0008 __security_push_cookie 0032 ??2@YAPAXI@Z 0042 ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005a ??0_Locinfo@std@@QAA@PBD@Z 006a _Getcoll 008a ??1_Locinfo@std@@QAA@XZ 009c ??3@YAXPAX@Z 00b6 __security_pop_cookie 00c0 ??_7?$collate@D@std@@6B@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9B B0 6F 46 6F F0 01 03 06 46 4F F0 00 09 C7 E9 04 33 C7 F8 00 90 88 46 4C 46 00 2E 43 D0 33 68 00 2B 40 D1 10 20 ?? ?? ?? ?? 05 46 BD 60 ED B1 17 F1 50 01 40 46 ?? ?? ?? ?? 01 23 3B 60 83 69 10 2B 01 D3 41 68 00 E0 01 1D 17 F1 18 00 ?? ?? ?? ?? 18 4B 03 24 17 F1 08 00 C5 E9 00 39 ?? ?? ?? ?? BB 68 AB 60 FB 68 EB 60 00 E0 00 25 35 60 14 F0 02 0F 05 D0 17 F1 18 00 24 F0 02 04 ?? ?? ?? ?? 14 F0 01 0F 0E D0 BB 6E 10 2B 02 D3 78 6D ?? ?? ?? ?? 0F 23 38 6D BB 66 00 23 7B 66 87 F8 54 30 ?? ?? ?? ?? 01 20 1B B0 ?? ?? ?? ?? BD E8 F0 8B FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_598_1 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 196
		refs = "0008 __security_push_cookie 0032 ??2@YAPAXI@Z 0042 ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 005a ??0_Locinfo@std@@QAA@PBD@Z 006a _Getcoll 008a ??1_Locinfo@std@@QAA@XZ 009c ??3@YAXPAX@Z 00b6 __security_pop_cookie 00c0 ??_7?$collate@_W@std@@6B@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9B B0 6F 46 6F F0 01 03 06 46 4F F0 00 09 C7 E9 04 33 C7 F8 00 90 88 46 4C 46 00 2E 43 D0 33 68 00 2B 40 D1 10 20 ?? ?? ?? ?? 05 46 BD 60 ED B1 17 F1 50 01 40 46 ?? ?? ?? ?? 01 23 3B 60 83 69 10 2B 01 D3 41 68 00 E0 01 1D 17 F1 18 00 ?? ?? ?? ?? 18 4B 03 24 17 F1 08 00 C5 E9 00 39 ?? ?? ?? ?? BB 68 AB 60 FB 68 EB 60 00 E0 00 25 35 60 14 F0 02 0F 05 D0 17 F1 18 00 24 F0 02 04 ?? ?? ?? ?? 14 F0 01 0F 0E D0 BB 6E 10 2B 02 D3 78 6D ?? ?? ?? ?? 0F 23 38 6D BB 66 00 23 7B 66 87 F8 54 30 ?? ?? ?? ?? 01 20 1B B0 ?? ?? ?? ?? BD E8 F0 8B FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_597_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		altNames = "__unwindfunclet$?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1 __unwindfunclet$?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z$1"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 08 80 3B 68 23 F0 01 03 3B 60 17 F1 50 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_601_1 {
	meta:
		name = "?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 160
		refs = "0024 ??2@YAPAXI@Z 0042 ??0_Locinfo@std@@QAA@PBD@Z 0054 _Getctype 0068 _Getcvt 0076 memcpy 008c ??1_Locinfo@std@@QAA@XZ 0098 ??_7?$ctype@G@std@@6B@ 009c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B A2 B0 6F 46 6F F0 01 03 00 25 C7 E9 02 33 A9 46 0C 46 80 46 C0 B3 03 68 B3 BB 44 20 ?? ?? ?? ?? 06 46 3E 60 36 B3 63 68 0B B9 1A 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 50 00 ?? ?? ?? ?? 14 4B 17 F1 10 00 4F F0 01 09 C6 E9 00 35 ?? ?? ?? ?? 17 F1 10 04 0F CC 06 F1 08 05 0F C5 17 F1 20 00 ?? ?? ?? ?? 17 F1 20 01 2C 22 06 F1 18 00 ?? ?? ?? ?? 00 E0 00 26 C8 F8 00 60 19 F0 01 0F 03 D0 17 F1 50 00 ?? ?? ?? ?? 02 20 22 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_603_1 {
	meta:
		name = "?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 160
		refs = "0024 ??2@YAPAXI@Z 0042 ??0_Locinfo@std@@QAA@PBD@Z 0054 _Getctype 0068 _Getcvt 0076 memcpy 008c ??1_Locinfo@std@@QAA@XZ 0098 ??_7?$ctype@_W@std@@6B@ 009c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B A2 B0 6F 46 6F F0 01 03 00 25 C7 E9 02 33 A9 46 0C 46 80 46 C0 B3 03 68 B3 BB 44 20 ?? ?? ?? ?? 06 46 3E 60 36 B3 63 68 0B B9 1A 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 50 00 ?? ?? ?? ?? 14 4B 17 F1 10 00 4F F0 01 09 C6 E9 00 35 ?? ?? ?? ?? 17 F1 10 04 0F CC 06 F1 08 05 0F C5 17 F1 20 00 ?? ?? ?? ?? 17 F1 20 01 2C 22 06 F1 18 00 ?? ?? ?? ?? 00 E0 00 26 C8 F8 00 60 19 F0 01 0F 03 D0 17 F1 50 00 ?? ?? ?? ?? 02 20 22 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_605_1 {
	meta:
		name = "?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$messages@G@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 06 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_271_1 {
	meta:
		name = "?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$messages@D@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 06 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_607_1 {
	meta:
		name = "?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$messages@_W@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 06 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_609_1 {
	meta:
		name = "?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_273_1 {
	meta:
		name = "?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_611_1 {
	meta:
		name = "?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_275_1 {
	meta:
		name = "?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_613_1 {
	meta:
		name = "?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_615_1 {
	meta:
		name = "?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 120
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0062 ??1_Locinfo@std@@QAA@XZ 0070 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0074 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 15 B3 2B 68 03 BB 08 20 ?? ?? ?? ?? 04 46 3C 60 8C B1 D8 F8 04 30 0B B9 0F 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 09 4B 01 26 C4 E9 00 39 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_617_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 152
		refs = "002a ??2@YAPAXI@Z 004e ??0_Locinfo@std@@QAA@PBD@Z 0068 ?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 0080 ??1_Locinfo@std@@QAA@XZ 008c ??_7?$moneypunct@G$00@std@@6B@ 0090 ??_7?$_Mpunct@G@std@@6B@ 0094 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 91 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 7D B3 2B 68 6B BB 58 20 ?? ?? ?? ?? 04 46 7C 60 4F F0 01 0A E4 B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 0C 4B 01 22 20 46 23 60 84 F8 28 A0 ?? ?? ?? ?? 07 4B 23 60 00 E0 00 24 2C 60 16 EA 0A 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 11 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_277_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 152
		refs = "002a ??2@YAPAXI@Z 004e ??0_Locinfo@std@@QAA@PBD@Z 0068 ?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 0080 ??1_Locinfo@std@@QAA@XZ 008c ??_7?$moneypunct@D$00@std@@6B@ 0090 ??_7?$_Mpunct@D@std@@6B@ 0094 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 91 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 7D B3 2B 68 6B BB 58 20 ?? ?? ?? ?? 04 46 7C 60 4F F0 01 0A E4 B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 0C 4B 01 22 20 46 23 60 84 F8 28 A0 ?? ?? ?? ?? 07 4B 23 60 00 E0 00 24 2C 60 16 EA 0A 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 11 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_625_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 152
		refs = "002a ??2@YAPAXI@Z 004e ??0_Locinfo@std@@QAA@PBD@Z 0068 ?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 0080 ??1_Locinfo@std@@QAA@XZ 008c ??_7?$moneypunct@_W$00@std@@6B@ 0090 ??_7?$_Mpunct@_W@std@@6B@ 0094 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 91 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 7D B3 2B 68 6B BB 58 20 ?? ?? ?? ?? 04 46 7C 60 4F F0 01 0A E4 B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 0C 4B 01 22 20 46 23 60 84 F8 28 A0 ?? ?? ?? ?? 07 4B 23 60 00 E0 00 24 2C 60 16 EA 0A 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 11 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_621_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 148
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 0064 ?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 007c ??1_Locinfo@std@@QAA@XZ 0088 ??_7?$moneypunct@G$0A@@std@@6B@ 008c ??_7?$_Mpunct@G@std@@6B@ 0090 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 6D B3 2B 68 5B BB 58 20 ?? ?? ?? ?? 04 46 7C 60 E4 B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 0C 4B 01 22 20 46 23 60 84 F8 28 90 ?? ?? ?? ?? 07 4B 23 60 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_281_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 148
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 0064 ?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 007c ??1_Locinfo@std@@QAA@XZ 0088 ??_7?$moneypunct@D$0A@@std@@6B@ 008c ??_7?$_Mpunct@D@std@@6B@ 0090 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 6D B3 2B 68 5B BB 58 20 ?? ?? ?? ?? 04 46 7C 60 E4 B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 0C 4B 01 22 20 46 23 60 84 F8 28 90 ?? ?? ?? ?? 07 4B 23 60 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_629_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 148
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 0064 ?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 007c ??1_Locinfo@std@@QAA@XZ 0088 ??_7?$moneypunct@_W$0A@@std@@6B@ 008c ??_7?$_Mpunct@_W@std@@6B@ 0090 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 6D B3 2B 68 5B BB 58 20 ?? ?? ?? ?? 04 46 7C 60 E4 B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 0C 4B 01 22 20 46 23 60 84 F8 28 90 ?? ?? ?? ?? 07 4B 23 60 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 03 20 12 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_649_1 {
	meta:
		name = "?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 136
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 005e ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0072 ??1_Locinfo@std@@QAA@XZ 0080 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0084 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 45 B3 2B 68 33 BB 44 20 ?? ?? ?? ?? 04 46 7C 60 BC B1 D8 F8 04 30 0B B9 12 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 09 4B 20 46 23 60 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 05 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_285_1 {
	meta:
		name = "?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 136
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 005e ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0072 ??1_Locinfo@std@@QAA@XZ 0080 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0084 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 45 B3 2B 68 33 BB 44 20 ?? ?? ?? ?? 04 46 7C 60 BC B1 D8 F8 04 30 0B B9 12 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 09 4B 20 46 23 60 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 05 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_653_1 {
	meta:
		name = "?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 136
		refs = "002a ??2@YAPAXI@Z 004a ??0_Locinfo@std@@QAA@PBD@Z 005e ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0072 ??1_Locinfo@std@@QAA@XZ 0080 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0084 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 6F F0 01 03 05 46 4F F0 00 09 C7 E9 02 33 C7 F8 00 90 88 46 4E 46 45 B3 2B 68 33 BB 44 20 ?? ?? ?? ?? 04 46 7C 60 BC B1 D8 F8 04 30 0B B9 12 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 01 46 01 26 3E 60 C4 F8 04 90 09 4B 20 46 23 60 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 05 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_657_1 {
	meta:
		name = "?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 144
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0058 ?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0066 free 007a ??1_Locinfo@std@@QAA@XZ 0088 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 008c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 75 B3 2B 68 63 BB 0C 20 ?? ?? ?? ?? 04 46 3C 60 EC B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 0F 4B 01 26 C4 E9 00 39 39 46 C4 F8 08 90 ?? ?? ?? ?? 03 68 A3 60 C0 F8 00 90 38 68 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 05 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_289_1 {
	meta:
		name = "?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 144
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0058 ?_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0066 free 007a ??1_Locinfo@std@@QAA@XZ 0088 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 008c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 75 B3 2B 68 63 BB 0C 20 ?? ?? ?? ?? 04 46 3C 60 EC B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 0F 4B 01 26 C4 E9 00 39 39 46 C4 F8 08 90 ?? ?? ?? ?? 03 68 A3 60 C0 F8 00 90 38 68 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 05 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_659_1 {
	meta:
		name = "?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 144
		refs = "0026 ??2@YAPAXI@Z 0046 ??0_Locinfo@std@@QAA@PBD@Z 0058 ?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0066 free 007a ??1_Locinfo@std@@QAA@XZ 0088 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 008c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 05 46 6F F0 01 03 4F F0 00 09 C7 E9 02 33 4E 46 88 46 75 B3 2B 68 63 BB 0C 20 ?? ?? ?? ?? 04 46 3C 60 EC B1 D8 F8 04 30 0B B9 15 49 03 E0 99 69 09 B9 03 F1 1C 01 17 F1 10 00 ?? ?? ?? ?? 0F 4B 01 26 C4 E9 00 39 39 46 C4 F8 08 90 ?? ?? ?? ?? 03 68 A3 60 C0 F8 00 90 38 68 ?? ?? ?? ?? 00 E0 00 24 2C 60 16 F0 01 0F 03 D0 17 F1 10 00 ?? ?? ?? ?? 05 20 12 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_661_1 {
	meta:
		name = "?_Getcoll@_Locinfo@std@@QBA?AU_Collvec@@XZ"
		size = 30
		refs = "000c _Getcoll"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 68 46 0C 46 ?? ?? ?? ?? 00 9B 20 46 23 60 01 9B 63 60 BD E8 1E 88 }
	condition:
		$1
}

rule file_17_662_1 {
	meta:
		name = "?_Getcont@_Iterator_base12@std@@QBAPBU_Container_base12@2@XZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B9 00 20 00 E0 18 68 BD E8 00 88 }
	condition:
		$1
}

rule file_17_666_1 {
	meta:
		name = "?_Getdays@_Locinfo@std@@QBAPBDXZ"
		size = 104
		refs = "000a _Getdays 001a free 0038 malloc 0044 memcpy 0064 ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 05 46 ED B1 60 68 A8 42 17 D0 08 B1 ?? ?? ?? ?? 00 23 63 60 95 F9 00 30 2A 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 56 1B 70 1C ?? ?? ?? ?? 60 60 18 B1 72 1C 29 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 63 68 23 B1 18 46 18 B9 04 F1 08 00 00 E0 01 48 BD E8 78 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_669_1 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2028
		refs = "0008 __security_push_cookie 003c ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 004a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0068 _guard_check_icall 008a ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00a2 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00f2 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0154 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 01ca ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 02d0 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 030a _invalid_parameter_noinfo_noreturn 0312 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0396 ??3@YAXPAX@Z 0490 localeconv 07da __security_pop_cookie 07e4 ?_Src@?1??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A8 B0 6F 46 82 B0 D7 F8 C8 50 99 46 6F F0 01 03 C7 E9 0E 33 6C 69 D7 F8 CC 30 16 46 04 F4 40 54 B4 F5 40 5F 39 61 7B 62 06 D1 01 93 4B 46 00 95 ?? ?? ?? ?? 03 46 C8 E3 17 F1 30 01 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 B8 61 D7 F8 34 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 17 F1 60 01 50 46 ?? ?? ?? ?? 00 23 D7 F8 10 A0 17 F1 28 01 28 46 FB 61 FB 60 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 DF F8 10 57 D4 6A 20 46 ?? ?? ?? ?? 40 46 29 46 05 F1 0F 02 17 F1 80 03 A0 47 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 2B 21 2D 24 00 2B D9 F8 00 30 01 D1 13 B3 00 E0 03 BB 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 F2 88 B7 F8 96 30 9A 42 04 D1 3C 69 21 70 04 F1 01 0A 0D E0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 94 30 9A 42 06 D1 3B 69 1C 70 03 F1 01 0A 30 46 ?? ?? ?? ?? 30 23 C7 F8 28 A0 0A F8 01 3B 7B 6A 00 22 7A 60 1B 68 90 46 7A 61 DF F8 78 26 00 25 3D 60 93 42 03 D1 4F F4 40 72 BA 60 01 E0 24 23 BB 60 BB 6F 10 2B 01 D3 7B 6E 01 E0 17 F1 64 03 3B 62 93 F9 00 30 7F 2B 00 F0 09 81 00 2B 40 F3 06 81 7B 6F 13 B9 4F F0 00 08 08 E0 BD 69 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 80 46 17 F1 40 00 00 22 01 21 ?? ?? ?? ?? 00 25 17 F1 80 04 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 03 D1 00 2B 00 F0 90 80 02 E0 00 2B 40 F0 8C 80 33 79 13 B9 30 46 ?? ?? ?? ?? F1 88 B7 F8 80 30 17 F1 80 02 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1B 5B 10 0A 2B 2D D2 01 22 B9 68 7A 60 7A 69 91 42 06 DC 3A 68 52 1C 3A 60 6B B1 01 23 FB 60 0A E0 03 B9 42 B1 DF F8 98 15 52 1C 7A 61 5B 5C 8A F8 00 30 0A F1 01 0A 7B 6D 9D 42 53 D8 B9 6D 7A 6C 10 29 28 BF 13 46 01 D2 17 F1 44 03 5B 57 7F 2B 44 D0 10 29 01 D2 17 F1 44 02 53 5D 5B 1C 53 55 3C E0 7C 6D A5 42 43 D8 B9 6D 78 6C 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 F3 B3 B8 F1 00 0F 3B D0 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 15 41 78 6C F3 88 43 45 30 D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 40 00 ?? ?? ?? ?? 90 B1 BB 6D 10 2B 01 D3 7A 6C 01 E0 17 F1 44 02 7B 6D 00 21 99 54 BB 6D 10 2B 01 D3 7B 6C 01 E0 17 F1 44 03 7C 65 19 55 6D 1C 17 F1 80 04 30 46 ?? ?? ?? ?? 64 E7 ?? ?? ?? ?? 17 F1 40 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 15 41 78 6C 6D B1 A5 42 01 D9 ?? ?? ?? ?? 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 00 2B 28 DD 6D 1C D7 F8 20 E0 35 B3 9E F9 00 20 7F 2A 22 D0 6D 1E 0A D0 A5 42 1A D8 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 9A 42 13 D1 4D B9 10 29 28 BF 03 46 01 D2 17 F1 44 03 93 F9 00 30 9A 42 08 DB 9E F9 01 30 00 2B DE DD 0E F1 01 0E DB E7 ?? ?? ?? ?? 01 23 FB 61 10 29 01 D3 ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? D7 F8 14 80 45 E0 17 F1 80 04 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 93 B3 00 E0 83 BB 33 79 13 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 F0 88 17 F1 80 01 32 B1 13 46 83 42 03 D0 89 1C 0B 88 00 2B F9 D1 0B 1B 5B 10 0A 2B 1C D2 BA 68 42 45 05 DC 6D 1C 3D 60 73 B1 01 23 FB 60 0B E0 13 B9 B8 F1 00 0F 07 D0 F0 4A 08 F1 01 08 9B 5C 8A F8 00 30 0A F1 01 0A 01 22 30 46 7A 60 ?? ?? ?? ?? BB E7 B7 F8 80 20 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? B7 F8 80 20 33 68 00 2B D9 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? BB 69 F5 88 1B 68 DC 68 20 46 ?? ?? ?? ?? B8 69 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 8A F8 00 30 0A F1 01 0A ?? ?? ?? ?? B7 F8 80 20 7B 6A CE 49 1B 68 8B 42 37 D0 B8 F1 00 0F 34 D1 3D 68 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? B7 F8 80 20 33 68 00 2B D9 F8 00 30 01 D1 A3 B1 00 E0 93 B9 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 F3 88 93 42 08 D1 6D 1E 01 22 30 46 7A 60 ?? ?? ?? ?? B7 F8 80 20 D5 E7 3D 60 00 2D 06 DA 30 23 6D 1C 8A F8 00 30 0A F1 01 0A 3D 60 BD 68 17 F1 80 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? B7 F8 80 20 33 68 00 2B D9 F8 00 30 01 D1 63 B3 00 E0 53 BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 F1 88 17 F1 80 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 0A 2B 15 D2 A8 45 08 DA 97 4A 08 F1 01 08 9B 5C 8A F8 00 30 0A F1 01 0A 02 E0 0B B1 01 23 FB 60 01 22 30 46 7A 60 ?? ?? ?? ?? B7 F8 80 20 BD E7 FB 68 3D 68 FB B1 D7 F8 28 80 AA F1 01 04 44 45 15 D0 ?? ?? ?? ?? 03 68 94 F9 00 20 93 F9 00 30 9A 42 03 D0 39 2A 05 D1 30 23 23 70 64 1E 44 45 EF D1 02 E0 23 78 5B 1C 23 70 44 45 03 D1 31 23 6D 1C 3D 60 23 70 D7 F8 04 80 B8 F1 00 0F 00 F0 D1 80 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 03 D1 00 2B 00 F0 BE 80 02 E0 00 2B 40 F0 BA 80 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 9A 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 98 30 9A 42 40 F0 A5 80 65 23 8A F8 00 30 30 46 0A F1 01 0A ?? ?? ?? ?? 33 79 00 25 4F F0 00 08 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 96 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 94 30 9A 42 07 D1 2D 23 8A F8 00 30 0A F1 01 0A 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 73 B1 00 E0 63 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 80 20 93 42 04 D1 4F F0 01 08 DC E7 B7 F8 80 20 B8 F1 00 0F 04 D0 30 23 8A F8 00 30 0A F1 01 0A 17 F1 80 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? B7 F8 80 20 33 68 00 2B D9 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 F1 88 17 F1 80 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 0A 2B 10 D2 08 2D 06 DA 17 4A 6D 1C 9B 5C 8A F8 00 30 0A F1 01 0A 30 46 4F F0 01 08 ?? ?? ?? ?? B7 F8 80 20 C2 E7 FB 69 13 B9 B8 F1 00 0F 01 D1 3B 69 9A 46 00 23 8A F8 00 30 BB 6F 10 2B 02 D3 78 6E ?? ?? ?? ?? 0F 23 38 6E BB 67 00 23 7B 67 87 F8 64 30 ?? ?? ?? ?? 3B 68 18 46 2A B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_676_1 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2028
		refs = "0008 __security_push_cookie 003c ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 004a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0068 _guard_check_icall 008a ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00a2 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00f2 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0154 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 01ca ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 02d0 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 030a _invalid_parameter_noinfo_noreturn 0312 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0396 ??3@YAXPAX@Z 0490 localeconv 07da __security_pop_cookie 07e4 ?_Src@?1??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A8 B0 6F 46 82 B0 D7 F8 C8 50 99 46 6F F0 01 03 C7 E9 0E 33 6C 69 D7 F8 CC 30 16 46 04 F4 40 54 B4 F5 40 5F 39 61 7B 62 06 D1 01 93 4B 46 00 95 ?? ?? ?? ?? 03 46 C8 E3 17 F1 30 01 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 B8 61 D7 F8 34 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 17 F1 60 01 50 46 ?? ?? ?? ?? 00 23 D7 F8 10 A0 17 F1 28 01 28 46 FB 61 FB 60 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 DF F8 10 57 D4 6A 20 46 ?? ?? ?? ?? 40 46 29 46 05 F1 0F 02 17 F1 80 03 A0 47 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 2B 21 2D 24 00 2B D9 F8 00 30 01 D1 13 B3 00 E0 03 BB 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 F2 88 B7 F8 96 30 9A 42 04 D1 3C 69 21 70 04 F1 01 0A 0D E0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 94 30 9A 42 06 D1 3B 69 1C 70 03 F1 01 0A 30 46 ?? ?? ?? ?? 30 23 C7 F8 28 A0 0A F8 01 3B 7B 6A 00 22 7A 60 1B 68 90 46 7A 61 DF F8 78 26 00 25 3D 60 93 42 03 D1 4F F4 40 72 BA 60 01 E0 24 23 BB 60 BB 6F 10 2B 01 D3 7B 6E 01 E0 17 F1 64 03 3B 62 93 F9 00 30 7F 2B 00 F0 09 81 00 2B 40 F3 06 81 7B 6F 13 B9 4F F0 00 08 08 E0 BD 69 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 80 46 17 F1 40 00 00 22 01 21 ?? ?? ?? ?? 00 25 17 F1 80 04 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 03 D1 00 2B 00 F0 90 80 02 E0 00 2B 40 F0 8C 80 33 79 13 B9 30 46 ?? ?? ?? ?? F1 88 B7 F8 80 30 17 F1 80 02 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1B 5B 10 0A 2B 2D D2 01 22 B9 68 7A 60 7A 69 91 42 06 DC 3A 68 52 1C 3A 60 6B B1 01 23 FB 60 0A E0 03 B9 42 B1 DF F8 98 15 52 1C 7A 61 5B 5C 8A F8 00 30 0A F1 01 0A 7B 6D 9D 42 53 D8 B9 6D 7A 6C 10 29 28 BF 13 46 01 D2 17 F1 44 03 5B 57 7F 2B 44 D0 10 29 01 D2 17 F1 44 02 53 5D 5B 1C 53 55 3C E0 7C 6D A5 42 43 D8 B9 6D 78 6C 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 F3 B3 B8 F1 00 0F 3B D0 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 15 41 78 6C F3 88 43 45 30 D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 40 00 ?? ?? ?? ?? 90 B1 BB 6D 10 2B 01 D3 7A 6C 01 E0 17 F1 44 02 7B 6D 00 21 99 54 BB 6D 10 2B 01 D3 7B 6C 01 E0 17 F1 44 03 7C 65 19 55 6D 1C 17 F1 80 04 30 46 ?? ?? ?? ?? 64 E7 ?? ?? ?? ?? 17 F1 40 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 15 41 78 6C 6D B1 A5 42 01 D9 ?? ?? ?? ?? 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 00 2B 28 DD 6D 1C D7 F8 20 E0 35 B3 9E F9 00 20 7F 2A 22 D0 6D 1E 0A D0 A5 42 1A D8 10 29 28 BF 03 46 01 D2 17 F1 44 03 5B 57 9A 42 13 D1 4D B9 10 29 28 BF 03 46 01 D2 17 F1 44 03 93 F9 00 30 9A 42 08 DB 9E F9 01 30 00 2B DE DD 0E F1 01 0E DB E7 ?? ?? ?? ?? 01 23 FB 61 10 29 01 D3 ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? D7 F8 14 80 45 E0 17 F1 80 04 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 93 B3 00 E0 83 BB 33 79 13 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 F0 88 17 F1 80 01 32 B1 13 46 83 42 03 D0 89 1C 0B 88 00 2B F9 D1 0B 1B 5B 10 0A 2B 1C D2 BA 68 42 45 05 DC 6D 1C 3D 60 73 B1 01 23 FB 60 0B E0 13 B9 B8 F1 00 0F 07 D0 F0 4A 08 F1 01 08 9B 5C 8A F8 00 30 0A F1 01 0A 01 22 30 46 7A 60 ?? ?? ?? ?? BB E7 B7 F8 80 20 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? B7 F8 80 20 33 68 00 2B D9 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? BB 69 F5 88 1B 68 DC 68 20 46 ?? ?? ?? ?? B8 69 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 8A F8 00 30 0A F1 01 0A ?? ?? ?? ?? B7 F8 80 20 7B 6A CE 49 1B 68 8B 42 37 D0 B8 F1 00 0F 34 D1 3D 68 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? B7 F8 80 20 33 68 00 2B D9 F8 00 30 01 D1 A3 B1 00 E0 93 B9 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 F3 88 93 42 08 D1 6D 1E 01 22 30 46 7A 60 ?? ?? ?? ?? B7 F8 80 20 D5 E7 3D 60 00 2D 06 DA 30 23 6D 1C 8A F8 00 30 0A F1 01 0A 3D 60 BD 68 17 F1 80 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? B7 F8 80 20 33 68 00 2B D9 F8 00 30 01 D1 63 B3 00 E0 53 BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 F1 88 17 F1 80 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 0A 2B 15 D2 A8 45 08 DA 97 4A 08 F1 01 08 9B 5C 8A F8 00 30 0A F1 01 0A 02 E0 0B B1 01 23 FB 60 01 22 30 46 7A 60 ?? ?? ?? ?? B7 F8 80 20 BD E7 FB 68 3D 68 FB B1 D7 F8 28 80 AA F1 01 04 44 45 15 D0 ?? ?? ?? ?? 03 68 94 F9 00 20 93 F9 00 30 9A 42 03 D0 39 2A 05 D1 30 23 23 70 64 1E 44 45 EF D1 02 E0 23 78 5B 1C 23 70 44 45 03 D1 31 23 6D 1C 3D 60 23 70 D7 F8 04 80 B8 F1 00 0F 00 F0 D1 80 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 03 D1 00 2B 00 F0 BE 80 02 E0 00 2B 40 F0 BA 80 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 9A 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 98 30 9A 42 40 F0 A5 80 65 23 8A F8 00 30 30 46 0A F1 01 0A ?? ?? ?? ?? 33 79 00 25 4F F0 00 08 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 96 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 94 30 9A 42 07 D1 2D 23 8A F8 00 30 0A F1 01 0A 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 33 68 00 2B D9 F8 00 30 01 D1 73 B1 00 E0 63 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 80 20 93 42 04 D1 4F F0 01 08 DC E7 B7 F8 80 20 B8 F1 00 0F 04 D0 30 23 8A F8 00 30 0A F1 01 0A 17 F1 80 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? B7 F8 80 20 33 68 00 2B D9 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 80 20 F1 88 17 F1 80 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 0A 2B 10 D2 08 2D 06 DA 17 4A 6D 1C 9B 5C 8A F8 00 30 0A F1 01 0A 30 46 4F F0 01 08 ?? ?? ?? ?? B7 F8 80 20 C2 E7 FB 69 13 B9 B8 F1 00 0F 01 D1 3B 69 9A 46 00 23 8A F8 00 30 BB 6F 10 2B 02 D3 78 6E ?? ?? ?? ?? 0F 23 38 6E BB 67 00 23 7B 67 87 F8 64 30 ?? ?? ?? ?? 3B 68 18 46 2A B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_683_1 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2080
		refs = "0008 __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0032 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0044 _guard_check_icall 0066 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00cc ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0126 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 023e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 033e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0378 _invalid_parameter_noinfo_noreturn 0380 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0404 ??3@YAXPAX@Z 0518 localeconv 080e __security_pop_cookie 0818 ?_Src@?1??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AE B0 6F 46 98 46 6F F0 01 03 D7 F8 E0 90 C7 E9 0C 33 D7 F8 E4 30 C7 E9 06 13 17 F1 28 01 48 46 16 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 F8 60 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 58 01 50 46 ?? ?? ?? ?? 17 F1 20 01 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 70 57 D4 6A 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 1D 02 17 F1 78 03 A0 47 00 23 BC 69 7B 61 33 79 A1 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 25 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 F2 88 B7 F8 A6 30 9A 42 01 D1 21 70 0A E0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A4 30 9A 42 05 D1 25 70 30 46 04 F1 01 09 ?? ?? ?? ?? 30 23 89 F8 00 30 78 23 89 F8 01 30 00 23 3B 60 33 79 00 24 09 F1 02 09 C7 E9 01 44 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 DB B3 00 E0 CB BB 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 78 10 8B 42 31 D1 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 CB B1 00 E0 BB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 AA 30 9A 42 09 D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A8 30 9A 42 03 D1 30 46 ?? ?? ?? ?? 01 E0 01 23 7B 60 B7 F8 78 10 FB 69 1A 68 DF F8 30 36 9A 42 02 D1 4F F4 40 75 00 E0 24 25 3B 6F 3D 61 10 2B 01 D3 FB 6D 01 E0 17 F1 5C 03 3B 62 93 F9 00 30 7F 2B 00 F0 08 81 00 2B 40 F3 05 81 FB 6E 13 B9 4F F0 00 0A 08 E0 FD 68 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 17 F1 38 00 00 22 01 21 ?? ?? ?? ?? 00 25 17 F1 78 04 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8D 80 02 E0 00 2B 40 F0 89 80 33 79 13 B9 30 46 ?? ?? ?? ?? F1 88 B7 F8 78 30 17 F1 78 02 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1B 5B 10 16 2B 2A D2 01 22 39 69 7A 60 BA 68 91 42 03 DC 3B 68 5B 1C 3B 60 0A E0 03 B9 42 B1 DF F8 5C 15 52 1C BA 60 5B 5C 89 F8 00 30 09 F1 01 09 FB 6C 9D 42 53 D8 39 6D FA 6B 10 29 28 BF 13 46 01 D2 17 F1 3C 03 5B 57 7F 2B 44 D0 10 29 01 D2 17 F1 3C 02 53 5D 5B 1C 53 55 3C E0 FC 6C A5 42 43 D8 39 6D F8 6B 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 F3 B3 BA F1 00 0F 3B D0 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 13 41 F8 6B F3 88 53 45 30 D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 38 00 ?? ?? ?? ?? 90 B1 3B 6D 10 2B 01 D3 FA 6B 01 E0 17 F1 3C 02 FB 6C 00 21 99 54 3B 6D 10 2B 01 D3 FB 6B 01 E0 17 F1 3C 03 FC 64 E1 54 6D 1C 17 F1 78 04 30 46 ?? ?? ?? ?? 67 E7 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 13 41 F8 6B 6D B1 A5 42 01 D9 ?? ?? ?? ?? 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 00 2B 28 DD 6D 1C D7 F8 20 E0 35 B3 9E F9 00 20 7F 2A 22 D0 6D 1E 0A D0 A5 42 1A D8 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 9A 42 13 D1 4D B9 10 29 28 BF 03 46 01 D2 17 F1 3C 03 93 F9 00 30 9A 42 08 DB 9E F9 01 30 00 2B DE DD 0E F1 01 0E DB E7 ?? ?? ?? ?? 01 23 7B 61 10 29 01 D3 ?? ?? ?? ?? 0F 23 B8 6B 3B 65 00 23 FB 64 87 F8 3C 30 ?? ?? ?? ?? B7 F8 78 10 D7 F8 08 A0 48 E0 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 10 33 68 00 2B D8 F8 00 30 01 D1 8B B3 00 E0 7B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 F0 88 17 F1 78 03 31 B1 0A 46 82 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 16 2B 19 D2 55 45 03 DC 3B 68 5B 1C 3B 60 0B E0 13 B9 BA F1 00 0F 07 D0 E0 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 7B 60 ?? ?? ?? ?? B7 F8 78 10 B8 E7 7B 68 3B B1 BA F1 00 0F 04 D1 30 23 89 F8 00 30 09 F1 01 09 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 10 33 68 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? FB 68 F5 88 1B 68 DC 68 20 46 ?? ?? ?? ?? F8 68 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 89 F8 00 30 09 F1 01 09 ?? ?? ?? ?? B7 F8 78 10 BA F1 00 0F 34 D1 3C 68 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 10 33 68 00 2B D8 F8 00 30 01 D1 A3 B1 00 E0 93 B9 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 F3 88 8B 42 08 D1 64 1E 01 23 30 46 7B 60 ?? ?? ?? ?? B7 F8 78 10 D5 E7 3C 60 00 2C 06 DA 30 23 64 1C 89 F8 00 30 09 F1 01 09 3C 60 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 10 33 68 00 2B D8 F8 00 30 01 D1 4B B3 00 E0 3B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 F2 88 17 F1 78 03 03 E0 91 42 03 D0 9B 1C 19 88 00 29 F9 D1 1B 1B 5B 10 16 2B 12 D2 3A 69 92 45 07 DA 84 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 7B 60 ?? ?? ?? ?? B7 F8 78 10 C0 E7 D7 F8 04 A0 BA F1 00 0F 00 F0 D1 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 BE 80 02 E0 00 2B 40 F0 BA 80 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 AE 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 AC 30 9A 42 40 F0 A5 80 70 23 89 F8 00 30 30 46 09 F1 01 09 ?? ?? ?? ?? 33 79 00 25 4F F0 00 0A 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A6 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A4 30 9A 42 07 D1 2D 23 89 F8 00 30 09 F1 01 09 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 73 B1 00 E0 63 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 78 20 93 42 04 D1 4F F0 01 0A DC E7 B7 F8 78 20 BA F1 00 0F 04 D0 30 23 89 F8 00 30 09 F1 01 09 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F1 88 17 F1 78 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 16 2B 10 D2 08 2D 06 DA 18 4A 6D 1C 9B 5C 89 F8 00 30 09 F1 01 09 30 46 4F F0 01 0A ?? ?? ?? ?? B7 F8 78 20 C2 E7 7B 69 13 B9 BA F1 00 0F 01 D1 B9 69 89 46 00 23 FA 69 89 F8 00 30 3B 68 13 60 3B 6F 10 2B 02 D3 F8 6D ?? ?? ?? ?? 0F 23 B8 6D 3B 67 00 23 FB 66 87 F8 5C 30 ?? ?? ?? ?? 00 20 2E B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_690_1 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2080
		refs = "0008 __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0032 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0044 _guard_check_icall 0066 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00cc ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0126 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 023e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 033e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0378 _invalid_parameter_noinfo_noreturn 0380 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0404 ??3@YAXPAX@Z 0518 localeconv 080e __security_pop_cookie 0818 ?_Src@?1??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AE B0 6F 46 98 46 6F F0 01 03 D7 F8 E0 90 C7 E9 0C 33 D7 F8 E4 30 C7 E9 06 13 17 F1 28 01 48 46 16 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 F8 60 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 58 01 50 46 ?? ?? ?? ?? 17 F1 20 01 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 70 57 D4 6A 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 1D 02 17 F1 78 03 A0 47 00 23 BC 69 7B 61 33 79 A1 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 25 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 F2 88 B7 F8 A6 30 9A 42 01 D1 21 70 0A E0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A4 30 9A 42 05 D1 25 70 30 46 04 F1 01 09 ?? ?? ?? ?? 30 23 89 F8 00 30 78 23 89 F8 01 30 00 23 3B 60 33 79 00 24 09 F1 02 09 C7 E9 01 44 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 DB B3 00 E0 CB BB 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 78 10 8B 42 31 D1 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 CB B1 00 E0 BB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 AA 30 9A 42 09 D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A8 30 9A 42 03 D1 30 46 ?? ?? ?? ?? 01 E0 01 23 7B 60 B7 F8 78 10 FB 69 1A 68 DF F8 30 36 9A 42 02 D1 4F F4 40 75 00 E0 24 25 3B 6F 3D 61 10 2B 01 D3 FB 6D 01 E0 17 F1 5C 03 3B 62 93 F9 00 30 7F 2B 00 F0 08 81 00 2B 40 F3 05 81 FB 6E 13 B9 4F F0 00 0A 08 E0 FD 68 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 17 F1 38 00 00 22 01 21 ?? ?? ?? ?? 00 25 17 F1 78 04 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8D 80 02 E0 00 2B 40 F0 89 80 33 79 13 B9 30 46 ?? ?? ?? ?? F1 88 B7 F8 78 30 17 F1 78 02 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1B 5B 10 16 2B 2A D2 01 22 39 69 7A 60 BA 68 91 42 03 DC 3B 68 5B 1C 3B 60 0A E0 03 B9 42 B1 DF F8 5C 15 52 1C BA 60 5B 5C 89 F8 00 30 09 F1 01 09 FB 6C 9D 42 53 D8 39 6D FA 6B 10 29 28 BF 13 46 01 D2 17 F1 3C 03 5B 57 7F 2B 44 D0 10 29 01 D2 17 F1 3C 02 53 5D 5B 1C 53 55 3C E0 FC 6C A5 42 43 D8 39 6D F8 6B 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 F3 B3 BA F1 00 0F 3B D0 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 13 41 F8 6B F3 88 53 45 30 D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 38 00 ?? ?? ?? ?? 90 B1 3B 6D 10 2B 01 D3 FA 6B 01 E0 17 F1 3C 02 FB 6C 00 21 99 54 3B 6D 10 2B 01 D3 FB 6B 01 E0 17 F1 3C 03 FC 64 E1 54 6D 1C 17 F1 78 04 30 46 ?? ?? ?? ?? 67 E7 ?? ?? ?? ?? 17 F1 38 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 13 41 F8 6B 6D B1 A5 42 01 D9 ?? ?? ?? ?? 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 00 2B 28 DD 6D 1C D7 F8 20 E0 35 B3 9E F9 00 20 7F 2A 22 D0 6D 1E 0A D0 A5 42 1A D8 10 29 28 BF 03 46 01 D2 17 F1 3C 03 5B 57 9A 42 13 D1 4D B9 10 29 28 BF 03 46 01 D2 17 F1 3C 03 93 F9 00 30 9A 42 08 DB 9E F9 01 30 00 2B DE DD 0E F1 01 0E DB E7 ?? ?? ?? ?? 01 23 7B 61 10 29 01 D3 ?? ?? ?? ?? 0F 23 B8 6B 3B 65 00 23 FB 64 87 F8 3C 30 ?? ?? ?? ?? B7 F8 78 10 D7 F8 08 A0 48 E0 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 10 33 68 00 2B D8 F8 00 30 01 D1 8B B3 00 E0 7B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 F0 88 17 F1 78 03 31 B1 0A 46 82 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 16 2B 19 D2 55 45 03 DC 3B 68 5B 1C 3B 60 0B E0 13 B9 BA F1 00 0F 07 D0 E0 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 7B 60 ?? ?? ?? ?? B7 F8 78 10 B8 E7 7B 68 3B B1 BA F1 00 0F 04 D1 30 23 89 F8 00 30 09 F1 01 09 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 10 33 68 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? FB 68 F5 88 1B 68 DC 68 20 46 ?? ?? ?? ?? F8 68 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 89 F8 00 30 09 F1 01 09 ?? ?? ?? ?? B7 F8 78 10 BA F1 00 0F 34 D1 3C 68 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 10 33 68 00 2B D8 F8 00 30 01 D1 A3 B1 00 E0 93 B9 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 F3 88 8B 42 08 D1 64 1E 01 23 30 46 7B 60 ?? ?? ?? ?? B7 F8 78 10 D5 E7 3C 60 00 2C 06 DA 30 23 64 1C 89 F8 00 30 09 F1 01 09 3C 60 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 10 33 68 00 2B D8 F8 00 30 01 D1 4B B3 00 E0 3B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 10 F2 88 17 F1 78 03 03 E0 91 42 03 D0 9B 1C 19 88 00 29 F9 D1 1B 1B 5B 10 16 2B 12 D2 3A 69 92 45 07 DA 84 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 7B 60 ?? ?? ?? ?? B7 F8 78 10 C0 E7 D7 F8 04 A0 BA F1 00 0F 00 F0 D1 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 BE 80 02 E0 00 2B 40 F0 BA 80 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 AE 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 AC 30 9A 42 40 F0 A5 80 70 23 89 F8 00 30 30 46 09 F1 01 09 ?? ?? ?? ?? 33 79 00 25 4F F0 00 0A 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A6 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A4 30 9A 42 07 D1 2D 23 89 F8 00 30 09 F1 01 09 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 73 B1 00 E0 63 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 78 20 93 42 04 D1 4F F0 01 0A DC E7 B7 F8 78 20 BA F1 00 0F 04 D0 30 23 89 F8 00 30 09 F1 01 09 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F1 88 17 F1 78 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 16 2B 10 D2 08 2D 06 DA 18 4A 6D 1C 9B 5C 89 F8 00 30 09 F1 01 09 30 46 4F F0 01 0A ?? ?? ?? ?? B7 F8 78 20 C2 E7 7B 69 13 B9 BA F1 00 0F 01 D1 B9 69 89 46 00 23 FA 69 89 F8 00 30 3B 68 13 60 3B 6F 10 2B 02 D3 F8 6D ?? ?? ?? ?? 0F 23 B8 6D 3B 67 00 23 FB 66 87 F8 5C 30 ?? ?? ?? ?? 00 20 2E B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_17_697_1 {
	meta:
		name = "?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z"
		size = 484
		refs = "0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0036 _guard_check_icall 00ca ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 011c ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 89 B0 6F 46 88 B0 78 60 38 6E 8A 46 6F F0 01 03 17 F1 08 01 C7 E9 04 33 ?? ?? ?? ?? ?? ?? ?? ?? 38 60 FD 68 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 D7 F8 6C 90 D7 F8 64 80 97 F8 5C 10 99 F9 00 30 B8 6D 97 F8 54 20 D7 E9 14 56 00 2B 00 F0 94 80 D7 F8 68 E0 3C 68 25 2B 20 D1 09 F1 01 09 00 23 99 F9 00 10 06 93 3B 6E 05 91 F9 6D 02 93 7B 68 CD E9 00 01 CD F8 10 E0 19 68 CD F8 0C 80 4C 6A 20 46 ?? ?? ?? ?? 78 68 17 F1 18 01 2A 46 33 46 A0 47 05 68 3D 65 46 68 7E 65 52 E0 20 2B 37 D1 4A B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 10 B8 6D 97 F8 54 20 3D 6D 49 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 10 B8 6D 97 F8 54 20 3D 6D 0D B9 E8 B1 00 E0 D8 B9 1A B9 17 F1 50 00 ?? ?? ?? ?? 23 68 1C 69 20 46 ?? ?? ?? ?? 38 68 B7 F8 56 20 48 21 A0 47 20 B3 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 10 B8 6D 97 F8 54 20 3D 6D 3C 68 C9 E7 7E 6D 1D E0 1A B9 17 F1 50 00 ?? ?? ?? ?? 23 68 9C 6B 20 46 ?? ?? ?? ?? 38 68 B7 F8 56 10 00 22 A0 47 99 F9 00 30 98 42 13 D1 17 F1 50 00 ?? ?? ?? ?? D7 E9 14 56 97 F8 5C 10 B8 6D 97 F8 54 20 19 F9 01 3F 3C 68 D7 F8 68 E0 00 2B 7F F4 7D AF 0C E0 D8 F8 00 30 97 F8 5C 10 B8 6D 43 F0 02 03 97 F8 54 20 D7 E9 14 56 C8 F8 00 30 42 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 10 B8 6D D7 E9 14 56 31 B9 17 F1 58 00 ?? ?? ?? ?? B8 6D D7 E9 14 56 0D B9 08 B1 06 E0 28 B1 D8 F8 00 30 43 F0 01 03 C8 F8 00 30 CA E9 00 56 50 46 11 B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_700_1 {
	meta:
		name = "?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z"
		size = 484
		refs = "0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0036 _guard_check_icall 00ca ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 011c ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 89 B0 6F 46 88 B0 78 60 38 6E 8A 46 6F F0 01 03 17 F1 08 01 C7 E9 04 33 ?? ?? ?? ?? ?? ?? ?? ?? 38 60 FD 68 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 D7 F8 6C 90 D7 F8 64 80 97 F8 5C 10 99 F9 00 30 B8 6D 97 F8 54 20 D7 E9 14 56 00 2B 00 F0 94 80 D7 F8 68 E0 3C 68 25 2B 20 D1 09 F1 01 09 00 23 99 F9 00 10 06 93 3B 6E 05 91 F9 6D 02 93 7B 68 CD E9 00 01 CD F8 10 E0 19 68 CD F8 0C 80 4C 6A 20 46 ?? ?? ?? ?? 78 68 17 F1 18 01 2A 46 33 46 A0 47 05 68 3D 65 46 68 7E 65 52 E0 20 2B 37 D1 4A B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 10 B8 6D 97 F8 54 20 3D 6D 49 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 10 B8 6D 97 F8 54 20 3D 6D 0D B9 E8 B1 00 E0 D8 B9 1A B9 17 F1 50 00 ?? ?? ?? ?? 23 68 1C 69 20 46 ?? ?? ?? ?? 38 68 B7 F8 56 20 48 21 A0 47 20 B3 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 10 B8 6D 97 F8 54 20 3D 6D 3C 68 C9 E7 7E 6D 1D E0 1A B9 17 F1 50 00 ?? ?? ?? ?? 23 68 9C 6B 20 46 ?? ?? ?? ?? 38 68 B7 F8 56 10 00 22 A0 47 99 F9 00 30 98 42 13 D1 17 F1 50 00 ?? ?? ?? ?? D7 E9 14 56 97 F8 5C 10 B8 6D 97 F8 54 20 19 F9 01 3F 3C 68 D7 F8 68 E0 00 2B 7F F4 7D AF 0C E0 D8 F8 00 30 97 F8 5C 10 B8 6D 43 F0 02 03 97 F8 54 20 D7 E9 14 56 C8 F8 00 30 42 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 10 B8 6D D7 E9 14 56 31 B9 17 F1 58 00 ?? ?? ?? ?? B8 6D D7 E9 14 56 0D B9 08 B1 06 E0 28 B1 D8 F8 00 30 43 F0 01 03 C8 F8 00 30 CA E9 00 56 50 46 11 B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_703_1 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z"
		size = 1056
		refs = "0008 __security_push_cookie 0024 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0042 _guard_check_icall 004e ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 007a ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00d0 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 01ea ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 02ea ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0322 _invalid_parameter_noinfo_noreturn 032a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 03d6 ??3@YAXPAX@Z 0412 __security_pop_cookie 041c ?_Src@?1??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A6 B0 6F 46 D7 F8 C4 90 98 46 6F F0 01 03 48 46 16 46 39 61 C7 E9 06 33 ?? ?? ?? ?? 17 F1 40 01 05 46 ?? ?? ?? ?? 78 6D 10 B9 00 23 7B 60 07 E0 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 78 60 48 46 ?? ?? ?? ?? 04 46 22 68 DF F8 C4 93 D5 6A 28 46 ?? ?? ?? ?? 20 46 49 46 09 F1 1B 02 17 F1 60 03 A8 47 3C 69 33 79 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8E 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8C 30 9A 42 06 D1 2D 23 30 46 04 F1 01 0A 23 70 ?? ?? ?? ?? D7 F8 C0 30 03 F4 60 63 B3 F5 80 6F 02 D1 4F F0 08 09 0B E0 B3 F5 00 6F 02 D1 4F F0 10 09 05 E0 13 B9 4F F0 00 09 01 E0 4F F0 0A 09 00 23 FB 60 33 79 00 24 3C 60 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 02 D1 00 2B 4B D0 01 E0 00 2B 48 D1 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 60 30 9A 42 3E D1 01 24 30 46 3C 60 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 1B B3 00 E0 0B BB 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 92 30 9A 42 09 D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 90 30 9A 42 0D D1 B9 F1 00 0F 02 D0 B9 F1 10 0F 07 D1 00 24 30 46 3C 60 4F F0 10 09 ?? ?? ?? ?? 0F E0 B9 F1 00 0F 04 D1 4F F0 08 09 B9 F1 00 0F 09 D0 B9 F1 0A 0F 06 D0 B9 F1 08 0F 08 BF 08 25 02 D0 16 25 00 E0 0A 25 22 46 17 F1 20 00 01 21 BD 60 ?? ?? ?? ?? 00 24 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8E 80 02 E0 00 2B 40 F0 8A 80 33 79 13 B9 30 46 ?? ?? ?? ?? F1 88 B7 F8 60 30 17 F1 60 02 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 17 F1 60 03 D3 1A 5B 10 AB 42 28 D2 73 4A 9B 56 FA 68 8A F8 00 30 0A B9 30 2B 08 D0 3A 69 02 F1 1F 03 9A 45 03 D2 01 23 FB 60 0A F1 01 0A 01 23 3B 60 7B 6B 9C 42 54 D8 B9 6B 7A 6A 10 29 28 BF 13 46 01 D2 17 F1 24 03 1B 57 7F 2B 45 D0 10 29 01 D2 17 F1 24 02 13 5D 5B 1C 13 55 3D E0 D7 F8 34 E0 74 45 43 D8 BD 6B 78 6A 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 F3 B3 7B 68 E3 B3 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 0D E5 78 6A F3 88 7A 68 93 42 30 D1 CE F1 FF 33 01 2B 23 D9 0E F1 01 05 29 46 00 22 17 F1 20 00 ?? ?? ?? ?? 90 B1 BB 6B 10 2B 01 D3 7A 6A 01 E0 17 F1 24 02 7B 6B 00 21 99 54 BB 6B 10 2B 01 D3 7B 6A 01 E0 17 F1 24 03 7D 63 59 55 BD 68 64 1C 30 46 ?? ?? ?? ?? 66 E7 ?? ?? ?? ?? 17 F1 20 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 0D E5 78 6A 84 B1 74 45 01 D9 ?? ?? ?? ?? 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 00 2B C8 BF 64 1C D8 BF 00 21 00 DD 39 68 BB 6D 10 2B 01 D3 7A 6C 01 E0 17 F1 44 02 61 B3 1C B3 92 F9 00 10 7F 29 1F D0 64 1E 0A D0 74 45 19 D8 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 99 42 1A D1 4C B9 10 2D 28 BF 03 46 01 D2 17 F1 24 03 93 F9 00 30 99 42 0F DB 92 F9 01 30 00 2B DE DD 52 1C DC E7 ?? ?? ?? ?? FB 68 3B B9 30 23 8A F8 00 30 0A F1 01 0A 01 E0 3B 69 9A 46 00 23 8A F8 00 30 10 2D 01 D3 ?? ?? ?? ?? 0F 23 38 6A BB 63 00 23 7B 63 87 F8 24 30 ?? ?? ?? ?? 00 23 3B 62 BB 6D 10 2B 02 D3 78 6C ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? 48 46 26 B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_706_1 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z"
		size = 1056
		refs = "0008 __security_push_cookie 0024 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 002e ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0042 _guard_check_icall 004e ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 007a ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00d0 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 01ea ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 02ea ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0322 _invalid_parameter_noinfo_noreturn 032a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 03d6 ??3@YAXPAX@Z 0412 __security_pop_cookie 041c ?_Src@?1??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A6 B0 6F 46 D7 F8 C4 90 98 46 6F F0 01 03 48 46 16 46 39 61 C7 E9 06 33 ?? ?? ?? ?? 17 F1 40 01 05 46 ?? ?? ?? ?? 78 6D 10 B9 00 23 7B 60 07 E0 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 78 60 48 46 ?? ?? ?? ?? 04 46 22 68 DF F8 C4 93 D5 6A 28 46 ?? ?? ?? ?? 20 46 49 46 09 F1 1B 02 17 F1 60 03 A8 47 3C 69 33 79 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8E 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8C 30 9A 42 06 D1 2D 23 30 46 04 F1 01 0A 23 70 ?? ?? ?? ?? D7 F8 C0 30 03 F4 60 63 B3 F5 80 6F 02 D1 4F F0 08 09 0B E0 B3 F5 00 6F 02 D1 4F F0 10 09 05 E0 13 B9 4F F0 00 09 01 E0 4F F0 0A 09 00 23 FB 60 33 79 00 24 3C 60 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 02 D1 00 2B 4B D0 01 E0 00 2B 48 D1 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 60 30 9A 42 3E D1 01 24 30 46 3C 60 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 1B B3 00 E0 0B BB 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 92 30 9A 42 09 D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 90 30 9A 42 0D D1 B9 F1 00 0F 02 D0 B9 F1 10 0F 07 D1 00 24 30 46 3C 60 4F F0 10 09 ?? ?? ?? ?? 0F E0 B9 F1 00 0F 04 D1 4F F0 08 09 B9 F1 00 0F 09 D0 B9 F1 0A 0F 06 D0 B9 F1 08 0F 08 BF 08 25 02 D0 16 25 00 E0 0A 25 22 46 17 F1 20 00 01 21 BD 60 ?? ?? ?? ?? 00 24 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8E 80 02 E0 00 2B 40 F0 8A 80 33 79 13 B9 30 46 ?? ?? ?? ?? F1 88 B7 F8 60 30 17 F1 60 02 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 17 F1 60 03 D3 1A 5B 10 AB 42 28 D2 73 4A 9B 56 FA 68 8A F8 00 30 0A B9 30 2B 08 D0 3A 69 02 F1 1F 03 9A 45 03 D2 01 23 FB 60 0A F1 01 0A 01 23 3B 60 7B 6B 9C 42 54 D8 B9 6B 7A 6A 10 29 28 BF 13 46 01 D2 17 F1 24 03 1B 57 7F 2B 45 D0 10 29 01 D2 17 F1 24 02 13 5D 5B 1C 13 55 3D E0 D7 F8 34 E0 74 45 43 D8 BD 6B 78 6A 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 F3 B3 7B 68 E3 B3 33 79 2B B9 30 46 ?? ?? ?? ?? D7 E9 0D E5 78 6A F3 88 7A 68 93 42 30 D1 CE F1 FF 33 01 2B 23 D9 0E F1 01 05 29 46 00 22 17 F1 20 00 ?? ?? ?? ?? 90 B1 BB 6B 10 2B 01 D3 7A 6A 01 E0 17 F1 24 02 7B 6B 00 21 99 54 BB 6B 10 2B 01 D3 7B 6A 01 E0 17 F1 24 03 7D 63 59 55 BD 68 64 1C 30 46 ?? ?? ?? ?? 66 E7 ?? ?? ?? ?? 17 F1 20 00 ?? ?? ?? ?? ?? ?? ?? ?? D7 E9 0D E5 78 6A 84 B1 74 45 01 D9 ?? ?? ?? ?? 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 00 2B C8 BF 64 1C D8 BF 00 21 00 DD 39 68 BB 6D 10 2B 01 D3 7A 6C 01 E0 17 F1 44 02 61 B3 1C B3 92 F9 00 10 7F 29 1F D0 64 1E 0A D0 74 45 19 D8 10 2D 28 BF 03 46 01 D2 17 F1 24 03 1B 57 99 42 1A D1 4C B9 10 2D 28 BF 03 46 01 D2 17 F1 24 03 93 F9 00 30 99 42 0F DB 92 F9 01 30 00 2B DE DD 52 1C DC E7 ?? ?? ?? ?? FB 68 3B B9 30 23 8A F8 00 30 0A F1 01 0A 01 E0 3B 69 9A 46 00 23 8A F8 00 30 10 2D 01 D3 ?? ?? ?? ?? 0F 23 38 6A BB 63 00 23 7B 63 87 F8 24 30 ?? ?? ?? ?? 00 23 3B 62 BB 6D 10 2B 02 D3 78 6C ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? 48 46 26 B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_709_1 {
	meta:
		name = "?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z"
		size = 448
		refs = "0008 __security_push_cookie 002a ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0058 _guard_check_icall 007c ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 00ee _Stolx 01b8 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 DD F8 68 A0 0E 46 30 79 03 93 19 9B CD F8 00 A0 0D F1 18 08 17 46 04 93 10 B9 08 46 ?? ?? ?? ?? 38 79 10 B9 38 46 ?? ?? ?? ?? 30 68 3B 68 08 B9 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? DA F8 00 30 F4 88 9D 6B 28 46 ?? ?? ?? ?? 50 46 21 46 00 22 A8 47 2B 28 08 BF 2B 23 02 D0 2D 28 07 D1 2D 23 30 46 0D F1 19 08 8D F8 18 30 ?? ?? ?? ?? 4F F0 00 09 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3A D1 DB BB B9 F1 00 0F 04 D0 30 23 88 F8 00 30 08 F1 01 08 0D F1 37 0A 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3B D1 E3 BB B9 F1 00 0F 01 D1 0D F1 18 08 00 23 88 F8 00 30 01 93 01 AB 02 A9 06 A8 0A 22 ?? ?? ?? ?? 33 79 00 24 05 46 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3D D1 EB B3 3D E0 00 2B C3 D1 33 79 13 B9 30 46 ?? ?? ?? ?? DA F8 00 30 F4 88 9D 6B 28 46 ?? ?? ?? ?? 50 46 21 46 00 22 A8 47 30 28 B1 D1 30 46 4F F0 01 09 ?? ?? ?? ?? 9C E7 00 2B C2 D1 33 79 13 B9 30 46 ?? ?? ?? ?? 00 9B F4 88 1B 68 9D 6B 28 46 ?? ?? ?? ?? 00 98 21 46 00 22 A8 47 30 28 B0 DB 39 28 AE DC 88 F8 00 00 D0 45 01 D2 08 F1 01 08 30 46 4F F0 01 09 ?? ?? ?? ?? 93 E7 03 B1 01 24 02 9B 06 AA 93 42 0A D0 01 9B 43 B9 03 9B 9D 42 05 DB 18 9B AB 42 02 DB 04 9B 1D 60 01 E0 44 F0 02 04 20 46 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_710_1 {
	meta:
		name = "?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z"
		size = 448
		refs = "0008 __security_push_cookie 002a ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0058 _guard_check_icall 007c ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 00ee _Stolx 01b8 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 DD F8 68 A0 0E 46 30 79 03 93 19 9B CD F8 00 A0 0D F1 18 08 17 46 04 93 10 B9 08 46 ?? ?? ?? ?? 38 79 10 B9 38 46 ?? ?? ?? ?? 30 68 3B 68 08 B9 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? DA F8 00 30 F4 88 9D 6B 28 46 ?? ?? ?? ?? 50 46 21 46 00 22 A8 47 2B 28 08 BF 2B 23 02 D0 2D 28 07 D1 2D 23 30 46 0D F1 19 08 8D F8 18 30 ?? ?? ?? ?? 4F F0 00 09 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3A D1 DB BB B9 F1 00 0F 04 D0 30 23 88 F8 00 30 08 F1 01 08 0D F1 37 0A 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3B D1 E3 BB B9 F1 00 0F 01 D1 0D F1 18 08 00 23 88 F8 00 30 01 93 01 AB 02 A9 06 A8 0A 22 ?? ?? ?? ?? 33 79 00 24 05 46 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3D D1 EB B3 3D E0 00 2B C3 D1 33 79 13 B9 30 46 ?? ?? ?? ?? DA F8 00 30 F4 88 9D 6B 28 46 ?? ?? ?? ?? 50 46 21 46 00 22 A8 47 30 28 B1 D1 30 46 4F F0 01 09 ?? ?? ?? ?? 9C E7 00 2B C2 D1 33 79 13 B9 30 46 ?? ?? ?? ?? 00 9B F4 88 1B 68 9D 6B 28 46 ?? ?? ?? ?? 00 98 21 46 00 22 A8 47 30 28 B0 DB 39 28 AE DC 88 F8 00 00 D0 45 01 D2 08 F1 01 08 30 46 4F F0 01 09 ?? ?? ?? ?? 93 E7 03 B1 01 24 02 9B 06 AA 93 42 0A D0 01 9B 43 B9 03 9B 9D 42 05 DB 18 9B AB 42 02 DB 04 9B 1D 60 01 E0 44 F0 02 04 20 46 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_712_1 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z"
		size = 2804
		refs = "0008 __security_push_cookie 0044 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 005a _guard_check_icall 0080 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 00be ??2@YAPAXI@Z 00c4 _invalid_parameter_noinfo_noreturn 0140 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 01da ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0220 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 022c ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 023a ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0264 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 02e2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 02ec ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 03a2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0522 ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0586 ??3@YAXPAX@Z 05bc ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 05e2 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 0604 ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0686 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 0706 ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 07fc ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0842 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0a54 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ 0a5a ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z 0a7e ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAABGXZ 0ad8 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0ae8 __security_pop_cookie 0af0 ?_Src@?1??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAAVios_base@3@PAG@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? BE B0 6F 46 9A 46 FB 61 6F F0 01 03 0E 46 C7 E9 1C 33 90 46 7A 61 3E 62 D7 F8 24 31 D7 F8 28 21 97 F8 20 01 7A 62 00 22 00 28 BA 60 18 46 FE 65 FB 63 1B D0 17 F1 60 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 F8 60 7D 6E 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1A E0 17 F1 68 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 F8 60 FD 6E 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 3B 61 BB 62 08 20 C7 F8 D8 30 C7 E9 3B 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 D8 00 C0 E9 00 32 D7 F8 D8 30 17 F1 D8 02 1A 60 07 23 C7 F8 F0 30 00 23 C7 F8 EC 30 A7 F8 DC 30 D9 F8 00 30 DC 6A 20 46 ?? ?? ?? ?? 48 46 39 1D A0 47 00 24 08 20 34 60 C6 E9 05 44 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 30 60 C0 E9 00 32 33 68 1E 60 0F 23 C6 E9 05 43 34 71 F8 6B 4F F0 01 09 17 F1 30 01 C7 F8 18 90 C7 F8 08 90 ?? ?? ?? ?? ?? ?? ?? ?? 38 64 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3D 6C 2B 68 DC 6A 20 46 ?? ?? ?? ?? DF F8 74 39 28 46 19 46 03 F1 0C 02 7B 6A A0 47 00 23 08 24 3B 60 3A 1D 04 2B 80 F0 3D 84 9B 56 20 2B 00 F0 DF 83 24 2B 00 F0 AE 82 2B 2B 00 F0 9F 81 76 2B 04 D0 78 2B 00 F0 D4 83 00 F0 0A BC FD 68 4F F0 00 09 2B 68 C7 F8 44 90 5C 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 B8 64 28 46 17 F1 B8 01 ?? ?? ?? ?? D7 F8 CC 30 00 2B 00 F0 F4 80 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 80 46 00 28 00 F0 E7 80 D7 F8 D0 30 10 2B 02 D3 D7 F8 BC 30 01 E0 17 F1 BC 03 1B 78 7F 2B 80 F0 DA 80 00 22 01 21 17 F1 98 00 ?? ?? ?? ?? 7C 69 F9 69 00 26 20 46 ?? ?? ?? ?? 00 28 7B D0 23 79 13 B9 20 46 ?? ?? ?? ?? 78 6A E1 88 03 88 02 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1A 5B 10 0A 2B 1F D2 DF F8 90 28 38 6A 99 56 ?? ?? ?? ?? D7 F8 AC 30 9E 42 00 F2 B7 83 D7 F8 B0 10 D7 F8 9C 20 10 29 28 BF 13 46 01 D2 17 F1 9C 03 9B 57 7F 2B 2E D0 10 29 01 D2 17 F1 9C 02 93 5D 5B 1C 93 55 26 E0 D7 F8 AC 50 AE 42 00 F2 A1 83 D7 F8 B0 40 D7 F8 9C 00 10 2C 28 BF 03 46 01 D2 17 F1 9C 03 9B 57 13 B3 7A 69 13 79 3B B9 10 46 ?? ?? ?? ?? D7 E9 2B 54 D7 F8 9C 00 7A 69 D3 88 43 45 14 D1 00 22 01 21 17 F1 98 00 ?? ?? ?? ?? 7C 69 76 1C 20 46 ?? ?? ?? ?? F9 69 20 46 ?? ?? ?? ?? 00 28 9B D1 D7 E9 2B 54 D7 F8 9C 00 B6 B1 AE 42 00 F2 6C 83 10 2C 28 BF 03 46 01 D2 17 F1 9C 03 9B 57 00 2B C8 BF 76 1C 08 DC 4F F0 01 08 C7 F8 10 80 05 E0 D7 E9 2B 54 D7 F8 9C 00 D7 F8 10 80 D7 F8 D0 30 10 2B 02 D3 D7 F8 BC 10 01 E0 17 F1 BC 01 B8 F1 00 0F 2F D1 2E B3 91 F9 00 20 7F 2A 21 D0 76 1E 0B D0 AE 42 00 F2 44 83 10 2C 28 BF 03 46 01 D2 17 F1 9C 03 9B 57 9A 42 10 D1 4E B9 10 2C 28 BF 03 46 01 D2 17 F1 9C 03 93 F9 00 30 9A 42 05 DB 91 F9 01 30 00 2B DD DD 49 1C DB E7 01 23 3B 61 08 E0 17 F1 98 00 ?? ?? ?? ?? D7 F8 14 80 D7 E9 07 56 40 E0 17 F1 98 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? D7 F8 14 80 3E 6A D7 E9 06 9A FE E2 D7 F8 14 80 FD 69 40 46 29 46 ?? ?? ?? ?? 50 B3 D7 F8 24 A0 DF F8 0C 97 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? B8 F8 06 10 BA F8 00 30 52 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 A2 EB 0A 03 5B 10 0A 2B 0D D2 13 F9 09 10 30 46 ?? ?? ?? ?? 40 46 ?? ?? ?? ?? 29 46 40 46 ?? ?? ?? ?? 00 28 DA D1 D7 E9 11 9A FB 68 1B 68 DC 68 20 46 ?? ?? ?? ?? F8 68 A0 47 04 46 40 46 29 46 ?? ?? ?? ?? C0 B3 BC B3 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? B8 F8 06 30 A3 42 2D D1 1F E0 D1 45 2A DA 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 78 6A B8 F8 06 10 03 88 02 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1A 5B 10 0A 2B 10 D2 DF F8 58 26 30 46 99 56 ?? ?? ?? ?? 09 F1 01 09 40 46 ?? ?? ?? ?? 29 46 40 46 ?? ?? ?? ?? 00 28 D6 D1 D1 45 01 DA 01 23 3B 61 73 69 13 B9 01 23 3B 61 09 E0 D1 45 07 DA AA EB 09 04 30 21 30 46 ?? ?? ?? ?? 64 1E F9 D1 17 F1 B8 00 ?? ?? ?? ?? 6E E7 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? D8 F8 00 30 00 2B DA F8 00 30 03 D1 00 2B 00 F0 5C 82 02 E0 00 2B 40 F0 58 82 FC 68 17 F1 98 01 20 46 ?? ?? ?? ?? 43 69 49 F0 04 05 BD 60 E3 B1 17 F1 B8 01 20 46 ?? ?? ?? ?? 83 69 4F F0 08 09 45 EA 09 05 BD 60 08 2B 01 D3 44 68 00 E0 04 1D 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 22 88 B8 F8 06 30 9A 42 03 D1 01 24 02 E0 4F F0 08 09 00 24 15 EA 09 0F 18 D0 D7 F8 D0 30 25 EA 09 05 08 2B 03 D3 D7 F8 BC 00 ?? ?? ?? ?? 07 23 D7 F8 B8 00 C7 F8 D0 30 00 23 C7 F8 CC 30 A7 F8 BC 30 ?? ?? ?? ?? 00 23 C7 F8 B8 30 25 F0 04 09 00 22 01 21 17 F1 98 00 C7 F8 18 90 C7 F8 08 90 ?? ?? ?? ?? D7 F8 98 00 ?? ?? ?? ?? C4 B1 40 46 ?? ?? ?? ?? FD 68 17 F1 B8 01 28 46 ?? ?? ?? ?? 01 46 17 F1 D8 00 ?? ?? ?? ?? 00 22 01 21 17 F1 B8 00 ?? ?? ?? ?? D7 F8 B8 00 ?? ?? ?? ?? E6 E1 FC 68 17 F1 98 01 20 46 ?? ?? ?? ?? 43 69 49 F0 10 05 BD 60 E3 B1 17 F1 B8 01 20 46 ?? ?? ?? ?? 83 69 4F F0 20 09 45 EA 09 05 BD 60 08 2B 01 D3 44 68 00 E0 04 1D 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 22 88 B8 F8 06 30 9A 42 03 D1 01 24 02 E0 4F F0 20 09 00 24 15 EA 09 0F 0E D0 00 22 01 21 17 F1 B8 00 25 EA 09 05 ?? ?? ?? ?? D7 F8 B8 00 ?? ?? ?? ?? 00 23 C7 F8 B8 30 25 F0 10 09 17 F1 98 00 C7 F8 18 90 C7 F8 08 90 ?? ?? ?? ?? 9C B1 40 46 ?? ?? ?? ?? F8 68 17 F1 B8 01 ?? ?? ?? ?? 01 46 17 F1 D8 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 01 22 BA 62 8A E1 FD 68 17 F1 B8 01 28 46 ?? ?? ?? ?? 43 69 0B B9 01 24 00 E0 00 24 17 F1 B8 00 ?? ?? ?? ?? 00 2C 40 F0 79 81 17 F1 B8 01 28 46 ?? ?? ?? ?? 43 69 0B B9 01 24 00 E0 00 24 17 F1 B8 00 ?? ?? ?? ?? 00 2C 00 F0 68 81 01 23 BB 62 64 E1 F8 68 17 F1 98 01 ?? ?? ?? ?? FB 6B 00 25 5B 69 23 42 2A D1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? D8 F8 00 30 00 2B DA F8 00 30 01 D1 BB B1 00 E0 AB B9 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D7 F8 B0 00 D7 F8 9C 10 B8 F8 06 20 08 28 28 BF 0B 46 01 D2 17 F1 9C 03 1B 88 9A 42 04 D0 3C E0 D7 F8 B0 00 D7 F8 9C 10 3B 68 03 2B 3D D1 D7 F8 EC 30 01 2B 39 D8 98 F8 04 30 33 B9 40 46 ?? ?? ?? ?? D7 F8 B0 00 D7 F8 9C 10 9A F8 04 30 33 B9 50 46 ?? ?? ?? ?? D7 F8 B0 00 D7 F8 9C 10 D8 F8 00 30 00 2B DA F8 00 30 01 D1 B3 B1 00 E0 A3 B9 98 F8 04 30 33 B9 40 46 ?? ?? ?? ?? D7 F8 B0 00 D7 F8 9C 10 08 28 B8 F8 06 20 28 BF 0B 46 01 D2 17 F1 9C 03 1B 88 9A 42 07 D0 08 28 01 D2 17 F1 9C 01 00 23 C7 F8 AC 30 0B 80 17 F1 78 01 17 F1 98 00 ?? ?? ?? ?? 03 68 13 B1 1B 68 03 B1 1D 68 84 68 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? D8 F8 00 30 00 2B DA F8 00 30 02 D1 00 2B 43 D0 01 E0 00 2B 40 D1 17 F1 88 01 17 F1 98 00 ?? ?? ?? ?? 49 F0 02 09 C7 F8 18 90 C7 F8 08 90 0D B9 00 22 00 E0 2A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 40 F0 C9 80 83 68 9C 42 25 D0 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? B8 F8 06 00 00 2C 00 F0 B9 80 00 2D 00 F0 B4 80 2A 68 00 2A 00 F0 B0 80 93 69 08 2B 01 D3 51 68 00 E0 11 1D A1 42 00 F2 A5 80 53 69 01 EB 43 03 9C 42 80 F0 9F 80 23 88 98 42 08 BF 01 23 00 D0 00 23 02 22 19 EA 02 0F 05 D0 29 EA 02 09 C7 F8 18 90 C7 F8 08 90 D3 B1 00 2C 00 F0 97 80 00 2D 00 F0 92 80 2A 68 00 2A 00 F0 8E 80 93 69 08 2B 01 D3 51 68 00 E0 11 1D 53 69 01 EB 43 03 9C 42 80 F0 80 80 40 46 A4 1C ?? ?? ?? ?? 80 E7 17 F1 50 01 17 F1 98 00 ?? ?? ?? ?? 0D B9 00 22 00 E0 2A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 6F D1 83 68 9C 42 01 D0 01 23 3B 61 D7 F8 B0 30 08 2B 03 D3 D7 F8 9C 00 ?? ?? ?? ?? 07 23 C7 F8 B0 30 00 23 D7 F8 98 00 C7 F8 AC 30 A7 F8 9C 30 4C E6 3B 68 03 2B 35 D0 51 46 40 46 00 26 ?? ?? ?? ?? 00 B3 D7 F8 40 90 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D9 F8 00 30 B8 F8 06 50 1C 69 20 46 ?? ?? ?? ?? 48 46 48 21 2A 46 A0 47 48 B1 40 46 01 26 ?? ?? ?? ?? 51 46 40 46 ?? ?? ?? ?? 00 28 E2 D1 D7 F8 18 90 3B 68 3A 1D 9B 56 20 2B 05 D1 3B 68 0E B9 01 26 3E 61 3E 6A 03 E0 3E 6A 00 E0 3A 1D 3B 68 5B 1C 3B 60 3B 69 00 2B 6F D1 3B 68 08 24 FF F7 D8 BB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D7 F8 EC 30 01 2B 59 D9 00 23 17 F1 50 01 17 F1 D8 00 C7 E9 0C 33 BB 63 ?? ?? ?? ?? 03 68 1B B1 1B 68 0B B1 1B 68 3B 63 83 68 BB 63 17 F1 50 01 17 F1 D8 00 ?? ?? ?? ?? 04 46 49 F0 40 05 17 F1 30 00 BD 60 ?? ?? ?? ?? 21 46 ?? ?? ?? ?? A8 B1 51 46 40 46 ?? ?? ?? ?? 80 B1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? B8 F8 06 40 17 F1 30 00 ?? ?? ?? ?? 03 88 9C 42 08 BF 01 23 00 D0 00 23 25 F0 40 09 C7 F8 08 90 1B B1 40 46 ?? ?? ?? ?? CD E7 17 F1 50 01 17 F1 D8 00 ?? ?? ?? ?? 01 46 17 F1 30 00 ?? ?? ?? ?? 48 B1 B3 69 10 2B 01 D3 73 68 00 E0 33 1D 00 22 72 61 1A 70 07 E0 BB 6A 2B B1 2D 23 01 22 00 21 30 46 ?? ?? ?? ?? 17 F1 D8 00 ?? ?? ?? ?? 30 46 3E B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_730_1 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z"
		size = 2804
		refs = "0008 __security_push_cookie 0044 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 005a _guard_check_icall 0080 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 00be ??2@YAPAXI@Z 00c4 _invalid_parameter_noinfo_noreturn 0140 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 01da ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0220 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 022c ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 023a ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0264 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 02e2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 02ec ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 03a2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0522 ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0586 ??3@YAXPAX@Z 05bc ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 05e2 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 0604 ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0686 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 0706 ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 07fc ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0842 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0a54 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ 0a5a ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z 0a7e ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAAB_WXZ 0ad8 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0ae8 __security_pop_cookie 0af0 ?_Src@?1??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAAVios_base@3@PA_W@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? BE B0 6F 46 9A 46 FB 61 6F F0 01 03 0E 46 C7 E9 1C 33 90 46 7A 61 3E 62 D7 F8 24 31 D7 F8 28 21 97 F8 20 01 7A 62 00 22 00 28 BA 60 18 46 FE 65 FB 63 1B D0 17 F1 60 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 F8 60 7D 6E 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1A E0 17 F1 68 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 F8 60 FD 6E 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 3B 61 BB 62 08 20 C7 F8 D8 30 C7 E9 3B 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 D8 00 C0 E9 00 32 D7 F8 D8 30 17 F1 D8 02 1A 60 07 23 C7 F8 F0 30 00 23 C7 F8 EC 30 A7 F8 DC 30 D9 F8 00 30 DC 6A 20 46 ?? ?? ?? ?? 48 46 39 1D A0 47 00 24 08 20 34 60 C6 E9 05 44 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 30 60 C0 E9 00 32 33 68 1E 60 0F 23 C6 E9 05 43 34 71 F8 6B 4F F0 01 09 17 F1 30 01 C7 F8 18 90 C7 F8 08 90 ?? ?? ?? ?? ?? ?? ?? ?? 38 64 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3D 6C 2B 68 DC 6A 20 46 ?? ?? ?? ?? DF F8 74 39 28 46 19 46 03 F1 0C 02 7B 6A A0 47 00 23 08 24 3B 60 3A 1D 04 2B 80 F0 3D 84 9B 56 20 2B 00 F0 DF 83 24 2B 00 F0 AE 82 2B 2B 00 F0 9F 81 76 2B 04 D0 78 2B 00 F0 D4 83 00 F0 0A BC FD 68 4F F0 00 09 2B 68 C7 F8 44 90 5C 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 B8 64 28 46 17 F1 B8 01 ?? ?? ?? ?? D7 F8 CC 30 00 2B 00 F0 F4 80 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 80 46 00 28 00 F0 E7 80 D7 F8 D0 30 10 2B 02 D3 D7 F8 BC 30 01 E0 17 F1 BC 03 1B 78 7F 2B 80 F0 DA 80 00 22 01 21 17 F1 98 00 ?? ?? ?? ?? 7C 69 F9 69 00 26 20 46 ?? ?? ?? ?? 00 28 7B D0 23 79 13 B9 20 46 ?? ?? ?? ?? 78 6A E1 88 03 88 02 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1A 5B 10 0A 2B 1F D2 DF F8 90 28 38 6A 99 56 ?? ?? ?? ?? D7 F8 AC 30 9E 42 00 F2 B7 83 D7 F8 B0 10 D7 F8 9C 20 10 29 28 BF 13 46 01 D2 17 F1 9C 03 9B 57 7F 2B 2E D0 10 29 01 D2 17 F1 9C 02 93 5D 5B 1C 93 55 26 E0 D7 F8 AC 50 AE 42 00 F2 A1 83 D7 F8 B0 40 D7 F8 9C 00 10 2C 28 BF 03 46 01 D2 17 F1 9C 03 9B 57 13 B3 7A 69 13 79 3B B9 10 46 ?? ?? ?? ?? D7 E9 2B 54 D7 F8 9C 00 7A 69 D3 88 43 45 14 D1 00 22 01 21 17 F1 98 00 ?? ?? ?? ?? 7C 69 76 1C 20 46 ?? ?? ?? ?? F9 69 20 46 ?? ?? ?? ?? 00 28 9B D1 D7 E9 2B 54 D7 F8 9C 00 B6 B1 AE 42 00 F2 6C 83 10 2C 28 BF 03 46 01 D2 17 F1 9C 03 9B 57 00 2B C8 BF 76 1C 08 DC 4F F0 01 08 C7 F8 10 80 05 E0 D7 E9 2B 54 D7 F8 9C 00 D7 F8 10 80 D7 F8 D0 30 10 2B 02 D3 D7 F8 BC 10 01 E0 17 F1 BC 01 B8 F1 00 0F 2F D1 2E B3 91 F9 00 20 7F 2A 21 D0 76 1E 0B D0 AE 42 00 F2 44 83 10 2C 28 BF 03 46 01 D2 17 F1 9C 03 9B 57 9A 42 10 D1 4E B9 10 2C 28 BF 03 46 01 D2 17 F1 9C 03 93 F9 00 30 9A 42 05 DB 91 F9 01 30 00 2B DD DD 49 1C DB E7 01 23 3B 61 08 E0 17 F1 98 00 ?? ?? ?? ?? D7 F8 14 80 D7 E9 07 56 40 E0 17 F1 98 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? D7 F8 14 80 3E 6A D7 E9 06 9A FE E2 D7 F8 14 80 FD 69 40 46 29 46 ?? ?? ?? ?? 50 B3 D7 F8 24 A0 DF F8 0C 97 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? B8 F8 06 10 BA F8 00 30 52 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 A2 EB 0A 03 5B 10 0A 2B 0D D2 13 F9 09 10 30 46 ?? ?? ?? ?? 40 46 ?? ?? ?? ?? 29 46 40 46 ?? ?? ?? ?? 00 28 DA D1 D7 E9 11 9A FB 68 1B 68 DC 68 20 46 ?? ?? ?? ?? F8 68 A0 47 04 46 40 46 29 46 ?? ?? ?? ?? C0 B3 BC B3 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? B8 F8 06 30 A3 42 2D D1 1F E0 D1 45 2A DA 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 78 6A B8 F8 06 10 03 88 02 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1A 5B 10 0A 2B 10 D2 DF F8 58 26 30 46 99 56 ?? ?? ?? ?? 09 F1 01 09 40 46 ?? ?? ?? ?? 29 46 40 46 ?? ?? ?? ?? 00 28 D6 D1 D1 45 01 DA 01 23 3B 61 73 69 13 B9 01 23 3B 61 09 E0 D1 45 07 DA AA EB 09 04 30 21 30 46 ?? ?? ?? ?? 64 1E F9 D1 17 F1 B8 00 ?? ?? ?? ?? 6E E7 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? D8 F8 00 30 00 2B DA F8 00 30 03 D1 00 2B 00 F0 5C 82 02 E0 00 2B 40 F0 58 82 FC 68 17 F1 98 01 20 46 ?? ?? ?? ?? 43 69 49 F0 04 05 BD 60 E3 B1 17 F1 B8 01 20 46 ?? ?? ?? ?? 83 69 4F F0 08 09 45 EA 09 05 BD 60 08 2B 01 D3 44 68 00 E0 04 1D 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 22 88 B8 F8 06 30 9A 42 03 D1 01 24 02 E0 4F F0 08 09 00 24 15 EA 09 0F 18 D0 D7 F8 D0 30 25 EA 09 05 08 2B 03 D3 D7 F8 BC 00 ?? ?? ?? ?? 07 23 D7 F8 B8 00 C7 F8 D0 30 00 23 C7 F8 CC 30 A7 F8 BC 30 ?? ?? ?? ?? 00 23 C7 F8 B8 30 25 F0 04 09 00 22 01 21 17 F1 98 00 C7 F8 18 90 C7 F8 08 90 ?? ?? ?? ?? D7 F8 98 00 ?? ?? ?? ?? C4 B1 40 46 ?? ?? ?? ?? FD 68 17 F1 B8 01 28 46 ?? ?? ?? ?? 01 46 17 F1 D8 00 ?? ?? ?? ?? 00 22 01 21 17 F1 B8 00 ?? ?? ?? ?? D7 F8 B8 00 ?? ?? ?? ?? E6 E1 FC 68 17 F1 98 01 20 46 ?? ?? ?? ?? 43 69 49 F0 10 05 BD 60 E3 B1 17 F1 B8 01 20 46 ?? ?? ?? ?? 83 69 4F F0 20 09 45 EA 09 05 BD 60 08 2B 01 D3 44 68 00 E0 04 1D 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 22 88 B8 F8 06 30 9A 42 03 D1 01 24 02 E0 4F F0 20 09 00 24 15 EA 09 0F 0E D0 00 22 01 21 17 F1 B8 00 25 EA 09 05 ?? ?? ?? ?? D7 F8 B8 00 ?? ?? ?? ?? 00 23 C7 F8 B8 30 25 F0 10 09 17 F1 98 00 C7 F8 18 90 C7 F8 08 90 ?? ?? ?? ?? 9C B1 40 46 ?? ?? ?? ?? F8 68 17 F1 B8 01 ?? ?? ?? ?? 01 46 17 F1 D8 00 ?? ?? ?? ?? 17 F1 B8 00 ?? ?? ?? ?? 01 22 BA 62 8A E1 FD 68 17 F1 B8 01 28 46 ?? ?? ?? ?? 43 69 0B B9 01 24 00 E0 00 24 17 F1 B8 00 ?? ?? ?? ?? 00 2C 40 F0 79 81 17 F1 B8 01 28 46 ?? ?? ?? ?? 43 69 0B B9 01 24 00 E0 00 24 17 F1 B8 00 ?? ?? ?? ?? 00 2C 00 F0 68 81 01 23 BB 62 64 E1 F8 68 17 F1 98 01 ?? ?? ?? ?? FB 6B 00 25 5B 69 23 42 2A D1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? D8 F8 00 30 00 2B DA F8 00 30 01 D1 BB B1 00 E0 AB B9 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D7 F8 B0 00 D7 F8 9C 10 B8 F8 06 20 08 28 28 BF 0B 46 01 D2 17 F1 9C 03 1B 88 9A 42 04 D0 3C E0 D7 F8 B0 00 D7 F8 9C 10 3B 68 03 2B 3D D1 D7 F8 EC 30 01 2B 39 D8 98 F8 04 30 33 B9 40 46 ?? ?? ?? ?? D7 F8 B0 00 D7 F8 9C 10 9A F8 04 30 33 B9 50 46 ?? ?? ?? ?? D7 F8 B0 00 D7 F8 9C 10 D8 F8 00 30 00 2B DA F8 00 30 01 D1 B3 B1 00 E0 A3 B9 98 F8 04 30 33 B9 40 46 ?? ?? ?? ?? D7 F8 B0 00 D7 F8 9C 10 08 28 B8 F8 06 20 28 BF 0B 46 01 D2 17 F1 9C 03 1B 88 9A 42 07 D0 08 28 01 D2 17 F1 9C 01 00 23 C7 F8 AC 30 0B 80 17 F1 78 01 17 F1 98 00 ?? ?? ?? ?? 03 68 13 B1 1B 68 03 B1 1D 68 84 68 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? D8 F8 00 30 00 2B DA F8 00 30 02 D1 00 2B 43 D0 01 E0 00 2B 40 D1 17 F1 88 01 17 F1 98 00 ?? ?? ?? ?? 49 F0 02 09 C7 F8 18 90 C7 F8 08 90 0D B9 00 22 00 E0 2A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 40 F0 C9 80 83 68 9C 42 25 D0 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? B8 F8 06 00 00 2C 00 F0 B9 80 00 2D 00 F0 B4 80 2A 68 00 2A 00 F0 B0 80 93 69 08 2B 01 D3 51 68 00 E0 11 1D A1 42 00 F2 A5 80 53 69 01 EB 43 03 9C 42 80 F0 9F 80 23 88 98 42 08 BF 01 23 00 D0 00 23 02 22 19 EA 02 0F 05 D0 29 EA 02 09 C7 F8 18 90 C7 F8 08 90 D3 B1 00 2C 00 F0 97 80 00 2D 00 F0 92 80 2A 68 00 2A 00 F0 8E 80 93 69 08 2B 01 D3 51 68 00 E0 11 1D 53 69 01 EB 43 03 9C 42 80 F0 80 80 40 46 A4 1C ?? ?? ?? ?? 80 E7 17 F1 50 01 17 F1 98 00 ?? ?? ?? ?? 0D B9 00 22 00 E0 2A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 6F D1 83 68 9C 42 01 D0 01 23 3B 61 D7 F8 B0 30 08 2B 03 D3 D7 F8 9C 00 ?? ?? ?? ?? 07 23 C7 F8 B0 30 00 23 D7 F8 98 00 C7 F8 AC 30 A7 F8 9C 30 4C E6 3B 68 03 2B 35 D0 51 46 40 46 00 26 ?? ?? ?? ?? 00 B3 D7 F8 40 90 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D9 F8 00 30 B8 F8 06 50 1C 69 20 46 ?? ?? ?? ?? 48 46 48 21 2A 46 A0 47 48 B1 40 46 01 26 ?? ?? ?? ?? 51 46 40 46 ?? ?? ?? ?? 00 28 E2 D1 D7 F8 18 90 3B 68 3A 1D 9B 56 20 2B 05 D1 3B 68 0E B9 01 26 3E 61 3E 6A 03 E0 3E 6A 00 E0 3A 1D 3B 68 5B 1C 3B 60 3B 69 00 2B 6F D1 3B 68 08 24 FF F7 D8 BB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D7 F8 EC 30 01 2B 59 D9 00 23 17 F1 50 01 17 F1 D8 00 C7 E9 0C 33 BB 63 ?? ?? ?? ?? 03 68 1B B1 1B 68 0B B1 1B 68 3B 63 83 68 BB 63 17 F1 50 01 17 F1 D8 00 ?? ?? ?? ?? 04 46 49 F0 40 05 17 F1 30 00 BD 60 ?? ?? ?? ?? 21 46 ?? ?? ?? ?? A8 B1 51 46 40 46 ?? ?? ?? ?? 80 B1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? B8 F8 06 40 17 F1 30 00 ?? ?? ?? ?? 03 88 9C 42 08 BF 01 23 00 D0 00 23 25 F0 40 09 C7 F8 08 90 1B B1 40 46 ?? ?? ?? ?? CD E7 17 F1 50 01 17 F1 D8 00 ?? ?? ?? ?? 01 46 17 F1 30 00 ?? ?? ?? ?? 48 B1 B3 69 10 2B 01 D3 73 68 00 E0 33 1D 00 22 72 61 1A 70 07 E0 BB 6A 2B B1 2D 23 01 22 00 21 30 46 ?? ?? ?? ?? 17 F1 D8 00 ?? ?? ?? ?? 30 46 3E B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_720_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$3"
		size = 30
		refs = "0018 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		altNames = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$3"
	strings:
		$1 = { 10 B5 BB 68 03 F0 01 03 00 2B 00 F0 07 80 BB 68 23 F0 01 03 BB 60 F8 6D ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_725_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 BB 68 03 F0 04 03 00 2B 00 F0 08 80 BB 68 23 F0 04 03 BB 60 17 F1 98 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_743_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 BB 68 03 F0 04 03 00 2B 00 F0 08 80 BB 68 23 F0 04 03 BB 60 17 F1 98 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_726_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 BB 68 03 F0 08 03 00 2B 00 F0 08 80 BB 68 23 F0 08 03 BB 60 17 F1 B8 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_744_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 BB 68 03 F0 08 03 00 2B 00 F0 08 80 BB 68 23 F0 08 03 BB 60 17 F1 B8 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_727_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 BB 68 03 F0 10 03 00 2B 00 F0 08 80 BB 68 23 F0 10 03 BB 60 17 F1 98 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_745_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 BB 68 03 F0 10 03 00 2B 00 F0 08 80 BB 68 23 F0 10 03 BB 60 17 F1 98 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_728_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 BB 68 03 F0 20 03 00 2B 00 F0 08 80 BB 68 23 F0 20 03 BB 60 17 F1 B8 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_746_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 BB 68 03 F0 20 03 00 2B 00 F0 08 80 BB 68 23 F0 20 03 BB 60 17 F1 B8 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_748_1 {
	meta:
		name = "?_Getmonths@_Locinfo@std@@QBAPBDXZ"
		size = 104
		refs = "000a _Getmonths 001a free 0038 malloc 0044 memcpy 0064 ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 05 46 ED B1 E0 68 A8 42 17 D0 08 B1 ?? ?? ?? ?? 00 23 E3 60 95 F9 00 30 2A 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 56 1B 70 1C ?? ?? ?? ?? E0 60 18 B1 72 1C 29 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? E3 68 23 B1 18 46 18 B9 04 F1 10 00 00 E0 01 48 BD E8 78 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_753_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ"
		size = 26
		altNames = "?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 6A 13 68 5B 1E 13 60 C2 69 10 68 83 1C 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_756_1 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z"
		size = 128
		refs = "001e ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z 0040 memcpy 0046 ??3@YAXPAX@Z 007a ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 4F F0 00 43 9B 1E 0D 46 9D 42 04 46 30 D8 A3 69 AB 42 03 D2 62 69 ?? ?? ?? ?? 23 E0 CA B1 08 2D 17 D2 66 69 B5 42 38 BF 2E 46 08 2B 09 D3 67 68 26 B1 72 00 20 1D 39 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 07 23 C4 E9 05 63 23 1D 00 22 23 F8 16 20 08 E0 45 B9 08 2B 01 D3 63 68 00 E0 23 1D 00 22 62 61 1A 80 0D B1 01 20 00 E0 00 20 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_757_1 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z"
		size = 128
		refs = "001e ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z 0040 memcpy 0046 ??3@YAXPAX@Z 007a ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 4F F0 00 43 9B 1E 0D 46 9D 42 04 46 30 D8 A3 69 AB 42 03 D2 62 69 ?? ?? ?? ?? 23 E0 CA B1 08 2D 17 D2 66 69 B5 42 38 BF 2E 46 08 2B 09 D3 67 68 26 B1 72 00 20 1D 39 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 07 23 C4 E9 05 63 23 1D 00 22 23 F8 16 20 08 E0 45 B9 08 2B 01 D3 63 68 00 E0 23 1D 00 22 62 61 1A 80 0D B1 01 20 00 E0 00 20 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_758_1 {
	meta:
		name = "?_Hash_seq@std@@YAIPBEI@Z"
		size = 44
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 07 48 00 22 39 B1 04 4C 53 5D 52 1C 43 40 03 FB 04 F0 8A 42 F8 D3 BD E8 30 88 93 01 00 01 C5 9D 1C 81 }
	condition:
		$1
}

rule file_17_761_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ"
		size = 90
		refs = "003a _guard_check_icall"
		altNames = "?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 2E 68 FE B1 F3 69 1B 68 13 B1 F3 6A 1B 68 00 E0 00 23 00 2B 09 DD F2 6A 13 68 5B 1E 13 60 F2 69 11 68 8B 1C 13 60 08 88 06 E0 33 68 DC 69 20 46 ?? ?? ?? ?? 30 46 A0 47 4F F6 FF 73 98 42 18 BF 00 23 02 D1 00 23 2B 60 01 23 2B 71 BD E8 78 88 }
	condition:
		$1
}

rule file_17_765_1 {
	meta:
		name = "?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 364
		refs = "001e _Getcvt 002c memcpy 0030 localeconv 004a strlen 0056 calloc 005c ?_Xbad_alloc@std@@YAXXZ 0080 ??$_Getvals@G@?$_Mpunct@G@std@@IAAXGPBUlconv@@@Z 00f2 _errno 00fa _invalid_parameter_noinfo 0164 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0168 ??_C@_04FJCIEOIB@$?$CLxv?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8F B0 6F 46 04 46 6F F0 01 03 3C 60 17 F1 10 00 92 46 C7 E9 02 33 ?? ?? ?? ?? 04 F1 2C 00 17 F1 10 01 2C 22 ?? ?? ?? ?? ?? ?? ?? ?? 4F F0 00 09 C4 F8 08 90 C4 E9 04 99 C4 F8 18 90 05 46 EE 69 30 46 ?? ?? ?? ?? 00 F1 01 08 40 46 01 21 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? B8 F1 00 0F 08 D0 82 1B 33 78 A8 F1 01 08 93 55 76 1C B8 F1 00 0F F7 D1 A0 60 20 46 2A 46 00 21 ?? ?? ?? ?? 94 F8 28 20 12 B1 95 F9 28 30 01 E0 95 F9 29 30 E3 61 00 2B 01 DB 7F 2B 01 DB C4 F8 1C 90 95 F9 2E 10 95 F9 2A 30 95 F9 2B 00 8A B9 02 28 0F D8 01 2B 0D D8 04 29 0B D8 03 EB 40 03 DF F8 A0 90 03 EB 83 03 0B 44 DF F8 9C 80 09 EB 83 03 04 E0 DF F8 90 80 DF F8 88 90 43 46 14 F1 20 02 06 D0 1B B1 1B 68 16 26 13 60 07 E0 00 23 13 60 ?? ?? ?? ?? 16 26 06 60 ?? ?? ?? ?? 94 F8 28 30 95 F9 2F 20 95 F9 2C 10 95 F9 2D 00 63 B9 02 28 0A D8 01 29 08 D8 04 2A 06 D8 01 EB 40 03 03 EB 83 03 13 44 09 EB 83 08 14 F1 24 02 08 D0 B8 F1 00 0F 03 D0 D8 F8 00 30 13 60 06 E0 00 23 13 60 ?? ?? ?? ?? 06 60 ?? ?? ?? ?? BA F1 00 0F 02 D0 03 4B C4 E9 08 33 0F B0 BD E8 F0 8F FE DE 24 2B 78 76 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_331_1 {
	meta:
		name = "?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 364
		refs = "001e _Getcvt 002c memcpy 0030 localeconv 004a strlen 0056 calloc 005c ?_Xbad_alloc@std@@YAXXZ 0080 ??$_Getvals@D@?$_Mpunct@D@std@@IAAXDPBUlconv@@@Z 00f2 _errno 00fa _invalid_parameter_noinfo 0164 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0168 ??_C@_04FJCIEOIB@$?$CLxv?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8F B0 6F 46 04 46 6F F0 01 03 3C 60 17 F1 10 00 92 46 C7 E9 02 33 ?? ?? ?? ?? 04 F1 2C 00 17 F1 10 01 2C 22 ?? ?? ?? ?? ?? ?? ?? ?? 4F F0 00 09 C4 F8 08 90 C4 E9 04 99 C4 F8 18 90 05 46 EE 69 30 46 ?? ?? ?? ?? 00 F1 01 08 40 46 01 21 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? B8 F1 00 0F 08 D0 82 1B 33 78 A8 F1 01 08 93 55 76 1C B8 F1 00 0F F7 D1 A0 60 20 46 2A 46 00 21 ?? ?? ?? ?? 94 F8 28 20 12 B1 95 F9 28 30 01 E0 95 F9 29 30 E3 61 00 2B 01 DB 7F 2B 01 DB C4 F8 1C 90 95 F9 2E 10 95 F9 2A 30 95 F9 2B 00 8A B9 02 28 0F D8 01 2B 0D D8 04 29 0B D8 03 EB 40 03 DF F8 A0 90 03 EB 83 03 0B 44 DF F8 9C 80 09 EB 83 03 04 E0 DF F8 90 80 DF F8 88 90 43 46 14 F1 20 02 06 D0 1B B1 1B 68 16 26 13 60 07 E0 00 23 13 60 ?? ?? ?? ?? 16 26 06 60 ?? ?? ?? ?? 94 F8 28 30 95 F9 2F 20 95 F9 2C 10 95 F9 2D 00 63 B9 02 28 0A D8 01 29 08 D8 04 2A 06 D8 01 EB 40 03 03 EB 83 03 13 44 09 EB 83 08 14 F1 24 02 08 D0 B8 F1 00 0F 03 D0 D8 F8 00 30 13 60 06 E0 00 23 13 60 ?? ?? ?? ?? 06 60 ?? ?? ?? ?? BA F1 00 0F 02 D0 03 4B C4 E9 08 33 0F B0 BD E8 F0 8F FE DE 24 2B 78 76 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_767_1 {
	meta:
		name = "?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 364
		refs = "001e _Getcvt 002c memcpy 0030 localeconv 004a strlen 0056 calloc 005c ?_Xbad_alloc@std@@YAXXZ 0080 ??$_Getvals@_W@?$_Mpunct@_W@std@@IAAX_WPBUlconv@@@Z 00f2 _errno 00fa _invalid_parameter_noinfo 0164 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0168 ??_C@_04FJCIEOIB@$?$CLxv?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8F B0 6F 46 04 46 6F F0 01 03 3C 60 17 F1 10 00 92 46 C7 E9 02 33 ?? ?? ?? ?? 04 F1 2C 00 17 F1 10 01 2C 22 ?? ?? ?? ?? ?? ?? ?? ?? 4F F0 00 09 C4 F8 08 90 C4 E9 04 99 C4 F8 18 90 05 46 EE 69 30 46 ?? ?? ?? ?? 00 F1 01 08 40 46 01 21 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? B8 F1 00 0F 08 D0 82 1B 33 78 A8 F1 01 08 93 55 76 1C B8 F1 00 0F F7 D1 A0 60 20 46 2A 46 00 21 ?? ?? ?? ?? 94 F8 28 20 12 B1 95 F9 28 30 01 E0 95 F9 29 30 E3 61 00 2B 01 DB 7F 2B 01 DB C4 F8 1C 90 95 F9 2E 10 95 F9 2A 30 95 F9 2B 00 8A B9 02 28 0F D8 01 2B 0D D8 04 29 0B D8 03 EB 40 03 DF F8 A0 90 03 EB 83 03 0B 44 DF F8 9C 80 09 EB 83 03 04 E0 DF F8 90 80 DF F8 88 90 43 46 14 F1 20 02 06 D0 1B B1 1B 68 16 26 13 60 07 E0 00 23 13 60 ?? ?? ?? ?? 16 26 06 60 ?? ?? ?? ?? 94 F8 28 30 95 F9 2F 20 95 F9 2C 10 95 F9 2D 00 63 B9 02 28 0A D8 01 29 08 D8 04 2A 06 D8 01 EB 40 03 03 EB 83 03 13 44 09 EB 83 08 14 F1 24 02 08 D0 B8 F1 00 0F 03 D0 D8 F8 00 30 13 60 06 E0 00 23 13 60 ?? ?? ?? ?? 06 60 ?? ?? ?? ?? BA F1 00 0F 02 D0 03 4B C4 E9 08 33 0F B0 BD E8 F0 8F FE DE 24 2B 78 76 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_769_1 {
	meta:
		name = "?_Init@?$codecvt@GDU_Mbstatet@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 36
		refs = "000e _Getcvt 001a memcpy"
		altNames = "?_Init@?$codecvt@_WDU_Mbstatet@@@std@@IAAXABV_Locinfo@2@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 8B B0 04 46 68 46 ?? ?? ?? ?? 69 46 2C 22 04 F1 08 00 ?? ?? ?? ?? 0B B0 BD E8 10 88 }
	condition:
		$1
}

rule file_17_771_1 {
	meta:
		name = "?_Init@?$collate@G@std@@IAAXABV_Locinfo@2@@Z"
		size = 28
		refs = "000c _Getcoll"
		altNames = "?_Init@?$collate@D@std@@IAAXABV_Locinfo@2@@Z ?_Init@?$collate@_W@std@@IAAXABV_Locinfo@2@@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 68 46 ?? ?? ?? ?? 00 9B A3 60 01 9B E3 60 BD E8 1E 88 }
	condition:
		$1
}

rule file_17_773_1 {
	meta:
		name = "?_Init@?$ctype@G@std@@IAAXABV_Locinfo@2@@Z"
		size = 52
		refs = "000e _Getctype 001e _Getcvt 002a memcpy"
		altNames = "?_Init@?$ctype@_W@std@@IAAXABV_Locinfo@2@@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 90 B0 07 46 68 46 ?? ?? ?? ?? 6D 46 1E CD 07 F1 08 06 1E C6 04 A8 ?? ?? ?? ?? 04 A9 2C 22 07 F1 18 00 ?? ?? ?? ?? 10 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_17_785_1 {
	meta:
		name = "?_Init@?$numpunct@G@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 284
		refs = "0008 __security_push_cookie 0020 localeconv 002a _Getcvt 0038 memcpy 005c strlen 0066 calloc 006c ?_Xbad_alloc@std@@YAXXZ 008a ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 00c0 _Mbrtowc 0102 ??$_Getvals@G@?$numpunct@G@std@@IAAXGPBUlconv@@U_Cvtvec@@@Z 0108 __security_pop_cookie 0110 ??_C@_04LOAJBDKD@true?$AA@ 0114 ??_C@_05LAPONLG@false?$AA@ 0118 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9D B0 6F 46 8A B0 6F F0 01 03 05 46 C7 E9 04 33 7D 60 90 46 ?? ?? ?? ?? 81 46 17 F1 18 00 ?? ?? ?? ?? 17 F1 48 00 17 F1 18 01 2C 22 ?? ?? ?? ?? 00 23 AB 60 C5 E9 04 33 17 F1 18 00 ?? ?? ?? ?? B8 F1 00 0F 01 D0 31 4C 01 E0 D9 F8 08 40 20 46 ?? ?? ?? ?? 46 1C 30 46 01 21 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 36 B1 02 1B 23 78 76 1E 13 55 64 1C 00 2E F9 D1 A8 60 24 48 17 F1 48 02 00 21 ?? ?? ?? ?? 28 61 1F 48 17 F1 48 02 00 21 ?? ?? ?? ?? 68 61 B8 F1 00 0F 24 D0 2E 23 3B 70 00 23 BB 80 C7 E9 02 33 17 F1 48 03 00 93 17 F1 08 03 39 46 38 1D 01 22 ?? ?? ?? ?? BB 88 39 46 38 1D AB 81 2C 23 3B 70 00 23 BB 80 C7 E9 02 33 17 F1 48 03 00 93 17 F1 08 03 01 22 ?? ?? ?? ?? BB 88 EB 81 0B E0 68 46 17 F1 4C 01 28 22 ?? ?? ?? ?? BB 6C 4A 46 00 21 28 46 ?? ?? ?? ?? 27 B0 ?? ?? ?? ?? BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_786_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 20
		refs = "0006 ?_Tidy@?$numpunct@G@std@@AAAXXZ 000e _CxxThrowException"
	strings:
		$1 = { 10 B5 8A B0 78 68 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_787_1 {
	meta:
		name = "?_Init@?$numpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z"
		size = 276
		refs = "0008 __security_push_cookie 0020 localeconv 002a _Getcvt 0038 memcpy 005c strlen 0066 calloc 006c ?_Xbad_alloc@std@@YAXXZ 008a ??$_Maklocstr@_W@std@@YAPA_WPBDPA_WABU_Cvtvec@@@Z 00c0 _Mbrtowc 00fe __security_pop_cookie 0108 ??_C@_04LOAJBDKD@true?$AA@ 010c ??_C@_05LAPONLG@false?$AA@ 0110 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9D B0 6F 46 82 B0 6F F0 01 03 05 46 C7 E9 04 33 7D 60 91 46 ?? ?? ?? ?? 80 46 17 F1 18 00 ?? ?? ?? ?? 17 F1 48 00 17 F1 18 01 2C 22 ?? ?? ?? ?? 00 23 AB 60 C5 E9 04 33 17 F1 18 00 ?? ?? ?? ?? B9 F1 00 0F 01 D0 2F 4C 01 E0 D8 F8 08 40 20 46 ?? ?? ?? ?? 46 1C 30 46 01 21 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 36 B1 02 1B 23 78 76 1E 13 55 64 1C 00 2E F9 D1 A8 60 22 48 17 F1 48 02 00 21 ?? ?? ?? ?? 28 61 1D 48 17 F1 48 02 00 21 ?? ?? ?? ?? 68 61 B9 F1 00 0F 23 D0 2E 23 3B 70 00 23 BB 80 C7 E9 02 33 17 F1 48 03 00 93 17 F1 08 03 39 46 38 1D 01 22 ?? ?? ?? ?? BB 88 39 46 38 1D AB 81 2C 23 3B 70 00 23 BB 80 C7 E9 02 33 17 F1 48 03 00 93 17 F1 08 03 01 22 ?? ?? ?? ?? BB 88 06 E0 D8 F8 30 30 1B 88 AB 81 D8 F8 34 30 1B 88 EB 81 1F B0 ?? ?? ?? ?? BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_788_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z$0"
		size = 18
		refs = "0004 ?_Tidy@?$numpunct@_W@std@@AAAXXZ 000c _CxxThrowException"
	strings:
		$1 = { 1C B5 78 68 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_789_1 {
	meta:
		name = "?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 54
		refs = "0024 ??$_Getvals@G@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXGABV_Locinfo@1@@Z 0028 _Getdateorder"
	strings:
		$1 = { 03 B4 2D E9 9C 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 00 23 04 46 C4 E9 02 33 23 61 BC 61 0A 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 60 61 BD E8 9C 08 5D F8 0C FB }
	condition:
		$1
}

rule file_99_338_1 {
	meta:
		name = "?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 54
		refs = "0024 ??$_Getvals@D@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXDABV_Locinfo@1@@Z 0028 _Getdateorder"
	strings:
		$1 = { 03 B4 2D E9 9C 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 00 23 04 46 C4 E9 02 33 23 61 BC 61 0A 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 60 61 BD E8 9C 08 5D F8 0C FB }
	condition:
		$1
}

rule file_17_791_1 {
	meta:
		name = "?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 54
		refs = "0024 ??$_Getvals@_W@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAX_WABV_Locinfo@1@@Z 0028 _Getdateorder"
	strings:
		$1 = { 03 B4 2D E9 9C 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 00 23 04 46 C4 E9 02 33 23 61 BC 61 0A 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 60 61 BD E8 9C 08 5D F8 0C FB }
	condition:
		$1
}

rule file_17_790_1 {
	meta:
		name = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z$0"
		size = 18
		refs = "0004 ?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AAAXXZ 000c _CxxThrowException"
	strings:
		$1 = { 10 B5 B8 69 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_339_1 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z$0"
		size = 18
		refs = "0004 ?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AAAXXZ 000c _CxxThrowException"
	strings:
		$1 = { 10 B5 B8 69 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_792_1 {
	meta:
		name = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z$0"
		size = 18
		refs = "0004 ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AAAXXZ 000c _CxxThrowException"
	strings:
		$1 = { 10 B5 B8 69 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_793_1 {
	meta:
		name = "?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 38
		refs = "0010 ?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 001e free"
		altNames = "?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0B 46 04 46 18 46 69 46 ?? ?? ?? ?? 03 68 A3 60 00 23 03 60 00 98 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_99_340_1 {
	meta:
		name = "?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z"
		size = 38
		refs = "0010 ?_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 001e free"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0B 46 04 46 18 46 69 46 ?? ?? ?? ?? 03 68 A3 60 00 23 03 60 00 98 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_17_797_1 {
	meta:
		name = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NPBG@Z"
		size = 54
		altNames = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 99 B1 82 69 08 2A 01 D3 43 68 00 E0 03 1D 99 42 0B D3 08 2A 01 D3 42 68 00 E0 02 1D 43 69 02 EB 43 03 8B 42 88 BF 01 20 00 D8 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_17_799_1 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z"
		size = 880
		refs = "000a __security_push_cookie 0072 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0076 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0086 _guard_check_icall 00aa ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 00e0 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0112 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0166 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 01be ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 02c0 _invalid_parameter_noinfo_noreturn 032a ??3@YAXPAX@Z 0364 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 98 B0 6F 46 39 61 D7 F8 A4 60 D7 F8 98 00 D7 F8 A0 90 6F F0 01 03 B8 60 C7 E9 06 33 46 B1 99 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 43 69 03 F4 60 63 B3 F5 00 6F 10 D1 08 F1 02 02 B2 42 0C D8 19 F9 08 30 09 EB 08 01 30 2B 06 D1 91 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 39 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 20 00 00 22 31 46 ?? ?? ?? ?? BB 6B 08 2B 01 D3 7D 6A 01 E0 17 F1 24 05 DA F8 00 20 D4 6A 20 46 ?? ?? ?? ?? 50 46 49 46 06 EB 09 02 2B 46 A0 47 D7 F8 08 A0 39 46 50 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 40 01 48 46 ?? ?? ?? ?? D7 F8 58 E0 78 6C BE F1 10 0F 28 BF 05 46 01 D2 17 F1 44 05 95 F9 00 30 7F 2B 27 D0 00 2B 25 DD D9 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 48 46 A0 47 04 46 14 E0 95 F9 00 20 00 2A 14 DD A6 EB 08 03 9A 42 10 D2 B6 1A 31 46 23 46 01 22 17 F1 20 00 ?? ?? ?? ?? 95 F9 01 30 00 2B C8 BF 6D 1C 95 F9 00 30 7F 2B E6 D1 D7 F8 58 E0 78 6C 7E 6B DA E9 08 23 FE 60 00 2B 05 DB 00 DC 1A B1 B2 42 88 BF 94 1B 00 D8 00 24 DA F8 14 30 03 F4 E0 73 40 2B 2E D0 B3 F5 80 7F 2E D0 D7 E9 24 32 C7 E9 00 32 64 B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 7E 6B D7 F8 58 E0 78 6C D7 E9 00 32 BD 6B 79 6A 00 24 08 2D 28 BF 89 46 C7 E9 24 32 01 D2 17 F1 24 09 C2 46 C7 E9 00 32 B8 F1 00 0F 61 D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 50 E0 B3 F5 80 7F 35 D1 BD 6B 79 6A 08 2D 28 BF 89 46 01 D2 17 F1 24 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0F D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 0D 65 79 6A D7 F8 58 E0 78 6C D7 E9 00 32 C7 E9 24 32 C7 E9 00 32 74 B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 0D 65 79 6A D7 F8 58 E0 78 6C D7 E9 00 32 00 24 1F E0 BD 6B 79 6A 08 2D 28 BF 89 46 01 D2 17 F1 24 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0F D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 0D 65 D7 E9 00 32 78 6C D7 F8 58 E0 79 6A C7 E9 24 32 B0 45 01 D9 ?? ?? ?? ?? 08 2D 01 D2 17 F1 24 01 01 EB 48 05 F9 68 C7 E9 00 32 B1 EB 08 06 0B D0 35 F8 02 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 F8 58 E0 78 6C D7 E9 00 32 B9 68 00 25 C7 E9 24 32 C1 E9 08 55 C7 E9 00 32 5C B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 58 E0 78 6C D7 E9 00 32 3C 69 C4 E9 00 32 BE F1 10 0F 01 D3 ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? 00 23 3B 64 BB 6B 08 2B 02 D3 78 6A ?? ?? ?? ?? 07 23 38 6A BB 63 00 23 7B 63 BB 84 ?? ?? ?? ?? 20 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_806_1 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z"
		size = 880
		refs = "000a __security_push_cookie 0072 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0076 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0086 _guard_check_icall 00aa ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 00e0 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0112 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0166 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 01be ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 02c0 _invalid_parameter_noinfo_noreturn 032a ??3@YAXPAX@Z 0364 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 98 B0 6F 46 39 61 D7 F8 A4 60 D7 F8 98 00 D7 F8 A0 90 6F F0 01 03 B8 60 C7 E9 06 33 46 B1 99 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 43 69 03 F4 60 63 B3 F5 00 6F 10 D1 08 F1 02 02 B2 42 0C D8 19 F9 08 30 09 EB 08 01 30 2B 06 D1 91 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 39 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 20 00 00 22 31 46 ?? ?? ?? ?? BB 6B 08 2B 01 D3 7D 6A 01 E0 17 F1 24 05 DA F8 00 20 D4 6A 20 46 ?? ?? ?? ?? 50 46 49 46 06 EB 09 02 2B 46 A0 47 D7 F8 08 A0 39 46 50 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 40 01 48 46 ?? ?? ?? ?? D7 F8 58 E0 78 6C BE F1 10 0F 28 BF 05 46 01 D2 17 F1 44 05 95 F9 00 30 7F 2B 27 D0 00 2B 25 DD D9 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 48 46 A0 47 04 46 14 E0 95 F9 00 20 00 2A 14 DD A6 EB 08 03 9A 42 10 D2 B6 1A 31 46 23 46 01 22 17 F1 20 00 ?? ?? ?? ?? 95 F9 01 30 00 2B C8 BF 6D 1C 95 F9 00 30 7F 2B E6 D1 D7 F8 58 E0 78 6C 7E 6B DA E9 08 23 FE 60 00 2B 05 DB 00 DC 1A B1 B2 42 88 BF 94 1B 00 D8 00 24 DA F8 14 30 03 F4 E0 73 40 2B 2E D0 B3 F5 80 7F 2E D0 D7 E9 24 32 C7 E9 00 32 64 B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 7E 6B D7 F8 58 E0 78 6C D7 E9 00 32 BD 6B 79 6A 00 24 08 2D 28 BF 89 46 C7 E9 24 32 01 D2 17 F1 24 09 C2 46 C7 E9 00 32 B8 F1 00 0F 61 D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 50 E0 B3 F5 80 7F 35 D1 BD 6B 79 6A 08 2D 28 BF 89 46 01 D2 17 F1 24 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0F D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 0D 65 79 6A D7 F8 58 E0 78 6C D7 E9 00 32 C7 E9 24 32 C7 E9 00 32 74 B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 0D 65 79 6A D7 F8 58 E0 78 6C D7 E9 00 32 00 24 1F E0 BD 6B 79 6A 08 2D 28 BF 89 46 01 D2 17 F1 24 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0F D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 0D 65 D7 E9 00 32 78 6C D7 F8 58 E0 79 6A C7 E9 24 32 B0 45 01 D9 ?? ?? ?? ?? 08 2D 01 D2 17 F1 24 01 01 EB 48 05 F9 68 C7 E9 00 32 B1 EB 08 06 0B D0 35 F8 02 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 F8 58 E0 78 6C D7 E9 00 32 B9 68 00 25 C7 E9 24 32 C1 E9 08 55 C7 E9 00 32 5C B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 58 E0 78 6C D7 E9 00 32 3C 69 C4 E9 00 32 BE F1 10 0F 01 D3 ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? 00 23 3B 64 BB 6B 08 2B 02 D3 78 6A ?? ?? ?? ?? 07 23 38 6A BB 63 00 23 7B 63 BB 84 ?? ?? ?? ?? 20 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_813_1 {
	meta:
		name = "?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 1924
		refs = "0026 ?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 004e ??0_Lockit@std@@QAA@H@Z 0060 ??1_Lockit@std@@QAA@XZ 006a ??2@YAPAXI@Z 0080 _Getctype 0094 _Getcvt 00a2 memcpy 00b2 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z 00dc ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0196 ??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 01ca ??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0222 ?_Init@?$numpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 024e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0260 ?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 02b2 _Getcoll 02e6 ??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z 035c ??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z 040e ??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0440 ??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 049e ?_Init@?$_Mpunct@G@std@@IAAXABV_Locinfo@2@_N@Z 0524 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 0556 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 05ae ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 05fa ?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0608 free 0634 ??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0666 ??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0678 ?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 06fe ??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z 0714 ??_7?$codecvt@GDU_Mbstatet@@@std@@6B@ 0718 ?id@?$codecvt@GDU_Mbstatet@@@std@@2V0locale@2@A 071c ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0720 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0724 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0728 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 072c ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0730 ??_7?$moneypunct@G$00@std@@6B@ 0734 ??_7?$moneypunct@G$0A@@std@@6B@ 0738 ??_7?$_Mpunct@G@std@@6B@ 073c ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 0740 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0744 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0748 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 074c ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0750 ??_7?$messages@G@std@@6B@ 0754 ?id@?$messages@G@std@@2V0locale@2@A 0758 ??_7?$collate@G@std@@6B@ 075c ?id@?$collate@G@std@@2V0locale@2@A 0760 ??_7?$numpunct@G@std@@6B@ 0764 ?id@?$numpunct@G@std@@2V0locale@2@A 0768 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 076c ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0770 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0774 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0778 ??_7?$ctype@G@std@@6B@ 077c ?id@?$ctype@G@std@@2V0locale@2@A 0780 ?_Id_cnt@id@locale@std@@0HA"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 95 B0 6F 46 98 46 6F F0 01 03 C7 E9 04 33 00 23 8A 46 C7 E9 02 01 00 21 00 20 3B 60 91 46 ?? ?? ?? ?? 01 23 03 FA 00 F4 DF F8 4C 67 1A EA 64 0F 57 D0 DF F8 40 47 B8 F1 00 0F 25 68 3A D1 3D 60 75 B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 23 68 3B 60 44 20 ?? ?? ?? ?? 82 46 D0 B1 00 23 43 60 DF F8 00 37 03 60 17 F1 18 00 ?? ?? ?? ?? 17 F1 18 04 0F CC 0A F1 08 05 0F C5 17 F1 28 00 ?? ?? ?? ?? 17 F1 28 01 2C 22 0A F1 18 00 ?? ?? ?? ?? 01 E0 4F F0 00 0A 3A 68 51 46 48 46 ?? ?? ?? ?? D7 F8 0C A0 16 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? 1A F0 08 0A 73 D0 DF F8 80 46 B8 F1 00 0F 25 68 3C D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 28 B1 00 23 43 60 DF F8 48 36 03 60 00 E0 00 20 01 46 48 46 2A 46 ?? ?? ?? ?? DF F8 2C 46 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 28 B1 00 23 43 60 DF F8 00 36 03 60 2D E0 00 20 2B E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? DF F8 C0 45 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? BA F1 00 0F 3E D0 DF F8 84 45 B8 F1 00 0F 25 68 21 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 18 20 ?? ?? ?? ?? 04 46 3C 60 4C B1 00 23 63 60 DF F8 44 35 B9 68 00 22 23 60 ?? ?? ?? ?? 00 E0 00 24 21 46 12 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? D7 F8 0C A0 01 23 83 40 1A EA 63 0F 40 D0 DF F8 E8 44 B8 F1 00 0F 25 68 23 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 10 20 ?? ?? ?? ?? 04 46 64 B1 00 23 63 60 DF F8 AC 34 38 46 23 60 ?? ?? ?? ?? 3B 68 A3 60 7B 68 E3 60 00 E0 00 24 21 46 12 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? 1A F0 20 0F 37 D0 DF F8 58 44 B8 F1 00 0F 25 68 1A D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 28 B1 00 23 43 60 DF F8 1C 34 03 60 13 E0 00 20 11 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? 1A F0 04 0A 6E D0 F6 4C B8 F1 00 0F 25 68 39 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 E8 4B 03 60 00 E0 00 20 01 46 48 46 2A 46 ?? ?? ?? ?? E2 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 D7 4B 03 60 2C E0 00 20 2A E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? C8 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? BA F1 00 0F 00 F0 87 80 B9 4C B8 F1 00 0F 25 68 51 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 58 20 ?? ?? ?? ?? 04 46 3C 60 DF F8 AC A2 64 B1 00 23 63 60 B9 68 00 22 C0 F8 00 A0 80 F8 28 30 ?? ?? ?? ?? A4 4B 23 60 00 E0 00 24 2A 46 21 46 48 46 ?? ?? ?? ?? 9D 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 58 20 ?? ?? ?? ?? 04 46 3C 60 6C B1 00 23 63 60 B9 68 01 23 00 22 C0 F8 00 A0 80 F8 28 30 ?? ?? ?? ?? 8D 4B 23 60 00 E0 00 24 21 46 2B E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? 7E 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? D7 F8 0C A0 1A F0 10 0F 00 F0 82 80 6D 4C B8 F1 00 0F 25 68 4C D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 44 20 ?? ?? ?? ?? 04 46 3C 60 3C B1 00 23 63 60 5E 4B B9 68 23 60 ?? ?? ?? ?? 00 E0 00 24 2A 46 21 46 48 46 ?? ?? ?? ?? 56 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 0C 20 ?? ?? ?? ?? 04 46 84 B1 4C 4B B8 68 00 22 C4 E9 00 32 39 46 A2 60 ?? ?? ?? ?? 03 68 A3 60 00 23 03 60 38 68 ?? ?? ?? ?? 00 E0 00 24 21 46 2B E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? 36 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 23 83 40 1A EA 63 0F 42 D0 24 4C B8 F1 00 0F 25 68 26 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 34 20 ?? ?? ?? ?? 04 46 7C B1 00 23 63 60 15 4B 17 F1 28 00 23 60 ?? ?? ?? ?? 17 F1 28 01 2C 22 04 F1 08 00 ?? ?? ?? ?? 00 E0 00 24 21 46 12 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? 15 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_822_1 {
	meta:
		name = "?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 1924
		refs = "0026 ?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 004e ??0_Lockit@std@@QAA@H@Z 0060 ??1_Lockit@std@@QAA@XZ 006a ??2@YAPAXI@Z 0080 _Getctype 0094 _Getcvt 00a2 memcpy 00b2 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z 00dc ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0196 ??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 01ca ??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0222 ?_Init@?$numpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 024e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0260 ?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 02b2 _Getcoll 02e6 ??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z 035c ??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z 040e ??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0440 ??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 049e ?_Init@?$_Mpunct@_W@std@@IAAXABV_Locinfo@2@_N@Z 0524 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 0556 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 05ae ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 05fa ?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0608 free 0634 ??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0666 ??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0678 ?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 06fe ??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z 0714 ??_7?$codecvt@_WDU_Mbstatet@@@std@@6B@ 0718 ?id@?$codecvt@_WDU_Mbstatet@@@std@@2V0locale@2@A 071c ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0720 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0724 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0728 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 072c ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0730 ??_7?$moneypunct@_W$00@std@@6B@ 0734 ??_7?$moneypunct@_W$0A@@std@@6B@ 0738 ??_7?$_Mpunct@_W@std@@6B@ 073c ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 0740 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0744 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0748 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 074c ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0750 ??_7?$messages@_W@std@@6B@ 0754 ?id@?$messages@_W@std@@2V0locale@2@A 0758 ??_7?$collate@_W@std@@6B@ 075c ?id@?$collate@_W@std@@2V0locale@2@A 0760 ??_7?$numpunct@_W@std@@6B@ 0764 ?id@?$numpunct@_W@std@@2V0locale@2@A 0768 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 076c ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0770 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0774 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0778 ??_7?$ctype@_W@std@@6B@ 077c ?id@?$ctype@_W@std@@2V0locale@2@A 0780 ?_Id_cnt@id@locale@std@@0HA"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 95 B0 6F 46 98 46 6F F0 01 03 C7 E9 04 33 00 23 8A 46 C7 E9 02 01 00 21 00 20 3B 60 91 46 ?? ?? ?? ?? 01 23 03 FA 00 F4 DF F8 4C 67 1A EA 64 0F 57 D0 DF F8 40 47 B8 F1 00 0F 25 68 3A D1 3D 60 75 B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 23 68 3B 60 44 20 ?? ?? ?? ?? 82 46 D0 B1 00 23 43 60 DF F8 00 37 03 60 17 F1 18 00 ?? ?? ?? ?? 17 F1 18 04 0F CC 0A F1 08 05 0F C5 17 F1 28 00 ?? ?? ?? ?? 17 F1 28 01 2C 22 0A F1 18 00 ?? ?? ?? ?? 01 E0 4F F0 00 0A 3A 68 51 46 48 46 ?? ?? ?? ?? D7 F8 0C A0 16 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? 1A F0 08 0A 73 D0 DF F8 80 46 B8 F1 00 0F 25 68 3C D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 28 B1 00 23 43 60 DF F8 48 36 03 60 00 E0 00 20 01 46 48 46 2A 46 ?? ?? ?? ?? DF F8 2C 46 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 28 B1 00 23 43 60 DF F8 00 36 03 60 2D E0 00 20 2B E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? DF F8 C0 45 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? BA F1 00 0F 3E D0 DF F8 84 45 B8 F1 00 0F 25 68 21 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 18 20 ?? ?? ?? ?? 04 46 3C 60 4C B1 00 23 63 60 DF F8 44 35 B9 68 00 22 23 60 ?? ?? ?? ?? 00 E0 00 24 21 46 12 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? D7 F8 0C A0 01 23 83 40 1A EA 63 0F 40 D0 DF F8 E8 44 B8 F1 00 0F 25 68 23 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 10 20 ?? ?? ?? ?? 04 46 64 B1 00 23 63 60 DF F8 AC 34 38 46 23 60 ?? ?? ?? ?? 3B 68 A3 60 7B 68 E3 60 00 E0 00 24 21 46 12 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? 1A F0 20 0F 37 D0 DF F8 58 44 B8 F1 00 0F 25 68 1A D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 28 B1 00 23 43 60 DF F8 1C 34 03 60 13 E0 00 20 11 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? 1A F0 04 0A 6E D0 F6 4C B8 F1 00 0F 25 68 39 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 E8 4B 03 60 00 E0 00 20 01 46 48 46 2A 46 ?? ?? ?? ?? E2 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 D7 4B 03 60 2C E0 00 20 2A E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? C8 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? BA F1 00 0F 00 F0 87 80 B9 4C B8 F1 00 0F 25 68 51 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 58 20 ?? ?? ?? ?? 04 46 3C 60 DF F8 AC A2 64 B1 00 23 63 60 B9 68 00 22 C0 F8 00 A0 80 F8 28 30 ?? ?? ?? ?? A4 4B 23 60 00 E0 00 24 2A 46 21 46 48 46 ?? ?? ?? ?? 9D 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 58 20 ?? ?? ?? ?? 04 46 3C 60 6C B1 00 23 63 60 B9 68 01 23 00 22 C0 F8 00 A0 80 F8 28 30 ?? ?? ?? ?? 8D 4B 23 60 00 E0 00 24 21 46 2B E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? 7E 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? D7 F8 0C A0 1A F0 10 0F 00 F0 82 80 6D 4C B8 F1 00 0F 25 68 4C D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 44 20 ?? ?? ?? ?? 04 46 3C 60 3C B1 00 23 63 60 5E 4B B9 68 23 60 ?? ?? ?? ?? 00 E0 00 24 2A 46 21 46 48 46 ?? ?? ?? ?? 56 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 0C 20 ?? ?? ?? ?? 04 46 84 B1 4C 4B B8 68 00 22 C4 E9 00 32 39 46 A2 60 ?? ?? ?? ?? 03 68 A3 60 00 23 03 60 38 68 ?? ?? ?? ?? 00 E0 00 24 21 46 2B E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 48 46 2A 46 ?? ?? ?? ?? 36 4C 25 68 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? 00 21 00 20 ?? ?? ?? ?? 01 23 83 40 1A EA 63 0F 42 D0 24 4C B8 F1 00 0F 25 68 26 D1 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 34 20 ?? ?? ?? ?? 04 46 7C B1 00 23 63 60 15 4B 17 F1 28 00 23 60 ?? ?? ?? ?? 17 F1 28 01 2C 22 04 F1 08 00 ?? ?? ?? ?? 00 E0 00 24 21 46 12 E0 6D B9 38 46 00 21 ?? ?? ?? ?? 23 68 1B B9 33 68 5B 1C 33 60 23 60 38 46 ?? ?? ?? ?? 25 68 40 46 ?? ?? ?? ?? 01 46 2A 46 48 46 ?? ?? ?? ?? 15 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_831_1 {
	meta:
		name = "?_Maklocwcs@std@@YAPA_WPB_W@Z"
		size = 48
		refs = "000a wcslen 0014 calloc 0020 memcpy 002a ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 ?? ?? ?? ?? 46 1C 30 46 02 21 ?? ?? ?? ?? 04 46 34 B1 72 00 29 46 ?? ?? ?? ?? 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_832_1 {
	meta:
		name = "?_Makpat@?$_Mpunct@G@std@@AAAXAAUpattern@money_base@2@III@Z"
		size = 88
		refs = "003c _errno 0048 _invalid_parameter_noinfo 0050 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 0054 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@"
		altNames = "?_Makpat@?$_Mpunct@D@std@@AAAXAAUpattern@money_base@2@III@Z ?_Makpat@?$_Mpunct@_W@std@@AAAXAAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F8 28 00 78 B9 02 2A 0D D8 01 2B 0B D8 02 98 04 28 08 D8 03 EB 42 03 03 EB 83 03 1A 18 0B 4B 03 EB 82 03 00 E0 08 4B 29 B1 13 B1 1B 68 0B 60 09 E0 00 23 0B 60 ?? ?? ?? ?? 16 23 03 60 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_841_1 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ"
		size = 22
		altNames = "?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 83 69 08 2B 01 D3 40 68 00 E0 00 1D BD E8 00 88 }
	condition:
		$1
}

rule file_17_864_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ"
		size = 76
		refs = "002a _guard_check_icall"
		altNames = "?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 2E 68 BE B1 F3 69 1A 68 12 B1 F3 6A 1B 68 00 E0 00 23 00 2B 01 DD 10 88 06 E0 33 68 9C 69 20 46 ?? ?? ?? ?? 30 46 A0 47 4F F6 FF 73 98 42 01 D0 E8 80 01 E0 00 23 2B 60 01 23 E8 88 2B 71 BD E8 78 88 }
	condition:
		$1
}

rule file_17_868_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ"
		size = 26
		altNames = "?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6B 13 68 5B 1E 13 60 02 6A 10 68 83 1C 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_870_1 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@I@Z"
		size = 156
		refs = "0040 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0082 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0A 9E 1C 46 CD E9 07 12 05 46 76 B3 A1 68 E9 B3 23 68 CB B3 1A 68 BA B3 93 69 08 2B 01 D3 50 68 00 E0 10 1D 88 42 2D D8 53 69 00 EB 43 03 99 42 28 D2 09 88 07 A8 ?? ?? ?? ?? A0 68 76 1E F8 B1 23 68 DB B1 1A 68 CA B1 93 69 08 2B 01 D3 51 68 00 E0 11 1D 53 69 01 EB 43 03 98 42 0C D2 83 1C A3 60 00 2E D2 D1 DD E9 07 12 C5 E9 00 12 28 46 BD E8 78 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_871_1 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@I@Z"
		size = 156
		refs = "0040 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0082 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0A 9E 1C 46 CD E9 07 12 05 46 76 B3 A1 68 E9 B3 23 68 CB B3 1A 68 BA B3 93 69 08 2B 01 D3 50 68 00 E0 10 1D 88 42 2D D8 53 69 00 EB 43 03 99 42 28 D2 09 88 07 A8 ?? ?? ?? ?? A0 68 76 1E F8 B1 23 68 DB B1 1A 68 CA B1 93 69 08 2B 01 D3 51 68 00 E0 11 1D 53 69 01 EB 43 03 98 42 0C D2 83 1C A3 60 00 2E D2 D1 DD E9 07 12 C5 E9 00 12 28 46 BD E8 78 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_872_1 {
	meta:
		name = "?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z"
		size = 54
		refs = "001c ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0B 9E CD E9 08 23 0C 46 4E B1 0A 9D 35 F8 02 1B 08 A8 ?? ?? ?? ?? 76 1E F8 D1 DD E9 08 23 C4 E9 00 23 20 46 BD E8 78 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_873_1 {
	meta:
		name = "?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z"
		size = 54
		refs = "001c ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0B 9E CD E9 08 23 0C 46 4E B1 0A 9D 35 F8 02 1B 08 A8 ?? ?? ?? ?? 76 1E F8 D1 DD E9 08 23 C4 E9 00 23 20 46 BD E8 78 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_874_1 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 1794
		refs = "000a __security_push_cookie 003a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003e ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0052 _guard_check_icall 0078 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 00ae ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e2 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 0186 ??2@YAPAXI@Z 018c _invalid_parameter_noinfo_noreturn 01d8 ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01f6 ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0200 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 0210 ??3@YAXPAX@Z 0278 ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0366 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 03ca ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 03f4 ?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@I@Z 04fa ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0504 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z 0634 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z 06a6 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 06da ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 06ee ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ 06f6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? F6 B0 6F 46 82 B0 D7 F8 14 92 D7 F8 20 A2 6F F0 01 03 C7 E9 3C 33 C7 F8 18 90 C7 F8 9C A0 B9 64 97 F8 10 32 48 46 E3 B1 17 F1 A0 01 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 BE 60 D7 F8 A4 50 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1B E0 17 F1 A8 01 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 BE 60 D7 F8 AC 50 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F5 DC 71 30 46 ?? ?? ?? ?? 33 68 5C 6A 20 46 ?? ?? ?? ?? 30 46 A0 47 80 EA E0 73 A3 EB E0 78 DA F8 14 30 C7 F8 40 80 43 45 09 D8 A8 EB 03 03 5A 1C B7 F8 24 32 00 21 50 46 ?? ?? ?? ?? 48 E0 D7 F8 D0 11 D7 F8 BC 21 10 29 28 BF 13 46 01 D2 17 F5 DE 73 93 F9 00 30 7F 2B 3A D0 10 29 01 D2 17 F5 DE 72 92 F9 00 30 00 2B 32 DD 33 68 1C 69 20 46 ?? ?? ?? ?? 30 46 A0 47 D7 F8 D0 31 78 60 10 2B 02 D3 D7 F8 BC 41 01 E0 17 F5 DE 74 DA F8 14 30 A3 EB 08 05 94 F9 00 30 7F 2B 19 D0 D7 F8 04 90 94 F9 00 30 00 2B 11 DD AB 42 0F D2 ED 1A 29 46 4B 46 01 22 50 46 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 30 7F 2B E9 D1 D7 F8 18 90 00 23 08 20 C7 F8 58 31 C7 E9 5B 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 58 01 C0 E9 00 32 D7 F8 58 31 17 F5 AC 72 1A 60 07 23 C7 F8 70 31 00 23 C7 F8 6C 31 A7 F8 5C 31 97 F8 1C 32 00 2B 33 68 0E D0 DC 6A 20 46 ?? ?? ?? ?? 30 46 39 1D A0 47 7B 68 17 F5 CC 71 30 46 7B 60 ?? ?? ?? ?? 0D E0 9C 6A 20 46 ?? ?? ?? ?? 30 46 39 1D A0 47 7B 68 17 F5 CC 71 30 46 7B 60 ?? ?? ?? ?? 01 46 17 F5 AC 70 ?? ?? ?? ?? D7 F8 B0 31 08 2B 03 D3 D7 F8 9C 01 ?? ?? ?? ?? 07 23 D7 F8 98 01 C7 F8 B0 31 00 23 C7 F8 AC 31 A7 F8 9C 31 ?? ?? ?? ?? 00 23 08 20 C7 F8 78 31 C7 E9 63 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 78 01 C0 E9 00 32 D7 F8 78 31 17 F5 BC 72 00 20 1A 60 07 23 C7 E9 63 03 00 23 A7 F8 7C 31 38 60 D9 F8 14 30 13 F0 08 0F 20 D0 17 F5 CC 71 30 46 ?? ?? ?? ?? 01 46 17 F5 BC 70 ?? ?? ?? ?? D7 F8 B0 31 08 2B 03 D3 D7 F8 9C 01 ?? ?? ?? ?? 07 23 D7 F8 98 01 C7 F8 B0 31 00 23 C7 F8 AC 31 A7 F8 9C 31 ?? ?? ?? ?? D7 F8 8C 01 38 60 D7 F8 6C 91 00 22 00 21 3E 1D 4F F0 00 0E 8B 57 20 2B 1F D0 24 2B 1B D0 2B 2B 17 D0 76 2B 02 D0 78 2B 18 D0 1B E0 DA F8 14 40 B8 F1 00 0F 18 BF 01 25 08 BF 00 25 44 45 03 D8 A8 EB 04 03 5B 1C 00 E0 00 23 23 44 2B 44 1A 44 08 E0 4A 44 06 E0 02 44 04 E0 52 1C 03 29 01 D0 4F F0 01 0E 49 1C 04 29 D4 D3 B8 69 BE 68 D0 E9 08 13 00 2B 06 DB 00 DC 21 B1 91 42 02 D9 A1 EB 02 08 01 E0 4F F0 00 08 43 69 4F F4 80 72 03 F4 E0 73 7B 64 40 2B 22 D0 93 42 02 D1 BE F1 00 0F 1D D1 D7 E9 82 45 B8 F1 00 0F C7 E9 02 45 11 D0 B7 F8 18 12 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 8C 31 D7 F8 6C 91 D7 E9 02 45 3B 60 4F F4 80 72 C7 E9 82 45 4F F0 00 08 01 E0 D7 E9 82 45 00 23 BB 60 39 1D 5B 56 20 2B 00 F0 02 81 24 2B 00 F0 E5 80 2B 2B 00 F0 C3 80 76 2B 03 D0 78 2B 00 F0 0A 81 2A E1 D7 F8 40 90 B9 F1 00 0F 27 D1 DA F8 14 90 17 F5 9C 71 50 46 ?? ?? ?? ?? 00 23 C7 E9 14 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 65 83 68 BB 65 17 F1 50 03 17 F1 F8 00 21 46 2A 46 CD F8 00 90 ?? ?? ?? ?? 04 68 D7 F8 8C 31 D7 F8 6C 91 C7 F8 08 42 45 68 3B 60 C7 F8 0C 52 FB E0 DA F8 14 30 3B 60 4B 45 3E D8 B7 F8 24 12 17 F5 02 70 ?? ?? ?? ?? 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 02 70 ?? ?? ?? ?? DA F8 14 30 D7 E9 82 45 B9 EB 03 09 C7 E9 0C 45 0A D0 B7 F8 24 12 17 F1 30 00 ?? ?? ?? ?? B9 F1 01 09 F6 D1 D7 E9 0C 45 DA F8 14 90 17 F5 A4 71 50 46 C7 E9 82 45 ?? ?? ?? ?? 00 23 C7 E9 18 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 66 83 68 BB 66 17 F1 60 03 17 F5 80 70 A9 E7 17 F5 84 71 50 46 ?? ?? ?? ?? 00 23 C7 E9 1C 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 67 83 68 2A 46 21 46 BB 67 3B 68 17 F1 D8 00 A3 EB 09 03 00 93 17 F1 70 03 ?? ?? ?? ?? 03 68 C7 F8 08 32 43 68 C7 F8 0C 32 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 02 70 ?? ?? ?? ?? 17 F5 8C 71 50 46 ?? ?? ?? ?? 4A 46 17 F5 94 71 ?? ?? ?? ?? 00 23 C7 E9 20 33 03 68 23 B1 1B 68 13 B1 1B 68 C7 F8 80 30 83 68 D7 E9 82 12 C7 F8 88 30 17 F1 80 03 17 F1 E0 00 5F E7 B9 F1 00 0F 6A D0 17 F1 B8 01 17 F5 AC 70 ?? ?? ?? ?? 00 23 C7 E9 24 33 03 68 23 B1 1B 68 13 B1 1B 68 C7 F8 90 30 83 68 2A 46 21 46 C7 F8 98 30 01 23 00 93 17 F1 90 03 17 F1 E8 00 42 E7 17 F1 C8 01 17 F5 BC 70 ?? ?? ?? ?? 00 23 C7 E9 08 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 62 83 68 2A 46 21 46 BB 62 3B 68 00 93 17 F1 20 03 17 F1 B0 00 28 E7 B7 F8 18 12 17 F1 38 00 C7 E9 0E 45 ?? ?? ?? ?? D7 E9 0E 45 D7 F8 8C 31 D7 F8 6C 91 C7 E9 82 45 3B 60 4F F4 80 72 7B 6C 93 42 1E D1 23 46 C7 E9 04 45 2A 46 B8 F1 00 0F 0F D0 B7 F8 18 12 17 F1 10 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 8C 31 D7 F8 6C 91 7A 69 3B 60 3B 69 1C 46 C7 E9 82 32 15 46 4F F0 00 08 4F F4 80 72 BB 68 07 F1 04 01 5B 1C BB 60 04 2B FF F4 BD AE B9 F1 01 0F 26 D9 17 F1 C8 01 17 F5 AC 70 ?? ?? ?? ?? 17 F1 B8 01 01 22 ?? ?? ?? ?? 00 23 C7 E9 08 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 62 83 68 D7 E9 82 12 BB 62 A9 F1 01 03 00 93 17 F1 20 03 17 F1 B0 00 ?? ?? ?? ?? 04 68 C7 F8 08 42 45 68 C7 F8 0C 52 BB 69 00 22 C7 E9 04 45 C3 E9 08 22 B8 F1 00 0F 0A D0 B7 F8 18 12 17 F1 10 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 E9 04 45 BE 6C C6 E9 00 45 17 F5 BC 70 00 22 01 21 ?? ?? ?? ?? D7 F8 78 01 ?? ?? ?? ?? 00 23 C7 F8 78 31 17 F5 AC 70 00 22 01 21 ?? ?? ?? ?? D7 F8 58 01 ?? ?? ?? ?? 00 23 C7 F8 58 31 17 F5 DC 70 00 22 01 21 ?? ?? ?? ?? D7 F8 B8 01 ?? ?? ?? ?? 00 23 C7 F8 B8 31 50 46 ?? ?? ?? ?? 30 46 78 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_885_1 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 1794
		refs = "000a __security_push_cookie 003a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003e ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0052 _guard_check_icall 0078 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 00ae ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e2 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 0186 ??2@YAPAXI@Z 018c _invalid_parameter_noinfo_noreturn 01d8 ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01f6 ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0200 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 0210 ??3@YAXPAX@Z 0278 ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0366 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 03ca ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 03f4 ?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@I@Z 04fa ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0504 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 0634 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 06a6 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 06da ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 06ee ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ 06f6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? F6 B0 6F 46 82 B0 D7 F8 14 92 D7 F8 20 A2 6F F0 01 03 C7 E9 3C 33 C7 F8 18 90 C7 F8 9C A0 B9 64 97 F8 10 32 48 46 E3 B1 17 F1 A0 01 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 BE 60 D7 F8 A4 50 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1B E0 17 F1 A8 01 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 BE 60 D7 F8 AC 50 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F5 DC 71 30 46 ?? ?? ?? ?? 33 68 5C 6A 20 46 ?? ?? ?? ?? 30 46 A0 47 80 EA E0 73 A3 EB E0 78 DA F8 14 30 C7 F8 40 80 43 45 09 D8 A8 EB 03 03 5A 1C B7 F8 24 32 00 21 50 46 ?? ?? ?? ?? 48 E0 D7 F8 D0 11 D7 F8 BC 21 10 29 28 BF 13 46 01 D2 17 F5 DE 73 93 F9 00 30 7F 2B 3A D0 10 29 01 D2 17 F5 DE 72 92 F9 00 30 00 2B 32 DD 33 68 1C 69 20 46 ?? ?? ?? ?? 30 46 A0 47 D7 F8 D0 31 78 60 10 2B 02 D3 D7 F8 BC 41 01 E0 17 F5 DE 74 DA F8 14 30 A3 EB 08 05 94 F9 00 30 7F 2B 19 D0 D7 F8 04 90 94 F9 00 30 00 2B 11 DD AB 42 0F D2 ED 1A 29 46 4B 46 01 22 50 46 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 30 7F 2B E9 D1 D7 F8 18 90 00 23 08 20 C7 F8 58 31 C7 E9 5B 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 58 01 C0 E9 00 32 D7 F8 58 31 17 F5 AC 72 1A 60 07 23 C7 F8 70 31 00 23 C7 F8 6C 31 A7 F8 5C 31 97 F8 1C 32 00 2B 33 68 0E D0 DC 6A 20 46 ?? ?? ?? ?? 30 46 39 1D A0 47 7B 68 17 F5 CC 71 30 46 7B 60 ?? ?? ?? ?? 0D E0 9C 6A 20 46 ?? ?? ?? ?? 30 46 39 1D A0 47 7B 68 17 F5 CC 71 30 46 7B 60 ?? ?? ?? ?? 01 46 17 F5 AC 70 ?? ?? ?? ?? D7 F8 B0 31 08 2B 03 D3 D7 F8 9C 01 ?? ?? ?? ?? 07 23 D7 F8 98 01 C7 F8 B0 31 00 23 C7 F8 AC 31 A7 F8 9C 31 ?? ?? ?? ?? 00 23 08 20 C7 F8 78 31 C7 E9 63 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 78 01 C0 E9 00 32 D7 F8 78 31 17 F5 BC 72 00 20 1A 60 07 23 C7 E9 63 03 00 23 A7 F8 7C 31 38 60 D9 F8 14 30 13 F0 08 0F 20 D0 17 F5 CC 71 30 46 ?? ?? ?? ?? 01 46 17 F5 BC 70 ?? ?? ?? ?? D7 F8 B0 31 08 2B 03 D3 D7 F8 9C 01 ?? ?? ?? ?? 07 23 D7 F8 98 01 C7 F8 B0 31 00 23 C7 F8 AC 31 A7 F8 9C 31 ?? ?? ?? ?? D7 F8 8C 01 38 60 D7 F8 6C 91 00 22 00 21 3E 1D 4F F0 00 0E 8B 57 20 2B 1F D0 24 2B 1B D0 2B 2B 17 D0 76 2B 02 D0 78 2B 18 D0 1B E0 DA F8 14 40 B8 F1 00 0F 18 BF 01 25 08 BF 00 25 44 45 03 D8 A8 EB 04 03 5B 1C 00 E0 00 23 23 44 2B 44 1A 44 08 E0 4A 44 06 E0 02 44 04 E0 52 1C 03 29 01 D0 4F F0 01 0E 49 1C 04 29 D4 D3 B8 69 BE 68 D0 E9 08 13 00 2B 06 DB 00 DC 21 B1 91 42 02 D9 A1 EB 02 08 01 E0 4F F0 00 08 43 69 4F F4 80 72 03 F4 E0 73 7B 64 40 2B 22 D0 93 42 02 D1 BE F1 00 0F 1D D1 D7 E9 82 45 B8 F1 00 0F C7 E9 02 45 11 D0 B7 F8 18 12 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 8C 31 D7 F8 6C 91 D7 E9 02 45 3B 60 4F F4 80 72 C7 E9 82 45 4F F0 00 08 01 E0 D7 E9 82 45 00 23 BB 60 39 1D 5B 56 20 2B 00 F0 02 81 24 2B 00 F0 E5 80 2B 2B 00 F0 C3 80 76 2B 03 D0 78 2B 00 F0 0A 81 2A E1 D7 F8 40 90 B9 F1 00 0F 27 D1 DA F8 14 90 17 F5 9C 71 50 46 ?? ?? ?? ?? 00 23 C7 E9 14 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 65 83 68 BB 65 17 F1 50 03 17 F1 F8 00 21 46 2A 46 CD F8 00 90 ?? ?? ?? ?? 04 68 D7 F8 8C 31 D7 F8 6C 91 C7 F8 08 42 45 68 3B 60 C7 F8 0C 52 FB E0 DA F8 14 30 3B 60 4B 45 3E D8 B7 F8 24 12 17 F5 02 70 ?? ?? ?? ?? 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 02 70 ?? ?? ?? ?? DA F8 14 30 D7 E9 82 45 B9 EB 03 09 C7 E9 0C 45 0A D0 B7 F8 24 12 17 F1 30 00 ?? ?? ?? ?? B9 F1 01 09 F6 D1 D7 E9 0C 45 DA F8 14 90 17 F5 A4 71 50 46 C7 E9 82 45 ?? ?? ?? ?? 00 23 C7 E9 18 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 66 83 68 BB 66 17 F1 60 03 17 F5 80 70 A9 E7 17 F5 84 71 50 46 ?? ?? ?? ?? 00 23 C7 E9 1C 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 67 83 68 2A 46 21 46 BB 67 3B 68 17 F1 D8 00 A3 EB 09 03 00 93 17 F1 70 03 ?? ?? ?? ?? 03 68 C7 F8 08 32 43 68 C7 F8 0C 32 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 02 70 ?? ?? ?? ?? 17 F5 8C 71 50 46 ?? ?? ?? ?? 4A 46 17 F5 94 71 ?? ?? ?? ?? 00 23 C7 E9 20 33 03 68 23 B1 1B 68 13 B1 1B 68 C7 F8 80 30 83 68 D7 E9 82 12 C7 F8 88 30 17 F1 80 03 17 F1 E0 00 5F E7 B9 F1 00 0F 6A D0 17 F1 B8 01 17 F5 AC 70 ?? ?? ?? ?? 00 23 C7 E9 24 33 03 68 23 B1 1B 68 13 B1 1B 68 C7 F8 90 30 83 68 2A 46 21 46 C7 F8 98 30 01 23 00 93 17 F1 90 03 17 F1 E8 00 42 E7 17 F1 C8 01 17 F5 BC 70 ?? ?? ?? ?? 00 23 C7 E9 08 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 62 83 68 2A 46 21 46 BB 62 3B 68 00 93 17 F1 20 03 17 F1 B0 00 28 E7 B7 F8 18 12 17 F1 38 00 C7 E9 0E 45 ?? ?? ?? ?? D7 E9 0E 45 D7 F8 8C 31 D7 F8 6C 91 C7 E9 82 45 3B 60 4F F4 80 72 7B 6C 93 42 1E D1 23 46 C7 E9 04 45 2A 46 B8 F1 00 0F 0F D0 B7 F8 18 12 17 F1 10 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 8C 31 D7 F8 6C 91 7A 69 3B 60 3B 69 1C 46 C7 E9 82 32 15 46 4F F0 00 08 4F F4 80 72 BB 68 07 F1 04 01 5B 1C BB 60 04 2B FF F4 BD AE B9 F1 01 0F 26 D9 17 F1 C8 01 17 F5 AC 70 ?? ?? ?? ?? 17 F1 B8 01 01 22 ?? ?? ?? ?? 00 23 C7 E9 08 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 62 83 68 D7 E9 82 12 BB 62 A9 F1 01 03 00 93 17 F1 20 03 17 F1 B0 00 ?? ?? ?? ?? 04 68 C7 F8 08 42 45 68 C7 F8 0C 52 BB 69 00 22 C7 E9 04 45 C3 E9 08 22 B8 F1 00 0F 0A D0 B7 F8 18 12 17 F1 10 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 E9 04 45 BE 6C C6 E9 00 45 17 F5 BC 70 00 22 01 21 ?? ?? ?? ?? D7 F8 78 01 ?? ?? ?? ?? 00 23 C7 F8 78 31 17 F5 AC 70 00 22 01 21 ?? ?? ?? ?? D7 F8 58 01 ?? ?? ?? ?? 00 23 C7 F8 58 31 17 F5 DC 70 00 22 01 21 ?? ?? ?? ?? D7 F8 B8 01 ?? ?? ?? ?? 00 23 C7 F8 B8 31 50 46 ?? ?? ?? ?? 30 46 78 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_896_1 {
	meta:
		name = "?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
		size = 52
		refs = "001a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0A 9D 1E 46 CD E9 07 12 04 46 3D B1 31 46 07 A8 ?? ?? ?? ?? 6D 1E F9 D1 DD E9 07 12 C4 E9 00 12 20 46 BD E8 78 08 5D F8 14 FB }
	condition:
		$1
}

rule file_99_377_1 {
	meta:
		name = "?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
		size = 52
		refs = "001a ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0A 9D 1E 46 CD E9 07 12 04 46 3D B1 31 46 07 A8 ?? ?? ?? ?? 6D 1E F9 D1 DD E9 07 12 C4 E9 00 12 20 46 BD E8 78 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_897_1 {
	meta:
		name = "?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
		size = 52
		refs = "001a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0A 9D 1E 46 CD E9 07 12 04 46 3D B1 31 46 07 A8 ?? ?? ?? ?? 6D 1E F9 D1 DD E9 07 12 C4 E9 00 12 20 46 BD E8 78 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_898_1 {
	meta:
		name = "?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
		size = 52
		refs = "001a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 09 9D CD E9 06 23 0C 46 45 B1 BD F8 20 10 06 A8 ?? ?? ?? ?? 6D 1E F8 D1 DD E9 06 23 C4 E9 00 23 20 46 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_899_1 {
	meta:
		name = "?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
		size = 52
		refs = "001a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 09 9D CD E9 06 23 0C 46 45 B1 BD F8 20 10 06 A8 ?? ?? ?? ?? 6D 1E F8 D1 DD E9 06 23 C4 E9 00 23 20 46 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_907_1 {
	meta:
		name = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z"
		size = 58
		refs = "001e memcpy 0024 ??3@YAXPAX@Z"
		altNames = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 15 46 04 46 61 B1 A3 69 08 2B 09 D3 66 68 25 B1 6A 00 20 1D 31 46 ?? ?? ?? ?? 30 46 ?? ?? ?? ?? 07 23 C4 E9 05 53 23 1D 00 22 23 F8 15 20 BD E8 78 88 }
	condition:
		$1
}

rule file_17_911_1 {
	meta:
		name = "?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AAAXXZ"
		size = 32
		refs = "000c free"
		altNames = "?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AAAXXZ ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 A0 68 ?? ?? ?? ?? E0 68 ?? ?? ?? ?? 20 69 BD E8 18 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_913_1 {
	meta:
		name = "?_W_Getdays@_Locinfo@std@@QBAPBGXZ"
		size = 100
		refs = "000a _W_Getdays 001a free 0034 malloc 0040 memcpy 0060 ??_C@_1KM@LPDIELBN@?$AA?3?$AAS?$AAu?$AAn?$AA?3?$AAS?$AAu?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAM?$AAo?$AAn?$AA?3?$AAM?$AAo?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAT?$AAu?$AAe?$AA?3?$AAT?$AAu?$AAe?$AAs?$AAd@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 05 46 DD B1 60 69 A8 42 15 D0 08 B1 ?? ?? ?? ?? 00 23 63 61 2B 88 2A 46 01 E0 92 1C 13 88 00 2B FB D1 56 1B B0 1C ?? ?? ?? ?? 60 61 18 B1 B2 1C 29 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 63 69 23 B1 18 46 18 B9 04 F1 18 00 00 E0 01 48 BD E8 78 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_914_1 {
	meta:
		name = "?_W_Getmonths@_Locinfo@std@@QBAPBGXZ"
		size = 100
		refs = "000a _W_Getmonths 001a free 0034 malloc 0040 memcpy 0060 ??_C@_1BAO@JIKOGLKA@?$AA?3?$AAJ?$AAa?$AAn?$AA?3?$AAJ?$AAa?$AAn?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAF?$AAe?$AAb?$AA?3?$AAF?$AAe?$AAb?$AAr?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAM?$AAa?$AAr?$AA?3?$AAM?$AAa@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 05 46 DD B1 E0 69 A8 42 15 D0 08 B1 ?? ?? ?? ?? 00 23 E3 61 2B 88 2A 46 01 E0 92 1C 13 88 00 2B FB D1 56 1B B0 1C ?? ?? ?? ?? E0 61 18 B1 B2 1C 29 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? E3 69 23 B1 18 46 18 B9 04 F1 20 00 00 E0 01 48 BD E8 78 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_915_1 {
	meta:
		name = "?_W_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ"
		size = 22
		refs = "000a _W_Gettnames"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 ?? ?? ?? ?? 20 60 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_99_323_1 {
	meta:
		name = "?_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ"
		size = 22
		refs = "000a _Gettnames"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 ?? ?? ?? ?? 20 60 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_926_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QAAPAGI@Z"
		size = 44
		refs = "0018 ??2@YAPAXI@Z 0022 ?_Xbad_alloc@std@@YAXXZ 0026 _invalid_parameter_noinfo_noreturn"
		altNames = "?allocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QAAPA_WI@Z ?allocate@?$allocator@G@std@@QAAPAGI@Z ?allocate@?$allocator@_W@std@@QAAPA_WI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 11 B9 00 20 BD E8 00 88 6F F0 00 43 99 42 05 D8 48 00 ?? ?? ?? ?? 00 28 F4 D1 01 E0 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_935_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 136
		refs = "0030 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 005c memcpy 007c ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 0082 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 1D 46 73 69 90 46 04 46 43 45 31 D3 9B 1A 62 69 9D 42 88 BF 1D 46 D3 43 AB 42 2C D9 57 19 25 B3 00 22 39 46 20 46 ?? ?? ?? ?? F0 B1 B3 69 08 2B 01 D3 71 68 00 E0 31 1D A3 69 08 2B 01 D3 60 68 00 E0 20 1D 3D B1 63 69 6A 00 01 EB 48 01 00 EB 43 00 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 67 61 23 F8 17 20 20 46 BD E8 F8 89 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_938_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 136
		refs = "0030 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 005c memcpy 007c ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 0082 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 1D 46 73 69 90 46 04 46 43 45 31 D3 9B 1A 62 69 9D 42 88 BF 1D 46 D3 43 AB 42 2C D9 57 19 25 B3 00 22 39 46 20 46 ?? ?? ?? ?? F0 B1 B3 69 08 2B 01 D3 71 68 00 E0 31 1D A3 69 08 2B 01 D3 60 68 00 E0 20 1D 3D B1 63 69 6A 00 01 EB 48 01 00 EB 43 00 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 67 61 23 F8 17 20 20 46 BD E8 F8 89 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_936_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
		size = 122
		refs = "001e ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0074 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 0D 46 61 69 17 46 CB 43 AB 42 2D D9 4E 19 45 B3 00 22 31 46 ?? ?? ?? ?? 18 B3 D4 E9 05 23 01 2D 07 D1 08 2B 01 D3 63 68 00 E0 23 1D 23 F8 12 70 0D E0 08 2B 01 D3 63 68 00 E0 23 1D 03 EB 42 03 2D B1 03 EB 45 02 23 F8 02 7B 93 42 FB D1 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_939_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
		size = 122
		refs = "001e ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0074 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 0D 46 61 69 17 46 CB 43 AB 42 2D D9 4E 19 45 B3 00 22 31 46 ?? ?? ?? ?? 18 B3 D4 E9 05 23 01 2D 07 D1 08 2B 01 D3 63 68 00 E0 23 1D 23 F8 12 70 0D E0 08 2B 01 D3 63 68 00 E0 23 1D 03 EB 42 03 2D B1 03 EB 45 02 23 F8 02 7B 93 42 FB D1 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_946_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 160
		refs = "0042 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z 004e ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0074 memcpy 0094 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0D 46 1E 46 6B 69 17 46 04 46 BB 42 3D D3 DB 1B 9E 42 88 BF 1E 46 AC 42 12 D1 63 69 F2 19 93 42 36 D3 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 21 62 61 23 F8 12 10 3A 46 20 46 ?? ?? ?? ?? 21 E0 00 22 31 46 20 46 ?? ?? ?? ?? D8 B1 AB 69 08 2B 01 D3 69 68 00 E0 29 1D A3 69 08 2B 01 D3 60 68 00 E0 20 1D 26 B1 72 00 01 EB 47 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 20 46 BD E8 F0 88 28 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_952_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 160
		refs = "0042 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z 004e ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0074 memcpy 0094 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0D 46 1E 46 6B 69 17 46 04 46 BB 42 3D D3 DB 1B 9E 42 88 BF 1E 46 AC 42 12 D1 63 69 F2 19 93 42 36 D3 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 21 62 61 23 F8 12 10 3A 46 20 46 ?? ?? ?? ?? 21 E0 00 22 31 46 20 46 ?? ?? ?? ?? D8 B1 AB 69 08 2B 01 D3 69 68 00 E0 29 1D A3 69 08 2B 01 D3 60 68 00 E0 20 1D 26 B1 72 00 01 EB 47 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 20 46 BD E8 F0 88 28 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_947_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
		size = 104
		refs = "0016 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0062 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0D 46 04 46 B1 F1 FF 3F 26 D0 00 22 ?? ?? ?? ?? F8 B1 A3 69 01 2D 06 D1 08 2B 01 D3 63 68 00 E0 23 1D 1E 80 0B E0 08 2B 01 D3 63 68 00 E0 23 1D 2D B1 03 EB 45 02 23 F8 02 6B 93 42 FB D1 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 23 F8 15 20 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_953_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
		size = 104
		refs = "0016 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0062 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0D 46 04 46 B1 F1 FF 3F 26 D0 00 22 ?? ?? ?? ?? F8 B1 A3 69 01 2D 06 D1 08 2B 01 D3 63 68 00 E0 23 1D 1E 80 0B E0 08 2B 01 D3 63 68 00 E0 23 1D 2D B1 03 EB 45 02 23 F8 02 6B 93 42 FB D1 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 23 F8 15 20 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_948_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBG@Z"
		size = 40
		refs = "0016 wcslen 0020 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 23 88 05 46 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_79_109_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z"
		size = 40
		refs = "0016 wcslen 0020 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 23 88 05 46 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_17_954_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_W@Z"
		size = 40
		refs = "0016 wcslen 0020 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 23 88 05 46 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_17_949_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
		size = 140
		refs = "0048 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 0056 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 006e memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0E 46 15 46 04 46 FE B1 A2 69 08 2A 01 D3 63 68 00 E0 23 1D 9E 42 17 D3 08 2A 01 D3 61 68 00 E0 21 1D 63 69 01 EB 43 03 B3 42 0D D9 08 2A 01 D3 63 68 00 E0 23 1D F3 1A 5A 10 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 1A E0 00 22 29 46 20 46 ?? ?? ?? ?? A0 B1 A3 69 08 2B 01 D3 60 68 00 E0 20 1D 1D B1 6A 00 31 46 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 23 F8 15 20 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_17_955_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
		size = 140
		refs = "0048 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 0056 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 006e memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0E 46 15 46 04 46 FE B1 A2 69 08 2A 01 D3 63 68 00 E0 23 1D 9E 42 17 D3 08 2A 01 D3 61 68 00 E0 21 1D 63 69 01 EB 43 03 B3 42 0D D9 08 2A 01 D3 63 68 00 E0 23 1D F3 1A 5A 10 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 1A E0 00 22 29 46 20 46 ?? ?? ?? ?? A0 B1 A3 69 08 2B 01 D3 60 68 00 E0 20 1D 1D B1 6A 00 31 46 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 65 61 23 F8 15 20 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_17_958_1 {
	meta:
		name = "?assign@?$char_traits@G@std@@SAPAGPAGIG@Z"
		size = 26
		altNames = "?assign@?$char_traits@_W@std@@SAPA_WPA_WI_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 31 B1 03 46 00 EB 41 01 23 F8 02 2B 8B 42 FB D1 BD E8 00 88 }
	condition:
		$1
}

rule file_17_962_1 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 36
		altNames = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 83 69 08 2B 01 D3 43 68 00 E0 03 1D 00 22 C1 E9 00 22 8B 60 03 68 08 46 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_993_1 {
	meta:
		name = "?do_compare@?$collate@G@std@@MBAHPBG000@Z"
		size = 58
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 9D 08 E0 AB 42 0A D0 08 88 33 F8 02 4B 84 42 0B D8 08 D3 89 1C 91 42 F4 D1 AB 42 05 D1 91 42 08 BF 00 20 03 D0 01 20 01 E0 6F F0 00 00 BD E8 30 88 }
	condition:
		$1
}

rule file_17_994_1 {
	meta:
		name = "?do_compare@?$collate@_W@std@@MBAHPB_W000@Z"
		size = 52
		refs = "001a _Wcscoll"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 1C 46 08 9B 08 30 15 46 0E 46 00 90 30 46 22 46 29 46 ?? ?? ?? ?? 00 28 02 DA 6F F0 00 00 03 E0 08 BF 00 20 18 BF 01 20 BD E8 7E 88 }
	condition:
		$1
}

rule file_99_413_1 {
	meta:
		name = "?do_compare@?$collate@D@std@@MBAHPBD000@Z"
		size = 52
		refs = "001a _Strcoll"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 1C 46 08 9B 08 30 15 46 0E 46 00 90 30 46 22 46 29 46 ?? ?? ?? ?? 00 28 02 DA 6F F0 00 00 03 E0 08 BF 00 20 18 BF 01 20 BD E8 7E 88 }
	condition:
		$1
}

rule file_17_1010_1 {
	meta:
		name = "?do_get@?$messages@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHABV32@@Z"
		size = 24
		refs = "000e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 05 99 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_99_418_1 {
	meta:
		name = "?do_get@?$messages@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHABV32@@Z"
		size = 24
		refs = "000e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 05 99 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1011_1 {
	meta:
		name = "?do_get@?$messages@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHABV32@@Z"
		size = 24
		refs = "000e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 05 99 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1012_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 242
		refs = "000a __security_push_cookie 0044 ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z 0052 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 008e _errno 009e strtod 00ce ??3@YAXPAX@Z 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 92 B0 6F 46 84 B0 6F F0 01 03 C7 E9 02 33 17 F1 30 03 D7 F8 8C 20 02 93 97 F8 88 30 D7 F8 90 60 D7 F8 94 A0 00 93 89 46 01 92 17 F1 80 03 17 F1 78 02 17 F1 10 01 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 97 F8 84 30 1B B9 17 F1 80 00 ?? ?? ?? ?? BA 6F D7 F8 80 30 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 6A E3 B1 BB 6A 10 2B 02 D3 D7 F8 14 80 01 E0 17 F1 14 08 ?? ?? ?? ?? 05 46 2C 68 40 46 00 23 39 46 2B 60 ?? ?? ?? ?? 2A 68 2C 60 3B 68 43 45 04 D0 1A B9 BA 6F 8A ED 00 0B 04 E0 BA 6F 33 68 43 F0 02 03 33 60 FB 6F C9 E9 00 23 BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 48 46 16 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1016_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 242
		refs = "000a __security_push_cookie 0044 ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z 0052 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 008e _errno 009e strtod 00ce ??3@YAXPAX@Z 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 92 B0 6F 46 84 B0 6F F0 01 03 C7 E9 02 33 17 F1 30 03 D7 F8 8C 20 02 93 97 F8 88 30 D7 F8 90 60 D7 F8 94 A0 00 93 89 46 01 92 17 F1 80 03 17 F1 78 02 17 F1 10 01 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 97 F8 84 30 1B B9 17 F1 80 00 ?? ?? ?? ?? BA 6F D7 F8 80 30 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 6A E3 B1 BB 6A 10 2B 02 D3 D7 F8 14 80 01 E0 17 F1 14 08 ?? ?? ?? ?? 05 46 2C 68 40 46 00 23 39 46 2B 60 ?? ?? ?? ?? 2A 68 2C 60 3B 68 43 45 04 D0 1A B9 BA 6F 8A ED 00 0B 04 E0 BA 6F 33 68 43 F0 02 03 33 60 FB 6F C9 E9 00 23 BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 48 46 16 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1014_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 338
		refs = "000a __security_push_cookie 0042 ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z 0052 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00ac ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 011a _invalid_parameter_noinfo_noreturn 012e ??3@YAXPAX@Z 0146 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 90 B0 6F 46 84 B0 6F F0 01 03 C7 E9 00 33 17 F1 28 03 FA 6F 02 93 97 F8 78 30 D7 F8 80 50 D7 F8 84 40 00 93 88 46 01 92 17 F1 70 03 17 F1 68 02 17 F1 08 01 ?? ?? ?? ?? 97 F8 6C 30 FE 69 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 36 B9 2B 68 3A 6A F8 68 43 F0 02 03 2B 60 4D E0 63 69 00 25 9E 42 0A D8 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 04 E0 F1 1A 00 22 20 46 ?? ?? ?? ?? 3A 6A F8 68 10 2A 28 BF 03 46 01 D2 17 F1 0C 03 93 F9 00 30 2D 2B 25 D1 A3 69 08 2B 01 D3 62 68 00 E0 22 1D BB 8F 01 25 13 80 19 E0 FB 69 9D 42 1D D8 10 2A 01 D2 17 F1 0C 00 63 69 9D 42 14 D8 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 42 57 17 F1 28 03 03 EB 42 03 33 F8 60 3C 21 F8 15 30 6D 1C F8 68 3A 6A B5 42 E1 D3 03 E0 ?? ?? ?? ?? ?? ?? ?? ?? B9 6E FB 6E C8 E9 00 13 10 2A 01 D3 ?? ?? ?? ?? 0F 23 B8 68 3B 62 00 23 FB 61 3B 73 ?? ?? ?? ?? 40 46 14 B0 ?? ?? ?? ?? BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1018_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 338
		refs = "000a __security_push_cookie 0042 ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z 0052 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00ac ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 011a _invalid_parameter_noinfo_noreturn 012e ??3@YAXPAX@Z 0146 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 90 B0 6F 46 84 B0 6F F0 01 03 C7 E9 00 33 17 F1 28 03 FA 6F 02 93 97 F8 78 30 D7 F8 80 50 D7 F8 84 40 00 93 88 46 01 92 17 F1 70 03 17 F1 68 02 17 F1 08 01 ?? ?? ?? ?? 97 F8 6C 30 FE 69 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? B9 6E 3B 6F 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 36 B9 2B 68 3A 6A F8 68 43 F0 02 03 2B 60 4D E0 63 69 00 25 9E 42 0A D8 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 04 E0 F1 1A 00 22 20 46 ?? ?? ?? ?? 3A 6A F8 68 10 2A 28 BF 03 46 01 D2 17 F1 0C 03 93 F9 00 30 2D 2B 25 D1 A3 69 08 2B 01 D3 62 68 00 E0 22 1D BB 8F 01 25 13 80 19 E0 FB 69 9D 42 1D D8 10 2A 01 D2 17 F1 0C 00 63 69 9D 42 14 D8 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 42 57 17 F1 28 03 03 EB 42 03 33 F8 60 3C 21 F8 15 30 6D 1C F8 68 3A 6A B5 42 E1 D3 03 E0 ?? ?? ?? ?? ?? ?? ?? ?? B9 6E FB 6E C8 E9 00 13 10 2A 01 D3 ?? ?? ?? ?? 0F 23 B8 68 3B 62 00 23 FB 61 3B 73 ?? ?? ?? ?? 40 46 14 B0 ?? ?? ?? ?? BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1044_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 534
		refs = "000a __security_push_cookie 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 005c _guard_check_icall 0080 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 008a ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0098 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 00a4 ??3@YAXPAX@Z 00c0 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 00ca ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0110 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0156 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0166 _Stoulx 01ba ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 020a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 08 33 D7 F8 D0 30 D7 F8 C8 40 D7 F8 CC 60 3B 61 63 69 80 46 89 46 13 F4 80 4F 6F F0 00 05 20 46 7C D0 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 D7 F8 0C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 17 F1 48 00 00 22 01 21 ?? ?? ?? ?? 17 F1 28 01 50 46 ?? ?? ?? ?? 01 46 17 F1 48 00 2B 46 00 22 ?? ?? ?? ?? 3B 6C 08 2B 02 D3 F8 6A ?? ?? ?? ?? 07 23 B8 6A 3B 64 00 23 FB 63 BB 85 ?? ?? ?? ?? 17 F1 48 00 00 22 01 21 ?? ?? ?? ?? 17 F1 28 01 50 46 ?? ?? ?? ?? 01 46 17 F1 48 00 2B 46 00 22 ?? ?? ?? ?? 3B 6C 08 2B 02 D3 F8 6A ?? ?? ?? ?? 07 23 B8 6A 3B 64 00 23 FB 63 BB 85 ?? ?? ?? ?? 3B 6E 08 2B 01 D3 FB 6C 01 E0 17 F1 4C 03 17 F1 C0 01 17 F1 B8 00 02 22 ?? ?? ?? ?? 05 46 3B 6E 08 2B 02 D3 F8 6C ?? ?? ?? ?? 07 23 B8 6C 3B 66 00 23 FB 65 A7 F8 4C 30 ?? ?? ?? ?? 3C E0 00 23 17 F1 18 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 B8 02 00 93 17 F1 C0 03 17 F1 68 01 40 46 ?? ?? ?? ?? 02 46 17 F1 68 00 3B 46 17 F1 08 01 ?? ?? ?? ?? 82 46 D7 F8 1C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 BB 68 17 F1 68 02 93 42 05 D0 3B 68 1B B9 BA F1 01 0F 98 BF 55 46 97 F8 BC 30 1B B9 17 F1 B8 00 ?? ?? ?? ?? 97 F8 C4 30 1B B9 17 F1 C0 00 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 C0 30 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 00 2D 04 DA 33 68 43 F0 02 03 33 60 05 E0 39 69 18 BF 01 23 08 BF 00 23 0B 70 D7 F8 BC 30 C9 E9 00 23 48 46 24 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1076_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 534
		refs = "000a __security_push_cookie 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 005c _guard_check_icall 0080 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 008a ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0098 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 00a4 ??3@YAXPAX@Z 00c0 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 00ca ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0110 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0156 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0166 _Stoulx 01ba ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 020a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 6F F0 01 03 C7 E9 08 33 D7 F8 D0 30 D7 F8 C8 40 D7 F8 CC 60 3B 61 63 69 80 46 89 46 13 F4 80 4F 6F F0 00 05 20 46 7C D0 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 D7 F8 0C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 17 F1 48 00 00 22 01 21 ?? ?? ?? ?? 17 F1 28 01 50 46 ?? ?? ?? ?? 01 46 17 F1 48 00 2B 46 00 22 ?? ?? ?? ?? 3B 6C 08 2B 02 D3 F8 6A ?? ?? ?? ?? 07 23 B8 6A 3B 64 00 23 FB 63 BB 85 ?? ?? ?? ?? 17 F1 48 00 00 22 01 21 ?? ?? ?? ?? 17 F1 28 01 50 46 ?? ?? ?? ?? 01 46 17 F1 48 00 2B 46 00 22 ?? ?? ?? ?? 3B 6C 08 2B 02 D3 F8 6A ?? ?? ?? ?? 07 23 B8 6A 3B 64 00 23 FB 63 BB 85 ?? ?? ?? ?? 3B 6E 08 2B 01 D3 FB 6C 01 E0 17 F1 4C 03 17 F1 C0 01 17 F1 B8 00 02 22 ?? ?? ?? ?? 05 46 3B 6E 08 2B 02 D3 F8 6C ?? ?? ?? ?? 07 23 B8 6C 3B 66 00 23 FB 65 A7 F8 4C 30 ?? ?? ?? ?? 3C E0 00 23 17 F1 18 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 B8 02 00 93 17 F1 C0 03 17 F1 68 01 40 46 ?? ?? ?? ?? 02 46 17 F1 68 00 3B 46 17 F1 08 01 ?? ?? ?? ?? 82 46 D7 F8 1C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 BB 68 17 F1 68 02 93 42 05 D0 3B 68 1B B9 BA F1 01 0F 98 BF 55 46 97 F8 BC 30 1B B9 17 F1 B8 00 ?? ?? ?? ?? 97 F8 C4 30 1B B9 17 F1 C0 00 ?? ?? ?? ?? D7 F8 B8 20 D7 F8 C0 30 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 00 2D 04 DA 33 68 43 F0 02 03 33 60 05 E0 39 69 18 BF 01 23 08 BF 00 23 0B 70 D7 F8 BC 30 C9 E9 00 23 48 46 24 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1084_1 {
	meta:
		name = "?do_get@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@DD@Z"
		size = 852
		refs = "0026 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 003a _guard_check_icall 0144 ?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z 0168 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 0256 ??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBD@Z 02f8 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0334 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 0338 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 033c ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 0340 ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 0344 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0348 ??_C@_01CLKCMJKC@?5?$AA@ 034c ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 0350 ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 87 B0 6F 46 86 B0 D7 F8 58 90 8A 46 06 46 6F F0 01 03 48 46 17 F1 08 01 C7 E9 04 33 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 FD 6D 00 23 3B 60 2B 60 97 F9 64 30 A3 F1 41 02 38 2A 00 F2 3D 81 DF E8 12 F0 39 00 51 00 70 00 9F 00 3B 01 3B 01 3B 01 A1 00 AC 00 3B 01 3B 01 3B 01 E6 00 3B 01 3B 01 3B 01 3B 01 04 01 06 01 0A 01 0C 01 3B 01 0C 01 0A 01 32 01 3B 01 3B 01 3B 01 3B 01 3B 01 3B 01 3B 01 39 00 51 00 5A 00 8D 00 8D 00 3B 01 3B 01 51 00 3B 01 C7 00 3B 01 3B 01 CD 00 EB 00 3B 01 ED 00 3B 01 02 01 3B 01 EB 00 3B 01 3B 01 11 01 16 01 18 01 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 9C 69 20 46 03 95 CD F8 08 90 ?? ?? ?? ?? D7 E9 12 23 30 46 39 46 A0 47 D7 E9 00 21 BA 64 F9 64 ED E0 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 DC 69 E6 E7 8A 4B 05 93 3B 6E BA 6C 17 F1 08 01 04 93 3B 6D 30 46 03 95 00 93 7B 6D CD F8 08 90 01 93 FB 6C ?? ?? ?? ?? 02 68 BA 64 41 68 DE E7 3B 46 01 93 63 23 00 93 00 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 40 F0 B8 80 3B 68 13 3B 64 22 03 FB 02 F2 3B 6E 5A 61 AF E0 3B 6E 0C 33 01 93 1F 23 00 93 17 F1 50 02 17 F1 48 01 01 23 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 9C E0 67 4B B9 E7 3B 6E 08 33 01 93 17 23 00 93 17 F1 50 02 17 F1 48 01 00 23 EA E7 3B 46 01 93 0C 23 00 93 01 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 7C D1 3A 68 3B 6E 0C 2A 08 BF 00 22 9A 60 75 E0 3B 6E 1C 33 01 93 4F F4 B7 73 C3 E7 3B 46 01 93 0C 23 00 93 01 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 5B D1 3B 68 5A 1E 3B 6E 1A 61 56 E0 3B 6E 1B 1D 01 93 3B 23 B9 E7 40 4B 6D E7 3E 4B 17 F1 50 01 17 F1 48 00 00 22 ?? ?? ?? ?? 00 28 03 DA 2B 68 43 F0 02 03 40 E0 01 28 3F DD 3A 6E 93 68 0C 33 93 60 3A E0 32 4B 56 E7 30 4B 54 E7 3B 6E 01 93 3C 23 9A E7 2C 4B 4E E7 3B 6E 1C 33 01 93 35 23 93 E7 3B 6E 18 33 01 93 06 23 8E E7 25 4B 42 E7 3B 46 01 93 63 23 00 93 00 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 10 D1 3A 68 45 2A BF F6 5A AF 64 32 57 E7 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 1C 6A 05 E7 02 23 2B 60 D7 E9 12 21 97 F8 4C 30 2B B9 17 F1 48 00 ?? ?? ?? ?? D7 E9 12 21 97 F8 54 30 2B B9 17 F1 50 00 ?? ?? ?? ?? D7 E9 12 21 3B 6D 0A B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 CA E9 00 21 50 46 0D B0 BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_423_1 {
	meta:
		name = "?do_get@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@DD@Z"
		size = 852
		refs = "0026 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 003a _guard_check_icall 0144 ?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z 0168 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 0256 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 02f8 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 0334 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 0338 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 033c ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 0340 ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 0344 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0348 ??_C@_01CLKCMJKC@?5?$AA@ 034c ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 0350 ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 87 B0 6F 46 86 B0 D7 F8 58 90 8A 46 06 46 6F F0 01 03 48 46 17 F1 08 01 C7 E9 04 33 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 FD 6D 00 23 3B 60 2B 60 97 F9 64 30 A3 F1 41 02 38 2A 00 F2 3D 81 DF E8 12 F0 39 00 51 00 70 00 9F 00 3B 01 3B 01 3B 01 A1 00 AC 00 3B 01 3B 01 3B 01 E6 00 3B 01 3B 01 3B 01 3B 01 04 01 06 01 0A 01 0C 01 3B 01 0C 01 0A 01 32 01 3B 01 3B 01 3B 01 3B 01 3B 01 3B 01 3B 01 39 00 51 00 5A 00 8D 00 8D 00 3B 01 3B 01 51 00 3B 01 C7 00 3B 01 3B 01 CD 00 EB 00 3B 01 ED 00 3B 01 02 01 3B 01 EB 00 3B 01 3B 01 11 01 16 01 18 01 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 9C 69 20 46 03 95 CD F8 08 90 ?? ?? ?? ?? D7 E9 12 23 30 46 39 46 A0 47 D7 E9 00 21 BA 64 F9 64 ED E0 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 DC 69 E6 E7 8A 4B 05 93 3B 6E BA 6C 17 F1 08 01 04 93 3B 6D 30 46 03 95 00 93 7B 6D CD F8 08 90 01 93 FB 6C ?? ?? ?? ?? 02 68 BA 64 41 68 DE E7 3B 46 01 93 63 23 00 93 00 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 40 F0 B8 80 3B 68 13 3B 64 22 03 FB 02 F2 3B 6E 5A 61 AF E0 3B 6E 0C 33 01 93 1F 23 00 93 17 F1 50 02 17 F1 48 01 01 23 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 9C E0 67 4B B9 E7 3B 6E 08 33 01 93 17 23 00 93 17 F1 50 02 17 F1 48 01 00 23 EA E7 3B 46 01 93 0C 23 00 93 01 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 7C D1 3A 68 3B 6E 0C 2A 08 BF 00 22 9A 60 75 E0 3B 6E 1C 33 01 93 4F F4 B7 73 C3 E7 3B 46 01 93 0C 23 00 93 01 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 5B D1 3B 68 5A 1E 3B 6E 1A 61 56 E0 3B 6E 1B 1D 01 93 3B 23 B9 E7 40 4B 6D E7 3E 4B 17 F1 50 01 17 F1 48 00 00 22 ?? ?? ?? ?? 00 28 03 DA 2B 68 43 F0 02 03 40 E0 01 28 3F DD 3A 6E 93 68 0C 33 93 60 3A E0 32 4B 56 E7 30 4B 54 E7 3B 6E 01 93 3C 23 9A E7 2C 4B 4E E7 3B 6E 1C 33 01 93 35 23 93 E7 3B 6E 18 33 01 93 06 23 8E E7 25 4B 42 E7 3B 46 01 93 63 23 00 93 00 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 10 D1 3A 68 45 2A BF F6 5A AF 64 32 57 E7 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 1C 6A 05 E7 02 23 2B 60 D7 E9 12 21 97 F8 4C 30 2B B9 17 F1 48 00 ?? ?? ?? ?? D7 E9 12 21 97 F8 54 30 2B B9 17 F1 50 00 ?? ?? ?? ?? D7 E9 12 21 3B 6D 0A B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 CA E9 00 21 50 46 0D B0 BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1087_1 {
	meta:
		name = "?do_get@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@DD@Z"
		size = 852
		refs = "0026 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 002a ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 003a _guard_check_icall 0144 ?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z 0168 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 0256 ??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPBD@Z 02f8 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0334 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 0338 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 033c ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 0340 ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 0344 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0348 ??_C@_01CLKCMJKC@?5?$AA@ 034c ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 0350 ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 87 B0 6F 46 86 B0 D7 F8 58 90 8A 46 06 46 6F F0 01 03 48 46 17 F1 08 01 C7 E9 04 33 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 FD 6D 00 23 3B 60 2B 60 97 F9 64 30 A3 F1 41 02 38 2A 00 F2 3D 81 DF E8 12 F0 39 00 51 00 70 00 9F 00 3B 01 3B 01 3B 01 A1 00 AC 00 3B 01 3B 01 3B 01 E6 00 3B 01 3B 01 3B 01 3B 01 04 01 06 01 0A 01 0C 01 3B 01 0C 01 0A 01 32 01 3B 01 3B 01 3B 01 3B 01 3B 01 3B 01 3B 01 39 00 51 00 5A 00 8D 00 8D 00 3B 01 3B 01 51 00 3B 01 C7 00 3B 01 3B 01 CD 00 EB 00 3B 01 ED 00 3B 01 02 01 3B 01 EB 00 3B 01 3B 01 11 01 16 01 18 01 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 9C 69 20 46 03 95 CD F8 08 90 ?? ?? ?? ?? D7 E9 12 23 30 46 39 46 A0 47 D7 E9 00 21 BA 64 F9 64 ED E0 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 DC 69 E6 E7 8A 4B 05 93 3B 6E BA 6C 17 F1 08 01 04 93 3B 6D 30 46 03 95 00 93 7B 6D CD F8 08 90 01 93 FB 6C ?? ?? ?? ?? 02 68 BA 64 41 68 DE E7 3B 46 01 93 63 23 00 93 00 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 40 F0 B8 80 3B 68 13 3B 64 22 03 FB 02 F2 3B 6E 5A 61 AF E0 3B 6E 0C 33 01 93 1F 23 00 93 17 F1 50 02 17 F1 48 01 01 23 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 9C E0 67 4B B9 E7 3B 6E 08 33 01 93 17 23 00 93 17 F1 50 02 17 F1 48 01 00 23 EA E7 3B 46 01 93 0C 23 00 93 01 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 7C D1 3A 68 3B 6E 0C 2A 08 BF 00 22 9A 60 75 E0 3B 6E 1C 33 01 93 4F F4 B7 73 C3 E7 3B 46 01 93 0C 23 00 93 01 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 5B D1 3B 68 5A 1E 3B 6E 1A 61 56 E0 3B 6E 1B 1D 01 93 3B 23 B9 E7 40 4B 6D E7 3E 4B 17 F1 50 01 17 F1 48 00 00 22 ?? ?? ?? ?? 00 28 03 DA 2B 68 43 F0 02 03 40 E0 01 28 3F DD 3A 6E 93 68 0C 33 93 60 3A E0 32 4B 56 E7 30 4B 54 E7 3B 6E 01 93 3C 23 9A E7 2C 4B 4E E7 3B 6E 1C 33 01 93 35 23 93 E7 3B 6E 18 33 01 93 06 23 8E E7 25 4B 42 E7 3B 46 01 93 63 23 00 93 00 23 17 F1 50 02 17 F1 48 01 30 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 2B 60 13 F0 02 0F 10 D1 3A 68 45 2A BF F6 5A AF 64 32 57 E7 3B 6E 04 93 3B 6D 00 93 7B 6D 01 93 33 68 1C 6A 05 E7 02 23 2B 60 D7 E9 12 21 97 F8 4C 30 2B B9 17 F1 48 00 ?? ?? ?? ?? D7 E9 12 21 97 F8 54 30 2B B9 17 F1 50 00 ?? ?? ?? ?? D7 E9 12 21 3B 6D 0A B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 CA E9 00 21 50 46 0D B0 BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1090_1 {
	meta:
		name = "?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1682
		refs = "0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0036 _guard_check_icall 0072 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0114 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 01ec ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 89 B0 6F 46 86 B0 81 46 38 6E 39 60 6F F0 01 03 17 F1 10 01 C7 E9 06 33 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 48 46 A0 47 05 46 05 B9 02 25 97 F8 54 10 29 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 54 10 97 F8 5C 00 38 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 97 F8 54 10 3C 6D D7 F8 68 A0 7E 6E BA 6D 14 B9 00 2A 78 D0 01 E0 00 2A 75 D1 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 04 21 A0 47 B0 B9 3B 6E CD F8 10 A0 03 96 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 DC 69 20 46 ?? ?? ?? ?? D7 E9 14 23 48 46 17 F1 08 01 A0 47 02 25 44 E0 02 2D 18 D1 0A F1 10 03 01 93 0C 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 33 60 DA F8 10 30 5B 1E CA F8 10 30 3C 6D 2D E0 01 2D 12 D1 0A F1 0C 03 01 93 1F 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 33 60 E8 E7 3B 6E CD F8 10 A0 03 96 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 1C 6A 20 46 ?? ?? ?? ?? D7 E9 14 23 48 46 17 F1 08 01 A0 47 D7 E9 02 43 C7 E9 14 43 97 F8 5C 00 BA 6D 97 F8 54 10 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 EA B1 00 E0 DA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 48 21 A0 47 20 B1 17 F1 50 00 ?? ?? ?? ?? 9A E7 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 0A B3 00 E0 FA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 9C 6B 20 46 ?? ?? ?? ?? B7 F8 56 10 40 46 00 22 A0 47 3A 28 03 D0 2C 28 01 D0 2F 28 03 D1 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 CA B1 00 E0 BA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 48 21 A0 47 00 28 C9 D1 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 14 B9 00 2A 6F D0 01 E0 00 2A 6C D1 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 04 21 A0 47 40 BB 02 2D 04 D1 33 68 43 F0 02 03 33 60 4E E0 3B 6E CD F8 10 A0 03 96 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 DC 69 20 46 ?? ?? ?? ?? D7 E9 14 23 48 46 17 F1 08 01 A0 47 D7 E9 02 43 97 F8 5C 00 BA 6D C7 E9 14 43 97 F8 54 10 04 2D 34 D1 03 25 32 E0 01 2D 13 D0 03 2D 11 D0 0A F1 0C 03 01 93 1F 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 C5 E7 0A F1 10 03 01 93 0C 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 33 60 DA F8 10 30 5B 1E CA F8 10 30 3C 6D 97 F8 54 10 BA 6D 97 F8 5C 00 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 EA B1 00 E0 DA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 48 21 A0 47 20 B1 17 F1 50 00 ?? ?? ?? ?? C9 E7 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 0A B3 00 E0 FA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 9C 6B 20 46 ?? ?? ?? ?? B7 F8 56 10 40 46 00 22 A0 47 3A 28 03 D0 2C 28 01 D0 2F 28 03 D1 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 CA B1 00 E0 BA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 48 21 A0 47 00 28 C9 D1 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 0A B1 06 E0 2A B1 33 68 7D 6D 43 F0 02 03 33 60 6F E0 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 04 21 A0 47 90 B9 04 2D 06 D0 33 68 43 F0 02 03 33 60 D7 E9 14 45 50 E0 3B 6E 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 DC 69 36 E0 04 2D 17 D1 0A F1 10 03 01 93 0C 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 33 60 DA F8 10 30 5B 1E CA F8 10 30 D8 E7 03 2D 11 D1 0A F1 0C 03 01 93 1F 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 C3 E7 3B 6E 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 1C 6A 20 46 03 96 CD F8 10 A0 ?? ?? ?? ?? D7 E9 14 23 17 F1 08 01 48 46 A0 47 D7 E9 02 45 C7 E9 14 45 97 F8 5C 00 BA 6D 97 F8 54 10 41 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D D7 E9 14 45 30 B9 17 F1 58 00 ?? ?? ?? ?? BA 6D D7 E9 14 45 0C B9 0A B1 04 E0 1A B1 33 68 43 F0 01 03 33 60 3B 68 C3 E9 00 45 18 46 0F B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1093_1 {
	meta:
		name = "?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1682
		refs = "0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0036 _guard_check_icall 0072 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0114 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 01ec ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 89 B0 6F 46 86 B0 81 46 38 6E 39 60 6F F0 01 03 17 F1 10 01 C7 E9 06 33 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 48 46 A0 47 05 46 05 B9 02 25 97 F8 54 10 29 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 54 10 97 F8 5C 00 38 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 97 F8 54 10 3C 6D D7 F8 68 A0 7E 6E BA 6D 14 B9 00 2A 78 D0 01 E0 00 2A 75 D1 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 04 21 A0 47 B0 B9 3B 6E CD F8 10 A0 03 96 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 DC 69 20 46 ?? ?? ?? ?? D7 E9 14 23 48 46 17 F1 08 01 A0 47 02 25 44 E0 02 2D 18 D1 0A F1 10 03 01 93 0C 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 33 60 DA F8 10 30 5B 1E CA F8 10 30 3C 6D 2D E0 01 2D 12 D1 0A F1 0C 03 01 93 1F 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 33 60 E8 E7 3B 6E CD F8 10 A0 03 96 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 1C 6A 20 46 ?? ?? ?? ?? D7 E9 14 23 48 46 17 F1 08 01 A0 47 D7 E9 02 43 C7 E9 14 43 97 F8 5C 00 BA 6D 97 F8 54 10 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 EA B1 00 E0 DA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 48 21 A0 47 20 B1 17 F1 50 00 ?? ?? ?? ?? 9A E7 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 0A B3 00 E0 FA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 9C 6B 20 46 ?? ?? ?? ?? B7 F8 56 10 40 46 00 22 A0 47 3A 28 03 D0 2C 28 01 D0 2F 28 03 D1 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 CA B1 00 E0 BA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 48 21 A0 47 00 28 C9 D1 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 14 B9 00 2A 6F D0 01 E0 00 2A 6C D1 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 04 21 A0 47 40 BB 02 2D 04 D1 33 68 43 F0 02 03 33 60 4E E0 3B 6E CD F8 10 A0 03 96 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 DC 69 20 46 ?? ?? ?? ?? D7 E9 14 23 48 46 17 F1 08 01 A0 47 D7 E9 02 43 97 F8 5C 00 BA 6D C7 E9 14 43 97 F8 54 10 04 2D 34 D1 03 25 32 E0 01 2D 13 D0 03 2D 11 D0 0A F1 0C 03 01 93 1F 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 C5 E7 0A F1 10 03 01 93 0C 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 33 60 DA F8 10 30 5B 1E CA F8 10 30 3C 6D 97 F8 54 10 BA 6D 97 F8 5C 00 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 EA B1 00 E0 DA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 48 21 A0 47 20 B1 17 F1 50 00 ?? ?? ?? ?? C9 E7 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 0A B3 00 E0 FA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 9C 6B 20 46 ?? ?? ?? ?? B7 F8 56 10 40 46 00 22 A0 47 3A 28 03 D0 2C 28 01 D0 2F 28 03 D1 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 CA B1 00 E0 BA B9 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 48 21 A0 47 00 28 C9 D1 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 48 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D 97 F8 54 10 3C 6D 0C B9 0A B1 06 E0 2A B1 33 68 7D 6D 43 F0 02 03 33 60 6F E0 19 B9 17 F1 50 00 ?? ?? ?? ?? D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? B7 F8 56 20 40 46 04 21 A0 47 90 B9 04 2D 06 D0 33 68 43 F0 02 03 33 60 D7 E9 14 45 50 E0 3B 6E 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 DC 69 36 E0 04 2D 17 D1 0A F1 10 03 01 93 0C 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 33 60 DA F8 10 30 5B 1E CA F8 10 30 D8 E7 03 2D 11 D1 0A F1 0C 03 01 93 1F 23 00 93 01 23 17 F1 58 02 17 F1 50 01 48 46 CD F8 08 80 ?? ?? ?? ?? 33 68 03 43 C3 E7 3B 6E 02 93 BB 6D 00 93 FB 6D 01 93 D9 F8 00 30 1C 6A 20 46 03 96 CD F8 10 A0 ?? ?? ?? ?? D7 E9 14 23 17 F1 08 01 48 46 A0 47 D7 E9 02 45 C7 E9 14 45 97 F8 5C 00 BA 6D 97 F8 54 10 41 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 00 BA 6D D7 E9 14 45 30 B9 17 F1 58 00 ?? ?? ?? ?? BA 6D D7 E9 14 45 0C B9 0A B1 04 E0 1A B1 33 68 43 F0 01 03 33 60 3B 68 C3 E9 00 45 18 46 0F B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1096_1 {
	meta:
		name = "?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 64
		refs = "0014 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z"
	strings:
		$1 = { 0F B4 2D E9 18 48 0D F1 08 0B C3 68 0C 46 08 A9 06 A8 00 22 ?? ?? ?? ?? 00 28 05 DA 0B 9A 13 68 43 F0 02 03 13 60 02 E0 0C 9B 42 10 1A 61 06 9B 20 46 23 60 07 9B 63 60 BD E8 18 08 5D F8 14 FB }
	condition:
		$1
}

rule file_99_429_1 {
	meta:
		name = "?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 64
		refs = "0014 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z"
	strings:
		$1 = { 0F B4 2D E9 18 48 0D F1 08 0B C3 68 0C 46 08 A9 06 A8 00 22 ?? ?? ?? ?? 00 28 05 DA 0B 9A 13 68 43 F0 02 03 13 60 02 E0 0C 9B 42 10 1A 61 06 9B 20 46 23 60 07 9B 63 60 BD E8 18 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1097_1 {
	meta:
		name = "?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 64
		refs = "0014 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 18 48 0D F1 08 0B C3 68 0C 46 08 A9 06 A8 00 22 ?? ?? ?? ?? 00 28 05 DA 0B 9A 13 68 43 F0 02 03 13 60 02 E0 0C 9B 42 10 1A 61 06 9B 20 46 23 60 07 9B 63 60 BD E8 18 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1098_1 {
	meta:
		name = "?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 328
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0024 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0034 _guard_check_icall 006e ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z 0086 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00a8 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 85 B0 6F 46 84 B0 82 46 38 6D 0E 46 6F F0 01 03 39 46 C7 E9 02 33 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D7 F8 58 90 17 F1 48 02 17 F1 40 01 09 F1 08 03 01 93 17 23 00 93 00 23 50 46 CD F8 08 80 ?? ?? ?? ?? 7D 6D 2B 68 03 43 2B 60 29 D1 97 F8 44 30 1B B9 17 F1 40 00 ?? ?? ?? ?? D8 F8 00 30 9C 6B 20 46 ?? ?? ?? ?? B7 F8 46 10 40 46 00 22 A0 47 3A 28 15 D1 17 F1 40 00 ?? ?? ?? ?? 09 F1 04 03 01 93 3B 23 00 93 00 23 17 F1 48 02 17 F1 40 01 50 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 02 E0 2B 68 43 F0 02 03 2B 60 43 BB 97 F8 44 30 1B B9 17 F1 40 00 ?? ?? ?? ?? D8 F8 00 30 9C 6B 20 46 ?? ?? ?? ?? B7 F8 46 10 40 46 00 22 A0 47 3A 28 14 D1 17 F1 40 00 ?? ?? ?? ?? 3B 23 00 93 00 23 17 F1 48 02 17 F1 40 01 50 46 CD F8 08 80 CD F8 04 90 ?? ?? ?? ?? 2B 68 03 43 02 E0 2B 68 43 F0 02 03 2B 60 3B 6C 33 60 7B 6C 73 60 30 46 09 B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1101_1 {
	meta:
		name = "?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 328
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0024 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0034 _guard_check_icall 006e ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z 0086 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00a8 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 85 B0 6F 46 84 B0 82 46 38 6D 0E 46 6F F0 01 03 39 46 C7 E9 02 33 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D7 F8 58 90 17 F1 48 02 17 F1 40 01 09 F1 08 03 01 93 17 23 00 93 00 23 50 46 CD F8 08 80 ?? ?? ?? ?? 7D 6D 2B 68 03 43 2B 60 29 D1 97 F8 44 30 1B B9 17 F1 40 00 ?? ?? ?? ?? D8 F8 00 30 9C 6B 20 46 ?? ?? ?? ?? B7 F8 46 10 40 46 00 22 A0 47 3A 28 15 D1 17 F1 40 00 ?? ?? ?? ?? 09 F1 04 03 01 93 3B 23 00 93 00 23 17 F1 48 02 17 F1 40 01 50 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 02 E0 2B 68 43 F0 02 03 2B 60 43 BB 97 F8 44 30 1B B9 17 F1 40 00 ?? ?? ?? ?? D8 F8 00 30 9C 6B 20 46 ?? ?? ?? ?? B7 F8 46 10 40 46 00 22 A0 47 3A 28 14 D1 17 F1 40 00 ?? ?? ?? ?? 3B 23 00 93 00 23 17 F1 48 02 17 F1 40 01 50 46 CD F8 08 80 CD F8 04 90 ?? ?? ?? ?? 2B 68 03 43 02 E0 2B 68 43 F0 02 03 2B 60 3B 6C 33 60 7B 6C 73 60 30 46 09 B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1104_1 {
	meta:
		name = "?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 64
		refs = "0014 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z"
	strings:
		$1 = { 0F B4 2D E9 18 48 0D F1 08 0B 83 68 0C 46 08 A9 06 A8 00 22 ?? ?? ?? ?? 00 28 05 DA 0B 9A 13 68 43 F0 02 03 13 60 02 E0 0C 9B 42 10 9A 61 06 9B 20 46 23 60 07 9B 63 60 BD E8 18 08 5D F8 14 FB }
	condition:
		$1
}

rule file_99_433_1 {
	meta:
		name = "?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 64
		refs = "0014 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z"
	strings:
		$1 = { 0F B4 2D E9 18 48 0D F1 08 0B 83 68 0C 46 08 A9 06 A8 00 22 ?? ?? ?? ?? 00 28 05 DA 0B 9A 13 68 43 F0 02 03 13 60 02 E0 0C 9B 42 10 9A 61 06 9B 20 46 23 60 07 9B 63 60 BD E8 18 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1105_1 {
	meta:
		name = "?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 64
		refs = "0014 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 18 48 0D F1 08 0B 83 68 0C 46 08 A9 06 A8 00 22 ?? ?? ?? ?? 00 28 05 DA 0B 9A 13 68 43 F0 02 03 13 60 02 E0 0C 9B 42 10 9A 61 06 9B 20 46 23 60 07 9B 63 60 BD E8 18 08 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1106_1 {
	meta:
		name = "?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 172
		refs = "0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0036 _guard_check_icall 0070 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAHABV?$ctype@G@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B 86 B0 6F 46 84 B0 80 46 38 6D 0D 46 6F F0 01 03 17 F1 08 01 C7 E9 04 33 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 FE 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 00 23 3B 60 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 48 02 17 F1 40 01 40 46 CD F8 08 90 ?? ?? ?? ?? 7A 6D 13 68 03 43 13 60 10 F0 02 0F 0A D1 3A 68 45 2A B8 BF 64 32 03 DB 64 2A 01 DB A2 F2 6C 72 BB 6D 5A 61 3B 6C 2B 60 7B 6C 6B 60 28 46 0A B0 BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_99_434_1 {
	meta:
		name = "?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 172
		refs = "0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0036 _guard_check_icall 0070 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B 86 B0 6F 46 84 B0 80 46 38 6D 0D 46 6F F0 01 03 17 F1 08 01 C7 E9 04 33 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 FE 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 00 23 3B 60 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 48 02 17 F1 40 01 40 46 CD F8 08 90 ?? ?? ?? ?? 7A 6D 13 68 03 43 13 60 10 F0 02 0F 0A D1 3A 68 45 2A B8 BF 64 32 03 DB 64 2A 01 DB A2 F2 6C 72 BB 6D 5A 61 3B 6C 2B 60 7B 6C 6B 60 28 46 0A B0 BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1109_1 {
	meta:
		name = "?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 172
		refs = "0022 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0036 _guard_check_icall 0070 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAHABV?$ctype@_W@2@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B 86 B0 6F 46 84 B0 80 46 38 6D 0D 46 6F F0 01 03 17 F1 08 01 C7 E9 04 33 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 FE 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 00 23 3B 60 3B 46 01 93 42 F2 0F 73 00 93 00 23 17 F1 48 02 17 F1 40 01 40 46 CD F8 08 90 ?? ?? ?? ?? 7A 6D 13 68 03 43 13 60 10 F0 02 0F 0A D1 3A 68 45 2A B8 BF 64 32 03 DB 64 2A 01 DB A2 F2 6C 72 BB 6D 5A 61 3B 6C 2B 60 7B 6C 6B 60 28 46 0A B0 BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1116_1 {
	meta:
		name = "?do_hash@?$collate@G@std@@MBAJPBG0@Z"
		size = 52
		altNames = "?do_hash@?$collate@_W@std@@MBAJPB_W0@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 53 1A 5B 10 08 48 5D 00 4F F0 00 02 07 D0 05 4C 53 5C 52 1C 43 40 03 FB 04 F0 AA 42 F8 D3 BD E8 30 88 FE DE 93 01 00 01 C5 9D 1C 81 }
	condition:
		$1
}

rule file_17_1118_1 {
	meta:
		name = "?do_in@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPAG3AAPAG@Z"
		size = 136
		refs = "003e _Mbrtowc 0058 strlen"
		altNames = "?do_in@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1AAPBDPA_W3AAPA_W@Z"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 0C 9D 0F 9F 1E 46 2A 60 0D 9A 8A 46 3A 60 2B 68 B3 42 08 BF 00 24 18 BF 01 24 B3 42 2D D0 DD F8 38 80 00 F1 08 09 38 68 40 45 26 D0 29 68 53 46 CD F8 00 90 72 1A ?? ?? ?? ?? 10 F1 02 0F 1B D0 B0 F1 FF 3F 16 D0 30 B9 3B 68 1B 88 3B B9 28 68 ?? ?? ?? ?? 40 1C 10 F1 03 0F 08 BF 00 20 2B 68 00 24 03 44 2B 60 3B 68 9B 1C 3B 60 2B 68 B3 42 D9 D1 02 E0 02 24 00 E0 2E 60 20 46 BD E8 FE 8F }
	condition:
		$1
}

rule file_17_1120_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MBAPBGPBG0PAF@Z"
		size = 32
		refs = "0018 _Getwctypes"
		altNames = "?do_is@?$ctype@_W@std@@MBAPB_WPB_W0PAF@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 1C 46 15 46 0E 46 00 F1 08 03 22 46 29 46 30 46 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_17_1121_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MBA_NFG@Z"
		size = 38
		refs = "0010 _Getwctype"
		altNames = "?do_is@?$ctype@_W@std@@MBA_NF_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 00 F1 08 01 10 46 ?? ?? ?? ?? 00 EA 04 03 1B B2 0B B1 01 20 00 E0 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1124_1 {
	meta:
		name = "?do_length@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1I@Z"
		size = 108
		refs = "0034 _Mbrtowc 004e strlen"
		altNames = "?do_length@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBD1I@Z"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 D1 E9 00 41 DD F8 38 80 1E 46 CD E9 04 41 00 24 B8 F1 00 0F 15 46 20 D0 00 F1 08 07 B5 42 1C D0 72 1B 04 AB 29 46 02 A8 00 97 ?? ?? ?? ?? 10 F1 02 0F 12 D0 B0 F1 FF 3F 0F D0 30 B9 BD F8 08 30 3B B9 28 46 ?? ?? ?? ?? 40 1C 10 F1 03 0F 08 BF 00 20 64 1C 05 44 44 45 E0 D3 20 46 07 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_17_1130_1 {
	meta:
		name = "?do_narrow@?$ctype@G@std@@MBAPBGPBG0DPAD@Z"
		size = 98
		refs = "0008 __security_push_cookie 003c _Wcrtomb 005a __security_pop_cookie"
		altNames = "?do_narrow@?$ctype@_W@std@@MBAPB_WPB_W0DPAD@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 84 B0 0D 46 54 1B 61 1C 00 26 95 42 98 BF 4C 08 0E 9F 88 BF 00 24 98 46 81 46 B4 B1 4F F0 00 0A 35 F8 02 1B 09 F1 18 03 6A 46 02 A8 CD E9 00 AA ?? ?? ?? ?? 01 28 18 BF 43 46 01 D1 9D F9 08 30 76 1C A6 42 07 F8 01 3B EA D1 28 46 04 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_1133_1 {
	meta:
		name = "?do_neg_format@?$_Mpunct@G@std@@MBA?AUpattern@money_base@2@XZ"
		size = 16
		altNames = "?do_neg_format@?$_Mpunct@D@std@@MBA?AUpattern@money_base@2@XZ ?do_neg_format@?$_Mpunct@_W@std@@MBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 6A 08 46 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_1135_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 81 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_99_442_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 81 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1136_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 24
		refs = "000e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 81 69 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_17_1139_1 {
	meta:
		name = "?do_out@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PBG1AAPBGPAD3AAPAD@Z"
		size = 170
		refs = "0008 __security_push_cookie 003e _Wcrtomb 006e memcpy 00a2 __security_pop_cookie"
		altNames = "?do_out@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PB_W1AAPB_WPAD3AAPAD@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 84 B0 0E 9C 01 90 11 9D 22 60 0F 9A 98 46 0E 46 2A 60 22 68 86 46 42 45 3B D0 10 9F 28 68 B8 42 32 D0 3B 1A 05 2B 23 68 32 46 19 88 0E F1 08 03 09 DB ?? ?? ?? ?? 00 28 22 DB 23 68 9B 1C 23 60 2B 68 03 44 15 E0 D6 E9 00 9A 02 A8 ?? ?? ?? ?? 02 46 00 92 00 2A 13 DB 28 68 3B 1A 93 42 11 DB 02 A9 ?? ?? ?? ?? 23 68 00 9A 9B 1C 23 60 2B 68 13 44 2B 60 23 68 43 45 06 D0 DD F8 04 E0 CD E7 02 20 07 E0 C6 E9 00 9A 23 68 43 45 18 BF 01 20 00 D1 00 20 04 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_1141_1 {
	meta:
		name = "?do_pos_format@?$_Mpunct@G@std@@MBA?AUpattern@money_base@2@XZ"
		size = 16
		altNames = "?do_pos_format@?$_Mpunct@D@std@@MBA?AUpattern@money_base@2@XZ ?do_pos_format@?$_Mpunct@_W@std@@MBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 08 46 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_1145_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 412
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0046 _guard_check_icall 00f4 _invalid_parameter_noinfo_noreturn 011a ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBGI@Z 012c ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0138 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z 0164 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0170 ??3@YAXPAX@Z 018a __security_pop_cookie 0198 ?_Src@?1??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@3@V43@_NAAVios_base@3@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 6F 46 86 B0 6F F0 01 03 C7 E9 06 33 D7 F8 B4 30 D7 F8 BC 60 89 46 C7 E9 00 13 B8 60 18 46 17 F1 10 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 4C 4C D5 6A 28 46 ?? ?? ?? ?? 40 46 21 46 04 F1 0C 02 17 F1 60 03 A8 47 74 69 00 21 4F F0 00 0A 6C B1 B3 69 08 2B 01 D3 73 68 00 E0 33 1D 1A 88 B7 F8 74 30 9A 42 02 D1 4F F0 01 0A 01 21 0A 46 A1 42 29 D2 D6 F8 14 80 B7 F8 60 E0 17 F1 60 09 42 45 1C D8 B3 69 08 2B 01 D3 73 68 00 E0 33 1D 17 F1 60 00 BE F1 00 0F 08 D0 33 F8 12 50 73 46 AB 42 03 D0 80 1C 03 88 00 2B F9 D1 A0 EB 09 03 5B 10 0A 2B 05 D2 52 1C A2 42 E1 D3 01 E0 ?? ?? ?? ?? D7 F8 00 90 A1 42 01 D9 ?? ?? ?? ?? B3 69 08 2B 01 D3 73 68 00 E0 33 1D 52 1A 03 EB 41 01 17 F1 40 00 ?? ?? ?? ?? 7B 6D 33 B9 B7 F8 60 20 17 F1 40 00 01 21 ?? ?? ?? ?? 17 F1 40 01 17 F1 20 00 ?? ?? ?? ?? B7 F8 60 30 D7 F8 A8 20 04 90 05 93 B7 F8 B8 30 B8 68 49 46 02 93 7B 68 CD F8 0C A0 01 93 97 F8 B0 30 00 93 D7 F8 AC 30 ?? ?? ?? ?? BB 6D 08 2B 02 D3 78 6C ?? ?? ?? ?? 07 23 38 6C BB 65 00 23 7B 65 A7 F8 44 30 ?? ?? ?? ?? 48 46 24 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1153_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 412
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0046 _guard_check_icall 00f4 _invalid_parameter_noinfo_noreturn 011a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_WI@Z 012c ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0138 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z 0164 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0170 ??3@YAXPAX@Z 018a __security_pop_cookie 0198 ?_Src@?1??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@3@V43@_NAAVios_base@3@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 6F 46 86 B0 6F F0 01 03 C7 E9 06 33 D7 F8 B4 30 D7 F8 BC 60 89 46 C7 E9 00 13 B8 60 18 46 17 F1 10 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 4C 4C D5 6A 28 46 ?? ?? ?? ?? 40 46 21 46 04 F1 0C 02 17 F1 60 03 A8 47 74 69 00 21 4F F0 00 0A 6C B1 B3 69 08 2B 01 D3 73 68 00 E0 33 1D 1A 88 B7 F8 74 30 9A 42 02 D1 4F F0 01 0A 01 21 0A 46 A1 42 29 D2 D6 F8 14 80 B7 F8 60 E0 17 F1 60 09 42 45 1C D8 B3 69 08 2B 01 D3 73 68 00 E0 33 1D 17 F1 60 00 BE F1 00 0F 08 D0 33 F8 12 50 73 46 AB 42 03 D0 80 1C 03 88 00 2B F9 D1 A0 EB 09 03 5B 10 0A 2B 05 D2 52 1C A2 42 E1 D3 01 E0 ?? ?? ?? ?? D7 F8 00 90 A1 42 01 D9 ?? ?? ?? ?? B3 69 08 2B 01 D3 73 68 00 E0 33 1D 52 1A 03 EB 41 01 17 F1 40 00 ?? ?? ?? ?? 7B 6D 33 B9 B7 F8 60 20 17 F1 40 00 01 21 ?? ?? ?? ?? 17 F1 40 01 17 F1 20 00 ?? ?? ?? ?? B7 F8 60 30 D7 F8 A8 20 04 90 05 93 B7 F8 B8 30 B8 68 49 46 02 93 7B 68 CD F8 0C A0 01 93 97 F8 B0 30 00 93 D7 F8 AC 30 ?? ?? ?? ?? BB 6D 08 2B 02 D3 78 6C ?? ?? ?? ?? 07 23 38 6C BB 65 00 23 7B 65 A7 F8 44 30 ?? ?? ?? ?? 48 46 24 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1149_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z"
		size = 424
		refs = "000a __security_push_cookie 0084 sprintf_s 00a2 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a6 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00b8 _guard_check_icall 00f0 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z 012c ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0138 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z 0160 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 016c ??3@YAXPAX@Z 0186 __security_pop_cookie 0194 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A4 B0 6F 46 86 B0 D7 F8 CC 40 0E 46 00 21 B5 EE C0 0B 6F F0 01 03 C7 E9 08 33 F1 EE 10 FA C7 E9 03 40 52 EC 10 3B 79 60 05 D2 01 23 B1 EE 40 0B 7B 60 52 EC 10 3B 9F ED 56 1B 4F F0 00 08 B4 EE C0 1B F1 EE 10 FA 10 D8 9F ED 50 2B 41 F2 88 31 88 45 0A D2 80 EE 02 0B 08 F1 0A 08 52 EC 10 3B B4 EE C0 1B F1 EE 10 FA F2 D9 01 92 46 4A 17 F1 68 00 28 21 00 93 ?? ?? ?? ?? 82 46 00 28 06 DA D7 F8 C0 30 33 60 D7 F8 C4 30 73 60 72 E0 17 F1 18 01 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 38 60 FD 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 30 1C 6B 20 46 ?? ?? ?? ?? 48 46 30 21 A0 47 B8 60 17 F1 48 00 00 22 51 46 ?? ?? ?? ?? 3B 6E 08 2B 02 D3 D7 F8 4C 90 01 E0 17 F1 4C 09 3B 68 17 F1 68 05 1A 68 D4 6A 20 46 ?? ?? ?? ?? 38 68 17 F1 68 01 0A EB 05 02 4B 46 A0 47 BC 68 17 F1 48 00 41 46 22 46 ?? ?? ?? ?? 17 F1 48 01 17 F1 28 00 ?? ?? ?? ?? 7B 68 D7 F8 C0 20 04 90 03 93 B7 F8 D0 30 38 69 31 46 02 93 FB 68 05 94 01 93 97 F8 C8 30 00 93 D7 F8 C4 30 ?? ?? ?? ?? 3B 6E 08 2B 02 D3 F8 6C ?? ?? ?? ?? 07 23 B8 6C 3B 66 00 23 FB 65 A7 F8 4C 30 ?? ?? ?? ?? 30 46 2A B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_17_1157_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z"
		size = 424
		refs = "000a __security_push_cookie 0084 sprintf_s 00a2 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a6 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00b8 _guard_check_icall 00f0 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 012c ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0138 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z 0160 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 016c ??3@YAXPAX@Z 0186 __security_pop_cookie 0194 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A4 B0 6F 46 86 B0 D7 F8 CC 40 0E 46 00 21 B5 EE C0 0B 6F F0 01 03 C7 E9 08 33 F1 EE 10 FA C7 E9 03 40 52 EC 10 3B 79 60 05 D2 01 23 B1 EE 40 0B 7B 60 52 EC 10 3B 9F ED 56 1B 4F F0 00 08 B4 EE C0 1B F1 EE 10 FA 10 D8 9F ED 50 2B 41 F2 88 31 88 45 0A D2 80 EE 02 0B 08 F1 0A 08 52 EC 10 3B B4 EE C0 1B F1 EE 10 FA F2 D9 01 92 46 4A 17 F1 68 00 28 21 00 93 ?? ?? ?? ?? 82 46 00 28 06 DA D7 F8 C0 30 33 60 D7 F8 C4 30 73 60 72 E0 17 F1 18 01 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 38 60 FD 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 30 1C 6B 20 46 ?? ?? ?? ?? 48 46 30 21 A0 47 B8 60 17 F1 48 00 00 22 51 46 ?? ?? ?? ?? 3B 6E 08 2B 02 D3 D7 F8 4C 90 01 E0 17 F1 4C 09 3B 68 17 F1 68 05 1A 68 D4 6A 20 46 ?? ?? ?? ?? 38 68 17 F1 68 01 0A EB 05 02 4B 46 A0 47 BC 68 17 F1 48 00 41 46 22 46 ?? ?? ?? ?? 17 F1 48 01 17 F1 28 00 ?? ?? ?? ?? 7B 68 D7 F8 C0 20 04 90 03 93 B7 F8 D0 30 38 69 31 46 02 93 FB 68 05 94 01 93 97 F8 C8 30 00 93 D7 F8 C4 30 ?? ?? ?? ?? 3B 6E 08 2B 02 D3 F8 6C ?? ?? ?? ?? 07 23 B8 6C 3B 66 00 23 FB 65 A7 F8 4C 30 ?? ?? ?? ?? 30 46 2A B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_17_1161_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GJ@Z"
		size = 92
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 0028 sprintf_s 0042 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 004a __security_pop_cookie 0058 ??_C@_02EAOCLKAK@ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 11 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 40 21 ?? ?? ?? ?? 06 AB 02 93 BD F8 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1162_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GK@Z"
		size = 92
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 0028 sprintf_s 0042 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 004a __security_pop_cookie 0058 ??_C@_02BDDLJJBK@lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 11 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 40 21 ?? ?? ?? ?? 06 AB 02 93 BD F8 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1177_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WJ@Z"
		size = 92
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 0028 sprintf_s 0042 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 004a __security_pop_cookie 0058 ??_C@_02EAOCLKAK@ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 11 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 40 21 ?? ?? ?? ?? 06 AB 02 93 BD F8 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1178_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WK@Z"
		size = 92
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 0028 sprintf_s 0042 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 004a __security_pop_cookie 0058 ??_C@_02BDDLJJBK@lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 11 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 40 21 ?? ?? ?? ?? 06 AB 02 93 BD F8 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1163_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z"
		size = 388
		refs = "000e __security_push_cookie 0038 ??2@YAPAXI@Z 003e _invalid_parameter_noinfo_noreturn 00a2 frexp 00ee ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00fc ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 011c sprintf_s 0142 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z 014e ??3@YAXPAX@Z 0168 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B ?? ?? ?? ?? 8E B0 6F 46 84 B0 BD 6F 6F F0 01 03 C7 E9 02 33 B0 EE 40 8B 0E 46 80 46 5A EC 10 9B 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 0F 20 1A 60 00 23 00 21 3B 75 C7 E9 09 10 D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 3C 0B B0 EE C8 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 48 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2F 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 09 10 1A 19 02 F1 32 03 8B 42 09 D8 10 28 01 D3 7A 69 01 E0 17 F1 14 02 00 21 7B 62 D1 54 05 E0 59 1A 17 F1 10 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 00 22 40 46 ?? ?? ?? ?? BB 6A 02 46 10 2B 01 D3 78 69 01 E0 17 F1 14 00 79 6A 23 46 CD F8 00 90 CD F8 04 A0 ?? ?? ?? ?? BB 6A 10 2B 01 D3 7B 69 01 E0 17 F1 14 03 02 93 B7 F8 7C 30 3A 6F 03 90 01 93 7B 6F 31 46 40 46 00 95 ?? ?? ?? ?? BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 30 46 BD 46 0E B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 0F 5D F8 14 FB 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_17_1179_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z"
		size = 388
		refs = "000e __security_push_cookie 0038 ??2@YAPAXI@Z 003e _invalid_parameter_noinfo_noreturn 00a2 frexp 00ee ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00fc ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 011c sprintf_s 0142 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z 014e ??3@YAXPAX@Z 0168 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B ?? ?? ?? ?? 8E B0 6F 46 84 B0 BD 6F 6F F0 01 03 C7 E9 02 33 B0 EE 40 8B 0E 46 80 46 5A EC 10 9B 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 0F 20 1A 60 00 23 00 21 3B 75 C7 E9 09 10 D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 3C 0B B0 EE C8 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 48 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2F 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 09 10 1A 19 02 F1 32 03 8B 42 09 D8 10 28 01 D3 7A 69 01 E0 17 F1 14 02 00 21 7B 62 D1 54 05 E0 59 1A 17 F1 10 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 00 22 40 46 ?? ?? ?? ?? BB 6A 02 46 10 2B 01 D3 78 69 01 E0 17 F1 14 00 79 6A 23 46 CD F8 00 90 CD F8 04 A0 ?? ?? ?? ?? BB 6A 10 2B 01 D3 7B 69 01 E0 17 F1 14 03 02 93 B7 F8 7C 30 3A 6F 03 90 01 93 7B 6F 31 46 40 46 00 95 ?? ?? ?? ?? BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 30 46 BD 46 0E B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 0F 5D F8 14 FB 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_17_1166_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z"
		size = 388
		refs = "000e __security_push_cookie 0038 ??2@YAPAXI@Z 003e _invalid_parameter_noinfo_noreturn 00a2 frexp 00ee ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00fc ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 011c sprintf_s 0142 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z 014e ??3@YAXPAX@Z 0168 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B ?? ?? ?? ?? 8E B0 6F 46 84 B0 BD 6F 6F F0 01 03 C7 E9 02 33 B0 EE 40 8B 0E 46 80 46 5A EC 10 9B 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 0F 20 1A 60 00 23 00 21 3B 75 C7 E9 09 10 D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 3C 0B B0 EE C8 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 48 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2F 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 09 10 1A 19 02 F1 32 03 8B 42 09 D8 10 28 01 D3 7A 69 01 E0 17 F1 14 02 00 21 7B 62 D1 54 05 E0 59 1A 17 F1 10 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 4C 22 40 46 ?? ?? ?? ?? BB 6A 02 46 10 2B 01 D3 78 69 01 E0 17 F1 14 00 79 6A 23 46 CD F8 00 90 CD F8 04 A0 ?? ?? ?? ?? BB 6A 10 2B 01 D3 7B 69 01 E0 17 F1 14 03 02 93 B7 F8 7C 30 3A 6F 03 90 01 93 7B 6F 31 46 40 46 00 95 ?? ?? ?? ?? BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 30 46 BD 46 0E B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 0F 5D F8 14 FB 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_17_1182_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z"
		size = 388
		refs = "000e __security_push_cookie 0038 ??2@YAPAXI@Z 003e _invalid_parameter_noinfo_noreturn 00a2 frexp 00ee ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00fc ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 011c sprintf_s 0142 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z 014e ??3@YAXPAX@Z 0168 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B ?? ?? ?? ?? 8E B0 6F 46 84 B0 BD 6F 6F F0 01 03 C7 E9 02 33 B0 EE 40 8B 0E 46 80 46 5A EC 10 9B 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 0F 20 1A 60 00 23 00 21 3B 75 C7 E9 09 10 D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 3C 0B B0 EE C8 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 48 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2F 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 09 10 1A 19 02 F1 32 03 8B 42 09 D8 10 28 01 D3 7A 69 01 E0 17 F1 14 02 00 21 7B 62 D1 54 05 E0 59 1A 17 F1 10 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 4C 22 40 46 ?? ?? ?? ?? BB 6A 02 46 10 2B 01 D3 78 69 01 E0 17 F1 14 00 79 6A 23 46 CD F8 00 90 CD F8 04 A0 ?? ?? ?? ?? BB 6A 10 2B 01 D3 7B 69 01 E0 17 F1 14 03 02 93 B7 F8 7C 30 3A 6F 03 90 01 93 7B 6F 31 46 40 46 00 95 ?? ?? ?? ?? BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 30 46 BD 46 0E B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 0F 5D F8 14 FB 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_17_1169_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBX@Z"
		size = 80
		refs = "000a __security_push_cookie 001e sprintf_s 0038 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 0040 __security_pop_cookie 004c ??_C@_02BBAHNLBA@?$CFp?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 94 B0 20 9B 0E 4A 1E 9C 0E 46 05 46 04 A8 40 21 ?? ?? ?? ?? 04 AB 02 93 BD F8 7C 30 1C 9A 03 90 01 93 1D 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 14 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1185_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBX@Z"
		size = 80
		refs = "000a __security_push_cookie 001e sprintf_s 0038 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 0040 __security_pop_cookie 004c ??_C@_02BBAHNLBA@?$CFp?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 94 B0 20 9B 0E 4A 1E 9C 0E 46 05 46 04 A8 40 21 ?? ?? ?? ?? 04 AB 02 93 BD F8 7C 30 1C 9A 03 90 01 93 1D 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 14 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1170_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_J@Z"
		size = 96
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 002e sprintf_s 0048 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 0050 __security_pop_cookie 005c ??_C@_02HIKPPMOK@Ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 12 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 00 93 23 9B 40 21 01 93 ?? ?? ?? ?? 06 AB 02 93 BD F8 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1171_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_K@Z"
		size = 96
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 002e sprintf_s 0048 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 0050 __security_pop_cookie 005c ??_C@_02CLHGNPPK@Lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 12 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 00 93 23 9B 40 21 01 93 ?? ?? ?? ?? 06 AB 02 93 BD F8 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1186_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_J@Z"
		size = 96
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 002e sprintf_s 0048 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 0050 __security_pop_cookie 005c ??_C@_02HIKPPMOK@Ld?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 12 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 00 93 23 9B 40 21 01 93 ?? ?? ?? ?? 06 AB 02 93 BD F8 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1187_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_K@Z"
		size = 96
		refs = "000a __security_push_cookie 001c ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 002e sprintf_s 0048 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 0050 __security_pop_cookie 005c ??_C@_02CLHGNPPK@Lu?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 96 B0 20 9C 12 4A 0E 46 63 69 04 A9 05 46 ?? ?? ?? ?? 22 9B 02 46 06 A8 00 93 23 9B 40 21 01 93 ?? ?? ?? ?? 06 AB 02 93 BD F8 84 30 1E 9A 03 90 01 93 1F 9B 31 46 28 46 00 94 ?? ?? ?? ?? 30 46 16 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1172_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z"
		size = 458
		refs = "000a __security_push_cookie 004c _guard_check_icall 0060 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 009a ??2@YAPAXI@Z 00a0 _invalid_parameter_noinfo_noreturn 00cc ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00d6 ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00e0 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@$$QAV12@@Z 00ec ??3@YAXPAX@Z 0138 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 01be __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 94 B0 6F 46 84 B0 D7 F8 88 90 1D 46 6F F0 01 03 C7 E9 20 25 C7 E9 02 33 0E 46 D9 F8 14 10 90 46 82 46 11 F4 80 4F 12 D1 97 F8 90 10 CD F8 00 90 02 91 B7 F8 8C 10 01 91 01 68 4C 6A 20 46 ?? ?? ?? ?? 50 46 31 46 42 46 2B 46 A0 47 AE E0 39 46 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 1A 60 07 23 BB 62 00 23 7B 62 BB 82 97 F8 90 30 40 46 23 B1 17 F1 30 01 ?? ?? ?? ?? 03 E0 17 F1 30 01 ?? ?? ?? ?? 01 46 17 F1 10 00 ?? ?? ?? ?? BB 6C 08 2B 02 D3 78 6B ?? ?? ?? ?? 07 23 38 6B BB 64 00 23 7B 64 BB 86 ?? ?? ?? ?? D9 E9 08 23 7D 6A 00 2B 05 DB 00 DC 1A B1 AA 42 88 BF 54 1B 00 D8 00 24 D9 F8 14 30 D7 F8 84 20 03 F4 E0 73 40 2B D7 F8 80 30 0F D0 C7 E9 00 32 4C B1 B7 F8 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 7D 6A D7 E9 00 32 C7 E9 20 32 00 24 B9 6A 78 69 08 29 28 BF 80 46 01 D2 17 F1 14 08 C7 E9 00 32 55 B1 38 F8 02 1B 38 46 ?? ?? ?? ?? 6D 1E F8 D1 B9 6A 78 69 D7 E9 00 32 00 25 C9 E9 08 55 C7 E9 20 32 C7 E9 00 32 54 B1 B7 F8 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 B9 6A 78 69 D7 E9 00 32 C6 E9 00 32 08 29 01 D3 ?? ?? ?? ?? 07 23 38 69 BB 62 00 23 7B 62 BB 82 ?? ?? ?? ?? 30 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1188_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z"
		size = 458
		refs = "000a __security_push_cookie 004c _guard_check_icall 0060 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 009a ??2@YAPAXI@Z 00a0 _invalid_parameter_noinfo_noreturn 00cc ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00d6 ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00e0 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@$$QAV12@@Z 00ec ??3@YAXPAX@Z 0138 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 01be __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 94 B0 6F 46 84 B0 D7 F8 88 90 1D 46 6F F0 01 03 C7 E9 20 25 C7 E9 02 33 0E 46 D9 F8 14 10 90 46 82 46 11 F4 80 4F 12 D1 97 F8 90 10 CD F8 00 90 02 91 B7 F8 8C 10 01 91 01 68 4C 6A 20 46 ?? ?? ?? ?? 50 46 31 46 42 46 2B 46 A0 47 AE E0 39 46 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 1A 60 07 23 BB 62 00 23 7B 62 BB 82 97 F8 90 30 40 46 23 B1 17 F1 30 01 ?? ?? ?? ?? 03 E0 17 F1 30 01 ?? ?? ?? ?? 01 46 17 F1 10 00 ?? ?? ?? ?? BB 6C 08 2B 02 D3 78 6B ?? ?? ?? ?? 07 23 38 6B BB 64 00 23 7B 64 BB 86 ?? ?? ?? ?? D9 E9 08 23 7D 6A 00 2B 05 DB 00 DC 1A B1 AA 42 88 BF 54 1B 00 D8 00 24 D9 F8 14 30 D7 F8 84 20 03 F4 E0 73 40 2B D7 F8 80 30 0F D0 C7 E9 00 32 4C B1 B7 F8 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 7D 6A D7 E9 00 32 C7 E9 20 32 00 24 B9 6A 78 69 08 29 28 BF 80 46 01 D2 17 F1 14 08 C7 E9 00 32 55 B1 38 F8 02 1B 38 46 ?? ?? ?? ?? 6D 1E F8 D1 B9 6A 78 69 D7 E9 00 32 00 25 C9 E9 08 55 C7 E9 20 32 C7 E9 00 32 54 B1 B7 F8 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 B9 6A 78 69 D7 E9 00 32 C6 E9 00 32 08 29 01 D3 ?? ?? ?? ?? 07 23 38 69 BB 62 00 23 7B 62 BB 82 ?? ?? ?? ?? 30 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1193_1 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z"
		size = 392
		refs = "000a __security_push_cookie 0040 ??2@YAPAXI@Z 0046 _invalid_parameter_noinfo_noreturn 00b2 _Wcsftime 00c4 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 00d4 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0136 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0150 ??3@YAXPAX@Z 0176 __security_pop_cookie 0184 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 92 B0 6F 46 82 B0 6F F0 01 03 C7 E9 04 33 59 4C 17 F1 38 05 D7 F8 88 A0 94 E8 0C 00 85 E8 0C 00 88 46 81 46 23 89 2B 81 00 23 08 20 BB 61 C7 E9 0B 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 B8 61 C0 E9 00 32 BB 69 17 F1 18 02 1A 60 07 23 3B 63 00 23 FB 62 BB 83 97 F9 90 30 1B B9 97 F9 8C 30 BB 87 03 E0 BB 87 97 F9 8C 30 FB 87 10 25 10 21 1D E0 1B 68 00 2B 71 D0 1A 68 00 2A 6E D0 93 69 08 2B 01 D3 51 68 00 E0 11 1D 81 42 64 D8 53 69 01 EB 43 03 98 42 5F D2 53 46 17 F1 38 02 31 46 00 94 ?? ?? ?? ?? 04 46 9C B9 6D 00 29 46 00 22 17 F1 18 00 ?? ?? ?? ?? D9 F8 08 40 FE 6A 39 46 17 F1 18 00 ?? ?? ?? ?? 03 46 98 68 00 28 D0 D1 46 E0 F9 6A 8C 42 01 D9 ?? ?? ?? ?? 3A 6B F8 69 08 2A 28 BF 03 46 01 D2 17 F1 1C 03 03 EB 44 04 01 29 01 D2 ?? ?? ?? ?? 08 2A 28 BF 03 46 01 D2 17 F1 1C 03 9E 1C A3 1B 5B 1C D7 E9 1E 1E 00 25 A6 42 98 BF 5C 08 88 BF 00 24 C7 E9 00 1E 5C B1 36 F8 02 1B 38 46 ?? ?? ?? ?? 6D 1C A5 42 F7 D1 3A 6B F8 69 D7 E9 00 1E C8 E9 00 1E 08 2A 01 D3 ?? ?? ?? ?? 07 23 B8 69 3B 63 00 23 FB 62 BB 83 ?? ?? ?? ?? 40 46 05 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1196_1 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z"
		size = 392
		refs = "000a __security_push_cookie 0040 ??2@YAPAXI@Z 0046 _invalid_parameter_noinfo_noreturn 00b2 _Wcsftime 00c4 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 00d4 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0136 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0150 ??3@YAXPAX@Z 0176 __security_pop_cookie 0184 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 92 B0 6F 46 82 B0 6F F0 01 03 C7 E9 04 33 59 4C 17 F1 38 05 D7 F8 88 A0 94 E8 0C 00 85 E8 0C 00 88 46 81 46 23 89 2B 81 00 23 08 20 BB 61 C7 E9 0B 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 B8 61 C0 E9 00 32 BB 69 17 F1 18 02 1A 60 07 23 3B 63 00 23 FB 62 BB 83 97 F9 90 30 1B B9 97 F9 8C 30 BB 87 03 E0 BB 87 97 F9 8C 30 FB 87 10 25 10 21 1D E0 1B 68 00 2B 71 D0 1A 68 00 2A 6E D0 93 69 08 2B 01 D3 51 68 00 E0 11 1D 81 42 64 D8 53 69 01 EB 43 03 98 42 5F D2 53 46 17 F1 38 02 31 46 00 94 ?? ?? ?? ?? 04 46 9C B9 6D 00 29 46 00 22 17 F1 18 00 ?? ?? ?? ?? D9 F8 08 40 FE 6A 39 46 17 F1 18 00 ?? ?? ?? ?? 03 46 98 68 00 28 D0 D1 46 E0 F9 6A 8C 42 01 D9 ?? ?? ?? ?? 3A 6B F8 69 08 2A 28 BF 03 46 01 D2 17 F1 1C 03 03 EB 44 04 01 29 01 D2 ?? ?? ?? ?? 08 2A 28 BF 03 46 01 D2 17 F1 1C 03 9E 1C A3 1B 5B 1C D7 E9 1E 1E 00 25 A6 42 98 BF 5C 08 88 BF 00 24 C7 E9 00 1E 5C B1 36 F8 02 1B 38 46 ?? ?? ?? ?? 6D 1C A5 42 F7 D1 3A 6B F8 69 D7 E9 00 1E C8 E9 00 1E 08 2A 01 D3 ?? ?? ?? ?? 07 23 B8 69 3B 63 00 23 FB 62 BB 83 ?? ?? ?? ?? 40 46 05 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1199_1 {
	meta:
		name = "?do_scan_is@?$ctype@G@std@@MBAPBGFPBG0@Z"
		size = 54
		refs = "001c _guard_check_icall"
		altNames = "?do_scan_is@?$ctype@_W@std@@MBAPB_WFPB_W0@Z"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 1F 46 16 46 89 46 80 46 0C E0 D8 F8 00 40 35 88 24 69 20 46 ?? ?? ?? ?? 40 46 49 46 2A 46 A0 47 10 B9 B6 1C BE 42 F0 D1 30 46 BD E8 F0 8B }
	condition:
		$1
}

rule file_17_1201_1 {
	meta:
		name = "?do_scan_not@?$ctype@G@std@@MBAPBGFPBG0@Z"
		size = 54
		refs = "001c _guard_check_icall"
		altNames = "?do_scan_not@?$ctype@_W@std@@MBAPB_WFPB_W0@Z"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 1F 46 16 46 89 46 80 46 0C E0 D8 F8 00 40 35 88 24 69 20 46 ?? ?? ?? ?? 40 46 49 46 2A 46 A0 47 10 B1 B6 1C BE 42 F0 D1 30 46 BD E8 F0 8B }
	condition:
		$1
}

rule file_17_1207_1 {
	meta:
		name = "?do_tolower@?$ctype@G@std@@MBAGG@Z"
		size = 22
		refs = "0012 _Towlower"
		altNames = "?do_tolower@?$ctype@_W@std@@MBA_W_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 46 00 F1 08 01 18 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1211_1 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MBAGG@Z"
		size = 22
		refs = "0012 _Towupper"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 46 00 F1 08 01 18 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_291_2 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MBA_W_W@Z"
		size = 22
		refs = "0012 _Towupper"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 46 00 F1 08 01 18 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1208_1 {
	meta:
		name = "?do_tolower@?$ctype@G@std@@MBAPBGPAGPBG@Z"
		size = 56
		refs = "0024 _Towlower"
		altNames = "?do_tolower@?$ctype@_W@std@@MBAPB_WPA_WPB_W@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0D 46 53 1B 5B 1C 00 26 95 42 98 BF 5C 08 88 BF 00 24 07 46 4C B1 28 88 07 F1 08 01 ?? ?? ?? ?? 76 1C A6 42 25 F8 02 0B F5 D1 28 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_17_1212_1 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MBAPBGPAGPBG@Z"
		size = 56
		refs = "0024 _Towupper"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0D 46 53 1B 5B 1C 00 26 95 42 98 BF 5C 08 88 BF 00 24 07 46 4C B1 28 88 07 F1 08 01 ?? ?? ?? ?? 76 1C A6 42 25 F8 02 0B F5 D1 28 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_102_290_2 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MBAPB_WPA_WPB_W@Z"
		size = 56
		refs = "0024 _Towupper"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0D 46 53 1B 5B 1C 00 26 95 42 98 BF 5C 08 88 BF 00 24 07 46 4C B1 28 88 07 F1 08 01 ?? ?? ?? ?? 76 1C A6 42 25 F8 02 0B F5 D1 28 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_17_1215_1 {
	meta:
		name = "?do_transform@?$collate@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z"
		size = 414
		refs = "002a ??2@YAPAXI@Z 0030 _invalid_parameter_noinfo_noreturn 007e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0088 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0118 memcpy 0124 memset 012e _errno 0142 _invalid_parameter_noinfo"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 8B B0 6F 46 1D 46 0C 46 6F F0 01 03 7C 65 C7 E9 02 33 92 46 00 26 3E 60 08 20 26 60 C4 E9 05 66 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 C4 E9 05 63 A6 80 01 23 3B 60 A5 EB 0A 03 5D 10 2A 46 00 F0 8A 80 4F EA 45 09 63 69 9A 42 09 D8 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 62 61 23 F8 12 60 04 E0 D1 1A 00 22 20 46 ?? ?? ?? ?? 17 F1 10 01 20 46 ?? ?? ?? ?? 86 68 00 2E 6A D0 03 68 00 2B 65 D0 1A 68 00 2A 62 D0 93 69 08 2B 01 D3 51 68 00 E0 11 1D B1 42 58 D8 53 69 01 EB 43 03 9E 42 53 D2 D4 F8 14 80 17 F1 20 01 20 46 ?? ?? ?? ?? D0 F8 08 E0 BE F1 00 0F 45 D0 03 68 00 2B 40 D0 1A 68 F2 B3 93 69 08 2B 01 D3 51 68 00 E0 11 1D 71 45 34 D8 53 69 01 EB 43 03 9E 45 2F D2 CE EB 48 03 33 44 5B 10 9D 42 22 D8 5E 00 B9 F1 00 0F 1E D0 BA F1 00 0F 07 D0 4E 45 05 D3 4A 46 51 46 70 46 ?? ?? ?? ?? 13 E0 32 46 00 21 70 46 ?? ?? ?? ?? BA F1 00 0F 03 D1 ?? ?? ?? ?? 16 23 04 E0 4E 45 05 D2 ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 63 69 2A 46 9D 42 0E D9 6D B1 00 26 84 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 26 63 69 9D 42 09 D8 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 65 61 23 F8 15 60 04 E0 E9 1A 00 22 20 46 ?? ?? ?? ?? 20 46 0B B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1217_1 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z$0"
		size = 30
		refs = "0018 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 07 80 3B 68 23 F0 01 03 3B 60 78 6D ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_99_464_1 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z$0"
		size = 30
		refs = "0018 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 07 80 3B 68 23 F0 01 03 3B 60 78 6D ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_1220_1 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z$0"
		size = 30
		refs = "0018 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 07 80 3B 68 23 F0 01 03 3B 60 78 6D ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_17_1218_1 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z"
		size = 348
		refs = "0036 ??2@YAPAXI@Z 003c _invalid_parameter_noinfo_noreturn 0088 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0092 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0102 _Wcsxfrm"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 8B B0 6F 46 82 B0 9A 46 0C 46 6F F0 01 03 16 46 7C 65 C7 E9 02 33 7E 60 05 46 4F F0 00 08 C7 F8 00 80 08 20 C1 F8 00 80 C1 E9 05 88 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 07 23 C4 E9 05 83 A4 F8 04 80 01 23 3B 60 AA EB 06 03 58 10 63 D0 05 F1 08 09 63 69 98 42 09 D8 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 60 61 23 F8 10 80 04 E0 C1 1A 00 22 20 46 ?? ?? ?? ?? 17 F1 10 01 20 46 ?? ?? ?? ?? 86 68 00 2E 45 D0 03 68 00 2B 40 D0 1A 68 F2 B3 93 69 08 2B 01 D3 51 68 00 E0 11 1D B1 42 34 D8 53 69 01 EB 43 03 9E 42 2F D2 D4 F8 14 80 17 F1 20 01 20 46 ?? ?? ?? ?? 85 68 25 B3 03 68 03 B3 1A 68 F2 B1 93 69 08 2B 01 D3 51 68 00 E0 11 1D A9 42 14 D8 53 69 01 EB 43 03 9D 42 0F D2 7A 68 06 EB 48 01 53 46 28 46 CD F8 00 90 ?? ?? ?? ?? 63 69 4F F0 00 08 98 42 0D D9 60 B1 A9 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 63 69 98 42 09 D8 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 60 61 23 F8 10 80 04 E0 C1 1A 00 22 20 46 ?? ?? ?? ?? 20 46 0D B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1223_1 {
	meta:
		name = "?do_unshift@?$codecvt@GDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PAD1AAPAD@Z"
		size = 102
		refs = "0008 __security_push_cookie 0026 _Wcrtomb 0050 memcpy 005e __security_pop_cookie"
		altNames = "?do_unshift@?$codecvt@_WDU_Mbstatet@@@std@@MBAHAAU_Mbstatet@@PAD1AAPAD@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 82 B0 0C 9F 9A 46 0E 46 3A 60 D1 E9 00 89 0A 46 00 F1 08 03 00 21 68 46 00 25 ?? ?? ?? ?? 04 46 00 2C D8 BF 02 25 12 DD 38 68 64 1E AA EB 00 03 A3 42 03 DA C6 E9 00 89 01 25 08 E0 00 2C 06 DD 69 46 22 46 ?? ?? ?? ?? 3B 68 23 44 3B 60 28 46 02 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_17_1225_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MBAGD@Z"
		size = 58
		refs = "0022 _Mbrtowc"
		altNames = "?do_widen@?$ctype@_W@std@@MBA_WD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 00 23 CD E9 04 33 00 F1 18 03 00 93 8D F8 08 10 04 AB 02 A9 0D F1 0A 00 01 22 ?? ?? ?? ?? 00 28 02 DA 4F F6 FF 70 01 E0 BD F8 0A 00 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_17_1226_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MBAPBDPBD0PAG@Z"
		size = 96
		refs = "003c _Mbrtowc"
		altNames = "?do_widen@?$ctype@_W@std@@MBAPBDPBD0PA_W@Z"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 86 B0 0C 46 15 1B 00 26 94 42 88 BF 00 25 1F 46 F5 B1 00 F1 18 08 4F F0 00 09 14 F8 01 3B 01 22 02 A9 8D F8 08 30 04 AB 0D F1 0A 00 CD E9 04 99 CD F8 00 80 ?? ?? ?? ?? 00 28 02 DA 4F F6 FF 73 01 E0 BD F8 0A 30 76 1C AE 42 27 F8 02 3B E4 D1 20 46 06 B0 BD E8 F0 8B }
	condition:
		$1
}

rule file_17_1231_1 {
	meta:
		name = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 42
		altNames = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 83 69 08 2B 01 D3 42 68 00 E0 02 1D 43 69 02 EB 43 03 00 22 C1 E9 00 22 8B 60 03 68 08 46 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_17_1235_1 {
	meta:
		name = "?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
		size = 24
		altNames = "?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 88 0B 88 9A 42 08 BF 01 20 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_17_1241_1 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@I@Z"
		size = 42
		refs = "0024 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 8B 42 0B D3 83 69 08 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 23 F8 11 20 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1243_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I@Z"
		size = 42
		refs = "0024 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 8B 42 0B D3 83 69 08 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 23 F8 11 20 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1242_1 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z"
		size = 114
		refs = "004c memmove 006c ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 15 46 62 69 8A 42 2B D3 53 1A AB 42 0A D8 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 61 61 23 F8 11 20 1A E0 CD B1 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 56 1B 03 EB 41 00 73 1A 04 D0 5A 00 00 EB 45 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 20 46 BD E8 78 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1244_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z"
		size = 114
		refs = "004c memmove 006c ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 15 46 62 69 8A 42 2B D3 53 1A AB 42 0A D8 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 61 61 23 F8 11 20 1A E0 CD B1 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 56 1B 03 EB 41 00 73 1A 04 D0 5A 00 00 EB 45 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 20 46 BD E8 78 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1248_1 {
	meta:
		name = "?frac_digits@?$_Mpunct@G@std@@QBAHXZ"
		size = 28
		refs = "0010 _guard_check_icall"
		altNames = "?frac_digits@?$_Mpunct@D@std@@QBAHXZ ?frac_digits@?$_Mpunct@_W@std@@QBAHXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 5C 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_17_1252_1 {
	meta:
		name = "?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 76
		refs = "0032 _guard_check_icall"
		altNames = "?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 87 B0 16 9C 05 46 16 46 04 94 15 9C 98 46 CD E9 10 63 03 94 14 9C 0F 46 02 94 12 9C 00 94 13 9C 01 94 2C 68 E4 69 20 46 ?? ?? ?? ?? 28 46 39 46 32 46 43 46 A0 47 38 46 07 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1254_1 {
	meta:
		name = "?get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 76
		refs = "0032 _guard_check_icall"
		altNames = "?get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z ?get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 87 B0 16 9C 05 46 16 46 04 94 15 9C 98 46 CD E9 10 63 03 94 14 9C 0F 46 02 94 12 9C 00 94 13 9C 01 94 2C 68 A4 69 20 46 ?? ?? ?? ?? 28 46 39 46 32 46 43 46 A0 47 38 46 07 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1256_1 {
	meta:
		name = "?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 76
		refs = "0032 _guard_check_icall"
		altNames = "?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 87 B0 16 9C 05 46 16 46 04 94 15 9C 98 46 CD E9 10 63 03 94 14 9C 0F 46 02 94 12 9C 00 94 13 9C 01 94 2C 68 24 6A 20 46 ?? ?? ?? ?? 28 46 39 46 32 46 43 46 A0 47 38 46 07 B0 BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_17_1267_1 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z"
		size = 176
		refs = "0024 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0052 memmove 00a4 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 00aa ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 15 46 62 69 0E 46 98 46 B2 42 45 D3 D3 43 AB 42 45 D9 57 19 ED B3 00 22 39 46 ?? ?? ?? ?? C0 B3 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D 63 69 9B 1B 07 D0 5A 00 73 19 00 EB 43 00 01 EB 46 01 ?? ?? ?? ?? A3 69 01 2D 07 D1 08 2B 01 D3 63 68 00 E0 23 1D 23 F8 16 80 0D E0 08 2B 01 D3 63 68 00 E0 23 1D 03 EB 46 03 2D B1 03 EB 45 02 23 F8 02 8B 93 42 FB D1 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 67 61 23 F8 17 20 20 46 BD E8 F8 89 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1268_1 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z"
		size = 176
		refs = "0024 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0052 memmove 00a4 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 00aa ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 15 46 62 69 0E 46 98 46 B2 42 45 D3 D3 43 AB 42 45 D9 57 19 ED B3 00 22 39 46 ?? ?? ?? ?? C0 B3 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D 63 69 9B 1B 07 D0 5A 00 73 19 00 EB 43 00 01 EB 46 01 ?? ?? ?? ?? A3 69 01 2D 07 D1 08 2B 01 D3 63 68 00 E0 23 1D 23 F8 16 80 0D E0 08 2B 01 D3 63 68 00 E0 23 1D 03 EB 46 03 2D B1 03 EB 45 02 23 F8 02 8B 93 42 FB D1 A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 67 61 23 F8 17 20 20 46 BD E8 F8 89 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1269_1 {
	meta:
		name = "?is@?$ctype@G@std@@QBA_NFG@Z"
		size = 36
		refs = "0014 _guard_check_icall"
		altNames = "?is@?$ctype@_W@std@@QBA_NF_W@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 23 68 17 46 0E 46 1D 69 28 46 ?? ?? ?? ?? 20 46 31 46 3A 46 A8 47 BD E8 F0 88 }
	condition:
		$1
}

rule file_17_1272_1 {
	meta:
		name = "?length@?$char_traits@G@std@@SAIPBG@Z"
		size = 26
		refs = "0012 wcslen"
		altNames = "?length@?$char_traits@_W@std@@SAIPB_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 88 0B B9 00 20 03 E0 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_17_1275_1 {
	meta:
		name = "?max_size@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QBAIU_Nil@2@@Z"
		size = 20
		altNames = "?max_size@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QBAIU_Nil@2@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 6F F0 00 40 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_17_1284_1 {
	meta:
		name = "?max_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIXZ"
		size = 16
		altNames = "?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F0 00 43 98 1E BD E8 00 88 }
	condition:
		$1
}

rule file_17_1289_1 {
	meta:
		name = "?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 210
		refs = "0008 __security_push_cookie 002c ??2@YAPAXI@Z 0032 _invalid_parameter_noinfo_noreturn 0066 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0070 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 008a ??3@YAXPAX@Z 00ca __security_pop_cookie"
	strings:
		$1 = { 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? 94 B0 6F 46 6F F0 01 03 C7 E9 02 33 00 23 3B 60 43 68 0D 46 DB B9 00 23 08 20 3B 61 C7 E9 09 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 61 C0 E9 00 32 3B 69 17 F1 10 02 1A 60 0F 23 BB 62 00 23 7B 62 3B 75 17 F1 10 00 01 24 08 E0 99 69 09 B9 03 F1 1C 01 17 F1 30 00 ?? ?? ?? ?? 02 24 01 46 28 46 ?? ?? ?? ?? 44 F0 04 04 14 F0 02 0F 12 D0 BB 6C 24 F0 02 04 10 2B 02 D3 78 6B ?? ?? ?? ?? 0F 23 38 6B BB 64 00 23 7B 64 87 F8 34 30 ?? ?? ?? ?? 00 23 3B 63 14 F0 01 0F 0D D0 BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 28 46 14 B0 ?? ?? ?? ?? BD E8 B0 88 }
	condition:
		$1
}

rule file_17_1292_1 {
	meta:
		name = "?narrow@?$ctype@G@std@@QBADGD@Z"
		size = 36
		refs = "0014 _guard_check_icall"
		altNames = "?narrow@?$ctype@_W@std@@QBAD_WD@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 23 68 17 46 0E 46 9D 6B 28 46 ?? ?? ?? ?? 20 46 31 46 3A 46 A8 47 BD E8 F0 88 }
	condition:
		$1
}

rule file_17_1294_1 {
	meta:
		name = "?neg_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ"
		size = 34
		refs = "0012 _guard_check_icall"
		altNames = "?neg_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ ?neg_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 0E 46 DD 6A 28 46 ?? ?? ?? ?? 20 46 31 46 A8 47 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_17_1296_1 {
	meta:
		name = "?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 34
		refs = "0012 _guard_check_icall"
		altNames = "?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 0E 46 1D 6A 28 46 ?? ?? ?? ?? 20 46 31 46 A8 47 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_17_1301_1 {
	meta:
		name = "?pos_format@?$_Mpunct@G@std@@QBA?AUpattern@money_base@2@XZ"
		size = 34
		refs = "0012 _guard_check_icall"
		altNames = "?pos_format@?$_Mpunct@D@std@@QBA?AUpattern@money_base@2@XZ ?pos_format@?$_Mpunct@_W@std@@QBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 0E 46 9D 6A 28 46 ?? ?? ?? ?? 20 46 31 46 A8 47 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_17_1306_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 664
		refs = "0054 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 00ba memmove 00e6 memcpy 0286 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 0292 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 04 46 60 69 89 46 1D 46 48 45 17 46 C0 F0 36 81 6B 69 DD F8 28 A0 53 45 C0 F0 33 81 0B 9E 42 1A 97 42 A3 EB 0A 03 88 BF 17 46 9E 42 88 BF 1E 46 F3 43 C1 1B 8B 42 40 F2 27 81 8B 19 00 93 98 42 A2 EB 07 08 04 D2 00 22 19 46 20 46 ?? ?? ?? ?? BE 42 14 D1 AB 69 08 2B 01 D3 69 68 00 E0 29 1D A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 2E 00 F0 F7 80 72 00 01 EB 4A 01 03 EB 49 00 EE E0 A3 69 AC 42 2F D0 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 0B D0 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? AB 69 08 2B 01 D3 69 68 00 E0 29 1D A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 2E 00 F0 C6 80 72 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? BD E0 BE 42 2B D2 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 63 68 00 E0 23 1D 36 B1 72 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 00 F0 9B 80 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 8D E0 CA 45 1F D8 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 0B D0 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 70 E7 21 1D 6E E7 07 EB 09 05 55 45 29 D8 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 09 D0 06 EB 09 03 00 EB 43 00 4F EA 48 02 01 EB 45 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D 00 2E 45 D0 72 00 F3 1B 53 44 00 EB 49 00 3B E0 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 63 68 00 E0 23 1D 37 B1 7A 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 09 D0 06 EB 09 03 00 EB 43 00 4F EA 48 02 01 EB 45 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D F3 1B 08 D0 5A 00 06 EB 0A 03 00 EB 45 00 01 EB 43 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 9A 00 21 20 46 62 61 23 F8 12 10 BD E8 F8 8F 20 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1309_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 664
		refs = "0054 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 00ba memmove 00e6 memcpy 0286 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 0292 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 04 46 60 69 89 46 1D 46 48 45 17 46 C0 F0 36 81 6B 69 DD F8 28 A0 53 45 C0 F0 33 81 0B 9E 42 1A 97 42 A3 EB 0A 03 88 BF 17 46 9E 42 88 BF 1E 46 F3 43 C1 1B 8B 42 40 F2 27 81 8B 19 00 93 98 42 A2 EB 07 08 04 D2 00 22 19 46 20 46 ?? ?? ?? ?? BE 42 14 D1 AB 69 08 2B 01 D3 69 68 00 E0 29 1D A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 2E 00 F0 F7 80 72 00 01 EB 4A 01 03 EB 49 00 EE E0 A3 69 AC 42 2F D0 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 0B D0 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? AB 69 08 2B 01 D3 69 68 00 E0 29 1D A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 2E 00 F0 C6 80 72 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? BD E0 BE 42 2B D2 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 63 68 00 E0 23 1D 36 B1 72 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 00 F0 9B 80 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 8D E0 CA 45 1F D8 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 0B D0 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 70 E7 21 1D 6E E7 07 EB 09 05 55 45 29 D8 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 09 D0 06 EB 09 03 00 EB 43 00 4F EA 48 02 01 EB 45 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D 00 2E 45 D0 72 00 F3 1B 53 44 00 EB 49 00 3B E0 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 63 68 00 E0 23 1D 37 B1 7A 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 09 D0 06 EB 09 03 00 EB 43 00 4F EA 48 02 01 EB 45 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D F3 1B 08 D0 5A 00 06 EB 0A 03 00 EB 45 00 01 EB 43 01 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 9A 00 21 20 46 62 61 23 F8 12 10 BD E8 F8 8F 20 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1307_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIPBGI@Z"
		size = 322
		refs = "0054 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIABV12@II@Z 00ae memmove 00c2 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0116 memcpy 0136 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 013c ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 9A 46 15 46 89 46 04 46 23 B3 A2 69 08 2A 01 D3 60 68 00 E0 20 1D 82 45 1C D3 08 2A 01 D3 61 68 00 E0 21 1D 63 69 01 EB 43 03 53 45 12 D9 08 2A 01 D3 62 68 00 E0 22 1D 0C 9B 49 46 20 46 01 93 AA EB 02 03 5B 10 00 93 23 46 2A 46 ?? ?? ?? ?? 04 46 68 E0 63 69 4B 45 68 D3 A3 EB 09 01 0C 9E 8D 42 88 BF 0D 46 5A 1B F3 43 93 42 61 D9 A1 EB 05 08 AE 42 19 D2 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 0B D0 05 EB 09 03 01 EB 43 01 09 EB 06 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 63 69 5B 1B 9F 19 06 B9 C5 B3 00 22 39 46 20 46 ?? ?? ?? ?? 90 B3 B5 42 19 D2 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 0B D0 05 EB 09 03 01 EB 43 01 09 EB 06 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 2E B1 72 00 03 EB 49 00 51 46 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 67 61 23 F8 17 20 20 46 BD E8 FE 8F 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1310_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIPB_WI@Z"
		size = 322
		refs = "0054 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIABV12@II@Z 00ae memmove 00c2 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0116 memcpy 0136 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 013c ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 9A 46 15 46 89 46 04 46 23 B3 A2 69 08 2A 01 D3 60 68 00 E0 20 1D 82 45 1C D3 08 2A 01 D3 61 68 00 E0 21 1D 63 69 01 EB 43 03 53 45 12 D9 08 2A 01 D3 62 68 00 E0 22 1D 0C 9B 49 46 20 46 01 93 AA EB 02 03 5B 10 00 93 23 46 2A 46 ?? ?? ?? ?? 04 46 68 E0 63 69 4B 45 68 D3 A3 EB 09 01 0C 9E 8D 42 88 BF 0D 46 5A 1B F3 43 93 42 61 D9 A1 EB 05 08 AE 42 19 D2 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 0B D0 05 EB 09 03 01 EB 43 01 09 EB 06 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 63 69 5B 1B 9F 19 06 B9 C5 B3 00 22 39 46 20 46 ?? ?? ?? ?? 90 B3 B5 42 19 D2 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 08 2B 01 D3 60 68 00 E0 20 1D B8 F1 00 0F 0B D0 05 EB 09 03 01 EB 43 01 09 EB 06 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 2E B1 72 00 03 EB 49 00 51 46 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 67 61 23 F8 17 20 20 46 BD E8 FE 8F 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1308_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
		size = 342
		refs = "005c ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0088 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z 0124 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIPBGI@Z 0130 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 86 B0 1E 46 34 68 17 46 88 46 81 46 0C B9 00 25 00 E0 25 68 0E 99 0B 68 0B B9 00 22 00 E0 1A 68 95 42 40 F0 81 80 B5 68 89 68 8D 42 2B D1 3B 68 0B B9 00 22 00 E0 1A 68 D8 F8 00 30 0B B9 00 23 00 E0 1B 68 9A 42 71 D1 BA 68 D8 F8 08 30 02 A9 48 46 D4 1A ?? ?? ?? ?? D8 F8 00 30 0B B9 00 22 00 E0 1A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 5E D1 D8 F8 08 20 83 68 48 46 D3 1A 59 10 62 10 ?? ?? ?? ?? 4C E0 0B B9 00 22 00 E0 1A 68 0C B9 00 23 00 E0 23 68 9A 42 4C D1 4B 1B 5E 10 00 2D 4A D0 00 2C 50 D0 22 68 00 2A 4D D0 93 69 08 2B 01 D3 51 68 00 E0 11 1D A9 42 43 D8 53 69 01 EB 43 03 9D 42 3E D2 3B 68 0B B9 00 22 00 E0 1A 68 D8 F8 00 30 0B B9 00 23 00 E0 1B 68 9A 42 2D D1 BA 68 D8 F8 08 30 02 A9 48 46 D4 1A ?? ?? ?? ?? D8 F8 00 30 0B B9 00 22 00 E0 1A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 1A D1 D8 F8 08 10 82 68 2B 46 48 46 8A 1A 51 10 62 10 00 96 ?? ?? ?? ?? 48 46 06 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1311_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
		size = 342
		refs = "005c ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0088 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z 0124 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIPB_WI@Z 0130 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 86 B0 1E 46 34 68 17 46 88 46 81 46 0C B9 00 25 00 E0 25 68 0E 99 0B 68 0B B9 00 22 00 E0 1A 68 95 42 40 F0 81 80 B5 68 89 68 8D 42 2B D1 3B 68 0B B9 00 22 00 E0 1A 68 D8 F8 00 30 0B B9 00 23 00 E0 1B 68 9A 42 71 D1 BA 68 D8 F8 08 30 02 A9 48 46 D4 1A ?? ?? ?? ?? D8 F8 00 30 0B B9 00 22 00 E0 1A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 5E D1 D8 F8 08 20 83 68 48 46 D3 1A 59 10 62 10 ?? ?? ?? ?? 4C E0 0B B9 00 22 00 E0 1A 68 0C B9 00 23 00 E0 23 68 9A 42 4C D1 4B 1B 5E 10 00 2D 4A D0 00 2C 50 D0 22 68 00 2A 4D D0 93 69 08 2B 01 D3 51 68 00 E0 11 1D A9 42 43 D8 53 69 01 EB 43 03 9D 42 3E D2 3B 68 0B B9 00 22 00 E0 1A 68 D8 F8 00 30 0B B9 00 23 00 E0 1B 68 9A 42 2D D1 BA 68 D8 F8 08 30 02 A9 48 46 D4 1A ?? ?? ?? ?? D8 F8 00 30 0B B9 00 22 00 E0 1A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 1A D1 D8 F8 08 10 82 68 2B 46 48 46 8A 1A 51 10 62 10 00 96 ?? ?? ?? ?? 48 46 06 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_17_1314_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
		size = 46
		refs = "0026 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 99 42 0A D8 83 69 08 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 23 F8 11 20 03 E0 C9 1A 00 22 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_17_1316_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
		size = 46
		refs = "0026 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 99 42 0A D8 83 69 08 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 23 F8 11 20 03 E0 C9 1A 00 22 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_17_1315_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIG@Z"
		size = 44
		refs = "0024 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 99 42 0A D8 83 69 08 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 23 F8 11 20 02 E0 C9 1A ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_17_1317_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI_W@Z"
		size = 44
		refs = "0024 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 99 42 0A D8 83 69 08 2B 01 D3 43 68 00 E0 03 1D 00 22 41 61 23 F8 11 20 02 E0 C9 1A ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_17_1318_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGXZ"
		size = 66
		refs = "0036 _guard_check_icall"
		altNames = "?sbumpc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAGXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 EB 69 1B 68 13 B1 EB 6A 1B 68 00 E0 00 23 00 2B 09 DD EA 6A 13 68 5B 1E 13 60 EA 69 11 68 8B 1C 13 60 08 88 06 E0 2B 68 DC 69 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_17_1324_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGXZ"
		size = 50
		refs = "0026 _guard_check_icall"
		altNames = "?sgetc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAGXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 EB 69 1A 68 12 B1 EB 6A 1B 68 00 E0 00 23 00 2B 01 DD 10 88 06 E0 2B 68 9C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_17_1329_1 {
	meta:
		name = "?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAAGG@Z"
		size = 74
		refs = "0038 _guard_check_icall"
		altNames = "?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAAG_W@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 2B 6A 0E 46 1B 68 13 B1 2B 6B 1B 68 00 E0 00 23 00 2B 09 DD 2A 6B 13 68 5B 1E 13 60 2A 6A 11 68 8B 1C 13 60 0E 80 08 E0 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 31 46 A0 47 06 46 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_17_1342_1 {
	meta:
		name = "?widen@?$ctype@G@std@@QBAGD@Z"
		size = 32
		refs = "0012 _guard_check_icall"
		altNames = "?widen@?$ctype@_W@std@@QBA_WD@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 0E 46 1D 6B 28 46 ?? ?? ?? ?? 20 46 31 46 A8 47 BD E8 78 88 }
	condition:
		$1
}

rule file_17_1343_1 {
	meta:
		name = "?widen@?$ctype@G@std@@QBAPBDPBD0PAG@Z"
		size = 40
		refs = "0016 _guard_check_icall"
		altNames = "?widen@?$ctype@_W@std@@QBAPBDPBD0PA_W@Z"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 05 46 2C 68 98 46 17 46 E4 6A 0E 46 20 46 ?? ?? ?? ?? 28 46 31 46 3A 46 43 46 A0 47 BD E8 F8 89 }
	condition:
		$1
}

rule file_17_1354_1 {
	meta:
		name = "memcpy_s"
		size = 94
		refs = "0016 _errno 001e _invalid_parameter_noinfo 0034 memcpy 003e memset"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 1C 46 16 46 0D 46 0C B9 00 24 07 E0 48 B9 ?? ?? ?? ?? 16 23 03 60 ?? ?? ?? ?? 16 24 20 46 BD E8 78 88 36 B1 A5 42 04 D3 22 46 31 46 ?? ?? ?? ?? EA E7 2A 46 00 21 ?? ?? ?? ?? 1E B9 ?? ?? ?? ?? 16 24 04 E0 A5 42 E8 D2 ?? ?? ?? ?? 22 24 04 60 ?? ?? ?? ?? E2 E7 }
	condition:
		$1
}

rule file_17_1356_1 {
	meta:
		name = "wmemcpy"
		size = 16
		refs = "000c memcpy"
	strings:
		$1 = { 2D E9 00 48 EB 46 52 00 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1357_1 {
	meta:
		name = "wmemmove"
		size = 16
		refs = "000c memmove"
	strings:
		$1 = { 2D E9 00 48 EB 46 52 00 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1358_1 {
	meta:
		name = "wmemset"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 32 B1 03 46 00 EB 42 02 23 F8 02 1B 93 42 FB D1 BD E8 00 88 }
	condition:
		$1
}

rule file_18_0_1 {
	meta:
		name = "_FSinh"
		size = 324
		refs = "0018 _FDtest 00bc _FExp 00ec _Feraise 0130 _FXbig 0140 _FRteps"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 02 8B 81 B0 68 46 B0 EE 60 8A 8D ED 00 0A ?? ?? ?? ?? 00 28 7B D0 01 28 6C D0 02 28 67 D0 B5 EE 40 8A F1 EE 10 FA 07 D1 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 6F D2 67 E0 9D ED 00 2A B5 EE C0 2A F1 EE 10 FA 05 D2 B1 EE 42 2A 01 24 8D ED 00 2A 00 E0 00 24 38 4B 93 ED 00 0A B4 EE C0 2A F1 EE 10 FA 16 D3 F7 EE 00 0A B4 EE E0 2A F1 EE 10 FA 12 D2 9F ED 2F 0A DF ED 2D 0A 62 EE 02 1A 9F ED 2A 1A 41 EE 80 0A 00 EE A1 1A 21 EE 21 0A 00 EE 02 2A 22 EE 08 8A 28 E0 23 4B 6F F0 00 01 93 ED 00 0A B4 EE C0 2A F1 EE 10 FA 0F D2 68 46 B0 EE 60 0A ?? ?? ?? ?? DD ED 00 0A B5 EE 00 0A 80 EE 20 0A 30 EE C0 0A 20 EE 08 8A 0E E0 68 46 B0 EE 48 0A ?? ?? ?? ?? 18 B1 01 28 04 D1 08 20 00 E0 10 20 ?? ?? ?? ?? 9D ED 00 8A 00 2C 0B E0 9D ED 00 8A 10 E0 B5 EE 40 8A F1 EE 10 FA F7 D1 BD F8 02 30 13 F4 00 4F 06 D0 B1 EE 48 8A 03 E0 9D ED 00 2A 22 EE 08 8A B0 EE 48 0A 01 B0 BD EC 02 8B BD E8 10 88 FE DE ?? ?? ?? ?? DA AA 2A 3E D7 79 08 3C D5 E8 55 39 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_0_1 {
	meta:
		name = "??0_ContextCallback@details@Concurrency@@QAA@_N@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 09 B1 01 23 00 E0 00 23 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_19_2_1 {
	meta:
		name = "??1?$_Func_class@X$$V@std@@QAA@XZ"
		size = 48
		refs = "001e _guard_check_icall"
		altNames = "??1?$function@$$A6AXXZ@std@@QAA@XZ ?_Tidy@?$_Func_class@X$$V@std@@IAAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 06 46 75 6A 75 B1 2B 68 B5 42 18 BF 01 27 1C 69 08 BF 00 27 20 46 ?? ?? ?? ?? 28 46 39 46 A0 47 00 23 73 62 BD E8 F0 88 }
	condition:
		$1
}

rule file_19_5_1 {
	meta:
		name = "??R?$_Func_class@X$$V@std@@QBAXXZ"
		size = 36
		refs = "0012 _guard_check_icall 001e ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 45 6A 45 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_19_6_1 {
	meta:
		name = "?CaptureCallstack@platform@details@Concurrency@@YAIPAPAXII@Z"
		size = 36
		refs = "0020 __imp_RtlCaptureStackBackTrace"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 14 46 0D 46 21 46 04 4C 02 46 00 23 24 68 68 1C A0 47 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_7_1 {
	meta:
		name = "?GetCurrentThreadId@platform@details@Concurrency@@YAJXZ"
		size = 20
		refs = "0010 __imp_GetCurrentThreadId"
		altNames = "_Thrd_id"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_1_1 {
	meta:
		name = "?_Mtx_lock@threads@stdext@@YAXPAX@Z"
		size = 20
		refs = "0010 __imp_EnterCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_3_1 {
	meta:
		name = "?_Mtx_unlock@threads@stdext@@YAXPAX@Z"
		size = 20
		refs = "0010 __imp_LeaveCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_95_2 {
	meta:
		name = "_Close_dir"
		size = 20
		refs = "0010 __imp_FindClose"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_0_2 {
	meta:
		name = "_Mtxdst"
		size = 20
		refs = "0010 __imp_DeleteCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_2_2 {
	meta:
		name = "_Mtxlock"
		size = 20
		refs = "0010 __imp_EnterCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_3_2 {
	meta:
		name = "_Mtxunlock"
		size = 20
		refs = "0010 __imp_LeaveCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_0_2 {
	meta:
		name = "_Smtx_lock_exclusive"
		size = 20
		refs = "0010 __imp_AcquireSRWLockExclusive"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_91_1_1 {
	meta:
		name = "_Smtx_lock_shared"
		size = 20
		refs = "0010 __imp_AcquireSRWLockShared"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_2_2 {
	meta:
		name = "_Smtx_try_lock_exclusive"
		size = 20
		refs = "0010 __imp_TryAcquireSRWLockExclusive"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_3_2 {
	meta:
		name = "_Smtx_try_lock_shared"
		size = 20
		refs = "0010 __imp_TryAcquireSRWLockShared"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_4_2 {
	meta:
		name = "_Smtx_unlock_exclusive"
		size = 20
		refs = "0010 __imp_ReleaseSRWLockExclusive"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_5_2 {
	meta:
		name = "_Smtx_unlock_shared"
		size = 20
		refs = "0010 __imp_ReleaseSRWLockShared"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_11_3 {
	meta:
		name = "__vcrt_FlsAlloc"
		size = 20
		refs = "0010 __imp_FlsAlloc"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_12_3 {
	meta:
		name = "__vcrt_FlsFree"
		size = 20
		refs = "0010 __imp_FlsFree"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_13_3 {
	meta:
		name = "__vcrt_FlsGetValue"
		size = 20
		refs = "0010 __imp_FlsGetValue"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_14_3 {
	meta:
		name = "__vcrt_FlsSetValue"
		size = 20
		refs = "0010 __imp_FlsSetValue"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_0_3 {
	meta:
		name = "__vcrt_GetModuleFileNameW"
		size = 20
		refs = "0010 __imp_GetModuleFileNameW"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_1_3 {
	meta:
		name = "__vcrt_GetModuleHandleW"
		size = 20
		refs = "0010 __imp_GetModuleHandleW"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_0_3 {
	meta:
		name = "__vcrt_InitializeCriticalSectionEx"
		size = 20
		refs = "0010 __imp_InitializeCriticalSectionEx"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_2_3 {
	meta:
		name = "__vcrt_LoadLibraryExW"
		size = 20
		refs = "0010 __imp_LoadLibraryExW"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_8_1 {
	meta:
		name = "?GetNextAsyncId@platform@details@Concurrency@@YAIXZ"
		size = 40
		refs = "0024 ?s_asyncId@platform@details@Concurrency@@3IA"
	strings:
		$1 = { 2D E9 00 48 EB 46 BF F3 5B 8F 06 4A 52 E8 00 0F 40 1C 42 E8 00 03 00 2B F8 D1 BF F3 5B 8F BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_11_1 {
	meta:
		name = "?_CallInContext@_ContextCallback@details@Concurrency@@QBAXV?$function@$$A6AXXZ@std@@_N@Z"
		size = 96
		refs = "001c ?_Xbad_function_call@std@@YAXXZ 0026 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 6F 46 0D 46 6F F0 01 03 FD 62 C7 E9 00 33 6E 6A 0E B9 ?? ?? ?? ?? 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 D5 F8 24 80 B8 F1 00 0F 0F D0 D8 F8 00 30 A8 45 18 BF 01 26 1C 69 08 BF 00 26 20 46 ?? ?? ?? ?? 40 46 31 46 A0 47 00 23 6B 62 BD E8 FE 09 5D F8 14 FB }
	condition:
		$1
}

rule file_19_14_1 {
	meta:
		name = "?_Empty@?$_Func_class@X$$V@std@@IBA_NXZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 43 6A 0B B9 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_19_19_1 {
	meta:
		name = "?_Local@?$_Func_class@X$$V@std@@ABA_NXZ"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 43 6A 83 42 08 BF 01 20 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_20_6_1 {
	meta:
		name = "??$_Fgetc@G@std@@YA_NAAGPAU_iobuf@@@Z"
		size = 36
		refs = "000c fgetwc"
		altNames = "??$_Fgetc@_W@std@@YA_NAA_WPAU_iobuf@@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 08 46 ?? ?? ?? ?? 4F F6 FF 73 98 42 08 BF 00 20 01 D0 20 80 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_20_7_1 {
	meta:
		name = "??$_Fputc@G@std@@YA_NGPAU_iobuf@@@Z"
		size = 28
		refs = "0006 fputwc"
		altNames = "??$_Fputc@_W@std@@YA_N_WPAU_iobuf@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 4F F6 FF 73 98 42 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_20_12_1 {
	meta:
		name = "??$_Ungetc@G@std@@YA_NABGPAU_iobuf@@@Z"
		size = 30
		refs = "0008 ungetwc"
		altNames = "??$_Ungetc@_W@std@@YA_NAB_WPAU_iobuf@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 88 ?? ?? ?? ?? 4F F6 FF 73 98 42 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_20_51_1 {
	meta:
		name = "??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAA@PAU_iobuf@@@Z"
		size = 40
		refs = "000c ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ 001a ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 0024 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 04 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_51_1 {
	meta:
		name = "??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAA@PAU_iobuf@@@Z"
		size = 40
		refs = "000c ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAA@XZ 001a ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 0024 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 04 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_51_1 {
	meta:
		name = "??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAA@PAU_iobuf@@@Z"
		size = 40
		refs = "000c ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ 001a ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 0024 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 04 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_53_1 {
	meta:
		name = "??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 156
		refs = "0050 ?_Init@ios_base@std@@IAAXXZ 005c ?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAGD@Z 0076 ?clear@ios_base@std@@QAAXH_N@Z 007e ?_Addstd@ios_base@std@@SAXPAV12@@Z 0090 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0094 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 0098 ??_8?$basic_ostream@GU?$char_traits@G@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 16 46 05 46 6F F0 01 02 3D 63 4F F0 00 09 C7 E9 02 22 C7 F8 00 90 88 46 2B B1 1C 4B 2B 60 1A 4B AB 60 01 23 3B 60 2B 68 5C 68 16 4B 63 51 2B 68 5B 68 A3 F1 08 02 2B 44 43 F8 04 2C 2B 68 5B 68 5C 19 20 46 ?? ?? ?? ?? 20 21 20 46 C4 E9 0E 89 ?? ?? ?? ?? A3 6B A4 F8 40 00 43 B9 E3 68 00 22 20 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 20 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_53_1 {
	meta:
		name = "??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 156
		refs = "0050 ?_Init@ios_base@std@@IAAXXZ 005c ?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBA_WD@Z 0076 ?clear@ios_base@std@@QAAXH_N@Z 007e ?_Addstd@ios_base@std@@SAXPAV12@@Z 0090 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0094 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 0098 ??_8?$basic_ostream@_WU?$char_traits@_W@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 16 46 05 46 6F F0 01 02 3D 63 4F F0 00 09 C7 E9 02 22 C7 F8 00 90 88 46 2B B1 1C 4B 2B 60 1A 4B AB 60 01 23 3B 60 2B 68 5C 68 16 4B 63 51 2B 68 5B 68 A3 F1 08 02 2B 44 43 F8 04 2C 2B 68 5B 68 5C 19 20 46 ?? ?? ?? ?? 20 21 20 46 C4 E9 0E 89 ?? ?? ?? ?? A3 6B A4 F8 40 00 43 B9 E3 68 00 22 20 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 20 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_54_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 3B 6B 03 F1 08 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_44_54_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 3B 6B 03 F1 08 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_60_54_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 3B 6B 03 F1 08 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_20_55_1 {
	meta:
		name = "??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ"
		size = 116
		refs = "001a ??2@YAPAXI@Z 0024 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z 0070 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 17 4B 05 46 08 20 2B 60 ?? ?? ?? ?? 04 46 24 B1 01 20 ?? ?? ?? ?? 60 60 00 E0 00 24 2B 1D EB 60 05 F1 14 03 EB 61 05 F1 18 03 2B 62 05 F1 24 03 EB 62 05 F1 28 03 05 F1 08 02 00 21 C5 E9 0C 34 2A 61 11 60 2B 6A 19 60 2B 6B 19 60 EB 68 19 60 EB 69 19 60 EB 6A 19 60 28 46 BD E8 BE 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_55_1 {
	meta:
		name = "??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAA@XZ"
		size = 116
		refs = "001a ??2@YAPAXI@Z 0024 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z 0070 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 17 4B 05 46 08 20 2B 60 ?? ?? ?? ?? 04 46 24 B1 01 20 ?? ?? ?? ?? 60 60 00 E0 00 24 2B 1D EB 60 05 F1 14 03 EB 61 05 F1 18 03 2B 62 05 F1 24 03 EB 62 05 F1 28 03 05 F1 08 02 00 21 C5 E9 0C 34 2A 61 11 60 2B 6A 19 60 2B 6B 19 60 EB 68 19 60 EB 69 19 60 EB 6A 19 60 28 46 BD E8 BE 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_55_1 {
	meta:
		name = "??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ"
		size = 116
		refs = "001a ??2@YAPAXI@Z 0024 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z 0070 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 17 4B 05 46 08 20 2B 60 ?? ?? ?? ?? 04 46 24 B1 01 20 ?? ?? ?? ?? 60 60 00 E0 00 24 2B 1D EB 60 05 F1 14 03 EB 61 05 F1 18 03 2B 62 05 F1 24 03 EB 62 05 F1 28 03 05 F1 08 02 00 21 C5 E9 0C 34 2A 61 11 60 2B 6A 19 60 2B 6B 19 60 EB 68 19 60 EB 69 19 60 EB 6A 19 60 28 46 BD E8 BE 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_67_1 {
	meta:
		name = "??0?$fpos@U_Mbstatet@@@std@@QAA@U_Mbstatet@@_J@Z"
		size = 34
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 00 23 C0 E9 00 33 06 9B C0 E9 04 12 83 60 07 9B C3 60 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_20_68_1 {
	meta:
		name = "??0?$fpos@U_Mbstatet@@@std@@QAA@_J@Z"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 E9 00 23 00 23 C0 E9 02 33 C0 E9 04 33 BD E8 00 88 }
	condition:
		$1
}

rule file_20_74_1 {
	meta:
		name = "??0_Init_ushcout@std@@QAA@XZ"
		size = 84
		refs = "0040 ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0044 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0048 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 004c ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0050 ?_Ptr_wcin@std@@3PAV?$basic_istream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 11 4B 10 49 0E 4C 1A 68 21 60 22 B1 13 68 5B 68 13 44 D9 63 21 68 09 4B 1A 68 22 B1 13 68 5B 68 13 44 D9 63 21 68 04 4B 1A 68 1A B1 13 68 5B 68 13 44 D9 63 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_74_1 {
	meta:
		name = "??0_Init_cout@std@@QAA@XZ"
		size = 84
		refs = "0040 ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0044 ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0048 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 004c ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0050 ?_Ptr_cin@std@@3PAV?$basic_istream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 11 4B 10 49 0E 4C 1A 68 21 60 22 B1 13 68 5B 68 13 44 D9 63 21 68 09 4B 1A 68 22 B1 13 68 5B 68 13 44 D9 63 21 68 04 4B 1A 68 1A B1 13 68 5B 68 13 44 D9 63 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_74_1 {
	meta:
		name = "??0_Init_wcout@std@@QAA@XZ"
		size = 84
		refs = "0040 ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0044 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0048 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 004c ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0050 ?_Ptr_wcin@std@@3PAV?$basic_istream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 11 4B 10 49 0E 4C 1A 68 21 60 22 B1 13 68 5B 68 13 44 D9 63 21 68 09 4B 1A 68 22 B1 13 68 5B 68 13 44 D9 63 21 68 04 4B 1A 68 1A B1 13 68 5B 68 13 44 D9 63 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_118_1 {
	meta:
		name = "??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 104
		refs = "0046 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ 004c fclose 0056 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 005c ??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAA@XZ 0064 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 14 4B 04 46 23 60 E3 6C 73 B1 E0 68 04 F1 3C 02 03 68 93 42 08 D1 D4 E9 14 21 02 60 E3 69 1A 60 8B 1A 5A 10 E3 6A 1A 60 94 F8 48 30 63 B1 E3 6C 2B B1 20 46 ?? ?? ?? ?? E0 6C ?? ?? ?? ?? 02 22 00 21 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? BD E8 9C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_118_1 {
	meta:
		name = "??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 104
		refs = "0046 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ 004c fclose 0056 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 005c ??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 0064 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 14 4B 04 46 23 60 E3 6C 73 B1 E0 68 04 F1 3C 02 03 68 93 42 08 D1 D4 E9 14 21 02 60 E3 69 1A 60 8B 1A 5A 10 E3 6A 1A 60 94 F8 48 30 63 B1 E3 6C 2B B1 20 46 ?? ?? ?? ?? E0 6C ?? ?? ?? ?? 02 22 00 21 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? BD E8 9C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_121_1 {
	meta:
		name = "??1?$basic_ostream@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 44
		refs = "0028 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 50 F8 08 3C 5B 68 1A 18 06 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 03 44 43 F8 0C 2C BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_122_1 {
	meta:
		name = "??1?$basic_ostream@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 44
		refs = "0028 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 50 F8 08 3C 5B 68 1A 18 06 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 03 44 43 F8 0C 2C BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_121_1 {
	meta:
		name = "??1?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 44
		refs = "0028 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 50 F8 08 3C 5B 68 1A 18 06 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 03 44 43 F8 0C 2C BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_122_1 {
	meta:
		name = "??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 80
		refs = "0024 _guard_check_icall 0044 ??3@YAXPAXI@Z 004c ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 0E 4B 45 6B 03 60 B5 B1 6E 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 08 21 28 46 ?? ?? ?? ?? BD E8 FC 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_123_1 {
	meta:
		name = "??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 80
		refs = "0024 _guard_check_icall 0044 ??3@YAXPAXI@Z 004c ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 0E 4B 45 6B 03 60 B5 B1 6E 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 08 21 28 46 ?? ?? ?? ?? BD E8 FC 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_122_1 {
	meta:
		name = "??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 80
		refs = "0024 _guard_check_icall 0044 ??3@YAXPAXI@Z 004c ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 0E 4B 45 6B 03 60 B5 B1 6E 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 08 21 28 46 ?? ?? ?? ?? BD E8 FC 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_149_1 {
	meta:
		name = "??B?$fpos@U_Mbstatet@@@std@@QBA_JXZ"
		size = 26
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B D0 E9 02 14 D0 E9 00 32 C8 18 44 EB 02 01 BD E8 18 88 }
	condition:
		$1
}

rule file_20_151_1 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ"
		size = 64
		refs = "0032 _invalid_parameter_noinfo_noreturn"
		altNames = "??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAAADXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 84 68 94 B1 03 68 A3 B1 1A 68 92 B1 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 08 D8 53 69 0B 44 9C 42 04 D2 80 68 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_20_153_1 {
	meta:
		name = "??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAXXZ"
		size = 68
		refs = "0034 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 08 3B 5B 68 1A 18 09 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 03 44 43 F8 0C 2C 02 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_154_1 {
	meta:
		name = "??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAXXZ"
		size = 68
		refs = "0034 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 08 3B 5B 68 1A 18 09 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 03 44 43 F8 0C 2C 02 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_153_1 {
	meta:
		name = "??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAAXXZ"
		size = 68
		refs = "0034 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 08 3B 5B 68 1A 18 09 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 03 44 43 F8 0C 2C 02 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_155_1 {
	meta:
		name = "??_E?$basic_ostream@GU?$char_traits@G@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_ostream@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_156_1 {
	meta:
		name = "??_E?$basic_istream@DU?$char_traits@D@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_istream@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_130_2 {
	meta:
		name = "??_E?$basic_istream@GU?$char_traits@G@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_istream@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_155_1 {
	meta:
		name = "??_E?$basic_istream@_WU?$char_traits@_W@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_131_2 {
	meta:
		name = "??_E?$basic_ostream@DU?$char_traits@D@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_ostream@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_155_1 {
	meta:
		name = "??_E?$basic_ostream@_WU?$char_traits@_W@std@@@std@@$4PPPPPPPM@A@AAPAXI@Z"
		size = 20
		refs = "0010 ??_E?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 50 F8 04 CC A0 EB 0C 00 DF F8 04 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_156_1 {
	meta:
		name = "??_G?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 36
		refs = "000c ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_27_157_1 {
	meta:
		name = "??_G?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 36
		refs = "000c ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_24_156_1 {
	meta:
		name = "??_G?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 36
		refs = "000c ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 58 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_20_157_1 {
	meta:
		name = "??_G?$basic_ios@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 56
		refs = "001a ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0028 ??3@YAXPAXI@Z 0034 ??_7ios_base@std@@6B@"
		altNames = "??_G?$basic_ios@DU?$char_traits@D@std@@@std@@UAAPAXI@Z ??_G?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 46 05 46 07 4B 2B 60 ?? ?? ?? ?? 14 F0 01 0F 03 D0 48 21 28 46 ?? ?? ?? ?? 28 46 BD E8 BE 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_159_1 {
	meta:
		name = "??_G?$basic_ostream@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 92
		refs = "0038 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0048 ??3@YAXPAXI@Z 0054 ??_7ios_base@std@@6B@ 0058 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 08 3C 05 46 0C 46 5B 68 5A 19 0E 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 2B 44 43 F8 0C 2C 07 4B 2B 60 ?? ?? ?? ?? 14 F0 01 0F 04 D0 50 21 A5 F1 08 00 ?? ?? ?? ?? A5 F1 08 00 BD E8 BE 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_160_1 {
	meta:
		name = "??_G?$basic_ostream@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 92
		refs = "0038 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0048 ??3@YAXPAXI@Z 0054 ??_7ios_base@std@@6B@ 0058 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 08 3C 05 46 0C 46 5B 68 5A 19 0E 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 2B 44 43 F8 0C 2C 07 4B 2B 60 ?? ?? ?? ?? 14 F0 01 0F 04 D0 50 21 A5 F1 08 00 ?? ?? ?? ?? A5 F1 08 00 BD E8 BE 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_159_1 {
	meta:
		name = "??_G?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 92
		refs = "0038 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0048 ??3@YAXPAXI@Z 0054 ??_7ios_base@std@@6B@ 0058 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 08 3C 05 46 0C 46 5B 68 5A 19 0E 4B 42 F8 08 3C 50 F8 08 3C 5B 68 A3 F1 08 02 2B 44 43 F8 0C 2C 07 4B 2B 60 ?? ?? ?? ?? 14 F0 01 0F 04 D0 50 21 A5 F1 08 00 ?? ?? ?? ?? A5 F1 08 00 BD E8 BE 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_161_1 {
	meta:
		name = "??_G?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 36
		refs = "000c ??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 38 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_27_162_1 {
	meta:
		name = "??_G?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 36
		refs = "000c ??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 38 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_24_161_1 {
	meta:
		name = "??_G?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 36
		refs = "000c ??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 38 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_20_175_1 {
	meta:
		name = "??_Gios_base@std@@UAAPAXI@Z"
		size = 56
		refs = "001a ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0028 ??3@YAXPAXI@Z 0034 ??_7ios_base@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 46 05 46 07 4B 2B 60 ?? ?? ?? ?? 14 F0 01 0F 03 D0 38 21 28 46 ?? ?? ?? ?? 28 46 BD E8 BE 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_177_1 {
	meta:
		name = "??_Glocale@std@@QAAPAXI@Z"
		size = 80
		refs = "0020 _guard_check_icall 0046 ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 6F F0 01 03 C7 E9 00 33 88 46 05 46 6E 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 18 F0 01 0F 03 D0 08 21 28 46 ?? ?? ?? ?? 28 46 BD E8 FE 89 }
	condition:
		$1
}

rule file_20_182_1 {
	meta:
		name = "??__Einitlocks@@YAXXZ"
		size = 32
		refs = "0008 ??0_Init_locks@std@@QAA@XZ 0012 atexit 0018 ??__Finitlocks@@YAXXZ 001c ?initlocks@@3V_Init_locks@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_81_1 {
	meta:
		name = "??__E?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ"
		size = 32
		refs = "0008 ?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 0012 atexit 0018 ??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ 001c ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_5_1 {
	meta:
		name = "??__Einitlocks@std@@YAXXZ"
		size = 32
		refs = "0008 ??0_Init_locks@std@@QAA@XZ 0012 atexit 0018 ??__Finitlocks@std@@YAXXZ 001c ?initlocks@std@@3V_Init_locks@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 48 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_183_1 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0018 atexit 001c ??__Fwcout@std@@YAXXZ 0020 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_157_2 {
	meta:
		name = "??__Ecerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0018 atexit 001c ??__Fcerr@std@@YAXXZ 0020 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0024 ?ferr@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_182_1 {
	meta:
		name = "??__Ecin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0018 atexit 001c ??__Fcin@std@@YAXXZ 0020 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0024 ?fin@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_157_2 {
	meta:
		name = "??__Eclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0018 atexit 001c ??__Fclog@std@@YAXXZ 0020 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0024 ?flog@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_157_2 {
	meta:
		name = "??__Ecout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0018 atexit 001c ??__Fcout@std@@YAXXZ 0020 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0024 ?fout@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_183_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0018 atexit 001c ??__Fwcerr@std@@YAXXZ 0020 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_158_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0018 atexit 001c ??__Fwcerr@std@@YAXXZ 0020 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_183_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0018 atexit 001c ??__Fwcin@std@@YAXXZ 0020 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0024 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_158_2 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0018 atexit 001c ??__Fwcin@std@@YAXXZ 0020 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0024 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_158_2 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0018 atexit 001c ??__Fwcin@std@@YAXXZ 0020 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0024 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_183_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0018 atexit 001c ??__Fwcin@std@@YAXXZ 0020 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0024 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_183_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0018 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_158_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0018 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_158_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0018 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_183_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0018 atexit 001c ??__Fwclog@std@@YAXXZ 0020 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_158_2 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 40
		refs = "000e ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0018 atexit 001c ??__Fwcout@std@@YAXXZ 0020 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 49 05 48 01 23 00 22 ?? ?? ?? ?? 02 48 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_184_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwfout@std@@YAXXZ 0034 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0038 ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 01 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_183_1 {
	meta:
		name = "??__Efout@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Ffout@std@@YAXXZ 0034 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0038 ?fout@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 01 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_184_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwfout@std@@YAXXZ 0034 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0038 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 01 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_187_1 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0044 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_187_1 {
	meta:
		name = "??__Fcerr@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0044 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_187_1 {
	meta:
		name = "??__Fclog@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0044 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_187_1 {
	meta:
		name = "??__Fcout@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0044 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_187_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0044 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_187_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0044 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_162_2 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0044 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_187_1 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0044 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_187_1 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0044 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_162_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0044 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_162_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0044 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_187_1 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0044 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 08 02 0B 44 43 F8 04 2C 04 4B 01 F1 08 00 8B 60 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_208_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ"
		size = 578
		refs = "0008 __security_push_cookie 003c _guard_check_icall 0058 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0064 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0198 fwrite 01d2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 01de _invalid_parameter_noinfo_noreturn 01f8 ??3@YAXPAX@Z 023a __security_pop_cookie"
		altNames = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9C B0 6F 46 82 B0 6F F0 01 03 C7 E9 06 33 00 23 3B 60 83 6B 80 46 00 2B 00 F0 06 81 90 F8 3E 30 00 2B 00 F0 01 81 03 68 4F F6 FF 75 DC 68 20 46 ?? ?? ?? ?? 40 46 29 46 A0 47 A8 42 08 BF 00 24 00 F0 F3 80 17 F1 50 00 00 22 08 21 ?? ?? ?? ?? 17 F1 08 01 17 F1 50 00 ?? ?? ?? ?? 86 68 00 2E 00 F0 E0 80 03 68 3D 1D 00 2B 00 F0 D9 80 1A 68 00 2A 00 F0 D5 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D B1 42 00 F2 CA 80 53 69 0B 44 9E 42 80 F0 C5 80 D7 F8 64 A0 17 F1 20 01 17 F1 50 00 ?? ?? ?? ?? D0 F8 08 90 B9 F1 00 0F 00 F0 B5 80 03 68 00 2B 00 F0 AF 80 1A 68 00 2A 00 F0 AB 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D 49 45 00 F2 A0 80 53 69 0B 44 99 45 80 F0 9B 80 D8 F8 38 40 00 95 23 68 1D 6A 28 46 ?? ?? ?? ?? 20 46 08 F1 40 01 4A 46 0A EB 06 03 A8 47 10 B1 01 28 66 D1 02 E0 00 23 88 F8 3E 30 17 F1 30 01 17 F1 50 00 ?? ?? ?? ?? 84 68 00 2C 79 D0 03 68 00 2B 74 D0 1A 68 00 2A 71 D0 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 67 D8 53 69 0B 44 9C 42 63 D2 7B 68 1C 1B 2A D0 17 F1 40 01 17 F1 50 00 ?? ?? ?? ?? D7 F8 00 90 03 46 98 68 4F F0 01 0A 49 EA 0A 09 C7 F8 00 90 D0 B3 1B 68 B3 B3 1A 68 A2 B3 93 69 10 2B 01 D3 51 68 00 E0 11 1D 81 42 2A D8 53 69 0B 44 98 42 26 D2 D8 F8 4C 30 22 46 01 21 ?? ?? ?? ?? 84 42 05 D0 01 23 04 E0 D7 F8 00 90 4F F0 01 0A 00 23 19 EA 0A 0F 03 D0 29 EA 0A 09 C7 F8 00 90 BB B9 98 F8 3E 30 93 B1 00 2C 7F F4 49 AF 00 22 08 21 17 F1 50 00 ?? ?? ?? ?? 41 E7 03 28 08 D1 05 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 24 00 E0 00 24 BB 6E 10 2B 02 D3 78 6D ?? ?? ?? ?? 0F 23 38 6D BB 66 00 23 7B 66 87 F8 54 30 ?? ?? ?? ?? 12 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 24 20 46 1E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_20_233_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAPAGXZ"
		size = 26
		altNames = "?_Gndec@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAPA_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 6A 13 68 5B 1C 13 60 C2 69 13 68 98 1E 10 60 BD E8 00 88 }
	condition:
		$1
}

rule file_20_238_1 {
	meta:
		name = "?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 108
		refs = "0068 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 2A 08 BF 01 23 18 BF 00 23 80 F8 48 30 00 24 03 1D C3 60 00 F1 14 03 C3 61 00 F1 18 03 03 62 00 F1 24 03 C3 62 00 F1 28 03 00 F1 08 02 03 63 80 F8 3E 40 02 61 14 60 03 6A 09 4A 1C 60 03 6B 1C 60 C3 68 1C 60 C3 69 1C 60 C3 6A 1C 60 C1 64 13 68 03 64 53 68 84 63 43 64 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_238_1 {
	meta:
		name = "?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 108
		refs = "0068 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 2A 08 BF 01 23 18 BF 00 23 80 F8 48 30 00 24 03 1D C3 60 00 F1 14 03 C3 61 00 F1 18 03 03 62 00 F1 24 03 C3 62 00 F1 28 03 00 F1 08 02 03 63 80 F8 3E 40 02 61 14 60 03 6A 09 4A 1C 60 03 6B 1C 60 C3 68 1C 60 C3 69 1C 60 C3 6A 1C 60 C1 64 13 68 03 64 53 68 84 63 43 64 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_239_1 {
	meta:
		name = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAPAG0PAH001@Z"
		size = 28
		altNames = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAPAD0PAH001@Z ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPAPA_W0PAH001@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 C1 60 02 99 C2 61 03 9A C3 62 04 9B 01 61 02 62 03 63 BD E8 00 88 }
	condition:
		$1
}

rule file_20_240_1 {
	meta:
		name = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXXZ"
		size = 68
		altNames = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXXZ ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 1D C3 60 00 F1 14 03 C3 61 00 F1 18 03 03 62 00 F1 24 03 C3 62 00 F1 28 03 00 F1 08 02 00 21 03 63 02 61 11 60 03 6A 19 60 03 6B 19 60 C3 68 19 60 C3 69 19 60 C3 6A 19 60 BD E8 00 88 }
	condition:
		$1
}

rule file_20_243_1 {
	meta:
		name = "?_Init@ios_base@std@@IAAXXZ"
		size = 82
		refs = "0032 ?clear@ios_base@std@@QAAXH_N@Z 0038 ??2@YAPAXI@Z 0042 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 40 F2 01 23 05 46 6B 61 06 23 00 22 00 21 C5 E9 06 32 C5 E9 0B 22 AA 60 2A 61 C5 E9 08 22 AA 62 ?? ?? ?? ?? 08 20 ?? ?? ?? ?? 04 46 24 B1 01 20 ?? ?? ?? ?? 60 60 00 E0 00 24 2C 63 BD E8 BE 88 }
	condition:
		$1
}

rule file_20_246_1 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPBV?$codecvt@GDU_Mbstatet@@@2@@Z"
		size = 98
		refs = "0012 _guard_check_icall"
		altNames = "?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPBV?$codecvt@DDU_Mbstatet@@@2@@Z ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPBV?$codecvt@_WDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0E 46 33 68 05 46 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 10 B1 00 23 AB 63 1D E0 2B 1D EB 60 05 F1 14 03 EB 61 05 F1 18 03 2B 62 05 F1 24 03 EB 62 05 F1 28 03 05 F1 08 02 00 21 2B 63 AE 63 2A 61 11 60 2B 6A 19 60 2B 6B 19 60 EB 68 19 60 EB 69 19 60 EB 6A 19 60 BD E8 78 88 }
	condition:
		$1
}

rule file_20_265_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ"
		size = 42
		altNames = "?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B C4 68 00 F1 3C 02 23 68 93 42 08 D1 D0 E9 14 21 22 60 C3 69 1A 60 8B 1A 5A 10 C3 6A 1A 60 BD E8 18 88 }
	condition:
		$1
}

rule file_20_266_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AAAXXZ"
		size = 56
		altNames = "?_Set_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B C4 68 00 F1 3C 01 23 68 8B 42 07 D0 03 65 C3 6A 1A 68 C3 69 1B 68 03 EB 42 03 43 65 21 60 C3 69 19 60 43 1A 3E 33 5A 10 C3 6A 1A 60 BD E8 18 88 }
	condition:
		$1
}

rule file_20_292_1 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 36
	strings:
		$1 = { 2D E9 00 48 EB 46 83 69 10 2B 01 D3 43 68 00 E0 03 1D 00 22 C1 E9 00 22 8B 60 03 68 08 46 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_20_299_1 {
	meta:
		name = "?clear@ios_base@std@@QAAXH@Z"
		size = 16
		refs = "000c ?clear@ios_base@std@@QAAXH_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_44_1 {
	meta:
		name = "_Cnd_wait"
		size = 16
		refs = "000c ?do_wait@@YAHPAU_Cnd_internal_imp_t@@PAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_301_1 {
	meta:
		name = "?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAAPAV12@XZ"
		size = 50
		refs = "0010 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ 001a fclose 0028 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 EB 6C 04 46 3B B1 ?? ?? ?? ?? 00 B9 00 24 E8 6C ?? ?? ?? ?? 00 B1 00 24 02 22 00 21 28 46 ?? ?? ?? ?? 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_27_300_1 {
	meta:
		name = "?close@?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAAPAV12@XZ"
		size = 50
		refs = "0010 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ 001a fclose 0028 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 EB 6C 04 46 3B B1 ?? ?? ?? ?? 00 B9 00 24 E8 6C ?? ?? ?? ?? 00 B1 00 24 02 22 00 21 28 46 ?? ?? ?? ?? 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_24_301_1 {
	meta:
		name = "?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAAPAV12@XZ"
		size = 50
		refs = "0010 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ 001a fclose 0028 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 EB 6C 04 46 3B B1 ?? ?? ?? ?? 00 B9 00 24 E8 6C ?? ?? ?? ?? 00 B1 00 24 02 22 00 21 28 46 ?? ?? ?? ?? 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_20_332_1 {
	meta:
		name = "?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ"
		size = 22
		altNames = "?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 C3 6A 1A 68 C3 69 1B 68 03 EB 42 00 BD E8 00 88 }
	condition:
		$1
}

rule file_20_335_1 {
	meta:
		name = "?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBAPAGXZ"
		size = 22
		altNames = "?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBAPA_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6B 1A 68 03 6A 1B 68 03 EB 42 00 BD E8 00 88 }
	condition:
		$1
}

rule file_20_341_1 {
	meta:
		name = "?gbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXH@Z"
		size = 28
		altNames = "?gbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 6A 13 68 5B 1A 13 60 C2 69 13 68 03 EB 41 03 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_20_345_1 {
	meta:
		name = "?imbue@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAXABVlocale@2@@Z"
		size = 28
		refs = "000c ??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z 0018 ?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPBV?$codecvt@GDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 08 46 ?? ?? ?? ?? 01 46 20 46 BD E8 18 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_337_1 {
	meta:
		name = "?imbue@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAXABVlocale@2@@Z"
		size = 28
		refs = "000c ??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z 0018 ?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPBV?$codecvt@DDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 08 46 ?? ?? ?? ?? 01 46 20 46 BD E8 18 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_345_1 {
	meta:
		name = "?imbue@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAXABVlocale@2@@Z"
		size = 28
		refs = "000c ??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z 0018 ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPBV?$codecvt@_WDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 08 46 ?? ?? ?? ?? 01 46 20 46 BD E8 18 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_347_1 {
	meta:
		name = "?in@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAG3AAPAG@Z"
		size = 60
		refs = "0028 _guard_check_icall"
		altNames = "?in@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z ?in@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPA_W3AAPA_W@Z"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 0F 9C 05 46 98 46 03 94 0E 9C 17 46 0E 46 02 94 0D 9C 01 94 0C 9C 00 94 2C 68 A4 69 20 46 ?? ?? ?? ?? 28 46 31 46 3A 46 43 46 A0 47 05 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_20_348_1 {
	meta:
		name = "?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IAAXPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
		size = 70
		refs = "000e ?_Init@ios_base@std@@IAAXXZ 001c ?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAGD@Z 0036 ?clear@ios_base@std@@QAAXH_N@Z 003e ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0C 46 05 46 ?? ?? ?? ?? 00 23 20 21 28 46 C5 E9 0E 43 ?? ?? ?? ?? AB 6B A5 F8 40 00 43 B9 EB 68 00 22 28 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 28 46 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_24_348_1 {
	meta:
		name = "?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAAXPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
		size = 70
		refs = "000e ?_Init@ios_base@std@@IAAXXZ 001c ?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBA_WD@Z 0036 ?clear@ios_base@std@@QAAXH_N@Z 003e ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0C 46 05 46 ?? ?? ?? ?? 00 23 20 21 28 46 C5 E9 0E 43 ?? ?? ?? ?? AB 6B A5 F8 40 00 43 B9 EB 68 00 22 28 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 28 46 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_20_363_1 {
	meta:
		name = "?not_eof@?$char_traits@G@std@@SAGABG@Z"
		size = 22
		altNames = "?not_eof@?$char_traits@_W@std@@SAGABG@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 88 4F F6 FF 73 98 42 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_20_364_1 {
	meta:
		name = "?out@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBG1AAPBGPAD3AAPAD@Z"
		size = 60
		refs = "0028 _guard_check_icall"
		altNames = "?out@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PBD1AAPBDPAD3AAPAD@Z ?out@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PB_W1AAPB_WPAD3AAPAD@Z"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 0F 9C 05 46 98 46 03 94 0E 9C 17 46 0E 46 02 94 0D 9C 01 94 0C 9C 00 94 2C 68 E4 69 20 46 ?? ?? ?? ?? 28 46 31 46 3A 46 43 46 A0 47 05 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_20_365_1 {
	meta:
		name = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGG@Z"
		size = 686
		refs = "0008 __security_push_cookie 0092 fputwc 00a8 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00e6 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0142 _guard_check_icall 01e0 fwrite 021e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0238 _invalid_parameter_noinfo_noreturn 0270 ??3@YAXPAX@Z 02a6 __security_pop_cookie"
		altNames = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 6F 46 84 B0 6F F0 01 03 C7 E9 08 33 0E 46 4F F6 FF 78 00 23 46 45 08 BF 00 26 81 46 7B 60 00 F0 2C 81 D9 F8 20 30 1A 68 7A B1 D9 F8 30 10 08 68 02 EB 40 03 9A 42 08 D2 43 1E 0B 60 D9 F8 20 20 11 68 8B 1C 13 60 0E 80 17 E1 D9 F8 4C 30 00 2B 00 F0 12 81 D9 F8 0C 00 09 F1 3C 02 03 68 93 42 0A D1 D9 E9 14 21 02 60 D9 F8 1C 30 1A 60 8B 1A 5A 10 D9 F8 2C 30 1A 60 D9 F8 38 30 43 B9 D9 F8 4C 10 30 46 ?? ?? ?? ?? 40 45 40 F0 F6 80 F3 E0 17 F1 58 00 00 22 08 21 3E 80 ?? ?? ?? ?? B9 E0 03 68 00 2B 00 F0 F3 80 1A 68 00 2A 00 F0 EF 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 00 F2 E4 80 53 69 0B 44 9C 42 80 F0 DF 80 D7 F8 6C A0 17 F1 28 01 17 F1 58 00 ?? ?? ?? ?? D0 F8 08 E0 BE F1 00 0F 00 F0 CF 80 03 68 00 2B 00 F0 C9 80 1A 68 00 2A 00 F0 C5 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D 71 45 00 F2 BA 80 53 69 0B 44 9E 45 80 F0 B5 80 17 F1 08 03 03 93 0A EB 04 03 D9 F8 38 50 02 93 17 F1 0C 03 00 93 2B 68 CD F8 04 E0 DC 69 20 46 ?? ?? ?? ?? 28 46 09 F1 40 01 3A 46 BB 1C A0 47 00 28 C0 F2 88 80 01 28 7B DC 17 F1 38 01 17 F1 58 00 ?? ?? ?? ?? 84 68 00 2C 70 D0 03 68 00 2B 6B D0 1A 68 00 2A 68 D0 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 5E D8 53 69 0B 44 9C 42 5A D2 BB 68 1C 1B 29 D0 17 F1 48 01 17 F1 58 00 ?? ?? ?? ?? 7D 68 03 46 98 68 4F F0 01 0A 45 EA 0A 05 00 28 7D 60 43 D0 1B 68 FB B3 1A 68 EA B3 93 69 10 2B 01 D3 51 68 00 E0 11 1D 81 42 33 D8 53 69 0B 44 98 42 2F D2 D9 F8 4C 30 22 46 01 21 ?? ?? ?? ?? 84 42 04 D0 01 23 03 E0 7D 68 4F F0 01 0A 00 23 15 EA 0A 0F 02 D0 25 EA 0A 05 7D 60 03 BB FB 68 3A 46 89 F8 3E A0 93 42 2B D1 44 B9 FB 6E 20 2B 28 D2 00 22 08 21 17 F1 58 00 ?? ?? ?? ?? 17 F1 10 01 17 F1 58 00 ?? ?? ?? ?? 84 68 00 2C 7F F4 3C AF 33 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 46 46 0E E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 28 07 D1 D9 F8 4C 10 38 88 ?? ?? ?? ?? 40 45 00 D0 B0 46 3B 6F 10 2B 02 D3 F8 6D ?? ?? ?? ?? 0F 23 B8 6D 3B 67 00 23 FB 66 87 F8 5C 30 ?? ?? ?? ?? 46 46 30 46 0B E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 22 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_20_368_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGG@Z"
		size = 150
		refs = "0050 ungetwc"
		altNames = "?pbackfail@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 EB 69 0C 46 4F F6 FF 76 1A 68 AA B1 EB 68 1B 68 93 42 11 D2 B4 42 03 D0 32 F8 02 3C A3 42 0B D1 EA 6A 13 68 5B 1C 13 60 EA 69 13 68 9B 1E 13 60 B4 42 28 D1 00 24 26 E0 E9 6C 19 B3 B4 42 21 D0 AB 6B 23 B9 20 46 ?? ?? ?? ?? B0 42 1B D1 E8 69 05 F1 3C 01 03 68 8B 42 14 D0 EE 68 AC 87 33 68 8B 42 06 D0 2B 65 EB 6A 1A 68 03 68 03 EB 42 03 6B 65 31 60 EB 69 19 60 6B 1A 3E 33 5A 10 EB 6A 1A 60 00 E0 34 46 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_20_370_1 {
	meta:
		name = "?pbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXH@Z"
		size = 28
		altNames = "?pbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6B 13 68 5B 1A 13 60 02 6A 13 68 03 EB 41 03 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_20_375_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 180
		refs = "0036 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ 0052 _fseeki64 005c fgetpos 00b0 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 05 46 0C 46 E9 69 00 F1 3C 09 DD F8 30 80 09 68 1E 46 17 46 49 45 07 D1 B8 F1 01 0F 04 D1 A9 6B 11 B9 BF 1E 63 F1 00 06 E9 6C 79 B3 28 46 ?? ?? ?? ?? 58 B3 57 EA 06 03 02 D1 B8 F1 01 0F 07 D0 E8 6C 33 46 3A 46 CD F8 00 80 ?? ?? ?? ?? E8 B9 E8 6C 02 A9 ?? ?? ?? ?? C0 B9 E8 68 03 68 4B 45 08 D1 D5 E9 14 21 02 60 EB 69 1A 60 8B 1A 5A 10 EB 6A 1A 60 D5 E9 10 21 00 23 C4 E9 00 33 02 9B C4 E9 04 21 A3 60 03 9B E3 60 09 E0 06 4A 13 68 23 60 53 68 63 60 00 23 C4 E9 02 33 C4 E9 04 33 20 46 04 B0 BD E8 F0 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_375_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 180
		refs = "0036 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ 0052 _fseeki64 005c fgetpos 00b0 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 05 46 0C 46 E9 69 00 F1 3C 09 DD F8 30 80 09 68 1E 46 17 46 49 45 07 D1 B8 F1 01 0F 04 D1 A9 6B 11 B9 BF 1E 63 F1 00 06 E9 6C 79 B3 28 46 ?? ?? ?? ?? 58 B3 57 EA 06 03 02 D1 B8 F1 01 0F 07 D0 E8 6C 33 46 3A 46 CD F8 00 80 ?? ?? ?? ?? E8 B9 E8 6C 02 A9 ?? ?? ?? ?? C0 B9 E8 68 03 68 4B 45 08 D1 D5 E9 14 21 02 60 EB 69 1A 60 8B 1A 5A 10 EB 6A 1A 60 D5 E9 10 21 00 23 C4 E9 00 33 02 9B C4 E9 04 21 A3 60 03 9B E3 60 09 E0 06 4A 13 68 23 60 53 68 63 60 00 23 C4 E9 02 33 C4 E9 04 33 20 46 04 B0 BD E8 F0 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_376_1 {
	meta:
		name = "?seekoff@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 36
		refs = "0020 ?_BADOFF@std@@3_JB"
		altNames = "?seekoff@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z ?seekoff@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4A 08 46 13 68 0B 60 53 68 4B 60 00 23 C1 E9 02 33 C1 E9 04 33 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_377_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 180
		refs = "0022 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ 002c fsetpos 0042 _fseeki64 004c fgetpos 00b0 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 FF 48 0D F1 20 0B 0C 46 0E 99 05 46 1E 46 02 91 0F 99 17 46 CD E9 0C 76 03 91 E9 6C B1 B3 ?? ?? ?? ?? 98 B3 E8 6C 02 A9 ?? ?? ?? ?? 70 BB 57 EA 06 03 07 D0 E8 6C 01 23 00 93 33 46 3A 46 ?? ?? ?? ?? 18 BB E8 6C 02 A9 ?? ?? ?? ?? F0 B9 10 9B E8 68 05 F1 3C 02 2B 64 11 9B 6B 64 03 68 93 42 08 D1 D5 E9 14 21 02 60 EB 69 1A 60 8B 1A 5A 10 EB 6A 1A 60 D5 E9 10 21 00 23 C4 E9 00 33 02 9B C4 E9 04 21 A3 60 03 9B E3 60 09 E0 07 4A 13 68 23 60 53 68 63 60 00 23 C4 E9 02 33 C4 E9 04 33 20 46 04 B0 BD E8 F0 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_377_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 180
		refs = "0022 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ 002c fsetpos 0042 _fseeki64 004c fgetpos 00b0 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 FF 48 0D F1 20 0B 0C 46 0E 99 05 46 1E 46 02 91 0F 99 17 46 CD E9 0C 76 03 91 E9 6C B1 B3 ?? ?? ?? ?? 98 B3 E8 6C 02 A9 ?? ?? ?? ?? 70 BB 57 EA 06 03 07 D0 E8 6C 01 23 00 93 33 46 3A 46 ?? ?? ?? ?? 18 BB E8 6C 02 A9 ?? ?? ?? ?? F0 B9 10 9B E8 68 05 F1 3C 02 2B 64 11 9B 6B 64 03 68 93 42 08 D1 D5 E9 14 21 02 60 EB 69 1A 60 8B 1A 5A 10 EB 6A 1A 60 D5 E9 10 21 00 23 C4 E9 00 33 02 9B C4 E9 04 21 A3 60 03 9B E3 60 09 E0 07 4A 13 68 23 60 53 68 63 60 00 23 C4 E9 02 33 C4 E9 04 33 20 46 04 B0 BD E8 F0 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_378_1 {
	meta:
		name = "?seekpos@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 44
		refs = "0028 ?_BADOFF@std@@3_JB"
		altNames = "?seekpos@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z ?seekpos@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 07 4A 08 46 13 68 0B 60 53 68 4B 60 00 23 C1 E9 02 33 C1 E9 04 33 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_379_1 {
	meta:
		name = "?seekpos@?$fpos@U_Mbstatet@@@std@@QBA_JXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 D3 E9 02 01 BD E8 00 88 }
	condition:
		$1
}

rule file_20_382_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@PAG_J@Z"
		size = 56
		refs = "001e setvbuf 002a ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 E0 6C 15 46 78 B1 19 B9 2B 43 08 BF 04 22 00 D0 00 22 6B 00 ?? ?? ?? ?? 28 B9 E1 6C 01 22 20 46 ?? ?? ?? ?? 00 E0 00 24 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_24_382_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@PA_W_J@Z"
		size = 56
		refs = "001e setvbuf 002a ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 E0 6C 15 46 78 B1 19 B9 2B 43 08 BF 04 22 00 D0 00 22 6B 00 ?? ?? ?? ?? 28 B9 E1 6C 01 22 20 46 ?? ?? ?? ?? 00 E0 00 24 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_20_384_1 {
	meta:
		name = "?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAG00@Z"
		size = 28
		altNames = "?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPA_W00@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B C4 68 9B 1A 21 60 C1 69 0A 60 5A 10 C3 6A 1A 60 BD E8 18 88 }
	condition:
		$1
}

rule file_20_385_1 {
	meta:
		name = "?setp@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAAXPAG0@Z"
		size = 26
		altNames = "?setp@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAAXPA_W0@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 19 60 03 6A 19 60 53 1A 5A 10 03 6B 1A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_20_389_1 {
	meta:
		name = "?state@?$fpos@U_Mbstatet@@@std@@QBA?AU_Mbstatet@@XZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 0B 60 43 69 08 46 4B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_20_390_1 {
	meta:
		name = "?sync@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAHXZ"
		size = 60
		refs = "0018 _guard_check_icall 0028 fflush"
		altNames = "?sync@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAHXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 06 46 F3 6C 9B B1 33 68 4F F6 FF 75 DC 68 20 46 ?? ?? ?? ?? 30 46 29 46 A0 47 A8 42 07 D0 F0 6C ?? ?? ?? ?? 00 28 02 DA 6F F0 00 00 00 E0 00 20 BD E8 78 88 }
	condition:
		$1
}

rule file_20_392_1 {
	meta:
		name = "?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAAPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z"
		size = 16
		altNames = "?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAAPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAAPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 D8 6B D9 63 BD E8 00 88 }
	condition:
		$1
}

rule file_20_395_1 {
	meta:
		name = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
		size = 792
		refs = "0008 __security_push_cookie 006c fgetwc 0088 ??2@YAPAXI@Z 008e _invalid_parameter_noinfo_noreturn 00b2 fgetc 00da ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 010e ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 01ac _guard_check_icall 0218 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 02b2 ungetc 02e6 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 02f6 ??3@YAXPAX@Z 0310 __security_pop_cookie"
		altNames = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9A B0 6F 46 84 B0 6F F0 01 03 06 46 C7 E9 08 33 F3 69 1A 68 6A B1 F1 6A 08 68 02 EB 40 03 9A 42 07 D2 43 1E 0B 60 F2 69 11 68 8B 1C 13 60 08 88 67 E1 F3 6C 13 B9 4F F6 FF 70 62 E1 F0 68 06 F1 3C 02 03 68 93 42 08 D1 D6 E9 14 21 02 60 F3 69 1A 60 8B 1A 5A 10 F3 6A 1A 60 B3 6B 4B B9 F0 6C ?? ?? ?? ?? 4F F6 FF 73 98 42 40 F0 4A 81 18 46 47 E1 00 23 08 20 BB 64 C7 E9 17 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 B8 64 C0 E9 00 32 BB 6C 17 F1 48 02 1A 60 0F 23 3B 66 00 23 FB 65 87 F8 4C 30 F0 6C ?? ?? ?? ?? 04 46 10 F1 01 0F 00 F0 15 81 FA 6D 4F F0 00 08 C2 F1 FF 33 01 2B 40 F2 09 81 55 1C 29 46 00 22 17 F1 48 00 ?? ?? ?? ?? 90 B1 3B 6E 10 2B 01 D3 FA 6C 01 E0 17 F1 4C 02 FB 6D 9C 54 3B 6E 10 2B 01 D3 FB 6C 01 E0 17 F1 4C 03 FD 65 05 F8 03 80 17 F1 28 01 17 F1 48 00 ?? ?? ?? ?? D0 F8 08 90 B9 F1 00 0F 00 F0 E0 80 03 68 00 2B 00 F0 DA 80 1A 68 00 2A 00 F0 D6 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D 49 45 00 F2 CB 80 53 69 0B 44 99 45 80 F0 C6 80 D7 F8 5C A0 17 F1 38 01 17 F1 48 00 ?? ?? ?? ?? D0 F8 08 80 B8 F1 00 0F 00 F0 B6 80 03 68 00 2B 00 F0 B0 80 1A 68 00 2A 00 F0 AC 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D 41 45 00 F2 A1 80 53 69 0B 44 98 45 80 F0 9C 80 17 F1 08 03 03 93 BB 1C 02 93 3B 46 B5 6B 01 93 3B 1D 00 93 2B 68 9C 69 20 46 ?? ?? ?? ?? 28 46 06 F1 40 01 42 46 0A EB 09 03 A0 47 00 28 C0 F2 93 80 01 28 06 DD 03 28 40 F0 8E 80 FB 6D 02 2B 24 D2 6C E7 BB 68 3A 46 93 42 46 D1 17 F1 10 01 17 F1 48 00 ?? ?? ?? ?? 84 68 E4 B3 03 68 C3 B3 1A 68 B2 B3 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 2C D8 53 69 0B 44 9C 42 28 D2 7B 68 00 21 1A 1B 17 F1 48 00 ?? ?? ?? ?? 48 E7 17 F1 10 01 17 F1 48 00 ?? ?? ?? ?? 81 68 09 B9 ?? ?? ?? ?? 03 68 93 B1 1A 68 82 B1 93 69 10 2B 01 D3 50 68 00 E0 10 1D 88 42 06 D8 53 69 03 44 99 42 02 D2 0B 88 3B 80 32 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 17 F1 10 01 17 F1 48 00 ?? ?? ?? ?? 81 68 09 B9 ?? ?? ?? ?? 03 68 03 B3 1A 68 F2 B1 93 69 10 2B 01 D3 50 68 00 E0 10 1D 88 42 14 D8 53 69 03 44 99 42 10 D2 78 68 FB 6D 0A 1A D4 18 00 2C 08 DD 64 1E 20 56 F1 6C ?? ?? ?? ?? 00 2C 01 DD 78 68 F6 E7 3C 88 15 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 17 F1 48 00 ?? ?? ?? ?? 4F F6 FF 74 3B 6E 10 2B 02 D3 F8 6C ?? ?? ?? ?? 0F 23 B8 6C 3B 66 00 23 FB 65 87 F8 4C 30 ?? ?? ?? ?? 20 46 1E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_20_398_1 {
	meta:
		name = "?uflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
		size = 56
		refs = "0010 _guard_check_icall"
		altNames = "?uflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 9C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 4F F6 FF 73 98 42 08 D0 EA 6A 13 68 5B 1E 13 60 EA 69 11 68 8B 1C 13 60 0B 88 18 46 BD E8 30 88 }
	condition:
		$1
}

rule file_20_399_1 {
	meta:
		name = "?underflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
		size = 78
		refs = "0026 _guard_check_icall"
		altNames = "?underflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 06 46 F3 69 1A 68 3A B1 F3 6A 1B 68 02 EB 43 03 9A 42 01 D2 15 88 13 E0 33 68 DC 69 20 46 ?? ?? ?? ?? 30 46 A0 47 05 46 4F F6 FF 73 9D 42 07 D0 33 68 1C 69 20 46 ?? ?? ?? ?? 30 46 29 46 A0 47 28 46 BD E8 78 88 }
	condition:
		$1
}

rule file_20_401_1 {
	meta:
		name = "?unshift@?$codecvt@GDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z"
		size = 44
		refs = "001a _guard_check_icall"
		altNames = "?unshift@?$codecvt@DDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z ?unshift@?$codecvt@_WDU_Mbstatet@@@std@@QBAHAAU_Mbstatet@@PAD1AAPAD@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 0A 9C 05 46 98 46 00 94 2C 68 17 46 0E 46 24 6A 20 46 ?? ?? ?? ?? 28 46 31 46 3A 46 43 46 A0 47 BD E8 FE 89 }
	condition:
		$1
}

rule file_20_405_1 {
	meta:
		name = "?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAGD@Z"
		size = 94
		refs = "0018 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 001c ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 002c _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 6F 46 88 46 6F F0 01 03 39 46 C7 E9 02 33 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 33 68 1C 6B 20 46 ?? ?? ?? ?? 30 46 41 46 A0 47 05 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_24_405_1 {
	meta:
		name = "?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBA_WD@Z"
		size = 94
		refs = "0018 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 001c ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 002c _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 6F 46 88 46 6F F0 01 03 39 46 C7 E9 02 33 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 33 68 1C 6B 20 46 ?? ?? ?? ?? 30 46 41 46 A0 47 05 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_20_409_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA_JPAG_J@Z"
		size = 186
		refs = "004e memcpy 0078 _guard_check_icall"
		altNames = "?xsgetn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA_JPA_W_J@Z"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 15 46 00 22 1F 46 00 92 89 46 80 46 4F F0 00 0A 00 2F 4A DB 45 DD D8 F8 1C 40 21 68 19 B1 D8 F8 2C 30 1C 68 00 E0 00 24 E6 17 00 2E 1C DB 00 DC D4 B1 B7 42 04 DC 01 DB A5 42 01 D2 2C 46 3E 46 1C B1 62 00 48 46 ?? ?? ?? ?? D8 F8 2C 20 2D 1B B7 41 13 68 1B 1B 13 60 D8 F8 1C 20 13 68 03 EB 44 03 13 60 63 00 13 E0 D8 F8 00 30 DC 69 20 46 ?? ?? ?? ?? 40 46 A0 47 4F F6 FF 73 98 42 13 D0 6D 1E 67 F1 00 07 01 24 00 26 02 23 A9 F8 00 00 00 9A 1A EB 04 0A 99 44 72 41 00 92 00 2F BA DC 03 DB 00 2D B7 D1 00 E0 00 9A 50 46 11 46 BD E8 F8 8F }
	condition:
		$1
}

rule file_20_410_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAA_JPBG_J@Z"
		size = 182
		refs = "004a memcpy 0078 _guard_check_icall"
		altNames = "?xsputn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAA_JPB_W_J@Z"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 1F 46 4F F0 00 09 CA 46 00 2F 16 46 00 91 80 46 49 DB 46 DD D8 F8 20 40 20 68 18 B1 D8 F8 30 30 1C 68 00 E0 00 24 E5 17 00 2D 1C DB 00 DC D4 B1 AF 42 04 DC 01 DB A6 42 01 D2 34 46 3D 46 1C B1 62 00 ?? ?? ?? ?? 00 99 D8 F8 30 20 36 1B AF 41 13 68 1B 1B 13 60 D8 F8 20 20 13 68 03 EB 44 03 13 60 63 00 14 E0 D8 F8 00 30 0D 88 DC 68 20 46 ?? ?? ?? ?? 40 46 29 46 A0 47 4F F6 FF 73 98 42 11 D0 76 1E 67 F1 00 07 00 99 01 24 00 25 02 23 19 EB 04 09 4A EB 05 0A 19 44 00 91 00 2F B9 DC 01 DB 00 2E B6 D1 48 46 51 46 BD E8 F8 8F }
	condition:
		$1
}

rule file_21_0_1 {
	meta:
		name = "_FExp"
		size = 300
		refs = "00e6 _FDscale 0114 _FEps 0120 _FInf"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 48 2A D0 ED 00 2A B0 EE 40 3A F4 EE C2 2A F1 EE 10 FA 68 D3 B5 EE 40 0A F1 EE 10 FA 63 D0 9F ED 3F 2A B4 EE E2 2A F1 EE 10 FA 04 D2 3A 4B 01 22 93 ED 00 0A 5A E0 9F ED 37 0A 62 EE 80 0A F5 EE C0 0A F1 EE 10 FA 02 D2 BE EE 00 0A 01 E0 B6 EE 00 0A 30 EE 20 0A DF ED 2E 0A 2C 4A BD EE C0 0A 9F ED 29 1A 10 EE 10 3A D2 ED 00 3A 1B B2 00 EE 10 3A F1 EE 63 1A B8 EE C0 0A 60 EE 20 0A 20 EE 01 1A 32 EE E0 0A 30 EE 41 2A F4 EE C2 1A F1 EE 10 FA 07 D2 B4 EE E3 2A F1 EE 10 FA 02 D2 80 ED 00 3A 1B E0 9F ED 17 0A 22 EE 02 1A DF ED 14 0A DF ED 12 1A 5B 1E 30 EE 01 0A 1B B2 41 EE 20 1A 20 EE 02 0A 71 EE 80 0A 31 EE C0 0A 80 EE 80 0A 30 EE 00 0A 20 EE 03 0A 80 ED 00 0A 19 44 ?? ?? ?? ?? 02 46 04 E0 9F ED 04 0A 00 22 80 ED 00 0A 10 46 BD E8 00 88 FE DE 00 00 00 00 55 5D F0 42 28 3E 40 41 55 5D 70 42 8E BE BF 35 ?? ?? ?? ?? 00 72 31 3F 3B AA B8 3F ?? ?? ?? ?? 00 00 65 43 00 00 65 C3 }
	condition:
		$1
}

rule file_23_0_1 {
	meta:
		name = "_Getcvt"
		size = 98
		refs = "0014 memset 0018 ___lc_codepage_func 001e ___mb_cur_max_func 0024 ___lc_locale_name_func 003c _ismbblead"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 00 23 28 1D 28 22 00 21 2B 60 ?? ?? ?? ?? ?? ?? ?? ?? 28 60 ?? ?? ?? ?? 68 60 ?? ?? ?? ?? 83 68 0B B9 01 23 00 E0 00 23 AB 60 93 B9 00 24 01 26 20 46 ?? ?? ?? ?? 40 B1 04 F0 07 03 05 EB E4 01 06 FA 03 F2 0B 7B 13 43 0B 73 64 1C B4 F5 80 7F EE DB 28 46 BD E8 78 88 }
	condition:
		$1
}

rule file_23_1_1 {
	meta:
		name = "_Wcrtomb"
		size = 96
		refs = "0046 _errno 005c __imp_WideCharToMultiByte"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 85 B0 1C 46 A2 68 AD F8 24 10 22 B1 FF 29 15 D8 01 70 01 20 18 E0 00 23 04 93 04 AB 03 93 00 23 02 93 63 68 00 90 20 68 0A 4C 01 93 01 23 24 68 09 AA 00 21 A0 47 08 B1 04 9B 2B B1 ?? ?? ?? ?? 2A 23 03 60 6F F0 00 00 05 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_53_1 {
	meta:
		name = "??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 160
		refs = "0054 ?_Init@ios_base@std@@IAAXXZ 0060 ?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBA_WD@Z 007a ?clear@ios_base@std@@QAAXH_N@Z 0082 ?_Addstd@ios_base@std@@SAXPAV12@@Z 0094 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0098 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 009c ??_8?$basic_istream@_WU?$char_traits@_W@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 16 46 05 46 6F F0 01 02 3D 63 4F F0 00 09 C7 E9 02 22 C7 F8 00 90 88 46 2B B1 1D 4B 2B 60 1B 4B AB 61 01 23 3B 60 2B 68 5C 68 17 4B 63 51 2B 68 5B 68 A3 F1 18 02 2B 44 43 F8 04 2C 2B 68 C5 E9 02 99 5B 68 5C 19 20 46 ?? ?? ?? ?? 20 21 20 46 C4 E9 0E 89 ?? ?? ?? ?? A3 6B A4 F8 40 00 43 B9 E3 68 00 22 20 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 20 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_53_1 {
	meta:
		name = "??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 160
		refs = "0054 ?_Init@ios_base@std@@IAAXXZ 0060 ?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBAGD@Z 007a ?clear@ios_base@std@@QAAXH_N@Z 0082 ?_Addstd@ios_base@std@@SAXPAV12@@Z 0094 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0098 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 009c ??_8?$basic_istream@GU?$char_traits@G@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 16 46 05 46 6F F0 01 02 3D 63 4F F0 00 09 C7 E9 02 22 C7 F8 00 90 88 46 2B B1 1D 4B 2B 60 1B 4B AB 61 01 23 3B 60 2B 68 5C 68 17 4B 63 51 2B 68 5B 68 A3 F1 18 02 2B 44 43 F8 04 2C 2B 68 C5 E9 02 99 5B 68 5C 19 20 46 ?? ?? ?? ?? 20 21 20 46 C4 E9 0E 89 ?? ?? ?? ?? A3 6B A4 F8 40 00 43 B9 E3 68 00 22 20 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 20 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_54_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAA@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 3B 6B 03 F1 18 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_27_54_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 3B 6B 03 F1 18 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_102_54_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAA@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z$0"
		size = 34
		refs = "001c ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 09 80 3B 68 23 F0 01 03 3B 60 3B 6B 03 F1 18 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_24_74_1 {
	meta:
		name = "??0_Init_wcin@std@@QAA@XZ"
		size = 40
		refs = "001c ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0020 ?_Ptr_wcin@std@@3PAV?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0024 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A"
		altNames = "??__Einit_wcin@std@@YAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_74_1 {
	meta:
		name = "??0_Init_cin@std@@QAA@XZ"
		size = 40
		refs = "001c ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0020 ?_Ptr_cin@std@@3PAV?$basic_istream@DU?$char_traits@D@std@@@1@A 0024 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_74_1 {
	meta:
		name = "??0_Init_clog@std@@QAA@XZ"
		size = 40
		refs = "001c ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0020 ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0024 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_74_1 {
	meta:
		name = "??0_Init_ushcin@std@@QAA@XZ"
		size = 40
		refs = "001c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0020 ?_Ptr_wcin@std@@3PAV?$basic_istream@GU?$char_traits@G@std@@@1@A 0024 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_74_1 {
	meta:
		name = "??0_Init_ushclog@std@@QAA@XZ"
		size = 40
		refs = "001c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0020 ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_74_1 {
	meta:
		name = "??0_Init_wclog@std@@QAA@XZ"
		size = 40
		refs = "001c ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0020 ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_184_1 {
	meta:
		name = "??__Einit_cin@std@@YAXXZ"
		size = 40
		refs = "001c ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0020 ?_Ptr_cin@std@@3PAV?$basic_istream@DU?$char_traits@D@std@@@1@A 0024 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_184_1 {
	meta:
		name = "??__Einit_clog@std@@YAXXZ"
		size = 40
		refs = "001c ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0020 ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0024 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_156_2 {
	meta:
		name = "??__Einit_ushcin@std@@YAXXZ"
		size = 40
		refs = "001c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0020 ?_Ptr_wcin@std@@3PAV?$basic_istream@GU?$char_traits@G@std@@@1@A 0024 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_156_2 {
	meta:
		name = "??__Einit_ushclog@std@@YAXXZ"
		size = 40
		refs = "001c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0020 ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0024 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_156_2 {
	meta:
		name = "??__Einit_wclog@std@@YAXXZ"
		size = 40
		refs = "001c ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0020 ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0024 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 05 4B 1A 60 13 68 5B 68 1A 44 02 4B 1B 68 D3 63 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_121_1 {
	meta:
		name = "??1?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAA@XZ"
		size = 44
		refs = "0028 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 50 F8 18 3C 5B 68 1A 18 06 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 03 44 43 F8 1C 2C BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_122_1 {
	meta:
		name = "??1?$basic_istream@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 44
		refs = "0028 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 50 F8 18 3C 5B 68 1A 18 06 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 03 44 43 F8 1C 2C BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_121_1 {
	meta:
		name = "??1?$basic_istream@GU?$char_traits@G@std@@@std@@UAA@XZ"
		size = 44
		refs = "0028 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 50 F8 18 3C 5B 68 1A 18 06 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 03 44 43 F8 1C 2C BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_153_1 {
	meta:
		name = "??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAAXXZ"
		size = 68
		refs = "0034 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 18 3B 5B 68 1A 18 09 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 03 44 43 F8 1C 2C 02 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_154_1 {
	meta:
		name = "??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QAAXXZ"
		size = 68
		refs = "0034 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 18 3B 5B 68 1A 18 09 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 03 44 43 F8 1C 2C 02 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_153_1 {
	meta:
		name = "??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QAAXXZ"
		size = 68
		refs = "0034 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 18 3B 5B 68 1A 18 09 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 03 44 43 F8 1C 2C 02 4B 03 60 ?? ?? ?? ?? BD E8 8E 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_159_1 {
	meta:
		name = "??_G?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAAPAXI@Z"
		size = 92
		refs = "0038 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0048 ??3@YAXPAXI@Z 0054 ??_7ios_base@std@@6B@ 0058 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 18 3C 05 46 0C 46 5B 68 5A 19 0E 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 2B 44 43 F8 1C 2C 07 4B 2B 60 ?? ?? ?? ?? 14 F0 01 0F 04 D0 60 21 A5 F1 18 00 ?? ?? ?? ?? A5 F1 18 00 BD E8 BE 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_160_1 {
	meta:
		name = "??_G?$basic_istream@DU?$char_traits@D@std@@@std@@UAAPAXI@Z"
		size = 92
		refs = "0038 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0048 ??3@YAXPAXI@Z 0054 ??_7ios_base@std@@6B@ 0058 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 18 3C 05 46 0C 46 5B 68 5A 19 0E 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 2B 44 43 F8 1C 2C 07 4B 2B 60 ?? ?? ?? ?? 14 F0 01 0F 04 D0 60 21 A5 F1 18 00 ?? ?? ?? ?? A5 F1 18 00 BD E8 BE 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_159_1 {
	meta:
		name = "??_G?$basic_istream@GU?$char_traits@G@std@@@std@@UAAPAXI@Z"
		size = 92
		refs = "0038 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 0048 ??3@YAXPAXI@Z 0054 ??_7ios_base@std@@6B@ 0058 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 50 F8 18 3C 05 46 0C 46 5B 68 5A 19 0E 4B 42 F8 18 3C 50 F8 18 3C 5B 68 A3 F1 18 02 2B 44 43 F8 1C 2C 07 4B 2B 60 ?? ?? ?? ?? 14 F0 01 0F 04 D0 60 21 A5 F1 18 00 ?? ?? ?? ?? A5 F1 18 00 BD E8 BE 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_184_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwfin@std@@YAXXZ 0034 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0038 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 00 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_183_1 {
	meta:
		name = "??__Efin@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Ffin@std@@YAXXZ 0034 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0038 ?fin@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 00 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_184_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwfin@std@@YAXXZ 0034 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0038 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 00 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_187_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0044 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 18 02 0B 44 43 F8 04 2C 04 4B 01 F1 18 00 8B 61 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_187_1 {
	meta:
		name = "??__Fcin@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0044 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 18 02 0B 44 43 F8 04 2C 04 4B 01 F1 18 00 8B 61 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_187_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 72
		refs = "0032 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z 003c ??_7ios_base@std@@6B@ 0040 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0044 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0C 49 0B 68 5A 68 09 4B 53 50 0B 68 5B 68 A3 F1 18 02 0B 44 43 F8 04 2C 04 4B 01 F1 18 00 8B 61 ?? ?? ?? ?? BD E8 8E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_0_1 {
	meta:
		name = "_FDtento"
		size = 284
		refs = "000c __security_push_cookie 0036 _FXp_setw 0044 _FXp_movx 004e _FXp_ldexpx 006c _FXp_mulx 00b2 _FXp_getw 00e2 _errno 0108 __security_pop_cookie 0114 _FInf 0118 tenth"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 02 8B ?? ?? ?? ?? 93 B0 0C 46 00 2C 16 46 05 46 6C D0 90 ED 00 0A B5 EE 40 0A F1 EE 10 FA 65 D0 00 2C 06 DD 02 A8 04 21 B2 EE 04 0A ?? ?? ?? ?? 0A E0 36 4A 02 A8 04 21 64 42 ?? ?? ?? ?? 30 22 04 21 28 46 ?? ?? ?? ?? 0A AF 0D F1 28 08 4F F0 01 09 14 EA 09 0F 06 D0 04 23 02 AA 04 21 28 46 00 97 ?? ?? ?? ?? 64 10 0D D0 02 AA 04 21 06 A8 ?? ?? ?? ?? 04 23 06 AA 04 21 02 A8 CD F8 00 80 ?? ?? ?? ?? E5 E7 DD ED 02 0A B7 EE 00 0A F4 EE C0 0A F1 EE 10 FA 05 D2 6F F0 2F 02 04 21 28 46 ?? ?? ?? ?? 04 21 28 46 ?? ?? ?? ?? B5 EE 40 0A B0 EE 40 8A F1 EE 10 FA 0E D0 13 4B 93 ED 00 0A B4 EE 40 8A F1 EE 10 FA 06 D0 B1 EE 40 0A B4 EE 40 8A F1 EE 10 FA 0F D1 ?? ?? ?? ?? 22 23 03 60 56 B1 33 68 43 EA 09 03 33 60 05 E0 04 21 28 46 ?? ?? ?? ?? B0 EE 40 8A B0 EE 48 0A 13 B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_0_1 {
	meta:
		name = "_Toupper"
		size = 208
		refs = "0010 ___lc_locale_name_func 0016 ___lc_codepage_func 003a islower 0050 __pctype_func 00ac __crtLCMapStringA"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 88 B0 0D 46 04 46 35 B9 ?? ?? ?? ?? 86 68 ?? ?? ?? ?? 07 46 01 E0 EE 68 2F 68 2E B9 A4 F1 61 03 19 2B 4D D8 20 3C 4B E0 B4 F5 80 7F 0B D2 25 B9 20 46 ?? ?? ?? ?? 38 B9 42 E0 6B 68 33 F8 14 30 13 F0 02 0F 3C D0 45 B9 ?? ?? ?? ?? 21 12 CB B2 30 F8 13 30 03 F4 00 43 09 E0 6B 68 21 12 CA B2 33 F9 12 30 00 2B B8 BF 01 23 A8 BF 00 23 43 B1 00 23 8D F8 1A 30 02 23 8D F8 18 10 8D F8 19 40 05 E0 00 23 8D F8 19 30 01 23 8D F8 18 40 01 22 03 92 03 22 01 92 04 AA 00 92 06 AA 4F F4 00 71 30 46 02 97 ?? ?? ?? ?? 50 B1 01 28 02 D1 9D F8 10 40 05 E0 9D F8 10 20 9D F8 11 30 43 EA 02 24 20 46 08 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_27_6_1 {
	meta:
		name = "??$_Fgetc@D@std@@YA_NAADPAU_iobuf@@@Z"
		size = 34
		refs = "000c fgetc"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 08 46 ?? ?? ?? ?? B0 F1 FF 3F 08 BF 00 20 01 D0 20 70 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_27_7_1 {
	meta:
		name = "??$_Fputc@D@std@@YA_NDPAU_iobuf@@@Z"
		size = 26
		refs = "0006 fputc"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? B0 F1 FF 3F 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_79_148_1 {
	meta:
		name = "_Remove_dir"
		size = 26
		refs = "0006 _wrmdir"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? B0 F1 FF 3F 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_27_12_1 {
	meta:
		name = "??$_Ungetc@D@std@@YA_NABDPAU_iobuf@@@Z"
		size = 28
		refs = "0008 ungetc"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 78 ?? ?? ?? ?? B0 F1 FF 3F 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_27_53_1 {
	meta:
		name = "??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 160
		refs = "0054 ?_Init@ios_base@std@@IAAXXZ 0060 ?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBADD@Z 007a ?clear@ios_base@std@@QAAXH_N@Z 0082 ?_Addstd@ios_base@std@@SAXPAV12@@Z 0094 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0098 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 009c ??_8?$basic_istream@DU?$char_traits@D@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 16 46 05 46 6F F0 01 02 3D 63 4F F0 00 09 C7 E9 02 22 C7 F8 00 90 88 46 2B B1 1D 4B 2B 60 1B 4B AB 61 01 23 3B 60 2B 68 5C 68 17 4B 63 51 2B 68 5B 68 A3 F1 18 02 2B 44 43 F8 04 2C 2B 68 C5 E9 02 99 5B 68 5C 19 20 46 ?? ?? ?? ?? 20 21 20 46 C4 E9 0E 89 ?? ?? ?? ?? A3 6B 84 F8 40 00 43 B9 E3 68 00 22 20 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 20 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_119_1 {
	meta:
		name = "??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAA@XZ"
		size = 104
		refs = "0044 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ 004a fclose 0054 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 005a ??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAA@XZ 0064 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 14 4B 04 46 23 60 E3 6C 6B B1 E0 68 04 F1 3C 02 03 68 93 42 07 D1 D4 E9 14 21 02 60 E3 69 1A 60 E3 6A 8A 1A 1A 60 94 F8 48 30 63 B1 E3 6C 2B B1 20 46 ?? ?? ?? ?? E0 6C ?? ?? ?? ?? 02 22 00 21 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? BD E8 9C 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_207_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ"
		size = 570
		refs = "0008 __security_push_cookie 0038 _guard_check_icall 0058 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0064 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0194 fwrite 01ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 01d6 _invalid_parameter_noinfo_noreturn 01f0 ??3@YAXPAX@Z 0232 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9C B0 6F 46 82 B0 6F F0 01 03 C7 E9 06 33 00 23 3B 60 83 6B 80 46 00 2B 00 F0 02 81 90 F8 3D 30 00 2B 00 F0 FD 80 03 68 DC 68 20 46 ?? ?? ?? ?? 40 46 6F F0 00 01 A0 47 10 F1 01 0F 08 BF 00 24 00 F0 EF 80 17 F1 50 00 00 22 08 21 ?? ?? ?? ?? 17 F1 08 01 17 F1 50 00 ?? ?? ?? ?? 86 68 00 2E 00 F0 DC 80 03 68 3D 1D 00 2B 00 F0 D5 80 1A 68 00 2A 00 F0 D1 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D B1 42 00 F2 C6 80 53 69 0B 44 9E 42 80 F0 C1 80 D7 F8 64 A0 17 F1 20 01 17 F1 50 00 ?? ?? ?? ?? D0 F8 08 90 B9 F1 00 0F 00 F0 B1 80 03 68 00 2B 00 F0 AB 80 1A 68 00 2A 00 F0 A7 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D 49 45 00 F2 9C 80 53 69 0B 44 99 45 80 F0 97 80 D8 F8 38 40 00 95 23 68 1D 6A 28 46 ?? ?? ?? ?? 20 46 08 F1 40 01 4A 46 0A EB 06 03 A8 47 10 B1 01 28 62 D1 02 E0 00 23 88 F8 3D 30 17 F1 30 01 17 F1 50 00 ?? ?? ?? ?? 84 68 00 2C 75 D0 03 68 00 2B 70 D0 1A 68 00 2A 6D D0 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 63 D8 53 69 0B 44 9C 42 5F D2 7B 68 1C 1B 28 D0 17 F1 40 01 17 F1 50 00 ?? ?? ?? ?? 3D 68 03 46 98 68 4F F0 01 09 45 EA 09 05 3D 60 C0 B3 1B 68 A3 B3 1A 68 92 B3 93 69 10 2B 01 D3 51 68 00 E0 11 1D 81 42 28 D8 53 69 0B 44 98 42 24 D2 D8 F8 4C 30 22 46 01 21 ?? ?? ?? ?? 84 42 04 D0 01 23 03 E0 3D 68 4F F0 01 09 00 23 15 EA 09 0F 02 D0 25 EA 09 05 3D 60 BB B9 98 F8 3D 30 93 B1 00 2C 7F F4 4D AF 00 22 08 21 17 F1 50 00 ?? ?? ?? ?? 45 E7 03 28 08 D1 05 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 24 00 E0 00 24 BB 6E 10 2B 02 D3 78 6D ?? ?? ?? ?? 0F 23 38 6D BB 66 00 23 7B 66 87 F8 54 30 ?? ?? ?? ?? 12 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 24 20 46 1E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_27_231_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAPADXZ"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 6A 13 68 5B 1C 13 60 C2 69 13 68 58 1E 10 60 BD E8 00 88 }
	condition:
		$1
}

rule file_27_236_1 {
	meta:
		name = "?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 152
		refs = "006a _get_stream_buffer_pointers 0094 ?_Stinit@?1??_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 01 2A 08 BF 01 23 18 BF 00 23 04 46 84 F8 48 30 23 1D E3 60 04 F1 14 03 E3 61 04 F1 18 03 23 62 04 F1 24 03 E3 62 04 F1 28 03 00 26 04 F1 08 02 23 63 84 F8 3D 60 22 61 16 60 23 6A 0D 46 1E 60 23 6B 1E 60 E3 68 1E 60 E3 69 1E 60 E3 6A 1E 60 95 B1 00 23 CD E9 00 33 02 93 02 AB 01 AA 69 46 28 46 ?? ?? ?? ?? 00 9B C4 E9 03 33 01 9B C4 E9 07 33 02 9B C4 E9 0B 33 04 4A E5 64 13 68 23 64 53 68 A6 63 63 64 BD E8 7E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_263_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ"
		size = 40
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B C4 68 00 F1 3C 02 23 68 93 42 07 D1 D0 E9 14 21 22 60 C3 69 1A 60 C3 6A 8A 1A 1A 60 BD E8 18 88 }
	condition:
		$1
}

rule file_27_264_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AAAXXZ"
		size = 54
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B C5 68 00 F1 3C 04 2B 68 A3 42 06 D0 03 65 C3 6A C2 69 19 68 13 68 0B 44 43 65 2C 60 C3 69 1C 60 03 1B 03 F1 3D 02 C3 6A 1A 60 BD E8 30 88 }
	condition:
		$1
}

rule file_27_324_1 {
	meta:
		name = "?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 C3 6A C2 69 19 68 13 68 C8 18 BD E8 00 88 }
	condition:
		$1
}

rule file_27_327_1 {
	meta:
		name = "?epptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBAPADXZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6B 02 6A 19 68 13 68 C8 18 BD E8 00 88 }
	condition:
		$1
}

rule file_27_333_1 {
	meta:
		name = "?gbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXH@Z"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 6A 13 68 5B 1A 13 60 C2 69 13 68 0B 44 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_27_340_1 {
	meta:
		name = "?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IAAXPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
		size = 70
		refs = "000e ?_Init@ios_base@std@@IAAXXZ 001c ?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBADD@Z 0036 ?clear@ios_base@std@@QAAXH_N@Z 003e ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0C 46 05 46 ?? ?? ?? ?? 00 23 20 21 28 46 C5 E9 0E 43 ?? ?? ?? ?? AB 6B 85 F8 40 00 43 B9 EB 68 00 22 28 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 28 46 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_27_354_1 {
	meta:
		name = "?not_eof@?$char_traits@D@std@@SAHABH@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 B0 F1 FF 3F 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_27_356_1 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHH@Z"
		size = 670
		refs = "0008 __security_push_cookie 008e fputc 00a6 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 00e4 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 013e _guard_check_icall 01d6 fwrite 020e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0228 _invalid_parameter_noinfo_noreturn 0262 ??3@YAXPAX@Z 0296 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 6F 46 84 B0 6F F0 01 03 11 F1 01 0F 0E 46 C7 E9 08 33 08 BF 00 26 80 46 4F F0 00 0A 00 F0 25 81 D8 F8 20 30 1A 68 72 B1 D8 F8 30 10 08 68 83 18 9A 42 08 D2 43 1E 0B 60 D8 F8 20 20 11 68 4B 1C 13 60 0E 70 11 E1 D8 F8 4C 30 13 B9 6F F0 00 06 0B E1 D8 F8 0C 00 08 F1 3C 02 03 68 93 42 09 D1 D8 E9 14 21 02 60 D8 F8 1C 30 1A 60 D8 F8 2C 30 8A 1A 1A 60 D8 F8 38 30 4B B9 D8 F8 4C 10 70 B2 ?? ?? ?? ?? 10 F1 01 0F 40 F0 EF 80 DE E7 17 F1 58 00 00 22 08 21 3E 70 ?? ?? ?? ?? B2 E0 03 68 00 2B 00 F0 EC 80 1A 68 00 2A 00 F0 E8 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 00 F2 DD 80 53 69 0B 44 9C 42 80 F0 D8 80 D7 F8 6C 90 17 F1 28 01 17 F1 58 00 ?? ?? ?? ?? D0 F8 08 E0 BE F1 00 0F 00 F0 C8 80 03 68 00 2B 00 F0 C2 80 1A 68 00 2A 00 F0 BE 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D 71 45 00 F2 B3 80 53 69 0B 44 9E 45 80 F0 AE 80 3B 1D 03 93 09 EB 04 03 D8 F8 38 50 02 93 17 F1 08 03 00 93 2B 68 CD F8 04 E0 DC 69 20 46 ?? ?? ?? ?? 28 46 08 F1 40 01 3A 46 7B 1C A0 47 00 28 C0 F2 81 80 01 28 73 DC 17 F1 38 01 17 F1 58 00 ?? ?? ?? ?? 84 68 00 2C 68 D0 03 68 00 2B 63 D0 1A 68 00 2A 60 D0 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 56 D8 53 69 0B 44 9C 42 52 D2 7B 68 1C 1B 26 D0 17 F1 48 01 17 F1 58 00 ?? ?? ?? ?? 03 46 98 68 01 25 4A EA 05 0A 00 28 40 D0 1B 68 E3 B3 1A 68 D2 B3 93 69 10 2B 01 D3 51 68 00 E0 11 1D 81 42 30 D8 53 69 0B 44 98 42 2C D2 D8 F8 4C 30 22 46 01 21 ?? ?? ?? ?? 84 42 02 D0 01 23 01 E0 01 25 00 23 1A EA 05 0F 01 D0 2A EA 05 0A 8B BB BB 68 3A 46 88 F8 3D 50 93 42 2D D1 44 B9 FB 6E 20 2B 27 D2 00 22 08 21 17 F1 58 00 ?? ?? ?? ?? 17 F1 10 01 17 F1 58 00 ?? ?? ?? ?? 84 68 00 2C 7F F4 43 AF 33 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 28 08 D1 D8 F8 4C 10 97 F9 00 00 ?? ?? ?? ?? 10 F1 01 0F 01 D1 6F F0 00 06 3B 6F 10 2B 02 D3 F8 6D ?? ?? ?? ?? 0F 23 B8 6D 3B 67 00 23 FB 66 87 F8 5C 30 ?? ?? ?? ?? 30 46 0B E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 22 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_27_359_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHH@Z"
		size = 156
		refs = "0052 ungetc"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 EB 69 0C 46 1A 68 BA B1 EB 68 1B 68 93 42 13 D2 11 F1 01 0F 03 D0 12 F8 01 3C A3 42 0C D1 EA 6A 13 68 5B 1C 13 60 EA 69 13 68 5B 1E 13 60 14 F1 01 0F 2B D1 00 24 29 E0 E9 6C 29 B3 14 F1 01 0F 22 D0 AB 6B 2B B9 E0 B2 ?? ?? ?? ?? 10 F1 01 0F 1C D1 EE 69 05 F1 3C 01 33 68 8B 42 14 D0 E8 68 85 F8 3C 40 03 68 8B 42 05 D0 2B 65 EB 6A 1A 68 33 68 13 44 6B 65 01 60 EB 69 19 60 6B 1A 03 F1 3D 02 EB 6A 1A 60 01 E0 6F F0 00 04 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_27_361_1 {
	meta:
		name = "?pbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXH@Z"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6B 13 68 5B 1A 13 60 02 6A 13 68 0B 44 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_27_366_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 180
		refs = "0036 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ 0052 _fseeki64 005c fgetpos 00b0 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 05 46 0C 46 E9 69 00 F1 3C 09 DD F8 30 80 09 68 1E 46 17 46 49 45 07 D1 B8 F1 01 0F 04 D1 A9 6B 11 B9 7F 1E 63 F1 00 06 E9 6C 71 B3 28 46 ?? ?? ?? ?? 50 B3 57 EA 06 03 02 D1 B8 F1 01 0F 07 D0 E8 6C 33 46 3A 46 CD F8 00 80 ?? ?? ?? ?? E0 B9 E8 6C 02 A9 ?? ?? ?? ?? B8 B9 E8 68 03 68 4B 45 07 D1 D5 E9 14 21 02 60 EB 69 1A 60 EB 6A 8A 1A 1A 60 D5 E9 10 21 00 23 C4 E9 00 33 02 9B C4 E9 04 21 A3 60 03 9B E3 60 09 E0 07 4A 13 68 23 60 53 68 63 60 00 23 C4 E9 02 33 C4 E9 04 33 20 46 04 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_368_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 180
		refs = "0022 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ 002c fsetpos 0042 _fseeki64 004c fgetpos 00b0 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 0F B4 2D E9 FF 48 0D F1 20 0B 0C 46 0E 99 05 46 1E 46 02 91 0F 99 17 46 CD E9 0C 76 03 91 E9 6C A9 B3 ?? ?? ?? ?? 90 B3 E8 6C 02 A9 ?? ?? ?? ?? 68 BB 57 EA 06 03 07 D0 E8 6C 01 23 00 93 33 46 3A 46 ?? ?? ?? ?? 10 BB E8 6C 02 A9 ?? ?? ?? ?? E8 B9 10 9B E8 68 05 F1 3C 02 2B 64 11 9B 6B 64 03 68 93 42 07 D1 D5 E9 14 21 02 60 EB 69 1A 60 EB 6A 8A 1A 1A 60 D5 E9 10 21 00 23 C4 E9 00 33 02 9B C4 E9 04 21 A3 60 03 9B E3 60 09 E0 08 4A 13 68 23 60 53 68 63 60 00 23 C4 E9 02 33 C4 E9 04 33 20 46 04 B0 BD E8 F0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_373_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@PAD_J@Z"
		size = 56
		refs = "001e setvbuf 002a ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 E0 6C 15 46 78 B1 19 B9 2B 43 08 BF 04 22 00 D0 00 22 2B 46 ?? ?? ?? ?? 28 B9 E1 6C 01 22 20 46 ?? ?? ?? ?? 00 E0 00 24 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_27_375_1 {
	meta:
		name = "?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAD00@Z"
		size = 26
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B C4 68 21 60 C1 69 0A 60 9A 1A C3 6A 1A 60 BD E8 18 88 }
	condition:
		$1
}

rule file_27_376_1 {
	meta:
		name = "?setp@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAAXPAD0@Z"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 52 1A 19 60 03 6A 19 60 03 6B 1A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_27_381_1 {
	meta:
		name = "?sync@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 56
		refs = "0018 _guard_check_icall 0028 fflush"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 EB 6C 83 B1 2B 68 6F F0 00 06 DC 68 20 46 ?? ?? ?? ?? 28 46 31 46 A0 47 B0 42 04 D0 E8 6C ?? ?? ?? ?? 00 28 00 DB 00 26 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_27_386_1 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 798
		refs = "0008 __security_push_cookie 006a fgetc 0088 ??2@YAPAXI@Z 008e _invalid_parameter_noinfo_noreturn 00dc ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0110 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 01ae _guard_check_icall 021a ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 02ba ungetc 02f0 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 02fc ??3@YAXPAX@Z 0316 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9A B0 6F 46 84 B0 6F F0 01 03 06 46 C7 E9 08 33 F3 69 1A 68 6A B1 F1 6A 08 68 83 18 9A 42 08 D2 43 1E 0B 60 F2 69 11 68 4B 1C 13 60 91 F8 00 80 69 E1 F3 6C 13 B9 6F F0 00 08 64 E1 F0 68 06 F1 3C 02 03 68 93 42 07 D1 D6 E9 14 21 02 60 F3 69 1A 60 F3 6A 8A 1A 1A 60 B3 6B 53 B9 F0 6C ?? ?? ?? ?? 6F F0 00 08 40 45 00 F0 4D 81 5F FA 80 F8 49 E1 00 23 08 20 BB 64 C7 E9 17 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 B8 64 C0 E9 00 32 BB 6C 17 F1 48 02 1A 60 0F 23 3B 66 00 23 FB 65 87 F8 4C 30 F0 6C ?? ?? ?? ?? 6F F0 00 08 04 46 44 45 00 F0 19 81 FA 6D 4F F0 00 09 C2 F1 FF 33 01 2B 40 F2 0D 81 55 1C 29 46 00 22 17 F1 48 00 ?? ?? ?? ?? 90 B1 3B 6E 10 2B 01 D3 FA 6C 01 E0 17 F1 4C 02 FB 6D 9C 54 3B 6E 10 2B 01 D3 FB 6C 01 E0 17 F1 4C 03 FD 65 05 F8 03 90 17 F1 28 01 17 F1 48 00 ?? ?? ?? ?? D0 F8 08 A0 BA F1 00 0F 00 F0 E4 80 03 68 00 2B 00 F0 DE 80 1A 68 00 2A 00 F0 DA 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D 51 45 00 F2 CF 80 53 69 0B 44 9A 45 80 F0 CA 80 FB 6D 17 F1 38 01 17 F1 48 00 BB 60 ?? ?? ?? ?? D0 F8 08 90 B9 F1 00 0F 00 F0 BA 80 03 68 00 2B 00 F0 B4 80 1A 68 00 2A 00 F0 B0 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D 49 45 00 F2 A5 80 53 69 0B 44 99 45 80 F0 A0 80 17 F1 0C 03 03 93 7B 1C 02 93 3B 46 B5 6B 01 93 3B 1D 00 93 2B 68 9C 69 20 46 ?? ?? ?? ?? BB 68 28 46 06 F1 40 01 53 44 4A 46 A0 47 00 28 C0 F2 97 80 01 28 06 DD 03 28 40 F0 92 80 FB 6D 01 2B 27 D2 22 E0 FB 68 3A 46 93 42 49 D1 17 F1 10 01 17 F1 48 00 ?? ?? ?? ?? 84 68 FC B3 03 68 DB B3 1A 68 CA B3 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 2F D8 53 69 0B 44 9C 42 2B D2 7B 68 00 21 1A 1B 17 F1 48 00 ?? ?? ?? ?? F0 6C ?? ?? ?? ?? 49 E7 17 F1 10 01 17 F1 48 00 ?? ?? ?? ?? 81 68 09 B9 ?? ?? ?? ?? 03 68 93 B1 1A 68 82 B1 93 69 10 2B 01 D3 50 68 00 E0 10 1D 88 42 06 D8 53 69 03 44 99 42 02 D2 0B 78 3B 70 32 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 17 F1 10 01 17 F1 48 00 ?? ?? ?? ?? 81 68 09 B9 ?? ?? ?? ?? 03 68 0B B3 1A 68 FA B1 93 69 10 2B 01 D3 50 68 00 E0 10 1D 88 42 15 D8 53 69 03 44 99 42 11 D2 78 68 FB 6D 0A 1A D4 18 00 2C 08 DD 64 1E 20 56 F1 6C ?? ?? ?? ?? 00 2C 01 DD 78 68 F6 E7 97 F8 00 80 13 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 17 F1 48 00 ?? ?? ?? ?? 3B 6E 10 2B 02 D3 F8 6C ?? ?? ?? ?? 0F 23 B8 6C 3B 66 00 23 FB 65 87 F8 4C 30 ?? ?? ?? ?? 40 46 1E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_27_389_1 {
	meta:
		name = "?uflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 56
		refs = "0010 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 9C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 6F F0 00 03 98 42 08 D0 EA 6A 13 68 5B 1E 13 60 EA 69 11 68 4B 1C 13 60 0B 78 18 46 BD E8 30 88 }
	condition:
		$1
}

rule file_27_390_1 {
	meta:
		name = "?underflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 76
		refs = "0024 _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 EB 69 1A 68 32 B1 EB 6A 1B 68 13 44 9A 42 01 D2 10 78 14 E0 2B 68 DC 69 20 46 ?? ?? ?? ?? 28 46 A0 47 06 46 6F F0 00 00 86 42 08 D0 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 31 46 A0 47 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_27_396_1 {
	meta:
		name = "?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBADD@Z"
		size = 94
		refs = "0018 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 001c ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 002c _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 6F 46 88 46 6F F0 01 03 39 46 C7 E9 02 33 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 33 68 1C 6A 20 46 ?? ?? ?? ?? 30 46 41 46 A0 47 05 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_27_399_1 {
	meta:
		name = "?widen@?$ctype@D@std@@QBADD@Z"
		size = 32
		refs = "0012 _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 0E 46 1D 6A 28 46 ?? ?? ?? ?? 20 46 31 46 A8 47 BD E8 78 88 }
	condition:
		$1
}

rule file_27_400_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA_JPAD_J@Z"
		size = 182
		refs = "004e memcpy 0076 _guard_check_icall"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 15 46 00 22 1F 46 00 92 89 46 80 46 4F F0 00 0A 00 2F 48 DB 43 DD D8 F8 1C 40 21 68 19 B1 D8 F8 2C 40 24 68 00 E0 00 24 E6 17 00 2E 1B DB 00 DC CC B1 B7 42 04 DC 01 DB A5 42 01 D2 2C 46 3E 46 1C B1 22 46 48 46 ?? ?? ?? ?? D8 F8 2C 20 2D 1B B7 41 13 68 1B 1B 13 60 D8 F8 1C 20 13 68 23 44 13 60 23 46 12 E0 D8 F8 00 30 DC 69 20 46 ?? ?? ?? ?? 40 46 A0 47 B0 F1 FF 3F 13 D0 6D 1E 67 F1 00 07 01 24 00 26 01 23 89 F8 00 00 00 9A 1A EB 04 0A 99 44 72 41 00 92 00 2F BC DC 03 DB 00 2D B9 D1 00 E0 00 9A 50 46 11 46 BD E8 F8 8F }
	condition:
		$1
}

rule file_27_401_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAA_JPBD_J@Z"
		size = 178
		refs = "004a memcpy 0076 _guard_check_icall"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 1F 46 4F F0 00 09 CA 46 00 2F 16 46 00 91 80 46 47 DB 44 DD D8 F8 20 40 20 68 18 B1 D8 F8 30 40 24 68 00 E0 00 24 E5 17 00 2D 1B DB 00 DC CC B1 AF 42 04 DC 01 DB A6 42 01 D2 34 46 3D 46 1C B1 22 46 ?? ?? ?? ?? 00 99 D8 F8 30 20 36 1B AF 41 13 68 1B 1B 13 60 D8 F8 20 20 13 68 23 44 13 60 23 46 13 E0 D8 F8 00 30 0D 78 DC 68 20 46 ?? ?? ?? ?? 40 46 29 46 A0 47 B0 F1 FF 3F 11 D0 76 1E 67 F1 00 07 00 99 01 24 00 25 01 23 19 EB 04 09 4A EB 05 0A 19 44 00 91 00 2F BB DC 01 DB 00 2E B8 D1 48 46 51 46 BD E8 F8 8F }
	condition:
		$1
}

rule file_28_1_1 {
	meta:
		name = "??0?$_Smanip@_J@std@@QAA@P6AXAAVios_base@1@_J@Z1@Z"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 01 60 C0 E9 02 23 BD E8 00 88 }
	condition:
		$1
}

rule file_28_2_1 {
	meta:
		name = "?precision@ios_base@std@@QAA_J_J@Z"
		size = 22
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 D4 E9 06 01 C4 E9 06 23 BD E8 18 88 }
	condition:
		$1
}

rule file_28_4_1 {
	meta:
		name = "?rsfun@std@@YAXAAVios_base@1@H@Z"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 8B 43 43 61 BD E8 00 88 }
	condition:
		$1
}

rule file_28_5_1 {
	meta:
		name = "?sbfun@std@@YAXAAVios_base@1@H@Z"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 08 29 02 D1 4F F4 80 62 0A E0 0A 29 02 D1 4F F4 00 72 05 E0 10 29 02 D1 4F F4 00 62 00 E0 00 22 43 69 23 F4 60 63 13 43 43 61 BD E8 00 88 }
	condition:
		$1
}

rule file_28_7_1 {
	meta:
		name = "?setf@ios_base@std@@QAAHHH@Z"
		size = 30
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 45 69 01 EA 02 03 9B B2 25 EA 02 04 23 43 43 61 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_28_9_1 {
	meta:
		name = "?setprecision@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 24
		refs = "0014 ?spfun@std@@YAXAAVios_base@1@_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 49 C0 E9 02 23 01 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_10_1 {
	meta:
		name = "?setw@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 24
		refs = "0014 ?swfun@std@@YAXAAVios_base@1@_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 49 C0 E9 02 23 01 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_11_1 {
	meta:
		name = "?sifun@std@@YAXAAVios_base@1@H@Z"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 23 EA 01 02 8B B2 13 43 43 61 BD E8 00 88 }
	condition:
		$1
}

rule file_29_0_1 {
	meta:
		name = "_LXp_addh"
		size = 688
		refs = "0028 _LDunscale 0036 _LDtest 0046 _LPmsw 0062 _Feraise 01b2 _LDint 01bc _LDscale 02ac _LNan"
	strings:
		$1 = { 03 B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B 89 B0 0E 46 00 2E 8D ED 02 0B 8D ED 04 0B 05 46 00 F0 39 81 04 A9 0D F1 02 00 ?? ?? ?? ?? 00 28 2C DD 02 28 25 D0 28 46 ?? ?? ?? ?? 00 28 20 DD 02 28 00 F0 28 81 02 A8 ?? ?? ?? ?? 04 46 28 46 ?? ?? ?? ?? 03 88 22 88 53 40 13 F4 00 4F 00 F0 1A 81 01 20 ?? ?? ?? ?? 91 4B 01 2E 93 ED 00 0B 85 ED 00 0B 40 F3 0F 81 9F ED 8B 0B 85 ED 02 0B 09 E1 9D ED 02 0B 85 ED 00 0B 04 E1 80 F2 03 81 00 24 00 2E 4F F4 00 68 40 F3 FD 80 9F ED 82 8B 05 EB C6 0A 05 EB C6 09 05 EB C4 07 06 A9 97 ED 00 0B 68 46 8D ED 06 0B ?? ?? ?? ?? 00 28 00 F3 EA 80 00 F0 DD 80 BD F9 00 20 BD F9 02 30 9D ED 02 1B D3 1A 13 F1 1A 0F 2C DC B5 EE 40 1B F1 EE 10 FA 27 D0 23 46 3A 46 19 46 5B 1C 08 32 B3 42 06 DA 92 ED 00 0B B5 EE 40 0B F1 EE 10 FA F3 D1 72 1E 93 42 B8 BF 5B 1C 02 DB B3 42 08 BF 0B 46 9C 42 0A DA 05 EB C3 02 1B 1B 12 ED 02 0B 5B 1E 82 ED 00 0B A2 F1 08 02 F7 D1 87 ED 00 1B 8D ED 02 8B A1 E0 1A 2B 07 DB B5 EE 40 1B F1 EE 10 FA 02 D0 90 46 64 1C 97 E0 97 ED 00 0B 30 EE 01 0B B5 EE 40 0B 87 ED 00 0B F1 EE 10 FA 18 D1 22 46 3B 46 52 1C 08 33 B2 42 08 DA 93 ED 00 0B B5 EE 40 0B 03 ED 02 0B F1 EE 10 FA F2 D1 0A ED 02 8B 97 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 F0 83 80 02 A9 0D F1 02 00 8D ED 02 0B ?? ?? ?? ?? BD F9 02 20 A8 F1 1A 03 93 42 3A DA A2 EB 08 03 1A 33 19 B2 02 A8 ?? ?? ?? ?? BD F9 02 10 02 A8 ?? ?? ?? ?? 97 ED 00 1B 9D ED 02 0B 31 EE 40 0B B5 EE 40 0B 87 ED 00 0B F1 EE 10 FA 0F D1 23 46 5B 1C 08 37 B3 42 08 DA 97 ED 00 0B B5 EE 40 0B 07 ED 02 0B F1 EE 10 FA F2 D1 09 ED 02 8B 64 1E 02 D1 4F F4 00 68 38 E0 05 EB C4 03 04 A9 13 ED 02 0B 68 46 8D ED 04 0B ?? ?? ?? ?? BD F9 00 80 2B E0 64 1C B4 42 37 D0 97 ED 00 0B 39 46 68 46 8D ED 02 0B ?? ?? ?? ?? 1A 21 38 46 ?? ?? ?? ?? BD F9 00 10 38 46 ?? ?? ?? ?? 97 ED 00 1B 9D ED 02 0B BD F9 00 80 30 EE 41 0B B5 EE 40 0B 8D ED 02 0B F1 EE 10 FA 01 D1 B0 EE 41 0B 04 A9 0D F1 02 00 8D ED 04 0B ?? ?? ?? ?? B4 42 FF F6 15 AF 0A E0 9D ED 02 0B 05 EB C4 02 63 1C B3 42 82 ED 00 0B 01 DA 82 ED 02 8B 28 46 09 B0 BD EC 02 8B BD E8 F0 0F 5D F8 0C FB 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_0_1 {
	meta:
		name = "_Xp_addh"
		size = 688
		refs = "0028 _Dunscale 0036 _Dtest 0046 _Pmsw 0062 _Feraise 01b2 _Dint 01bc _Dscale 02ac _Nan"
	strings:
		$1 = { 03 B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B 89 B0 0E 46 00 2E 8D ED 02 0B 8D ED 04 0B 05 46 00 F0 39 81 04 A9 0D F1 02 00 ?? ?? ?? ?? 00 28 2C DD 02 28 25 D0 28 46 ?? ?? ?? ?? 00 28 20 DD 02 28 00 F0 28 81 02 A8 ?? ?? ?? ?? 04 46 28 46 ?? ?? ?? ?? 03 88 22 88 53 40 13 F4 00 4F 00 F0 1A 81 01 20 ?? ?? ?? ?? 91 4B 01 2E 93 ED 00 0B 85 ED 00 0B 40 F3 0F 81 9F ED 8B 0B 85 ED 02 0B 09 E1 9D ED 02 0B 85 ED 00 0B 04 E1 80 F2 03 81 00 24 00 2E 4F F4 00 68 40 F3 FD 80 9F ED 82 8B 05 EB C6 0A 05 EB C6 09 05 EB C4 07 06 A9 97 ED 00 0B 68 46 8D ED 06 0B ?? ?? ?? ?? 00 28 00 F3 EA 80 00 F0 DD 80 BD F9 00 20 BD F9 02 30 9D ED 02 1B D3 1A 13 F1 1A 0F 2C DC B5 EE 40 1B F1 EE 10 FA 27 D0 23 46 3A 46 19 46 5B 1C 08 32 B3 42 06 DA 92 ED 00 0B B5 EE 40 0B F1 EE 10 FA F3 D1 72 1E 93 42 B8 BF 5B 1C 02 DB B3 42 08 BF 0B 46 9C 42 0A DA 05 EB C3 02 1B 1B 12 ED 02 0B 5B 1E 82 ED 00 0B A2 F1 08 02 F7 D1 87 ED 00 1B 8D ED 02 8B A1 E0 1A 2B 07 DB B5 EE 40 1B F1 EE 10 FA 02 D0 90 46 64 1C 97 E0 97 ED 00 0B 30 EE 01 0B B5 EE 40 0B 87 ED 00 0B F1 EE 10 FA 18 D1 22 46 3B 46 52 1C 08 33 B2 42 08 DA 93 ED 00 0B B5 EE 40 0B 03 ED 02 0B F1 EE 10 FA F2 D1 0A ED 02 8B 97 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 F0 83 80 02 A9 0D F1 02 00 8D ED 02 0B ?? ?? ?? ?? BD F9 02 20 A8 F1 1A 03 93 42 3A DA A2 EB 08 03 1A 33 19 B2 02 A8 ?? ?? ?? ?? BD F9 02 10 02 A8 ?? ?? ?? ?? 97 ED 00 1B 9D ED 02 0B 31 EE 40 0B B5 EE 40 0B 87 ED 00 0B F1 EE 10 FA 0F D1 23 46 5B 1C 08 37 B3 42 08 DA 97 ED 00 0B B5 EE 40 0B 07 ED 02 0B F1 EE 10 FA F2 D1 09 ED 02 8B 64 1E 02 D1 4F F4 00 68 38 E0 05 EB C4 03 04 A9 13 ED 02 0B 68 46 8D ED 04 0B ?? ?? ?? ?? BD F9 00 80 2B E0 64 1C B4 42 37 D0 97 ED 00 0B 39 46 68 46 8D ED 02 0B ?? ?? ?? ?? 1A 21 38 46 ?? ?? ?? ?? BD F9 00 10 38 46 ?? ?? ?? ?? 97 ED 00 1B 9D ED 02 0B BD F9 00 80 30 EE 41 0B B5 EE 40 0B 8D ED 02 0B F1 EE 10 FA 01 D1 B0 EE 41 0B 04 A9 0D F1 02 00 8D ED 04 0B ?? ?? ?? ?? B4 42 FF F6 15 AF 0A E0 9D ED 02 0B 05 EB C4 02 63 1C B3 42 82 ED 00 0B 01 DA 82 ED 02 8B 28 46 09 B0 BD EC 02 8B BD E8 F0 0F 5D F8 0C FB 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_1_1 {
	meta:
		name = "_LXp_addx"
		size = 58
		refs = "0028 _LXp_addh"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 1F 46 00 26 00 2F 15 46 88 46 04 46 0E DD 95 ED 00 0B B5 EE 40 0B F1 EE 10 FA 07 D0 41 46 20 46 ?? ?? ?? ?? 76 1C 08 35 BE 42 F0 DB 20 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_71_1_1 {
	meta:
		name = "_Xp_addx"
		size = 58
		refs = "0028 _Xp_addh"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 1F 46 00 26 00 2F 15 46 88 46 04 46 0E DD 95 ED 00 0B B5 EE 40 0B F1 EE 10 FA 07 D0 41 46 20 46 ?? ?? ?? ?? 76 1C 08 35 BE 42 F0 DB 20 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_29_2_1 {
	meta:
		name = "_LXp_getw"
		size = 132
		altNames = "_Xp_getw"
	strings:
		$1 = { 2D E9 00 48 EB 46 11 B9 9F ED 1C 0B 34 E0 01 29 30 D0 90 ED 00 1B B5 EE 40 1B F1 EE 10 FA 29 D0 90 ED 02 2B B5 EE 40 2B F1 EE 10 FA 22 D0 02 29 1D D0 90 ED 04 3B B5 EE 40 3B F1 EE 10 FA 16 D0 32 EE 01 4B 04 29 03 DB 90 ED 06 0B 33 EE 00 3B 34 EE 41 0B B4 EE 42 0B F1 EE 10 FA 02 D1 33 EE 04 0B 09 E0 32 EE 03 0B 30 EE 01 0B 04 E0 32 EE 01 0B 01 E0 90 ED 00 0B BD E8 00 88 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_29_3_1 {
	meta:
		name = "_LXp_invx"
		size = 228
		refs = "0018 _LDtest 004c memcpy 0058 _LXp_mulh 0074 _LXp_setw 0096 _LXp_mulx 00a2 _LXp_addh 00be _LXp_addx 00d8 _LInf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 04 8B 82 B0 0D 46 00 2D 17 46 04 46 58 D0 ?? ?? ?? ?? 00 28 0C DB 01 28 02 D1 9F ED 2D 0B 04 E0 00 28 4D D1 2A 4B 93 ED 00 0B 84 ED 00 0B 47 E0 07 EB C5 06 94 ED 00 8B 30 46 EA 00 21 46 06 EB C5 09 ?? ?? ?? ?? BF EE 00 0B 29 46 30 46 ?? ?? ?? ?? 01 2D 03 DD 94 ED 02 0B 38 EE 00 8B B7 EE 00 9B 29 46 89 EE 08 0B 20 46 ?? ?? ?? ?? 4F F0 01 08 01 2D 24 DD EA 00 21 46 38 46 ?? ?? ?? ?? 2B 46 32 46 29 46 38 46 CD F8 00 90 ?? ?? ?? ?? B0 EE 49 0B 29 46 38 46 ?? ?? ?? ?? 2B 46 22 46 29 46 38 46 CD F8 00 90 ?? ?? ?? ?? 2B 46 3A 46 29 46 20 46 ?? ?? ?? ?? 4F EA 48 08 A8 45 DA DB 20 46 02 B0 BD EC 04 8B BD E8 F0 8B FE DE ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_71_3_1 {
	meta:
		name = "_Xp_invx"
		size = 228
		refs = "0018 _Dtest 004c memcpy 0058 _Xp_mulh 0074 _Xp_setw 0096 _Xp_mulx 00a2 _Xp_addh 00be _Xp_addx 00d8 _Inf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 04 8B 82 B0 0D 46 00 2D 17 46 04 46 58 D0 ?? ?? ?? ?? 00 28 0C DB 01 28 02 D1 9F ED 2D 0B 04 E0 00 28 4D D1 2A 4B 93 ED 00 0B 84 ED 00 0B 47 E0 07 EB C5 06 94 ED 00 8B 30 46 EA 00 21 46 06 EB C5 09 ?? ?? ?? ?? BF EE 00 0B 29 46 30 46 ?? ?? ?? ?? 01 2D 03 DD 94 ED 02 0B 38 EE 00 8B B7 EE 00 9B 29 46 89 EE 08 0B 20 46 ?? ?? ?? ?? 4F F0 01 08 01 2D 24 DD EA 00 21 46 38 46 ?? ?? ?? ?? 2B 46 32 46 29 46 38 46 CD F8 00 90 ?? ?? ?? ?? B0 EE 49 0B 29 46 38 46 ?? ?? ?? ?? 2B 46 22 46 29 46 38 46 CD F8 00 90 ?? ?? ?? ?? 2B 46 3A 46 29 46 20 46 ?? ?? ?? ?? 4F EA 48 08 A8 45 DA DB 20 46 02 B0 BD EC 04 8B BD E8 F0 8B FE DE ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_29_4_1 {
	meta:
		name = "_LXp_ldexpx"
		size = 60
		refs = "001c ldexp"
		altNames = "_Xp_ldexpx"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0F 46 00 25 00 2F 90 46 06 46 10 DD 04 46 94 ED 00 0B 40 46 ?? ?? ?? ?? B5 EE 40 0B 84 ED 00 0B F1 EE 10 FA 03 D0 6D 1C 08 34 BD 42 EF DB 30 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_29_5_1 {
	meta:
		name = "_LXp_movx"
		size = 26
		refs = "0010 memcpy"
		altNames = "_Xp_movx"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 13 46 CA 00 19 46 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_29_6_1 {
	meta:
		name = "_LXp_mulh"
		size = 324
		refs = "000c __security_push_cookie 0030 _LDtest 0040 _Feraise 00cc _LDunscale 00d4 _LDint 00de _LDscale 00ea _LXp_addh 0130 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 04 8B ?? ?? ?? ?? 8D B0 0E 46 9F ED 49 8B 00 2E B0 EE 40 9B 04 46 1F DD 90 ED 00 2B 04 A8 22 EE 00 2B 8D ED 04 2B ?? ?? ?? ?? 05 46 00 2D 11 DB 02 2D 02 D1 01 20 ?? ?? ?? ?? 9D ED 04 0B 00 2D 84 ED 00 0B 6D DD 01 2E 6B DD 9F ED 39 0B 84 ED 02 0B 66 E0 84 ED 00 8B 01 25 00 27 00 2E 60 DD 0D F1 10 09 0D F1 10 08 04 2D 1F DA 7B 19 04 EB C3 02 09 EB C5 01 7B 19 B3 42 12 DA 92 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0B D0 20 EE 09 0B 6D 1C 82 ED 00 8B 08 32 81 ED 00 0B 08 31 04 2D EA DB 04 E0 08 EB C5 03 08 25 83 ED 00 8B 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 33 D0 02 A9 68 46 8D ED 02 0B ?? ?? ?? ?? 1A 21 02 A8 ?? ?? ?? ?? BD F9 00 10 02 A8 ?? ?? ?? ?? 9D ED 02 0B 31 46 20 46 ?? ?? ?? ?? 9D ED 04 1B 9D ED 02 0B 31 46 20 46 31 EE 40 0B ?? ?? ?? ?? 01 22 01 2D 0D DD 06 AB 93 ED 00 0B B5 EE 40 0B 03 ED 02 0B F1 EE 10 FA 03 D0 52 1C 08 33 AA 42 F2 DB 7F 1C 6D 1E B7 42 A2 DB 20 46 0D B0 ?? ?? ?? ?? BD EC 04 8B BD E8 F0 8B 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_71_6_1 {
	meta:
		name = "_Xp_mulh"
		size = 324
		refs = "000c __security_push_cookie 0030 _Dtest 0040 _Feraise 00cc _Dunscale 00d4 _Dint 00de _Dscale 00ea _Xp_addh 0130 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 04 8B ?? ?? ?? ?? 8D B0 0E 46 9F ED 49 8B 00 2E B0 EE 40 9B 04 46 1F DD 90 ED 00 2B 04 A8 22 EE 00 2B 8D ED 04 2B ?? ?? ?? ?? 05 46 00 2D 11 DB 02 2D 02 D1 01 20 ?? ?? ?? ?? 9D ED 04 0B 00 2D 84 ED 00 0B 6D DD 01 2E 6B DD 9F ED 39 0B 84 ED 02 0B 66 E0 84 ED 00 8B 01 25 00 27 00 2E 60 DD 0D F1 10 09 0D F1 10 08 04 2D 1F DA 7B 19 04 EB C3 02 09 EB C5 01 7B 19 B3 42 12 DA 92 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0B D0 20 EE 09 0B 6D 1C 82 ED 00 8B 08 32 81 ED 00 0B 08 31 04 2D EA DB 04 E0 08 EB C5 03 08 25 83 ED 00 8B 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 33 D0 02 A9 68 46 8D ED 02 0B ?? ?? ?? ?? 1A 21 02 A8 ?? ?? ?? ?? BD F9 00 10 02 A8 ?? ?? ?? ?? 9D ED 02 0B 31 46 20 46 ?? ?? ?? ?? 9D ED 04 1B 9D ED 02 0B 31 46 20 46 31 EE 40 0B ?? ?? ?? ?? 01 22 01 2D 0D DD 06 AB 93 ED 00 0B B5 EE 40 0B 03 ED 02 0B F1 EE 10 FA 03 D0 52 1C 08 33 AA 42 F2 DB 7F 1C 6D 1E B7 42 A2 DB 20 46 0D B0 ?? ?? ?? ?? BD EC 04 8B BD E8 F0 8B 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_29_7_1 {
	meta:
		name = "_LXp_mulx"
		size = 172
		refs = "003e memcpy 004a _LXp_mulh 008a _LXp_addx"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 0E 46 00 2E 1F 46 14 46 05 46 48 D0 00 2F 46 D0 92 ED 00 1B B5 EE 40 1B F1 EE 10 FA 39 D0 92 ED 02 0B B5 EE 40 0B F1 EE 10 FA 32 D0 DD F8 20 80 01 46 F2 00 40 46 ?? ?? ?? ?? 94 ED 00 0B 31 46 28 46 ?? ?? ?? ?? 4F F0 01 09 01 2F 27 DD 08 34 94 ED 00 0B B5 EE 40 0B F1 EE 10 FA 1F D0 F2 00 41 46 08 EB C6 00 ?? ?? ?? ?? 94 ED 00 0B 31 46 08 EB C6 00 ?? ?? ?? ?? 33 46 08 EB C6 02 31 46 28 46 ?? ?? ?? ?? 09 F1 01 09 08 34 B9 45 DF DB 05 E0 B0 EE 41 0B 31 46 28 46 ?? ?? ?? ?? 28 46 BD E8 F0 8B }
	condition:
		$1
}

rule file_71_7_1 {
	meta:
		name = "_Xp_mulx"
		size = 172
		refs = "003e memcpy 004a _Xp_mulh 008a _Xp_addx"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 0E 46 00 2E 1F 46 14 46 05 46 48 D0 00 2F 46 D0 92 ED 00 1B B5 EE 40 1B F1 EE 10 FA 39 D0 92 ED 02 0B B5 EE 40 0B F1 EE 10 FA 32 D0 DD F8 20 80 01 46 F2 00 40 46 ?? ?? ?? ?? 94 ED 00 0B 31 46 28 46 ?? ?? ?? ?? 4F F0 01 09 01 2F 27 DD 08 34 94 ED 00 0B B5 EE 40 0B F1 EE 10 FA 1F D0 F2 00 41 46 08 EB C6 00 ?? ?? ?? ?? 94 ED 00 0B 31 46 08 EB C6 00 ?? ?? ?? ?? 33 46 08 EB C6 02 31 46 28 46 ?? ?? ?? ?? 09 F1 01 09 08 34 B9 45 DF DB 05 E0 B0 EE 41 0B 31 46 28 46 ?? ?? ?? ?? 28 46 BD E8 F0 8B }
	condition:
		$1
}

rule file_29_8_1 {
	meta:
		name = "_LXp_setn"
		size = 28
		refs = "0012 _LXp_setw"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 EE 10 2A 04 46 B8 EE C0 0B ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_71_8_1 {
	meta:
		name = "_Xp_setn"
		size = 28
		refs = "0012 _Xp_setw"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 EE 10 2A 04 46 B8 EE C0 0B ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_29_9_1 {
	meta:
		name = "_LXp_setw"
		size = 220
		refs = "0026 _LDunscale 0046 _LDint 0050 _LDscale"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 2D ED 02 8B 84 B0 0D 46 00 2D B0 EE 40 8B 8D ED 02 0B 04 46 54 DD 01 2D 50 D0 02 A9 68 46 ?? ?? ?? ?? 00 28 48 D0 08 DD 9D ED 02 1B 9F ED 27 0B 84 ED 00 1B 84 ED 02 0B 42 E0 02 A8 1A 21 ?? ?? ?? ?? BD F9 00 10 02 A8 ?? ?? ?? ?? 9D ED 02 0B 02 2D 38 EE 40 8B 84 ED 00 0B 84 ED 02 8B 2F DD B5 EE 40 8B F1 EE 10 FA 21 D0 68 46 04 F1 08 01 ?? ?? ?? ?? 1A 21 04 F1 08 00 ?? ?? ?? ?? BD F9 00 10 04 F1 08 00 ?? ?? ?? ?? 94 ED 02 0B 03 2D 38 EE 40 0B 84 ED 04 0B 12 DD B5 EE 40 0B F1 EE 10 FA 0D D0 9F ED 09 0B 84 ED 06 0B 08 E0 9F ED 07 0B 84 ED 04 0B 03 E0 9D ED 02 8B 84 ED 00 8B 20 46 04 B0 BD EC 02 8B BD E8 30 88 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_71_9_1 {
	meta:
		name = "_Xp_setw"
		size = 220
		refs = "0026 _Dunscale 0046 _Dint 0050 _Dscale"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 2D ED 02 8B 84 B0 0D 46 00 2D B0 EE 40 8B 8D ED 02 0B 04 46 54 DD 01 2D 50 D0 02 A9 68 46 ?? ?? ?? ?? 00 28 48 D0 08 DD 9D ED 02 1B 9F ED 27 0B 84 ED 00 1B 84 ED 02 0B 42 E0 02 A8 1A 21 ?? ?? ?? ?? BD F9 00 10 02 A8 ?? ?? ?? ?? 9D ED 02 0B 02 2D 38 EE 40 8B 84 ED 00 0B 84 ED 02 8B 2F DD B5 EE 40 8B F1 EE 10 FA 21 D0 68 46 04 F1 08 01 ?? ?? ?? ?? 1A 21 04 F1 08 00 ?? ?? ?? ?? BD F9 00 10 04 F1 08 00 ?? ?? ?? ?? 94 ED 02 0B 03 2D 38 EE 40 0B 84 ED 04 0B 12 DD B5 EE 40 0B F1 EE 10 FA 0D D0 9F ED 09 0B 84 ED 06 0B 08 E0 9F ED 07 0B 84 ED 04 0B 03 E0 9D ED 02 8B 84 ED 00 8B 20 46 04 B0 BD EC 02 8B BD E8 30 88 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_29_10_1 {
	meta:
		name = "_LXp_sqrtx"
		size = 256
		refs = "0018 _LDtest 0052 _LXp_setw 006c memcpy 0078 _LXp_mulh 0088 _LXp_mulx 00a4 _LXp_addh 00e2 _Feraise 00fc _LNan"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 04 8B 82 B0 0C 46 00 2C 17 46 05 46 6B D0 ?? ?? ?? ?? 00 28 58 DA 95 ED 00 1B B5 EE C0 1B F1 EE 10 FA 58 D3 07 EB C4 06 06 EB C4 08 01 2C 03 DD 95 ED 02 0B 31 EE 00 1B B1 EE C1 1B B7 EE 00 0B 21 46 80 EE 01 0B 30 46 ?? ?? ?? ?? 4F F0 02 09 02 2C 30 DD BE EE 00 8B B7 EE 08 9B E2 00 31 46 38 46 ?? ?? ?? ?? B0 EE 48 0B 21 46 38 46 ?? ?? ?? ?? 23 46 2A 46 21 46 38 46 CD F8 00 80 ?? ?? ?? ?? 23 46 32 46 21 46 38 46 CD F8 00 80 ?? ?? ?? ?? B0 EE 49 0B 21 46 38 46 ?? ?? ?? ?? 23 46 3A 46 21 46 30 46 CD F8 00 80 ?? ?? ?? ?? 4F EA 49 09 A1 45 D2 DB 23 46 32 46 21 46 28 46 CD F8 00 80 ?? ?? ?? ?? 0E E0 95 ED 00 0B B5 EE C0 0B F1 EE 10 FA 07 D2 01 20 ?? ?? ?? ?? 05 4B 93 ED 00 0B 85 ED 00 0B 28 46 02 B0 BD EC 04 8B BD E8 F0 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_10_1 {
	meta:
		name = "_Xp_sqrtx"
		size = 256
		refs = "0018 _Dtest 0052 _Xp_setw 006c memcpy 0078 _Xp_mulh 0088 _Xp_mulx 00a4 _Xp_addh 00e2 _Feraise 00fc _Nan"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 04 8B 82 B0 0C 46 00 2C 17 46 05 46 6B D0 ?? ?? ?? ?? 00 28 58 DA 95 ED 00 1B B5 EE C0 1B F1 EE 10 FA 58 D3 07 EB C4 06 06 EB C4 08 01 2C 03 DD 95 ED 02 0B 31 EE 00 1B B1 EE C1 1B B7 EE 00 0B 21 46 80 EE 01 0B 30 46 ?? ?? ?? ?? 4F F0 02 09 02 2C 30 DD BE EE 00 8B B7 EE 08 9B E2 00 31 46 38 46 ?? ?? ?? ?? B0 EE 48 0B 21 46 38 46 ?? ?? ?? ?? 23 46 2A 46 21 46 38 46 CD F8 00 80 ?? ?? ?? ?? 23 46 32 46 21 46 38 46 CD F8 00 80 ?? ?? ?? ?? B0 EE 49 0B 21 46 38 46 ?? ?? ?? ?? 23 46 3A 46 21 46 30 46 CD F8 00 80 ?? ?? ?? ?? 4F EA 49 09 A1 45 D2 DB 23 46 32 46 21 46 28 46 CD F8 00 80 ?? ?? ?? ?? 0E E0 95 ED 00 0B B5 EE C0 0B F1 EE 10 FA 07 D2 01 20 ?? ?? ?? ?? 05 4B 93 ED 00 0B 85 ED 00 0B 28 46 02 B0 BD EC 04 8B BD E8 F0 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_11_1 {
	meta:
		name = "_LXp_subx"
		size = 62
		refs = "002c _LXp_addh"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 1F 46 00 26 00 2F 15 46 88 46 04 46 10 DD 95 ED 00 0B B5 EE 40 0B F1 EE 10 FA 09 D0 B1 EE 40 0B 41 46 20 46 ?? ?? ?? ?? 76 1C 08 35 BE 42 EE DB 20 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_71_11_1 {
	meta:
		name = "_Xp_subx"
		size = 62
		refs = "002c _Xp_addh"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 1F 46 00 26 00 2F 15 46 88 46 04 46 10 DD 95 ED 00 0B B5 EE 40 0B F1 EE 10 FA 09 D0 B1 EE 40 0B 41 46 20 46 ?? ?? ?? ?? 76 1C 08 35 BE 42 EE DB 20 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_31_1_1 {
	meta:
		name = "_Stoulx"
		size = 348
		refs = "0028 isspace 00ac tolower 00b6 memchr 0112 __rt_udiv 011c _errno 0158 digits"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 0F 46 02 97 9A 46 15 46 81 46 13 B1 00 23 CA F8 00 30 99 F8 00 00 4C 46 01 E0 64 1C 20 78 ?? ?? ?? ?? 00 28 F9 D1 94 F9 00 80 B8 F1 2D 0F 05 D0 B8 F1 2B 0F 02 D0 4F F0 2B 08 00 E0 64 1C 00 2D 7C DB 01 2D 7A D0 24 2D 78 DC 00 2D 0C DD 10 2D 1A D1 94 F9 00 30 30 2B 16 D1 94 F9 01 30 78 2B 11 D0 58 2B 10 D1 0E E0 94 F9 00 30 30 2B 18 BF 0A 25 09 D1 94 F9 01 30 78 2B 03 D0 58 2B 18 BF 08 25 01 D1 10 25 A4 1C 04 94 00 E0 64 1C 94 F9 00 30 30 2B FA D0 94 F9 00 00 00 23 00 26 05 94 01 93 ?? ?? ?? ?? 01 46 29 48 2A 46 ?? ?? ?? ?? B0 B1 26 4F C3 1B 5A B2 64 1C 94 F9 00 00 06 FB 05 F3 01 96 03 92 9E 18 ?? ?? ?? ?? 01 46 38 46 2A 46 ?? ?? ?? ?? 00 28 EC D1 DD E9 02 71 01 E0 9D F9 00 10 04 9B A3 42 28 D0 18 4B 28 33 EA 56 05 9B E3 1A 9B 1A 00 2B 19 DB 0A DC 71 1A 8E 42 07 D3 28 46 00 B9 F9 DE ?? ?? ?? ?? 01 9B 98 42 0D D0 ?? ?? ?? ?? 22 23 03 60 BA F1 00 0F 02 D0 01 23 CA F8 00 30 6F F0 00 06 4F F0 2B 08 B8 F1 2D 0F 08 BF 76 42 2F B1 3C 60 03 E0 0F B1 C7 F8 00 90 00 26 30 46 07 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_6_1 {
	meta:
		name = "??$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ"
		size = 64
		refs = "0024 atexit 0030 ??__F_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ@YAXXZ 0034 ??_7_Generic_error_category@std@@6B@ 0038 ?_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@1@XZ@4U?$_Immortalizer@V_Generic_error_category@std@@@1@A 003c ??_B?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ@51"
		altNames = "?generic_category@std@@YAABVerror_category@1@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 4A 0B 4C 13 68 13 F0 01 0F 09 D1 43 F0 01 03 13 60 06 4B 04 48 23 60 03 23 63 60 ?? ?? ?? ?? 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_30_1 {
	meta:
		name = "??0?$_Immortalizer@V_Generic_error_category@std@@@std@@QAA@XZ"
		size = 24
		refs = "0014 ??_7_Generic_error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 18 B1 02 4B 03 60 03 23 43 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_56_1 {
	meta:
		name = "??0system_error@std@@QAA@HABVerror_category@1@PBD@Z"
		size = 104
		refs = "0008 __security_push_cookie 0024 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0032 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 003e ??3@YAXPAX@Z 005a __security_pop_cookie 0064 ??_7system_error@std@@6B@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 89 B0 6F 46 14 46 6F F0 01 02 0D 46 06 46 17 F1 08 00 19 46 C7 E9 00 22 ?? ?? ?? ?? 17 F1 08 03 22 46 29 46 30 46 ?? ?? ?? ?? 3B 6A 10 2B 02 D3 F8 68 ?? ?? ?? ?? 0F 23 B8 68 3B 62 00 23 FB 61 3B 73 ?? ?? ?? ?? 04 4B 33 60 30 46 09 B0 ?? ?? ?? ?? BD E8 F0 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_116_1 {
	meta:
		name = "?_Throw_C_error@std@@YAXH@Z"
		size = 48
		refs = "001e ?_Throw_Cpp_error@std@@YAXH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 28 06 DD 02 28 0C DD 03 28 07 D0 04 28 00 D1 01 E0 BD E8 00 88 01 20 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 06 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_33_117_1 {
	meta:
		name = "?_Throw_Cpp_error@std@@YAXH@Z"
		size = 56
		refs = "000c ?generic_category@std@@YAABVerror_category@1@XZ 0020 ??0system_error@std@@QAA@HABVerror_category@1@PBD@Z 0028 _CxxThrowException 0030 _TI4?AVsystem_error@std@@ 0034 ?msgs@@3QBQBDB"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 ?? ?? ?? ?? 08 49 02 46 68 46 51 F8 24 30 1C 31 51 F8 24 10 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_0_1 {
	meta:
		name = "_Dtest"
		size = 84
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 88 47 F6 F0 73 02 EA 03 01 99 42 0C D1 12 F0 0F 0F 07 D1 83 88 2B B9 43 88 1B B9 03 88 0B B9 01 20 12 E0 02 20 10 E0 32 F4 00 43 07 D1 83 88 2B B9 43 88 1B B9 03 88 0B B9 00 20 05 E0 11 B9 6F F0 01 00 01 E0 6F F0 00 00 BD E8 00 88 }
	condition:
		$1
}

rule file_35_65_1 {
	meta:
		name = "?_Syserror_map@std@@YAPBDH@Z"
		size = 44
		refs = "0024 ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 0028 ?_Sys_errtab@std@@3QBU_Sys_errtab_t@1@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 4A 02 F5 1C 71 13 68 83 42 04 D0 08 32 8A 42 F9 D1 02 48 00 E0 50 68 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_67_1 {
	meta:
		name = "?_Winerror_map@std@@YAHH@Z"
		size = 40
		refs = "0024 ?_Win_errtab@std@@3QBU_Win_errtab_t@1@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4A 02 F5 14 71 13 68 83 42 04 D0 08 32 8A 42 F9 D1 00 20 00 E0 50 68 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_68_1 {
	meta:
		name = "?_Winerror_message@std@@YAKKPADK@Z"
		size = 160
		refs = "0008 __security_push_cookie 001a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z 0076 ??3@YAXPAX@Z 0090 __security_pop_cookie 0098 __imp_WideCharToMultiByte 009c __imp_FormatMessageW"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 8B B0 15 46 0E 46 04 46 29 46 04 A8 00 22 ?? ?? ?? ?? 0A 9B 08 2B 01 D3 05 9B 00 E0 05 AB 22 46 1B 4C 00 27 00 93 24 68 00 23 00 21 4F F4 90 50 02 97 01 95 A0 47 98 B1 0A 9B 08 2B 01 D3 05 9A 00 E0 05 AA 11 4C 6F F0 00 03 00 21 24 68 00 20 03 97 02 97 01 95 00 96 A0 47 08 B1 44 1E 00 E0 00 24 0A 9B 08 2B 02 D3 05 98 ?? ?? ?? ?? 07 23 04 98 0A 93 00 23 09 93 AD F8 14 30 ?? ?? ?? ?? 20 46 0B B0 ?? ?? ?? ?? BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_0_1 {
	meta:
		name = "_Towupper"
		size = 96
		refs = "0048 __crtLCMapStringW"
	strings:
		$1 = { 03 B4 2D E9 1E 48 0D F1 10 0B 4F F6 FF 73 AD F8 18 00 98 42 AD F8 08 00 1E D0 CC 68 5C B9 B0 F5 80 7F 08 D2 61 28 17 D3 7A 28 15 D8 4F F6 E0 73 03 44 98 B2 10 E0 01 23 01 93 02 AB 00 93 01 23 06 AA 4F F4 00 71 20 46 ?? ?? ?? ?? 10 B9 BD F8 18 00 01 E0 BD F8 08 00 BD E8 1E 08 5D F8 0C FB }
	condition:
		$1
}

rule file_37_1_1 {
	meta:
		name = "_Stodx"
		size = 404
		refs = "0008 __security_push_cookie 001a _Stopfx 003a _Stoflt 0048 _Xp_setw 0062 _Xp_setn 007a _Xp_mulx 0092 _Xp_addx 00a4 _Dtento 00ba _Stoxflt 012c _Dscale 015a _Pmsw 016c __security_pop_cookie 017c _Nan 0180 _Inf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? B3 B0 07 46 04 A8 04 97 1D 46 91 46 0E 46 ?? ?? ?? ?? 80 46 0D B1 00 23 2B 60 28 F0 08 04 01 2C 3D D1 04 99 03 23 00 93 06 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 53 0B 04 46 12 A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 49 0B 0A A8 04 21 ?? ?? ?? ?? 1E E0 07 9A 0A A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 07 AE 64 1E 22 AF 04 23 12 AA 04 21 0A A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 1A A8 ?? ?? ?? ?? 04 23 1A AA 04 21 0A A8 ?? ?? ?? ?? 64 1E EA D1 06 9B 2A 46 0A A8 03 EB 09 01 ?? ?? ?? ?? 51 E0 02 2C 43 D1 04 99 03 23 00 93 06 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 31 0B 04 46 1A A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 29 0B 0A A8 04 21 ?? ?? ?? ?? 1E E0 07 9A 0A A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 07 AE 64 1E 22 AF 04 23 1A AA 04 21 0A A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 12 A8 ?? ?? ?? ?? 04 23 12 AA 04 21 0A A8 ?? ?? ?? ?? 64 1E EA D1 2A 46 49 46 0A A8 ?? ?? ?? ?? 06 99 02 A8 8D ED 02 0B ?? ?? ?? ?? 9D ED 02 0B 0D E0 03 2C 03 D1 11 4B 93 ED 00 0B 05 E0 04 2C 01 D1 0D 4B F8 E7 9F ED 0A 0B 8D ED 02 0B 18 F0 08 0F 08 D0 02 A8 ?? ?? ?? ?? 03 88 83 F4 00 43 03 80 9D ED 02 0B 33 B0 ?? ?? ?? ?? BD E8 F0 8B 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 41 00 00 00 00 65 CD CD 41 }
	condition:
		$1
}

rule file_110_1_1 {
	meta:
		name = "_Stoldx"
		size = 404
		refs = "0008 __security_push_cookie 001a _Stopfx 003a _Stoflt 0048 _LXp_setw 0062 _LXp_setn 007a _LXp_mulx 0092 _LXp_addx 00a4 _LDtento 00ba _Stoxflt 012c _LDscale 015a _LPmsw 016c __security_pop_cookie 017c _LNan 0180 _LInf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? B3 B0 07 46 04 A8 04 97 1D 46 91 46 0E 46 ?? ?? ?? ?? 80 46 0D B1 00 23 2B 60 28 F0 08 04 01 2C 3D D1 04 99 03 23 00 93 06 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 53 0B 04 46 12 A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 49 0B 0A A8 04 21 ?? ?? ?? ?? 1E E0 07 9A 0A A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 07 AE 64 1E 22 AF 04 23 12 AA 04 21 0A A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 1A A8 ?? ?? ?? ?? 04 23 1A AA 04 21 0A A8 ?? ?? ?? ?? 64 1E EA D1 06 9B 2A 46 0A A8 03 EB 09 01 ?? ?? ?? ?? 51 E0 02 2C 43 D1 04 99 03 23 00 93 06 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 31 0B 04 46 1A A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 29 0B 0A A8 04 21 ?? ?? ?? ?? 1E E0 07 9A 0A A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 07 AE 64 1E 22 AF 04 23 1A AA 04 21 0A A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 12 A8 ?? ?? ?? ?? 04 23 12 AA 04 21 0A A8 ?? ?? ?? ?? 64 1E EA D1 2A 46 49 46 0A A8 ?? ?? ?? ?? 06 99 02 A8 8D ED 02 0B ?? ?? ?? ?? 9D ED 02 0B 0D E0 03 2C 03 D1 11 4B 93 ED 00 0B 05 E0 04 2C 01 D1 0D 4B F8 E7 9F ED 0A 0B 8D ED 02 0B 18 F0 08 0F 08 D0 02 A8 ?? ?? ?? ?? 03 88 83 F4 00 43 03 80 9D ED 02 0B 33 B0 ?? ?? ?? ?? BD E8 F0 8B 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 41 00 00 00 00 65 CD CD 41 }
	condition:
		$1
}

rule file_57_1_1 {
	meta:
		name = "_WStodx"
		size = 404
		refs = "0008 __security_push_cookie 001a _WStopfx 003a _WStoflt 0048 _Xp_setw 0062 _Xp_setn 007a _Xp_mulx 0092 _Xp_addx 00a4 _Dtento 00ba _WStoxflt 012c _Dscale 015a _Pmsw 016c __security_pop_cookie 017c _Nan 0180 _Inf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? B3 B0 07 46 04 A8 04 97 1D 46 91 46 0E 46 ?? ?? ?? ?? 80 46 0D B1 00 23 2B 60 28 F0 08 04 01 2C 3D D1 04 99 03 23 00 93 06 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 53 0B 04 46 12 A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 49 0B 0A A8 04 21 ?? ?? ?? ?? 1E E0 07 9A 0A A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 07 AE 64 1E 22 AF 04 23 12 AA 04 21 0A A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 1A A8 ?? ?? ?? ?? 04 23 1A AA 04 21 0A A8 ?? ?? ?? ?? 64 1E EA D1 06 9B 2A 46 0A A8 03 EB 09 01 ?? ?? ?? ?? 51 E0 02 2C 43 D1 04 99 03 23 00 93 06 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 31 0B 04 46 1A A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 29 0B 0A A8 04 21 ?? ?? ?? ?? 1E E0 07 9A 0A A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 07 AE 64 1E 22 AF 04 23 1A AA 04 21 0A A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 12 A8 ?? ?? ?? ?? 04 23 12 AA 04 21 0A A8 ?? ?? ?? ?? 64 1E EA D1 2A 46 49 46 0A A8 ?? ?? ?? ?? 06 99 02 A8 8D ED 02 0B ?? ?? ?? ?? 9D ED 02 0B 0D E0 03 2C 03 D1 11 4B 93 ED 00 0B 05 E0 04 2C 01 D1 0D 4B F8 E7 9F ED 0A 0B 8D ED 02 0B 18 F0 08 0F 08 D0 02 A8 ?? ?? ?? ?? 03 88 83 F4 00 43 03 80 9D ED 02 0B 33 B0 ?? ?? ?? ?? BD E8 F0 8B 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 41 00 00 00 00 65 CD CD 41 }
	condition:
		$1
}

rule file_38_1_1 {
	meta:
		name = "_WStoldx"
		size = 404
		refs = "0008 __security_push_cookie 001a _WStopfx 003a _WStoflt 0048 _LXp_setw 0062 _LXp_setn 007a _LXp_mulx 0092 _LXp_addx 00a4 _LDtento 00ba _WStoxflt 012c _LDscale 015a _LPmsw 016c __security_pop_cookie 017c _LNan 0180 _LInf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? B3 B0 07 46 04 A8 04 97 1D 46 91 46 0E 46 ?? ?? ?? ?? 80 46 0D B1 00 23 2B 60 28 F0 08 04 01 2C 3D D1 04 99 03 23 00 93 06 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 53 0B 04 46 12 A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 49 0B 0A A8 04 21 ?? ?? ?? ?? 1E E0 07 9A 0A A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 07 AE 64 1E 22 AF 04 23 12 AA 04 21 0A A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 1A A8 ?? ?? ?? ?? 04 23 1A AA 04 21 0A A8 ?? ?? ?? ?? 64 1E EA D1 06 9B 2A 46 0A A8 03 EB 09 01 ?? ?? ?? ?? 51 E0 02 2C 43 D1 04 99 03 23 00 93 06 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 31 0B 04 46 1A A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 29 0B 0A A8 04 21 ?? ?? ?? ?? 1E E0 07 9A 0A A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 07 AE 64 1E 22 AF 04 23 1A AA 04 21 0A A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 12 A8 ?? ?? ?? ?? 04 23 12 AA 04 21 0A A8 ?? ?? ?? ?? 64 1E EA D1 2A 46 49 46 0A A8 ?? ?? ?? ?? 06 99 02 A8 8D ED 02 0B ?? ?? ?? ?? 9D ED 02 0B 0D E0 03 2C 03 D1 11 4B 93 ED 00 0B 05 E0 04 2C 01 D1 0D 4B F8 E7 9F ED 0A 0B 8D ED 02 0B 18 F0 08 0F 08 D0 02 A8 ?? ?? ?? ?? 03 88 83 F4 00 43 03 80 9D ED 02 0B 33 B0 ?? ?? ?? ?? BD E8 F0 8B 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 41 00 00 00 00 65 CD CD 41 }
	condition:
		$1
}

rule file_40_0_1 {
	meta:
		name = "_FDunscale"
		size = 94
		refs = "0034 _FDnorm"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 63 88 05 46 03 F4 FF 43 D8 09 FF 28 0B D1 00 23 2B 80 63 88 13 F0 7F 0F 03 D1 23 88 0B B9 01 20 16 E0 02 20 14 E0 38 B9 20 46 ?? ?? ?? ?? 00 28 02 DD 00 23 00 20 0A E0 62 88 48 F2 7F 03 13 40 43 F4 7C 53 63 80 A0 F1 7E 03 6F F0 00 00 2B 80 BD E8 30 88 }
	condition:
		$1
}

rule file_41_0_1 {
	meta:
		name = "_Dnorm"
		size = 204
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B C3 88 01 24 03 F0 0F 02 C2 80 03 F4 00 4E C2 B9 83 88 23 B9 43 88 13 B9 03 88 00 2B 4C D0 82 B9 82 88 41 88 06 88 15 46 0A 46 31 46 A4 F1 10 03 00 26 00 2D 1C B2 F6 D0 00 23 03 80 C5 80 82 80 41 80 C2 88 10 2A 18 D2 85 88 46 88 01 88 53 00 9B B2 43 EA D5 32 6B 00 9B B2 43 EA D6 35 73 00 9B B2 43 EA D1 36 4B 00 99 B2 63 1E 1C B2 10 2A ED D3 C2 80 85 80 46 80 01 80 C1 88 20 29 17 D3 85 88 46 88 07 88 F3 03 9A B2 EB 03 42 EA 57 07 9A B2 CB 03 42 EA 56 06 9A B2 63 1C 49 08 1C B2 42 EA 55 05 20 29 EE D2 C1 80 85 80 46 80 07 80 C3 88 03 F0 0F 02 C2 80 42 EA 0E 03 C3 80 20 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_42_0_1 {
	meta:
		name = "??$_Xfiopen@D@std@@YAPAU_iobuf@@PBDHH@Z"
		size = 144
		refs = "0056 _fsopen 0072 fseek 007a fclose 0088 ?mods@?1??_Xfsopen@std@@YAPAU_iobuf@@PBDHH@Z@4QBQBDB 008c ?valid@?1???$_Xfiopen@D@std@@YAPAU_iobuf@@PBDHH@Z@4QBHB"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 90 46 81 46 01 F0 04 06 01 F0 80 07 11 F0 40 0F 01 D0 41 F0 01 01 11 F0 08 0F 01 D0 41 F0 02 01 18 4D 00 24 01 23 21 F0 C4 01 8B 42 04 D0 64 1C 55 F8 24 30 00 2B F8 D1 55 F8 24 30 DB B1 10 4D 47 B1 11 F0 0A 0F 05 D0 29 68 42 46 48 46 ?? ?? ?? ?? 70 B9 55 F8 24 10 42 46 48 46 ?? ?? ?? ?? 04 46 44 B1 46 B1 02 22 00 21 ?? ?? ?? ?? 18 B1 20 46 ?? ?? ?? ?? 00 24 20 46 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_1_1 {
	meta:
		name = "??$_Xfiopen@_W@std@@YAPAU_iobuf@@PB_WHH@Z"
		size = 144
		refs = "0056 _wfsopen 0072 fseek 007a fclose 0088 ?mods@?1??_Xfsopen@std@@YAPAU_iobuf@@PB_WHH@Z@4QBQB_WB 008c ?valid@?1???$_Xfiopen@_W@std@@YAPAU_iobuf@@PB_WHH@Z@4QBHB"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 90 46 81 46 01 F0 04 06 01 F0 80 07 11 F0 40 0F 01 D0 41 F0 01 01 11 F0 08 0F 01 D0 41 F0 02 01 18 4D 00 24 01 23 21 F0 C4 01 8B 42 04 D0 64 1C 55 F8 24 30 00 2B F8 D1 55 F8 24 30 DB B1 10 4D 47 B1 11 F0 0A 0F 05 D0 29 68 42 46 48 46 ?? ?? ?? ?? 70 B9 55 F8 24 10 42 46 48 46 ?? ?? ?? ?? 04 46 44 B1 46 B1 02 22 00 21 ?? ?? ?? ?? 18 B1 20 46 ?? ?? ?? ?? 00 24 20 46 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_5_1 {
	meta:
		name = "?_Xfsopen@std@@YAPAU_iobuf@@PBDHH@Z"
		size = 24
		refs = "0010 _fsopen 0014 ?mods@?1??_Xfsopen@std@@YAPAU_iobuf@@PBDHH@Z@4QBQBDB"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 53 F8 21 10 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_6_1 {
	meta:
		name = "?_Xfsopen@std@@YAPAU_iobuf@@PB_WHH@Z"
		size = 24
		refs = "0010 _wfsopen 0014 ?mods@?1??_Xfsopen@std@@YAPAU_iobuf@@PB_WHH@Z@4QBQB_WB"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 53 F8 21 10 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_0_1 {
	meta:
		name = "??0stl_critical_section_concrt@details@Concurrency@@QAA@XZ"
		size = 32
		refs = "0010 ??0critical_section@Concurrency@@QAA@XZ 001c ??_7stl_critical_section_concrt@details@Concurrency@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 4B 04 46 20 1D 23 60 ?? ?? ?? ?? 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_0_1 {
	meta:
		name = "??0stl_condition_variable_concrt@details@Concurrency@@QAA@XZ"
		size = 32
		refs = "0010 ??0_Condition_variable@details@Concurrency@@QAA@XZ 001c ??_7stl_condition_variable_concrt@details@Concurrency@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 4B 04 46 20 1D 23 60 ?? ?? ?? ?? 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_2_1 {
	meta:
		name = "??0stl_critical_section_vista@details@Concurrency@@QAA@XZ"
		size = 44
		refs = "0024 __imp_InitializeCriticalSectionEx 0028 ??_7stl_critical_section_vista@details@Concurrency@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 07 4B 04 46 00 22 23 60 04 4B 4F F4 7A 61 20 1D 1B 68 98 47 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_3_1 {
	meta:
		name = "??0stl_critical_section_win7@details@Concurrency@@QAA@XZ"
		size = 36
		refs = "001c __imp_InitializeSRWLock 0020 ??_7stl_critical_section_win7@details@Concurrency@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 20 1D 23 60 02 4B 1B 68 98 47 20 46 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_2_1 {
	meta:
		name = "??0stl_condition_variable_vista@details@Concurrency@@QAA@XZ"
		size = 36
		refs = "001c __imp_InitializeConditionVariable 0020 ??_7stl_condition_variable_vista@details@Concurrency@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 20 1D 23 60 02 4B 1B 68 98 47 20 46 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_3_1 {
	meta:
		name = "??0stl_condition_variable_win7@details@Concurrency@@QAA@XZ"
		size = 36
		refs = "001c __imp_InitializeConditionVariable 0020 ??_7stl_condition_variable_win7@details@Concurrency@@6B@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 20 1D 23 60 02 4B 1B 68 98 47 20 46 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_7_1 {
	meta:
		name = "??_EGlobalCore@details@Concurrency@@QAAPAXI@Z"
		size = 100
		refs = "0024 ??_M@YAXPAXIIP6AX0@Z@Z 003c ??_V@YAXPAXI@Z 0048 ??3@YAXPAXI@Z 0060 ??1GlobalCore@details@Concurrency@@QAA@XZ"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 0D 46 04 46 11 F0 02 0F 13 D0 10 4B 50 F8 04 2C 24 21 ?? ?? ?? ?? 15 F0 01 0F 08 D0 54 F8 04 3C 03 EB C3 03 9B 00 19 1D 20 1F ?? ?? ?? ?? 24 1F 0A E0 20 6A 08 21 ?? ?? ?? ?? 15 F0 01 0F 03 D0 24 21 20 46 ?? ?? ?? ?? 20 46 BD E8 BE 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_8_1 {
	meta:
		name = "??_Gcritical_section@Concurrency@@QAAPAXI@Z"
		size = 36
		refs = "000c ??1critical_section@Concurrency@@QAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 20 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_43_9_1 {
	meta:
		name = "??_H@YAXPAXIIP6APAX0@Z@Z"
		size = 40
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 1E 46 14 46 0F 46 05 46 06 E0 30 46 64 1E ?? ?? ?? ?? 28 46 B0 47 3D 44 00 2C F6 D1 BD E8 F0 88 }
	condition:
		$1
}

rule file_43_15_1 {
	meta:
		name = "?create_stl_critical_section@details@Concurrency@@YAXPAVstl_critical_section_interface@12@@Z"
		size = 128
		refs = "0058 ??0critical_section@Concurrency@@QAA@XZ 0068 ??_7stl_critical_section_concrt@details@Concurrency@@6B@ 006c __imp_InitializeSRWLock 0070 ??_7stl_critical_section_win7@details@Concurrency@@6B@ 0074 __imp_InitializeCriticalSectionEx 0078 ??_7stl_critical_section_vista@details@Concurrency@@6B@ 007c ?__stl_sync_api_impl_mode@@3W4__stl_sync_api_modes_enum@@A"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 38 62 C7 E9 02 33 18 4B 1B 68 00 2B 16 DB 01 2B 0C DD 02 2B 12 D1 C0 B1 13 4B 00 22 4F F4 7A 61 40 F8 04 3B 0F 4B 1B 68 98 47 0E E0 68 B1 0B 4B 40 F8 04 3B 09 4B 1B 68 98 47 06 E0 38 60 20 B1 05 4B 40 F8 04 3B ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_17_1 {
	meta:
		name = "?destroy@stl_critical_section_concrt@details@Concurrency@@UAAXXZ"
		size = 16
		refs = "000c ??1critical_section@Concurrency@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_17_1 {
	meta:
		name = "?destroy@stl_condition_variable_concrt@details@Concurrency@@UAAXXZ"
		size = 16
		refs = "000c ??1_Condition_variable@details@Concurrency@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_20_1 {
	meta:
		name = "?lock@stl_critical_section_concrt@details@Concurrency@@UAAXXZ"
		size = 16
		refs = "000c ?lock@critical_section@Concurrency@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_25_1 {
	meta:
		name = "?notify_all@stl_condition_variable_concrt@details@Concurrency@@UAAXXZ"
		size = 16
		refs = "000c ?notify_all@_Condition_variable@details@Concurrency@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_28_1 {
	meta:
		name = "?notify_one@stl_condition_variable_concrt@details@Concurrency@@UAAXXZ"
		size = 16
		refs = "000c ?notify_one@_Condition_variable@details@Concurrency@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_24_1 {
	meta:
		name = "?try_lock@stl_critical_section_concrt@details@Concurrency@@UAA_NXZ"
		size = 16
		refs = "000c ?try_lock@critical_section@Concurrency@@QAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_27_1 {
	meta:
		name = "?try_lock_for@stl_critical_section_concrt@details@Concurrency@@UAA_NI@Z"
		size = 16
		refs = "000c ?try_lock_for@critical_section@Concurrency@@QAA_NI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_30_1 {
	meta:
		name = "?unlock@stl_critical_section_concrt@details@Concurrency@@UAAXXZ"
		size = 16
		refs = "000c ?unlock@critical_section@Concurrency@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 1D BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_18_1 {
	meta:
		name = "?destroy@stl_critical_section_vista@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_DeleteCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_21_1 {
	meta:
		name = "?lock@stl_critical_section_vista@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_EnterCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_22_1 {
	meta:
		name = "?lock@stl_critical_section_win7@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_AcquireSRWLockExclusive"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_26_1 {
	meta:
		name = "?notify_all@stl_condition_variable_vista@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_WakeAllConditionVariable"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_27_1 {
	meta:
		name = "?notify_all@stl_condition_variable_win7@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_WakeAllConditionVariable"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_29_1 {
	meta:
		name = "?notify_one@stl_condition_variable_vista@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_WakeConditionVariable"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_30_1 {
	meta:
		name = "?notify_one@stl_condition_variable_win7@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_WakeConditionVariable"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_31_1 {
	meta:
		name = "?unlock@stl_critical_section_vista@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_LeaveCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_32_1 {
	meta:
		name = "?unlock@stl_critical_section_win7@details@Concurrency@@UAAXXZ"
		size = 24
		refs = "0014 __imp_ReleaseSRWLockExclusive"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 1D 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_23_1 {
	meta:
		name = "?mtx_do_lock@@YAHPAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
		size = 316
		refs = "0008 __security_push_cookie 002e _guard_check_icall 0080 xtime_get 00ba _Xtime_diff_to_millis2 0130 __security_pop_cookie 0138 __imp_GetCurrentThreadId"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 84 B0 06 46 33 68 0F 46 23 F4 80 73 01 2B 14 D1 46 4B 1B 68 98 47 B3 6A 83 42 0A D0 73 68 1C 68 20 46 ?? ?? ?? ?? 30 1D A0 47 40 4B 1B 68 98 47 B0 62 F3 6A 5B 1C F3 62 72 E0 6F B9 3B 4B 1B 68 98 47 B3 6A 83 42 51 D0 73 68 1C 68 20 46 ?? ?? ?? ?? 30 1D A0 47 49 E0 D7 E9 00 32 00 2A 37 DB 01 DC 00 2B 34 D3 13 43 02 D1 BB 68 00 2B 2F DD 68 46 01 21 ?? ?? ?? ?? DF F8 B0 80 D7 E9 00 31 DD E9 00 20 88 42 0A DB 01 DC 9A 42 07 D3 9A 42 37 D1 88 42 35 D1 BA 68 02 9B 93 42 31 DA D8 F8 00 30 98 47 B3 6A 83 42 20 D0 69 46 38 46 ?? ?? ?? ?? 73 68 05 46 9C 68 20 46 ?? ?? ?? ?? 30 1D 29 46 A0 47 90 B9 01 21 68 46 ?? ?? ?? ?? D5 E7 16 4B 1B 68 98 47 B3 6A 83 42 07 D0 73 68 5C 68 20 46 ?? ?? ?? ?? 30 1D A0 47 50 B1 F3 6A 5A 1C F2 62 01 2A 10 DD 33 68 13 F4 80 7F 10 D1 53 1E F3 62 3F B1 D7 E9 00 23 13 43 01 D1 BB 68 0B B1 02 20 06 E0 03 20 04 E0 04 4B 1B 68 98 47 B0 62 00 20 04 B0 ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_25_1 {
	meta:
		name = "?try_lock@stl_critical_section_vista@details@Concurrency@@UAA_NXZ"
		size = 32
		refs = "001c __imp_TryEnterCriticalSection"
		altNames = "?try_lock_for@stl_critical_section_vista@details@Concurrency@@UAA_NI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 00 1D 1B 68 98 47 08 B1 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_26_1 {
	meta:
		name = "?try_lock@stl_critical_section_win7@details@Concurrency@@UAA_NXZ"
		size = 32
		refs = "001c __imp_TryAcquireSRWLockExclusive"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 00 1D 1B 68 98 47 08 B1 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_29_1 {
	meta:
		name = "?try_lock_for@stl_critical_section_win7@details@Concurrency@@UAA_NI@Z"
		size = 32
		refs = "001c __imp_TryAcquireSRWLockExclusive"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 00 1D 1B 68 98 47 08 B1 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_33_1 {
	meta:
		name = "_Mtx_clear_owner"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 83 62 C3 6A 5B 1E C3 62 BD E8 00 88 }
	condition:
		$1
}

rule file_43_34_1 {
	meta:
		name = "_Mtx_current_owns"
		size = 40
		refs = "0024 __imp_GetCurrentThreadId"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 E3 6A 3B B1 05 4B 1B 68 98 47 A3 6A 83 42 08 BF 01 20 00 D0 00 20 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_35_1 {
	meta:
		name = "_Mtx_destroy"
		size = 36
		refs = "0012 _guard_check_icall 001c _free_base"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 4D B1 6B 68 1C 69 20 46 ?? ?? ?? ?? 28 1D A0 47 28 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_43_36_1 {
	meta:
		name = "_Mtx_destroy_in_situ"
		size = 28
		refs = "0010 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 6B 68 1C 69 20 46 ?? ?? ?? ?? 28 1D A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_43_38_1 {
	meta:
		name = "_Mtx_init"
		size = 56
		refs = "0014 _calloc_base 0022 ?create_stl_critical_section@details@Concurrency@@YAXPAVstl_critical_section_interface@12@@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0E 46 05 46 00 27 30 21 01 20 2F 60 ?? ?? ?? ?? 04 46 0C B9 01 20 09 E0 20 1D ?? ?? ?? ?? 6F F0 00 03 C4 E9 0A 37 26 60 2C 60 00 20 BD E8 F0 88 }
	condition:
		$1
}

rule file_43_39_1 {
	meta:
		name = "_Mtx_init_in_situ"
		size = 34
		refs = "000e ?create_stl_critical_section@details@Concurrency@@YAXPAVstl_critical_section_interface@12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 28 1D 0C 46 ?? ?? ?? ?? 6F F0 00 03 AB 62 00 23 EB 62 2C 60 BD E8 30 88 }
	condition:
		$1
}

rule file_43_40_1 {
	meta:
		name = "_Mtx_lock"
		size = 16
		refs = "000c ?mtx_do_lock@@YAHPAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_41_1 {
	meta:
		name = "_Mtx_reset_owner"
		size = 32
		refs = "001c __imp_GetCurrentThreadId"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 4B 04 46 1B 68 98 47 E3 6A A0 62 5B 1C E3 62 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_42_1 {
	meta:
		name = "_Mtx_timedlock"
		size = 20
		refs = "0006 ?mtx_do_lock@@YAHPAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 03 28 08 BF 02 20 BD E8 00 88 }
	condition:
		$1
}

rule file_43_43_1 {
	meta:
		name = "_Mtx_trylock"
		size = 36
		refs = "0006 __security_push_cookie 0016 ?mtx_do_lock@@YAHPAU_Mtx_internal_imp_t@@PBUxtime@@@Z 001c __security_pop_cookie"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 85 B0 00 23 69 46 CD E9 01 33 00 93 ?? ?? ?? ?? 05 B0 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_43_44_1 {
	meta:
		name = "_Mtx_unlock"
		size = 44
		refs = "001e _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 EB 6A 5B 1E EB 62 09 D1 6F F0 00 03 AB 62 6B 68 DC 68 20 46 ?? ?? ?? ?? 28 1D A0 47 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_43_45_1 {
	meta:
		name = "__set_stl_sync_api_mode"
		size = 20
		refs = "0010 ?__stl_sync_api_impl_mode@@3W4__stl_sync_api_modes_enum@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 18 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_25_3 {
	meta:
		name = "_SetWinRTOutOfMemoryExceptionCallback"
		size = 20
		refs = "0010 ?g_OutOfMemoryExceptionCallback@@3P6APAXXZA"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 18 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_53_1 {
	meta:
		name = "??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAA@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 156
		refs = "0050 ?_Init@ios_base@std@@IAAXXZ 005c ?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBADD@Z 0076 ?clear@ios_base@std@@QAAXH_N@Z 007e ?_Addstd@ios_base@std@@SAXPAV12@@Z 0090 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0094 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 0098 ??_8?$basic_ostream@DU?$char_traits@D@std@@@std@@7B@"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 16 46 05 46 6F F0 01 02 3D 63 4F F0 00 09 C7 E9 02 22 C7 F8 00 90 88 46 2B B1 1C 4B 2B 60 1A 4B AB 60 01 23 3B 60 2B 68 5C 68 16 4B 63 51 2B 68 5B 68 A3 F1 08 02 2B 44 43 F8 04 2C 2B 68 5B 68 5C 19 20 46 ?? ?? ?? ?? 20 21 20 46 C4 E9 0E 89 ?? ?? ?? ?? A3 6B 84 F8 40 00 43 B9 E3 68 00 22 20 46 43 F0 04 03 43 F0 04 01 ?? ?? ?? ?? 16 B1 20 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_183_1 {
	meta:
		name = "??__Eflog@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fflog@std@@YAXXZ 0034 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0038 ?flog@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_183_1 {
	meta:
		name = "??__Eferr@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fferr@std@@YAXXZ 0034 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0038 ?ferr@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_184_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwferr@std@@YAXXZ 0034 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0038 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_184_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwferr@std@@YAXXZ 0034 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0038 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_159_2 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwferr@std@@YAXXZ 0034 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0038 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_184_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwflog@std@@YAXXZ 0034 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0038 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_184_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwflog@std@@YAXXZ 0034 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0038 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_159_2 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwflog@std@@YAXXZ 0034 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0038 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_159_2 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 60
		refs = "000a __acrt_iob_func 0014 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAA@XZ 0022 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAAXPAU_iobuf@@W4_Initfl@12@@Z 002c atexit 0030 ??__Fwflog@std@@YAXXZ 0034 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0038 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 02 20 ?? ?? ?? ?? 0A 4D 04 46 28 46 ?? ?? ?? ?? 06 4B 00 22 21 46 28 46 2B 60 ?? ?? ?? ?? 02 48 BD E8 30 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_0_1 {
	meta:
		name = "_Cosh"
		size = 168
		refs = "0016 _Dtest 005c _Exp 008c _Feraise 00a4 _Xbig"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 02 8B 82 B0 68 46 B0 EE 41 8B 8D ED 00 0B ?? ?? ?? ?? D8 B3 43 1E 01 2B 36 D9 B5 EE 40 8B F1 EE 10 FA 33 D0 9D ED 00 1B B5 EE C0 1B F1 EE 10 FA 03 D2 B1 EE 41 1B 8D ED 00 1B 18 4B 6F F0 00 01 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0F D2 B7 EE 00 0B 68 46 ?? ?? ?? ?? 9D ED 00 1B B5 EE 00 0B 80 EE 01 0B 30 EE 01 0B 20 EE 08 8B 0E E0 68 46 B0 EE 48 0B ?? ?? ?? ?? 18 B1 01 28 04 D1 08 20 00 E0 10 20 ?? ?? ?? ?? 9D ED 00 8B B0 EE 48 0B 02 B0 BD EC 02 8B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_0_1 {
	meta:
		name = "_LCosh"
		size = 168
		refs = "0016 _LDtest 005c _LExp 008c _Feraise 00a4 _LXbig"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 02 8B 82 B0 68 46 B0 EE 41 8B 8D ED 00 0B ?? ?? ?? ?? D8 B3 43 1E 01 2B 36 D9 B5 EE 40 8B F1 EE 10 FA 33 D0 9D ED 00 1B B5 EE C0 1B F1 EE 10 FA 03 D2 B1 EE 41 1B 8D ED 00 1B 18 4B 6F F0 00 01 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0F D2 B7 EE 00 0B 68 46 ?? ?? ?? ?? 9D ED 00 1B B5 EE 00 0B 80 EE 01 0B 30 EE 01 0B 20 EE 08 8B 0E E0 68 46 B0 EE 48 0B ?? ?? ?? ?? 18 B1 01 28 04 D1 08 20 00 E0 10 20 ?? ?? ?? ?? 9D ED 00 8B B0 EE 48 0B 02 B0 BD EC 02 8B BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_0_1 {
	meta:
		name = "_Getcoll"
		size = 38
		refs = "000a ___lc_collate_cp_func 0010 ___lc_locale_name_func 001a _wcsdup"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 60 ?? ?? ?? ?? 40 68 60 60 10 B1 ?? ?? ?? ?? 60 60 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_46_1_1 {
	meta:
		name = "_Strcoll"
		size = 118
		refs = "0016 ___lc_locale_name_func 001c ___lc_collate_cp_func 0034 memcmp 005a __crtCompareStringA 0060 _errno"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 17 46 DD 1B 0C 9B 0C 1A 80 46 2B B9 ?? ?? ?? ?? 46 68 ?? ?? ?? ?? 01 E0 D3 E9 00 06 86 B9 AC 42 22 46 A8 BF 2A 46 39 46 40 46 ?? ?? ?? ?? D0 B9 AC 42 18 D0 02 DA 6F F0 00 00 14 E0 01 20 12 E0 02 90 30 46 23 46 42 46 4F F4 80 51 01 95 00 97 ?? ?? ?? ?? 30 B9 ?? ?? ?? ?? 16 23 03 60 6F F0 00 40 00 E0 80 1E 05 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_47_0_1 {
	meta:
		name = "??0_Init_locks@std@@QAA@XZ"
		size = 68
		refs = "002a _Mtxinit 003c ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 0040 ?init@std@@3JA"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 06 46 BF F3 5B 8F 0C 4A 52 E8 00 1F 49 1C 42 E8 00 13 00 2B F8 D1 BF F3 5B 8F 39 B9 05 4C 08 25 20 46 ?? ?? ?? ?? 18 34 6D 1E F9 D1 30 46 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1_1 {
	meta:
		name = "??0_Lockit@std@@QAA@H@Z"
		size = 48
		refs = "000e _lock_locales 0022 _Mtxlock 002c ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 21 60 11 B9 ?? ?? ?? ?? 08 E0 08 29 06 DA 04 4B 01 EB 41 02 03 EB C2 00 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_2_1 {
	meta:
		name = "??0_Lockit@std@@QAA@XZ"
		size = 24
		refs = "000e _lock_locales"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 00 23 23 60 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_47_3_1 {
	meta:
		name = "??1_Init_locks@std@@QAA@XZ"
		size = 64
		refs = "002a _Mtxdst 0038 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 003c ?init@std@@3JA"
		altNames = "?_Init_locks_dtor@_Init_locks@std@@CAXPAV12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B BF F3 5B 8F 0B 4A 52 E8 00 1F 49 1E 42 E8 00 13 00 2B F8 D1 BF F3 5B 8F 00 29 07 DA 04 4C 08 25 20 46 ?? ?? ?? ?? 18 34 6D 1E F9 D1 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_7_1 {
	meta:
		name = "?_Init_locks_ctor@_Init_locks@std@@CAXPAV12@@Z"
		size = 64
		refs = "0028 _Mtxinit 0038 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 003c ?init@std@@3JA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B BF F3 5B 8F 0B 4A 52 E8 00 1F 49 1C 42 E8 00 13 00 2B F8 D1 BF F3 5B 8F 39 B9 05 4C 08 25 20 46 ?? ?? ?? ?? 18 34 6D 1E F9 D1 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_10_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPAV12@H@Z"
		size = 44
		refs = "000c _lock_locales 0024 _Mtxlock 0028 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 19 B9 BD E8 00 48 ?? ?? ?? ?? 01 F0 07 03 03 60 03 EB 43 02 03 4B 03 EB C2 00 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_11_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@SAXH@Z"
		size = 44
		refs = "000c _lock_locales 0022 _Mtxlock 0028 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 18 B9 BD E8 00 48 ?? ?? ?? ?? 00 F0 07 03 03 EB 43 02 03 4B 03 EB C2 00 BD E8 00 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_13_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@SAXH@Z"
		size = 44
		refs = "000c _unlock_locales 0022 _Mtxunlock 0028 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 18 B9 BD E8 00 48 ?? ?? ?? ?? 00 F0 07 03 03 EB 43 02 03 4B 03 EB C2 00 BD E8 00 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_12_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@CAXPAV12@@Z"
		size = 32
		refs = "0016 _Mtxunlock 001c ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 03 EB 43 02 03 4B 03 EB C2 00 BD E8 00 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_14_1 {
	meta:
		name = "_Lock_at_thread_exit_mutex"
		size = 24
		refs = "0010 _Mtxlock 0014 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 F1 60 00 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_15_1 {
	meta:
		name = "_Unlock_at_thread_exit_mutex"
		size = 24
		refs = "0010 _Mtxunlock 0014 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 F1 60 00 BD E8 00 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_48_0_1 {
	meta:
		name = "_Feraise"
		size = 38
		refs = "000c _errno"
	strings:
		$1 = { 2D E9 00 48 EB 46 10 F0 05 0F 03 D0 ?? ?? ?? ?? 21 23 05 E0 10 F0 18 0F 03 D0 ?? ?? ?? ?? 22 23 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_49_0_1 {
	meta:
		name = "?_Rng_abort@std@@YAXPBD@Z"
		size = 44
		refs = "000c __acrt_iob_func 0014 fputs 0022 fputc 0026 abort"
		altNames = "_Thrd_abort"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 02 20 ?? ?? ?? ?? 01 46 20 46 ?? ?? ?? ?? 02 20 ?? ?? ?? ?? 01 46 0A 20 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_51_0_1 {
	meta:
		name = "??0?$_Yarn@D@std@@QAA@PBD@Z"
		size = 66
		refs = "002c malloc 0038 memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0D 46 04 46 00 23 23 60 23 71 9D B1 23 60 91 F9 00 30 0A 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 56 1B 70 1C ?? ?? ?? ?? 20 60 18 B1 72 1C 29 46 ?? ?? ?? ?? 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_51_3_1 {
	meta:
		name = "??0_Locimp@locale@std@@AAA@ABV012@@Z"
		size = 128
		refs = "0058 malloc 0064 memcpy 006c ?_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z 007c ??_7_Locimp@locale@std@@6B@"
	strings:
		$1 = { 03 B4 2D E9 FE 49 0D F1 20 0B 6F 46 05 46 6F F0 01 03 BD 62 C7 E9 00 33 01 23 6B 60 88 46 17 4B 00 22 AA 60 2B 60 CB 68 EB 60 0B 69 2B 61 0B 7D 2B 75 8E 69 0E B9 01 F1 1C 06 AA 61 2A 77 9E B1 AA 61 96 F9 00 30 34 46 02 E0 64 1C 94 F9 00 30 00 2B FA D1 64 1C A0 1B ?? ?? ?? ?? A8 61 18 B1 A2 1B 31 46 ?? ?? ?? ?? 41 46 28 46 ?? ?? ?? ?? 28 46 BD E8 FE 09 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_6_1 {
	meta:
		name = "??0_Locimp@locale@std@@AAA@_N@Z"
		size = 84
		refs = "0034 malloc 0040 memcpy 004c ??_C@_01NBENCBCI@?$CK?$AA@ 0050 ??_7_Locimp@locale@std@@6B@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 01 23 63 60 10 4B 0E 4D 21 75 23 60 00 23 C4 E9 02 33 23 61 A3 61 23 77 7D B1 A3 61 2A 46 12 F9 01 3F 00 2B FB D1 56 1B 70 1C ?? ?? ?? ?? A0 61 18 B1 72 1C 29 46 ?? ?? ?? ?? 20 46 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_12_1 {
	meta:
		name = "??1_Fac_node@std@@QAA@XZ"
		size = 58
		refs = "001a _guard_check_icall"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 45 68 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 BD E8 BE 88 }
	condition:
		$1
}

rule file_51_13_1 {
	meta:
		name = "??1_Fac_tidy_reg_t@std@@QAA@XZ"
		size = 92
		refs = "0026 _guard_check_icall 0046 ??3@YAXPAXI@Z 0058 ?_Fac_head@std@@3PAU_Fac_node@1@A"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 6F F0 01 03 C7 E9 00 33 DF F8 44 80 18 E0 33 68 C8 F8 00 30 75 68 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 08 21 30 46 ?? ?? ?? ?? D8 F8 00 60 00 2E E2 D1 BD E8 FE 89 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_16_1 {
	meta:
		name = "??1_Locimp@locale@std@@MAA@XZ"
		size = 56
		refs = "0018 ?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z 0020 free 0030 ??_7_Facet_base@std@@6B@ 0034 ??_7_Locimp@locale@std@@6B@"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 08 4B 04 46 23 60 ?? ?? ?? ?? A0 69 08 B1 ?? ?? ?? ?? 00 23 A3 61 01 4B 23 60 BD E8 9C 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_22_1 {
	meta:
		name = "??_G_Fac_node@std@@QAAPAXI@Z"
		size = 78
		refs = "001e _guard_check_icall 0044 ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 6F F0 01 03 C7 E9 00 33 88 46 06 46 75 68 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 18 F0 01 0F 03 D0 08 21 30 46 ?? ?? ?? ?? 30 46 BD E8 FE 89 }
	condition:
		$1
}

rule file_51_25_1 {
	meta:
		name = "??_G_Locimp@locale@std@@MAAPAXI@Z"
		size = 76
		refs = "001a ?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z 0022 free 0038 ??3@YAXPAXI@Z 0044 ??_7_Facet_base@std@@6B@ 0048 ??_7_Locimp@locale@std@@6B@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 0D 46 04 46 0C 4B 23 60 ?? ?? ?? ?? A0 69 08 B1 ?? ?? ?? ?? 00 23 A3 61 06 4B 23 60 15 F0 01 0F 03 D0 20 21 20 46 ?? ?? ?? ?? 20 46 BD E8 BE 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_31_1 {
	meta:
		name = "??__Fclassic_locale@std@@YAXXZ"
		size = 68
		refs = "001e _guard_check_icall 0040 ?classic_locale@std@@3Vlocale@1@A"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 0B 4B 5D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 BD E8 BE 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_39_1 {
	meta:
		name = "?_Facet_Register@std@@YAXPAV_Facet_base@1@@Z"
		size = 40
		refs = "000c ??2@YAPAXI@Z 0024 ?_Fac_head@std@@3PAU_Fac_node@1@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 08 20 ?? ?? ?? ?? 04 4A 18 B1 13 68 C0 E9 00 34 00 E0 00 20 10 60 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_47_1 {
	meta:
		name = "?_Init@locale@std@@CAPAV_Locimp@12@_N@Z"
		size = 176
		refs = "0018 ??0_Lockit@std@@QAA@H@Z 0028 ?_New_Locimp@_Locimp@locale@std@@CAPAV123@_N@Z 002e ?_Setgloballocale@locale@std@@CAXPAX@Z 0040 free 0056 malloc 0062 memcpy 0070 _guard_check_icall 0096 ??1_Lockit@std@@QAA@XZ 00a4 ?classic_locale@std@@3Vlocale@1@A 00a8 ??_C@_01GFHCPBMG@C?$AA@ 00ac ?_Clocptr@_Locimp@locale@std@@0PAV123@A"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 6F 46 80 46 6F F0 01 03 38 46 00 21 C7 E9 02 33 ?? ?? ?? ?? DF F8 8C 90 D9 F8 04 50 65 BB 00 20 ?? ?? ?? ?? 05 46 ?? ?? ?? ?? 3F 23 1C 4E 2B 61 A8 69 B0 42 13 D0 08 B1 ?? ?? ?? ?? 00 23 AB 61 34 46 14 F9 01 3F 00 2B FB D1 64 1C A0 1B ?? ?? ?? ?? A8 61 18 B1 A2 1B 31 46 ?? ?? ?? ?? C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 0A 4A D9 F8 00 30 53 60 B8 F1 00 0F 06 D0 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 38 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_50_1 {
	meta:
		name = "?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z"
		size = 106
		refs = "001a ??0_Lockit@std@@QAA@H@Z 0038 _guard_check_icall 005a free 0060 ??1_Lockit@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 6F 46 06 46 38 46 6F F0 01 03 00 21 C7 E9 02 33 ?? ?? ?? ?? F5 68 18 E0 B3 68 6D 1E 53 F8 25 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 00 2D E4 D1 B0 68 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 05 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_51_52_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@PBD@Z"
		size = 172
		refs = "0010 setlocale 0026 free 0046 malloc 0052 memcpy 00a4 ??_C@_01NBENCBCI@?$CK?$AA@ 00a8 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0F 46 05 46 00 21 00 20 ?? ?? ?? ?? 04 46 04 B9 23 4C 68 6A 4F F0 00 08 A0 42 18 D0 08 B1 ?? ?? ?? ?? C5 F8 24 80 94 B1 94 F9 00 30 22 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 16 1B 70 1C ?? ?? ?? ?? 68 62 18 B1 72 1C 21 46 ?? ?? ?? ?? 2F B1 39 46 00 20 ?? ?? ?? ?? 04 46 04 B9 0F 4C E8 6A A0 42 18 D0 08 B1 ?? ?? ?? ?? C5 F8 2C 80 94 B1 94 F9 00 30 22 46 02 E0 52 1C 92 F9 00 30 00 2B FA D1 16 1B 70 1C ?? ?? ?? ?? E8 62 18 B1 72 1C 21 46 ?? ?? ?? ?? BD E8 F8 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_53_1 {
	meta:
		name = "?_Locinfo_dtor@_Locinfo@std@@SAXPAV12@@Z"
		size = 32
		refs = "0018 setlocale"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 6A 43 B1 19 46 09 B9 00 F1 28 01 00 20 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_51_54_1 {
	meta:
		name = "?_New_Locimp@_Locimp@locale@std@@CAPAV123@ABV123@@Z"
		size = 46
		refs = "0016 ??2@YAPAXI@Z 0020 ??0_Locimp@locale@std@@AAA@ABV012@@Z"
	strings:
		$1 = { 2D E9 9F 48 0D F1 18 0B 6F 46 04 46 6F F0 01 03 20 20 C7 E9 02 33 ?? ?? ?? ?? 38 60 18 B1 21 46 ?? ?? ?? ?? 00 E0 00 20 04 B0 BD E8 90 88 }
	condition:
		$1
}

rule file_51_56_1 {
	meta:
		name = "?_New_Locimp@_Locimp@locale@std@@CAPAV123@_N@Z"
		size = 32
		refs = "000c ??2@YAPAXI@Z 0014 ??0_Locimp@locale@std@@AAA@_N@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 20 ?? ?? ?? ?? 18 B1 21 46 ?? ?? ?? ?? 00 E0 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_51_57_1 {
	meta:
		name = "?_Setgloballocale@locale@std@@CAXPAX@Z"
		size = 48
		refs = "0016 ?_Atexit@@YAXP6AXXZ@Z 0024 global_locale 0028 tidy_global 002c ?registered@?1??_Setgloballocale@locale@std@@CAXPAX@Z@4_NA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4A 04 46 13 78 23 B9 05 48 01 23 13 70 ?? ?? ?? ?? 02 4B 1C 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_60_1 {
	meta:
		name = "?classic@locale@std@@SAABV12@XZ"
		size = 24
		refs = "0008 ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z 0014 ?classic_locale@std@@3Vlocale@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 20 ?? ?? ?? ?? 01 48 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_61_1 {
	meta:
		name = "?empty@locale@std@@SA?AV12@XZ"
		size = 30
		refs = "000c ?_Init@locale@std@@CAPAV_Locimp@12@_N@Z 0012 ?_New_Locimp@_Locimp@locale@std@@CAPAV123@_N@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 00 20 ?? ?? ?? ?? 01 20 ?? ?? ?? ?? 60 60 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_51_62_1 {
	meta:
		name = "_Deletegloballocale"
		size = 50
		refs = "0012 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_51_63_1 {
	meta:
		name = "tidy_global"
		size = 44
		refs = "000c ??0_Lockit@std@@QAA@H@Z 0014 _Deletegloballocale 001e ??1_Lockit@std@@QAA@XZ 0028 global_locale"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 68 46 00 21 ?? ?? ?? ?? 05 4C 20 46 ?? ?? ?? ?? 00 23 68 46 23 60 ?? ?? ?? ?? BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_0_1 {
	meta:
		name = "_Exp"
		size = 368
		refs = "00f6 _Dscale 0148 _Eps 015c _Inf"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 58 2B 90 ED 00 4B B0 EE 40 5B B4 EE C2 4B F1 EE 10 FA 70 D3 B5 EE 40 0B F1 EE 10 FA 6B D0 9F ED 4E 2B B4 EE C4 2B F1 EE 10 FA 04 D2 49 4B 01 22 93 ED 00 0B 62 E0 9F ED 45 0B 24 EE 00 1B B5 EE C0 1B F1 EE 10 FA 02 D2 BE EE 00 0B 01 E0 B6 EE 00 0B 30 EE 01 0B 9F ED 3B 1B 39 4A BD EE C0 0B 9F ED 35 2B 10 EE 10 3A 92 ED 00 7B 1B B2 00 EE 10 3A B1 EE 47 3B B8 EE C0 0B 20 EE 01 1B 20 EE 02 2B 34 EE 41 0B 30 EE 42 6B B4 EE C6 3B F1 EE 10 FA 07 D2 B4 EE C7 6B F1 EE 10 FA 02 D2 80 ED 00 5B 23 E0 9F ED 22 1B 9F ED 1F 2B 26 EE 06 4B 9F ED 1B 0B 9F ED 18 3B 5B 1E 04 EE 01 2B 9F ED 14 1B 30 EE 04 0B 1B B2 02 EE 04 3B 00 EE 04 1B 21 EE 06 0B 33 EE 00 1B 33 EE 40 0B 81 EE 00 0B 30 EE 00 0B 20 EE 05 0B 80 ED 00 0B 19 44 ?? ?? ?? ?? 02 46 04 E0 9F ED 04 0B 00 22 80 ED 00 0B 10 46 BD E8 00 88 FE DE 00 00 00 00 00 00 00 00 50 F9 9F B8 59 8E CD 40 51 F9 9F B8 59 8E DD 40 90 F8 47 77 D6 44 7A 40 25 A3 3C 6E 71 45 AA 40 91 98 80 70 DE 03 3E 40 CA AB 79 CF D1 F7 B7 3E ?? ?? ?? ?? 00 00 00 00 40 2E E6 3F FE 82 2B 65 47 15 F7 3F ?? ?? ?? ?? 00 00 00 00 00 C8 9C 40 00 00 00 00 00 C8 9C C0 }
	condition:
		$1
}

rule file_54_0_1 {
	meta:
		name = "??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z"
		size = 18
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 01 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_54_2_1 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ"
		size = 38
		refs = "001e _free_base"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 68 59 B1 51 F8 08 2C 4D F6 DD 53 9A 42 05 D1 A1 F1 08 00 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_54_4_1 {
	meta:
		name = "_MallocaComputeSize"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 00 F1 08 03 83 42 98 BF 00 23 18 46 BD E8 00 88 }
	condition:
		$1
}

rule file_54_5_1 {
	meta:
		name = "_MarkAllocaS"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B1 01 60 08 30 BD E8 00 88 }
	condition:
		$1
}

rule file_54_6_1 {
	meta:
		name = "__crtCompareStringA"
		size = 656
		refs = "0008 __security_push_cookie 0026 __strncnt 0142 __chkstk 0160 _malloc_base 025a _free_base 027a __security_pop_cookie 0284 __imp_CompareStringEx 0288 __imp_MultiByteToWideChar 028c __imp_GetCPInfo"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8A B0 6F 46 86 B0 3C 6D 1D 46 91 46 3C 60 C7 E9 02 10 00 2D 0F DD 19 46 10 46 ?? ?? ?? ?? 05 46 D7 F8 54 80 B8 F1 00 0F 0A DD 41 46 20 46 ?? ?? ?? ?? 80 46 07 E0 B5 F1 FF 3F F1 DA 00 24 13 E1 B8 F1 FF 3F FA DB 15 B1 B8 F1 00 0F 46 D1 45 45 01 D1 02 24 08 E1 B8 F1 01 0F 01 DD 01 24 03 E1 01 2D 01 DD 03 24 FF E0 85 4B B8 6D 17 F1 10 01 1B 68 98 47 00 28 E1 D0 00 2D 16 DD 3B 69 02 2B F0 D3 BB 7D 17 F1 16 02 00 2B EB D0 51 78 00 29 E8 D0 99 F8 00 00 13 78 98 42 01 D3 88 42 D8 D9 12 F8 02 3F 00 2B F1 D1 DC E7 B8 F1 00 0F 15 DD 3B 69 02 2B D2 D3 BB 7D 17 F1 16 02 00 2B CD D0 51 78 00 29 CA D0 20 78 13 78 98 42 01 D3 88 42 BF D9 12 F8 02 3F 00 2B F2 D1 BF E7 67 4C B8 6D 00 23 24 68 01 93 00 93 2B 46 4A 46 09 21 A0 47 78 60 00 28 A2 D0 43 00 03 F1 08 02 9A 42 98 BF 00 22 4C F6 CC 41 4D F6 DD 5A 62 B3 03 F1 08 02 9A 42 98 BF 00 22 B2 F5 80 6F 16 D8 03 F1 08 02 9A 42 98 BF 00 22 D3 1D 93 42 01 D8 6F F0 07 03 23 F0 07 03 9C 08 ?? ?? ?? ?? AD EB 04 0D 1D F1 18 06 11 D0 31 60 08 36 0E E0 03 F1 08 00 98 42 98 BF 00 20 ?? ?? ?? ?? 06 46 16 B1 C0 F8 00 A0 08 36 78 68 00 E0 00 26 00 2E 73 D0 43 4C 01 90 B8 6D 24 68 2B 46 4A 46 01 21 00 96 A0 47 00 28 68 D0 3E 4C 3A 68 B8 6D 24 68 00 23 01 93 00 93 43 46 09 21 A0 47 81 46 00 28 5B D0 43 00 03 F1 08 02 9A 42 98 BF 00 22 62 B3 03 F1 08 02 9A 42 98 BF 00 22 B2 F5 80 6F 17 D8 03 F1 08 02 9A 42 98 BF 00 22 D3 1D 93 42 01 D8 6F F0 07 03 23 F0 07 03 9C 08 ?? ?? ?? ?? AD EB 04 0D 1D F1 18 05 11 D0 4C F6 CC 43 2B 60 0A E0 03 F1 08 00 98 42 98 BF 00 20 ?? ?? ?? ?? 05 46 05 B3 C0 F8 00 A0 08 35 00 E0 00 25 D5 B1 1C 4C 3A 68 B8 6D 24 68 43 46 01 21 CD F8 04 90 00 95 A0 47 78 B1 16 4C 00 23 D7 E9 02 10 24 68 04 93 03 93 02 93 7B 68 32 46 CD F8 04 90 00 95 A0 47 04 46 00 E0 00 24 4D B1 55 F8 08 3C 53 45 05 D1 A5 F1 08 00 ?? ?? ?? ?? 00 E0 00 24 3E B1 56 F8 08 3C 53 45 03 D1 A6 F1 08 00 ?? ?? ?? ?? 20 46 BD 46 0A B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_54_7_1 {
	meta:
		name = "_freea_crt"
		size = 32
		refs = "0018 _free_base"
	strings:
		$1 = { 2D E9 00 48 EB 46 48 B1 50 F8 08 2D 4D F6 DD 53 9A 42 03 D1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_55_0_1 {
	meta:
		name = "_Dint"
		size = 196
		refs = "00c0 ?mask@?3??_Dint@@9@9"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 E0 88 47 F6 F0 73 40 F2 FF 72 00 EA 03 05 2B 09 93 42 0C D1 10 F0 0F 0F 07 D1 A3 88 2B B9 63 88 1B B9 23 88 0B B9 01 20 43 E0 02 20 41 E0 30 F4 00 43 05 D1 A3 88 1B B9 63 88 0B B9 23 88 BB B3 40 F2 33 43 A3 EB 15 13 5B 1A 1D B2 00 2D 2F DD 35 2D 09 DB 00 F4 00 43 00 22 E3 80 A2 80 62 80 22 80 6F F0 00 00 24 E0 13 49 2E 11 0B 46 20 33 53 F8 26 00 05 F0 0F 03 31 F8 13 30 34 F8 10 20 03 EA 02 01 82 EA 01 03 00 22 24 F8 10 30 01 2E 09 D0 02 2E 04 D0 03 2E 08 D1 A3 88 A2 80 19 43 63 88 62 80 19 43 23 88 22 80 19 43 00 29 D8 D1 00 20 BD E8 78 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_0_1 {
	meta:
		name = "?_Random_device@std@@YAIXZ"
		size = 36
		refs = "000a rand_s 0018 ?_Xout_of_range@std@@YAXPBD@Z 0020 ??_C@_0BM@EEBBMCOD@invalid?5random_device?5value?$AA@"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 68 46 ?? ?? ?? ?? 10 B9 00 98 BD E8 0C 88 02 48 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_58_0_1 {
	meta:
		name = "_FXp_addh"
		size = 660
		refs = "0028 _FDunscale 0036 _FDtest 0046 _FPmsw 0062 _Feraise 01a4 _FDint 01ae _FDscale 0290 _FNan"
	strings:
		$1 = { 03 B4 2D E9 F0 4F 0D F1 1C 0B 2D ED 02 8B 85 B0 0E 46 00 2E 8D ED 01 0A 8D ED 02 0A 05 46 00 F0 2D 81 02 A9 0D F1 02 00 ?? ?? ?? ?? 00 28 2A DD 02 28 25 D0 28 46 ?? ?? ?? ?? 00 28 20 DD 02 28 00 F0 1C 81 01 A8 ?? ?? ?? ?? 04 46 28 46 ?? ?? ?? ?? 03 88 22 88 53 40 13 F4 00 4F 00 F0 0E 81 01 20 ?? ?? ?? ?? 8A 4B 01 2E 93 ED 00 0A 85 ED 00 0A 40 F3 03 81 9F ED 85 0A 85 ED 01 0A FD E0 01 9B 2B 60 FA E0 80 F2 F9 80 00 24 00 2E 4F F4 80 78 40 F3 F3 80 9F ED 7D 8A 05 EB 86 0A 05 EB 86 09 05 EB 84 07 3B 68 03 A9 68 46 03 93 ?? ?? ?? ?? 00 28 00 F3 E2 80 00 F0 D7 80 BD F9 00 20 BD F9 02 30 DD ED 01 0A D3 1A 13 F1 0C 0F 2A DC F5 EE 40 0A F1 EE 10 FA 25 D0 23 46 3A 46 19 46 5B 1C 12 1D B3 42 06 DA 92 ED 00 0A B5 EE 40 0A F1 EE 10 FA F3 D1 72 1E 93 42 B8 BF 5B 1C 02 DB B3 42 08 BF 0B 46 9C 42 08 DA 05 EB 83 02 19 1B 52 F8 04 3C 49 1E 42 F8 04 39 F9 D1 C7 ED 00 0A 8D ED 01 8A 9D E0 0C 2B 07 DB F5 EE 40 0A F1 EE 10 FA 02 D0 90 46 64 1C 93 E0 97 ED 00 0A 30 EE 20 0A B5 EE 40 0A 87 ED 00 0A F1 EE 10 FA 17 D1 22 46 3B 46 52 1C 1B 1D B2 42 08 DA 93 ED 00 0A B5 EE 40 0A 03 ED 01 0A F1 EE 10 FA F2 D1 0A ED 01 8A 97 ED 00 0A B5 EE 40 0A F1 EE 10 FA 7D D0 01 A9 0D F1 02 00 8D ED 01 0A ?? ?? ?? ?? BD F9 02 20 A8 F1 0C 03 93 42 39 DA A2 EB 08 03 0C 33 19 B2 01 A8 ?? ?? ?? ?? BD F9 02 10 01 A8 ?? ?? ?? ?? D7 ED 00 0A 9D ED 01 0A 30 EE C0 0A B5 EE 40 0A 87 ED 00 0A F1 EE 10 FA 0F D1 23 46 5B 1C 3F 1D B3 42 08 DA 97 ED 00 0A B5 EE 40 0A 07 ED 01 0A F1 EE 10 FA F2 D1 09 ED 01 8A 64 1E 02 D1 4F F4 80 78 35 E0 05 EB 84 03 53 F8 04 3C 02 A9 68 46 02 93 ?? ?? ?? ?? BD F9 00 80 29 E0 64 1C B4 42 33 D0 3B 68 39 46 68 46 01 93 ?? ?? ?? ?? 0C 21 38 46 ?? ?? ?? ?? BD F9 00 10 38 46 ?? ?? ?? ?? D7 ED 00 0A 9D ED 01 0A BD F9 00 80 30 EE 60 0A B5 EE 40 0A 8D ED 01 0A F1 EE 10 FA 01 D1 B0 EE 60 0A 02 A9 0D F1 02 00 8D ED 02 0A ?? ?? ?? ?? B4 42 FF F6 1D AF 08 E0 01 9B 05 EB 84 02 13 60 63 1C B3 42 01 DA 82 ED 01 8A 28 46 05 B0 BD EC 02 8B BD E8 F0 0F 5D F8 0C FB 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_58_1_1 {
	meta:
		name = "_FXp_addx"
		size = 58
		refs = "0028 _FXp_addh"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 1F 46 00 26 00 2F 15 46 88 46 04 46 0E DD 95 ED 00 0A B5 EE 40 0A F1 EE 10 FA 07 D0 41 46 20 46 ?? ?? ?? ?? 76 1C 2D 1D BE 42 F0 DB 20 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_58_2_1 {
	meta:
		name = "_FXp_getw"
		size = 128
	strings:
		$1 = { 2D E9 00 48 EB 46 11 B9 9F ED 1C 0A 34 E0 01 29 30 D0 D0 ED 00 0A F5 EE 40 0A F1 EE 10 FA 29 D0 90 ED 01 1A B5 EE 40 1A F1 EE 10 FA 22 D0 02 29 1D D0 D0 ED 02 1A F5 EE 40 1A F1 EE 10 FA 16 D0 31 EE 20 2A 04 29 03 DB 90 ED 03 0A 71 EE 80 1A 32 EE 60 0A B4 EE 41 0A F1 EE 10 FA 02 D1 31 EE 82 0A 09 E0 31 EE 21 0A 30 EE 20 0A 04 E0 31 EE 20 0A 01 E0 90 ED 00 0A BD E8 00 88 00 00 00 00 }
	condition:
		$1
}

rule file_58_3_1 {
	meta:
		name = "_FXp_invx"
		size = 224
		refs = "0018 _FDtest 004c memcpy 0058 _FXp_mulh 0074 _FXp_setw 0096 _FXp_mulx 00a2 _FXp_addh 00be _FXp_addx 00d8 _FInf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 02 8B 82 B0 0D 46 00 2D 17 46 04 46 58 D0 ?? ?? ?? ?? 00 28 0C DB 01 28 02 D1 9F ED 2D 0A 04 E0 00 28 4D D1 2A 4B 93 ED 00 0A 84 ED 00 0A 47 E0 07 EB 85 06 94 ED 00 8A 30 46 AA 00 21 46 06 EB 85 09 ?? ?? ?? ?? BF EE 00 0A 29 46 30 46 ?? ?? ?? ?? 01 2D 03 DD 94 ED 01 0A 38 EE 00 8A F7 EE 00 8A 29 46 88 EE 88 0A 20 46 ?? ?? ?? ?? 4F F0 01 08 01 2D 24 DD AA 00 21 46 38 46 ?? ?? ?? ?? 2B 46 32 46 29 46 38 46 CD F8 00 90 ?? ?? ?? ?? B0 EE 68 0A 29 46 38 46 ?? ?? ?? ?? 2B 46 22 46 29 46 38 46 CD F8 00 90 ?? ?? ?? ?? 2B 46 3A 46 29 46 20 46 ?? ?? ?? ?? 4F EA 48 08 A8 45 DA DB 20 46 02 B0 BD EC 02 8B BD E8 F0 8B FE DE ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_58_4_1 {
	meta:
		name = "_FXp_ldexpx"
		size = 68
		refs = "0020 ldexp"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0F 46 00 25 00 2F 90 46 06 46 14 DD 04 46 94 ED 00 0A 40 46 B7 EE C0 0A ?? ?? ?? ?? B7 EE C0 0B B5 EE 40 0A 84 ED 00 0A F1 EE 10 FA 03 D0 6D 1C 24 1D BD 42 EB DB 30 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_58_5_1 {
	meta:
		name = "_FXp_movx"
		size = 26
		refs = "0010 memcpy"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 13 46 8A 00 19 46 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_58_6_1 {
	meta:
		name = "_FXp_mulh"
		size = 316
		refs = "000c __security_push_cookie 0030 _FDtest 0040 _Feraise 00c8 _FDunscale 00d0 _FDint 00da _FDscale 00e6 _FXp_addh 012c __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 02 8B ?? ?? ?? ?? 87 B0 0E 46 9F ED 48 8A 00 2E F0 EE 40 8A 04 46 1D DD 90 ED 00 2A 02 A8 22 EE 00 2A 8D ED 02 2A ?? ?? ?? ?? 05 46 00 2D 0F DB 02 2D 02 D1 01 20 ?? ?? ?? ?? 02 9B 00 2D 23 60 6D DD 01 2E 6B DD 9F ED 39 0A 84 ED 01 0A 66 E0 84 ED 00 8A 01 25 00 27 00 2E 60 DD 0D F1 08 09 0D F1 08 08 04 2D 1F DA 7B 19 04 EB 83 02 09 EB 85 01 7B 19 B3 42 12 DA 92 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0B D0 20 EE 28 0A 6D 1C 82 ED 00 8A 12 1D 81 ED 00 0A 09 1D 04 2D EA DB 04 E0 08 EB 85 03 08 25 83 ED 00 8A 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 33 D0 69 46 01 A8 8D ED 00 0A ?? ?? ?? ?? 0C 21 68 46 ?? ?? ?? ?? BD F9 04 10 68 46 ?? ?? ?? ?? 9D ED 00 0A 31 46 20 46 ?? ?? ?? ?? DD ED 02 0A 9D ED 00 0A 31 46 20 46 30 EE C0 0A ?? ?? ?? ?? 01 22 01 2D 0D DD 03 AB 93 ED 00 0A B5 EE 40 0A 03 ED 01 0A F1 EE 10 FA 03 D0 52 1C 1B 1D AA 42 F2 DB 7F 1C 6D 1E B7 42 A2 DB 20 46 07 B0 ?? ?? ?? ?? BD EC 02 8B BD E8 F0 8B 00 00 00 00 }
	condition:
		$1
}

rule file_58_7_1 {
	meta:
		name = "_FXp_mulx"
		size = 172
		refs = "003e memcpy 004a _FXp_mulh 008a _FXp_addx"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 0E 46 00 2E 1F 46 14 46 05 46 48 D0 00 2F 46 D0 D2 ED 00 0A F5 EE 40 0A F1 EE 10 FA 39 D0 92 ED 01 0A B5 EE 40 0A F1 EE 10 FA 32 D0 DD F8 20 80 01 46 B2 00 40 46 ?? ?? ?? ?? 94 ED 00 0A 31 46 28 46 ?? ?? ?? ?? 4F F0 01 09 01 2F 27 DD 24 1D 94 ED 00 0A B5 EE 40 0A F1 EE 10 FA 1F D0 B2 00 41 46 08 EB 86 00 ?? ?? ?? ?? 94 ED 00 0A 31 46 08 EB 86 00 ?? ?? ?? ?? 33 46 08 EB 86 02 31 46 28 46 ?? ?? ?? ?? 09 F1 01 09 24 1D B9 45 DF DB 05 E0 B0 EE 60 0A 31 46 28 46 ?? ?? ?? ?? 28 46 BD E8 F0 8B }
	condition:
		$1
}

rule file_58_8_1 {
	meta:
		name = "_FXp_setn"
		size = 92
		refs = "0022 _FXp_setw 002e _FXp_mulh 0048 _FXp_addh"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 13 4B 15 46 0E 46 82 FB 03 34 07 46 23 13 03 EB D3 74 00 EE 10 4A B8 EE C0 0A ?? ?? ?? ?? 9F ED 0B 0A 31 46 38 46 ?? ?? ?? ?? 42 F2 10 73 04 FB 03 F3 31 46 EB 1A 38 46 00 EE 10 3A B8 EE C0 0A ?? ?? ?? ?? 38 46 BD E8 F0 88 FE DE 00 40 1C 46 AD 8B DB 68 }
	condition:
		$1
}

rule file_58_9_1 {
	meta:
		name = "_FXp_setw"
		size = 136
		refs = "0026 _FDunscale 0042 _FDint 004c _FDscale"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 2D ED 02 8B 82 B0 0D 46 00 2D B0 EE 40 8A 8D ED 01 0A 04 46 2B DD 01 2D 27 D0 01 A9 68 46 ?? ?? ?? ?? 00 28 1F D0 06 DD 9F ED 14 0A 01 9B 84 ED 01 0A 23 60 1B E0 01 A8 0C 21 ?? ?? ?? ?? BD F9 00 10 01 A8 ?? ?? ?? ?? 9D ED 01 0A 02 2D 84 ED 00 0A 38 EE 40 0A 84 ED 01 0A 08 DD 9F ED 07 0A 84 ED 02 0A 03 E0 9D ED 01 8A 84 ED 00 8A 20 46 02 B0 BD EC 02 8B BD E8 30 88 FE DE 00 00 00 00 }
	condition:
		$1
}

rule file_58_10_1 {
	meta:
		name = "_FXp_sqrtx"
		size = 264
		refs = "0018 _FDtest 005a _FXp_setw 0074 memcpy 0080 _FXp_mulh 0090 _FXp_mulx 00ac _FXp_addh 00ea _Feraise 0104 _FNan"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 2D ED 02 8B 82 B0 0C 46 00 2C 17 46 05 46 6F D0 ?? ?? ?? ?? 00 28 5C DA D5 ED 00 0A F5 EE C0 0A F1 EE 10 FA 5C D3 07 EB 84 06 06 EB 84 08 01 2C 03 DD 95 ED 01 0A 70 EE 80 0A B7 EE E0 0A B7 EE 00 1B 21 46 B1 EE C0 0B 30 46 81 EE 00 0B B7 EE C0 0B ?? ?? ?? ?? 4F F0 02 09 02 2C 30 DD BE EE 00 8A F7 EE 08 8A A2 00 31 46 38 46 ?? ?? ?? ?? B0 EE 48 0A 21 46 38 46 ?? ?? ?? ?? 23 46 2A 46 21 46 38 46 CD F8 00 80 ?? ?? ?? ?? 23 46 32 46 21 46 38 46 CD F8 00 80 ?? ?? ?? ?? B0 EE 68 0A 21 46 38 46 ?? ?? ?? ?? 23 46 3A 46 21 46 30 46 CD F8 00 80 ?? ?? ?? ?? 4F EA 49 09 A1 45 D2 DB 23 46 32 46 21 46 28 46 CD F8 00 80 ?? ?? ?? ?? 0E E0 95 ED 00 0A B5 EE C0 0A F1 EE 10 FA 07 D2 01 20 ?? ?? ?? ?? 05 4B 93 ED 00 0A 85 ED 00 0A 28 46 02 B0 BD EC 02 8B BD E8 F0 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_58_11_1 {
	meta:
		name = "_FXp_subx"
		size = 62
		refs = "002c _FXp_addh"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 1F 46 00 26 00 2F 15 46 88 46 04 46 10 DD 95 ED 00 0A B5 EE 40 0A F1 EE 10 FA 09 D0 B1 EE 40 0A 41 46 20 46 ?? ?? ?? ?? 76 1C 2D 1D BE 42 EE DB 20 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_59_3_1 {
	meta:
		name = "??B?$__crt_scoped_stack_ptr@_W@@QBA_NXZ"
		size = 20
		altNames = "??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ ??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ ??B?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ ??B?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QBA_NXZ ??B?$shared_ptr@V__ExceptionPtr@@@std@@QBA_NXZ ?__ExceptionPtrToBool@@YA_NPBX@Z ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B1 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_59_7_1 {
	meta:
		name = "__crtLCMapStringA"
		size = 588
		refs = "0008 __security_push_cookie 0022 __strncnt 0096 __chkstk 00b8 _malloc_base 020a _free_base 0236 __security_pop_cookie 0240 __imp_WideCharToMultiByte 0244 __imp_LCMapStringEx 0248 __imp_MultiByteToWideChar"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 84 B0 6F 46 86 B0 1D 46 00 2D 16 46 39 60 B8 60 08 DD 19 46 10 46 ?? ?? ?? ?? A8 42 B8 BF 45 1C A8 BF 05 46 7B 6C 0B B1 09 21 00 E0 01 21 83 4C 38 6C 00 22 24 68 01 92 00 92 2B 46 32 46 A0 47 78 60 08 B9 00 26 ED E0 43 00 03 F1 08 02 9A 42 98 BF 00 22 4C F6 CC 41 4D F6 DD 59 4F F4 80 6A 72 B3 03 F1 08 02 9A 42 98 BF 00 22 52 45 18 D8 03 F1 08 02 9A 42 98 BF 00 22 D3 1D 93 42 01 D8 6F F0 07 03 23 F0 07 03 9C 08 ?? ?? ?? ?? AD EB 04 0D 1D F1 18 08 15 D0 C8 F8 00 10 08 F1 08 08 10 E0 03 F1 08 00 98 42 98 BF 00 20 ?? ?? ?? ?? 80 46 18 B1 C0 F8 00 90 08 F1 08 08 78 68 01 E0 4F F0 00 08 B8 F1 00 0F 00 F0 A0 80 5B 4C 01 90 38 6C 24 68 2B 46 32 46 01 21 CD F8 00 80 A0 47 00 28 00 F0 93 80 54 4C D7 E9 00 15 B8 68 24 68 00 23 04 93 03 93 02 93 01 93 00 93 2B 46 42 46 A0 47 06 46 00 2E 00 F0 81 80 39 68 11 EA 0A 0F 12 D0 FB 6B 00 2B 7A D0 9E 42 78 DC 46 4C 01 93 BB 6B 24 68 B8 68 00 22 00 93 04 92 03 92 02 92 2B 46 42 46 A0 47 6A E0 73 00 03 F1 08 02 9A 42 98 BF 00 22 6A B3 03 F1 08 02 9A 42 98 BF 00 22 52 45 18 D8 03 F1 08 02 9A 42 98 BF 00 22 D3 1D 93 42 01 D8 6F F0 07 03 23 F0 07 03 9C 08 ?? ?? ?? ?? AD EB 04 0D 1D F1 18 05 13 D0 4C F6 CC 43 2B 60 08 35 0E E0 03 F1 08 00 98 42 98 BF 00 20 ?? ?? ?? ?? 05 46 15 B1 C0 F8 00 90 08 35 39 68 00 E0 00 25 9D B3 24 4C D7 E9 01 30 4F F0 00 0A 24 68 42 46 CD F8 10 A0 CD F8 0C A0 CD F8 08 A0 01 96 00 95 A0 47 98 B1 FB 6B 1A 4C 38 6C 24 68 CD F8 0C A0 CD F8 08 A0 2A 46 9B B9 CD F8 04 A0 CD F8 00 A0 33 46 00 21 A0 47 06 46 0E B9 00 26 6D B1 55 F8 08 3C 4B 45 09 D1 A5 F1 08 00 ?? ?? ?? ?? 04 E0 01 93 BB 6B 00 93 EB E7 00 26 B8 F1 00 0F 07 D0 58 F8 08 3C 4B 45 03 D1 A8 F1 08 00 ?? ?? ?? ?? 30 46 BD 46 04 B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_0_1 {
	meta:
		name = "?_Mtx_delete@threads@stdext@@YAXPAX@Z"
		size = 32
		refs = "0018 ??3@YAXPAXI@Z 001c __imp_DeleteCriticalSection"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 4B 04 46 1B 68 98 47 18 21 20 46 BD E8 18 48 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_2_1 {
	meta:
		name = "?_Mtx_new@threads@stdext@@YAXAAPAX@Z"
		size = 40
		refs = "000c ??2@YAPAXI@Z 0024 __imp_InitializeCriticalSectionEx"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 18 20 ?? ?? ?? ?? 04 4B 20 60 00 22 1B 68 4F F4 7A 61 98 47 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_0_1 {
	meta:
		name = "__crtCompareStringW"
		size = 108
		refs = "001a wcsnlen 0068 __imp_CompareStringEx"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 1C 46 00 2C 16 46 0F 46 80 46 04 DD 19 46 10 46 ?? ?? ?? ?? 04 46 0F 98 0E 9D 00 28 03 DD 01 46 28 46 ?? ?? ?? ?? 74 B1 68 B1 00 23 04 93 03 93 02 93 23 46 0A 4C 01 90 32 46 24 68 39 46 40 46 00 95 A0 47 08 E0 23 1A 08 BF 02 20 04 D0 00 2B B8 BF 01 20 A8 BF 03 20 07 B0 BD E8 F0 89 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_0_1 {
	meta:
		name = "??1_Init_atexit@@QAA@XZ"
		size = 80
		refs = "0032 _guard_check_icall 0044 __imp_DecodePointer 0048 ?atfuns_cdecl@@3PAP6AXXZA 004c ?atcount_cdecl@@3IA"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 6F F0 01 03 C7 E9 00 33 0E 4C 23 68 0A 2B 11 D2 0B 4E DF F8 24 80 56 F8 23 00 5B 1C 23 60 D8 F8 00 30 98 47 05 46 15 B1 ?? ?? ?? ?? A8 47 23 68 0A 2B F0 D3 BD E8 FE 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_63_5_1 {
	meta:
		name = "?_Atexit@@YAXP6AXXZ@Z"
		size = 56
		refs = "0024 abort 002c ?atfuns_cdecl@@3PAP6AXXZA 0030 __imp_EncodePointer 0034 ?atcount_cdecl@@3IA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 4C 23 68 53 B1 08 4B 1B 68 98 47 22 68 05 4B 52 1E 22 60 43 F8 22 00 BD E8 18 88 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_74_1 {
	meta:
		name = "??0_Init_cerr@std@@QAA@XZ"
		size = 56
		refs = "002c ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0030 ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0034 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A"
		altNames = "??__Einit_cerr@std@@YAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 49 09 4B 19 60 0B 68 5B 68 5A 18 06 4B 1B 68 D3 63 0B 68 5B 68 5A 18 53 69 43 F0 02 03 53 61 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_74_1 {
	meta:
		name = "??0_Init_ushcerr@std@@QAA@XZ"
		size = 56
		refs = "002c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0030 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0034 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 49 09 4B 19 60 0B 68 5B 68 5A 18 06 4B 1B 68 D3 63 0B 68 5B 68 5A 18 53 69 43 F0 02 03 53 61 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_74_1 {
	meta:
		name = "??0_Init_wcerr@std@@QAA@XZ"
		size = 56
		refs = "002c ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0030 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0034 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 49 09 4B 19 60 0B 68 5B 68 5A 18 06 4B 1B 68 D3 63 0B 68 5B 68 5A 18 53 69 43 F0 02 03 53 61 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_181_1 {
	meta:
		name = "??__Einit_ushcerr@std@@YAXXZ"
		size = 56
		refs = "002c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0030 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0034 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 49 09 4B 19 60 0B 68 5B 68 5A 18 06 4B 1B 68 D3 63 0B 68 5B 68 5A 18 53 69 43 F0 02 03 53 61 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_181_1 {
	meta:
		name = "??__Einit_wcerr@std@@YAXXZ"
		size = 56
		refs = "002c ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0030 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0034 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 49 09 4B 19 60 0B 68 5B 68 5A 18 06 4B 1B 68 D3 63 0B 68 5B 68 5A 18 53 69 43 F0 02 03 53 61 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_375_1 {
	meta:
		name = "?setf@ios_base@std@@QAAHH@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 8B B2 13 43 43 61 10 46 BD E8 00 88 }
	condition:
		$1
}

rule file_65_8_1 {
	meta:
		name = "??_G_Condition_variable@details@Concurrency@@QAAPAXI@Z"
		size = 36
		refs = "000c ??1_Condition_variable@details@Concurrency@@QAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 24 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_65_15_1 {
	meta:
		name = "?create_stl_condition_variable@details@Concurrency@@YAXPAVstl_condition_variable_interface@12@@Z"
		size = 108
		refs = "0048 ??0_Condition_variable@details@Concurrency@@QAA@XZ 0058 ??_7stl_condition_variable_concrt@details@Concurrency@@6B@ 005c __imp_InitializeConditionVariable 0060 ??_7stl_condition_variable_win7@details@Concurrency@@6B@ 0064 ??_7stl_condition_variable_vista@details@Concurrency@@6B@ 0068 ?__stl_sync_api_impl_mode@@3W4__stl_sync_api_modes_enum@@A"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 6F F0 01 03 38 62 C7 E9 02 33 13 4B 1B 68 00 2B 0E DB 01 2B 04 DD 02 2B 0A D1 80 B1 0E 4B 01 E0 68 B1 0B 4B 40 F8 04 3B 09 4B 1B 68 98 47 06 E0 38 60 20 B1 05 4B 40 F8 04 3B ?? ?? ?? ?? 05 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_20_1 {
	meta:
		name = "?do_signal@@YAHPAU_Cnd_internal_imp_t@@H@Z"
		size = 36
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 09 B1 DC 68 00 E0 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_65_21_1 {
	meta:
		name = "?do_wait@@YAHPAU_Cnd_internal_imp_t@@PAU_Mtx_internal_imp_t@@PBUxtime@@@Z"
		size = 146
		refs = "0008 __security_push_cookie 0018 _Mtx_getconcrtcs 0026 _Mtx_clear_owner 0032 _guard_check_icall 0042 xtime_get 0050 _Xtime_diff_to_millis2 0082 _Mtx_reset_owner 008a __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 84 B0 81 46 08 46 90 46 0E 46 00 27 ?? ?? ?? ?? 82 46 B8 F1 00 0F 0C D1 30 46 ?? ?? ?? ?? D9 F8 00 30 1C 68 20 46 ?? ?? ?? ?? 48 46 51 46 A0 47 20 E0 68 46 01 21 ?? ?? ?? ?? 30 46 ?? ?? ?? ?? 69 46 40 46 ?? ?? ?? ?? D9 F8 00 30 05 46 5C 68 20 46 ?? ?? ?? ?? 48 46 51 46 2A 46 A0 47 48 B9 68 46 01 21 ?? ?? ?? ?? 69 46 40 46 ?? ?? ?? ?? 00 B9 02 27 30 46 ?? ?? ?? ?? 38 46 04 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_65_32_1 {
	meta:
		name = "?wait@stl_condition_variable_vista@details@Concurrency@@UAAXPAVstl_critical_section_interface@23@@Z"
		size = 36
		refs = "001a terminate 0020 __imp_SleepConditionVariableCS"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4B 6F F0 00 02 09 1D 1B 68 00 1D 98 47 08 B1 BD E8 00 88 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_33_1 {
	meta:
		name = "?wait@stl_condition_variable_win7@details@Concurrency@@UAAXPAVstl_critical_section_interface@23@@Z"
		size = 40
		refs = "001c terminate 0024 __imp_SleepConditionVariableSRW"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 06 4C 00 23 DA 43 24 68 09 1D 00 1D A0 47 08 B1 BD E8 18 88 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_35_1 {
	meta:
		name = "?wait_for@stl_condition_variable_vista@details@Concurrency@@UAA_NPAVstl_critical_section_interface@23@I@Z"
		size = 32
		refs = "001c __imp_SleepConditionVariableCS"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 09 1D 00 1D 1B 68 98 47 08 B1 01 20 00 E0 00 20 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_36_1 {
	meta:
		name = "?wait_for@stl_condition_variable_win7@details@Concurrency@@UAA_NPAVstl_critical_section_interface@23@I@Z"
		size = 36
		refs = "0020 __imp_SleepConditionVariableSRW"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4C 00 23 09 1D 24 68 00 1D A0 47 08 B1 01 20 00 E0 00 20 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_37_1 {
	meta:
		name = "_Cnd_broadcast"
		size = 30
		refs = "0010 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_65_38_1 {
	meta:
		name = "_Cnd_destroy"
		size = 36
		refs = "0012 _guard_check_icall 001c _free_base"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 4D B1 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 28 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_65_40_1 {
	meta:
		name = "_Cnd_init"
		size = 44
		refs = "0012 _calloc_base 0020 ?create_stl_condition_variable@details@Concurrency@@YAXPAVstl_condition_variable_interface@12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 00 23 01 20 28 21 2B 60 ?? ?? ?? ?? 04 46 0C B9 01 20 04 E0 20 46 ?? ?? ?? ?? 2C 60 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_65_42_1 {
	meta:
		name = "_Cnd_signal"
		size = 30
		refs = "0010 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_67_1_1 {
	meta:
		name = "_Thrd_create"
		size = 132
		refs = "0016 _Cnd_init 001e _Mtx_init 0034 _Mtx_lock 0048 _beginthreadex 005c _Cnd_wait 0068 _Mtx_unlock 006e _Cnd_destroy 0074 _Mtx_destroy 0080 run"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8B B0 06 46 00 23 04 A8 03 93 15 46 0C 46 ?? ?? ?? ?? 02 A8 01 21 ?? ?? ?? ?? 04 AB CD E9 07 53 02 AB 02 98 09 93 03 AB 0A 93 06 94 ?? ?? ?? ?? 33 1D 01 93 10 4A 00 23 00 93 06 AB 00 21 00 20 ?? ?? ?? ?? 30 60 08 B9 04 24 08 E0 00 24 03 E0 02 99 04 98 ?? ?? ?? ?? 03 9B 00 2B F8 D0 02 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 20 46 0B B0 BD E8 70 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_2_1 {
	meta:
		name = "_Thrd_current"
		size = 108
		refs = "0058 __imp_GetCurrentThreadId 005c __imp_CloseHandle 0060 __imp_DuplicateHandle 0064 __imp_GetCurrentProcess 0068 __imp_GetCurrentThread"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 16 4B 06 46 1B 68 98 47 15 4B 05 46 1B 68 98 47 12 4B 04 46 1B 68 98 47 21 46 0F 4C 01 23 01 93 24 68 02 23 00 27 00 93 33 46 2A 46 02 97 A0 47 20 B1 08 4B 30 68 1B 68 98 47 00 E0 37 60 04 4B 1B 68 98 47 70 60 30 46 04 B0 BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_3_1 {
	meta:
		name = "_Thrd_detach"
		size = 36
		refs = "0020 __imp_CloseHandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 05 4B 02 90 1B 68 98 47 08 B9 04 20 00 E0 00 20 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_4_1 {
	meta:
		name = "_Thrd_equal"
		size = 26
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 99 42 08 BF 01 20 18 BF 00 20 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_67_6_1 {
	meta:
		name = "_Thrd_hardware_concurrency"
		size = 28
		refs = "0018 __imp_GetNativeSystemInfo"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 03 4B 68 46 1B 68 98 47 05 98 0A B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_8_1 {
	meta:
		name = "_Thrd_join"
		size = 84
		refs = "0048 __imp_CloseHandle 004c __imp_GetExitCodeThread 0050 __imp_WaitForSingleObjectEx"
	strings:
		$1 = { 0F B4 2D E9 18 48 0D F1 08 0B 11 4B 14 46 04 90 1B 68 00 22 D1 43 98 47 10 F1 01 0F 0F D0 0B 4B 04 98 69 46 1B 68 98 47 48 B1 0C B1 00 9B 23 60 05 4B 04 98 1B 68 98 47 08 B1 00 20 00 E0 04 20 BD E8 18 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_9_1 {
	meta:
		name = "_Thrd_sleep"
		size = 96
		refs = "0008 __security_push_cookie 0014 xtime_get 001e _Xtime_diff_to_millis2 0052 __security_pop_cookie 005c __imp_Sleep"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 85 B0 04 46 68 46 01 21 ?? ?? ?? ?? 10 4D 69 46 20 46 ?? ?? ?? ?? 2B 68 98 47 01 21 68 46 ?? ?? ?? ?? D4 E9 00 31 DD E9 00 20 88 42 EF DB 01 DC 9A 42 EC D3 9A 42 05 D1 88 42 03 D1 A2 68 02 9B 93 42 E4 DB 05 B0 ?? ?? ?? ?? BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_10_1 {
	meta:
		name = "_Thrd_start"
		size = 42
		refs = "0018 _beginthreadex"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 13 46 04 46 0A 46 21 1D 01 91 00 21 00 20 00 91 ?? ?? ?? ?? 20 60 08 B9 04 20 00 E0 00 20 BD E8 1E 88 }
	condition:
		$1
}

rule file_67_11_1 {
	meta:
		name = "_Thrd_yield"
		size = 24
		refs = "0014 __imp_Sleep"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 20 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_12_1 {
	meta:
		name = "run"
		size = 78
		refs = "001c _Mtx_lock 002a _Cnd_signal 0030 _Mtx_unlock 0038 _guard_check_icall 0042 _Cnd_do_broadcast_at_thread_exit"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 90 E8 1E 00 6D 46 85 E8 1E 00 03 69 2B 61 03 9C 20 68 ?? ?? ?? ?? 04 9B 01 22 1A 60 02 9B 18 68 ?? ?? ?? ?? 20 68 ?? ?? ?? ?? 00 9C 20 46 ?? ?? ?? ?? 01 98 A0 47 04 46 ?? ?? ?? ?? 20 46 06 B0 BD E8 30 88 }
	condition:
		$1
}

rule file_68_0_1 {
	meta:
		name = "_Query_perf_counter"
		size = 28
		refs = "0018 __imp_QueryPerformanceCounter"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 03 4B 68 46 1B 68 98 47 DD E9 00 01 BD E8 0C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_1_1 {
	meta:
		name = "_Query_perf_frequency"
		size = 28
		refs = "0018 __imp_QueryPerformanceFrequency"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 03 4B 68 46 1B 68 98 47 DD E9 00 01 BD E8 0C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_2_1 {
	meta:
		name = "_Xtime_diff_to_millis"
		size = 42
		refs = "0008 __security_push_cookie 0014 xtime_get 001c _Xtime_diff_to_millis2 0022 __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 84 B0 04 46 68 46 01 21 ?? ?? ?? ?? 69 46 20 46 ?? ?? ?? ?? 04 B0 ?? ?? ?? ?? BD E8 10 88 }
	condition:
		$1
}

rule file_68_3_1 {
	meta:
		name = "_Xtime_diff_to_millis2"
		size = 156
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 6E 46 3C C8 3C C6 22 4E DD E9 01 40 00 9D 00 28 08 DA 6D 1E 64 F1 00 04 30 44 F8 E7 6D 1C 44 F1 00 04 80 1B B0 42 F9 DA D1 E9 01 27 0B 68 B8 42 08 DA EB 1A 64 EB 02 02 5D 1E 62 F1 00 01 C3 1B 9A 19 03 E0 ED 1A 64 EB 02 01 C2 1B 00 29 07 DB 01 DC 00 2D 04 D3 55 EA 01 03 05 D1 00 2A 03 DC 00 23 00 25 01 93 00 22 08 4B D1 18 06 4B 81 FB 03 32 93 14 03 EB D3 72 4F F4 7A 73 05 FB 03 20 04 B0 BD E8 F0 88 FE DE 83 DE 1B 43 3F 42 0F 00 00 CA 9A 3B }
	condition:
		$1
}

rule file_68_4_1 {
	meta:
		name = "_Xtime_get_ticks"
		size = 48
		refs = "002c __imp_GetSystemTimePreciseAsFileTime"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 08 4B 68 46 1B 68 98 47 05 4A DD E9 00 34 03 49 98 1A 64 EB 01 01 03 B0 BD E8 10 88 DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_5_1 {
	meta:
		name = "sys_get_time"
		size = 48
		refs = "000a _Xtime_get_ticks 0016 __rt_udiv64"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 02 46 06 48 0B 46 00 21 ?? ?? ?? ?? 01 93 64 23 02 FB 03 F3 C4 E9 00 01 A3 60 BD E8 1E 88 80 96 98 00 }
	condition:
		$1
}

rule file_68_6_1 {
	meta:
		name = "xtime_diff"
		size = 168
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 78 C9 96 46 07 46 87 E8 78 00 B8 68 23 4C 00 28 0A DA D7 E9 00 31 5B 1E 61 F1 00 01 20 44 00 28 C7 E9 00 31 F5 DB B8 60 B9 68 A1 42 0A DB D7 E9 00 32 5B 1C 42 F1 00 02 09 1B A1 42 C7 E9 00 32 F5 DA B9 60 D7 E9 01 05 DE E9 01 26 39 68 DE F8 00 30 B5 42 09 DA CB 1A 60 EB 02 02 5B 1E 62 F1 00 02 3B 60 AB 1B 23 44 04 E0 CB 1A 60 EB 02 02 3B 60 AB 1B C7 E9 01 23 3B 68 00 2A 07 DB 01 DC 00 2B 04 D3 13 43 06 D1 BB 68 00 2B 03 DC 00 23 C7 E9 00 33 BB 60 38 46 BD E8 F0 88 00 CA 9A 3B }
	condition:
		$1
}

rule file_68_7_1 {
	meta:
		name = "xtime_get"
		size = 64
		refs = "0012 _Xtime_get_ticks 001e __rt_udiv64"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 0C 46 01 2C 05 46 10 D1 7D B1 ?? ?? ?? ?? 02 46 08 48 0B 46 00 21 ?? ?? ?? ?? 01 93 64 23 02 FB 03 F3 C5 E9 00 01 AB 60 00 E0 00 24 20 46 BD E8 3C 88 FE DE 80 96 98 00 }
	condition:
		$1
}

rule file_68_8_1 {
	meta:
		name = "xtime_normalize"
		size = 76
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 81 68 0F 4C 00 29 0A DA D0 E9 00 32 5B 1E 62 F1 00 02 21 44 00 29 C0 E9 00 32 F5 DB 81 60 81 68 A1 42 0A DB D0 E9 00 32 5B 1C 42 F1 00 02 09 1B A1 42 C0 E9 00 32 F5 DA 81 60 BD E8 18 88 FE DE 00 CA 9A 3B }
	condition:
		$1
}

rule file_72_0_1 {
	meta:
		name = "_FDtest"
		size = 66
	strings:
		$1 = { 2D E9 00 48 EB 46 43 88 03 F4 FF 42 B2 F5 FF 4F 08 D1 13 F0 7F 0F 03 D1 03 88 0B B9 01 20 0E E0 02 20 0C E0 33 F4 00 43 03 D1 03 88 0B B9 00 20 05 E0 12 B9 6F F0 01 00 01 E0 6F F0 00 00 BD E8 00 88 }
	condition:
		$1
}

rule file_73_0_1 {
	meta:
		name = "_WStoflt"
		size = 612
		refs = "0008 __security_push_cookie 004e iswctype 0086 localeconv 0090 btowc 0252 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 92 B0 1C 9C 1E 46 0D 46 04 EB C4 07 2D 2F C8 BF 2D 27 00 23 C6 E9 00 33 2C 88 CD E9 02 62 CD E9 00 35 30 2C 04 90 99 46 08 D1 4F F0 01 09 CD F8 00 90 AD 1C 2B 88 30 2B FB D0 01 95 28 88 04 21 00 24 ?? ?? ?? ?? C0 B1 4F F0 01 09 CD F8 00 90 0D F1 18 08 BC 42 05 DC 2B 88 30 3B 04 F8 08 30 64 1C 02 E0 33 68 5B 1C 33 60 AD 1C 28 88 04 21 ?? ?? ?? ?? 00 28 ED D1 01 95 ?? ?? ?? ?? 03 68 93 F9 00 00 ?? ?? ?? ?? 2B 88 83 42 01 D1 AD 1C 01 95 74 B9 2B 88 30 2B 0B D1 4F F0 01 09 CD F8 00 90 33 68 AD 1C 5B 1E 33 60 2B 88 30 2B F8 D0 01 95 28 88 04 21 ?? ?? ?? ?? B8 B1 4F F0 01 09 CD F8 00 90 0D F1 18 08 BC 42 07 DC 2B 88 30 3B 04 F8 08 30 33 68 64 1C 5B 1E 33 60 AD 1C 28 88 04 21 ?? ?? ?? ?? 00 28 EE D1 01 95 A7 42 0D DA 06 AB FA 18 FB 56 05 2B 04 DB 12 F8 01 3C 5B 1C 02 F8 01 3C 33 68 3C 46 5B 1C 33 60 00 2C 0B DD 06 AA A3 18 13 F9 01 3C 2B B9 33 68 64 1E 5B 1C 33 60 00 2C F5 DC 00 2C 03 D1 01 24 00 23 8D F8 18 30 B9 F1 00 0F 7C D0 46 48 4F F0 00 0E 84 FB 00 32 53 10 03 EB D3 73 5B 1C 03 EB C3 03 19 1B 81 FB 00 32 53 10 03 EB D3 73 03 EB C3 03 CB 1A 08 BF 00 27 18 BF 01 27 00 2C 28 DD 06 AB 39 4D A1 EB 03 0A 06 EB 87 00 0D F1 18 09 0E EB 09 08 0A EB 08 01 81 FB 05 32 53 10 03 EB D3 73 03 EB C3 03 CB 1A 05 D1 7F 1C 98 F9 00 30 06 EB 87 00 06 E0 03 68 03 EB 83 02 98 F9 00 30 03 EB 42 03 0E F1 01 0E A6 45 03 60 E0 DB DD E9 00 95 2B 88 65 2B 01 D0 45 2B 35 D1 00 95 35 F8 02 8F B8 F1 2B 0F 05 D0 B8 F1 2D 0F 02 D0 4F F0 2B 08 00 E0 AD 1C 28 88 04 21 4F F0 00 0A 00 24 ?? ?? ?? ?? 98 B1 17 4E 4F F0 01 0A B4 42 06 DA 2B 88 04 EB 84 02 03 EB 42 03 A3 F1 30 04 AD 1C 28 88 04 21 ?? ?? ?? ?? 00 28 EF D1 02 9E 33 68 B8 F1 2D 0F 08 BF 64 42 23 44 33 60 BA F1 00 0F 02 D1 00 9D 00 E0 00 27 03 9B 23 B1 B9 F1 00 0F 00 D1 04 9D 1D 60 38 46 12 B0 ?? ?? ?? ?? BD E8 F0 8F FE DE 00 E1 F5 05 39 8E E3 38 }
	condition:
		$1
}

rule file_74_0_1 {
	meta:
		name = "_WStoxflt"
		size = 648
		refs = "0008 __security_push_cookie 0098 localeconv 0218 iswctype 0272 __security_pop_cookie 0284 ?digits@?1??_WStoxflt@@9@9"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 1A 9C 1E 46 0D 46 C4 EB C4 07 23 2F C8 BF 23 27 00 23 C6 E9 00 33 2C 88 CD E9 02 62 CD E9 00 35 30 2C 04 90 99 46 08 D1 4F F0 01 09 CD F8 00 90 AD 1C 2B 88 30 2B FB D0 01 95 DF F8 38 82 00 24 0D F1 18 0E 28 88 16 21 42 46 32 F8 02 3B 83 42 03 D0 49 1E F9 D1 00 23 00 E0 93 1E 9B B1 BC 42 0A DC A3 EB 08 03 5A 10 43 46 30 33 33 F8 12 30 04 F8 0E 30 64 1C 02 E0 33 68 5B 1C 33 60 AD 1C 4F F0 01 09 DE E7 CD E9 00 95 ?? ?? ?? ?? 03 68 93 F9 00 20 2B 88 93 42 01 D1 AD 1C 01 95 74 B9 2B 88 30 2B 0B D1 4F F0 01 09 CD F8 00 90 33 68 AD 1C 5B 1E 33 60 2B 88 30 2B F8 D0 01 95 0D F1 18 0E 28 88 16 21 42 46 32 F8 02 3B 83 42 03 D0 49 1E F9 D1 00 23 00 E0 93 1E 93 B1 BC 42 0C DC A3 EB 08 03 5A 10 43 46 30 33 33 F8 12 30 04 F8 0E 30 33 68 64 1C 5B 1E 33 60 AD 1C 4F F0 01 09 DF E7 CD E9 00 95 A7 42 0D DA 06 AB FA 18 FB 56 08 2B 04 DB 12 F8 01 3C 5B 1C 02 F8 01 3C 33 68 3C 46 5B 1C 33 60 00 2C 0B DD 06 AA A3 18 13 F9 01 3C 2B B9 33 68 64 1E 5B 1C 33 60 00 2C F5 DC 00 2C 03 D1 01 24 00 23 8D F8 18 30 33 68 9B 00 33 60 B9 F1 00 0F 7B D0 46 48 4F F0 00 0E 84 FB 00 32 13 19 9B 10 03 EB D3 73 5B 1C C3 EB C3 03 19 1B 81 FB 00 32 53 18 9B 10 03 EB D3 73 C3 EB C3 03 CB 1A 08 BF 00 27 18 BF 01 27 00 2C 25 DD 06 AB 37 4D A1 EB 03 0A 06 EB 87 00 0D F1 18 09 0E EB 09 08 0A EB 08 01 81 FB 05 32 53 18 9B 10 03 EB D3 73 C3 EB C3 03 CB 1A 98 F9 00 30 03 D1 7F 1C 06 EB 87 00 02 E0 02 68 03 EB 02 13 0E F1 01 0E A6 45 03 60 E3 DB DD E9 00 95 2B 88 70 2B 01 D0 50 2B 35 D1 00 95 35 F8 02 8F B8 F1 2B 0F 05 D0 B8 F1 2D 0F 02 D0 4F F0 2B 08 00 E0 AD 1C 28 88 04 21 4F F0 00 0A 00 24 ?? ?? ?? ?? 98 B1 17 4E 4F F0 01 0A B4 42 06 DA 2B 88 04 EB 84 02 03 EB 42 03 A3 F1 30 04 AD 1C 28 88 04 21 ?? ?? ?? ?? 00 28 EF D1 02 9E 33 68 B8 F1 2D 0F 08 BF 64 42 23 44 33 60 BA F1 00 0F 02 D1 00 9D 00 E0 00 27 03 9B 23 B1 B9 F1 00 0F 00 D1 04 9D 1D 60 38 46 10 B0 ?? ?? ?? ?? BD E8 F0 8F FE DE 00 E1 F5 05 93 24 49 92 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_1_1 {
	meta:
		name = "wmemchr"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 2A B1 30 F8 02 3B 8B 42 04 D0 52 1E F9 D1 00 20 BD E8 00 88 80 1E FB E7 }
	condition:
		$1
}

rule file_75_0_1 {
	meta:
		name = "_Getwctype"
		size = 48
		refs = "002c __imp_GetStringTypeW"
	strings:
		$1 = { 03 B4 2D E9 18 48 0D F1 08 0B 08 4C 6B 46 01 22 24 68 04 A9 01 20 A0 47 08 B9 00 20 01 E0 BD F9 00 00 BD E8 18 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_1_1 {
	meta:
		name = "_Getwctypes"
		size = 36
		refs = "0020 __imp_GetStringTypeW"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 4C 0D 46 13 46 24 68 2A 1A 52 10 01 46 01 20 A0 47 28 46 BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_3_1 {
	meta:
		name = "?_Addstd@ios_base@std@@SAXPAV12@@Z"
		size = 72
		refs = "000e ??0_Lockit@std@@QAA@H@Z 003c ??1_Lockit@std@@QAA@XZ 0044 ?stdstr@std@@3PAPAVios_base@1@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 68 46 02 21 ?? ?? ?? ?? 01 23 0B 49 A3 60 A2 68 51 F8 22 30 2B B1 A3 42 03 D0 53 1C A3 60 08 2B F5 D3 A2 68 41 F8 22 40 28 31 53 5C 5B 1C 68 46 53 54 ?? ?? ?? ?? BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_4_1 {
	meta:
		name = "?_Callfns@ios_base@std@@AAAXW4event@12@@Z"
		size = 44
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 07 46 FE 6A 88 46 09 E0 D6 E9 01 45 28 46 ?? ?? ?? ?? 40 46 39 46 22 46 A8 47 36 68 00 2E F3 D1 BD E8 F8 89 }
	condition:
		$1
}

rule file_77_5_1 {
	meta:
		name = "?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z"
		size = 104
		refs = "0028 ?_Tidy@ios_base@std@@AAAXXZ 003a _guard_check_icall 005a ??3@YAXPAXI@Z 0064 ?stdopens@std@@3PADA"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 6F F0 01 03 04 46 C7 E9 00 33 A1 68 31 B1 12 4A 8B 56 5B 1E 5B B2 8B 54 00 2B 1B DC 20 46 ?? ?? ?? ?? 25 6B B5 B1 6E 68 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 08 21 28 46 ?? ?? ?? ?? BD E8 FC 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_7_1 {
	meta:
		name = "?_Tidy@ios_base@std@@AAAXXZ"
		size = 84
		refs = "0014 _guard_check_icall 002e ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 06 46 F7 6A 09 E0 D7 E9 01 45 28 46 ?? ?? ?? ?? 00 20 31 46 22 46 A8 47 3F 68 00 2F F3 D1 B0 6A 30 B1 04 68 10 21 ?? ?? ?? ?? 20 46 00 2C F8 D1 F0 6A 00 25 B5 62 30 B1 04 68 0C 21 ?? ?? ?? ?? 20 46 00 2C F8 D1 F5 62 BD E8 F0 88 }
	condition:
		$1
}

rule file_79_73_1 {
	meta:
		name = "?_FilesysOpenFile@v1@filesystem@experimental@std@@YAPAXPB_WKK@Z"
		size = 40
		refs = "0024 __imp_CreateFileW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 06 4C 00 23 02 93 03 23 24 68 00 93 00 23 01 92 07 22 A0 47 05 B0 BD E8 10 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_74_1 {
	meta:
		name = "?_Filesys_code_page@v1@filesystem@experimental@std@@YAIXZ"
		size = 28
		refs = "0018 __imp_AreFileApisANSI"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 1B 68 98 47 08 B1 00 20 00 E0 01 20 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_87_1 {
	meta:
		name = "?_Map_mode@v1@filesystem@experimental@std@@YA?AW4file_type@1234@H@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 10 F0 10 0F 18 BF 02 20 06 D1 47 F6 A7 33 18 42 18 BF 01 20 08 BF 08 20 BD E8 00 88 }
	condition:
		$1
}

rule file_79_98_1 {
	meta:
		name = "?_Strcpy@v1@filesystem@experimental@std@@YAPA_WAAY0BAE@_WPB_W@Z"
		size = 26
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0A 46 4F F4 82 71 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_79_110_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
		size = 166
		refs = "0048 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 0062 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0080 memcpy 00a0 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0F 46 15 46 04 46 FF B1 A0 69 08 28 01 D3 63 68 00 E0 23 1D 9F 42 17 D3 08 28 01 D3 62 68 00 E0 22 1D 63 69 02 EB 43 03 BB 42 0D D9 08 28 01 D3 63 68 00 E0 23 1D FB 1A 5A 10 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 23 E0 62 69 D3 43 AB 42 22 D9 56 19 ED B1 00 22 31 46 20 46 ?? ?? ?? ?? B8 B1 A3 69 08 2B 01 D3 61 68 00 E0 21 1D 35 B1 63 69 6A 00 01 EB 43 00 39 46 ?? ?? ?? ?? A3 69 08 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 23 F8 16 20 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_79_115_1 {
	meta:
		name = "?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WXZ"
		size = 84
		refs = "000c ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0014 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z 0046 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 69 46 ?? ?? ?? ?? 04 A9 01 22 ?? ?? ?? ?? 84 68 A4 B1 03 68 B3 B1 1A 68 A2 B1 93 69 08 2B 01 D3 51 68 00 E0 11 1D A1 42 0A D8 53 69 01 EB 43 03 9C 42 05 D2 80 68 07 B0 BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_79_134_1 {
	meta:
		name = "_Chmod"
		size = 88
		refs = "0008 __security_push_cookie 0046 __security_pop_cookie 0050 __imp_SetFileAttributesW 0054 __imp_GetFileAttributesExW"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 89 B0 11 4B 0C 46 6A 46 1B 68 00 21 05 46 98 47 80 B1 00 9B 14 F0 92 0F 23 F0 01 01 01 D1 41 F0 01 01 99 42 04 D0 07 4B 28 46 1B 68 98 47 08 B1 00 20 01 E0 6F F0 00 00 09 B0 ?? ?? ?? ?? BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_136_1 {
	meta:
		name = "_Copy_file"
		size = 40
		refs = "0020 __imp_GetLastError 0024 __imp_CopyFileW"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4B 00 22 1B 68 98 47 08 B1 00 20 02 E0 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_137_1 {
	meta:
		name = "_Current_get"
		size = 48
		refs = "0010 wcscpy_s 001a _wgetcwd 002c ??_C@_11LOCGONAA@?$AA?$AA@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4A 4F F4 82 71 04 46 ?? ?? ?? ?? 4F F4 82 71 20 46 ?? ?? ?? ?? 08 B1 01 20 00 E0 00 20 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_138_1 {
	meta:
		name = "_Current_set"
		size = 22
		refs = "0006 _wchdir"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 08 B9 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_79_139_1 {
	meta:
		name = "_Equivalent"
		size = 224
		refs = "0008 __security_push_cookie 0018 memset 00aa __security_pop_cookie 00d4 __imp_CloseHandle 00d8 __imp_GetFileInformationByHandle 00dc __imp_CreateFileW"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A0 B0 89 46 04 46 04 A8 00 21 34 22 ?? ?? ?? ?? 12 A8 34 22 00 21 ?? ?? ?? ?? 20 46 2C 4C 03 23 00 26 24 68 4F F0 00 78 00 93 00 23 07 22 80 21 00 27 B2 46 02 96 CD F8 04 80 A0 47 04 46 F5 43 AC 42 0B D0 21 4B 04 A9 1B 68 98 47 08 B1 01 27 00 E0 00 27 1C 4B 20 46 1B 68 98 47 1C 4C 03 23 00 93 24 68 00 23 07 22 80 21 48 46 CD F8 08 A0 CD F8 04 80 A0 47 04 46 AC 42 0B D0 13 4B 12 A9 1B 68 98 47 08 B1 01 26 00 E0 00 26 0E 4B 20 46 1B 68 98 47 3F B9 06 B1 00 25 28 46 20 B0 ?? ?? ?? ?? BD E8 F0 8F 00 2E F6 D0 0B 9A 19 9B 9A 42 F2 D1 0F 9A 1D 9B 9A 42 EE D1 10 9A 1E 9B 9A 42 EA D1 01 25 E9 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_140_1 {
	meta:
		name = "_File_size"
		size = 52
		refs = "0006 __security_push_cookie 0026 __security_pop_cookie 0030 __imp_GetFileAttributesExW"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 08 4B 6A 46 00 21 1B 68 98 47 18 B9 6F F0 00 00 01 46 01 E0 DD E9 07 10 09 B0 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_141_1 {
	meta:
		name = "_Hard_links"
		size = 120
		refs = "0008 __security_push_cookie 0030 memset 0064 __security_pop_cookie 006c __imp_CloseHandle 0070 __imp_GetFileInformationByHandle 0074 __imp_CreateFileW"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 92 B0 00 23 18 4C 02 93 4F F0 00 73 01 93 24 68 03 23 00 93 00 23 07 22 80 21 A0 47 06 46 04 A8 34 22 00 21 ?? ?? ?? ?? 6F F0 00 04 A6 42 10 D0 0C 4B 04 A9 30 46 1B 68 98 47 08 B1 01 25 00 E0 00 25 07 4B 30 46 1B 68 98 47 15 B1 0E 9C 00 21 00 E0 21 46 20 46 12 B0 ?? ?? ?? ?? BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_142_1 {
	meta:
		name = "_Last_write_time"
		size = 72
		refs = "0008 __security_push_cookie 0032 __security_pop_cookie 0044 __imp_GetFileAttributesExW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 8A B0 0D 4B 6A 46 00 21 1B 68 98 47 18 B9 6F F0 00 00 01 46 06 E0 07 49 DD E9 05 32 04 4C 58 18 42 EB 04 01 0A B0 ?? ?? ?? ?? BD E8 10 88 FE DE 21 4E 62 FE 00 80 C1 2A ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_143_1 {
	meta:
		name = "_Link"
		size = 44
		refs = "0024 __imp_GetLastError 0028 __imp_CreateHardLinkW"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 46 01 46 18 46 06 4B 00 22 1B 68 98 47 08 B1 00 20 02 E0 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_154_1 {
	meta:
		name = "_Symlink"
		size = 44
		refs = "0024 __imp_GetLastError 0028 __imp_CreateSymbolicLinkW"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 46 01 46 18 46 06 4B 00 22 1B 68 98 47 08 B1 00 20 02 E0 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_145_1 {
	meta:
		name = "_Make_dir"
		size = 48
		refs = "0028 __imp_GetLastError 002c __imp_CreateDirectoryW"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 4B 00 21 1B 68 98 47 08 B1 01 20 07 E0 04 4B 1B 68 98 47 B7 28 6F F0 00 00 08 BF 00 20 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_146_1 {
	meta:
		name = "_Open_dir"
		size = 248
		refs = "0008 __security_push_cookie 0018 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z 0026 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 0082 _Read_dir 009e wcscpy_s 00c6 ??3@YAXPAX@Z 00e2 __security_pop_cookie 00ec __imp_FindClose 00f0 __imp_FindFirstFileExW 00f4 ??_C@_15PKPONJIK@?$AA?2?$AA?$CK?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? AD F5 1E 7D 05 46 02 A8 1F 46 16 46 ?? ?? ?? ?? 07 99 21 B1 34 49 02 A8 02 22 ?? ?? ?? ?? 08 99 08 29 01 D3 03 98 00 E0 03 A8 2E 4C 4F F0 00 08 00 23 24 68 0A AA 00 21 CD F8 04 80 CD F8 00 80 A0 47 04 46 B0 F1 FF 3F 04 D1 A1 23 33 60 A5 F8 00 80 18 E0 BD F8 54 30 C6 F8 00 80 2E 2B 14 D1 BD F8 56 30 23 B1 2E 2B 0F D1 BD F8 58 30 63 B9 3A 46 21 46 28 46 ?? ?? ?? ?? 2B 88 CB B9 18 4B 20 46 1B 68 98 47 00 24 13 E0 15 AA 4F F4 82 71 28 46 ?? ?? ?? ?? 0A 9A 12 F0 10 0F 18 BF 02 23 06 D1 47 F6 A7 33 1A 42 18 BF 01 23 08 BF 08 23 3B 60 08 9B 08 2B 02 D3 03 98 ?? ?? ?? ?? 07 23 02 98 08 93 00 23 07 93 AD F8 0C 30 ?? ?? ?? ?? 20 46 0D F5 1E 7D ?? ?? ?? ?? BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_147_1 {
	meta:
		name = "_Read_dir"
		size = 140
		refs = "0008 __security_push_cookie 0054 wcscpy_s 005e __security_pop_cookie 0084 ??_C@_11LOCGONAA@?$AA?$AA@ 0088 __imp_FindNextFileW"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? AD F5 15 7D 1D 4B 0F 46 04 46 1B 68 69 46 38 46 16 46 98 47 90 B1 19 4D BD F8 2C 30 2E 2B 1C D1 BD F8 2E 30 23 B1 2E 2B 17 D1 BD F8 30 30 A3 B9 2B 68 69 46 38 46 98 47 00 28 ED D1 0E 4A 08 23 4F F4 82 71 20 46 33 60 ?? ?? ?? ?? 20 46 0D F5 15 7D ?? ?? ?? ?? BD E8 F0 88 00 9A 12 F0 10 0F 01 D0 02 23 06 E0 47 F6 A7 33 1A 42 01 D0 01 23 00 E0 08 23 0B AA E3 E7 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_149_1 {
	meta:
		name = "_Rename"
		size = 32
		refs = "0006 _wrename 001c __imp_GetLastError"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 08 B9 00 20 02 E0 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_159_1 {
	meta:
		name = "_Unlink"
		size = 32
		refs = "0006 _wremove 001c __imp_GetLastError"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 08 B9 00 20 02 E0 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_150_1 {
	meta:
		name = "_Resize"
		size = 136
		refs = "0070 __imp_GetLastError 0074 __imp_CloseHandle 0078 __imp_SetEndOfFile 007c __imp_SetFilePointerEx 0084 __imp_CreateFileW"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 1E 4C 1E 46 1C 49 24 68 03 23 17 46 4F F0 00 08 00 93 00 23 07 22 CD F8 08 80 CD F8 04 80 A0 47 05 46 B0 F1 FF 3F 18 D0 12 49 3A 46 33 46 09 68 CD F8 04 80 CD F8 00 80 88 47 30 B1 0C 4B 28 46 1B 68 98 47 08 B1 01 24 00 E0 00 24 07 4B 28 46 1B 68 98 47 0C B1 00 20 02 E0 02 4B 1B 68 98 47 05 B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 16 01 12 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_151_1 {
	meta:
		name = "_Set_last_write_time"
		size = 164
		refs = "0008 __security_push_cookie 0082 __security_pop_cookie 008c __imp_CloseHandle 0090 __imp_SetFileInformationByHandle 009c __imp_GetFileInformationByHandleEx 00a0 __imp_CreateFileW"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8E B0 24 4C 1F 46 4F F0 00 71 24 68 03 23 90 46 00 25 01 91 00 93 00 23 07 22 4F F4 80 71 02 95 A0 47 06 46 B0 F1 FF 3F 01 D1 00 25 21 E0 18 4C 28 23 04 AA 24 68 00 21 30 46 A0 47 00 28 30 46 03 D1 0F 4B 1B 68 98 47 EF E7 10 4B 0E 4A 0D 4C 13 EB 08 03 08 93 47 EB 02 03 09 93 24 68 28 23 04 AA 00 21 A0 47 00 B1 01 25 05 4B 30 46 1B 68 98 47 28 46 0E B0 ?? ?? ?? ?? BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_152_1 {
	meta:
		name = "_Stat"
		size = 132
		refs = "0008 __security_push_cookie 0074 __security_pop_cookie 007c __imp_GetLastError 0080 __imp_GetFileAttributesExW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 8A B0 1C 4B 0C 46 6A 46 1B 68 00 21 98 47 B8 B1 00 9A 44 B1 12 F0 01 0F 02 D0 40 F2 6D 13 01 E0 40 F2 FF 13 23 60 12 F0 10 0F 18 BF 02 20 1A D1 47 F6 A7 33 1A 42 18 BF 01 20 14 D1 08 20 12 E0 0B 4B 1B 68 98 47 35 28 0B D0 A1 28 09 D0 02 28 07 D0 0F 28 05 D0 7B 28 03 D0 57 28 01 D0 03 28 EC D1 6F F0 00 00 0A B0 ?? ?? ?? ?? BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_153_1 {
	meta:
		name = "_Statvfs"
		size = 192
		refs = "0008 __security_push_cookie 0022 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z 002c ?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WXZ 0048 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 0096 ??3@YAXPAX@Z 00b0 __security_pop_cookie 00b8 __imp_GetDiskFreeSpaceExW 00bc ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 94 B0 06 46 6F F0 00 03 0C A8 CD E9 00 33 CD E9 02 33 CD E9 04 33 ?? ?? ?? ?? 11 9B 5B B1 0C A8 ?? ?? ?? ?? 03 88 2F 2B 0A D0 0C A8 ?? ?? ?? ?? 03 88 5C 2B 04 D0 1E 49 0C A8 01 22 ?? ?? ?? ?? 12 9B 08 2B 01 D3 0D 98 00 E0 0D A8 17 4C 08 AB 06 AA 24 68 0A A9 A0 47 58 B1 06 9B 00 93 07 9B 01 93 08 9B 02 93 09 9B 03 93 0A 9B 04 93 0B 9B 05 93 6C 46 0F CC 86 E8 0F 00 0C CC 35 46 10 35 0C C5 12 9B 08 2B 02 D3 0D 98 ?? ?? ?? ?? 07 23 0C 98 12 93 00 23 11 93 AD F8 34 30 ?? ?? ?? ?? 30 46 14 B0 ?? ?? ?? ?? BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_156_1 {
	meta:
		name = "_Temp_get"
		size = 72
		refs = "0008 __security_push_cookie 002c wcscpy_s 0036 __security_pop_cookie 0040 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 0044 __imp_GetTempPathW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 02 7D 0C 4B 04 46 69 46 1B 68 4F F4 82 70 98 47 08 B9 07 4A 00 E0 6A 46 4F F4 82 71 20 46 ?? ?? ?? ?? 20 46 0D F5 02 7D ?? ?? ?? ?? BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_157_1 {
	meta:
		name = "_To_byte"
		size = 68
		refs = "003c __imp_WideCharToMultiByte 0040 __imp_AreFileApisANSI"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 0D 4B 0C 46 05 46 1B 68 98 47 08 B1 00 20 00 E0 01 20 00 94 07 4C 00 23 03 93 24 68 02 93 4F F4 82 73 01 93 6F F0 00 03 2A 46 00 21 A0 47 04 B0 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_158_1 {
	meta:
		name = "_To_wide"
		size = 60
		refs = "0034 __imp_MultiByteToWideChar 0038 __imp_AreFileApisANSI"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 0B 4B 0C 46 05 46 1B 68 98 47 08 B1 00 20 00 E0 01 20 00 94 05 4C 4F F4 82 73 01 93 24 68 6F F0 00 03 2A 46 00 21 A0 47 BD E8 3C 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_0_1 {
	meta:
		name = "_Sinh"
		size = 316
		refs = "0018 _Dtest 008e _Poly 00be _Exp 00ee _Feraise 0130 _Xbig 0134 p 0138 _Rteps"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 04 8B 83 B0 68 46 B0 EE 41 9B 8D ED 00 0B ?? ?? ?? ?? 00 28 7C D0 01 28 6D D0 02 28 68 D0 B5 EE 40 9B F1 EE 10 FA 07 D1 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 70 D2 68 E0 9D ED 00 1B B5 EE C0 1B F1 EE 10 FA 05 D2 B1 EE 41 1B 01 24 8D ED 00 1B 00 E0 00 24 36 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 02 D2 21 EE 09 9B 40 E0 B7 EE 00 2B B4 EE C2 1B F1 EE 10 FA 10 D2 21 EE 01 8B 2B 48 05 21 B0 EE 48 0B ?? ?? ?? ?? 9D ED 00 2B 28 EE 02 1B 01 EE 00 2B 22 EE 09 9B 28 E0 22 4B 6F F0 00 01 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0F D2 68 46 B0 EE 42 0B ?? ?? ?? ?? 9D ED 00 1B B5 EE 00 0B 80 EE 01 0B 31 EE 40 0B 20 EE 09 9B 0E E0 68 46 B0 EE 49 0B ?? ?? ?? ?? 18 B1 01 28 04 D1 08 20 00 E0 10 20 ?? ?? ?? ?? 9D ED 00 9B 00 2C 0B E0 9D ED 00 9B 10 E0 B5 EE 40 9B F1 EE 10 FA F7 D1 BD F8 06 30 13 F4 00 4F 06 D0 B1 EE 49 9B 03 E0 9D ED 00 2B 22 EE 09 9B B0 EE 49 0B 03 B0 BD EC 04 8B BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_0_1 {
	meta:
		name = "_LExp"
		size = 384
		refs = "00fe _LDscale 0158 _LEps 016c _LInf"
	strings:
		$1 = { 2D E9 00 48 EB 46 9F ED 5C 2B 90 ED 00 4B B0 EE 40 6B B4 EE C2 4B F1 EE 10 FA 74 D3 B5 EE 40 0B F1 EE 10 FA 6F D0 9F ED 52 2B B4 EE C4 2B F1 EE 10 FA 04 D2 4D 4B 01 22 93 ED 00 0B 66 E0 9F ED 49 0B 24 EE 00 1B B5 EE C0 1B F1 EE 10 FA 02 D2 BE EE 00 0B 01 E0 B6 EE 00 0B 30 EE 01 0B 9F ED 3F 1B 3D 4A BD EE C0 0B 9F ED 39 2B 10 EE 10 3A 92 ED 00 5B 1B B2 00 EE 10 3A B1 EE 45 3B B8 EE C0 0B 20 EE 01 1B 20 EE 02 2B 34 EE 41 0B 30 EE 42 7B B4 EE C7 3B F1 EE 10 FA 07 D2 B4 EE C5 7B F1 EE 10 FA 02 D2 80 ED 00 6B 27 E0 9F ED 26 0B 27 EE 07 5B 9F ED 22 3B 9F ED 1F 1B 9F ED 1C 2B 30 EE 05 0B 9F ED 18 4B 5B 1E 00 EE 05 3B 9F ED 14 0B 05 EE 01 2B 03 EE 05 4B 02 EE 05 0B 1B B2 20 EE 07 0B 34 EE 00 1B 34 EE 40 0B 81 EE 00 0B 30 EE 00 0B 20 EE 06 0B 80 ED 00 0B 19 44 ?? ?? ?? ?? 02 46 04 E0 9F ED 04 0B 00 22 80 ED 00 0B 10 46 BD E8 00 88 FE DE 00 00 00 00 00 00 00 00 EE FD A1 11 B3 56 14 41 EE FD A1 11 B3 56 24 41 75 CB 78 32 2D B8 C3 40 7A 2A DA 21 FB 04 45 40 D1 86 5F 58 2D 7D F2 40 AE D8 BE D1 57 49 8A 40 CA AB 79 CF D1 F7 B7 3E ?? ?? ?? ?? 00 00 00 00 40 2E E6 3F FE 82 2B 65 47 15 F7 3F ?? ?? ?? ?? 00 00 00 00 80 CC DC 40 00 00 00 00 80 CC DC C0 }
	condition:
		$1
}

rule file_82_4_1 {
	meta:
		name = "??0future_error@std@@QAA@Verror_code@1@@Z"
		size = 76
		refs = "0024 __std_exception_copy 0040 ??_7future_error@std@@6B@ 0044 ??_C@_00CNPNBAHC@?$AA@ 0048 ??_7exception@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 0F 4B 04 46 68 46 23 60 00 23 C4 E9 01 33 0A 4B 00 93 01 23 21 1D 8D F8 04 30 ?? ?? ?? ?? 05 4B 20 46 23 60 07 9B E3 60 08 9B 23 61 BD E8 1E 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_14_1 {
	meta:
		name = "?_Future_error_map@std@@YAPBDH@Z"
		size = 60
		refs = "002c ??_C@_0P@JCDOJLHG@broken?5promise?$AA@ 0030 ??_C@_0BJ@JOKOCMFN@future?5already?5retrieved?$AA@ 0034 ??_C@_0BK@JNDAEPJA@promise?5already?5satisfied?$AA@ 0038 ??_C@_08CCNMMIE@no?5state?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 28 0D D0 02 28 09 D0 03 28 05 D0 04 28 18 BF 00 20 06 D1 07 48 04 E0 05 48 02 E0 03 48 00 E0 01 48 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_16_1 {
	meta:
		name = "?_Rethrow_future_exception@std@@YAXVexception_ptr@1@@Z"
		size = 40
		refs = "001e ??0exception_ptr@std@@QAA@ABV01@@Z 0022 ?rethrow_exception@std@@YAXVexception_ptr@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 01 46 6F F0 01 03 39 62 C7 E9 00 33 17 F1 08 00 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_82_18_1 {
	meta:
		name = "?_Throw_future_error@std@@YAXABVerror_code@1@@Z"
		size = 32
		refs = "000e ??0future_error@std@@QAA@Verror_code@1@@Z 0016 _CxxThrowException 001c _TI3?AVfuture_error@std@@"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 D0 E9 00 12 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_19_1 {
	meta:
		name = "?rethrow_exception@std@@YAXVexception_ptr@1@@Z"
		size = 28
		refs = "0016 ?_RethrowException@exception_ptr@std@@QBAXXZ"
	strings:
		$1 = { 03 B4 2D E9 8E 48 0D F1 10 0B 6F 46 6F F0 01 03 B8 61 C7 E9 00 33 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_82_23_1 {
	meta:
		name = "?what@future_error@std@@UBAPBDXZ"
		size = 64
		refs = "0030 ??_C@_0P@JCDOJLHG@broken?5promise?$AA@ 0034 ??_C@_0BJ@JOKOCMFN@future?5already?5retrieved?$AA@ 0038 ??_C@_0BK@JNDAEPJA@promise?5already?5satisfied?$AA@ 003c ??_C@_08CCNMMIE@no?5state?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 C3 68 01 2B 0D D0 02 2B 09 D0 03 2B 05 D0 04 2B 18 BF 00 20 06 D1 07 48 04 E0 05 48 02 E0 03 48 00 E0 01 48 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_0_1 {
	meta:
		name = "?initialize_pointers@@YAHXZ"
		size = 864
		refs = "02ac __imp_GetProcAddress 02b0 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 02b4 ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 02b8 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 02bc ??_C@_0BE@NPHIPNPD@CloseThreadpoolWork?$AA@ 02c0 ??_C@_0BF@NHDAIMMO@SubmitThreadpoolWork?$AA@ 02c4 ??_C@_0BF@GGPHFPJA@CreateThreadpoolWork?$AA@ 02c8 ??_C@_0BK@LGACAGIC@SleepConditionVariableSRW?$AA@ 02cc ??_C@_0BI@HMIEPCNJ@ReleaseSRWLockExclusive?$AA@ 02d0 ??_C@_0BL@OGHFEMNA@TryAcquireSRWLockExclusive?$AA@ 02d4 ??_C@_0BI@OMNLIJDB@AcquireSRWLockExclusive?$AA@ 02d8 ??_C@_0BC@MMLHEBPB@InitializeSRWLock?$AA@ 02dc ??_C@_0BJ@JEBJOJFJ@SleepConditionVariableCS?$AA@ 02e0 ??_C@_0BJ@PGPPEPCC@WakeAllConditionVariable?$AA@ 02e4 ??_C@_0BG@BFNILBLN@WakeConditionVariable?$AA@ 02e8 ??_C@_0BM@HLJJNPAH@InitializeConditionVariable?$AA@ 02ec ??_C@_0BP@FPNJPEJC@GetSystemTimePreciseAsFileTime?$AA@ 02f0 ??_C@_0BL@KBBHGKCM@SetFileInformationByHandle?$AA@ 02f4 ??_C@_0BN@NEEHBBPO@GetFileInformationByHandleEx?$AA@ 02f8 ??_C@_0P@CDHHOHKP@GetTickCount64?$AA@ 02fc ??_C@_0BE@JOGNEJCI@GetCurrentPackageId?$AA@ 0300 ??_C@_0BE@FKKLLFLM@CreateSymbolicLinkW?$AA@ 0304 ??_C@_0BK@DFNBACLA@GetCurrentProcessorNumber?$AA@ 0308 ??_C@_0BP@KALKKPMO@FreeLibraryWhenCallbackReturns?$AA@ 030c ??_C@_0BJ@LKGHFHBO@FlushProcessWriteBuffers?$AA@ 0310 ??_C@_0BE@OCIOMIMP@CloseThreadpoolWait?$AA@ 0314 ??_C@_0BC@MGCOHNA@SetThreadpoolWait?$AA@ 0318 ??_C@_0BF@FLABGKKM@CreateThreadpoolWait?$AA@ 031c ??_C@_0BF@DCFCCNOC@CloseThreadpoolTimer?$AA@ 0320 ??_C@_0CA@FMNJENH@WaitForThreadpoolTimerCallbacks?$AA@ 0324 ??_C@_0BD@LPLEMMDI@SetThreadpoolTimer?$AA@ 0328 ??_C@_0BG@OGFAJCKC@CreateThreadpoolTimer?$AA@ 032c ??_C@_0BD@KIEEOEEH@CreateSemaphoreExW?$AA@ 0330 ??_C@_0BB@MEFPJLHN@CreateSemaphoreW?$AA@ 0334 ??_C@_0P@DLHPPCNH@CreateEventExW?$AA@ 0338 ??_C@_0BE@GPLMMCMH@InitOnceExecuteOnce?$AA@ 033c ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 0340 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 0344 ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 0348 ??_C@_07PEJMOBNF@FlsFree?$AA@ 034c __encodedKERNEL32Functions 0350 __security_cookie 0354 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 0358 ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 035c __imp_GetModuleHandleW"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B D4 4B D3 48 1B 68 98 47 A6 4B D0 49 06 46 1B 68 98 47 CD 4C CB 4D CA 49 23 68 43 40 2B 60 A1 4B 30 46 1B 68 98 47 23 68 C4 49 43 40 6B 60 9D 4B 30 46 1B 68 98 47 23 68 BF 49 43 40 AB 60 99 4B 30 46 1B 68 98 47 23 68 BA 49 43 40 EB 60 95 4B 30 46 1B 68 98 47 23 68 B5 49 43 40 2B 61 91 4B 30 46 1B 68 98 47 23 68 B0 49 43 40 6B 61 8D 4B 30 46 1B 68 98 47 23 68 AB 49 43 40 AB 61 89 4B 30 46 1B 68 98 47 23 68 A6 49 43 40 EB 61 85 4B 30 46 1B 68 98 47 23 68 A1 49 43 40 2B 62 81 4B 30 46 1B 68 98 47 23 68 9C 49 43 40 6B 62 7D 4B 30 46 1B 68 98 47 23 68 97 49 43 40 AB 62 79 4B 30 46 1B 68 98 47 23 68 92 49 43 40 EB 62 75 4B 30 46 1B 68 98 47 23 68 8D 49 43 40 2B 63 71 4B 30 46 1B 68 98 47 23 68 88 49 43 40 6B 63 6D 4B 30 46 1B 68 98 47 23 68 83 49 43 40 AB 63 69 4B 30 46 1B 68 98 47 23 68 7E 49 43 40 EB 63 65 4B 30 46 1B 68 98 47 23 68 79 49 43 40 2B 64 61 4B 30 46 1B 68 98 47 23 68 74 49 43 40 6B 64 5D 4B 30 46 1B 68 98 47 23 68 6F 49 43 40 AB 64 59 4B 30 46 1B 68 98 47 23 68 6A 49 43 40 EB 64 55 4B 30 46 1B 68 98 47 23 68 65 49 43 40 2B 65 51 4B 30 46 1B 68 98 47 23 68 60 49 43 40 6B 65 4D 4B 30 46 1B 68 98 47 23 68 5B 49 43 40 AB 65 49 4B 30 46 1B 68 98 47 23 68 56 49 43 40 EB 65 45 4B 30 46 1B 68 98 47 23 68 51 49 43 40 2B 66 41 4B 30 46 1B 68 98 47 23 68 4C 49 43 40 6B 66 3D 4B 30 46 1B 68 98 47 23 68 47 49 43 40 AB 66 39 4B 30 46 1B 68 98 47 23 68 42 49 43 40 EB 66 35 4B 30 46 1B 68 98 47 23 68 3D 49 43 40 2B 67 31 4B 30 46 1B 68 98 47 23 68 38 49 43 40 6B 67 2D 4B 30 46 1B 68 98 47 23 68 33 49 43 40 AB 67 29 4B 30 46 1B 68 98 47 23 68 2E 49 43 40 EB 67 25 4B 30 46 1B 68 98 47 23 68 29 49 43 40 C5 F8 80 30 20 4B 30 46 1B 68 98 47 23 68 24 49 43 40 C5 F8 84 30 1C 4B 30 46 1B 68 98 47 23 68 1E 49 43 40 C5 F8 88 30 17 4B 30 46 1B 68 98 47 23 68 19 49 43 40 C5 F8 8C 30 13 4B 30 46 1B 68 98 47 23 68 13 49 43 40 C5 F8 90 30 0E 4B 30 46 1B 68 98 47 23 68 0E 49 43 40 C5 F8 94 30 0A 4B 30 46 1B 68 98 47 23 68 08 49 43 40 C5 F8 98 30 05 4B 30 46 1B 68 98 47 23 68 43 40 C5 F8 9C 30 00 20 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_1_1 {
	meta:
		name = "__crtIsPackagedApp"
		size = 40
		refs = "0010 __crt_IsPackagedAppHelper 0024 ?isPackaged@?1??__crtIsPackagedApp@@9@4HA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 06 4C 20 68 00 28 03 DA ?? ?? ?? ?? 20 60 00 28 C8 BF 01 20 D8 BF 00 20 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_3_1 {
	meta:
		name = "__crt_IsPackagedAppHelper"
		size = 60
		refs = "001c _guard_check_icall 0034 __security_cookie 0038 __encodedKERNEL32Functions"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 23 00 93 0A 4B 1A 6D 08 4B 1B 68 92 EA 03 04 09 D0 20 46 ?? ?? ?? ?? 68 46 00 21 A0 47 7A 28 08 BF 01 20 00 D0 00 20 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_84_0_1 {
	meta:
		name = "_Wcscoll"
		size = 130
		refs = "0018 ___lc_locale_name_func 0068 __crtCompareStringW 006e _errno"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 16 46 9B 1B 5D 10 08 9B 07 46 C9 1B 4C 10 1B B9 ?? ?? ?? ?? 40 68 00 E0 58 68 D8 B9 AC 42 B8 BF 21 46 08 DB 29 46 06 E0 3A 88 33 88 9A 42 0B D1 BF 1C B6 1C 49 1E 00 29 F6 DC 00 20 AC 42 1A D0 06 DA 6F F0 00 00 16 E0 3A 88 33 88 9A 42 F8 D3 01 20 10 E0 23 46 3A 46 4F F4 80 51 01 95 00 96 ?? ?? ?? ?? 30 B9 ?? ?? ?? ?? 16 23 03 60 6F F0 00 40 00 E0 80 1E BD E8 FC 88 }
	condition:
		$1
}

rule file_84_1_1 {
	meta:
		name = "_Wmemcmp"
		size = 52
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 06 E0 04 88 0B 88 9C 42 07 D1 80 1C 89 1C 52 1E 00 2A F6 DC 00 20 BD E8 18 88 02 88 0B 88 9A 42 02 D2 6F F0 00 00 F6 E7 01 20 F4 E7 }
	condition:
		$1
}

rule file_85_0_1 {
	meta:
		name = "_Stoxflt"
		size = 656
		refs = "0008 __security_push_cookie 005a memchr 009c localeconv 0222 isdigit 027a __security_pop_cookie 028c ?digits@?1??_Stoxflt@@9@9"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 1A 9C 1E 46 0D 46 C4 EB C4 07 23 2F C8 BF 23 27 00 23 C6 E9 00 33 95 F9 00 40 CD E9 02 62 CD E9 00 35 30 2C 04 90 99 46 09 D1 4F F0 01 09 CD F8 00 90 6D 1C 95 F9 00 30 30 2B FA D0 01 95 DF F8 3C 82 95 F9 00 10 16 22 40 46 00 24 ?? ?? ?? ?? E8 B1 4F F0 01 09 CD F8 00 90 0D F1 18 0A BC 42 08 DC 43 46 18 33 A0 EB 08 02 D3 5C 04 F8 0A 30 64 1C 02 E0 33 68 5B 1C 33 60 6D 1C 95 F9 00 10 16 22 40 46 ?? ?? ?? ?? 00 28 E8 D1 01 95 ?? ?? ?? ?? 03 68 93 F9 00 20 95 F9 00 30 93 42 01 D1 6D 1C 01 95 84 B9 95 F9 00 30 30 2B 0C D1 4F F0 01 09 CD F8 00 90 33 68 6D 1C 5B 1E 33 60 95 F9 00 30 30 2B F7 D0 01 95 95 F9 00 10 16 22 40 46 ?? ?? ?? ?? E0 B1 4F F0 01 09 CD F8 00 90 0D F1 18 0A BC 42 0A DC 43 46 18 33 A0 EB 08 02 D3 5C 04 F8 0A 30 33 68 64 1C 5B 1E 33 60 6D 1C 95 F9 00 10 16 22 40 46 ?? ?? ?? ?? 00 28 E9 D1 01 95 A7 42 0D DA 06 AB FA 18 FB 56 08 2B 04 DB 12 F8 01 3C 5B 1C 02 F8 01 3C 33 68 3C 46 5B 1C 33 60 00 2C 0B DD 06 AA A3 18 13 F9 01 3C 2B B9 33 68 64 1E 5B 1C 33 60 00 2C F5 DC 00 2C 03 D1 01 24 00 23 8D F8 18 30 33 68 9B 00 33 60 B9 F1 00 0F 7A D0 45 48 4F F0 00 0E 84 FB 00 32 13 19 9B 10 03 EB D3 73 5B 1C C3 EB C3 03 19 1B 81 FB 00 32 53 18 9B 10 03 EB D3 73 C3 EB C3 03 CB 1A 08 BF 00 27 18 BF 01 27 00 2C 25 DD 06 AB 37 4D A1 EB 03 0A 06 EB 87 00 0D F1 18 09 0E EB 09 08 0A EB 08 01 81 FB 05 32 53 18 9B 10 03 EB D3 73 C3 EB C3 03 CB 1A 98 F9 00 30 03 D1 7F 1C 06 EB 87 00 02 E0 02 68 03 EB 02 13 0E F1 01 0E A6 45 03 60 E3 DB DD E9 00 95 95 F9 00 30 70 2B 01 D0 50 2B 33 D1 00 95 15 F9 01 8F B8 F1 2B 0F 05 D0 B8 F1 2D 0F 02 D0 4F F0 2B 08 00 E0 6D 1C 28 78 4F F0 00 0A 00 24 ?? ?? ?? ?? 90 B1 16 4E 4F F0 01 0A B4 42 06 DA 2B 78 04 EB 84 02 03 EB 42 03 A3 F1 30 04 6D 1C 28 78 ?? ?? ?? ?? 00 28 F0 D1 02 9E 33 68 B8 F1 2D 0F 08 BF 64 42 23 44 33 60 BA F1 00 0F 02 D1 00 9D 00 E0 00 27 03 9B 23 B1 B9 F1 00 0F 00 D1 04 9D 1D 60 38 46 10 B0 ?? ?? ?? ?? BD E8 F0 8F FE DE 00 E1 F5 05 93 24 49 92 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_76_1 {
	meta:
		name = "??1_UShinit@std@@QAA@XZ"
		size = 68
		refs = "0022 ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAAAAV12@XZ 003c ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0040 ?_Init_cnt@_UShinit@std@@0HA"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 6F F0 01 03 C7 E9 00 33 0B 4A 13 68 5B 1E 13 60 0C D1 07 4C 20 68 08 B1 ?? ?? ?? ?? 60 68 08 B1 ?? ?? ?? ?? A0 68 08 B1 ?? ?? ?? ?? BD E8 9C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_1_1 {
	meta:
		name = "_Stofx"
		size = 392
		refs = "0008 __security_push_cookie 001a _Stopfx 003a _Stoflt 0048 _FXp_setw 0062 _FXp_setn 007a _FXp_mulx 0092 _FXp_addx 00a4 _FDtento 00ba _Stoxflt 012c _FDscale 015a _FPmsw 016c __security_pop_cookie 0178 _FNan 017c _FInf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9B B0 07 46 03 A8 03 97 1D 46 91 46 0E 46 ?? ?? ?? ?? 80 46 0D B1 00 23 2B 60 28 F0 08 04 01 2C 3D D1 03 99 01 23 00 93 04 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 51 0A 04 46 0A A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 49 0A 06 A8 04 21 ?? ?? ?? ?? 1E E0 05 9A 06 A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 05 AE 64 1E 12 AF 04 23 0A AA 04 21 06 A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 0E A8 ?? ?? ?? ?? 04 23 0E AA 04 21 06 A8 ?? ?? ?? ?? 64 1E EA D1 04 9B 2A 46 06 A8 03 EB 09 01 ?? ?? ?? ?? 51 E0 02 2C 43 D1 03 99 01 23 00 93 04 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 30 0A 04 46 0E A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 29 0A 06 A8 04 21 ?? ?? ?? ?? 1E E0 05 9A 06 A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 05 AE 64 1E 12 AF 04 23 0E AA 04 21 06 A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 0A A8 ?? ?? ?? ?? 04 23 0A AA 04 21 06 A8 ?? ?? ?? ?? 64 1E EA D1 2A 46 49 46 06 A8 ?? ?? ?? ?? 04 99 02 A8 8D ED 02 0A ?? ?? ?? ?? 9D ED 02 0A 0D E0 03 2C 03 D1 10 4B 93 ED 00 0A 05 E0 04 2C 01 D1 0C 4B F8 E7 9F ED 0A 0A 8D ED 02 0A 18 F0 08 0F 08 D0 02 A8 ?? ?? ?? ?? 03 88 83 F4 00 43 03 80 9D ED 02 0A 1B B0 ?? ?? ?? ?? BD E8 F0 8B 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 4D 28 6B 6E 4E }
	condition:
		$1
}

rule file_106_1_1 {
	meta:
		name = "_WStofx"
		size = 392
		refs = "0008 __security_push_cookie 001a _WStopfx 003a _WStoflt 0048 _FXp_setw 0062 _FXp_setn 007a _FXp_mulx 0092 _FXp_addx 00a4 _FDtento 00ba _WStoxflt 012c _FDscale 015a _FPmsw 016c __security_pop_cookie 0178 _FNan 017c _FInf"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9B B0 07 46 03 A8 03 97 1D 46 91 46 0E 46 ?? ?? ?? ?? 80 46 0D B1 00 23 2B 60 28 F0 08 04 01 2C 3D D1 03 99 01 23 00 93 04 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 51 0A 04 46 0A A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 49 0A 06 A8 04 21 ?? ?? ?? ?? 1E E0 05 9A 06 A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 05 AE 64 1E 12 AF 04 23 0A AA 04 21 06 A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 0E A8 ?? ?? ?? ?? 04 23 0E AA 04 21 06 A8 ?? ?? ?? ?? 64 1E EA D1 04 9B 2A 46 06 A8 03 EB 09 01 ?? ?? ?? ?? 51 E0 02 2C 43 D1 03 99 01 23 00 93 04 AB 32 46 38 46 ?? ?? ?? ?? 9F ED 30 0A 04 46 0E A8 04 21 ?? ?? ?? ?? 34 B9 9F ED 29 0A 06 A8 04 21 ?? ?? ?? ?? 1E E0 05 9A 06 A8 04 21 ?? ?? ?? ?? 01 2C 17 DD 05 AE 64 1E 12 AF 04 23 0E AA 04 21 06 A8 00 97 ?? ?? ?? ?? 56 F8 04 2F 04 21 0A A8 ?? ?? ?? ?? 04 23 0A AA 04 21 06 A8 ?? ?? ?? ?? 64 1E EA D1 2A 46 49 46 06 A8 ?? ?? ?? ?? 04 99 02 A8 8D ED 02 0A ?? ?? ?? ?? 9D ED 02 0A 0D E0 03 2C 03 D1 10 4B 93 ED 00 0A 05 E0 04 2C 01 D1 0C 4B F8 E7 9F ED 0A 0A 8D ED 02 0A 18 F0 08 0F 08 D0 02 A8 ?? ?? ?? ?? 03 88 83 F4 00 43 03 80 9D ED 02 0A 1B B0 ?? ?? ?? ?? BD E8 F0 8B 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 4D 28 6B 6E 4E }
	condition:
		$1
}

rule file_90_0_1 {
	meta:
		name = "?_Release_chore@details@Concurrency@@YAXPAU_Threadpool_chore@12@@Z"
		size = 32
		refs = "001c __imp_CloseThreadpoolWork"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 20 B1 03 4B 1B 68 98 47 00 23 23 60 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_1_1 {
	meta:
		name = "?_Reschedule_chore@details@Concurrency@@YAHPBU_Threadpool_chore@12@@Z"
		size = 24
		refs = "0014 __imp_SubmitThreadpoolWork"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 68 1B 68 98 47 00 20 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_2_1 {
	meta:
		name = "?_Schedule_chore@details@Concurrency@@YAHPAU_Threadpool_chore@12@@Z"
		size = 64
		refs = "0030 __imp_GetLastError 0034 __imp_SubmitThreadpoolWork 0038 ?task_scheduler_callback@?A0xf5252652@details@Concurrency@@YAXPAU_TP_CALLBACK_INSTANCE@@PAXPAU_TP_WORK@@@Z 003c __imp_CreateThreadpoolWork"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 4B 04 46 01 46 1B 68 09 48 00 22 98 47 20 60 20 B1 06 4B 1B 68 98 47 00 20 02 E0 02 4B 1B 68 98 47 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_4_1 {
	meta:
		name = "?task_scheduler_callback@?A0xf5252652@details@Concurrency@@YAXPAU_TP_CALLBACK_INSTANCE@@PAXPAU_TP_WORK@@@Z"
		size = 26
		refs = "000e _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B D1 E9 01 54 28 46 ?? ?? ?? ?? 20 46 A8 47 BD E8 30 88 }
	condition:
		$1
}

rule file_90_5_1 {
	meta:
		name = "?task_scheduler_callback_xp@?A0xf5252652@details@Concurrency@@YAKPAX@Z"
		size = 28
		refs = "000e _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B D0 E9 01 54 28 46 ?? ?? ?? ?? 20 46 A8 47 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_92_118_1 {
	meta:
		name = "?_Init_dtor@Init@ios_base@std@@CAXPAV123@@Z"
		size = 72
		refs = "0016 ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAAAAV12@XZ 0038 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 003c ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0040 ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0044 ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 0F 4A 13 68 5B 1E 13 60 10 D1 0B 4B 18 68 08 B1 ?? ?? ?? ?? 08 4B 18 68 08 B1 ?? ?? ?? ?? 04 4B 18 68 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_0_1 {
	meta:
		name = "?_XLgamma@std@@YAMM@Z"
		size = 128
		refs = "001a logf 007c ?coeff@?1??_XLgamma@std@@YAMM@Z@4QBMB"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 02 8B B1 EE 06 2A F0 EE 40 8A 30 EE 02 8A B0 EE 48 0A ?? ?? ?? ?? B6 EE 00 2A F7 EE 00 2A 32 EE 28 2A 14 4B 38 EE A2 4A 20 EE 02 2A 06 22 B7 EE 00 0B 38 EE 42 8A 93 ED 00 2A B7 EE C4 3A 1B 1D 82 EE 04 2A 33 EE 00 3B 52 1E 72 EE 82 2A B7 EE C3 4B F0 D1 9F ED 06 0A 22 EE 80 0A 80 EE 28 0A ?? ?? ?? ?? 30 EE 48 0A BD EC 02 8B BD E8 00 88 99 6C 20 40 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_1_1 {
	meta:
		name = "?_XLgamma@std@@YANN@Z"
		size = 132
		refs = "001a log 0080 ?coeff@?1??_XLgamma@std@@YANN@Z@4QBNB"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 04 8B B1 EE 06 2B B0 EE 40 9B 30 EE 02 8B B0 EE 48 0B ?? ?? ?? ?? B6 EE 00 2B B7 EE 00 1B 32 EE 09 2B 15 4B 9F ED 12 3B 20 EE 02 2B 39 EE 01 4B 06 22 38 EE 42 8B 93 ED 00 2B 08 33 52 1E 82 EE 04 2B 34 EE 01 4B 33 EE 02 3B F4 D1 9F ED 06 0B 23 EE 00 0B 80 EE 09 0B ?? ?? ?? ?? 30 EE 48 0B BD EC 04 8B BD E8 00 88 06 27 F6 1F 93 0D 04 40 C7 0E 0D 00 00 00 F0 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_2_1 {
	meta:
		name = "?_XLgamma@std@@YAOO@Z"
		size = 132
		refs = "001a log 0080 ?coeff@?1??_XLgamma@std@@YAOO@Z@4QBOB"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 04 8B B1 EE 06 2B B0 EE 40 9B 30 EE 02 8B B0 EE 48 0B ?? ?? ?? ?? B6 EE 00 2B B7 EE 00 1B 32 EE 09 2B 15 4B 9F ED 12 3B 20 EE 02 2B 39 EE 01 4B 06 22 38 EE 42 8B 93 ED 00 2B 08 33 52 1E 82 EE 04 2B 34 EE 01 4B 33 EE 02 3B F4 D1 9F ED 06 0B 23 EE 00 0B 80 EE 09 0B ?? ?? ?? ?? 30 EE 48 0B BD EC 04 8B BD E8 00 88 06 27 F6 1F 93 0D 04 40 C7 0E 0D 00 00 00 F0 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_0_1 {
	meta:
		name = "__crtLCMapStringW"
		size = 80
		refs = "001a wcsnlen 004c __imp_LCMapStringEx"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 1C 46 00 2C 15 46 0E 46 07 46 08 DD 19 46 10 46 ?? ?? ?? ?? A0 42 B8 BF 44 1C A8 BF 04 46 00 23 04 93 03 93 02 93 0D 9B 2A 46 31 46 01 93 0C 9B 38 46 00 93 23 46 02 4C 24 68 A0 47 06 B0 BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_96_0_1 {
	meta:
		name = "_Towlower"
		size = 92
		refs = "0044 __crtLCMapStringW"
	strings:
		$1 = { 03 B4 2D E9 1E 48 0D F1 10 0B 4F F6 FF 73 AD F8 18 00 98 42 AD F8 08 00 1C D0 CC 68 4F F4 80 71 4C B9 88 42 07 D2 41 28 14 D3 5A 28 12 D8 00 F1 20 03 98 B2 0E E0 01 23 01 93 02 AB 00 93 01 23 06 AA 20 46 ?? ?? ?? ?? 10 B9 BD F8 18 00 01 E0 BD F8 08 00 BD E8 1E 08 5D F8 0C FB }
	condition:
		$1
}

rule file_97_10_1 {
	meta:
		name = "??$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ"
		size = 64
		refs = "0024 atexit 0030 ??__F_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ@YAXXZ 0034 ??_7_System_error_category@std@@6B@ 0038 ?_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@1@XZ@4U?$_Immortalizer@V_System_error_category@std@@@1@A 003c ??_B?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ@51"
		altNames = "?system_category@std@@YAABVerror_category@1@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 4A 0B 4C 13 68 13 F0 01 0F 09 D1 43 F0 01 03 13 60 06 4B 04 48 23 60 07 23 63 60 ?? ?? ?? ?? 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_13_1 {
	meta:
		name = "??$_Swap_adl@PAD@std@@YAXAAPAD0@Z"
		size = 18
		altNames = "??$swap@IX@std@@YAXAAI0@Z ??$swap@PADX@std@@YAXAAPAD0@Z ??$swap@PAV_Ref_count_base@std@@X@std@@YAXAAPAV_Ref_count_base@0@0@Z ??$swap@PAV__ExceptionPtr@@X@std@@YAXAAPAV__ExceptionPtr@@0@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 68 02 68 03 60 0A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_97_36_1 {
	meta:
		name = "??$iter_swap@PADPAD@std@@YAXPAD0@Z"
		size = 18
		altNames = "??$swap@DX@std@@YAXAAD0@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 78 02 78 03 70 0A 70 BD E8 00 88 }
	condition:
		$1
}

rule file_97_41_1 {
	meta:
		name = "??$swap@D$0BA@X@std@@YAXAAY0BA@D0@Z"
		size = 52
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 88 42 11 D0 00 F1 10 03 00 25 98 42 98 BF 10 24 88 BF 00 24 44 B1 09 1A 0B 5C 02 78 6D 1C 03 70 0A 54 40 1C A5 42 F7 D1 BD E8 30 88 }
	condition:
		$1
}

rule file_97_46_1 {
	meta:
		name = "??0?$_Immortalizer@V_System_error_category@std@@@std@@QAA@XZ"
		size = 24
		refs = "0014 ??_7_System_error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 18 B1 02 4B 03 60 07 23 43 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_66_1 {
	meta:
		name = "??0_System_error_category@std@@QAA@XZ"
		size = 24
		refs = "0014 ??_7_System_error_category@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 60 07 23 43 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_75_1 {
	meta:
		name = "??0system_error@std@@QAA@Verror_code@1@@Z"
		size = 108
		refs = "000a __security_push_cookie 0022 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0030 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 003c ??3@YAXPAX@Z 0058 __security_pop_cookie 0064 ??_7system_error@std@@6B@ 0068 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? 89 B0 6F 46 6F F0 01 03 C7 E9 00 33 13 49 04 46 17 F1 08 00 ?? ?? ?? ?? D7 E9 0F 12 17 F1 08 03 20 46 ?? ?? ?? ?? 3B 6A 10 2B 02 D3 F8 68 ?? ?? ?? ?? 0F 23 B8 68 3B 62 00 23 FB 61 3B 73 ?? ?? ?? ?? 04 4B 23 60 20 46 09 B0 ?? ?? ?? ?? BD E8 90 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_117_1 {
	meta:
		name = "?_Execute_once@std@@YAHAAUonce_flag@1@P6AHPAX1PAPAX@Z1@Z"
		size = 24
		refs = "0014 __imp_InitOnceExecuteOnce"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 02 4C 00 23 24 68 A0 47 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_143_1 {
	meta:
		name = "?_Swap_all@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAXAAV12@@Z"
		size = 30
		altNames = "?_Swap_all@_Container_base12@std@@QAAXAAU12@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 68 02 68 03 60 0A 60 03 68 03 B1 18 60 0B 68 03 B1 19 60 BD E8 00 88 }
	condition:
		$1
}

rule file_97_145_1 {
	meta:
		name = "?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z"
		size = 130
		refs = "002e memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 AB 69 0C 46 10 2B A3 69 10 D3 10 2B 04 D3 63 68 6A 68 6B 60 62 60 2D E0 63 69 6E 68 5A 1C 03 D0 21 1D 28 1D ?? ?? ?? ?? 23 1D 21 E0 10 2B 16 D2 22 1D 29 1D 91 42 1D D0 01 F1 10 03 00 25 99 42 98 BF 10 20 88 BF 00 20 A0 B1 54 1A 63 5C 0A 78 6D 1C 0B 70 62 54 49 1C 85 42 F7 D1 0A E0 6B 69 66 68 5A 1C 03 D0 29 1D 20 1D ?? ?? ?? ?? 2B 1D 00 D0 1E 60 BD E8 78 88 }
	condition:
		$1
}

rule file_97_147_1 {
	meta:
		name = "?_XGetLastError@std@@YAXXZ"
		size = 60
		refs = "000a ?system_category@std@@YAABVerror_category@1@XZ 001c ??0error_code@std@@QAA@HABVerror_category@1@@Z 0026 ??0system_error@std@@QAA@Verror_code@1@@Z 002e _CxxThrowException 0034 _TI4?AVsystem_error@std@@ 0038 __imp_GetLastError"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 ?? ?? ?? ?? 0A 4B 04 46 1B 68 98 47 01 46 68 46 22 46 ?? ?? ?? ?? DD E9 00 12 02 A8 ?? ?? ?? ?? 02 49 02 A8 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_175_1 {
	meta:
		name = "?default_error_condition@_System_error_category@std@@UBA?AVerror_condition@2@H@Z"
		size = 140
		refs = "0018 ?_Winerror_map@std@@YAHH@Z 003a atexit 006c ??__F_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ@YAXXZ 0070 ??_7_System_error_category@std@@6B@ 0074 ?_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@1@XZ@4U?$_Immortalizer@V_System_error_category@std@@@1@A 0078 ??_B?1???$_Immortalize@V_System_error_category@std@@@std@@YAAAV_System_error_category@0@XZ@51 007c ??__F_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ@YAXXZ 0080 ??_7_Generic_error_category@std@@6B@ 0084 ?_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@1@XZ@4U?$_Immortalizer@V_Generic_error_category@std@@@1@A 0088 ??_B?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAAV_Generic_error_category@0@XZ@51"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 6F F0 01 03 10 46 C7 E9 00 33 16 46 0C 46 ?? ?? ?? ?? 80 46 88 B1 19 4A 18 4D 01 23 11 68 19 42 08 D1 0B 43 13 60 13 4B 12 48 2B 60 03 23 6B 60 ?? ?? ?? ?? C4 F8 00 80 0F E0 0C 4A 0B 4D 01 23 11 68 19 42 08 D1 0B 43 13 60 06 4B 05 48 2B 60 07 23 6B 60 ?? ?? ?? ?? 26 60 65 60 20 46 BD E8 FE 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_189_1 {
	meta:
		name = "?message@_System_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 180
		refs = "0008 __security_push_cookie 0028 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 0040 ?_Winerror_message@std@@YAKKPADK@Z 004a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z 0072 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 007a ?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXXZ 0084 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z 0090 ??3@YAXPAX@Z 00a8 __security_pop_cookie 00b0 ??_C@_0O@BFJCFAAK@unknown?5error?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 89 B0 6F 46 15 46 0C 46 6F F0 01 03 00 22 47 F6 FF 71 17 F1 08 00 C7 E9 00 33 00 26 ?? ?? ?? ?? 3B 6A 10 2B 01 D3 F9 68 01 E0 17 F1 0C 01 47 F6 FF 72 28 46 ?? ?? ?? ?? 20 B9 1A 49 20 46 ?? ?? ?? ?? 1B E0 FB 69 98 42 09 D8 3B 6A 10 2B 01 D3 FB 68 01 E0 17 F1 0C 03 F8 61 1E 54 05 E0 C1 1A 17 F1 08 00 00 22 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 17 F1 08 01 20 46 ?? ?? ?? ?? 3B 6A 10 2B 02 D3 F8 68 ?? ?? ?? ?? 0F 23 B8 68 3B 62 00 23 FB 61 3B 73 ?? ?? ?? ?? 20 46 09 B0 ?? ?? ?? ?? BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_97_200_1 {
	meta:
		name = "?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXXZ"
		size = 128
		refs = "0008 __security_push_cookie 0020 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0042 ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z 0060 ??3@YAXPAX@Z 0078 __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 88 B0 04 46 63 69 43 F0 0F 02 A3 69 9A 42 2C D2 68 46 21 46 ?? ?? ?? ?? 6B 46 9C 42 16 D0 22 68 00 9B 00 92 23 60 0B B1 1C 60 00 9A 0A B1 6B 46 13 60 69 46 20 46 ?? ?? ?? ?? 62 69 05 9B 05 92 63 61 A2 69 06 9B 06 92 A3 61 00 E0 06 9A 10 2A 02 D3 01 98 ?? ?? ?? ?? 0F 23 00 98 06 93 00 23 05 93 8D F8 04 30 ?? ?? ?? ?? 08 B0 ?? ?? ?? ?? BD E8 10 88 }
	condition:
		$1
}

rule file_97_202_1 {
	meta:
		name = "?swap@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z"
		size = 64
		refs = "0028 ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 A5 42 15 D0 23 68 2A 68 2B 60 22 60 2B 68 03 B1 1D 60 23 68 03 B1 1C 60 21 46 28 46 ?? ?? ?? ?? 63 69 6A 69 6B 61 62 61 A3 69 AA 69 AB 61 A2 61 BD E8 30 88 }
	condition:
		$1
}

rule file_98_0_1 {
	meta:
		name = "??$?0AAPAUEHExceptionRecord@@_N@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QAA@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 64
		refs = "002c ??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z 003c ??_7?$_Ref_count_obj@V__ExceptionPtr@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 9F 48 0D F1 18 0B 6F 46 04 46 6F F0 01 03 3C 62 C7 E9 02 33 01 23 C4 E9 01 33 07 4B 0C 30 38 60 23 60 03 D0 12 78 09 68 ?? ?? ?? ?? 20 46 04 B0 BD E8 90 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_3_1 {
	meta:
		name = "??$?0AAPAUEHExceptionRecord@@_N@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QAA@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 88
		refs = "0032 memset 0044 ??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z 0054 ??_7?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 85 B0 6F 46 1E 46 04 46 6F F0 01 03 3C 63 C7 E9 02 33 01 23 C4 E9 01 33 90 46 0B 49 00 F1 0C 05 54 22 21 60 00 21 28 46 ?? ?? ?? ?? C7 E9 00 55 2D B1 32 78 D8 F8 00 10 28 46 ?? ?? ?? ?? 20 46 05 B0 BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_7_1 {
	meta:
		name = "??$?0ABU?$_StaticAllocator@H@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@T?$_Align_type@H$0FE@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@ABU?$_StaticAllocator@H@@@Z"
		size = 30
		refs = "0010 memset"
	strings:
		$1 = { 0F B4 2D E9 18 48 0D F1 08 0B 54 22 00 21 04 46 ?? ?? ?? ?? 20 46 BD E8 18 08 5D F8 14 FB }
	condition:
		$1
}

rule file_98_11_1 {
	meta:
		name = "??$_Construct1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXU?$integral_constant@_N$00@1@AAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 88
		refs = "0030 memset 0044 ??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z 0054 ??_7?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B 86 B0 6F 46 6F F0 01 03 3A 63 C7 E9 04 33 3A 60 AA B1 01 23 C2 E9 01 33 0C 4B 02 F1 0C 04 00 21 13 60 54 22 20 46 ?? ?? ?? ?? C7 E9 01 44 34 B1 FB 6B 20 46 1A 78 BB 6B 19 68 ?? ?? ?? ?? 06 B0 BD E8 90 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_15_1 {
	meta:
		name = "??$_Destroy1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@U?$integral_constant@_N$00@1@@Z"
		size = 36
		refs = "0012 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 0D 46 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 00 21 A0 47 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_98_16_1 {
	meta:
		name = "??$_Reset@V__ExceptionPtr@@@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXABV01@@Z"
		size = 48
		refs = "0024 ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B D1 E9 00 76 05 46 3E B1 32 1D 52 E8 00 4F 61 1C 42 E8 00 13 00 2B F8 D1 68 68 08 B1 ?? ?? ?? ?? 6E 60 2F 60 BD E8 F0 88 }
	condition:
		$1
}

rule file_98_17_1 {
	meta:
		name = "??$_Resetp0@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@1@@Z"
		size = 30
		refs = "0012 ?_Decref@_Ref_count_base@std@@QAAXXZ"
		altNames = "?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 60 68 15 46 0E 46 08 B1 ?? ?? ?? ?? 65 60 26 60 BD E8 78 88 }
	condition:
		$1
}

rule file_98_18_1 {
	meta:
		name = "??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 104
		refs = "001c ?_StaticAlloc@@YAPAXI@Z 003c memset 0050 ??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z 0064 ??_7?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@6B@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 86 B0 6F 46 98 46 6F F0 01 03 05 46 60 20 C7 E9 04 33 91 46 ?? ?? ?? ?? 04 46 3C 60 7C 60 AC B1 01 23 C4 E9 01 33 0D 49 00 F1 0C 06 54 22 21 60 00 21 30 46 ?? ?? ?? ?? C7 E9 02 66 36 B1 98 F8 00 20 D9 F8 00 10 30 46 ?? ?? ?? ?? 04 F1 0C 03 C5 E9 00 34 28 46 06 B0 BD E8 F0 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_23_1 {
	meta:
		name = "??$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 88
		refs = "0032 memset 0044 ??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z 0054 ??_7?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@6B@"
		altNames = "??$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B 87 B0 6F 46 1D 46 6F F0 01 03 C7 E9 04 33 39 60 79 63 A1 B1 01 23 C1 E9 01 33 0B 4A 01 F1 0C 04 20 46 0A 60 54 22 00 21 ?? ?? ?? ?? C7 E9 01 44 2C B1 3B 6C 29 68 20 46 1A 78 ?? ?? ?? ?? 07 B0 BD E8 B0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_31_1 {
	meta:
		name = "??$destroy@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAXPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@@Z"
		size = 30
		refs = "0010 _guard_check_icall"
		altNames = "??$destroy@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 46 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 00 21 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_98_37_1 {
	meta:
		name = "??$make_shared@V__ExceptionPtr@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AAPAUEHExceptionRecord@@$$QA_N@Z"
		size = 88
		refs = "001c ??2@YAPAXI@Z 003c ??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z 0054 ??_7?$_Ref_count_obj@V__ExceptionPtr@@@std@@6B@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 6F 46 05 46 6F F0 01 03 60 20 C7 E9 02 33 16 46 88 46 ?? ?? ?? ?? 04 46 3C 60 6C B1 01 23 C4 E9 01 33 09 4B 0C 30 78 60 23 60 04 D0 32 78 D8 F8 00 10 ?? ?? ?? ?? 00 E0 00 24 04 F1 0C 03 C5 E9 00 34 28 46 05 B0 BD E8 F0 89 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_46_1 {
	meta:
		name = "??0?$_Ptr_base@V__ExceptionPtr@@@std@@QAA@$$QAV01@@Z"
		size = 24
		altNames = "??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@$$QAV01@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 68 03 60 4B 68 43 60 00 23 C1 E9 00 33 BD E8 00 88 }
	condition:
		$1
}

rule file_98_49_1 {
	meta:
		name = "??0?$shared_ptr@V__ExceptionPtr@@@std@@QAA@ABV01@@Z"
		size = 56
		refs = "002a ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 05 46 00 23 C5 E9 00 33 D1 E9 00 76 5E B1 32 1D 52 E8 00 4F 61 1C 42 E8 00 13 00 2B F8 D1 68 68 08 B1 ?? ?? ?? ?? C5 E9 00 76 28 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_98_51_1 {
	meta:
		name = "??0_Ref_count_base@std@@IAA@XZ"
		size = 24
		refs = "0014 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 60 01 23 C0 E9 01 33 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_52_1 {
	meta:
		name = "??0__ExceptionPtr@@QAA@PBUEHExceptionRecord@@_N@Z"
		size = 280
		refs = "00c0 malloc 00c6 ?_StaticAlloc@@YAPAXI@Z 00d8 ?_CallCopyCtor@__ExceptionPtr@@ABAXPAX0IQBU_s_CatchableType@@@Z 00e8 ??0bad_alloc@std@@QAA@XZ 00f0 _CxxThrowException 00f4 terminate 00fc _TI2?AVbad_alloc@std@@ 0100 __imp_EncodePointer"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 0D 46 80 F8 50 20 2B 68 04 46 00 27 23 60 6B 68 C4 E9 01 37 E7 60 2B 69 00 20 90 46 23 61 5B B1 21 46 2E 1B 0F 28 07 D2 73 18 5B 69 40 1C 4B 61 23 69 09 1D 98 42 F5 D3 22 69 0F 2A 0E D2 04 EB 82 03 03 F1 14 03 D2 F1 0F 02 4F F0 00 01 05 D0 03 EB 82 02 43 F8 04 1B 93 42 FB D1 2A 68 2A 4B 9A 42 37 D1 2B 69 04 2B 34 D1 6A 69 26 4B 9A 42 08 D0 23 4B 9A 42 05 D0 21 4B 9A 42 02 D0 1E 4B 9A 42 27 D1 A7 61 D5 E9 06 36 73 B3 6E B3 F2 68 5A B3 23 6A D3 58 00 2B 27 DD 16 4B 30 46 1B 68 98 47 22 6A E0 61 F3 68 13 44 5B 68 9F 18 78 69 B8 F1 00 0F 02 D0 ?? ?? ?? ?? 01 E0 ?? ?? ?? ?? 06 46 5E B1 7B 69 AA 69 01 46 20 46 00 97 ?? ?? ?? ?? A6 61 20 46 05 B0 BD E8 F0 89 02 A8 ?? ?? ?? ?? 03 49 02 A8 ?? ?? ?? ?? ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 40 99 01 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_98_63_1 {
	meta:
		name = "??1__ExceptionPtr@@QAA@XZ"
		size = 168
		refs = "004e terminate 0064 ?_CallMemberFunction0@@YAXQAX0@Z 007c _guard_check_icall 0086 free 0090 __imp_DecodePointer"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 6F 46 6F F0 01 03 C7 E9 00 33 90 F8 50 30 05 46 BB B3 2A 68 21 4B 9A 42 33 D1 2B 69 04 2B 30 D1 6A 69 1D 4B 9A 42 08 D0 1A 4B 9A 42 05 D0 18 4B 9A 42 02 D0 15 4B 9A 42 23 D1 13 4B E8 69 1B 68 98 47 01 46 09 B9 ?? ?? ?? ?? A8 69 B0 B1 2A 6A CB 68 13 44 5C 68 4B 68 1B B1 99 18 ?? ?? ?? ?? 0C E0 A3 58 13 F0 08 0F 08 D0 06 68 36 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 A8 69 ?? ?? ?? ?? BD E8 FC 88 FE DE ?? ?? ?? ?? 00 40 99 01 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_98_69_1 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@std@@QAAAAV01@$$QAV01@@Z"
		size = 38
		refs = "001c ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 D1 E9 00 23 00 20 C1 E9 00 00 60 68 C4 E9 00 23 08 B1 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_98_70_1 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@std@@QAAAAV01@ABV01@@Z"
		size = 50
		refs = "0028 ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B D1 E9 00 76 05 46 3E B1 32 1D 52 E8 00 4F 61 1C 42 E8 00 13 00 2B F8 D1 68 68 C5 E9 00 76 08 B1 ?? ?? ?? ?? 28 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_98_73_1 {
	meta:
		name = "??_G?$_Ref_count_obj@V__ExceptionPtr@@@std@@UAAPAXI@Z"
		size = 36
		refs = "0016 ??3@YAXPAXI@Z 0020 ??_7_Ref_count_base@std@@6B@"
		altNames = "??_G?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@UAAPAXI@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 04 46 11 F0 01 0F 23 60 02 D0 60 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_75_1 {
	meta:
		name = "??_G?$shared_ptr@V__ExceptionPtr@@@std@@QAAPAXI@Z"
		size = 40
		refs = "0010 ?_Decref@_Ref_count_base@std@@QAAXXZ 001e ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 60 68 0D 46 08 B1 ?? ?? ?? ?? 15 F0 01 0F 03 D0 08 21 20 46 ?? ?? ?? ?? 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_98_77_1 {
	meta:
		name = "??_G__ExceptionPtr@@QAAPAXI@Z"
		size = 36
		refs = "000c ??1__ExceptionPtr@@QAA@XZ 001a ??3@YAXPAXI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 54 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_98_82_1 {
	meta:
		name = "??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ"
		size = 28
		refs = "0010 ?_Decref@_Ref_count_base@std@@QAAXXZ 0018 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 58 68 18 B1 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_86_1 {
	meta:
		name = "?_CallCopyCtor@__ExceptionPtr@@ABAXPAX0IQBU_s_CatchableType@@@Z"
		size = 158
		refs = "003c __AdjustPointer 0054 ?_CallMemberFunction2@@YAXQAX00H@Z 0070 ?_CallMemberFunction1@@YAXQAX00@Z 007c memcpy 0092 _guard_check_icall"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 6F 46 BD 6A 16 46 6F F0 01 02 C7 E9 00 22 89 46 29 68 80 46 11 F0 01 0F 29 D1 AA 69 12 B1 04 6A 22 44 00 E0 00 22 12 B3 11 F0 04 0F 05 F1 08 01 30 46 0E D0 ?? ?? ?? ?? AA 69 1A B1 D8 F8 20 30 D1 18 00 E0 00 21 02 46 48 46 01 23 ?? ?? ?? ?? 0C E0 ?? ?? ?? ?? AA 69 1A B1 D8 F8 20 30 D1 18 00 E0 00 21 02 46 48 46 ?? ?? ?? ?? 11 E0 1A 46 31 46 48 46 ?? ?? ?? ?? 2B 68 13 F0 08 0F 08 D0 35 68 35 B1 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 FC 8B }
	condition:
		$1
}

rule file_98_89_1 {
	meta:
		name = "?_CallMemberFunction1@@YAXQAX00@Z"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 46 11 46 98 47 BD E8 00 88 }
	condition:
		$1
}

rule file_98_90_1 {
	meta:
		name = "?_CallMemberFunction2@@YAXQAX00H@Z"
		size = 22
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 14 46 0D 46 21 46 1A 46 A8 47 BD E8 30 88 }
	condition:
		$1
}

rule file_98_91_1 {
	meta:
		name = "?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z"
		size = 176
		refs = "007c ??$make_shared@V__ExceptionPtr@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AAPAUEHExceptionRecord@@$$QA_N@Z 008c ??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z 00a4 __imp_RtlPcToFileHeader"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 90 B0 6F 46 1E 46 6F F0 01 03 04 46 C7 E9 04 33 15 46 BC 65 17 F1 18 00 78 60 21 48 01 23 C7 E9 06 03 1E 48 00 23 C7 E9 08 33 04 23 C7 E9 0A 30 39 63 3D B1 2B 68 13 F0 10 0F 03 D0 0B 68 53 F8 04 3C 9D 69 15 4B 7D 63 17 F1 08 01 1B 68 28 46 98 47 B8 60 B8 63 35 B1 2B 68 13 F0 08 0F 00 D1 08 B9 0C 4B FB 62 20 46 36 B1 01 23 3A 46 39 1D 3B 70 ?? ?? ?? ?? 08 E0 00 23 7B 70 7B 1C 3A 1D B9 1C ?? ?? ?? ?? F6 E7 BC 6D 20 46 10 B0 BD E8 F0 08 5D F8 14 FB 00 40 99 01 ?? ?? ?? ?? 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_98_92_1 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z$0"
		size = 68
		refs = "0030 ?_Decref@_Ref_count_base@std@@QAAXXZ 003c $LN17 0040 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 10 B5 BC 6D 00 23 C4 E9 00 33 0D 4B D3 E9 00 65 00 2D 00 F0 0F 80 2A 1D 52 E8 00 0F 41 1C 42 E8 00 13 00 2B 7F F4 F8 AF 60 68 00 28 00 F0 02 80 ?? ?? ?? ?? 01 48 C4 E9 00 65 10 BD ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_94_1 {
	meta:
		name = "?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 120
		refs = "001a __current_exception 0022 __processing_throw 0054 ??$make_shared@V__ExceptionPtr@@AAPAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AAPAUEHExceptionRecord@@$$QA_N@Z"
	strings:
		$1 = { 03 B4 2D E9 FF 48 0D F1 20 0B 6F 46 04 46 6F F0 01 03 BC 62 C7 E9 02 33 00 25 ?? ?? ?? ?? 03 68 EB B1 ?? ?? ?? ?? 03 68 CB B9 ?? ?? ?? ?? 03 68 1A 68 10 4B 9A 42 12 D0 ?? ?? ?? ?? 03 68 1A 68 0B 4B 9A 42 0B D0 01 23 3B 70 ?? ?? ?? ?? 01 46 20 46 3A 46 ?? ?? ?? ?? 03 E0 BC 6A 01 E0 C4 E9 00 55 20 46 04 B0 BD E8 F0 08 5D F8 0C FB FE DE 52 43 43 E0 4D 4F 43 E0 }
	condition:
		$1
}

rule file_98_95_1 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$0"
		size = 68
		refs = "0030 ?_Decref@_Ref_count_base@std@@QAAXXZ 003c $LN13 0040 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 10 B5 BC 6A 0E 4B 00 25 C4 E9 00 55 D3 E9 00 65 00 2D 00 F0 0F 80 2A 1D 52 E8 00 0F 41 1C 42 E8 00 13 00 2B 7F F4 F8 AF 60 68 00 28 00 F0 02 80 ?? ?? ?? ?? 01 48 C4 E9 00 65 10 BD ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_99_1 {
	meta:
		name = "?_Decref@_Ref_count_base@std@@QAAXXZ"
		size = 100
		refs = "002c _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 29 1D BF F3 5B 8F 51 E8 00 4F 62 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 63 1E 1C D1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 F1 08 01 BF F3 5B 8F 51 E8 00 4F 62 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 63 1E 06 D1 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_98_100_1 {
	meta:
		name = "?_Decwref@_Ref_count_base@std@@QAAXXZ"
		size = 58
		refs = "002e _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 00 F1 08 01 BF F3 5B 8F 51 E8 00 4F 62 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 63 1E 06 D1 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_98_101_1 {
	meta:
		name = "?_Delete_this@?$_Ref_count_obj@V__ExceptionPtr@@@std@@EAAXXZ"
		size = 32
		refs = "0012 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 3D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_98_102_1 {
	meta:
		name = "?_Delete_this@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@EAAXXZ"
		size = 30
		refs = "0010 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 00 21 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_98_103_1 {
	meta:
		name = "?_Destroy@?$_Ref_count_obj@V__ExceptionPtr@@@std@@EAAXXZ"
		size = 16
		refs = "000c ??1__ExceptionPtr@@QAA@XZ"
		altNames = "?_Destroy@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@EAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 0C 30 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_119_1 {
	meta:
		name = "?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 84
		refs = "002c ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z 0038 __std_exception_destroy 0044 ??_7exception@std@@6B@ 0048 _TI2?AVbad_alloc@std@@ 004c ??_7bad_alloc@std@@6B@ 0050 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@"
	strings:
		$1 = { 2D E9 90 48 0D F1 08 0B 86 B0 6F 46 6F F0 01 03 C7 E9 00 33 00 23 C7 E9 03 33 0D 4B 04 46 FB 60 0A 4B BB 60 08 4A 17 F1 08 01 00 23 ?? ?? ?? ?? 04 4B 17 F1 0C 00 BB 60 ?? ?? ?? ?? 20 46 06 B0 BD E8 90 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_123_1 {
	meta:
		name = "?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXPAV__ExceptionPtr@@PAV_Ref_count_base@2@@Z"
		size = 52
		refs = "0024 ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 90 46 89 46 07 46 3A B1 14 1D 54 E8 00 6F 75 1C 44 E8 00 53 00 2B F8 D1 78 68 08 B1 ?? ?? ?? ?? C7 F8 04 80 C7 F8 00 90 BD E8 F0 8B }
	condition:
		$1
}

rule file_98_124_1 {
	meta:
		name = "?_RethrowException@__ExceptionPtr@@QBAXXZ"
		size = 228
		refs = "0008 __security_push_cookie 0018 ??0bad_exception@std@@QAA@XZ 0020 _CxxThrowException 002c memcpy 008e __chkstk 00a0 ?_CallCopyCtor@__ExceptionPtr@@ABAXPAX0IQBU_s_CatchableType@@@Z 00be terminate 00c4 __imp_RaiseException 00c8 __imp_DecodePointer 00e0 _TI2?AVbad_exception@std@@"
	strings:
		$1 = { 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? 98 B0 6F 46 82 B0 05 46 35 B9 38 46 ?? ?? ?? ?? 30 49 38 46 ?? ?? ?? ?? 17 F1 10 00 50 22 29 46 ?? ?? ?? ?? 2A 4B 38 69 3A 6A 98 42 37 D1 04 2A 35 D1 26 4B 79 6A 99 42 08 D0 23 4B 99 42 05 D0 20 4B 99 42 02 D0 1E 4B 99 42 2C D1 1B 4B F8 6A 1B 68 98 47 B9 6A 61 B3 58 B3 C3 68 4B B3 2A 6A D3 58 00 2B 25 DD F8 62 C3 68 13 44 5B 68 98 18 43 69 DA 1D 9A 42 01 D8 6F F0 07 02 22 F0 07 02 94 08 ?? ?? ?? ?? AD EB 04 0D 02 AC 00 90 0A 46 21 46 28 46 ?? ?? ?? ?? 3A 6A 38 69 BC 62 0F 2A 01 D9 0F 22 3A 62 04 4C 79 69 17 F1 24 03 24 68 A0 47 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 40 99 01 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_125_1 {
	meta:
		name = "?_StaticAlloc@@YAPAXI@Z"
		size = 76
		refs = "003c terminate 0044 ?_StaticAllocStorage@@3PADA 0048 ?_StaticAllocStorageLeft@@3IA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0F 4C 0E 4B 05 46 22 68 74 33 98 1A 10 F0 07 03 01 D0 08 21 CB 1A 9A 42 06 D3 D1 1A A9 42 03 D3 0A 46 21 60 18 44 00 E0 00 20 18 B1 53 1B 23 60 BD E8 30 88 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_126_1 {
	meta:
		name = "?_Swap@?$_Ptr_base@V__ExceptionPtr@@@std@@QAAXAAV12@@Z"
		size = 26
		altNames = "?__ExceptionPtrSwap@@YAXPAX0@Z ?swap@?$shared_ptr@V__ExceptionPtr@@@std@@QAAXAAV12@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 4B 68 42 68 43 60 4A 60 0B 68 02 68 03 60 0A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_98_127_1 {
	meta:
		name = "?__ExceptionPtrAssign@@YAXPAXPBX@Z"
		size = 48
		refs = "0028 ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B D1 E9 00 76 05 46 3E B1 32 1D 52 E8 00 4F 61 1C 42 E8 00 13 00 2B F8 D1 68 68 C5 E9 00 76 08 B1 ?? ?? ?? ?? BD E8 F0 88 }
	condition:
		$1
}

rule file_98_129_1 {
	meta:
		name = "?__ExceptionPtrCopy@@YAXPAXPBX@Z"
		size = 56
		refs = "002c ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 05 46 9D B1 00 23 C5 E9 00 33 D1 E9 00 76 5E B1 32 1D 52 E8 00 4F 61 1C 42 E8 00 13 00 2B F8 D1 68 68 08 B1 ?? ?? ?? ?? C5 E9 00 76 BD E8 F0 88 }
	condition:
		$1
}

rule file_98_130_1 {
	meta:
		name = "?__ExceptionPtrCopyException@@YAXPAXPBX1@Z"
		size = 52
		refs = "000e ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z 0024 ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 68 46 01 23 ?? ?? ?? ?? D0 E9 00 23 00 21 C0 E9 00 11 60 68 C4 E9 00 23 08 B1 ?? ?? ?? ?? 01 98 08 B1 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_98_131_1 {
	meta:
		name = "?__ExceptionPtrCreate@@YAXPAX@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 10 B1 00 23 C0 E9 00 33 BD E8 00 88 }
	condition:
		$1
}

rule file_98_132_1 {
	meta:
		name = "?__ExceptionPtrCurrentException@@YAXPAX@Z"
		size = 36
		refs = "000c ?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 0014 ?__ExceptionPtrCopy@@YAXPAXPBX@Z 001c ?_Decref@_Ref_count_base@std@@QAAXXZ"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 68 46 ?? ?? ?? ?? 69 46 20 46 ?? ?? ?? ?? 01 98 08 B1 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_98_137_1 {
	meta:
		name = "?align@std@@YAPAXIIAAPAXAAI@Z"
		size = 50
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 15 68 44 1E 2C 40 18 BF 04 1B 18 68 A0 42 09 D3 00 1B 88 42 06 D3 29 19 11 60 19 68 09 1B 19 60 10 68 00 E0 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_98_138_1 {
	meta:
		name = "?allocate@?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@QBAPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@I@Z"
		size = 48
		refs = "001c ?_StaticAlloc@@YAPAXI@Z 0024 terminate"
		altNames = "?allocate@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QAAPAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@2@I@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 B9 00 20 09 E0 07 4B 99 42 08 D8 01 EB 41 03 58 01 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? FE DE FE DE AA AA AA 02 }
	condition:
		$1
}

rule file_99_12_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 68
		refs = "0028 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
		altNames = "??$_Copy_no_deprecate@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z ??$_Copy_unchecked@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 48 0D F1 18 0B 0F 46 D5 1B 04 46 0C 98 00 26 97 42 88 BF 00 25 0B 93 CD E9 00 30 4D B1 17 F9 01 1B 68 46 ?? ?? ?? ?? 76 1C AE 42 F7 D1 DD E9 00 30 C4 E9 00 30 20 46 BD E8 FC 08 5D F8 14 FB }
	condition:
		$1
}

rule file_99_14_1 {
	meta:
		name = "??$_Copy_unchecked1@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 62
		refs = "0022 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 0F 46 D5 1B 00 26 97 42 88 BF 00 25 09 93 04 46 45 B1 17 F9 01 1B 09 A8 ?? ?? ?? ?? 76 1C AE 42 F7 D1 09 9B 23 60 0A 9B 20 46 63 60 BD E8 F0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_99_19_1 {
	meta:
		name = "??$_Getvals@D@?$_Mpunct@D@std@@IAAXDPBUlconv@@@Z"
		size = 200
		refs = "001a strlen 0024 calloc 00b2 ?_Xbad_alloc@std@@YAXXZ 00c0 ??_C@_01JOAMLHOP@?9?$AA@ 00c4 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 90 F8 28 30 14 46 06 46 0B B1 E5 68 00 E0 25 69 28 46 ?? ?? ?? ?? 47 1C 38 46 01 21 ?? ?? ?? ?? 00 28 42 D0 37 B1 42 1B 2B 78 7F 1E 53 55 6D 1C 00 2F F9 D1 30 61 94 F8 2E 30 04 2B 01 D9 1F 4D 00 E0 25 6A 28 46 ?? ?? ?? ?? 47 1C 38 46 01 21 ?? ?? ?? ?? 58 B3 37 B1 42 1B 2B 78 7F 1E 53 55 6D 1C 00 2F F9 D1 70 61 94 F8 2F 30 04 2B 01 D9 11 4D 00 E0 65 6A 28 46 ?? ?? ?? ?? 47 1C 38 46 01 21 ?? ?? ?? ?? A0 B1 37 B1 42 1B 2B 78 7F 1E 53 55 6D 1C 00 2F F9 D1 B0 61 63 69 1B 78 33 73 A3 69 1B 78 73 73 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_20_1 {
	meta:
		name = "??$_Getvals@D@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXDABV_Locinfo@1@@Z"
		size = 172
		refs = "0010 _Getcvt 001c memcpy 0022 ?_Getdays@_Locinfo@std@@QBAPBDXZ 0028 strlen 0032 calloc 004c ?_Getmonths@_Locinfo@std@@QBAPBDXZ 0098 ?_Xbad_alloc@std@@YAXXZ 00a8 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 8C B0 06 46 68 46 17 46 ?? ?? ?? ?? 06 F1 18 00 69 46 2C 22 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 05 46 ?? ?? ?? ?? 44 1C 20 46 01 21 ?? ?? ?? ?? 78 B3 02 46 2C B1 15 F8 01 3B 64 1E 02 F8 01 3B F9 D1 B0 60 38 46 ?? ?? ?? ?? 05 46 ?? ?? ?? ?? 44 1C 20 46 01 21 ?? ?? ?? ?? E0 B1 02 46 2C B1 15 F8 01 3B 64 1E 02 F8 01 3B F9 D1 F0 60 0C 4C 0D 20 01 21 0D 25 ?? ?? ?? ?? 70 B1 02 1B 23 78 6D 1E 13 55 64 1C 00 2D F9 D1 30 61 0C B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_46_1 {
	meta:
		name = "??$copy@PADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PAD0V10@@Z"
		size = 66
		refs = "0026 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 48 0D F1 18 0B 0F 46 D6 1B 04 46 0C 98 00 25 97 42 88 BF 00 26 0B 93 CD E9 00 30 46 B1 E9 57 68 46 ?? ?? ?? ?? 6D 1C B5 42 F8 D1 DD E9 00 30 C4 E9 00 30 20 46 BD E8 FC 08 5D F8 14 FB }
	condition:
		$1
}

rule file_99_200_1 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ"
		size = 62
		refs = "0030 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 81 68 89 B1 03 68 9B B1 1A 68 8A B1 93 69 10 2B 01 D3 54 68 00 E0 14 1D 53 69 23 44 99 42 05 D2 4B 1C 83 60 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_204_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV01@@Z"
		size = 46
		refs = "0028 _invalid_parameter_noinfo_noreturn"
		altNames = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B9 00 23 00 E0 1B 68 0A 68 0A B9 00 22 00 E0 12 68 93 42 04 D1 82 68 8B 68 D0 1A BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_205_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 102
		refs = "0058 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 03 68 00 24 13 B1 1B 68 03 B1 1C 68 85 68 57 42 11 D0 ED B1 04 B3 22 68 F2 B1 93 69 10 2B 01 D3 50 68 00 E0 10 1D EE 19 B0 42 13 D8 53 69 03 44 9E 42 00 D9 0E E0 00 23 EA 19 C1 E9 00 33 1C B1 23 68 0B B1 1B 68 0B 60 8A 60 08 46 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_207_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 102
		refs = "0058 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 03 68 00 24 17 46 13 B1 1B 68 03 B1 1C 68 85 68 8F B1 ED B1 04 B3 22 68 F2 B1 93 69 10 2B 01 D3 50 68 00 E0 10 1D EE 19 B0 42 13 D8 53 69 03 44 9E 42 00 D9 0E E0 00 23 EA 19 C1 E9 00 33 1C B1 23 68 0B B1 1B 68 0B 60 8A 60 08 46 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_208_1 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 76
		refs = "003e _invalid_parameter_noinfo_noreturn"
		altNames = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 9C B1 85 68 B5 B1 03 68 C3 B1 1A 68 B2 B1 93 69 10 2B 01 D3 51 68 00 E0 11 1D 25 44 A9 42 0B D8 53 69 0B 44 9D 42 00 D9 06 E0 83 68 23 44 83 60 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_211_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 76
		refs = "003e _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 4D 42 13 D0 84 68 B4 B1 03 68 C3 B1 1A 68 B2 B1 93 69 10 2B 01 D3 51 68 00 E0 11 1D 2C 44 A1 42 0B D8 53 69 0B 44 9C 42 00 D9 06 E0 83 68 2B 44 83 60 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_298_1 {
	meta:
		name = "?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@PBD@Z"
		size = 532
		refs = "0024 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0028 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0038 _guard_check_icall 00d4 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 013a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 8B B0 6F 46 88 B0 C7 E9 01 10 B8 6E 88 46 6F F0 01 03 17 F1 10 01 C7 E9 06 33 ?? ?? ?? ?? ?? ?? ?? ?? 38 60 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D7 F8 74 A0 D7 F8 6C 90 97 F8 64 40 9A F9 00 30 38 6E 97 F8 5C 10 D7 E9 16 56 00 2B 00 F0 AC 80 3A 6F 97 F9 5D 80 4F F0 00 0E 25 2B 21 D1 0A F1 01 0A 9A F9 00 10 D7 F8 08 80 BB 6E 05 91 79 6E CD E9 00 01 D8 F8 00 10 CD F8 18 E0 04 92 4C 6A CD F8 0C 90 02 93 20 46 ?? ?? ?? ?? 40 46 17 F1 20 01 2A 46 33 46 A0 47 05 68 BD 65 46 68 FE 65 63 E0 20 2B 46 D1 D7 F8 00 90 59 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 64 40 38 6E 97 F9 5D 80 97 F8 5C 10 BD 6D 5C B9 17 F1 60 00 ?? ?? ?? ?? 97 F8 64 40 38 6E 97 F9 5D 80 97 F8 5C 10 BD 6D 0D B9 20 B3 00 E0 10 BB 59 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 64 40 38 6E 97 F9 5D 80 97 F8 5C 10 BD 6D D9 F8 0C 30 5F FA 88 F2 33 F8 12 30 13 F0 48 0F 0C D0 17 F1 58 00 ?? ?? ?? ?? 97 F8 64 40 38 6E 97 F9 5D 80 97 F8 5C 10 BD 6D BE E7 FE 6D D7 F8 6C 90 21 E0 29 B9 17 F1 58 00 ?? ?? ?? ?? 97 F9 5D 80 3D 68 2B 68 9C 6A 20 46 ?? ?? ?? ?? 28 46 41 46 00 22 A0 47 9A F9 00 30 98 42 15 D1 17 F1 58 00 ?? ?? ?? ?? D7 E9 16 56 97 F8 5C 10 97 F9 5D 80 38 6E 97 F8 64 40 1A F9 01 3F 3A 6F 4F F0 00 0E 00 2B 7F F4 69 AF 0C E0 D9 F8 00 30 97 F8 64 40 38 6E 43 F0 02 03 97 F8 5C 10 D7 E9 16 56 C9 F8 00 30 D7 F8 04 80 41 B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 64 40 38 6E D7 E9 16 56 34 B9 17 F1 60 00 ?? ?? ?? ?? 38 6E D7 E9 16 56 0D B9 08 B1 06 E0 28 B1 D9 F8 00 30 43 F0 01 03 C9 F8 00 30 C8 E9 00 56 40 46 13 B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_99_301_1 {
	meta:
		name = "?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z"
		size = 454
		refs = "0008 __security_push_cookie 002a ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 005a _guard_check_icall 007e ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 00f0 _Stolx 01be __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 DD F8 68 A0 0E 46 30 79 03 93 19 9B CD F8 00 A0 0D F1 18 08 17 46 04 93 10 B9 08 46 ?? ?? ?? ?? 38 79 10 B9 38 46 ?? ?? ?? ?? 30 68 3B 68 08 B9 03 B3 00 E0 F3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? DA F8 00 30 96 F9 05 40 9D 6A 28 46 ?? ?? ?? ?? 50 46 21 46 00 22 A8 47 2B 28 08 BF 2B 23 02 D0 2D 28 07 D1 2D 23 30 46 0D F1 19 08 8D F8 18 30 ?? ?? ?? ?? 4F F0 00 09 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3A D1 DB BB B9 F1 00 0F 04 D0 30 23 88 F8 00 30 08 F1 01 08 0D F1 37 0A 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3C D1 EB BB B9 F1 00 0F 01 D1 0D F1 18 08 00 23 88 F8 00 30 01 93 01 AB 02 A9 06 A8 0A 22 ?? ?? ?? ?? 33 79 00 24 05 46 13 B9 30 46 ?? ?? ?? ?? 3B 79 13 B9 38 46 ?? ?? ?? ?? 33 68 00 2B 3B 68 3F D1 FB B3 3F E0 00 2B C3 D1 33 79 13 B9 30 46 ?? ?? ?? ?? DA F8 00 30 96 F9 05 40 9D 6A 28 46 ?? ?? ?? ?? 50 46 21 46 00 22 A8 47 30 28 B0 D1 30 46 4F F0 01 09 ?? ?? ?? ?? 9B E7 00 2B C1 D1 33 79 13 B9 30 46 ?? ?? ?? ?? 00 9B 96 F9 05 40 1B 68 9D 6A 28 46 ?? ?? ?? ?? 00 98 21 46 00 22 A8 47 30 28 AE DB 39 28 AC DC 88 F8 00 00 D0 45 01 D2 08 F1 01 08 30 46 4F F0 01 09 ?? ?? ?? ?? 91 E7 03 B1 01 24 02 9B 06 AA 93 42 0A D0 01 9B 43 B9 03 9B 9D 42 05 DB 18 9B AB 42 02 DB 04 9B 1D 60 01 E0 44 F0 02 04 20 46 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_99_303_1 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z"
		size = 2804
		refs = "0008 __security_push_cookie 0044 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0048 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 005a _guard_check_icall 0080 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 00be ??2@YAPAXI@Z 00c4 _invalid_parameter_noinfo_noreturn 014c ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 01e8 ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 022e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 023a ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0248 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 0276 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 02f6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0300 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 03b6 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 0536 ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 059a ??3@YAXPAX@Z 060a ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 0640 ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0732 ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0820 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0860 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0a4c ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ 0a52 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z 0a74 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAABDXZ 0ad8 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0ae8 __security_pop_cookie 0af0 ?_Src@?1??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAAVios_base@3@PAD@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? BC B0 6F 46 9A 46 C7 E9 05 13 6F F0 01 03 16 46 C7 E9 1A 33 3E 61 88 46 D7 F8 1C 31 D7 F8 20 21 97 F8 18 01 7A 62 00 22 00 28 7A 60 18 46 79 65 FB 63 1B D0 17 F1 58 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 B8 60 FD 6D 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1A E0 17 F1 60 01 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 B8 60 7D 6E 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 3B 60 FB 62 08 20 C7 F8 D0 30 C7 E9 39 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 D0 00 C0 E9 00 32 D7 F8 D0 30 17 F1 D0 02 1A 60 0F 23 C7 F8 E8 30 00 23 C7 F8 E4 30 87 F8 D4 30 D9 F8 00 30 DC 6A 20 46 ?? ?? ?? ?? 48 46 17 F1 28 01 A0 47 00 24 08 20 C8 F8 00 40 C8 E9 05 44 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C8 F8 00 00 C0 E9 00 32 D8 F8 00 30 C3 F8 00 80 0F 23 C8 E9 05 43 88 F8 04 40 F8 6B 4F F0 01 09 17 F1 30 01 C7 F8 1C 90 C7 F8 04 90 ?? ?? ?? ?? ?? ?? ?? ?? F8 60 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 FD 68 2B 68 DC 69 20 46 ?? ?? ?? ?? DF F8 68 39 28 46 19 46 03 F1 0C 02 7B 6A A0 47 00 23 3B 62 08 24 17 F1 28 02 04 2B 80 F0 32 84 9B 56 20 2B 00 F0 E3 83 24 2B 00 F0 BD 82 2B 2B 00 F0 A4 81 76 2B 04 D0 78 2B 00 F0 D8 83 00 F0 00 BC BD 68 4F F0 00 09 2B 68 C7 F8 40 90 5C 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 78 64 28 46 17 F1 B0 01 ?? ?? ?? ?? D7 F8 C4 30 00 2B 00 F0 F6 80 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 80 46 00 28 00 F0 E9 80 D7 F8 C8 30 10 2B 02 D3 D7 F8 B4 30 01 E0 17 F1 B4 03 1B 78 7F 2B 80 F0 DC 80 00 22 01 21 17 F1 90 00 ?? ?? ?? ?? 3C 69 B9 69 00 26 20 46 ?? ?? ?? ?? 00 28 7E D0 23 79 13 B9 20 46 ?? ?? ?? ?? 78 6A 94 F9 05 10 90 F9 00 30 02 46 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 13 1A 0A 2B 1F D2 DF F8 80 28 78 69 99 56 ?? ?? ?? ?? D7 F8 A4 30 9E 42 00 F2 AA 83 D7 F8 A8 10 D7 F8 94 20 10 29 28 BF 13 46 01 D2 17 F1 94 03 9B 57 7F 2B 2F D0 10 29 01 D2 17 F1 94 02 93 5D 5B 1C 93 55 27 E0 D7 F8 A4 50 AE 42 00 F2 94 83 D7 F8 A8 40 D7 F8 94 00 10 2C 28 BF 03 46 01 D2 17 F1 94 03 9B 57 1B B3 3A 69 13 79 3B B9 10 46 ?? ?? ?? ?? D7 E9 29 54 D7 F8 94 00 3A 69 92 F9 05 30 43 45 14 D1 00 22 01 21 17 F1 90 00 ?? ?? ?? ?? 3C 69 76 1C 20 46 ?? ?? ?? ?? B9 69 20 46 ?? ?? ?? ?? 00 28 98 D1 D7 E9 29 54 D7 F8 94 00 B6 B1 AE 42 00 F2 5E 83 10 2C 28 BF 03 46 01 D2 17 F1 94 03 9B 57 00 2B C8 BF 76 1C 08 DC 4F F0 01 08 C7 F8 00 80 05 E0 D7 E9 29 54 D7 F8 94 00 D7 F8 00 80 D7 F8 C8 30 10 2B 02 D3 D7 F8 B4 10 01 E0 17 F1 B4 01 B8 F1 00 0F 2D D1 2E B3 91 F9 00 20 7F 2A 21 D0 76 1E 0B D0 AE 42 00 F2 36 83 10 2C 28 BF 03 46 01 D2 17 F1 94 03 F3 56 9A 42 10 D1 4E B9 10 2C 28 BF 03 46 01 D2 17 F1 94 03 93 F9 00 30 9A 42 05 DB 91 F9 01 30 00 2B DD DD 49 1C DB E7 01 23 3B 60 06 E0 17 F1 90 00 ?? ?? ?? ?? 3E 69 BD 69 40 E0 17 F1 90 00 ?? ?? ?? ?? 17 F1 B0 00 ?? ?? ?? ?? D7 E9 04 68 D7 E9 06 A9 FD 68 08 24 F3 E2 D7 F8 14 80 BD 69 30 46 29 46 ?? ?? ?? ?? 48 B3 D7 F8 24 A0 DF F8 FC 96 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 10 9A F9 00 30 52 46 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 A2 EB 0A 03 0A 2B 0D D2 13 F9 09 10 40 46 ?? ?? ?? ?? 30 46 ?? ?? ?? ?? 29 46 30 46 ?? ?? ?? ?? 00 28 DB D1 D7 E9 10 9A D7 F8 08 80 D8 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 40 46 A0 47 04 46 30 46 29 46 ?? ?? ?? ?? B8 B3 B4 B3 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 A3 42 2D D1 1F E0 D1 45 2A DA 33 79 13 B9 30 46 ?? ?? ?? ?? 78 6A 96 F9 05 10 90 F9 00 30 02 46 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 13 1A 0A 2B 10 D2 DF F8 44 26 78 69 99 56 ?? ?? ?? ?? 09 F1 01 09 30 46 ?? ?? ?? ?? 29 46 30 46 ?? ?? ?? ?? 00 28 D6 D1 D1 45 01 DA 01 23 3B 60 D7 F8 14 80 D8 F8 14 30 13 B9 01 23 3B 60 09 E0 D1 45 07 DA AA EB 09 04 30 21 40 46 ?? ?? ?? ?? 64 1E F9 D1 17 F1 B0 00 ?? ?? ?? ?? 69 E7 33 79 13 B9 30 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? 33 68 00 2B DA F8 00 30 03 D1 00 2B 00 F0 50 82 02 E0 00 2B 40 F0 4C 82 BC 68 17 F1 90 01 20 46 ?? ?? ?? ?? 43 69 49 F0 04 05 7D 60 E3 B1 17 F1 B0 01 20 46 ?? ?? ?? ?? 83 69 4F F0 08 09 45 EA 09 05 7D 60 10 2B 01 D3 44 68 00 E0 04 1D 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 94 F9 00 30 93 42 03 D1 01 24 02 E0 4F F0 08 09 00 24 15 EA 09 0F 18 D0 D7 F8 C8 30 25 EA 09 05 10 2B 03 D3 D7 F8 B4 00 ?? ?? ?? ?? 0F 23 D7 F8 B0 00 C7 F8 C8 30 00 23 C7 F8 C4 30 87 F8 B4 30 ?? ?? ?? ?? 00 23 C7 F8 B0 30 D7 F8 A8 30 25 F0 04 09 C7 F8 1C 90 10 2B C7 F8 04 90 03 D3 D7 F8 94 00 ?? ?? ?? ?? 0F 23 D7 F8 90 00 C7 F8 A8 30 00 23 C7 F8 A4 30 87 F8 94 30 ?? ?? ?? ?? 14 B3 30 46 ?? ?? ?? ?? BD 68 17 F1 B0 01 28 46 ?? ?? ?? ?? 01 46 17 F1 D0 00 ?? ?? ?? ?? D7 F8 C8 30 10 2B 03 D3 D7 F8 B4 00 ?? ?? ?? ?? 0F 23 C7 F8 C8 30 00 23 D7 F8 B0 00 C7 F8 C4 30 87 F8 B4 30 ?? ?? ?? ?? CF E6 BD 68 17 F1 90 01 28 46 ?? ?? ?? ?? 43 69 49 F0 10 04 7C 60 E3 B1 17 F1 B0 01 28 46 ?? ?? ?? ?? 83 69 4F F0 20 09 44 EA 09 04 7C 60 10 2B 01 D3 45 68 00 E0 05 1D 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 95 F9 00 30 93 42 03 D1 01 25 02 E0 4F F0 20 09 00 25 14 EA 09 0F 05 D0 17 F1 B0 00 24 EA 09 04 ?? ?? ?? ?? 24 F0 10 09 17 F1 90 00 C7 F8 1C 90 C7 F8 04 90 ?? ?? ?? ?? 9D B1 30 46 ?? ?? ?? ?? B8 68 17 F1 B0 01 ?? ?? ?? ?? 01 46 17 F1 D0 00 ?? ?? ?? ?? 17 F1 B0 00 ?? ?? ?? ?? 01 21 F9 62 7C E6 BD 68 17 F1 B0 01 28 46 ?? ?? ?? ?? 43 69 0B B9 01 24 00 E0 00 24 17 F1 B0 00 ?? ?? ?? ?? 00 2C 7F F4 6B AE 17 F1 B0 01 28 46 ?? ?? ?? ?? 43 69 0B B9 01 24 00 E0 00 24 17 F1 B0 00 ?? ?? ?? ?? FD 68 00 2C 3F F4 5A AE 01 23 FB 62 56 E6 B8 68 17 F1 90 01 ?? ?? ?? ?? FB 6B 00 25 5B 69 23 42 28 D1 33 79 13 B9 30 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? 33 68 00 2B DA F8 00 30 01 D1 BB B1 00 E0 AB B9 33 79 13 B9 30 46 ?? ?? ?? ?? D7 F8 A8 00 D7 F8 94 10 96 F9 05 20 10 28 28 BF 0B 46 01 D2 17 F1 94 03 93 F9 00 30 9A 42 04 D0 3A E0 D7 F8 A8 00 D7 F8 94 10 3B 6A 03 2B 3B D1 D7 F8 E4 30 01 2B 37 D8 33 79 33 B9 30 46 ?? ?? ?? ?? D7 F8 A8 00 D7 F8 94 10 9A F8 04 30 33 B9 50 46 ?? ?? ?? ?? D7 F8 A8 00 D7 F8 94 10 33 68 00 2B DA F8 00 30 01 D1 B3 B1 00 E0 A3 B9 33 79 33 B9 30 46 ?? ?? ?? ?? D7 F8 A8 00 D7 F8 94 10 10 28 96 F9 05 20 28 BF 0B 46 01 D2 17 F1 94 03 93 F9 00 30 9A 42 07 D0 10 28 01 D2 17 F1 94 01 00 23 C7 F8 A4 30 0B 70 17 F1 70 01 17 F1 90 00 ?? ?? ?? ?? 03 68 13 B1 1B 68 03 B1 1D 68 84 68 33 79 13 B9 30 46 ?? ?? ?? ?? 9A F8 04 30 13 B9 50 46 ?? ?? ?? ?? 33 68 00 2B DA F8 00 30 02 D1 00 2B 41 D0 00 E0 FB BB 17 F1 80 01 17 F1 90 00 ?? ?? ?? ?? 49 F0 02 09 C7 F8 1C 90 C7 F8 04 90 0D B9 00 22 00 E0 2A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 40 F0 B6 80 83 68 9C 42 24 D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 00 00 2C 00 F0 A7 80 00 2D 00 F0 A2 80 2A 68 00 2A 00 F0 9E 80 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 00 F2 93 80 53 69 0B 44 9C 42 80 F0 8E 80 94 F9 00 30 98 42 08 BF 01 23 00 D0 00 23 02 22 19 EA 02 0F 05 D0 29 EA 02 09 C7 F8 1C 90 C7 F8 04 90 BB B1 00 2C 00 F0 85 80 00 2D 00 F0 80 80 2A 68 00 2A 7C D0 93 69 10 2B 01 D3 51 68 00 E0 11 1D 53 69 0B 44 9C 42 70 D2 30 46 64 1C ?? ?? ?? ?? 87 E7 17 F1 48 01 17 F1 90 00 ?? ?? ?? ?? 0D B9 00 22 00 E0 2A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 60 D1 83 68 9C 42 01 D0 01 23 3B 60 D7 F8 A8 30 10 2B 03 D3 D7 F8 94 00 ?? ?? ?? ?? 0F 23 C7 F8 A8 30 00 23 D7 F8 90 00 C7 F8 A4 30 87 F8 94 30 5F E6 3B 6A 03 2B 26 D0 00 24 0F E0 33 79 13 B9 30 46 ?? ?? ?? ?? 72 79 EB 68 33 F8 12 30 13 F0 48 0F 09 D0 30 46 01 24 ?? ?? ?? ?? 51 46 30 46 ?? ?? ?? ?? 00 28 E9 D1 3B 6A 17 F1 28 02 9B 56 20 2B 05 D1 00 2C 7F F4 10 AD 01 23 3B 60 00 E0 3B 68 08 24 00 E0 3B 68 3A 6A 52 1C 3A 62 00 2B 6E D1 13 46 FF F7 E1 BB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D7 F8 E4 30 01 2B 5D D9 00 23 17 F1 48 01 17 F1 D0 00 C7 E9 0C 33 BB 63 ?? ?? ?? ?? 03 68 1B B1 1B 68 0B B1 1B 68 3B 63 83 68 BB 63 17 F1 48 01 17 F1 D0 00 ?? ?? ?? ?? 04 46 49 F0 40 05 17 F1 30 00 7D 60 ?? ?? ?? ?? 21 46 ?? ?? ?? ?? A8 B1 51 46 30 46 ?? ?? ?? ?? 80 B1 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 40 17 F1 30 00 ?? ?? ?? ?? 90 F9 00 30 9C 42 08 BF 01 23 00 D0 00 23 25 F0 40 09 C7 F8 04 90 1B B1 30 46 ?? ?? ?? ?? CD E7 17 F1 48 01 17 F1 D0 00 ?? ?? ?? ?? 01 46 17 F1 30 00 ?? ?? ?? ?? 68 B1 D8 F8 18 30 10 2B 02 D3 D8 F8 04 30 01 E0 08 F1 04 03 00 22 C8 F8 14 20 1A 70 07 E0 FB 6A 2B B1 2D 23 01 22 00 21 40 46 ?? ?? ?? ?? 17 F1 D0 00 ?? ?? ?? ?? 40 46 3C B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_311_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$3"
		size = 30
		refs = "0018 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 01 03 00 2B 00 F0 07 80 7B 68 23 F0 01 03 7B 60 78 6D ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_99_316_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 04 03 00 2B 00 F0 08 80 7B 68 23 F0 04 03 7B 60 17 F1 90 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_99_317_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 08 03 00 2B 00 F0 08 80 7B 68 23 F0 08 03 7B 60 17 F1 B0 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_99_318_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 10 03 00 2B 00 F0 08 80 7B 68 23 F0 10 03 7B 60 17 F1 90 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_99_319_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 7B 68 03 F0 20 03 00 2B 00 F0 08 80 7B 68 23 F0 20 03 7B 60 17 F1 B0 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_99_343_1 {
	meta:
		name = "?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 1240
		refs = "0026 ?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z 004e ??0_Lockit@std@@QAA@H@Z 0062 ??1_Lockit@std@@QAA@XZ 006a ??2@YAPAXI@Z 0080 _Getcoll 00b8 ??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z 00c2 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z 0132 ??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z 01f0 ??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0226 ??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0288 ?_Init@?$_Mpunct@D@std@@IAAXABV_Locinfo@2@_N@Z 0316 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 034c ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 03ae ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAAXABV_Locinfo@2@@Z 0406 ?_Gettnames@_Locinfo@std@@QBA?AV_Timevec@2@XZ 0414 free 0444 ??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 047a ??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0490 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0494 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0498 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 049c ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 04a0 ?id@?$moneypunct@D$00@std@@2V0locale@2@A 04a4 ??_7?$moneypunct@D$00@std@@6B@ 04a8 ??_7?$moneypunct@D$0A@@std@@6B@ 04ac ??_7?$_Mpunct@D@std@@6B@ 04b0 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 04b4 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 04b8 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 04bc ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 04c0 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 04c4 ??_7?$messages@D@std@@6B@ 04c8 ?id@?$messages@D@std@@2V0locale@2@A 04cc ??_7?$collate@D@std@@6B@ 04d0 ?id@?$collate@D@std@@2V0locale@2@A 04d4 ?_Id_cnt@id@locale@std@@0HA"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 6F 46 98 46 6F F0 01 03 C7 E9 06 33 00 23 89 46 39 61 38 60 00 21 00 20 BB 60 92 46 ?? ?? ?? ?? 01 23 03 FA 00 F4 DF F8 A0 54 19 EA 64 0F 45 D0 DF F8 94 44 B8 F1 00 0F 26 68 26 D1 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 10 20 ?? ?? ?? ?? 04 46 6C B1 00 23 63 60 DF F8 54 34 17 F1 08 00 23 60 ?? ?? ?? ?? BB 68 A3 60 FB 68 E3 60 00 E0 00 24 21 46 14 E0 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 40 46 ?? ?? ?? ?? 01 46 32 46 50 46 ?? ?? ?? ?? 19 F0 20 0F 39 D0 FE 4C B8 F1 00 0F 26 68 1B D1 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 EF 4B 03 60 15 E0 00 20 13 E0 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 40 46 ?? ?? ?? ?? 01 46 50 46 32 46 ?? ?? ?? ?? 19 F0 04 09 76 D0 DE 4C B8 F1 00 0F 26 68 3D D1 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 CF 4B 03 60 00 E0 00 20 01 46 50 46 32 46 ?? ?? ?? ?? C8 4C 26 68 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 08 20 ?? ?? ?? ?? 20 B1 00 23 43 60 BD 4B 03 60 30 E0 00 20 2E E0 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 40 46 ?? ?? ?? ?? 01 46 50 46 32 46 ?? ?? ?? ?? AD 4C 26 68 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 40 46 ?? ?? ?? ?? 01 46 50 46 32 46 ?? ?? ?? ?? B9 F1 00 0F 00 F0 8F 80 9C 4C B8 F1 00 0F 26 68 55 D1 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 58 20 ?? ?? ?? ?? 04 46 BC 60 DF F8 38 92 64 B1 00 23 63 60 39 68 00 22 C0 F8 00 90 80 F8 28 30 ?? ?? ?? ?? 86 4B 23 60 00 E0 00 24 32 46 21 46 50 46 ?? ?? ?? ?? 80 4C 26 68 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 58 20 ?? ?? ?? ?? 04 46 BC 60 6C B1 00 23 63 60 39 68 01 23 00 22 C0 F8 00 90 80 F8 28 30 ?? ?? ?? ?? 6F 4B 23 60 00 E0 00 24 21 46 2F E0 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 40 46 ?? ?? ?? ?? 01 46 50 46 32 46 ?? ?? ?? ?? 5E 4C 26 68 7E B9 17 F1 08 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 08 00 ?? ?? ?? ?? 26 68 40 46 ?? ?? ?? ?? 01 46 32 46 50 46 ?? ?? ?? ?? 3B 69 13 F0 10 0F 00 F0 92 80 4D 4C B8 F1 00 0F 26 68 58 D1 7E B9 17 F1 10 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 10 00 ?? ?? ?? ?? 26 68 44 20 ?? ?? ?? ?? 04 46 3C 61 4F F0 00 09 4C B1 C0 F8 04 90 D7 F8 00 80 3B 4B 41 46 23 60 ?? ?? ?? ?? 02 E0 D7 F8 00 80 00 24 32 46 21 46 50 46 ?? ?? ?? ?? 32 4C 26 68 7E B9 17 F1 10 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 10 00 ?? ?? ?? ?? 26 68 0C 20 ?? ?? ?? ?? 04 46 94 B1 27 4B C0 F8 04 90 17 F1 10 01 23 60 C0 F8 08 90 40 46 ?? ?? ?? ?? 03 68 A3 60 C0 F8 00 90 38 69 ?? ?? ?? ?? 00 E0 00 24 21 46 2F E0 7E B9 17 F1 10 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 10 00 ?? ?? ?? ?? 26 68 40 46 ?? ?? ?? ?? 01 46 50 46 32 46 ?? ?? ?? ?? 0F 4C 26 68 7E B9 17 F1 10 00 00 21 ?? ?? ?? ?? 23 68 1B B9 2B 68 5B 1C 2B 60 23 60 17 F1 10 00 ?? ?? ?? ?? 26 68 40 46 ?? ?? ?? ?? 01 46 32 46 50 46 ?? ?? ?? ?? 09 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_365_1 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@I@Z"
		size = 154
		refs = "0040 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0080 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 0F B4 2D E9 78 48 0D F1 10 0B 0A 9E 1C 46 CD E9 07 12 05 46 6E B3 A1 68 E1 B3 23 68 C3 B3 1A 68 B2 B3 93 69 10 2B 01 D3 50 68 00 E0 10 1D 88 42 2C D8 53 69 03 44 99 42 28 D2 91 F9 00 10 07 A8 ?? ?? ?? ?? A0 68 76 1E F0 B1 23 68 D3 B1 1A 68 C2 B1 93 69 10 2B 01 D3 51 68 00 E0 11 1D 53 69 0B 44 98 42 0C D2 43 1C A3 60 00 2E D3 D1 DD E9 07 12 C5 E9 00 12 28 46 BD E8 78 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_366_1 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 1796
		refs = "000a __security_push_cookie 003a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003e ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0052 _guard_check_icall 0078 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 00ae ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0186 ??2@YAPAXI@Z 018c _invalid_parameter_noinfo_noreturn 01d8 ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01f6 ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0200 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 0210 ??3@YAXPAX@Z 0278 ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0366 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 03ca ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 03f4 ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@I@Z 04fa ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0504 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z 0634 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z 06d4 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 06ea ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ 06f8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? F6 B0 6F 46 82 B0 D7 F8 14 92 D7 F8 20 A2 6F F0 01 03 C7 E9 3C 33 C7 F8 18 90 C7 F8 9C A0 B9 64 97 F8 10 32 48 46 E3 B1 17 F1 A0 01 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 BE 60 D7 F8 A4 50 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1B E0 17 F1 A8 01 ?? ?? ?? ?? ?? ?? ?? ?? 06 46 BE 60 D7 F8 AC 50 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F5 DC 71 30 46 ?? ?? ?? ?? 33 68 5C 6A 20 46 ?? ?? ?? ?? 30 46 A0 47 80 EA E0 73 A3 EB E0 78 DA F8 14 30 C7 F8 40 80 43 45 09 D8 A8 EB 03 03 5A 1C 97 F9 24 32 00 21 50 46 ?? ?? ?? ?? 48 E0 D7 F8 D0 11 D7 F8 BC 21 10 29 28 BF 13 46 01 D2 17 F5 DE 73 93 F9 00 30 7F 2B 3A D0 10 29 01 D2 17 F5 DE 72 92 F9 00 30 00 2B 32 DD 33 68 1C 69 20 46 ?? ?? ?? ?? 30 46 A0 47 D7 F8 D0 31 78 60 10 2B 02 D3 D7 F8 BC 41 01 E0 17 F5 DE 74 DA F8 14 30 A3 EB 08 05 94 F9 00 30 7F 2B 19 D0 D7 F8 04 90 94 F9 00 30 00 2B 11 DD AB 42 0F D2 ED 1A 29 46 4B 46 01 22 50 46 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 30 7F 2B E9 D1 D7 F8 18 90 00 23 08 20 C7 F8 78 31 C7 E9 63 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 78 01 C0 E9 00 32 D7 F8 78 31 17 F5 BC 72 1A 60 0F 23 C7 F8 90 31 00 23 C7 F8 8C 31 87 F8 7C 31 97 F8 1C 32 00 2B 33 68 0E D0 DC 6A 20 46 ?? ?? ?? ?? 30 46 39 1D A0 47 7B 68 17 F5 CC 71 30 46 7B 60 ?? ?? ?? ?? 0D E0 9C 6A 20 46 ?? ?? ?? ?? 30 46 39 1D A0 47 7B 68 17 F5 CC 71 30 46 7B 60 ?? ?? ?? ?? 01 46 17 F5 BC 70 ?? ?? ?? ?? D7 F8 B0 31 10 2B 03 D3 D7 F8 9C 01 ?? ?? ?? ?? 0F 23 D7 F8 98 01 C7 F8 B0 31 00 23 C7 F8 AC 31 87 F8 9C 31 ?? ?? ?? ?? 00 23 08 20 C7 F8 58 31 C7 E9 5B 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 C7 F8 58 01 C0 E9 00 32 D7 F8 58 31 17 F5 AC 72 00 20 1A 60 0F 23 C7 E9 5B 03 00 23 87 F8 5C 31 38 60 D9 F8 14 30 13 F0 08 0F 20 D0 17 F5 CC 71 30 46 ?? ?? ?? ?? 01 46 17 F5 AC 70 ?? ?? ?? ?? D7 F8 B0 31 10 2B 03 D3 D7 F8 9C 01 ?? ?? ?? ?? 0F 23 D7 F8 98 01 C7 F8 B0 31 00 23 C7 F8 AC 31 87 F8 9C 31 ?? ?? ?? ?? D7 F8 6C 01 38 60 D7 F8 8C 91 00 22 00 21 3E 1D 4F F0 00 0E 8B 57 20 2B 1F D0 24 2B 1B D0 2B 2B 17 D0 76 2B 02 D0 78 2B 18 D0 1B E0 DA F8 14 40 B8 F1 00 0F 18 BF 01 25 08 BF 00 25 44 45 03 D8 A8 EB 04 03 5B 1C 00 E0 00 23 23 44 2B 44 1A 44 08 E0 4A 44 06 E0 02 44 04 E0 52 1C 03 29 01 D0 4F F0 01 0E 49 1C 04 29 D4 D3 B8 69 BE 68 D0 E9 08 13 00 2B 06 DB 00 DC 21 B1 91 42 02 D9 A1 EB 02 08 01 E0 4F F0 00 08 43 69 4F F4 80 72 03 F4 E0 73 7B 64 40 2B 22 D0 93 42 02 D1 BE F1 00 0F 1D D1 D7 E9 82 45 B8 F1 00 0F C7 E9 02 45 11 D0 97 F9 18 12 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 6C 31 D7 F8 8C 91 D7 E9 02 45 3B 60 4F F4 80 72 C7 E9 82 45 4F F0 00 08 01 E0 D7 E9 82 45 00 23 BB 60 39 1D 5B 56 20 2B 00 F0 02 81 24 2B 00 F0 E5 80 2B 2B 00 F0 C3 80 76 2B 03 D0 78 2B 00 F0 0A 81 2A E1 D7 F8 40 90 B9 F1 00 0F 27 D1 DA F8 14 90 17 F5 9C 71 50 46 ?? ?? ?? ?? 00 23 C7 E9 14 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 65 83 68 BB 65 17 F1 50 03 17 F1 F8 00 21 46 2A 46 CD F8 00 90 ?? ?? ?? ?? 04 68 D7 F8 6C 31 D7 F8 8C 91 C7 F8 08 42 45 68 3B 60 C7 F8 0C 52 FB E0 DA F8 14 30 3B 60 4B 45 3E D8 97 F9 24 12 17 F5 02 70 ?? ?? ?? ?? 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 02 70 ?? ?? ?? ?? DA F8 14 30 D7 E9 82 45 B9 EB 03 09 C7 E9 0C 45 0A D0 97 F9 24 12 17 F1 30 00 ?? ?? ?? ?? B9 F1 01 09 F6 D1 D7 E9 0C 45 DA F8 14 90 17 F5 A4 71 50 46 C7 E9 82 45 ?? ?? ?? ?? 00 23 C7 E9 18 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 66 83 68 BB 66 17 F1 60 03 17 F5 80 70 A9 E7 17 F5 84 71 50 46 ?? ?? ?? ?? 00 23 C7 E9 1C 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 67 83 68 2A 46 21 46 BB 67 3B 68 17 F1 D8 00 A3 EB 09 03 00 93 17 F1 70 03 ?? ?? ?? ?? 03 68 C7 F8 08 32 43 68 C7 F8 0C 32 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 02 70 ?? ?? ?? ?? 17 F5 8C 71 50 46 ?? ?? ?? ?? 4A 46 17 F5 94 71 ?? ?? ?? ?? 00 23 C7 E9 20 33 03 68 23 B1 1B 68 13 B1 1B 68 C7 F8 80 30 83 68 D7 E9 82 12 C7 F8 88 30 17 F1 80 03 17 F1 E0 00 5F E7 B9 F1 00 0F 6A D0 17 F1 B8 01 17 F5 BC 70 ?? ?? ?? ?? 00 23 C7 E9 24 33 03 68 23 B1 1B 68 13 B1 1B 68 C7 F8 90 30 83 68 2A 46 21 46 C7 F8 98 30 01 23 00 93 17 F1 90 03 17 F1 E8 00 42 E7 17 F1 C8 01 17 F5 AC 70 ?? ?? ?? ?? 00 23 C7 E9 08 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 62 83 68 2A 46 21 46 BB 62 3B 68 00 93 17 F1 20 03 17 F1 B0 00 28 E7 97 F9 18 12 17 F1 38 00 C7 E9 0E 45 ?? ?? ?? ?? D7 E9 0E 45 D7 F8 6C 31 D7 F8 8C 91 C7 E9 82 45 3B 60 4F F4 80 72 7B 6C 93 42 1E D1 23 46 C7 E9 04 45 2A 46 B8 F1 00 0F 0F D0 97 F9 18 12 17 F1 10 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 6C 31 D7 F8 8C 91 7A 69 3B 60 3B 69 1C 46 C7 E9 82 32 15 46 4F F0 00 08 4F F4 80 72 BB 68 07 F1 04 01 5B 1C BB 60 04 2B FF F4 BD AE B9 F1 01 0F 26 D9 17 F1 C8 01 17 F5 BC 70 ?? ?? ?? ?? 17 F1 B8 01 01 22 ?? ?? ?? ?? 00 23 C7 E9 08 33 03 68 1B B1 1B 68 0B B1 1B 68 3B 62 83 68 D7 E9 82 12 BB 62 A9 F1 01 03 00 93 17 F1 20 03 17 F1 B0 00 ?? ?? ?? ?? 04 68 C7 F8 08 42 45 68 C7 F8 0C 52 BB 69 00 22 C7 E9 04 45 C3 E9 08 22 B8 F1 00 0F 0A D0 97 F9 18 12 17 F1 10 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 E9 04 45 BE 6C C6 E9 00 45 D7 F8 70 31 10 2B 03 D3 D7 F8 5C 01 ?? ?? ?? ?? 0F 23 D7 F8 58 01 C7 F8 70 31 00 23 C7 F8 6C 31 87 F8 5C 31 ?? ?? ?? ?? 00 23 C7 F8 58 31 17 F5 BC 70 00 22 01 21 ?? ?? ?? ?? D7 F8 78 01 ?? ?? ?? ?? 00 23 C7 F8 78 31 17 F5 DC 70 ?? ?? ?? ?? 50 46 ?? ?? ?? ?? 30 46 78 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_99_419_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 240
		refs = "000a __security_push_cookie 0044 ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z 0052 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 008c _errno 009c strtod 00cc ??3@YAXPAX@Z 00e4 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 84 B0 6F F0 01 03 C7 E9 02 33 17 F1 30 03 D7 F8 84 20 02 93 97 F8 80 30 D7 F8 88 60 D7 F8 8C A0 00 93 89 46 01 92 17 F1 78 03 17 F1 70 02 17 F1 10 01 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 3A 6F BB 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 7B 6A E3 B1 BB 6A 10 2B 02 D3 D7 F8 14 80 01 E0 17 F1 14 08 ?? ?? ?? ?? 05 46 2C 68 40 46 00 23 39 46 2B 60 ?? ?? ?? ?? 2A 68 2C 60 3B 68 43 45 04 D0 1A B9 3A 6F 8A ED 00 0B 04 E0 3A 6F 33 68 43 F0 02 03 33 60 7B 6F C9 E9 00 23 BB 6A 10 2B 02 D3 78 69 ?? ?? ?? ?? 0F 23 38 69 BB 62 00 23 7B 62 3B 75 ?? ?? ?? ?? 48 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_99_421_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 330
		refs = "000a __security_push_cookie 003e ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z 004e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00a6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0112 _invalid_parameter_noinfo_noreturn 0126 ??3@YAXPAX@Z 013e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 00 33 17 F1 28 03 7A 6F 02 93 97 F8 70 30 BD 6F FC 6F 00 93 88 46 01 92 17 F1 68 03 17 F1 60 02 17 F1 08 01 ?? ?? ?? ?? 97 F8 64 30 FE 69 1B B9 17 F1 60 00 ?? ?? ?? ?? 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 39 6E BB 6E 09 B9 0B B1 04 E0 1B B1 2B 68 43 F0 01 03 2B 60 36 B9 2B 68 3A 6A F8 68 43 F0 02 03 2B 60 4B E0 63 69 00 25 9E 42 09 D8 A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 66 61 9A 55 04 E0 F1 1A 00 22 20 46 ?? ?? ?? ?? 3A 6A F8 68 10 2A 28 BF 03 46 01 D2 17 F1 0C 03 93 F9 00 30 2D 2B 24 D1 A3 69 10 2B 01 D3 62 68 00 E0 22 1D 97 F8 32 30 01 25 13 70 17 E0 FB 69 9D 42 1B D8 10 2A 01 D2 17 F1 0C 00 63 69 9D 42 12 D8 A3 69 10 2B 01 D3 61 68 00 E0 21 1D 42 57 17 F1 28 03 13 44 13 F8 30 3C 4B 55 6D 1C F8 68 3A 6A B5 42 E3 D3 03 E0 ?? ?? ?? ?? ?? ?? ?? ?? 39 6E 7B 6E C8 E9 00 13 10 2A 01 D3 ?? ?? ?? ?? 0F 23 B8 68 3B 62 00 23 FB 61 3B 73 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_99_426_1 {
	meta:
		name = "?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 1900
		refs = "0024 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0028 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0038 _guard_check_icall 0074 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 011e ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 0202 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 89 B0 6F 46 86 B0 06 46 38 6E C7 E9 00 61 6F F0 01 03 17 F1 10 01 C7 E9 06 33 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 81 46 08 B9 4F F0 02 09 97 F8 54 10 29 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 54 10 97 F8 5C 40 3C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 97 F8 54 10 3D 6D BA 6E D7 F8 64 80 B8 6D 4F F0 1F 0E 15 B9 00 28 7C D0 01 E0 00 28 79 D1 41 B9 17 F1 50 00 ?? ?? ?? ?? B8 6D 3D 6D BA 6E 4F F0 1F 0E 97 F8 55 10 DA F8 0C 30 33 F9 11 30 13 F0 04 0F 15 D1 3B 6E 00 90 04 92 02 93 FB 6D CD F8 0C 80 01 93 33 68 DC 69 20 46 ?? ?? ?? ?? 7B 6D 30 46 17 F1 08 01 2A 46 A0 47 4F F0 02 09 47 E0 B9 F1 02 0F 19 D1 02 F1 10 03 01 93 0C 23 00 93 01 23 17 F1 58 02 17 F1 50 01 30 46 CD F8 08 A0 ?? ?? ?? ?? D8 F8 00 30 BA 6E 03 43 C8 F8 00 30 13 69 5B 1E 13 61 3D 6D 2E E0 B9 F1 01 0F 14 D1 02 F1 0C 03 01 93 01 23 17 F1 58 02 17 F1 50 01 30 46 CD F8 08 A0 CD F8 00 E0 ?? ?? ?? ?? D8 F8 00 30 03 43 C8 F8 00 30 E5 E7 3B 6E 00 90 04 92 02 93 FB 6D CD F8 0C 80 01 93 33 68 1C 6A 20 46 ?? ?? ?? ?? 7B 6D 30 46 17 F1 08 01 2A 46 A0 47 D7 E9 02 53 C7 E9 14 53 97 F8 5C 40 B8 6D 97 F8 54 10 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F8 54 10 3D 6D 4C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F8 54 10 3D 6D 0D B9 D8 B1 00 E0 C8 B9 49 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F8 54 10 3D 6D 97 F9 55 60 DA F8 0C 30 F2 B2 33 F9 12 30 13 F0 48 0F 06 D0 17 F1 50 00 ?? ?? ?? ?? 95 E7 97 F9 55 60 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 5C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 0D B9 20 B3 00 E0 10 BB 29 B9 17 F1 50 00 ?? ?? ?? ?? 97 F9 55 60 DA F8 00 30 9C 6A 20 46 ?? ?? ?? ?? 50 46 31 46 00 22 A0 47 3A 28 03 D0 2C 28 01 D0 2F 28 03 D1 17 F1 50 00 ?? ?? ?? ?? 3D 6D 97 F8 54 10 97 F9 55 60 B8 6D 97 F8 5C 40 4F F0 48 08 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 5C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 0D B9 18 B3 00 E0 08 BB 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D DA F8 0C 30 F2 B2 33 F9 12 30 13 EA 08 0F 0C D0 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D BF E7 D7 F8 64 80 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 5C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 1D B9 00 28 00 F0 84 80 02 E0 00 28 40 F0 80 80 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D DA F8 0C 30 F2 B2 33 F9 12 30 13 F0 04 0F 2F D1 B9 F1 02 0F 06 D1 D8 F8 00 30 43 F0 02 03 C8 F8 00 30 60 E0 BB 6E 3E 68 00 90 04 93 3B 6E CD F8 0C 80 02 93 FB 6D 01 93 33 68 DC 69 20 46 ?? ?? ?? ?? 7B 6D 30 46 17 F1 08 01 2A 46 A0 47 D7 E9 02 53 97 F8 5C 40 B8 6D C7 E9 14 53 97 F9 55 60 97 F8 54 10 B9 F1 04 0F 3D D1 4F F0 03 09 3A E0 B9 F1 01 0F 17 D0 B9 F1 03 0F 14 D0 BB 6E 38 68 17 F1 58 02 0C 33 01 93 1F 23 00 93 01 23 17 F1 50 01 CD F8 08 A0 ?? ?? ?? ?? D8 F8 00 30 03 43 C8 F8 00 30 17 E0 BC 6E 38 68 17 F1 58 02 04 F1 10 03 01 93 0C 23 00 93 01 23 17 F1 50 01 CD F8 08 A0 ?? ?? ?? ?? D8 F8 00 30 03 43 C8 F8 00 30 23 69 5B 1E 23 61 3D 6D 97 F8 54 10 97 F9 55 60 B8 6D 97 F8 5C 40 4F F0 48 08 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 5C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 0D B9 18 B3 00 E0 08 BB 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D DA F8 0C 30 F2 B2 33 F9 12 30 13 EA 08 0F 0C D0 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D BF E7 D7 F8 64 80 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 5C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 0D B9 20 B3 00 E0 10 BB 29 B9 17 F1 50 00 ?? ?? ?? ?? 97 F9 55 60 DA F8 00 30 9C 6A 20 46 ?? ?? ?? ?? 50 46 31 46 00 22 A0 47 3A 28 03 D0 2C 28 01 D0 2F 28 03 D1 17 F1 50 00 ?? ?? ?? ?? 3D 6D 97 F8 54 10 97 F9 55 60 B8 6D 97 F8 5C 40 4F F0 48 08 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 5C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 0D B9 18 B3 00 E0 08 BB 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D DA F8 0C 30 F2 B2 33 F9 12 30 13 EA 08 0F 0C D0 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D BF E7 D7 F8 64 80 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 5C B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D 0D B9 08 B1 08 E0 38 B1 D8 F8 00 30 7A 6D 43 F0 02 03 C8 F8 00 30 74 E0 59 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D 97 F9 55 60 97 F8 54 10 3D 6D DA F8 0C 30 F2 B2 33 F9 12 30 13 F0 04 0F 0C D1 B9 F1 04 0F DF D1 BB 6E 3E 68 04 93 3B 6E 02 93 FB 6D 01 93 33 68 DC 69 3D E0 B9 F1 04 0F 1A D1 BC 6E 38 68 17 F1 58 02 04 F1 10 03 01 93 0C 23 00 93 01 23 17 F1 50 01 CD F8 08 A0 ?? ?? ?? ?? D8 F8 00 30 03 43 C8 F8 00 30 23 69 5B 1E 23 61 D7 E9 14 52 2F E0 BB 6E B9 F1 03 0F 13 D1 0C 33 01 93 38 68 1F 23 00 93 01 23 17 F1 58 02 17 F1 50 01 CD F8 08 A0 ?? ?? ?? ?? D8 F8 00 30 03 43 C8 F8 00 30 E4 E7 04 93 3B 6E 3E 68 02 93 FB 6D 01 93 33 68 1C 6A 00 90 20 46 CD F8 0C 80 ?? ?? ?? ?? 7B 6D 2A 46 17 F1 08 01 30 46 A0 47 D7 E9 02 52 C7 E9 14 52 97 F8 54 10 B8 6D 97 F8 5C 40 41 B9 17 F1 50 00 ?? ?? ?? ?? 97 F8 5C 40 B8 6D D7 E9 14 52 34 B9 17 F1 58 00 ?? ?? ?? ?? B8 6D D7 E9 14 52 0D B9 08 B1 06 E0 28 B1 D8 F8 00 30 43 F0 01 03 C8 F8 00 30 7B 68 C3 E9 00 52 18 46 0F B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_99_430_1 {
	meta:
		name = "?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 328
		refs = "0020 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0024 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0034 _guard_check_icall 006e ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAHABV?$ctype@D@2@@Z 0086 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00a8 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 85 B0 6F 46 84 B0 82 46 38 6D 0E 46 6F F0 01 03 39 46 C7 E9 02 33 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D7 F8 58 90 17 F1 48 02 17 F1 40 01 09 F1 08 03 01 93 17 23 00 93 00 23 50 46 CD F8 08 80 ?? ?? ?? ?? 7D 6D 2B 68 03 43 2B 60 29 D1 97 F8 44 30 1B B9 17 F1 40 00 ?? ?? ?? ?? D8 F8 00 30 9C 6A 20 46 ?? ?? ?? ?? 97 F9 45 10 40 46 00 22 A0 47 3A 28 15 D1 17 F1 40 00 ?? ?? ?? ?? 09 F1 04 03 01 93 3B 23 00 93 00 23 17 F1 48 02 17 F1 40 01 50 46 CD F8 08 80 ?? ?? ?? ?? 2B 68 03 43 02 E0 2B 68 43 F0 02 03 2B 60 43 BB 97 F8 44 30 1B B9 17 F1 40 00 ?? ?? ?? ?? D8 F8 00 30 9C 6A 20 46 ?? ?? ?? ?? 97 F9 45 10 40 46 00 22 A0 47 3A 28 14 D1 17 F1 40 00 ?? ?? ?? ?? 3B 23 00 93 00 23 17 F1 48 02 17 F1 40 01 50 46 CD F8 08 80 CD F8 04 90 ?? ?? ?? ?? 2B 68 03 43 02 E0 2B 68 43 F0 02 03 2B 60 3B 6C 33 60 7B 6C 73 60 30 46 09 B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_99_438_1 {
	meta:
		name = "?do_hash@?$collate@D@std@@MBAJPBD0@Z"
		size = 48
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 08 48 55 1A 4F F0 00 04 07 D0 05 4A 63 5C 64 1C 43 40 03 FB 02 F0 AC 42 F8 D3 BD E8 30 88 FE DE 93 01 00 01 C5 9D 1C 81 }
	condition:
		$1
}

rule file_99_446_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 452
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0046 _guard_check_icall 00f4 _invalid_parameter_noinfo_noreturn 0118 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBDI@Z 012c ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0162 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 018e ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 019a ??3@YAXPAX@Z 01b4 __security_pop_cookie 01c0 ?_Src@?1??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@3@V43@_NAAVios_base@3@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9C B0 6F 46 86 B0 6F F0 01 03 C7 E9 06 33 D7 F8 AC 30 D7 F8 B4 60 89 46 C7 E9 00 13 B8 60 18 46 17 F1 10 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 56 4C D5 69 28 46 ?? ?? ?? ?? 40 46 21 46 04 F1 0C 02 17 F1 60 03 A8 47 75 69 00 21 4F F0 00 0A 75 B1 B3 69 10 2B 01 D3 73 68 00 E0 33 1D 93 F9 00 20 97 F9 6A 30 9A 42 02 D1 4F F0 01 0A 01 21 0A 46 A9 42 28 D2 D6 F8 14 80 97 F9 60 E0 17 F1 60 09 42 45 1B D8 B3 69 10 2B 01 D3 70 68 00 E0 30 1D 17 F1 60 03 BE F1 00 0F 08 D0 84 56 70 46 A0 42 04 D0 5B 1C 93 F9 00 00 00 28 F8 D1 A3 EB 09 03 0A 2B 05 D2 52 1C AA 42 E2 D3 01 E0 ?? ?? ?? ?? D7 F8 00 90 A9 42 01 D9 ?? ?? ?? ?? B3 69 10 2B 01 D3 73 68 00 E0 33 1D 52 1A 19 44 17 F1 40 00 ?? ?? ?? ?? 7B 6D E3 B9 97 F8 60 40 17 F1 40 00 00 22 01 21 ?? ?? ?? ?? 98 B1 BB 6D 10 2B 01 D3 7A 6C 01 E0 17 F1 44 02 7B 6D D4 54 BB 6D 10 2B 01 D3 7B 6C 01 E0 17 F1 44 03 01 22 7A 65 00 22 5A 70 17 F1 40 01 17 F1 20 00 ?? ?? ?? ?? 97 F9 60 30 D7 F8 A0 20 04 90 05 93 97 F9 B0 30 B8 68 49 46 02 93 7B 68 CD F8 0C A0 01 93 97 F8 A8 30 00 93 D7 F8 A4 30 ?? ?? ?? ?? BB 6D 10 2B 02 D3 78 6C ?? ?? ?? ?? 0F 23 38 6C BB 65 00 23 7B 65 87 F8 44 30 ?? ?? ?? ?? 48 46 22 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_450_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z"
		size = 424
		refs = "000a __security_push_cookie 0084 sprintf_s 00a2 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a6 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00b8 _guard_check_icall 00f0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z 012c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0138 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z 0160 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 016c ??3@YAXPAX@Z 0186 __security_pop_cookie 0194 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A4 B0 6F 46 86 B0 D7 F8 CC 40 0E 46 00 21 B5 EE C0 0B 6F F0 01 03 C7 E9 08 33 F1 EE 10 FA C7 E9 03 40 52 EC 10 3B 79 60 05 D2 01 23 B1 EE 40 0B 7B 60 52 EC 10 3B 9F ED 56 1B 4F F0 00 08 B4 EE C0 1B F1 EE 10 FA 10 D8 9F ED 50 2B 41 F2 88 31 88 45 0A D2 80 EE 02 0B 08 F1 0A 08 52 EC 10 3B B4 EE C0 1B F1 EE 10 FA F2 D9 01 92 46 4A 17 F1 68 00 28 21 00 93 ?? ?? ?? ?? 82 46 00 28 06 DA D7 F8 C0 30 33 60 D7 F8 C4 30 73 60 72 E0 17 F1 18 01 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 38 60 FD 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 30 1C 6A 20 46 ?? ?? ?? ?? 48 46 30 21 A0 47 B8 60 17 F1 48 00 00 22 51 46 ?? ?? ?? ?? 3B 6E 10 2B 02 D3 D7 F8 4C 90 01 E0 17 F1 4C 09 3B 68 17 F1 68 05 1A 68 D4 69 20 46 ?? ?? ?? ?? 38 68 17 F1 68 01 0A EB 05 02 4B 46 A0 47 BC 68 17 F1 48 00 41 46 22 46 ?? ?? ?? ?? 17 F1 48 01 17 F1 28 00 ?? ?? ?? ?? 7B 68 D7 F8 C0 20 04 90 03 93 97 F9 D0 30 38 69 31 46 02 93 FB 68 05 94 01 93 97 F8 C8 30 00 93 D7 F8 C4 30 ?? ?? ?? ?? 3B 6E 10 2B 02 D3 F8 6C ?? ?? ?? ?? 0F 23 B8 6C 3B 66 00 23 FB 65 87 F8 4C 30 ?? ?? ?? ?? 30 46 2A B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_99_454_1 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z"
		size = 396
		refs = "000a __security_push_cookie 003c ??2@YAPAXI@Z 0042 _invalid_parameter_noinfo_noreturn 00b8 _Strftime 00cc ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00de ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 013a ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0154 ??3@YAXPAX@Z 017c __security_pop_cookie 0188 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 92 B0 6F 46 82 B0 6F F0 01 03 C7 E9 06 33 D7 F8 88 30 59 4A 88 46 3B 60 13 68 82 46 3B 64 13 79 87 F8 44 30 00 23 08 20 3B 62 C7 E9 0D 33 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 38 62 C0 E9 00 32 3B 6A 17 F1 20 02 1A 60 0F 23 BB 63 00 23 7B 63 87 F8 24 30 97 F9 90 30 23 B9 97 F8 8C 30 87 F8 42 30 05 E0 87 F8 42 30 97 F8 8C 30 87 F8 43 30 4F F0 10 09 10 21 1E E0 03 68 00 2B 71 D0 1A 68 00 2A 6E D0 93 69 10 2B 01 D3 51 68 00 E0 11 1D A1 42 64 D8 53 69 0B 44 9C 42 60 D2 3B 68 17 F1 40 02 31 46 20 46 00 95 ?? ?? ?? ?? 04 46 A4 B9 4F EA 49 09 49 46 00 22 17 F1 20 00 ?? ?? ?? ?? DA F8 08 50 7E 6B 17 F1 08 01 17 F1 20 00 ?? ?? ?? ?? 84 68 00 2C CF D1 45 E0 79 6B 8C 42 01 D9 ?? ?? ?? ?? BB 6B 78 6A 10 2B 28 BF 02 46 01 D2 17 F1 24 02 02 EB 04 0E 01 29 01 D2 ?? ?? ?? ?? 10 2B 28 BF 02 46 01 D2 17 F1 24 02 56 1C D7 E9 1E 21 00 25 76 45 AE EB 06 04 88 BF 00 24 C7 E9 00 21 5C B1 16 F9 01 1B 38 46 ?? ?? ?? ?? 6D 1C A5 42 F7 D1 BB 6B 78 6A D7 E9 00 21 C8 E9 00 21 10 2B 01 D3 ?? ?? ?? ?? 0F 23 38 6A BB 63 00 23 7B 63 87 F8 24 30 ?? ?? ?? ?? 40 46 05 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_462_1 {
	meta:
		name = "?do_transform@?$collate@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z"
		size = 340
		refs = "0036 ??2@YAPAXI@Z 003c _invalid_parameter_noinfo_noreturn 0086 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0090 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00fa _Strxfrm"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 8B B0 6F 46 82 B0 9A 46 0C 46 6F F0 01 03 16 46 7C 65 C7 E9 02 33 7E 60 05 46 4F F0 00 08 C7 F8 00 80 08 20 C1 F8 00 80 C1 E9 05 88 ?? ?? ?? ?? 08 B9 ?? ?? ?? ?? 00 23 00 22 20 60 C0 E9 00 32 23 68 1C 60 0F 23 C4 E9 05 83 84 F8 04 80 01 23 3B 60 BA EB 06 00 60 D0 05 F1 08 09 63 69 98 42 09 D8 A3 69 10 2B 01 D3 63 68 00 E0 23 1D 60 61 03 F8 00 80 04 E0 C1 1A 00 22 20 46 ?? ?? ?? ?? 17 F1 10 01 20 46 ?? ?? ?? ?? 86 68 00 2E 42 D0 03 68 F3 B3 1A 68 E2 B3 93 69 10 2B 01 D3 51 68 00 E0 11 1D B1 42 32 D8 53 69 0B 44 9E 42 2E D2 D4 F8 14 80 17 F1 20 01 20 46 ?? ?? ?? ?? 85 68 1D B3 03 68 FB B1 1A 68 EA B1 93 69 10 2B 01 D3 51 68 00 E0 11 1D A9 42 13 D8 53 69 0B 44 9D 42 0F D2 7A 68 08 EB 06 01 53 46 28 46 CD F8 00 90 ?? ?? ?? ?? 63 69 4F F0 00 08 98 42 0D D9 60 B1 AC E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 63 69 98 42 09 D8 A3 69 10 2B 01 D3 63 68 00 E0 23 1D 60 61 03 F8 00 80 04 E0 C1 1A 00 22 20 46 ?? ?? ?? ?? 20 46 0D B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_99_468_1 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 40
	strings:
		$1 = { 2D E9 00 48 EB 46 83 69 10 2B 01 D3 42 68 00 E0 02 1D 43 69 13 44 00 22 C1 E9 00 22 8B 60 03 68 08 46 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_99_484_1 {
	meta:
		name = "?is@?$ctype@D@std@@QBA_NFD@Z"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 C3 68 D2 B2 33 F8 12 30 0B 40 1B B2 0B B1 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_99_494_1 {
	meta:
		name = "?narrow@?$ctype@D@std@@QBADDD@Z"
		size = 36
		refs = "0014 _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 23 68 17 46 0E 46 9D 6A 28 46 ?? ?? ?? ?? 20 46 31 46 3A 46 A8 47 BD E8 F0 88 }
	condition:
		$1
}

rule file_99_501_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 640
		refs = "0052 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 00ae memmove 00da memcpy 026e ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 027a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 04 46 16 46 62 69 89 46 1D 46 4A 45 C0 F0 2A 81 6B 69 DD F8 28 A0 53 45 C0 F0 27 81 0B 9F A2 EB 01 08 46 45 A3 EB 0A 03 88 BF 46 46 9F 42 88 BF 1F 46 FB 43 91 1B 8B 42 40 F2 1A 81 CB 19 00 93 9A 42 04 D2 00 22 19 46 20 46 ?? ?? ?? ?? B7 42 12 D1 AB 69 10 2B 01 D3 6A 68 00 E0 2A 1D A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 2F 00 F0 ED 80 02 EB 0A 01 3A 46 E4 E0 AC 42 2D D0 A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D B0 45 09 D0 8B 19 03 EB 09 01 D3 19 03 EB 09 00 A8 EB 06 02 ?? ?? ?? ?? AB 69 10 2B 01 D3 6A 68 00 E0 2A 1D A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 2F 00 F0 C1 80 02 EB 0A 01 3A 46 03 EB 09 00 ?? ?? ?? ?? B8 E0 B7 42 27 D2 A3 69 10 2B 01 D3 62 68 00 E0 22 1D 10 2B 01 D3 63 68 00 E0 23 1D 37 B1 02 EB 0A 01 3A 46 03 EB 09 00 ?? ?? ?? ?? A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D B0 45 00 F0 96 80 8B 19 03 EB 09 01 D3 19 A8 EB 06 02 8A E0 CA 45 1D D8 A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D B0 45 09 D0 8B 19 03 EB 09 01 D3 19 03 EB 09 00 A8 EB 06 02 ?? ?? ?? ?? A3 69 10 2B 01 D3 62 68 7B E7 22 1D 79 E7 06 EB 09 03 53 45 A3 69 2A D8 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D B0 45 09 D0 8B 19 03 EB 09 01 D3 19 03 EB 09 00 A8 EB 06 02 ?? ?? ?? ?? A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D 00 2F 46 D0 8B 1B 3B 44 02 EB 09 00 03 EB 0A 01 3A 46 3C E0 10 2B 01 D3 62 68 00 E0 22 1D 10 2B 01 D3 63 68 00 E0 23 1D 36 B1 02 EB 0A 01 32 46 03 EB 09 00 ?? ?? ?? ?? A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D B0 45 09 D0 8B 19 03 EB 09 01 D3 19 03 EB 09 00 A8 EB 06 02 ?? ?? ?? ?? A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D BD 1B 08 D0 CB 19 03 EB 0A 01 93 19 2A 46 03 EB 09 00 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 9A 00 21 20 46 62 61 99 54 BD E8 F8 8F 20 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_502_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z"
		size = 302
		refs = "0050 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIABV12@II@Z 009e memmove 00b4 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0100 memcpy 0122 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0128 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 9A 46 15 46 89 46 04 46 13 B3 A2 69 10 2A 01 D3 60 68 00 E0 20 1D 82 45 1A D3 10 2A 01 D3 61 68 00 E0 21 1D 63 69 0B 44 53 45 11 D9 10 2A 01 D3 62 68 00 E0 22 1D 0C 9B 49 46 20 46 01 93 AA EB 02 03 00 93 23 46 2A 46 ?? ?? ?? ?? 04 46 60 E0 63 69 4B 45 60 D3 A3 EB 09 07 0C 9E BD 42 88 BF 3D 46 5A 1B F3 43 93 42 59 D9 AE 42 15 D2 A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D AF 42 08 D0 4B 19 03 EB 09 01 02 EB 09 03 98 19 7A 1B ?? ?? ?? ?? 63 69 5B 1B 03 EB 06 08 06 B9 AD B3 00 22 41 46 20 46 ?? ?? ?? ?? 78 B3 B5 42 15 D2 A3 69 10 2B 01 D3 61 68 00 E0 21 1D 10 2B 01 D3 62 68 00 E0 22 1D AF 42 08 D0 4B 19 03 EB 09 01 02 EB 09 03 98 19 7A 1B ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 2E B1 03 EB 09 00 32 46 51 46 ?? ?? ?? ?? A3 69 10 2B 01 D3 63 68 00 E0 23 1D 00 22 C4 F8 14 80 03 F8 08 20 20 46 BD E8 FE 8F 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_99_503_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
		size = 324
		refs = "0058 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 007e ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 0112 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z 011e _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 86 B0 1E 46 34 68 96 46 0F 46 81 46 0C B9 00 25 00 E0 25 68 0E 99 0B 68 0B B9 00 22 00 E0 1A 68 95 42 78 D1 B5 68 89 68 8D 42 27 D1 DE F8 00 30 0B B9 00 22 00 E0 1A 68 3B 68 0B B9 00 23 00 E0 1B 68 9A 42 69 D1 DE F8 08 40 BD 68 02 A9 48 46 ?? ?? ?? ?? 3B 68 0B B9 00 22 00 E0 1A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 58 D1 BA 68 83 68 48 46 D1 1A 62 1B ?? ?? ?? ?? 48 E0 0B B9 00 22 00 E0 1A 68 0C B9 00 23 00 E0 23 68 9A 42 48 D1 A1 EB 05 08 00 2D 46 D0 00 2C 4C D0 22 68 00 2A 49 D0 93 69 10 2B 01 D3 51 68 00 E0 11 1D A9 42 3F D8 53 69 0B 44 9D 42 3B D2 DE F8 00 30 0B B9 00 22 00 E0 1A 68 3B 68 0B B9 00 23 00 E0 1B 68 9A 42 2A D1 DE F8 08 40 BE 68 02 A9 48 46 ?? ?? ?? ?? 3B 68 0B B9 00 22 00 E0 1A 68 03 68 0B B9 00 23 00 E0 1B 68 9A 42 19 D1 B9 68 82 68 2B 46 48 46 89 1A A2 1B CD F8 00 80 ?? ?? ?? ?? 48 46 06 B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_100_1_1 {
	meta:
		name = "_Mtxinit"
		size = 28
		refs = "0018 __imp_InitializeCriticalSectionEx"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 00 22 4F F4 7A 61 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_104_0_1 {
	meta:
		name = "_FDscale"
		size = 292
		refs = "002a _FDnorm 0120 _FInf"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 05 46 6A 88 0C 46 02 F4 FF 43 D8 09 FF 28 06 D1 12 F0 7F 0F 01 D1 2B 88 C3 B1 02 20 79 E0 20 B9 28 46 ?? ?? ?? ?? 00 28 72 DC 00 2C 10 DD C0 F1 FF 03 A3 42 0C DC B5 F9 02 30 00 2B 36 4B 93 ED 00 0A 01 DA B1 EE 40 0A 85 ED 00 0A 01 20 60 E0 43 42 A3 42 0A DA 6A 88 48 F2 7F 03 01 19 13 40 43 EA C1 13 6B 80 6F F0 00 00 52 E0 6B 88 4F F4 00 4E 03 EA 0E 07 03 F0 7F 03 43 F0 80 01 03 19 5A 1E 02 F1 18 03 17 2B 69 80 3E D8 13 B2 00 26 13 F1 10 0F 05 DC 00 22 2E 88 10 33 1B B2 29 80 6A 80 5B 42 0F FA 83 F8 B8 F1 00 0F 16 D0 0E B1 01 21 00 E0 00 21 2C 88 C8 F1 10 02 68 88 04 FA 02 F3 0B 43 1F FA 88 F1 9E B2 24 FA 01 F3 00 FA 02 F2 13 43 2B 80 20 FA 01 F3 6B 80 6B 88 76 45 47 EA 03 02 6A 80 04 D8 0A D1 2B 88 13 F0 01 0F 06 D0 2B 88 5B 1C 9B B2 2B 80 0B B9 53 1C B1 E7 BA 42 B0 D1 2B 88 1B B1 AD E7 00 23 2B 80 6F 80 00 20 BD E8 F8 89 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_105_0_1 {
	meta:
		name = "_Cnd_do_broadcast_at_thread_exit"
		size = 124
		refs = "000a _Lock_at_thread_exit_mutex 0010 _Thrd_current 0036 _Thrd_equal 0044 _Mtx_unlock 004a _Cnd_broadcast 006e _Unlock_at_thread_exit_mutex 0078 thread_exit_data"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 1B 4C ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 01 27 4F F0 00 08 D4 F8 90 31 13 B3 00 25 B5 F5 C8 7F 1E DA 2E 19 B3 68 B3 B1 D6 E9 00 01 DD E9 00 23 ?? ?? ?? ?? 78 B1 33 69 03 B1 1F 60 B0 68 ?? ?? ?? ?? F0 68 ?? ?? ?? ?? C6 F8 08 80 D4 F8 90 31 5B 1E C4 F8 90 31 D4 F8 90 31 14 35 00 2B DD D1 D4 F8 94 41 00 2C D5 D1 ?? ?? ?? ?? BD E8 FE 89 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_105_1_1 {
	meta:
		name = "_Cnd_register_at_thread_exit"
		size = 128
		refs = "0010 _Lock_at_thread_exit_mutex 0028 calloc 004a _Thrd_current 0074 _Unlock_at_thread_exit_mutex 007c thread_exit_data"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 1C 4C 16 46 0F 46 80 46 ?? ?? ?? ?? D4 F8 90 31 14 2B 0C D1 D4 F8 94 31 33 B9 4F F4 CC 71 01 20 ?? ?? ?? ?? C4 F8 94 01 D4 F8 94 41 1C E0 00 25 22 46 93 68 23 B1 6D 1C 14 32 14 2D F9 DB 12 E0 68 46 ?? ?? ?? ?? 05 EB 85 03 04 EB 83 02 00 9B C2 E9 02 78 16 61 13 60 01 9B 53 60 D4 F8 90 31 5B 1C C4 F8 90 31 00 24 00 2C CF D1 ?? ?? ?? ?? BD E8 FE 89 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_105_2_1 {
	meta:
		name = "_Cnd_unregister_at_thread_exit"
		size = 84
		refs = "000c _Lock_at_thread_exit_mutex 004a _Unlock_at_thread_exit_mutex 0050 thread_exit_data"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 11 4C 05 46 ?? ?? ?? ?? 00 20 D4 F8 90 31 00 21 8B B1 22 46 14 29 0E DA 93 68 AB 42 05 D1 90 60 D4 F8 90 31 5B 1E C4 F8 90 31 D4 F8 90 31 49 1C 14 32 00 2B EE D1 D4 F8 94 41 00 2C E5 D1 BD E8 30 48 ?? ?? ?? ?? FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_1_1 {
	meta:
		name = "_Stoullx"
		size = 436
		refs = "0028 isspace 00c0 tolower 00ca memchr 0152 __rt_udiv64 0162 _errno 01b0 digits"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 08 93 15 46 88 46 CD E9 04 10 82 46 0B B1 00 22 1A 60 9A F8 00 00 54 46 01 E0 64 1C 20 78 ?? ?? ?? ?? 00 28 F9 D1 94 F9 00 90 CD F8 00 90 B9 F1 2D 0F 07 D0 B9 F1 2B 0F 04 D0 4F F0 2B 09 CD F8 00 90 00 E0 64 1C 00 2D C0 F2 A0 80 01 2D 00 F0 9D 80 24 2D 00 F3 9A 80 00 2D 0C DD 10 2D 1A D1 94 F9 00 30 30 2B 16 D1 94 F9 01 30 78 2B 11 D0 58 2B 10 D1 0E E0 94 F9 00 30 30 2B 18 BF 0A 25 09 D1 94 F9 01 30 78 2B 03 D0 58 2B 18 BF 08 25 01 D1 10 25 A4 1C 06 94 00 E0 64 1C 94 F9 00 30 30 2B FA D0 94 F9 00 00 00 23 00 26 00 27 07 94 CD E9 02 33 01 93 ?? ?? ?? ?? 01 46 3A 48 2A 46 ?? ?? ?? ?? 30 B3 DF F8 DC 80 4F EA E5 79 A0 EB 08 03 4F FA 83 FA 09 FB 06 F3 CD E9 02 67 CD F8 04 A0 05 FB 07 32 A5 FB 06 13 13 44 11 EB 0A 06 43 EB EA 77 64 1C 94 F9 00 00 ?? ?? ?? ?? 01 46 40 46 2A 46 ?? ?? ?? ?? 00 28 E0 D1 DD E9 04 8A DD F8 00 90 06 9B A3 42 38 D0 22 4B 28 33 EA 56 07 9B E3 1A 9B 1A 00 2B 23 DB 15 DC 01 9B F2 1A 67 EB E3 73 9F 42 0F D3 01 D8 96 42 0C D3 E9 17 28 46 08 B9 01 B9 F9 DE ?? ?? ?? ?? 02 9B 98 42 02 D1 03 9B 99 42 0C D0 ?? ?? ?? ?? 22 23 03 60 08 9B 0B B1 01 22 1A 60 6F F0 00 06 37 46 4F F0 2B 09 B9 F1 2D 0F 03 D1 00 23 76 42 63 EB 07 07 B8 F1 00 0F 09 D0 C8 F8 00 40 06 E0 B8 F1 00 0F 01 D0 C8 F8 00 A0 00 26 00 27 30 46 39 46 09 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_0_1 {
	meta:
		name = "_LSinh"
		size = 316
		refs = "0018 _LDtest 008e _LPoly 00be _LExp 00ee _Feraise 0130 _LXbig 0134 p 0138 _LRteps"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 2D ED 04 8B 83 B0 68 46 B0 EE 41 9B 8D ED 00 0B ?? ?? ?? ?? 00 28 7C D0 01 28 6D D0 02 28 68 D0 B5 EE 40 9B F1 EE 10 FA 07 D1 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 70 D2 68 E0 9D ED 00 1B B5 EE C0 1B F1 EE 10 FA 05 D2 B1 EE 41 1B 01 24 8D ED 00 1B 00 E0 00 24 36 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 02 D2 21 EE 09 9B 40 E0 B7 EE 00 2B B4 EE C2 1B F1 EE 10 FA 10 D2 21 EE 01 8B 2B 48 07 21 B0 EE 48 0B ?? ?? ?? ?? 9D ED 00 2B 28 EE 02 1B 01 EE 00 2B 22 EE 09 9B 28 E0 22 4B 6F F0 00 01 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0F D2 68 46 B0 EE 42 0B ?? ?? ?? ?? 9D ED 00 1B B5 EE 00 0B 80 EE 01 0B 31 EE 40 0B 20 EE 09 9B 0E E0 68 46 B0 EE 49 0B ?? ?? ?? ?? 18 B1 01 28 04 D1 08 20 00 E0 10 20 ?? ?? ?? ?? 9D ED 00 9B 00 2C 0B E0 9D ED 00 9B 10 E0 B5 EE 40 9B F1 EE 10 FA F7 D1 BD F8 06 30 13 F4 00 4F 06 D0 B1 EE 49 9B 03 E0 9D ED 00 2B 22 EE 09 9B B0 EE 49 0B 03 B0 BD EC 04 8B BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_109_0_1 {
	meta:
		name = "_Stoflt"
		size = 624
		refs = "0008 __security_push_cookie 0054 isdigit 0098 localeconv 0260 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 92 B0 1C 9C 1E 46 0D 46 04 EB C4 07 2D 2F C8 BF 2D 27 00 23 C6 E9 00 33 95 F9 00 40 CD E9 02 62 30 2C CD E9 00 35 04 90 4F F0 00 09 9A 46 09 D1 4F F0 01 0A CD F8 00 A0 6D 1C 95 F9 00 30 30 2B FA D0 01 95 28 78 00 24 ?? ?? ?? ?? F0 B1 4F F0 01 0A CD F8 00 A0 0D F1 18 08 BC 42 06 DA 95 F9 00 30 30 3B 04 F8 08 30 64 1C 08 E0 33 68 5B 1C 33 60 95 F9 00 30 30 2B 01 D0 4F F0 01 09 6D 1C 28 78 ?? ?? ?? ?? 00 28 E7 D1 01 95 ?? ?? ?? ?? 03 68 93 F9 00 20 95 F9 00 30 93 42 01 D1 6D 1C 01 95 84 B9 95 F9 00 30 30 2B 0C D1 4F F0 01 0A CD F8 00 A0 33 68 6D 1C 5B 1E 33 60 95 F9 00 30 30 2B F7 D0 01 95 28 78 ?? ?? ?? ?? E0 B1 4F F0 01 0A CD F8 00 A0 0D F1 18 08 95 F9 00 30 BC 42 07 DA 30 3B 04 F8 08 30 33 68 64 1C 5B 1E 33 60 03 E0 30 2B 01 D0 4F F0 01 09 6D 1C 28 78 ?? ?? ?? ?? 00 28 E9 D1 01 95 B9 F1 00 0F 06 D0 06 AB FA 18 12 F8 01 3C 5B 1C 02 F8 01 3C 00 2C 0B DD 06 AA A3 18 13 F9 01 3C 2B B9 33 68 64 1E 5B 1C 33 60 00 2C F5 DC 00 2C 03 D1 01 24 00 23 8D F8 18 30 BA F1 00 0F 7B D0 45 48 4F F0 00 0E 84 FB 00 32 53 10 03 EB D3 73 5B 1C 03 EB C3 03 19 1B 81 FB 00 32 53 10 03 EB D3 73 03 EB C3 03 CB 1A 08 BF 00 27 18 BF 01 27 00 2C 28 DD 06 AB 38 4D A1 EB 03 09 06 EB 87 00 0D F1 18 0A 0E EB 0A 08 09 EB 08 01 81 FB 05 32 53 10 03 EB D3 73 03 EB C3 03 CB 1A 05 D1 7F 1C 98 F9 00 30 06 EB 87 00 06 E0 03 68 03 EB 83 02 98 F9 00 30 03 EB 42 03 0E F1 01 0E A6 45 03 60 E0 DB DD E9 00 A5 95 F9 00 30 65 2B 01 D0 45 2B 33 D1 00 95 15 F9 01 8F B8 F1 2B 0F 05 D0 B8 F1 2D 0F 02 D0 4F F0 2B 08 00 E0 6D 1C 28 78 4F F0 00 09 00 24 ?? ?? ?? ?? 90 B1 16 4E 4F F0 01 09 B4 42 06 DA 2B 78 04 EB 84 02 03 EB 42 03 A3 F1 30 04 6D 1C 28 78 ?? ?? ?? ?? 00 28 F0 D1 02 9E 33 68 B8 F1 2D 0F 08 BF 64 42 23 44 33 60 B9 F1 00 0F 02 D1 00 9D 00 E0 00 27 03 9B 23 B1 BA F1 00 0F 00 D1 04 9D 1D 60 38 46 12 B0 ?? ?? ?? ?? BD E8 F0 8F 00 E1 F5 05 39 8E E3 38 }
	condition:
		$1
}

rule file_111_0_1 {
	meta:
		name = "_Getctype"
		size = 82
		refs = "000a ___lc_codepage_func 0016 _calloc_base 001e __pctype_func 002a memcpy 003c ___lc_locale_name_func 0046 _wcsdup"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 20 60 4F F4 80 70 02 21 ?? ?? ?? ?? 60 60 48 B1 ?? ?? ?? ?? 01 46 60 68 4F F4 00 72 ?? ?? ?? ?? 01 23 03 E0 ?? ?? ?? ?? 60 60 00 23 A3 60 ?? ?? ?? ?? 40 68 E0 60 10 B1 ?? ?? ?? ?? E0 60 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_111_1_1 {
	meta:
		name = "_Tolower"
		size = 212
		refs = "0010 ___lc_locale_name_func 0016 ___lc_codepage_func 0040 isupper 0056 __pctype_func 00b0 __crtLCMapStringA"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 88 B0 0D 46 04 46 35 B9 ?? ?? ?? ?? 86 68 ?? ?? ?? ?? 07 46 01 E0 EE 68 2F 68 2E B9 A4 F1 41 03 19 2B 4F D8 20 34 4D E0 4F F4 80 78 44 45 4F F0 01 09 0B D2 25 B9 20 46 ?? ?? ?? ?? 38 B9 41 E0 6B 68 33 F9 14 30 13 EA 09 0F 3B D0 45 B9 ?? ?? ?? ?? 21 12 CB B2 30 F8 13 30 03 F4 00 43 09 E0 6B 68 21 12 CA B2 33 F9 12 30 00 2B B8 BF 01 23 A8 BF 00 23 43 B1 00 23 8D F8 1A 30 02 23 8D F8 18 10 8D F8 19 40 05 E0 00 23 8D F8 19 30 01 23 8D F8 18 40 03 22 01 92 04 AA 00 92 06 AA 41 46 30 46 CD F8 0C 90 02 97 ?? ?? ?? ?? 50 B1 01 28 02 D1 9D F8 10 40 05 E0 9D F8 10 20 9D F8 11 30 43 EA 02 24 20 46 08 B0 BD E8 F0 8B }
	condition:
		$1
}

rule file_113_0_1 {
	meta:
		name = "_Getdateorder"
		size = 76
		refs = "0012 ___lc_locale_name_func 0048 __imp_GetLocaleInfoEx"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 23 AD F8 00 30 AD F8 02 30 ?? ?? ?? ?? 0C 4C 40 69 02 23 24 68 6A 46 22 21 A0 47 BD F8 00 30 30 2B 08 BF 02 20 08 D0 31 2B 08 BF 01 20 04 D0 32 2B 08 BF 03 20 18 BF 00 20 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_0_1 {
	meta:
		name = "_Dunscale"
		size = 110
		refs = "0042 _Dnorm"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 E2 88 47 F6 F0 73 05 46 13 40 18 09 40 F2 FF 73 98 42 0F D1 00 23 2B 80 E3 88 13 F0 0F 0F 07 D1 A3 88 2B B9 63 88 1B B9 23 88 0B B9 01 20 17 E0 02 20 15 E0 38 B9 20 46 ?? ?? ?? ?? 00 28 02 DD 00 23 00 20 0B E0 E2 88 48 F2 0F 03 1A 40 43 F6 E0 73 13 43 E3 80 A0 F2 FE 33 6F F0 00 00 2B 80 BD E8 30 88 }
	condition:
		$1
}

rule file_115_3_1 {
	meta:
		name = "??0bad_function_call@std@@QAA@XZ"
		size = 24
		refs = "0014 ??_7bad_function_call@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 01 33 01 4B 03 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_7_1 {
	meta:
		name = "??0exception@std@@QAA@XZ"
		size = 24
		refs = "0014 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 03 60 00 23 C0 E9 01 33 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_18_1 {
	meta:
		name = "??0regex_error@std@@QAA@ABV01@@Z"
		size = 52
		refs = "001a __std_exception_copy 002c ??_7regex_error@std@@6B@ 0030 ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 09 4B 05 46 0C 46 2B 60 00 23 20 1D C5 E9 01 33 29 1D ?? ?? ?? ?? 03 4B 28 46 2B 60 E3 68 EB 60 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_19_1 {
	meta:
		name = "??0regex_error@std@@QAA@W4error_type@regex_constants@1@@Z"
		size = 64
		refs = "000e ?_Stringify@regex_error@std@@CAPBDW4error_type@regex_constants@2@@Z 0028 __std_exception_copy 0038 ??_7regex_error@std@@6B@ 003c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 05 46 08 46 0C 46 ?? ?? ?? ?? 0A 4B 00 90 68 46 2B 60 00 23 C5 E9 01 33 01 23 29 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B EC 60 28 46 2B 60 BD E8 3C 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_40_1 {
	meta:
		name = "??_Gregex_error@std@@UAAPAXI@Z"
		size = 48
		refs = "0012 __std_exception_destroy 0020 ??3@YAXPAXI@Z 002c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 08 4B 05 46 28 1D 2B 60 0C 46 ?? ?? ?? ?? 14 F0 01 0F 03 D0 10 21 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_42_1 {
	meta:
		name = "?_Stringify@regex_error@std@@CAPBDW4error_type@regex_constants@2@@Z"
		size = 160
		refs = "0060 ??_C@_0M@KGKAAGCA@regex_error?$AA@ 0064 ??_C@_0BK@DFJCACNI@regex_error?$CIerror_syntax?$CJ?$AA@ 0068 ??_C@_0BJ@CHBLKGNM@regex_error?$CIerror_parse?$CJ?$AA@ 006c ??_C@_0JC@HCDLJLGO@regex_error?$CIerror_stack?$CJ?3?5There?5@ 0070 ??_C@_0HL@NEKOFBJA@regex_error?$CIerror_complexity?$CJ?3?5T@ 0074 ??_C@_0FK@LCHHHEOA@regex_error?$CIerror_badrepeat?$CJ?3?5On@ 0078 ??_C@_0GP@PICOBCHA@regex_error?$CIerror_space?$CJ?3?5There?5@ 007c ??_C@_0HA@ICNJLCMC@regex_error?$CIerror_range?$CJ?3?5The?5ex@ 0080 ??_C@_0FM@BLDIHIBB@regex_error?$CIerror_badbrace?$CJ?3?5The@ 0084 ??_C@_0EH@DICJJKLO@regex_error?$CIerror_brace?$CJ?3?5The?5ex@ 0088 ??_C@_0EH@CAGOJGLE@regex_error?$CIerror_paren?$CJ?3?5The?5ex@ 008c ??_C@_0EH@LGEANNAL@regex_error?$CIerror_brack?$CJ?3?5The?5ex@ 0090 ??_C@_0FA@HFMLPGNN@regex_error?$CIerror_backref?$CJ?3?5The?5@ 0094 ??_C@_0GI@HEGGMMDL@regex_error?$CIerror_escape?$CJ?3?5The?5e@ 0098 ??_C@_0FE@LJMHKIOC@regex_error?$CIerror_ctype?$CJ?3?5The?5ex@ 009c ??_C@_0FI@CMNGHIFF@regex_error?$CIerror_collate?$CJ?3?5The?5@"
	strings:
		$1 = { 2D E9 00 48 EB 46 0E 28 27 D8 DF E8 00 F0 08 0A 0C 0E 10 12 14 16 18 1A 1C 1E 20 22 24 24 1F 48 1C E0 1D 48 1A E0 1B 48 18 E0 19 48 16 E0 17 48 14 E0 15 48 12 E0 13 48 10 E0 11 48 0E E0 0F 48 0C E0 0D 48 0A E0 0B 48 08 E0 09 48 06 E0 07 48 04 E0 05 48 02 E0 03 48 00 E0 01 48 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_45_1 {
	meta:
		name = "?_Xinvalid_argument@std@@YAXPBD@Z"
		size = 32
		refs = "000c ??0invalid_argument@std@@QAA@PBD@Z 0014 _CxxThrowException 001c _TI3?AVinvalid_argument@std@@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 01 46 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_46_1 {
	meta:
		name = "?_Xlength_error@std@@YAXPBD@Z"
		size = 32
		refs = "000c ??0length_error@std@@QAA@PBD@Z 0014 _CxxThrowException 001c _TI3?AVlength_error@std@@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 01 46 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_47_1 {
	meta:
		name = "?_Xout_of_range@std@@YAXPBD@Z"
		size = 32
		refs = "000c ??0out_of_range@std@@QAA@PBD@Z 0014 _CxxThrowException 001c _TI3?AVout_of_range@std@@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 01 46 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_48_1 {
	meta:
		name = "?_Xoverflow_error@std@@YAXPBD@Z"
		size = 32
		refs = "000c ??0overflow_error@std@@QAA@PBD@Z 0014 _CxxThrowException 001c _TI3?AVoverflow_error@std@@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 01 46 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_49_1 {
	meta:
		name = "?_Xregex_error@std@@YAXW4error_type@regex_constants@1@@Z"
		size = 32
		refs = "000c ??0regex_error@std@@QAA@W4error_type@regex_constants@1@@Z 0014 _CxxThrowException 001c _TI3?AVregex_error@std@@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 01 46 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_50_1 {
	meta:
		name = "?_Xruntime_error@std@@YAXPBD@Z"
		size = 32
		refs = "000c ??0runtime_error@std@@QAA@PBD@Z 0014 _CxxThrowException 001c _TI2?AVruntime_error@std@@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 01 46 68 46 ?? ?? ?? ?? 02 49 68 46 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_0_1 {
	meta:
		name = "_Lock_shared_ptr_spin_lock"
		size = 60
		refs = "0038 _Shared_ptr_flag"
	strings:
		$1 = { 2D E9 00 48 EB 46 0C 49 01 20 51 E8 00 2F 41 E8 00 03 00 2B F9 D1 BF F3 5B 8F 52 B1 10 BF 51 E8 00 2F 41 E8 00 03 00 2B F9 D1 BF F3 5B 8F 00 2A F4 D1 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1_1 {
	meta:
		name = "_Unlock_shared_ptr_spin_lock"
		size = 24
		refs = "0014 _Shared_ptr_flag"
	strings:
		$1 = { 2D E9 00 48 EB 46 BF F3 5B 8F 02 4B 00 22 1A 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_119_0_1 {
	meta:
		name = "_Stolx"
		size = 148
		refs = "001e isspace 0040 _Stoulx 006c _errno"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 0E 46 98 46 91 46 07 46 06 B9 6E 46 38 78 3C 46 01 E0 64 1C 20 78 ?? ?? ?? ?? 00 28 F9 D1 94 F9 00 50 2D 2D 03 D0 2B 2D 18 BF 2B 25 00 D1 64 1C 43 46 4A 46 31 46 20 46 ?? ?? ?? ?? 33 68 9C 42 00 D1 37 60 33 68 6F F0 00 46 4F F0 00 44 9F 42 00 D1 38 B9 2B 2D 01 D1 B0 42 03 D8 2D 2D 11 D1 A0 42 0D D9 ?? ?? ?? ?? 22 23 03 60 B8 F1 00 0F 02 D0 01 23 C8 F8 00 30 2D 2D 04 D0 34 46 02 E0 44 42 00 E0 04 46 20 46 BD E8 FC 8B }
	condition:
		$1
}

rule file_120_0_1 {
	meta:
		name = "_Mbrtowc"
		size = 272
		refs = "0008 __security_push_cookie 002c __security_pop_cookie 0038 _Getcvt 0042 memcpy 0090 _errno 010c __imp_MultiByteToWideChar"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 99 B0 22 9E 1F 46 91 46 88 46 05 46 31 B1 2A B1 91 F9 00 40 44 B9 0D B1 00 23 2B 80 00 20 19 B0 ?? ?? ?? ?? BD E8 F0 8B 46 B9 02 A8 ?? ?? ?? ?? 0E A8 02 A9 2C 22 ?? ?? ?? ?? 0E AE B3 68 2B B1 15 B1 98 F8 00 30 2B 80 01 20 E8 E7 3B 68 03 B3 98 F8 00 30 7B 70 73 68 01 2B 11 D9 0D B1 01 23 00 E0 00 23 26 4C 30 68 01 93 24 68 02 23 3A 46 09 21 00 95 A0 47 18 B1 00 23 3B 60 70 68 CE E7 00 23 3B 60 ?? ?? ?? ?? 2A 23 03 60 6F F0 00 00 C5 E7 98 F8 00 00 01 22 00 F0 07 03 9A 40 06 EB D0 03 1B 7B 1A 42 1B D0 73 68 99 45 03 D2 38 70 6F F0 01 00 B3 E7 01 2B 0D D9 0D B1 01 22 00 E0 00 22 0F 4C 30 68 01 92 24 68 42 46 09 21 00 95 A0 47 00 28 D2 D1 98 F9 01 30 00 2B CE D1 CF E7 0D B1 01 23 00 E0 00 23 05 4C 30 68 01 93 24 68 01 23 42 46 09 21 00 95 A0 47 00 28 A4 D1 C1 E7 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_0_2 {
	meta:
		name = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
		size = 22
		altNames = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_Zero_then_variadic_args_t@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 23 C0 E9 04 33 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_11_2 {
	meta:
		name = "??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@XZ"
		size = 16
		altNames = "??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@X@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@X@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@X@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAA@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z ??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAA@XZ ??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAA@XZ ??0?$_String_val@U?$_Simple_types@D@std@@@std@@QAA@XZ ??0?$_String_val@U?$_Simple_types@G@std@@@std@@QAA@XZ ??0?$_String_val@U?$_Simple_types@_W@std@@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 04 33 BD E8 00 88 }
	condition:
		$1
}

rule file_4_17_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_W@Z"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 07 23 6B 61 00 23 2B 61 0C 46 2B 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_210_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBG@Z"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 07 23 6B 61 00 23 2B 61 0C 46 2B 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_4_22_2 {
	meta:
		name = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
		size = 36
		refs = "0012 ??3@YAXPAX@Z"
		altNames = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 63 69 08 2B 02 D3 20 68 ?? ?? ?? ?? 07 23 63 61 00 23 23 61 23 80 BD E8 18 88 }
	condition:
		$1
}

rule file_4_27_2 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 20
		altNames = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 08 46 A3 EB 42 03 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_4_31_2 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 18
		altNames = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z ??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 03 EB 41 03 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_4_33_2 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 18
		altNames = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 A3 EB 41 03 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_4_37_2 {
	meta:
		name = "?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXI@Z"
		size = 22
		refs = "0010 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 8B 42 01 D3 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_59_81_2 {
	meta:
		name = "?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXI@Z"
		size = 22
		refs = "0010 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 8B 42 01 D3 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_452_2 {
	meta:
		name = "?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXI@Z"
		size = 22
		refs = "0010 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 8B 42 01 D3 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_4_38_2 {
	meta:
		name = "?_Clamp_suffix_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAIII@Z"
		size = 22
		altNames = "?_Clamp_suffix_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAIII@Z ?_Clamp_suffix_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAIII@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 5B 1A 9A 42 88 BF 1A 46 10 46 BD E8 00 88 }
	condition:
		$1
}

rule file_4_39_2 {
	meta:
		name = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z"
		size = 216
		refs = "005c ?_Xbad_alloc@std@@YAXXZ 0062 ??2@YAPAXI@Z 006a _invalid_parameter_noinfo_noreturn 009e memcpy 00aa ??3@YAXPAX@Z"
		altNames = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 6F F0 01 03 C7 E9 02 33 01 23 DE 07 4F F0 07 09 B6 1E 04 46 41 EA 09 05 B5 42 90 46 BA 63 79 63 3C 63 01 D9 0D 46 0D E0 61 69 27 4B 48 08 A5 FB 03 32 B0 EB 52 0F 05 D9 33 1A 99 42 01 D8 45 18 00 E0 35 46 6A 1C 14 D0 6F F0 00 43 9A 42 01 D9 ?? ?? ?? ?? 50 00 ?? ?? ?? ?? 06 46 56 B9 ?? ?? ?? ?? 3C 6B D7 F8 38 80 D7 E9 00 56 4F F0 07 09 00 E0 00 26 B8 F1 00 0F 0D D0 63 69 08 2B 01 D3 21 68 00 E0 21 46 B8 F1 00 0F 04 D0 4F EA 48 02 30 46 ?? ?? ?? ?? 63 69 08 2B 02 D3 20 68 ?? ?? ?? ?? 00 22 C4 E9 04 29 22 80 26 60 65 61 08 2D 01 D3 23 68 00 E0 23 46 C4 F8 10 80 23 F8 18 20 BD E8 FF 0B 5D F8 14 FB AB AA AA AA }
	condition:
		$1
}

rule file_4_43_2 {
	meta:
		name = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
		size = 30
		altNames = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 08 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 23 F8 11 20 BD E8 00 88 }
	condition:
		$1
}

rule file_4_54_2 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z"
		size = 126
		refs = "001e ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII@Z 0040 memcpy 0046 ??3@YAXPAX@Z 0078 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 4F F0 00 43 9B 1E 0D 46 9D 42 04 46 2F D8 63 69 AB 42 03 D2 22 69 ?? ?? ?? ?? 22 E0 C2 B1 08 2D 16 D2 26 69 B5 42 38 BF 2E 46 08 2B 09 D3 27 68 26 B1 72 00 39 46 20 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 07 23 C4 E9 04 63 00 23 24 F8 16 30 08 E0 45 B9 08 2B 01 D3 23 68 00 E0 23 46 00 22 22 61 1A 80 0D B1 01 20 00 E0 00 20 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_688_2 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z"
		size = 126
		refs = "001e ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXII@Z 0040 memcpy 0046 ??3@YAXPAX@Z 0078 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 4F F0 00 43 9B 1E 0D 46 9D 42 04 46 2F D8 63 69 AB 42 03 D2 22 69 ?? ?? ?? ?? 22 E0 C2 B1 08 2D 16 D2 26 69 B5 42 38 BF 2E 46 08 2B 09 D3 27 68 26 B1 72 00 39 46 20 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 07 23 C4 E9 04 63 00 23 24 F8 16 30 08 E0 45 B9 08 2B 01 D3 23 68 00 E0 23 46 00 22 22 61 1A 80 0D B1 01 20 00 E0 00 20 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_4_55_2 {
	meta:
		name = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NPB_W@Z"
		size = 54
		altNames = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NPBG@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 99 B1 42 69 08 2A 01 D3 03 68 00 E0 03 46 99 42 0B D3 08 2A 01 D3 02 68 00 E0 02 46 03 69 02 EB 43 03 8B 42 88 BF 01 20 00 D8 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_4_57_2 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QAAPA_WXZ"
		size = 18
		altNames = "?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QAAPAGXZ ?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QBAPBGXZ ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QBAPB_WXZ ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QAAPAGXZ ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QBAPBGXZ ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QAAPA_WXZ ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QBAPB_WXZ ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAPBGXZ ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAPB_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 08 2B 00 D3 00 68 BD E8 00 88 }
	condition:
		$1
}

rule file_4_65_2 {
	meta:
		name = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z"
		size = 54
		refs = "001c memcpy 0022 ??3@YAXPAX@Z"
		altNames = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 15 46 04 46 59 B1 63 69 08 2B 08 D3 26 68 1D B1 6A 00 31 46 ?? ?? ?? ?? 30 46 ?? ?? ?? ?? 07 23 C4 E9 04 53 00 23 24 F8 15 30 BD E8 78 88 }
	condition:
		$1
}

rule file_4_71_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 132
		refs = "0030 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0058 memcpy 0078 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 007e ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 1D 46 33 69 90 46 04 46 43 45 2F D3 9B 1A 22 69 9D 42 88 BF 1D 46 D3 43 AB 42 2A D9 57 19 15 B3 00 22 39 46 20 46 ?? ?? ?? ?? E0 B1 73 69 08 2B 00 D3 36 68 63 69 08 2B 01 D3 20 68 00 E0 20 46 3D B1 23 69 6A 00 06 EB 48 01 00 EB 43 00 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 27 61 23 F8 17 20 20 46 BD E8 F8 89 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_853_2 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 132
		refs = "0030 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0058 memcpy 0078 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 007e ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 1D 46 33 69 90 46 04 46 43 45 2F D3 9B 1A 22 69 9D 42 88 BF 1D 46 D3 43 AB 42 2A D9 57 19 15 B3 00 22 39 46 20 46 ?? ?? ?? ?? E0 B1 73 69 08 2B 00 D3 36 68 63 69 08 2B 01 D3 20 68 00 E0 20 46 3D B1 23 69 6A 00 06 EB 48 01 00 EB 43 00 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 27 61 23 F8 17 20 20 46 BD E8 F8 89 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_4_73_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
		size = 166
		refs = "0048 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 0062 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0080 memcpy 00a0 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0F 46 15 46 04 46 FF B1 60 69 08 28 01 D3 23 68 00 E0 23 46 9F 42 17 D3 08 28 01 D3 22 68 00 E0 22 46 23 69 02 EB 43 03 BB 42 0D D9 08 28 01 D3 23 68 00 E0 23 46 FB 1A 5A 10 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 23 E0 22 69 D3 43 AB 42 22 D9 56 19 ED B1 00 22 31 46 20 46 ?? ?? ?? ?? B8 B1 63 69 08 2B 01 D3 21 68 00 E0 21 46 35 B1 23 69 6A 00 01 EB 43 00 39 46 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 26 61 23 F8 16 20 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_4_74_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 156
		refs = "0042 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z 004e ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0070 memcpy 0090 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0E 46 1D 46 33 69 17 46 04 46 BB 42 3B D3 DB 1B 9D 42 88 BF 1D 46 B4 42 12 D1 23 69 EA 19 93 42 34 D3 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 21 22 61 23 F8 12 10 3A 46 20 46 ?? ?? ?? ?? 1F E0 00 22 29 46 20 46 ?? ?? ?? ?? C8 B1 73 69 08 2B 00 D3 36 68 63 69 08 2B 01 D3 20 68 00 E0 20 46 25 B1 6A 00 06 EB 47 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 23 F8 15 20 20 46 BD E8 F0 88 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_864_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 156
		refs = "0042 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z 004e ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0070 memcpy 0090 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0E 46 1D 46 33 69 17 46 04 46 BB 42 3B D3 DB 1B 9D 42 88 BF 1D 46 B4 42 12 D1 23 69 EA 19 93 42 34 D3 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 21 22 61 23 F8 12 10 3A 46 20 46 ?? ?? ?? ?? 1F E0 00 22 29 46 20 46 ?? ?? ?? ?? C8 B1 73 69 08 2B 00 D3 36 68 63 69 08 2B 01 D3 20 68 00 E0 20 46 25 B1 6A 00 06 EB 47 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 23 F8 15 20 20 46 BD E8 F0 88 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_4_76_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
		size = 140
		refs = "0048 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 0056 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 006e memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0E 46 15 46 04 46 FE B1 62 69 08 2A 01 D3 23 68 00 E0 23 46 9E 42 17 D3 08 2A 01 D3 21 68 00 E0 21 46 23 69 01 EB 43 03 B3 42 0D D9 08 2A 01 D3 23 68 00 E0 23 46 F3 1A 5A 10 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 1A E0 00 22 29 46 20 46 ?? ?? ?? ?? A0 B1 63 69 08 2B 01 D3 20 68 00 E0 20 46 1D B1 6A 00 31 46 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 23 F8 15 20 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_34_867_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
		size = 140
		refs = "0048 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 0056 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 006e memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0E 46 15 46 04 46 FE B1 62 69 08 2A 01 D3 23 68 00 E0 23 46 9E 42 17 D3 08 2A 01 D3 21 68 00 E0 21 46 23 69 01 EB 43 03 B3 42 0D D9 08 2A 01 D3 23 68 00 E0 23 46 F3 1A 5A 10 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 1A E0 00 22 29 46 20 46 ?? ?? ?? ?? A0 B1 63 69 08 2B 01 D3 20 68 00 E0 20 46 1D B1 6A 00 31 46 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 23 F8 15 20 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_4_78_2 {
	meta:
		name = "?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WXZ"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 08 2B 01 D3 02 68 00 E0 02 46 03 69 02 EB 43 03 98 1E BD E8 00 88 }
	condition:
		$1
}

rule file_4_83_2 {
	meta:
		name = "?empty@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBA_NXZ"
		size = 20
		altNames = "?empty@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBA_NXZ ?empty@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 0B B9 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_4_84_2 {
	meta:
		name = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
		size = 32
		altNames = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 08 2B 01 D3 02 68 00 E0 02 46 03 69 08 46 02 EB 43 03 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_4_85_2 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I@Z"
		size = 42
		refs = "0024 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 8B 42 0B D3 43 69 08 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 23 F8 11 20 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1147_2 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@I@Z"
		size = 42
		refs = "0024 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 8B 42 0B D3 43 69 08 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 23 F8 11 20 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_4_86_2 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z"
		size = 114
		refs = "004c memmove 006c ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 15 46 22 69 8A 42 2B D3 53 1A AB 42 0A D8 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 21 61 23 F8 11 20 1A E0 CD B1 63 69 08 2B 01 D3 23 68 00 E0 23 46 56 1B 03 EB 41 00 73 1A 04 D0 5A 00 00 EB 45 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 26 61 23 F8 16 20 20 46 BD E8 78 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1148_2 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z"
		size = 114
		refs = "004c memmove 006c ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 15 46 22 69 8A 42 2B D3 53 1A AB 42 0A D8 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 21 61 23 F8 11 20 1A E0 CD B1 63 69 08 2B 01 D3 23 68 00 E0 23 46 56 1B 03 EB 41 00 73 1A 04 D0 5A 00 00 EB 45 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 26 61 23 F8 16 20 20 46 BD E8 78 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_4_106_2 {
	meta:
		name = "_Open_dir"
		size = 252
		refs = "0008 __security_push_cookie 002e wcslen 0038 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 0046 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 0098 _Read_dir 00b4 wcscpy_s 00de ??3@YAXPAX@Z 00e8 __security_pop_cookie 00f0 __imp_FindClose 00f4 __imp_FindFirstFileExW 00f8 ??_C@_15PKPONJIK@?$AA?2?$AA?$CK?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? AD F5 1C 7D 98 46 0E 46 34 88 07 23 07 93 00 23 06 93 AD F8 08 30 17 46 05 46 0C B9 00 22 03 E0 30 46 ?? ?? ?? ?? 02 46 02 A8 31 46 ?? ?? ?? ?? 06 9B 23 B1 2D 49 02 A8 02 22 ?? ?? ?? ?? 07 9B 08 2B 01 D3 02 98 00 E0 02 A8 27 4C 00 26 00 23 24 68 08 AA 00 21 01 96 00 96 A0 47 04 46 B0 F1 FF 3F 03 D1 A1 23 3B 60 2E 80 17 E0 BD F8 4C 30 3E 60 2E 2B 14 D1 BD F8 4E 30 23 B1 2E 2B 0F D1 BD F8 50 30 63 B9 42 46 21 46 28 46 ?? ?? ?? ?? 2B 88 D3 B9 13 4B 20 46 1B 68 98 47 00 24 14 E0 13 AA 4F F4 82 71 28 46 ?? ?? ?? ?? 08 9A 12 F0 10 0F 18 BF 02 23 06 D1 47 F6 A7 33 1A 42 18 BF 01 23 08 BF 08 23 C8 F8 00 30 07 9B 08 2B 02 D3 02 98 ?? ?? ?? ?? 20 46 0D F5 1C 7D ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_113_2 {
	meta:
		name = "_Statvfs"
		size = 228
		refs = "0008 __security_push_cookie 0038 wcslen 0042 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 0080 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 00cc ??3@YAXPAX@Z 00d4 __security_pop_cookie 00dc __imp_GetDiskFreeSpaceExW 00e0 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 92 B0 6F F0 00 03 CD E9 00 33 CD E9 02 33 CD E9 04 33 07 23 11 93 00 23 0C 46 10 93 AD F8 30 30 23 88 06 46 0B B9 00 22 03 E0 20 46 ?? ?? ?? ?? 02 46 0C A8 21 46 ?? ?? ?? ?? 10 99 B9 B1 11 9A 0C 98 08 2A 28 BF 03 46 00 D2 0C AB 03 EB 41 03 33 F8 02 3C 2F 2B 11 D0 08 2A 28 BF 03 46 00 D2 0C AB 03 EB 41 03 33 F8 02 3C 5C 2B 06 D0 19 49 0C A8 01 22 ?? ?? ?? ?? 11 9A 0C 98 08 2A 00 D2 0C A8 13 4C 08 AB 06 AA 24 68 0A A9 A0 47 58 B1 06 9B 00 93 07 9B 01 93 08 9B 02 93 09 9B 03 93 0A 9B 04 93 0B 9B 05 93 6C 46 0F CC 86 E8 0F 00 0C CC 35 46 10 35 0C C5 11 9B 08 2B 02 D3 0C 98 ?? ?? ?? ?? 30 46 12 B0 ?? ?? ?? ?? BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_1_2 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z"
		size = 22
		altNames = "??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QAA@U_One_then_variadic_args_t@1@$$QAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 00 23 C0 E9 04 33 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_10_43_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@$$QAV01@@Z"
		size = 66
		refs = "0022 memmove"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 05 46 0F 27 00 26 C5 E9 04 67 0C 46 2E 70 63 69 10 2B 05 D2 23 69 5A 1C 05 D0 ?? ?? ?? ?? 02 E0 23 68 2B 60 26 60 23 69 28 46 2B 61 63 69 6B 61 C4 E9 04 67 26 70 BD E8 F0 88 }
	condition:
		$1
}

rule file_10_44_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ABV01@@Z"
		size = 34
		refs = "0018 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0F 23 63 61 00 23 23 61 23 70 DB 43 00 22 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_10_45_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@ID@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0F 23 63 61 00 23 23 61 23 70 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_103_83_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBDI@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0F 23 63 61 00 23 23 61 23 70 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_10_46_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@PBD@Z"
		size = 54
		refs = "0022 strlen 002c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 0F 23 6B 61 00 23 2B 61 2B 70 91 F9 00 30 0C 46 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_10_47_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 0F 23 43 61 00 23 03 61 03 70 BD E8 00 88 }
	condition:
		$1
}

rule file_10_65_2 {
	meta:
		name = "??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 148
		refs = "000a __security_push_cookie 0028 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0034 ?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z 0056 __std_exception_copy 0066 ??3@YAXPAX@Z 007a __security_pop_cookie 0088 ??_7_System_error@std@@6B@ 008c ??_7runtime_error@std@@6B@ 0090 ??_7exception@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 8F B0 1C 46 0F 23 07 93 00 23 06 93 8D F8 08 30 05 46 DB 43 02 A8 00 22 21 46 ?? ?? ?? ?? DD E9 15 12 02 AB 08 A8 ?? ?? ?? ?? 43 69 10 2B 00 D3 00 68 13 4B 00 90 68 46 2B 60 00 23 C5 E9 01 33 01 23 29 1D 8D F8 04 30 ?? ?? ?? ?? 0C 4B 2B 60 0D 9B 10 2B 02 D3 08 98 ?? ?? ?? ?? 07 4B 28 46 2B 60 15 9B EB 60 16 9B 2B 61 0F B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_85_2 {
	meta:
		name = "??0runtime_error@std@@QAA@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 64
		refs = "0028 __std_exception_copy 0038 ??_7runtime_error@std@@6B@ 003c ??_7exception@std@@6B@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 4B 69 04 46 10 2B 00 D3 09 68 0A 4B 00 91 68 46 23 60 00 23 C4 E9 01 33 01 23 21 1D 8D F8 04 30 ?? ?? ?? ?? 02 4B 20 46 23 60 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_88_2 {
	meta:
		name = "??0system_error@std@@QAA@Verror_code@1@PBD@Z"
		size = 120
		refs = "000a __security_push_cookie 0034 strlen 0040 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 004e ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 005a ??3@YAXPAX@Z 0066 __security_pop_cookie 0074 ??_7system_error@std@@6B@"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B ?? ?? ?? ?? 88 B0 6F 46 1D 46 6F F0 01 03 C7 E9 00 33 95 F9 00 20 0F 23 FB 61 00 23 BB 61 3B 72 04 46 0A B9 00 22 03 E0 28 46 ?? ?? ?? ?? 02 46 17 F1 08 00 29 46 ?? ?? ?? ?? D7 E9 0F 12 17 F1 08 03 20 46 ?? ?? ?? ?? FB 69 10 2B 02 D3 B8 68 ?? ?? ?? ?? 05 4B 23 60 20 46 08 B0 ?? ?? ?? ?? BD E8 B0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_102_2 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		size = 36
		refs = "0012 ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 63 69 10 2B 02 D3 20 68 ?? ?? ?? ?? 0F 23 63 61 00 23 23 61 23 70 BD E8 18 88 }
	condition:
		$1
}

rule file_10_168_2 {
	meta:
		name = "?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX$$QAV12@@Z"
		size = 60
		refs = "001a memmove"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0C 46 63 69 00 26 05 46 10 2B 05 D2 23 69 5A 1C 06 D0 ?? ?? ?? ?? 03 E0 0D B1 23 68 2B 60 26 60 23 69 2B 61 63 69 6B 61 0F 23 C4 E9 04 63 26 70 BD E8 78 88 }
	condition:
		$1
}

rule file_10_169_2 {
	meta:
		name = "?_Atomic_fetch_add_4@std@@YAKPCKKW4memory_order@1@@Z"
		size = 112
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 00 2A 27 D0 24 DD 02 2A 18 DD 03 2A 0C D0 13 1F 01 2B 1D D8 BF F3 5B 8F 54 E8 00 0F 42 18 44 E8 00 23 00 2B F8 D1 10 E0 BF F3 5B 8F 54 E8 00 0F 42 18 44 E8 00 23 00 2B F8 D1 12 E0 54 E8 00 0F 42 18 44 E8 00 23 00 2B F8 D1 BF F3 5B 8F 08 E0 00 20 06 E0 54 E8 00 0F 42 18 44 E8 00 23 00 2B F8 D1 BD E8 18 88 }
	condition:
		$1
}

rule file_10_172_2 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXIID@Z"
		size = 46
		refs = "0026 memset"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 1C 46 01 2A 05 D1 42 69 10 2A 00 D3 00 68 44 54 07 E0 43 69 10 2B 00 D3 00 68 08 44 21 46 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_10_175_2 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z"
		size = 196
		refs = "0050 ??2@YAPAXI@Z 0058 _invalid_parameter_noinfo_noreturn 008a memcpy 0096 ??3@YAXPAX@Z"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 4F F0 0F 09 41 EA 09 05 04 46 6F F0 01 03 15 F1 02 0F 90 46 BA 63 79 63 3C 63 C7 E9 02 33 01 D9 0D 46 0D E0 61 69 23 4B 48 08 A5 FB 03 32 B0 EB 52 0F 05 D9 6F F0 01 05 2B 1A 99 42 00 D8 45 18 68 1C 0D D0 ?? ?? ?? ?? 06 46 56 B9 ?? ?? ?? ?? 3C 6B D7 F8 38 80 D7 E9 00 56 4F F0 0F 09 00 E0 00 26 B8 F1 00 0F 0C D0 63 69 10 2B 01 D3 21 68 00 E0 21 46 B8 F1 00 0F 03 D0 42 46 30 46 ?? ?? ?? ?? 63 69 10 2B 02 D3 20 68 ?? ?? ?? ?? 00 22 C4 E9 04 29 22 70 26 60 65 61 10 2D 01 D3 23 68 00 E0 23 46 C4 F8 10 80 03 F8 08 20 BD E8 FF 0B 5D F8 14 FB AB AA AA AA }
	condition:
		$1
}

rule file_10_181_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAA_NXZ"
		size = 302
		refs = "0008 __security_push_cookie 0030 _guard_check_icall 00dc fwrite 00fe ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 011a ??3@YAXPAX@Z 0126 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8A B0 6F 46 82 B0 6F F0 01 03 C7 E9 02 33 83 6B 81 46 00 2B 7E D0 90 F8 3D 30 00 2B 7A D0 03 68 DC 68 20 46 ?? ?? ?? ?? 48 46 6F F0 00 01 A0 47 10 F1 01 0F 08 BF 00 24 6D D0 0F 23 7B 62 00 23 3B 74 C7 E9 04 33 7B 6A 10 2B 01 D3 3B 69 01 E0 17 F1 10 03 08 22 3A 62 00 22 1A 72 D7 F8 10 80 7A 6A 3B 46 10 2A 28 BF C2 46 01 D2 17 F1 10 0A 10 2A 01 D2 17 F1 10 08 D9 F8 38 40 00 93 3E 6A 23 68 1D 6A 28 46 ?? ?? ?? ?? 20 46 09 F1 40 01 42 46 0A EB 06 03 A8 47 10 B1 01 28 2C D1 02 E0 00 23 89 F8 3D 30 7A 6A D7 F8 10 80 10 2A 28 BF 41 46 01 D2 17 F1 10 01 3B 68 5C 1A 0F D0 10 2A 01 D2 17 F1 10 08 D9 F8 4C 30 22 46 01 21 40 46 ?? ?? ?? ?? 7A 6A D7 F8 10 80 84 42 11 D1 99 F8 3D 30 83 B1 00 2C 3B 46 BC D1 00 22 08 21 17 F1 10 00 ?? ?? ?? ?? B1 E7 7A 6A D7 F8 10 80 03 28 01 D0 00 24 00 E0 01 24 10 2A 04 D3 40 46 ?? ?? ?? ?? 00 E0 01 24 20 46 0C B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_10_183_2 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 10 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 5A 54 BD E8 00 88 }
	condition:
		$1
}

rule file_10_205_2 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z"
		size = 120
		refs = "001a ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z 003c memcpy 0042 ??3@YAXPAX@Z 0072 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0D 46 04 46 11 F1 02 0F 2E D8 63 69 AB 42 03 D2 22 69 ?? ?? ?? ?? 21 E0 BA B1 10 2D 15 D2 26 69 B5 42 38 BF 2E 46 10 2B 09 D3 27 68 26 B1 32 46 39 46 20 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 0F 23 C4 E9 04 63 00 23 33 55 08 E0 45 B9 10 2B 01 D3 23 68 00 E0 23 46 00 22 22 61 1A 70 0D B1 01 20 00 E0 00 20 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_217_2 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NPBD@Z"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 91 B1 42 69 10 2A 01 D3 03 68 00 E0 03 46 99 42 0A D3 10 2A 01 D3 02 68 00 E0 02 46 03 69 13 44 8B 42 88 BF 01 20 00 D8 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_10_220_2 {
	meta:
		name = "?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z"
		size = 208
		refs = "000a __security_push_cookie 002c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 0038 ?message@error_code@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0046 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0052 ??3@YAXPAX@Z 0082 memmove 00c0 __security_pop_cookie 00cc ??_C@_02LMMGGCAJ@?3?5?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8A B0 6F 46 1C 46 6F F0 01 03 C7 E9 02 33 3C 60 05 46 00 26 22 69 22 B1 29 49 02 22 20 46 ?? ?? ?? ?? 17 F1 10 01 17 F1 4C 00 ?? ?? ?? ?? 01 46 6F F0 00 03 00 22 20 46 ?? ?? ?? ?? 7B 6A 10 2B 02 D3 38 69 ?? ?? ?? ?? 4F F0 0F 08 43 46 C5 E9 04 66 10 2B C5 F8 14 80 01 D3 2B 68 00 E0 2B 46 2E 61 1E 70 63 69 10 2B 07 D2 23 69 5A 1C 07 D0 21 46 28 46 ?? ?? ?? ?? 02 E0 23 68 2B 60 26 60 23 69 2B 61 63 69 6B 61 43 46 10 2B C4 F8 14 80 01 D3 23 68 00 E0 23 46 26 61 1E 70 63 69 10 2B 02 D3 20 68 ?? ?? ?? ?? C4 E9 04 68 26 70 28 46 0A B0 ?? ?? ?? ?? BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_223_2 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QAAPADXZ"
		size = 18
		altNames = "?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QBAPBDXZ ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QAAPADXZ ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QBAPBDXZ ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAPBDXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 10 2B 00 D3 00 68 BD E8 00 88 }
	condition:
		$1
}

rule file_10_236_2 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z"
		size = 50
		refs = "001a memcpy 0020 ??3@YAXPAX@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 15 46 04 46 51 B1 63 69 10 2B 07 D3 26 68 15 B1 31 46 ?? ?? ?? ?? 30 46 ?? ?? ?? ?? 0F 23 C4 E9 04 53 00 23 2B 55 BD E8 78 88 }
	condition:
		$1
}

rule file_10_247_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 128
		refs = "0030 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0056 memcpy 0074 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 007a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 1D 46 33 69 90 46 04 46 43 45 2D D3 9B 1A 22 69 9D 42 88 BF 1D 46 D3 43 AB 42 28 D9 57 19 05 B3 00 22 39 46 20 46 ?? ?? ?? ?? D0 B1 73 69 10 2B 00 D3 36 68 63 69 10 2B 01 D3 22 68 00 E0 22 46 35 B1 23 69 06 EB 08 01 D0 18 2A 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 27 61 DA 55 20 46 BD E8 F8 89 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_248_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
		size = 110
		refs = "001e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 004a memset 0068 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 0D 46 21 69 17 46 CB 43 AB 42 27 D9 4E 19 15 B3 00 22 31 46 ?? ?? ?? ?? E8 B1 D4 E9 04 23 01 2D 06 D1 10 2B 01 D3 23 68 00 E0 23 46 9F 54 09 E0 10 2B 01 D3 23 68 00 E0 23 46 98 18 2A 46 39 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 26 61 9A 55 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_250_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		size = 158
		refs = "0044 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 005e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 007a memcpy 0098 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0F 46 15 46 04 46 EF B1 60 69 10 28 01 D3 23 68 00 E0 23 46 9F 42 15 D3 10 28 01 D3 22 68 00 E0 22 46 23 69 13 44 BB 42 0C D9 10 28 01 D3 23 68 00 E0 23 46 FA 1A 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 21 E0 22 69 D3 43 AB 42 20 D9 56 19 DD B1 00 22 31 46 20 46 ?? ?? ?? ?? A8 B1 63 69 10 2B 01 D3 22 68 00 E0 22 46 2D B1 23 69 39 46 D0 18 2A 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 26 61 9A 55 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_251_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
		size = 150
		refs = "0040 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 004c ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 006c memcpy 008a ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0E 46 1D 46 33 69 17 46 04 46 BB 42 38 D3 DB 1B 9D 42 88 BF 1D 46 B4 42 11 D1 23 69 EA 19 93 42 31 D3 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 21 22 61 99 54 3A 46 20 46 ?? ?? ?? ?? 1D E0 00 22 29 46 20 46 ?? ?? ?? ?? B8 B1 73 69 10 2B 00 D3 36 68 63 69 10 2B 01 D3 20 68 00 E0 20 46 1D B1 F1 19 2A 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 5A 55 20 46 BD E8 F0 88 30 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_252_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
		size = 96
		refs = "0016 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 003e memset 005a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0D 46 04 46 B1 F1 FF 3F 22 D0 00 22 ?? ?? ?? ?? D8 B1 63 69 01 2D 06 D1 10 2B 01 D3 23 68 00 E0 23 46 1E 70 08 E0 10 2B 01 D3 20 68 00 E0 20 46 2A 46 31 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 5A 55 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_254_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		size = 134
		refs = "0044 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0052 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 006a memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0E 46 15 46 04 46 EE B1 62 69 10 2A 01 D3 23 68 00 E0 23 46 9E 42 15 D3 10 2A 01 D3 21 68 00 E0 21 46 23 69 0B 44 B3 42 0C D9 10 2A 01 D3 23 68 00 E0 23 46 F2 1A 2B 46 21 46 20 46 ?? ?? ?? ?? 04 46 19 E0 00 22 29 46 20 46 ?? ?? ?? ?? 98 B1 63 69 10 2B 01 D3 20 68 00 E0 20 46 1D B1 2A 46 31 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 5A 55 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_10_257_2 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 10 2B 00 D3 00 68 08 60 08 46 BD E8 00 88 }
	condition:
		$1
}

rule file_10_295_2 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@I@Z"
		size = 40
		refs = "0022 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 8B 42 0A D3 43 69 10 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 5A 54 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_296_2 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z"
		size = 106
		refs = "0046 memmove 0064 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 20 69 88 42 28 D3 43 1A 93 42 09 D8 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 21 61 5A 54 18 E0 BA B1 63 69 10 2B 01 D3 23 68 00 E0 23 46 85 1A 0B 44 68 1A 04 D0 99 18 02 46 18 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 5A 55 20 46 BD E8 30 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_312_2 {
	meta:
		name = "?message@_Generic_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 60
		refs = "000e ?_Syserror_map@std@@YAPBDH@Z 0028 strlen 0032 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 10 46 0D 46 00 26 ?? ?? ?? ?? 0F 23 C5 E9 04 63 2E 70 90 F9 00 30 04 46 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 78 88 }
	condition:
		$1
}

rule file_10_313_2 {
	meta:
		name = "?message@_Iostream_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 52
		refs = "001e ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 0026 ?message@_Generic_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z 0030 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 00 21 01 2A 09 D1 0F 23 C4 E9 04 13 21 70 05 49 15 22 20 46 ?? ?? ?? ?? 02 E0 21 46 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_320_2 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHH@Z"
		size = 414
		refs = "0008 __security_push_cookie 008a fputc 00f2 _guard_check_icall 0130 fwrite 015e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 018e ??3@YAXPAX@Z 0196 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8C B0 6F 46 84 B0 6F F0 01 03 11 F1 01 0F 0E 46 C7 E9 04 33 08 BF 00 26 80 46 00 F0 B4 80 D8 F8 20 30 1A 68 72 B1 D8 F8 30 10 08 68 83 18 9A 42 08 D2 43 1E 0B 60 D8 F8 20 20 11 68 4B 1C 13 60 0E 70 A0 E0 D8 F8 4C 30 13 B9 6F F0 00 06 9A E0 D8 F8 0C 00 08 F1 3C 02 03 68 93 42 09 D1 D8 E9 14 21 02 60 D8 F8 1C 30 1A 60 D8 F8 2C 30 8A 1A 1A 60 D8 F8 38 30 43 B9 D8 F8 4C 10 70 B2 ?? ?? ?? ?? 10 F1 01 0F 7E D1 DF E7 0F 23 FB 62 00 23 3B 76 C7 E9 06 33 FB 6A 3E 70 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 08 22 BA 62 00 22 1A 72 17 F1 08 0A 3C 1D B9 46 B8 69 FA 6A 10 2A 28 BF 01 46 01 D2 17 F1 18 01 10 2A 01 D2 17 F1 18 00 BB 6A D8 F8 38 50 00 94 0B 44 02 93 2B 68 01 90 CD F8 0C A0 DC 69 20 46 ?? ?? ?? ?? 28 46 08 F1 40 01 3A 46 7B 1C A0 47 00 28 3D DB 01 28 2D DC FA 6A B8 69 10 2A 28 BF 01 46 01 D2 17 F1 18 01 BB 68 5C 1A 0D D0 10 2A 01 D2 17 F1 18 00 D8 F8 4C 30 22 46 01 21 ?? ?? ?? ?? FA 6A 84 42 B8 69 24 D1 01 23 88 F8 3D 30 7B 68 4B 45 20 D1 00 2C 07 F1 04 04 BA D1 BB 6A 20 2B 17 D2 00 22 08 21 17 F1 18 00 ?? ?? ?? ?? 3C 1D AD E7 03 28 0B D1 D8 F8 4C 10 97 F9 00 00 ?? ?? ?? ?? FA 6A 10 F1 01 0F B8 69 04 D1 01 E0 FA 6A B8 69 6F F0 00 06 10 2A 01 D3 ?? ?? ?? ?? 30 46 10 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_10_350_2 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAAHXZ"
		size = 512
		refs = "0008 __security_push_cookie 0078 fgetc 00c2 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0128 _guard_check_icall 016e ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 0198 _errno 01a0 _invalid_parameter_noinfo 01ca ungetc 01e4 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 01f0 ??3@YAXPAX@Z 01f8 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8C B0 6F 46 84 B0 6F F0 01 03 C7 E9 04 33 C3 69 80 46 1A 68 72 B1 C1 6A 08 68 83 18 9A 42 09 D2 43 1E 0B 60 D8 F8 1C 20 11 68 4B 1C 13 60 91 F8 00 90 D9 E0 D8 F8 4C 30 13 B9 6F F0 00 09 D3 E0 D8 F8 0C 00 08 F1 3C 02 03 68 93 42 09 D1 D8 E9 14 21 02 60 D8 F8 1C 30 1A 60 D8 F8 2C 30 8A 1A 1A 60 D8 F8 38 30 5B B9 D8 F8 4C 00 ?? ?? ?? ?? 6F F0 00 09 48 45 00 F0 B7 80 5F FA 80 F9 B3 E0 0F 23 FB 62 00 23 BB 62 3B 76 D8 F8 4C 00 ?? ?? ?? ?? 6F F0 00 09 04 46 4C 45 00 F0 9F 80 BA 6A 00 26 C2 F1 FF 33 01 2B 40 F2 94 80 55 1C 29 46 00 22 17 F1 18 00 ?? ?? ?? ?? 88 B1 FB 6A 10 2B 01 D3 BA 69 01 E0 17 F1 18 02 BB 6A 9C 54 FB 6A 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 BD 62 5E 55 FB 6A D7 F8 18 A0 10 2B 02 D3 C7 F8 08 A0 02 E0 17 F1 18 02 BA 60 10 2B 01 D2 17 F1 18 0A 17 F1 0C 03 03 93 7B 1C 02 93 3B 46 D8 F8 38 60 01 93 3B 1D 00 93 33 68 BD 6A 9C 69 20 46 ?? ?? ?? ?? BB 68 30 46 08 F1 40 01 2B 44 52 46 A0 47 00 28 54 DB 01 28 05 DD 03 28 50 D1 BB 6A 01 2B 17 D2 11 E0 FB 68 3A 46 93 42 27 D1 FB 6A 10 2B 01 D3 BA 69 01 E0 17 F1 18 02 7B 68 00 21 9A 1A 17 F1 18 00 ?? ?? ?? ?? D8 F8 4C 00 ?? ?? ?? ?? 92 E7 FA 6A B8 69 10 2A 28 BF 03 46 01 D2 17 F1 18 03 13 B1 1B 78 3B 70 22 E0 00 23 3B 70 ?? ?? ?? ?? 16 23 03 60 ?? ?? ?? ?? 17 E0 FA 6A B8 69 10 2A 28 BF 01 46 01 D2 17 F1 18 01 7D 68 BB 6A 5B 1B 5C 18 00 2C 0B DD 64 1E 60 57 D8 F8 4C 10 ?? ?? ?? ?? 00 2C 01 DD 7D 68 F5 E7 FA 6A B8 69 97 F8 00 90 05 E0 17 F1 18 00 ?? ?? ?? ?? B8 69 FA 6A 10 2A 01 D3 ?? ?? ?? ?? 48 46 10 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_11_182_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAA_NXZ"
		size = 302
		refs = "0008 __security_push_cookie 0034 _guard_check_icall 00dc fwrite 00fe ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 011a ??3@YAXPAX@Z 0126 __security_pop_cookie"
		altNames = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAA_NXZ"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8A B0 6F 46 82 B0 6F F0 01 03 C7 E9 02 33 83 6B 81 46 00 2B 7E D0 90 F8 3E 30 00 2B 7A D0 03 68 4F F6 FF 75 DC 68 20 46 ?? ?? ?? ?? 48 46 29 46 A0 47 A8 42 08 BF 00 24 6D D0 0F 23 7B 62 00 23 3B 74 C7 E9 04 33 7B 6A 10 2B 01 D3 3B 69 01 E0 17 F1 10 03 08 22 3A 62 00 22 1A 72 D7 F8 10 80 7A 6A 3B 46 10 2A 28 BF C2 46 01 D2 17 F1 10 0A 10 2A 01 D2 17 F1 10 08 D9 F8 38 40 00 93 3E 6A 23 68 1D 6A 28 46 ?? ?? ?? ?? 20 46 09 F1 40 01 42 46 0A EB 06 03 A8 47 10 B1 01 28 2C D1 02 E0 00 23 89 F8 3E 30 7A 6A D7 F8 10 80 10 2A 28 BF 41 46 01 D2 17 F1 10 01 3B 68 5C 1A 0F D0 10 2A 01 D2 17 F1 10 08 D9 F8 4C 30 22 46 01 21 40 46 ?? ?? ?? ?? 7A 6A D7 F8 10 80 84 42 11 D1 99 F8 3E 30 83 B1 00 2C 3B 46 BC D1 00 22 08 21 17 F1 10 00 ?? ?? ?? ?? B1 E7 7A 6A D7 F8 10 80 03 28 01 D0 00 24 00 E0 01 24 10 2A 04 D3 40 46 ?? ?? ?? ?? 00 E0 01 24 20 46 0C B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_11_329_2 {
	meta:
		name = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGG@Z"
		size = 424
		refs = "0008 __security_push_cookie 0090 fputwc 00f8 _guard_check_icall 0136 fwrite 0168 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0196 ??3@YAXPAX@Z 01a0 __security_pop_cookie"
		altNames = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGG@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8C B0 6F 46 84 B0 88 46 6F F0 01 03 4F F6 FF 76 C7 E9 04 33 B0 45 81 46 02 D1 4F F0 00 08 B7 E0 D9 F8 20 30 1A 68 82 B1 D9 F8 30 10 08 68 02 EB 40 03 9A 42 09 D2 43 1E 0B 60 D9 F8 20 20 11 68 8B 1C 13 60 A1 F8 00 80 A2 E0 D9 F8 4C 30 00 2B 00 F0 9D 80 D9 F8 0C 00 09 F1 3C 02 03 68 93 42 0A D1 D9 E9 14 21 02 60 D9 F8 1C 30 1A 60 8B 1A 5A 10 D9 F8 2C 30 1A 60 D9 F8 38 30 43 B9 D9 F8 4C 10 40 46 ?? ?? ?? ?? B0 42 40 F0 81 80 7E E0 0F 23 FB 62 00 23 3B 76 C7 E9 06 33 FB 6A A7 F8 00 80 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 08 22 BA 62 00 22 1A 72 3B 1D 17 F1 08 04 BA 46 B8 69 FA 6A 10 2A 28 BF 01 46 01 D2 17 F1 18 01 10 2A 01 D2 17 F1 18 00 03 93 BB 6A D9 F8 38 50 00 94 0B 44 02 93 2B 68 01 90 DC 69 20 46 ?? ?? ?? ?? 28 46 09 F1 40 01 3A 46 BB 1C A0 47 00 28 40 DB 01 28 31 DC FA 6A B8 69 10 2A 28 BF 01 46 01 D2 17 F1 18 01 7B 68 5C 1A 0D D0 10 2A 01 D2 17 F1 18 00 D9 F8 4C 30 22 46 01 21 ?? ?? ?? ?? FA 6A 84 42 B8 69 27 D1 01 23 89 F8 3E 30 BB 68 53 45 1D D1 00 2C 07 F1 08 04 07 F1 04 03 B9 D1 BB 6A 20 2B 18 D2 00 22 08 21 17 F1 18 00 ?? ?? ?? ?? 3B 1D 17 F1 08 04 AA E7 03 28 0A D1 D9 F8 4C 10 38 88 ?? ?? ?? ?? FA 6A B0 42 B8 69 03 D0 46 46 01 E0 FA 6A B8 69 10 2A 01 D3 ?? ?? ?? ?? B0 46 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_11_359_2 {
	meta:
		name = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAAGXZ"
		size = 500
		refs = "0008 __security_push_cookie 007a fgetwc 009a fgetc 00c0 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0122 _guard_check_icall 0168 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 018a _errno 0192 _invalid_parameter_noinfo 01bc ungetc 01d4 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 01e4 ??3@YAXPAX@Z 01ec __security_pop_cookie"
		altNames = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAAGXZ"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8C B0 6F 46 84 B0 6F F0 01 03 C7 E9 04 33 C3 69 80 46 1A 68 72 B1 C1 6A 08 68 02 EB 40 03 9A 42 08 D2 43 1E 0B 60 D8 F8 1C 20 11 68 8B 1C 13 60 08 88 D4 E0 D8 F8 4C 30 13 B9 4F F6 FF 70 CE E0 D8 F8 0C 00 08 F1 3C 02 03 68 93 42 0A D1 D8 E9 14 21 02 60 D8 F8 1C 30 1A 60 8B 1A 5A 10 D8 F8 2C 30 1A 60 D8 F8 38 30 53 B9 D8 F8 4C 00 ?? ?? ?? ?? 4F F6 FF 73 98 42 40 F0 B1 80 18 46 AE E0 0F 23 FB 62 00 23 BB 62 3B 76 D8 F8 4C 00 ?? ?? ?? ?? 04 46 10 F1 01 0F 00 F0 98 80 BA 6A 00 26 C2 F1 FF 33 01 2B 40 F2 8D 80 55 1C 29 46 00 22 17 F1 18 00 ?? ?? ?? ?? 88 B1 FB 6A 10 2B 01 D3 BA 69 01 E0 17 F1 18 02 BB 6A 9C 54 FB 6A 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 BD 62 5E 55 FB 6A D7 F8 18 90 10 2B 28 BF CA 46 01 D2 17 F1 18 0A 10 2B 01 D2 17 F1 18 09 17 F1 08 03 03 93 BB 1C 02 93 3B 46 D8 F8 38 60 01 93 3B 1D 00 93 33 68 BD 6A 9C 69 20 46 ?? ?? ?? ?? 30 46 08 F1 40 01 4A 46 05 EB 0A 03 A0 47 00 28 4F DB 01 28 05 DD 03 28 4B D1 BB 6A 02 2B 13 D2 A6 E7 BB 68 3A 46 93 42 23 D1 FB 6A 10 2B 01 D3 BA 69 01 E0 17 F1 18 02 7B 68 00 21 9A 1A 17 F1 18 00 ?? ?? ?? ?? 93 E7 FA 6A B8 69 10 2A 28 BF 03 46 01 D2 17 F1 18 03 13 B1 1B 88 3B 80 22 E0 00 23 3B 80 ?? ?? ?? ?? 16 23 03 60 ?? ?? ?? ?? 17 E0 FA 6A B8 69 10 2A 28 BF 01 46 01 D2 17 F1 18 01 7D 68 BB 6A 5B 1B 5C 18 00 2C 0B DD 64 1E 60 57 D8 F8 4C 10 ?? ?? ?? ?? 00 2C 01 DD 7D 68 F5 E7 FA 6A B8 69 3C 88 07 E0 17 F1 18 00 ?? ?? ?? ?? B8 69 FA 6A 4F F6 FF 74 10 2A 01 D3 ?? ?? ?? ?? 20 46 10 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_15_58_2 {
	meta:
		name = "??0system_error@std@@QAA@Verror_code@1@@Z"
		size = 104
		refs = "000a __security_push_cookie 002e ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 003c ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0048 ??3@YAXPAX@Z 0054 __security_pop_cookie 0060 ??_7system_error@std@@6B@ 0064 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? 89 B0 6F 46 6F F0 01 03 C7 E9 00 33 0F 23 11 49 FB 61 00 23 04 46 17 F1 08 00 00 22 BB 61 3B 72 ?? ?? ?? ?? D7 E9 0F 12 17 F1 08 03 20 46 ?? ?? ?? ?? FB 69 10 2B 02 D3 B8 68 ?? ?? ?? ?? 04 4B 23 60 20 46 09 B0 ?? ?? ?? ?? BD E8 90 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_77_2 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAADI@Z"
		size = 20
		altNames = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAABDI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 10 2B 00 D3 00 68 08 44 BD E8 00 88 }
	condition:
		$1
}

rule file_15_122_2 {
	meta:
		name = "?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z"
		size = 122
		refs = "002e memcpy"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 63 69 0D 46 10 2B 6B 69 10 D3 10 2B 04 D3 2B 68 22 68 23 60 2A 60 29 E0 2B 69 26 68 5A 1C 03 D0 29 46 20 46 ?? ?? ?? ?? 2E 60 1F E0 10 2B 14 D2 AC 42 1B D0 04 F1 10 03 00 26 9C 42 98 BF 10 21 88 BF 00 21 91 B1 28 1B 03 5D 22 78 76 1C 23 70 02 55 64 1C 8E 42 F7 D1 08 E0 23 69 2E 68 5A 1C 03 D0 21 46 28 46 ?? ?? ?? ?? 26 60 BD E8 78 88 }
	condition:
		$1
}

rule file_15_161_2 {
	meta:
		name = "?message@_System_error_category@std@@UBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 300
		refs = "0008 __security_push_cookie 0036 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXII@Z 004c memset 0076 ?_Winerror_message@std@@YAKKPADK@Z 009c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 00a8 ??3@YAXPAX@Z 00d2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00da ?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXXZ 010a memmove 0120 __security_pop_cookie 0128 ??_C@_0O@BFJCFAAK@unknown?5error?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 88 B0 6F 46 6F F0 01 03 C7 E9 00 33 0F 23 FB 61 47 F6 FF 75 00 23 16 46 0C 46 17 F1 08 00 00 22 29 46 BB 61 3B 72 4F F0 00 08 ?? ?? ?? ?? FB 69 10 2B 01 D3 B8 68 01 E0 17 F1 08 00 2A 46 00 21 ?? ?? ?? ?? FB 69 10 2B 01 D3 BB 68 01 E0 17 F1 08 03 BD 61 03 F8 05 80 FB 69 10 2B 01 D3 B9 68 01 E0 17 F1 08 01 2A 46 30 46 ?? ?? ?? ?? C0 B9 0F 23 C4 E9 04 88 63 61 10 2B 01 D3 23 68 00 E0 23 46 26 49 C4 F8 10 80 0D 22 20 46 83 F8 00 80 ?? ?? ?? ?? FB 69 10 2B 3A D3 B8 68 ?? ?? ?? ?? 36 E0 BB 69 98 42 0A D8 FB 69 10 2B 01 D3 BB 68 01 E0 17 F1 08 03 B8 61 03 F8 00 80 05 E0 C1 1A 17 F1 08 00 00 22 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 0F 23 C4 E9 04 88 63 61 10 2B 01 D3 23 68 00 E0 23 46 C4 F8 10 80 83 F8 00 80 F9 69 10 29 09 D2 BB 69 5A 1C 09 D0 17 F1 08 01 20 46 ?? ?? ?? ?? F9 69 01 E0 BB 68 23 60 BB 69 C4 E9 04 31 20 46 08 B0 ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_167_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXI@Z"
		size = 44
		refs = "0024 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 99 42 09 D8 43 69 10 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 5A 54 03 E0 C9 1A 00 22 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_15_168_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXID@Z"
		size = 42
		refs = "0022 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 99 42 09 D8 43 69 10 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 5A 54 02 E0 C9 1A ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_15_171_2 {
	meta:
		name = "?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXXZ"
		size = 106
		refs = "0008 __security_push_cookie 0030 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 003e ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z 005c ??3@YAXPAX@Z 0062 __security_pop_cookie"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 86 B0 04 46 23 69 43 F0 0F 02 63 69 9A 42 21 D2 0F 23 05 93 00 23 04 93 8D F8 00 30 DB 43 68 46 00 22 21 46 ?? ?? ?? ?? 6B 46 9C 42 0C D0 69 46 20 46 ?? ?? ?? ?? 22 69 04 9B 04 92 23 61 62 69 05 9B 05 92 63 61 00 E0 05 9A 10 2A 02 D3 00 98 ?? ?? ?? ?? 06 B0 ?? ?? ?? ?? BD E8 10 88 }
	condition:
		$1
}

rule file_15_173_2 {
	meta:
		name = "?swap@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z"
		size = 40
		refs = "0010 ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAXAAV12@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 A5 42 09 D0 ?? ?? ?? ?? 23 69 2A 69 2B 61 22 61 63 69 6A 69 6B 61 62 61 BD E8 30 88 }
	condition:
		$1
}

rule file_34_34_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBD@Z"
		size = 412
		refs = "0008 __security_push_cookie 0054 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00c6 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0178 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 018c ??3@YAXPAX@Z 0194 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 96 46 FA 60 6F F0 01 02 C7 E9 06 22 93 F9 00 50 7B 60 89 46 80 46 5D B1 2C 46 1E 46 AC 42 01 D1 0E F1 01 0E 16 F9 01 4F 00 2C F7 D1 C7 F8 0C E0 0F 23 7B 63 00 23 17 F1 20 00 00 22 71 46 3B 63 87 F8 20 30 ?? ?? ?? ?? 6F F0 01 02 01 21 7E 6B D7 F8 20 A0 3A 61 39 60 FB 68 00 22 00 24 00 25 00 2B BA 60 00 F0 87 80 78 68 23 56 3B B1 90 F9 00 20 93 42 03 D0 64 1C 23 56 00 2B F9 D1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 5B 57 43 B1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 5B 57 1C 44 44 E0 0C 44 22 56 90 F9 00 30 9A 42 30 D0 7A B3 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 8B B1 00 E0 7B B9 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 78 68 B8 F8 06 20 23 56 93 42 04 D1 01 22 39 68 BA 60 19 E0 78 68 39 68 7F 29 0B 46 28 BF 7F 23 10 2E 0B D2 17 F1 20 0A 08 E0 7F 29 0B 46 28 BF 7F 23 10 2E 01 D2 17 F1 20 0A 3D 61 0A F8 05 30 D7 F8 20 A0 7E 6B BA 68 FB 68 6D 1C 9D 42 9A D3 FA B1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 63 B1 00 E0 53 B9 3B 68 40 46 5B 1C 3B 60 ?? ?? ?? ?? 6F F0 00 03 39 68 3B 61 70 E7 10 2E 02 D3 50 46 ?? ?? ?? ?? 38 69 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_34_36_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPBD@Z"
		size = 412
		refs = "0008 __security_push_cookie 0054 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00c6 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0178 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 018c ??3@YAXPAX@Z 0194 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 96 46 FA 60 6F F0 01 02 C7 E9 06 22 93 F9 00 50 7B 60 89 46 80 46 5D B1 2C 46 1E 46 AC 42 01 D1 0E F1 01 0E 16 F9 01 4F 00 2C F7 D1 C7 F8 0C E0 0F 23 7B 63 00 23 17 F1 20 00 00 22 71 46 3B 63 87 F8 20 30 ?? ?? ?? ?? 6F F0 01 02 01 21 7E 6B D7 F8 20 A0 3A 61 39 60 FB 68 00 22 00 24 00 25 00 2B BA 60 00 F0 87 80 78 68 23 56 3B B1 90 F9 00 20 93 42 03 D0 64 1C 23 56 00 2B F9 D1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 5B 57 43 B1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 5B 57 1C 44 44 E0 0C 44 22 56 90 F9 00 30 9A 42 30 D0 7A B3 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 8B B1 00 E0 7B B9 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 78 68 B8 F8 06 20 23 56 93 42 04 D1 01 22 39 68 BA 60 19 E0 78 68 39 68 7F 29 0B 46 28 BF 7F 23 10 2E 0B D2 17 F1 20 0A 08 E0 7F 29 0B 46 28 BF 7F 23 10 2E 01 D2 17 F1 20 0A 3D 61 0A F8 05 30 D7 F8 20 A0 7E 6B BA 68 FB 68 6D 1C 9D 42 9A D3 FA B1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 63 B1 00 E0 53 B9 3B 68 40 46 5B 1C 3B 60 ?? ?? ?? ?? 6F F0 00 03 39 68 3B 61 70 E7 10 2E 02 D3 50 46 ?? ?? ?? ?? 38 69 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_34_38_2 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z"
		size = 412
		refs = "0008 __security_push_cookie 0052 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00c6 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 017a ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 018c ??3@YAXPAX@Z 0194 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 9E 46 7B 60 13 46 6F F0 01 02 C7 E9 06 22 BE F8 00 50 00 26 FB 60 89 46 80 46 4D B1 2C 46 AC 42 08 BF 5B 1C 76 1C 3E F8 16 40 00 2C F7 D1 FB 60 0F 22 7A 63 00 22 17 F1 20 00 19 46 3A 63 87 F8 20 20 ?? ?? ?? ?? 01 21 7E 6B D7 F8 20 A0 39 60 6F F0 01 03 3B 61 FB 68 00 22 00 25 00 24 00 2B BA 60 00 F0 88 80 78 68 30 F8 15 30 3B B1 02 88 93 42 04 D0 6D 1C 30 F8 15 30 00 2B F8 D1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 1B 57 43 B1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 1B 57 1D 44 45 E0 0D 44 30 F8 15 20 03 88 9A 42 31 D0 82 B3 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 93 B1 00 E0 83 B9 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 78 68 B8 F8 06 30 30 F8 15 20 9A 42 04 D1 01 22 39 68 BA 60 19 E0 78 68 39 68 7F 29 0B 46 28 BF 7F 23 10 2E 0B D2 17 F1 20 0A 08 E0 7F 29 0B 46 28 BF 7F 23 10 2E 01 D2 17 F1 20 0A 3C 61 0A F8 04 30 D7 F8 20 A0 7E 6B BA 68 FB 68 64 1C 9C 42 98 D3 F2 B1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 5B B1 00 E0 4B B9 3B 68 40 46 5B 1C 3B 60 ?? ?? ?? ?? 39 68 6F F0 00 03 6E E7 10 2E 02 D3 50 46 ?? ?? ?? ?? 38 69 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_34_40_2 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z"
		size = 412
		refs = "0008 __security_push_cookie 0052 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00c6 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 017a ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 018c ??3@YAXPAX@Z 0194 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 9E 46 7B 60 13 46 6F F0 01 02 C7 E9 06 22 BE F8 00 50 00 26 FB 60 89 46 80 46 4D B1 2C 46 AC 42 08 BF 5B 1C 76 1C 3E F8 16 40 00 2C F7 D1 FB 60 0F 22 7A 63 00 22 17 F1 20 00 19 46 3A 63 87 F8 20 20 ?? ?? ?? ?? 01 21 7E 6B D7 F8 20 A0 39 60 6F F0 01 03 3B 61 FB 68 00 22 00 25 00 24 00 2B BA 60 00 F0 88 80 78 68 30 F8 15 30 3B B1 02 88 93 42 04 D0 6D 1C 30 F8 15 30 00 2B F8 D1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 1B 57 43 B1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 1B 57 1D 44 45 E0 0D 44 30 F8 15 20 03 88 9A 42 31 D0 82 B3 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 93 B1 00 E0 83 B9 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 78 68 B8 F8 06 30 30 F8 15 20 9A 42 04 D1 01 22 39 68 BA 60 19 E0 78 68 39 68 7F 29 0B 46 28 BF 7F 23 10 2E 0B D2 17 F1 20 0A 08 E0 7F 29 0B 46 28 BF 7F 23 10 2E 01 D2 17 F1 20 0A 3C 61 0A F8 04 30 D7 F8 20 A0 7E 6B BA 68 FB 68 64 1C 9C 42 98 D3 F2 B1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 5B B1 00 E0 4B B9 3B 68 40 46 5B 1C 3B 60 ?? ?? ?? ?? 39 68 6F F0 00 03 6E E7 10 2E 02 D3 50 46 ?? ?? ?? ?? 38 69 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_34_85_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z"
		size = 62
		refs = "0032 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
	strings:
		$1 = { 0F B4 2D E9 7E 48 0D F1 18 0B 43 69 15 46 0E 46 08 2B 0A 95 09 96 01 D3 04 68 00 E0 04 46 02 69 08 2B 01 D3 01 68 00 E0 01 46 33 46 04 EB 42 02 00 95 ?? ?? ?? ?? BD E8 7E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_86_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z"
		size = 62
		refs = "0032 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
	strings:
		$1 = { 0F B4 2D E9 7E 48 0D F1 18 0B 43 69 15 46 0E 46 08 2B 0A 95 09 96 01 D3 04 68 00 E0 04 46 02 69 08 2B 01 D3 01 68 00 E0 01 46 33 46 04 EB 42 02 00 95 ?? ?? ?? ?? BD E8 7E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_207_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@$$QAV01@@Z"
		size = 68
		refs = "0024 memmove"
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@$$QAV01@@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 05 46 07 27 00 26 C5 E9 04 67 0C 46 2E 80 63 69 08 2B 06 D2 23 69 5B 1C 06 D0 5A 00 ?? ?? ?? ?? 02 E0 23 68 2B 60 26 60 23 69 28 46 2B 61 63 69 6B 61 C4 E9 04 67 26 80 BD E8 F0 88 }
	condition:
		$1
}

rule file_34_208_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@ABV01@@Z"
		size = 34
		refs = "0018 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 07 23 63 61 00 23 23 61 23 80 DB 43 00 22 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_34_214_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@ABV01@@Z"
		size = 34
		refs = "0018 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 07 23 63 61 00 23 23 61 23 80 DB 43 00 22 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_34_209_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@IG@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 07 23 63 61 00 23 23 61 23 80 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_34_211_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@PBGI@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 07 23 63 61 00 23 23 61 23 80 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_34_215_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@I_W@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 07 23 63 61 00 23 23 61 23 80 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_34_217_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@PB_WI@Z"
		size = 30
		refs = "0014 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 07 23 63 61 00 23 23 61 23 80 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_34_212_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
		size = 20
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 23 43 61 00 23 03 61 03 80 BD E8 00 88 }
	condition:
		$1
}

rule file_34_344_2 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z"
		size = 100
		refs = "0022 ??3@YAXPAX@Z 0044 memmove"
		altNames = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@$$QAV12@@Z ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@$$QAV12@@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 0D 46 04 46 6F F0 01 03 C7 E9 00 33 AC 42 21 D0 63 69 08 2B 02 D3 20 68 ?? ?? ?? ?? 4F F0 07 08 00 26 C4 E9 04 68 26 80 6B 69 08 2B 08 D2 2B 69 5B 1C 08 D0 5A 00 29 46 20 46 ?? ?? ?? ?? 02 E0 2B 68 23 60 2E 60 2B 69 23 61 6B 69 63 61 C5 E9 04 68 2E 80 20 46 BD E8 FE 89 }
	condition:
		$1
}

rule file_34_353_2 {
	meta:
		name = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA_NABV01@@Z"
		size = 24
		altNames = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA_NABV01@@Z ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA_NABV01@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 0B 68 9A 42 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_34_357_2 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAGI@Z"
		size = 22
		altNames = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAABGI@Z ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAA_WI@Z ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAAB_WI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 08 2B 00 D3 00 68 00 EB 41 00 BD E8 00 88 }
	condition:
		$1
}

rule file_34_370_2 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QAAAAV01@XZ"
		size = 16
		altNames = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QAAAAV01@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 9B 1C 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_34_378_2 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV01@@Z"
		size = 18
		altNames = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV01@@Z ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@@Z ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 0B 68 D3 1A 58 10 BD E8 00 88 }
	condition:
		$1
}

rule file_34_384_2 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 20
		altNames = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QBA?AV01@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 08 46 03 EB 42 03 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_34_390_2 {
	meta:
		name = "??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z"
		size = 78
		refs = "001a ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0048 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 22 69 0E 46 D3 43 01 2B 19 D9 55 1C 29 46 00 22 ?? ?? ?? ?? 80 B1 D4 E9 04 23 10 2B 01 D3 23 68 00 E0 23 46 9E 54 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 5A 55 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_439_2 {
	meta:
		name = "?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX$$QAV12@@Z"
		size = 62
		refs = "001c memmove"
		altNames = "?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX$$QAV12@@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0C 46 63 69 00 26 05 46 08 2B 06 D2 23 69 5B 1C 07 D0 5A 00 ?? ?? ?? ?? 03 E0 0D B1 23 68 2B 60 26 60 23 69 2B 61 63 69 6B 61 07 23 C4 E9 04 63 26 80 BD E8 78 88 }
	condition:
		$1
}

rule file_34_449_2 {
	meta:
		name = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIIG@Z"
		size = 58
		altNames = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXII_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 1C 46 01 2A 06 D1 42 69 08 2A 00 D3 00 68 20 F8 11 40 0C E0 43 69 08 2B 00 D3 00 68 00 EB 41 03 2A B1 03 EB 42 02 23 F8 02 4B 93 42 FB D1 BD E8 18 88 }
	condition:
		$1
}

rule file_34_490_2 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z"
		size = 948
		refs = "000a __security_push_cookie 0078 strcspn 0082 localeconv 009e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a2 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00b4 _guard_check_icall 00e4 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0116 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0150 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01c0 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 0216 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 037e ??3@YAXPAX@Z 039e __security_pop_cookie 03ac ??_C@_02OOPEBDOJ@pP?$AA@ 03b0 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 98 B0 6F 46 D7 F8 98 40 D7 F8 A4 60 C7 E9 05 41 6F F0 01 03 D7 F8 A0 A0 C7 E9 0A 33 46 B1 9A F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 63 69 03 F4 40 53 B3 F5 40 5F 01 D0 D8 49 11 E0 08 F1 02 02 D5 49 B2 42 0C D8 1A F9 08 30 0A EB 08 00 30 2B 06 D1 90 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 50 46 ?? ?? ?? ?? 2E 23 3B 82 B8 60 ?? ?? ?? ?? 03 68 17 F1 10 01 50 46 1B 78 3B 74 ?? ?? ?? ?? 81 46 20 46 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 3C 60 7D 6A 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 07 23 7B 64 00 23 17 F1 30 00 00 22 31 46 3B 64 3B 86 ?? ?? ?? ?? 7B 6C 08 2B 01 D3 3D 6B 01 E0 17 F1 30 05 22 68 D4 6A 20 46 ?? ?? ?? ?? 38 68 51 46 0A EB 06 02 2B 46 A0 47 78 69 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 05 46 D7 F8 24 A0 BA F1 00 0F 11 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 17 F1 48 01 28 46 ?? ?? ?? ?? 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 B1 45 10 D0 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 A0 47 7B 6C 08 2B 01 D3 3B 6B 01 E0 17 F1 30 03 23 F8 19 00 01 E0 D7 F8 08 90 FE 6D BD 6C 10 2E 28 BF 2C 46 01 D2 17 F1 48 04 94 F9 00 20 7F 2A 19 D0 00 2A 15 DD A9 EB 08 03 9A 42 11 D2 A9 EB 02 09 49 46 53 46 01 22 17 F1 30 00 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 20 7F 2A E7 D1 FE 6D BD 6C 79 69 38 6C D1 E9 08 23 B8 60 00 2B 05 DB 00 DC 1A B1 82 42 88 BF 14 1A 00 D8 00 24 4B 69 03 F4 E0 73 40 2B 2C D0 B3 F5 80 7F 2C D0 D7 E9 24 32 C7 E9 00 32 54 B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 FE 6D BD 6C D7 E9 00 32 79 6C 38 6B 00 24 08 29 28 BF 81 46 C7 E9 24 32 01 D2 17 F1 30 09 C2 46 C7 E9 00 32 B8 F1 00 0F 5B D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 4C E0 B3 F5 80 7F 31 D1 79 6C 38 6B 08 29 28 BF 81 46 01 D2 17 F1 30 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0D D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 15 38 6B FE 6D D7 E9 00 32 C7 E9 24 32 C7 E9 00 32 64 B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 11 15 38 6B FE 6D D7 E9 00 32 00 24 1D E0 79 6C 38 6B 08 29 28 BF 81 46 01 D2 17 F1 30 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0D D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 15 D7 E9 00 32 FE 6D 38 6B 08 29 28 BF 86 46 C7 E9 24 32 01 D2 17 F1 30 0E 0E EB 48 09 D7 F8 08 E0 C7 E9 02 32 BE EB 08 08 0E D0 39 F8 02 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 E9 11 15 38 6B FE 6D D7 E9 02 32 D7 F8 14 E0 4F F0 00 08 C7 E9 24 32 CE E9 08 88 C7 E9 02 32 6C B1 B7 F8 9C 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 11 15 38 6B FE 6D D7 E9 02 32 BC 69 C4 E9 00 32 10 2E 04 D3 28 46 ?? ?? ?? ?? 79 6C 38 6B 0F 23 FB 65 00 23 BB 65 87 F8 48 30 08 29 01 D3 ?? ?? ?? ?? 20 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_497_2 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z"
		size = 948
		refs = "000a __security_push_cookie 0078 strcspn 0082 localeconv 009e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a2 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00b4 _guard_check_icall 00e4 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0116 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0150 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01c0 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 0216 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 037e ??3@YAXPAX@Z 039e __security_pop_cookie 03ac ??_C@_02OOPEBDOJ@pP?$AA@ 03b0 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 98 B0 6F 46 D7 F8 98 40 D7 F8 A4 60 C7 E9 05 41 6F F0 01 03 D7 F8 A0 A0 C7 E9 0A 33 46 B1 9A F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 63 69 03 F4 40 53 B3 F5 40 5F 01 D0 D8 49 11 E0 08 F1 02 02 D5 49 B2 42 0C D8 1A F9 08 30 0A EB 08 00 30 2B 06 D1 90 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 50 46 ?? ?? ?? ?? 2E 23 3B 82 B8 60 ?? ?? ?? ?? 03 68 17 F1 10 01 50 46 1B 78 3B 74 ?? ?? ?? ?? 81 46 20 46 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 3C 60 7D 6A 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 07 23 7B 64 00 23 17 F1 30 00 00 22 31 46 3B 64 3B 86 ?? ?? ?? ?? 7B 6C 08 2B 01 D3 3D 6B 01 E0 17 F1 30 05 22 68 D4 6A 20 46 ?? ?? ?? ?? 38 68 51 46 0A EB 06 02 2B 46 A0 47 78 69 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 05 46 D7 F8 24 A0 BA F1 00 0F 11 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 17 F1 48 01 28 46 ?? ?? ?? ?? 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 B1 45 10 D0 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 A0 47 7B 6C 08 2B 01 D3 3B 6B 01 E0 17 F1 30 03 23 F8 19 00 01 E0 D7 F8 08 90 FE 6D BD 6C 10 2E 28 BF 2C 46 01 D2 17 F1 48 04 94 F9 00 20 7F 2A 19 D0 00 2A 15 DD A9 EB 08 03 9A 42 11 D2 A9 EB 02 09 49 46 53 46 01 22 17 F1 30 00 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 20 7F 2A E7 D1 FE 6D BD 6C 79 69 38 6C D1 E9 08 23 B8 60 00 2B 05 DB 00 DC 1A B1 82 42 88 BF 14 1A 00 D8 00 24 4B 69 03 F4 E0 73 40 2B 2C D0 B3 F5 80 7F 2C D0 D7 E9 24 32 C7 E9 00 32 54 B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 FE 6D BD 6C D7 E9 00 32 79 6C 38 6B 00 24 08 29 28 BF 81 46 C7 E9 24 32 01 D2 17 F1 30 09 C2 46 C7 E9 00 32 B8 F1 00 0F 5B D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 4C E0 B3 F5 80 7F 31 D1 79 6C 38 6B 08 29 28 BF 81 46 01 D2 17 F1 30 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0D D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 15 38 6B FE 6D D7 E9 00 32 C7 E9 24 32 C7 E9 00 32 64 B1 B7 F8 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 11 15 38 6B FE 6D D7 E9 00 32 00 24 1D E0 79 6C 38 6B 08 29 28 BF 81 46 01 D2 17 F1 30 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0D D0 39 F8 02 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 15 D7 E9 00 32 FE 6D 38 6B 08 29 28 BF 86 46 C7 E9 24 32 01 D2 17 F1 30 0E 0E EB 48 09 D7 F8 08 E0 C7 E9 02 32 BE EB 08 08 0E D0 39 F8 02 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 E9 11 15 38 6B FE 6D D7 E9 02 32 D7 F8 14 E0 4F F0 00 08 C7 E9 24 32 CE E9 08 88 C7 E9 02 32 6C B1 B7 F8 9C 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 11 15 38 6B FE 6D D7 E9 02 32 BC 69 C4 E9 00 32 10 2E 04 D3 28 46 ?? ?? ?? ?? 79 6C 38 6B 0F 23 FB 65 00 23 BB 65 87 F8 48 30 08 29 01 D3 ?? ?? ?? ?? 20 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_532_2 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 172
		refs = "0008 __security_push_cookie 002e ??2@YAPAXI@Z 003e ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0054 ??0_Locinfo@std@@QAA@PBD@Z 0064 _Getcoll 0084 ??1_Locinfo@std@@QAA@XZ 0096 ??3@YAXPAX@Z 009e __security_pop_cookie 00a8 ??_7?$collate@G@std@@6B@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9B B0 6F 46 6F F0 01 03 06 46 4F F0 00 09 C7 E9 04 33 C7 F8 00 90 88 46 4C 46 C6 B3 33 68 B3 BB 10 20 ?? ?? ?? ?? 05 46 BD 60 E5 B1 17 F1 50 01 40 46 ?? ?? ?? ?? 01 46 01 23 3B 60 4B 69 10 2B 00 D3 09 68 17 F1 18 00 ?? ?? ?? ?? 13 4B 03 24 17 F1 08 00 C5 E9 00 39 ?? ?? ?? ?? BB 68 AB 60 FB 68 EB 60 00 E0 00 25 35 60 14 F0 02 0F 05 D0 17 F1 18 00 24 F0 02 04 ?? ?? ?? ?? 14 F0 01 0F 05 D0 7B 6E 10 2B 02 D3 38 6D ?? ?? ?? ?? 01 20 1B B0 ?? ?? ?? ?? BD E8 F0 8B FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_230_2 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 172
		refs = "0008 __security_push_cookie 002e ??2@YAPAXI@Z 003e ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0054 ??0_Locinfo@std@@QAA@PBD@Z 0064 _Getcoll 0084 ??1_Locinfo@std@@QAA@XZ 0096 ??3@YAXPAX@Z 009e __security_pop_cookie 00a8 ??_7?$collate@D@std@@6B@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9B B0 6F 46 6F F0 01 03 06 46 4F F0 00 09 C7 E9 04 33 C7 F8 00 90 88 46 4C 46 C6 B3 33 68 B3 BB 10 20 ?? ?? ?? ?? 05 46 BD 60 E5 B1 17 F1 50 01 40 46 ?? ?? ?? ?? 01 46 01 23 3B 60 4B 69 10 2B 00 D3 09 68 17 F1 18 00 ?? ?? ?? ?? 13 4B 03 24 17 F1 08 00 C5 E9 00 39 ?? ?? ?? ?? BB 68 AB 60 FB 68 EB 60 00 E0 00 25 35 60 14 F0 02 0F 05 D0 17 F1 18 00 24 F0 02 04 ?? ?? ?? ?? 14 F0 01 0F 05 D0 7B 6E 10 2B 02 D3 38 6D ?? ?? ?? ?? 01 20 1B B0 ?? ?? ?? ?? BD E8 F0 8B FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_535_2 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@PBV42@@Z"
		size = 172
		refs = "0008 __security_push_cookie 002e ??2@YAPAXI@Z 003e ?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0054 ??0_Locinfo@std@@QAA@PBD@Z 0064 _Getcoll 0084 ??1_Locinfo@std@@QAA@XZ 0096 ??3@YAXPAX@Z 009e __security_pop_cookie 00a8 ??_7?$collate@_W@std@@6B@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 9B B0 6F 46 6F F0 01 03 06 46 4F F0 00 09 C7 E9 04 33 C7 F8 00 90 88 46 4C 46 C6 B3 33 68 B3 BB 10 20 ?? ?? ?? ?? 05 46 BD 60 E5 B1 17 F1 50 01 40 46 ?? ?? ?? ?? 01 46 01 23 3B 60 4B 69 10 2B 00 D3 09 68 17 F1 18 00 ?? ?? ?? ?? 13 4B 03 24 17 F1 08 00 C5 E9 00 39 ?? ?? ?? ?? BB 68 AB 60 FB 68 EB 60 00 E0 00 25 35 60 14 F0 02 0F 05 D0 17 F1 18 00 24 F0 02 04 ?? ?? ?? ?? 14 F0 01 0F 05 D0 7B 6E 10 2B 02 D3 38 6D ?? ?? ?? ?? 01 20 1B B0 ?? ?? ?? ?? BD E8 F0 8B FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_605_2 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z"
		size = 1980
		refs = "0008 __security_push_cookie 003c ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z 004a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0068 _guard_check_icall 008a ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00a2 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00f2 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0154 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 02d0 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0312 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0386 ??3@YAXPAX@Z 0474 localeconv 07ac __security_pop_cookie 07b4 ?_Src@?1??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A6 B0 6F 46 82 B0 D7 F8 C0 50 98 46 6F F0 01 03 C7 E9 10 33 6C 69 D7 F8 C4 30 16 46 04 F4 40 54 B4 F5 40 5F B9 61 FB 62 06 D1 01 93 43 46 00 95 ?? ?? ?? ?? 03 46 B1 E3 17 F1 38 01 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 38 62 D7 F8 3C 90 B9 F1 00 0F 11 D0 D9 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 48 46 A0 47 81 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 48 46 01 21 A0 47 17 F1 60 01 50 46 ?? ?? ?? ?? 00 23 D7 F8 18 A0 17 F1 30 01 28 46 7B 62 7B 61 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 E0 56 D4 6A 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 0F 02 17 F1 78 03 A0 47 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 24 00 2B D8 F8 00 30 01 D1 13 B3 00 E0 03 BB 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 F2 88 B7 F8 8E 30 9A 42 04 D1 BC 69 21 70 04 F1 01 0A 0D E0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8C 30 9A 42 06 D1 BB 69 1C 70 03 F1 01 0A 30 46 ?? ?? ?? ?? 30 23 C7 F8 30 A0 0A F8 01 3B FB 6A 00 22 C7 E9 02 22 1B 68 91 46 DF F8 48 26 00 25 7D 60 93 42 03 D1 4F F4 40 72 3A 61 01 E0 24 23 3B 61 7B 6F 10 2B 01 D3 3B 6E 01 E0 17 F1 60 03 BB 62 93 F9 00 30 7F 2B 00 F0 F8 80 00 2B 40 F3 F5 80 3B 6F 13 B9 00 22 FA 61 08 E0 3D 6A 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 F8 61 4F F0 0F 09 00 23 01 24 C7 E9 16 49 87 F8 48 30 87 F8 49 30 BB 6C 00 25 3B 60 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8A 80 02 E0 00 2B 40 F0 86 80 33 79 13 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F0 88 17 F1 78 01 32 B1 13 46 83 42 03 D0 89 1C 0B 88 00 2B F9 D1 17 F1 78 03 CB 1A 5B 10 0A 2B 2B D2 01 22 39 69 BA 60 FA 68 91 42 06 DC 7A 68 52 1C 7A 60 6B B1 01 23 7B 61 0A E0 03 B9 42 B1 DF F8 58 15 52 1C FA 60 5B 5C 8A F8 00 30 0A F1 01 0A 3A 68 B9 F1 10 0F 28 BF 13 46 01 D2 17 F1 48 03 5B 57 7F 2B 42 D0 B9 F1 10 0F 01 D2 17 F1 48 02 53 5D 5B 1C 53 55 35 E0 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 D3 B3 FB 69 C3 B3 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F3 88 F9 69 8B 42 2D D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 48 00 ?? ?? ?? ?? 90 B1 FB 6D 10 2B 01 D3 BA 6C 01 E0 17 F1 48 02 BB 6D 00 21 D1 54 FB 6D 10 2B 01 D3 BB 6C 01 E0 17 F1 48 03 BC 65 E1 54 6D 1C BB 6C D7 E9 16 49 3B 60 30 46 ?? ?? ?? ?? 66 E7 17 F1 48 00 ?? ?? ?? ?? B7 F8 78 20 55 B1 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 00 2B 24 DD 6D 1C B8 6A 1D B3 90 F9 00 10 7F 29 1F D0 6D 1E 09 D0 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 99 42 11 D1 55 B9 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 93 F9 00 30 99 42 05 DB 90 F9 01 30 00 2B DE DD 40 1C DC E7 01 23 7B 62 B9 F1 10 0F 4E D3 38 68 ?? ?? ?? ?? B7 F8 78 20 48 E0 17 F1 78 04 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 93 B3 00 E0 83 BB 33 79 13 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F0 88 17 F1 78 01 32 B1 13 46 83 42 03 D0 89 1C 0B 88 00 2B F9 D1 0B 1B 5B 10 0A 2B 1F D2 3A 69 4A 45 05 DC 6D 1C 7D 60 73 B1 01 23 7B 61 0B E0 13 B9 B9 F1 00 0F 07 D0 EC 4A 09 F1 01 09 9B 5C 8A F8 00 30 0A F1 01 0A 01 22 30 46 BA 60 ?? ?? ?? ?? BB E7 B7 F8 78 20 01 E0 D7 F8 0C 90 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 6A F5 88 1B 68 DC 68 20 46 ?? ?? ?? ?? 38 6A A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 8A F8 00 30 0A F1 01 0A ?? ?? ?? ?? B7 F8 78 20 FB 6A C9 49 1B 68 8B 42 37 D0 B9 F1 00 0F 34 D1 7D 68 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 A3 B1 00 E0 93 B9 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F3 88 93 42 08 D1 6D 1E 01 22 30 46 BA 60 ?? ?? ?? ?? B7 F8 78 20 D5 E7 7D 60 00 2D 06 DA 30 23 6D 1C 8A F8 00 30 0A F1 01 0A 7D 60 3D 69 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 63 B3 00 E0 53 BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F1 88 17 F1 78 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 0A 2B 15 D2 A9 45 08 DA 92 4A 09 F1 01 09 9B 5C 8A F8 00 30 0A F1 01 0A 02 E0 0B B1 01 23 7B 61 01 22 30 46 BA 60 ?? ?? ?? ?? B7 F8 78 20 BD E7 7B 69 7D 68 FB B1 D7 F8 30 90 AA F1 01 04 4C 45 15 D0 ?? ?? ?? ?? 03 68 94 F9 00 20 93 F9 00 30 9A 42 03 D0 39 2A 05 D1 30 23 23 70 64 1E 4C 45 EF D1 02 E0 23 78 5B 1C 23 70 4C 45 03 D1 31 23 6D 1C 7D 60 23 70 D7 F8 08 90 B9 F1 00 0F 00 F0 D1 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 BE 80 02 E0 00 2B 40 F0 BA 80 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 92 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 90 30 9A 42 40 F0 A5 80 65 23 8A F8 00 30 30 46 0A F1 01 0A ?? ?? ?? ?? 33 79 00 25 4F F0 00 09 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8E 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8C 30 9A 42 07 D1 2D 23 8A F8 00 30 0A F1 01 0A 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 73 B1 00 E0 63 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 78 20 93 42 04 D1 4F F0 01 09 DC E7 B7 F8 78 20 B9 F1 00 0F 04 D0 30 23 8A F8 00 30 0A F1 01 0A 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F1 88 17 F1 78 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 0A 2B 10 D2 08 2D 06 DA 12 4A 6D 1C 9B 5C 8A F8 00 30 0A F1 01 0A 30 46 4F F0 01 09 ?? ?? ?? ?? B7 F8 78 20 C2 E7 7B 6A 13 B9 B9 F1 00 0F 01 D1 BB 69 9A 46 00 23 8A F8 00 30 7B 6F 10 2B 02 D3 38 6E ?? ?? ?? ?? 7B 68 18 46 28 B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_34_612_2 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z"
		size = 1980
		refs = "0008 __security_push_cookie 003c ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z 004a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0068 _guard_check_icall 008a ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00a2 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00f2 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0154 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 02d0 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0312 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0386 ??3@YAXPAX@Z 0474 localeconv 07ac __security_pop_cookie 07b4 ?_Src@?1??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A6 B0 6F 46 82 B0 D7 F8 C0 50 98 46 6F F0 01 03 C7 E9 10 33 6C 69 D7 F8 C4 30 16 46 04 F4 40 54 B4 F5 40 5F B9 61 FB 62 06 D1 01 93 43 46 00 95 ?? ?? ?? ?? 03 46 B1 E3 17 F1 38 01 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 38 62 D7 F8 3C 90 B9 F1 00 0F 11 D0 D9 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 48 46 A0 47 81 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 48 46 01 21 A0 47 17 F1 60 01 50 46 ?? ?? ?? ?? 00 23 D7 F8 18 A0 17 F1 30 01 28 46 7B 62 7B 61 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 E0 56 D4 6A 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 0F 02 17 F1 78 03 A0 47 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 24 00 2B D8 F8 00 30 01 D1 13 B3 00 E0 03 BB 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 F2 88 B7 F8 8E 30 9A 42 04 D1 BC 69 21 70 04 F1 01 0A 0D E0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8C 30 9A 42 06 D1 BB 69 1C 70 03 F1 01 0A 30 46 ?? ?? ?? ?? 30 23 C7 F8 30 A0 0A F8 01 3B FB 6A 00 22 C7 E9 02 22 1B 68 91 46 DF F8 48 26 00 25 7D 60 93 42 03 D1 4F F4 40 72 3A 61 01 E0 24 23 3B 61 7B 6F 10 2B 01 D3 3B 6E 01 E0 17 F1 60 03 BB 62 93 F9 00 30 7F 2B 00 F0 F8 80 00 2B 40 F3 F5 80 3B 6F 13 B9 00 22 FA 61 08 E0 3D 6A 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 F8 61 4F F0 0F 09 00 23 01 24 C7 E9 16 49 87 F8 48 30 87 F8 49 30 BB 6C 00 25 3B 60 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8A 80 02 E0 00 2B 40 F0 86 80 33 79 13 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F0 88 17 F1 78 01 32 B1 13 46 83 42 03 D0 89 1C 0B 88 00 2B F9 D1 17 F1 78 03 CB 1A 5B 10 0A 2B 2B D2 01 22 39 69 BA 60 FA 68 91 42 06 DC 7A 68 52 1C 7A 60 6B B1 01 23 7B 61 0A E0 03 B9 42 B1 DF F8 58 15 52 1C FA 60 5B 5C 8A F8 00 30 0A F1 01 0A 3A 68 B9 F1 10 0F 28 BF 13 46 01 D2 17 F1 48 03 5B 57 7F 2B 42 D0 B9 F1 10 0F 01 D2 17 F1 48 02 53 5D 5B 1C 53 55 35 E0 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 D3 B3 FB 69 C3 B3 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F3 88 F9 69 8B 42 2D D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 48 00 ?? ?? ?? ?? 90 B1 FB 6D 10 2B 01 D3 BA 6C 01 E0 17 F1 48 02 BB 6D 00 21 D1 54 FB 6D 10 2B 01 D3 BB 6C 01 E0 17 F1 48 03 BC 65 E1 54 6D 1C BB 6C D7 E9 16 49 3B 60 30 46 ?? ?? ?? ?? 66 E7 17 F1 48 00 ?? ?? ?? ?? B7 F8 78 20 55 B1 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 00 2B 24 DD 6D 1C B8 6A 1D B3 90 F9 00 10 7F 29 1F D0 6D 1E 09 D0 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 99 42 11 D1 55 B9 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 93 F9 00 30 99 42 05 DB 90 F9 01 30 00 2B DE DD 40 1C DC E7 01 23 7B 62 B9 F1 10 0F 4E D3 38 68 ?? ?? ?? ?? B7 F8 78 20 48 E0 17 F1 78 04 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 93 B3 00 E0 83 BB 33 79 13 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F0 88 17 F1 78 01 32 B1 13 46 83 42 03 D0 89 1C 0B 88 00 2B F9 D1 0B 1B 5B 10 0A 2B 1F D2 3A 69 4A 45 05 DC 6D 1C 7D 60 73 B1 01 23 7B 61 0B E0 13 B9 B9 F1 00 0F 07 D0 EC 4A 09 F1 01 09 9B 5C 8A F8 00 30 0A F1 01 0A 01 22 30 46 BA 60 ?? ?? ?? ?? BB E7 B7 F8 78 20 01 E0 D7 F8 0C 90 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 6A F5 88 1B 68 DC 68 20 46 ?? ?? ?? ?? 38 6A A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 8A F8 00 30 0A F1 01 0A ?? ?? ?? ?? B7 F8 78 20 FB 6A C9 49 1B 68 8B 42 37 D0 B9 F1 00 0F 34 D1 7D 68 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 A3 B1 00 E0 93 B9 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F3 88 93 42 08 D1 6D 1E 01 22 30 46 BA 60 ?? ?? ?? ?? B7 F8 78 20 D5 E7 7D 60 00 2D 06 DA 30 23 6D 1C 8A F8 00 30 0A F1 01 0A 7D 60 3D 69 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 63 B3 00 E0 53 BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F1 88 17 F1 78 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 0A 2B 15 D2 A9 45 08 DA 92 4A 09 F1 01 09 9B 5C 8A F8 00 30 0A F1 01 0A 02 E0 0B B1 01 23 7B 61 01 22 30 46 BA 60 ?? ?? ?? ?? B7 F8 78 20 BD E7 7B 69 7D 68 FB B1 D7 F8 30 90 AA F1 01 04 4C 45 15 D0 ?? ?? ?? ?? 03 68 94 F9 00 20 93 F9 00 30 9A 42 03 D0 39 2A 05 D1 30 23 23 70 64 1E 4C 45 EF D1 02 E0 23 78 5B 1C 23 70 4C 45 03 D1 31 23 6D 1C 7D 60 23 70 D7 F8 08 90 B9 F1 00 0F 00 F0 D1 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 BE 80 02 E0 00 2B 40 F0 BA 80 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 92 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 90 30 9A 42 40 F0 A5 80 65 23 8A F8 00 30 30 46 0A F1 01 0A ?? ?? ?? ?? 33 79 00 25 4F F0 00 09 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8E 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8C 30 9A 42 07 D1 2D 23 8A F8 00 30 0A F1 01 0A 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 73 B1 00 E0 63 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 78 20 93 42 04 D1 4F F0 01 09 DC E7 B7 F8 78 20 B9 F1 00 0F 04 D0 30 23 8A F8 00 30 0A F1 01 0A 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 78 20 33 68 00 2B D8 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 78 20 F1 88 17 F1 78 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 0A 2B 10 D2 08 2D 06 DA 12 4A 6D 1C 9B 5C 8A F8 00 30 0A F1 01 0A 30 46 4F F0 01 09 ?? ?? ?? ?? B7 F8 78 20 C2 E7 7B 6A 13 B9 B9 F1 00 0F 01 D1 BB 69 9A 46 00 23 8A F8 00 30 7B 6F 10 2B 02 D3 38 6E ?? ?? ?? ?? 7B 68 18 46 28 B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_34_619_2 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2040
		refs = "0008 __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0032 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0044 _guard_check_icall 0066 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00cc ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 0126 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 034a ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0390 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0400 ??3@YAXPAX@Z 0502 localeconv 07e6 __security_pop_cookie 07f0 ?_Src@?1??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AC B0 6F 46 98 46 6F F0 01 03 D7 F8 D8 90 C7 E9 0E 33 D7 F8 DC 30 C7 E9 08 13 17 F1 30 01 48 46 16 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 78 61 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 58 01 50 46 ?? ?? ?? ?? 17 F1 28 01 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 48 57 D4 6A 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 1D 02 17 F1 70 03 A0 47 00 23 3C 6A FB 61 33 79 A1 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 25 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 F2 88 B7 F8 9E 30 9A 42 01 D1 21 70 0A E0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 9C 30 9A 42 05 D1 25 70 30 46 04 F1 01 09 ?? ?? ?? ?? 30 23 89 F8 00 30 78 23 89 F8 01 30 00 23 7B 60 33 79 00 24 09 F1 02 09 C7 E9 02 44 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 DB B3 00 E0 CB BB 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 70 10 8B 42 31 D1 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 CB B1 00 E0 BB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A2 30 9A 42 09 D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A0 30 9A 42 03 D1 30 46 ?? ?? ?? ?? 01 E0 01 23 BB 60 B7 F8 70 10 7B 6A 1A 68 DF F8 08 36 9A 42 02 D1 4F F4 40 75 00 E0 24 25 FB 6E BD 61 10 2B 01 D3 BB 6D 01 E0 17 F1 58 03 BB 62 93 F9 00 30 7F 2B 00 F0 FB 80 00 2B 40 F3 F8 80 BB 6E 13 B9 00 22 3A 61 0A E0 7D 69 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 B7 F8 70 10 38 61 4F F0 0F 0A 00 23 01 24 C7 E9 14 4A 87 F8 40 30 87 F8 41 30 3B 6C 00 25 3B 60 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 89 80 02 E0 00 2B 40 F0 85 80 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F0 88 17 F1 70 02 31 B1 0B 46 83 42 03 D0 92 1C 13 88 00 2B F9 D1 17 F1 70 03 D3 1A 5B 10 16 2B 28 D2 01 22 B9 69 BA 60 FA 68 91 42 03 DC 7B 68 5B 1C 7B 60 0A E0 03 B9 42 B1 DF F8 1C 15 52 1C FA 60 5B 5C 89 F8 00 30 09 F1 01 09 3A 68 BA F1 10 0F 28 BF 13 46 01 D2 17 F1 40 03 5B 57 7F 2B 42 D0 BA F1 10 0F 01 D2 17 F1 40 02 53 5D 5B 1C 53 55 35 E0 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 D3 B3 3B 69 C3 B3 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F3 88 3A 69 93 42 2D D1 C4 F1 FF 33 01 2B 25 D9 64 1C 21 46 00 22 17 F1 40 00 ?? ?? ?? ?? 90 B1 7B 6D 10 2B 01 D3 3A 6C 01 E0 17 F1 40 02 3B 6D 00 21 D1 54 7B 6D 10 2B 01 D3 3B 6C 01 E0 17 F1 40 03 3C 65 E1 54 6D 1C 3B 6C D7 E9 14 4A 3B 60 30 46 ?? ?? ?? ?? B7 F8 70 10 63 E7 17 F1 40 00 ?? ?? ?? ?? 55 B1 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 00 2B 24 DD 6D 1C B8 6A 1D B3 90 F9 00 20 7F 2A 1F D0 6D 1E 09 D0 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 9A 42 11 D1 55 B9 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 93 F9 00 30 9A 42 05 DB 90 F9 01 30 00 2B DE DD 40 1C DC E7 01 23 FB 61 BA F1 10 0F 4E D3 38 68 ?? ?? ?? ?? B7 F8 70 10 48 E0 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 01 D1 9B B3 00 E0 8B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F0 88 17 F1 70 03 31 B1 0A 46 82 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 16 2B 1B D2 55 45 03 DC 7B 68 5B 1C 7B 60 0B E0 13 B9 BA F1 00 0F 07 D0 DC 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 BB 60 ?? ?? ?? ?? B7 F8 70 10 B8 E7 D7 F8 0C A0 BB 68 3B B1 BA F1 00 0F 04 D1 30 23 89 F8 00 30 09 F1 01 09 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? 7B 69 F5 88 1B 68 DC 68 20 46 ?? ?? ?? ?? 78 69 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 89 F8 00 30 09 F1 01 09 ?? ?? ?? ?? B7 F8 70 10 BA F1 00 0F 34 D1 7C 68 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 01 D1 A3 B1 00 E0 93 B9 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F3 88 8B 42 08 D1 64 1E 01 23 30 46 BB 60 ?? ?? ?? ?? B7 F8 70 10 D5 E7 7C 60 00 2C 06 DA 30 23 64 1C 89 F8 00 30 09 F1 01 09 7C 60 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 01 D1 4B B3 00 E0 3B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F2 88 17 F1 70 03 03 E0 91 42 03 D0 9B 1C 19 88 00 29 F9 D1 1B 1B 5B 10 16 2B 12 D2 BA 69 92 45 07 DA 80 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 BB 60 ?? ?? ?? ?? B7 F8 70 10 C0 E7 D7 F8 08 A0 BA F1 00 0F 00 F0 D1 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 BE 80 02 E0 00 2B 40 F0 BA 80 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A6 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A4 30 9A 42 40 F0 A5 80 70 23 89 F8 00 30 30 46 09 F1 01 09 ?? ?? ?? ?? 33 79 00 25 4F F0 00 0A 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 9E 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 9C 30 9A 42 07 D1 2D 23 89 F8 00 30 09 F1 01 09 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 73 B1 00 E0 63 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 70 20 93 42 04 D1 4F F0 01 0A DC E7 B7 F8 70 20 BA F1 00 0F 04 D0 30 23 89 F8 00 30 09 F1 01 09 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 20 33 68 00 2B D8 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 20 F1 88 17 F1 70 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 16 2B 10 D2 08 2D 06 DA 14 4A 6D 1C 9B 5C 89 F8 00 30 09 F1 01 09 30 46 4F F0 01 0A ?? ?? ?? ?? B7 F8 70 20 C2 E7 FB 69 13 B9 BA F1 00 0F 01 D1 39 6A 89 46 00 23 7A 6A 89 F8 00 30 7B 68 13 60 FB 6E 10 2B 02 D3 B8 6D ?? ?? ?? ?? 00 20 2C B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_34_626_2 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2040
		refs = "0008 __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0032 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0044 _guard_check_icall 0066 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00cc ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 0126 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 034a ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0390 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0400 ??3@YAXPAX@Z 0502 localeconv 07e6 __security_pop_cookie 07f0 ?_Src@?1??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AC B0 6F 46 98 46 6F F0 01 03 D7 F8 D8 90 C7 E9 0E 33 D7 F8 DC 30 C7 E9 08 13 17 F1 30 01 48 46 16 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 78 61 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 58 01 50 46 ?? ?? ?? ?? 17 F1 28 01 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 48 57 D4 6A 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 1D 02 17 F1 70 03 A0 47 00 23 3C 6A FB 61 33 79 A1 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 25 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 F2 88 B7 F8 9E 30 9A 42 01 D1 21 70 0A E0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 9C 30 9A 42 05 D1 25 70 30 46 04 F1 01 09 ?? ?? ?? ?? 30 23 89 F8 00 30 78 23 89 F8 01 30 00 23 7B 60 33 79 00 24 09 F1 02 09 C7 E9 02 44 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 DB B3 00 E0 CB BB 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 70 10 8B 42 31 D1 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 CB B1 00 E0 BB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A2 30 9A 42 09 D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A0 30 9A 42 03 D1 30 46 ?? ?? ?? ?? 01 E0 01 23 BB 60 B7 F8 70 10 7B 6A 1A 68 DF F8 08 36 9A 42 02 D1 4F F4 40 75 00 E0 24 25 FB 6E BD 61 10 2B 01 D3 BB 6D 01 E0 17 F1 58 03 BB 62 93 F9 00 30 7F 2B 00 F0 FB 80 00 2B 40 F3 F8 80 BB 6E 13 B9 00 22 3A 61 0A E0 7D 69 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 B7 F8 70 10 38 61 4F F0 0F 0A 00 23 01 24 C7 E9 14 4A 87 F8 40 30 87 F8 41 30 3B 6C 00 25 3B 60 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 89 80 02 E0 00 2B 40 F0 85 80 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F0 88 17 F1 70 02 31 B1 0B 46 83 42 03 D0 92 1C 13 88 00 2B F9 D1 17 F1 70 03 D3 1A 5B 10 16 2B 28 D2 01 22 B9 69 BA 60 FA 68 91 42 03 DC 7B 68 5B 1C 7B 60 0A E0 03 B9 42 B1 DF F8 1C 15 52 1C FA 60 5B 5C 89 F8 00 30 09 F1 01 09 3A 68 BA F1 10 0F 28 BF 13 46 01 D2 17 F1 40 03 5B 57 7F 2B 42 D0 BA F1 10 0F 01 D2 17 F1 40 02 53 5D 5B 1C 53 55 35 E0 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 D3 B3 3B 69 C3 B3 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F3 88 3A 69 93 42 2D D1 C4 F1 FF 33 01 2B 25 D9 64 1C 21 46 00 22 17 F1 40 00 ?? ?? ?? ?? 90 B1 7B 6D 10 2B 01 D3 3A 6C 01 E0 17 F1 40 02 3B 6D 00 21 D1 54 7B 6D 10 2B 01 D3 3B 6C 01 E0 17 F1 40 03 3C 65 E1 54 6D 1C 3B 6C D7 E9 14 4A 3B 60 30 46 ?? ?? ?? ?? B7 F8 70 10 63 E7 17 F1 40 00 ?? ?? ?? ?? 55 B1 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 00 2B 24 DD 6D 1C B8 6A 1D B3 90 F9 00 20 7F 2A 1F D0 6D 1E 09 D0 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 9A 42 11 D1 55 B9 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 93 F9 00 30 9A 42 05 DB 90 F9 01 30 00 2B DE DD 40 1C DC E7 01 23 FB 61 BA F1 10 0F 4E D3 38 68 ?? ?? ?? ?? B7 F8 70 10 48 E0 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 01 D1 9B B3 00 E0 8B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F0 88 17 F1 70 03 31 B1 0A 46 82 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 16 2B 1B D2 55 45 03 DC 7B 68 5B 1C 7B 60 0B E0 13 B9 BA F1 00 0F 07 D0 DC 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 BB 60 ?? ?? ?? ?? B7 F8 70 10 B8 E7 D7 F8 0C A0 BB 68 3B B1 BA F1 00 0F 04 D1 30 23 89 F8 00 30 09 F1 01 09 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 01 D1 F3 B1 00 E0 E3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? 7B 69 F5 88 1B 68 DC 68 20 46 ?? ?? ?? ?? 78 69 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 89 F8 00 30 09 F1 01 09 ?? ?? ?? ?? B7 F8 70 10 BA F1 00 0F 34 D1 7C 68 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 01 D1 A3 B1 00 E0 93 B9 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F3 88 8B 42 08 D1 64 1E 01 23 30 46 BB 60 ?? ?? ?? ?? B7 F8 70 10 D5 E7 7C 60 00 2C 06 DA 30 23 64 1C 89 F8 00 30 09 F1 01 09 7C 60 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 10 33 68 00 2B D8 F8 00 30 01 D1 4B B3 00 E0 3B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 10 F2 88 17 F1 70 03 03 E0 91 42 03 D0 9B 1C 19 88 00 29 F9 D1 1B 1B 5B 10 16 2B 12 D2 BA 69 92 45 07 DA 80 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 BB 60 ?? ?? ?? ?? B7 F8 70 10 C0 E7 D7 F8 08 A0 BA F1 00 0F 00 F0 D1 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 BE 80 02 E0 00 2B 40 F0 BA 80 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A6 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 A4 30 9A 42 40 F0 A5 80 70 23 89 F8 00 30 30 46 09 F1 01 09 ?? ?? ?? ?? 33 79 00 25 4F F0 00 0A 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 9E 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 9C 30 9A 42 07 D1 2D 23 89 F8 00 30 09 F1 01 09 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 73 B1 00 E0 63 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 70 20 93 42 04 D1 4F F0 01 0A DC E7 B7 F8 70 20 BA F1 00 0F 04 D0 30 23 89 F8 00 30 09 F1 01 09 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 70 20 33 68 00 2B D8 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 70 20 F1 88 17 F1 70 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 1B 1B 5B 10 16 2B 10 D2 08 2D 06 DA 14 4A 6D 1C 9B 5C 89 F8 00 30 09 F1 01 09 30 46 4F F0 01 0A ?? ?? ?? ?? B7 F8 70 20 C2 E7 FB 69 13 B9 BA F1 00 0F 01 D1 39 6A 89 46 00 23 7A 6A 89 F8 00 30 7B 68 13 60 FB 6E 10 2B 02 D3 B8 6D ?? ?? ?? ?? 00 20 2C B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_34_639_2 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z"
		size = 1032
		refs = "0008 __security_push_cookie 0026 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0030 ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0044 _guard_check_icall 0050 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 007c ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00d6 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 0304 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 034c ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 03e8 ??3@YAXPAX@Z 03fc __security_pop_cookie 0404 ?_Src@?1??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A4 B0 6F 46 D7 F8 BC 90 98 46 6F F0 01 03 48 46 16 46 8A 46 F9 61 C7 E9 08 33 ?? ?? ?? ?? 17 F1 40 01 05 46 ?? ?? ?? ?? 38 6D 10 B9 00 23 3B 61 07 E0 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 38 61 48 46 ?? ?? ?? ?? 04 46 22 68 DF F8 A8 93 D5 6A 28 46 ?? ?? ?? ?? 20 46 49 46 09 F1 1B 02 17 F1 58 03 A8 47 33 79 C7 F8 00 A0 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 03 B3 00 E0 F3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 86 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 84 30 9A 42 08 D1 2D 23 8A F8 00 30 0A F1 01 03 30 46 3B 60 ?? ?? ?? ?? D7 F8 B8 30 03 F4 60 63 B3 F5 80 6F 02 D1 4F F0 08 09 0B E0 B3 F5 00 6F 02 D1 4F F0 10 09 05 E0 13 B9 4F F0 00 09 01 E0 4F F0 0A 09 00 23 BB 61 33 79 00 24 7C 60 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 02 D1 00 2B 50 D0 01 E0 00 2B 4D D1 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 58 20 93 42 45 D1 01 24 30 46 7C 60 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 2B B3 00 E0 1B BB 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8A 30 9A 42 09 D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 88 30 9A 42 0F D1 B9 F1 00 0F 02 D0 B9 F1 10 0F 09 D1 00 24 30 46 7C 60 4F F0 10 09 ?? ?? ?? ?? B7 F8 58 20 14 E0 B7 F8 58 20 B9 F1 00 0F 07 D1 4F F0 08 09 01 E0 B7 F8 58 20 B9 F1 00 0F 0A D0 B9 F1 0A 0F 07 D0 B9 F1 08 0F 08 BF 08 21 00 D0 16 21 F9 60 01 E0 0A 23 FB 60 01 23 7B 61 BB 63 00 23 4F F0 0F 0A 87 F8 29 30 C7 F8 3C A0 87 F8 28 40 BC 6A 00 25 BC 60 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 58 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 58 20 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 86 80 02 E0 00 2B 40 F0 82 80 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 58 20 F1 88 17 F1 58 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 17 F1 58 02 9B 1A FA 68 5B 10 93 42 25 D2 61 4A B9 69 9B 56 3A 68 13 70 09 B9 30 2B 08 D0 F9 69 01 F1 1F 03 9A 42 03 D2 52 1C 01 23 BB 61 3A 60 01 23 BA F1 10 0F 7B 60 28 BF 23 46 01 D2 17 F1 28 03 5B 57 7F 2B 42 D0 BA F1 10 0F 01 D2 17 F1 28 04 63 5D 5B 1C 63 55 34 E0 BA F1 10 0F 28 BF 23 46 01 D2 17 F1 28 03 5B 57 D3 B3 3B 69 C3 B3 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 3A 69 93 42 2F D1 7A 69 C2 F1 FF 33 01 2B 26 D9 54 1C 21 46 00 22 17 F1 28 00 ?? ?? ?? ?? 90 B1 FB 6B 10 2B 01 D3 BA 6A 01 E0 17 F1 28 02 BB 6B 00 21 99 54 FB 6B 10 2B 01 D3 BB 6A 01 E0 17 F1 28 03 BC 63 E1 54 6D 1C BC 6A D7 E9 0E 3A BC 60 7B 61 30 46 ?? ?? ?? ?? B7 F8 58 20 66 E7 17 F1 28 00 ?? ?? ?? ?? 6D B1 BA F1 10 0F 28 BF 23 46 01 D2 17 F1 28 03 5B 57 00 2B C8 BF 6D 1C D8 BF 00 23 00 DD 7B 68 7C 6D 38 6C 10 2C 28 BF 02 46 01 D2 17 F1 40 02 BE 68 53 B3 0D B3 92 F9 00 10 7F 29 1D D0 6D 1E 09 D0 BA F1 10 0F 28 BF 33 46 01 D2 17 F1 28 03 5B 57 99 42 19 D1 55 B9 BA F1 10 0F 28 BF 33 46 01 D2 17 F1 28 03 93 F9 00 30 99 42 0D DB 92 F9 01 30 00 2B DE DD 52 1C DC E7 BB 69 00 2B 3B 68 04 D1 30 22 03 F8 01 2B 00 E0 FB 69 00 22 1A 70 BA F1 10 0F 04 D3 30 46 ?? ?? ?? ?? 7C 6D 38 6C 10 2C 01 D3 ?? ?? ?? ?? 48 46 24 B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_642_2 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z"
		size = 1032
		refs = "0008 __security_push_cookie 0026 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0030 ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0044 _guard_check_icall 0050 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 007c ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00d6 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 0304 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 034c ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 03e8 ??3@YAXPAX@Z 03fc __security_pop_cookie 0404 ?_Src@?1??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A4 B0 6F 46 D7 F8 BC 90 98 46 6F F0 01 03 48 46 16 46 8A 46 F9 61 C7 E9 08 33 ?? ?? ?? ?? 17 F1 40 01 05 46 ?? ?? ?? ?? 38 6D 10 B9 00 23 3B 61 07 E0 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 38 61 48 46 ?? ?? ?? ?? 04 46 22 68 DF F8 A8 93 D5 6A 28 46 ?? ?? ?? ?? 20 46 49 46 09 F1 1B 02 17 F1 58 03 A8 47 33 79 C7 F8 00 A0 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 03 B3 00 E0 F3 B9 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 86 30 9A 42 08 BF 2B 23 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 84 30 9A 42 08 D1 2D 23 8A F8 00 30 0A F1 01 03 30 46 3B 60 ?? ?? ?? ?? D7 F8 B8 30 03 F4 60 63 B3 F5 80 6F 02 D1 4F F0 08 09 0B E0 B3 F5 00 6F 02 D1 4F F0 10 09 05 E0 13 B9 4F F0 00 09 01 E0 4F F0 0A 09 00 23 BB 61 33 79 00 24 7C 60 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 02 D1 00 2B 50 D0 01 E0 00 2B 4D D1 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 B7 F8 58 20 93 42 45 D1 01 24 30 46 7C 60 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 2B B3 00 E0 1B BB 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 8A 30 9A 42 09 D0 33 79 13 B9 30 46 ?? ?? ?? ?? F2 88 B7 F8 88 30 9A 42 0F D1 B9 F1 00 0F 02 D0 B9 F1 10 0F 09 D1 00 24 30 46 7C 60 4F F0 10 09 ?? ?? ?? ?? B7 F8 58 20 14 E0 B7 F8 58 20 B9 F1 00 0F 07 D1 4F F0 08 09 01 E0 B7 F8 58 20 B9 F1 00 0F 0A D0 B9 F1 0A 0F 07 D0 B9 F1 08 0F 08 BF 08 21 00 D0 16 21 F9 60 01 E0 0A 23 FB 60 01 23 7B 61 BB 63 00 23 4F F0 0F 0A 87 F8 29 30 C7 F8 3C A0 87 F8 28 40 BC 6A 00 25 BC 60 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 58 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? B7 F8 58 20 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 86 80 02 E0 00 2B 40 F0 82 80 33 79 23 B9 30 46 ?? ?? ?? ?? B7 F8 58 20 F1 88 17 F1 58 03 03 E0 8A 42 03 D0 9B 1C 1A 88 00 2A F9 D1 17 F1 58 02 9B 1A FA 68 5B 10 93 42 25 D2 61 4A B9 69 9B 56 3A 68 13 70 09 B9 30 2B 08 D0 F9 69 01 F1 1F 03 9A 42 03 D2 52 1C 01 23 BB 61 3A 60 01 23 BA F1 10 0F 7B 60 28 BF 23 46 01 D2 17 F1 28 03 5B 57 7F 2B 42 D0 BA F1 10 0F 01 D2 17 F1 28 04 63 5D 5B 1C 63 55 34 E0 BA F1 10 0F 28 BF 23 46 01 D2 17 F1 28 03 5B 57 D3 B3 3B 69 C3 B3 33 79 13 B9 30 46 ?? ?? ?? ?? F3 88 3A 69 93 42 2F D1 7A 69 C2 F1 FF 33 01 2B 26 D9 54 1C 21 46 00 22 17 F1 28 00 ?? ?? ?? ?? 90 B1 FB 6B 10 2B 01 D3 BA 6A 01 E0 17 F1 28 02 BB 6B 00 21 99 54 FB 6B 10 2B 01 D3 BB 6A 01 E0 17 F1 28 03 BC 63 E1 54 6D 1C BC 6A D7 E9 0E 3A BC 60 7B 61 30 46 ?? ?? ?? ?? B7 F8 58 20 66 E7 17 F1 28 00 ?? ?? ?? ?? 6D B1 BA F1 10 0F 28 BF 23 46 01 D2 17 F1 28 03 5B 57 00 2B C8 BF 6D 1C D8 BF 00 23 00 DD 7B 68 7C 6D 38 6C 10 2C 28 BF 02 46 01 D2 17 F1 40 02 BE 68 53 B3 0D B3 92 F9 00 10 7F 29 1D D0 6D 1E 09 D0 BA F1 10 0F 28 BF 33 46 01 D2 17 F1 28 03 5B 57 99 42 19 D1 55 B9 BA F1 10 0F 28 BF 33 46 01 D2 17 F1 28 03 93 F9 00 30 99 42 0D DB 92 F9 01 30 00 2B DE DD 52 1C DC E7 BB 69 00 2B 3B 68 04 D1 30 22 03 F8 01 2B 00 E0 FB 69 00 22 1A 70 BA F1 10 0F 04 D3 30 46 ?? ?? ?? ?? 7C 6D 38 6C 10 2C 01 D3 ?? ?? ?? ?? 48 46 24 B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_648_2 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z"
		size = 2348
		refs = "0008 __security_push_cookie 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0046 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0058 _guard_check_icall 007e ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 00ee ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 018e ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01de ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 01e8 ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0202 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 022e ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0284 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0292 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAAXXZ 0328 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 033a ??3@YAXPAX@Z 04a4 ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 053c ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 0558 ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0662 ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 08f8 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0918 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAX_NI@Z 0920 __security_pop_cookie 0928 ?_Src@?1??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAAVios_base@3@PAG@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AA B0 6F 46 98 46 FB 61 6F F0 01 03 0E 46 C7 E9 16 33 91 46 7E 61 D7 F8 D4 30 D7 F8 D8 20 97 F8 D0 00 BA 61 00 22 00 28 3A 61 18 46 BE 63 3B 63 1B D0 17 F1 40 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 F8 60 7D 6C 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1A E0 17 F1 48 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 F8 60 FD 6C 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 BB 60 7B 62 07 23 C7 F8 A4 30 00 23 C7 F8 A0 30 A7 F8 90 30 DA F8 00 30 DC 6A 20 46 ?? ?? ?? ?? 50 46 39 1D A0 47 0F 23 73 61 00 23 33 61 33 70 38 6B 01 23 17 F1 50 01 3B 62 3B 61 ?? ?? ?? ?? ?? ?? ?? ?? 78 63 7D 6D 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 7D 6B 2B 68 DC 6A 20 46 ?? ?? ?? ?? DF F8 00 38 28 46 19 46 03 F1 0C 02 BB 69 A0 47 00 23 08 24 39 1D 00 25 3B 60 00 22 04 2A 80 F0 93 83 3B 68 5B 56 20 2B 00 F0 4B 83 24 2B 00 F0 82 82 2B 2B 00 F0 87 81 76 2B 03 D0 78 2B 00 F0 40 83 76 E3 FD 68 4F F0 00 0A 2B 68 C7 F8 28 A0 5C 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 FC 68 05 46 17 F1 78 01 20 46 FD 62 ?? ?? ?? ?? D7 F8 88 30 00 2B 00 F0 DD 80 23 68 1C 69 20 46 ?? ?? ?? ?? F8 68 A0 47 04 46 00 2C 00 F0 D2 80 D7 F8 8C 30 10 2B 01 D3 BB 6F 01 E0 17 F1 78 03 1B 78 7F 2B 80 F0 C6 80 0F 23 7B 67 00 23 00 22 01 21 17 F1 60 00 3B 67 87 F8 60 30 ?? ?? ?? ?? 41 46 48 46 00 25 ?? ?? ?? ?? 7E 6F D7 F8 60 80 00 28 66 D0 D7 F8 14 A0 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B8 69 B9 F8 06 10 03 88 02 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1A 5B 10 0A 2B 18 D2 DF F8 00 27 50 46 99 56 ?? ?? ?? ?? 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 7F 2B 25 D0 10 2E 01 D2 17 F1 60 08 15 F8 08 30 5B 1C 05 F8 08 30 18 E0 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 E3 B1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B9 F8 06 30 A3 42 12 D1 00 22 01 21 17 F1 60 00 ?? ?? ?? ?? 6D 1C D7 F8 60 80 7E 6F 48 46 ?? ?? ?? ?? F9 69 48 46 ?? ?? ?? ?? 00 28 AB D1 D7 F8 28 A0 6D B1 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 00 2B C8 BF 6D 1C 02 DC 01 22 BA 60 00 E0 BA 68 D7 F8 8C 30 10 2B 01 D3 B9 6F 01 E0 17 F1 78 01 6A BB 15 B3 91 F9 00 20 7F 2A 1E D0 6D 1E 08 D0 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 9A 42 10 D1 4D B9 10 2E 28 BF 43 46 01 D2 17 F1 60 03 93 F9 00 30 9A 42 05 DB 91 F9 01 30 00 2B E0 DD 49 1C DE E7 01 23 BB 60 09 E0 00 22 01 21 17 F1 60 00 ?? ?? ?? ?? 7E 69 D7 F8 1C 80 3D E0 10 2E 02 D3 40 46 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? 7E 69 D7 F8 1C 80 D7 F8 0C A0 7F E2 41 46 48 46 ?? ?? ?? ?? 40 B3 BD 69 DF F8 C4 A5 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B9 F8 06 10 2B 88 2A 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 53 1B 5B 10 0A 2B 0D D2 13 F9 0A 10 30 46 ?? ?? ?? ?? 48 46 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 DC D1 D7 F8 28 A0 FD 6A FB 68 1B 68 DC 68 20 46 ?? ?? ?? ?? F8 68 A0 47 04 46 48 46 41 46 ?? ?? ?? ?? C0 B3 BC B3 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B9 F8 06 30 A3 42 2D D1 1F E0 AA 45 2A DA 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B8 69 B9 F8 06 10 03 88 02 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1A 5B 10 0A 2B 10 D2 DF F8 10 25 30 46 99 56 ?? ?? ?? ?? 0A F1 01 0A 48 46 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 D6 D1 AA 45 01 DA 01 23 BB 60 33 69 13 B9 01 23 BB 60 09 E0 AA 45 07 DA A5 EB 0A 04 30 21 30 46 ?? ?? ?? ?? 64 1E F9 D1 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? 71 E7 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D9 F8 00 30 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 E0 81 02 E0 00 2B 40 F0 DC 81 17 F1 60 01 50 46 ?? ?? ?? ?? 3B 6A 43 F0 02 05 03 69 3D 61 CB B1 17 F1 78 01 50 46 ?? ?? ?? ?? 04 46 63 69 45 F0 04 05 3D 61 08 2B 00 D3 24 68 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 22 88 B9 F8 06 30 9A 42 08 BF 01 24 00 D0 00 24 04 23 1D 42 0F D0 9D 43 D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 07 23 C7 F8 8C 30 00 23 C7 F8 88 30 A7 F8 78 30 7B 6F 25 F0 02 05 3D 62 08 2B 3D 61 02 D3 38 6E ?? ?? ?? ?? AC B1 48 46 ?? ?? ?? ?? 17 F1 78 01 50 46 ?? ?? ?? ?? 01 46 17 F1 90 00 ?? ?? ?? ?? D7 F8 8C 30 08 2B C0 F0 86 81 B8 6F ?? ?? ?? ?? 81 E1 17 F1 60 01 50 46 ?? ?? ?? ?? 03 69 45 F0 08 05 3D 61 CB B1 17 F1 78 01 50 46 ?? ?? ?? ?? 04 46 63 69 45 F0 10 05 3D 61 08 2B 00 D3 24 68 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 22 88 B9 F8 06 30 9A 42 08 BF 01 24 00 D0 00 24 10 23 1D 42 0F D0 9D 43 D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 07 23 C7 F8 8C 30 00 23 C7 F8 88 30 A7 F8 78 30 25 F0 08 03 3B 62 3B 61 7B 6F 08 2B 02 D3 38 6E ?? ?? ?? ?? B4 B1 48 46 ?? ?? ?? ?? 17 F1 78 01 50 46 ?? ?? ?? ?? 01 46 17 F1 90 00 ?? ?? ?? ?? D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 01 21 79 62 27 E1 17 F1 78 01 50 46 ?? ?? ?? ?? 03 69 0B B9 01 24 00 E0 00 24 D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 00 2C 40 F0 14 81 17 F1 78 01 50 46 ?? ?? ?? ?? 03 69 0B B9 01 24 00 E0 00 24 D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 00 2C 00 F0 00 81 01 23 7B 62 FC E0 17 F1 60 01 50 46 ?? ?? ?? ?? 3B 6B 5B 69 23 42 2D D1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D9 F8 00 30 00 2B D8 F8 00 30 01 D1 D3 B1 00 E0 C3 B9 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E B9 F8 06 20 08 28 28 BF 23 46 01 D2 17 F1 60 03 1B 88 9A 42 07 D0 08 28 01 D2 17 F1 60 04 3D 67 3A E0 78 6F 3C 6E 3B 68 03 2B 39 D1 D7 F8 A0 30 01 2B 35 D8 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 78 6F 3C 6E D9 F8 00 30 00 2B D8 F8 00 30 01 D1 A3 B1 00 E0 93 B9 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 08 28 B9 F8 06 20 28 BF 23 46 01 D2 17 F1 60 03 1B 88 9A 42 09 D0 08 28 01 D2 17 F1 60 04 00 23 3B 67 00 23 23 80 3C 6E 78 6F 08 28 28 BF 25 46 01 D2 17 F1 60 05 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 78 6F 3C 6E D9 F8 00 30 00 2B D8 F8 00 30 01 D1 0B B3 00 E0 FB B9 08 28 28 BF 23 46 01 D2 17 F1 60 03 39 6F 03 EB 41 03 9D 42 15 D0 99 F8 04 30 2B B9 48 46 ?? ?? ?? ?? D7 E9 1C 10 3C 6E 2A 88 B9 F8 06 30 93 42 07 D1 48 46 AD 1C ?? ?? ?? ?? 78 6F 3C 6E C6 E7 39 6F 08 28 28 BF 23 46 01 D2 17 F1 60 03 03 EB 41 03 9D 42 01 D0 01 23 BB 60 08 28 38 D3 20 46 B1 E6 3A 68 03 2A 35 D0 41 46 48 46 00 26 ?? ?? ?? ?? 00 B3 D7 F8 34 A0 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? DA F8 00 30 B9 F8 06 50 1C 69 20 46 ?? ?? ?? ?? 50 46 48 21 2A 46 A0 47 48 B1 48 46 01 26 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 E2 D1 D7 F8 0C A0 3B 68 39 1D 5B 56 20 2B 05 D1 3A 68 0E B9 01 26 BE 60 7E 69 03 E0 7E 69 00 E0 39 1D 3A 68 BB 68 52 1C 3A 60 00 2B 4F F0 08 04 4F F0 00 05 3F F4 6A AC 00 2B 45 D1 D7 F8 A0 10 01 29 38 D9 D7 F8 A4 00 D7 F8 90 20 08 28 28 BF 14 46 01 D2 17 F1 90 04 08 28 28 BF 13 46 01 D2 17 F1 90 03 03 EB 41 03 A4 1C 9C 42 1B D0 41 46 48 46 ?? ?? ?? ?? 90 B1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 22 88 B9 F8 06 30 93 42 07 D1 48 46 ?? ?? ?? ?? D7 E9 28 10 D7 F8 90 20 DC E7 D7 E9 28 10 D7 F8 90 20 08 28 01 D2 17 F1 90 02 02 EB 41 03 9C 42 08 D1 7B 6A 7B B1 2D 23 01 22 00 21 30 46 ?? ?? ?? ?? 08 E0 73 69 10 2B 01 D3 33 68 00 E0 33 46 00 22 32 61 1A 70 17 F1 90 00 00 22 01 21 ?? ?? ?? ?? 30 46 2A B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_664_2 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z"
		size = 2348
		refs = "0008 __security_push_cookie 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0046 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0058 _guard_check_icall 007e ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 00ee ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 018e ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01de ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 01e8 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0202 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 022e ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0284 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0292 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAAXXZ 0328 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 033a ??3@YAXPAX@Z 04a4 ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 053c ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 0558 ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0662 ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 08f8 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0918 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAX_NI@Z 0920 __security_pop_cookie 0928 ?_Src@?1??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAAVios_base@3@PA_W@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AA B0 6F 46 98 46 FB 61 6F F0 01 03 0E 46 C7 E9 16 33 91 46 7E 61 D7 F8 D4 30 D7 F8 D8 20 97 F8 D0 00 BA 61 00 22 00 28 3A 61 18 46 BE 63 3B 63 1B D0 17 F1 40 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 F8 60 7D 6C 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1A E0 17 F1 48 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 F8 60 FD 6C 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 BB 60 7B 62 07 23 C7 F8 A4 30 00 23 C7 F8 A0 30 A7 F8 90 30 DA F8 00 30 DC 6A 20 46 ?? ?? ?? ?? 50 46 39 1D A0 47 0F 23 73 61 00 23 33 61 33 70 38 6B 01 23 17 F1 50 01 3B 62 3B 61 ?? ?? ?? ?? ?? ?? ?? ?? 78 63 7D 6D 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 7D 6B 2B 68 DC 6A 20 46 ?? ?? ?? ?? DF F8 00 38 28 46 19 46 03 F1 0C 02 BB 69 A0 47 00 23 08 24 39 1D 00 25 3B 60 00 22 04 2A 80 F0 93 83 3B 68 5B 56 20 2B 00 F0 4B 83 24 2B 00 F0 82 82 2B 2B 00 F0 87 81 76 2B 03 D0 78 2B 00 F0 40 83 76 E3 FD 68 4F F0 00 0A 2B 68 C7 F8 28 A0 5C 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 FC 68 05 46 17 F1 78 01 20 46 FD 62 ?? ?? ?? ?? D7 F8 88 30 00 2B 00 F0 DD 80 23 68 1C 69 20 46 ?? ?? ?? ?? F8 68 A0 47 04 46 00 2C 00 F0 D2 80 D7 F8 8C 30 10 2B 01 D3 BB 6F 01 E0 17 F1 78 03 1B 78 7F 2B 80 F0 C6 80 0F 23 7B 67 00 23 00 22 01 21 17 F1 60 00 3B 67 87 F8 60 30 ?? ?? ?? ?? 41 46 48 46 00 25 ?? ?? ?? ?? 7E 6F D7 F8 60 80 00 28 66 D0 D7 F8 14 A0 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B8 69 B9 F8 06 10 03 88 02 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1A 5B 10 0A 2B 18 D2 DF F8 00 27 50 46 99 56 ?? ?? ?? ?? 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 7F 2B 25 D0 10 2E 01 D2 17 F1 60 08 15 F8 08 30 5B 1C 05 F8 08 30 18 E0 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 E3 B1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B9 F8 06 30 A3 42 12 D1 00 22 01 21 17 F1 60 00 ?? ?? ?? ?? 6D 1C D7 F8 60 80 7E 6F 48 46 ?? ?? ?? ?? F9 69 48 46 ?? ?? ?? ?? 00 28 AB D1 D7 F8 28 A0 6D B1 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 00 2B C8 BF 6D 1C 02 DC 01 22 BA 60 00 E0 BA 68 D7 F8 8C 30 10 2B 01 D3 B9 6F 01 E0 17 F1 78 01 6A BB 15 B3 91 F9 00 20 7F 2A 1E D0 6D 1E 08 D0 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 9A 42 10 D1 4D B9 10 2E 28 BF 43 46 01 D2 17 F1 60 03 93 F9 00 30 9A 42 05 DB 91 F9 01 30 00 2B E0 DD 49 1C DE E7 01 23 BB 60 09 E0 00 22 01 21 17 F1 60 00 ?? ?? ?? ?? 7E 69 D7 F8 1C 80 3D E0 10 2E 02 D3 40 46 ?? ?? ?? ?? 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? 7E 69 D7 F8 1C 80 D7 F8 0C A0 7F E2 41 46 48 46 ?? ?? ?? ?? 40 B3 BD 69 DF F8 C4 A5 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B9 F8 06 10 2B 88 2A 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 53 1B 5B 10 0A 2B 0D D2 13 F9 0A 10 30 46 ?? ?? ?? ?? 48 46 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 DC D1 D7 F8 28 A0 FD 6A FB 68 1B 68 DC 68 20 46 ?? ?? ?? ?? F8 68 A0 47 04 46 48 46 41 46 ?? ?? ?? ?? C0 B3 BC B3 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B9 F8 06 30 A3 42 2D D1 1F E0 AA 45 2A DA 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B8 69 B9 F8 06 10 03 88 02 46 03 E0 8B 42 03 D0 92 1C 13 88 00 2B F9 D1 13 1A 5B 10 0A 2B 10 D2 DF F8 10 25 30 46 99 56 ?? ?? ?? ?? 0A F1 01 0A 48 46 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 D6 D1 AA 45 01 DA 01 23 BB 60 33 69 13 B9 01 23 BB 60 09 E0 AA 45 07 DA A5 EB 0A 04 30 21 30 46 ?? ?? ?? ?? 64 1E F9 D1 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? 71 E7 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D9 F8 00 30 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 E0 81 02 E0 00 2B 40 F0 DC 81 17 F1 60 01 50 46 ?? ?? ?? ?? 3B 6A 43 F0 02 05 03 69 3D 61 CB B1 17 F1 78 01 50 46 ?? ?? ?? ?? 04 46 63 69 45 F0 04 05 3D 61 08 2B 00 D3 24 68 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 22 88 B9 F8 06 30 9A 42 08 BF 01 24 00 D0 00 24 04 23 1D 42 0F D0 9D 43 D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 07 23 C7 F8 8C 30 00 23 C7 F8 88 30 A7 F8 78 30 7B 6F 25 F0 02 05 3D 62 08 2B 3D 61 02 D3 38 6E ?? ?? ?? ?? AC B1 48 46 ?? ?? ?? ?? 17 F1 78 01 50 46 ?? ?? ?? ?? 01 46 17 F1 90 00 ?? ?? ?? ?? D7 F8 8C 30 08 2B C0 F0 86 81 B8 6F ?? ?? ?? ?? 81 E1 17 F1 60 01 50 46 ?? ?? ?? ?? 03 69 45 F0 08 05 3D 61 CB B1 17 F1 78 01 50 46 ?? ?? ?? ?? 04 46 63 69 45 F0 10 05 3D 61 08 2B 00 D3 24 68 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 22 88 B9 F8 06 30 9A 42 08 BF 01 24 00 D0 00 24 10 23 1D 42 0F D0 9D 43 D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 07 23 C7 F8 8C 30 00 23 C7 F8 88 30 A7 F8 78 30 25 F0 08 03 3B 62 3B 61 7B 6F 08 2B 02 D3 38 6E ?? ?? ?? ?? B4 B1 48 46 ?? ?? ?? ?? 17 F1 78 01 50 46 ?? ?? ?? ?? 01 46 17 F1 90 00 ?? ?? ?? ?? D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 01 21 79 62 27 E1 17 F1 78 01 50 46 ?? ?? ?? ?? 03 69 0B B9 01 24 00 E0 00 24 D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 00 2C 40 F0 14 81 17 F1 78 01 50 46 ?? ?? ?? ?? 03 69 0B B9 01 24 00 E0 00 24 D7 F8 8C 30 08 2B 02 D3 B8 6F ?? ?? ?? ?? 00 2C 00 F0 00 81 01 23 7B 62 FC E0 17 F1 60 01 50 46 ?? ?? ?? ?? 3B 6B 5B 69 23 42 2D D1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D9 F8 00 30 00 2B D8 F8 00 30 01 D1 D3 B1 00 E0 C3 B9 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E B9 F8 06 20 08 28 28 BF 23 46 01 D2 17 F1 60 03 1B 88 9A 42 07 D0 08 28 01 D2 17 F1 60 04 3D 67 3A E0 78 6F 3C 6E 3B 68 03 2B 39 D1 D7 F8 A0 30 01 2B 35 D8 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 78 6F 3C 6E D9 F8 00 30 00 2B D8 F8 00 30 01 D1 A3 B1 00 E0 93 B9 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 08 28 B9 F8 06 20 28 BF 23 46 01 D2 17 F1 60 03 1B 88 9A 42 09 D0 08 28 01 D2 17 F1 60 04 00 23 3B 67 00 23 23 80 3C 6E 78 6F 08 28 28 BF 25 46 01 D2 17 F1 60 05 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 78 6F 3C 6E D9 F8 00 30 00 2B D8 F8 00 30 01 D1 0B B3 00 E0 FB B9 08 28 28 BF 23 46 01 D2 17 F1 60 03 39 6F 03 EB 41 03 9D 42 15 D0 99 F8 04 30 2B B9 48 46 ?? ?? ?? ?? D7 E9 1C 10 3C 6E 2A 88 B9 F8 06 30 93 42 07 D1 48 46 AD 1C ?? ?? ?? ?? 78 6F 3C 6E C6 E7 39 6F 08 28 28 BF 23 46 01 D2 17 F1 60 03 03 EB 41 03 9D 42 01 D0 01 23 BB 60 08 28 38 D3 20 46 B1 E6 3A 68 03 2A 35 D0 41 46 48 46 00 26 ?? ?? ?? ?? 00 B3 D7 F8 34 A0 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? DA F8 00 30 B9 F8 06 50 1C 69 20 46 ?? ?? ?? ?? 50 46 48 21 2A 46 A0 47 48 B1 48 46 01 26 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 E2 D1 D7 F8 0C A0 3B 68 39 1D 5B 56 20 2B 05 D1 3A 68 0E B9 01 26 BE 60 7E 69 03 E0 7E 69 00 E0 39 1D 3A 68 BB 68 52 1C 3A 60 00 2B 4F F0 08 04 4F F0 00 05 3F F4 6A AC 00 2B 45 D1 D7 F8 A0 10 01 29 38 D9 D7 F8 A4 00 D7 F8 90 20 08 28 28 BF 14 46 01 D2 17 F1 90 04 08 28 28 BF 13 46 01 D2 17 F1 90 03 03 EB 41 03 A4 1C 9C 42 1B D0 41 46 48 46 ?? ?? ?? ?? 90 B1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 22 88 B9 F8 06 30 93 42 07 D1 48 46 ?? ?? ?? ?? D7 E9 28 10 D7 F8 90 20 DC E7 D7 E9 28 10 D7 F8 90 20 08 28 01 D2 17 F1 90 02 02 EB 41 03 9C 42 08 D1 7B 6A 7B B1 2D 23 01 22 00 21 30 46 ?? ?? ?? ?? 08 E0 73 69 10 2B 01 D3 33 68 00 E0 33 46 00 22 32 61 1A 70 17 F1 90 00 00 22 01 21 ?? ?? ?? ?? 30 46 2A B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_654_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$3"
		size = 30
		refs = "0018 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
		altNames = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$3"
	strings:
		$1 = { 10 B5 3B 69 03 F0 01 03 00 2B 00 F0 07 80 3B 69 23 F0 01 03 3B 61 B8 6B ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_659_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 02 03 00 2B 00 F0 08 80 3B 69 23 F0 02 03 3B 61 17 F1 60 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_675_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 02 03 00 2B 00 F0 08 80 3B 69 23 F0 02 03 3B 61 17 F1 60 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_660_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 04 03 00 2B 00 F0 08 80 3B 69 23 F0 04 03 3B 61 17 F1 78 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_676_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 04 03 00 2B 00 F0 08 80 3B 69 23 F0 04 03 3B 61 17 F1 78 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_661_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 08 03 00 2B 00 F0 08 80 3B 69 23 F0 08 03 3B 61 17 F1 60 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_677_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 08 03 00 2B 00 F0 08 80 3B 69 23 F0 08 03 3B 61 17 F1 60 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_662_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 10 03 00 2B 00 F0 08 80 3B 69 23 F0 10 03 3B 61 17 F1 78 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_678_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 69 03 F0 10 03 00 2B 00 F0 08 80 3B 69 23 F0 10 03 3B 61 17 F1 78 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_731_2 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z"
		size = 864
		refs = "000a __security_push_cookie 0074 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0078 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0088 _guard_check_icall 00b6 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 00ea ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 011c ?grouping@?$numpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 016e ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 01cc ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0334 ??3@YAXPAX@Z 0354 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 94 B0 6F 46 39 61 D7 F8 94 60 D7 F8 88 00 6F F0 01 03 D7 F8 90 80 C7 E9 06 33 38 60 46 B1 98 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 09 01 E0 4F F0 00 09 43 69 03 F4 60 63 B3 F5 00 6F 10 D1 09 F1 02 02 B2 42 0C D8 18 F9 09 30 08 EB 09 01 30 2B 06 D1 91 F9 01 30 78 2B 01 D0 58 2B 00 D1 91 46 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 07 23 7B 63 00 23 17 F1 20 00 00 22 31 46 3B 63 3B 84 ?? ?? ?? ?? 7B 6B 08 2B 01 D3 3D 6A 01 E0 17 F1 20 05 DA F8 00 20 D4 6A 20 46 ?? ?? ?? ?? 50 46 41 46 08 EB 06 02 2B 46 A0 47 38 68 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 38 01 50 46 ?? ?? ?? ?? D7 F8 4C 80 D7 F8 38 E0 B8 F1 10 0F 28 BF 75 46 01 D2 17 F1 38 05 95 F9 00 30 7F 2B 26 D0 00 2B 24 DD DA F8 00 30 1C 69 20 46 ?? ?? ?? ?? 50 46 A0 47 04 46 12 E0 00 2A 14 DD A6 EB 09 03 9A 42 10 D2 B6 1A 31 46 23 46 01 22 17 F1 20 00 ?? ?? ?? ?? 95 F9 01 30 00 2B C8 BF 6D 1C 95 F9 00 20 7F 2A E8 D1 D7 F8 4C 80 D7 F8 38 E0 D7 F8 00 A0 39 6B DA E9 08 23 B9 60 00 2B 05 DB 00 DC 1A B1 8A 42 88 BF 54 1A 00 D8 00 24 DA F8 14 30 03 F4 E0 73 40 2B 2D D0 B3 F5 80 7F 2D D0 D7 E9 20 32 C7 E9 00 32 64 B1 B7 F8 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 4C 80 D7 F8 38 E0 D7 E9 00 32 79 6B 38 6A 00 24 08 29 28 BF 05 46 C7 E9 20 32 01 D2 17 F1 20 05 4E 46 C7 E9 00 32 B9 F1 00 0F 5B D0 35 F8 02 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 4C E0 B3 F5 80 7F 32 D1 79 6B 38 6A 08 29 28 BF 05 46 01 D2 17 F1 20 05 D7 E9 20 32 4E 46 B9 F1 00 0F C7 E9 00 32 0D D0 35 F8 02 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 00 32 C7 E9 20 32 C7 E9 00 32 6C B1 B7 F8 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 00 32 00 24 1D E0 79 6B 38 6A 08 29 28 BF 05 46 01 D2 17 F1 20 05 D7 E9 20 32 4E 46 B9 F1 00 0F C7 E9 00 32 0D D0 35 F8 02 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 E9 0D 1E D7 E9 00 32 D7 F8 4C 80 38 6A 08 29 28 BF 05 46 C7 E9 20 32 01 D2 17 F1 20 05 BE 68 05 EB 49 05 C7 E9 02 32 B6 EB 09 06 0E D0 35 F8 02 1B 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 02 32 00 25 C7 E9 20 32 CA E9 08 55 C7 E9 02 32 74 B1 B7 F8 8C 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 02 32 3C 69 C4 E9 00 32 B8 F1 10 0F 04 D3 70 46 ?? ?? ?? ?? 79 6B 38 6A 0F 23 FB 64 00 23 BB 64 87 F8 38 30 08 29 01 D3 ?? ?? ?? ?? 20 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_738_2 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z"
		size = 864
		refs = "000a __security_push_cookie 0074 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0078 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0088 _guard_check_icall 00b6 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 00ea ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 011c ?grouping@?$numpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 016e ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 01cc ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0334 ??3@YAXPAX@Z 0354 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 94 B0 6F 46 39 61 D7 F8 94 60 D7 F8 88 00 6F F0 01 03 D7 F8 90 80 C7 E9 06 33 38 60 46 B1 98 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 09 01 E0 4F F0 00 09 43 69 03 F4 60 63 B3 F5 00 6F 10 D1 09 F1 02 02 B2 42 0C D8 18 F9 09 30 08 EB 09 01 30 2B 06 D1 91 F9 01 30 78 2B 01 D0 58 2B 00 D1 91 46 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 07 23 7B 63 00 23 17 F1 20 00 00 22 31 46 3B 63 3B 84 ?? ?? ?? ?? 7B 6B 08 2B 01 D3 3D 6A 01 E0 17 F1 20 05 DA F8 00 20 D4 6A 20 46 ?? ?? ?? ?? 50 46 41 46 08 EB 06 02 2B 46 A0 47 38 68 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 38 01 50 46 ?? ?? ?? ?? D7 F8 4C 80 D7 F8 38 E0 B8 F1 10 0F 28 BF 75 46 01 D2 17 F1 38 05 95 F9 00 30 7F 2B 26 D0 00 2B 24 DD DA F8 00 30 1C 69 20 46 ?? ?? ?? ?? 50 46 A0 47 04 46 12 E0 00 2A 14 DD A6 EB 09 03 9A 42 10 D2 B6 1A 31 46 23 46 01 22 17 F1 20 00 ?? ?? ?? ?? 95 F9 01 30 00 2B C8 BF 6D 1C 95 F9 00 20 7F 2A E8 D1 D7 F8 4C 80 D7 F8 38 E0 D7 F8 00 A0 39 6B DA E9 08 23 B9 60 00 2B 05 DB 00 DC 1A B1 8A 42 88 BF 54 1A 00 D8 00 24 DA F8 14 30 03 F4 E0 73 40 2B 2D D0 B3 F5 80 7F 2D D0 D7 E9 20 32 C7 E9 00 32 64 B1 B7 F8 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 4C 80 D7 F8 38 E0 D7 E9 00 32 79 6B 38 6A 00 24 08 29 28 BF 05 46 C7 E9 20 32 01 D2 17 F1 20 05 4E 46 C7 E9 00 32 B9 F1 00 0F 5B D0 35 F8 02 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 4C E0 B3 F5 80 7F 32 D1 79 6B 38 6A 08 29 28 BF 05 46 01 D2 17 F1 20 05 D7 E9 20 32 4E 46 B9 F1 00 0F C7 E9 00 32 0D D0 35 F8 02 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 00 32 C7 E9 20 32 C7 E9 00 32 6C B1 B7 F8 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 00 32 00 24 1D E0 79 6B 38 6A 08 29 28 BF 05 46 01 D2 17 F1 20 05 D7 E9 20 32 4E 46 B9 F1 00 0F C7 E9 00 32 0D D0 35 F8 02 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 E9 0D 1E D7 E9 00 32 D7 F8 4C 80 38 6A 08 29 28 BF 05 46 C7 E9 20 32 01 D2 17 F1 20 05 BE 68 05 EB 49 05 C7 E9 02 32 B6 EB 09 06 0E D0 35 F8 02 1B 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 02 32 00 25 C7 E9 20 32 CA E9 08 55 C7 E9 02 32 74 B1 B7 F8 8C 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 02 32 3C 69 C4 E9 00 32 B8 F1 10 0F 04 D3 70 46 ?? ?? ?? ?? 79 6B 38 6A 0F 23 FB 64 00 23 BB 64 87 F8 38 30 08 29 01 D3 ?? ?? ?? ?? 20 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_795_2 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@I@Z"
		size = 60
		refs = "001a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 08 9D 07 93 CD E9 05 12 04 46 5D B1 19 88 05 A8 ?? ?? ?? ?? 07 9B 6D 1E 03 F1 02 03 07 93 F5 D1 DD E9 05 12 C4 E9 00 12 20 46 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_796_2 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@I@Z"
		size = 60
		refs = "001a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 08 9D 07 93 CD E9 05 12 04 46 5D B1 19 88 05 A8 ?? ?? ?? ?? 07 9B 6D 1E 03 F1 02 03 07 93 F5 D1 DD E9 05 12 C4 E9 00 12 20 46 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_799_2 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 1678
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 004e _guard_check_icall 0074 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 00aa ?grouping@?$_Mpunct@G@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00da ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z 019a ?negative_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01ba ?positive_sign@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01c4 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV01@$$QAV01@@Z 01d4 ??3@YAXPAX@Z 01f8 ?curr_symbol@?$_Mpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 02d6 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0682 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? BE B0 6F 46 D7 F8 34 91 D7 F8 40 51 6F F0 01 03 C7 E9 24 33 C7 F8 28 90 C7 E9 1D 15 97 F8 30 31 48 46 E3 B1 17 F1 80 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 78 61 D7 F8 84 60 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 1B E0 17 F1 88 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 78 61 D7 F8 8C 60 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 17 F1 C8 01 40 46 ?? ?? ?? ?? D8 F8 00 30 5C 6A 20 46 ?? ?? ?? ?? 40 46 A0 47 80 EA E0 73 A3 EB E0 76 2B 69 BE 61 B3 42 08 D8 F3 1A 5A 1C B7 F8 44 31 00 21 28 46 ?? ?? ?? ?? 41 E0 D7 F8 DC 10 D7 F8 C8 20 10 29 28 BF 13 46 01 D2 17 F1 C8 03 93 F9 00 30 7F 2B 33 D0 10 29 01 D2 17 F1 C8 02 92 F9 00 30 00 2B 2B DD D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 40 46 A0 47 D7 F8 DC 30 80 46 10 2B 02 D3 D7 F8 C8 40 01 E0 17 F1 C8 04 2B 69 9E 1B 94 F9 00 30 7F 2B 11 D0 5B B2 00 2B 0E DD B3 42 0C D2 F6 1A 31 46 43 46 01 22 28 46 ?? ?? ?? ?? 94 F9 01 30 00 2B EB DD 64 1C E9 E7 D7 F8 14 80 07 23 C7 F8 C4 30 00 23 C7 F8 C0 30 A7 F8 B0 30 97 F8 3C 31 00 2B D8 F8 00 30 0F D0 DC 6A 20 46 ?? ?? ?? ?? 40 46 17 F1 10 01 A0 47 3B 69 17 F1 E0 01 40 46 7B 60 ?? ?? ?? ?? 0E E0 9C 6A 20 46 ?? ?? ?? ?? 40 46 17 F1 10 01 A0 47 3B 69 17 F1 E0 01 40 46 7B 60 ?? ?? ?? ?? 01 46 17 F1 B0 00 ?? ?? ?? ?? D7 F8 F4 30 08 2B 03 D3 D7 F8 E0 00 ?? ?? ?? ?? 07 24 00 26 00 23 3C 60 C7 E9 2A 64 A7 F8 98 30 D9 F8 14 30 13 F0 08 0F 14 D0 17 F1 E0 01 40 46 ?? ?? ?? ?? 01 46 17 F1 98 00 ?? ?? ?? ?? D7 F8 F4 30 08 2B 03 D3 D7 F8 E0 00 ?? ?? ?? ?? D7 E9 2A 64 3C 60 D7 F8 C0 90 BC 69 00 22 00 21 17 F1 04 0A 4F F0 00 08 11 F9 0A 30 20 2B 1D D0 24 2B 19 D0 2B 2B 15 D0 76 2B 02 D0 78 2B 16 D0 19 E0 28 69 14 B1 4F F0 01 0E 01 E0 4F F0 00 0E A0 42 02 D8 23 1A 5B 1C 00 E0 00 23 03 44 73 44 1A 44 08 E0 4A 44 06 E0 32 44 04 E0 52 1C 03 29 01 D0 4F F0 01 08 49 1C 04 29 D5 D3 B8 6A 3C 68 D0 E9 08 13 00 2B 06 DB 00 DC 21 B1 91 42 02 D9 A1 EB 02 0E 01 E0 4F F0 00 0E 43 69 C7 F8 00 E0 4F F4 80 72 03 F4 E0 73 3B 67 40 2B 21 D0 93 42 02 D1 B8 F1 00 0F 1C D1 D7 E9 4A 21 BE F1 00 0F C7 E9 08 21 0E D0 3E 68 B7 F8 38 11 17 F1 20 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 E9 08 21 4F F0 00 0E C7 F8 00 E0 C7 E9 4A 21 01 E0 D7 E9 4A 21 00 23 D7 F8 98 A0 3B 61 38 1D 1B 56 20 2B 00 F0 FA 80 24 2B 00 F0 D8 80 2B 2B 00 F0 BF 80 76 2B 03 D0 78 2B 00 F0 03 81 26 E1 D7 F8 18 80 28 69 B8 F1 00 0F 24 D1 6B 69 38 62 08 2B 02 D3 D5 F8 00 80 00 E0 A8 46 13 46 C7 E9 0C 21 8E 46 80 B1 3C 6A 38 F8 02 1B 17 F1 30 00 ?? ?? ?? ?? 64 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 0C 3E 1A 46 C7 E9 4A 3E 71 46 D7 F8 00 E0 FA E0 40 45 47 D8 B7 F8 44 11 17 F5 94 70 ?? ?? ?? ?? D7 F8 14 80 D8 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 40 46 A0 47 01 46 17 F5 94 70 ?? ?? ?? ?? 2B 69 BA 69 D7 F8 2C 11 D4 1A D7 F8 28 21 C7 E9 0E 21 09 D0 B7 F8 44 11 17 F1 38 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 0E 21 D5 E9 04 63 C7 E9 4A 21 08 2B 01 D3 2C 68 00 E0 2C 46 C7 E9 10 21 4E B1 34 F8 02 1B 17 F1 40 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 10 21 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 C7 E9 4A 21 B2 E7 6B 69 08 2B 01 D3 2C 68 00 E0 2C 46 B0 EB 08 06 C7 E9 12 21 09 D0 34 F8 02 1B 17 F1 48 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 12 21 7E 69 C7 E9 4A 21 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 94 70 ?? ?? ?? ?? 6B 69 08 2B 01 D3 2A 68 00 E0 2A 46 2B 69 D7 F8 2C 11 44 46 02 EB 43 03 D7 F8 28 21 A3 EB 48 06 C7 E9 14 21 B8 F1 00 0F BD D0 36 F8 02 1B 17 F1 50 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 14 21 B2 E7 B9 F1 00 0F 6A D0 D7 F8 C4 30 08 2B 02 D3 D7 F8 B0 30 01 E0 17 F1 B0 03 C7 E9 16 21 19 88 17 F1 58 00 ?? ?? ?? ?? D7 E9 16 21 9C E7 08 2C 28 BF D0 46 01 D2 17 F1 98 08 13 46 C7 E9 18 21 08 46 00 2E 46 D0 38 F8 02 1B 17 F1 60 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 18 30 D7 F8 00 E0 33 E0 C7 E9 1A 21 B7 F8 38 11 17 F1 68 00 ?? ?? ?? ?? D7 E9 1A 21 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 F8 00 E0 C7 E9 4A 21 3B 6F B3 F5 80 7F 1F D1 13 46 C7 E9 02 21 08 46 BE F1 00 0F 10 D0 3E 68 B7 F8 38 11 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 02 30 4F F0 00 0E C7 F8 00 E0 C7 E9 4A 30 01 46 1A 46 38 1D 3B 69 5B 1C 3B 61 04 2B FF F4 C3 AE D7 F8 B0 00 D7 F8 C4 30 B9 F1 01 0F 23 D9 08 2B 28 BF 06 46 01 D2 17 F1 B0 06 B9 F1 01 08 06 F1 02 09 16 46 C7 E9 02 21 8E 46 10 D0 39 F8 02 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 C4 30 D7 E9 2B 40 D7 F8 98 A0 D7 E9 02 6E 32 46 C7 E9 4A 6E 71 46 BE 6A 4F F0 00 08 C7 E9 02 21 C6 E9 08 88 3E 68 7E B1 B7 F8 38 11 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C4 30 D7 E9 2B 40 D7 F8 98 A0 D7 E9 02 21 7E 6F C6 E9 00 21 08 2C 06 D3 50 46 ?? ?? ?? ?? D7 F8 C4 30 D7 F8 B0 00 07 22 C7 F8 AC 20 00 22 C7 F8 A8 20 A7 F8 98 20 08 2B 01 D3 ?? ?? ?? ?? 07 23 C7 F8 C4 30 00 23 C7 F8 C0 30 A7 F8 B0 30 D7 F8 DC 30 10 2B 03 D3 D7 F8 C8 00 ?? ?? ?? ?? 0F 23 C7 F8 DC 30 00 23 C7 F8 D8 30 87 F8 C8 30 6B 69 08 2B 02 D3 28 68 ?? ?? ?? ?? 07 23 C5 E9 04 83 A5 F8 00 80 30 46 3E B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_808_2 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 1678
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 004e _guard_check_icall 0074 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 00aa ?grouping@?$_Mpunct@_W@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00da ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z 019a ?negative_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01ba ?positive_sign@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01c4 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV01@$$QAV01@@Z 01d4 ??3@YAXPAX@Z 01f8 ?curr_symbol@?$_Mpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 02d6 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0682 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? BE B0 6F 46 D7 F8 34 91 D7 F8 40 51 6F F0 01 03 C7 E9 24 33 C7 F8 28 90 C7 E9 1D 15 97 F8 30 31 48 46 E3 B1 17 F1 80 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 78 61 D7 F8 84 60 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 1B E0 17 F1 88 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 78 61 D7 F8 8C 60 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 17 F1 C8 01 40 46 ?? ?? ?? ?? D8 F8 00 30 5C 6A 20 46 ?? ?? ?? ?? 40 46 A0 47 80 EA E0 73 A3 EB E0 76 2B 69 BE 61 B3 42 08 D8 F3 1A 5A 1C B7 F8 44 31 00 21 28 46 ?? ?? ?? ?? 41 E0 D7 F8 DC 10 D7 F8 C8 20 10 29 28 BF 13 46 01 D2 17 F1 C8 03 93 F9 00 30 7F 2B 33 D0 10 29 01 D2 17 F1 C8 02 92 F9 00 30 00 2B 2B DD D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 40 46 A0 47 D7 F8 DC 30 80 46 10 2B 02 D3 D7 F8 C8 40 01 E0 17 F1 C8 04 2B 69 9E 1B 94 F9 00 30 7F 2B 11 D0 5B B2 00 2B 0E DD B3 42 0C D2 F6 1A 31 46 43 46 01 22 28 46 ?? ?? ?? ?? 94 F9 01 30 00 2B EB DD 64 1C E9 E7 D7 F8 14 80 07 23 C7 F8 C4 30 00 23 C7 F8 C0 30 A7 F8 B0 30 97 F8 3C 31 00 2B D8 F8 00 30 0F D0 DC 6A 20 46 ?? ?? ?? ?? 40 46 17 F1 10 01 A0 47 3B 69 17 F1 E0 01 40 46 7B 60 ?? ?? ?? ?? 0E E0 9C 6A 20 46 ?? ?? ?? ?? 40 46 17 F1 10 01 A0 47 3B 69 17 F1 E0 01 40 46 7B 60 ?? ?? ?? ?? 01 46 17 F1 B0 00 ?? ?? ?? ?? D7 F8 F4 30 08 2B 03 D3 D7 F8 E0 00 ?? ?? ?? ?? 07 24 00 26 00 23 3C 60 C7 E9 2A 64 A7 F8 98 30 D9 F8 14 30 13 F0 08 0F 14 D0 17 F1 E0 01 40 46 ?? ?? ?? ?? 01 46 17 F1 98 00 ?? ?? ?? ?? D7 F8 F4 30 08 2B 03 D3 D7 F8 E0 00 ?? ?? ?? ?? D7 E9 2A 64 3C 60 D7 F8 C0 90 BC 69 00 22 00 21 17 F1 04 0A 4F F0 00 08 11 F9 0A 30 20 2B 1D D0 24 2B 19 D0 2B 2B 15 D0 76 2B 02 D0 78 2B 16 D0 19 E0 28 69 14 B1 4F F0 01 0E 01 E0 4F F0 00 0E A0 42 02 D8 23 1A 5B 1C 00 E0 00 23 03 44 73 44 1A 44 08 E0 4A 44 06 E0 32 44 04 E0 52 1C 03 29 01 D0 4F F0 01 08 49 1C 04 29 D5 D3 B8 6A 3C 68 D0 E9 08 13 00 2B 06 DB 00 DC 21 B1 91 42 02 D9 A1 EB 02 0E 01 E0 4F F0 00 0E 43 69 C7 F8 00 E0 4F F4 80 72 03 F4 E0 73 3B 67 40 2B 21 D0 93 42 02 D1 B8 F1 00 0F 1C D1 D7 E9 4A 21 BE F1 00 0F C7 E9 08 21 0E D0 3E 68 B7 F8 38 11 17 F1 20 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 E9 08 21 4F F0 00 0E C7 F8 00 E0 C7 E9 4A 21 01 E0 D7 E9 4A 21 00 23 D7 F8 98 A0 3B 61 38 1D 1B 56 20 2B 00 F0 FA 80 24 2B 00 F0 D8 80 2B 2B 00 F0 BF 80 76 2B 03 D0 78 2B 00 F0 03 81 26 E1 D7 F8 18 80 28 69 B8 F1 00 0F 24 D1 6B 69 38 62 08 2B 02 D3 D5 F8 00 80 00 E0 A8 46 13 46 C7 E9 0C 21 8E 46 80 B1 3C 6A 38 F8 02 1B 17 F1 30 00 ?? ?? ?? ?? 64 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 0C 3E 1A 46 C7 E9 4A 3E 71 46 D7 F8 00 E0 FA E0 40 45 47 D8 B7 F8 44 11 17 F5 94 70 ?? ?? ?? ?? D7 F8 14 80 D8 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 40 46 A0 47 01 46 17 F5 94 70 ?? ?? ?? ?? 2B 69 BA 69 D7 F8 2C 11 D4 1A D7 F8 28 21 C7 E9 0E 21 09 D0 B7 F8 44 11 17 F1 38 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 0E 21 D5 E9 04 63 C7 E9 4A 21 08 2B 01 D3 2C 68 00 E0 2C 46 C7 E9 10 21 4E B1 34 F8 02 1B 17 F1 40 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 10 21 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 C7 E9 4A 21 B2 E7 6B 69 08 2B 01 D3 2C 68 00 E0 2C 46 B0 EB 08 06 C7 E9 12 21 09 D0 34 F8 02 1B 17 F1 48 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 12 21 7E 69 C7 E9 4A 21 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 94 70 ?? ?? ?? ?? 6B 69 08 2B 01 D3 2A 68 00 E0 2A 46 2B 69 D7 F8 2C 11 44 46 02 EB 43 03 D7 F8 28 21 A3 EB 48 06 C7 E9 14 21 B8 F1 00 0F BD D0 36 F8 02 1B 17 F1 50 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 14 21 B2 E7 B9 F1 00 0F 6A D0 D7 F8 C4 30 08 2B 02 D3 D7 F8 B0 30 01 E0 17 F1 B0 03 C7 E9 16 21 19 88 17 F1 58 00 ?? ?? ?? ?? D7 E9 16 21 9C E7 08 2C 28 BF D0 46 01 D2 17 F1 98 08 13 46 C7 E9 18 21 08 46 00 2E 46 D0 38 F8 02 1B 17 F1 60 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 18 30 D7 F8 00 E0 33 E0 C7 E9 1A 21 B7 F8 38 11 17 F1 68 00 ?? ?? ?? ?? D7 E9 1A 21 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 F8 00 E0 C7 E9 4A 21 3B 6F B3 F5 80 7F 1F D1 13 46 C7 E9 02 21 08 46 BE F1 00 0F 10 D0 3E 68 B7 F8 38 11 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 02 30 4F F0 00 0E C7 F8 00 E0 C7 E9 4A 30 01 46 1A 46 38 1D 3B 69 5B 1C 3B 61 04 2B FF F4 C3 AE D7 F8 B0 00 D7 F8 C4 30 B9 F1 01 0F 23 D9 08 2B 28 BF 06 46 01 D2 17 F1 B0 06 B9 F1 01 08 06 F1 02 09 16 46 C7 E9 02 21 8E 46 10 D0 39 F8 02 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 C4 30 D7 E9 2B 40 D7 F8 98 A0 D7 E9 02 6E 32 46 C7 E9 4A 6E 71 46 BE 6A 4F F0 00 08 C7 E9 02 21 C6 E9 08 88 3E 68 7E B1 B7 F8 38 11 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C4 30 D7 E9 2B 40 D7 F8 98 A0 D7 E9 02 21 7E 6F C6 E9 00 21 08 2C 06 D3 50 46 ?? ?? ?? ?? D7 F8 C4 30 D7 F8 B0 00 07 22 C7 F8 AC 20 00 22 C7 F8 A8 20 A7 F8 98 20 08 2B 01 D3 ?? ?? ?? ?? 07 23 C7 F8 C4 30 00 23 C7 F8 C0 30 A7 F8 B0 30 D7 F8 DC 30 10 2B 03 D3 D7 F8 C8 00 ?? ?? ?? ?? 0F 23 C7 F8 DC 30 00 23 C7 F8 D8 30 87 F8 C8 30 6B 69 08 2B 02 D3 28 68 ?? ?? ?? ?? 07 23 C5 E9 04 83 A5 F8 00 80 30 46 3E B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_854_2 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
		size = 122
		refs = "001e ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0074 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 0D 46 21 69 17 46 CB 43 AB 42 2D D9 4E 19 45 B3 00 22 31 46 ?? ?? ?? ?? 18 B3 D4 E9 04 23 01 2D 07 D1 08 2B 01 D3 23 68 00 E0 23 46 23 F8 12 70 0D E0 08 2B 01 D3 23 68 00 E0 23 46 03 EB 42 03 2D B1 03 EB 45 02 23 F8 02 7B 93 42 FB D1 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 26 61 23 F8 16 20 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_857_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
		size = 122
		refs = "001e ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0074 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 0D 46 21 69 17 46 CB 43 AB 42 2D D9 4E 19 45 B3 00 22 31 46 ?? ?? ?? ?? 18 B3 D4 E9 04 23 01 2D 07 D1 08 2B 01 D3 23 68 00 E0 23 46 23 F8 12 70 0D E0 08 2B 01 D3 23 68 00 E0 23 46 03 EB 42 03 2D B1 03 EB 45 02 23 F8 02 7B 93 42 FB D1 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 26 61 23 F8 16 20 20 46 BD E8 F0 88 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_865_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
		size = 104
		refs = "0016 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0062 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0D 46 04 46 B1 F1 FF 3F 26 D0 00 22 ?? ?? ?? ?? F8 B1 63 69 01 2D 06 D1 08 2B 01 D3 23 68 00 E0 23 46 1E 80 0B E0 08 2B 01 D3 23 68 00 E0 23 46 2D B1 03 EB 45 02 23 F8 02 6B 93 42 FB D1 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 23 F8 15 20 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_871_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
		size = 104
		refs = "0016 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0062 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 16 46 0D 46 04 46 B1 F1 FF 3F 26 D0 00 22 ?? ?? ?? ?? F8 B1 63 69 01 2D 06 D1 08 2B 01 D3 23 68 00 E0 23 46 1E 80 0B E0 08 2B 01 D3 23 68 00 E0 23 46 2D B1 03 EB 45 02 23 F8 02 6B 93 42 FB D1 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 23 F8 15 20 20 46 BD E8 78 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_880_2 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 22
		altNames = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 08 2B 00 D3 00 68 08 60 08 46 BD E8 00 88 }
	condition:
		$1
}

rule file_34_911_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
		altNames = "?do_falsename@?$numpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 69 0D 46 00 22 07 23 C5 E9 04 23 2A 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_912_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 69 0D 46 00 22 07 23 C5 E9 04 23 2A 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_923_2 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 69 0D 46 00 22 07 23 C5 E9 04 23 2A 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_926_2 {
	meta:
		name = "?do_get@?$messages@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHABV32@@Z"
		size = 36
		refs = "001a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 05 99 07 23 00 22 C4 E9 04 23 D3 43 20 46 22 80 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_34_927_2 {
	meta:
		name = "?do_get@?$messages@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHABV32@@Z"
		size = 36
		refs = "001a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 05 99 07 23 00 22 C4 E9 04 23 D3 43 20 46 22 80 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_34_928_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 224
		refs = "000a __security_push_cookie 0044 ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z 0052 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 008c _errno 009c strtod 00cc ??3@YAXPAX@Z 00d4 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 84 B0 6F F0 01 03 C7 E9 02 33 17 F1 28 03 D7 F8 84 20 02 93 97 F8 80 30 D7 F8 88 60 D7 F8 8C A0 00 93 89 46 01 92 17 F1 78 03 17 F1 70 02 17 F1 10 01 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 3A 6F BB 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 3B 6A E3 B1 7B 6A 10 2B 02 D3 D7 F8 10 80 01 E0 17 F1 10 08 ?? ?? ?? ?? 05 46 2C 68 40 46 00 23 39 46 2B 60 ?? ?? ?? ?? 2A 68 2C 60 3B 68 43 45 04 D0 1A B9 3A 6F 8A ED 00 0B 04 E0 3A 6F 33 68 43 F0 02 03 33 60 7B 6F C9 E9 00 23 7B 6A 10 2B 02 D3 38 69 ?? ?? ?? ?? 48 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_932_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 224
		refs = "000a __security_push_cookie 0044 ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z 0052 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 008c _errno 009c strtod 00cc ??3@YAXPAX@Z 00d4 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 84 B0 6F F0 01 03 C7 E9 02 33 17 F1 28 03 D7 F8 84 20 02 93 97 F8 80 30 D7 F8 88 60 D7 F8 8C A0 00 93 89 46 01 92 17 F1 78 03 17 F1 70 02 17 F1 10 01 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? 97 F8 7C 30 1B B9 17 F1 78 00 ?? ?? ?? ?? 3A 6F BB 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 3B 6A E3 B1 7B 6A 10 2B 02 D3 D7 F8 10 80 01 E0 17 F1 10 08 ?? ?? ?? ?? 05 46 2C 68 40 46 00 23 39 46 2B 60 ?? ?? ?? ?? 2A 68 2C 60 3B 68 43 45 04 D0 1A B9 3A 6F 8A ED 00 0B 04 E0 3A 6F 33 68 43 F0 02 03 33 60 7B 6F C9 E9 00 23 7B 6A 10 2B 02 D3 38 69 ?? ?? ?? ?? 48 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_930_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 296
		refs = "000a __security_push_cookie 003e ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@PAG@Z 004e ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 00a8 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0114 ??3@YAXPAX@Z 011c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 00 33 17 F1 20 03 7A 6F 02 93 97 F8 70 30 BE 6F FC 6F 00 93 88 46 01 92 17 F1 68 03 17 F1 60 02 17 F1 08 01 ?? ?? ?? ?? 97 F8 64 30 BD 69 1B B9 17 F1 60 00 ?? ?? ?? ?? 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 39 6E BB 6E 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 35 B9 33 68 FA 69 B8 68 43 F0 02 03 33 60 42 E0 23 69 00 26 9D 42 0A D8 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 23 F8 15 20 04 E0 E9 1A 00 22 20 46 ?? ?? ?? ?? FA 69 B8 68 10 2A 28 BF 03 46 01 D2 17 F1 08 03 93 F9 00 30 2D 2B 0A D1 63 69 08 2B 01 D3 22 68 00 E0 22 46 BB 8E 01 26 13 80 B8 68 FA 69 AE 42 14 D2 10 2A 01 D2 17 F1 08 00 63 69 08 2B 01 D3 21 68 00 E0 21 46 82 57 17 F1 20 03 03 EB 42 03 33 F8 60 3C 21 F8 16 30 76 1C E6 E7 39 6E 7B 6E C8 E9 00 13 10 2A 01 D3 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_34_934_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 296
		refs = "000a __security_push_cookie 003e ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@PA_W@Z 004e ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 00a8 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0114 ??3@YAXPAX@Z 011c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 00 33 17 F1 20 03 7A 6F 02 93 97 F8 70 30 BE 6F FC 6F 00 93 88 46 01 92 17 F1 68 03 17 F1 60 02 17 F1 08 01 ?? ?? ?? ?? 97 F8 64 30 BD 69 1B B9 17 F1 60 00 ?? ?? ?? ?? 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 39 6E BB 6E 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 35 B9 33 68 FA 69 B8 68 43 F0 02 03 33 60 42 E0 23 69 00 26 9D 42 0A D8 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 23 F8 15 20 04 E0 E9 1A 00 22 20 46 ?? ?? ?? ?? FA 69 B8 68 10 2A 28 BF 03 46 01 D2 17 F1 08 03 93 F9 00 30 2D 2B 0A D1 63 69 08 2B 01 D3 22 68 00 E0 22 46 BB 8E 01 26 13 80 B8 68 FA 69 AE 42 14 D2 10 2A 01 D2 17 F1 08 00 63 69 08 2B 01 D3 21 68 00 E0 21 46 82 57 17 F1 20 03 03 EB 42 03 33 F8 60 3C 21 F8 16 30 76 1C E6 E7 39 6E 7B 6E C8 E9 00 13 10 2A 01 D3 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_34_960_2 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 534
		refs = "000a __security_push_cookie 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 005c _guard_check_icall 008a ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 00bc ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ca ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 00d6 ??3@YAXPAX@Z 00e2 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 00ec ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0122 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0156 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0166 _Stoulx 01ba ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@ABAGXZ 020a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 6F 46 82 B0 6F F0 01 03 C7 E9 08 33 D7 F8 C0 30 D7 F8 B8 40 D7 F8 BC 60 3B 61 63 69 80 46 89 46 13 F4 80 4F 6F F0 00 05 20 46 7C D0 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 D7 F8 0C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 07 23 FB 63 00 23 17 F1 28 00 00 22 01 21 BB 63 3B 85 ?? ?? ?? ?? 90 B1 FB 6B 08 2B 01 D3 BB 6A 01 E0 17 F1 28 03 00 21 19 80 FB 6B 08 2B 01 D3 BB 6A 01 E0 17 F1 28 03 01 22 BA 63 59 80 17 F1 40 01 50 46 ?? ?? ?? ?? 01 46 17 F1 28 00 2B 46 00 22 ?? ?? ?? ?? 7B 6D 08 2B 02 D3 38 6C ?? ?? ?? ?? 17 F1 28 00 00 22 01 21 ?? ?? ?? ?? 17 F1 40 01 50 46 ?? ?? ?? ?? 01 46 17 F1 28 00 2B 46 00 22 ?? ?? ?? ?? 7B 6D 08 2B 02 D3 38 6C ?? ?? ?? ?? FB 6B 08 2B 01 D3 BB 6A 01 E0 17 F1 28 03 17 F1 B0 01 17 F1 A8 00 02 22 ?? ?? ?? ?? 05 46 FB 6B 08 2B 40 D3 B8 6A ?? ?? ?? ?? 3C E0 00 23 17 F1 18 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 A8 02 00 93 17 F1 B0 03 17 F1 58 01 40 46 ?? ?? ?? ?? 02 46 17 F1 58 00 3B 46 17 F1 08 01 ?? ?? ?? ?? 82 46 D7 F8 1C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 BB 68 17 F1 58 02 93 42 05 D0 3B 68 1B B9 BA F1 01 0F 98 BF 55 46 97 F8 AC 30 1B B9 17 F1 A8 00 ?? ?? ?? ?? 97 F8 B4 30 1B B9 17 F1 B0 00 ?? ?? ?? ?? D7 F8 A8 20 D7 F8 B0 30 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 00 2D 04 DA 33 68 43 F0 02 03 33 60 05 E0 39 69 18 BF 01 23 08 BF 00 23 0B 70 D7 F8 AC 30 C9 E9 00 23 48 46 20 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_992_2 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 534
		refs = "000a __security_push_cookie 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 005c _guard_check_icall 008a ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 00bc ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ca ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 00d6 ??3@YAXPAX@Z 00e2 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 00ec ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0122 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0156 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0166 _Stoulx 01ba ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@ABA_WXZ 020a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 6F 46 82 B0 6F F0 01 03 C7 E9 08 33 D7 F8 C0 30 D7 F8 B8 40 D7 F8 BC 60 3B 61 63 69 80 46 89 46 13 F4 80 4F 6F F0 00 05 20 46 7C D0 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 D7 F8 0C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 07 23 FB 63 00 23 17 F1 28 00 00 22 01 21 BB 63 3B 85 ?? ?? ?? ?? 90 B1 FB 6B 08 2B 01 D3 BB 6A 01 E0 17 F1 28 03 00 21 19 80 FB 6B 08 2B 01 D3 BB 6A 01 E0 17 F1 28 03 01 22 BA 63 59 80 17 F1 40 01 50 46 ?? ?? ?? ?? 01 46 17 F1 28 00 2B 46 00 22 ?? ?? ?? ?? 7B 6D 08 2B 02 D3 38 6C ?? ?? ?? ?? 17 F1 28 00 00 22 01 21 ?? ?? ?? ?? 17 F1 40 01 50 46 ?? ?? ?? ?? 01 46 17 F1 28 00 2B 46 00 22 ?? ?? ?? ?? 7B 6D 08 2B 02 D3 38 6C ?? ?? ?? ?? FB 6B 08 2B 01 D3 BB 6A 01 E0 17 F1 28 03 17 F1 B0 01 17 F1 A8 00 02 22 ?? ?? ?? ?? 05 46 FB 6B 08 2B 40 D3 B8 6A ?? ?? ?? ?? 3C E0 00 23 17 F1 18 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 A8 02 00 93 17 F1 B0 03 17 F1 58 01 40 46 ?? ?? ?? ?? 02 46 17 F1 58 00 3B 46 17 F1 08 01 ?? ?? ?? ?? 82 46 D7 F8 1C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 BB 68 17 F1 58 02 93 42 05 D0 3B 68 1B B9 BA F1 01 0F 98 BF 55 46 97 F8 AC 30 1B B9 17 F1 A8 00 ?? ?? ?? ?? 97 F8 B4 30 1B B9 17 F1 B0 00 ?? ?? ?? ?? D7 F8 A8 20 D7 F8 B0 30 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 00 2D 04 DA 33 68 43 F0 02 03 33 60 05 E0 39 69 18 BF 01 23 08 BF 00 23 0B 70 D7 F8 AC 30 C9 E9 00 23 48 46 20 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1028_2 {
	meta:
		name = "?do_grouping@?$_Mpunct@G@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 54
		refs = "0022 strlen 002c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		altNames = "?do_grouping@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 84 68 0D 46 00 22 0F 23 C5 E9 04 23 2A 70 94 F9 00 30 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_1051_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 84 69 0D 46 00 22 07 23 C5 E9 04 23 2A 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_1052_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 84 69 0D 46 00 22 07 23 C5 E9 04 23 2A 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_1059_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z"
		altNames = "?do_truename@?$numpunct@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 44 69 0D 46 00 22 07 23 C5 E9 04 23 2A 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_1060_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 44 69 0D 46 00 22 07 23 C5 E9 04 23 2A 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_1128_2 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 52
		refs = "0020 wcslen 002a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 44 69 0D 46 00 22 07 23 C5 E9 04 23 2A 80 23 88 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_34_1061_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 400
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0046 _guard_check_icall 0110 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@PBGI@Z 0122 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 013c ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 016c ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0178 ??3@YAXPAX@Z 0180 __security_pop_cookie 018c ?_Src@?1??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@3@V43@_NAAVios_base@3@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9A B0 6F 46 86 B0 6F F0 01 03 C7 E9 0C 33 D7 F8 A4 30 D7 F8 AC 60 89 46 C7 E9 00 13 B8 60 18 46 17 F1 10 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 49 4C D5 6A 28 46 ?? ?? ?? ?? 40 46 21 46 04 F1 0C 02 17 F1 50 03 A8 47 D6 F8 10 E0 00 20 4F F0 00 0A BE F1 00 0F 0D D0 73 69 08 2B 01 D3 33 68 00 E0 33 46 1A 88 B7 F8 64 30 9A 42 02 D1 4F F0 01 0A 01 20 02 46 70 45 21 D2 D6 F8 14 80 B7 F8 50 50 17 F1 50 09 B8 F1 08 0F 01 D3 31 68 00 E0 31 46 17 F1 50 03 45 B1 31 F8 12 40 29 46 A1 42 03 D0 9B 1C 19 88 00 29 F9 D1 A3 EB 09 03 5B 10 0A 2B 02 D2 52 1C 72 45 E5 D3 D7 F8 00 90 73 69 08 2B 00 D3 36 68 07 23 FB 64 00 23 06 EB 40 01 12 1A 17 F1 38 00 BB 64 3B 87 ?? ?? ?? ?? BB 6C 33 B9 B7 F8 50 20 17 F1 38 00 01 21 ?? ?? ?? ?? 07 23 FB 62 00 23 BB 62 3B 83 DB 43 17 F1 38 01 17 F1 18 00 00 22 ?? ?? ?? ?? B7 F8 50 30 D7 F8 98 20 B8 68 05 93 17 F1 18 03 04 93 B7 F8 A8 30 49 46 CD F8 0C A0 02 93 7B 68 01 93 97 F8 A0 30 00 93 D7 F8 9C 30 ?? ?? ?? ?? FB 6C 08 2B 02 D3 B8 6B ?? ?? ?? ?? 48 46 20 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1069_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 400
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0046 _guard_check_icall 0110 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@PB_WI@Z 0122 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 013c ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 016c ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0178 ??3@YAXPAX@Z 0180 __security_pop_cookie 018c ?_Src@?1??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@3@V43@_NAAVios_base@3@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9A B0 6F 46 86 B0 6F F0 01 03 C7 E9 0C 33 D7 F8 A4 30 D7 F8 AC 60 89 46 C7 E9 00 13 B8 60 18 46 17 F1 10 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 49 4C D5 6A 28 46 ?? ?? ?? ?? 40 46 21 46 04 F1 0C 02 17 F1 50 03 A8 47 D6 F8 10 E0 00 20 4F F0 00 0A BE F1 00 0F 0D D0 73 69 08 2B 01 D3 33 68 00 E0 33 46 1A 88 B7 F8 64 30 9A 42 02 D1 4F F0 01 0A 01 20 02 46 70 45 21 D2 D6 F8 14 80 B7 F8 50 50 17 F1 50 09 B8 F1 08 0F 01 D3 31 68 00 E0 31 46 17 F1 50 03 45 B1 31 F8 12 40 29 46 A1 42 03 D0 9B 1C 19 88 00 29 F9 D1 A3 EB 09 03 5B 10 0A 2B 02 D2 52 1C 72 45 E5 D3 D7 F8 00 90 73 69 08 2B 00 D3 36 68 07 23 FB 64 00 23 06 EB 40 01 12 1A 17 F1 38 00 BB 64 3B 87 ?? ?? ?? ?? BB 6C 33 B9 B7 F8 50 20 17 F1 38 00 01 21 ?? ?? ?? ?? 07 23 FB 62 00 23 BB 62 3B 83 DB 43 17 F1 38 01 17 F1 18 00 00 22 ?? ?? ?? ?? B7 F8 50 30 D7 F8 98 20 B8 68 05 93 17 F1 18 03 04 93 B7 F8 A8 30 49 46 CD F8 0C A0 02 93 7B 68 01 93 97 F8 A0 30 00 93 D7 F8 9C 30 ?? ?? ?? ?? FB 6C 08 2B 02 D3 B8 6B ?? ?? ?? ?? 48 46 20 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1065_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z"
		size = 436
		refs = "000a __security_push_cookie 0084 sprintf_s 00a2 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a6 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00b8 _guard_check_icall 00fc ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0138 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 0152 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@ABV12@II@Z 017e ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 018a ??3@YAXPAX@Z 0192 __security_pop_cookie 01a0 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A0 B0 6F 46 86 B0 D7 F8 BC 40 0E 46 00 21 B5 EE C0 0B 6F F0 01 03 C7 E9 0E 33 F1 EE 10 FA C7 E9 03 40 52 EC 10 3B 79 60 05 D2 01 23 B1 EE 40 0B 7B 60 52 EC 10 3B 9F ED 59 1B 4F F0 00 08 B4 EE C0 1B F1 EE 10 FA 10 D8 9F ED 53 2B 41 F2 88 31 88 45 0A D2 80 EE 02 0B 08 F1 0A 08 52 EC 10 3B B4 EE C0 1B F1 EE 10 FA F2 D9 01 92 49 4A 17 F1 58 00 28 21 00 93 ?? ?? ?? ?? 82 46 00 28 06 DA D7 F8 B0 30 33 60 D7 F8 B4 30 73 60 78 E0 17 F1 18 01 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 38 60 FD 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 30 1C 6B 20 46 ?? ?? ?? ?? 48 46 30 21 A0 47 07 23 7B 65 00 23 B8 60 17 F1 40 00 00 22 51 46 3B 65 A7 F8 40 30 ?? ?? ?? ?? 7B 6D 08 2B 02 D3 D7 F8 40 90 01 E0 17 F1 40 09 3B 68 17 F1 58 05 1A 68 D4 6A 20 46 ?? ?? ?? ?? 38 68 17 F1 58 01 0A EB 05 02 4B 46 A0 47 BC 68 17 F1 40 00 41 46 22 46 ?? ?? ?? ?? 07 23 7B 63 00 23 3B 63 3B 84 DB 43 17 F1 40 01 17 F1 20 00 00 22 ?? ?? ?? ?? 17 F1 20 03 04 93 7B 68 D7 F8 B0 20 38 69 03 93 B7 F8 C0 30 31 46 05 94 02 93 FB 68 01 93 97 F8 B8 30 00 93 D7 F8 B4 30 ?? ?? ?? ?? 7B 6D 08 2B 02 D3 38 6C ?? ?? ?? ?? 30 46 26 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_34_1073_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z"
		size = 436
		refs = "000a __security_push_cookie 0084 sprintf_s 00a2 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a6 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00b8 _guard_check_icall 00fc ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0138 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0152 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@ABV12@II@Z 017e ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 018a ??3@YAXPAX@Z 0192 __security_pop_cookie 01a0 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A0 B0 6F 46 86 B0 D7 F8 BC 40 0E 46 00 21 B5 EE C0 0B 6F F0 01 03 C7 E9 0E 33 F1 EE 10 FA C7 E9 03 40 52 EC 10 3B 79 60 05 D2 01 23 B1 EE 40 0B 7B 60 52 EC 10 3B 9F ED 59 1B 4F F0 00 08 B4 EE C0 1B F1 EE 10 FA 10 D8 9F ED 53 2B 41 F2 88 31 88 45 0A D2 80 EE 02 0B 08 F1 0A 08 52 EC 10 3B B4 EE C0 1B F1 EE 10 FA F2 D9 01 92 49 4A 17 F1 58 00 28 21 00 93 ?? ?? ?? ?? 82 46 00 28 06 DA D7 F8 B0 30 33 60 D7 F8 B4 30 73 60 78 E0 17 F1 18 01 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 38 60 FD 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 30 1C 6B 20 46 ?? ?? ?? ?? 48 46 30 21 A0 47 07 23 7B 65 00 23 B8 60 17 F1 40 00 00 22 51 46 3B 65 A7 F8 40 30 ?? ?? ?? ?? 7B 6D 08 2B 02 D3 D7 F8 40 90 01 E0 17 F1 40 09 3B 68 17 F1 58 05 1A 68 D4 6A 20 46 ?? ?? ?? ?? 38 68 17 F1 58 01 0A EB 05 02 4B 46 A0 47 BC 68 17 F1 40 00 41 46 22 46 ?? ?? ?? ?? 07 23 7B 63 00 23 3B 63 3B 84 DB 43 17 F1 40 01 17 F1 20 00 00 22 ?? ?? ?? ?? 17 F1 20 03 04 93 7B 68 D7 F8 B0 20 38 69 03 93 B7 F8 C0 30 31 46 05 94 02 93 FB 68 01 93 97 F8 B8 30 00 93 D7 F8 B4 30 ?? ?? ?? ?? 7B 6D 08 2B 02 D3 38 6C ?? ?? ?? ?? 30 46 26 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_34_1079_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z"
		size = 332
		refs = "000a __security_push_cookie 007c frexp 00ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00d8 ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 00f8 sprintf_s 011e ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z 012a ??3@YAXPAX@Z 0132 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 04 33 53 EC 10 AB 3D 6F 4F F0 0F 0E BB 60 00 23 00 26 3B 76 B0 EE 40 2B 88 46 81 46 C7 E9 0A 6E D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 37 0B B0 EE C2 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 42 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2B 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 0A 6E 1A 19 02 F1 32 03 B3 42 0A D8 BE F1 10 0F 01 D3 BA 69 01 E0 17 F1 18 02 00 21 BB 62 D1 54 05 E0 99 1B 17 F1 18 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 00 22 48 46 ?? ?? ?? ?? FB 6A 02 46 10 2B 01 D3 B8 69 01 E0 17 F1 18 00 BB 68 B9 6A CD F8 00 A0 01 93 23 46 ?? ?? ?? ?? FB 6A 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 02 93 B7 F8 74 30 BA 6E 03 90 01 93 FB 6E 41 46 48 46 00 95 ?? ?? ?? ?? FB 6A 10 2B 02 D3 B8 69 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_34_1092_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z"
		size = 332
		refs = "000a __security_push_cookie 007c frexp 00ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00d8 ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 00f8 sprintf_s 011e ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z 012a ??3@YAXPAX@Z 0132 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 04 33 53 EC 10 AB 3D 6F 4F F0 0F 0E BB 60 00 23 00 26 3B 76 B0 EE 40 2B 88 46 81 46 C7 E9 0A 6E D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 37 0B B0 EE C2 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 42 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2B 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 0A 6E 1A 19 02 F1 32 03 B3 42 0A D8 BE F1 10 0F 01 D3 BA 69 01 E0 17 F1 18 02 00 21 BB 62 D1 54 05 E0 99 1B 17 F1 18 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 00 22 48 46 ?? ?? ?? ?? FB 6A 02 46 10 2B 01 D3 B8 69 01 E0 17 F1 18 00 BB 68 B9 6A CD F8 00 A0 01 93 23 46 ?? ?? ?? ?? FB 6A 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 02 93 B7 F8 74 30 BA 6E 03 90 01 93 FB 6E 41 46 48 46 00 95 ?? ?? ?? ?? FB 6A 10 2B 02 D3 B8 69 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_34_1081_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z"
		size = 332
		refs = "000a __security_push_cookie 007c frexp 00ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00d8 ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 00f8 sprintf_s 011e ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDI@Z 012a ??3@YAXPAX@Z 0132 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 04 33 53 EC 10 AB 3D 6F 4F F0 0F 0E BB 60 00 23 00 26 3B 76 B0 EE 40 2B 88 46 81 46 C7 E9 0A 6E D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 37 0B B0 EE C2 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 42 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2B 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 0A 6E 1A 19 02 F1 32 03 B3 42 0A D8 BE F1 10 0F 01 D3 BA 69 01 E0 17 F1 18 02 00 21 BB 62 D1 54 05 E0 99 1B 17 F1 18 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 4C 22 48 46 ?? ?? ?? ?? FB 6A 02 46 10 2B 01 D3 B8 69 01 E0 17 F1 18 00 BB 68 B9 6A CD F8 00 A0 01 93 23 46 ?? ?? ?? ?? FB 6A 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 02 93 B7 F8 74 30 BA 6E 03 90 01 93 FB 6E 41 46 48 46 00 95 ?? ?? ?? ?? FB 6A 10 2B 02 D3 B8 69 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_34_1094_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z"
		size = 332
		refs = "000a __security_push_cookie 007c frexp 00ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00d8 ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 00f8 sprintf_s 011e ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDI@Z 012a ??3@YAXPAX@Z 0132 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 04 33 53 EC 10 AB 3D 6F 4F F0 0F 0E BB 60 00 23 00 26 3B 76 B0 EE 40 2B 88 46 81 46 C7 E9 0A 6E D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 37 0B B0 EE C2 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 42 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2B 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 0A 6E 1A 19 02 F1 32 03 B3 42 0A D8 BE F1 10 0F 01 D3 BA 69 01 E0 17 F1 18 02 00 21 BB 62 D1 54 05 E0 99 1B 17 F1 18 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 4C 22 48 46 ?? ?? ?? ?? FB 6A 02 46 10 2B 01 D3 B8 69 01 E0 17 F1 18 00 BB 68 B9 6A CD F8 00 A0 01 93 23 46 ?? ?? ?? ?? FB 6A 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 02 93 B7 F8 74 30 BA 6E 03 90 01 93 FB 6E 41 46 48 46 00 95 ?? ?? ?? ?? FB 6A 10 2B 02 D3 B8 69 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_34_1086_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z"
		size = 384
		refs = "000a __security_push_cookie 004c _guard_check_icall 0060 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 00a6 ?truename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00b0 ?falsename@?$numpunct@G@std@@QBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ba ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@$$QAV12@@Z 00c6 ??3@YAXPAX@Z 00fe ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 0174 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 84 B0 D7 F8 78 90 1D 46 6F F0 01 03 C7 E9 1C 25 C7 E9 02 33 0E 46 D9 F8 14 10 90 46 82 46 11 F4 80 4F 12 D1 97 F8 80 10 CD F8 00 90 02 91 B7 F8 7C 10 01 91 01 68 4C 6A 20 46 ?? ?? ?? ?? 50 46 31 46 42 46 2B 46 A0 47 89 E0 39 46 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 07 23 7B 62 00 23 3B 62 3B 82 97 F8 80 30 40 46 23 B1 17 F1 28 01 ?? ?? ?? ?? 03 E0 17 F1 28 01 ?? ?? ?? ?? 01 46 17 F1 10 00 ?? ?? ?? ?? FB 6B 08 2B 02 D3 B8 6A ?? ?? ?? ?? D9 E9 08 23 3D 6A 00 2B 05 DB 00 DC 1A B1 AA 42 88 BF 54 1B 00 D8 00 24 D9 F8 14 30 7A 6F 03 F4 E0 73 40 2B 3B 6F 0F D0 C7 E9 00 32 4C B1 B7 F8 7C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 3D 6A D7 E9 00 32 C7 E9 1C 32 00 24 79 6A 38 69 08 29 28 BF 80 46 01 D2 17 F1 10 08 C7 E9 00 32 55 B1 38 F8 02 1B 38 46 ?? ?? ?? ?? 6D 1E F8 D1 79 6A 38 69 D7 E9 00 32 00 25 C9 E9 08 55 C7 E9 1C 32 C7 E9 00 32 54 B1 B7 F8 7C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 79 6A 38 69 D7 E9 00 32 C6 E9 00 32 08 29 01 D3 ?? ?? ?? ?? 30 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1099_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z"
		size = 384
		refs = "000a __security_push_cookie 004c _guard_check_icall 0060 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 00a6 ?truename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00b0 ?falsename@?$numpunct@_W@std@@QBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ba ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@$$QAV12@@Z 00c6 ??3@YAXPAX@Z 00fe ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 0174 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 84 B0 D7 F8 78 90 1D 46 6F F0 01 03 C7 E9 1C 25 C7 E9 02 33 0E 46 D9 F8 14 10 90 46 82 46 11 F4 80 4F 12 D1 97 F8 80 10 CD F8 00 90 02 91 B7 F8 7C 10 01 91 01 68 4C 6A 20 46 ?? ?? ?? ?? 50 46 31 46 42 46 2B 46 A0 47 89 E0 39 46 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 07 23 7B 62 00 23 3B 62 3B 82 97 F8 80 30 40 46 23 B1 17 F1 28 01 ?? ?? ?? ?? 03 E0 17 F1 28 01 ?? ?? ?? ?? 01 46 17 F1 10 00 ?? ?? ?? ?? FB 6B 08 2B 02 D3 B8 6A ?? ?? ?? ?? D9 E9 08 23 3D 6A 00 2B 05 DB 00 DC 1A B1 AA 42 88 BF 54 1B 00 D8 00 24 D9 F8 14 30 7A 6F 03 F4 E0 73 40 2B 3B 6F 0F D0 C7 E9 00 32 4C B1 B7 F8 7C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 3D 6A D7 E9 00 32 C7 E9 1C 32 00 24 79 6A 38 69 08 29 28 BF 80 46 01 D2 17 F1 10 08 C7 E9 00 32 55 B1 38 F8 02 1B 38 46 ?? ?? ?? ?? 6D 1E F8 D1 79 6A 38 69 D7 E9 00 32 00 25 C9 E9 08 55 C7 E9 1C 32 C7 E9 00 32 54 B1 B7 F8 7C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 79 6A 38 69 D7 E9 00 32 C6 E9 00 32 08 29 01 D3 ?? ?? ?? ?? 30 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1103_2 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z"
		size = 256
		refs = "000a __security_push_cookie 0060 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 007e _Wcsftime 00cc ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAAAAV01@G@Z 00e6 ??3@YAXPAX@Z 00ee __security_pop_cookie 00fc ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 8D B0 6F 46 82 B0 6F F0 01 03 C7 E9 02 33 37 4C 17 F1 28 05 D7 F8 70 90 94 E8 0C 00 85 E8 0C 00 88 46 06 46 23 89 2B 81 07 23 7B 62 00 23 3B 62 3B 82 97 F9 78 30 1B B9 97 F9 74 30 BB 85 03 E0 BB 85 97 F9 74 30 FB 85 10 24 00 22 21 46 17 F1 10 00 ?? ?? ?? ?? 7B 6A B2 68 08 2B 01 D3 38 69 01 E0 17 F1 10 00 39 6A 00 92 4B 46 17 F1 28 02 ?? ?? ?? ?? 01 46 09 B9 64 00 E6 E7 7A 6A 38 69 08 2A 28 BF 03 46 01 D2 17 F1 10 03 08 2A 03 EB 41 04 28 BF 03 46 01 D2 17 F1 10 03 9E 1C A3 1B 5B 1C D7 E9 18 1E 00 25 A6 42 98 BF 5C 08 88 BF 00 24 C7 E9 00 1E 5C B1 36 F8 02 1B 38 46 ?? ?? ?? ?? 6D 1C A5 42 F7 D1 7A 6A 38 69 D7 E9 00 1E C8 E9 00 1E 08 2A 01 D3 ?? ?? ?? ?? 40 46 0F B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1105_2 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z"
		size = 256
		refs = "000a __security_push_cookie 0060 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 007e _Wcsftime 00cc ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAAAAV01@_W@Z 00e6 ??3@YAXPAX@Z 00ee __security_pop_cookie 00fc ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 8D B0 6F 46 82 B0 6F F0 01 03 C7 E9 02 33 37 4C 17 F1 28 05 D7 F8 70 90 94 E8 0C 00 85 E8 0C 00 88 46 06 46 23 89 2B 81 07 23 7B 62 00 23 3B 62 3B 82 97 F9 78 30 1B B9 97 F9 74 30 BB 85 03 E0 BB 85 97 F9 74 30 FB 85 10 24 00 22 21 46 17 F1 10 00 ?? ?? ?? ?? 7B 6A B2 68 08 2B 01 D3 38 69 01 E0 17 F1 10 00 39 6A 00 92 4B 46 17 F1 28 02 ?? ?? ?? ?? 01 46 09 B9 64 00 E6 E7 7A 6A 38 69 08 2A 28 BF 03 46 01 D2 17 F1 10 03 08 2A 03 EB 41 04 28 BF 03 46 01 D2 17 F1 10 03 9E 1C A3 1B 5B 1C D7 E9 18 1E 00 25 A6 42 98 BF 5C 08 88 BF 00 24 C7 E9 00 1E 5C B1 36 F8 02 1B 38 46 ?? ?? ?? ?? 6D 1C A5 42 F7 D1 7A 6A 38 69 D7 E9 00 1E C8 E9 00 1E 08 2A 01 D3 ?? ?? ?? ?? 40 46 0F B0 ?? ?? ?? ?? BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_1123_2 {
	meta:
		name = "?do_transform@?$collate@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z"
		size = 270
		refs = "0060 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z 008e _errno 00a6 memcpy 00b0 memset 00c6 _invalid_parameter_noinfo"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 85 B0 6F 46 91 46 0C 46 6F F0 01 02 FC 63 C7 E9 02 22 00 20 07 22 38 60 C4 E9 04 02 20 80 A3 EB 09 03 01 22 5F EA 63 08 41 46 3A 60 52 D0 4F F0 16 0A 4F EA 48 06 23 69 99 42 09 D8 63 69 08 2B 01 D3 23 68 00 E0 23 46 21 61 23 F8 11 00 04 E0 C9 1A 00 22 20 46 ?? ?? ?? ?? 63 69 08 2B 01 D3 22 68 00 E0 22 46 21 69 08 2B 01 D3 20 68 00 E0 20 46 C0 EB 41 03 13 44 5B 10 98 45 20 D8 5D 00 F6 B1 20 B9 ?? ?? ?? ?? C0 F8 00 A0 16 E0 B9 F1 00 0F 06 D0 B5 42 04 D3 32 46 49 46 ?? ?? ?? ?? 0E E0 2A 46 00 21 ?? ?? ?? ?? B9 F1 00 0F E9 D0 B5 42 05 D2 ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 23 69 41 46 98 45 04 D9 B8 F1 00 0F 4F F0 00 00 B1 D1 00 20 23 69 99 42 09 D8 63 69 08 2B 01 D3 23 68 00 E0 23 46 21 61 23 F8 11 00 04 E0 C9 1A 00 22 20 46 ?? ?? ?? ?? 20 46 05 B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1124_2 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@G@std@@MBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z$0"
		size = 30
		refs = "0018 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 07 80 3B 68 23 F0 01 03 3B 60 F8 6B ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_1125_2 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z"
		size = 196
		refs = "0060 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0086 _Wcsxfrm"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 82 B0 1E 46 0D 46 6F F0 01 03 7D 63 C7 E9 02 33 90 46 01 46 4F F0 00 09 07 23 C7 F8 00 90 C5 E9 04 93 A5 F8 00 90 01 23 B4 1A 3B 60 60 10 2B D0 01 F1 08 04 2B 69 98 42 09 D8 6B 69 08 2B 01 D3 2B 68 00 E0 2B 46 28 61 23 F8 10 90 04 E0 C1 1A 00 22 28 46 ?? ?? ?? ?? 6B 69 08 2B 01 D3 2A 68 00 E0 2A 46 29 69 08 2B 01 D3 28 68 00 E0 28 46 02 EB 41 01 42 46 33 46 00 94 ?? ?? ?? ?? 2B 69 98 42 01 D9 00 28 D5 D1 2B 69 98 42 09 D8 6B 69 08 2B 01 D3 2B 68 00 E0 2B 46 28 61 23 F8 10 90 04 E0 C1 1A 00 22 28 46 ?? ?? ?? ?? 28 46 06 B0 BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1126_2 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@_W@std@@MBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z$0"
		size = 30
		refs = "0018 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 07 80 3B 68 23 F0 01 03 3B 60 78 6B ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_103_413_2 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z$0"
		size = 30
		refs = "0018 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 07 80 3B 68 23 F0 01 03 3B 60 78 6B ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_1172_2 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z"
		size = 164
		refs = "0024 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0050 memmove 007a memset 0098 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 009e ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 15 46 22 69 0F 46 98 46 BA 42 3F D3 D3 43 AB 42 3F D9 56 19 BD B3 00 22 31 46 ?? ?? ?? ?? 90 B3 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 23 69 B3 EB 07 0E 05 D0 D3 19 39 44 58 19 72 46 ?? ?? ?? ?? 63 69 01 2D 07 D1 10 2B 01 D3 23 68 00 E0 23 46 03 F8 07 80 09 E0 10 2B 01 D3 23 68 00 E0 23 46 D8 19 2A 46 41 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 26 61 9A 55 20 46 BD E8 F8 89 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1173_2 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIG@Z"
		size = 176
		refs = "0024 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0052 memmove 00a4 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 00aa ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 15 46 22 69 0E 46 98 46 B2 42 45 D3 D3 43 AB 42 45 D9 57 19 ED B3 00 22 39 46 ?? ?? ?? ?? C0 B3 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 23 69 9B 1B 07 D0 5A 00 73 19 00 EB 43 00 01 EB 46 01 ?? ?? ?? ?? 63 69 01 2D 07 D1 08 2B 01 D3 23 68 00 E0 23 46 23 F8 16 80 0D E0 08 2B 01 D3 23 68 00 E0 23 46 03 EB 46 03 2D B1 03 EB 45 02 23 F8 02 8B 93 42 FB D1 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 27 61 23 F8 17 20 20 46 BD E8 F8 89 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1174_2 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II_W@Z"
		size = 176
		refs = "0024 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0052 memmove 00a4 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 00aa ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 15 46 22 69 0E 46 98 46 B2 42 45 D3 D3 43 AB 42 45 D9 57 19 ED B3 00 22 39 46 ?? ?? ?? ?? C0 B3 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 23 69 9B 1B 07 D0 5A 00 73 19 00 EB 43 00 01 EB 46 01 ?? ?? ?? ?? 63 69 01 2D 07 D1 08 2B 01 D3 23 68 00 E0 23 46 23 F8 16 80 0D E0 08 2B 01 D3 23 68 00 E0 23 46 03 EB 46 03 2D B1 03 EB 45 02 23 F8 02 8B 93 42 FB D1 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 27 61 23 F8 17 20 20 46 BD E8 F8 89 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1195_2 {
	meta:
		name = "?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 270
		refs = "0008 __security_push_cookie 0058 strlen 0064 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 009e memmove 00e2 ??3@YAXPAX@Z 0106 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 91 B0 6F 46 6F F0 01 03 4F F0 00 08 C7 E9 02 33 C7 F8 00 80 43 68 0D 46 4B B9 0F 23 FB 63 00 23 BB 63 87 F8 28 30 17 F1 28 04 01 26 19 E0 9C 69 0C B9 03 F1 1C 04 0F 23 7B 62 00 23 3B 62 3B 74 94 F9 00 30 0B B9 00 22 03 E0 20 46 ?? ?? ?? ?? 02 46 17 F1 10 00 21 46 ?? ?? ?? ?? 17 F1 10 04 02 26 4F F0 0F 09 4B 46 C5 E9 04 88 10 2B C5 F8 14 90 01 D3 2B 68 00 E0 2B 46 C5 F8 10 80 83 F8 00 80 63 69 10 2B 07 D2 23 69 5A 1C 08 D0 21 46 28 46 ?? ?? ?? ?? 03 E0 23 68 C4 F8 00 80 2B 60 23 69 2B 61 63 69 C4 F8 14 90 6B 61 4B 46 10 2B 01 D3 23 68 00 E0 23 46 C4 F8 10 80 46 F0 04 04 14 F0 02 0F 83 F8 00 80 0C D0 7B 6A 24 F0 02 04 10 2B 02 D3 38 69 ?? ?? ?? ?? 0F 23 7B 62 00 23 3B 62 3B 74 14 F0 01 0F 05 D0 FB 6B 10 2B 02 D3 B8 6A ?? ?? ?? ?? 28 46 11 B0 ?? ?? ?? ?? BD E8 F0 8B }
	condition:
		$1
}

rule file_34_1196_2 {
	meta:
		name = "__unwindfunclet$?name@locale@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ$0"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 3B 68 03 F0 01 03 00 2B 00 F0 08 80 3B 68 23 F0 01 03 3B 60 17 F1 28 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_34_1210_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 674
		refs = "0054 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 00b6 memmove 00de memcpy 0290 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 029c ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 04 46 20 69 89 46 1D 46 48 45 17 46 C0 F0 3B 81 2B 69 DD F8 28 A0 53 45 C0 F0 38 81 0B 9E 42 1A 97 42 A3 EB 0A 03 88 BF 17 46 9E 42 88 BF 1E 46 F3 43 C1 1B 8B 42 40 F2 2C 81 8B 19 00 93 98 42 A2 EB 07 08 04 D2 00 22 19 46 20 46 ?? ?? ?? ?? BE 42 12 D1 6B 69 08 2B 00 D3 2D 68 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 2E 00 F0 FE 80 05 EB 4A 01 72 00 03 EB 49 00 F5 E0 63 69 AC 42 2D D0 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 0B D0 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 6B 69 08 2B 00 D3 2D 68 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 2E 00 F0 CF 80 72 00 05 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? C6 E0 BE 42 2B D2 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 23 68 00 E0 23 46 36 B1 72 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 00 F0 A4 80 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 96 E0 CA 45 28 D8 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 0B D0 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 23 68 00 E0 23 46 00 2E 70 D0 01 EB 4A 01 71 E7 07 EB 09 05 55 45 29 D8 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 09 D0 06 EB 09 03 00 EB 43 00 4F EA 48 02 01 EB 45 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 00 2E 45 D0 72 00 F3 1B 53 44 00 EB 49 00 3B E0 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 23 68 00 E0 23 46 37 B1 7A 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 09 D0 06 EB 09 03 00 EB 43 00 4F EA 48 02 01 EB 45 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 F3 1B 08 D0 5A 00 06 EB 0A 03 00 EB 45 00 01 EB 43 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 9A 00 21 20 46 22 61 23 F8 12 10 BD E8 F8 8F 20 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1213_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 674
		refs = "0054 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 00b6 memmove 00de memcpy 0290 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 029c ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 04 46 20 69 89 46 1D 46 48 45 17 46 C0 F0 3B 81 2B 69 DD F8 28 A0 53 45 C0 F0 38 81 0B 9E 42 1A 97 42 A3 EB 0A 03 88 BF 17 46 9E 42 88 BF 1E 46 F3 43 C1 1B 8B 42 40 F2 2C 81 8B 19 00 93 98 42 A2 EB 07 08 04 D2 00 22 19 46 20 46 ?? ?? ?? ?? BE 42 12 D1 6B 69 08 2B 00 D3 2D 68 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 2E 00 F0 FE 80 05 EB 4A 01 72 00 03 EB 49 00 F5 E0 63 69 AC 42 2D D0 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 0B D0 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 6B 69 08 2B 00 D3 2D 68 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 2E 00 F0 CF 80 72 00 05 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? C6 E0 BE 42 2B D2 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 23 68 00 E0 23 46 36 B1 72 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 00 F0 A4 80 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 96 E0 CA 45 28 D8 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 0B D0 07 EB 09 03 01 EB 43 01 06 EB 09 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 23 68 00 E0 23 46 00 2E 70 D0 01 EB 4A 01 71 E7 07 EB 09 05 55 45 29 D8 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 09 D0 06 EB 09 03 00 EB 43 00 4F EA 48 02 01 EB 45 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 00 2E 45 D0 72 00 F3 1B 53 44 00 EB 49 00 3B E0 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 23 68 00 E0 23 46 37 B1 7A 00 01 EB 4A 01 03 EB 49 00 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 09 D0 06 EB 09 03 00 EB 43 00 4F EA 48 02 01 EB 45 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 F3 1B 08 D0 5A 00 06 EB 0A 03 00 EB 45 00 01 EB 43 01 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 9A 00 21 20 46 22 61 23 F8 12 10 BD E8 F8 8F 20 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1211_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIPBGI@Z"
		size = 322
		refs = "0054 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIABV12@II@Z 00ae memmove 00c2 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAA_NI_N@Z 0116 memcpy 0136 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ 013c ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 9A 46 15 46 89 46 04 46 23 B3 62 69 08 2A 01 D3 20 68 00 E0 20 46 82 45 1C D3 08 2A 01 D3 21 68 00 E0 21 46 23 69 01 EB 43 03 53 45 12 D9 08 2A 01 D3 22 68 00 E0 22 46 0C 9B 49 46 20 46 01 93 AA EB 02 03 5B 10 00 93 23 46 2A 46 ?? ?? ?? ?? 04 46 68 E0 23 69 4B 45 68 D3 A3 EB 09 01 0C 9E 8D 42 88 BF 0D 46 5A 1B F3 43 93 42 61 D9 A1 EB 05 08 AE 42 19 D2 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 0B D0 05 EB 09 03 01 EB 43 01 09 EB 06 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 23 69 5B 1B 9F 19 06 B9 C5 B3 00 22 39 46 20 46 ?? ?? ?? ?? 90 B3 B5 42 19 D2 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 0B D0 05 EB 09 03 01 EB 43 01 09 EB 06 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 2E B1 72 00 03 EB 49 00 51 46 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 27 61 23 F8 17 20 20 46 BD E8 FE 8F 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1214_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIPB_WI@Z"
		size = 322
		refs = "0054 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIABV12@II@Z 00ae memmove 00c2 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAA_NI_N@Z 0116 memcpy 0136 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ 013c ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 9A 46 15 46 89 46 04 46 23 B3 62 69 08 2A 01 D3 20 68 00 E0 20 46 82 45 1C D3 08 2A 01 D3 21 68 00 E0 21 46 23 69 01 EB 43 03 53 45 12 D9 08 2A 01 D3 22 68 00 E0 22 46 0C 9B 49 46 20 46 01 93 AA EB 02 03 5B 10 00 93 23 46 2A 46 ?? ?? ?? ?? 04 46 68 E0 23 69 4B 45 68 D3 A3 EB 09 01 0C 9E 8D 42 88 BF 0D 46 5A 1B F3 43 93 42 61 D9 A1 EB 05 08 AE 42 19 D2 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 0B D0 05 EB 09 03 01 EB 43 01 09 EB 06 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 23 69 5B 1B 9F 19 06 B9 C5 B3 00 22 39 46 20 46 ?? ?? ?? ?? 90 B3 B5 42 19 D2 63 69 08 2B 01 D3 21 68 00 E0 21 46 08 2B 01 D3 20 68 00 E0 20 46 B8 F1 00 0F 0B D0 05 EB 09 03 01 EB 43 01 09 EB 06 03 00 EB 43 00 4F EA 48 02 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 2E B1 72 00 03 EB 49 00 51 46 ?? ?? ?? ?? 63 69 08 2B 01 D3 23 68 00 E0 23 46 00 22 27 61 23 F8 17 20 20 46 BD E8 FE 8F 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_34_1212_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
		size = 98
		refs = "0030 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@II@Z 0054 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IIPBGI@Z"
	strings:
		$1 = { 0F B4 2D E9 3C 48 0D F1 10 0B 1D 46 0A 9B 09 95 08 92 9D 42 07 91 04 46 0D D1 63 69 52 1A 08 2B 01 D3 23 68 00 E0 23 46 CB 1A 59 10 52 10 20 46 ?? ?? ?? ?? 10 E0 5B 1B 58 10 63 69 52 1A 08 2B 01 D3 23 68 00 E0 23 46 CB 1A 59 10 00 90 2B 46 52 10 20 46 ?? ?? ?? ?? 20 46 BD E8 3C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1215_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
		size = 98
		refs = "0030 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@II@Z 0054 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@IIPB_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 3C 48 0D F1 10 0B 1D 46 0A 9B 09 95 08 92 9D 42 07 91 04 46 0D D1 63 69 52 1A 08 2B 01 D3 23 68 00 E0 23 46 CB 1A 59 10 52 10 20 46 ?? ?? ?? ?? 10 E0 5B 1B 58 10 63 69 52 1A 08 2B 01 D3 23 68 00 E0 23 46 CB 1A 59 10 00 90 2B 46 52 10 20 46 ?? ?? ?? ?? 20 46 BD E8 3C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_34_1218_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXI@Z"
		size = 46
		refs = "0026 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 99 42 0A D8 43 69 08 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 23 F8 11 20 03 E0 C9 1A 00 22 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_34_1220_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI@Z"
		size = 46
		refs = "0026 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 99 42 0A D8 43 69 08 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 23 F8 11 20 03 E0 C9 1A 00 22 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_34_1219_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAXIG@Z"
		size = 44
		refs = "0024 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAAAAV12@IG@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 99 42 0A D8 43 69 08 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 23 F8 11 20 02 E0 C9 1A ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_34_1221_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAXI_W@Z"
		size = 44
		refs = "0024 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 69 99 42 0A D8 43 69 08 2B 01 D3 03 68 00 E0 03 46 00 22 01 61 23 F8 11 20 02 E0 C9 1A ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_56_8_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z"
		size = 412
		refs = "0008 __security_push_cookie 0054 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00c6 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 0178 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 018c ??3@YAXPAX@Z 0194 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 96 46 FA 60 6F F0 01 02 C7 E9 06 22 93 F9 00 50 7B 60 89 46 80 46 5D B1 2C 46 1E 46 AC 42 01 D1 0E F1 01 0E 16 F9 01 4F 00 2C F7 D1 C7 F8 0C E0 0F 23 7B 63 00 23 17 F1 20 00 00 22 71 46 3B 63 87 F8 20 30 ?? ?? ?? ?? 6F F0 01 02 01 21 7E 6B D7 F8 20 A0 3A 61 39 60 FB 68 00 22 00 24 00 25 00 2B BA 60 00 F0 87 80 78 68 23 56 3B B1 90 F9 00 20 93 42 03 D0 64 1C 23 56 00 2B F9 D1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 5B 57 43 B1 10 2E 28 BF 53 46 01 D2 17 F1 20 03 5B 57 1C 44 44 E0 0C 44 22 56 90 F9 00 30 9A 42 30 D0 7A B3 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 8B B1 00 E0 7B B9 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 78 68 98 F9 05 20 23 56 93 42 04 D1 01 22 39 68 BA 60 19 E0 78 68 39 68 7F 29 0B 46 28 BF 7F 23 10 2E 0B D2 17 F1 20 0A 08 E0 7F 29 0B 46 28 BF 7F 23 10 2E 01 D2 17 F1 20 0A 3D 61 0A F8 05 30 D7 F8 20 A0 7E 6B BA 68 FB 68 6D 1C 9D 42 9A D3 FA B1 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? D8 F8 00 30 00 2B D9 F8 00 30 01 D1 63 B1 00 E0 53 B9 3B 68 40 46 5B 1C 3B 60 ?? ?? ?? ?? 6F F0 00 03 39 68 3B 61 70 E7 10 2E 02 D3 50 46 ?? ?? ?? ?? 38 69 0E B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_56_144_2 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z"
		size = 948
		refs = "000a __security_push_cookie 0078 strcspn 0082 localeconv 009e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a2 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00b4 _guard_check_icall 00e6 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0118 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0152 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01c2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 0218 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0380 ??3@YAXPAX@Z 03a0 __security_pop_cookie 03ac ??_C@_02OOPEBDOJ@pP?$AA@ 03b0 ??_C@_02MDKMJEGG@eE?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 98 B0 6F 46 D7 F8 98 40 D7 F8 A4 60 C7 E9 05 41 6F F0 01 03 D7 F8 A0 A0 C7 E9 0A 33 46 B1 9A F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 08 01 E0 4F F0 00 08 63 69 03 F4 40 53 B3 F5 40 5F 01 D0 D8 49 11 E0 08 F1 02 02 D5 49 B2 42 0C D8 1A F9 08 30 0A EB 08 00 30 2B 06 D1 90 F9 01 30 78 2B 01 D0 58 2B 00 D1 90 46 50 46 ?? ?? ?? ?? 2E 23 3B 82 B8 60 ?? ?? ?? ?? 03 68 17 F1 10 01 50 46 1B 78 3B 74 ?? ?? ?? ?? 81 46 20 46 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 04 46 3C 60 7D 6A 8D B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 3C 68 0F 23 7B 64 00 23 17 F1 30 00 00 22 31 46 3B 64 87 F8 30 30 ?? ?? ?? ?? 7B 6C 10 2B 01 D3 3D 6B 01 E0 17 F1 30 05 22 68 D4 69 20 46 ?? ?? ?? ?? 38 68 51 46 0A EB 06 02 2B 46 A0 47 78 69 17 F1 20 01 ?? ?? ?? ?? ?? ?? ?? ?? 05 46 D7 F8 24 A0 BA F1 00 0F 11 D0 DA F8 00 30 9C 68 20 46 ?? ?? ?? ?? 50 46 A0 47 82 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 17 F1 48 01 28 46 ?? ?? ?? ?? 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 82 46 B1 45 10 D0 2B 68 DC 68 20 46 ?? ?? ?? ?? 28 46 A0 47 7B 6C 10 2B 01 D3 3B 6B 01 E0 17 F1 30 03 03 F8 09 00 01 E0 D7 F8 08 90 FE 6D BD 6C 10 2E 28 BF 2C 46 01 D2 17 F1 48 04 94 F9 00 20 7F 2A 19 D0 00 2A 15 DD A9 EB 08 03 9A 42 11 D2 A9 EB 02 09 49 46 53 46 01 22 17 F1 30 00 ?? ?? ?? ?? 94 F9 01 30 00 2B C8 BF 64 1C 94 F9 00 20 7F 2A E7 D1 FE 6D BD 6C 79 69 38 6C D1 E9 08 23 B8 60 00 2B 05 DB 00 DC 1A B1 82 42 88 BF 14 1A 00 D8 00 24 4B 69 03 F4 E0 73 40 2B 2C D0 B3 F5 80 7F 2C D0 D7 E9 24 32 C7 E9 00 32 54 B1 97 F9 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 FE 6D BD 6C D7 E9 00 32 79 6C 38 6B 00 24 10 29 28 BF 81 46 C7 E9 24 32 01 D2 17 F1 30 09 C2 46 C7 E9 00 32 B8 F1 00 0F 5B D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 4C E0 B3 F5 80 7F 31 D1 79 6C 38 6B 10 29 28 BF 81 46 01 D2 17 F1 30 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0D D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 15 38 6B FE 6D D7 E9 00 32 C7 E9 24 32 C7 E9 00 32 64 B1 97 F9 9C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 11 15 38 6B FE 6D D7 E9 00 32 00 24 1D E0 79 6C 38 6B 10 29 28 BF 81 46 01 D2 17 F1 30 09 D7 E9 24 32 C2 46 B8 F1 00 0F C7 E9 00 32 0D D0 19 F9 01 1B 38 46 ?? ?? ?? ?? BA F1 01 0A F7 D1 D7 E9 11 15 D7 E9 00 32 FE 6D 38 6B 10 29 28 BF 86 46 C7 E9 24 32 01 D2 17 F1 30 0E 0E EB 08 09 D7 F8 08 E0 C7 E9 02 32 BE EB 08 08 0E D0 19 F9 01 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 E9 11 15 38 6B FE 6D D7 E9 02 32 D7 F8 14 E0 4F F0 00 08 C7 E9 24 32 CE E9 08 88 C7 E9 02 32 6C B1 97 F9 9C 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 11 15 38 6B FE 6D D7 E9 02 32 BC 69 C4 E9 00 32 10 2E 04 D3 28 46 ?? ?? ?? ?? 79 6C 38 6B 0F 23 FB 65 00 23 BB 65 87 F8 48 30 10 29 01 D3 ?? ?? ?? ?? 20 46 18 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_175_2 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2008
		refs = "0008 __security_push_cookie 003c ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z 004a ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 004e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0068 _guard_check_icall 008a ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00a2 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00f2 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 0158 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 02d8 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 031a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 038e ??3@YAXPAX@Z 0480 localeconv 07c8 __security_pop_cookie 07d0 ?_Src@?1??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A2 B0 6F 46 82 B0 D7 F8 B0 50 98 46 6F F0 01 03 C7 E9 10 33 6C 69 D7 F8 B4 30 16 46 04 F4 40 54 B4 F5 40 5F B9 61 FB 62 06 D1 01 93 43 46 00 95 ?? ?? ?? ?? 03 46 BF E3 17 F1 38 01 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 38 62 D7 F8 3C 90 B9 F1 00 0F 11 D0 D9 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 48 46 A0 47 81 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 48 46 01 21 A0 47 17 F1 60 01 50 46 ?? ?? ?? ?? 00 23 D7 F8 18 A0 17 F1 30 01 28 46 7B 62 7B 61 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 FC 56 D4 69 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 0F 02 17 F1 78 03 A0 47 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 24 00 2B D8 F8 00 30 01 D1 23 B3 00 E0 13 BB 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 96 F9 05 20 97 F9 83 30 9A 42 04 D1 BC 69 21 70 04 F1 01 0A 0E E0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 82 30 9A 42 06 D1 BB 69 1C 70 03 F1 01 0A 30 46 ?? ?? ?? ?? 30 23 C7 F8 30 A0 0A F8 01 3B FB 6A 00 22 C7 E9 02 22 1B 68 91 46 DF F8 60 26 00 25 7D 60 93 42 03 D1 4F F4 40 72 3A 61 01 E0 24 23 3B 61 7B 6F 10 2B 01 D3 3B 6E 01 E0 17 F1 60 03 BB 62 93 F9 00 30 7F 2B 00 F0 FA 80 00 2B 40 F3 F7 80 3B 6F 13 B9 00 22 FA 61 08 E0 3D 6A 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 F8 61 4F F0 0F 09 00 23 01 24 C7 E9 16 49 87 F8 48 30 87 F8 49 30 BB 6C 00 25 3B 60 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8C 80 02 E0 00 2B 40 F0 88 80 33 79 13 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 96 F9 05 00 17 F1 78 01 3A B1 13 46 83 42 04 D0 49 1C 91 F9 00 30 00 2B F8 D1 17 F1 78 03 CB 1A 0A 2B 2B D2 01 22 39 69 BA 60 FA 68 91 42 06 DC 7A 68 52 1C 7A 60 6B B1 01 23 7B 61 0A E0 03 B9 42 B1 DF F8 70 15 52 1C FA 60 5B 5C 8A F8 00 30 0A F1 01 0A 3A 68 B9 F1 10 0F 28 BF 13 46 01 D2 17 F1 48 03 5B 57 7F 2B 43 D0 B9 F1 10 0F 01 D2 17 F1 48 02 53 5D 5B 1C 53 55 36 E0 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 DB B3 FB 69 CB B3 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 96 F9 05 30 F9 69 8B 42 2D D1 C4 F1 FF 33 01 2B 23 D9 64 1C 21 46 00 22 17 F1 48 00 ?? ?? ?? ?? 90 B1 FB 6D 10 2B 01 D3 BA 6C 01 E0 17 F1 48 02 BB 6D 00 21 D1 54 FB 6D 10 2B 01 D3 BB 6C 01 E0 17 F1 48 03 BC 65 E1 54 6D 1C BB 6C D7 E9 16 49 3B 60 30 46 ?? ?? ?? ?? 64 E7 17 F1 48 00 ?? ?? ?? ?? 97 F9 78 20 55 B1 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 00 2B 24 DD 6D 1C B8 6A 1D B3 90 F9 00 10 7F 29 1F D0 6D 1E 09 D0 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 5B 57 99 42 11 D1 55 B9 B9 F1 10 0F 01 D3 3B 68 01 E0 17 F1 48 03 93 F9 00 30 99 42 05 DB 90 F9 01 30 00 2B DE DD 40 1C DC E7 01 23 7B 62 B9 F1 10 0F 4F D3 38 68 ?? ?? ?? ?? 97 F9 78 20 49 E0 17 F1 78 04 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 9B B3 00 E0 8B BB 33 79 13 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 96 F9 05 00 17 F1 78 03 3A B1 11 46 81 42 04 D0 5B 1C 93 F9 00 10 00 29 F8 D1 1B 1B 0A 2B 1F D2 3A 69 4A 45 05 DC 6D 1C 7D 60 73 B1 01 23 7B 61 0B E0 13 B9 B9 F1 00 0F 07 D0 F1 4A 09 F1 01 09 9B 5C 8A F8 00 30 0A F1 01 0A 01 22 30 46 BA 60 ?? ?? ?? ?? BA E7 97 F9 78 20 01 E0 D7 F8 0C 90 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 20 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? 3B 6A 96 F9 05 50 1B 68 DC 68 20 46 ?? ?? ?? ?? 38 6A A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 8A F8 00 30 0A F1 01 0A ?? ?? ?? ?? 97 F9 78 20 FB 6A CD 49 1B 68 8B 42 38 D0 B9 F1 00 0F 35 D1 7D 68 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 20 33 68 00 2B D8 F8 00 30 01 D1 AB B1 00 E0 9B B9 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 96 F9 05 30 93 42 08 D1 6D 1E 01 22 30 46 BA 60 ?? ?? ?? ?? 97 F9 78 20 D4 E7 7D 60 00 2D 06 DA 30 23 6D 1C 8A F8 00 30 0A F1 01 0A 7D 60 3D 69 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 20 33 68 00 2B D8 F8 00 30 01 D1 6B B3 00 E0 5B BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 96 F9 05 10 17 F1 78 03 04 E0 8A 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 1B 1B 0A 2B 15 D2 A9 45 08 DA 95 4A 09 F1 01 09 9B 5C 8A F8 00 30 0A F1 01 0A 02 E0 0B B1 01 23 7B 61 01 22 30 46 BA 60 ?? ?? ?? ?? 97 F9 78 20 BC E7 7B 69 7D 68 FB B1 D7 F8 30 90 AA F1 01 04 4C 45 15 D0 ?? ?? ?? ?? 03 68 94 F9 00 20 93 F9 00 30 9A 42 03 D0 39 2A 05 D1 30 23 23 70 64 1E 4C 45 EF D1 02 E0 23 78 5B 1C 23 70 4C 45 03 D1 31 23 6D 1C 7D 60 23 70 D7 F8 08 90 B9 F1 00 0F 00 F0 D7 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 C4 80 02 E0 00 2B 40 F0 C0 80 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 85 30 9A 42 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 84 30 9A 42 40 F0 A9 80 65 23 8A F8 00 30 30 46 0A F1 01 0A ?? ?? ?? ?? 33 79 00 25 4F F0 00 09 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 0B B3 00 E0 FB B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 83 30 9A 42 08 BF 2B 23 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 82 30 9A 42 07 D1 2D 23 8A F8 00 30 0A F1 01 0A 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 7B B1 00 E0 6B B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 97 F9 78 20 93 42 04 D1 4F F0 01 09 DB E7 97 F9 78 20 B9 F1 00 0F 04 D0 30 23 8A F8 00 30 0A F1 01 0A 17 F1 78 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 78 20 33 68 00 2B D8 F8 00 30 01 D1 43 B3 00 E0 33 BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 78 20 96 F9 05 10 17 F1 78 03 04 E0 8A 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 1B 1B 0A 2B 10 D2 08 2D 06 DA 12 4A 6D 1C 9B 5C 8A F8 00 30 0A F1 01 0A 30 46 4F F0 01 09 ?? ?? ?? ?? 97 F9 78 20 C1 E7 7B 6A 13 B9 B9 F1 00 0F 01 D1 BB 69 9A 46 00 23 8A F8 00 30 7B 6F 10 2B 02 D3 38 6E ?? ?? ?? ?? 7B 68 18 46 24 B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_56_182_2 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AAVios_base@2@PAH@Z"
		size = 2072
		refs = "0008 __security_push_cookie 002e ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0032 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0044 _guard_check_icall 0066 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00cc ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 012a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 0358 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 039e ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 040e ??3@YAXPAX@Z 0514 localeconv 0808 __security_pop_cookie 0810 ?_Src@?1??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AAVios_base@3@PAH@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A4 B0 6F 46 98 46 6F F0 01 03 D7 F8 B8 90 C7 E9 0E 33 D7 F8 BC 30 C7 E9 08 13 17 F1 30 01 48 46 16 46 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 78 61 7D 6B 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 58 01 50 46 ?? ?? ?? ?? 17 F1 28 01 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 FD 6A 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 20 DF F8 68 57 D4 69 20 46 ?? ?? ?? ?? 48 46 29 46 05 F1 1D 02 17 F1 70 03 A0 47 00 23 3C 6A FB 61 33 79 A1 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 2B 21 2D 25 00 2B D8 F8 00 30 01 D1 03 B3 00 E0 F3 B9 33 79 1B B9 30 46 ?? ?? ?? ?? 2B 21 96 F9 05 20 97 F9 87 30 9A 42 01 D1 21 70 0B E0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 86 30 9A 42 05 D1 25 70 30 46 04 F1 01 09 ?? ?? ?? ?? 30 23 89 F8 00 30 78 23 89 F8 01 30 00 23 7B 60 33 79 00 24 09 F1 02 09 C7 E9 02 44 A2 46 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 F3 B3 00 E0 E3 BB 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 97 F9 70 10 8B 42 33 D1 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 DB B1 00 E0 CB B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 89 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 88 30 9A 42 03 D1 30 46 ?? ?? ?? ?? 01 E0 01 23 BB 60 97 F9 70 10 7B 6A 1A 68 DF F8 20 36 9A 42 02 D1 4F F4 40 75 00 E0 24 25 FB 6E BD 61 10 2B 01 D3 BB 6D 01 E0 17 F1 58 03 BB 62 93 F9 00 30 7F 2B 00 F0 FD 80 00 2B 40 F3 FA 80 BB 6E 13 B9 00 22 3A 61 0A E0 7D 69 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 97 F9 70 10 38 61 4F F0 0F 0A 00 23 01 24 C7 E9 14 4A 87 F8 40 30 87 F8 41 30 3B 6C 00 25 3B 60 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 70 10 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 8B 80 02 E0 00 2B 40 F0 87 80 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 96 F9 05 00 17 F1 70 02 39 B1 0B 46 83 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 17 F1 70 03 D3 1A 16 2B 28 D2 01 22 B9 69 BA 60 FA 68 91 42 03 DC 7B 68 5B 1C 7B 60 0A E0 03 B9 42 B1 DF F8 30 15 52 1C FA 60 5B 5C 89 F8 00 30 09 F1 01 09 3A 68 BA F1 10 0F 28 BF 13 46 01 D2 17 F1 40 03 5B 57 7F 2B 43 D0 BA F1 10 0F 01 D2 17 F1 40 02 53 5D 5B 1C 53 55 36 E0 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 DB B3 3B 69 CB B3 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 96 F9 05 30 3A 69 93 42 2D D1 C4 F1 FF 33 01 2B 25 D9 64 1C 21 46 00 22 17 F1 40 00 ?? ?? ?? ?? 90 B1 7B 6D 10 2B 01 D3 3A 6C 01 E0 17 F1 40 02 3B 6D 00 21 D1 54 7B 6D 10 2B 01 D3 3B 6C 01 E0 17 F1 40 03 3C 65 E1 54 6D 1C 3B 6C D7 E9 14 4A 3B 60 30 46 ?? ?? ?? ?? 97 F9 70 10 61 E7 17 F1 40 00 ?? ?? ?? ?? 55 B1 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 00 2B 24 DD 6D 1C B8 6A 1D B3 90 F9 00 20 7F 2A 1F D0 6D 1E 09 D0 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 5B 57 9A 42 11 D1 55 B9 BA F1 10 0F 01 D3 3B 68 01 E0 17 F1 40 03 93 F9 00 30 9A 42 05 DB 90 F9 01 30 00 2B DE DD 40 1C DC E7 01 23 FB 61 BA F1 10 0F 4F D3 38 68 ?? ?? ?? ?? 97 F9 70 10 49 E0 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 70 10 33 68 00 2B D8 F8 00 30 01 D1 A3 B3 00 E0 93 BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 96 F9 05 00 17 F1 70 03 39 B1 0A 46 82 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 1B 1B 16 2B 1B D2 55 45 03 DC 7B 68 5B 1C 7B 60 0B E0 13 B9 BA F1 00 0F 07 D0 E0 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 BB 60 ?? ?? ?? ?? 97 F9 70 10 B7 E7 D7 F8 0C A0 BB 68 3B B1 BA F1 00 0F 04 D1 30 23 89 F8 00 30 09 F1 01 09 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 70 10 33 68 00 2B D8 F8 00 30 01 D1 FB B1 00 E0 EB B9 33 79 13 B9 30 46 ?? ?? ?? ?? 7B 69 96 F9 05 50 1B 68 DC 68 20 46 ?? ?? ?? ?? 78 69 A0 47 85 42 0A D1 ?? ?? ?? ?? 03 68 30 46 1B 78 89 F8 00 30 09 F1 01 09 ?? ?? ?? ?? 97 F9 70 10 BA F1 00 0F 35 D1 7C 68 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 70 10 33 68 00 2B D8 F8 00 30 01 D1 AB B1 00 E0 9B B9 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 96 F9 05 30 8B 42 08 D1 64 1E 01 23 30 46 BB 60 ?? ?? ?? ?? 97 F9 70 10 D4 E7 7C 60 00 2C 06 DA 30 23 64 1C 89 F8 00 30 09 F1 01 09 7C 60 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 70 10 33 68 00 2B D8 F8 00 30 01 D1 53 B3 00 E0 43 BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 10 96 F9 05 20 17 F1 70 03 04 E0 91 42 04 D0 5B 1C 93 F9 00 10 00 29 F8 D1 1B 1B 16 2B 12 D2 BA 69 92 45 07 DA 82 4A 0A F1 01 0A 9B 5C 89 F8 00 30 09 F1 01 09 01 23 30 46 BB 60 ?? ?? ?? ?? 97 F9 70 10 BF E7 D7 F8 08 A0 BA F1 00 0F 00 F0 D7 80 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 C4 80 02 E0 00 2B 40 F0 C0 80 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8B 30 9A 42 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 8A 30 9A 42 40 F0 A9 80 70 23 89 F8 00 30 30 46 09 F1 01 09 ?? ?? ?? ?? 33 79 00 25 4F F0 00 0A 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 0B B3 00 E0 FB B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 87 30 9A 42 08 BF 2B 23 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 86 30 9A 42 07 D1 2D 23 89 F8 00 30 09 F1 01 09 30 46 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 7B B1 00 E0 6B B9 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 97 F9 70 20 93 42 04 D1 4F F0 01 0A DB E7 97 F9 70 20 BA F1 00 0F 04 D0 30 23 89 F8 00 30 09 F1 01 09 17 F1 70 04 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 70 20 33 68 00 2B D8 F8 00 30 01 D1 43 B3 00 E0 33 BB 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 70 20 96 F9 05 10 17 F1 70 03 04 E0 8A 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 1B 1B 16 2B 10 D2 08 2D 06 DA 13 4A 6D 1C 9B 5C 89 F8 00 30 09 F1 01 09 30 46 4F F0 01 0A ?? ?? ?? ?? 97 F9 70 20 C1 E7 FB 69 13 B9 BA F1 00 0F 01 D1 39 6A 89 46 00 23 7A 6A 89 F8 00 30 7B 68 13 60 FB 6E 10 2B 02 D3 B8 6D ?? ?? ?? ?? 00 20 24 B0 ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? 00 CA 9A 3B }
	condition:
		$1
}

rule file_56_189_2 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z"
		size = 1048
		refs = "0008 __security_push_cookie 0026 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0030 ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0044 _guard_check_icall 0050 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 007c ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00da ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 0312 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 035a ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 03f6 ??3@YAXPAX@Z 040a __security_pop_cookie 0414 ?_Src@?1??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1HABVlocale@3@@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 6F 46 D7 F8 A4 90 98 46 6F F0 01 03 48 46 16 46 8A 46 F9 61 C7 E9 08 33 ?? ?? ?? ?? 17 F1 40 01 05 46 ?? ?? ?? ?? 38 6D 10 B9 00 23 3B 61 07 E0 2B 68 1C 69 20 46 ?? ?? ?? ?? 28 46 A0 47 38 61 48 46 ?? ?? ?? ?? 04 46 22 68 DF F8 B8 93 D5 69 28 46 ?? ?? ?? ?? 20 46 49 46 09 F1 1B 02 17 F1 58 03 A8 47 33 79 C7 F8 00 A0 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 13 B3 00 E0 03 BB 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 6F 30 9A 42 08 BF 2B 23 0B D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 6E 30 9A 42 08 D1 2D 23 8A F8 00 30 0A F1 01 03 30 46 3B 60 ?? ?? ?? ?? D7 F8 A0 30 03 F4 60 63 B3 F5 80 6F 02 D1 4F F0 08 09 0B E0 B3 F5 00 6F 02 D1 4F F0 10 09 05 E0 13 B9 4F F0 00 09 01 E0 4F F0 0A 09 00 23 BB 61 33 79 00 24 7C 60 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 02 D1 00 2B 53 D0 01 E0 00 2B 50 D1 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 97 F9 58 20 93 42 47 D1 01 24 30 46 7C 60 ?? ?? ?? ?? 33 79 13 B9 30 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? 33 68 00 2B D8 F8 00 30 01 D1 3B B3 00 E0 2B BB 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 71 30 9A 42 0A D0 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 20 97 F9 70 30 9A 42 0F D1 B9 F1 00 0F 02 D0 B9 F1 10 0F 09 D1 00 24 30 46 7C 60 4F F0 10 09 ?? ?? ?? ?? 97 F9 58 20 14 E0 97 F9 58 20 B9 F1 00 0F 07 D1 4F F0 08 09 01 E0 97 F9 58 20 B9 F1 00 0F 0A D0 B9 F1 0A 0F 07 D0 B9 F1 08 0F 08 BF 08 21 00 D0 16 21 F9 60 01 E0 0A 23 FB 60 01 23 7B 61 BB 63 00 23 4F F0 0F 0A 87 F8 29 30 C7 F8 3C A0 87 F8 28 40 BC 6A 00 25 BC 60 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 58 20 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 97 F9 58 20 33 68 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 88 80 02 E0 00 2B 40 F0 84 80 33 79 23 B9 30 46 ?? ?? ?? ?? 97 F9 58 20 96 F9 05 10 17 F1 58 03 04 E0 8A 42 04 D0 5B 1C 93 F9 00 20 00 2A F8 D1 17 F1 58 02 9B 1A FA 68 93 42 25 D2 62 4A B9 69 9B 56 3A 68 13 70 09 B9 30 2B 08 D0 F9 69 01 F1 1F 03 9A 42 03 D2 52 1C 01 23 BB 61 3A 60 01 23 BA F1 10 0F 7B 60 28 BF 23 46 01 D2 17 F1 28 03 5B 57 7F 2B 43 D0 BA F1 10 0F 01 D2 17 F1 28 04 63 5D 5B 1C 63 55 35 E0 BA F1 10 0F 28 BF 23 46 01 D2 17 F1 28 03 5B 57 DB B3 3B 69 CB B3 33 79 13 B9 30 46 ?? ?? ?? ?? 96 F9 05 30 3A 69 93 42 2F D1 7A 69 C2 F1 FF 33 01 2B 26 D9 54 1C 21 46 00 22 17 F1 28 00 ?? ?? ?? ?? 90 B1 FB 6B 10 2B 01 D3 BA 6A 01 E0 17 F1 28 02 BB 6B 00 21 99 54 FB 6B 10 2B 01 D3 BB 6A 01 E0 17 F1 28 03 BC 63 E1 54 6D 1C BC 6A D7 E9 0E 3A BC 60 7B 61 30 46 ?? ?? ?? ?? 97 F9 58 20 64 E7 17 F1 28 00 ?? ?? ?? ?? 6D B1 BA F1 10 0F 28 BF 23 46 01 D2 17 F1 28 03 5B 57 00 2B C8 BF 6D 1C D8 BF 00 23 00 DD 7B 68 7C 6D 38 6C 10 2C 28 BF 02 46 01 D2 17 F1 40 02 BE 68 53 B3 0D B3 92 F9 00 10 7F 29 1D D0 6D 1E 09 D0 BA F1 10 0F 28 BF 33 46 01 D2 17 F1 28 03 5B 57 99 42 19 D1 55 B9 BA F1 10 0F 28 BF 33 46 01 D2 17 F1 28 03 93 F9 00 30 99 42 0D DB 92 F9 01 30 00 2B DE DD 52 1C DC E7 BB 69 00 2B 3B 68 04 D1 30 22 03 F8 01 2B 00 E0 FB 69 00 22 1A 70 BA F1 10 0F 04 D3 30 46 ?? ?? ?? ?? 7C 6D 38 6C 10 2C 01 D3 ?? ?? ?? ?? 48 46 1E B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_210_2 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z"
		size = 864
		refs = "000a __security_push_cookie 0074 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0078 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0088 _guard_check_icall 00b8 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00ec ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 011e ?grouping@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0170 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 01ce ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0334 ??3@YAXPAX@Z 0354 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 94 B0 6F 46 39 61 D7 F8 94 60 D7 F8 88 00 6F F0 01 03 D7 F8 90 80 C7 E9 06 33 38 60 46 B1 98 F9 00 30 2B 2B 01 D0 2D 2B 02 D1 4F F0 01 09 01 E0 4F F0 00 09 43 69 03 F4 60 63 B3 F5 00 6F 10 D1 09 F1 02 02 B2 42 0C D8 18 F9 09 30 08 EB 09 01 30 2B 06 D1 91 F9 01 30 78 2B 01 D0 58 2B 00 D1 91 46 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 0F 23 7B 63 00 23 17 F1 20 00 00 22 31 46 3B 63 87 F8 20 30 ?? ?? ?? ?? 7B 6B 10 2B 01 D3 3D 6A 01 E0 17 F1 20 05 DA F8 00 20 D4 69 20 46 ?? ?? ?? ?? 50 46 41 46 08 EB 06 02 2B 46 A0 47 38 68 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 FD 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 17 F1 38 01 50 46 ?? ?? ?? ?? D7 F8 4C 80 D7 F8 38 E0 B8 F1 10 0F 28 BF 75 46 01 D2 17 F1 38 05 95 F9 00 30 7F 2B 26 D0 00 2B 24 DD DA F8 00 30 1C 69 20 46 ?? ?? ?? ?? 50 46 A0 47 04 46 12 E0 00 2A 14 DD A6 EB 09 03 9A 42 10 D2 B6 1A 31 46 23 46 01 22 17 F1 20 00 ?? ?? ?? ?? 95 F9 01 30 00 2B C8 BF 6D 1C 95 F9 00 20 7F 2A E8 D1 D7 F8 4C 80 D7 F8 38 E0 D7 F8 00 A0 39 6B DA E9 08 23 B9 60 00 2B 05 DB 00 DC 1A B1 8A 42 88 BF 54 1A 00 D8 00 24 DA F8 14 30 03 F4 E0 73 40 2B 2D D0 B3 F5 80 7F 2D D0 D7 E9 20 32 C7 E9 00 32 64 B1 97 F9 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 F8 4C 80 D7 F8 38 E0 D7 E9 00 32 79 6B 38 6A 00 24 10 29 28 BF 05 46 C7 E9 20 32 01 D2 17 F1 20 05 4E 46 C7 E9 00 32 B9 F1 00 0F 5B D0 15 F9 01 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 4C E0 B3 F5 80 7F 32 D1 79 6B 38 6A 10 29 28 BF 05 46 01 D2 17 F1 20 05 D7 E9 20 32 4E 46 B9 F1 00 0F C7 E9 00 32 0D D0 15 F9 01 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 00 32 C7 E9 20 32 C7 E9 00 32 6C B1 97 F9 8C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 00 32 00 24 1D E0 79 6B 38 6A 10 29 28 BF 05 46 01 D2 17 F1 20 05 D7 E9 20 32 4E 46 B9 F1 00 0F C7 E9 00 32 0D D0 15 F9 01 1B 38 46 ?? ?? ?? ?? 76 1E F8 D1 D7 E9 0D 1E D7 E9 00 32 D7 F8 4C 80 38 6A 10 29 28 BF 05 46 C7 E9 20 32 01 D2 17 F1 20 05 BE 68 4D 44 C7 E9 02 32 B6 EB 09 06 0E D0 15 F9 01 1B 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 02 32 00 25 C7 E9 20 32 CA E9 08 55 C7 E9 02 32 74 B1 97 F9 8C 10 17 F1 08 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 0D 1E 38 6A D7 F8 4C 80 D7 E9 02 32 3C 69 C4 E9 00 32 B8 F1 10 0F 04 D3 70 46 ?? ?? ?? ?? 79 6B 38 6A 0F 23 FB 64 00 23 BB 64 87 F8 38 30 10 29 01 D3 ?? ?? ?? ?? 20 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_56_253_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@$$QAV12@@Z"
		size = 98
		refs = "0022 ??3@YAXPAX@Z 0042 memmove"
		altNames = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 0D 46 04 46 6F F0 01 03 C7 E9 00 33 AC 42 20 D0 63 69 10 2B 02 D3 20 68 ?? ?? ?? ?? 4F F0 0F 08 00 26 C4 E9 04 68 26 70 6B 69 10 2B 07 D2 2B 69 5A 1C 07 D0 29 46 20 46 ?? ?? ?? ?? 02 E0 2B 68 23 60 2E 60 2B 69 23 61 6B 69 63 61 C5 E9 04 68 2E 70 20 46 BD E8 FE 89 }
	condition:
		$1
}

rule file_56_272_2 {
	meta:
		name = "?do_falsename@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 54
		refs = "0022 strlen 002c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		altNames = "?do_curr_symbol@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 69 0D 46 00 22 0F 23 C5 E9 04 23 2A 70 94 F9 00 30 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_56_297_2 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 490
		refs = "000a __security_push_cookie 0040 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0044 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 005c _guard_check_icall 0092 ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00a0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 00ac ??3@YAXPAX@Z 00b6 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 00c0 ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00f6 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 012a ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 013a _Stoulx 018e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 01de __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 6F 46 82 B0 6F F0 01 03 C7 E9 08 33 D7 F8 C0 30 D7 F8 B8 40 D7 F8 BC 60 3B 61 63 69 80 46 89 46 13 F4 80 4F 6F F0 00 05 20 46 66 D0 17 F1 08 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 D7 F8 0C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 0F 23 FB 63 00 23 87 F8 28 30 01 23 BB 63 00 23 87 F8 29 30 17 F1 40 01 50 46 ?? ?? ?? ?? 01 46 17 F1 28 00 2B 46 00 22 ?? ?? ?? ?? 7B 6D 10 2B 02 D3 38 6C ?? ?? ?? ?? 17 F1 28 00 00 21 ?? ?? ?? ?? 17 F1 40 01 50 46 ?? ?? ?? ?? 01 46 17 F1 28 00 2B 46 00 22 ?? ?? ?? ?? 7B 6D 10 2B 02 D3 38 6C ?? ?? ?? ?? FB 6B 10 2B 01 D3 BB 6A 01 E0 17 F1 28 03 17 F1 B0 01 17 F1 A8 00 02 22 ?? ?? ?? ?? 05 46 FB 6B 10 2B 40 D3 B8 6A ?? ?? ?? ?? 3C E0 00 23 17 F1 18 01 3B 60 ?? ?? ?? ?? 63 69 01 90 17 F1 A8 02 00 93 17 F1 B0 03 17 F1 58 01 40 46 ?? ?? ?? ?? 02 46 17 F1 58 00 3B 46 17 F1 08 01 ?? ?? ?? ?? 82 46 D7 F8 1C 80 B8 F1 00 0F 11 D0 D8 F8 00 30 9C 68 20 46 ?? ?? ?? ?? 40 46 A0 47 80 46 38 B1 03 68 1C 68 20 46 ?? ?? ?? ?? 40 46 01 21 A0 47 BB 68 17 F1 58 02 93 42 05 D0 3B 68 1B B9 BA F1 01 0F 98 BF 55 46 97 F8 AC 30 1B B9 17 F1 A8 00 ?? ?? ?? ?? 97 F8 B4 30 1B B9 17 F1 B0 00 ?? ?? ?? ?? D7 F8 A8 20 D7 F8 B0 30 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 00 2D 04 DA 33 68 43 F0 02 03 33 60 05 E0 39 69 18 BF 01 23 08 BF 00 23 0B 70 D7 F8 AC 30 C9 E9 00 23 48 46 20 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_56_314_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z"
		size = 332
		refs = "000a __security_push_cookie 007c frexp 00ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00d8 ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 00f8 sprintf_s 011e ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z 012a ??3@YAXPAX@Z 0132 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 04 33 53 EC 10 AB 3D 6F 4F F0 0F 0E BB 60 00 23 00 26 3B 76 B0 EE 40 2B 88 46 81 46 C7 E9 0A 6E D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 37 0B B0 EE C2 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 42 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2B 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 0A 6E 1A 19 02 F1 32 03 B3 42 0A D8 BE F1 10 0F 01 D3 BA 69 01 E0 17 F1 18 02 00 21 BB 62 D1 54 05 E0 99 1B 17 F1 18 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 00 22 48 46 ?? ?? ?? ?? FB 6A 02 46 10 2B 01 D3 B8 69 01 E0 17 F1 18 00 BB 68 B9 6A CD F8 00 A0 01 93 23 46 ?? ?? ?? ?? FB 6A 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 02 93 97 F9 74 30 BA 6E 03 90 01 93 FB 6E 41 46 48 46 00 95 ?? ?? ?? ?? FB 6A 10 2B 02 D3 B8 69 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_56_316_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z"
		size = 332
		refs = "000a __security_push_cookie 007c frexp 00ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 00d8 ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 00f8 sprintf_s 011e ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDI@Z 012a ??3@YAXPAX@Z 0132 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 04 33 53 EC 10 AB 3D 6F 4F F0 0F 0E BB 60 00 23 00 26 3B 76 B0 EE 40 2B 88 46 81 46 C7 E9 0A 6E D5 E9 05 34 EA 69 03 F4 40 53 B3 F5 00 5F 08 BF 01 23 18 BF 00 23 00 2A 04 DC 00 DB 14 B9 0B B9 06 24 00 22 7A 60 22 46 FB B1 9F ED 37 0B B0 EE C2 1B B4 EE C1 0B F1 EE 10 FA 16 D2 38 46 B0 EE 42 0B ?? ?? ?? ?? 3A 68 82 EA E2 73 A3 EB E2 72 47 F2 97 53 02 FB 03 F1 2B 4B 81 FB 03 32 53 13 03 EB D3 73 D7 E9 0A 6E 1A 19 02 F1 32 03 B3 42 0A D8 BE F1 10 0F 01 D3 BA 69 01 E0 17 F1 18 02 00 21 BB 62 D1 54 05 E0 99 1B 17 F1 18 00 00 22 ?? ?? ?? ?? 6B 69 17 F1 30 01 4C 22 48 46 ?? ?? ?? ?? FB 6A 02 46 10 2B 01 D3 B8 69 01 E0 17 F1 18 00 BB 68 B9 6A CD F8 00 A0 01 93 23 46 ?? ?? ?? ?? FB 6A 10 2B 01 D3 BB 69 01 E0 17 F1 18 03 02 93 97 F9 74 30 BA 6E 03 90 01 93 FB 6E 41 46 48 46 00 95 ?? ?? ?? ?? FB 6A 10 2B 02 D3 B8 69 ?? ?? ?? ?? 40 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB FE DE 89 B5 F8 14 00 00 00 20 5F A0 02 42 }
	condition:
		$1
}

rule file_56_321_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z"
		size = 384
		refs = "000a __security_push_cookie 004c _guard_check_icall 0060 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 00a6 ?truename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b0 ?falsename@?$numpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ba ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@$$QAV12@@Z 00c6 ??3@YAXPAX@Z 00fe ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0174 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 90 B0 6F 46 84 B0 D7 F8 78 90 1D 46 6F F0 01 03 C7 E9 1C 25 C7 E9 02 33 0E 46 D9 F8 14 10 90 46 82 46 11 F4 80 4F 12 D1 97 F8 80 10 CD F8 00 90 02 91 97 F9 7C 10 01 91 01 68 4C 6A 20 46 ?? ?? ?? ?? 50 46 31 46 42 46 2B 46 A0 47 89 E0 39 46 48 46 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 68 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 0F 23 7B 62 00 23 3B 62 3B 74 97 F8 80 30 40 46 23 B1 17 F1 28 01 ?? ?? ?? ?? 03 E0 17 F1 28 01 ?? ?? ?? ?? 01 46 17 F1 10 00 ?? ?? ?? ?? FB 6B 10 2B 02 D3 B8 6A ?? ?? ?? ?? D9 E9 08 23 3D 6A 00 2B 05 DB 00 DC 1A B1 AA 42 88 BF 54 1B 00 D8 00 24 D9 F8 14 30 7A 6F 03 F4 E0 73 40 2B 3B 6F 0F D0 C7 E9 00 32 4C B1 97 F9 7C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 3D 6A D7 E9 00 32 C7 E9 1C 32 00 24 79 6A 38 69 10 29 28 BF 80 46 01 D2 17 F1 10 08 C7 E9 00 32 55 B1 18 F9 01 1B 38 46 ?? ?? ?? ?? 6D 1E F8 D1 79 6A 38 69 D7 E9 00 32 00 25 C9 E9 08 55 C7 E9 1C 32 C7 E9 00 32 54 B1 97 F9 7C 10 38 46 ?? ?? ?? ?? 64 1E F8 D1 79 6A 38 69 D7 E9 00 32 C6 E9 00 32 10 29 01 D3 ?? ?? ?? ?? 30 46 14 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_56_330_2 {
	meta:
		name = "?do_truename@?$numpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 54
		refs = "0022 strlen 002c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
		altNames = "?do_positive_sign@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 44 69 0D 46 00 22 0F 23 C5 E9 04 23 2A 70 94 F9 00 30 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_91_40_2 {
	meta:
		name = "??0system_error@std@@QAA@HABVerror_category@1@PBD@Z"
		size = 116
		refs = "0008 __security_push_cookie 0036 strlen 0042 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 0050 ??0_System_error@std@@IAA@Verror_code@1@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 005c ??3@YAXPAX@Z 0068 __security_pop_cookie 0070 ??_7system_error@std@@6B@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 89 B0 6F 46 1E 46 6F F0 01 03 C7 E9 00 33 96 F9 00 40 0F 23 FB 61 00 23 BB 61 3B 72 90 46 89 46 05 46 0C B9 00 22 03 E0 30 46 ?? ?? ?? ?? 02 46 17 F1 08 00 31 46 ?? ?? ?? ?? 17 F1 08 03 42 46 49 46 28 46 ?? ?? ?? ?? FB 69 10 2B 02 D3 B8 68 ?? ?? ?? ?? 03 4B 2B 60 28 46 09 B0 ?? ?? ?? ?? BD E8 F0 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_96_47_2 {
	meta:
		name = "?_Winerror_message@std@@YAKKPADK@Z"
		size = 156
		refs = "0008 __security_push_cookie 0026 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAAAAV12@I_W@Z 0082 ??3@YAXPAX@Z 008a __security_pop_cookie 0094 __imp_WideCharToMultiByte 0098 __imp_FormatMessageW"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 8B B0 07 23 09 93 15 46 00 23 0E 46 04 46 04 A8 00 22 29 46 08 93 AD F8 10 30 ?? ?? ?? ?? 09 9B 08 2B 01 D3 04 9B 00 E0 04 AB 22 46 17 4C 00 27 00 93 24 68 00 23 00 21 4F F4 90 50 02 97 01 95 A0 47 98 B1 09 9B 08 2B 01 D3 04 9A 00 E0 04 AA 0D 4C 6F F0 00 03 00 21 24 68 00 20 03 97 02 97 01 95 00 96 A0 47 08 B1 44 1E 00 E0 00 24 09 9B 08 2B 02 D3 04 98 ?? ?? ?? ?? 20 46 0B B0 ?? ?? ?? ?? BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_35_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z"
		size = 108
		refs = "0042 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 005e ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 FC 48 0D F1 18 0B 04 46 65 69 16 46 0F 46 10 2D 0A 96 09 97 01 D3 20 68 00 E0 20 46 23 69 18 44 10 2D 01 D3 22 68 00 E0 22 46 B7 42 0A D1 10 2D 01 D3 23 68 00 E0 23 46 D1 1A 82 1A 20 46 ?? ?? ?? ?? 0C E0 F1 1B 10 2D 01 D3 23 68 00 E0 23 46 00 91 D1 1A 82 1A 20 46 3B 46 ?? ?? ?? ?? 20 46 BD E8 FC 08 5D F8 14 FB }
	condition:
		$1
}

rule file_103_166_2 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@XZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 5B 1C 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_103_170_2 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV01@@Z"
		size = 16
		altNames = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBAHABV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 0B 68 D0 1A BD E8 00 88 }
	condition:
		$1
}

rule file_103_171_2 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 08 46 9B 1A 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_103_173_2 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QBA?AV01@H@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 08 46 13 44 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_103_174_2 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 16
		altNames = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B 44 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_103_177_2 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QAAAAV01@H@Z"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 5B 1A 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_103_266_2 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z"
		size = 2328
		refs = "0008 __security_push_cookie 0042 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0046 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0058 _guard_check_icall 007e ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 00ee ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0188 ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01d8 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 01e2 ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01fc ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 022a ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@D@Z 0280 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 028e ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAAXXZ 0326 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAX_NI@Z 0338 ??3@YAXPAX@Z 04aa ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0544 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 0560 ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 066c ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 08e2 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 090a __security_pop_cookie 0914 ?_Src@?1??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAAVios_base@3@PAD@Z@4QBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AA B0 6F 46 98 46 FB 61 6F F0 01 03 0E 46 C7 E9 16 33 91 46 7E 61 D7 F8 D4 30 D7 F8 D8 20 97 F8 D0 00 BA 61 00 22 00 28 FA 60 18 46 C7 E9 0D 36 1B D0 17 F1 40 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 B8 60 7D 6C 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 1A E0 17 F1 48 01 ?? ?? ?? ?? ?? ?? ?? ?? 82 46 B8 60 FD 6C 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 00 23 3B 60 BB 62 0F 23 C7 F8 A4 30 00 23 C7 F8 A0 30 87 F8 90 30 DA F8 00 30 DC 6A 20 46 ?? ?? ?? ?? 50 46 39 1D A0 47 0F 23 73 61 00 23 33 61 33 70 78 6B 01 23 17 F1 50 01 3B 62 FB 60 ?? ?? ?? ?? ?? ?? ?? ?? 78 62 7D 6D 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 7B 6A DF F8 F4 57 1B 68 DC 69 20 46 ?? ?? ?? ?? 78 6A BB 69 29 46 05 F1 0C 02 A0 47 00 23 08 24 3B 61 3D 1D 04 2B 80 F0 88 83 5B 57 20 2B 00 F0 4F 83 24 2B 00 F0 8A 82 2B 2B 00 F0 8D 81 76 2B 03 D0 78 2B 00 F0 44 83 6F E3 BD 68 4F F0 00 0A 2B 68 C7 F8 2C A0 5C 6A 20 46 ?? ?? ?? ?? 28 46 A0 47 BC 68 05 46 17 F1 78 01 20 46 3D 63 ?? ?? ?? ?? D7 F8 88 30 00 2B 00 F0 E1 80 23 68 1C 69 20 46 ?? ?? ?? ?? B8 68 A0 47 04 46 00 2C 00 F0 D6 80 D7 F8 8C 30 10 2B 01 D3 BB 6F 01 E0 17 F1 78 03 1B 78 7F 2B 80 F0 CA 80 0F 23 7B 67 00 23 00 22 01 21 17 F1 60 00 3B 67 87 F8 60 30 ?? ?? ?? ?? 41 46 48 46 00 25 ?? ?? ?? ?? 7E 6F D7 F8 60 80 00 28 67 D0 D7 F8 14 A0 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B8 69 99 F9 05 10 90 F9 00 30 02 46 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 13 1A 0A 2B 18 D2 DF F8 F0 26 50 46 99 56 ?? ?? ?? ?? 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 7F 2B 25 D0 10 2E 01 D2 17 F1 60 08 15 F8 08 30 5B 1C 05 F8 08 30 18 E0 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 E3 B1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 99 F9 05 30 A3 42 12 D1 00 22 01 21 17 F1 60 00 ?? ?? ?? ?? 6D 1C D7 F8 60 80 7E 6F 48 46 ?? ?? ?? ?? F9 69 48 46 ?? ?? ?? ?? 00 28 AA D1 D7 F8 2C A0 6D B1 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 00 2B C8 BF 6D 1C 02 DC 01 23 3B 60 00 E0 3B 68 D7 F8 8C 40 B8 6F 10 2C 28 BF 01 46 01 D2 17 F1 78 01 6B BB 15 B3 91 F9 00 20 7F 2A 1E D0 6D 1E 08 D0 10 2E 28 BF 43 46 01 D2 17 F1 60 03 EB 56 9A 42 10 D1 4D B9 10 2E 28 BF 43 46 01 D2 17 F1 60 03 93 F9 00 30 9A 42 05 DB 91 F9 01 30 00 2B E0 DD 49 1C DE E7 01 23 3B 60 09 E0 00 22 01 21 17 F1 60 00 ?? ?? ?? ?? 7E 69 D7 F8 1C 80 40 E0 10 2E 05 D3 40 46 ?? ?? ?? ?? D7 F8 8C 40 B8 6F 10 2C 01 D3 ?? ?? ?? ?? 7E 69 D7 F8 1C 80 D7 F8 08 A0 3D 1D 74 E2 41 46 48 46 ?? ?? ?? ?? 48 B3 BD 69 DF F8 AC A5 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 99 F9 05 10 95 F9 00 30 2A 46 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 53 1B 0A 2B 0D D2 13 F9 0A 10 30 46 ?? ?? ?? ?? 48 46 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 DB D1 D7 F8 2C A0 3D 6B BB 68 1B 68 DC 68 20 46 ?? ?? ?? ?? B8 68 A0 47 04 46 48 46 41 46 ?? ?? ?? ?? C8 B3 C4 B3 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 99 F9 05 30 A3 42 2E D1 20 E0 AA 45 2B DA 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? B8 69 99 F9 05 10 90 F9 00 30 02 46 04 E0 8B 42 04 D0 52 1C 92 F9 00 30 00 2B F8 D1 13 1A 0A 2B 10 D2 DF F8 F4 24 30 46 99 56 ?? ?? ?? ?? 0A F1 01 0A 48 46 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 D5 D1 AA 45 01 DA 01 23 3B 60 33 69 13 B9 01 23 3B 60 09 E0 AA 45 07 DA A5 EB 0A 04 30 21 30 46 ?? ?? ?? ?? 64 1E F9 D1 00 22 01 21 17 F1 78 00 ?? ?? ?? ?? 6E E7 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D9 F8 00 30 00 2B D8 F8 00 30 03 D1 00 2B 00 F0 D4 81 02 E0 00 2B 40 F0 D0 81 17 F1 60 01 50 46 ?? ?? ?? ?? 3B 6A 43 F0 02 05 03 69 FD 60 D3 B1 17 F1 78 01 50 46 ?? ?? ?? ?? 04 46 63 69 45 F0 04 05 FD 60 10 2B 00 D3 24 68 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 94 F9 00 20 99 F9 05 30 9A 42 08 BF 01 24 00 D0 00 24 04 23 1D 42 0F D0 9D 43 D7 F8 8C 30 10 2B 02 D3 B8 6F ?? ?? ?? ?? 0F 23 C7 F8 8C 30 00 23 C7 F8 88 30 87 F8 78 30 7B 6F 25 F0 02 05 3D 62 10 2B FD 60 02 D3 38 6E ?? ?? ?? ?? AC B1 48 46 ?? ?? ?? ?? 17 F1 78 01 50 46 ?? ?? ?? ?? 01 46 17 F1 90 00 ?? ?? ?? ?? D7 F8 8C 30 10 2B FF F4 01 AF B8 6F ?? ?? ?? ?? FC E6 17 F1 60 01 50 46 ?? ?? ?? ?? 03 69 45 F0 08 05 FD 60 D3 B1 17 F1 78 01 50 46 ?? ?? ?? ?? 04 46 63 69 45 F0 10 05 FD 60 10 2B 00 D3 24 68 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 94 F9 00 20 99 F9 05 30 9A 42 08 BF 01 24 00 D0 00 24 10 23 1D 42 0F D0 9D 43 D7 F8 8C 30 10 2B 02 D3 B8 6F ?? ?? ?? ?? 0F 23 C7 F8 8C 30 00 23 C7 F8 88 30 87 F8 78 30 25 F0 08 03 3B 62 FB 60 7B 6F 10 2B 02 D3 38 6E ?? ?? ?? ?? B4 B1 48 46 ?? ?? ?? ?? 17 F1 78 01 50 46 ?? ?? ?? ?? 01 46 17 F1 90 00 ?? ?? ?? ?? D7 F8 8C 30 10 2B 02 D3 B8 6F ?? ?? ?? ?? 01 21 B9 62 A1 E6 17 F1 78 01 50 46 ?? ?? ?? ?? 03 69 0B B9 01 24 00 E0 00 24 D7 F8 8C 30 10 2B 02 D3 B8 6F ?? ?? ?? ?? 00 2C 7F F4 8E AE 17 F1 78 01 50 46 ?? ?? ?? ?? 03 69 0B B9 01 24 00 E0 00 24 D7 F8 8C 30 10 2B 02 D3 B8 6F ?? ?? ?? ?? 00 2C 3F F4 7A AE 01 23 BB 62 76 E6 17 F1 60 01 50 46 ?? ?? ?? ?? 7B 6B 5B 69 23 42 29 D1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 98 F8 04 30 13 B9 40 46 ?? ?? ?? ?? D9 F8 00 30 00 2B D8 F8 00 30 01 D1 B3 B1 00 E0 A3 B9 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 99 F9 05 20 10 28 28 BF 23 46 01 D2 17 F1 60 03 93 F9 00 30 9A 42 02 D0 35 E0 78 6F 3C 6E 3B 69 03 2B 39 D1 D7 F8 A0 30 01 2B 35 D8 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 78 6F 3C 6E D9 F8 00 30 00 2B D8 F8 00 30 01 D1 AB B1 00 E0 9B B9 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 10 28 99 F9 05 20 28 BF 23 46 01 D2 17 F1 60 03 93 F9 00 30 9A 42 08 D0 10 28 01 D2 17 F1 60 04 00 23 3B 67 23 70 3C 6E 78 6F 10 28 28 BF 25 46 01 D2 17 F1 60 05 99 F8 04 30 23 B9 48 46 ?? ?? ?? ?? 78 6F 3C 6E 98 F8 04 30 23 B9 40 46 ?? ?? ?? ?? 78 6F 3C 6E D9 F8 00 30 00 2B D8 F8 00 30 01 D1 0B B3 00 E0 FB B9 10 28 28 BF 23 46 01 D2 17 F1 60 03 39 6F 0B 44 9D 42 16 D0 99 F8 04 30 2B B9 48 46 ?? ?? ?? ?? D7 E9 1C 10 3C 6E 95 F9 00 20 99 F9 05 30 93 42 07 D1 48 46 6D 1C ?? ?? ?? ?? 78 6F 3C 6E C6 E7 39 6F 10 28 28 BF 23 46 01 D2 17 F1 60 03 0B 44 9D 42 01 D0 01 23 3B 60 10 28 FF F4 B7 AD 20 46 B4 E6 3B 69 03 2B 29 D0 41 46 48 46 00 24 ?? ?? ?? ?? C8 B1 7E 6A 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 99 F8 05 20 F3 68 33 F8 12 30 13 F0 48 0F 09 D0 48 46 01 24 ?? ?? ?? ?? 41 46 48 46 ?? ?? ?? ?? 00 28 E7 D1 7E 69 3B 69 5B 57 20 2B 04 D1 1C B9 01 23 3B 60 08 24 01 E0 08 24 3B 68 3A 69 52 1C 3A 61 00 2B 3B 69 3F F4 75 AC D7 F8 00 A0 BA F1 00 0F 44 D1 D7 F8 A0 10 01 29 37 D9 D7 F8 A4 00 D7 F8 90 20 10 28 28 BF 14 46 01 D2 17 F1 90 04 10 28 28 BF 13 46 01 D2 17 F1 90 03 0B 44 64 1C 9C 42 1C D0 41 46 48 46 ?? ?? ?? ?? 98 B1 99 F8 04 30 13 B9 48 46 ?? ?? ?? ?? 94 F9 00 20 99 F9 05 30 93 42 07 D1 48 46 ?? ?? ?? ?? D7 E9 28 10 D7 F8 90 20 DC E7 D7 E9 28 10 D7 F8 90 20 10 28 01 D2 17 F1 90 02 8B 18 9C 42 08 D1 BB 6A 7B B1 2D 23 01 22 00 21 30 46 ?? ?? ?? ?? 08 E0 73 69 10 2B 01 D3 33 68 00 E0 33 46 00 22 32 61 1A 70 17 F1 90 00 00 22 01 21 ?? ?? ?? ?? 30 46 2A B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_272_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$3"
		size = 30
		refs = "0018 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 FB 68 03 F0 01 03 00 2B 00 F0 07 80 FB 68 23 F0 01 03 FB 60 B8 6B ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_103_277_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$6"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 FB 68 03 F0 02 03 00 2B 00 F0 08 80 FB 68 23 F0 02 03 FB 60 17 F1 60 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_103_278_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$7"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 FB 68 03 F0 04 03 00 2B 00 F0 08 80 FB 68 23 F0 04 03 FB 60 17 F1 78 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_103_279_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$9"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 FB 68 03 F0 08 03 00 2B 00 F0 08 80 FB 68 23 F0 08 03 FB 60 17 F1 60 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_103_280_2 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z$10"
		size = 32
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA@XZ"
	strings:
		$1 = { 10 B5 FB 68 03 F0 10 03 00 2B 00 F0 08 80 FB 68 23 F0 10 03 FB 60 17 F1 78 00 ?? ?? ?? ?? 10 BD }
	condition:
		$1
}

rule file_103_323_2 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@I@Z"
		size = 62
		refs = "001c ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 08 9D 07 93 CD E9 05 12 04 46 65 B1 93 F9 00 10 05 A8 ?? ?? ?? ?? 07 9B 6D 1E 03 F1 01 03 07 93 F4 D1 DD E9 05 12 C4 E9 00 12 20 46 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_103_324_2 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 1678
		refs = "000a __security_push_cookie 0036 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 003a ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 004e _guard_check_icall 0074 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 00aa ?grouping@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00da ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IID@Z 019a ?negative_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01ba ?positive_sign@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01c4 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV01@$$QAV01@@Z 01d4 ??3@YAXPAX@Z 01f8 ?curr_symbol@?$_Mpunct@D@std@@QBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02d6 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 0682 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? BE B0 6F 46 D7 F8 34 91 D7 F8 40 51 6F F0 01 03 C7 E9 24 33 C7 F8 28 90 C7 E9 1D 15 97 F8 30 31 48 46 E3 B1 17 F1 80 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 78 61 D7 F8 84 60 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 1B E0 17 F1 88 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 78 61 D7 F8 8C 60 86 B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 A0 47 06 46 3E B1 33 68 1C 68 20 46 ?? ?? ?? ?? 30 46 01 21 A0 47 17 F1 C8 01 40 46 ?? ?? ?? ?? D8 F8 00 30 5C 6A 20 46 ?? ?? ?? ?? 40 46 A0 47 80 EA E0 73 A3 EB E0 76 2B 69 BE 61 B3 42 08 D8 F3 1A 5A 1C 97 F9 44 31 00 21 28 46 ?? ?? ?? ?? 41 E0 D7 F8 DC 10 D7 F8 C8 20 10 29 28 BF 13 46 01 D2 17 F1 C8 03 93 F9 00 30 7F 2B 33 D0 10 29 01 D2 17 F1 C8 02 92 F9 00 30 00 2B 2B DD D8 F8 00 30 1C 69 20 46 ?? ?? ?? ?? 40 46 A0 47 D7 F8 DC 30 80 46 10 2B 02 D3 D7 F8 C8 40 01 E0 17 F1 C8 04 2B 69 9E 1B 94 F9 00 30 7F 2B 11 D0 5B B2 00 2B 0E DD B3 42 0C D2 F6 1A 31 46 43 46 01 22 28 46 ?? ?? ?? ?? 94 F9 01 30 00 2B EB DD 64 1C E9 E7 D7 F8 14 80 0F 23 C7 F8 C4 30 00 23 C7 F8 C0 30 87 F8 B0 30 97 F8 3C 31 00 2B D8 F8 00 30 0F D0 DC 6A 20 46 ?? ?? ?? ?? 40 46 17 F1 10 01 A0 47 3B 69 17 F1 E0 01 40 46 7B 60 ?? ?? ?? ?? 0E E0 9C 6A 20 46 ?? ?? ?? ?? 40 46 17 F1 10 01 A0 47 3B 69 17 F1 E0 01 40 46 7B 60 ?? ?? ?? ?? 01 46 17 F1 B0 00 ?? ?? ?? ?? D7 F8 F4 30 10 2B 03 D3 D7 F8 E0 00 ?? ?? ?? ?? 0F 24 00 26 00 23 3C 60 C7 E9 2A 64 87 F8 98 30 D9 F8 14 30 13 F0 08 0F 14 D0 17 F1 E0 01 40 46 ?? ?? ?? ?? 01 46 17 F1 98 00 ?? ?? ?? ?? D7 F8 F4 30 10 2B 03 D3 D7 F8 E0 00 ?? ?? ?? ?? D7 E9 2A 64 3C 60 D7 F8 C0 90 BC 69 00 22 00 21 17 F1 04 0A 4F F0 00 08 11 F9 0A 30 20 2B 1D D0 24 2B 19 D0 2B 2B 15 D0 76 2B 02 D0 78 2B 16 D0 19 E0 28 69 14 B1 4F F0 01 0E 01 E0 4F F0 00 0E A0 42 02 D8 23 1A 5B 1C 00 E0 00 23 03 44 73 44 1A 44 08 E0 4A 44 06 E0 32 44 04 E0 52 1C 03 29 01 D0 4F F0 01 08 49 1C 04 29 D5 D3 B8 6A 3C 68 D0 E9 08 13 00 2B 06 DB 00 DC 21 B1 91 42 02 D9 A1 EB 02 0E 01 E0 4F F0 00 0E 43 69 C7 F8 00 E0 4F F4 80 72 03 F4 E0 73 3B 67 40 2B 21 D0 93 42 02 D1 B8 F1 00 0F 1C D1 D7 E9 4A 21 BE F1 00 0F C7 E9 08 21 0E D0 3E 68 97 F9 38 11 17 F1 20 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 E9 08 21 4F F0 00 0E C7 F8 00 E0 C7 E9 4A 21 01 E0 D7 E9 4A 21 00 23 D7 F8 98 A0 3B 61 38 1D 1B 56 20 2B 00 F0 FA 80 24 2B 00 F0 D8 80 2B 2B 00 F0 BE 80 76 2B 03 D0 78 2B 00 F0 03 81 26 E1 D7 F8 18 80 28 69 B8 F1 00 0F 24 D1 6B 69 38 62 10 2B 02 D3 D5 F8 00 80 00 E0 A8 46 13 46 C7 E9 0C 21 8E 46 80 B1 3C 6A 18 F9 01 1B 17 F1 30 00 ?? ?? ?? ?? 64 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 0C 3E 1A 46 C7 E9 4A 3E 71 46 D7 F8 00 E0 FA E0 40 45 47 D8 97 F9 44 11 17 F5 94 70 ?? ?? ?? ?? D7 F8 14 80 D8 F8 00 30 DC 68 20 46 ?? ?? ?? ?? 40 46 A0 47 01 46 17 F5 94 70 ?? ?? ?? ?? 2B 69 BA 69 D7 F8 2C 11 D4 1A D7 F8 28 21 C7 E9 0E 21 09 D0 97 F9 44 11 17 F1 38 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 0E 21 D5 E9 04 63 C7 E9 4A 21 10 2B 01 D3 2C 68 00 E0 2C 46 C7 E9 10 21 4E B1 14 F9 01 1B 17 F1 40 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 10 21 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 C7 E9 4A 21 B2 E7 6B 69 10 2B 01 D3 2C 68 00 E0 2C 46 B0 EB 08 06 C7 E9 12 21 09 D0 14 F9 01 1B 17 F1 48 00 ?? ?? ?? ?? 76 1E F7 D1 D7 E9 12 21 7E 69 C7 E9 4A 21 33 68 DC 68 20 46 ?? ?? ?? ?? 30 46 A0 47 01 46 17 F5 94 70 ?? ?? ?? ?? 6B 69 10 2B 01 D3 2A 68 00 E0 2A 46 2B 69 D7 F8 2C 11 44 46 13 44 D7 F8 28 21 A3 EB 08 06 C7 E9 14 21 B8 F1 00 0F BE D0 16 F9 01 1B 17 F1 50 00 ?? ?? ?? ?? 64 1E F7 D1 D7 E9 14 21 B3 E7 B9 F1 00 0F 6B D0 D7 F8 C4 30 10 2B 02 D3 D7 F8 B0 30 01 E0 17 F1 B0 03 C7 E9 16 21 93 F9 00 10 17 F1 58 00 ?? ?? ?? ?? D7 E9 16 21 9C E7 10 2C 28 BF D0 46 01 D2 17 F1 98 08 13 46 C7 E9 18 21 08 46 00 2E 46 D0 18 F9 01 1B 17 F1 60 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 18 30 D7 F8 00 E0 33 E0 C7 E9 1A 21 97 F9 38 11 17 F1 68 00 ?? ?? ?? ?? D7 E9 1A 21 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 F8 00 E0 C7 E9 4A 21 3B 6F B3 F5 80 7F 1F D1 13 46 C7 E9 02 21 08 46 BE F1 00 0F 10 D0 3E 68 97 F9 38 11 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C0 90 D7 E9 2A 64 D7 F8 98 A0 D7 E9 02 30 4F F0 00 0E C7 F8 00 E0 C7 E9 4A 30 01 46 1A 46 38 1D 3B 69 5B 1C 3B 61 04 2B FF F4 C3 AE D7 F8 B0 00 D7 F8 C4 30 B9 F1 01 0F 23 D9 10 2B 28 BF 06 46 01 D2 17 F1 B0 06 B9 F1 01 08 06 F1 01 09 16 46 C7 E9 02 21 8E 46 10 D0 19 F9 01 1B 17 F1 08 00 ?? ?? ?? ?? B8 F1 01 08 F6 D1 D7 F8 C4 30 D7 E9 2B 40 D7 F8 98 A0 D7 E9 02 6E 32 46 C7 E9 4A 6E 71 46 BE 6A 4F F0 00 08 C7 E9 02 21 C6 E9 08 88 3E 68 7E B1 97 F9 38 11 17 F1 08 00 ?? ?? ?? ?? 76 1E F7 D1 D7 F8 C4 30 D7 E9 2B 40 D7 F8 98 A0 D7 E9 02 21 7E 6F C6 E9 00 21 10 2C 06 D3 50 46 ?? ?? ?? ?? D7 F8 C4 30 D7 F8 B0 00 0F 22 C7 F8 AC 20 00 22 C7 F8 A8 20 87 F8 98 20 10 2B 01 D3 ?? ?? ?? ?? 0F 23 C7 F8 C4 30 00 23 C7 F8 C0 30 87 F8 B0 30 D7 F8 DC 30 10 2B 03 D3 D7 F8 C8 00 ?? ?? ?? ?? 0F 23 C7 F8 DC 30 00 23 C7 F8 D8 30 87 F8 C8 30 6B 69 10 2B 02 D3 28 68 ?? ?? ?? ?? 0F 23 C5 E9 04 83 85 F8 00 80 30 46 3E B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_103_369_2 {
	meta:
		name = "?do_get@?$messages@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHABV32@@Z"
		size = 36
		refs = "001a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 05 99 0F 23 00 22 C4 E9 04 23 D3 43 20 46 22 70 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_103_370_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 222
		refs = "000a __security_push_cookie 0042 ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z 0050 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 008a _errno 009a strtod 00ca ??3@YAXPAX@Z 00d2 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8E B0 6F 46 84 B0 6F F0 01 03 C7 E9 02 33 17 F1 28 03 FA 6F 02 93 97 F8 78 30 D7 F8 80 60 D7 F8 84 A0 00 93 89 46 01 92 17 F1 70 03 17 F1 68 02 17 F1 10 01 ?? ?? ?? ?? 97 F8 6C 30 1B B9 17 F1 68 00 ?? ?? ?? ?? 97 F8 74 30 1B B9 17 F1 70 00 ?? ?? ?? ?? BA 6E 3B 6F 0A B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 3B 6A E3 B1 7B 6A 10 2B 02 D3 D7 F8 10 80 01 E0 17 F1 10 08 ?? ?? ?? ?? 05 46 2C 68 40 46 00 23 39 46 2B 60 ?? ?? ?? ?? 2A 68 2C 60 3B 68 43 45 04 D0 1A B9 BA 6E 8A ED 00 0B 04 E0 BA 6E 33 68 43 F0 02 03 33 60 FB 6E C9 E9 00 23 7B 6A 10 2B 02 D3 38 69 ?? ?? ?? ?? 48 46 12 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_103_372_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 292
		refs = "000a __security_push_cookie 003e ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@PAD@Z 004e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@ABADXZ 00a6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0110 ??3@YAXPAX@Z 0118 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8C B0 6F 46 84 B0 6F F0 01 03 C7 E9 00 33 17 F1 20 03 FA 6E 02 93 97 F8 68 30 3E 6F 7C 6F 00 93 88 46 01 92 17 F1 60 03 17 F1 58 02 17 F1 08 01 ?? ?? ?? ?? 97 F8 5C 30 BD 69 1B B9 17 F1 58 00 ?? ?? ?? ?? 97 F8 64 30 1B B9 17 F1 60 00 ?? ?? ?? ?? B9 6D 3B 6E 09 B9 0B B1 04 E0 1B B1 33 68 43 F0 01 03 33 60 35 B9 33 68 FA 69 B8 68 43 F0 02 03 33 60 40 E0 23 69 00 26 9D 42 09 D8 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 25 61 5A 55 04 E0 E9 1A 00 22 20 46 ?? ?? ?? ?? FA 69 B8 68 10 2A 28 BF 03 46 01 D2 17 F1 08 03 93 F9 00 30 2D 2B 0B D1 63 69 10 2B 01 D3 22 68 00 E0 22 46 97 F8 2A 30 01 26 13 70 B8 68 FA 69 AE 42 12 D2 10 2A 01 D2 17 F1 08 00 63 69 10 2B 01 D3 21 68 00 E0 21 46 82 57 17 F1 20 03 13 44 13 F8 30 3C 8B 55 76 1C E8 E7 B9 6D FB 6D C8 E9 00 13 10 2A 01 D3 ?? ?? ?? ?? 40 46 10 B0 ?? ?? ?? ?? BD E8 F0 09 5D F8 14 FB }
	condition:
		$1
}

rule file_103_393_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 54
		refs = "0022 strlen 002c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 84 69 0D 46 00 22 0F 23 C5 E9 04 23 2A 70 94 F9 00 30 0B B9 00 20 02 E0 20 46 ?? ?? ?? ?? 02 46 28 46 21 46 ?? ?? ?? ?? 28 46 BD E8 30 88 }
	condition:
		$1
}

rule file_103_397_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 444
		refs = "000a __security_push_cookie 0032 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 0036 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0046 _guard_check_icall 0110 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@PBDI@Z 0124 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0168 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0198 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 01a4 ??3@YAXPAX@Z 01ac __security_pop_cookie 01b8 ?_Src@?1??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@3@V43@_NAAVios_base@3@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 98 B0 6F 46 86 B0 6F F0 01 03 C7 E9 0C 33 D7 F8 9C 30 D7 F8 A4 60 89 46 C7 E9 00 13 B8 60 18 46 17 F1 10 01 ?? ?? ?? ?? ?? ?? ?? ?? 80 46 7D 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D8 F8 00 20 54 4C D5 69 28 46 ?? ?? ?? ?? 40 46 21 46 04 F1 0C 02 17 F1 50 03 A8 47 D6 F8 10 E0 00 20 4F F0 00 0A BE F1 00 0F 0E D0 73 69 10 2B 01 D3 33 68 00 E0 33 46 93 F9 00 20 97 F9 5A 30 9A 42 02 D1 4F F0 01 0A 01 20 02 46 70 45 20 D2 D6 F8 14 80 97 F9 50 50 17 F1 50 09 B8 F1 10 0F 01 D3 31 68 00 E0 31 46 17 F1 50 03 45 B1 8C 56 29 46 A1 42 04 D0 5B 1C 93 F9 00 10 00 29 F8 D1 A3 EB 09 03 0A 2B 02 D2 52 1C 72 45 E6 D3 D7 F8 00 90 73 69 10 2B 00 D3 36 68 0F 23 FB 64 00 23 31 18 12 1A 17 F1 38 00 BB 64 87 F8 38 30 ?? ?? ?? ?? BB 6C E3 B9 97 F8 50 40 17 F1 38 00 00 22 01 21 ?? ?? ?? ?? 98 B1 FB 6C 10 2B 01 D3 BA 6B 01 E0 17 F1 38 02 BB 6C D4 54 FB 6C 10 2B 01 D3 BB 6B 01 E0 17 F1 38 03 01 22 BA 64 00 22 5A 70 0F 23 FB 62 00 23 BB 62 3B 76 DB 43 17 F1 38 01 17 F1 18 00 00 22 ?? ?? ?? ?? 97 F9 50 30 D7 F8 90 20 B8 68 05 93 17 F1 18 03 04 93 97 F9 A0 30 49 46 CD F8 0C A0 02 93 7B 68 01 93 97 F8 98 30 00 93 D7 F8 94 30 ?? ?? ?? ?? FB 6C 10 2B 02 D3 B8 6B ?? ?? ?? ?? 48 46 1E B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_401_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z"
		size = 436
		refs = "000a __security_push_cookie 0084 sprintf_s 00a2 ?getloc@ios_base@std@@QBA?AVlocale@2@XZ 00a6 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00b8 _guard_check_icall 00fc ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0138 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0154 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ABV12@II@Z 0180 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 018c ??3@YAXPAX@Z 0194 __security_pop_cookie 01a0 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? A0 B0 6F 46 86 B0 D7 F8 BC 40 0E 46 00 21 B5 EE C0 0B 6F F0 01 03 C7 E9 0E 33 F1 EE 10 FA C7 E9 03 40 52 EC 10 3B 79 60 05 D2 01 23 B1 EE 40 0B 7B 60 52 EC 10 3B 9F ED 59 1B 4F F0 00 08 B4 EE C0 1B F1 EE 10 FA 10 D8 9F ED 53 2B 41 F2 88 31 88 45 0A D2 80 EE 02 0B 08 F1 0A 08 52 EC 10 3B B4 EE C0 1B F1 EE 10 FA F2 D9 01 92 49 4A 17 F1 58 00 28 21 00 93 ?? ?? ?? ?? 82 46 00 28 06 DA D7 F8 B0 30 33 60 D7 F8 B4 30 73 60 79 E0 17 F1 18 01 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 81 46 38 60 FD 69 85 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 05 46 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 01 21 A0 47 D9 F8 00 30 1C 6A 20 46 ?? ?? ?? ?? 48 46 30 21 A0 47 0F 23 7B 65 00 23 B8 60 17 F1 40 00 00 22 51 46 3B 65 87 F8 40 30 ?? ?? ?? ?? 7B 6D 10 2B 02 D3 D7 F8 40 90 01 E0 17 F1 40 09 3B 68 17 F1 58 05 1A 68 D4 69 20 46 ?? ?? ?? ?? 38 68 17 F1 58 01 0A EB 05 02 4B 46 A0 47 BC 68 17 F1 40 00 41 46 22 46 ?? ?? ?? ?? 0F 23 7B 63 00 23 3B 63 87 F8 20 30 DB 43 17 F1 40 01 17 F1 20 00 00 22 ?? ?? ?? ?? 17 F1 20 03 04 93 7B 68 D7 F8 B0 20 38 69 03 93 97 F9 C0 30 31 46 05 94 02 93 FB 68 01 93 97 F8 B8 30 00 93 D7 F8 B4 30 ?? ?? ?? ?? 7B 6D 10 2B 02 D3 38 6C ?? ?? ?? ?? 30 46 26 B0 ?? ?? ?? ?? BD E8 F0 0F 5D F8 14 FB ?? ?? ?? ?? 00 00 00 20 5F A0 02 42 82 4D C7 72 61 42 33 47 }
	condition:
		$1
}

rule file_103_405_2 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z"
		size = 248
		refs = "000a __security_push_cookie 005e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 007c _Strftime 00c6 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAAAAV01@D@Z 00e0 ??3@YAXPAX@Z 00e8 __security_pop_cookie 00f4 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8C B0 6F 46 82 B0 6F F0 01 03 C7 E9 02 33 35 4A BE 6E 88 46 13 68 05 46 BB 62 13 79 87 F8 2C 30 0F 23 7B 62 00 23 3B 62 3B 74 97 F9 70 30 23 B9 97 F8 6C 30 87 F8 2A 30 05 E0 87 F8 2A 30 97 F8 6C 30 87 F8 2B 30 10 24 00 22 21 46 17 F1 10 00 ?? ?? ?? ?? 7B 6A AA 68 10 2B 01 D3 38 69 01 E0 17 F1 10 00 39 6A 00 92 33 46 17 F1 28 02 ?? ?? ?? ?? 01 46 09 B9 64 00 E6 E7 7B 6A 38 69 10 2B 28 BF 02 46 01 D2 17 F1 10 02 10 2B 02 EB 01 0E 28 BF 02 46 01 D2 17 F1 10 02 56 1C D7 E9 16 21 00 25 76 45 AE EB 06 04 88 BF 00 24 C7 E9 00 21 5C B1 16 F9 01 1B 38 46 ?? ?? ?? ?? 6D 1C A5 42 F7 D1 7B 6A 38 69 D7 E9 00 21 C8 E9 00 21 10 2B 01 D3 ?? ?? ?? ?? 40 46 0E B0 ?? ?? ?? ?? BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_412_2 {
	meta:
		name = "?do_transform@?$collate@D@std@@MBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z"
		size = 192
		refs = "005e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@ID@Z 0082 _Strxfrm"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 6F 46 82 B0 1E 46 0C 46 6F F0 01 03 7C 63 C7 E9 02 33 90 46 01 46 4F F0 00 09 0F 23 C7 F8 00 90 C4 E9 04 93 84 F8 00 90 01 23 3B 60 B0 1A 2A D0 01 F1 08 05 23 69 98 42 09 D8 63 69 10 2B 01 D3 23 68 00 E0 23 46 20 61 03 F8 00 90 04 E0 C1 1A 00 22 20 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 22 68 00 E0 22 46 21 69 10 2B 01 D3 20 68 00 E0 20 46 11 44 42 46 33 46 00 95 ?? ?? ?? ?? 23 69 98 42 01 D9 00 28 D6 D1 23 69 98 42 09 D8 63 69 10 2B 01 D3 23 68 00 E0 23 46 20 61 03 F8 00 90 04 E0 C1 1A 00 22 20 46 ?? ?? ?? ?? 20 46 06 B0 BD E8 F0 0B 5D F8 14 FB }
	condition:
		$1
}

rule file_103_417_2 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 10 2B 01 D3 02 68 00 E0 02 46 03 69 08 46 13 44 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_103_448_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIABV12@II@Z"
		size = 650
		refs = "0052 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 00aa memmove 00d2 memcpy 0278 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0284 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 04 46 16 46 22 69 89 46 1D 46 4A 45 C0 F0 2F 81 2B 69 DD F8 28 A0 53 45 C0 F0 2C 81 0B 9F A2 EB 01 08 46 45 A3 EB 0A 03 88 BF 46 46 9F 42 88 BF 1F 46 FB 43 91 1B 8B 42 40 F2 1F 81 CB 19 00 93 9A 42 04 D2 00 22 19 46 20 46 ?? ?? ?? ?? B7 42 10 D1 6B 69 10 2B 00 D3 2D 68 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 2F 00 F0 F4 80 05 EB 0A 01 3A 46 EB E0 AC 42 2B D0 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 B0 45 09 D0 8B 19 03 EB 09 01 D3 19 03 EB 09 00 A8 EB 06 02 ?? ?? ?? ?? 6B 69 10 2B 00 D3 2D 68 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 2F 00 F0 CA 80 05 EB 0A 01 03 EB 09 00 3A 46 ?? ?? ?? ?? C1 E0 B7 42 27 D2 63 69 10 2B 01 D3 22 68 00 E0 22 46 10 2B 01 D3 23 68 00 E0 23 46 37 B1 02 EB 0A 01 3A 46 03 EB 09 00 ?? ?? ?? ?? 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 B0 45 00 F0 9F 80 8B 19 03 EB 09 01 D3 19 A8 EB 06 02 93 E0 CA 45 26 D8 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 B0 45 09 D0 8B 19 03 EB 09 01 D3 19 03 EB 09 00 A8 EB 06 02 ?? ?? ?? ?? 63 69 10 2B 01 D3 22 68 00 E0 22 46 10 2B 01 D3 23 68 00 E0 23 46 00 2F 71 D0 02 EB 0A 01 7C E7 06 EB 09 03 53 45 63 69 2A D8 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 B0 45 09 D0 8B 19 03 EB 09 01 D3 19 03 EB 09 00 A8 EB 06 02 ?? ?? ?? ?? 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 00 2F 46 D0 8B 1B 3B 44 02 EB 09 00 03 EB 0A 01 3A 46 3C E0 10 2B 01 D3 22 68 00 E0 22 46 10 2B 01 D3 23 68 00 E0 23 46 36 B1 02 EB 0A 01 32 46 03 EB 09 00 ?? ?? ?? ?? 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 B0 45 09 D0 8B 19 03 EB 09 01 D3 19 03 EB 09 00 A8 EB 06 02 ?? ?? ?? ?? 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 BD 1B 08 D0 CB 19 03 EB 0A 01 93 19 2A 46 03 EB 09 00 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 9A 00 21 20 46 22 61 99 54 BD E8 F8 8F 20 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_103_449_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z"
		size = 302
		refs = "0050 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIABV12@II@Z 009e memmove 00b4 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAA_NI_N@Z 0100 memcpy 0122 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ 0128 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBAXXZ"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 9A 46 15 46 89 46 04 46 13 B3 62 69 10 2A 01 D3 20 68 00 E0 20 46 82 45 1A D3 10 2A 01 D3 21 68 00 E0 21 46 23 69 0B 44 53 45 11 D9 10 2A 01 D3 22 68 00 E0 22 46 0C 9B 49 46 20 46 01 93 AA EB 02 03 00 93 23 46 2A 46 ?? ?? ?? ?? 04 46 60 E0 23 69 4B 45 60 D3 A3 EB 09 07 0C 9E BD 42 88 BF 3D 46 5A 1B F3 43 93 42 59 D9 AE 42 15 D2 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 AF 42 08 D0 4B 19 03 EB 09 01 02 EB 09 03 98 19 7A 1B ?? ?? ?? ?? 23 69 5B 1B 03 EB 06 08 06 B9 AD B3 00 22 41 46 20 46 ?? ?? ?? ?? 78 B3 B5 42 15 D2 63 69 10 2B 01 D3 21 68 00 E0 21 46 10 2B 01 D3 22 68 00 E0 22 46 AF 42 08 D0 4B 19 03 EB 09 01 02 EB 09 03 98 19 7A 1B ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 2E B1 03 EB 09 00 32 46 51 46 ?? ?? ?? ?? 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 22 C4 F8 10 80 03 F8 08 20 20 46 BD E8 FE 8F 20 46 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_103_450_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
		size = 90
		refs = "002e ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@II@Z 004c ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAAAAV12@IIPBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 7E 48 0D F1 18 0B 1E 46 0C 9B 0D 46 0B 96 9E 42 0A 92 09 95 04 46 0B D1 63 69 10 2B 01 D3 23 68 00 E0 23 46 E9 1A 52 1B 20 46 ?? ?? ?? ?? 0D E0 99 1B 63 69 10 2B 01 D3 23 68 00 E0 23 46 00 91 E9 1A 33 46 52 1B 20 46 ?? ?? ?? ?? 20 46 BD E8 7E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_120_47_2 {
	meta:
		name = "?_Init@locale@std@@CAPAV_Locimp@12@_N@Z"
		size = 176
		refs = "0018 ??0_Lockit@std@@QAA@H@Z 0028 ?_New_Locimp@_Locimp@locale@std@@CAPAV123@_N@Z 002e ?_Setgloballocale@locale@std@@CAXPAX@Z 0040 free 0056 malloc 0062 memcpy 0070 _guard_check_icall 0096 ??1_Lockit@std@@QAA@XZ 00a4 ?classic_locale@std@@3Vlocale@1@A 00a8 ??_C@_01GFHCPBMG@C?$AA@ 00ac ?_Clocptr@_Locimp@locale@std@@0PAV123@A"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 6F 46 80 46 6F F0 01 03 38 46 00 21 C7 E9 02 33 ?? ?? ?? ?? DF F8 8C 90 D9 F8 08 50 65 BB 00 20 ?? ?? ?? ?? 05 46 ?? ?? ?? ?? 3F 23 1C 4E 2B 61 A8 69 B0 42 13 D0 08 B1 ?? ?? ?? ?? 00 23 AB 61 34 46 14 F9 01 3F 00 2B FB D1 64 1C A0 1B ?? ?? ?? ?? A8 61 18 B1 A2 1B 31 46 ?? ?? ?? ?? C9 F8 00 50 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 0A 4A D9 F8 00 30 53 60 B8 F1 00 0F 06 D0 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 38 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_0_3 {
	meta:
		name = "strchr"
		size = 44
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 00 30 3B B1 4A B2 93 42 04 D0 40 1C 90 F9 00 30 00 2B F8 D1 90 F9 00 30 4A B2 93 42 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_1_8_3 {
	meta:
		name = "__std_exception_copy"
		size = 70
		refs = "0014 strlen 001c malloc 0028 strcpy_s 0034 free"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 23 79 0D 46 A3 B1 20 68 90 B1 ?? ?? ?? ?? 07 46 78 1C ?? ?? ?? ?? 06 46 3E B1 22 68 79 1C ?? ?? ?? ?? 00 20 01 23 2B 71 2E 60 ?? ?? ?? ?? 03 E0 23 68 2B 60 00 23 2B 71 BD E8 F0 88 }
	condition:
		$1
}

rule file_1_9_3 {
	meta:
		name = "__std_exception_destroy"
		size = 30
		refs = "0010 free"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 79 13 B1 20 68 ?? ?? ?? ?? 00 23 23 71 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_3_0_3 {
	meta:
		name = "_CxxThrowException"
		size = 124
		refs = "0014 memcpy 002e _guard_check_icall 006c __imp_RaiseException 0074 __imp_RtlPcToFileHeader 0078 ?ExceptionTemplate@?1??_CxxThrowException@@9@4UEHExceptionRecord@@B"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 8C B0 0E 46 1A 49 07 46 02 A8 24 22 ?? ?? ?? ?? 6E B1 33 68 13 F0 10 0F 09 D0 3D 68 55 F8 04 3C 1C 6A 9E 69 20 46 ?? ?? ?? ?? 28 1F A0 47 0F 4B CD E9 08 76 69 46 1B 68 30 46 98 47 00 90 0A 90 36 B1 33 68 13 F0 08 0F 00 D1 08 B9 06 4B 07 93 04 4C 06 9A DD E9 02 01 24 68 07 AB A0 47 0C B0 BD E8 F0 88 ?? ?? ?? ?? 00 40 99 01 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_1_3 {
	meta:
		name = "_get_unexpected"
		size = 24
		refs = "0006 __vcrt_getptd 0014 terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 40 68 00 B9 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_2_3 {
	meta:
		name = "set_unexpected"
		size = 32
		refs = "000a __vcrt_getptd 001c terminate"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 03 46 58 68 00 B9 01 48 5C 60 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_0_3 {
	meta:
		name = "__vcrt_initialize"
		size = 80
		refs = "0008 IsProcessorFeaturePresent 001a __vcrt_initialize_pure_virtual_call_handler 001e __vcrt_initialize_winapi_thunks 0022 __vcrt_initialize_locks 002c __vcrt_initialize_ptd 0032 __vcrt_uninitialize_locks 0040 __memcpy_reverse_large_integer 0044 __memcpy_reverse_large_func 0048 __memcpy_forward_large_integer 004c __memcpy_forward_large_func"
	strings:
		$1 = { 2D E9 00 48 EB 46 1A 20 ?? ?? ?? ?? 28 B1 0F 4A 0D 4B 13 60 0B 4A 0A 4B 13 60 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 B9 00 20 06 E0 ?? ?? ?? ?? 10 B9 ?? ?? ?? ?? F7 E7 01 20 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_1_3 {
	meta:
		name = "__vcrt_thread_attach"
		size = 22
		refs = "0006 __vcrt_getptd_noexit"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 08 B9 00 20 00 E0 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_5_2_3 {
	meta:
		name = "__vcrt_thread_detach"
		size = 18
		refs = "0008 __vcrt_freeptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 20 ?? ?? ?? ?? 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_5_4_3 {
	meta:
		name = "__vcrt_uninitialize_critical"
		size = 16
		refs = "0006 __vcrt_uninitialize_ptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_5_5_3 {
	meta:
		name = "init_memcpy_functions"
		size = 48
		refs = "0008 IsProcessorFeaturePresent 0020 __memcpy_reverse_large_integer 0024 __memcpy_reverse_large_func 0028 __memcpy_forward_large_integer 002c __memcpy_forward_large_func"
	strings:
		$1 = { 2D E9 00 48 EB 46 1A 20 ?? ?? ?? ?? 28 B1 07 4A 05 4B 13 60 03 4A 02 4B 13 60 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_0_3 {
	meta:
		name = "memchr"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 3A B1 C9 B2 03 78 8B 42 02 D0 40 1C 52 1E F9 D1 02 B9 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_8_0_3 {
	meta:
		name = "__DestructExceptionObject"
		size = 124
		refs = "003e ?_CallMemberFunction0@@YAXQAX0@Z 0044 terminate 005c _guard_check_icall"
	strings:
		$1 = { 03 B4 2D E9 B8 48 0D F1 10 0B 6F 46 50 B3 02 68 19 4B 9A 42 26 D1 03 69 04 2B 23 D1 42 69 15 4B 9A 42 05 D0 12 4B 9A 42 02 D0 10 4B 9A 42 19 D1 C3 69 BB B1 5A 68 3A B1 03 6A 99 18 80 69 ?? ?? ?? ?? 0F E0 ?? ?? ?? ?? 1B 68 13 F0 10 0F 09 D0 83 69 1D 68 35 B1 2B 68 9C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 B8 08 5D F8 0C FB 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_8_10_3 {
	meta:
		name = "?CatchIt@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@PBU_s_HandlerType@@PBU_s_CatchableType@@PBU_s_TryBlockMapEntry@@H1EE@Z"
		size = 98
		refs = "001e ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z 0030 __BuildCatchObject 0034 _GetImageBase 0058 _UnwindNestedFrames"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 DD F8 40 90 1F 46 88 46 92 46 04 46 4A 46 06 AB 39 46 40 46 ?? ?? ?? ?? 12 9B 11 9E 05 46 23 B1 01 46 20 46 32 46 ?? ?? ?? ?? ?? ?? ?? ?? 9D F8 5C 30 52 46 21 46 04 93 13 9B 03 97 CD F8 08 90 1B 68 01 93 F3 68 03 44 00 93 2B 46 40 46 ?? ?? ?? ?? 07 B0 BD E8 F0 8F }
	condition:
		$1
}

rule file_8_11_3 {
	meta:
		name = "?ExFilterRethrow@@YAHPAU_EXCEPTION_POINTERS@@PAUEHExceptionRecord@@PAH@Z"
		size = 128
		refs = "0062 __vcrt_getptd"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 00 68 14 46 00 23 DF F8 6C E0 23 60 03 68 73 45 2B D1 17 4E 03 69 4F F0 01 08 77 1C B5 1C 04 2B 0C D1 43 69 B3 42 03 D0 BB 42 01 D0 AB 42 05 D1 82 69 8B 69 9A 42 01 D1 C4 F8 00 80 03 68 73 45 13 D1 03 69 04 2B 10 D1 43 69 B3 42 03 D0 BB 42 01 D0 AB 42 09 D1 C3 69 3B B9 ?? ?? ?? ?? C0 F8 20 80 C4 F8 00 80 01 20 00 E0 00 20 BD E8 F8 89 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_8_12_3 {
	meta:
		name = "?FindHandler@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@EH1@Z"
		size = 896
		refs = "0020 ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 002e ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z 0038 ?__GetUnwindTryBlock@@YAHPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z 0048 ?__SetState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z 0054 ?__SetUnwindTryBlock@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z 00a0 __vcrt_getptd 00bc _SetThrowImageBase 00fe ?IsInExceptionSpec@@YAEPAUEHExceptionRecord@@PBU_s_ESTypeList@@@Z 0116 _GetImageBase 0142 __std_type_info_compare 019c ?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PAKPBU_s_FuncInfo@@HHPAI2PAU_xDISPATCHER_CONTEXT@@@Z 01c4 _GetThrowImageBase 01f6 __TypeMatch 0270 __BuildCatchObject 0298 _UnwindNestedFrames 02ae ?_ExecutionInCatch@@YAHPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z 032a ?FindHandlerForForeignException@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@HH1@Z 0336 terminate 0342 __DestructExceptionObject 0348 ??0bad_exception@std@@QAA@XZ 0350 _CxxThrowException 0368 _TI2?AVbad_exception@std@@ 0374 ??_R0?AVbad_exception@std@@@8"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 95 B0 0F 46 CD E9 06 72 98 46 1E 9C 08 93 05 46 00 23 20 46 41 46 0C 93 ?? ?? ?? ?? 06 46 38 46 0D AB 22 46 41 46 ?? ?? ?? ?? 22 46 41 46 38 46 ?? ?? ?? ?? 86 42 22 46 41 46 0A DD 0D A8 33 46 ?? ?? ?? ?? 33 46 22 46 41 46 38 46 ?? ?? ?? ?? 03 E0 38 46 ?? ?? ?? ?? 06 46 6F F0 00 03 9E 42 C0 F2 7A 81 63 68 9E 42 80 F2 76 81 2B 68 BE 4F DF F8 00 93 BB 4A DF F8 F8 A2 BB 42 6B D1 2B 69 04 2B 68 D1 6B 69 4B 45 03 D0 93 42 01 D0 53 45 61 D1 EB 69 00 2B 5E D1 ?? ?? ?? ?? 03 69 00 2B 00 F0 42 81 ?? ?? ?? ?? 05 69 ?? ?? ?? ?? 43 69 28 6A 07 93 ?? ?? ?? ?? 2B 68 BB 42 0E D1 2B 69 04 2B 0B D1 6B 69 4B 45 04 D0 A6 4A 93 42 01 D0 53 45 03 D1 EB 69 00 2B 00 F0 29 81 ?? ?? ?? ?? C3 69 BB B3 ?? ?? ?? ?? C7 69 ?? ?? ?? ?? 00 23 C3 61 28 46 39 46 ?? ?? ?? ?? 50 BB 3B 68 4F F0 00 08 00 2B 40 F3 15 81 DF F8 60 92 00 26 ?? ?? ?? ?? 7B 68 33 44 03 44 5B 68 53 B1 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 7B 68 33 44 03 44 5B 68 23 44 00 E0 00 23 18 1D 09 F1 04 01 ?? ?? ?? ?? 00 28 00 F0 F9 80 3B 68 08 F1 01 08 10 36 98 45 DE DB EF E0 85 4F 83 4A 2B 68 BB 42 40 F0 D2 80 2B 69 04 2B 40 F0 CE 80 6B 69 4B 45 04 D0 93 42 02 D0 53 45 40 F0 C6 80 E3 68 9D F8 7C 70 00 2B 53 D0 0B AB 01 93 20 9A 06 98 09 AB 00 93 33 46 21 46 CD F8 08 80 ?? ?? ?? ?? 09 9A 0B 99 07 46 8A 42 40 D2 3B 68 B3 42 35 DC 7B 68 9E 42 32 DC ?? ?? ?? ?? D7 E9 03 83 03 EB 00 09 24 E0 ?? ?? ?? ?? EB 69 DB 68 03 44 1B 1D 0A 93 ?? ?? ?? ?? EB 69 DB 68 53 F8 00 A0 0F E0 ?? ?? ?? ?? 0A 9A 0E 90 52 F8 04 1B 0A 92 EA 69 0F 91 01 44 48 46 ?? ?? ?? ?? 30 BB AA F1 01 0A BA F1 00 0F EC DC A8 F1 01 08 09 F1 10 09 B8 F1 00 0F D7 DC DD F8 20 80 0B 99 09 9A 52 1C 14 37 09 92 8A 42 C1 D3 0C 9B 00 2B 69 D1 9D F8 7C 70 23 68 4E 4A 23 F0 60 43 93 42 61 D3 23 6A 73 B3 ?? ?? ?? ?? 23 6A 03 44 2A E0 DD F8 20 80 06 98 01 23 0C 93 41 46 10 AB 22 46 ?? ?? ?? ?? DD E9 0E 32 82 46 DA 42 05 D0 13 44 01 46 4A 46 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 9D F8 7C 30 07 9A 29 46 04 93 3B 68 CD F8 0C 80 02 94 01 93 D9 F8 0C 30 03 44 06 98 00 93 53 46 ?? ?? ?? ?? BC E7 00 23 43 B9 63 6A 13 F0 04 0F 2A D0 21 46 40 46 ?? ?? ?? ?? 28 BB 63 6A 13 F0 04 0F 4B D1 23 6A 23 B1 ?? ?? ?? ?? 23 6A 19 18 00 E0 00 21 28 46 ?? ?? ?? ?? A8 B9 06 9E 10 AB 22 46 30 46 41 46 ?? ?? ?? ?? 6F F0 00 02 01 92 00 22 00 92 07 9A 03 46 29 46 30 46 04 97 CD F8 0C 80 02 94 ?? ?? ?? ?? ?? ?? ?? ?? C3 69 9B B1 26 E0 E3 68 00 2B F7 D0 9D F8 7C 30 13 BB 21 9B DD E9 06 12 28 46 03 93 20 9B 01 96 00 94 02 93 43 46 ?? ?? ?? ?? E7 E7 15 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? 01 21 28 46 ?? ?? ?? ?? 12 A8 ?? ?? ?? ?? 06 49 12 A8 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? 21 05 93 19 63 73 6D E0 ?? ?? ?? ?? 22 05 93 19 20 05 93 19 }
	condition:
		$1
}

rule file_8_13_3 {
	meta:
		name = "?FindHandlerForForeignException@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@HH1@Z"
		size = 408
		refs = "0022 __vcrt_getptd 0064 _CallSETranslator 0090 ?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PAKPBU_s_FuncInfo@@HHPAI2PAU_xDISPATCHER_CONTEXT@@@Z 00a8 _GetImageBase 0142 ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z 016c _UnwindNestedFrames 0184 terminate 0194 __imp_EncodePointer"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8B B0 07 46 3D 68 4F F0 00 44 E4 1C A5 42 9A 46 09 92 89 46 07 91 00 F0 AE 80 ?? ?? ?? ?? 84 68 16 9E DD F8 50 80 F4 B1 ?? ?? ?? ?? 57 4C 05 46 00 20 24 68 A0 47 AB 68 83 42 14 D0 3A 68 52 4B 9A 42 10 D0 4F 4B 9A 42 0D D0 17 9B 09 9A 49 46 02 93 53 46 38 46 01 96 CD F8 00 80 ?? ?? ?? ?? 00 28 40 F0 88 80 D8 F8 0C 30 00 2B 00 F0 86 80 08 AB DD F8 54 90 01 93 07 98 06 AB 00 93 4B 46 32 46 41 46 CD F8 08 A0 ?? ?? ?? ?? 06 9A 08 99 06 46 6E E0 33 68 99 45 68 DB 73 68 99 45 65 DC ?? ?? ?? ?? F3 68 00 EB 03 12 33 69 13 44 53 F8 0C 3C 6B B1 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? F3 68 00 EB 03 12 33 69 13 44 53 F8 0C 3C 23 44 00 E0 00 23 DB B1 ?? ?? ?? ?? F3 68 00 EB 03 12 33 69 13 44 53 F8 0C 3C 6B B1 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? F3 68 00 EB 03 12 33 69 13 44 53 F8 0C 3C 23 44 00 E0 00 23 93 F9 08 30 6B BB ?? ?? ?? ?? F3 68 00 EB 03 12 33 69 13 44 53 F8 10 3C 13 F0 40 0F 21 D1 ?? ?? ?? ?? F3 68 51 46 00 EB 03 12 33 69 07 98 D5 18 0A AB 42 46 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 00 23 04 93 33 68 09 9A 39 46 01 93 55 F8 04 3C CD F8 0C A0 CD F8 08 80 03 44 07 98 00 93 23 46 ?? ?? ?? ?? 06 9A 08 99 52 1C 06 92 14 36 8A 42 8E D3 0B B0 BD E8 F0 8F ?? ?? ?? ?? FE DE FE DE 52 43 43 E0 4D 4F 43 E0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_14_3 {
	meta:
		name = "?IsInExceptionSpec@@YAEPAUEHExceptionRecord@@PBU_s_ESTypeList@@@Z"
		size = 140
		refs = "001e _GetThrowImageBase 004c _GetImageBase 005c __TypeMatch 0086 terminate"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 0E 46 04 46 00 94 D6 B3 33 68 00 27 4F F0 00 09 00 2B 31 DD BA 46 ?? ?? ?? ?? E3 69 DB 68 03 44 1B 1D 01 93 ?? ?? ?? ?? E3 69 DB 68 53 F8 00 80 B8 F1 00 0F 1A DD ?? ?? ?? ?? 01 9B 05 46 53 F8 04 4B 01 93 ?? ?? ?? ?? 00 9B 61 19 DA 69 73 68 53 44 18 44 ?? ?? ?? ?? 28 B9 A8 F1 01 08 B8 F1 00 0F E8 DC 01 E0 4F F0 01 09 00 9C 33 68 7F 1C 0A F1 10 0A 9F 42 CE DB 48 46 BD E8 FE 8F ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_8_15_3 {
	meta:
		name = "?Is_bad_exception_allowed@@YAEPBU_s_ESTypeList@@@Z"
		size = 100
		refs = "0018 _GetImageBase 0044 __std_type_info_compare 0060 ??_R0?AVbad_exception@std@@@8"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 06 46 33 68 00 27 00 2B 20 DD DF F8 4C 80 00 25 ?? ?? ?? ?? 73 68 2B 44 03 44 5B 68 53 B1 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 73 68 2B 44 03 44 5B 68 23 44 00 E0 00 23 18 1D 08 F1 04 01 ?? ?? ?? ?? 38 B1 33 68 7F 1C 10 35 9F 42 E1 DB 00 20 BD E8 F8 89 01 20 FB E7 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_19_3 {
	meta:
		name = "?_ValidateExecute@@YA_NP6AHXZ@Z"
		size = 18
		altNames = "?_ValidateRead@@YA_NPBXI@Z ?_ValidateWrite@@YA_NPAXI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B9 00 20 00 E0 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_8_22_3 {
	meta:
		name = "?__RethrowException@@YAXPAUEHExceptionRecord@@@Z"
		size = 32
		refs = "001c __imp_RaiseException"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 4C 02 69 41 68 00 F1 14 03 00 68 24 68 A0 47 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_26_3 {
	meta:
		name = "__AdjustPointer"
		size = 34
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B D1 E9 00 34 02 46 98 18 00 2C 04 DB A2 58 8B 68 D3 58 23 44 18 44 BD E8 18 88 }
	condition:
		$1
}

rule file_8_27_3 {
	meta:
		name = "__BuildCatchObject"
		size = 140
		refs = "0026 __BuildCatchObjectHelper 003a __AdjustPointer 0044 _GetThrowImageBase 0056 ?_CallMemberFunction2@@YAXQAX00H@Z 007e ?_CallMemberFunction1@@YAXQAX00@Z 0084 terminate"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 6F 46 1D 46 16 46 80 46 34 68 00 2C 01 DA 0C 46 02 E0 0A 68 B3 68 D4 18 2B 46 32 46 40 46 ?? ?? ?? ?? 01 28 16 D0 02 28 27 D1 05 F1 08 01 D8 F8 18 00 ?? ?? ?? ?? 06 46 AB 69 23 B1 ?? ?? ?? ?? AB 69 C1 18 00 E0 00 21 01 23 32 46 20 46 ?? ?? ?? ?? 12 E0 05 F1 08 01 D8 F8 18 00 ?? ?? ?? ?? 06 46 AB 69 23 B1 ?? ?? ?? ?? AB 69 19 18 00 E0 00 21 32 46 20 46 ?? ?? ?? ?? 01 E0 ?? ?? ?? ?? BD E8 F8 89 }
	condition:
		$1
}

rule file_8_28_3 {
	meta:
		name = "__BuildCatchObjectHelper"
		size = 328
		refs = "001e _GetImageBase 0072 _guard_check_icall 007c terminate 00ae memmove 00c0 __AdjustPointer 00cc _GetThrowImageBase 0144 ?g_OutOfMemoryExceptionCallback@@3P6APAXXZA"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 6F 46 1E 46 14 46 0D 46 81 46 4F F0 00 08 C7 F8 00 80 62 68 22 B1 ?? ?? ?? ?? 62 68 13 18 00 E0 00 23 00 2B 00 F0 84 80 22 B1 ?? ?? ?? ?? 63 68 03 44 00 E0 00 23 93 F9 08 30 00 2B 78 D0 A1 68 11 B9 23 68 00 2B 73 DA 22 68 00 2A 01 DB 2B 68 CD 18 12 F0 80 0F 0F D0 33 68 13 F0 10 0F 0B D0 36 49 0B 68 43 B1 1C 46 18 46 ?? ?? ?? ?? A0 47 00 B1 55 B9 ?? ?? ?? ?? 12 F0 08 0F 07 D0 D9 F8 18 00 00 B1 0D B9 ?? ?? ?? ?? 28 60 12 E0 33 68 01 24 23 42 14 D0 D9 F8 18 10 01 B1 0D B9 ?? ?? ?? ?? 72 69 28 46 ?? ?? ?? ?? 73 69 04 2B 39 D1 28 68 B8 B3 06 F1 08 01 ?? ?? ?? ?? 28 60 31 E0 B2 69 22 B1 ?? ?? ?? ?? B2 69 13 18 00 E0 00 23 7B B9 D9 F8 18 00 00 B1 0D B9 ?? ?? ?? ?? 06 F1 08 01 ?? ?? ?? ?? 01 46 72 69 28 46 ?? ?? ?? ?? 18 E0 D9 F8 18 30 43 B1 3D B1 22 B1 ?? ?? ?? ?? B3 69 03 44 00 E0 00 23 0B B9 ?? ?? ?? ?? 33 68 13 F0 04 0F 04 D0 4F F0 02 08 C7 F8 00 80 01 E0 A0 46 3C 60 06 E0 ?? ?? ?? ?? D7 F8 04 80 01 E0 4F F0 00 08 40 46 BD E8 FC 8B FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_29_3 {
	meta:
		name = "__CxxCallCatchBlock"
		size = 308
		refs = "0018 __vcrt_getptd 0040 __except_validate_context_record 005c _CreateFrameInfo 007c _CallSettingFrame 0098 __DestructExceptionObject 00b0 _FindAndUnlinkFrame 00de _IsExceptionObjectToBeDestroyed 0130 __imp_RaiseException"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 92 B0 6F 46 06 46 00 23 7B 60 BB 60 FB 61 FB 60 ?? ?? ?? ?? 43 69 BB 61 ?? ?? ?? ?? 03 69 7B 61 F5 6A 3D 60 B3 6A 7B 62 74 6A D6 F8 1C 90 D6 F8 18 80 C7 F8 20 80 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 05 61 ?? ?? ?? ?? 44 61 ?? ?? ?? ?? 03 69 99 69 17 F1 30 00 ?? ?? ?? ?? 38 61 33 6B 2B B1 01 23 BB 60 ?? ?? ?? ?? 83 6B FB 60 F2 6B 4F F4 80 73 41 46 48 46 ?? ?? ?? ?? F8 61 14 E0 01 23 7B 60 ?? ?? ?? ?? 00 23 03 62 BB 68 38 68 1B B1 01 21 ?? ?? ?? ?? F8 68 00 F1 14 03 02 69 41 68 00 68 21 4C 24 68 A0 47 38 69 ?? ?? ?? ?? 7B 68 CB B9 3C 68 22 68 1B 4B 9A 42 14 D1 23 69 04 2B 11 D1 62 69 17 4B 9A 42 05 D0 14 4B 9A 42 02 D0 12 4B 9A 42 07 D1 A0 69 ?? ?? ?? ?? 18 B1 01 21 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 7B 69 03 61 ?? ?? ?? ?? BB 69 43 61 3B 6A 1A 68 7B 6A DB 69 13 44 6F F0 01 02 1A 60 6F F0 00 02 5A 60 FB 69 7B 62 78 6A 12 B0 BD E8 F0 8B FE DE 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_30_3 {
	meta:
		name = "__CxxCallCatchBlock$filt$0"
		size = 16
		refs = "0008 ?ExFilterRethrow@@YAHPAU_EXCEPTION_POINTERS@@PAUEHExceptionRecord@@PAH@Z"
	strings:
		$1 = { 10 B5 B8 62 3A 1D 39 68 ?? ?? ?? ?? 10 BD 00 00 }
	condition:
		$1
}

rule file_8_31_3 {
	meta:
		name = "__CxxCallCatchBlock$fin$1"
		size = 100
		refs = "0004 _FindAndUnlinkFrame 0032 _IsExceptionObjectToBeDestroyed 003c __DestructExceptionObject 0040 __vcrt_getptd"
	strings:
		$1 = { 10 B5 38 69 ?? ?? ?? ?? 7B 68 CB B9 3C 68 22 68 13 4B 9A 42 14 D1 23 69 04 2B 11 D1 62 69 0F 4B 9A 42 05 D0 0C 4B 9A 42 02 D0 0A 4B 9A 42 07 D1 A0 69 ?? ?? ?? ?? 18 B1 01 21 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 7B 69 03 61 ?? ?? ?? ?? BB 69 43 61 10 BD FE DE 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_8_32_3 {
	meta:
		name = "__CxxDetectRethrow"
		size = 84
		refs = "0030 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 B1 01 68 11 4B 0A 68 9A 42 15 D1 0B 69 04 2B 12 D1 4A 69 0C 4B 9A 42 05 D0 09 4B 9A 42 02 D0 07 4B 9A 42 08 D1 CB 69 33 B9 ?? ?? ?? ?? 83 69 5B 1C 83 61 01 20 00 E0 00 20 BD E8 00 88 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_8_33_3 {
	meta:
		name = "__CxxExceptionFilter"
		size = 376
		refs = "005c __vcrt_getptd 006c _GetImageBase 0074 _SetThrowImageBase 0084 _SetImageBase 0096 _GetThrowImageBase 00c8 __TypeMatch 00ea __BuildCatchObject 00f8 __jump_unwind 0168 $LN28 016c __imp_RtlPcToFileHeader"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8B B0 6F 46 9A 46 16 46 0D 46 08 B9 00 23 9A E0 04 68 15 B1 95 F9 08 30 4B B9 22 68 53 4B 9A 42 73 D0 51 4B 9A 42 70 D0 16 F0 40 0F 6D D0 22 68 4A 4B 9A 42 EA D1 23 69 04 2B E7 D1 62 69 46 4B 9A 42 05 D0 43 4B 9A 42 02 D0 41 4B 9A 42 DD D1 E3 69 3B B9 ?? ?? ?? ?? 03 69 00 2B D6 D0 ?? ?? ?? ?? 04 69 ?? ?? ?? ?? 78 60 20 6A ?? ?? ?? ?? 39 46 28 46 3B 4B 1B 68 98 47 38 60 ?? ?? ?? ?? 3B 68 EB 1A FB 61 BE 61 46 F0 00 43 BB 61 ?? ?? ?? ?? E3 69 DB 68 03 44 1E 1D FE 60 ?? ?? ?? ?? E3 69 DB 68 1D 58 BD 60 00 2D 28 DD ?? ?? ?? ?? 80 46 D6 F8 00 90 E2 69 17 F1 18 00 09 EB 08 01 ?? ?? ?? ?? B0 B1 ?? ?? ?? ?? 83 69 5B 1C 83 61 BA F1 00 0F 07 D0 17 F1 18 02 09 EB 08 03 51 46 20 46 ?? ?? ?? ?? 01 23 3B 61 1D 49 07 F1 50 00 ?? ?? ?? ?? 6D 1E BD 60 36 1D FE 60 D4 E7 78 68 ?? ?? ?? ?? 82 E7 3B 69 1D E0 14 4B 9A 42 14 D1 23 69 04 2B 11 D1 62 69 0F 4B 9A 42 05 D0 0D 4B 9A 42 02 D0 0A 4B 9A 42 07 D1 E3 69 2B B9 ?? ?? ?? ?? 03 69 00 2B 3F F4 69 AF ?? ?? ?? ?? 83 69 5B 1C 83 61 01 23 3B 60 38 68 0B B0 BD E8 F0 8F 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 ?? ?? ?? ?? ?? ?? ?? ?? 52 43 43 E0 4D 4F 43 E0 }
	condition:
		$1
}

rule file_8_36_3 {
	meta:
		name = "__CxxRegisterExceptionObject"
		size = 152
		refs = "0036 __vcrt_getptd 0040 _CreateFrameInfo"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 46 38 B3 04 68 2C B3 22 68 20 4B 9A 42 11 D1 23 69 04 2B 0E D1 62 69 1B 4B 9A 42 05 D0 19 4B 9A 42 02 D0 16 4B 9A 42 04 D1 E3 69 13 B9 ?? ?? ?? ?? 04 69 A1 69 28 46 ?? ?? ?? ?? ?? ?? ?? ?? 03 69 6B 61 ?? ?? ?? ?? 43 69 AB 61 ?? ?? ?? ?? 04 61 03 E0 6F F0 00 03 C5 E9 05 33 ?? ?? ?? ?? 83 69 5B 1E 83 61 ?? ?? ?? ?? 83 69 00 2B 03 DA ?? ?? ?? ?? 00 23 83 61 01 20 BD E8 30 88 FE DE 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_8_37_3 {
	meta:
		name = "__CxxUnregisterExceptionObject"
		size = 232
		refs = "0014 _FindAndUnlinkFrame 0026 __vcrt_getptd 006a _IsExceptionObjectToBeDestroyed 0078 __DestructExceptionObject"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 04 46 63 69 0D 46 B3 F1 FF 3F 5F D0 ?? ?? ?? ?? 32 4E 31 4F DF F8 BC 80 DF F8 B4 90 55 BB ?? ?? ?? ?? 03 69 1B 68 B3 42 24 D1 ?? ?? ?? ?? 03 69 1B 69 04 2B 1E D1 ?? ?? ?? ?? 03 69 5B 69 BB 42 0B D0 ?? ?? ?? ?? 03 69 5B 69 43 45 05 D0 ?? ?? ?? ?? 03 69 5B 69 4B 45 0C D1 ?? ?? ?? ?? 03 69 98 69 ?? ?? ?? ?? 28 B1 ?? ?? ?? ?? 00 69 01 21 ?? ?? ?? ?? ?? ?? ?? ?? 03 69 1B 68 B3 42 1D D1 ?? ?? ?? ?? 03 69 1B 69 04 2B 17 D1 ?? ?? ?? ?? 03 69 5B 69 BB 42 0B D0 ?? ?? ?? ?? 03 69 5B 69 43 45 05 D0 ?? ?? ?? ?? 03 69 5B 69 4B 45 05 D1 25 B1 ?? ?? ?? ?? 83 69 5B 1E 83 61 ?? ?? ?? ?? 63 69 03 61 ?? ?? ?? ?? A3 69 43 61 BD E8 F0 8B 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_8_39_3 {
	meta:
		name = "__FrameUnwindFilter"
		size = 84
		refs = "001e __vcrt_getptd 0040 terminate"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 1A 68 11 4B 9A 42 06 D0 0E 4B 9A 42 03 D0 0C 4B 9A 42 0A D1 0C E0 ?? ?? ?? ?? 83 69 00 2B 04 DD ?? ?? ?? ?? 83 69 5B 1E 83 61 00 20 BD E8 00 88 ?? ?? ?? ?? 00 23 83 61 ?? ?? ?? ?? FE DE FE DE 63 73 6D E0 4D 4F 43 E0 52 43 43 E0 }
	condition:
		$1
}

rule file_8_40_3 {
	meta:
		name = "__FrameUnwindToState"
		size = 320
		refs = "0020 _GetImageBase 002e ?__GetCurrentState@@YAHPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z 0036 __vcrt_getptd 009c ?__SetState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z 00d4 _CallSettingFrame 00da _SetImageBase 0100 terminate"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 85 B0 6F 46 1C 46 3C 60 7C 64 16 46 3E 64 89 46 F9 63 82 46 B8 63 ?? ?? ?? ?? 78 60 F8 60 32 46 49 46 50 46 ?? ?? ?? ?? 05 46 BD 60 ?? ?? ?? ?? 83 69 5B 1C 83 61 15 F1 01 0F 5E D0 A5 42 5C DD 15 F1 01 0F 57 DD 73 68 9D 42 54 DA ?? ?? ?? ?? B3 68 03 EB C5 03 53 F8 00 80 C7 F8 10 80 ?? ?? ?? ?? B3 68 03 EB C5 03 03 44 5B 68 5B B1 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? B3 68 03 EB C5 03 03 44 5B 68 23 44 00 E0 00 23 23 B3 43 46 32 46 49 46 50 46 ?? ?? ?? ?? ?? ?? ?? ?? B3 68 03 EB C5 03 03 44 5B 68 5B B1 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? B3 68 03 EB C5 03 03 44 5B 68 18 19 00 E0 00 20 D9 F8 2C 20 40 F2 03 13 51 46 ?? ?? ?? ?? 78 68 ?? ?? ?? ?? 3C 68 0A E0 7C 6C 3C 60 3E 6C D7 F8 3C 90 D7 F8 38 A0 FB 68 7B 60 D7 F8 10 80 45 46 C7 F8 08 80 9F E7 ?? ?? ?? ?? ?? ?? ?? ?? 83 69 00 2B 04 DD ?? ?? ?? ?? 83 69 5B 1E 83 61 BA 68 B2 F1 FF 3F 04 D0 7B 6C 9A 42 01 DD ?? ?? ?? ?? 13 46 3A 6C F9 6B B8 6B ?? ?? ?? ?? 05 B0 BD E8 F0 0F 5D F8 14 FB }
	condition:
		$1
}

rule file_8_42_3 {
	meta:
		name = "__FrameUnwindToState$fin$1"
		size = 24
		refs = "0002 __vcrt_getptd"
	strings:
		$1 = { 10 B5 ?? ?? ?? ?? 83 69 00 2B 04 DD ?? ?? ?? ?? 83 69 5B 1E 83 61 10 BD }
	condition:
		$1
}

rule file_8_43_3 {
	meta:
		name = "__GetPlatformExceptionInfo"
		size = 72
		refs = "000e __vcrt_getptd 0036 _is_exception_typeof 0044 ??_R0?AVbad_alloc@std@@@8"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 00 23 23 60 ?? ?? ?? ?? 02 69 92 B1 D3 69 83 B1 1B 68 13 F0 10 0F 04 D0 93 69 1B 68 53 F8 04 0C 08 E0 05 48 00 23 69 46 CD E9 00 23 ?? ?? ?? ?? 20 60 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_44_3 {
	meta:
		name = "__InternalCxxFrameHandler"
		size = 408
		refs = "0014 __except_validate_context_record 0018 __vcrt_getptd 0096 ?__StateFromIp@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@H@Z 00ae __FrameUnwindToState 00d2 ?__FrameUnwindToEmptyState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z 00ec _GetImageBase 0126 _GetThrowImageBase 0148 _guard_check_icall 0170 ?FindHandler@@YAXPAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@EH1@Z 017c terminate"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 06 46 10 46 1F 46 04 92 8A 46 ?? ?? ?? ?? ?? ?? ?? ?? 01 22 04 6A D1 07 26 31 58 4B 4F EA C2 7E DF F8 68 91 10 9D 05 91 0E F1 29 0E 4F F0 60 48 BC B9 30 68 98 42 14 D0 70 45 06 D1 33 69 0F 2B 03 D1 72 6B 50 4B 9A 42 0B D0 88 42 09 D0 2B 68 23 EA 08 03 4B 45 04 D3 6B 6A 13 F0 01 0F 40 F0 84 80 71 68 11 F0 66 0F 31 D0 6A 68 00 2A 7C D0 11 9B 00 2B 79 D1 11 F0 20 01 16 D0 33 68 05 98 83 42 12 D1 04 9A 39 46 28 46 12 6C ?? ?? ?? ?? B0 F1 FF 3F 6D DB 6B 68 98 42 6A DA 03 46 50 46 39 46 2A 46 ?? ?? ?? ?? 5F E0 51 B1 33 68 73 45 07 D1 33 6A B3 F1 FF 3F 5D DB 93 42 5B DA B0 69 EE E7 2A 46 39 46 50 46 ?? ?? ?? ?? 4D E0 EB 68 BB B9 2B 68 23 EA 08 02 2A 4B 9A 42 08 D3 2B 6A 23 B1 ?? ?? ?? ?? 2B 6A 03 44 00 E0 00 23 43 B9 2B 68 23 EA 08 03 4B 45 37 D3 6B 6A 13 F0 04 0F 33 D0 33 68 1E 4A 93 42 21 D1 33 69 03 2B 1E D3 73 69 4B 45 1B D9 F3 69 9B 68 2B B1 ?? ?? ?? ?? F3 69 9B 68 1C 18 00 E0 00 24 84 B1 9D F8 4C 30 20 46 00 95 03 93 12 9B 02 93 11 9B 01 93 ?? ?? ?? ?? 04 9A 30 46 51 46 3B 46 A0 47 0E E0 12 9B 04 9A 51 46 03 93 11 9B 30 46 00 95 02 93 9D F8 4C 30 01 93 3B 46 ?? ?? ?? ?? 01 20 07 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? FE DE FE DE 63 73 6D E0 21 05 93 19 20 05 93 19 22 05 93 19 }
	condition:
		$1
}

rule file_8_45_3 {
	meta:
		name = "__TypeMatch"
		size = 204
		refs = "0012 _GetImageBase 0056 _GetThrowImageBase 0084 strcmp"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 65 68 17 46 0E 46 25 B1 ?? ?? ?? ?? 65 68 2B 18 00 E0 00 23 00 2B 51 D0 25 B1 ?? ?? ?? ?? 65 68 2B 18 00 E0 00 23 93 F9 08 30 00 2B 46 D0 23 68 13 F0 80 0F 03 D0 33 68 13 F0 10 0F 3E D1 25 B1 ?? ?? ?? ?? 63 68 1D 18 00 E0 00 25 ?? ?? ?? ?? 73 68 03 44 9D 42 15 D0 ?? ?? ?? ?? 63 68 05 46 23 B1 ?? ?? ?? ?? 63 68 1A 18 00 E0 00 22 73 68 02 F1 08 00 2B 44 03 F1 08 01 ?? ?? ?? ?? 08 B1 00 20 1C E0 33 68 02 21 0B 42 03 D0 23 68 13 F0 08 0F F5 D0 3A 68 12 F0 01 0F 03 D0 23 68 13 F0 01 0F ED D0 12 F0 04 0F 03 D0 23 68 13 F0 04 0F E6 D0 0A 42 02 D0 23 68 0B 42 E1 D0 01 20 BD E8 F0 88 }
	condition:
		$1
}

rule file_8_46_3 {
	meta:
		name = "__current_exception"
		size = 16
		refs = "0006 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 10 30 BD E8 00 88 }
	condition:
		$1
}

rule file_8_47_3 {
	meta:
		name = "__current_exception_context"
		size = 16
		refs = "0006 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 14 30 BD E8 00 88 }
	condition:
		$1
}

rule file_8_48_3 {
	meta:
		name = "__processing_throw"
		size = 16
		refs = "0006 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 18 30 BD E8 00 88 }
	condition:
		$1
}

rule file_8_50_3 {
	meta:
		name = "__uncaught_exception"
		size = 24
		refs = "0006 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 83 69 0B B1 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_8_51_3 {
	meta:
		name = "__uncaught_exceptions"
		size = 16
		refs = "0006 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 80 69 BD E8 00 88 }
	condition:
		$1
}

rule file_8_52_3 {
	meta:
		name = "_is_exception_typeof"
		size = 136
		refs = "0052 strcmp 0068 terminate"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 07 46 89 B3 09 68 69 B3 0A 68 1C 4B 9A 42 27 D1 0B 69 04 2B 24 D1 4A 69 17 4B 9A 42 05 D0 15 4B 9A 42 02 D0 12 4B 9A 42 1A D1 D1 E9 07 35 DB 68 2B 44 1C 68 1E 1D 0C E0 56 F8 04 3B 07 F1 08 00 2B 44 5B 68 2B 44 03 F1 08 01 ?? ?? ?? ?? 28 B1 64 1E 00 2C F0 DC 00 20 BD E8 F0 88 01 20 FB E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FE DE FE DE 22 05 93 19 21 05 93 19 20 05 93 19 63 73 6D E0 }
	condition:
		$1
}

rule file_9_2_3 {
	meta:
		name = "??0DName@@QAA@AAPBDD@Z"
		size = 192
		refs = "008c ?doPchar@DName@@AAAXPBDH@Z 00bc ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 4F F0 00 08 04 46 80 F8 04 80 63 68 0D 46 C0 F8 00 80 23 F4 7F 43 63 60 28 68 17 46 00 28 44 D0 90 F9 00 30 FB B3 23 4E 00 22 29 68 91 F9 00 30 BB 42 25 D0 5F 2B 1C D0 24 2B 1A D0 3C 2B 18 D0 3E 2B 16 D0 2D 2B 14 D0 61 2B 01 DB 7A 2B 10 DD 41 2B 01 DB 5A 2B 0C DD 30 2B 01 DB 39 2B 08 DD DB B2 80 2B 01 D3 FE 2B 03 D9 33 68 13 F4 80 3F 1B D0 4B 1C 2B 60 93 F9 00 30 52 1C 00 2B D4 D1 01 46 20 46 ?? ?? ?? ?? 2B 68 93 F9 00 20 42 B1 03 F1 01 03 2B 60 BA 42 09 D0 03 23 C4 F8 00 80 04 E0 23 79 1B B9 01 23 00 E0 02 23 23 71 20 46 BD E8 F8 89 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_3_3 {
	meta:
		name = "??0DName@@QAA@ABV0@@Z"
		size = 18
		altNames = "??4DName@@QAAAAV0@ABV0@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 68 03 60 4B 68 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_4_3 {
	meta:
		name = "??0DName@@QAA@D@Z"
		size = 50
		refs = "0024 ?doPchar@DName@@AAAXPBDH@Z"
		altNames = "??4DName@@QAAAAV0@D@Z"
	strings:
		$1 = { 03 B4 2D E9 18 48 0D F1 08 0B 04 46 00 23 23 71 23 60 63 68 8D F8 14 10 23 F4 7F 43 63 60 19 B1 05 A9 01 22 ?? ?? ?? ?? 20 46 BD E8 18 08 5D F8 0C FB }
	condition:
		$1
}

rule file_9_5_3 {
	meta:
		name = "??0DName@@QAA@PAV0@@Z"
		size = 88
		refs = "0014 ?getMemory@_HeapManager@@QAAPAXIH@Z 0050 ??_7pDNameNode@@6B@ 0054 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 46 04 46 B5 B1 11 48 00 22 08 21 ?? ?? ?? ?? 48 B1 0D 4B 03 60 2B 79 02 2B 01 D0 03 2B 00 D1 00 25 45 60 00 E0 00 20 20 60 08 B1 00 23 03 E0 03 23 01 E0 00 23 23 60 23 71 63 68 20 46 23 F4 7F 43 63 60 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_6_3 {
	meta:
		name = "??0DName@@QAA@PBD@Z"
		size = 56
		refs = "002e ?doPchar@DName@@AAAXPBDH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 00 23 23 71 23 60 63 68 23 F4 7F 43 63 60 59 B1 91 F9 00 30 00 22 3B B1 52 1C 53 56 00 2B FB D1 12 B1 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_7_3 {
	meta:
		name = "??0DName@@QAA@W4DNameStatus@@@Z"
		size = 62
		refs = "002c ?make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 63 68 02 29 23 F4 7F 43 63 60 03 D0 03 29 18 BF 00 23 00 D1 0B 46 23 71 00 23 23 60 01 29 06 D1 01 20 ?? ?? ?? ?? 20 60 08 B9 03 23 23 71 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_8_3 {
	meta:
		name = "??0DName@@QAA@XZ"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 03 60 03 71 43 68 23 F4 7F 43 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_9_3 {
	meta:
		name = "??0DName@@QAA@_J@Z"
		size = 130
		refs = "0008 __security_push_cookie 0044 __rt_udiv64 0072 ?doPchar@DName@@AAAXPBDH@Z 007a __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 88 B0 1E 46 00 23 05 46 2B 71 69 68 0D F1 1D 04 17 46 21 F4 7F 41 C5 E9 00 31 8D F8 1D 30 98 46 00 2E 05 DC 04 DA 7F 42 63 EB 06 06 4F F0 01 08 33 46 3A 46 00 21 0A 20 ?? ?? ?? ?? 01 93 02 F1 30 03 04 F8 01 3D 50 EA 01 03 0E 46 07 46 EF D1 B8 F1 00 0F 02 D0 64 1E 2D 23 23 70 0D F1 1D 03 1A 1B 21 46 28 46 ?? ?? ?? ?? 28 46 08 B0 ?? ?? ?? ?? BD E8 F0 89 }
	condition:
		$1
}

rule file_9_10_3 {
	meta:
		name = "??0DName@@QAA@_K@Z"
		size = 96
		refs = "0008 __security_push_cookie 0030 __rt_udiv64 0050 ?doPchar@DName@@AAAXPBDH@Z 0058 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 89 B0 1E 46 07 AD 00 23 04 46 23 71 61 68 17 46 21 F4 7F 41 C4 E9 00 31 8D F8 1C 30 33 46 3A 46 00 21 0A 20 ?? ?? ?? ?? 01 93 02 F1 30 03 05 F8 01 3D 50 EA 01 03 0E 46 07 46 EF D1 07 AB 5A 1B 29 46 20 46 ?? ?? ?? ?? 20 46 09 B0 ?? ?? ?? ?? BD E8 F0 88 }
	condition:
		$1
}

rule file_9_12_3 {
	meta:
		name = "??0DNameStatusNode@@AAA@W4DNameStatus@@@Z"
		size = 32
		refs = "001c ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 01 29 C0 E9 00 31 08 BF 04 23 18 BF 00 23 83 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_13_3 {
	meta:
		name = "??0Replicator@@QAA@XZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 03 03 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_14_3 {
	meta:
		name = "??0UnDecorator@@QAA@PADPBDHP6APADJ@ZK@Z"
		size = 64
		refs = "003c ?pArgList@UnDecorator@@0PAVReplicator@@A"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 6F F0 00 04 04 60 C4 62 0A 4C C4 E9 03 22 09 B1 61 61 01 E0 00 23 63 61 A3 61 00 F1 2C 03 C4 E9 00 03 05 9B E3 61 04 9B 63 62 00 23 84 F8 20 30 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_15_3 {
	meta:
		name = "??0charNode@@QAA@D@Z"
		size = 20
		refs = "0010 ??_7charNode@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 01 71 03 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_16_3 {
	meta:
		name = "??0pDNameNode@@QAA@PAVDName@@@Z"
		size = 36
		refs = "0020 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4B 03 60 29 B1 0B 79 02 2B 01 D0 03 2B 00 D1 00 21 41 60 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_17_3 {
	meta:
		name = "??0pairNode@@QAA@PAVDNameNode@@0@Z"
		size = 28
		refs = "0018 ??_7pairNode@@6B@"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B C0 E9 00 31 6F F0 00 03 C0 E9 02 23 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_18_3 {
	meta:
		name = "??0pcharNode@@QAA@PBDH@Z"
		size = 80
		refs = "001c ?getMemory@_HeapManager@@QAAPAXIH@Z 0048 ?heap@@3V_HeapManager@@A 004c ??_7pcharNode@@6B@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 10 4B 15 46 04 46 23 60 0E 46 95 B1 8E B1 0C 48 00 22 29 46 ?? ?? ?? ?? C4 E9 01 05 38 B1 5D B1 32 1A 13 5C 6D 1E 00 F8 01 3B FA D1 04 E0 00 23 01 E0 00 23 63 60 A3 60 20 46 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_22_3 {
	meta:
		name = "??4DName@@QAAAAV0@PAV0@@Z"
		size = 84
		refs = "0022 ?getMemory@_HeapManager@@QAAPAXIH@Z 004c ??_7pDNameNode@@6B@ 0050 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 00 23 23 71 23 60 63 68 0D 46 23 F4 7F 43 63 60 95 B1 0C 48 00 22 08 21 ?? ?? ?? ?? 48 B1 08 4B 03 60 2B 79 02 2B 01 D0 03 2B 00 D1 00 25 45 60 00 E0 00 20 20 60 08 B9 03 23 23 71 20 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_23_3 {
	meta:
		name = "??4DName@@QAAAAV0@PBD@Z"
		size = 52
		refs = "002a ?doPchar@DName@@AAAXPBDH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 00 23 23 71 23 60 63 68 00 22 23 F4 7F 43 63 60 91 F9 00 30 01 E0 52 1C 53 56 00 2B FB D1 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_24_3 {
	meta:
		name = "??4DName@@QAAAAV0@W4DNameStatus@@@Z"
		size = 50
		refs = "001a ?make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 63 68 01 29 23 F4 7F 43 63 60 21 71 07 D1 01 20 ?? ?? ?? ?? 20 60 20 B9 03 23 23 71 01 E0 00 23 23 60 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_25_3 {
	meta:
		name = "??AReplicator@@QBA?AVDName@@H@Z"
		size = 128
	strings:
		$1 = { 2D E9 00 48 EB 46 09 2A 21 D8 03 68 B3 F1 FF 3F 09 D0 9A 42 07 DC 00 EB 82 03 5A 68 13 68 0B 60 53 68 4B 60 29 E0 4B 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 4B 60 02 23 12 E0 4B 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 4B 60 03 23 0B 71 00 23 0B 60 08 46 BD E8 00 88 }
	condition:
		$1
}

rule file_9_26_3 {
	meta:
		name = "??BUnDecorator@@QAAPADXZ"
		size = 352
		refs = "003e ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0048 ??0DName@@QAA@PBD@Z 0058 ??YDName@@QAAAAV0@ABV0@@Z 006a ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00d6 ??4DName@@QAAAAV0@PBD@Z 00ec _guard_check_icall 0114 ?getString@DName@@QBAPADPADH@Z 0154 ?heap@@3V_HeapManager@@A 0158 ??_C@_04HEJADOOB@CV?3?5?$AA@ 015c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 89 B0 00 23 00 93 01 9B 52 4E 03 9A 6F F3 0F 03 01 93 73 68 00 25 6F F3 0F 02 C3 B3 93 F9 00 30 3F 2B 2F D1 73 68 93 F9 01 30 40 2B 15 D1 33 68 04 A8 9B 1C 33 60 ?? ?? ?? ?? 45 49 04 46 06 A8 ?? ?? ?? ?? 03 68 21 46 02 93 43 68 02 A8 03 93 ?? ?? ?? ?? DD E9 02 52 19 E0 24 2B 1C D1 06 A8 00 21 ?? ?? ?? ?? D0 E9 00 52 D3 B2 02 2B 07 D0 33 69 13 F4 80 5F 0A D1 33 68 93 F9 00 30 33 B1 73 68 33 60 06 A8 ?? ?? ?? ?? D0 E9 00 52 D3 B2 03 2B 0D D1 00 21 54 E0 3F 2B F3 D1 73 68 93 F9 02 30 40 2B EE D1 02 23 63 F3 0F 02 00 25 EE E7 02 2B 0A D0 33 69 13 F4 80 5F 03 D1 33 68 93 F9 00 30 13 B9 CD E9 00 52 04 E0 71 68 68 46 ?? ?? ?? ?? 00 9D B1 68 B9 B9 0D B9 00 20 06 E0 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 43 1C F3 60 DD 1D 16 4B 1C 68 20 46 ?? ?? ?? ?? 25 F0 07 00 A0 47 01 46 B1 60 E1 B1 F2 68 68 46 ?? ?? ?? ?? B2 68 92 F9 00 30 11 46 83 B1 20 20 20 2B 06 D1 08 70 52 1C 92 F9 00 30 20 2B FA D0 01 E0 0B 70 52 1C 92 F9 00 30 49 1C 00 2B EF D1 13 78 0B 70 B1 68 08 46 09 B0 BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_27_3 {
	meta:
		name = "??H@YA?AVDName@@DABV0@@Z"
		size = 40
		refs = "000e ??0DName@@QAA@D@Z 001e ??YDName@@QAAAAV0@ABV0@@Z"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 05 46 68 46 14 46 ?? ?? ?? ?? 03 68 21 46 2B 60 43 68 28 46 6B 60 ?? ?? ?? ?? 28 46 BD E8 3C 88 }
	condition:
		$1
}

rule file_9_28_3 {
	meta:
		name = "??H@YA?AVDName@@PBDABV0@@Z"
		size = 40
		refs = "000e ??0DName@@QAA@PBD@Z 001e ??YDName@@QAAAAV0@ABV0@@Z"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 05 46 68 46 14 46 ?? ?? ?? ?? 03 68 21 46 2B 60 43 68 28 46 6B 60 ?? ?? ?? ?? 28 46 BD E8 3C 88 }
	condition:
		$1
}

rule file_9_29_3 {
	meta:
		name = "??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z"
		size = 40
		refs = "000e ??0DName@@QAA@W4DNameStatus@@@Z 001e ??YDName@@QAAAAV0@ABV0@@Z"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 05 46 68 46 14 46 ?? ?? ?? ?? 03 68 21 46 2B 60 43 68 28 46 6B 60 ?? ?? ?? ?? 28 46 BD E8 3C 88 }
	condition:
		$1
}

rule file_9_30_3 {
	meta:
		name = "??HDName@@QBA?AV0@ABV0@@Z"
		size = 32
		refs = "0016 ??YDName@@QAAAAV0@ABV0@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 68 0C 46 11 46 23 60 43 68 20 46 63 60 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_31_3 {
	meta:
		name = "??HDName@@QBA?AV0@D@Z"
		size = 32
		refs = "0016 ??YDName@@QAAAAV0@D@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 68 0C 46 11 46 23 60 43 68 20 46 63 60 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_32_3 {
	meta:
		name = "??HDName@@QBA?AV0@PAV0@@Z"
		size = 32
		refs = "0016 ??YDName@@QAAAAV0@PAV0@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 68 0C 46 11 46 23 60 43 68 20 46 63 60 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_33_3 {
	meta:
		name = "??HDName@@QBA?AV0@PBD@Z"
		size = 32
		refs = "0016 ??YDName@@QAAAAV0@PBD@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 68 0C 46 11 46 23 60 43 68 20 46 63 60 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_34_3 {
	meta:
		name = "??HDName@@QBA?AV0@W4DNameStatus@@@Z"
		size = 32
		refs = "0016 ??YDName@@QAAAAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 68 0C 46 11 46 23 60 43 68 20 46 63 60 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_35_3 {
	meta:
		name = "??YDName@@QAAAAV0@ABV0@@Z"
		size = 60
		refs = "001a ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0032 ?append@DName@@AAAXPAVDNameNode@@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 90 F9 04 30 04 46 01 2B 11 DC 0A 68 22 B9 91 F9 04 10 ?? ?? ?? ?? 0A E0 23 68 23 B9 0B 68 23 60 4B 68 63 60 03 E0 11 46 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_36_3 {
	meta:
		name = "??YDName@@QAAAAV0@D@Z"
		size = 100
		refs = "0032 ?doPchar@DName@@AAAXPBDH@Z 003e ?getMemory@_HeapManager@@QAAPAXIH@Z 0052 ?append@DName@@AAAXPAVDNameNode@@@Z 005c ??_7charNode@@6B@ 0060 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 90 F9 04 30 0D 46 04 46 01 2B 20 DC FD B1 23 68 73 B9 00 23 23 71 23 60 63 68 8D F8 00 10 23 F4 7F 43 63 60 9D B1 69 46 01 22 ?? ?? ?? ?? 0E E0 09 48 00 22 08 21 ?? ?? ?? ?? 18 B1 05 4B 05 71 03 60 00 E0 00 20 01 46 20 46 ?? ?? ?? ?? 20 46 BD E8 3C 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_37_3 {
	meta:
		name = "??YDName@@QAAAAV0@PAV0@@Z"
		size = 108
		refs = "001a ??4DName@@QAAAAV0@PAV0@@Z 002e ??YDName@@QAAAAV0@W4DNameStatus@@@Z 003a ?getMemory@_HeapManager@@QAAPAXIH@Z 005a ?append@DName@@AAAXPAVDNameNode@@@Z 0064 ??_7pDNameNode@@6B@ 0068 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 90 F9 04 30 0C 46 05 46 01 2B 24 DC 1C B3 2B 68 13 B9 ?? ?? ?? ?? 1E E0 63 68 DA B2 32 B1 01 2A 04 D0 59 B2 28 46 ?? ?? ?? ?? 14 E0 0C 48 00 22 08 21 ?? ?? ?? ?? 48 B1 08 4B 03 60 23 79 02 2B 01 D0 03 2B 00 D1 00 24 44 60 00 E0 00 20 01 46 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_38_3 {
	meta:
		name = "??YDName@@QAAAAV0@PBD@Z"
		size = 96
		refs = "0020 ??4DName@@QAAAAV0@PBD@Z 002c ?getMemory@_HeapManager@@QAAPAXIH@Z 0044 ??0pcharNode@@QAA@PBDH@Z 0050 ?append@DName@@AAAXPAVDNameNode@@@Z 005c ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 90 F9 04 30 0C 46 05 46 01 2B 1F DC F4 B1 91 F9 00 30 DB B1 2B 68 13 B9 ?? ?? ?? ?? 16 E0 0D 48 00 22 0C 21 ?? ?? ?? ?? 58 B1 94 F9 00 30 00 22 01 E0 52 1C 13 57 00 2B FB D1 21 46 ?? ?? ?? ?? 00 E0 00 20 01 46 28 46 ?? ?? ?? ?? 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_39_3 {
	meta:
		name = "??YDName@@QAAAAV0@W4DNameStatus@@@Z"
		size = 60
		refs = "0022 ?make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z 002a ?append@DName@@AAAXPAVDNameNode@@@Z 0032 ??4DName@@QAAAAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 90 F9 04 30 04 46 01 2B 11 DC 23 68 63 B1 02 29 0A D0 03 29 08 D0 51 B1 08 46 ?? ?? ?? ?? 01 46 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_40_3 {
	meta:
		name = "??YReplicator@@QAAAAV0@ABVDName@@@Z"
		size = 72
		refs = "001c ?getMemory@_HeapManager@@QAAPAXIH@Z 0044 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 23 68 0D 46 09 2B 14 D0 2B 68 93 B1 0B 48 00 22 08 21 ?? ?? ?? ?? 20 B1 2B 68 03 60 6B 68 43 60 00 E0 00 20 28 B1 23 68 5B 1C 23 60 04 EB 83 03 58 60 20 46 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_41_3 {
	meta:
		name = "??_5DName@@QAAAAV0@ABV0@@Z"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 03 79 03 2B 04 D0 4B 68 5B B2 01 2B 00 DD 03 71 BD E8 00 88 }
	condition:
		$1
}

rule file_9_42_3 {
	meta:
		name = "?Constructor@_HeapManager@@QAAXP6APAXI@ZP6AXPAX@Z@Z"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 03 33 C0 E9 01 23 01 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_43_3 {
	meta:
		name = "?Destructor@_HeapManager@@QAAXXZ"
		size = 48
		refs = "001c _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 06 46 73 68 73 B1 09 E0 F3 68 75 68 F4 68 1B 68 28 46 B3 60 ?? ?? ?? ?? 20 46 A8 47 B3 68 00 2B F3 60 F1 D1 BD E8 78 88 }
	condition:
		$1
}

rule file_9_44_3 {
	meta:
		name = "?UScore@UnDecorator@@SAPBDW4Tokens@@@Z"
		size = 44
		refs = "0024 ?tokenTable@@3QBQBDB 0028 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 4B 1B 68 13 F0 01 0F 05 4B 02 D1 53 F8 20 00 02 E0 53 F8 20 30 98 1C BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_45_3 {
	meta:
		name = "?append@DName@@AAAXPAVDNameNode@@@Z"
		size = 68
		refs = "0014 ?getMemory@_HeapManager@@QAAPAXIH@Z 003c ??_7pairNode@@6B@ 0040 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 46 04 46 8D B1 0C 48 00 22 10 21 ?? ?? ?? ?? 40 B1 08 4B 22 68 C0 E9 01 25 03 60 6F F0 00 03 C3 60 00 E0 00 20 20 60 08 B9 03 23 23 71 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_46_3 {
	meta:
		name = "?composeDeclaration@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 2832
		refs = "001c ?getTypeEncoding@UnDecorator@@CAHXZ 0062 ??0DName@@QAA@W4DNameStatus@@@Z 0072 ??YDName@@QAAAAV0@ABV0@@Z 0106 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 0110 ??0DName@@QAA@D@Z 0162 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0172 ??YDName@@QAAAAV0@D@Z 0190 ?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ 01c8 ??YDName@@QAAAAV0@PBD@Z 01e0 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 0330 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 0414 ?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z 0420 ??0DName@@QAA@PBD@Z 045a ?getMemory@_HeapManager@@QAAPAXIH@Z 0572 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 05ce ?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ 0608 ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ 0634 ?getDispatchTarget@UnDecorator@@CA?AVDName@@XZ 0698 ?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z 0716 ?getScope@UnDecorator@@CA?AVDName@@XZ 0842 ?getExternalDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0ac0 ??_C@_08GPDDCMKI@public?3?5?$AA@ 0ac4 ??_C@_0M@GAIFPFIP@protected?3?5?$AA@ 0ac8 ??_C@_09LAPHOOG@private?3?5?$AA@ 0acc ?gName@UnDecorator@@0PBDB 0ad0 ??_C@_08NIEOINHE@virtual?5?$AA@ 0ad4 ??_C@_07PGOEDBHP@static?5?$AA@ 0ad8 ??_C@_0M@DHNBOJMP@extern?5?$CCC?$CC?5?$AA@ 0adc ??_C@_08KJLFOPNE@?$FLthunk?$FN?3?$AA@ 0ae0 ??_C@_01CLKCMJKC@?5?$AA@ 0ae4 ??_C@_0DA@HGFJFBBE@?$GAtemplate?5static?5data?5member?5des@ 0ae8 ??_C@_0DB@ILEFOCIJ@?$GAtemplate?5static?5data?5member?5con@ 0aec ??_C@_0CB@KJDOOODE@?$GAlocal?5static?5destructor?5helper?8@ 0af0 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 0af4 ??_C@_02IGFCGPIL@?$HN?8?$AA@ 0af8 ??_C@_03OPGICMGF@?$HN?8?5?$AA@ 0afc ??_C@_0L@HNGCOGAE@?$GAadjustor?$HL?$AA@ 0b00 ??_C@_0L@GHPFDFH@?$GAvtordisp?$HL?$AA@ 0b04 ??_C@_0N@CBHHHENL@?$GAvtordispex?$HL?$AA@ 0b08 ?heap@@3V_HeapManager@@A 0b0c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 9B B0 0B 9C 00 23 0F 46 6F F3 0F 04 CD E9 0A 34 06 46 02 93 ?? ?? ?? ?? 3B 68 05 46 4F F4 00 72 2B B1 7B 68 13 42 02 D0 01 22 06 92 01 E0 00 23 06 93 4F F6 FF 73 9D 42 09 D1 73 68 23 F4 7F 43 73 60 02 23 33 71 00 23 33 60 00 F0 3B BC 4F F6 FE 73 9D 42 0D D1 18 A8 01 21 ?? ?? ?? ?? 03 68 39 46 33 60 43 68 30 46 73 60 ?? ?? ?? ?? 00 F0 29 BC 4F F6 FD 73 9D 42 05 D1 3B 68 33 60 7B 68 73 60 00 F0 1F BC 15 F4 00 48 4F F4 C0 5A 4F F4 00 69 4F F4 80 51 4F F4 D8 50 4F F4 88 5E 00 F0 E7 82 05 EA 0A 02 04 92 4A 45 02 D1 4F F4 80 63 00 E0 0B 46 2B 42 04 D0 05 EA 00 03 8B 42 00 F0 D7 82 4A 45 02 D1 4F F4 80 63 00 E0 0B 46 2B 42 08 D0 05 EA 00 03 73 45 00 F0 CA 82 B3 F5 90 5F 00 F0 C6 82 02 20 15 F4 80 4F 2A D0 DF F8 D4 39 1B 69 03 42 17 D1 13 F0 08 0F 14 D1 18 A8 ?? ?? ?? ?? 04 46 16 A8 20 21 ?? ?? ?? ?? 03 68 21 46 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? DD E9 12 34 02 93 0A 93 08 E0 18 A8 ?? ?? ?? ?? 42 68 53 B2 01 2B 02 DD 62 F3 07 04 0B 94 05 EA 0A 02 4F F4 80 51 4A 45 02 D1 4F F4 80 63 00 E0 0B 46 2B 42 71 D0 52 45 6F D1 18 A8 00 21 ?? ?? ?? ?? 3B 68 12 A8 7B 21 12 93 7B 68 13 93 ?? ?? ?? ?? 12 9B 18 A9 10 A8 10 93 13 9B 11 93 ?? ?? ?? ?? 10 A9 0A A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? DF F8 34 29 4F F4 80 54 13 69 23 42 18 D1 16 A8 2C 21 ?? ?? ?? ?? 03 68 18 A9 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? 12 9B DF F8 38 19 10 A8 10 93 13 9B 11 93 ?? ?? ?? ?? 10 A9 0A A8 ?? ?? ?? ?? DF F8 1C 19 0A A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? DF F8 E4 18 0B 69 13 F0 02 0F 23 D1 13 F0 10 0F 20 D1 23 42 1E D1 16 A8 20 21 ?? ?? ?? ?? 03 68 18 A9 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? 12 9B 10 A8 20 21 10 93 13 9B 11 93 ?? ?? ?? ?? 10 9B 12 93 11 9B 0A A9 12 A8 13 93 ?? ?? ?? ?? DD E9 12 74 08 E3 DD E9 0A 74 08 E3 00 23 10 93 11 9B DD F8 3C A0 00 20 6F F3 0F 03 11 93 00 23 12 93 13 9B 6F F3 0F 0A 08 90 6F F3 0F 03 13 93 00 23 0C 93 0D 9B CD F8 3C A0 6F F3 0F 03 0D 93 19 9B 6F F3 0F 03 09 93 00 23 0E 93 4A 45 01 D1 4F F4 80 61 29 42 31 D0 4A 45 4F F4 E0 61 24 D1 05 EA 01 03 B3 F5 C0 6F 10 D1 16 A8 01 21 ?? ?? ?? ?? 16 9B 16 A8 01 21 10 93 17 9B 11 93 ?? ?? ?? ?? 16 9B 12 93 17 9B 13 93 06 E0 4A 45 0C D1 05 EA 01 03 B3 F5 A0 6F 07 D1 16 A8 01 21 ?? ?? ?? ?? 16 9B 0C 93 17 9B 0D 93 16 A8 01 21 ?? ?? ?? ?? 16 9B 04 9A 08 93 17 9B 09 93 4A 45 40 D1 05 F4 E0 63 B3 F5 00 7F 3B D0 DF F8 CC 37 DF F8 08 28 1B 69 03 F0 60 03 60 2B 17 D0 00 23 14 93 15 9B 16 A9 6F F3 0F 03 15 93 00 23 16 93 17 9B 6F F3 0F 03 17 93 01 23 00 93 14 AB 18 A8 ?? ?? ?? ?? 18 9B 0E 93 19 9B 0F 93 1A E0 00 23 16 93 17 9B 14 A9 18 A8 6F F3 0F 03 17 93 00 23 14 93 15 9B 6F F3 0F 03 15 93 01 23 00 93 16 AB ?? ?? ?? ?? 19 9A 53 B2 01 2B 03 DD 62 F3 07 0A CD F8 3C A0 DF F8 54 A7 DA F8 10 30 13 F0 02 0F 12 D1 13 F0 10 0F 0F D1 18 A8 ?? ?? ?? ?? 03 68 0A A9 02 93 43 68 02 A8 03 93 ?? ?? ?? ?? DD E9 02 23 CD E9 0A 23 0D E0 18 A8 ?? ?? ?? ?? E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 0B 94 02 9A 3B 68 D3 B1 AA B1 DA F8 10 30 13 F4 80 5F 10 D1 18 A8 20 21 ?? ?? ?? ?? 03 68 39 46 16 93 43 68 16 A8 17 93 ?? ?? ?? ?? 16 A9 0A A8 ?? ?? ?? ?? 03 E0 3B 68 0A 93 7B 68 0B 93 19 9B 00 27 4F F0 00 0A 6F F3 0F 03 02 93 06 9B 03 B3 18 A8 00 21 ?? ?? ?? ?? DF F8 C4 16 04 46 14 A8 ?? ?? ?? ?? 03 68 21 46 16 93 43 68 16 A8 17 93 ?? ?? ?? ?? 16 A9 0A A8 ?? ?? ?? ?? DF F8 8C 26 4F F4 80 51 13 69 0B 42 1E D0 0A 9B 33 60 0B 9B 1A E6 DF F8 B4 06 00 22 08 21 ?? ?? ?? ?? 82 46 38 B1 00 23 03 60 03 71 43 68 23 F4 7F 43 43 60 01 E0 4F F0 00 0A 18 A8 51 46 ?? ?? ?? ?? D0 E9 00 73 4F F4 80 51 02 93 04 9A 4A 45 01 D1 4F F4 80 61 29 42 6C D0 4A 45 4F F4 E0 61 56 D1 05 EA 01 03 B3 F5 C0 6F 30 D1 DF F8 58 16 18 A8 ?? ?? ?? ?? 03 68 10 A9 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 9B 10 A8 2C 21 10 93 07 9B 11 93 ?? ?? ?? ?? 10 9B 12 A9 06 A8 06 93 11 9B 07 93 ?? ?? ?? ?? 06 9B 12 A8 2C 21 12 93 07 9B 13 93 ?? ?? ?? ?? 12 9B 0C A9 10 A8 10 93 13 9B 11 93 ?? ?? ?? ?? 10 9B 16 93 11 9B 16 E0 4A 45 1E D1 05 EA 01 03 B3 F5 A0 6F 19 D1 DF F8 E4 15 18 A8 ?? ?? ?? ?? 03 68 0C A9 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? 12 9B 16 93 13 9B 16 A8 2C 21 17 93 ?? ?? ?? ?? 16 A9 0A A8 ?? ?? ?? ?? 04 E0 DF F8 AC 15 0A A8 ?? ?? ?? ?? 08 9B DF F8 9C 15 16 A8 16 93 09 9B 17 93 ?? ?? ?? ?? 16 A9 0A A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 04 46 16 A8 28 21 ?? ?? ?? ?? 03 68 21 46 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? 12 9B 16 A8 29 21 16 93 13 9B 17 93 ?? ?? ?? ?? 16 A9 0A A8 ?? ?? ?? ?? 04 9B 4B 45 08 D1 05 F4 E0 63 B3 F5 00 7F 03 D0 0E A9 0A A8 ?? ?? ?? ?? DF F8 08 35 1B 69 13 F4 00 2F 08 D1 18 A8 ?? ?? ?? ?? 01 46 0A A8 ?? ?? ?? ?? 0B 9C 0D E0 18 A8 ?? ?? ?? ?? 0B 9C E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 0B 94 DF F8 D0 34 1B 69 13 F4 80 7F 08 D1 18 A8 ?? ?? ?? ?? 01 46 0A A8 ?? ?? ?? ?? 0B 9C 0C E0 18 A8 ?? ?? ?? ?? E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 0B 94 18 A8 ?? ?? ?? ?? E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 0B 94 DF F8 7C 14 0B 69 13 F0 04 0F 0B D1 BA F1 00 0F 08 D0 0A 9B CA E9 00 34 02 9B 4F F4 C0 5A 1C 46 0B 93 EE E0 0A 9F 4F F4 C0 5A EB E0 0A A8 39 46 ?? ?? ?? ?? 4F F4 F8 42 B8 F1 00 0F 33 D1 05 EA 02 03 B3 F5 D0 4F 04 D1 0A A9 30 46 ?? ?? ?? ?? 16 E1 B8 F1 00 0F 26 D1 05 EA 02 03 B3 F5 E0 4F F2 D0 4F F4 C0 41 8B 42 1F D1 18 A8 00 21 ?? ?? ?? ?? 0A 9B 12 A8 7B 21 12 93 0B 9B 13 93 ?? ?? ?? ?? 12 9B 18 A9 10 A8 10 93 13 9B 11 93 ?? ?? ?? ?? 10 9B DF F8 10 14 30 46 33 60 11 9B 73 60 ?? ?? ?? ?? EC E0 4F F4 C0 41 B8 F1 00 0F 33 D1 05 EA 02 03 93 42 1B D1 0A 9B FA 49 30 46 33 60 0B 9B 73 60 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 01 46 30 46 ?? ?? ?? ?? 7D 21 30 46 ?? ?? ?? ?? E8 49 0A 68 12 F9 01 3B 40 2B 40 F0 CA 80 0A 60 C7 E0 0D 42 15 D1 4F F4 80 6E 73 46 4F F4 80 54 2B 42 4F F4 D8 57 12 D0 B8 F1 00 0F 23 D0 05 EA 07 03 A3 42 0B D1 E2 49 34 E0 05 EA 0A 03 4B 45 E9 D0 4F F4 80 54 23 46 4F F4 80 6E E8 E7 B8 F1 00 0F 10 D0 05 EA 0A 03 4B 45 0E D0 23 46 2B 42 0D D0 B8 F1 00 0F 21 D0 05 EA 07 03 B3 F5 88 5F 05 D1 D2 49 16 E0 0D 42 F0 D1 73 46 EF E7 B8 F1 00 0F 13 D0 05 EA 0A 03 4B 45 11 D0 23 46 2B 42 10 D0 B8 F1 00 0F 10 D0 05 EA 07 03 B3 F5 90 5F 08 D1 C5 49 0A A8 ?? ?? ?? ?? 0C E0 0D 42 ED D1 73 46 EC E7 B8 F1 00 0F 08 D1 05 EA 02 03 B3 F5 F0 4F 3F F4 2D AE B8 F1 00 0F 04 D0 05 EA 0A 03 4B 45 03 D0 04 E0 15 F4 C0 4F 01 D1 4F F4 80 64 2C 42 17 D0 B8 F1 00 0F 14 D0 05 EA 07 03 B3 F5 88 5F 07 D0 B8 F1 00 0F 0C D0 05 EA 07 03 B3 F5 90 5F 07 D1 AC 49 18 A8 ?? ?? ?? ?? 03 68 12 93 43 68 F4 E4 0A A9 18 A8 ?? ?? ?? ?? D0 E9 00 74 A0 49 0B 94 0A 97 B8 F1 00 0F 3E D0 05 EA 0A 03 4B 45 3E D0 4F F4 C0 43 9A 49 B8 F1 00 0F 00 F0 21 81 05 EA 0A 03 4B 45 00 F0 1F 81 4F F4 80 52 13 46 2B 42 12 D0 0B 69 13 42 0F D1 95 49 18 A8 ?? ?? ?? ?? 03 68 0A A9 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? DD E9 12 74 CD E9 0A 74 15 F4 80 3F 0D D0 8A 49 18 A8 ?? ?? ?? ?? 03 68 0A A9 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? DD E9 12 74 C6 E9 00 74 30 46 1B B0 BD E8 F0 8F 4F F4 C0 43 1D 42 C2 D1 0B 69 4F F4 00 72 13 42 7D D1 B8 F1 00 0F 04 D0 05 EA 0A 03 4B 45 03 D0 1B E0 15 F4 C0 4F 18 D1 B8 F1 00 0F 05 D0 4F F4 E0 60 05 EA 00 03 93 42 11 D1 71 49 18 A8 ?? ?? ?? ?? 03 68 0A A9 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? DD E9 12 74 CD E9 0A 74 4F F4 E0 60 B8 F1 00 0F 18 D0 05 EA 00 03 B3 F5 80 7F 3F D0 05 EA 0A 03 4B 45 4F F4 C0 42 11 D0 4F F4 80 53 4F F4 80 61 2B 42 43 D0 B8 F1 00 0F 0C D0 05 EA 0A 03 4B 45 0A D0 0E E0 4F F4 C0 42 15 42 ED D1 4F F4 80 61 0B 46 ED E7 15 42 04 D1 05 EA 00 03 B3 F5 A0 6F 1C D0 B8 F1 00 0F 04 D0 05 EA 0A 03 4B 45 02 D0 06 E0 15 42 04 D1 05 EA 00 03 B3 F5 C0 6F 0D D0 B8 F1 00 0F 04 D0 05 EA 0A 03 4B 45 02 D0 15 E0 15 42 13 D1 05 EA 00 03 8B 42 0F D1 43 49 18 A8 ?? ?? ?? ?? 03 68 0A A9 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? DD E9 12 74 CD E9 0A 74 3A 49 0B 69 13 F0 80 0F 5D D1 C0 20 B8 F1 00 0F 18 D0 05 EA 0A 03 4B 45 18 D0 4F F4 C0 43 B8 F1 00 0F 30 D0 05 EA 0A 03 4B 45 2E D0 4F F4 C0 43 B8 F1 00 0F 38 D0 05 EA 0A 03 4B 45 4F F4 C0 43 35 D0 1E E7 4F F4 C0 43 1D 42 E8 D1 B8 F1 00 0F 04 D0 05 EA 00 03 40 2B 04 D0 DE E7 05 EA 0A 03 4B 45 DA D1 20 49 18 A8 ?? ?? ?? ?? 03 68 0A A9 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? DD E9 12 74 CD E9 0A 74 FA E6 1D 42 D2 D1 B8 F1 00 0F 04 D0 05 EA 00 03 80 2B 05 D0 C8 E7 05 EA 0A 03 B3 F5 80 5F C3 D1 0F 49 DE E7 1D 42 7F F4 EA AE B8 F1 00 0F 02 D0 05 42 04 D0 E3 E6 15 EA 0A 0F 7F F4 E0 AE 06 49 CF E7 4F F4 C0 43 DA E6 1D 42 7F F4 E1 AE 4F F4 80 52 4F F4 80 63 DE E6 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_47_3 {
	meta:
		name = "?doAccessSpecifiers@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F0 80 0F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_48_3 {
	meta:
		name = "?doAllocationLanguage@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F0 10 0F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_49_3 {
	meta:
		name = "?doAllocationModel@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F0 08 0F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_50_3 {
	meta:
		name = "?doEcsu@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F4 00 4F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_51_3 {
	meta:
		name = "?doEllipsis@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F4 80 2F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_52_3 {
	meta:
		name = "?doFunctionReturns@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F0 04 0F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_53_3 {
	meta:
		name = "?doMSKeywords@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F0 02 0F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_54_3 {
	meta:
		name = "?doMemberTypes@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F4 00 7F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_55_3 {
	meta:
		name = "?doNameOnly@UnDecorator@@SAHXZ"
		size = 24
		refs = "0014 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 1B 68 03 F4 80 50 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_56_3 {
	meta:
		name = "?doNoIdentCharCheck@UnDecorator@@SAHXZ"
		size = 24
		refs = "0014 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 1B 68 03 F4 80 30 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_57_3 {
	meta:
		name = "?doPchar@DName@@AAAXPBDH@Z"
		size = 116
		refs = "0032 ?getMemory@_HeapManager@@QAAPAXIH@Z 003c ??0pcharNode@@QAA@PBDH@Z 006c ??_7charNode@@6B@ 0070 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 23 68 15 46 0E 46 43 B1 63 68 23 F4 7F 43 63 60 03 23 23 71 00 23 23 60 20 E0 EE B1 E5 B1 11 48 01 2D 0E D0 00 22 0C 21 ?? ?? ?? ?? 20 B1 2A 46 31 46 ?? ?? ?? ?? 00 E0 00 20 20 60 70 B9 03 23 0B E0 00 22 08 21 ?? ?? ?? ?? 00 28 F4 D0 32 78 04 4B 02 71 03 60 F0 E7 02 23 23 71 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_58_3 {
	meta:
		name = "?doPtr64@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F4 00 3F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_59_3 {
	meta:
		name = "?doRestrictionSpec@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F4 00 2F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_60_3 {
	meta:
		name = "?doThisTypes@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 03 F0 60 03 60 2B 18 BF 01 20 08 BF 00 20 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_61_3 {
	meta:
		name = "?doThrowTypes@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F4 80 7F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_62_3 {
	meta:
		name = "?doTypeOnly@UnDecorator@@SAHXZ"
		size = 24
		refs = "0014 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 1B 68 03 F4 00 50 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_63_3 {
	meta:
		name = "?doUnderScore@UnDecorator@@SAHXZ"
		size = 32
		refs = "001c ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 05 4B 1B 68 13 F0 01 0F 08 BF 01 20 18 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_64_3 {
	meta:
		name = "?getArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 228
		refs = "0052 ??YDName@@QAAAAV0@D@Z 006e ??AReplicator@@QBA?AVDName@@H@Z 0076 ??YDName@@QAAAAV0@ABV0@@Z 008c ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 00a2 ??YReplicator@@QAAAAV0@ABVDName@@@Z 00d4 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 00e0 ?pArgList@UnDecorator@@0PAVReplicator@@A"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 4F F0 00 09 04 46 80 F8 04 90 63 68 4F F4 7F 47 4F F0 01 08 BB 43 63 60 DB B2 00 2B C0 F8 00 90 55 D1 2C 4D 00 21 4F F0 02 0A EA 68 92 F9 00 30 40 2B 4C D0 5A 2B 4A D0 B8 F1 00 0F 02 D0 4F F0 00 08 05 E0 2C 21 20 46 ?? ?? ?? ?? EA 68 00 21 12 F9 01 3B BB B3 30 3B 09 2B 0A D8 28 68 EA 60 1A 46 04 A9 ?? ?? ?? ?? 01 46 20 46 ?? ?? ?? ?? 22 E0 01 9B 00 91 69 46 6F F3 0F 03 02 A8 01 93 56 1E ?? ?? ?? ?? EB 68 9B 1B 01 2B 06 DD 28 68 03 68 09 2B 02 D0 02 A9 ?? ?? ?? ?? 02 A9 20 46 ?? ?? ?? ?? EA 68 B2 42 07 D1 63 68 C4 F8 00 90 BB 43 63 60 84 F8 04 A0 EA 68 23 79 4F F0 00 01 00 2B B3 D0 03 E0 01 21 20 46 ?? ?? ?? ?? 20 46 07 B0 BD E8 F0 8F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_65_3 {
	meta:
		name = "?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 180
		refs = "001c ?getArgumentList@UnDecorator@@CA?AVDName@@XZ 0060 ??YDName@@QAAAAV0@PBD@Z 0090 ??0DName@@QAA@PBD@Z 009c ??_C@_04GKJNKENE@void?$AA@ 00a0 ??_C@_0L@EGPHHEKN@?$DMellipsis?$DO?$AA@ 00a4 ??_C@_03KHICJKCI@?4?4?4?$AA@ 00a8 ??_C@_0M@ELJOJFFH@?0?$DMellipsis?$DO?$AA@ 00ac ??_C@_04EENFHACM@?0?4?4?4?$AA@ 00b0 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 29 4D 04 46 2B 68 13 F9 01 2B 58 2A 39 D0 5A 2A 2E D0 68 46 ?? ?? ?? ?? 01 9A D3 B2 23 BB 2B 68 13 F9 01 1B 01 B3 40 29 1D D0 5A 29 08 D0 63 68 23 F4 7F 43 63 60 02 23 23 71 00 23 23 60 25 E0 2B 60 2B 69 13 F4 80 2F 01 D1 16 49 00 E0 14 49 00 9B 68 46 CD E9 00 32 ?? ?? ?? ?? 00 9B 23 60 01 9B 63 60 12 E0 2B 60 00 9B C4 E9 00 32 0D E0 2B 60 2B 69 13 F4 80 2F 01 D1 08 49 03 E0 06 49 01 E0 04 49 2B 60 20 46 ?? ?? ?? ?? 20 46 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_66_3 {
	meta:
		name = "?getArrayType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 464
		refs = "0020 ?getNumberOfDimensions@UnDecorator@@CAHXZ 0034 ??0DName@@QAA@D@Z 0044 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0054 ??YDName@@QAAAAV0@D@Z 0078 ??YDName@@QAAAAV0@PBD@Z 009a ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00b4 ??YDName@@QAAAAV0@ABV0@@Z 012a ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 01b8 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 01c4 ??_C@_02GOGNNPBN@?$CJ?$FL?$AA@ 01c8 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 01cc ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8C B0 DF F8 C0 91 0E 46 05 46 D9 F8 00 30 93 F9 00 30 00 2B 00 F0 8E 80 ?? ?? ?? ?? 07 46 00 2F 01 DA 00 27 00 2F 15 D1 06 A8 5B 21 ?? ?? ?? ?? 03 68 01 21 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 00 9B 04 A8 5D 21 04 93 01 9B 05 93 ?? ?? ?? ?? 04 A9 AC E0 01 9A 00 23 00 93 73 68 6F F3 0F 02 4F F4 00 68 13 EA 08 0F 01 92 04 D0 54 49 68 46 ?? ?? ?? ?? 01 9A 53 B2 01 2B 26 DC 00 2F A7 F1 01 07 22 D0 D9 F8 00 30 93 F9 00 30 EB B1 00 21 08 A8 ?? ?? ?? ?? 04 46 0A A8 5B 21 ?? ?? ?? ?? 03 68 21 46 02 93 43 68 02 A8 03 93 ?? ?? ?? ?? 02 9B 5D 21 04 A8 04 93 03 9B 05 93 ?? ?? ?? ?? 04 A9 68 46 ?? ?? ?? ?? D4 E7 33 68 3B B3 73 68 13 EA 08 0F 03 D0 33 68 02 93 73 68 16 E0 0A A8 28 21 ?? ?? ?? ?? 03 68 31 46 02 93 43 68 02 A8 03 93 ?? ?? ?? ?? 02 9B 04 A8 29 21 04 93 03 9B 05 93 ?? ?? ?? ?? 04 9B 02 93 05 9B 69 46 02 A8 03 93 ?? ?? ?? ?? 02 9B 00 93 03 9B 01 93 69 46 06 A8 ?? ?? ?? ?? 07 9B 43 EA 08 02 06 9B C5 E9 00 32 3F E0 33 68 2B B3 0A A8 28 21 ?? ?? ?? ?? 03 68 31 46 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 9B 1A 49 02 A8 02 93 05 9B 03 93 ?? ?? ?? ?? 02 9B 04 A8 01 21 04 93 03 9B 05 93 ?? ?? ?? ?? 04 9B 68 46 5D 21 00 93 05 9B 01 93 ?? ?? ?? ?? 69 46 14 E0 0A A8 5B 21 ?? ?? ?? ?? 03 68 01 21 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 9B 02 A8 5D 21 02 93 05 9B 03 93 ?? ?? ?? ?? 02 A9 28 46 ?? ?? ?? ?? 28 46 0C B0 BD E8 F0 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_67_3 {
	meta:
		name = "?getBasedType@UnDecorator@@CA?AVDName@@XZ"
		size = 140
		refs = "000e ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 0016 ??0DName@@QAA@PBD@Z 0046 ?getScopedName@UnDecorator@@CA?AVDName@@XZ 004e ??YDName@@QAAAAV0@ABV0@@Z 0058 ??YDName@@QAAAAV0@PBD@Z 0062 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0080 ??_C@_02KCKGHPCA@?$CJ?5?$AA@ 0084 ??_C@_04GKJNKENE@void?$AA@ 0088 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 00 20 ?? ?? ?? ?? 01 46 68 46 ?? ?? ?? ?? 1B 49 0A 68 12 F9 01 3B E3 B1 0A 60 30 2B 14 D0 32 2B 0A D0 35 2B 19 D1 63 68 23 F4 7F 43 63 60 02 23 23 71 00 23 23 60 18 E0 02 A8 ?? ?? ?? ?? 01 46 68 46 ?? ?? ?? ?? 08 E0 0B 49 68 46 ?? ?? ?? ?? 03 E0 68 46 01 21 ?? ?? ?? ?? 06 49 68 46 ?? ?? ?? ?? 00 9B 23 60 01 9B 63 60 20 46 05 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_68_3 {
	meta:
		name = "?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 764
		refs = "0064 ??4DName@@QAAAAV0@PBD@Z 00be ??YDName@@QAAAAV0@PBD@Z 00f6 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0100 ??0DName@@QAA@PBD@Z 0112 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 0160 ?getECSUDataType@UnDecorator@@CA?AVDName@@XZ 01bc ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z 022c ??YDName@@QAAAAV0@ABV0@@Z 0244 ??0DName@@QAA@D@Z 026a ??0DName@@QAA@W4DNameStatus@@@Z 0288 ??_C@_07EDHNAJHC@signed?5?$AA@ 028c ??_C@_04GKJNKENE@void?$AA@ 0290 ??_C@_01NBENCBCI@?$CK?$AA@ 0294 ??_C@_08PABEKFH@volatile?$AA@ 0298 ??_C@_09EFNPDFFP@?5volatile?$AA@ 029c ??_C@_05BNCCCJPP@const?$AA@ 02a0 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 02a4 ??_C@_00CNPNBAHC@?$AA@ 02a8 ??_C@_09EEKGDCPH@?$DMunknown?$DO?$AA@ 02ac ??_C@_08HBIPOFJB@char16_t?$AA@ 02b0 ??_C@_08IECNCBKG@char32_t?$AA@ 02b4 ??_C@_07CLGGIAMF@wchar_t?$AA@ 02b8 ??_C@_07NFANNNEC@UNKNOWN?$AA@ 02bc ??_C@_04DDKJGDCM@bool?$AA@ 02c0 ??_C@_07OFLPPHGP@__int32?$AA@ 02c4 ??_C@_07LFCOJCAC@__int64?$AA@ 02c8 ??_C@_08GAHOLHEO@__int128?$AA@ 02cc ??_C@_07ICFHOGAF@__int16?$AA@ 02d0 ??_C@_06GCICPBLB@__w64?5?$AA@ 02d4 ??_C@_06EBGKOKIG@__int8?$AA@ 02d8 ??_C@_06BNJCAIGJ@double?$AA@ 02dc ??_C@_05CJIMAING@long?5?$AA@ 02e0 ??_C@_05KNFBNCOH@float?$AA@ 02e4 ??_C@_04GOKPGOLB@long?$AA@ 02e8 ??_C@_03JBIPMCLC@int?$AA@ 02ec ??_C@_05BFKKPKCG@short?$AA@ 02f0 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 02f4 ??_C@_04ENMBGAPA@char?$AA@ 02f8 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 DF F8 EC E2 05 46 88 46 DE F8 00 00 10 F9 01 3B 00 2B 00 F0 23 81 01 9A DF B2 00 26 6F F3 0F 02 CD E9 00 62 A7 F1 43 02 00 24 1C 2A CE F8 00 00 00 F2 8D 80 DF E8 02 F0 0F 0F 0F 30 30 32 32 34 34 8B 36 3C 38 41 41 41 41 8B 8B 8B 8B E9 8B 8B 8B 8B 8B 8B 44 44 A4 49 68 46 ?? ?? ?? ?? DD E9 00 62 43 2F 00 F0 D3 80 45 2F 13 D0 47 2F 11 D0 49 2F 0F D0 4B 2F 0D D0 5F 2F 40 F0 D8 80 45 2C 08 D0 47 2C 06 D0 49 2C 04 D0 4B 2C 02 D0 4D 2C 40 F0 CD 80 94 49 BB E0 92 49 DD E7 90 49 DB E7 8E 49 D9 E7 8C 49 D7 E7 8A 49 68 46 ?? ?? ?? ?? 87 49 68 46 ?? ?? ?? ?? D1 E7 07 F0 03 04 62 E0 10 F8 01 3B 1C 46 4E 2C CE F8 00 00 31 D8 2E D0 47 2C 1E D8 46 2C 1A D2 8C B1 24 2C 04 D0 44 3B 01 2B 44 D8 79 49 B7 E7 04 A8 41 46 ?? ?? ?? ?? 75 49 04 46 02 A8 ?? ?? ?? ?? 21 46 B3 E0 40 1E CE F8 00 00 68 46 01 21 ?? ?? ?? ?? A7 E7 6C 49 A2 E7 48 2C 2B D3 49 2C 07 D9 4B 2C 03 D9 4D 2C 25 D8 66 49 98 E7 64 49 96 E7 62 49 94 E7 60 49 92 E7 4F 2C 25 D0 52 2C 21 D0 53 2C 1D D0 55 2C 19 D0 57 2C 15 D0 A4 F1 58 03 01 2B 0F D8 40 1E CE F8 00 00 04 A8 ?? ?? ?? ?? D0 E9 00 62 CD E9 00 62 00 2E 7F F4 7D AF 2E 60 6A 60 82 E0 4F 49 72 E7 4D 49 70 E7 4B 49 6E E7 49 49 6C E7 47 49 6A E7 6F F0 01 04 00 23 00 93 01 9B 02 26 F4 42 6F F3 0F 03 01 93 D8 F8 00 30 04 93 D8 F8 04 30 05 93 14 D1 43 F4 00 63 05 93 3B 4B 04 AA 69 46 02 A8 ?? ?? ?? ?? 03 9A 12 F4 00 6F 04 D1 35 49 02 A8 ?? ?? ?? ?? 03 9A 02 9B 2B 60 CD E7 D8 F8 00 30 9B B9 14 F0 01 0F 0A D0 2D 49 68 46 ?? ?? ?? ?? 34 42 0A D0 29 49 68 46 ?? ?? ?? ?? 05 E0 34 42 03 D0 25 49 68 46 ?? ?? ?? ?? 22 4B 04 AA 69 46 28 46 ?? ?? ?? ?? 34 E0 1D 49 24 E7 1B 49 02 A8 ?? ?? ?? ?? 03 68 69 46 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? DD E9 04 62 CD E9 00 62 D8 F8 00 30 00 2B 98 D0 02 A8 20 21 ?? ?? ?? ?? 03 68 41 46 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 A9 68 46 ?? ?? ?? ?? DD E9 00 62 85 E7 04 A8 01 21 ?? ?? ?? ?? 41 46 03 68 2B 60 43 68 28 46 6B 60 ?? ?? ?? ?? 28 46 07 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_69_3 {
	meta:
		name = "?getCallIndex@UnDecorator@@CA?AVDName@@XZ"
		size = 22
		refs = "000c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		altNames = "?getGuardNumber@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 21 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_70_3 {
	meta:
		name = "?getCallingConvention@UnDecorator@@CA?AVDName@@XZ"
		size = 180
		refs = "0078 ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 0080 ??4DName@@QAAAAV0@PBD@Z 00a4 ??0DName@@QAA@W4DNameStatus@@@Z 00b0 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 29 4D 04 46 2B 68 13 F9 01 2B 00 2A 44 D0 A2 F1 41 00 10 28 2B 60 36 D8 01 9A 02 23 00 21 63 F3 0F 02 2B 69 CD E9 00 12 13 F0 02 0F 28 D1 20 F0 01 03 08 2B 11 D8 0E D0 5B B1 02 2B 07 D0 04 2B 03 D0 06 2B 1C D1 03 20 12 E0 04 20 10 E0 02 20 0E E0 01 20 0C E0 05 20 0A E0 0C 2B 07 D0 0E 2B 03 D0 10 2B 0C D1 06 20 02 E0 08 20 00 E0 07 20 ?? ?? ?? ?? 01 46 68 46 ?? ?? ?? ?? DD E9 00 12 C4 E9 00 12 0C E0 63 68 23 F4 7F 43 63 60 02 23 23 71 00 23 23 60 03 E0 01 21 20 46 ?? ?? ?? ?? 20 46 BD E8 3C 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_71_3 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z"
		size = 1432
		refs = "003e ?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AAPBDAA_NH@Z 00b6 ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 00c6 ??YDName@@QAAAAV0@D@Z 00d6 ??YDName@@QAAAAV0@PBD@Z 00f2 ??4DName@@QAAAAV0@PBD@Z 020c ??0DName@@QAA@PBD@Z 021c ??YDName@@QAAAAV0@ABV0@@Z 02e0 ?getScope@UnDecorator@@CA?AVDName@@XZ 0300 ??0DName@@QAA@W4DNameStatus@@@Z 0340 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0360 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 0438 ??0DName@@QAA@D@Z 0580 ??_C@_03PCKGMOPB@?$CG?$CG?5?$AA@ 0584 ??_C@_02KJPKDIBN@?$CG?5?$AA@ 0588 ??_C@_06LIJLOJAG@const?5?$AA@ 058c ??_C@_09GAIEOBLP@volatile?5?$AA@ 0590 ??_C@_02MOLJINC@?3?3?$AA@ 0594 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 9D B0 DF F8 84 75 9A 46 09 9B 3A 68 89 46 6F F3 0F 03 92 F9 00 10 1C 93 00 23 00 29 05 46 8D F8 10 30 00 F0 5F 82 2A 9C 24 29 0C D1 04 AA 28 A9 68 46 23 46 ?? ?? ?? ?? 00 9B 1B B1 2B 60 01 9B 6B 60 91 E2 3A 68 0B 98 92 F9 00 10 6F F3 0F 00 02 90 0B 90 11 98 41 29 A8 BF 41 23 B8 BF 16 23 6F F3 0F 00 A1 EB 03 08 0E 90 11 90 00 26 00 21 00 20 CD E9 12 00 CD E9 0C 61 0A 96 10 91 02 20 B8 F1 04 0F 6D D0 B8 F1 05 0F 3E D0 B8 F1 06 0F 35 D0 B8 F1 07 0F 2C D0 B8 F1 08 0F 40 F0 A6 80 3B 69 03 42 40 F0 86 80 CE B1 0A 20 ?? ?? ?? ?? 02 9B 04 46 20 21 14 A8 CD E9 14 63 ?? ?? ?? ?? 14 9B 21 46 16 A8 16 93 15 9B 17 93 ?? ?? ?? ?? DD E9 16 61 2A 9C CD E9 0A 61 02 91 68 E0 0A 20 ?? ?? ?? ?? 01 46 0A A8 ?? ?? ?? ?? 0B 99 02 91 5D E0 00 2C 00 F0 DD 81 01 23 13 93 5A E0 00 2C 00 F0 D7 81 01 23 12 93 54 E0 3B 69 03 42 51 D1 D9 B1 0B 20 ?? ?? ?? ?? 0D 9B 04 46 20 21 18 93 0E 9B 18 A8 19 93 ?? ?? ?? ?? 18 9B 21 46 1A A8 1A 93 19 9B 1B 93 ?? ?? ?? ?? DD E9 1A 31 2A 9C CD E9 0D 31 CD E9 10 31 33 E0 0B 20 ?? ?? ?? ?? 01 46 10 A8 ?? ?? ?? ?? 11 9B 0E 93 10 9B 0D 93 27 E0 3B 69 03 42 25 D1 13 F4 00 3F 22 D1 AE B1 09 20 ?? ?? ?? ?? 02 9B 04 46 20 21 06 A8 CD E9 06 63 ?? ?? ?? ?? 06 9B 21 46 68 46 00 93 07 9B 01 93 ?? ?? ?? ?? DD E9 00 61 9B E7 09 20 ?? ?? ?? ?? 01 46 0A A8 ?? ?? ?? ?? 0B 9B 02 93 0A 9E 0C 96 3A 68 52 1C 3A 60 92 F9 00 30 24 2B 0A D1 23 46 04 AA 28 A9 08 A8 ?? ?? ?? ?? 08 9B 00 2B 40 F0 85 81 3A 68 92 F9 00 10 41 29 A8 BF 41 23 B8 BF 16 23 A1 EB 03 08 0D 99 48 E7 92 F9 00 30 0B B1 52 1C 3A 60 B8 F1 1F 0F 00 F2 5A 81 28 99 02 A8 ?? ?? ?? ?? 00 23 00 93 1C 9B 02 A9 68 46 01 93 ?? ?? ?? ?? DD E9 00 64 0C 9B CD E9 02 64 8B B1 68 46 20 21 CD E9 00 64 ?? ?? ?? ?? 00 9B 0A A9 06 A8 06 93 01 9B 07 93 ?? ?? ?? ?? DD E9 06 64 CD E9 02 64 0D 9B 93 B1 00 93 0E 9B 68 46 20 21 01 93 ?? ?? ?? ?? 00 9B 02 A9 06 A8 06 93 01 9B 07 93 ?? ?? ?? ?? DD E9 06 64 CD E9 02 64 18 F0 10 0F 63 D0 2A 9B A3 B1 02 27 6B 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 2F 71 19 E1 28 9B 93 F9 00 30 3B B3 B6 49 08 A8 ?? ?? ?? ?? 03 68 02 A9 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 00 9B 02 93 01 9B 03 93 3B 68 93 F9 00 30 73 B1 08 A8 ?? ?? ?? ?? 03 68 02 A9 00 93 43 68 68 46 01 93 ?? ?? ?? ?? DD E9 00 64 02 96 14 E0 08 A8 01 21 ?? ?? ?? ?? EE E7 3B 68 93 F9 00 30 B3 B1 08 A8 ?? ?? ?? ?? E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 03 94 3B 68 93 F9 00 20 2A B1 03 F1 01 03 3B 60 40 2A 06 D0 A3 E7 02 A8 01 21 ?? ?? ?? ?? DD E9 02 64 3B 69 02 27 3B 42 08 F0 0C 03 13 D1 0C 2B 20 D1 2A 9B 00 2B 93 D1 08 A8 ?? ?? ?? ?? 03 68 02 A9 00 93 43 68 68 46 01 93 ?? ?? ?? ?? DD E9 00 64 02 96 0D E0 0C 2B 0C D1 08 A8 ?? ?? ?? ?? E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 03 94 18 EA 07 0F 0F D0 7A 49 08 A8 ?? ?? ?? ?? 03 68 02 A9 00 93 43 68 68 46 01 93 ?? ?? ?? ?? DD E9 00 64 CD E9 02 64 18 F0 01 0F 0F D0 70 49 08 A8 ?? ?? ?? ?? 03 68 02 A9 00 93 43 68 68 46 01 93 ?? ?? ?? ?? DD E9 00 64 CD E9 02 64 12 9B 4B B1 66 49 68 46 CD E9 00 64 ?? ?? ?? ?? DD E9 00 64 CD E9 02 64 13 9B 4B B1 5F 49 68 46 CD E9 00 64 ?? ?? ?? ?? DD E9 00 64 CD E9 02 64 2A 9B 4F F4 80 77 00 2B 43 D1 D9 F8 00 30 5B B3 D9 F8 04 20 3A 42 1B D1 DA F8 00 30 C3 B1 08 A8 20 21 ?? ?? ?? ?? 03 68 51 46 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 00 9B 06 A8 20 21 06 93 01 9B 07 93 ?? ?? ?? ?? 06 9B 49 46 00 93 07 9B 16 E0 12 F4 00 6F 02 D0 D9 E9 00 64 1A E0 08 A8 20 21 ?? ?? ?? ?? 49 46 07 E0 DA F8 00 30 8B B1 08 A8 20 21 ?? ?? ?? ?? 51 46 03 68 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 69 46 02 A8 ?? ?? ?? ?? DD E9 02 64 9D F8 10 30 44 EA 07 02 0B B1 42 F4 00 52 C5 E9 00 62 5A E0 6B 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 28 71 00 23 2B 60 44 E0 2B 60 09 9B AD E5 2A 9B DB BB D9 F8 00 30 63 B3 D9 F8 04 30 13 F4 80 7F 1A D1 DA F8 00 30 BB B1 08 A8 01 21 ?? ?? ?? ?? 03 68 51 46 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 00 9B 06 A8 20 21 06 93 01 9B 07 93 ?? ?? ?? ?? 06 9B 2B 60 07 9B 06 E0 08 A8 01 21 ?? ?? ?? ?? 03 68 2B 60 43 68 49 46 28 46 6B 60 ?? ?? ?? ?? 0F E0 DA F8 00 30 43 B1 08 A8 01 21 ?? ?? ?? ?? 03 68 51 46 2B 60 43 68 EE E7 01 21 28 46 ?? ?? ?? ?? 28 46 1D B0 BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_72_3 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@XZ"
		size = 64
		refs = "002e ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 003c ??_C@_00CNPNBAHC@?$AA@"
		altNames = "?getStorageConvention@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 00 23 02 93 03 9B 0A 4A 04 46 6F F3 0F 03 03 93 00 23 04 93 05 9B 6F F3 0F 03 05 93 00 23 00 93 02 AB 04 A9 ?? ?? ?? ?? 20 46 07 B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_73_3 {
	meta:
		name = "?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z"
		size = 160
		refs = "000e ??0DName@@QAA@PAV0@@Z 002e ??0DName@@QAA@PBD@Z 0058 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 0068 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0072 ??0DName@@QAA@W4DNameStatus@@@Z 0082 ??YDName@@QAAAAV0@ABV0@@Z 0090 ??_C@_00CNPNBAHC@?$AA@ 0094 ??_C@_05BEFAKPML@void?5?$AA@ 0098 ??_C@_04GKJNKENE@void?$AA@ 009c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 89 B0 04 46 02 A8 ?? ?? ?? ?? 22 49 0B 68 13 F9 01 2B 42 B3 3F 2A 0E D0 58 2A 1F D1 0B 60 02 9B 23 B9 1B 49 20 46 ?? ?? ?? ?? 28 E0 17 49 04 A8 ?? ?? ?? ?? 1B E0 0B 60 00 23 04 93 05 9B 12 4A 02 A9 6F F3 0F 03 05 93 00 23 00 93 04 AB 06 A8 ?? ?? ?? ?? 03 68 02 93 43 68 03 93 02 A9 20 46 ?? ?? ?? ?? 0B E0 06 A8 01 21 ?? ?? ?? ?? 03 68 02 A9 23 60 43 68 20 46 63 60 ?? ?? ?? ?? 20 46 09 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_74_3 {
	meta:
		name = "?getDecoratedName@UnDecorator@@CA?AVDName@@XZ"
		size = 548
		refs = "0024 ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 005c ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 007a ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 008a ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 0096 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 00d4 ?getScope@UnDecorator@@CA?AVDName@@XZ 00ee ??YDName@@QAAAAV0@ABV0@@Z 0116 ??YDName@@QAAAAV0@PBD@Z 01d6 ?composeDeclaration@UnDecorator@@CA?AVDName@@ABV2@@Z 0210 ??0DName@@QAA@W4DNameStatus@@@Z 021c ??_C@_02MOLJINC@?3?3?$AA@ 0220 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8B B0 85 4E 4F F4 00 58 04 46 33 69 13 EA 08 0F 0F D0 23 EA 08 03 08 A8 00 21 33 61 ?? ?? ?? ?? 33 69 43 EA 08 03 33 61 08 9B 23 60 09 9B 63 60 EC E0 32 68 92 F9 00 30 3F 2B 40 F0 D0 80 52 1C 32 60 92 F9 00 30 3F 2B 1E D1 92 F9 01 30 3F 2B 0B D1 08 A8 ?? ?? ?? ?? 32 68 01 E0 52 1C 32 60 92 F9 00 30 00 2B F9 D1 DE E7 24 2B 04 D1 02 A8 01 21 ?? ?? ?? ?? 0C E0 52 1C 32 60 00 22 02 A8 00 21 ?? ?? ?? ?? 04 E0 02 A8 00 22 01 21 ?? ?? ?? ?? DD E9 02 75 4F F4 00 7A 2F B1 15 EA 0A 0F 02 D0 4F F0 01 09 01 E0 4F F0 00 09 C5 F3 C0 30 6B B2 00 90 01 2B 02 DD C4 E9 00 75 A6 E0 32 68 92 F9 00 30 9B B3 40 2B 31 D0 08 A8 ?? ?? ?? ?? 08 9A 52 B3 33 7D 00 2B 55 D0 00 23 08 A9 04 A8 33 75 CD E9 04 75 ?? ?? ?? ?? 32 68 DD E9 04 75 92 F9 00 30 CD E9 02 75 40 2B 17 D0 08 A8 ?? ?? ?? ?? 03 68 43 49 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 9B 02 A9 06 A8 06 93 05 9B 07 93 ?? ?? ?? ?? DD E9 06 75 CD E9 02 75 32 68 00 98 B9 F1 00 0F 03 D0 17 B1 45 EA 0A 05 03 95 4F F4 00 41 08 B1 0D 43 03 95 00 2F B6 D0 4F F4 80 50 05 42 B2 D1 92 F9 00 30 53 B3 40 2B 26 D0 63 68 23 F4 80 73 23 EA 0A 03 23 F4 80 63 23 F4 00 63 83 43 23 EA 08 03 23 F4 80 43 8B 43 63 60 02 23 23 71 00 23 23 60 42 E0 09 9B 22 49 06 A8 CD E9 06 23 ?? ?? ?? ?? 06 9B 02 A9 04 A8 04 93 07 9B 05 93 ?? ?? ?? ?? DD E9 04 75 BD E7 52 1C 32 60 33 69 03 42 0F D0 B9 F1 00 0F 0C D1 0D 42 0A D1 00 23 08 93 09 9B 08 A9 06 A8 6F F3 0F 03 09 93 ?? ?? ?? ?? 71 E7 02 A9 20 46 ?? ?? ?? ?? 16 E0 8B B1 63 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 EA 08 03 23 F4 80 43 23 F4 00 43 BA E7 01 21 20 46 ?? ?? ?? ?? 20 46 0B B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_75_3 {
	meta:
		name = "?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		size = 284
		refs = "002c ??0DName@@QAA@W4DNameStatus@@@Z 009c ??0DName@@QAA@_J@Z 00dc ??0DName@@QAA@_K@Z 00e6 ??0DName@@QAA@PBD@Z 00f6 ??YDName@@QAAAAV0@ABV0@@Z 0114 ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@ 0118 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 88 B0 43 4C 05 46 00 26 20 68 8E 46 90 F9 00 30 51 2B 02 D1 40 1C 3D 4E 20 60 90 F9 00 30 23 B9 01 21 28 46 ?? ?? ?? ?? 6C E0 30 2B 0E DB 39 2B 0C DC A3 F1 2F 02 26 B1 40 1C 20 60 D3 17 02 A8 48 E0 40 1C 20 60 D3 17 06 A8 55 E0 00 21 00 27 12 E0 00 2B E4 D0 41 2B 1F DB 50 2B 1D DC A3 F1 41 02 0B 0F 43 EA 07 13 12 EB 01 11 43 EB E2 77 40 1C 20 60 90 F9 00 30 40 2B EA D1 10 F9 01 3B 40 2B 20 60 09 D1 BE F1 00 0F 3B 46 0A 46 1F D0 D6 B1 06 A8 ?? ?? ?? ?? 1E E0 6B 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 02 23 2B 71 00 23 2B 60 1D E0 02 A8 ?? ?? ?? ?? 15 E0 8E B1 06 A8 ?? ?? ?? ?? 04 46 04 A8 31 46 ?? ?? ?? ?? 03 68 21 46 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 68 46 02 E0 02 A8 ?? ?? ?? ?? 03 68 2B 60 43 68 6B 60 28 46 08 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_76_3 {
	meta:
		name = "?getDispatchTarget@UnDecorator@@CA?AVDName@@XZ"
		size = 84
		refs = "0050 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 49 0A 68 12 F9 02 3B B3 B1 5F 2B 14 D1 12 F9 01 3C 8B B1 5F 2B 0F D1 0A 60 12 F9 01 3B 41 3B 03 2B 0A 60 08 D9 43 68 23 F4 7F 43 43 60 02 23 03 71 00 23 03 60 06 E0 00 23 03 60 03 71 43 68 23 F4 7F 43 43 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_77_3 {
	meta:
		name = "?getDisplacement@UnDecorator@@CA?AVDName@@XZ"
		size = 22
		refs = "000c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 21 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_9_78_3 {
	meta:
		name = "?getECSUDataType@UnDecorator@@CA?AVDName@@XZ"
		size = 252
		refs = "0064 ?getEnumType@UnDecorator@@CA?AVDName@@XZ 006e ??0DName@@QAA@PBD@Z 007e ??YDName@@QAAAAV0@ABV0@@Z 0094 ??4DName@@QAAAAV0@PBD@Z 00b0 ?getScopedName@UnDecorator@@CA?AVDName@@XZ 00dc ??_C@_0P@GCIFDJCJ@?$GAunknown?5ecsu?8?$AA@ 00e0 ??_C@_06MOJHIBMG@union?5?$AA@ 00e4 ??_C@_07DIBCDNGL@struct?5?$AA@ 00e8 ??_C@_06LJBABKPM@class?5?$AA@ 00ec ??_C@_05LJGMCFOG@enum?5?$AA@ 00f0 ??_C@_08KOFANOFK@coclass?5?$AA@ 00f4 ??_C@_0N@DLIEFKNA@cointerface?5?$AA@ 00f8 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 3B 4C 05 46 23 69 13 F4 00 47 04 D1 13 F4 80 5F 08 BF 01 26 00 D0 00 26 20 68 01 9A 00 21 10 F9 01 3B 6F F3 0F 02 CD E9 00 12 20 60 00 2B 45 D0 54 2B 28 D0 55 2B 24 D0 56 2B 20 D0 57 2B 07 D0 58 2B 03 D0 59 2B 24 D1 28 49 1D E0 26 49 1B E0 0F B9 01 26 00 E0 00 26 02 A8 ?? ?? ?? ?? 20 49 04 46 04 A8 ?? ?? ?? ?? 03 68 21 46 00 93 43 68 68 46 01 93 ?? ?? ?? ?? DD E9 00 12 09 E0 17 49 02 E0 15 49 00 E0 13 49 68 46 ?? ?? ?? ?? DD E9 00 12 00 23 00 93 01 9B 6F F3 0F 03 01 93 0E B1 CD E9 00 12 02 A8 ?? ?? ?? ?? 02 A9 68 46 ?? ?? ?? ?? 00 9B 2B 60 01 9B 6B 60 06 E0 05 4B 40 1E 20 60 59 1C 28 46 ?? ?? ?? ?? 28 46 06 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_80_3 {
	meta:
		name = "?getEnumType@UnDecorator@@CA?AVDName@@XZ"
		size = 196
		refs = "0046 ??4DName@@QAAAAV0@PBD@Z 006a ??0DName@@QAA@PBD@Z 007a ??YDName@@QAAAAV0@ABV0@@Z 009e ??0DName@@QAA@W4DNameStatus@@@Z 00ac ??_C@_09EBBEKKIH@unsigned?5?$AA@ 00b0 ??_C@_05CJIMAING@long?5?$AA@ 00b4 ??_C@_04LAHKHJMA@int?5?$AA@ 00b8 ??_C@_06EHJMALKF@short?5?$AA@ 00bc ??_C@_05CIHEBHNO@char?5?$AA@ 00c0 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 87 B0 2D 4D 01 99 04 46 2A 68 00 20 6F F3 0F 01 92 F9 00 30 CD E9 00 01 DB B3 A3 F1 30 06 07 2E 2E D8 DF E8 06 F0 04 04 06 06 11 08 0A 0A 21 49 04 E0 1F 49 02 E0 1D 49 00 E0 1B 49 68 46 ?? ?? ?? ?? 2A 68 DD E9 00 01 12 F9 01 3B 2A 60 31 2B 05 D0 33 2B 03 D0 35 2B 01 D0 37 2B 0D D1 11 49 04 A8 ?? ?? ?? ?? 03 68 69 46 02 93 43 68 02 A8 03 93 ?? ?? ?? ?? DD E9 02 01 C4 E9 00 01 0C E0 63 68 23 F4 7F 43 63 60 02 23 23 71 00 23 23 60 03 E0 01 21 20 46 ?? ?? ?? ?? 20 46 07 B0 BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_81_3 {
	meta:
		name = "?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AAPBDAA_NH@Z"
		size = 432
		refs = "006a ?doPchar@DName@@AAAXPBDH@Z 0074 ??0DName@@QAA@_K@Z 0084 ??YDName@@QAAAAV0@ABV0@@Z 0094 ??YDName@@QAAAAV0@D@Z 00d2 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 00e6 ??0DName@@QAA@W4DNameStatus@@@Z 01a4 ??_C@_01JKBOJNNK@?$FO?$AA@ 01a8 ??_C@_01FGNFDNOH@?$CF?$AA@ 01ac ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 88 B0 68 4D 04 46 03 9F 28 68 4F F0 00 0E 6F F3 0F 07 40 1C 28 60 90 F9 00 60 41 2E 00 F0 92 80 42 2E 62 D0 43 2E 5D D0 00 2E 56 D0 90 F9 01 20 00 2A 52 D0 00 2B 59 D1 02 EB 06 13 A3 F5 4C 76 80 1C 01 2E 28 60 1D D9 2C 23 8D F8 00 30 27 F0 FF 03 00 22 23 F4 7F 43 CD E9 02 23 69 46 02 A8 01 22 ?? ?? ?? ?? 06 A8 00 23 32 46 ?? ?? ?? ?? 02 9B 01 46 04 A8 04 93 03 9B 05 93 ?? ?? ?? ?? DD E9 04 E7 04 A8 3E 21 CD E9 04 E7 ?? ?? ?? ?? 2A 68 DD E9 04 10 12 F9 01 3B CD E9 02 10 24 2B 01 D1 2A 60 0A E0 CD E9 04 10 04 A8 5E 21 ?? ?? ?? ?? DD E9 04 10 2A 68 CD E9 02 10 12 F9 01 3B 0B B1 2A 60 05 E0 02 A8 01 21 ?? ?? ?? ?? DD E9 02 10 40 F4 80 43 21 60 5B E0 01 21 20 46 ?? ?? ?? ?? 57 E0 2E 4B 0B 60 28 E0 B3 B1 63 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 63 60 02 23 23 71 00 23 23 60 3C E0 01 23 13 70 3E 23 8D F8 00 30 27 F0 FF 03 00 22 23 F4 7F 43 CD E9 02 23 69 46 02 A8 01 22 ?? ?? ?? ?? 2B 68 5B 1C 2B 60 12 E0 7B B9 0B 68 93 F9 00 30 26 2B 02 D1 13 4B 0B 60 28 68 0B 68 93 F9 00 30 2A 2B 02 D1 0E 4B 0B 60 28 68 40 1C 28 60 00 23 23 60 23 71 63 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 63 60 20 46 08 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_82_3 {
	meta:
		name = "?getExternalDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 148
		refs = "0014 ?getMemory@_HeapManager@@QAAPAXIH@Z 0032 ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 0058 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 0068 ??YDName@@QAAAAV0@D@Z 0078 ??YDName@@QAAAAV0@ABV0@@Z 008c ??_C@_00CNPNBAHC@?$AA@ 0090 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 88 B0 05 46 20 48 0E 46 00 22 08 21 ?? ?? ?? ?? 04 46 00 27 34 B1 27 71 63 68 27 60 23 F4 7F 43 63 60 00 E0 00 24 21 46 28 46 ?? ?? ?? ?? 00 23 04 93 05 9B 13 4A 02 A9 6F F3 0F 03 05 93 00 23 02 93 03 9B 06 A8 00 97 6F F3 0F 03 03 93 04 AB ?? ?? ?? ?? 06 9B 02 A8 20 21 02 93 07 9B 03 93 ?? ?? ?? ?? 02 9B 04 A8 31 46 04 93 03 9B 05 93 ?? ?? ?? ?? 04 9B 28 46 23 60 05 9B 63 60 08 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_83_3 {
	meta:
		name = "?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 1040
		refs = "001e ??0DName@@QAA@W4DNameStatus@@@Z 002e ??YDName@@QAAAAV0@ABV0@@Z 00d2 ??0DName@@QAA@PBD@Z 00f8 ?getScope@UnDecorator@@CA?AVDName@@XZ 0102 ??0DName@@QAA@D@Z 0182 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 019e ?getBasedType@UnDecorator@@CA?AVDName@@XZ 0264 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 02c6 ??YDName@@QAAAAV0@D@Z 02d8 ?getMemory@_HeapManager@@QAAPAXIH@Z 02fc ?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z 0302 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 035a ?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ 0392 ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ 0400 ?heap@@3V_HeapManager@@A 0404 ??_C@_00CNPNBAHC@?$AA@ 0408 ??_C@_02MOLJINC@?3?3?$AA@ 040c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8F B0 DF F8 00 74 89 46 05 46 3A 68 12 F9 01 3B 63 B9 0A A8 01 21 ?? ?? ?? ?? 49 46 03 68 2B 60 43 68 28 46 6B 60 ?? ?? ?? ?? E0 E1 36 2B 01 DB 39 2B 18 DD 5F 2B 16 D0 6B 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 02 23 2B 71 00 23 2B 60 C3 E1 A3 F1 36 06 29 2E 3A 60 0B D1 92 F9 00 30 00 2B CC D0 A3 F1 3D 06 52 1C 3A 60 04 2E 05 DB 07 2E 02 E0 00 2E 01 DB 03 2E 01 DD 6F F0 00 06 16 F1 01 0F CE D0 DD F8 14 80 00 23 D9 F8 04 40 CD E9 03 43 D9 F8 00 30 6F F3 0F 08 02 21 02 93 CD F8 14 80 16 EA 01 0A 64 D0 12 F9 01 3B 40 2B 3A D0 CE 49 0A A8 ?? ?? ?? ?? 03 68 02 A9 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 9B 02 93 07 9B 03 93 3B 68 93 F9 00 30 9B B1 0A A8 ?? ?? ?? ?? 04 46 08 A8 20 21 ?? ?? ?? ?? 03 68 21 46 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 9B 08 93 07 9B 06 E0 0A A8 01 21 ?? ?? ?? ?? 03 68 08 93 43 68 02 A9 08 A8 09 93 ?? ?? ?? ?? DD E9 08 34 3A 68 02 21 CD E9 02 34 00 E0 3A 60 12 F9 01 3B 00 2B 72 D0 40 2B 5C D1 3B 69 3A 60 AB 4A 03 F0 60 03 60 2B 39 D0 00 23 08 93 09 9B 06 A9 6F F3 0F 03 09 93 00 23 06 93 07 9B 6F F3 0F 03 07 93 01 23 00 93 08 AB 0A A8 ?? ?? ?? ?? 0A 9B 04 93 0B 9B 05 93 02 21 16 F0 04 0F 61 D0 3B 69 0B 42 51 D1 0A A8 ?? ?? ?? ?? 04 46 06 A8 20 21 ?? ?? ?? ?? 03 68 21 46 08 93 43 68 08 A8 09 93 ?? ?? ?? ?? 08 9B 02 A9 06 A8 06 93 09 9B 07 93 ?? ?? ?? ?? DD E9 06 34 02 93 41 E0 00 23 08 93 09 9B 06 A9 0A A8 6F F3 0F 03 09 93 00 23 06 93 07 9B 6F F3 0F 03 07 93 01 23 00 93 08 AB ?? ?? ?? ?? 0B 9A 53 B2 01 2B C5 DD 62 F3 07 08 CD F8 14 80 C0 E7 6B 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 29 71 19 E7 0A A8 01 21 ?? ?? ?? ?? 02 A9 F1 E6 0A A8 ?? ?? ?? ?? E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 03 94 3B 69 13 F0 02 0F 0F D1 0A A8 ?? ?? ?? ?? 03 68 02 A9 08 93 43 68 08 A8 09 93 ?? ?? ?? ?? 08 9B 02 93 09 9B 03 93 0C E0 0A A8 ?? ?? ?? ?? E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 03 94 D9 F8 00 30 BB B1 0A A8 28 21 ?? ?? ?? ?? 03 68 02 A9 08 93 43 68 08 A8 09 93 ?? ?? ?? ?? 08 9B 06 A8 29 21 06 93 09 9B 07 93 ?? ?? ?? ?? 06 9B 02 93 07 9B 03 93 4B 48 00 22 08 21 ?? ?? ?? ?? 06 46 4F F0 00 08 46 B1 80 F8 04 80 73 68 C0 F8 00 80 23 F4 7F 43 73 60 00 E0 00 26 0C A8 31 46 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 04 46 06 A8 28 21 ?? ?? ?? ?? 03 68 21 46 08 93 43 68 08 A8 09 93 ?? ?? ?? ?? 08 9B 06 A8 29 21 06 93 09 9B 07 93 ?? ?? ?? ?? 06 A9 02 A8 ?? ?? ?? ?? 3A 69 02 F0 60 03 60 2B 07 D0 BA F1 00 0F 04 D0 04 A9 02 A8 ?? ?? ?? ?? 3A 69 12 F4 00 2F 08 D1 0A A8 ?? ?? ?? ?? 01 46 02 A8 ?? ?? ?? ?? 03 9C 0D E0 0A A8 ?? ?? ?? ?? 03 9C E3 B2 03 2B 06 D0 42 68 53 B2 01 2B 02 DD 62 F3 07 04 03 94 3B 69 4F F4 80 77 3B 42 08 D1 0A A8 ?? ?? ?? ?? 01 46 02 A8 ?? ?? ?? ?? 03 9C 0B E0 0A A8 ?? ?? ?? ?? E3 B2 03 2B 05 D0 42 68 53 B2 01 2B 01 DD 62 F3 07 04 3E B1 02 9B C6 E9 00 34 0C 9B 2B 60 0D 9B 6B 60 14 E0 6B 68 C5 F8 00 80 BB 43 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 03 23 2B 71 28 46 0F B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_85_3 {
	meta:
		name = "?getLastChar@DName@@QBADXZ"
		size = 34
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 68 0D B9 00 20 06 E0 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_9_86_3 {
	meta:
		name = "?getLastChar@DNameStatusNode@@UBADXZ"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 01 2B 08 BF 20 20 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_9_88_3 {
	meta:
		name = "?getLastChar@pDNameNode@@UBADXZ"
		size = 38
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 43 68 4B B1 1D 68 3D B1 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 E0 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_9_89_3 {
	meta:
		name = "?getLastChar@pairNode@@UBADXZ"
		size = 48
		refs = "0012 _guard_check_icall"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 06 46 B5 68 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 38 B9 75 68 2B 68 5C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 78 88 }
	condition:
		$1
}

rule file_9_90_3 {
	meta:
		name = "?getLastChar@pcharNode@@UBADXZ"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 82 68 22 B1 43 68 13 44 13 F9 01 0C 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_9_91_3 {
	meta:
		name = "?getLexicalFrame@UnDecorator@@CA?AVDName@@XZ"
		size = 70
		refs = "0010 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 001a ??0DName@@QAA@D@Z 002a ??YDName@@QAAAAV0@ABV0@@Z 003a ??YDName@@QAAAAV0@D@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 05 46 02 A8 00 21 ?? ?? ?? ?? 04 46 04 A8 60 21 ?? ?? ?? ?? 03 68 21 46 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 00 9B 27 21 28 46 2B 60 01 9B 6B 60 ?? ?? ?? ?? 28 46 06 B0 BD E8 30 88 }
	condition:
		$1
}

rule file_9_92_3 {
	meta:
		name = "?getMemory@_HeapManager@@QAAPAXIH@Z"
		size = 116
		refs = "0016 _guard_check_icall 003c ?getMemory@_HeapManager@@QAAPAXIH@Z 0070 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B CB 1D 23 F0 07 05 04 46 32 B1 24 68 20 46 ?? ?? ?? ?? 28 46 A0 47 25 E0 05 B9 08 25 23 69 AB 42 1A D2 B5 F5 80 5F 01 D9 00 20 1B E0 0E 48 01 22 41 F2 04 01 ?? ?? ?? ?? 10 B1 00 23 03 60 00 E0 00 20 00 28 F0 D0 E3 68 0B B1 18 60 00 E0 A0 60 E0 60 C5 F5 80 53 00 E0 5B 1B 23 61 1A 46 E3 68 13 44 18 1D BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_93_3 {
	meta:
		name = "?getNumberOfDimensions@UnDecorator@@CAHXZ"
		size = 96
		refs = "005c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 00 48 EB 46 15 49 0A 68 92 F9 00 30 0B B9 00 20 21 E0 30 2B 06 DB 39 2B 04 DC 52 1C 0A 60 A3 F1 2F 00 18 E0 00 20 0D E0 00 2B F0 D0 41 2B 10 DB 50 2B 0E DC 03 EB 00 13 52 1C A3 F1 41 00 0A 60 92 F9 00 30 40 2B EF D1 12 F9 01 3B 40 2B 0A 60 01 D0 6F F0 00 00 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_94_3 {
	meta:
		name = "?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z"
		size = 1344
		refs = "0066 ??4DName@@QAAAAV0@PBD@Z 0076 ??0DName@@QAA@PBD@Z 0086 ??YDName@@QAAAAV0@ABV0@@Z 00aa ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 00b4 ??0DName@@QAA@D@Z 00da _guard_check_icall 00ea ??YDName@@QAAAAV0@D@Z 0120 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0174 ??0DName@@QAA@W4DNameStatus@@@Z 021a ?getStringEncoding@UnDecorator@@CA?AVDName@@PADH@Z 0288 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 0304 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 035c ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 03b8 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 03ea ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 04ac ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 04ca ?getSymbolName@UnDecorator@@CA?AVDName@@XZ 04da ??YDName@@QAAAAV0@PBD@Z 0524 ?nameTable@@3QBQBDB 0528 ??_C@_02OHHJMEON@?8?8?$AA@ 052c ?rttiTable@@3QBQBDB 0530 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 0534 ??_C@_08OBABFOLI@?$GAstring?8?$AA@ 0538 ??_C@_08LHJFAFGD@operator?$AA@ 053c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 8A B0 00 23 DF F8 2C 65 02 93 03 9B 34 68 05 46 01 98 6F F3 0F 03 03 93 14 F9 01 3B 00 27 6F F3 0F 00 34 60 41 2B 91 46 CD E9 00 70 B8 46 00 F3 A0 80 00 F0 5D 82 00 2B 00 F0 94 80 2F 2B 40 F3 E6 81 31 2B 25 DD 39 2B 00 F3 E1 81 14 F9 01 2C DF F8 C8 34 03 EB 82 03 53 F8 C8 1C 68 46 ?? ?? ?? ?? DD E9 00 70 77 B1 DF F8 C4 14 08 A8 ?? ?? ?? ?? 03 68 69 46 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? DD E9 06 70 C5 E9 00 70 28 46 0A B0 BD E8 F0 8B 03 9B 00 27 02 97 6F F3 0F 03 03 93 C1 B3 08 A8 ?? ?? ?? ?? 04 46 04 A8 3C 21 ?? ?? ?? ?? 03 68 21 46 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 A9 02 A8 ?? ?? ?? ?? 02 9F 67 B1 3B 68 5C 68 20 46 ?? ?? ?? ?? 38 46 A0 47 3E 28 03 D1 02 A8 20 21 ?? ?? ?? ?? 02 A8 3E 21 ?? ?? ?? ?? B9 F1 00 0F 02 D0 01 23 89 F8 00 30 34 68 94 F9 00 30 23 B9 02 9B 2B 60 03 9B 6B 60 BE E7 64 1C 02 9F 34 60 08 A8 00 22 00 21 ?? ?? ?? ?? D0 E9 00 21 34 60 CD E9 00 21 9A B1 14 F9 01 3C 31 2B 0F D1 08 A8 7E 21 ?? ?? ?? ?? 03 68 69 46 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? DD E9 04 21 CD E9 00 21 2F B1 02 A9 68 46 ?? ?? ?? ?? DD E9 00 21 C5 E9 00 21 92 E7 64 1E 34 60 28 46 01 21 ?? ?? ?? ?? 8B E7 42 2B 00 F0 BA 81 40 F3 49 81 5A 2B 40 F3 B7 81 5F 2B 40 F0 43 81 14 F9 01 3B 34 60 4F 2B 51 DC 44 2B 5F DA 39 2B 2E DC 1C D0 00 2B E1 D0 2F 2B 40 F3 34 81 36 2B 0D DD 38 2B 00 F3 2F 81 14 F9 01 2C D9 4B 03 EB 82 03 53 F8 38 1C 28 46 ?? ?? ?? ?? 61 E7 14 F9 01 2C D4 4B 03 EB 82 03 53 F8 38 1C 42 E7 14 F9 01 2C D0 4B 06 A8 03 EB 82 03 53 F8 38 1C ?? ?? ?? ?? 07 9B 43 F4 00 42 06 9B C5 E9 00 32 48 E7 3F 2B 10 D0 40 2B 40 F3 06 81 42 2B 27 DD 43 2B 40 F0 01 81 C7 49 06 A8 01 22 ?? ?? ?? ?? 07 9B 43 F4 80 52 E8 E7 14 F9 01 3B 34 60 00 2B 9D D0 30 2B 40 F0 F0 80 BE 49 06 A8 00 22 ED E7 A3 F1 50 02 0F 2A 00 F2 E7 80 DF E8 02 F0 11 08 48 09 09 ED ED E5 09 09 E5 E5 E5 E5 E5 F5 07 E7 14 F9 01 2C B0 4B 03 EB 82 03 53 F8 54 1C AB E7 14 F9 01 2C AC 4B 68 46 03 EB 82 03 53 F8 54 1C ?? ?? ?? ?? 08 A8 00 22 00 21 ?? ?? ?? ?? D0 E9 00 31 CD E9 02 31 CB B1 4F F4 80 62 11 42 15 D0 6B 68 23 F4 80 73 23 F4 00 73 93 43 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 02 23 2B 71 00 23 2B 60 E3 E6 00 9B 2B 60 01 9B 28 46 02 A9 6B 60 ?? ?? ?? ?? DA E6 14 F9 01 2C 90 4B 68 46 03 EB 82 03 53 F8 54 1C ?? ?? ?? ?? 33 68 93 F9 00 30 43 B9 00 9B 01 21 28 46 2B 60 01 9B 6B 60 ?? ?? ?? ?? C3 E6 A3 F1 30 02 00 2A C0 F2 81 80 05 2A 7E D2 84 4B 02 A8 53 F8 22 10 ?? ?? ?? ?? 32 68 12 F9 01 3B 32 60 30 2B 5A D0 31 2B 0A D0 32 3B 02 2B 28 46 03 D8 00 9B 2B 60 01 9B C6 E7 52 1E 32 60 13 E7 00 9B 02 A9 04 A8 04 93 01 9B 05 93 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 03 68 2C 21 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 A9 04 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 03 68 2C 21 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 A9 04 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 03 68 2C 21 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 A9 04 A8 ?? ?? ?? ?? 08 A8 00 21 ?? ?? ?? ?? 03 68 29 21 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 A9 04 A8 ?? ?? ?? ?? 04 9B 27 21 28 46 2B 60 05 9B 6B 60 ?? ?? ?? ?? 55 E6 08 A8 00 21 ?? ?? ?? ?? 08 9B 04 A8 20 21 04 93 09 9B 05 93 ?? ?? ?? ?? 04 9B 69 46 06 A8 06 93 05 9B 07 93 ?? ?? ?? ?? 06 9B 2B 60 07 9B 5C E7 6B 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 41 E7 14 F9 01 2C 3E 4B 03 EB 82 03 53 F8 54 1C 16 E6 14 F9 01 3B 34 60 41 2B EA DB 44 2B 50 DD 46 2B 22 DD 4A 2B 4C DD 4B 2B E2 D1 14 F9 01 2C 33 4B 06 A8 03 EB 82 03 19 69 ?? ?? ?? ?? 06 E0 40 29 0C D0 52 1C 06 A8 32 60 ?? ?? ?? ?? 32 68 92 F9 00 10 00 29 F3 D1 4B B2 40 2B 01 D1 52 1C 32 60 06 9B 2B 60 07 9B 40 E6 14 F9 01 2C 24 4B 04 A8 03 EB 82 03 19 69 ?? ?? ?? ?? 33 68 93 F9 00 30 3F 2B 0E D1 08 A8 ?? ?? ?? ?? 01 46 04 A8 ?? ?? ?? ?? 32 68 92 F9 00 30 40 2B 09 D1 52 1C 32 60 06 E0 08 A8 ?? ?? ?? ?? 01 46 04 A8 ?? ?? ?? ?? 14 49 04 A8 ?? ?? ?? ?? 04 9B 2B 60 05 9B 14 E6 14 F9 01 2C 0E 4B 03 EB 82 03 19 69 68 E6 4F F0 01 08 14 F9 01 2C 09 4B 68 46 03 EB 82 03 53 F8 E4 1C ?? ?? ?? ?? B8 F1 00 0F 3F F4 AB AD 00 9F 1F B1 01 9B 43 F4 00 70 B6 E5 01 98 B4 E5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_95_3 {
	meta:
		name = "?getPointerType@UnDecorator@@CA?AVDName@@ABV2@0@Z"
		size = 28
		refs = "000c ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z 0018 ??_C@_01NBENCBCI@?$CK?$AA@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 4B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_96_3 {
	meta:
		name = "?getPointerTypeArray@UnDecorator@@CA?AVDName@@ABV2@0@Z"
		size = 28
		refs = "000c ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z 0018 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 4B 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_97_3 {
	meta:
		name = "?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 424
		refs = "0038 ??4DName@@QAAAAV0@PBD@Z 0044 ??YDName@@QAAAAV0@D@Z 0062 ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z 00dc ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 00e4 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 00f4 ?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z 0102 ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z 011e ?getScopedName@UnDecorator@@CA?AVDName@@XZ 0130 ??0DName@@QAA@PBD@Z 0170 ??0DName@@QAA@W4DNameStatus@@@Z 0180 ??YDName@@QAAAAV0@ABV0@@Z 018c ??_C@_02PPKAJPJL@?$CG?$CG?$AA@ 0190 ??_C@_08PABEKFH@volatile?$AA@ 0194 ??_C@_0P@GCOCNKDM@std?3?3nullptr_t?$AA@ 0198 ??_C@_0BA@LKIJLKPP@std?3?3nullptr_t?5?$AA@ 019c ??_C@_00CNPNBAHC@?$AA@ 01a0 ??_C@_01HNPIGOCE@?$CG?$AA@ 01a4 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 87 B0 00 23 65 4D 02 93 03 9B 2A 68 0E 46 6F F3 0F 03 03 93 92 F9 00 30 04 46 00 2B 00 F0 A2 80 24 2B 1D D0 41 2B 0C D0 42 2B 56 D1 56 49 02 A8 ?? ?? ?? ?? 33 68 1B B1 02 A8 20 21 ?? ?? ?? ?? 2A 68 33 68 04 93 73 68 43 F4 80 73 05 93 52 4B 52 1C 2A 60 04 AA 02 A9 20 46 ?? ?? ?? ?? 8D E0 92 F9 01 30 24 2B 18 D0 00 2B 7B D0 63 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 63 60 02 23 23 71 00 23 23 60 70 E0 92 1C 2A 60 92 F9 00 30 51 2B 2C DC 55 D0 00 2B 5B D0 41 2B 20 D0 42 2B 16 D0 43 2B D9 D1 00 23 02 93 03 9B 52 1C 2A 60 6F F3 0F 03 03 93 00 23 32 4A 00 93 02 AB 04 A8 31 46 ?? ?? ?? ?? 01 46 20 46 ?? ?? ?? ?? 4C E0 52 1C 2A 60 01 22 31 46 20 46 ?? ?? ?? ?? 44 E0 52 1C 31 46 20 46 2A 60 ?? ?? ?? ?? 3D E0 52 2B 1C D0 53 2B 17 D0 54 2B 07 D0 59 2B AD D1 52 1C 20 46 2A 60 ?? ?? ?? ?? 2F E0 52 1C 2A 60 33 68 23 B1 1A 49 04 A8 ?? ?? ?? ?? 1E E0 17 49 20 46 ?? ?? ?? ?? 21 E0 52 1C 2A 60 96 E7 12 49 02 A8 ?? ?? ?? ?? 33 68 1B B1 02 A8 20 21 ?? ?? ?? ?? 2A 68 33 68 04 93 73 68 43 F4 80 73 05 93 08 4B 75 E7 04 A8 01 21 ?? ?? ?? ?? 03 68 31 46 23 60 43 68 20 46 63 60 ?? ?? ?? ?? 20 46 07 B0 BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_98_3 {
	meta:
		name = "?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z"
		size = 224
		refs = "002c ??0DName@@QAA@PBD@Z 0062 ?getArrayType@UnDecorator@@CA?AVDName@@ABV2@@Z 006c ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 008c ??YDName@@QAAAAV0@ABV0@@Z 00ae ??0DName@@QAA@W4DNameStatus@@@Z 00cc ??_C@_0O@GKABPPIF@cli?3?3pin_ptr?$DM?$AA@ 00d0 ??_C@_0M@EALIELKG@cli?3?3array?$DM?$AA@ 00d4 ??_C@_05BEFAKPML@void?5?$AA@ 00d8 ??_C@_04GKJNKENE@void?$AA@ 00dc ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 0D 46 33 49 04 46 08 68 90 F9 00 30 00 2B 47 D0 DA B1 58 2B 0D D1 40 1C 08 60 2B 68 23 B9 2B 49 20 46 ?? ?? ?? ?? 47 E0 28 49 68 46 ?? ?? ?? ?? 3A E0 5F 2B 09 D1 90 F9 01 30 5F 2B 05 D1 90 F9 02 30 5A 2B 01 D1 C0 1C 08 60 10 F9 01 3B 59 2B 05 D1 08 60 29 46 20 46 ?? ?? ?? ?? 2C E0 02 A8 29 46 ?? ?? ?? ?? 6B 68 13 F4 80 4F 0E D0 15 49 04 A8 ?? ?? ?? ?? 03 68 02 A9 00 93 43 68 68 46 01 93 ?? ?? ?? ?? DD E9 00 32 06 E0 13 F4 00 5F 01 D0 0B 49 EC E7 DD E9 02 32 C4 E9 00 32 0B E0 04 A8 01 21 ?? ?? ?? ?? 03 68 29 46 23 60 43 68 20 46 63 60 ?? ?? ?? ?? 20 46 06 B0 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_99_3 {
	meta:
		name = "?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0PBD@Z"
		size = 204
		refs = "002a ??0DName@@QAA@PBD@Z 0042 ??YDName@@QAAAAV0@ABV0@@Z 0056 ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z 0068 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 007e ?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z 0088 ??0DName@@QAA@W4DNameStatus@@@Z 0090 ??YDName@@QAAAAV0@PBD@Z 00ac ??YDName@@QAAAAV0@D@Z 00c8 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 04 46 2F 48 15 46 1F 46 00 68 0E 46 90 F9 00 20 A2 B3 36 2A 01 DB 39 2A 01 DD 5F 2A 1A D1 02 A8 39 46 ?? ?? ?? ?? 33 68 4B B1 2B 68 1B B1 6B 68 13 F4 80 7F 03 D1 02 A8 31 46 ?? ?? ?? ?? 2B 68 1B B1 02 A8 29 46 ?? ?? ?? ?? 02 A9 20 46 ?? ?? ?? ?? 31 E0 00 23 00 93 33 46 02 A8 3A 46 29 46 ?? ?? ?? ?? 97 F9 00 30 20 46 2A 2B 08 BF 01 22 18 BF 00 22 02 A9 ?? ?? ?? ?? 1D E0 02 A8 01 21 ?? ?? ?? ?? 02 A8 39 46 ?? ?? ?? ?? 33 68 1B B1 02 A8 31 46 ?? ?? ?? ?? 2B 68 4B B1 33 68 1B B1 02 A8 20 21 ?? ?? ?? ?? 02 A8 29 46 ?? ?? ?? ?? 02 9B 23 60 03 9B 63 60 20 46 04 B0 BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_101_3 {
	meta:
		name = "?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ"
		size = 304
		refs = "0044 ??YDName@@QAAAAV0@PBD@Z 004a ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 00b2 ??YDName@@QAAAAV0@D@Z 011c ??_C@_02KEGNLNML@?0?5?$AA@ 0120 ??_C@_03PBJBJNON@cpu?$AA@ 0124 ??_C@_03DCBBJBAA@amp?$AA@ 0128 ??_C@_01CLKCMJKC@?5?$AA@ 012c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 48 49 04 46 0A 68 92 F9 00 30 00 2B 69 D0 5F 2B 67 D1 52 1C 0A 60 12 F9 01 3B A3 F1 41 05 03 2D 0A 60 49 D8 01 9A 0B 69 00 20 6F F3 0F 02 02 27 CD E9 00 02 3B 42 3C D1 39 49 68 46 ?? ?? ?? ?? 0C 20 ?? ?? ?? ?? 01 46 68 46 ?? ?? ?? ?? 55 B3 EB 43 5B 1C 03 EA 05 06 01 2E 03 D0 02 2E 0C D1 2E 49 00 E0 2C 49 68 46 ?? ?? ?? ?? B5 43 1A D0 28 49 68 46 ?? ?? ?? ?? EA E7 63 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 63 60 27 71 00 23 23 60 32 E0 68 46 29 21 ?? ?? ?? ?? DD E9 00 02 C4 E9 00 02 29 E0 63 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 63 60 02 23 23 71 DE E7 00 23 23 60 23 71 63 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 63 60 20 46 BD E8 FC 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_102_3 {
	meta:
		name = "?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z"
		size = 48
		refs = "001a ??0DName@@QAA@PAV0@@Z 0022 ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 002c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 08 48 02 68 12 F9 01 3B 40 2B 04 D1 02 60 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_103_3 {
	meta:
		name = "?getScope@UnDecorator@@CA?AVDName@@XZ"
		size = 968
		refs = "0074 ??0DName@@QAA@PBD@Z 0084 ??YDName@@QAAAAV0@ABV0@@Z 009a ??0DName@@QAA@D@Z 00f2 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0104 ??0DName@@QAA@ABV0@@Z 011c ??YDName@@QAAAAV0@D@Z 014e ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0164 ??YDName@@QAAAAV0@PBD@Z 0240 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 026a ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 02b8 ??0DName@@QAA@AAPBDD@Z 02e6 ??YReplicator@@QAAAAV0@ABVDName@@@Z 037e ??4DName@@QAAAAV0@W4DNameStatus@@@Z 0388 ??0DName@@QAA@W4DNameStatus@@@Z 03bc ??_C@_02MOLJINC@?3?3?$AA@ 03c0 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 03c4 ?pZNameList@UnDecorator@@0PAVReplicator@@A"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B C3 B0 4F F0 00 09 05 46 80 F8 04 90 6B 68 EB 4E C0 F8 00 90 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 DB B2 B2 68 00 2B C8 46 4F F0 02 0A 40 F0 78 81 01 9F 92 F9 00 30 00 2B 00 F0 72 81 40 2B 00 F0 6F 81 33 7F 1B B1 73 7F 00 2B 00 F0 A4 81 2B 68 2B B3 D2 49 2C A8 ?? ?? ?? ?? 03 68 29 46 06 93 43 68 06 A8 07 93 ?? ?? ?? ?? 06 9B B8 F1 00 0F 2B 60 07 9B 6B 60 11 D0 5B 21 2E A8 ?? ?? ?? ?? 03 68 29 46 08 93 43 68 08 A8 09 93 ?? ?? ?? ?? 08 9B 4F F0 00 08 2B 60 09 9B 6B 60 B2 68 12 F9 01 3B 3F 2B 40 F0 26 81 B2 60 12 F9 01 3B 24 2B 00 F0 0D 81 25 2B 00 F0 EC 80 3F 2B 00 F0 A5 80 41 2B 00 F0 E6 80 49 2B 00 F0 83 80 51 2B 24 D0 00 21 30 A8 ?? ?? ?? ?? 04 46 32 A8 60 21 ?? ?? ?? ?? 01 46 24 A8 ?? ?? ?? ?? 21 46 24 A8 ?? ?? ?? ?? 24 9B 27 21 0A A8 0A 93 25 9B 0B 93 ?? ?? ?? ?? 0A 9B 29 46 0C A8 0C 93 0B 9B 0D 93 ?? ?? ?? ?? 0C 9B 2B 60 0D 9B FC E0 00 24 6F F3 0F 07 CD E9 00 47 B2 60 4F F0 02 09 00 22 01 21 26 A8 ?? ?? ?? ?? 27 9A D3 B2 B3 B9 8C B1 26 9B 97 49 0E A8 CD E9 0E 32 ?? ?? ?? ?? 0E 9B 69 46 10 A8 10 93 0F 9B 11 93 ?? ?? ?? ?? DD E9 10 47 06 E0 26 9C 17 46 01 92 03 E0 69 F3 0F 07 00 24 01 97 FB B2 00 94 23 B9 B3 68 93 F9 00 30 40 2B D4 D1 FB B2 4F F0 00 09 DB B9 5B 21 34 A8 ?? ?? ?? ?? 03 68 69 46 12 93 43 68 12 A8 13 93 ?? ?? ?? ?? 12 9B 5D 21 14 A8 14 93 13 9B 15 93 ?? ?? ?? ?? 14 9B 2B 60 15 9B 6B 60 B2 68 52 1C B2 60 AB E0 6B 68 C5 F8 00 90 23 F4 7F 43 6B 60 85 F8 04 A0 A1 E0 B2 60 00 22 01 21 36 A8 ?? ?? ?? ?? 03 68 5D 21 16 93 43 68 16 A8 17 93 ?? ?? ?? ?? 16 9B 29 46 18 A8 18 93 17 9B 19 93 ?? ?? ?? ?? 18 9B 4F F0 01 08 2B 60 19 9B 84 E0 92 F9 00 30 5F 2B 1B D1 92 F9 01 30 3F 2B 17 D1 B2 60 00 22 00 21 38 A8 ?? ?? ?? ?? 03 68 29 46 1A 93 43 68 1A A8 1B 93 ?? ?? ?? ?? 1A 9B 2B 60 1B 9B 6B 60 B2 68 92 F9 00 30 40 2B 67 D1 B7 E7 3A A8 ?? ?? ?? ?? 04 46 3C A8 60 21 ?? ?? ?? ?? 03 68 21 46 1C 93 43 68 1C A8 1D 93 ?? ?? ?? ?? 1C 9B 27 21 1E A8 1E 93 1D 9B 1F 93 ?? ?? ?? ?? 1E 9B 29 46 20 A8 20 93 1F 9B 21 93 ?? ?? ?? ?? 20 9B 2B 60 21 9B 40 E0 40 22 06 F1 08 01 28 A8 ?? ?? ?? ?? 40 49 3E A8 ?? ?? ?? ?? 03 68 29 46 22 93 43 68 22 A8 23 93 ?? ?? ?? ?? 22 9B 2B 60 23 9B 6B 60 30 68 03 68 09 2B 27 D0 28 A9 ?? ?? ?? ?? 23 E0 92 1E B2 60 00 22 01 21 40 A8 ?? ?? ?? ?? 03 68 29 46 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 9B 2B 60 05 9B 0F E0 00 22 01 21 2A A8 ?? ?? ?? ?? 03 68 29 46 02 93 43 68 02 A8 03 93 ?? ?? ?? ?? 02 9B 2B 60 03 9B 6B 60 B2 68 2B 79 00 2B 3F F4 89 AE 92 F9 00 30 C3 B1 40 2B 35 D0 6B 68 C5 F8 00 90 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 6B 60 85 F8 04 A0 1E E0 2B 68 23 B9 01 21 28 46 ?? ?? ?? ?? 17 E0 2A A8 01 21 ?? ?? ?? ?? 03 68 0B 49 02 93 43 68 02 A8 03 93 ?? ?? ?? ?? 02 9B 04 A8 29 46 04 93 03 9B 05 93 ?? ?? ?? ?? 04 9B 2B 60 05 9B 6B 60 28 46 43 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_104_3 {
	meta:
		name = "?getScopedName@UnDecorator@@CA?AVDName@@XZ"
		size = 280
		refs = "003c ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 005e ?getScope@UnDecorator@@CA?AVDName@@XZ 006e ??YDName@@QAAAAV0@PBD@Z 007e ??YDName@@QAAAAV0@ABV0@@Z 00d0 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 00da ??0DName@@QAA@W4DNameStatus@@@Z 0110 ??_C@_02MOLJINC@?3?3?$AA@ 0114 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 87 B0 04 46 00 26 26 71 63 68 02 A8 00 22 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 01 21 C4 E9 00 63 ?? ?? ?? ?? 03 68 34 4D 23 60 43 68 63 60 23 79 00 2B 2B 68 1C D1 93 F9 00 20 CA B1 40 2A 1B D0 04 A8 ?? ?? ?? ?? 03 68 2A 49 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 00 9B 02 A8 21 46 02 93 01 9B 03 93 ?? ?? ?? ?? 02 9B 23 60 03 9B 63 60 2B 68 93 F9 00 20 40 2A 02 D1 5B 1C 2B 60 35 E0 AA B1 63 68 26 60 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 63 60 02 23 23 71 1E E0 23 68 23 B9 01 21 20 46 ?? ?? ?? ?? 17 E0 04 A8 01 21 ?? ?? ?? ?? 03 68 0B 49 02 93 43 68 02 A8 03 93 ?? ?? ?? ?? 02 9B 68 46 21 46 00 93 03 9B 01 93 ?? ?? ?? ?? 00 9B 23 60 01 9B 63 60 20 46 07 B0 BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_105_3 {
	meta:
		name = "?getSignedDimension@UnDecorator@@CA?AVDName@@XZ"
		size = 92
		refs = "0016 ??0DName@@QAA@W4DNameStatus@@@Z 0026 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0030 ??0DName@@QAA@D@Z 0040 ??YDName@@QAAAAV0@ABV0@@Z 0058 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 13 49 05 46 0B 68 13 F9 01 2B 1A B9 01 21 ?? ?? ?? ?? 18 E0 3F 2A 12 D1 0B 60 00 21 68 46 ?? ?? ?? ?? 04 46 02 A8 2D 21 ?? ?? ?? ?? 03 68 21 46 2B 60 43 68 28 46 6B 60 ?? ?? ?? ?? 03 E0 00 21 28 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_107_3 {
	meta:
		name = "?getString@DName@@QBAPADPAD0@Z"
		size = 42
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 06 68 17 46 0D 46 4E B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 29 46 3A 46 A0 47 05 46 28 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_9_108_3 {
	meta:
		name = "?getString@DName@@QBAPADPADH@Z"
		size = 100
		refs = "001a _guard_check_icall 002a ?getMemory@_HeapManager@@QAAPAXIH@Z 0060 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 05 46 2F 68 14 46 0E 46 07 B3 76 B9 3B 68 1C 68 20 46 ?? ?? ?? ?? 38 46 A0 47 44 1C 0E 48 00 22 21 46 ?? ?? ?? ?? 06 46 9E B1 2F 68 0F B9 30 46 09 E0 3B 68 35 19 9C 68 20 46 ?? ?? ?? ?? 38 46 31 46 6A 1E A0 47 00 23 03 70 02 E0 0E B1 00 23 33 70 30 46 BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_109_3 {
	meta:
		name = "?getString@DNameStatusNode@@UBAPADPAD0@Z"
		size = 56
		refs = "0034 ??_C@_04OKOHEJBO@?5?$DP?$DP?5?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 43 68 01 2B 0F D1 53 1A 04 20 04 2B B8 BF 18 46 40 B1 06 4B 0A 46 04 46 5D 1A AB 5C 64 1E 02 F8 01 3B FA D1 01 44 08 46 BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_110_3 {
	meta:
		name = "?getString@charNode@@UBAPADPAD0@Z"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 91 42 02 D2 03 79 0B 70 49 1C 08 46 BD E8 00 88 }
	condition:
		$1
}

rule file_9_111_3 {
	meta:
		name = "?getString@pDNameNode@@UBAPADPAD0@Z"
		size = 46
		refs = "001a _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 43 68 17 46 0D 46 5B B1 1E 68 4E B1 33 68 9C 68 20 46 ?? ?? ?? ?? 30 46 29 46 3A 46 A0 47 05 46 28 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_9_112_3 {
	meta:
		name = "?getString@pairNode@@UBAPADPAD0@Z"
		size = 70
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 44 68 80 46 17 46 23 68 0E 46 9D 68 28 46 ?? ?? ?? ?? 20 46 31 46 3A 46 A8 47 06 46 BE 42 0B D2 D8 F8 08 40 23 68 9D 68 28 46 ?? ?? ?? ?? 20 46 31 46 3A 46 A8 47 06 46 30 46 BD E8 F8 89 }
	condition:
		$1
}

rule file_9_113_3 {
	meta:
		name = "?getString@pcharNode@@UBAPADPAD0@Z"
		size = 44
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B D0 E9 01 04 53 1A 9C 42 C8 BF 1C 46 3C B1 45 1A 20 46 0A 46 AB 5C 40 1E 02 F8 01 3B FA D1 60 18 BD E8 30 88 }
	condition:
		$1
}

rule file_9_114_3 {
	meta:
		name = "?getStringEncoding@UnDecorator@@CA?AVDName@@PADH@Z"
		size = 148
		refs = "000c ??0DName@@QAA@PBD@Z 0030 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0070 ??0DName@@QAA@W4DNameStatus@@@Z 0090 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 04 46 68 46 ?? ?? ?? ?? 1F 4D 2A 68 12 F9 01 3B 40 2B 2A 60 2B D1 12 F9 01 3B 5F 2B 2A 60 26 D1 52 1C 02 A8 00 21 2A 60 ?? ?? ?? ?? 02 A8 00 21 ?? ?? ?? ?? 2A 68 92 F9 00 30 8B B1 40 2B 05 D0 52 1C 2A 60 92 F9 00 30 00 2B F7 D1 92 F9 00 30 33 B1 00 9B 52 1C 2A 60 23 60 01 9B 63 60 0E E0 52 1E 01 21 20 46 2A 60 ?? ?? ?? ?? 07 E0 63 68 23 F4 7F 43 63 60 02 23 23 71 00 23 23 60 20 46 04 B0 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_115_3 {
	meta:
		name = "?getStringHelper@@YAPADPAD00H@Z"
		size = 42
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 1C 46 0B 1A 9C 42 C8 BF 1C 46 3C B1 15 1A 22 46 01 46 6B 5C 52 1E 01 F8 01 3B FA D1 20 44 BD E8 30 88 }
	condition:
		$1
}

rule file_9_116_3 {
	meta:
		name = "?getSymbolName@UnDecorator@@CA?AVDName@@XZ"
		size = 68
		refs = "0020 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 002c ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 0036 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0040 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0D 49 04 46 0A 68 92 F9 00 30 3F 2B 0D D1 12 F9 01 3F 24 2B 03 D1 01 21 ?? ?? ?? ?? 09 E0 0A 60 00 22 00 21 ?? ?? ?? ?? 03 E0 00 22 01 21 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_117_3 {
	meta:
		name = "?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 540
		refs = "0008 __security_push_cookie 0076 ??AReplicator@@QBA?AVDName@@H@Z 00b8 ??4DName@@QAAAAV0@PBD@Z 00ee ?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ 00fa ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0110 ?getString@DName@@QBAPADPADH@Z 0116 atol 0120 _guard_check_icall 0132 ??0DName@@QAA@PBD@Z 0142 ??YDName@@QAAAAV0@ABV0@@Z 0152 ??YDName@@QAAAAV0@PBD@Z 0198 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 01ba ??YReplicator@@QAAAAV0@ABVDName@@@Z 01cc ??YDName@@QAAAAV0@D@Z 01fe __security_pop_cookie 0208 ??_C@_03KHICJKCI@?4?4?4?$AA@ 020c ??_C@_01GEODFPGF@?8?$AA@ 0210 ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 0214 ??_C@_04GKJNKENE@void?$AA@ 0218 ?pTemplateArgList@UnDecorator@@0PAVReplicator@@A"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 9E B0 07 46 00 23 3B 60 3B 71 7B 68 7F 4E 01 20 23 F4 7F 43 7B 60 01 23 73 76 3B 79 02 90 00 2B 40 F0 E3 80 00 24 01 9D 72 68 A6 46 92 F9 00 30 00 2B 00 F0 DA 80 40 2B 00 F0 D7 80 4F F0 00 09 10 B1 00 21 02 91 01 E0 4F F0 01 09 A3 F1 30 01 6F F3 0F 05 CD E9 00 45 09 29 4F F0 00 0A 0B D8 52 1C 30 68 72 60 0A 46 10 A9 ?? ?? ?? ?? D0 E9 00 45 CD E9 00 45 9C E0 90 46 24 2B 0F D1 92 F9 01 30 24 2B 0B D1 92 F9 02 30 24 2B 1A D0 55 2B 13 D0 56 2B 14 D0 57 2B 0D D0 5A 2B 10 D0 12 F9 01 1B 58 29 15 D1 58 49 72 60 68 46 ?? ?? ?? ?? DD E9 00 45 70 E0 4F F0 01 0A D2 1C 72 60 EE E7 D2 1C 04 E0 92 F9 03 30 56 2B E8 D1 12 1D 72 60 86 E0 24 29 08 D1 92 F9 00 30 24 2B 04 D0 12 A8 72 60 ?? ?? ?? ?? 53 E0 3F 29 48 D1 0C A8 ?? ?? ?? ?? 73 69 13 F4 80 4F 2A D0 F3 69 43 B3 10 22 1A A9 0C A8 ?? ?? ?? ?? 1A A8 ?? ?? ?? ?? F4 69 05 46 20 46 ?? ?? ?? ?? 28 46 A0 47 08 B1 01 46 C3 E7 38 49 14 A8 ?? ?? ?? ?? 03 68 0C A9 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 9B 30 49 06 A8 06 93 05 9B 07 93 ?? ?? ?? ?? DD E9 06 45 21 E0 2C 49 16 A8 ?? ?? ?? ?? 03 68 0C A9 08 93 43 68 08 A8 09 93 ?? ?? ?? ?? 08 9B 25 49 0A A8 0A 93 09 9B 0B 93 ?? ?? ?? ?? DD E9 0A 45 0A E0 0F 9B 0E A9 18 A8 6F F3 0F 03 CD E9 0E E3 ?? ?? ?? ?? D0 E9 00 45 CD E9 00 45 72 68 A2 EB 08 03 01 2B 08 DD 33 68 1B 68 09 2B 04 D0 30 68 69 46 ?? ?? ?? ?? 72 68 94 B1 B9 F1 00 0F 03 D0 2C 21 38 46 ?? ?? ?? ?? 69 46 38 46 ?? ?? ?? ?? BA F1 00 0F 03 D0 0A 49 38 46 ?? ?? ?? ?? 72 68 00 24 A6 46 3B 79 02 98 00 2B 3F F4 21 AF 00 23 73 76 38 46 1E B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_118_3 {
	meta:
		name = "?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ"
		size = 724
		refs = "0008 __security_push_cookie 003a ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0042 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0064 ?getString@DName@@QBAPADPADH@Z 0094 ??0DName@@QAA@PBD@Z 00a4 ??YDName@@QAAAAV0@D@Z 00e2 ??YDName@@QAAAAV0@ABV0@@Z 00f8 ??0DName@@QAA@W4DNameStatus@@@Z 0102 ??0DName@@QAA@D@Z 01c6 __security_pop_cookie 020c atol 022c _guard_check_icall 0246 sprintf_s 02ae ??YDName@@QAAAAV0@PBD@Z 02b4 ??_C@_01GEODFPGF@?8?$AA@ 02b8 ??_C@_0BK@IHCCFNEL@?$GAtemplate?9type?9parameter?9?$AA@ 02bc ??_C@_0BK@OFCNNNKO@?$GAgeneric?9class?9parameter?9?$AA@ 02c0 ??_C@_0BL@NGJBLFIL@?$GAgeneric?9method?9parameter?9?$AA@ 02c4 ??_C@_02DPKJAMEF@?$CFd?$AA@ 02c8 ??_C@_01HNPIGOCE@?$CG?$AA@ 02cc ??_C@_04HIBGFPH@NULL?$AA@ 02d0 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? A3 B0 B0 4C 06 46 22 68 12 F9 01 7B 22 60 4A 2F 00 F3 B2 80 46 2F 6C DA 00 2F 63 D0 30 2F 5D D0 31 2F 40 D0 32 2F 05 D0 45 2F 40 F0 AE 80 ?? ?? ?? ?? C0 E0 04 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 05 9B 5B B2 01 2B 4F DC 03 9B 5B B2 01 2B 4B DC 0D F1 29 01 04 A8 63 22 ?? ?? ?? ?? 00 28 00 F0 94 80 9D F9 29 30 8D F8 28 30 2D 2B 07 D1 9D F8 2A 30 8D F8 29 30 2E 23 8D F8 2A 30 02 E0 2E 23 8D F8 29 30 0A A9 04 A8 ?? ?? ?? ?? 03 68 65 21 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 00 9B 02 A9 33 60 01 9B 15 E0 12 F9 01 3B 40 2B 05 D1 84 49 22 60 30 46 ?? ?? ?? ?? 7D E0 02 A8 ?? ?? ?? ?? 7E 49 04 46 04 A8 ?? ?? ?? ?? 03 68 21 46 33 60 43 68 30 46 73 60 ?? ?? ?? ?? 6C E0 30 46 ?? ?? ?? ?? 68 E0 52 1E 22 60 01 21 30 46 ?? ?? ?? ?? 61 E0 68 46 7B 21 ?? ?? ?? ?? A7 F1 48 03 02 2B 0A D8 02 A8 ?? ?? ?? ?? 01 46 68 46 ?? ?? ?? ?? 68 46 2C 21 ?? ?? ?? ?? 46 2F 12 D0 47 2F 05 D0 48 2F 19 D0 49 2F 0C D0 4A 2F 1C D1 02 A8 ?? ?? ?? ?? 01 46 68 46 ?? ?? ?? ?? 68 46 2C 21 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 01 46 68 46 ?? ?? ?? ?? 68 46 2C 21 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 01 46 68 46 ?? ?? ?? ?? 00 9B 7D 21 30 46 33 60 01 9B 73 60 ?? ?? ?? ?? 1E E0 51 2F 06 D0 52 2F 36 D0 53 2F 1E D0 01 DD 56 2F 31 DD 73 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 73 60 02 23 33 71 00 23 33 60 30 46 23 B0 ?? ?? ?? ?? BD E8 F0 8B 00 23 33 60 33 71 73 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 F4 80 43 23 F4 00 43 73 60 E3 E7 02 A8 ?? ?? ?? ?? 06 A9 02 A8 10 22 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 23 69 4F F4 80 49 80 46 13 EA 09 0F 0D D0 A3 69 5B B1 05 46 18 46 6F F3 1F 35 1C 46 ?? ?? ?? ?? 28 46 A0 47 08 B1 01 46 41 E7 22 4A 6F F3 1F 38 43 46 06 A8 10 21 ?? ?? ?? ?? 06 A9 04 A8 ?? ?? ?? ?? 52 2F 19 D0 54 2F 17 D0 55 2F 13 D0 56 2F 0F D0 73 68 23 F4 80 73 23 F4 00 73 23 F4 80 63 23 F4 00 63 23 F4 80 53 23 F4 00 53 23 EA 09 03 98 E7 0F 49 02 E0 0D 49 00 E0 0B 49 02 A8 ?? ?? ?? ?? 03 68 04 A9 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 00 9B 03 49 30 46 33 60 01 9B 73 60 ?? ?? ?? ?? 86 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_119_3 {
	meta:
		name = "?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z"
		size = 268
		refs = "005a ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 006a ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0082 ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 008c ??0DName@@QAA@D@Z 009c ??YDName@@QAAAAV0@ABV0@@Z 00b2 _guard_check_icall 00c2 ??YDName@@QAAAAV0@D@Z 0108 ?pArgList@UnDecorator@@0PAVReplicator@@A"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B AF B0 3F 4E 88 46 05 46 F2 68 12 F9 02 3B 3F 2B 69 D1 12 F9 01 3C 24 2B 65 D1 D6 E9 01 A3 D6 F8 00 90 F2 60 06 93 6F F0 00 03 0C 93 18 93 24 93 0C AB 33 60 18 AB 73 60 24 AB B3 60 12 F9 01 3B 00 24 8D F8 00 40 3F 2B 08 D1 F2 60 6A 46 04 A8 01 21 ?? ?? ?? ?? 9D F8 00 40 04 E0 04 A8 01 22 01 21 ?? ?? ?? ?? D0 E9 00 32 CD E9 02 32 13 B9 01 21 86 F8 20 10 84 BB 08 A8 ?? ?? ?? ?? 04 46 0A A8 3C 21 ?? ?? ?? ?? 03 68 21 46 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 A9 02 A8 ?? ?? ?? ?? 02 9F 67 B1 3B 68 5C 68 20 46 ?? ?? ?? ?? 38 46 A0 47 3E 28 03 D1 02 A8 20 21 ?? ?? ?? ?? 02 A8 3E 21 ?? ?? ?? ?? B8 F1 00 0F 04 D0 F2 68 12 F9 01 3B 03 B1 F2 60 DD E9 02 32 06 99 C6 E9 00 9A 6A 60 B1 60 06 E0 6B 68 23 F4 7F 43 6B 60 02 23 2B 71 00 23 2B 60 28 46 2F B0 BD E8 F0 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_120_3 {
	meta:
		name = "?getThisType@UnDecorator@@CA?AVDName@@XZ"
		size = 64
		refs = "002e ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 003c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 00 23 02 93 03 9B 0A 4A 04 46 6F F3 0F 03 03 93 00 23 04 93 05 9B 6F F3 0F 03 05 93 01 23 00 93 02 AB 04 A9 ?? ?? ?? ?? 20 46 07 B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_121_3 {
	meta:
		name = "?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 132
		refs = "002c ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0036 ??0DName@@QAA@PBD@Z 0046 ??YDName@@QAAAAV0@ABV0@@Z 0060 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0070 ??YDName@@QAAAAV0@D@Z 007c ??_C@_07HDJPLPEK@?5throw?$CI?$AA@ 0080 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 1D 49 05 46 0B 68 13 F9 01 2B D2 B1 5A 2A 07 D1 0B 60 01 9B 00 22 2A 60 6F F3 0F 03 6B 60 24 E0 02 A8 ?? ?? ?? ?? 12 49 04 46 04 A8 ?? ?? ?? ?? 03 68 21 46 00 93 43 68 68 46 01 93 ?? ?? ?? ?? 0B E0 0B 49 04 A8 ?? ?? ?? ?? 03 68 00 93 43 68 68 46 01 21 01 93 ?? ?? ?? ?? 00 9B 29 21 28 46 2B 60 01 9B 6B 60 ?? ?? ?? ?? 28 46 06 B0 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_122_3 {
	meta:
		name = "?getTypeEncoding@UnDecorator@@CAHXZ"
		size = 544
		refs = "00f6 ?getTypeEncoding@UnDecorator@@CAHXZ 021c ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 84 49 00 25 0A 68 92 F9 00 30 00 20 5F 2B 03 D1 52 1C 0A 60 4F F4 80 40 12 F9 01 3B 41 2B 01 DB 5A 2B 2B DD 24 2B 40 F0 BE 80 0A 60 92 F9 00 30 42 2B 76 DC 72 D0 00 2B 6C D0 24 2B 5F D1 92 F9 01 30 50 2B 08 BF 52 1C 52 1C 0A 60 12 F9 01 3B 4A 2B 07 DC 41 D0 00 2B 00 F0 96 80 46 2B 0B D0 48 2B 07 E0 4C 2B C0 F2 D2 80 4D 2B 04 DD 4F 2B 33 DD 51 2B 40 F0 CB 80 0A 60 C4 E7 12 F9 01 3C 0A 60 40 F4 00 40 41 3B 13 F0 01 0F 01 D0 40 F4 00 50 18 2B 7A DA 40 F4 00 60 13 F0 18 02 07 D0 08 2A 02 D0 10 2A 05 D0 B1 E0 40 F0 80 00 01 E0 40 F0 40 00 13 F0 06 03 68 D0 02 2B 0A D0 04 2B 05 D0 06 2B 40 F0 A3 80 40 F4 80 60 5E E0 40 F4 80 70 5B E0 40 F4 00 70 58 E0 0A 60 92 F9 00 30 30 2B 09 DB 39 2B 07 DC 13 44 2F 3B 0B 60 ?? ?? ?? ?? 40 F4 80 30 49 E0 4F F6 FF 70 50 E0 2F 2B 40 F3 85 80 35 2B 1D DD 41 2B 40 F0 80 80 40 F4 10 40 45 E0 4F F6 FE 70 52 1E 41 E0 40 F4 18 40 3E E0 43 2B 3A D0 44 2B 35 D0 45 2B 30 D0 52 2B 6D D1 52 1C 0A 60 92 F9 00 30 01 25 30 2B 21 DB 35 2B 1F DC 92 F9 00 30 40 F4 08 40 A3 F1 30 04 15 B1 4F F4 C0 63 01 E0 4F F4 A0 63 18 43 14 F0 01 0F 01 D0 40 F4 00 50 14 F0 06 03 07 D0 02 2B 02 D0 04 2B 14 D0 4A E0 40 F0 80 00 10 E0 40 F0 40 00 0D E0 00 2B 42 D0 4F F6 FE 70 BD E8 30 88 40 F4 12 40 04 E0 40 F4 11 40 01 E0 4F F4 F8 40 52 1C 0A 60 F2 E7 12 F9 01 3C 30 2B 27 DB 38 2B 25 DC 0A 60 A3 F1 30 02 08 2A 28 D8 DF E8 02 F0 05 08 0B 0D 13 10 16 19 1C 1C 4F F4 00 60 DD E7 4F F4 80 50 DA E7 00 20 D8 E7 4F F4 80 40 D5 E7 4F F4 C0 40 D2 E7 4F F4 00 50 CF E7 4F F4 D0 40 CC E7 4F F4 E0 40 C9 E7 4F F4 F0 40 C6 E7 39 2B 03 D1 0A 60 4F F6 FD 70 C0 E7 00 2B BC D0 4F F6 FF 70 BB E7 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_123_3 {
	meta:
		name = "?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ"
		size = 76
		refs = "0030 ??0DName@@QAA@PBD@Z 003a ??0DName@@QAA@W4DNameStatus@@@Z 0044 ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 0048 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0F 49 04 46 0B 68 13 F9 01 2B 82 B1 41 2A 08 D0 63 68 23 F4 7F 43 63 60 02 23 23 71 00 23 23 60 09 E0 0B 60 05 49 20 46 ?? ?? ?? ?? 03 E0 01 21 20 46 ?? ?? ?? ?? 20 46 BD E8 18 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_125_3 {
	meta:
		name = "?getVdispMapType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 76
		refs = "0014 ??YDName@@QAAAAV0@PBD@Z 001a ?getScope@UnDecorator@@CA?AVDName@@XZ 0022 ??YDName@@QAAAAV0@ABV0@@Z 002a ??YDName@@QAAAAV0@D@Z 0044 ?gName@UnDecorator@@0PBDB 0048 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 0B 68 04 46 23 60 4B 68 0D 49 63 60 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 01 46 20 46 ?? ?? ?? ?? 7D 21 20 46 ?? ?? ?? ?? 05 49 0A 68 12 F9 01 3B 40 2B 00 D1 0A 60 20 46 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_126_3 {
	meta:
		name = "?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 364
		refs = "004e ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@PBD0H@Z 005e ??YDName@@QAAAAV0@D@Z 006e ??YDName@@QAAAAV0@ABV0@@Z 0090 ??YDName@@QAAAAV0@PBD@Z 00aa ?getScope@UnDecorator@@CA?AVDName@@XZ 00b4 ??0DName@@QAA@D@Z 0114 ??YDName@@QAAAAV0@W4DNameStatus@@@Z 0138 ??0DName@@QAA@W4DNameStatus@@@Z 015c ??_C@_02MDINNEEG@s?5?$AA@ 0160 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 0164 ??_C@_00CNPNBAHC@?$AA@ 0168 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8B B0 0B 68 05 46 2B 60 4B 68 5A B2 01 2A 6B 60 00 F3 9C 80 52 4E 33 68 93 F9 00 30 00 2B 00 F0 83 80 00 23 04 93 05 9B 4C 4A 02 A9 6F F3 0F 03 05 93 00 23 02 93 03 9B 06 A8 6F F3 0F 03 03 93 00 23 00 93 04 AB ?? ?? ?? ?? 06 9B 02 A8 20 21 02 93 07 9B 03 93 ?? ?? ?? ?? 02 9B 04 A8 29 46 04 93 03 9B 05 93 ?? ?? ?? ?? 04 9B 2B 60 05 9B 6B 60 95 F9 04 30 01 2B 68 DC 32 68 92 F9 00 30 40 2B 4E D0 34 49 28 46 ?? ?? ?? ?? 32 68 95 F9 04 30 01 2B 31 DC 92 F9 00 30 73 B3 40 2B 2C D0 06 A8 ?? ?? ?? ?? 04 46 08 A8 60 21 ?? ?? ?? ?? 03 68 21 46 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 9B 27 21 02 A8 02 93 05 9B 03 93 ?? ?? ?? ?? 02 A9 28 46 ?? ?? ?? ?? 32 68 92 F9 00 30 40 2B 01 D1 52 1C 32 60 95 F9 04 30 01 2B CF DC 92 F9 00 30 40 2B CB D0 17 49 C5 E7 95 F9 04 30 01 2B 0B DC 92 F9 00 30 1B B9 01 21 28 46 ?? ?? ?? ?? 7D 21 28 46 ?? ?? ?? ?? 32 68 92 F9 00 30 40 2B 14 D1 52 1C 32 60 11 E0 01 2A 0F DC 08 A8 01 21 ?? ?? ?? ?? 03 68 29 46 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 9B 2B 60 05 9B 6B 60 28 46 0B B0 BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_127_3 {
	meta:
		name = "?getZName@UnDecorator@@CA?AVDName@@_N0@Z"
		size = 440
		refs = "0008 __security_push_cookie 002c ??AReplicator@@QBA?AVDName@@H@Z 0046 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 0072 ??4DName@@QAAAAV0@W4DNameStatus@@@Z 00da ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 00f0 ?getString@DName@@QBAPADPADH@Z 00f6 atol 0100 _guard_check_icall 010e ??4DName@@QAAAAV0@PBD@Z 0120 ??0DName@@QAA@PBD@Z 0130 ??YDName@@QAAAAV0@ABV0@@Z 0140 ??YDName@@QAAAAV0@PBD@Z 0172 ??0DName@@QAA@AAPBDD@Z 018e ??YReplicator@@QAAAAV0@ABVDName@@@Z 019a __security_pop_cookie 01a4 ??_C@_01GEODFPGF@?8?$AA@ 01a8 ??_C@_01NLNLIGKH@?$GA?$AA@ 01ac ??_C@_0O@KHGCOMHP@generic?9type?9?$AA@ 01b0 ??_C@_0BE@JAEOCHPE@template?9parameter?9?$AA@ 01b4 ?pZNameList@UnDecorator@@0PAVReplicator@@A"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8C B0 69 4E 07 46 91 46 B0 68 8A 46 90 F9 00 40 A4 F1 30 02 09 2A 06 D8 40 1C B0 60 30 68 39 46 ?? ?? ?? ?? B1 E0 00 23 00 93 01 9B 3F 2C 6F F3 0F 03 01 93 1A D1 02 A8 00 21 ?? ?? ?? ?? B2 68 D0 E9 00 54 12 F9 01 3B CD E9 00 54 40 2B B2 60 00 F0 8F 80 52 1E B2 60 92 F9 00 30 0B B1 02 21 00 E0 01 21 68 46 ?? ?? ?? ?? 69 E0 DF F8 34 81 02 46 12 25 41 46 92 F9 00 E0 BE F1 00 0F 07 D0 91 F9 00 30 9E 45 03 D1 52 1C 49 1C 6D 1E F2 D1 12 78 0B 78 D3 1A 08 BF 13 30 16 D0 DF F8 00 81 02 46 0C 25 41 46 92 F9 00 E0 BE F1 00 0F 07 D0 91 F9 00 30 9E 45 03 D1 52 1C 49 1C 6D 1E F2 D1 12 78 0B 78 D3 1A 3E D1 0D 30 B0 60 02 A8 ?? ?? ?? ?? B3 69 13 F4 80 4F 16 D0 33 6A A3 B1 08 A9 02 A8 10 22 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 34 6A 05 46 20 46 ?? ?? ?? ?? 28 46 A0 47 01 46 19 B1 68 46 ?? ?? ?? ?? 1B E0 24 49 68 46 ?? ?? ?? ?? 06 A8 41 46 ?? ?? ?? ?? 03 68 02 A9 04 93 43 68 04 A8 05 93 ?? ?? ?? ?? 04 9B 1B 49 02 A8 02 93 05 9B 03 93 ?? ?? ?? ?? 02 A9 68 46 ?? ?? ?? ?? DD E9 00 54 15 E0 B9 F1 00 0F 08 D0 40 2C 06 D1 07 9C 00 25 40 1C 6F F3 0F 04 B0 60 07 E0 06 A8 40 22 06 F1 08 01 ?? ?? ?? ?? D0 E9 00 54 CD E9 00 54 BA F1 00 0F 06 D0 30 68 03 68 09 2B 02 D0 69 46 ?? ?? ?? ?? C7 E9 00 54 38 46 0C B0 ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_128_3 {
	meta:
		name = "?haveTemplateParameters@UnDecorator@@SAHXZ"
		size = 24
		refs = "0014 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 1B 68 03 F4 80 40 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_129_3 {
	meta:
		name = "?isArray@DName@@QBAHXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 C3 F3 C0 20 BD E8 00 88 }
	condition:
		$1
}

rule file_9_130_3 {
	meta:
		name = "?isComArray@DName@@QBAHXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 C3 F3 80 30 BD E8 00 88 }
	condition:
		$1
}

rule file_9_132_3 {
	meta:
		name = "?isFull@Replicator@@QBAHXZ"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 09 2B 08 BF 01 20 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_9_133_3 {
	meta:
		name = "?isNoTE@DName@@QBAHXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 C3 F3 00 30 BD E8 00 88 }
	condition:
		$1
}

rule file_9_134_3 {
	meta:
		name = "?isPinPtr@DName@@QBAHXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 C3 F3 40 30 BD E8 00 88 }
	condition:
		$1
}

rule file_9_136_3 {
	meta:
		name = "?isUDC@DName@@QBAHXZ"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 2B B1 43 68 13 F4 00 7F 18 BF 01 20 00 D1 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_9_137_3 {
	meta:
		name = "?isUDTThunk@DName@@QBAHXZ"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 2B B1 43 68 13 F4 80 6F 18 BF 01 20 00 D1 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_9_138_3 {
	meta:
		name = "?isVCallThunk@DName@@QBAHXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 C3 F3 C0 30 BD E8 00 88 }
	condition:
		$1
}

rule file_9_139_3 {
	meta:
		name = "?isValid@DName@@QBAHXZ"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 04 30 01 2B D8 BF 01 20 C8 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_9_140_3 {
	meta:
		name = "?length@DName@@QBAHXZ"
		size = 34
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 68 0D B9 00 20 06 E0 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD E8 30 88 }
	condition:
		$1
}

rule file_9_143_3 {
	meta:
		name = "?length@pDNameNode@@UBAHXZ"
		size = 38
		refs = "0016 _guard_check_icall"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 43 68 4B B1 1D 68 3D B1 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 00 E0 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_9_144_3 {
	meta:
		name = "?length@pairNode@@UBAHXZ"
		size = 60
		refs = "0018 _guard_check_icall"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 07 46 FB 68 00 2B 12 DA 7D 68 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 BD 68 06 46 2B 68 1C 68 20 46 ?? ?? ?? ?? 28 46 A0 47 83 19 FB 60 F8 68 BD E8 F0 88 }
	condition:
		$1
}

rule file_9_146_3 {
	meta:
		name = "?make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z"
		size = 100
		refs = "0058 ??_7DNameStatusNode@@6B@ 005c ?nodes@?1??make@DNameStatusNode@@SAPAV2@W4DNameStatus@@@Z@4PAV2@A 0060 ??_B?1??make@DNameStatusNode@@SAPAV1@W4DNameStatus@@@Z@51"
	strings:
		$1 = { 2D E9 00 48 EB 46 16 49 14 4A 0B 68 13 F0 01 0F 16 D1 43 F0 01 03 0B 60 0F 4B 00 21 C2 E9 00 31 C2 E9 02 13 01 21 11 61 04 21 C2 E9 05 13 02 21 D1 61 00 21 C2 E9 08 13 03 23 93 62 00 23 D3 62 03 28 04 D8 00 EB 40 03 02 EB 83 00 01 E0 02 F1 24 00 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_147_3 {
	meta:
		name = "?setIsArray@DName@@QAAXXZ"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 43 F4 00 63 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_148_3 {
	meta:
		name = "?setIsComArray@DName@@QAAXXZ"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 43 F4 80 43 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_149_3 {
	meta:
		name = "?setIsNoTE@DName@@QAAXXZ"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 43 F4 80 53 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_150_3 {
	meta:
		name = "?setIsPinPtr@DName@@QAAXXZ"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 43 F4 00 53 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_151_3 {
	meta:
		name = "?setIsUDC@DName@@QAAXXZ"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 1B B1 43 68 43 F4 00 73 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_152_3 {
	meta:
		name = "?setIsVCallThunk@DName@@QAAXXZ"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 43 F4 00 43 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_153_3 {
	meta:
		name = "?setPtrRef@DName@@QAAAAV1@XZ"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 43 68 43 F4 80 73 43 60 BD E8 00 88 }
	condition:
		$1
}

rule file_9_154_3 {
	meta:
		name = "?status@DName@@QBA?AW4DNameStatus@@XZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 04 30 18 46 BD E8 00 88 }
	condition:
		$1
}

rule file_9_155_3 {
	meta:
		name = "?und_memcpy@@YAXPADPBDI@Z"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 2A B1 09 1A 0B 5C 52 1E 00 F8 01 3B FA D1 BD E8 00 88 }
	condition:
		$1
}

rule file_9_156_3 {
	meta:
		name = "?und_strlen@@YAIPBD@Z"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 92 F9 00 30 00 20 02 E0 12 F9 01 3F 40 1C 00 2B FA D1 BD E8 00 88 }
	condition:
		$1
}

rule file_9_157_3 {
	meta:
		name = "?und_strncmp@@YAIPBD0I@Z"
		size = 46
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 52 B9 00 20 0D E0 90 F9 00 40 3C B1 91 F9 00 30 9C 42 03 D1 40 1C 49 1C 52 1E F4 D1 02 78 0B 78 D0 1A BD E8 18 88 }
	condition:
		$1
}

rule file_9_159_3 {
	meta:
		name = "__unDName"
		size = 176
		refs = "0020 __vcrt_lock 0070 ??BUnDecorator@@QAAPADXZ 008a _guard_check_icall 0096 __vcrt_unlock 00a8 ?pArgList@UnDecorator@@0PAVReplicator@@A 00ac ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 98 B0 6F 46 1E 46 91 46 88 46 04 46 0E B9 00 23 40 E0 00 23 3B 60 00 20 ?? ?? ?? ?? 21 4D 2E 60 D7 F8 80 30 6B 60 00 21 29 61 A9 60 E9 60 CB 43 BB 60 7B 63 1A 4A C2 F8 10 80 C2 F8 0C 80 1C B1 C2 F8 18 90 54 61 01 E0 51 61 91 61 17 F1 34 03 53 60 17 F1 08 03 13 60 B7 F8 84 30 D3 61 51 62 82 F8 20 10 17 F1 08 00 ?? ?? ?? ?? 38 60 6B 68 63 B1 AB 68 EB 60 AB 68 43 B1 1B 68 AB 60 6C 68 20 46 ?? ?? ?? ?? E8 68 A0 47 F2 E7 00 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 18 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_161_3 {
	meta:
		name = "__unDNameEx"
		size = 180
		refs = "0020 __vcrt_lock 0074 ??BUnDecorator@@QAAPADXZ 008e _guard_check_icall 009a __vcrt_unlock 00ac ?pArgList@UnDecorator@@0PAVReplicator@@A 00b0 ?heap@@3V_HeapManager@@A"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 98 B0 6F 46 1E 46 91 46 88 46 04 46 0E B9 00 23 42 E0 00 23 3B 60 00 20 ?? ?? ?? ?? 22 4D 2E 60 D7 F8 80 30 6B 60 00 21 29 61 A9 60 E9 60 CB 43 BB 60 7B 63 1B 4A C2 F8 10 80 C2 F8 0C 80 1C B1 C2 F8 18 90 54 61 01 E0 51 61 91 61 17 F1 34 03 53 60 17 F1 08 03 13 60 D7 F8 88 30 D3 61 D7 F8 84 30 53 62 82 F8 20 10 17 F1 08 00 ?? ?? ?? ?? 38 60 6B 68 63 B1 AB 68 EB 60 AB 68 43 B1 1B 68 AB 60 6C 68 20 46 ?? ?? ?? ?? E8 68 A0 47 F2 E7 00 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 18 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_2_3 {
	meta:
		name = "??0scoped_get_last_error_reset@?A0x59d8deb2@@QAA@XZ"
		size = 28
		refs = "0018 __imp_GetLastError"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 03 4B 04 46 1B 68 98 47 20 60 20 46 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_4_3 {
	meta:
		name = "??1scoped_get_last_error_reset@?A0x59d8deb2@@QAA@XZ"
		size = 24
		refs = "0014 __imp_SetLastError"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 68 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_10_3 {
	meta:
		name = "?store_and_initialize_ptd@@YA_NQAU__vcrt_ptd@@@Z"
		size = 40
		refs = "0020 __imp_FlsSetValue 0024 ?__vcrt_flsindex@@3KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4B 01 46 18 68 04 4B 1B 68 98 47 08 B9 00 20 00 E0 01 20 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_15_3 {
	meta:
		name = "__vcrt_freefls"
		size = 32
		refs = "0012 _free_base 001c ?__vcrt_startup_thread_ptd@@3U__vcrt_ptd@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 30 B1 04 4B 98 42 03 D0 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_16_3 {
	meta:
		name = "__vcrt_freeptd"
		size = 64
		refs = "002a __vcrt_freefls 0034 __imp_FlsSetValue 0038 __imp_FlsGetValue 003c ?__vcrt_flsindex@@3KA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 4D 04 46 28 68 B0 F1 FF 3F 0C D0 24 B9 08 4B 1B 68 98 47 04 46 28 68 04 4B 00 21 1B 68 98 47 20 46 ?? ?? ?? ?? BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_17_3 {
	meta:
		name = "__vcrt_getptd"
		size = 22
		refs = "0006 __vcrt_getptd_noexit 0010 abort"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 08 B1 BD E8 00 88 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_10_18_3 {
	meta:
		name = "__vcrt_getptd_noexit"
		size = 148
		refs = "0046 _calloc_base 006e _free_base 0080 __imp_SetLastError 0084 __imp_FlsSetValue 0088 __imp_FlsGetValue 008c __imp_GetLastError 0090 ?__vcrt_flsindex@@3KA"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 21 4D 2B 68 13 F1 01 0F 08 BF 00 24 31 D0 1D 4B 1B 68 98 47 1A 4B 01 90 28 68 1B 68 98 47 04 46 10 F1 01 0F 07 D0 04 BB 14 4B 28 68 6F F0 00 01 1B 68 98 47 08 B9 00 24 17 E0 3C 21 01 20 ?? ?? ?? ?? 0E 4B 04 46 28 68 00 94 1B 68 2C B1 21 46 98 47 38 B9 09 4B 28 68 1B 68 00 21 98 47 00 98 00 24 00 E0 00 20 ?? ?? ?? ?? 03 4B 01 98 1B 68 98 47 20 46 BD E8 3C 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_19_3 {
	meta:
		name = "__vcrt_initialize_ptd"
		size = 72
		refs = "0026 __vcrt_uninitialize_ptd 0034 ?__vcrt_startup_thread_ptd@@3U__vcrt_ptd@@A 0038 __imp_FlsSetValue 003c ?__vcrt_flsindex@@3KA 0040 __vcrt_freefls 0044 __imp_FlsAlloc"
	strings:
		$1 = { 2D E9 00 48 EB 46 0F 4B 0D 48 1B 68 98 47 0B 4B B0 F1 FF 3F 18 60 01 D1 00 20 08 E0 06 4B 05 49 1B 68 98 47 10 B9 ?? ?? ?? ?? F5 E7 01 20 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_20_3 {
	meta:
		name = "__vcrt_uninitialize_ptd"
		size = 44
		refs = "0024 __imp_FlsFree 0028 ?__vcrt_flsindex@@3KA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 07 4C 6F F0 00 05 20 68 A8 42 03 D0 03 4B 1B 68 98 47 25 60 01 20 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_0_3 {
	meta:
		name = "strstr"
		size = 70
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 91 F9 00 30 0D 46 C3 B1 90 F9 00 30 A3 B1 41 1B 2A 46 4B B1 92 F9 00 40 7C B1 8B 56 1B 1B 03 D1 52 1C 8B 56 00 2B F5 D1 92 F9 00 30 2B B1 10 F9 01 3F 49 1C 00 2B EB D1 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_13_1_3 {
	meta:
		name = "__vcrt_initialize_locks"
		size = 72
		refs = "0030 __vcrt_uninitialize_locks 003c __imp_InitializeCriticalSectionEx 0040 __vcrt_locks_initialized 0044 __vcrt_lock_table"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0E 4D 0D 4E 0B 4F 00 24 3B 68 00 22 4F F4 7A 61 28 46 98 47 40 B1 33 68 64 1C 18 35 5B 1C 33 60 01 2C F1 D3 01 20 02 E0 ?? ?? ?? ?? 00 20 BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_2_3 {
	meta:
		name = "__vcrt_lock"
		size = 36
		refs = "001c __imp_EnterCriticalSection 0020 __vcrt_lock_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4B 00 EB 40 02 03 EB C2 00 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_4_3 {
	meta:
		name = "__vcrt_unlock"
		size = 36
		refs = "001c __imp_LeaveCriticalSection 0020 __vcrt_lock_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4B 00 EB 40 02 03 EB C2 00 02 4B 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_3_3 {
	meta:
		name = "__vcrt_uninitialize_locks"
		size = 68
		refs = "0038 __imp_DeleteCriticalSection 003c __vcrt_lock_table 0040 __vcrt_locks_initialized"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0D 4D 2C 68 8C B1 0B 4B 04 EB 44 02 08 4F 03 EB C2 03 A3 F1 18 06 3B 68 30 46 98 47 2B 68 64 1E 18 3E 5B 1E 2B 60 00 2C F5 D1 01 20 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_2_3 {
	meta:
		name = "??$__crt_interlocked_compare_exchange_pointer@$$A6AXXZ$$T$$T@@YAP6AXXZPDS6AXXZ$$T1@Z"
		size = 38
		altNames = "??$__crt_interlocked_compare_exchange_pointer@$$CBD$$T$$T@@YAPBDPDSBD$$T1@Z ??$__crt_interlocked_compare_exchange_pointer@$$CBDPAD$$T@@YAPBDPDSBDQAD$$T@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B BF F3 5B 8F 50 E8 00 4F 94 42 03 D1 40 E8 00 13 00 2B F7 D1 20 46 BF F3 5B 8F BD E8 18 88 }
	condition:
		$1
}

rule file_14_3_3 {
	meta:
		name = "??$__crt_interlocked_exchange_pointer@$$A6AXXZP6AXXZ@@YAP6AXXZPDS6AXXZQ6AXXZ@Z"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 BF F3 5B 8F 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 10 46 BF F3 5B 8F BD E8 00 88 }
	condition:
		$1
}

rule file_14_4_3 {
	meta:
		name = "??$__crt_interlocked_read_pointer@$$A6AXXZ@@YAP6AXXZPDS6AXXZ@Z"
		size = 36
		altNames = "??$__crt_interlocked_read_pointer@$$CBD@@YAPBDPDSBD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 BF F3 5B 8F 00 21 52 E8 00 0F 18 B9 42 E8 00 13 00 2B F8 D1 BF F3 5B 8F BD E8 00 88 }
	condition:
		$1
}

rule file_14_6_3 {
	meta:
		name = "_get_purecall_handler"
		size = 60
		refs = "0034 __security_cookie 0038 __pPurecall"
	strings:
		$1 = { 2D E9 00 48 EB 46 BF F3 5B 8F 0B 4A 00 20 52 E8 00 1F 19 B9 42 E8 00 03 00 2B F8 D1 BF F3 5B 8F 04 4B 1B 68 03 F0 1F 02 4B 40 63 FA 02 F0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_7_3 {
	meta:
		name = "_purecall"
		size = 72
		refs = "0034 _guard_check_icall 003a abort 0040 __security_cookie 0044 __pPurecall"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B BF F3 5B 8F 0D 4A 00 20 52 E8 00 1F 19 B9 42 E8 00 03 00 2B F8 D1 BF F3 5B 8F 07 4B 1B 68 03 F0 1F 02 4B 40 73 FA 02 F4 03 D0 20 46 ?? ?? ?? ?? A0 47 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_8_3 {
	meta:
		name = "_set_purecall_handler"
		size = 76
		refs = "0044 __pPurecall 0048 __security_cookie"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0F 4C 22 68 02 F0 1F 03 C3 F1 20 03 60 FA 03 F3 83 EA 02 01 BF F3 5B 8F 08 4A 52 E8 00 0F 42 E8 00 13 00 2B F9 D1 BF F3 5B 8F 23 68 03 F0 1F 02 43 40 63 FA 02 F0 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_0_3 {
	meta:
		name = "?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZH@Z"
		size = 34
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 38 B9 ?? ?? ?? ?? 84 68 ?? ?? ?? ?? 00 23 83 60 00 E0 00 24 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_16_1_3 {
	meta:
		name = "_set_se_translator"
		size = 28
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 ?? ?? ?? ?? 84 68 ?? ?? ?? ?? 85 60 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_18_0_3 {
	meta:
		name = "__intrinsic_setjmpex"
		size = 38
	strings:
		$1 = { 01 60 C0 F8 24 D0 C0 F8 28 E0 00 F1 30 03 A3 EC 10 8B F1 EE 10 3A C3 62 00 F1 04 00 80 E8 F0 0F 4F F0 00 00 70 47 }
	condition:
		$1
}

rule file_19_0_3 {
	meta:
		name = "??$?B$$A6AXXZ@__crt_fast_encoded_nullptr_t@@QBAP6AXXZXZ"
		size = 36
		refs = "0020 __security_cookie"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4B 00 21 1A 68 02 F0 1F 03 C3 F1 20 03 61 FA 03 F3 83 EA 02 00 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_4_3 {
	meta:
		name = "__vcrt_initialize_pure_virtual_call_handler"
		size = 44
		refs = "0024 __pPurecall 0028 __security_cookie"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 4B 00 22 19 68 01 F0 1F 03 C3 F1 20 03 62 FA 03 F3 02 4A 4B 40 13 60 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_0_3 {
	meta:
		name = "longjmp"
		size = 28
		refs = "000c __except_validate_jump_buffer 0018 __longjmp_internal"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 21 46 28 46 BD E8 30 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_22_0_3 {
	meta:
		name = "memcmp"
		size = 156
	strings:
		$1 = { 04 2A 3C DB 40 EA 01 03 13 F0 01 0F 38 D1 13 F0 02 0F 1D D1 12 1F 30 DB 50 F8 04 3B 51 F8 04 CB 9C EA 03 0C F6 D0 04 23 1C F0 FF 0F 08 D1 5B 1E 1C F4 7F 4F 04 D1 5B 1E 1C F4 7F 0F 00 D1 5B 1E C0 1A C9 1A 03 78 91 F8 00 C0 A3 EB 0C 00 70 47 92 1E 13 DB 30 F8 02 3B 31 F8 02 CB B3 EB 0C 03 F6 D0 13 F0 FF 0F 01 D1 18 12 70 47 10 F8 02 3C 0C F0 FF 0C A3 EB 0C 00 70 47 92 1C 92 1C 5A B1 10 F8 01 3B 11 F8 01 CB 52 1E 02 D0 93 EA 0C 0F F6 D0 A3 EB 0C 00 70 47 10 46 70 47 }
	condition:
		$1
}

rule file_23_0_3 {
	meta:
		name = "strrchr"
		size = 50
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 10 F9 01 3B 00 2B FB D1 4A B2 40 1E A0 42 03 D0 90 F9 00 30 93 42 F8 D1 90 F9 00 30 4A B2 93 42 18 BF 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_25_24_3 {
	meta:
		name = "__std_type_info_compare"
		size = 30
		refs = "0016 strcmp"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 42 01 D1 00 20 05 E0 49 1D 40 1D BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_25_25_3 {
	meta:
		name = "__std_type_info_destroy_list"
		size = 36
		refs = "0012 _free_base 0020 __imp_InterlockedFlushSList"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 05 4B 1B 68 98 47 28 B1 04 68 ?? ?? ?? ?? 20 46 00 2C F9 D1 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_26_3 {
	meta:
		name = "__std_type_info_hash"
		size = 48
	strings:
		$1 = { 2D E9 00 48 EB 46 41 1D 91 F9 00 30 07 4A 43 B1 05 48 DB B2 53 40 03 FB 00 F2 11 F9 01 3F 00 2B F7 D1 10 46 BD E8 00 88 93 01 00 01 C5 9D 1C 81 }
	condition:
		$1
}

rule file_25_27_3 {
	meta:
		name = "__std_type_info_name"
		size = 208
		refs = "0038 __unDName 0046 strlen 0064 _malloc_base 0080 strcpy_s 00b0 _free_base 00c4 __imp_InterlockedPushEntrySList 00c8 ?<lambda_invoker_none>@<lambda_e0128dce7362637f77e3b418282c6919>@@CAPAXI@Z 00cc ?<lambda_invoker_none>@<lambda_c4560dd375471d1680776ed19953e709>@@CAXQAX@Z"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 89 46 07 46 BF F3 5B 8F 00 22 57 E8 00 4F 1C B9 47 E8 00 23 00 2B F8 D1 BF F3 5B 8F 00 2C 48 D1 4F F4 20 53 01 93 27 4B 79 1D 00 20 00 93 24 4B ?? ?? ?? ?? 05 46 0D B9 00 24 37 E0 28 46 ?? ?? ?? ?? 04 46 4C B1 2A 19 00 21 12 F9 01 3C 20 2B 03 D1 02 F8 01 1D 64 1E F7 D1 60 1D ?? ?? ?? ?? 06 46 0E B9 00 24 1E E0 06 F1 04 08 00 23 40 46 2A 46 61 1C 02 93 33 60 ?? ?? ?? ?? BF F3 5B 8F 57 E8 00 4F 1C B9 47 E8 00 83 00 2B F8 D1 BF F3 5B 8F 44 B9 00 23 03 93 08 4B 31 46 48 46 1B 68 98 47 03 9E 44 46 30 46 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 20 46 04 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_16_3 {
	meta:
		name = "?FindCompleteObject@@YAPAXPAPAX@Z"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 0B 68 53 F8 04 2C 53 68 C8 1A 93 68 13 B1 CB 1A 1B 68 C0 1A BD E8 00 88 }
	condition:
		$1
}

rule file_26_17_3 {
	meta:
		name = "?FindMITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z"
		size = 230
		refs = "0044 strcmp"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 85 B0 09 69 CD E9 00 20 00 25 8A 68 CD E9 02 32 CB 68 EF 43 00 26 00 2A A8 46 A9 46 5A D0 DD F8 38 A0 53 F8 04 4B F1 1B 49 45 04 93 10 D9 23 68 53 45 06 D0 03 F1 08 00 0A F1 08 01 ?? ?? ?? ?? 30 B9 B8 F1 00 0F 24 D1 D4 F8 04 90 25 46 37 46 23 68 00 9A 93 42 06 D0 03 F1 08 00 02 F1 08 01 ?? ?? ?? ?? 78 B9 E1 68 00 22 00 29 04 DB 01 9B CA 58 23 69 D3 58 5A 18 A3 68 13 44 02 9A 93 42 01 D1 85 B9 A0 46 03 9B 76 1C 9E 42 22 D2 04 9B C7 E7 63 69 13 F0 03 0F 1C D1 D8 F8 14 30 13 F0 01 0F 18 D0 16 E0 F2 1B 6B 69 4A 45 0F D8 13 F0 40 0F 06 D1 1F B9 63 69 13 F0 01 0F 0A D1 2C 46 09 E0 AB 69 DB 68 53 F8 22 30 5B 69 F4 E7 13 F0 03 0F F0 D0 00 24 20 46 05 B0 BD E8 F0 8F }
	condition:
		$1
}

rule file_26_18_3 {
	meta:
		name = "?FindSITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@1@Z"
		size = 112
		refs = "002a strcmp"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 03 69 00 25 91 46 D3 E9 02 68 8A 46 46 B3 47 46 57 F8 04 4B 23 68 4B 45 0A D0 03 F1 08 00 09 F1 08 01 ?? ?? ?? ?? 18 B1 6D 1C B5 42 F0 D3 17 E0 6D 1C B5 42 14 D2 08 EB 85 07 57 F8 04 2B 53 69 13 F0 04 0F 0C D1 13 68 53 45 0A D0 03 F1 08 00 0A F1 08 01 ?? ?? ?? ?? 18 B1 6D 1C B5 42 EC D3 00 24 20 46 BD E8 F8 8F }
	condition:
		$1
}

rule file_26_19_3 {
	meta:
		name = "?FindVITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z"
		size = 326
		refs = "0052 strcmp"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 09 69 02 90 00 26 88 68 CD E9 04 23 00 22 CB 68 6F EA 06 0A 00 25 01 27 06 90 00 28 CD E9 00 22 B0 46 CD F8 0C A0 B1 46 00 F0 83 80 53 F8 04 4B 12 99 07 93 A9 EB 0A 03 93 42 11 D9 23 68 8B 42 05 D0 03 F1 08 00 08 31 ?? ?? ?? ?? 40 B9 63 69 A0 46 CA 46 13 F0 03 0F 63 68 08 BF 26 46 01 93 23 68 04 9A 93 42 07 D0 03 F1 08 00 02 F1 08 01 ?? ?? ?? ?? 00 28 46 D1 E1 68 02 98 00 22 00 29 03 DB 0A 58 23 69 D3 58 5A 18 A3 68 13 44 05 9A 93 42 38 D1 01 9B A9 EB 0A 02 9A 42 3C D8 97 B3 D8 F8 14 30 13 F0 40 0F 08 D1 BA F1 00 0F 12 D1 63 69 13 F0 01 0F 0E D0 00 27 0C E0 D8 F8 18 30 DB 68 53 F8 22 30 5B 69 13 F0 01 0F 18 BF 00 27 13 F0 04 0F 01 D1 01 23 00 E0 00 23 9F B1 93 B1 D8 F8 0C 10 00 22 00 29 04 DB 0A 58 D8 F8 10 30 D3 58 5A 18 D8 F8 08 30 13 44 15 B1 03 9A 9A 42 17 D1 45 46 03 93 00 9A 06 9B 09 F1 01 09 99 45 09 D2 01 9A 07 9B 89 E7 63 69 13 F0 05 0F F2 D1 22 46 00 92 F0 E7 07 B1 25 B9 12 B1 0E B1 35 46 00 E0 00 25 28 46 09 B0 BD E8 F0 8F }
	condition:
		$1
}

rule file_26_20_3 {
	meta:
		name = "?PMDtoOffset@@YAHPAXABUPMD@@@Z"
		size = 32
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 4C 68 00 22 00 2C 03 DB 22 58 8B 68 D3 58 1A 19 0B 68 98 18 BD E8 18 88 }
	condition:
		$1
}

rule file_26_25_3 {
	meta:
		name = "__RTCastToVoid"
		size = 80
		refs = "002e ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QBD@Z 0038 _CxxThrowException 0048 _TI3?AV__non_rtti_object@std@@ 004c ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 01 46 B9 B1 0B 68 53 F8 04 2C 53 68 C8 1A 93 68 13 B1 CB 1A 1B 68 C0 1A 38 60 0C E0 08 49 17 F1 08 00 ?? ?? ?? ?? 05 49 17 F1 08 00 ?? ?? ?? ?? 38 68 00 E0 00 20 05 B0 BD E8 80 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_27_3 {
	meta:
		name = "__RTDynamicCast"
		size = 312
		refs = "0062 strcmp 00b0 ?FindMITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z 00ba ?FindVITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z 00f0 ?__construct_from_string_literal@bad_cast@std@@SA?AV12@QBD@Z 00fa _CxxThrowException 010a ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QBD@Z 0128 _TI3?AV__non_rtti_object@std@@ 012c ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 0130 _TI2?AVbad_cast@std@@ 0134 ??_C@_0BC@JNJNLHBP@Bad?5dynamic_cast?$CB?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 4F 0D F1 1C 0B 87 B0 6F 46 82 B0 9A 46 96 46 BA 60 0C 46 08 B9 00 24 7D E0 03 68 53 F8 04 1C 4B 68 C6 1A 8B 68 13 B1 C3 1A 1B 68 F6 1A 00 1B 0B 69 5A 68 12 F0 01 0F 30 D1 DA 68 3A 60 D3 F8 08 90 4F F0 00 08 45 46 4D 45 25 D2 52 F8 25 40 23 68 53 45 0A D0 0A F1 08 01 03 F1 08 00 ?? ?? ?? ?? 10 B1 6D 1C 3A 68 EE E7 3A 68 6D 1C 4D 45 12 D2 52 F8 25 20 53 69 13 F0 04 0F 0C D1 13 68 D7 F8 08 E0 73 45 1B D0 0E F1 08 01 03 F1 08 00 ?? ?? ?? ?? A0 B1 E8 E7 00 24 11 E0 12 F0 02 0F CD F8 00 A0 72 46 04 D1 83 1B 30 46 ?? ?? ?? ?? 03 E0 83 1B 30 46 ?? ?? ?? ?? 4F F0 00 08 04 46 64 B1 00 23 E1 68 00 29 03 DB 8A 59 23 69 D3 58 0B 44 9A 19 A3 68 D4 18 7C 60 0E E0 00 24 C7 F8 04 80 3B 6D 4B B1 12 49 17 F1 10 00 ?? ?? ?? ?? 0E 49 17 F1 10 00 ?? ?? ?? ?? 0C E0 00 24 7C 60 09 49 17 F1 10 00 ?? ?? ?? ?? 06 49 17 F1 10 00 ?? ?? ?? ?? BC 68 20 46 09 B0 BD E8 F0 0F 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_28_3 {
	meta:
		name = "__RTDynamicCast$filt$0"
		size = 28
	strings:
		$1 = { 82 B0 03 68 1A 68 04 4B 9A 42 01 D1 01 20 00 E0 00 20 02 B0 70 47 FE DE 05 00 00 C0 }
	condition:
		$1
}

rule file_26_29_3 {
	meta:
		name = "__RTtypeid"
		size = 120
		refs = "0022 ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QBD@Z 002c _CxxThrowException 004e ?__construct_from_string_literal@bad_typeid@std@@SA?AV12@QBD@Z 0064 _TI2?AVbad_typeid@std@@ 0068 ??_C@_0CH@OLLMPELC@Attempted?5a?5typeid?5of?5nullptr?5po@ 006c _TI3?AV__non_rtti_object@std@@ 0070 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 0074 ??_C@_0CB@EEENAAHH@Bad?5read?5pointer?5?9?5no?5RTTI?5data?$CB@"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 E0 B1 03 68 53 F8 04 3C D8 68 08 B1 38 60 1F E0 15 49 17 F1 08 00 ?? ?? ?? ?? 11 49 17 F1 08 00 ?? ?? ?? ?? 0F 49 17 F1 08 00 ?? ?? ?? ?? 0C 49 17 F1 08 00 ?? ?? ?? ?? 38 68 09 E0 07 49 17 F1 08 00 ?? ?? ?? ?? 04 49 17 F1 08 00 ?? ?? ?? ?? 05 B0 BD E8 80 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_0_3 {
	meta:
		name = "__memcpy_forward_new"
		size = 288
		refs = "010a __memcpy_forward_large_func"
	strings:
		$1 = { 91 F8 00 F0 10 2A 03 46 7A D2 DF E8 02 F0 0A 08 0B 0E 13 16 1B 20 29 2E 37 40 4B 54 5F 6A 0A 78 1A 70 70 47 0A 88 1A 80 70 47 0A 88 89 78 1A 80 99 70 70 47 0A 68 1A 60 70 47 0A 68 09 79 1A 60 19 71 70 47 0A 68 89 88 1A 60 99 80 70 47 D1 F8 00 C0 8A 88 89 79 C3 F8 00 C0 9A 80 99 71 70 47 0A 68 49 68 1A 60 59 60 70 47 D1 F8 00 C0 4A 68 09 7A C3 F8 00 C0 5A 60 19 72 70 47 D1 F8 00 C0 4A 68 09 89 C3 F8 00 C0 5A 60 19 81 70 47 D1 F8 00 C0 4A 68 C3 F8 00 C0 5A 60 0A 89 89 7A 1A 81 99 72 70 47 D1 F8 00 C0 4A 68 89 68 C3 F8 00 C0 5A 60 99 60 70 47 D1 F8 00 C0 4A 68 C3 F8 00 C0 5A 60 8A 68 09 7B 9A 60 19 73 70 47 D1 F8 00 C0 4A 68 C3 F8 00 C0 5A 60 8A 68 89 89 9A 60 99 81 70 47 D1 F8 00 C0 4A 68 C3 F8 00 C0 5A 60 D1 F8 08 C0 8A 89 89 7B C3 F8 08 C0 9A 81 99 73 70 47 80 EA 01 0C 1C F0 03 0F 6A D1 ?? ?? ?? ?? C0 F2 00 0C DC F8 00 F0 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_28_1_3 {
	meta:
		name = "__memcpy_forward_large_integer"
		size = 192
		refs = "0068 CpySmal"
	strings:
		$1 = { 5F EA C3 7C 2D E9 F0 4B 0D F1 18 0B 06 D5 11 F8 01 4B 52 1E 03 F8 01 4B 5F EA C3 7C 04 D3 31 F8 02 4B 92 1E 23 F8 02 4B 11 F0 03 0F 1F D1 20 3A 0F D3 20 3A 91 F8 20 F0 07 D3 91 F8 40 F0 20 3A B1 E8 F0 53 A3 E8 F0 53 F7 D2 B1 E8 F0 53 A3 E8 F0 53 18 32 05 D3 08 3A F1 E8 02 45 E3 E8 02 45 F9 D2 08 32 BD E8 F0 4B ?? ?? ?? ?? 70 47 40 3A 14 D3 91 F8 20 F0 91 F8 40 F0 0C 68 4D 68 8E 68 CF 68 D1 F8 10 80 D1 F8 14 90 D1 F8 18 C0 D1 F8 1C E0 20 31 20 3A A3 E8 F0 53 EC D2 38 32 06 D3 0C 68 4D 68 08 31 08 3A E3 E8 02 45 F8 D2 08 32 BD E8 F0 4B ?? ?? ?? ?? 70 47 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_28_3_3 {
	meta:
		name = "memmove"
		size = 288
		refs = "0004 memcpy 00fa __memcpy_reverse_large_neon 00fe __memcpy_reverse_large_func"
	strings:
		$1 = { 43 1A 93 42 ?? ?? ?? ?? 10 2A 91 F8 00 F0 70 D2 DF E8 02 F0 0A 08 0B 0E 13 16 1B 20 27 2C 33 3A 45 4E 59 64 0A 78 02 70 70 47 0A 88 02 80 70 47 0A 88 89 78 02 80 81 70 70 47 0A 68 02 60 70 47 0A 68 09 79 02 60 01 71 70 47 0A 68 89 88 02 60 81 80 70 47 0B 68 8A 88 89 79 03 60 82 80 81 71 70 47 0A 68 49 68 02 60 41 60 70 47 0B 68 4A 68 09 7A 03 60 42 60 01 72 70 47 0B 68 4A 68 09 89 03 60 42 60 01 81 70 47 D1 F8 00 C0 4B 68 0A 89 89 7A C0 F8 00 C0 43 60 02 81 81 72 70 47 D1 F8 00 C0 4A 68 89 68 C0 F8 00 C0 42 60 81 60 70 47 D1 F8 00 C0 4B 68 8A 68 09 7B C0 F8 00 C0 43 60 82 60 01 73 70 47 D1 F8 00 C0 4B 68 8A 68 89 89 C0 F8 00 C0 43 60 82 60 81 81 70 47 8B 89 8A 7B 83 81 82 73 0B 68 4A 68 89 68 03 60 42 60 81 60 70 47 80 EA 01 0C 1C F0 03 0F ?? ?? ?? ?? ?? ?? ?? ?? C0 F2 00 0C DC F8 00 F0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_28_4_3 {
	meta:
		name = "__memcpy_reverse_large_integer"
		size = 224
		refs = "0072 MovSmal"
	strings:
		$1 = { 83 18 89 18 5F EA C3 7C 11 F8 20 FC 2D E9 F0 4B 0D F1 18 0B 06 D5 11 F8 01 4D 52 1E 03 F8 01 4D 5F EA C3 7C 04 D3 31 F8 02 4D 92 1E 23 F8 02 4D 11 F0 03 0F 20 D1 20 3A 0F D3 20 3A 11 F8 40 FC 07 D3 11 F8 60 FC 20 3A 31 E9 F0 53 23 E9 F0 53 F7 D2 31 E9 F0 53 23 E9 F0 53 18 32 05 D3 08 3A 71 E9 02 45 63 E9 02 45 F9 D2 08 32 89 1A BD E8 F0 4B ?? ?? ?? ?? 70 47 40 3A 14 D3 11 F8 40 FC 11 F8 60 FC 20 3A 51 F8 20 4D 4D 68 8E 68 CF 68 D1 F8 10 80 D1 F8 14 90 D1 F8 18 C0 D1 F8 1C E0 23 E9 F0 53 EC D2 38 32 06 D3 08 3A 51 F8 08 4D 4D 68 63 E9 02 45 F8 D2 08 32 89 1A BD E8 F0 4B ?? ?? ?? ?? 70 47 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_28_5_3 {
	meta:
		name = "__memcpy_reverse_large_neon"
		size = 128
		refs = "0078 MovSmal"
	strings:
		$1 = { 83 18 89 18 5F EA C3 7C 11 F8 20 FC 2D E9 30 48 0D F1 08 0B 06 D5 11 F8 01 4D 52 1E 03 F8 01 4D 5F EA C3 7C 04 D3 31 F8 02 4D 92 1E 23 F8 02 4D 20 3A 13 D3 20 3A 11 F8 40 FC 09 D3 11 F8 60 FC 20 39 20 3B 20 3A 21 F9 0F 02 03 F9 0F 02 F5 D2 20 39 20 3B 21 F9 0F 02 03 F9 0F 02 18 32 07 D3 51 F8 08 4D 4D 68 08 3A 43 F8 08 4D 5D 60 F7 D2 08 32 89 1A BD E8 30 48 ?? ?? ?? ?? 70 47 00 00 }
	condition:
		$1
}

rule file_28_6_3 {
	meta:
		name = "_memcpy_strict_align"
		size = 350
	strings:
		$1 = { A0 EB 01 03 9A B3 13 F0 03 03 31 D1 10 F0 03 0F 13 D0 10 F0 01 0F 08 D0 52 1E 11 F8 01 3B 00 F8 01 3B 24 D0 10 F0 03 0F 07 D0 02 2A 19 D3 92 1E 31 F8 02 3B 20 F8 02 3B 19 D0 12 1F 05 DB 12 1F 51 F8 04 3B 40 F8 04 3B F9 DA 12 1D 0F D0 92 1E 05 DB 92 1E 31 F8 02 3B 20 F8 02 3B F9 DA 92 1C 05 D0 52 1E 11 F8 01 3B 00 F8 01 3B F9 D1 70 47 02 2B 2A D1 10 F0 03 0F 13 D0 10 F0 01 0F 08 D0 52 1E 11 F8 01 3B 00 F8 01 3B F0 D0 10 F0 03 0F 07 D0 02 2A E5 D3 92 1E 31 F8 02 3B 20 F8 02 3B E5 D0 92 1F 0E DB 31 F8 02 CB 92 1E 12 1F 51 F8 04 3B 4C EA 03 4C 40 F8 04 CB 4F EA 13 4C F5 DA 20 F8 02 CB 92 1D D2 D0 C1 E7 01 2B 1F D1 10 F0 03 0F 08 D0 52 1E 11 F8 01 3B 00 F8 01 3B C6 D0 10 F0 03 0F F6 D1 52 1F 0E DB 11 F8 01 CB 52 1E 12 1F 51 F8 04 3B 4C EA 03 2C 40 F8 04 CB 4F EA 13 6C F5 DA 00 F8 01 CB 52 1D B0 D0 A9 E7 10 F0 03 0F 08 D0 52 1E 11 F8 01 3B 00 F8 01 3B A6 D0 10 F0 03 0F F6 D1 D2 1F 16 DB 11 F8 01 CB 31 F8 02 3B 4C EA 03 2C D2 1E 12 1F 51 F8 04 3B 4C EA 03 6C 40 F8 04 CB 4F EA 13 2C F5 DA 20 F8 02 CB 4F EA 1C 4C 00 F8 01 CB D2 1D 88 D0 81 E7 }
	condition:
		$1
}

rule file_29_0_3 {
	meta:
		name = "?_CatchTryBlock@@YAPBU_s_TryBlockMapEntry@@PBU_s_FuncInfo@@H@Z"
		size = 64
		refs = "0016 __vcrt_getptd"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 06 46 F4 68 0F 46 A4 B1 04 EB 84 03 9D 00 ?? ?? ?? ?? 02 6B 33 69 13 44 2B 44 A3 F1 14 00 43 68 9F 42 02 DD 83 68 9F 42 04 DD 64 1E 14 3D 00 2C ED D1 00 20 BD E8 F0 88 }
	condition:
		$1
}

rule file_29_1_3 {
	meta:
		name = "?_ExecutionInCatch@@YAHPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z"
		size = 80
		refs = "000e ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 001e __vcrt_getptd"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0E 46 01 46 30 46 ?? ?? ?? ?? F4 68 07 46 A4 B1 04 EB 84 03 9D 00 ?? ?? ?? ?? 03 6B 5A 19 33 69 13 44 A3 F1 14 02 53 68 9F 42 02 DD 93 68 9F 42 04 DD 64 1E 14 3D 00 2C ED D1 00 22 0A B1 01 20 00 E0 00 20 BD E8 F0 88 }
	condition:
		$1
}

rule file_29_2_3 {
	meta:
		name = "?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z"
		size = 156
		refs = "0016 ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 0098 __imp_RtlLookupFunctionEntry"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 0D 46 04 46 D6 68 10 46 00 95 1F 46 92 46 ?? ?? ?? ?? 24 68 81 46 3C 60 B6 B3 06 EB 86 04 DF F8 70 E0 4F EA 84 08 6C 68 04 EB 08 05 DA F8 10 40 2C 44 54 F8 10 3C 00 9D 99 45 1C DD 54 F8 0C 3C 99 45 18 DC 28 68 DE F8 00 30 00 22 01 A9 98 47 D0 F8 00 E0 54 E9 02 03 01 99 00 22 38 B1 19 44 CB 68 73 45 03 D0 52 1C 10 31 82 42 F8 D3 82 42 07 D3 DF F8 1C E0 76 1E 00 2E A8 F1 14 08 D2 D1 02 E0 3B 68 1B 68 3B 60 38 46 BD E8 FE 8F FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_3_3 {
	meta:
		name = "?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PAKPBU_s_FuncInfo@@HHPAI2PAU_xDISPATCHER_CONTEXT@@@Z"
		size = 236
		refs = "001a ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 00e6 terminate"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B DD F8 30 A0 0F 46 FE 68 51 46 38 46 00 93 4F F0 00 08 ?? ?? ?? ?? 00 2E 61 D0 DD F8 2C 90 0A 9D 6F EA 08 03 C9 F8 00 30 2B 60 DA F8 04 E0 39 69 06 EB 86 02 0E EB 82 02 53 18 A3 F1 14 02 34 46 53 68 98 42 02 DD 93 68 98 42 03 DD 64 1E 14 3A 00 2C F5 D1 34 B1 04 EB 84 03 0E EB 83 03 0B 44 A3 F1 14 08 00 21 9E B3 DD F8 00 E0 00 24 3B 69 1A 19 DA F8 04 30 D0 18 B8 F1 00 0F 09 D0 02 68 D8 F8 04 30 9A 42 12 DD 42 68 D8 F8 08 30 9A 42 0D DC 03 68 9E 45 0A DB 43 68 9E 45 07 DC 2B 68 13 F1 01 0F 00 D1 29 60 4B 1C C9 F8 00 30 49 1C 14 34 B1 42 DB D3 2B 68 13 F1 01 0F 08 D0 03 EB 83 02 3B 69 03 EB 82 02 DA F8 04 30 D0 18 04 E0 00 23 2B 60 C9 F8 00 30 00 20 BD E8 F8 8F ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_29_4_3 {
	meta:
		name = "?__FrameUnwindToEmptyState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z"
		size = 102
		refs = "000e ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z 0018 ?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z 0028 __vcrt_getptd 005e __FrameUnwindToState"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 6B 46 16 46 88 46 ?? ?? ?? ?? 81 46 30 46 41 46 ?? ?? ?? ?? F4 68 07 46 A4 B1 04 EB 84 03 9D 00 ?? ?? ?? ?? 03 6B 5A 19 33 69 13 44 A3 F1 14 02 53 68 9F 42 02 DD 93 68 9F 42 04 DD 64 1E 14 3D 00 2C ED D1 00 22 12 B9 6F F0 00 03 00 E0 53 68 32 46 41 46 48 46 ?? ?? ?? ?? BD E8 FC 8B }
	condition:
		$1
}

rule file_29_5_3 {
	meta:
		name = "?__SehTransFilter@@YAHPAU_EXCEPTION_POINTERS@@PAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@PAH@Z"
		size = 84
		refs = "0012 __vcrt_getptd 003c __InternalCxxFrameHandler"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 1E 46 17 46 0C 46 05 46 ?? ?? ?? ?? 84 63 ?? ?? ?? ?? 29 68 0C 9B 4F F0 01 08 09 6A 00 24 32 46 41 63 0D 99 28 68 CD F8 0C 80 00 91 39 46 02 94 01 94 ?? ?? ?? ?? ?? ?? ?? ?? 0E 9B 84 63 01 20 C3 F8 00 80 05 B0 BD E8 F0 89 }
	condition:
		$1
}

rule file_29_6_3 {
	meta:
		name = "_CallSETranslator"
		size = 72
		refs = "001e __vcrt_getptd 0028 _guard_check_icall"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B 85 B0 6F 46 84 B0 3A 63 04 46 BC 62 00 23 3B 60 BC 60 FA 60 ?? ?? ?? ?? 85 68 24 68 28 46 ?? ?? ?? ?? 20 46 17 F1 08 01 A8 47 00 23 3B 60 38 68 00 E0 B8 68 09 B0 BD E8 B0 08 5D F8 14 FB }
	condition:
		$1
}

rule file_29_7_3 {
	meta:
		name = "_CallSETranslator$filt$0"
		size = 30
		refs = "0016 ?__SehTransFilter@@YAHPAU_EXCEPTION_POINTERS@@PAUEHExceptionRecord@@PAKPAU_CONTEXT@@PAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@PAH@Z"
	strings:
		$1 = { 10 B5 84 B0 3B 46 02 93 BB 6B 01 93 7B 6B 00 93 3B 6B FA 6A B9 6A ?? ?? ?? ?? 04 B0 10 BD }
	condition:
		$1
}

rule file_29_8_3 {
	meta:
		name = "_CreateFrameInfo"
		size = 46
		refs = "000c __vcrt_getptd"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 21 60 ?? ?? ?? ?? C3 6A 9C 42 03 D2 ?? ?? ?? ?? C3 6A 00 E0 00 23 23 61 ?? ?? ?? ?? C4 62 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_29_9_3 {
	meta:
		name = "_FindAndUnlinkFrame"
		size = 62
		refs = "000a __vcrt_getptd 0034 terminate"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 ?? ?? ?? ?? C3 6A 9D 42 11 D1 ?? ?? ?? ?? C4 6A 02 E0 A5 42 03 D0 24 69 00 2C FA D1 05 E0 ?? ?? ?? ?? 23 69 C3 62 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_29_10_3 {
	meta:
		name = "_GetImageBase"
		size = 16
		refs = "0006 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 00 6B BD E8 00 88 }
	condition:
		$1
}

rule file_29_11_3 {
	meta:
		name = "_GetThrowImageBase"
		size = 16
		refs = "0006 __vcrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 40 6B BD E8 00 88 }
	condition:
		$1
}

rule file_29_12_3 {
	meta:
		name = "_IsExceptionObjectToBeDestroyed"
		size = 40
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? C2 6A 03 E0 13 68 A3 42 05 D0 12 69 00 2A F9 D1 01 20 BD E8 18 88 00 20 FB E7 }
	condition:
		$1
}

rule file_29_14_3 {
	meta:
		name = "_SetImageBase"
		size = 20
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 04 63 BD E8 18 88 }
	condition:
		$1
}

rule file_29_15_3 {
	meta:
		name = "_SetThrowImageBase"
		size = 20
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 44 63 BD E8 18 88 }
	condition:
		$1
}

rule file_29_16_3 {
	meta:
		name = "_UnwindNestedFrames"
		size = 132
		refs = "0008 __security_push_cookie 0020 memcpy 006a __security_pop_cookie 0078 __imp_RtlUnwindEx 007c __CxxCallCatchBlock 0080 ?ExceptionTemplate@?1??_UnwindNestedFrames@@9@4U_EXCEPTION_RECORD@@B"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 97 B0 0F 46 1B 49 DD F8 8C 80 16 46 81 46 02 A8 50 22 1D 46 ?? ?? ?? ?? 20 9B 15 4C D8 F8 00 10 CD E9 08 53 21 9B 07 94 10 4C CD E9 0A 36 22 9B D9 F8 00 00 CD E9 0C 37 9D F8 90 30 0E 93 0A 4B 0F 93 6F F0 00 03 11 93 D8 F8 20 30 01 93 D8 F8 14 30 24 68 00 93 00 23 02 AA A0 47 17 B0 ?? ?? ?? ?? BD E8 F0 8B FE DE 20 05 93 19 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_17_3 {
	meta:
		name = "__CxxFrameHandler"
		size = 74
		refs = "0012 __vcrt_getptd 0040 __InternalCxxFrameHandler"
		altNames = "__CxxFrameHandler3"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 1E 46 17 46 05 46 04 91 ?? ?? ?? ?? 71 68 01 63 ?? ?? ?? ?? 29 6A 41 63 ?? ?? ?? ?? F1 69 00 23 03 93 0C 68 01 6B 02 93 01 93 21 44 00 91 04 A9 33 46 3A 46 28 46 ?? ?? ?? ?? 06 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_30_0_3 {
	meta:
		name = "setjmp"
		size = 48
		refs = "002c _setjmpexused"
	strings:
		$1 = { 0A 4A 12 68 00 2A 18 BF 10 47 02 60 00 F1 04 01 81 E8 F0 5F C1 F8 20 D0 F1 EE 10 2A 00 F1 30 01 A1 EC 10 8B C2 62 4F F0 00 00 70 47 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_0_3 {
	meta:
		name = "wcsstr"
		size = 62
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 46 2B 88 AB B1 03 88 93 B1 41 1B 2A 46 43 B1 14 88 74 B1 8B 5A 1B 1B 03 D1 92 1C 8B 5A 00 2B F6 D1 13 88 2B B1 30 F8 02 3F 89 1C 00 2B ED D1 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_32_0_3 {
	meta:
		name = "memset"
		size = 106
	strings:
		$1 = { 12 1F 03 46 1A DB 11 F0 FF 01 41 EA 01 21 13 F0 03 0C 1D D1 41 EA 01 41 0C 3A 8C 46 05 DB A3 E8 02 10 10 3A A3 E8 02 10 F9 DA 08 32 02 DB A3 E8 02 10 08 3A 12 1D 01 DB 43 F8 04 1B 00 DA 12 1D 05 D0 19 70 02 2A 02 DB 59 70 C8 BF 99 70 70 47 13 F0 01 0F 02 D0 52 1E 03 F8 01 1B 13 F0 02 0F D8 D0 92 1E 23 F8 02 1B D4 E7 }
	condition:
		$1
}

rule file_33_0_3 {
	meta:
		name = "wcsrchr"
		size = 40
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 30 F8 02 3B 00 2B FB D1 80 1E 90 42 02 D0 03 88 8B 42 F9 D1 03 88 8B 42 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_35_0_3 {
	meta:
		name = "__C_specific_handler"
		size = 392
		refs = "0072 __C_ExecuteExceptionFilter 008c _IsNonwritableInCurrentImage 0096 _guard_check_icall 00aa _NLG_Notify 00c8 __NLG_Return2 0162 __C_ExecuteTerminationHandler 017c _pDestructExceptionObject 0180 __imp_RtlUnwindEx"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 1E 46 F5 69 34 68 82 46 2B 68 70 68 8E 46 00 2B CD E9 02 10 A4 EB 00 09 02 DA 23 F0 00 44 25 18 96 F8 28 40 0C B1 A9 F1 02 09 DA F8 04 40 14 F0 66 0F 52 D1 D6 F8 24 80 CD E9 06 A2 2B 68 98 45 80 F0 93 80 4B 4C 05 EB 08 17 7B 68 99 45 3B D3 BB 68 99 45 38 D2 3B 69 B3 B3 FA 68 01 2A 08 D0 F3 6A 02 44 71 46 06 A8 ?? ?? ?? ?? 00 28 32 DB 28 DD DA F8 00 30 40 4A 93 42 0C D1 23 68 53 B1 20 46 ?? ?? ?? ?? 30 B1 24 68 20 46 ?? ?? ?? ?? 50 46 01 21 A0 47 3B 69 DD E9 02 14 01 22 18 19 ?? ?? ?? ?? 33 6A 39 69 02 98 01 93 73 69 21 44 31 4C 00 93 DA F8 00 30 24 68 52 46 A0 47 ?? ?? ?? ?? 2B 4C DD E9 02 E0 2B 68 08 F1 01 08 10 37 98 45 BA D3 49 E0 00 20 48 E0 33 69 77 6A 29 68 A3 EB 00 08 8F 42 40 D2 05 EB 07 14 63 68 99 45 34 D3 A3 68 99 45 31 D2 DA F8 04 30 13 F0 20 02 04 92 1C D0 4F F0 00 0E A9 B1 28 46 43 68 98 45 0A D3 83 68 98 45 07 D2 02 69 23 69 9A 42 03 D1 C2 68 E3 68 9A 42 04 D0 0E F1 01 0E 10 30 8E 45 EC D3 DD E9 03 02 8E 45 17 D1 DD F8 08 E0 23 69 1B B1 98 45 0A D1 82 B9 08 E0 7B 1C 73 62 E2 68 F3 6A 71 46 02 44 01 20 ?? ?? ?? ?? 29 68 7F 1C DD E9 02 E0 10 34 8F 42 C0 D3 01 20 09 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? 63 73 6D E0 }
	condition:
		$1
}

rule file_38_0_3 {
	meta:
		name = "wcschr"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 02 E0 8B 42 07 D0 80 1C 03 88 00 2B F9 D1 9B B2 8B 42 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_39_0_3 {
	meta:
		name = "?__GetCurrentState@@YAHPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z"
		size = 42
		refs = "0022 ?__StateFromIp@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@H@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 14 46 E3 69 00 68 C0 58 10 F1 02 0F 07 D1 91 F8 28 30 0A 68 03 B1 92 1E 20 46 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_39_1_3 {
	meta:
		name = "?__GetUnwindTryBlock@@YAHPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@@Z"
		size = 30
		refs = "000c ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 6B 46 14 46 ?? ?? ?? ?? 01 68 E3 69 00 91 0B 44 58 68 BD E8 18 88 }
	condition:
		$1
}

rule file_39_2_3 {
	meta:
		name = "?__SetState@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 01 68 D2 69 8B 50 BD E8 00 88 }
	condition:
		$1
}

rule file_39_3_3 {
	meta:
		name = "?__SetUnwindTryBlock@@YAXPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@H@Z"
		size = 38
		refs = "000e ?_GetEstablisherFrame@@YAPAKPAKPAU_xDISPATCHER_CONTEXT@@PBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 1D 46 6B 46 14 46 ?? ?? ?? ?? 01 68 E2 69 00 91 53 18 5A 68 95 42 00 DD 5D 60 BD E8 3C 88 }
	condition:
		$1
}

rule file_39_4_3 {
	meta:
		name = "?__StateFromControlPc@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@@Z"
		size = 24
		refs = "0014 ?__StateFromIp@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F8 28 30 0A 68 03 B1 92 1E BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_5_3 {
	meta:
		name = "?__StateFromIp@@YAHPBU_s_FuncInfo@@PAU_xDISPATCHER_CONTEXT@@H@Z"
		size = 76
		refs = "0042 terminate"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B E8 B1 D0 E9 05 54 4E 68 33 19 16 D0 00 20 85 B1 31 46 67 18 57 F8 08 3B 0B 44 9A 42 02 D3 40 1C A8 42 F7 D3 28 B1 06 EB C0 03 23 44 53 F8 04 0C 01 E0 6F F0 00 00 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_30_1_4 {
	meta:
		name = "?WinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "000c __mep@?WinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_67_4 {
	meta:
		name = "?.cctor@@YMXXZ"
		size = 16
		refs = "000c __mep@?.cctor@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_185_3_4 {
	meta:
		name = "??_L@YMXPAXIHP6MX0@Z1@Z"
		size = 16
		refs = "000c __mep@??_L@$$FYMXPAXIHP6MX0@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_185_1_4 {
	meta:
		name = "??_L@YMXPAXIIP6MX0@Z1@Z"
		size = 16
		refs = "000c __mep@??_L@$$FYMXPAXIIP6MX0@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_6_4 {
	meta:
		name = "??_M@YMXPAXIHP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??_M@$$FYMXPAXIHP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_4_4 {
	meta:
		name = "??_M@YMXPAXIIP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??_M@$$FYMXPAXIIP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_155_3_4 {
	meta:
		name = "??_N@YMXPAXIHP6MX0@Z1@Z"
		size = 16
		refs = "000c __mep@??_N@$$FYMXPAXIHP6MX0@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_155_1_4 {
	meta:
		name = "??_N@YMXPAXIIP6MX0@Z1@Z"
		size = 16
		refs = "000c __mep@??_N@$$FYMXPAXIIP6MX0@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_3_4 {
	meta:
		name = "??__C@YMXPAX0IHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??__C@$$FYMXPAX0IHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_1_4 {
	meta:
		name = "??__C@YMXPAX0IIP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??__C@$$FYMXPAX0IIP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_3_4 {
	meta:
		name = "??__D@YMXPAX0IHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??__D@$$FYMXPAX0IHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_1_4 {
	meta:
		name = "??__D@YMXPAX0IIP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@??__D@$$FYMXPAX0IIP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_7_4 {
	meta:
		name = "?ArrayUnwindFilter@?A0x452e3ccf@@YAHPAU_EXCEPTION_POINTERS@@@Z"
		size = 16
		refs = "000c __mep@?ArrayUnwindFilter@?A0x452e3ccf@@$$FYAHPAU_EXCEPTION_POINTERS@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_142_4_4 {
	meta:
		name = "?_Facet_Register_m@std@@YAXPAV_Facet_base@1@@Z"
		size = 16
		refs = "000c __mep@?_Facet_Register_m@std@@$$FYAXPAV_Facet_base@1@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_2_4 {
	meta:
		name = "?__ArrayUnwind@@YMXPAXIIP6MX0@Z@Z"
		size = 16
		refs = "000c __mep@?__ArrayUnwind@@$$FYMXPAXIIP6MX0@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_48_4 {
	meta:
		name = "?__alloc_global_lock@?A0x8481b400@@YA_NXZ"
		size = 16
		refs = "000c __mep@?__alloc_global_lock@?A0x8481b400@@$$FYA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_45_4 {
	meta:
		name = "?__dealloc_global_lock@?A0x8481b400@@YAXXZ"
		size = 16
		refs = "000c __mep@?__dealloc_global_lock@?A0x8481b400@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_43_4 {
	meta:
		name = "?__global_lock@?A0x8481b400@@YA_NXZ"
		size = 16
		refs = "000c __mep@?__global_lock@?A0x8481b400@@$$FYA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_44_4 {
	meta:
		name = "?__global_unlock@?A0x8481b400@@YA_NXZ"
		size = 16
		refs = "000c __mep@?__global_unlock@?A0x8481b400@@$$FYA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_5_4 {
	meta:
		name = "?__init_cmdline@?A0x7b2f7b4a@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?__init_cmdline@?A0x7b2f7b4a@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_5_4 {
	meta:
		name = "?__set_managed_app_type@?A0x10b88022@@YMXXZ"
		size = 16
		refs = "000c __mep@?__set_managed_app_type@?A0x10b88022@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_5_4 {
	meta:
		name = "?__winit_cmdline@?A0x0969522c@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?__winit_cmdline@?A0x0969522c@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_6_4 {
	meta:
		name = "?_common_init@?A0x0969522c@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0x0969522c@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_6_4 {
	meta:
		name = "?_common_init@?A0x10b88022@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0x10b88022@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_4_4 {
	meta:
		name = "?_common_init@?A0x7003c3b5@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0x7003c3b5@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_6_4 {
	meta:
		name = "?_common_init@?A0x7b2f7b4a@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0x7b2f7b4a@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_138_4_4 {
	meta:
		name = "?_common_init@?A0xd4a041f1@@YAXXZ"
		size = 16
		refs = "000c __mep@?_common_init@?A0xd4a041f1@@$$FYAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_21_4 {
	meta:
		name = "?_initterm@@YMXPAP6AXXZ0@Z"
		size = 16
		refs = "000c __mep@?_initterm@@$$FYMXPAP6AXXZ0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_19_4 {
	meta:
		name = "?_initterm_e@@YMHPAP6AHXZ0@Z"
		size = 16
		refs = "000c __mep@?_initterm_e@@$$FYMHPAP6AHXZ0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_27_4 {
	meta:
		name = "?_initterm_m@@YMXPBQ6MPBXXZ0@Z"
		size = 16
		refs = "000c __mep@?_initterm_m@@$$FYMXPBQ6MPBXXZ0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_1_4 {
	meta:
		name = "?_lfind@@YMPAXPBX0PAIIP6MH00@Z@Z"
		size = 16
		refs = "000c __mep@?_lfind@@$$FYMPAXPBX0PAIIP6MH00@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_3_4 {
	meta:
		name = "?_lfind_s@@YMPAXPBX0PAIIP6MHPAX00@Z2@Z"
		size = 16
		refs = "000c __mep@?_lfind_s@@$$FYMPAXPBX0PAIIP6MHPAX00@Z2@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_208_1_4 {
	meta:
		name = "?_lsearch@@YMPAXPBXPAXPAIIP6MH00@Z@Z"
		size = 16
		refs = "000c __mep@?_lsearch@@$$FYMPAXPBXPAXPAIIP6MH00@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_208_3_4 {
	meta:
		name = "?_lsearch_s@@YMPAXPBXPAXPAIIP6MH100@Z1@Z"
		size = 16
		refs = "000c __mep@?_lsearch_s@@$$FYMPAXPBXPAXPAIIP6MH100@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1_4 {
	meta:
		name = "?bsearch@@YMPAXPBX0IIP6MH00@Z@Z"
		size = 16
		refs = "000c __mep@?bsearch@@$$FYMPAXPBX0IIP6MH00@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_3_4 {
	meta:
		name = "?bsearch_s@@YMPAXPBX0IIP6MHPAX00@Z1@Z"
		size = 16
		refs = "000c __mep@?bsearch_s@@$$FYMPAXPBX0IIP6MHPAX00@Z1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_4_4 {
	meta:
		name = "?mainCRTStartup@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?mainCRTStartup@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_1_4 {
	meta:
		name = "?mainCRTStartupStrArray@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?mainCRTStartupStrArray@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_3_4 {
	meta:
		name = "?qsort@@YMXPAXIIP6MHPBX1@Z@Z"
		size = 16
		refs = "000c __mep@?qsort@@$$FYMXPAXIIP6MHPBX1@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_6_4 {
	meta:
		name = "?qsort_s@@YMXPAXIIP6MH0PBX1@Z0@Z"
		size = 16
		refs = "000c __mep@?qsort_s@@$$FYMXPAXIIP6MH0PBX1@Z0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_8_4 {
	meta:
		name = "?shortsort@?A0x6989372b@@YMXPAD0IP6MHPBX1@Z@Z"
		size = 16
		refs = "000c __mep@?shortsort@?A0x6989372b@@$$FYMXPAD0IP6MHPBX1@Z@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_9_4 {
	meta:
		name = "?shortsort_s@?A0x6989372b@@YMXPAD0IP6MHPAXPBX2@ZQAX@Z"
		size = 16
		refs = "000c __mep@?shortsort_s@?A0x6989372b@@$$FYMXPAD0IP6MHPAXPBX2@ZQAX@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_7_4 {
	meta:
		name = "?swap@?A0x6989372b@@YMXPAD0I@Z"
		size = 16
		refs = "000c __mep@?swap@?A0x6989372b@@$$FYMXPAD0I@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_138_1_4 {
	meta:
		name = "?wWinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "000c __mep@?wWinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_4_4 {
	meta:
		name = "?wmainCRTStartup@@YMHP$01AP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?wmainCRTStartup@@$$FYMHP$01AP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_21_4 {
	meta:
		name = "_Init_thread_abort_m"
		size = 16
		refs = "000c __mep@?_Init_thread_abort_m@@$$J0YMXPCH@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_23_4 {
	meta:
		name = "_Init_thread_footer_m"
		size = 16
		refs = "000c __mep@?_Init_thread_footer_m@@$$J0YMXPCH@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_19_4 {
	meta:
		name = "_Init_thread_header_m"
		size = 16
		refs = "000c __mep@?_Init_thread_header_m@@$$J0YMXPCH@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_177_3_4 {
	meta:
		name = "___CxxCallUnwindDelDtor"
		size = 16
		refs = "000c __mep@?___CxxCallUnwindDelDtor@@$$J0YMXP6MXPAX@Z0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_177_1_4 {
	meta:
		name = "___CxxCallUnwindDtor"
		size = 16
		refs = "000c __mep@?___CxxCallUnwindDtor@@$$J0YMXP6MXPAX@Z0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_177_5_4 {
	meta:
		name = "___CxxCallUnwindVecDtor"
		size = 16
		refs = "000c __mep@?___CxxCallUnwindVecDtor@@$$J0YMXP6MXPAXIHP6MX0@Z@Z0IH1@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_30_4 {
	meta:
		name = "__t2m@??$ResolveMethod@$$A6MPBXXZ@ThisModule@<CrtImplementationDetails>@@SMP6MPBXXZP6MPBXXZ@Z"
		size = 16
		refs = "000c __mep@??$ResolveMethod@$$A6MPBXXZ@ThisModule@<CrtImplementationDetails>@@$$FSMP6MPBXXZP6MPBXXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_91_4 {
	meta:
		name = "__t2m@??0?$gcroot@P$AAVString@System@@@@QAA@XZ"
		size = 16
		refs = "000c __mep@??0?$gcroot@P$AAVString@System@@@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_101_4 {
	meta:
		name = "__t2m@??0LanguageSupport@<CrtImplementationDetails>@@QAA@XZ"
		size = 16
		refs = "000c __mep@??0LanguageSupport@<CrtImplementationDetails>@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_142_6_4 {
	meta:
		name = "__t2m@??0_Fac_node@std@@QAA@PAU01@PAV_Facet_base@1@@Z"
		size = 16
		refs = "000c __mep@??0_Fac_node@std@@$$FQAA@PAU01@PAV_Facet_base@1@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_90_4 {
	meta:
		name = "__t2m@??1?$gcroot@P$AAVString@System@@@@QAA@XZ"
		size = 16
		refs = "000c __mep@??1?$gcroot@P$AAVString@System@@@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_102_4 {
	meta:
		name = "__t2m@??1LanguageSupport@<CrtImplementationDetails>@@QAA@XZ"
		size = 16
		refs = "000c __mep@??1LanguageSupport@<CrtImplementationDetails>@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_142_7_4 {
	meta:
		name = "__t2m@??1_Fac_node@std@@QAA@XZ"
		size = 16
		refs = "000c __mep@??1_Fac_node@std@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_142_9_4 {
	meta:
		name = "__t2m@??1_Fac_tidy_reg_t@std@@QAA@XZ"
		size = 16
		refs = "000c __mep@??1_Fac_tidy_reg_t@std@@$$FQAA@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_89_4 {
	meta:
		name = "__t2m@??4?$gcroot@P$AAVString@System@@@@QAMAAU0@P$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@??4?$gcroot@P$AAVString@System@@@@$$FQAMAAU0@P$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_142_13_4 {
	meta:
		name = "__t2m@???__E?A0xe115ef33@_Fac_tidy_reg@std@@YMXXZ@?A0xe115ef33@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?A0xe115ef33@_Fac_tidy_reg@std@@YMXXZ@?A0xe115ef33@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_111_4 {
	meta:
		name = "__t2m@???__E?Initialized@CurrentDomain@<CrtImplementationDetails>@@$$Q2HA@@YMXXZ@?A0xb0fc3827@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?Initialized@CurrentDomain@<CrtImplementationDetails>@@$$Q2HA@@YMXXZ@?A0xb0fc3827@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_115_4 {
	meta:
		name = "__t2m@???__E?InitializedNative@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb0fc3827@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?InitializedNative@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb0fc3827@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_117_4 {
	meta:
		name = "__t2m@???__E?InitializedPerAppDomain@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb0fc3827@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?InitializedPerAppDomain@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb0fc3827@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_116_4 {
	meta:
		name = "__t2m@???__E?InitializedPerProcess@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb0fc3827@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?InitializedPerProcess@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb0fc3827@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_114_4 {
	meta:
		name = "__t2m@???__E?InitializedVtables@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb0fc3827@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?InitializedVtables@CurrentDomain@<CrtImplementationDetails>@@$$Q2W4Progress@2@A@@YMXXZ@?A0xb0fc3827@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_113_4 {
	meta:
		name = "__t2m@???__E?IsDefaultDomain@CurrentDomain@<CrtImplementationDetails>@@$$Q2_NA@@YMXXZ@?A0xb0fc3827@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?IsDefaultDomain@CurrentDomain@<CrtImplementationDetails>@@$$Q2_NA@@YMXXZ@?A0xb0fc3827@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_112_4 {
	meta:
		name = "__t2m@???__E?Uninitialized@CurrentDomain@<CrtImplementationDetails>@@$$Q2HA@@YMXXZ@?A0xb0fc3827@@YMXXZ"
		size = 16
		refs = "000c __mep@???__E?Uninitialized@CurrentDomain@<CrtImplementationDetails>@@$$Q2HA@@YMXXZ@?A0xb0fc3827@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_142_12_4 {
	meta:
		name = "__t2m@???__F?A0xe115ef33@_Fac_tidy_reg@std@@YMXXZ@?A0xe115ef33@@YMXXZ"
		size = 16
		refs = "000c __mep@???__F?A0xe115ef33@_Fac_tidy_reg@std@@YMXXZ@?A0xe115ef33@@$$FYMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_88_4 {
	meta:
		name = "__t2m@??B?$gcroot@P$AAVString@System@@@@QBMP$AAVString@System@@XZ"
		size = 16
		refs = "000c __mep@??B?$gcroot@P$AAVString@System@@@@$$FQBMP$AAVString@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_142_8_4 {
	meta:
		name = "__t2m@??_G_Fac_node@std@@QAAPAXI@Z"
		size = 16
		refs = "000c __mep@??_G_Fac_node@std@@$$FQAAPAXI@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_47_4 {
	meta:
		name = "__t2m@?AddRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?AddRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_100_4 {
	meta:
		name = "__t2m@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@AAMXP$AAVException@System@@@Z"
		size = 16
		refs = "000c __mep@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXP$AAVException@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_76_4 {
	meta:
		name = "__t2m@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@YAXP6AJPAX@Z0@Z"
		size = 16
		refs = "000c __mep@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPAX@Z0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_78_4 {
	meta:
		name = "__t2m@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@CAJPAX@Z"
		size = 16
		refs = "000c __mep@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@$$FCAJPAX@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_87_4 {
	meta:
		name = "__t2m@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@CMXP$AAVObject@System@@P$AAVEventArgs@4@@Z"
		size = 16
		refs = "000c __mep@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@$$FCMXP$AAVObject@System@@P$AAVEventArgs@4@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_41_4 {
	meta:
		name = "__t2m@?Enter@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?Enter@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_42_4 {
	meta:
		name = "__t2m@?Exit@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?Exit@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_72_4 {
	meta:
		name = "__t2m@?FromGUID@<CrtImplementationDetails>@@YM?AVGuid@System@@ABU_GUID@@@Z"
		size = 16
		refs = "000c __mep@?FromGUID@<CrtImplementationDetails>@@$$FYM?AVGuid@System@@ABU_GUID@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_75_4 {
	meta:
		name = "__t2m@?GetDefaultDomain@<CrtImplementationDetails>@@YMP$AAVAppDomain@System@@XZ"
		size = 16
		refs = "000c __mep@?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMP$AAVAppDomain@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_29_4 {
	meta:
		name = "__t2m@?Handle@ThisModule@<CrtImplementationDetails>@@CM?AVModuleHandle@System@@XZ"
		size = 16
		refs = "000c __mep@?Handle@ThisModule@<CrtImplementationDetails>@@$$FCM?AVModuleHandle@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_80_4 {
	meta:
		name = "__t2m@?HasNative@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?HasNative@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_79_4 {
	meta:
		name = "__t2m@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_83_4 {
	meta:
		name = "__t2m@?Initialize@DefaultDomain@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?Initialize@DefaultDomain@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_103_4 {
	meta:
		name = "__t2m@?Initialize@LanguageSupport@<CrtImplementationDetails>@@QAAXXZ"
		size = 16
		refs = "000c __mep@?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_94_4 {
	meta:
		name = "__t2m@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_95_4 {
	meta:
		name = "__t2m@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_97_4 {
	meta:
		name = "__t2m@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_96_4 {
	meta:
		name = "__t2m@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_98_4 {
	meta:
		name = "__t2m@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_93_4 {
	meta:
		name = "__t2m@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_39_4 {
	meta:
		name = "__t2m@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_81_4 {
	meta:
		name = "__t2m@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_82_4 {
	meta:
		name = "__t2m@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "000c __mep@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_71_4 {
	meta:
		name = "__t2m@?RegisterModuleUninitializer@<CrtImplementationDetails>@@YMXP$AAVEventHandler@System@@@Z"
		size = 16
		refs = "000c __mep@?RegisterModuleUninitializer@<CrtImplementationDetails>@@$$FYMXP$AAVEventHandler@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_40_4 {
	meta:
		name = "__t2m@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "000c __mep@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_69_4 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXP$AAVString@System@@@Z"
		size = 16
		refs = "000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXP$AAVString@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_70_4 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXP$AAVString@System@@P$AAVException@3@@Z"
		size = 16
		refs = "000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXP$AAVString@System@@P$AAVException@3@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_92_4 {
	meta:
		name = "__t2m@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@YMXP$AAVException@System@@0@Z"
		size = 16
		refs = "000c __mep@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@$$FYMXP$AAVException@System@@0@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_84_4 {
	meta:
		name = "__t2m@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "000c __mep@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_86_4 {
	meta:
		name = "__t2m@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "000c __mep@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_99_4 {
	meta:
		name = "__t2m@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@AAAXXZ"
		size = 16
		refs = "000c __mep@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_85_4 {
	meta:
		name = "__t2m@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAJPAX@Z"
		size = 16
		refs = "000c __mep@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAJPAX@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_73_4 {
	meta:
		name = "__t2m@?__get_default_appdomain@@YAJPAPAUIUnknown@@@Z"
		size = 16
		refs = "000c __mep@?__get_default_appdomain@@$$FYAJPAPAUIUnknown@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_74_4 {
	meta:
		name = "__t2m@?__release_appdomain@@YAXPAUIUnknown@@@Z"
		size = 16
		refs = "000c __mep@?__release_appdomain@@$$FYAXPAUIUnknown@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_77_4 {
	meta:
		name = "__t2m@?__scrt_is_safe_for_managed_code@@YA_NXZ"
		size = 16
		refs = "000c __mep@?__scrt_is_safe_for_managed_code@@$$FYA_NXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_35_4 {
	meta:
		name = "__t2m@?_handle@AtExitLock@<CrtImplementationDetails>@@CMP$AA__ZVGCHandle@InteropServices@Runtime@System@@XZ"
		size = 16
		refs = "000c __mep@?_handle@AtExitLock@<CrtImplementationDetails>@@$$FCMP$AA__ZVGCHandle@InteropServices@Runtime@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_46_4 {
	meta:
		name = "__t2m@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@CMXP$AAVObject@System@@@Z"
		size = 16
		refs = "000c __mep@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@$$FCMXP$AAVObject@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_38_4 {
	meta:
		name = "__t2m@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "000c __mep@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_37_4 {
	meta:
		name = "__t2m@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@CMP$AAVObject@System@@XZ"
		size = 16
		refs = "000c __mep@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@$$FCMP$AAVObject@System@@XZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_36_4 {
	meta:
		name = "__t2m@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@CMXP$AAVObject@System@@@Z"
		size = 16
		refs = "000c __mep@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@$$FCMXP$AAVObject@System@@@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_21_4 {
	meta:
		name = "_app_exit_callback"
		size = 16
		refs = "000c __mep@?_app_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_15_4 {
	meta:
		name = "_atexit_helper"
		size = 16
		refs = "000c __mep@?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_19_4 {
	meta:
		name = "_atexit_m"
		size = 16
		refs = "000c __mep@?_atexit_m@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_23_4 {
	meta:
		name = "_atexit_m_appdomain"
		size = 16
		refs = "000c __mep@?_atexit_m_appdomain@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_17_4 {
	meta:
		name = "_exit_callback"
		size = 16
		refs = "000c __mep@?_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_32_4 {
	meta:
		name = "_initatexit_app_domain"
		size = 16
		refs = "000c __mep@?_initatexit_app_domain@@$$J0YMHXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_28_4 {
	meta:
		name = "_initatexit_m"
		size = 16
		refs = "000c __mep@?_initatexit_m@@$$J0YMHXZ"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_30_4 {
	meta:
		name = "_onexit_m"
		size = 16
		refs = "000c __mep@?_onexit_m@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_34_4 {
	meta:
		name = "_onexit_m_appdomain"
		size = 16
		refs = "000c __mep@?_onexit_m_appdomain@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { DF F8 08 C0 DC F8 00 C0 60 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_3_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0x7003c3b5@@YAHXZ"
		size = 60
		refs = "0008 __scrt_initialize_onexit_tables 000e __scrt_default_matherr 001a _matherr 0022 __setusermatherr 0026 _RTC_Initialize 002a ?_common_init@?A0x7003c3b5@@YAXXZ 0036 __scrt_fastfail"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 20 ?? ?? ?? ?? 90 B1 ?? ?? ?? ?? C0 F2 00 03 1B 68 2B B9 ?? ?? ?? ?? C0 F2 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 00 88 07 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_285_2_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0x0969522c@@YAHXZ"
		size = 60
		refs = "0008 __scrt_initialize_onexit_tables 000e __scrt_default_matherr 001a _matherr 0022 __setusermatherr 0026 _RTC_Initialize 002a ?_common_init@?A0x0969522c@@YAXXZ 0036 __scrt_fastfail"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 20 ?? ?? ?? ?? 90 B1 ?? ?? ?? ?? C0 F2 00 03 1B 68 2B B9 ?? ?? ?? ?? C0 F2 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 00 88 07 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_43_4_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0x10b88022@@YAHXZ"
		size = 60
		refs = "0008 __scrt_initialize_onexit_tables 000e __scrt_default_matherr 001a _matherr 0022 __setusermatherr 0026 _RTC_Initialize 002a ?_common_init@?A0x10b88022@@YAXXZ 0036 __scrt_fastfail"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 20 ?? ?? ?? ?? 90 B1 ?? ?? ?? ?? C0 F2 00 03 1B 68 2B B9 ?? ?? ?? ?? C0 F2 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 00 88 07 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_76_2_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0x7b2f7b4a@@YAHXZ"
		size = 60
		refs = "0008 __scrt_initialize_onexit_tables 000e __scrt_default_matherr 001a _matherr 0022 __setusermatherr 0026 _RTC_Initialize 002a ?_common_init@?A0x7b2f7b4a@@YAXXZ 0036 __scrt_fastfail"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 20 ?? ?? ?? ?? 90 B1 ?? ?? ?? ?? C0 F2 00 03 1B 68 2B B9 ?? ?? ?? ?? C0 F2 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 00 88 07 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_138_3_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0xd4a041f1@@YAHXZ"
		size = 60
		refs = "0008 __scrt_initialize_onexit_tables 000e __scrt_default_matherr 001a _matherr 0022 __setusermatherr 0026 _RTC_Initialize 002a ?_common_init@?A0xd4a041f1@@YAXXZ 0036 __scrt_fastfail"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 20 ?? ?? ?? ?? 90 B1 ?? ?? ?? ?? C0 F2 00 03 1B 68 2B B9 ?? ?? ?? ?? C0 F2 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 20 BD E8 00 88 07 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_46_12_4 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000E8 0009 0A00008D"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 35 00 00 01 }
	condition:
		$1
}

rule file_46_14_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000012 000e 0A00009B"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_79_16_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000012 000e 0A0000ED"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_238_14_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000012 000e 0A0000A3"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_135_29_7 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000017 000e 0A0000A4"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_1340_28_7 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000016 000e 0A000081"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_46_15_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000E8 0009 0A00008D"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 35 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 35 00 00 01 }
	condition:
		$1
}

rule file_79_14_4 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000E8 0009 0A0000D4"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 3E 00 00 01 }
	condition:
		$1
}

rule file_79_17_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000E8 0009 0A0000D4"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 3E 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 3E 00 00 01 }
	condition:
		$1
}

rule file_79_21_4 {
	meta:
		name = "__catch$?__get_default_appdomain@@$$FYAJPAPAUIUnknown@@@Z$0"
		size = 68
		refs = "0001 0A0000DF 0015 11000002 0021 11000001 0040 01000007"
	strings:
		$1 = { 28 ?? ?? ?? ?? 0B DE 00 07 16 32 1A 06 02 06 4A 1F 34 58 4A 29 ?? ?? ?? ?? 0B 06 25 4A 1E 58 4A 29 ?? ?? ?? ?? 26 07 2A 41 1C 00 00 00 00 00 00 02 00 00 00 26 00 00 00 28 00 00 00 08 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_24_4 {
	meta:
		name = "__catch$?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMP$AAVAppDomain@System@@XZ$0"
		size = 48
		refs = "0002 0A00003F 0009 0A0000DE"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? DC 06 28 ?? ?? ?? ?? 14 2A 08 2A 00 00 00 41 1C 00 00 02 00 00 00 0E 00 00 00 16 00 00 00 24 00 00 00 07 00 00 00 3E 00 00 01 }
	condition:
		$1
}

rule file_79_26_4 {
	meta:
		name = "__catch$?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPAX@Z0@Z$0"
		size = 44
		refs = "0007 11000001"
	strings:
		$1 = { 06 25 4A 1E 58 4A 29 ?? ?? ?? ?? 26 DC 2A 00 00 41 1C 00 00 02 00 00 00 25 00 00 00 27 00 00 00 4C 00 00 00 0D 00 00 00 3E 00 00 01 }
	condition:
		$1
}

rule file_79_30_4 {
	meta:
		name = "?_getFiberPtrId@@YAPAXXZ"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 1D EE 50 3F 58 68 BD E8 00 88 }
	condition:
		$1
}

rule file_79_55_4 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ$0"
		size = 107
		refs = "0002 0A0000EA 000b 0A0000E9 0012 0A0000A5 001b 0A0000D2 0020 0A0000EB 003f 0A0000B7 0047 0A00004C 004c 0400011B 0054 0A00004E 005a 0A00004F 0061 0A000048"
	strings:
		$1 = { 16 28 ?? ?? ?? ?? 13 07 11 04 28 ?? ?? ?? ?? 13 06 7F ?? ?? ?? ?? 11 06 11 07 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 0B 07 2D 04 17 0A 2B 09 07 11 04 33 04 17 0D 17 0A DC 06 2D 0A 20 E8 03 00 00 28 ?? ?? ?? ?? 2B B6 02 28 ?? ?? ?? ?? 7E ?? ?? ?? ?? 2C 0E 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2B 09 28 ?? ?? ?? ?? 2C 02 17 0C DE 19 }
	condition:
		$1
}

rule file_79_56_4 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAAAXXZ$2"
		size = 106
		refs = "0005 0A0000EA 000c 0A0000A5 0013 0A0000D0 001e 0A00004D 0024 0A000050 002a 04000118 0030 0A000051"
	strings:
		$1 = { 09 2D 15 16 28 ?? ?? ?? ?? 13 05 7F ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 26 DC 08 2C 06 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 17 80 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2A 00 41 34 00 00 02 00 00 00 31 00 00 00 02 00 00 00 33 00 00 00 36 00 00 00 3E 00 00 01 02 00 00 00 2E 00 00 00 70 00 00 00 9E 00 00 00 19 00 00 00 3E 00 00 01 }
	condition:
		$1
}

rule file_79_59_4 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXP$AAVException@System@@@Z$1"
		size = 66
		refs = "0004 0600001D 0026 01000007 003e 0100000C"
	strings:
		$1 = { 0C 03 14 28 ?? ?? ?? ?? DE 00 2A 00 00 00 41 34 00 00 00 00 00 00 00 00 00 00 20 00 00 00 20 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 20 00 00 00 2A 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_63_4 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAAXXZ$0"
		size = 22
		refs = "0001 04000117 0006 0A0000CE 0010 0A000053"
	strings:
		$1 = { 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 17 0A DC 02 28 ?? ?? ?? ?? DE 32 }
	condition:
		$1
}

rule file_79_64_4 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAAXXZ$2"
		size = 25
		refs = "0007 06000040 000d 06000045 0013 0600001F"
	strings:
		$1 = { 0B 06 2C 07 02 07 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? DE 19 }
	condition:
		$1
}

rule file_79_65_4 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAAXXZ$3"
		size = 103
		refs = "0007 06000040 000d 06000045 0013 0600001F 004b 01000007 0063 0100000C"
	strings:
		$1 = { 0C 06 2C 07 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 41 4C 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0E 00 00 00 3E 00 00 01 00 00 00 00 07 00 00 00 29 00 00 00 30 00 00 00 19 00 00 00 ?? ?? ?? ?? 00 00 00 00 07 00 00 00 29 00 00 00 49 00 00 00 19 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_12_4 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000F1 0009 0A000093"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 38 00 00 01 }
	condition:
		$1
}

rule file_238_15_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000F1 0009 0A000093"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 38 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 38 00 00 01 }
	condition:
		$1
}

rule file_284_12_4 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$0"
		size = 89
		refs = "000a 0A0000F0 0012 0A0000EF 001b 0A0000EE 0024 0A0000F1 004a 0A0000E0"
	strings:
		$1 = { 26 12 0A 03 4A 18 58 1A 5A 28 ?? ?? ?? ?? 12 09 07 28 ?? ?? ?? ?? 11 09 11 0A 28 ?? ?? ?? ?? 13 0D 12 0D 28 ?? ?? ?? ?? 06 07 59 58 0A 12 0D 28 ?? ?? ?? ?? 0B 03 25 4A 1A 58 54 DE 00 06 02 54 06 1A 58 0A 02 13 08 05 07 28 ?? ?? ?? ?? 54 04 06 28 ?? ?? ?? ?? 54 DE 05 }
	condition:
		$1
}

rule file_185_24_7 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$0"
		size = 89
		refs = "000a 0A00009E 0012 0A00009D 001b 0A00009C 0024 0A00009F 004a 0A00008E"
	strings:
		$1 = { 26 12 0A 03 4A 18 58 1A 5A 28 ?? ?? ?? ?? 12 09 07 28 ?? ?? ?? ?? 11 09 11 0A 28 ?? ?? ?? ?? 13 0D 12 0D 28 ?? ?? ?? ?? 06 07 59 58 0A 12 0D 28 ?? ?? ?? ?? 0B 03 25 4A 1A 58 54 DE 00 06 02 54 06 1A 58 0A 02 13 08 05 07 28 ?? ?? ?? ?? 54 04 06 28 ?? ?? ?? ?? 54 DE 05 }
	condition:
		$1
}

rule file_284_14_4 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$3"
		size = 98
		refs = "0001 0A000069 002e 01000008"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 08 2D 05 15 13 04 2B 03 16 13 04 11 04 2A 41 4C 00 00 00 00 00 00 35 00 00 00 69 00 00 00 9E 00 00 00 3D 00 00 00 ?? ?? ?? ?? 00 00 00 00 13 00 00 00 E4 00 00 00 F7 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 13 00 00 00 EB 00 00 00 FE 00 00 00 07 00 00 00 2B 00 00 01 }
	condition:
		$1
}

rule file_312_0_6 {
	meta:
		name = "DllMain"
		size = 36
		refs = "001c __imp_DisableThreadLibraryCalls 0020 _pRawDllMain"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 29 05 D1 05 4B 1B 68 13 B9 02 4B 1B 68 98 47 01 20 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_135_27_7 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000E8 0009 0A00008B"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 4D 00 00 01 }
	condition:
		$1
}

rule file_135_30_7 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000E8 0009 0A00008B"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 4D 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 4D 00 00 01 }
	condition:
		$1
}

rule file_135_36_7 {
	meta:
		name = "__catch$?ForceLoadRuntimeApis@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXXZ$2"
		size = 63
		refs = "0005 0A0000A4 0023 02000002"
	strings:
		$1 = { 07 2C 06 07 6F ?? ?? ?? ?? DC 2A 41 34 00 00 00 00 00 00 6A 00 00 00 08 00 00 00 72 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 10 00 00 00 71 00 00 00 81 00 00 00 0A 00 00 00 4D 00 00 01 }
	condition:
		$1
}

rule file_135_56_7 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXP$AAVException@System@@@Z$1"
		size = 63
		refs = "0004 06000062 0023 0100000C 003b 01000011"
	strings:
		$1 = { 0B 03 14 28 ?? ?? ?? ?? DE 00 2A 41 34 00 00 00 00 00 00 00 00 00 00 07 00 00 00 07 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 07 00 00 00 11 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_135_60_7 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAMXXZ$0"
		size = 22
		refs = "0004 06000075 000a 0600007A 0010 06000063"
	strings:
		$1 = { 0A 02 06 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? DE 16 }
	condition:
		$1
}

rule file_135_61_7 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAMXXZ$1"
		size = 78
		refs = "0004 06000075 000a 0600007A 0010 06000063 0032 0100000C 004a 01000011"
	strings:
		$1 = { 0B 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 00 00 41 34 00 00 00 00 00 00 00 00 00 00 14 00 00 00 14 00 00 00 16 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 14 00 00 00 2A 00 00 00 16 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_185_26_7 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$3"
		size = 98
		refs = "0001 06000083 002e 0100000D"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 08 2D 05 15 13 04 2B 03 16 13 04 11 04 2A 41 4C 00 00 00 00 00 00 35 00 00 00 69 00 00 00 9E 00 00 00 3D 00 00 00 ?? ?? ?? ?? 00 00 00 00 13 00 00 00 E4 00 00 00 F7 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 13 00 00 00 EB 00 00 00 FE 00 00 00 07 00 00 00 32 00 00 01 }
	condition:
		$1
}

rule file_281_166_7 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPAV12@@Z$0"
		size = 75
		refs = "0002 0A0000C6 0021 0400026A 003d 0400018F"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 02 1E 58 0B 07 16 54 07 4A 17 58 0A 07 06 54 06 1E 34 14 06 1A 5A 7F ?? ?? ?? ?? 58 4A 0C 08 2C 06 08 02 2E 02 2B E0 06 1A 5A 7F ?? ?? ?? ?? 58 02 54 7F ?? ?? ?? ?? 07 4A 58 25 46 17 58 52 DE 0B }
	condition:
		$1
}

rule file_281_167_7 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPAV12@@Z$2"
		size = 64
		refs = "0006 0A0000C8"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 2A 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 52 00 00 00 5C 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_281_307_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00011C 0009 0A00011B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1074_435_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1892_306_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00014D 0009 0A00014C 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1804_438_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000139 0009 0A000138 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1770_299_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000127 0009 0A000126 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1719_434_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1688_339_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00015F 0009 0A00015E 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1644_434_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1603_238_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000109 0009 0A000108 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1569_299_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000127 0009 0A000126 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1539_438_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000139 0009 0A000138 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1359_309_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000164 0009 0A000163 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1195_440_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000135 0009 0A000134 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1131_364_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00013E 0009 0A00013D 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_283_435_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1052_545_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00018A 0009 0A000189 0011 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_878_1035_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000156 0009 0A000155 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_842_437_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000135 0009 0A000134 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_816_546_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000145 0009 0A000144 0011 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_688_439_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000135 0009 0A000134 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_635_472_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000159 0009 0A000158 0011 0A000026"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_419_434_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1052_536_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00018A 0009 0A000189 0011 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_878_1026_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000156 0009 0A000155 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1603_229_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000109 0009 0A000108 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_281_308_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A00011B 000b 0A00008E 0017 060001FC"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1195_441_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000134 000b 0A000099 0017 06000267"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1892_307_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A00014C 000b 0A0000A9 0017 0600021E"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1804_439_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000138 000b 0A000099 0017 06000265"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1770_300_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000126 000b 0A000091 0017 060001FB"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1719_435_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000136 000b 0A000099 0017 06000262"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1688_340_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A00015E 000b 0A0000B1 0017 060002D9"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1644_435_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000136 000b 0A000099 0017 06000262"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1603_239_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000108 000b 0A000094 0017 0600016D"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1569_300_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000126 000b 0A000091 0017 06000200"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1539_439_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000138 000b 0A000099 0017 06000265"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1359_310_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000163 000b 0A0000B2 0017 060002B3"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_283_436_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000136 000b 0A000099 0017 06000262"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1052_546_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000189 000b 0A0000C1 0017 06000473"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_878_1036_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000155 000b 0A0000A0 0017 060004CA"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_842_438_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000134 000b 0A000099 0017 06000263"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_816_547_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000144 000b 0A00009C 0017 06000342"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_688_440_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000134 000b 0A000099 0017 06000267"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_635_473_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000158 000b 0A0000AB 0017 0600029D"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_419_435_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000136 000b 0A000099 0017 06000262"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_407_444_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000136 000b 0A000099 0017 0600026A"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_349_435_7 {
	meta:
		name = "__catch$389"
		size = 30
		refs = "0004 0A000136 000b 0A000099 0017 06000262"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_281_309_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00011C 0009 0A00011B 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1131_366_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00013E 0009 0A00013D 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1892_308_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00014D 0009 0A00014C 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1804_440_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000139 0009 0A000138 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1770_301_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000127 0009 0A000126 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1719_436_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1688_341_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00015F 0009 0A00015E 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1644_436_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1603_240_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000109 0009 0A000108 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1569_301_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000127 0009 0A000126 0011 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1539_440_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000139 0009 0A000138 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1359_311_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000164 0009 0A000163 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1195_442_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000135 0009 0A000134 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_283_437_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1052_547_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A00018A 0009 0A000189 0011 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_878_1037_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000156 0009 0A000155 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_842_439_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000135 0009 0A000134 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_816_548_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000145 0009 0A000144 0011 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_688_441_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000135 0009 0A000134 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_635_474_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000159 0009 0A000158 0011 0A000026"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_419_436_7 {
	meta:
		name = "__unwind$19"
		size = 23
		refs = "0002 0A000137 0009 0A000136 0011 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_281_310_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A00011B 000b 0A00008E 0014 060001CD 001b 0A00003F"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1074_438_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000136 000b 0A000099 0014 0600020C 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1892_309_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A00014C 000b 0A0000A9 0014 060001EF 001b 0A00004E"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1804_441_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000138 000b 0A000099 0014 0600020F 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1770_302_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000126 000b 0A000091 0014 060001CC 001b 0A000040"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1719_437_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000136 000b 0A000099 0014 0600020C 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1688_342_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A00015E 000b 0A0000B1 0014 0600023F 001b 0A000053"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1644_437_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000136 000b 0A000099 0014 0600020C 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1603_241_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000108 000b 0A000094 0014 06000129 001b 0A00004A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1569_302_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000126 000b 0A000091 0014 060001D1 001b 0A000040"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1539_441_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000138 000b 0A000099 0014 0600020F 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1359_312_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000163 000b 0A0000B2 0014 06000219 001b 0A000054"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1195_443_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000134 000b 0A000099 0014 0600020F 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_283_438_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000136 000b 0A000099 0014 0600020C 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1052_548_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000189 000b 0A0000C1 0014 06000388 001b 0A00005A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_1038_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000155 000b 0A0000A0 0014 06000359 001b 0A000049"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_842_440_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000134 000b 0A000099 0014 0600020B 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_816_549_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000144 000b 0A00009C 0014 06000262 001b 0A000046"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_688_442_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000134 000b 0A000099 0014 0600020F 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_635_475_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000158 000b 0A0000AB 0014 0600023D 001b 0A000051"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_419_437_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000136 000b 0A000099 0014 0600020C 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_407_446_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000136 000b 0A000099 0014 06000212 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_349_437_7 {
	meta:
		name = "__catch$393"
		size = 33
		refs = "0004 0A000136 000b 0A000099 0014 0600020C 001b 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1131_367_7 {
	meta:
		name = "__catch$397"
		size = 33
		refs = "0004 0A00013D 000b 0A00009A 0014 06000257 001b 0A000045"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1052_537_7 {
	meta:
		name = "__catch$399"
		size = 33
		refs = "0004 0A000189 000b 0A0000C1 0014 06000377 001b 0A00005A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_1027_7 {
	meta:
		name = "__catch$399"
		size = 33
		refs = "0004 0A000155 000b 0A0000A0 0014 06000348 001b 0A000049"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_1016_7 {
	meta:
		name = "__catch$399"
		size = 33
		refs = "0004 0A000155 000b 0A0000A0 0014 06000388 001b 0A000049"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1603_230_7 {
	meta:
		name = "__catch$399"
		size = 33
		refs = "0004 0A000108 000b 0A000094 0014 06000127 001b 0A00004A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_281_316_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000035 0031 060001CD"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_283_444_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 0600020C"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_407_452_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 06000212"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_816_555_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A00003A 0031 06000262"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_842_446_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 0600020B"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1074_444_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 0600020C"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1195_449_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 0600020F"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1644_443_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 0600020C"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1804_447_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 0600020F"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_283_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DB 000e 0A0000BC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_349_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DB 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_635_65_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000F1 000e 0A0000D4"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_688_59_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000D9 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_816_70_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000E1 000e 0A0000C5"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_842_57_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000D9 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_878_93_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000ED 000e 0A0000CE"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1074_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DB 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1195_59_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000D9 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1539_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DD 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_1804_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$0"
		size = 34
		refs = "0002 0A0000DD 000e 0A0000BC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4A 2D 13 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 54 DE 0A }
	condition:
		$1
}

rule file_283_62_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 66
		refs = "0005 0A0000DD"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 2A 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_71_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 66
		refs = "0005 0A0000E3"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 2A 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_842_58_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 66
		refs = "0005 0A0000DB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 2A 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1539_62_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 66
		refs = "0005 0A0000DF"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 2A 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_283_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 040002AD 0010 0A0000C8 0015 060000D4 001f 060000E1 0032 06000107 003c 060000B5 0044 04000156 0049 0A000043 005d 11000020 0062 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_407_430_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 0400021F 0010 040002C0 0015 060000D4 001f 060000E1 0032 06000297 003c 060000B4 0044 0400015C 0049 0A000043 005d 11000021 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_842_424_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000D9 000a 04000212 0010 040002B3 0015 060000D2 001f 060000DF 0032 06000290 003c 060000B2 0044 04000155 0049 0A000043 005d 11000021 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1195_427_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000D9 000a 04000216 0010 040002B4 0015 060000D4 001f 060000E1 0032 06000294 003c 060000B4 0044 04000159 0049 0A000043 005d 11000021 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_635_426_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000F1 000a 04000273 0010 04000312 0015 060000F6 001f 06000104 0032 060001DB 003c 060000D5 0044 040001B7 0049 0A000051 005d 11000021 0062 0A0000D6"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_688_426_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000D9 000a 04000215 0010 040002B4 0015 060000D4 001f 060000E1 0032 06000294 003c 060000B4 0044 04000154 0049 0A000043 005d 11000021 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_349_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 040001C8 0010 0A0000D7 0015 060000D4 001f 060000E1 0032 06000112 003c 060000B5 0044 04000153 0049 0A000043 005d 11000020 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_873_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000323 0010 0A0000EA 0015 060000EF 001f 060000FD 0032 0600012F 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1074_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 040001CC 0010 0A0000D7 0015 060000D4 001f 060000E1 0032 06000112 003c 060000B5 0044 04000155 0049 0A000043 005d 11000020 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_419_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 040001C6 0010 0A0000D8 0015 060000D4 001f 060000E1 0032 06000112 003c 060000B5 0044 0400014E 0049 0A000043 005d 11000020 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1539_399_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DD 000a 040001D3 0010 0A0000D8 0015 060000D4 001f 060000E1 0032 06000112 003c 060000B5 0044 04000159 0049 0A000043 005d 11000020 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_849_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 0400047C 0010 0A0000D9 0015 060000EF 001f 060000FD 0032 06000123 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1644_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 040002AB 0010 0A0000C8 0015 060000D4 001f 060000E1 0032 06000107 003c 060000B5 0044 04000156 0049 0A000043 005d 11000020 0062 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1719_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 040002AB 0010 0A0000C8 0015 060000D4 001f 060000E1 0032 06000107 003c 060000B5 0044 04000158 0049 0A000043 005d 11000020 0062 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1804_399_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DD 000a 040002BB 0010 0A0000C8 0015 060000D4 001f 060000E1 0032 06000107 003c 060000B5 0044 04000160 0049 0A000043 005d 11000020 0062 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_616_7 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMABV?$collate@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 04000287 0010 04000346 0015 060000E2 001f 060000F0 0032 060001F7 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_1242_7 {
	meta:
		name = "__catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMABV?$collate@G@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000281 0010 04000475 0015 060000EF 001f 060000FD 0032 06000216 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_1239_7 {
	meta:
		name = "__catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMABV?$collate@_W@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000471 0010 04000474 0015 060000EF 001f 060000FD 0032 0600026D 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_473_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 04000190 0010 0A0000C9 0015 060000E2 001f 060000F0 0032 0600012F 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_407_399_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 0400012F 0010 0A0000C2 0015 060000D4 001f 060000E1 0032 0600011F 003c 060000B4 0044 0400015C 0049 0A000043 005d 11000021 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_842_393_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000D9 000a 04000129 0010 0A0000C1 0015 060000D2 001f 060000DF 0032 0600011D 003c 060000B2 0044 04000155 0049 0A000043 005d 11000021 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1195_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000D9 000a 04000129 0010 0A0000C1 0015 060000D4 001f 060000E1 0032 0600011F 003c 060000B4 0044 04000159 0049 0A000043 005d 11000021 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_635_415_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000F1 000a 04000184 0010 0A0000D8 0015 060000F6 001f 06000104 0032 06000141 003c 060000D5 0044 040001B7 0049 0A000051 005d 11000021 0062 0A0000D6"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_688_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000D9 000a 04000127 0010 0A0000C0 0015 060000D4 001f 060000E1 0032 0600011F 003c 060000B4 0044 04000154 0049 0A000043 005d 11000021 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1539_406_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DD 000a 04000273 0010 0A0000C9 0015 060000D4 001f 060000E1 0032 06000147 003c 060000B5 0044 04000159 0049 0A000043 005d 11000020 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_419_402_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 04000266 0010 0A0000C9 0015 060000D4 001f 060000E1 0032 06000147 003c 060000B5 0044 0400014E 0049 0A000043 005d 11000020 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1074_403_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 04000269 0010 0A0000C8 0015 060000D4 001f 060000E1 0032 06000147 003c 060000B5 0044 04000155 0049 0A000043 005d 11000020 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_349_402_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 04000267 0010 0A0000C8 0015 060000D4 001f 060000E1 0032 06000147 003c 060000B5 0044 04000153 0049 0A000043 005d 11000020 0062 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_852_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 0400040B 0010 0A0000DB 0015 060000EF 001f 060000FD 0032 0600016A 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_283_403_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 04000243 0010 0A0000BB 0015 060000D4 001f 060000E1 0032 06000134 003c 060000B5 0044 04000156 0049 0A000043 005d 11000020 0062 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1719_402_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DB 000a 04000246 0010 0A0000BB 0015 060000D4 001f 060000E1 0032 06000134 003c 060000B5 0044 04000158 0049 0A000043 005d 11000020 0062 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_1804_406_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000DD 000a 04000251 0010 0A0000BB 0015 060000D4 001f 060000E1 0032 06000134 003c 060000B5 0044 04000160 0049 0A000043 005d 11000020 0062 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_828_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 040003C6 0010 0A0000CD 0015 060000EF 001f 060000FD 0032 06000153 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_478_7 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMABV?$messages@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 04000360 0010 040001E7 0015 060000E2 001f 060000F0 0032 060001F1 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_861_7 {
	meta:
		name = "__catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMABV?$messages@G@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000477 0010 040003D1 0015 060000EF 001f 060000FD 0032 06000210 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_837_7 {
	meta:
		name = "__catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMABV?$messages@_W@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000190 0010 0400026F 0015 060000EF 001f 060000FD 0032 06000267 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_481_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 04000364 0010 040002EC 0015 060000E2 001f 060000F0 0032 060001EB 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_864_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 040002E8 0010 040001A1 0015 060000EF 001f 060000FD 0032 0600020A 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_840_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 040003B8 0010 0400046E 0015 060000EF 001f 060000FD 0032 06000261 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_484_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 04000121 0010 04000365 0015 060000E2 001f 060000F0 0032 060001E6 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_867_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000423 0010 04000478 0015 060000EF 001f 060000FD 0032 06000205 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_843_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000169 0010 0400047D 0015 060000EF 001f 060000FD 0032 0600025C 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_571_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMABV?$moneypunct@D$00@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 0400030E 0010 04000361 0015 060000E2 001f 060000F0 0032 060001DE 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_568_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 04000293 0010 0400011E 0015 060000E2 001f 060000F0 0032 060001E1 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_1055_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMABV?$moneypunct@G$00@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 0400040F 0010 0400026D 0015 060000EF 001f 060000FD 0032 060001FD 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_1052_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 040002CF 0010 040002A7 0015 060000EF 001f 060000FD 0032 06000200 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_1049_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMABV?$moneypunct@_W$00@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 040003A0 0010 04000185 0015 060000EF 001f 060000FD 0032 06000254 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_1046_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 0400047A 0010 0400047E 0015 060000EF 001f 060000FD 0032 06000257 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_635_420_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000F1 000a 040000F6 0010 04000293 0015 060000F6 001f 06000104 0032 060001FD 003c 060000D5 0044 040001B7 0049 0A000051 005d 11000021 0062 0A0000D6"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_855_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 0400046B 0010 040003C1 0015 060000EF 001f 060000FD 0032 06000238 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_831_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000472 0010 04000476 0015 060000EF 001f 060000FD 0032 0600028F 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_635_423_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000F1 000a 04000311 0010 04000310 0015 060000F6 001f 06000104 0032 060001EF 003c 060000D5 0044 040001B7 0049 0A000051 005d 11000021 0062 0A0000D6"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_858_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 0400043D 0010 04000160 0015 060000EF 001f 060000FD 0032 0600022A 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_834_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 040001AE 0010 04000198 0015 060000EF 001f 060000FD 0032 06000281 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_635_453_7 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMABV?$numpunct@D@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000F1 000a 0400025C 0010 0400019C 0015 060000F6 001f 06000104 0032 060001E3 003c 060000D5 0044 040001B7 0049 0A000051 005d 11000021 0062 0A0000D6"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_969_7 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMABV?$numpunct@G@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 0400047B 0010 0400046F 0015 060000EF 001f 060000FD 0032 0600021E 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_966_7 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMABV?$numpunct@_W@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000134 0010 04000473 0015 060000EF 001f 060000FD 0032 06000275 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_574_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 04000362 0010 04000238 0015 060000E2 001f 060000F0 0032 060001DB 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_1093_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000189 0010 04000152 0015 060000EF 001f 060000FD 0032 060001FA 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_1090_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000291 0010 040003B0 0015 060000EF 001f 060000FD 0032 06000251 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_816_487_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000E1 000a 04000139 0010 0400029D 0015 060000E2 001f 060000F0 0032 060001D1 003c 060000B9 0044 040001C9 0049 0A000046 005d 11000026 0062 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_870_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 0400046D 0010 0400046C 0015 060000EF 001f 060000FD 0032 060001F0 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_878_846_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$0"
		size = 107
		refs = "0002 0A0000ED 000a 04000463 0010 04000260 0015 060000EF 001f 060000FD 0032 06000247 003c 060000C2 0044 04000253 0049 0A000049 005d 11000029 0062 0A0000D0"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 3F 06 2C 04 06 0B 2B 38 12 00 02 28 ?? ?? ?? ?? 15 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 0C }
	condition:
		$1
}

rule file_283_397_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DD"
		altNames = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1195_428_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1539_400_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1804_400_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_617_7 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMABV?$collate@D@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_474_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1195_397_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1539_407_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1804_407_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_479_7 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMABV?$messages@D@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_482_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_485_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_572_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMABV?$moneypunct@D$00@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_569_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_575_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_816_488_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_380_15_7 {
	meta:
		name = "__unwind$6"
		size = 23
		refs = "0002 0A00006F 0009 0A00006E 0011 0A000016"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1022_145_7 {
	meta:
		name = "__unwind$17"
		size = 23
		refs = "0002 0A000115 0009 0A000114 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_380_16_7 {
	meta:
		name = "__catch$26"
		size = 19
		refs = "0004 0A00006E 000a 0A000046"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 16 0C DE 25 }
	condition:
		$1
}

rule file_380_19_7 {
	meta:
		name = "__catch$??2@$$FYMPAXIABUnothrow_t@std@@@Z$2"
		size = 96
		refs = "0003 0A000021"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2B 02 08 2A 16 2A 09 2A 00 00 41 4C 00 00 01 00 00 00 37 00 00 00 04 00 00 00 4A 00 00 00 03 00 00 00 3B 00 00 00 02 00 00 00 37 00 00 00 1D 00 00 00 54 00 00 00 08 00 00 00 23 00 00 01 01 00 00 00 08 00 00 00 09 00 00 00 28 00 00 00 36 00 00 00 11 00 00 00 }
	condition:
		$1
}

rule file_419_62_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 66
		refs = "0005 0A0000DD"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 2A 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_688_60_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 66
		refs = "0005 0A0000DB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 2A 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_419_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DD"
		altNames = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_688_427_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_688_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000DB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_419_443_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 0600020C"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 27 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_688_448_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000038 0031 0600020F"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 27 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_635_66_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 66
		refs = "0005 0A0000F3"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 2A 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 2D 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_635_199_7 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPAV123@PAVfacet@23@I@Z$0"
		size = 169
		refs = "0003 0A0000F1 002f 0A00012B 003a 0A0000E5 0063 11000021 0084 1100001C 0095 11000010"
	strings:
		$1 = { 11 08 28 ?? ?? ?? ?? 17 13 09 DC 1F 28 13 0C 02 1F 0C 58 0D 09 4A 04 35 43 04 17 58 0C 08 1F 28 34 03 1F 28 0C 02 1E 58 0A 06 4A 08 1A 5A 28 ?? ?? ?? ?? 13 07 11 07 2D 05 28 ?? ?? ?? ?? 06 11 07 54 09 4A 13 06 11 06 08 34 11 11 06 1A 5A 06 4A 58 16 54 09 25 4A 17 58 54 2B E6 03 25 4A 1A 58 4A 29 ?? ?? ?? ?? 02 1E 58 0A 04 1A 5A 13 05 06 4A 11 05 58 4A 13 04 11 04 2C 24 11 04 25 4A 1E 58 4A 29 ?? ?? ?? ?? 0B 07 13 0B 07 2C 0E 07 17 07 4A 4A 29 ?? ?? ?? ?? 13 0A 2B 03 16 13 0A 06 4A 11 05 58 03 54 DE 0C }
	condition:
		$1
}

rule file_635_200_7 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPAV123@PAVfacet@23@I@Z$2"
		size = 65
		refs = "0007 0A0000F3"
	strings:
		$1 = { 11 09 2C 07 11 08 28 ?? ?? ?? ?? DC 2A 41 34 00 00 02 00 00 00 10 00 00 00 02 00 00 00 12 00 00 00 0B 00 00 00 2D 00 00 01 02 00 00 00 0B 00 00 00 B0 00 00 00 BB 00 00 00 0C 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_635_327_7 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@ABV12@@Z$0"
		size = 201
		refs = "0003 0A0000F1 000c 0A0000E8 0026 1100001C 0037 11000010 0048 0A0000E9 0053 11000021 0086 0A000139"
	strings:
		$1 = { 11 0C 28 ?? ?? ?? ?? 17 13 0D DC 28 ?? ?? ?? ?? 0A 03 1A 58 13 0B 06 11 0B 4A 3B A8 00 00 00 06 25 4A 1E 58 4A 29 ?? ?? ?? ?? 0C 08 13 10 08 2C 0E 08 17 08 4A 4A 29 ?? ?? ?? ?? 13 0F 2B 03 16 13 0F 11 0B 4A 0A 06 28 ?? ?? ?? ?? 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 06 1F 10 58 4A 1F 3F 5F 13 0A 11 0A 1F 3F 33 26 06 1F 18 58 13 09 11 09 4A 13 08 11 08 2C 06 11 08 13 07 2B 06 11 09 1A 58 13 07 16 11 07 28 ?? ?? ?? ?? 26 2B 3A 16 0B 07 1B 30 34 17 07 62 17 63 11 0A 5F 2C 24 06 1F 18 58 13 06 11 06 4A 13 05 11 05 2C 06 11 05 13 04 2B 06 11 06 1A 58 13 04 07 11 04 28 ?? ?? ?? ?? 26 07 17 58 0B 2B C8 DE 0E }
	condition:
		$1
}

rule file_635_328_7 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@ABV12@@Z$2"
		size = 123
		refs = "0009 0A0000F3 0021 06000100 0027 0A000003"
	strings:
		$1 = { 11 0D 2D 02 DE 07 11 0C 28 ?? ?? ?? ?? DC 02 13 0E DE 19 DE 17 09 17 5F 2C 11 09 1F FE 5F 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 0E 2A 41 4C 00 00 02 00 00 00 1E 00 00 00 02 00 00 00 20 00 00 00 0B 00 00 00 2D 00 00 01 02 00 00 00 19 00 00 00 D0 00 00 00 E9 00 00 00 0E 00 00 00 2D 00 00 01 04 00 00 00 00 00 00 00 FE 00 00 00 FE 00 00 00 17 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_635_340_7 {
	meta:
		name = "__unwind$10"
		size = 23
		refs = "0002 0A000159 0009 0A000158 0011 0A000026"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 07 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1052_616_7 {
	meta:
		name = "__unwind$6"
		size = 23
		refs = "0002 0A00018A 0009 0A000189 0011 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 07 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_635_341_7 {
	meta:
		name = "__catch$76"
		size = 31
		refs = "0004 0A000158 000b 0A0000AB 0012 06000225 0019 0A000051"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_614_7 {
	meta:
		name = "__catch$82"
		size = 31
		refs = "0004 0A000155 000b 0A0000A0 0012 06000322 0019 0A000049"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_608_7 {
	meta:
		name = "__catch$86"
		size = 31
		refs = "0004 0A000155 000b 0A0000A0 0012 06000301 0019 0A000049"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_635_344_7 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 125
		refs = "0004 0A000045"
	strings:
		$1 = { 11 06 06 28 ?? ?? ?? ?? DC DE 00 04 2C 10 02 1F 0C 58 1F 2E 52 02 1F 0D 58 1F 2C 52 2B 12 02 1F 0C 58 07 4A 46 52 02 1F 0D 58 07 1A 58 4A 46 52 2A 41 4C 00 00 01 00 00 00 9B 00 00 00 0F 00 00 00 B9 00 00 00 03 00 00 00 AA 00 00 00 02 00 00 00 9B 00 00 00 28 00 00 00 C3 00 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 31 00 00 00 43 00 00 00 8B 00 00 00 43 00 00 00 74 00 00 00 }
	condition:
		$1
}

rule file_635_416_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMABV?$ctype@D@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000F3"
		altNames = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@DDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMABV?$numpunct@D@0@ABVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2D 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_635_460_7 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPAV123@ABV123@@Z$0"
		size = 64
		refs = "0003 0A0000F1 000e 04000061 0013 060000E3 001f 060001D0 0028 060000EA 002f 0A000003"
	strings:
		$1 = { 11 09 28 ?? ?? ?? ?? 17 13 0A DC 12 0B 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 0B 1F 3F 02 16 28 ?? ?? ?? ?? 26 DE 0E FE 06 ?? ?? ?? ?? 12 0B 28 ?? ?? ?? ?? DC 12 0B 28 ?? ?? ?? ?? DD 91 00 00 00 }
	condition:
		$1
}

rule file_635_461_7 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPAV123@ABV123@@Z$2"
		size = 30
		refs = "0007 0A0000F3 0013 0A00010D"
	strings:
		$1 = { 11 0A 2C 07 11 09 28 ?? ?? ?? ?? DC 16 13 08 16 13 07 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? DE 0B }
	condition:
		$1
}

rule file_635_462_7 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPAV123@ABV123@@Z$4"
		size = 103
		refs = "0003 0A0000F1 0020 0A000024 0033 0A0000E5 005f 11000021"
	strings:
		$1 = { 11 07 28 ?? ?? ?? ?? 17 13 08 DC 02 1F 0C 58 13 06 11 06 4A 13 05 16 11 05 34 4A 11 05 1A 5A 28 ?? ?? ?? ?? 13 04 02 1E 58 0D 09 11 04 54 11 04 2D 05 28 ?? ?? ?? ?? 11 06 4A 0A 16 06 34 26 06 17 59 0A 06 1A 5A 0C 03 1E 58 4A 08 58 4A 0B 09 4A 08 58 07 54 07 2C 0B 07 25 4A 1A 58 4A 29 ?? ?? ?? ?? 2B D6 DE 0C }
	condition:
		$1
}

rule file_635_463_7 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPAV123@ABV123@@Z$6"
		size = 137
		refs = "0007 0A0000F3"
	strings:
		$1 = { 11 08 2C 07 11 07 28 ?? ?? ?? ?? DC 2A 41 7C 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0B 00 00 00 2D 00 00 01 04 00 00 00 32 00 00 00 0E 00 00 00 40 00 00 00 0E 00 00 00 2D 00 00 01 02 00 00 00 13 00 00 00 47 00 00 00 5A 00 00 00 0C 00 00 00 2D 00 00 01 02 00 00 00 76 00 00 00 02 00 00 00 78 00 00 00 0B 00 00 00 2D 00 00 01 02 00 00 00 71 00 00 00 6E 00 00 00 DF 00 00 00 0C 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_635_481_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000045 0031 0600023D"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1052_554_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A00004A 0031 06000388"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_816_448_7 {
	meta:
		name = "__unwind$11"
		size = 23
		refs = "0002 0A000145 0009 0A000144 0011 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 14 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_878_623_7 {
	meta:
		name = "__unwind$11"
		size = 23
		refs = "0002 0A000156 0009 0A000155 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 14 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_816_449_7 {
	meta:
		name = "__catch$117"
		size = 31
		refs = "0004 0A000144 000b 0A00009C 0012 06000237 0019 0A000046"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 13 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_624_7 {
	meta:
		name = "__catch$102"
		size = 31
		refs = "0004 0A000155 000b 0A0000A0 0012 060002DD 0019 0A000049"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 13 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_639_7 {
	meta:
		name = "__catch$110"
		size = 31
		refs = "0004 0A000155 000b 0A0000A0 0012 06000311 0019 0A000049"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 13 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_816_452_7 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 344
		refs = "0004 0A00003A 007b 0400004A 0085 04000047 0098 0600006A"
	strings:
		$1 = { 11 13 07 28 ?? ?? ?? ?? DC DE 00 02 1F 28 58 13 10 11 10 47 13 0F 11 0F 2C 09 06 1F 28 58 46 13 0E 2B 07 06 1F 29 58 46 13 0E 11 0E 0C 02 1F 1C 58 13 0D 11 0D 08 54 08 16 32 05 1F 7F 08 30 04 11 0D 16 54 06 1F 2E 58 46 13 0C 06 1F 2A 58 46 13 0B 06 1F 2B 58 46 13 0A 11 0F 2D 27 18 11 0A 37 22 17 11 0B 37 1D 1A 11 0C 37 18 11 0A 18 5A 11 0B 58 1B 5A 11 0C 58 1A 5A 7F ?? ?? ?? ?? 58 13 09 2B 07 7F ?? ?? ?? ?? 13 09 02 1F 20 58 13 08 11 08 1A 11 09 1A 28 ?? ?? ?? ?? 26 06 1F 2F 58 46 13 07 06 1F 2C 58 46 13 06 06 1F 2D 58 46 13 05 11 10 47 2D 27 18 11 05 37 22 17 11 06 37 1D 1A 11 07 37 18 11 05 18 5A 11 06 58 1B 5A 11 07 58 1A 5A 7F ?? ?? ?? ?? 58 13 04 2B 07 7F ?? ?? ?? ?? 13 04 02 1F 24 58 0D 09 1A 11 04 1A 28 ?? ?? ?? ?? 26 04 2C 13 11 08 7F ?? ?? ?? ?? 1A FE 17 09 7F ?? ?? ?? ?? 1A FE 17 2A 41 4C 00 00 01 00 00 00 80 00 00 00 0F 00 00 00 9E 00 00 00 03 00 00 00 8F 00 00 00 02 00 00 00 80 00 00 00 28 00 00 00 A8 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 3F 00 00 00 1A 00 00 00 70 00 00 00 43 00 00 00 59 00 00 00 }
	condition:
		$1
}

rule file_816_509_7 {
	meta:
		name = "__unwind$6"
		size = 22
		refs = "0002 0A000145 0008 0A000144 0010 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0C 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_878_918_7 {
	meta:
		name = "__unwind$6"
		size = 22
		refs = "0002 0A000156 0008 0A000155 0010 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0C 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_816_510_7 {
	meta:
		name = "__catch$84"
		size = 30
		refs = "0004 0A000144 000a 0A00009C 0011 0600023A 0018 0A000046"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1052_631_7 {
	meta:
		name = "__catch$323"
		size = 30
		refs = "0004 0A000189 000a 0A0000C1 0011 060003BD 0018 0A00005A"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_919_7 {
	meta:
		name = "__catch$73"
		size = 30
		refs = "0004 0A000155 000a 0A0000A0 0011 060002F3 0018 0A000049"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_878_929_7 {
	meta:
		name = "__catch$81"
		size = 30
		refs = "0004 0A000155 000a 0A0000A0 0011 06000314 0018 0A000049"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_816_513_7 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@$$FIAMXABV_Locinfo@2@@Z$2"
		size = 89
		refs = "0003 0A00003A"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2A 00 00 41 4C 00 00 01 00 00 00 53 00 00 00 0F 00 00 00 71 00 00 00 03 00 00 00 62 00 00 00 02 00 00 00 53 00 00 00 28 00 00 00 7B 00 00 00 08 00 00 00 26 00 00 01 01 00 00 00 19 00 00 00 15 00 00 00 44 00 00 00 41 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule file_878_94_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQAMIXZ$2"
		size = 66
		refs = "0005 0A0000EF"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4A 2A 00 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 0D 00 00 00 29 00 00 00 36 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_878_607_7 {
	meta:
		name = "__unwind$10"
		size = 23
		refs = "0002 0A000156 0009 0A000155 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0E 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_878_611_7 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 174
		refs = "0004 0A00003D 0025 0A000137 005d 0600053C"
	strings:
		$1 = { 11 06 06 28 ?? ?? ?? ?? DC DE 00 04 2C 48 1F 2E 13 0D 16 13 08 12 0C 16 1E FE 18 12 08 12 0D 17 12 0C 12 09 28 ?? ?? ?? ?? 26 02 1F 0C 58 11 08 53 1F 2C 13 0B 16 13 07 12 0A 16 1E FE 18 12 07 12 0B 17 12 0A 12 09 28 ?? ?? ?? ?? 26 02 1F 0E 58 11 07 53 2B 0B 02 16 11 05 11 09 28 ?? ?? ?? ?? 2A 41 4C 00 00 01 00 00 00 9A 00 00 00 0F 00 00 00 B8 00 00 00 03 00 00 00 A9 00 00 00 02 00 00 00 9A 00 00 00 28 00 00 00 C2 00 00 00 09 00 00 00 29 00 00 01 01 00 00 00 30 00 00 00 43 00 00 00 8A 00 00 00 43 00 00 00 73 00 00 00 }
	condition:
		$1
}

rule file_878_613_7 {
	meta:
		name = "__unwind$10"
		size = 23
		refs = "0002 0A000156 0009 0A000155 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0D 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_878_617_7 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 185
		refs = "0004 0A00003D 0025 0A000137"
	strings:
		$1 = { 11 06 06 28 ?? ?? ?? ?? DC DE 00 04 2C 48 1F 2E 13 0C 16 13 08 12 0B 16 1E FE 18 12 08 12 0C 17 12 0B 12 0F 28 ?? ?? ?? ?? 26 02 1F 0C 58 11 08 53 1F 2C 13 0A 16 13 07 12 09 16 1E FE 18 12 07 12 0A 17 12 09 12 0F 28 ?? ?? ?? ?? 26 02 1F 0E 58 11 07 53 2B 16 02 1F 0C 58 07 1F 30 58 4A 49 53 02 1F 0E 58 07 1F 34 58 4A 49 53 2A 41 4C 00 00 01 00 00 00 9B 00 00 00 0F 00 00 00 B9 00 00 00 03 00 00 00 AA 00 00 00 02 00 00 00 9B 00 00 00 28 00 00 00 C3 00 00 00 09 00 00 00 29 00 00 01 01 00 00 00 31 00 00 00 43 00 00 00 8B 00 00 00 43 00 00 00 74 00 00 00 }
	condition:
		$1
}

rule file_878_627_7 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
		size = 344
		refs = "0004 0A00003D 007b 0400005B 0085 04000055 0098 0600006A"
		altNames = "__catch$?_Init@?$_Mpunct@_W@std@@$$FIAMXABV_Locinfo@2@_N@Z$2"
	strings:
		$1 = { 11 13 07 28 ?? ?? ?? ?? DC DE 00 02 1F 28 58 13 10 11 10 47 13 0F 11 0F 2C 09 06 1F 28 58 46 13 0E 2B 07 06 1F 29 58 46 13 0E 11 0E 0C 02 1F 1C 58 13 0D 11 0D 08 54 08 16 32 05 1F 7F 08 30 04 11 0D 16 54 06 1F 2E 58 46 13 0C 06 1F 2A 58 46 13 0B 06 1F 2B 58 46 13 0A 11 0F 2D 27 18 11 0A 37 22 17 11 0B 37 1D 1A 11 0C 37 18 11 0A 18 5A 11 0B 58 1B 5A 11 0C 58 1A 5A 7F ?? ?? ?? ?? 58 13 09 2B 07 7F ?? ?? ?? ?? 13 09 02 1F 20 58 13 08 11 08 1A 11 09 1A 28 ?? ?? ?? ?? 26 06 1F 2F 58 46 13 07 06 1F 2C 58 46 13 06 06 1F 2D 58 46 13 05 11 10 47 2D 27 18 11 05 37 22 17 11 06 37 1D 1A 11 07 37 18 11 05 18 5A 11 06 58 1B 5A 11 07 58 1A 5A 7F ?? ?? ?? ?? 58 13 04 2B 07 7F ?? ?? ?? ?? 13 04 02 1F 24 58 0D 09 1A 11 04 1A 28 ?? ?? ?? ?? 26 04 2C 13 11 08 7F ?? ?? ?? ?? 1A FE 17 09 7F ?? ?? ?? ?? 1A FE 17 2A 41 4C 00 00 01 00 00 00 80 00 00 00 0F 00 00 00 9E 00 00 00 03 00 00 00 8F 00 00 00 02 00 00 00 80 00 00 00 28 00 00 00 A8 00 00 00 09 00 00 00 29 00 00 01 01 00 00 00 3F 00 00 00 1A 00 00 00 70 00 00 00 43 00 00 00 59 00 00 00 }
	condition:
		$1
}

rule file_878_829_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMABV?$ctype@_W@0@ABVlocale@0@@Z$2"
		size = 69
		refs = "0005 0A0000EF"
		altNames = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@GDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMABV?$codecvt@_WDU_Mbstatet@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMABV?$collate@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMABV?$collate@_W@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMABV?$ctype@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMABV?$messages@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMABV?$messages@_W@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMABV?$moneypunct@G$00@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMABV?$moneypunct@_W$00@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMABV?$numpunct@G@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMABV?$numpunct@_W@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z$2 __catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 16 2A 11 04 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 72 00 00 00 7B 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_878_922_7 {
	meta:
		name = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@$$FIAMXABV_Locinfo@2@@Z$2"
		size = 89
		refs = "0003 0A00003D"
		altNames = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@$$FIAMXABV_Locinfo@2@@Z$2"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2A 00 00 41 4C 00 00 01 00 00 00 53 00 00 00 0F 00 00 00 71 00 00 00 03 00 00 00 62 00 00 00 02 00 00 00 53 00 00 00 28 00 00 00 7B 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 19 00 00 00 15 00 00 00 44 00 00 00 41 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule file_878_1013_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000156 0009 0A000155 0011 0A000020"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1052_534_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A00018A 0009 0A000189 0011 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1603_227_7 {
	meta:
		name = "__unwind$14"
		size = 23
		refs = "0002 0A000109 0009 0A000108 0011 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_878_1014_7 {
	meta:
		name = "__catch$395"
		size = 30
		refs = "0004 0A000155 000b 0A0000A0 0017 060004C8"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_878_1025_7 {
	meta:
		name = "__catch$395"
		size = 30
		refs = "0004 0A000155 000b 0A0000A0 0017 060004C9"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1052_535_7 {
	meta:
		name = "__catch$395"
		size = 30
		refs = "0004 0A000189 000b 0A0000C1 0017 06000472"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1603_228_7 {
	meta:
		name = "__catch$395"
		size = 30
		refs = "0004 0A000108 000b 0A000094 0017 0600016C"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 02 03 17 58 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_878_1022_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@$$FQAMXII@Z$6"
		size = 244
		refs = "0004 0A00003D 0032 06000388"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1F 1E 02 1F 14 58 4A 35 06 02 4A 13 08 2B 03 02 13 08 04 2C 0B 09 11 08 04 18 5A FE 12 02 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1E 06 35 06 02 4A 13 07 2B 03 02 13 07 04 18 5A 11 07 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 C0 00 00 00 11 00 00 00 E0 00 00 00 03 00 00 00 D1 00 00 00 02 00 00 00 C0 00 00 00 2A 00 00 00 EA 00 00 00 09 00 00 00 29 00 00 01 01 00 00 00 8D 00 00 00 0C 00 00 00 B0 00 00 00 45 00 00 00 99 00 00 00 01 00 00 00 8B 00 00 00 6C 00 00 00 06 01 00 00 03 00 00 00 F7 00 00 00 02 00 00 00 8B 00 00 00 85 00 00 00 10 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 4E 00 00 00 16 00 00 00 7B 00 00 00 A0 00 00 00 64 00 00 00 }
	condition:
		$1
}

rule file_878_1033_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQAMXII@Z$6"
		size = 244
		refs = "0004 0A00003D 0032 06000348"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1F 1E 02 1F 14 58 4A 35 06 02 4A 13 08 2B 03 02 13 08 04 2C 0B 09 11 08 04 18 5A FE 12 02 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1E 06 35 06 02 4A 13 07 2B 03 02 13 07 04 18 5A 11 07 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 C0 00 00 00 11 00 00 00 E0 00 00 00 03 00 00 00 D1 00 00 00 02 00 00 00 C0 00 00 00 2A 00 00 00 EA 00 00 00 09 00 00 00 29 00 00 01 01 00 00 00 8D 00 00 00 0C 00 00 00 B0 00 00 00 45 00 00 00 99 00 00 00 01 00 00 00 8B 00 00 00 6C 00 00 00 06 01 00 00 03 00 00 00 F7 00 00 00 02 00 00 00 8B 00 00 00 85 00 00 00 10 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 4E 00 00 00 16 00 00 00 7B 00 00 00 A0 00 00 00 64 00 00 00 }
	condition:
		$1
}

rule file_878_1044_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A00003D 0031 06000359"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 29 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_933_21_7 {
	meta:
		name = "__catch$?__scrt_initialize_type_info@@$$FYMXXZ$0"
		size = 44
		refs = "0002 0A000066 0007 040000F9 0028 0100000B"
	strings:
		$1 = { 26 7E ?? ?? ?? ?? 80 ?? ?? ?? ?? DE 00 2A 00 00 41 1C 00 00 00 00 00 00 00 00 00 00 38 00 00 00 38 00 00 00 0D 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1022_44_7 {
	meta:
		name = "__unwind$13"
		size = 23
		refs = "0002 0A000115 0009 0A000114 0011 0A000023"
		altNames = "__unwind$19"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1052_623_7 {
	meta:
		name = "__unwind$12"
		size = 23
		refs = "0002 0A00018A 0009 0A000189 0011 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1052_516_7 {
	meta:
		name = "__unwind$7"
		size = 23
		refs = "0002 0A00018A 0009 0A000189 0011 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1022_45_7 {
	meta:
		name = "__catch$33"
		size = 22
		refs = "0004 0A000114 000a 0A00009A 0010 0A000081"
		altNames = "__catch$80"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1022_48_7 {
	meta:
		name = "__catch$?_CallCopyCtor@__ExceptionPtr@@$$FABMXPAX0IQBU_s_CatchableType@@@Z$2"
		size = 123
		refs = "0003 0A000040 0028 11000001"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 2B 21 03 04 05 FE 12 01 FE 17 0E 04 4A 1E 5F 2C 12 04 4A 0C 08 2C 0C 08 25 4A 1A 58 4A 29 ?? ?? ?? ?? 26 2A 00 41 4C 00 00 01 00 00 00 7D 00 00 00 07 00 00 00 93 00 00 00 03 00 00 00 84 00 00 00 02 00 00 00 7D 00 00 00 20 00 00 00 9D 00 00 00 08 00 00 00 24 00 00 01 01 00 00 00 1F 00 00 00 38 00 00 00 6E 00 00 00 39 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule file_1022_140_7 {
	meta:
		name = "__unwind$9"
		size = 21
		refs = "0002 0A000114 0007 04000138 000f 0A000023"
		altNames = "__unwind$11"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 7F ?? ?? ?? ?? 1F 09 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1022_141_7 {
	meta:
		name = "__catch$76"
		size = 40
		refs = "0004 0A000114 000a 0A00009A 0019 040001A6 001e 0600012C"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 16 54 02 1A 58 16 54 02 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 17 60 0B DE 73 }
	condition:
		$1
}

rule file_1022_149_7 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$5"
		size = 217
		refs = "0003 0A000040 001e 06000109 0024 0A000003"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 04 02 0C DE 1B 16 0C DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 00 00 41 AC 00 00 01 00 00 00 85 00 00 00 19 00 00 00 AD 00 00 00 03 00 00 00 9E 00 00 00 02 00 00 00 85 00 00 00 32 00 00 00 B7 00 00 00 08 00 00 00 24 00 00 01 01 00 00 00 0A 00 00 00 57 00 00 00 76 00 00 00 4B 00 00 00 61 00 00 00 01 00 00 00 E7 00 00 00 07 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 E7 00 00 00 20 00 00 00 07 01 00 00 08 00 00 00 24 00 00 01 01 00 00 00 0A 00 00 00 57 00 00 00 D8 00 00 00 39 00 00 00 C1 00 00 00 04 00 00 00 0A 00 00 00 0F 01 00 00 19 01 00 00 17 00 00 00 24 00 00 01 }
	condition:
		$1
}

rule file_1022_159_7 {
	meta:
		name = "__unwind$6"
		size = 23
		refs = "0002 0A000115 0009 0A000114 0011 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1022_160_7 {
	meta:
		name = "__catch$131"
		size = 25
		refs = "0004 0A000114 000b 0A00009A 0013 0A00004D"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1022_163_7 {
	meta:
		name = "__catch$??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@_N@std@@$$FYM?AV?$shared_ptr@V__ExceptionPtr@@@0@ABU?$_StaticAllocator@H@@AAPAUEHExceptionRecord@@$$QA_N@Z$2"
		size = 244
		refs = "0004 0A000040 0030 06000109 0037 0A000003"
	strings:
		$1 = { 11 04 07 28 ?? ?? ?? ?? DC DE 00 12 07 16 54 12 07 1A 58 16 54 02 06 1F 0C 58 54 02 1A 58 06 54 12 07 16 54 12 07 1A 58 16 54 17 0C DE 0E FE 06 ?? ?? ?? ?? 12 07 28 ?? ?? ?? ?? DC 02 13 05 DE 19 DE 17 08 17 5F 2C 11 08 1F FE 5F 0C FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 05 2A 00 00 00 41 94 00 00 04 00 00 00 1A 00 00 00 16 00 00 00 30 00 00 00 09 00 00 00 24 00 00 01 01 00 00 00 62 00 00 00 09 00 00 00 7A 00 00 00 03 00 00 00 6B 00 00 00 02 00 00 00 62 00 00 00 22 00 00 00 84 00 00 00 09 00 00 00 24 00 00 01 01 00 00 00 13 00 00 00 28 00 00 00 52 00 00 00 3D 00 00 00 3B 00 00 00 04 00 00 00 99 00 00 00 19 00 00 00 B2 00 00 00 0E 00 00 00 24 00 00 01 04 00 00 00 13 00 00 00 B4 00 00 00 C7 00 00 00 17 00 00 00 24 00 00 01 }
	condition:
		$1
}

rule file_1022_166_7 {
	meta:
		name = "__catch$74"
		size = 44
		refs = "0004 0A000114 000b 0A00009A 001a 040001A6 001f 0600012C"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 02 16 54 02 1A 58 16 54 02 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 17 60 0B DD 76 00 00 00 }
	condition:
		$1
}

rule file_1022_171_7 {
	meta:
		name = "__catch$78"
		size = 23
		refs = "0004 0A000114 000b 0A00009A 0011 0A000081"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1022_174_7 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@std@@PBXPBU_s_ThrowInfo@@_N@Z$5"
		size = 217
		refs = "0004 0A000040 001f 06000109 0025 0A000003"
	strings:
		$1 = { 11 04 06 28 ?? ?? ?? ?? DC DE 04 02 0C DE 1B 16 0C DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 00 41 AC 00 00 01 00 00 00 D4 00 00 00 1C 00 00 00 FF 00 00 00 03 00 00 00 F0 00 00 00 02 00 00 00 D4 00 00 00 35 00 00 00 09 01 00 00 09 00 00 00 24 00 00 01 01 00 00 00 0B 00 00 00 A4 00 00 00 C4 00 00 00 50 00 00 00 AF 00 00 00 01 00 00 00 3B 01 00 00 07 00 00 00 51 01 00 00 03 00 00 00 42 01 00 00 02 00 00 00 3B 01 00 00 20 00 00 00 5B 01 00 00 09 00 00 00 24 00 00 01 01 00 00 00 0B 00 00 00 A4 00 00 00 2B 01 00 00 3B 00 00 00 14 01 00 00 04 00 00 00 0B 00 00 00 63 01 00 00 6E 01 00 00 17 00 00 00 24 00 00 01 }
	condition:
		$1
}

rule file_1052_517_7 {
	meta:
		name = "__catch$103"
		size = 30
		refs = "0004 0A000189 000a 0A0000C1 0011 0A0000B0 0018 0A00005A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 06 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1052_520_7 {
	meta:
		name = "__catch$?_Buynode0@?$_List_alloc@U?$_List_base_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@@std@@$$FQAMPAU?$_List_node@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@PAX@2@PAU32@0@Z$2"
		size = 88
		refs = "0003 0A00004A"
	strings:
		$1 = { 09 07 28 ?? ?? ?? ?? DC DE 00 06 2A 41 4C 00 00 01 00 00 00 68 00 00 00 0F 00 00 00 86 00 00 00 03 00 00 00 77 00 00 00 02 00 00 00 68 00 00 00 28 00 00 00 90 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 1A 00 00 00 28 00 00 00 59 00 00 00 41 00 00 00 42 00 00 00 }
	condition:
		$1
}

rule file_1052_543_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQAMXII@Z$6"
		size = 244
		refs = "0004 0A00004A 0032 06000377"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1F 1E 02 1F 14 58 4A 35 06 02 4A 13 08 2B 03 02 13 08 04 2C 0B 09 11 08 04 18 5A FE 12 02 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1E 06 35 06 02 4A 13 07 2B 03 02 13 07 04 18 5A 11 07 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 C0 00 00 00 11 00 00 00 E0 00 00 00 03 00 00 00 D1 00 00 00 02 00 00 00 C0 00 00 00 2A 00 00 00 EA 00 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 8D 00 00 00 0C 00 00 00 B0 00 00 00 45 00 00 00 99 00 00 00 01 00 00 00 8B 00 00 00 6C 00 00 00 06 01 00 00 03 00 00 00 F7 00 00 00 02 00 00 00 8B 00 00 00 85 00 00 00 10 01 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 4E 00 00 00 16 00 00 00 7B 00 00 00 A0 00 00 00 64 00 00 00 }
	condition:
		$1
}

rule file_1052_617_7 {
	meta:
		name = "__catch$130"
		size = 31
		refs = "0004 0A000189 000b 0A0000C1 0012 0A0000B0 0019 0A00005A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 26 08 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1052_620_7 {
	meta:
		name = "__catch$??$_Buynode@ABU?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@?$_List_buy@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQAMPAU?$_List_node@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@PAX@1@PAU21@0ABU?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@1@@Z$2"
		size = 137
		refs = "0004 0A00004A"
	strings:
		$1 = { 11 05 07 28 ?? ?? ?? ?? DC DE 00 08 2A 41 7C 00 00 04 00 00 00 24 00 00 00 14 00 00 00 38 00 00 00 0E 00 00 00 2D 00 00 01 04 00 00 00 19 00 00 00 38 00 00 00 51 00 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 83 00 00 00 0F 00 00 00 A1 00 00 00 03 00 00 00 92 00 00 00 02 00 00 00 83 00 00 00 28 00 00 00 AB 00 00 00 09 00 00 00 2D 00 00 01 01 00 00 00 12 00 00 00 4A 00 00 00 73 00 00 00 43 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1052_624_7 {
	meta:
		name = "__catch$289"
		size = 81
		refs = "0004 0A000189 000a 0A0000C1 003b 0600041E 004b 0A00005A"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 12 07 4A 0F 02 4A 33 04 17 0C 2B 02 16 0C 08 D2 2D 04 17 0B 2B 02 16 0B 07 D2 2C 1D 03 13 04 12 04 0F 01 4A 1A 58 4A 54 02 11 04 28 ?? ?? ?? ?? 12 07 12 07 4A 4A 54 2B C7 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1052_627_7 {
	meta:
		name = "__catch$??$_Insert_range@V?$_List_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@@std@@@?$list@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQAMXV?$_List_unchecked_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@U_Iterator_base0@2@@1@V?$_List_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@@1@1Uforward_iterator_tag@1@@Z$2"
		size = 88
		refs = "0003 0A00004A"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 2A 00 41 4C 00 00 01 00 00 00 65 00 00 00 42 00 00 00 B6 00 00 00 03 00 00 00 A7 00 00 00 02 00 00 00 65 00 00 00 5B 00 00 00 C0 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 0B 00 00 00 34 00 00 00 56 00 00 00 74 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule file_1052_630_7 {
	meta:
		name = "__unwind$6"
		size = 23
		refs = "0002 0A00018A 0009 0A000189 0011 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1052_634_7 {
	meta:
		name = "__catch$??0?$list@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQAM@ABV01@@Z$2"
		size = 173
		refs = "0003 0A00004A 000e 0600030E 0014 0A000004"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 0F DE 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 02 2A 16 0C DE 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 00 00 00 41 7C 00 00 01 00 00 00 77 00 00 00 0F 00 00 00 95 00 00 00 03 00 00 00 86 00 00 00 02 00 00 00 77 00 00 00 28 00 00 00 9F 00 00 00 08 00 00 00 2D 00 00 01 01 00 00 00 1A 00 00 00 37 00 00 00 68 00 00 00 41 00 00 00 51 00 00 00 04 00 00 00 1A 00 00 00 91 00 00 00 AB 00 00 00 0D 00 00 00 2D 00 00 01 04 00 00 00 BA 00 00 00 04 00 00 00 BE 00 00 00 0D 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_1131_365_7 {
	meta:
		name = "__catch$393"
		size = 31
		refs = "0004 0A00013D 000b 0A00009A 0018 0600009C"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 58 17 17 28 ?? ?? ?? ?? 0D DE 5C }
	condition:
		$1
}

rule file_1131_373_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 234
		refs = "0004 0A000038 0031 06000257"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 41 94 00 00 01 00 00 00 BA 00 00 00 11 00 00 00 DA 00 00 00 03 00 00 00 CB 00 00 00 02 00 00 00 BA 00 00 00 2A 00 00 00 E4 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 86 00 00 00 0D 00 00 00 AA 00 00 00 45 00 00 00 93 00 00 00 01 00 00 00 84 00 00 00 6D 00 00 00 00 01 00 00 03 00 00 00 F1 00 00 00 02 00 00 00 84 00 00 00 86 00 00 00 0A 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 46 00 00 00 17 00 00 00 74 00 00 00 A1 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule file_1340_26_7 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQ$AAMXP$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000F0 0009 0A000076"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 3D 00 00 01 }
	condition:
		$1
}

rule file_1340_29_7 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FA$AAMXP$AAVObject@System@@P$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000F0 0009 0A000076"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 3D 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 3D 00 00 01 }
	condition:
		$1
}

rule file_1359_318_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000045 0031 06000219"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1569_308_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000035 0031 060001D1"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1688_348_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000044 0031 0600023F"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1892_315_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000041 0031 060001EF"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1603_236_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQAMXII@Z$6"
		size = 244
		refs = "0004 0A00003F 0032 06000127"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1F 1E 02 1F 14 58 4A 35 06 02 4A 13 08 2B 03 02 13 08 04 2C 0B 09 11 08 04 18 5A FE 12 02 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1E 06 35 06 02 4A 13 07 2B 03 02 13 07 04 18 5A 11 07 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 C0 00 00 00 11 00 00 00 E0 00 00 00 03 00 00 00 D1 00 00 00 02 00 00 00 C0 00 00 00 2A 00 00 00 EA 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 8D 00 00 00 0C 00 00 00 B0 00 00 00 45 00 00 00 99 00 00 00 01 00 00 00 8B 00 00 00 6C 00 00 00 06 01 00 00 03 00 00 00 F7 00 00 00 02 00 00 00 8B 00 00 00 85 00 00 00 10 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 4E 00 00 00 16 00 00 00 7B 00 00 00 A0 00 00 00 64 00 00 00 }
	condition:
		$1
}

rule file_1603_247_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A00003F 0031 06000129"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule file_1688_178_7 {
	meta:
		name = "__catch$?tidy_global@?A0xe115ef33@@$$J0YMXXZ$0"
		size = 27
		refs = "0002 0A0000F4 000a 04000172 000f 060001DD"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 16 80 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_1688_179_7 {
	meta:
		name = "__catch$?tidy_global@?A0xe115ef33@@$$J0YMXXZ$2"
		size = 65
		refs = "0005 0A0000F6"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2A 00 00 01 02 00 00 00 09 00 00 00 22 00 00 00 2B 00 00 00 0A 00 00 00 2A 00 00 01 }
	condition:
		$1
}

rule file_1688_183_7 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPAV123@@Z$0"
		size = 85
		refs = "0002 0A0000F4 002c 1100001A 003d 1100000F 004f 0A00004C"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 02 1F 0C 58 4A 0B 16 07 34 36 07 17 59 0B 07 1A 5A 02 1E 58 4A 58 4A 0C 08 2C 23 08 25 4A 1E 58 4A 29 ?? ?? ?? ?? 0A 06 13 06 06 2C 0E 06 17 06 4A 4A 29 ?? ?? ?? ?? 13 05 2B 03 16 13 05 2B C6 02 1E 58 4A 28 ?? ?? ?? ?? DE 0B }
	condition:
		$1
}

rule file_1688_184_7 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPAV123@@Z$2"
		size = 66
		refs = "0006 0A0000F6"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 2A 00 00 01 02 00 00 00 0A 00 00 00 5C 00 00 00 66 00 00 00 0B 00 00 00 2A 00 00 01 }
	condition:
		$1
}

rule file_1688_321_7 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPAV_Locimp@12@_N@Z$0"
		size = 141
		refs = "0002 0A0000F4 000a 04000172 0018 060001EE 001f 060001E1 002f 0400005F 0034 060001FC 003b 040002E8 0046 1100001F 004b 040001E5 0078 06000005"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 7E ?? ?? ?? ?? 0A 7E ?? ?? ?? ?? 2D 67 16 28 ?? ?? ?? ?? 0A 06 28 ?? ?? ?? ?? 06 1F 10 58 1F 3F 54 06 1F 18 58 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 06 80 ?? ?? ?? ?? 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? 7F ?? ?? ?? ?? 13 04 7E ?? ?? ?? ?? 0D 7F ?? ?? ?? ?? 1A 58 09 54 7F ?? ?? ?? ?? 13 06 7F ?? ?? ?? ?? 13 05 DE 0D 11 04 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 02 2C 0B 06 25 4A 1A 58 4A 29 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_1688_322_7 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPAV_Locimp@12@_N@Z$2"
		size = 89
		refs = "0005 0A0000F6"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 06 2A 00 41 4C 00 00 02 00 00 00 10 00 00 00 02 00 00 00 12 00 00 00 09 00 00 00 2A 00 00 01 04 00 00 00 63 00 00 00 1F 00 00 00 82 00 00 00 0D 00 00 00 2A 00 00 01 02 00 00 00 0B 00 00 00 94 00 00 00 9F 00 00 00 0A 00 00 00 2A 00 00 01 }
	condition:
		$1
}

rule file_1770_308_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQAMXII@Z$6"
		size = 236
		refs = "0004 0A000035 0031 060001CC"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 1E 1F 10 02 1F 14 58 4A 35 06 02 4A 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 28 ?? ?? ?? ?? 02 2C 03 02 09 54 02 1F 14 58 06 54 02 1F 10 58 04 54 1F 10 06 35 04 02 4A 2B 01 02 04 58 16 52 2A 00 00 41 94 00 00 01 00 00 00 B8 00 00 00 11 00 00 00 D8 00 00 00 03 00 00 00 C9 00 00 00 02 00 00 00 B8 00 00 00 2A 00 00 00 E2 00 00 00 09 00 00 00 28 00 00 01 01 00 00 00 85 00 00 00 0C 00 00 00 A8 00 00 00 45 00 00 00 91 00 00 00 01 00 00 00 83 00 00 00 6C 00 00 00 FE 00 00 00 03 00 00 00 EF 00 00 00 02 00 00 00 83 00 00 00 85 00 00 00 08 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 46 00 00 00 16 00 00 00 73 00 00 00 A0 00 00 00 5C 00 00 00 }
	condition:
		$1
}